#include "parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 19881
#define LARGE_STATE_COUNT 9618
#define SYMBOL_COUNT 217
#define ALIAS_COUNT 3
#define TOKEN_COUNT 109
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 7
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 25

enum ts_symbol_identifiers {
  sym__word_identifier = 1,
  anon_sym_EQ = 2,
  anon_sym_COMMA = 3,
  anon_sym_COLON = 4,
  anon_sym_begin = 5,
  anon_sym_module = 6,
  anon_sym_baremodule = 7,
  anon_sym_end = 8,
  anon_sym_abstract = 9,
  anon_sym_type = 10,
  anon_sym_primitive = 11,
  anon_sym_mutable = 12,
  anon_sym_struct = 13,
  anon_sym_LT_COLON = 14,
  anon_sym_function = 15,
  anon_sym_macro = 16,
  anon_sym_where = 17,
  anon_sym_quote = 18,
  anon_sym_let = 19,
  anon_sym_if = 20,
  anon_sym_elseif = 21,
  anon_sym_else = 22,
  anon_sym_try = 23,
  anon_sym_catch = 24,
  anon_sym_finally = 25,
  anon_sym_for = 26,
  anon_sym_while = 27,
  sym_break_statement = 28,
  sym_continue_statement = 29,
  anon_sym_return = 30,
  anon_sym_const = 31,
  anon_sym_global = 32,
  anon_sym_local = 33,
  anon_sym_as = 34,
  aux_sym_import_path_token1 = 35,
  anon_sym_LPAREN = 36,
  anon_sym_RPAREN = 37,
  anon_sym_COLON2 = 38,
  anon_sym_export = 39,
  anon_sym_import = 40,
  anon_sym_using = 41,
  anon_sym_LBRACK = 42,
  anon_sym_RBRACK = 43,
  anon_sym_LF = 44,
  anon_sym_outer = 45,
  anon_sym_in = 46,
  anon_sym_u2208 = 47,
  anon_sym_SEMI = 48,
  anon_sym_LBRACE = 49,
  anon_sym_RBRACE = 50,
  anon_sym_SQUOTE = 51,
  anon_sym_DOT = 52,
  anon_sym_do = 53,
  anon_sym_DOLLAR = 54,
  anon_sym_COLON_COLON = 55,
  anon_sym_COLON_EQ = 56,
  anon_sym_DOT_EQ = 57,
  aux_sym_quote_expression_token1 = 58,
  anon_sym_isa = 59,
  anon_sym_DOT_DOT_DOT = 60,
  anon_sym_QMARK = 61,
  anon_sym_DASH_GT = 62,
  anon_sym_AT = 63,
  anon_sym_true = 64,
  anon_sym_false = 65,
  aux_sym_integer_literal_token1 = 66,
  aux_sym_integer_literal_token2 = 67,
  aux_sym_integer_literal_token3 = 68,
  aux_sym_integer_literal_token4 = 69,
  aux_sym_float_literal_token1 = 70,
  aux_sym_float_literal_token2 = 71,
  aux_sym_float_literal_token3 = 72,
  aux_sym_float_literal_token4 = 73,
  sym_escape_sequence = 74,
  sym_character_literal = 75,
  sym__assignment_operator = 76,
  sym__pair_operator = 77,
  sym__arrow_operator = 78,
  sym__lazy_or_operator = 79,
  sym__lazy_and_operator = 80,
  sym__comparison_operator = 81,
  sym__pipe_right_operator = 82,
  sym__pipe_left_operator = 83,
  sym__ellipsis_operator = 84,
  sym__plus_operator = 85,
  sym__times_operator = 86,
  sym__rational_operator = 87,
  sym__bitshift_operator = 88,
  sym__power_operator = 89,
  sym__tilde_operator = 90,
  sym__type_order_operator = 91,
  sym__unary_operator = 92,
  sym__unary_plus_operator = 93,
  sym__syntactic_operator = 94,
  aux_sym__terminator_token1 = 95,
  sym_line_comment = 96,
  sym_block_comment = 97,
  sym__immediate_paren = 98,
  sym__immediate_bracket = 99,
  sym__immediate_brace = 100,
  sym__string_start = 101,
  sym__command_start = 102,
  sym__immediate_string_start = 103,
  sym__immediate_command_start = 104,
  sym__string_end = 105,
  sym__command_end = 106,
  sym__string_content = 107,
  sym__string_content_no_interp = 108,
  sym_source_file = 109,
  sym__block = 110,
  sym_assignment = 111,
  sym__closed_assignment = 112,
  sym_open_tuple = 113,
  sym__expression = 114,
  sym_module_definition = 115,
  sym_abstract_definition = 116,
  sym_primitive_definition = 117,
  sym_struct_definition = 118,
  sym_type_clause = 119,
  sym_function_definition = 120,
  sym_macro_definition = 121,
  sym_signature = 122,
  sym_where_clause = 123,
  sym_compound_statement = 124,
  sym_quote_statement = 125,
  sym_let_statement = 126,
  sym_if_statement = 127,
  sym_elseif_clause = 128,
  sym_else_clause = 129,
  sym_try_statement = 130,
  sym_catch_clause = 131,
  sym_finally_clause = 132,
  sym_for_statement = 133,
  sym_while_statement = 134,
  sym_return_statement = 135,
  sym_const_statement = 136,
  sym_global_statement = 137,
  sym_local_statement = 138,
  sym_import_alias = 139,
  sym_import_path = 140,
  sym__exportable = 141,
  sym__importable = 142,
  sym__import_list = 143,
  sym_selected_import = 144,
  sym_export_statement = 145,
  sym_import_statement = 146,
  sym__primary_expression = 147,
  sym__array = 148,
  sym_comprehension_expression = 149,
  sym__comprehension_clause = 150,
  sym_if_clause = 151,
  sym_for_clause = 152,
  sym_for_binding = 153,
  sym_matrix_expression = 154,
  sym_matrix_row = 155,
  sym_vector_expression = 156,
  sym_parenthesized_expression = 157,
  sym_tuple_expression = 158,
  sym_curly_expression = 159,
  sym_adjoint_expression = 160,
  sym_field_expression = 161,
  sym_index_expression = 162,
  sym_parametrized_type_expression = 163,
  sym_call_expression = 164,
  sym_broadcast_call_expression = 165,
  sym__closed_macrocall_expression = 166,
  sym_macrocall_expression = 167,
  sym_macro_argument_list = 168,
  sym_argument_list = 169,
  sym_do_clause = 170,
  sym__do_parameter_list = 171,
  sym_named_field = 172,
  sym_interpolation_expression = 173,
  sym_quote_expression = 174,
  sym_binary_expression = 175,
  sym_unary_expression = 176,
  sym_range_expression = 177,
  sym_splat_expression = 178,
  sym_ternary_expression = 179,
  sym_typed_expression = 180,
  sym_unary_typed_expression = 181,
  sym_function_expression = 182,
  sym_juxtaposition_expression = 183,
  sym_compound_assignment_expression = 184,
  sym_where_expression = 185,
  sym_macro_identifier = 186,
  sym_scoped_identifier = 187,
  sym_identifier = 188,
  sym_boolean_literal = 189,
  sym_integer_literal = 190,
  sym_float_literal = 191,
  sym__string = 192,
  sym_string_literal = 193,
  sym_command_literal = 194,
  sym_prefixed_string_literal = 195,
  sym_prefixed_command_literal = 196,
  sym_string_interpolation = 197,
  sym_operator = 198,
  aux_sym__block_repeat1 = 199,
  aux_sym_open_tuple_repeat1 = 200,
  aux_sym_let_statement_repeat1 = 201,
  aux_sym_if_statement_repeat1 = 202,
  aux_sym_for_statement_repeat1 = 203,
  aux_sym__import_list_repeat1 = 204,
  aux_sym_export_statement_repeat1 = 205,
  aux_sym__comprehension_clause_repeat1 = 206,
  aux_sym_matrix_expression_repeat1 = 207,
  aux_sym_matrix_row_repeat1 = 208,
  aux_sym_vector_expression_repeat1 = 209,
  aux_sym_parenthesized_expression_repeat1 = 210,
  aux_sym_tuple_expression_repeat1 = 211,
  aux_sym_macro_argument_list_repeat1 = 212,
  aux_sym_argument_list_repeat1 = 213,
  aux_sym__do_parameter_list_repeat1 = 214,
  aux_sym_string_literal_repeat1 = 215,
  aux_sym_prefixed_string_literal_repeat1 = 216,
  alias_sym_let_binding = 217,
  alias_sym_named_argument = 218,
  alias_sym_type_parameter_list = 219,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__word_identifier] = "_word_identifier",
  [anon_sym_EQ] = "=",
  [anon_sym_COMMA] = ",",
  [anon_sym_COLON] = ":",
  [anon_sym_begin] = "begin",
  [anon_sym_module] = "module",
  [anon_sym_baremodule] = "baremodule",
  [anon_sym_end] = "end",
  [anon_sym_abstract] = "abstract",
  [anon_sym_type] = "type",
  [anon_sym_primitive] = "primitive",
  [anon_sym_mutable] = "mutable",
  [anon_sym_struct] = "struct",
  [anon_sym_LT_COLON] = "operator",
  [anon_sym_function] = "function",
  [anon_sym_macro] = "macro",
  [anon_sym_where] = "where",
  [anon_sym_quote] = "quote",
  [anon_sym_let] = "let",
  [anon_sym_if] = "if",
  [anon_sym_elseif] = "elseif",
  [anon_sym_else] = "else",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_for] = "for",
  [anon_sym_while] = "while",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [anon_sym_return] = "return",
  [anon_sym_const] = "const",
  [anon_sym_global] = "global",
  [anon_sym_local] = "local",
  [anon_sym_as] = "as",
  [aux_sym_import_path_token1] = "import_path_token1",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COLON2] = ":",
  [anon_sym_export] = "export",
  [anon_sym_import] = "import",
  [anon_sym_using] = "using",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LF] = "\n",
  [anon_sym_outer] = "outer",
  [anon_sym_in] = "in",
  [anon_sym_u2208] = "\u2208",
  [anon_sym_SEMI] = ";",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_DOT] = ".",
  [anon_sym_do] = "do",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_COLON_EQ] = "operator",
  [anon_sym_DOT_EQ] = "operator",
  [aux_sym_quote_expression_token1] = "identifier",
  [anon_sym_isa] = "operator",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_AT] = "@",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [aux_sym_integer_literal_token1] = "integer_literal_token1",
  [aux_sym_integer_literal_token2] = "integer_literal_token2",
  [aux_sym_integer_literal_token3] = "integer_literal_token3",
  [aux_sym_integer_literal_token4] = "integer_literal_token4",
  [aux_sym_float_literal_token1] = "float_literal_token1",
  [aux_sym_float_literal_token2] = "float_literal_token2",
  [aux_sym_float_literal_token3] = "float_literal_token3",
  [aux_sym_float_literal_token4] = "float_literal_token4",
  [sym_escape_sequence] = "escape_sequence",
  [sym_character_literal] = "character_literal",
  [sym__assignment_operator] = "operator",
  [sym__pair_operator] = "_pair_operator",
  [sym__arrow_operator] = "_arrow_operator",
  [sym__lazy_or_operator] = "operator",
  [sym__lazy_and_operator] = "operator",
  [sym__comparison_operator] = "_comparison_operator",
  [sym__pipe_right_operator] = "_pipe_right_operator",
  [sym__pipe_left_operator] = "_pipe_left_operator",
  [sym__ellipsis_operator] = "_ellipsis_operator",
  [sym__plus_operator] = "_plus_operator",
  [sym__times_operator] = "_times_operator",
  [sym__rational_operator] = "_rational_operator",
  [sym__bitshift_operator] = "_bitshift_operator",
  [sym__power_operator] = "_power_operator",
  [sym__tilde_operator] = "_tilde_operator",
  [sym__type_order_operator] = "_type_order_operator",
  [sym__unary_operator] = "_unary_operator",
  [sym__unary_plus_operator] = "_unary_plus_operator",
  [sym__syntactic_operator] = "operator",
  [aux_sym__terminator_token1] = "_terminator_token1",
  [sym_line_comment] = "line_comment",
  [sym_block_comment] = "block_comment",
  [sym__immediate_paren] = "_immediate_paren",
  [sym__immediate_bracket] = "_immediate_bracket",
  [sym__immediate_brace] = "_immediate_brace",
  [sym__string_start] = "_string_start",
  [sym__command_start] = "_command_start",
  [sym__immediate_string_start] = "_immediate_string_start",
  [sym__immediate_command_start] = "_immediate_command_start",
  [sym__string_end] = "_string_end",
  [sym__command_end] = "_command_end",
  [sym__string_content] = "_string_content",
  [sym__string_content_no_interp] = "_string_content_no_interp",
  [sym_source_file] = "source_file",
  [sym__block] = "_block",
  [sym_assignment] = "assignment",
  [sym__closed_assignment] = "assignment",
  [sym_open_tuple] = "open_tuple",
  [sym__expression] = "_expression",
  [sym_module_definition] = "module_definition",
  [sym_abstract_definition] = "abstract_definition",
  [sym_primitive_definition] = "primitive_definition",
  [sym_struct_definition] = "struct_definition",
  [sym_type_clause] = "type_clause",
  [sym_function_definition] = "function_definition",
  [sym_macro_definition] = "macro_definition",
  [sym_signature] = "signature",
  [sym_where_clause] = "where_clause",
  [sym_compound_statement] = "compound_statement",
  [sym_quote_statement] = "quote_statement",
  [sym_let_statement] = "let_statement",
  [sym_if_statement] = "if_statement",
  [sym_elseif_clause] = "elseif_clause",
  [sym_else_clause] = "else_clause",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_return_statement] = "return_statement",
  [sym_const_statement] = "const_statement",
  [sym_global_statement] = "global_statement",
  [sym_local_statement] = "local_statement",
  [sym_import_alias] = "import_alias",
  [sym_import_path] = "import_path",
  [sym__exportable] = "_exportable",
  [sym__importable] = "_importable",
  [sym__import_list] = "_import_list",
  [sym_selected_import] = "selected_import",
  [sym_export_statement] = "export_statement",
  [sym_import_statement] = "import_statement",
  [sym__primary_expression] = "_primary_expression",
  [sym__array] = "_array",
  [sym_comprehension_expression] = "comprehension_expression",
  [sym__comprehension_clause] = "_comprehension_clause",
  [sym_if_clause] = "if_clause",
  [sym_for_clause] = "for_clause",
  [sym_for_binding] = "for_binding",
  [sym_matrix_expression] = "matrix_expression",
  [sym_matrix_row] = "matrix_row",
  [sym_vector_expression] = "vector_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_curly_expression] = "curly_expression",
  [sym_adjoint_expression] = "adjoint_expression",
  [sym_field_expression] = "field_expression",
  [sym_index_expression] = "index_expression",
  [sym_parametrized_type_expression] = "parametrized_type_expression",
  [sym_call_expression] = "call_expression",
  [sym_broadcast_call_expression] = "broadcast_call_expression",
  [sym__closed_macrocall_expression] = "macrocall_expression",
  [sym_macrocall_expression] = "macrocall_expression",
  [sym_macro_argument_list] = "macro_argument_list",
  [sym_argument_list] = "argument_list",
  [sym_do_clause] = "do_clause",
  [sym__do_parameter_list] = "argument_list",
  [sym_named_field] = "named_field",
  [sym_interpolation_expression] = "interpolation_expression",
  [sym_quote_expression] = "quote_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_range_expression] = "range_expression",
  [sym_splat_expression] = "splat_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_unary_typed_expression] = "unary_typed_expression",
  [sym_function_expression] = "function_expression",
  [sym_juxtaposition_expression] = "juxtaposition_expression",
  [sym_compound_assignment_expression] = "compound_assignment_expression",
  [sym_where_expression] = "where_expression",
  [sym_macro_identifier] = "macro_identifier",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_identifier] = "identifier",
  [sym_boolean_literal] = "boolean_literal",
  [sym_integer_literal] = "integer_literal",
  [sym_float_literal] = "float_literal",
  [sym__string] = "_string",
  [sym_string_literal] = "string_literal",
  [sym_command_literal] = "command_literal",
  [sym_prefixed_string_literal] = "prefixed_string_literal",
  [sym_prefixed_command_literal] = "prefixed_command_literal",
  [sym_string_interpolation] = "string_interpolation",
  [sym_operator] = "operator",
  [aux_sym__block_repeat1] = "_block_repeat1",
  [aux_sym_open_tuple_repeat1] = "open_tuple_repeat1",
  [aux_sym_let_statement_repeat1] = "let_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym__comprehension_clause_repeat1] = "_comprehension_clause_repeat1",
  [aux_sym_matrix_expression_repeat1] = "matrix_expression_repeat1",
  [aux_sym_matrix_row_repeat1] = "matrix_row_repeat1",
  [aux_sym_vector_expression_repeat1] = "vector_expression_repeat1",
  [aux_sym_parenthesized_expression_repeat1] = "parenthesized_expression_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_macro_argument_list_repeat1] = "macro_argument_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym__do_parameter_list_repeat1] = "_do_parameter_list_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym_prefixed_string_literal_repeat1] = "prefixed_string_literal_repeat1",
  [alias_sym_let_binding] = "let_binding",
  [alias_sym_named_argument] = "named_argument",
  [alias_sym_type_parameter_list] = "type_parameter_list",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__word_identifier] = sym__word_identifier,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_begin] = anon_sym_begin,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_baremodule] = anon_sym_baremodule,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_primitive] = anon_sym_primitive,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_LT_COLON] = sym_operator,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_macro] = anon_sym_macro,
  [anon_sym_where] = anon_sym_where,
  [anon_sym_quote] = anon_sym_quote,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_elseif] = anon_sym_elseif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_while] = anon_sym_while,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_as] = anon_sym_as,
  [aux_sym_import_path_token1] = aux_sym_import_path_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_outer] = anon_sym_outer,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_u2208] = anon_sym_u2208,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_COLON_EQ] = sym_operator,
  [anon_sym_DOT_EQ] = sym_operator,
  [aux_sym_quote_expression_token1] = sym_identifier,
  [anon_sym_isa] = sym_operator,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [aux_sym_integer_literal_token1] = aux_sym_integer_literal_token1,
  [aux_sym_integer_literal_token2] = aux_sym_integer_literal_token2,
  [aux_sym_integer_literal_token3] = aux_sym_integer_literal_token3,
  [aux_sym_integer_literal_token4] = aux_sym_integer_literal_token4,
  [aux_sym_float_literal_token1] = aux_sym_float_literal_token1,
  [aux_sym_float_literal_token2] = aux_sym_float_literal_token2,
  [aux_sym_float_literal_token3] = aux_sym_float_literal_token3,
  [aux_sym_float_literal_token4] = aux_sym_float_literal_token4,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_character_literal] = sym_character_literal,
  [sym__assignment_operator] = sym_operator,
  [sym__pair_operator] = sym__pair_operator,
  [sym__arrow_operator] = sym__arrow_operator,
  [sym__lazy_or_operator] = sym_operator,
  [sym__lazy_and_operator] = sym_operator,
  [sym__comparison_operator] = sym__comparison_operator,
  [sym__pipe_right_operator] = sym__pipe_right_operator,
  [sym__pipe_left_operator] = sym__pipe_left_operator,
  [sym__ellipsis_operator] = sym__ellipsis_operator,
  [sym__plus_operator] = sym__plus_operator,
  [sym__times_operator] = sym__times_operator,
  [sym__rational_operator] = sym__rational_operator,
  [sym__bitshift_operator] = sym__bitshift_operator,
  [sym__power_operator] = sym__power_operator,
  [sym__tilde_operator] = sym__tilde_operator,
  [sym__type_order_operator] = sym__type_order_operator,
  [sym__unary_operator] = sym__unary_operator,
  [sym__unary_plus_operator] = sym__unary_plus_operator,
  [sym__syntactic_operator] = sym_operator,
  [aux_sym__terminator_token1] = aux_sym__terminator_token1,
  [sym_line_comment] = sym_line_comment,
  [sym_block_comment] = sym_block_comment,
  [sym__immediate_paren] = sym__immediate_paren,
  [sym__immediate_bracket] = sym__immediate_bracket,
  [sym__immediate_brace] = sym__immediate_brace,
  [sym__string_start] = sym__string_start,
  [sym__command_start] = sym__command_start,
  [sym__immediate_string_start] = sym__immediate_string_start,
  [sym__immediate_command_start] = sym__immediate_command_start,
  [sym__string_end] = sym__string_end,
  [sym__command_end] = sym__command_end,
  [sym__string_content] = sym__string_content,
  [sym__string_content_no_interp] = sym__string_content_no_interp,
  [sym_source_file] = sym_source_file,
  [sym__block] = sym__block,
  [sym_assignment] = sym_assignment,
  [sym__closed_assignment] = sym_assignment,
  [sym_open_tuple] = sym_open_tuple,
  [sym__expression] = sym__expression,
  [sym_module_definition] = sym_module_definition,
  [sym_abstract_definition] = sym_abstract_definition,
  [sym_primitive_definition] = sym_primitive_definition,
  [sym_struct_definition] = sym_struct_definition,
  [sym_type_clause] = sym_type_clause,
  [sym_function_definition] = sym_function_definition,
  [sym_macro_definition] = sym_macro_definition,
  [sym_signature] = sym_signature,
  [sym_where_clause] = sym_where_clause,
  [sym_compound_statement] = sym_compound_statement,
  [sym_quote_statement] = sym_quote_statement,
  [sym_let_statement] = sym_let_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elseif_clause] = sym_elseif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_const_statement] = sym_const_statement,
  [sym_global_statement] = sym_global_statement,
  [sym_local_statement] = sym_local_statement,
  [sym_import_alias] = sym_import_alias,
  [sym_import_path] = sym_import_path,
  [sym__exportable] = sym__exportable,
  [sym__importable] = sym__importable,
  [sym__import_list] = sym__import_list,
  [sym_selected_import] = sym_selected_import,
  [sym_export_statement] = sym_export_statement,
  [sym_import_statement] = sym_import_statement,
  [sym__primary_expression] = sym__primary_expression,
  [sym__array] = sym__array,
  [sym_comprehension_expression] = sym_comprehension_expression,
  [sym__comprehension_clause] = sym__comprehension_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_for_clause] = sym_for_clause,
  [sym_for_binding] = sym_for_binding,
  [sym_matrix_expression] = sym_matrix_expression,
  [sym_matrix_row] = sym_matrix_row,
  [sym_vector_expression] = sym_vector_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_curly_expression] = sym_curly_expression,
  [sym_adjoint_expression] = sym_adjoint_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_parametrized_type_expression] = sym_parametrized_type_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_broadcast_call_expression] = sym_broadcast_call_expression,
  [sym__closed_macrocall_expression] = sym_macrocall_expression,
  [sym_macrocall_expression] = sym_macrocall_expression,
  [sym_macro_argument_list] = sym_macro_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_do_clause] = sym_do_clause,
  [sym__do_parameter_list] = sym_argument_list,
  [sym_named_field] = sym_named_field,
  [sym_interpolation_expression] = sym_interpolation_expression,
  [sym_quote_expression] = sym_quote_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_splat_expression] = sym_splat_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_unary_typed_expression] = sym_unary_typed_expression,
  [sym_function_expression] = sym_function_expression,
  [sym_juxtaposition_expression] = sym_juxtaposition_expression,
  [sym_compound_assignment_expression] = sym_compound_assignment_expression,
  [sym_where_expression] = sym_where_expression,
  [sym_macro_identifier] = sym_macro_identifier,
  [sym_scoped_identifier] = sym_scoped_identifier,
  [sym_identifier] = sym_identifier,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_integer_literal] = sym_integer_literal,
  [sym_float_literal] = sym_float_literal,
  [sym__string] = sym__string,
  [sym_string_literal] = sym_string_literal,
  [sym_command_literal] = sym_command_literal,
  [sym_prefixed_string_literal] = sym_prefixed_string_literal,
  [sym_prefixed_command_literal] = sym_prefixed_command_literal,
  [sym_string_interpolation] = sym_string_interpolation,
  [sym_operator] = sym_operator,
  [aux_sym__block_repeat1] = aux_sym__block_repeat1,
  [aux_sym_open_tuple_repeat1] = aux_sym_open_tuple_repeat1,
  [aux_sym_let_statement_repeat1] = aux_sym_let_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym__comprehension_clause_repeat1] = aux_sym__comprehension_clause_repeat1,
  [aux_sym_matrix_expression_repeat1] = aux_sym_matrix_expression_repeat1,
  [aux_sym_matrix_row_repeat1] = aux_sym_matrix_row_repeat1,
  [aux_sym_vector_expression_repeat1] = aux_sym_vector_expression_repeat1,
  [aux_sym_parenthesized_expression_repeat1] = aux_sym_parenthesized_expression_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_macro_argument_list_repeat1] = aux_sym_macro_argument_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym__do_parameter_list_repeat1] = aux_sym__do_parameter_list_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym_prefixed_string_literal_repeat1] = aux_sym_prefixed_string_literal_repeat1,
  [alias_sym_let_binding] = alias_sym_let_binding,
  [alias_sym_named_argument] = alias_sym_named_argument,
  [alias_sym_type_parameter_list] = alias_sym_type_parameter_list,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__word_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_baremodule] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_primitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_COLON] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_where] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_quote] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elseif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_import_path_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_outer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2208] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quote_expression_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_isa] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_integer_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_integer_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_integer_literal_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_integer_literal_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_float_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_float_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_float_literal_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_float_literal_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__pair_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__lazy_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__lazy_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__comparison_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__pipe_right_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__pipe_left_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__ellipsis_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__plus_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__times_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__rational_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__bitshift_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__power_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__tilde_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__type_order_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_plus_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__syntactic_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__terminator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__immediate_paren] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_bracket] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_brace] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__command_start] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_command_start] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = false,
    .named = true,
  },
  [sym__command_end] = {
    .visible = false,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_content_no_interp] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__block] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__closed_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_open_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_where_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_quote_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_let_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_const_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_local_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_import_path] = {
    .visible = true,
    .named = true,
  },
  [sym__exportable] = {
    .visible = false,
    .named = true,
  },
  [sym__importable] = {
    .visible = false,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_selected_import] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__array] = {
    .visible = false,
    .named = true,
  },
  [sym_comprehension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_matrix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_matrix_row] = {
    .visible = true,
    .named = true,
  },
  [sym_vector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_adjoint_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parametrized_type_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_broadcast_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__closed_macrocall_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_macrocall_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__do_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_named_field] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_quote_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_juxtaposition_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_where_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_command_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_prefixed_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_prefixed_command_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_open_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_matrix_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_matrix_row_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_vector_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parenthesized_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_macro_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__do_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_prefixed_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_named_argument] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_parameter_list] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_condition = 2,
  field_name = 3,
  field_prefix = 4,
  field_return_type = 5,
  field_suffix = 6,
  field_value = 7,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_condition] = "condition",
  [field_name] = "name",
  [field_prefix] = "prefix",
  [field_return_type] = "return_type",
  [field_suffix] = "suffix",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [8] = {.index = 3, .length = 1},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 5, .length = 1},
  [12] = {.index = 6, .length = 2},
  [14] = {.index = 8, .length = 2},
  [16] = {.index = 0, .length = 1},
  [17] = {.index = 10, .length = 2},
  [18] = {.index = 12, .length = 3},
  [19] = {.index = 15, .length = 2},
  [21] = {.index = 5, .length = 1},
  [22] = {.index = 17, .length = 2},
  [23] = {.index = 19, .length = 3},
  [24] = {.index = 22, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1},
  [1] =
    {field_return_type, 1},
  [2] =
    {field_condition, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_prefix, 0},
  [5] =
    {field_name, 2},
  [6] =
    {field_alternative, 2},
    {field_condition, 1},
  [8] =
    {field_prefix, 0},
    {field_suffix, 3},
  [10] =
    {field_alternative, 3},
    {field_condition, 1},
  [12] =
    {field_alternative, 2},
    {field_alternative, 3},
    {field_condition, 1},
  [15] =
    {field_prefix, 0},
    {field_suffix, 4},
  [17] =
    {field_alternative, 4},
    {field_condition, 1},
  [19] =
    {field_alternative, 3},
    {field_alternative, 4},
    {field_condition, 1},
  [22] =
    {field_alternative, 4},
    {field_alternative, 5},
    {field_condition, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_operator,
  },
  [2] = {
    [0] = sym_identifier,
  },
  [6] = {
    [1] = alias_sym_named_argument,
  },
  [7] = {
    [1] = sym_operator,
  },
  [11] = {
    [1] = alias_sym_let_binding,
  },
  [13] = {
    [2] = alias_sym_named_argument,
  },
  [15] = {
    [3] = sym_operator,
  },
  [16] = {
    [3] = alias_sym_type_parameter_list,
  },
  [20] = {
    [3] = sym_assignment,
  },
  [21] = {
    [4] = alias_sym_type_parameter_list,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__closed_assignment, 3,
    sym_assignment,
    alias_sym_let_binding,
    alias_sym_named_argument,
  sym_curly_expression, 2,
    sym_curly_expression,
    alias_sym_type_parameter_list,
  sym_named_field, 2,
    sym_named_field,
    sym_assignment,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 5,
  [6] = 5,
  [7] = 4,
  [8] = 4,
  [9] = 5,
  [10] = 4,
  [11] = 5,
  [12] = 4,
  [13] = 5,
  [14] = 4,
  [15] = 5,
  [16] = 4,
  [17] = 5,
  [18] = 4,
  [19] = 4,
  [20] = 5,
  [21] = 5,
  [22] = 5,
  [23] = 5,
  [24] = 4,
  [25] = 5,
  [26] = 4,
  [27] = 4,
  [28] = 5,
  [29] = 4,
  [30] = 4,
  [31] = 5,
  [32] = 5,
  [33] = 5,
  [34] = 4,
  [35] = 4,
  [36] = 4,
  [37] = 5,
  [38] = 4,
  [39] = 5,
  [40] = 4,
  [41] = 5,
  [42] = 4,
  [43] = 5,
  [44] = 5,
  [45] = 4,
  [46] = 5,
  [47] = 4,
  [48] = 4,
  [49] = 4,
  [50] = 5,
  [51] = 5,
  [52] = 4,
  [53] = 5,
  [54] = 5,
  [55] = 4,
  [56] = 5,
  [57] = 4,
  [58] = 5,
  [59] = 5,
  [60] = 5,
  [61] = 4,
  [62] = 4,
  [63] = 4,
  [64] = 5,
  [65] = 5,
  [66] = 4,
  [67] = 4,
  [68] = 5,
  [69] = 5,
  [70] = 70,
  [71] = 5,
  [72] = 5,
  [73] = 73,
  [74] = 70,
  [75] = 70,
  [76] = 4,
  [77] = 5,
  [78] = 4,
  [79] = 5,
  [80] = 5,
  [81] = 70,
  [82] = 4,
  [83] = 4,
  [84] = 4,
  [85] = 4,
  [86] = 4,
  [87] = 70,
  [88] = 70,
  [89] = 70,
  [90] = 73,
  [91] = 70,
  [92] = 70,
  [93] = 4,
  [94] = 70,
  [95] = 73,
  [96] = 5,
  [97] = 70,
  [98] = 70,
  [99] = 73,
  [100] = 70,
  [101] = 4,
  [102] = 5,
  [103] = 103,
  [104] = 73,
  [105] = 5,
  [106] = 73,
  [107] = 73,
  [108] = 103,
  [109] = 73,
  [110] = 4,
  [111] = 4,
  [112] = 73,
  [113] = 73,
  [114] = 5,
  [115] = 5,
  [116] = 73,
  [117] = 4,
  [118] = 118,
  [119] = 5,
  [120] = 118,
  [121] = 4,
  [122] = 73,
  [123] = 103,
  [124] = 73,
  [125] = 118,
  [126] = 73,
  [127] = 103,
  [128] = 103,
  [129] = 118,
  [130] = 118,
  [131] = 118,
  [132] = 73,
  [133] = 73,
  [134] = 5,
  [135] = 4,
  [136] = 103,
  [137] = 137,
  [138] = 103,
  [139] = 73,
  [140] = 118,
  [141] = 103,
  [142] = 137,
  [143] = 103,
  [144] = 103,
  [145] = 103,
  [146] = 103,
  [147] = 73,
  [148] = 118,
  [149] = 137,
  [150] = 103,
  [151] = 103,
  [152] = 137,
  [153] = 4,
  [154] = 103,
  [155] = 137,
  [156] = 103,
  [157] = 118,
  [158] = 5,
  [159] = 5,
  [160] = 160,
  [161] = 137,
  [162] = 162,
  [163] = 160,
  [164] = 103,
  [165] = 103,
  [166] = 160,
  [167] = 118,
  [168] = 168,
  [169] = 137,
  [170] = 103,
  [171] = 171,
  [172] = 160,
  [173] = 137,
  [174] = 174,
  [175] = 4,
  [176] = 176,
  [177] = 137,
  [178] = 137,
  [179] = 179,
  [180] = 103,
  [181] = 137,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 103,
  [186] = 186,
  [187] = 187,
  [188] = 103,
  [189] = 103,
  [190] = 103,
  [191] = 191,
  [192] = 118,
  [193] = 103,
  [194] = 103,
  [195] = 73,
  [196] = 196,
  [197] = 137,
  [198] = 103,
  [199] = 137,
  [200] = 137,
  [201] = 118,
  [202] = 137,
  [203] = 160,
  [204] = 103,
  [205] = 118,
  [206] = 137,
  [207] = 103,
  [208] = 118,
  [209] = 209,
  [210] = 103,
  [211] = 118,
  [212] = 137,
  [213] = 160,
  [214] = 103,
  [215] = 103,
  [216] = 160,
  [217] = 137,
  [218] = 103,
  [219] = 103,
  [220] = 160,
  [221] = 137,
  [222] = 103,
  [223] = 118,
  [224] = 137,
  [225] = 118,
  [226] = 103,
  [227] = 160,
  [228] = 160,
  [229] = 137,
  [230] = 160,
  [231] = 118,
  [232] = 103,
  [233] = 137,
  [234] = 137,
  [235] = 160,
  [236] = 103,
  [237] = 137,
  [238] = 103,
  [239] = 103,
  [240] = 137,
  [241] = 137,
  [242] = 160,
  [243] = 103,
  [244] = 118,
  [245] = 160,
  [246] = 137,
  [247] = 160,
  [248] = 137,
  [249] = 160,
  [250] = 137,
  [251] = 137,
  [252] = 252,
  [253] = 160,
  [254] = 103,
  [255] = 160,
  [256] = 252,
  [257] = 160,
  [258] = 252,
  [259] = 103,
  [260] = 137,
  [261] = 137,
  [262] = 191,
  [263] = 196,
  [264] = 182,
  [265] = 209,
  [266] = 137,
  [267] = 186,
  [268] = 118,
  [269] = 252,
  [270] = 137,
  [271] = 160,
  [272] = 252,
  [273] = 184,
  [274] = 160,
  [275] = 252,
  [276] = 252,
  [277] = 160,
  [278] = 252,
  [279] = 137,
  [280] = 252,
  [281] = 187,
  [282] = 137,
  [283] = 160,
  [284] = 160,
  [285] = 183,
  [286] = 160,
  [287] = 171,
  [288] = 168,
  [289] = 103,
  [290] = 160,
  [291] = 162,
  [292] = 160,
  [293] = 137,
  [294] = 252,
  [295] = 137,
  [296] = 179,
  [297] = 252,
  [298] = 137,
  [299] = 160,
  [300] = 252,
  [301] = 137,
  [302] = 176,
  [303] = 137,
  [304] = 252,
  [305] = 103,
  [306] = 160,
  [307] = 160,
  [308] = 160,
  [309] = 160,
  [310] = 160,
  [311] = 137,
  [312] = 137,
  [313] = 103,
  [314] = 160,
  [315] = 160,
  [316] = 137,
  [317] = 160,
  [318] = 160,
  [319] = 103,
  [320] = 160,
  [321] = 160,
  [322] = 160,
  [323] = 160,
  [324] = 160,
  [325] = 160,
  [326] = 137,
  [327] = 160,
  [328] = 137,
  [329] = 160,
  [330] = 160,
  [331] = 160,
  [332] = 160,
  [333] = 160,
  [334] = 160,
  [335] = 137,
  [336] = 160,
  [337] = 103,
  [338] = 160,
  [339] = 339,
  [340] = 339,
  [341] = 339,
  [342] = 339,
  [343] = 339,
  [344] = 339,
  [345] = 339,
  [346] = 339,
  [347] = 339,
  [348] = 339,
  [349] = 339,
  [350] = 339,
  [351] = 339,
  [352] = 339,
  [353] = 339,
  [354] = 339,
  [355] = 339,
  [356] = 339,
  [357] = 339,
  [358] = 339,
  [359] = 339,
  [360] = 339,
  [361] = 339,
  [362] = 339,
  [363] = 339,
  [364] = 339,
  [365] = 137,
  [366] = 339,
  [367] = 339,
  [368] = 339,
  [369] = 339,
  [370] = 339,
  [371] = 339,
  [372] = 339,
  [373] = 160,
  [374] = 160,
  [375] = 339,
  [376] = 339,
  [377] = 339,
  [378] = 339,
  [379] = 339,
  [380] = 339,
  [381] = 339,
  [382] = 339,
  [383] = 339,
  [384] = 339,
  [385] = 339,
  [386] = 339,
  [387] = 160,
  [388] = 339,
  [389] = 339,
  [390] = 339,
  [391] = 339,
  [392] = 339,
  [393] = 339,
  [394] = 339,
  [395] = 339,
  [396] = 339,
  [397] = 339,
  [398] = 339,
  [399] = 339,
  [400] = 339,
  [401] = 339,
  [402] = 339,
  [403] = 339,
  [404] = 339,
  [405] = 339,
  [406] = 339,
  [407] = 339,
  [408] = 339,
  [409] = 160,
  [410] = 160,
  [411] = 160,
  [412] = 412,
  [413] = 413,
  [414] = 413,
  [415] = 412,
  [416] = 416,
  [417] = 417,
  [418] = 412,
  [419] = 413,
  [420] = 413,
  [421] = 417,
  [422] = 412,
  [423] = 417,
  [424] = 416,
  [425] = 412,
  [426] = 413,
  [427] = 417,
  [428] = 416,
  [429] = 416,
  [430] = 412,
  [431] = 416,
  [432] = 417,
  [433] = 413,
  [434] = 416,
  [435] = 417,
  [436] = 412,
  [437] = 417,
  [438] = 417,
  [439] = 416,
  [440] = 413,
  [441] = 416,
  [442] = 412,
  [443] = 416,
  [444] = 412,
  [445] = 412,
  [446] = 413,
  [447] = 413,
  [448] = 417,
  [449] = 413,
  [450] = 413,
  [451] = 413,
  [452] = 416,
  [453] = 412,
  [454] = 416,
  [455] = 412,
  [456] = 417,
  [457] = 416,
  [458] = 416,
  [459] = 412,
  [460] = 413,
  [461] = 417,
  [462] = 417,
  [463] = 417,
  [464] = 464,
  [465] = 465,
  [466] = 464,
  [467] = 464,
  [468] = 464,
  [469] = 465,
  [470] = 470,
  [471] = 464,
  [472] = 465,
  [473] = 470,
  [474] = 465,
  [475] = 475,
  [476] = 475,
  [477] = 470,
  [478] = 470,
  [479] = 475,
  [480] = 480,
  [481] = 475,
  [482] = 465,
  [483] = 464,
  [484] = 475,
  [485] = 470,
  [486] = 475,
  [487] = 464,
  [488] = 465,
  [489] = 470,
  [490] = 475,
  [491] = 464,
  [492] = 470,
  [493] = 464,
  [494] = 465,
  [495] = 465,
  [496] = 470,
  [497] = 465,
  [498] = 465,
  [499] = 470,
  [500] = 465,
  [501] = 475,
  [502] = 475,
  [503] = 465,
  [504] = 470,
  [505] = 465,
  [506] = 470,
  [507] = 475,
  [508] = 475,
  [509] = 464,
  [510] = 475,
  [511] = 475,
  [512] = 470,
  [513] = 464,
  [514] = 464,
  [515] = 470,
  [516] = 464,
  [517] = 517,
  [518] = 517,
  [519] = 517,
  [520] = 517,
  [521] = 517,
  [522] = 517,
  [523] = 523,
  [524] = 517,
  [525] = 517,
  [526] = 517,
  [527] = 517,
  [528] = 528,
  [529] = 517,
  [530] = 517,
  [531] = 517,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 533,
  [537] = 535,
  [538] = 533,
  [539] = 539,
  [540] = 533,
  [541] = 535,
  [542] = 533,
  [543] = 535,
  [544] = 532,
  [545] = 545,
  [546] = 546,
  [547] = 535,
  [548] = 532,
  [549] = 539,
  [550] = 545,
  [551] = 532,
  [552] = 552,
  [553] = 545,
  [554] = 546,
  [555] = 546,
  [556] = 556,
  [557] = 557,
  [558] = 533,
  [559] = 535,
  [560] = 535,
  [561] = 533,
  [562] = 552,
  [563] = 552,
  [564] = 532,
  [565] = 533,
  [566] = 545,
  [567] = 533,
  [568] = 535,
  [569] = 535,
  [570] = 534,
  [571] = 552,
  [572] = 546,
  [573] = 552,
  [574] = 556,
  [575] = 533,
  [576] = 556,
  [577] = 533,
  [578] = 535,
  [579] = 533,
  [580] = 533,
  [581] = 535,
  [582] = 556,
  [583] = 535,
  [584] = 535,
  [585] = 556,
  [586] = 533,
  [587] = 533,
  [588] = 535,
  [589] = 539,
  [590] = 535,
  [591] = 591,
  [592] = 556,
  [593] = 532,
  [594] = 591,
  [595] = 546,
  [596] = 552,
  [597] = 545,
  [598] = 546,
  [599] = 556,
  [600] = 532,
  [601] = 533,
  [602] = 533,
  [603] = 535,
  [604] = 552,
  [605] = 535,
  [606] = 535,
  [607] = 535,
  [608] = 535,
  [609] = 534,
  [610] = 533,
  [611] = 533,
  [612] = 535,
  [613] = 591,
  [614] = 533,
  [615] = 545,
  [616] = 533,
  [617] = 535,
  [618] = 535,
  [619] = 535,
  [620] = 533,
  [621] = 539,
  [622] = 533,
  [623] = 556,
  [624] = 545,
  [625] = 552,
  [626] = 535,
  [627] = 534,
  [628] = 545,
  [629] = 629,
  [630] = 533,
  [631] = 533,
  [632] = 533,
  [633] = 546,
  [634] = 532,
  [635] = 535,
  [636] = 533,
  [637] = 556,
  [638] = 534,
  [639] = 533,
  [640] = 535,
  [641] = 535,
  [642] = 545,
  [643] = 535,
  [644] = 535,
  [645] = 532,
  [646] = 546,
  [647] = 533,
  [648] = 552,
  [649] = 552,
  [650] = 533,
  [651] = 535,
  [652] = 539,
  [653] = 539,
  [654] = 535,
  [655] = 535,
  [656] = 556,
  [657] = 533,
  [658] = 535,
  [659] = 539,
  [660] = 535,
  [661] = 546,
  [662] = 535,
  [663] = 533,
  [664] = 535,
  [665] = 545,
  [666] = 533,
  [667] = 535,
  [668] = 533,
  [669] = 533,
  [670] = 533,
  [671] = 533,
  [672] = 532,
  [673] = 535,
  [674] = 546,
  [675] = 535,
  [676] = 535,
  [677] = 535,
  [678] = 533,
  [679] = 535,
  [680] = 552,
  [681] = 532,
  [682] = 556,
  [683] = 556,
  [684] = 534,
  [685] = 546,
  [686] = 533,
  [687] = 535,
  [688] = 534,
  [689] = 535,
  [690] = 539,
  [691] = 552,
  [692] = 535,
  [693] = 539,
  [694] = 591,
  [695] = 532,
  [696] = 533,
  [697] = 535,
  [698] = 698,
  [699] = 533,
  [700] = 539,
  [701] = 523,
  [702] = 533,
  [703] = 533,
  [704] = 552,
  [705] = 533,
  [706] = 535,
  [707] = 533,
  [708] = 535,
  [709] = 534,
  [710] = 545,
  [711] = 546,
  [712] = 533,
  [713] = 532,
  [714] = 533,
  [715] = 533,
  [716] = 533,
  [717] = 591,
  [718] = 535,
  [719] = 591,
  [720] = 591,
  [721] = 535,
  [722] = 546,
  [723] = 533,
  [724] = 535,
  [725] = 534,
  [726] = 591,
  [727] = 480,
  [728] = 528,
  [729] = 533,
  [730] = 534,
  [731] = 535,
  [732] = 535,
  [733] = 534,
  [734] = 556,
  [735] = 535,
  [736] = 535,
  [737] = 533,
  [738] = 591,
  [739] = 535,
  [740] = 533,
  [741] = 535,
  [742] = 533,
  [743] = 533,
  [744] = 533,
  [745] = 545,
  [746] = 535,
  [747] = 533,
  [748] = 534,
  [749] = 533,
  [750] = 539,
  [751] = 533,
  [752] = 591,
  [753] = 535,
  [754] = 535,
  [755] = 535,
  [756] = 535,
  [757] = 591,
  [758] = 533,
  [759] = 533,
  [760] = 533,
  [761] = 535,
  [762] = 535,
  [763] = 539,
  [764] = 591,
  [765] = 533,
  [766] = 539,
  [767] = 535,
  [768] = 535,
  [769] = 591,
  [770] = 533,
  [771] = 535,
  [772] = 533,
  [773] = 533,
  [774] = 533,
  [775] = 533,
  [776] = 533,
  [777] = 533,
  [778] = 535,
  [779] = 535,
  [780] = 545,
  [781] = 534,
  [782] = 782,
  [783] = 782,
  [784] = 784,
  [785] = 784,
  [786] = 784,
  [787] = 784,
  [788] = 784,
  [789] = 782,
  [790] = 782,
  [791] = 782,
  [792] = 782,
  [793] = 782,
  [794] = 782,
  [795] = 784,
  [796] = 784,
  [797] = 784,
  [798] = 784,
  [799] = 784,
  [800] = 782,
  [801] = 782,
  [802] = 802,
  [803] = 784,
  [804] = 784,
  [805] = 784,
  [806] = 784,
  [807] = 784,
  [808] = 784,
  [809] = 784,
  [810] = 784,
  [811] = 811,
  [812] = 782,
  [813] = 784,
  [814] = 784,
  [815] = 782,
  [816] = 782,
  [817] = 784,
  [818] = 782,
  [819] = 811,
  [820] = 784,
  [821] = 784,
  [822] = 784,
  [823] = 782,
  [824] = 784,
  [825] = 782,
  [826] = 782,
  [827] = 782,
  [828] = 782,
  [829] = 784,
  [830] = 784,
  [831] = 782,
  [832] = 782,
  [833] = 782,
  [834] = 811,
  [835] = 784,
  [836] = 782,
  [837] = 782,
  [838] = 784,
  [839] = 782,
  [840] = 782,
  [841] = 784,
  [842] = 842,
  [843] = 784,
  [844] = 782,
  [845] = 811,
  [846] = 782,
  [847] = 782,
  [848] = 848,
  [849] = 784,
  [850] = 784,
  [851] = 784,
  [852] = 782,
  [853] = 784,
  [854] = 782,
  [855] = 784,
  [856] = 784,
  [857] = 784,
  [858] = 811,
  [859] = 784,
  [860] = 784,
  [861] = 782,
  [862] = 782,
  [863] = 782,
  [864] = 782,
  [865] = 782,
  [866] = 784,
  [867] = 784,
  [868] = 782,
  [869] = 784,
  [870] = 784,
  [871] = 784,
  [872] = 782,
  [873] = 782,
  [874] = 784,
  [875] = 811,
  [876] = 782,
  [877] = 782,
  [878] = 782,
  [879] = 782,
  [880] = 880,
  [881] = 784,
  [882] = 782,
  [883] = 811,
  [884] = 782,
  [885] = 782,
  [886] = 886,
  [887] = 782,
  [888] = 784,
  [889] = 782,
  [890] = 784,
  [891] = 784,
  [892] = 784,
  [893] = 784,
  [894] = 782,
  [895] = 782,
  [896] = 811,
  [897] = 784,
  [898] = 784,
  [899] = 784,
  [900] = 782,
  [901] = 782,
  [902] = 782,
  [903] = 811,
  [904] = 811,
  [905] = 784,
  [906] = 782,
  [907] = 784,
  [908] = 784,
  [909] = 909,
  [910] = 782,
  [911] = 811,
  [912] = 782,
  [913] = 782,
  [914] = 811,
  [915] = 811,
  [916] = 784,
  [917] = 784,
  [918] = 782,
  [919] = 811,
  [920] = 784,
  [921] = 782,
  [922] = 782,
  [923] = 782,
  [924] = 784,
  [925] = 782,
  [926] = 811,
  [927] = 782,
  [928] = 782,
  [929] = 782,
  [930] = 782,
  [931] = 784,
  [932] = 784,
  [933] = 784,
  [934] = 782,
  [935] = 784,
  [936] = 782,
  [937] = 784,
  [938] = 782,
  [939] = 784,
  [940] = 848,
  [941] = 909,
  [942] = 784,
  [943] = 784,
  [944] = 782,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 953,
  [955] = 953,
  [956] = 952,
  [957] = 948,
  [958] = 953,
  [959] = 959,
  [960] = 948,
  [961] = 949,
  [962] = 947,
  [963] = 947,
  [964] = 951,
  [965] = 965,
  [966] = 966,
  [967] = 947,
  [968] = 948,
  [969] = 948,
  [970] = 949,
  [971] = 947,
  [972] = 972,
  [973] = 959,
  [974] = 948,
  [975] = 951,
  [976] = 945,
  [977] = 947,
  [978] = 953,
  [979] = 952,
  [980] = 947,
  [981] = 946,
  [982] = 629,
  [983] = 966,
  [984] = 965,
  [985] = 985,
  [986] = 986,
  [987] = 966,
  [988] = 988,
  [989] = 947,
  [990] = 972,
  [991] = 948,
  [992] = 948,
  [993] = 959,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 965,
  [998] = 953,
  [999] = 972,
  [1000] = 948,
  [1001] = 959,
  [1002] = 959,
  [1003] = 1003,
  [1004] = 947,
  [1005] = 1005,
  [1006] = 959,
  [1007] = 948,
  [1008] = 947,
  [1009] = 950,
  [1010] = 950,
  [1011] = 947,
  [1012] = 945,
  [1013] = 947,
  [1014] = 953,
  [1015] = 1015,
  [1016] = 1015,
  [1017] = 947,
  [1018] = 948,
  [1019] = 946,
  [1020] = 948,
  [1021] = 988,
  [1022] = 953,
  [1023] = 994,
  [1024] = 948,
  [1025] = 959,
  [1026] = 953,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 949,
  [1031] = 953,
  [1032] = 953,
  [1033] = 959,
  [1034] = 945,
  [1035] = 1035,
  [1036] = 985,
  [1037] = 1035,
  [1038] = 947,
  [1039] = 946,
  [1040] = 953,
  [1041] = 959,
  [1042] = 995,
  [1043] = 988,
  [1044] = 996,
  [1045] = 842,
  [1046] = 698,
  [1047] = 1029,
  [1048] = 994,
  [1049] = 948,
  [1050] = 995,
  [1051] = 1028,
  [1052] = 996,
  [1053] = 947,
  [1054] = 1027,
  [1055] = 948,
  [1056] = 1003,
  [1057] = 948,
  [1058] = 1003,
  [1059] = 1005,
  [1060] = 1015,
  [1061] = 948,
  [1062] = 947,
  [1063] = 959,
  [1064] = 1005,
  [1065] = 948,
  [1066] = 985,
  [1067] = 953,
  [1068] = 1005,
  [1069] = 986,
  [1070] = 1003,
  [1071] = 985,
  [1072] = 948,
  [1073] = 986,
  [1074] = 986,
  [1075] = 996,
  [1076] = 995,
  [1077] = 985,
  [1078] = 1027,
  [1079] = 948,
  [1080] = 994,
  [1081] = 959,
  [1082] = 848,
  [1083] = 1028,
  [1084] = 986,
  [1085] = 948,
  [1086] = 1015,
  [1087] = 947,
  [1088] = 988,
  [1089] = 1029,
  [1090] = 948,
  [1091] = 951,
  [1092] = 953,
  [1093] = 953,
  [1094] = 948,
  [1095] = 950,
  [1096] = 952,
  [1097] = 1035,
  [1098] = 972,
  [1099] = 947,
  [1100] = 959,
  [1101] = 949,
  [1102] = 948,
  [1103] = 966,
  [1104] = 959,
  [1105] = 947,
  [1106] = 946,
  [1107] = 947,
  [1108] = 948,
  [1109] = 947,
  [1110] = 1035,
  [1111] = 945,
  [1112] = 953,
  [1113] = 948,
  [1114] = 948,
  [1115] = 1029,
  [1116] = 948,
  [1117] = 1028,
  [1118] = 1027,
  [1119] = 953,
  [1120] = 951,
  [1121] = 952,
  [1122] = 965,
  [1123] = 1015,
  [1124] = 947,
  [1125] = 947,
  [1126] = 959,
  [1127] = 947,
  [1128] = 948,
  [1129] = 965,
  [1130] = 965,
  [1131] = 947,
  [1132] = 948,
  [1133] = 959,
  [1134] = 959,
  [1135] = 965,
  [1136] = 959,
  [1137] = 947,
  [1138] = 947,
  [1139] = 909,
  [1140] = 966,
  [1141] = 947,
  [1142] = 1015,
  [1143] = 1005,
  [1144] = 986,
  [1145] = 1027,
  [1146] = 985,
  [1147] = 953,
  [1148] = 947,
  [1149] = 1003,
  [1150] = 947,
  [1151] = 947,
  [1152] = 959,
  [1153] = 948,
  [1154] = 952,
  [1155] = 1027,
  [1156] = 948,
  [1157] = 947,
  [1158] = 959,
  [1159] = 1028,
  [1160] = 953,
  [1161] = 951,
  [1162] = 953,
  [1163] = 947,
  [1164] = 972,
  [1165] = 1029,
  [1166] = 950,
  [1167] = 1035,
  [1168] = 949,
  [1169] = 948,
  [1170] = 948,
  [1171] = 1035,
  [1172] = 959,
  [1173] = 953,
  [1174] = 950,
  [1175] = 948,
  [1176] = 972,
  [1177] = 959,
  [1178] = 953,
  [1179] = 1028,
  [1180] = 947,
  [1181] = 1029,
  [1182] = 953,
  [1183] = 1183,
  [1184] = 948,
  [1185] = 1029,
  [1186] = 948,
  [1187] = 959,
  [1188] = 966,
  [1189] = 947,
  [1190] = 948,
  [1191] = 1028,
  [1192] = 959,
  [1193] = 948,
  [1194] = 1027,
  [1195] = 947,
  [1196] = 948,
  [1197] = 1035,
  [1198] = 947,
  [1199] = 996,
  [1200] = 995,
  [1201] = 949,
  [1202] = 953,
  [1203] = 945,
  [1204] = 948,
  [1205] = 949,
  [1206] = 966,
  [1207] = 951,
  [1208] = 995,
  [1209] = 952,
  [1210] = 1015,
  [1211] = 947,
  [1212] = 972,
  [1213] = 947,
  [1214] = 947,
  [1215] = 985,
  [1216] = 986,
  [1217] = 994,
  [1218] = 951,
  [1219] = 952,
  [1220] = 950,
  [1221] = 988,
  [1222] = 950,
  [1223] = 1005,
  [1224] = 1003,
  [1225] = 953,
  [1226] = 965,
  [1227] = 988,
  [1228] = 959,
  [1229] = 948,
  [1230] = 948,
  [1231] = 953,
  [1232] = 994,
  [1233] = 959,
  [1234] = 965,
  [1235] = 996,
  [1236] = 985,
  [1237] = 986,
  [1238] = 947,
  [1239] = 995,
  [1240] = 947,
  [1241] = 948,
  [1242] = 947,
  [1243] = 994,
  [1244] = 947,
  [1245] = 995,
  [1246] = 996,
  [1247] = 947,
  [1248] = 959,
  [1249] = 909,
  [1250] = 1003,
  [1251] = 947,
  [1252] = 988,
  [1253] = 953,
  [1254] = 959,
  [1255] = 945,
  [1256] = 946,
  [1257] = 953,
  [1258] = 1005,
  [1259] = 953,
  [1260] = 1005,
  [1261] = 988,
  [1262] = 945,
  [1263] = 994,
  [1264] = 1015,
  [1265] = 946,
  [1266] = 972,
  [1267] = 988,
  [1268] = 948,
  [1269] = 995,
  [1270] = 1027,
  [1271] = 996,
  [1272] = 1028,
  [1273] = 947,
  [1274] = 947,
  [1275] = 948,
  [1276] = 1029,
  [1277] = 946,
  [1278] = 994,
  [1279] = 1035,
  [1280] = 995,
  [1281] = 947,
  [1282] = 996,
  [1283] = 1003,
  [1284] = 1003,
  [1285] = 959,
  [1286] = 948,
  [1287] = 947,
  [1288] = 1005,
  [1289] = 848,
  [1290] = 948,
  [1291] = 953,
  [1292] = 1003,
  [1293] = 948,
  [1294] = 959,
  [1295] = 966,
  [1296] = 986,
  [1297] = 985,
  [1298] = 948,
  [1299] = 948,
  [1300] = 1003,
  [1301] = 1005,
  [1302] = 953,
  [1303] = 945,
  [1304] = 948,
  [1305] = 947,
  [1306] = 966,
  [1307] = 959,
  [1308] = 972,
  [1309] = 945,
  [1310] = 996,
  [1311] = 959,
  [1312] = 950,
  [1313] = 948,
  [1314] = 959,
  [1315] = 947,
  [1316] = 953,
  [1317] = 948,
  [1318] = 995,
  [1319] = 947,
  [1320] = 994,
  [1321] = 1035,
  [1322] = 985,
  [1323] = 986,
  [1324] = 1005,
  [1325] = 1035,
  [1326] = 1029,
  [1327] = 965,
  [1328] = 1003,
  [1329] = 959,
  [1330] = 946,
  [1331] = 1028,
  [1332] = 1029,
  [1333] = 1027,
  [1334] = 1015,
  [1335] = 1028,
  [1336] = 947,
  [1337] = 996,
  [1338] = 995,
  [1339] = 1015,
  [1340] = 959,
  [1341] = 953,
  [1342] = 994,
  [1343] = 1015,
  [1344] = 947,
  [1345] = 988,
  [1346] = 1027,
  [1347] = 988,
  [1348] = 1027,
  [1349] = 946,
  [1350] = 959,
  [1351] = 1028,
  [1352] = 945,
  [1353] = 1029,
  [1354] = 1035,
  [1355] = 988,
  [1356] = 1029,
  [1357] = 947,
  [1358] = 946,
  [1359] = 1035,
  [1360] = 1028,
  [1361] = 1027,
  [1362] = 948,
  [1363] = 986,
  [1364] = 985,
  [1365] = 1015,
  [1366] = 948,
  [1367] = 959,
  [1368] = 959,
  [1369] = 948,
  [1370] = 953,
  [1371] = 886,
  [1372] = 950,
  [1373] = 953,
  [1374] = 1027,
  [1375] = 972,
  [1376] = 1015,
  [1377] = 1028,
  [1378] = 966,
  [1379] = 945,
  [1380] = 952,
  [1381] = 953,
  [1382] = 951,
  [1383] = 948,
  [1384] = 947,
  [1385] = 947,
  [1386] = 948,
  [1387] = 953,
  [1388] = 965,
  [1389] = 994,
  [1390] = 1005,
  [1391] = 948,
  [1392] = 950,
  [1393] = 965,
  [1394] = 1029,
  [1395] = 947,
  [1396] = 948,
  [1397] = 947,
  [1398] = 972,
  [1399] = 959,
  [1400] = 953,
  [1401] = 1035,
  [1402] = 947,
  [1403] = 948,
  [1404] = 953,
  [1405] = 965,
  [1406] = 996,
  [1407] = 952,
  [1408] = 966,
  [1409] = 951,
  [1410] = 995,
  [1411] = 994,
  [1412] = 986,
  [1413] = 985,
  [1414] = 988,
  [1415] = 946,
  [1416] = 948,
  [1417] = 959,
  [1418] = 949,
  [1419] = 948,
  [1420] = 945,
  [1421] = 947,
  [1422] = 959,
  [1423] = 953,
  [1424] = 947,
  [1425] = 950,
  [1426] = 947,
  [1427] = 947,
  [1428] = 947,
  [1429] = 948,
  [1430] = 965,
  [1431] = 965,
  [1432] = 959,
  [1433] = 972,
  [1434] = 959,
  [1435] = 959,
  [1436] = 952,
  [1437] = 948,
  [1438] = 947,
  [1439] = 951,
  [1440] = 947,
  [1441] = 966,
  [1442] = 949,
  [1443] = 909,
  [1444] = 953,
  [1445] = 966,
  [1446] = 972,
  [1447] = 947,
  [1448] = 950,
  [1449] = 953,
  [1450] = 952,
  [1451] = 948,
  [1452] = 951,
  [1453] = 947,
  [1454] = 1005,
  [1455] = 949,
  [1456] = 1003,
  [1457] = 948,
  [1458] = 946,
  [1459] = 948,
  [1460] = 985,
  [1461] = 986,
  [1462] = 951,
  [1463] = 952,
  [1464] = 949,
  [1465] = 953,
  [1466] = 949,
  [1467] = 996,
  [1468] = 948,
  [1469] = 848,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1471,
  [1473] = 1470,
  [1474] = 1470,
  [1475] = 1471,
  [1476] = 909,
  [1477] = 1471,
  [1478] = 1471,
  [1479] = 1470,
  [1480] = 1471,
  [1481] = 1471,
  [1482] = 1482,
  [1483] = 1470,
  [1484] = 1484,
  [1485] = 1471,
  [1486] = 1470,
  [1487] = 1471,
  [1488] = 1484,
  [1489] = 1471,
  [1490] = 1470,
  [1491] = 1482,
  [1492] = 1492,
  [1493] = 1470,
  [1494] = 1471,
  [1495] = 1495,
  [1496] = 1471,
  [1497] = 1471,
  [1498] = 1470,
  [1499] = 1471,
  [1500] = 1482,
  [1501] = 1470,
  [1502] = 1492,
  [1503] = 1471,
  [1504] = 1492,
  [1505] = 1471,
  [1506] = 1484,
  [1507] = 1470,
  [1508] = 1495,
  [1509] = 1495,
  [1510] = 1484,
  [1511] = 1495,
  [1512] = 1470,
  [1513] = 1484,
  [1514] = 1492,
  [1515] = 1471,
  [1516] = 1471,
  [1517] = 1492,
  [1518] = 1495,
  [1519] = 1495,
  [1520] = 1470,
  [1521] = 1492,
  [1522] = 1471,
  [1523] = 1482,
  [1524] = 1495,
  [1525] = 1471,
  [1526] = 1482,
  [1527] = 1471,
  [1528] = 1495,
  [1529] = 1470,
  [1530] = 1495,
  [1531] = 1482,
  [1532] = 1495,
  [1533] = 1495,
  [1534] = 1495,
  [1535] = 1495,
  [1536] = 1471,
  [1537] = 1471,
  [1538] = 1495,
  [1539] = 1471,
  [1540] = 1470,
  [1541] = 1484,
  [1542] = 1482,
  [1543] = 1471,
  [1544] = 1470,
  [1545] = 1495,
  [1546] = 1470,
  [1547] = 1470,
  [1548] = 1471,
  [1549] = 1471,
  [1550] = 1492,
  [1551] = 1495,
  [1552] = 1495,
  [1553] = 1484,
  [1554] = 1495,
  [1555] = 1482,
  [1556] = 1495,
  [1557] = 1484,
  [1558] = 1470,
  [1559] = 1470,
  [1560] = 1495,
  [1561] = 1471,
  [1562] = 1471,
  [1563] = 1470,
  [1564] = 1495,
  [1565] = 1495,
  [1566] = 1495,
  [1567] = 1471,
  [1568] = 848,
  [1569] = 1471,
  [1570] = 1471,
  [1571] = 1495,
  [1572] = 1492,
  [1573] = 1471,
  [1574] = 1495,
  [1575] = 1495,
  [1576] = 1470,
  [1577] = 1482,
  [1578] = 1495,
  [1579] = 1471,
  [1580] = 1471,
  [1581] = 1471,
  [1582] = 1495,
  [1583] = 1471,
  [1584] = 1471,
  [1585] = 1495,
  [1586] = 1470,
  [1587] = 1470,
  [1588] = 1471,
  [1589] = 1470,
  [1590] = 1471,
  [1591] = 1471,
  [1592] = 1470,
  [1593] = 1471,
  [1594] = 1594,
  [1595] = 1471,
  [1596] = 1470,
  [1597] = 1471,
  [1598] = 1471,
  [1599] = 1470,
  [1600] = 1484,
  [1601] = 1484,
  [1602] = 1482,
  [1603] = 1471,
  [1604] = 1471,
  [1605] = 1492,
  [1606] = 1471,
  [1607] = 1492,
  [1608] = 1471,
  [1609] = 1470,
  [1610] = 1470,
  [1611] = 1495,
  [1612] = 1470,
  [1613] = 1495,
  [1614] = 1495,
  [1615] = 1471,
  [1616] = 1495,
  [1617] = 1495,
  [1618] = 1471,
  [1619] = 1495,
  [1620] = 1471,
  [1621] = 1495,
  [1622] = 1471,
  [1623] = 1495,
  [1624] = 1492,
  [1625] = 1495,
  [1626] = 1495,
  [1627] = 1495,
  [1628] = 1470,
  [1629] = 1471,
  [1630] = 1482,
  [1631] = 1471,
  [1632] = 848,
  [1633] = 1482,
  [1634] = 1470,
  [1635] = 1495,
  [1636] = 1492,
  [1637] = 1470,
  [1638] = 1495,
  [1639] = 1482,
  [1640] = 1471,
  [1641] = 1471,
  [1642] = 909,
  [1643] = 1484,
  [1644] = 1471,
  [1645] = 1471,
  [1646] = 1471,
  [1647] = 1470,
  [1648] = 1471,
  [1649] = 1470,
  [1650] = 1482,
  [1651] = 1492,
  [1652] = 1471,
  [1653] = 1470,
  [1654] = 1492,
  [1655] = 1484,
  [1656] = 1482,
  [1657] = 1471,
  [1658] = 1471,
  [1659] = 1471,
  [1660] = 1471,
  [1661] = 1470,
  [1662] = 1470,
  [1663] = 1471,
  [1664] = 1495,
  [1665] = 1492,
  [1666] = 1471,
  [1667] = 1470,
  [1668] = 1471,
  [1669] = 1484,
  [1670] = 1471,
  [1671] = 1471,
  [1672] = 1470,
  [1673] = 1470,
  [1674] = 1470,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1687,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1675,
  [1693] = 1676,
  [1694] = 1681,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1682,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1683,
  [1701] = 1701,
  [1702] = 1686,
  [1703] = 1685,
  [1704] = 1698,
  [1705] = 1682,
  [1706] = 1682,
  [1707] = 1688,
  [1708] = 1691,
  [1709] = 1699,
  [1710] = 1691,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1690,
  [1714] = 1675,
  [1715] = 1695,
  [1716] = 1712,
  [1717] = 1696,
  [1718] = 1698,
  [1719] = 1711,
  [1720] = 1683,
  [1721] = 1690,
  [1722] = 1677,
  [1723] = 1723,
  [1724] = 1675,
  [1725] = 1684,
  [1726] = 1676,
  [1727] = 1698,
  [1728] = 1678,
  [1729] = 1729,
  [1730] = 1685,
  [1731] = 1701,
  [1732] = 1681,
  [1733] = 1686,
  [1734] = 1682,
  [1735] = 1684,
  [1736] = 1677,
  [1737] = 1691,
  [1738] = 1680,
  [1739] = 1676,
  [1740] = 1681,
  [1741] = 1688,
  [1742] = 1742,
  [1743] = 1723,
  [1744] = 1688,
  [1745] = 1681,
  [1746] = 1723,
  [1747] = 1676,
  [1748] = 1679,
  [1749] = 1698,
  [1750] = 1680,
  [1751] = 1751,
  [1752] = 1723,
  [1753] = 1699,
  [1754] = 1679,
  [1755] = 1688,
  [1756] = 1678,
  [1757] = 1691,
  [1758] = 1685,
  [1759] = 1699,
  [1760] = 1688,
  [1761] = 1688,
  [1762] = 1762,
  [1763] = 1698,
  [1764] = 1762,
  [1765] = 1696,
  [1766] = 1695,
  [1767] = 1675,
  [1768] = 1690,
  [1769] = 1691,
  [1770] = 1698,
  [1771] = 1711,
  [1772] = 1686,
  [1773] = 1687,
  [1774] = 1688,
  [1775] = 1712,
  [1776] = 1678,
  [1777] = 1683,
  [1778] = 1684,
  [1779] = 1688,
  [1780] = 1684,
  [1781] = 1696,
  [1782] = 1696,
  [1783] = 1677,
  [1784] = 1695,
  [1785] = 1682,
  [1786] = 1699,
  [1787] = 1711,
  [1788] = 1701,
  [1789] = 1695,
  [1790] = 1681,
  [1791] = 1683,
  [1792] = 1712,
  [1793] = 1686,
  [1794] = 1675,
  [1795] = 1699,
  [1796] = 1690,
  [1797] = 1742,
  [1798] = 1682,
  [1799] = 1742,
  [1800] = 1691,
  [1801] = 1679,
  [1802] = 1680,
  [1803] = 1675,
  [1804] = 1698,
  [1805] = 1675,
  [1806] = 1690,
  [1807] = 1712,
  [1808] = 1711,
  [1809] = 1675,
  [1810] = 1676,
  [1811] = 1690,
  [1812] = 1677,
  [1813] = 1712,
  [1814] = 1701,
  [1815] = 1684,
  [1816] = 1690,
  [1817] = 1711,
  [1818] = 1676,
  [1819] = 1696,
  [1820] = 1701,
  [1821] = 1681,
  [1822] = 1675,
  [1823] = 1690,
  [1824] = 1824,
  [1825] = 1729,
  [1826] = 1698,
  [1827] = 1677,
  [1828] = 1742,
  [1829] = 1688,
  [1830] = 1695,
  [1831] = 1729,
  [1832] = 1824,
  [1833] = 1688,
  [1834] = 1680,
  [1835] = 1679,
  [1836] = 1687,
  [1837] = 1723,
  [1838] = 1698,
  [1839] = 1684,
  [1840] = 1691,
  [1841] = 1762,
  [1842] = 1677,
  [1843] = 1711,
  [1844] = 1723,
  [1845] = 1691,
  [1846] = 1712,
  [1847] = 1696,
  [1848] = 1729,
  [1849] = 1680,
  [1850] = 1683,
  [1851] = 1695,
  [1852] = 1679,
  [1853] = 1675,
  [1854] = 1675,
  [1855] = 1690,
  [1856] = 1711,
  [1857] = 1690,
  [1858] = 1687,
  [1859] = 1688,
  [1860] = 1687,
  [1861] = 1690,
  [1862] = 1690,
  [1863] = 1712,
  [1864] = 1742,
  [1865] = 1698,
  [1866] = 1687,
  [1867] = 1690,
  [1868] = 1701,
  [1869] = 1685,
  [1870] = 1684,
  [1871] = 1677,
  [1872] = 1690,
  [1873] = 1699,
  [1874] = 1690,
  [1875] = 1711,
  [1876] = 1675,
  [1877] = 1701,
  [1878] = 1712,
  [1879] = 1742,
  [1880] = 1698,
  [1881] = 1691,
  [1882] = 1695,
  [1883] = 1696,
  [1884] = 1688,
  [1885] = 1762,
  [1886] = 1678,
  [1887] = 1698,
  [1888] = 1678,
  [1889] = 1688,
  [1890] = 1676,
  [1891] = 1678,
  [1892] = 1696,
  [1893] = 1685,
  [1894] = 1691,
  [1895] = 1679,
  [1896] = 1680,
  [1897] = 1712,
  [1898] = 1695,
  [1899] = 1711,
  [1900] = 1675,
  [1901] = 1699,
  [1902] = 1677,
  [1903] = 1684,
  [1904] = 1683,
  [1905] = 1729,
  [1906] = 1698,
  [1907] = 1687,
  [1908] = 1690,
  [1909] = 1675,
  [1910] = 1685,
  [1911] = 1690,
  [1912] = 1677,
  [1913] = 1751,
  [1914] = 1688,
  [1915] = 1711,
  [1916] = 1690,
  [1917] = 1690,
  [1918] = 1712,
  [1919] = 1712,
  [1920] = 1677,
  [1921] = 1690,
  [1922] = 1684,
  [1923] = 1690,
  [1924] = 1682,
  [1925] = 1675,
  [1926] = 1711,
  [1927] = 1695,
  [1928] = 1690,
  [1929] = 1696,
  [1930] = 1824,
  [1931] = 1681,
  [1932] = 1677,
  [1933] = 1698,
  [1934] = 1676,
  [1935] = 1684,
  [1936] = 1691,
  [1937] = 1729,
  [1938] = 1686,
  [1939] = 1683,
  [1940] = 1690,
  [1941] = 1682,
  [1942] = 1690,
  [1943] = 1699,
  [1944] = 1690,
  [1945] = 1688,
  [1946] = 1690,
  [1947] = 1699,
  [1948] = 1681,
  [1949] = 1676,
  [1950] = 1685,
  [1951] = 1691,
  [1952] = 1723,
  [1953] = 1723,
  [1954] = 1690,
  [1955] = 1690,
  [1956] = 1723,
  [1957] = 1687,
  [1958] = 1685,
  [1959] = 1686,
  [1960] = 1723,
  [1961] = 1711,
  [1962] = 1684,
  [1963] = 1685,
  [1964] = 1682,
  [1965] = 1690,
  [1966] = 1690,
  [1967] = 1677,
  [1968] = 1678,
  [1969] = 1690,
  [1970] = 1682,
  [1971] = 1687,
  [1972] = 1686,
  [1973] = 1699,
  [1974] = 1690,
  [1975] = 1711,
  [1976] = 1684,
  [1977] = 1678,
  [1978] = 1690,
  [1979] = 1723,
  [1980] = 1690,
  [1981] = 1683,
  [1982] = 1683,
  [1983] = 1712,
  [1984] = 1699,
  [1985] = 1682,
  [1986] = 1690,
  [1987] = 1690,
  [1988] = 1680,
  [1989] = 1699,
  [1990] = 1679,
  [1991] = 1691,
  [1992] = 1685,
  [1993] = 1678,
  [1994] = 1723,
  [1995] = 1685,
  [1996] = 1682,
  [1997] = 1699,
  [1998] = 1699,
  [1999] = 1683,
  [2000] = 1676,
  [2001] = 1686,
  [2002] = 1690,
  [2003] = 1675,
  [2004] = 1698,
  [2005] = 1691,
  [2006] = 1681,
  [2007] = 1676,
  [2008] = 1681,
  [2009] = 1723,
  [2010] = 1712,
  [2011] = 1679,
  [2012] = 1680,
  [2013] = 1680,
  [2014] = 1751,
  [2015] = 1723,
  [2016] = 1699,
  [2017] = 1688,
  [2018] = 1679,
  [2019] = 1712,
  [2020] = 1711,
  [2021] = 1690,
  [2022] = 1690,
  [2023] = 1698,
  [2024] = 1675,
  [2025] = 1690,
  [2026] = 1677,
  [2027] = 1678,
  [2028] = 1685,
  [2029] = 1685,
  [2030] = 1701,
  [2031] = 1691,
  [2032] = 1690,
  [2033] = 1683,
  [2034] = 1690,
  [2035] = 1742,
  [2036] = 1678,
  [2037] = 1712,
  [2038] = 1711,
  [2039] = 1686,
  [2040] = 1688,
  [2041] = 1691,
  [2042] = 1729,
  [2043] = 1685,
  [2044] = 1688,
  [2045] = 1686,
  [2046] = 1677,
  [2047] = 1691,
  [2048] = 1684,
  [2049] = 1691,
  [2050] = 1676,
  [2051] = 1681,
  [2052] = 1688,
  [2053] = 1677,
  [2054] = 1684,
  [2055] = 1684,
  [2056] = 1684,
  [2057] = 1701,
  [2058] = 1698,
  [2059] = 1699,
  [2060] = 1679,
  [2061] = 1677,
  [2062] = 1680,
  [2063] = 1729,
  [2064] = 1742,
  [2065] = 1696,
  [2066] = 1695,
  [2067] = 1675,
  [2068] = 1690,
  [2069] = 1729,
  [2070] = 1711,
  [2071] = 1712,
  [2072] = 1678,
  [2073] = 1688,
  [2074] = 1690,
  [2075] = 1690,
  [2076] = 1698,
  [2077] = 1762,
  [2078] = 1696,
  [2079] = 1695,
  [2080] = 1675,
  [2081] = 1690,
  [2082] = 1684,
  [2083] = 1687,
  [2084] = 1729,
  [2085] = 1723,
  [2086] = 1687,
  [2087] = 1701,
  [2088] = 1686,
  [2089] = 1680,
  [2090] = 1690,
  [2091] = 1679,
  [2092] = 1742,
  [2093] = 1687,
  [2094] = 1677,
  [2095] = 1678,
  [2096] = 1691,
  [2097] = 1680,
  [2098] = 1679,
  [2099] = 1698,
  [2100] = 1690,
  [2101] = 1676,
  [2102] = 1685,
  [2103] = 1690,
  [2104] = 1675,
  [2105] = 1824,
  [2106] = 1729,
  [2107] = 1681,
  [2108] = 1712,
  [2109] = 1690,
  [2110] = 1690,
  [2111] = 1711,
  [2112] = 1699,
  [2113] = 1695,
  [2114] = 1742,
  [2115] = 1729,
  [2116] = 1723,
  [2117] = 1824,
  [2118] = 1696,
  [2119] = 1690,
  [2120] = 1698,
  [2121] = 1711,
  [2122] = 1690,
  [2123] = 1712,
  [2124] = 1711,
  [2125] = 1691,
  [2126] = 1690,
  [2127] = 1742,
  [2128] = 1690,
  [2129] = 1677,
  [2130] = 1690,
  [2131] = 1688,
  [2132] = 1690,
  [2133] = 1688,
  [2134] = 1684,
  [2135] = 1684,
  [2136] = 1742,
  [2137] = 1679,
  [2138] = 1680,
  [2139] = 1712,
  [2140] = 1681,
  [2141] = 1676,
  [2142] = 1742,
  [2143] = 1824,
  [2144] = 1729,
  [2145] = 1690,
  [2146] = 1698,
  [2147] = 1677,
  [2148] = 1742,
  [2149] = 1690,
  [2150] = 1711,
  [2151] = 1678,
  [2152] = 1677,
  [2153] = 1684,
  [2154] = 1684,
  [2155] = 1677,
  [2156] = 1712,
  [2157] = 1729,
  [2158] = 1711,
  [2159] = 1711,
  [2160] = 1712,
  [2161] = 1723,
  [2162] = 1680,
  [2163] = 1679,
  [2164] = 1690,
  [2165] = 1675,
  [2166] = 1690,
  [2167] = 1685,
  [2168] = 1675,
  [2169] = 1690,
  [2170] = 1690,
  [2171] = 1723,
  [2172] = 1691,
  [2173] = 1685,
  [2174] = 1690,
  [2175] = 1742,
  [2176] = 1690,
  [2177] = 1711,
  [2178] = 1675,
  [2179] = 1690,
  [2180] = 1742,
  [2181] = 1742,
  [2182] = 1698,
  [2183] = 1701,
  [2184] = 1687,
  [2185] = 1688,
  [2186] = 1686,
  [2187] = 1742,
  [2188] = 1690,
  [2189] = 1698,
  [2190] = 1687,
  [2191] = 1690,
  [2192] = 1729,
  [2193] = 1690,
  [2194] = 1762,
  [2195] = 1742,
  [2196] = 1690,
  [2197] = 1675,
  [2198] = 1742,
  [2199] = 1682,
  [2200] = 1695,
  [2201] = 1742,
  [2202] = 1696,
  [2203] = 1762,
  [2204] = 1683,
  [2205] = 1742,
  [2206] = 1712,
  [2207] = 1696,
  [2208] = 1699,
  [2209] = 1712,
  [2210] = 1711,
  [2211] = 1742,
  [2212] = 1695,
  [2213] = 1677,
  [2214] = 1684,
  [2215] = 1682,
  [2216] = 1698,
  [2217] = 1690,
  [2218] = 1729,
  [2219] = 1688,
  [2220] = 1675,
  [2221] = 1690,
  [2222] = 1729,
  [2223] = 1690,
  [2224] = 1684,
  [2225] = 1742,
  [2226] = 1681,
  [2227] = 1742,
  [2228] = 1676,
  [2229] = 1691,
  [2230] = 1690,
  [2231] = 1677,
  [2232] = 1684,
  [2233] = 1686,
  [2234] = 1742,
  [2235] = 1711,
  [2236] = 1690,
  [2237] = 1690,
  [2238] = 1677,
  [2239] = 1677,
  [2240] = 1684,
  [2241] = 1723,
  [2242] = 1751,
  [2243] = 1742,
  [2244] = 1699,
  [2245] = 1699,
  [2246] = 1690,
  [2247] = 1687,
  [2248] = 1690,
  [2249] = 1683,
  [2250] = 1729,
  [2251] = 1688,
  [2252] = 1691,
  [2253] = 1699,
  [2254] = 1690,
  [2255] = 1742,
  [2256] = 1690,
  [2257] = 1690,
  [2258] = 1742,
  [2259] = 1690,
  [2260] = 1690,
  [2261] = 1699,
  [2262] = 1690,
  [2263] = 1690,
  [2264] = 1729,
  [2265] = 1699,
  [2266] = 1684,
  [2267] = 1677,
  [2268] = 1690,
  [2269] = 1690,
  [2270] = 1690,
  [2271] = 1682,
  [2272] = 1682,
  [2273] = 1690,
  [2274] = 1690,
  [2275] = 1691,
  [2276] = 1682,
  [2277] = 1723,
  [2278] = 1723,
  [2279] = 1685,
  [2280] = 1723,
  [2281] = 1685,
  [2282] = 1678,
  [2283] = 1688,
  [2284] = 1711,
  [2285] = 1690,
  [2286] = 1699,
  [2287] = 1678,
  [2288] = 1712,
  [2289] = 1691,
  [2290] = 1683,
  [2291] = 1678,
  [2292] = 1678,
  [2293] = 1712,
  [2294] = 1723,
  [2295] = 1685,
  [2296] = 1685,
  [2297] = 1678,
  [2298] = 1678,
  [2299] = 1723,
  [2300] = 1686,
  [2301] = 1683,
  [2302] = 1687,
  [2303] = 1698,
  [2304] = 1675,
  [2305] = 1690,
  [2306] = 1685,
  [2307] = 1686,
  [2308] = 1691,
  [2309] = 1684,
  [2310] = 1677,
  [2311] = 1712,
  [2312] = 1687,
  [2313] = 1676,
  [2314] = 1681,
  [2315] = 1690,
  [2316] = 1723,
  [2317] = 1675,
  [2318] = 1685,
  [2319] = 1678,
  [2320] = 1712,
  [2321] = 1688,
  [2322] = 1711,
  [2323] = 1690,
  [2324] = 1695,
  [2325] = 1696,
  [2326] = 1723,
  [2327] = 1698,
  [2328] = 1690,
  [2329] = 1675,
  [2330] = 1685,
  [2331] = 1678,
  [2332] = 1698,
  [2333] = 1723,
  [2334] = 1676,
  [2335] = 1677,
  [2336] = 1695,
  [2337] = 1696,
  [2338] = 1684,
  [2339] = 1698,
  [2340] = 1690,
  [2341] = 1690,
  [2342] = 1688,
  [2343] = 1690,
  [2344] = 1681,
  [2345] = 1742,
  [2346] = 1681,
  [2347] = 1676,
  [2348] = 1691,
  [2349] = 1685,
  [2350] = 1688,
  [2351] = 1698,
  [2352] = 1696,
  [2353] = 1695,
  [2354] = 1675,
  [2355] = 1690,
  [2356] = 1711,
  [2357] = 1679,
  [2358] = 1680,
  [2359] = 1680,
  [2360] = 1679,
  [2361] = 1711,
  [2362] = 1712,
  [2363] = 1684,
  [2364] = 1677,
  [2365] = 1677,
  [2366] = 1684,
  [2367] = 1687,
  [2368] = 1675,
  [2369] = 1711,
  [2370] = 1687,
  [2371] = 1712,
  [2372] = 1712,
  [2373] = 1690,
  [2374] = 1690,
  [2375] = 1678,
  [2376] = 1675,
  [2377] = 1712,
  [2378] = 1679,
  [2379] = 1680,
  [2380] = 1695,
  [2381] = 1699,
  [2382] = 1696,
  [2383] = 1698,
  [2384] = 1678,
  [2385] = 1686,
  [2386] = 1695,
  [2387] = 1683,
  [2388] = 1699,
  [2389] = 1682,
  [2390] = 1691,
  [2391] = 1688,
  [2392] = 1742,
  [2393] = 1711,
  [2394] = 1685,
  [2395] = 1742,
  [2396] = 1711,
  [2397] = 1742,
  [2398] = 1688,
  [2399] = 1683,
  [2400] = 1742,
  [2401] = 1675,
  [2402] = 1698,
  [2403] = 1742,
  [2404] = 1685,
  [2405] = 1696,
  [2406] = 1742,
  [2407] = 1698,
  [2408] = 1677,
  [2409] = 1742,
  [2410] = 1684,
  [2411] = 1688,
  [2412] = 1678,
  [2413] = 1691,
  [2414] = 1729,
  [2415] = 1683,
  [2416] = 1681,
  [2417] = 1686,
  [2418] = 1676,
  [2419] = 1691,
  [2420] = 1699,
  [2421] = 1682,
  [2422] = 1699,
  [2423] = 1686,
  [2424] = 1691,
  [2425] = 1683,
  [2426] = 1688,
  [2427] = 1699,
  [2428] = 1699,
  [2429] = 1682,
  [2430] = 1682,
  [2431] = 1699,
  [2432] = 1683,
  [2433] = 1742,
  [2434] = 1685,
  [2435] = 1688,
  [2436] = 1742,
  [2437] = 1691,
  [2438] = 1686,
  [2439] = 1691,
  [2440] = 1676,
  [2441] = 1681,
  [2442] = 1742,
  [2443] = 1723,
  [2444] = 1742,
  [2445] = 1682,
  [2446] = 1699,
  [2447] = 1742,
  [2448] = 1742,
  [2449] = 1742,
  [2450] = 1742,
  [2451] = 1678,
  [2452] = 1742,
  [2453] = 1701,
  [2454] = 1684,
  [2455] = 1742,
  [2456] = 1677,
  [2457] = 1742,
  [2458] = 1742,
  [2459] = 1742,
  [2460] = 1684,
  [2461] = 1742,
  [2462] = 1742,
  [2463] = 1683,
  [2464] = 1711,
  [2465] = 1712,
  [2466] = 1688,
  [2467] = 1824,
  [2468] = 1742,
  [2469] = 1729,
  [2470] = 1698,
  [2471] = 1742,
  [2472] = 1742,
  [2473] = 1762,
  [2474] = 1696,
  [2475] = 1695,
  [2476] = 1682,
  [2477] = 1675,
  [2478] = 1699,
  [2479] = 1690,
  [2480] = 1824,
  [2481] = 1687,
  [2482] = 1729,
  [2483] = 1742,
  [2484] = 1684,
  [2485] = 1691,
  [2486] = 1688,
  [2487] = 1681,
  [2488] = 1677,
  [2489] = 1696,
  [2490] = 1742,
  [2491] = 1695,
  [2492] = 1675,
  [2493] = 1698,
  [2494] = 1681,
  [2495] = 1675,
  [2496] = 1711,
  [2497] = 1712,
  [2498] = 1677,
  [2499] = 1690,
  [2500] = 1686,
  [2501] = 1701,
  [2502] = 1712,
  [2503] = 1698,
  [2504] = 1729,
  [2505] = 1679,
  [2506] = 1711,
  [2507] = 1680,
  [2508] = 1677,
  [2509] = 1684,
  [2510] = 1712,
  [2511] = 1684,
  [2512] = 1711,
  [2513] = 1742,
  [2514] = 1676,
  [2515] = 1677,
  [2516] = 1690,
  [2517] = 1677,
  [2518] = 1691,
  [2519] = 1711,
  [2520] = 1687,
  [2521] = 1712,
  [2522] = 1684,
  [2523] = 1690,
  [2524] = 2524,
  [2525] = 1824,
  [2526] = 1729,
  [2527] = 1675,
  [2528] = 1681,
  [2529] = 1687,
  [2530] = 2530,
  [2531] = 1687,
  [2532] = 1695,
  [2533] = 1690,
  [2534] = 1696,
  [2535] = 1675,
  [2536] = 1695,
  [2537] = 1723,
  [2538] = 1686,
  [2539] = 1683,
  [2540] = 1762,
  [2541] = 1696,
  [2542] = 1699,
  [2543] = 1698,
  [2544] = 1676,
  [2545] = 1683,
  [2546] = 1688,
  [2547] = 1691,
  [2548] = 1682,
  [2549] = 1699,
  [2550] = 1682,
  [2551] = 1712,
  [2552] = 1711,
  [2553] = 1688,
  [2554] = 1677,
  [2555] = 1684,
  [2556] = 1691,
  [2557] = 1678,
  [2558] = 1688,
  [2559] = 1681,
  [2560] = 1681,
  [2561] = 1676,
  [2562] = 1676,
  [2563] = 1682,
  [2564] = 1691,
  [2565] = 1729,
  [2566] = 1698,
  [2567] = 1675,
  [2568] = 1691,
  [2569] = 1686,
  [2570] = 1711,
  [2571] = 1690,
  [2572] = 1698,
  [2573] = 1712,
  [2574] = 1686,
  [2575] = 1683,
  [2576] = 1675,
  [2577] = 1691,
  [2578] = 1676,
  [2579] = 1681,
  [2580] = 1682,
  [2581] = 2530,
  [2582] = 1690,
  [2583] = 1699,
  [2584] = 1682,
  [2585] = 1683,
  [2586] = 1699,
  [2587] = 1729,
  [2588] = 1712,
  [2589] = 1711,
  [2590] = 1723,
  [2591] = 1677,
  [2592] = 1684,
  [2593] = 1751,
  [2594] = 1699,
  [2595] = 1684,
  [2596] = 1682,
  [2597] = 1677,
  [2598] = 1711,
  [2599] = 1682,
  [2600] = 1682,
  [2601] = 1699,
  [2602] = 1723,
  [2603] = 1699,
  [2604] = 1685,
  [2605] = 1688,
  [2606] = 1682,
  [2607] = 1680,
  [2608] = 1712,
  [2609] = 1699,
  [2610] = 1711,
  [2611] = 1729,
  [2612] = 1677,
  [2613] = 1684,
  [2614] = 2524,
  [2615] = 1824,
  [2616] = 1712,
  [2617] = 1679,
  [2618] = 1698,
  [2619] = 1680,
  [2620] = 1679,
  [2621] = 1688,
  [2622] = 1686,
  [2623] = 1729,
  [2624] = 1696,
  [2625] = 1690,
  [2626] = 1695,
  [2627] = 1691,
  [2628] = 1679,
  [2629] = 1683,
  [2630] = 1680,
  [2631] = 1686,
  [2632] = 1698,
  [2633] = 1675,
  [2634] = 1698,
  [2635] = 1723,
  [2636] = 1696,
  [2637] = 1729,
  [2638] = 1684,
  [2639] = 1695,
  [2640] = 1684,
  [2641] = 1677,
  [2642] = 1699,
  [2643] = 1687,
  [2644] = 1683,
  [2645] = 1711,
  [2646] = 1691,
  [2647] = 1712,
  [2648] = 1688,
  [2649] = 1675,
  [2650] = 1675,
  [2651] = 1685,
  [2652] = 1690,
  [2653] = 1688,
  [2654] = 1690,
  [2655] = 1691,
  [2656] = 1699,
  [2657] = 1682,
  [2658] = 1687,
  [2659] = 1677,
  [2660] = 1684,
  [2661] = 1677,
  [2662] = 1687,
  [2663] = 1699,
  [2664] = 1712,
  [2665] = 1711,
  [2666] = 1683,
  [2667] = 1711,
  [2668] = 1678,
  [2669] = 1712,
  [2670] = 1679,
  [2671] = 1680,
  [2672] = 1678,
  [2673] = 1711,
  [2674] = 1677,
  [2675] = 1712,
  [2676] = 1711,
  [2677] = 1686,
  [2678] = 1712,
  [2679] = 1684,
  [2680] = 1677,
  [2681] = 1699,
  [2682] = 1684,
  [2683] = 1687,
  [2684] = 1729,
  [2685] = 1729,
  [2686] = 1729,
  [2687] = 1684,
  [2688] = 1691,
  [2689] = 1685,
  [2690] = 1687,
  [2691] = 1723,
  [2692] = 1677,
  [2693] = 1711,
  [2694] = 1685,
  [2695] = 1688,
  [2696] = 1698,
  [2697] = 1675,
  [2698] = 1690,
  [2699] = 1687,
  [2700] = 1690,
  [2701] = 1690,
  [2702] = 1712,
  [2703] = 1675,
  [2704] = 1711,
  [2705] = 1695,
  [2706] = 1696,
  [2707] = 1676,
  [2708] = 1685,
  [2709] = 1678,
  [2710] = 1676,
  [2711] = 1678,
  [2712] = 1675,
  [2713] = 1695,
  [2714] = 1696,
  [2715] = 1684,
  [2716] = 1698,
  [2717] = 1675,
  [2718] = 1698,
  [2719] = 1677,
  [2720] = 1685,
  [2721] = 1690,
  [2722] = 1686,
  [2723] = 1711,
  [2724] = 1687,
  [2725] = 1678,
  [2726] = 1690,
  [2727] = 1675,
  [2728] = 1681,
  [2729] = 1679,
  [2730] = 1680,
  [2731] = 1690,
  [2732] = 1723,
  [2733] = 1675,
  [2734] = 1677,
  [2735] = 1698,
  [2736] = 1695,
  [2737] = 1684,
  [2738] = 1696,
  [2739] = 1688,
  [2740] = 1688,
  [2741] = 1690,
  [2742] = 1681,
  [2743] = 1676,
  [2744] = 1698,
  [2745] = 1688,
  [2746] = 1691,
  [2747] = 1698,
  [2748] = 1685,
  [2749] = 1696,
  [2750] = 1712,
  [2751] = 1688,
  [2752] = 1675,
  [2753] = 1691,
  [2754] = 1676,
  [2755] = 1682,
  [2756] = 1681,
  [2757] = 1681,
  [2758] = 1699,
  [2759] = 1695,
  [2760] = 1696,
  [2761] = 1690,
  [2762] = 1679,
  [2763] = 1680,
  [2764] = 1683,
  [2765] = 1698,
  [2766] = 1688,
  [2767] = 1678,
  [2768] = 1676,
  [2769] = 1679,
  [2770] = 1680,
  [2771] = 1695,
  [2772] = 1723,
  [2773] = 1691,
  [2774] = 1685,
  [2775] = 1686,
  [2776] = 1675,
  [2777] = 1698,
  [2778] = 1688,
  [2779] = 1691,
  [2780] = 1712,
  [2781] = 2530,
  [2782] = 1676,
  [2783] = 1681,
  [2784] = 1682,
  [2785] = 1729,
  [2786] = 1824,
  [2787] = 1699,
  [2788] = 1762,
  [2789] = 1696,
  [2790] = 1684,
  [2791] = 1678,
  [2792] = 1688,
  [2793] = 1679,
  [2794] = 1680,
  [2795] = 1675,
  [2796] = 1723,
  [2797] = 1723,
  [2798] = 1690,
  [2799] = 1686,
  [2800] = 1687,
  [2801] = 1683,
  [2802] = 1699,
  [2803] = 1682,
  [2804] = 1683,
  [2805] = 1681,
  [2806] = 1691,
  [2807] = 1677,
  [2808] = 1683,
  [2809] = 1685,
  [2810] = 1686,
  [2811] = 1695,
  [2812] = 1675,
  [2813] = 1711,
  [2814] = 1712,
  [2815] = 1690,
  [2816] = 1699,
  [2817] = 1691,
  [2818] = 1676,
  [2819] = 1681,
  [2820] = 1688,
  [2821] = 1676,
  [2822] = 1698,
  [2823] = 1688,
  [2824] = 1691,
  [2825] = 1687,
  [2826] = 1678,
  [2827] = 1699,
  [2828] = 1679,
  [2829] = 1680,
  [2830] = 1698,
  [2831] = 1723,
  [2832] = 1699,
  [2833] = 1682,
  [2834] = 1696,
  [2835] = 1691,
  [2836] = 1688,
  [2837] = 1695,
  [2838] = 1675,
  [2839] = 1698,
  [2840] = 1675,
  [2841] = 1690,
  [2842] = 1690,
  [2843] = 1729,
  [2844] = 1712,
  [2845] = 1711,
  [2846] = 1686,
  [2847] = 1685,
  [2848] = 1696,
  [2849] = 1695,
  [2850] = 1675,
  [2851] = 1686,
  [2852] = 1690,
  [2853] = 1712,
  [2854] = 1711,
  [2855] = 1687,
  [2856] = 1677,
  [2857] = 1687,
  [2858] = 1683,
  [2859] = 1690,
  [2860] = 1675,
  [2861] = 1695,
  [2862] = 1696,
  [2863] = 1762,
  [2864] = 1678,
  [2865] = 1684,
  [2866] = 1679,
  [2867] = 1680,
  [2868] = 1691,
  [2869] = 1723,
  [2870] = 1684,
  [2871] = 1676,
  [2872] = 1685,
  [2873] = 1687,
  [2874] = 1698,
  [2875] = 1688,
  [2876] = 1681,
  [2877] = 1723,
  [2878] = 1698,
  [2879] = 1680,
  [2880] = 1679,
  [2881] = 1677,
  [2882] = 1712,
  [2883] = 1711,
  [2884] = 1684,
  [2885] = 1723,
  [2886] = 1712,
  [2887] = 1685,
  [2888] = 1687,
  [2889] = 1690,
  [2890] = 1711,
  [2891] = 1712,
  [2892] = 1677,
  [2893] = 1681,
  [2894] = 1676,
  [2895] = 1691,
  [2896] = 1684,
  [2897] = 1678,
  [2898] = 1711,
  [2899] = 1679,
  [2900] = 1680,
  [2901] = 1686,
  [2902] = 1723,
  [2903] = 1682,
  [2904] = 1824,
  [2905] = 1685,
  [2906] = 1729,
  [2907] = 1683,
  [2908] = 1712,
  [2909] = 1729,
  [2910] = 1675,
  [2911] = 1680,
  [2912] = 1679,
  [2913] = 1711,
  [2914] = 1690,
  [2915] = 1675,
  [2916] = 1698,
  [2917] = 1695,
  [2918] = 1677,
  [2919] = 1684,
  [2920] = 1688,
  [2921] = 1678,
  [2922] = 1678,
  [2923] = 1691,
  [2924] = 1679,
  [2925] = 1681,
  [2926] = 1680,
  [2927] = 1676,
  [2928] = 1723,
  [2929] = 1691,
  [2930] = 1685,
  [2931] = 1712,
  [2932] = 1678,
  [2933] = 1711,
  [2934] = 1696,
  [2935] = 1762,
  [2936] = 1686,
  [2937] = 1677,
  [2938] = 1729,
  [2939] = 1683,
  [2940] = 1684,
  [2941] = 1685,
  [2942] = 1699,
  [2943] = 1682,
  [2944] = 1729,
  [2945] = 1684,
  [2946] = 1698,
  [2947] = 1699,
  [2948] = 1677,
  [2949] = 1711,
  [2950] = 1688,
  [2951] = 1682,
  [2952] = 1699,
  [2953] = 1699,
  [2954] = 1685,
  [2955] = 1683,
  [2956] = 1751,
  [2957] = 1723,
  [2958] = 1699,
  [2959] = 1723,
  [2960] = 1712,
  [2961] = 1680,
  [2962] = 1679,
  [2963] = 1699,
  [2964] = 1686,
  [2965] = 1678,
  [2966] = 1685,
  [2967] = 1678,
  [2968] = 1677,
  [2969] = 1678,
  [2970] = 1679,
  [2971] = 1680,
  [2972] = 1685,
  [2973] = 1723,
  [2974] = 1682,
  [2975] = 1685,
  [2976] = 1691,
  [2977] = 1676,
  [2978] = 1681,
  [2979] = 1684,
  [2980] = 1677,
  [2981] = 1729,
  [2982] = 1688,
  [2983] = 1699,
  [2984] = 1682,
  [2985] = 1687,
  [2986] = 1824,
  [2987] = 1699,
  [2988] = 1695,
  [2989] = 1698,
  [2990] = 1696,
  [2991] = 1683,
  [2992] = 1711,
  [2993] = 1698,
  [2994] = 1686,
  [2995] = 1712,
  [2996] = 1690,
  [2997] = 1696,
  [2998] = 1688,
  [2999] = 1691,
  [3000] = 1681,
  [3001] = 1683,
  [3002] = 1723,
  [3003] = 1680,
  [3004] = 1679,
  [3005] = 1675,
  [3006] = 1678,
  [3007] = 1684,
  [3008] = 1677,
  [3009] = 1699,
  [3010] = 1684,
  [3011] = 1695,
  [3012] = 1678,
  [3013] = 1679,
  [3014] = 1677,
  [3015] = 1680,
  [3016] = 1729,
  [3017] = 1723,
  [3018] = 1711,
  [3019] = 1712,
  [3020] = 1824,
  [3021] = 1682,
  [3022] = 1684,
  [3023] = 1687,
  [3024] = 1690,
  [3025] = 1675,
  [3026] = 1677,
  [3027] = 1695,
  [3028] = 1711,
  [3029] = 1685,
  [3030] = 1678,
  [3031] = 1686,
  [3032] = 1682,
  [3033] = 1681,
  [3034] = 1676,
  [3035] = 1685,
  [3036] = 1679,
  [3037] = 1680,
  [3038] = 1695,
  [3039] = 1696,
  [3040] = 1691,
  [3041] = 1675,
  [3042] = 1677,
  [3043] = 1699,
  [3044] = 1698,
  [3045] = 1729,
  [3046] = 1678,
  [3047] = 1684,
  [3048] = 1679,
  [3049] = 1680,
  [3050] = 1712,
  [3051] = 1723,
  [3052] = 1696,
  [3053] = 1688,
  [3054] = 1698,
  [3055] = 1723,
  [3056] = 1698,
  [3057] = 1675,
  [3058] = 1688,
  [3059] = 1729,
  [3060] = 1699,
  [3061] = 1690,
  [3062] = 1681,
  [3063] = 1676,
  [3064] = 1691,
  [3065] = 1691,
  [3066] = 1688,
  [3067] = 1762,
  [3068] = 1696,
  [3069] = 1695,
  [3070] = 1685,
  [3071] = 1711,
  [3072] = 1691,
  [3073] = 1691,
  [3074] = 1688,
  [3075] = 1699,
  [3076] = 1684,
  [3077] = 1677,
  [3078] = 1676,
  [3079] = 1698,
  [3080] = 1723,
  [3081] = 1681,
  [3082] = 1680,
  [3083] = 1679,
  [3084] = 1712,
  [3085] = 1678,
  [3086] = 1675,
  [3087] = 1678,
  [3088] = 1711,
  [3089] = 1686,
  [3090] = 1698,
  [3091] = 1675,
  [3092] = 1679,
  [3093] = 1680,
  [3094] = 1690,
  [3095] = 1723,
  [3096] = 1690,
  [3097] = 1712,
  [3098] = 1688,
  [3099] = 1683,
  [3100] = 1675,
  [3101] = 1690,
  [3102] = 1699,
  [3103] = 1682,
  [3104] = 1712,
  [3105] = 1729,
  [3106] = 1712,
  [3107] = 1711,
  [3108] = 1684,
  [3109] = 1677,
  [3110] = 1685,
  [3111] = 1687,
  [3112] = 1685,
  [3113] = 1690,
  [3114] = 1675,
  [3115] = 1698,
  [3116] = 1711,
  [3117] = 1687,
  [3118] = 1688,
  [3119] = 1691,
  [3120] = 1723,
  [3121] = 1688,
  [3122] = 1677,
  [3123] = 1684,
  [3124] = 1690,
  [3125] = 1675,
  [3126] = 1695,
  [3127] = 1678,
  [3128] = 1696,
  [3129] = 1687,
  [3130] = 1679,
  [3131] = 1680,
  [3132] = 1683,
  [3133] = 1723,
  [3134] = 1686,
  [3135] = 1681,
  [3136] = 1711,
  [3137] = 1680,
  [3138] = 1679,
  [3139] = 1698,
  [3140] = 1688,
  [3141] = 1687,
  [3142] = 1677,
  [3143] = 1684,
  [3144] = 1698,
  [3145] = 1682,
  [3146] = 1685,
  [3147] = 1680,
  [3148] = 1676,
  [3149] = 1691,
  [3150] = 1679,
  [3151] = 1679,
  [3152] = 1680,
  [3153] = 1681,
  [3154] = 1712,
  [3155] = 1678,
  [3156] = 1723,
  [3157] = 1685,
  [3158] = 1688,
  [3159] = 1711,
  [3160] = 1696,
  [3161] = 1681,
  [3162] = 1751,
  [3163] = 1676,
  [3164] = 1683,
  [3165] = 1723,
  [3166] = 1698,
  [3167] = 1686,
  [3168] = 1699,
  [3169] = 1696,
  [3170] = 1691,
  [3171] = 1695,
  [3172] = 1680,
  [3173] = 1695,
  [3174] = 1679,
  [3175] = 1691,
  [3176] = 1675,
  [3177] = 1676,
  [3178] = 1678,
  [3179] = 1690,
  [3180] = 1712,
  [3181] = 1679,
  [3182] = 1680,
  [3183] = 1699,
  [3184] = 1678,
  [3185] = 1723,
  [3186] = 1686,
  [3187] = 1681,
  [3188] = 1690,
  [3189] = 1678,
  [3190] = 1683,
  [3191] = 1676,
  [3192] = 1699,
  [3193] = 1682,
  [3194] = 1695,
  [3195] = 1699,
  [3196] = 1675,
  [3197] = 1691,
  [3198] = 1688,
  [3199] = 1685,
  [3200] = 1691,
  [3201] = 1698,
  [3202] = 1683,
  [3203] = 1690,
  [3204] = 1690,
  [3205] = 1677,
  [3206] = 1686,
  [3207] = 1696,
  [3208] = 1762,
  [3209] = 1712,
  [3210] = 1685,
  [3211] = 1685,
  [3212] = 1699,
  [3213] = 1711,
  [3214] = 1729,
  [3215] = 1677,
  [3216] = 1684,
  [3217] = 1687,
  [3218] = 1684,
  [3219] = 1677,
  [3220] = 1687,
  [3221] = 1684,
  [3222] = 1678,
  [3223] = 1698,
  [3224] = 1712,
  [3225] = 1711,
  [3226] = 1683,
  [3227] = 1729,
  [3228] = 1688,
  [3229] = 1679,
  [3230] = 1680,
  [3231] = 1723,
  [3232] = 3232,
  [3233] = 3233,
  [3234] = 3233,
  [3235] = 3233,
  [3236] = 3236,
  [3237] = 3237,
  [3238] = 3237,
  [3239] = 3233,
  [3240] = 3240,
  [3241] = 3233,
  [3242] = 3242,
  [3243] = 3233,
  [3244] = 3244,
  [3245] = 3233,
  [3246] = 3242,
  [3247] = 3247,
  [3248] = 3248,
  [3249] = 3249,
  [3250] = 3250,
  [3251] = 3251,
  [3252] = 3252,
  [3253] = 3253,
  [3254] = 3254,
  [3255] = 3255,
  [3256] = 3256,
  [3257] = 3256,
  [3258] = 3250,
  [3259] = 3259,
  [3260] = 3247,
  [3261] = 3255,
  [3262] = 3254,
  [3263] = 3248,
  [3264] = 3252,
  [3265] = 3253,
  [3266] = 3254,
  [3267] = 3255,
  [3268] = 3256,
  [3269] = 3250,
  [3270] = 3259,
  [3271] = 3247,
  [3272] = 3248,
  [3273] = 3251,
  [3274] = 3274,
  [3275] = 3251,
  [3276] = 3274,
  [3277] = 3277,
  [3278] = 3277,
  [3279] = 3279,
  [3280] = 3253,
  [3281] = 3252,
  [3282] = 3282,
  [3283] = 3279,
  [3284] = 3284,
  [3285] = 3285,
  [3286] = 3286,
  [3287] = 3248,
  [3288] = 3254,
  [3289] = 3282,
  [3290] = 3284,
  [3291] = 3285,
  [3292] = 3255,
  [3293] = 3247,
  [3294] = 3285,
  [3295] = 3284,
  [3296] = 3282,
  [3297] = 3279,
  [3298] = 3277,
  [3299] = 3274,
  [3300] = 3251,
  [3301] = 3259,
  [3302] = 3248,
  [3303] = 3250,
  [3304] = 3247,
  [3305] = 3259,
  [3306] = 3252,
  [3307] = 3250,
  [3308] = 3253,
  [3309] = 3256,
  [3310] = 3252,
  [3311] = 3251,
  [3312] = 3256,
  [3313] = 3274,
  [3314] = 3282,
  [3315] = 3284,
  [3316] = 3285,
  [3317] = 3255,
  [3318] = 3254,
  [3319] = 3284,
  [3320] = 3255,
  [3321] = 3256,
  [3322] = 3253,
  [3323] = 3256,
  [3324] = 3252,
  [3325] = 3255,
  [3326] = 3254,
  [3327] = 3250,
  [3328] = 3259,
  [3329] = 3250,
  [3330] = 3253,
  [3331] = 3252,
  [3332] = 3248,
  [3333] = 3285,
  [3334] = 3284,
  [3335] = 3282,
  [3336] = 3279,
  [3337] = 3277,
  [3338] = 3274,
  [3339] = 3247,
  [3340] = 3248,
  [3341] = 3251,
  [3342] = 3251,
  [3343] = 3248,
  [3344] = 3274,
  [3345] = 3247,
  [3346] = 3277,
  [3347] = 3259,
  [3348] = 3250,
  [3349] = 3256,
  [3350] = 3255,
  [3351] = 3254,
  [3352] = 3253,
  [3353] = 3252,
  [3354] = 3251,
  [3355] = 3252,
  [3356] = 3274,
  [3357] = 3251,
  [3358] = 3282,
  [3359] = 3274,
  [3360] = 3284,
  [3361] = 3285,
  [3362] = 3277,
  [3363] = 3279,
  [3364] = 3282,
  [3365] = 3285,
  [3366] = 3251,
  [3367] = 3284,
  [3368] = 3279,
  [3369] = 3282,
  [3370] = 3279,
  [3371] = 3277,
  [3372] = 3274,
  [3373] = 3251,
  [3374] = 3248,
  [3375] = 3247,
  [3376] = 3259,
  [3377] = 3250,
  [3378] = 3256,
  [3379] = 3255,
  [3380] = 3254,
  [3381] = 3253,
  [3382] = 3252,
  [3383] = 3284,
  [3384] = 3285,
  [3385] = 3284,
  [3386] = 3282,
  [3387] = 3279,
  [3388] = 3277,
  [3389] = 3274,
  [3390] = 3251,
  [3391] = 3248,
  [3392] = 3247,
  [3393] = 3259,
  [3394] = 3250,
  [3395] = 3252,
  [3396] = 3256,
  [3397] = 3255,
  [3398] = 3254,
  [3399] = 3251,
  [3400] = 3253,
  [3401] = 3274,
  [3402] = 3282,
  [3403] = 3284,
  [3404] = 3285,
  [3405] = 3286,
  [3406] = 3252,
  [3407] = 3286,
  [3408] = 3285,
  [3409] = 3285,
  [3410] = 3284,
  [3411] = 3282,
  [3412] = 3282,
  [3413] = 3279,
  [3414] = 3277,
  [3415] = 3284,
  [3416] = 3282,
  [3417] = 3279,
  [3418] = 3277,
  [3419] = 3274,
  [3420] = 3251,
  [3421] = 3248,
  [3422] = 3247,
  [3423] = 3259,
  [3424] = 3250,
  [3425] = 3256,
  [3426] = 3255,
  [3427] = 3254,
  [3428] = 3253,
  [3429] = 3252,
  [3430] = 3284,
  [3431] = 3285,
  [3432] = 3274,
  [3433] = 3285,
  [3434] = 3251,
  [3435] = 3252,
  [3436] = 3253,
  [3437] = 3254,
  [3438] = 3255,
  [3439] = 3256,
  [3440] = 3250,
  [3441] = 3259,
  [3442] = 3274,
  [3443] = 3247,
  [3444] = 3248,
  [3445] = 3286,
  [3446] = 3285,
  [3447] = 3284,
  [3448] = 3282,
  [3449] = 3248,
  [3450] = 3279,
  [3451] = 3277,
  [3452] = 3274,
  [3453] = 3251,
  [3454] = 3248,
  [3455] = 3247,
  [3456] = 3259,
  [3457] = 3250,
  [3458] = 3256,
  [3459] = 3255,
  [3460] = 3254,
  [3461] = 3253,
  [3462] = 3282,
  [3463] = 3251,
  [3464] = 3252,
  [3465] = 3274,
  [3466] = 3285,
  [3467] = 3277,
  [3468] = 3279,
  [3469] = 3279,
  [3470] = 3282,
  [3471] = 3284,
  [3472] = 3285,
  [3473] = 3284,
  [3474] = 3282,
  [3475] = 3277,
  [3476] = 3279,
  [3477] = 3277,
  [3478] = 3274,
  [3479] = 3251,
  [3480] = 3248,
  [3481] = 3247,
  [3482] = 3259,
  [3483] = 3247,
  [3484] = 3250,
  [3485] = 3256,
  [3486] = 3252,
  [3487] = 3255,
  [3488] = 3251,
  [3489] = 3254,
  [3490] = 3253,
  [3491] = 3254,
  [3492] = 3255,
  [3493] = 3256,
  [3494] = 3250,
  [3495] = 3259,
  [3496] = 3248,
  [3497] = 3274,
  [3498] = 3247,
  [3499] = 3247,
  [3500] = 3248,
  [3501] = 3251,
  [3502] = 3274,
  [3503] = 3277,
  [3504] = 3279,
  [3505] = 3253,
  [3506] = 3282,
  [3507] = 3284,
  [3508] = 3285,
  [3509] = 3286,
  [3510] = 3252,
  [3511] = 3285,
  [3512] = 3252,
  [3513] = 3252,
  [3514] = 3259,
  [3515] = 3256,
  [3516] = 3253,
  [3517] = 3254,
  [3518] = 3255,
  [3519] = 3256,
  [3520] = 3250,
  [3521] = 3259,
  [3522] = 3247,
  [3523] = 3248,
  [3524] = 3251,
  [3525] = 3274,
  [3526] = 3277,
  [3527] = 3279,
  [3528] = 3282,
  [3529] = 3284,
  [3530] = 3285,
  [3531] = 3285,
  [3532] = 3284,
  [3533] = 3282,
  [3534] = 3279,
  [3535] = 3277,
  [3536] = 3274,
  [3537] = 3251,
  [3538] = 3538,
  [3539] = 3259,
  [3540] = 3247,
  [3541] = 3259,
  [3542] = 3250,
  [3543] = 3256,
  [3544] = 3255,
  [3545] = 3254,
  [3546] = 3253,
  [3547] = 3252,
  [3548] = 3548,
  [3549] = 3255,
  [3550] = 3254,
  [3551] = 3253,
  [3552] = 3285,
  [3553] = 3250,
  [3554] = 3259,
  [3555] = 3284,
  [3556] = 3282,
  [3557] = 3286,
  [3558] = 3252,
  [3559] = 3279,
  [3560] = 3256,
  [3561] = 3277,
  [3562] = 3274,
  [3563] = 3255,
  [3564] = 3251,
  [3565] = 3248,
  [3566] = 3247,
  [3567] = 3259,
  [3568] = 3254,
  [3569] = 3250,
  [3570] = 3256,
  [3571] = 3282,
  [3572] = 3255,
  [3573] = 3254,
  [3574] = 3284,
  [3575] = 3253,
  [3576] = 3253,
  [3577] = 3252,
  [3578] = 3285,
  [3579] = 3285,
  [3580] = 3284,
  [3581] = 3282,
  [3582] = 3279,
  [3583] = 3277,
  [3584] = 3274,
  [3585] = 3251,
  [3586] = 3252,
  [3587] = 3248,
  [3588] = 3247,
  [3589] = 3259,
  [3590] = 3250,
  [3591] = 3591,
  [3592] = 3256,
  [3593] = 3285,
  [3594] = 3255,
  [3595] = 3254,
  [3596] = 3284,
  [3597] = 3253,
  [3598] = 3252,
  [3599] = 3252,
  [3600] = 3538,
  [3601] = 3279,
  [3602] = 3277,
  [3603] = 3248,
  [3604] = 3285,
  [3605] = 3284,
  [3606] = 3282,
  [3607] = 3279,
  [3608] = 3277,
  [3609] = 3274,
  [3610] = 3251,
  [3611] = 3248,
  [3612] = 3247,
  [3613] = 3259,
  [3614] = 3250,
  [3615] = 3256,
  [3616] = 3255,
  [3617] = 3254,
  [3618] = 3253,
  [3619] = 3252,
  [3620] = 3247,
  [3621] = 3259,
  [3622] = 3250,
  [3623] = 3259,
  [3624] = 3256,
  [3625] = 3625,
  [3626] = 3285,
  [3627] = 3284,
  [3628] = 3282,
  [3629] = 3279,
  [3630] = 3277,
  [3631] = 3274,
  [3632] = 3251,
  [3633] = 3248,
  [3634] = 3247,
  [3635] = 3282,
  [3636] = 3259,
  [3637] = 3250,
  [3638] = 3256,
  [3639] = 3255,
  [3640] = 3254,
  [3641] = 3253,
  [3642] = 3252,
  [3643] = 3279,
  [3644] = 3285,
  [3645] = 3284,
  [3646] = 3282,
  [3647] = 3279,
  [3648] = 3277,
  [3649] = 3274,
  [3650] = 3274,
  [3651] = 3251,
  [3652] = 3248,
  [3653] = 3247,
  [3654] = 3259,
  [3655] = 3250,
  [3656] = 3256,
  [3657] = 3277,
  [3658] = 3255,
  [3659] = 3252,
  [3660] = 3254,
  [3661] = 3274,
  [3662] = 3253,
  [3663] = 3252,
  [3664] = 3255,
  [3665] = 3285,
  [3666] = 3284,
  [3667] = 3282,
  [3668] = 3279,
  [3669] = 3253,
  [3670] = 3277,
  [3671] = 3252,
  [3672] = 3254,
  [3673] = 3274,
  [3674] = 3251,
  [3675] = 3248,
  [3676] = 3247,
  [3677] = 3259,
  [3678] = 3250,
  [3679] = 3256,
  [3680] = 3253,
  [3681] = 3255,
  [3682] = 3254,
  [3683] = 3255,
  [3684] = 3256,
  [3685] = 3250,
  [3686] = 3255,
  [3687] = 3259,
  [3688] = 3247,
  [3689] = 3248,
  [3690] = 3251,
  [3691] = 3274,
  [3692] = 3277,
  [3693] = 3279,
  [3694] = 3282,
  [3695] = 3284,
  [3696] = 3285,
  [3697] = 3254,
  [3698] = 3253,
  [3699] = 3252,
  [3700] = 3286,
  [3701] = 3285,
  [3702] = 3284,
  [3703] = 3282,
  [3704] = 3254,
  [3705] = 3279,
  [3706] = 3277,
  [3707] = 3274,
  [3708] = 3251,
  [3709] = 3248,
  [3710] = 3247,
  [3711] = 3259,
  [3712] = 3250,
  [3713] = 3256,
  [3714] = 3255,
  [3715] = 3254,
  [3716] = 3253,
  [3717] = 3253,
  [3718] = 3252,
  [3719] = 3252,
  [3720] = 3252,
  [3721] = 3253,
  [3722] = 3254,
  [3723] = 3255,
  [3724] = 3256,
  [3725] = 3250,
  [3726] = 3259,
  [3727] = 3256,
  [3728] = 3247,
  [3729] = 3248,
  [3730] = 3251,
  [3731] = 3274,
  [3732] = 3250,
  [3733] = 3259,
  [3734] = 3277,
  [3735] = 3279,
  [3736] = 3279,
  [3737] = 3284,
  [3738] = 3285,
  [3739] = 3247,
  [3740] = 3286,
  [3741] = 3285,
  [3742] = 3285,
  [3743] = 3248,
  [3744] = 3284,
  [3745] = 3282,
  [3746] = 3251,
  [3747] = 3279,
  [3748] = 3277,
  [3749] = 3274,
  [3750] = 3251,
  [3751] = 3248,
  [3752] = 3274,
  [3753] = 3247,
  [3754] = 3277,
  [3755] = 3279,
  [3756] = 3259,
  [3757] = 3250,
  [3758] = 3256,
  [3759] = 3255,
  [3760] = 3254,
  [3761] = 3253,
  [3762] = 3252,
  [3763] = 3284,
  [3764] = 3251,
  [3765] = 3625,
  [3766] = 3282,
  [3767] = 3274,
  [3768] = 3591,
  [3769] = 3248,
  [3770] = 3247,
  [3771] = 3251,
  [3772] = 3259,
  [3773] = 3548,
  [3774] = 3285,
  [3775] = 3284,
  [3776] = 3282,
  [3777] = 3282,
  [3778] = 3279,
  [3779] = 3277,
  [3780] = 3252,
  [3781] = 3274,
  [3782] = 3250,
  [3783] = 3284,
  [3784] = 3251,
  [3785] = 3248,
  [3786] = 3247,
  [3787] = 3259,
  [3788] = 3250,
  [3789] = 3256,
  [3790] = 3255,
  [3791] = 3254,
  [3792] = 3253,
  [3793] = 3250,
  [3794] = 3252,
  [3795] = 3282,
  [3796] = 3277,
  [3797] = 3248,
  [3798] = 3247,
  [3799] = 3259,
  [3800] = 3250,
  [3801] = 3256,
  [3802] = 3255,
  [3803] = 3254,
  [3804] = 3253,
  [3805] = 3256,
  [3806] = 3255,
  [3807] = 3254,
  [3808] = 3253,
  [3809] = 3548,
  [3810] = 3282,
  [3811] = 3625,
  [3812] = 3277,
  [3813] = 3813,
  [3814] = 3814,
  [3815] = 3814,
  [3816] = 3247,
  [3817] = 3813,
  [3818] = 3286,
  [3819] = 3285,
  [3820] = 3284,
  [3821] = 3285,
  [3822] = 3282,
  [3823] = 3823,
  [3824] = 3285,
  [3825] = 3286,
  [3826] = 3279,
  [3827] = 3277,
  [3828] = 3828,
  [3829] = 3252,
  [3830] = 3274,
  [3831] = 3831,
  [3832] = 3253,
  [3833] = 3254,
  [3834] = 3255,
  [3835] = 3256,
  [3836] = 3250,
  [3837] = 3252,
  [3838] = 3259,
  [3839] = 3247,
  [3840] = 3248,
  [3841] = 3251,
  [3842] = 3274,
  [3843] = 3277,
  [3844] = 3279,
  [3845] = 3282,
  [3846] = 3284,
  [3847] = 3285,
  [3848] = 3286,
  [3849] = 3248,
  [3850] = 3279,
  [3851] = 3247,
  [3852] = 3248,
  [3853] = 3251,
  [3854] = 3831,
  [3855] = 3259,
  [3856] = 3250,
  [3857] = 3256,
  [3858] = 3255,
  [3859] = 3254,
  [3860] = 3274,
  [3861] = 3252,
  [3862] = 3277,
  [3863] = 3253,
  [3864] = 3252,
  [3865] = 3279,
  [3866] = 3277,
  [3867] = 3248,
  [3868] = 3277,
  [3869] = 3247,
  [3870] = 3259,
  [3871] = 3250,
  [3872] = 3284,
  [3873] = 3279,
  [3874] = 3285,
  [3875] = 3256,
  [3876] = 3282,
  [3877] = 3248,
  [3878] = 3284,
  [3879] = 3813,
  [3880] = 3284,
  [3881] = 3282,
  [3882] = 3285,
  [3883] = 3253,
  [3884] = 3279,
  [3885] = 3255,
  [3886] = 3254,
  [3887] = 3253,
  [3888] = 3277,
  [3889] = 3254,
  [3890] = 3274,
  [3891] = 3255,
  [3892] = 3251,
  [3893] = 3831,
  [3894] = 3248,
  [3895] = 3247,
  [3896] = 3256,
  [3897] = 3259,
  [3898] = 3252,
  [3899] = 3250,
  [3900] = 3259,
  [3901] = 3831,
  [3902] = 3250,
  [3903] = 3538,
  [3904] = 3253,
  [3905] = 3813,
  [3906] = 3254,
  [3907] = 3255,
  [3908] = 3256,
  [3909] = 3247,
  [3910] = 3256,
  [3911] = 3255,
  [3912] = 3254,
  [3913] = 3248,
  [3914] = 3251,
  [3915] = 3274,
  [3916] = 3253,
  [3917] = 3277,
  [3918] = 3279,
  [3919] = 3252,
  [3920] = 3254,
  [3921] = 3253,
  [3922] = 3279,
  [3923] = 3285,
  [3924] = 3284,
  [3925] = 3282,
  [3926] = 3274,
  [3927] = 3282,
  [3928] = 3251,
  [3929] = 3284,
  [3930] = 3250,
  [3931] = 3285,
  [3932] = 3251,
  [3933] = 3259,
  [3934] = 3247,
  [3935] = 3248,
  [3936] = 3277,
  [3937] = 3286,
  [3938] = 3285,
  [3939] = 3284,
  [3940] = 3282,
  [3941] = 3279,
  [3942] = 3277,
  [3943] = 3274,
  [3944] = 3251,
  [3945] = 3248,
  [3946] = 3247,
  [3947] = 3259,
  [3948] = 3250,
  [3949] = 3256,
  [3950] = 3255,
  [3951] = 3254,
  [3952] = 3253,
  [3953] = 3284,
  [3954] = 3251,
  [3955] = 3252,
  [3956] = 3248,
  [3957] = 3247,
  [3958] = 3259,
  [3959] = 3285,
  [3960] = 3274,
  [3961] = 3250,
  [3962] = 3591,
  [3963] = 3247,
  [3964] = 3256,
  [3965] = 3259,
  [3966] = 3255,
  [3967] = 3254,
  [3968] = 3252,
  [3969] = 3286,
  [3970] = 3253,
  [3971] = 3831,
  [3972] = 3813,
  [3973] = 3250,
  [3974] = 3252,
  [3975] = 3253,
  [3976] = 3251,
  [3977] = 3254,
  [3978] = 3252,
  [3979] = 3253,
  [3980] = 3254,
  [3981] = 3255,
  [3982] = 3256,
  [3983] = 3250,
  [3984] = 3259,
  [3985] = 3247,
  [3986] = 3248,
  [3987] = 3251,
  [3988] = 3255,
  [3989] = 3274,
  [3990] = 3277,
  [3991] = 3279,
  [3992] = 3282,
  [3993] = 3284,
  [3994] = 3285,
  [3995] = 3256,
  [3996] = 3286,
  [3997] = 3250,
  [3998] = 3256,
  [3999] = 3259,
  [4000] = 3247,
  [4001] = 3274,
  [4002] = 3248,
  [4003] = 3282,
  [4004] = 3251,
  [4005] = 3274,
  [4006] = 3277,
  [4007] = 3279,
  [4008] = 3282,
  [4009] = 3284,
  [4010] = 3285,
  [4011] = 3286,
  [4012] = 3285,
  [4013] = 3285,
  [4014] = 3284,
  [4015] = 3282,
  [4016] = 3279,
  [4017] = 3277,
  [4018] = 3279,
  [4019] = 3277,
  [4020] = 3248,
  [4021] = 3252,
  [4022] = 3253,
  [4023] = 3254,
  [4024] = 3255,
  [4025] = 3256,
  [4026] = 3250,
  [4027] = 3259,
  [4028] = 3247,
  [4029] = 3248,
  [4030] = 3251,
  [4031] = 3274,
  [4032] = 3277,
  [4033] = 3279,
  [4034] = 3282,
  [4035] = 3247,
  [4036] = 3284,
  [4037] = 3285,
  [4038] = 3286,
  [4039] = 3259,
  [4040] = 3250,
  [4041] = 3256,
  [4042] = 3813,
  [4043] = 3255,
  [4044] = 3254,
  [4045] = 3831,
  [4046] = 3253,
  [4047] = 3286,
  [4048] = 3285,
  [4049] = 3284,
  [4050] = 3282,
  [4051] = 3279,
  [4052] = 3274,
  [4053] = 3277,
  [4054] = 3274,
  [4055] = 3251,
  [4056] = 3255,
  [4057] = 3248,
  [4058] = 3813,
  [4059] = 3251,
  [4060] = 3248,
  [4061] = 3247,
  [4062] = 3831,
  [4063] = 3259,
  [4064] = 3247,
  [4065] = 3254,
  [4066] = 3253,
  [4067] = 3250,
  [4068] = 3259,
  [4069] = 3256,
  [4070] = 3814,
  [4071] = 3255,
  [4072] = 3252,
  [4073] = 3253,
  [4074] = 3254,
  [4075] = 3254,
  [4076] = 3255,
  [4077] = 3256,
  [4078] = 3250,
  [4079] = 3259,
  [4080] = 3247,
  [4081] = 3250,
  [4082] = 3248,
  [4083] = 3253,
  [4084] = 3251,
  [4085] = 3279,
  [4086] = 3286,
  [4087] = 3285,
  [4088] = 3284,
  [4089] = 3282,
  [4090] = 3279,
  [4091] = 3277,
  [4092] = 3274,
  [4093] = 3251,
  [4094] = 3248,
  [4095] = 3247,
  [4096] = 3259,
  [4097] = 3250,
  [4098] = 3256,
  [4099] = 3255,
  [4100] = 3254,
  [4101] = 3253,
  [4102] = 3813,
  [4103] = 3274,
  [4104] = 3252,
  [4105] = 3277,
  [4106] = 3277,
  [4107] = 3277,
  [4108] = 3279,
  [4109] = 3282,
  [4110] = 3284,
  [4111] = 3285,
  [4112] = 3286,
  [4113] = 3831,
  [4114] = 3256,
  [4115] = 3255,
  [4116] = 3254,
  [4117] = 3248,
  [4118] = 3247,
  [4119] = 3259,
  [4120] = 3253,
  [4121] = 3250,
  [4122] = 3256,
  [4123] = 3252,
  [4124] = 3277,
  [4125] = 3255,
  [4126] = 3284,
  [4127] = 3285,
  [4128] = 3279,
  [4129] = 3284,
  [4130] = 3282,
  [4131] = 3279,
  [4132] = 3277,
  [4133] = 3252,
  [4134] = 3274,
  [4135] = 3251,
  [4136] = 3253,
  [4137] = 3248,
  [4138] = 3247,
  [4139] = 3259,
  [4140] = 3250,
  [4141] = 3256,
  [4142] = 3255,
  [4143] = 3254,
  [4144] = 3255,
  [4145] = 3254,
  [4146] = 3252,
  [4147] = 3253,
  [4148] = 3254,
  [4149] = 3255,
  [4150] = 3256,
  [4151] = 3250,
  [4152] = 3259,
  [4153] = 3247,
  [4154] = 3248,
  [4155] = 3251,
  [4156] = 3274,
  [4157] = 3277,
  [4158] = 3279,
  [4159] = 3253,
  [4160] = 3282,
  [4161] = 3284,
  [4162] = 3285,
  [4163] = 3286,
  [4164] = 3252,
  [4165] = 3282,
  [4166] = 3256,
  [4167] = 3250,
  [4168] = 3279,
  [4169] = 3254,
  [4170] = 3259,
  [4171] = 3284,
  [4172] = 3253,
  [4173] = 3252,
  [4174] = 3285,
  [4175] = 3286,
  [4176] = 3831,
  [4177] = 3813,
  [4178] = 3813,
  [4179] = 3247,
  [4180] = 3831,
  [4181] = 3831,
  [4182] = 3813,
  [4183] = 3252,
  [4184] = 3253,
  [4185] = 3248,
  [4186] = 3254,
  [4187] = 3255,
  [4188] = 3256,
  [4189] = 3282,
  [4190] = 3831,
  [4191] = 3279,
  [4192] = 3250,
  [4193] = 3259,
  [4194] = 3247,
  [4195] = 3248,
  [4196] = 3251,
  [4197] = 3251,
  [4198] = 3274,
  [4199] = 3277,
  [4200] = 3279,
  [4201] = 3274,
  [4202] = 3813,
  [4203] = 3252,
  [4204] = 3253,
  [4205] = 3254,
  [4206] = 3282,
  [4207] = 3255,
  [4208] = 3252,
  [4209] = 3256,
  [4210] = 3250,
  [4211] = 3813,
  [4212] = 3259,
  [4213] = 3247,
  [4214] = 3248,
  [4215] = 3251,
  [4216] = 3274,
  [4217] = 3277,
  [4218] = 3279,
  [4219] = 3282,
  [4220] = 3284,
  [4221] = 3285,
  [4222] = 3286,
  [4223] = 3284,
  [4224] = 3285,
  [4225] = 3286,
  [4226] = 3253,
  [4227] = 3831,
  [4228] = 3286,
  [4229] = 3285,
  [4230] = 3284,
  [4231] = 3282,
  [4232] = 3279,
  [4233] = 3277,
  [4234] = 3274,
  [4235] = 3251,
  [4236] = 3248,
  [4237] = 3247,
  [4238] = 3259,
  [4239] = 3250,
  [4240] = 3256,
  [4241] = 3255,
  [4242] = 3254,
  [4243] = 4243,
  [4244] = 4243,
  [4245] = 4243,
  [4246] = 4243,
  [4247] = 4243,
  [4248] = 4243,
  [4249] = 4243,
  [4250] = 4243,
  [4251] = 4243,
  [4252] = 4252,
  [4253] = 4252,
  [4254] = 4252,
  [4255] = 4252,
  [4256] = 4252,
  [4257] = 4252,
  [4258] = 4252,
  [4259] = 4252,
  [4260] = 4252,
  [4261] = 4261,
  [4262] = 4261,
  [4263] = 4261,
  [4264] = 4261,
  [4265] = 4261,
  [4266] = 4261,
  [4267] = 4261,
  [4268] = 4261,
  [4269] = 4261,
  [4270] = 4270,
  [4271] = 4270,
  [4272] = 4270,
  [4273] = 4273,
  [4274] = 4273,
  [4275] = 4270,
  [4276] = 4273,
  [4277] = 4270,
  [4278] = 4270,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4283,
  [4284] = 4281,
  [4285] = 4270,
  [4286] = 4280,
  [4287] = 4270,
  [4288] = 4288,
  [4289] = 4279,
  [4290] = 4283,
  [4291] = 4280,
  [4292] = 4273,
  [4293] = 4282,
  [4294] = 4281,
  [4295] = 4273,
  [4296] = 4280,
  [4297] = 4273,
  [4298] = 4298,
  [4299] = 4288,
  [4300] = 4279,
  [4301] = 4301,
  [4302] = 4301,
  [4303] = 4279,
  [4304] = 4282,
  [4305] = 4281,
  [4306] = 4298,
  [4307] = 4280,
  [4308] = 4273,
  [4309] = 4298,
  [4310] = 4282,
  [4311] = 4301,
  [4312] = 4273,
  [4313] = 4298,
  [4314] = 4298,
  [4315] = 4273,
  [4316] = 4301,
  [4317] = 4279,
  [4318] = 4288,
  [4319] = 4273,
  [4320] = 4273,
  [4321] = 4273,
  [4322] = 4273,
  [4323] = 4281,
  [4324] = 4288,
  [4325] = 4282,
  [4326] = 4301,
  [4327] = 4288,
  [4328] = 4301,
  [4329] = 4281,
  [4330] = 4280,
  [4331] = 4279,
  [4332] = 4270,
  [4333] = 4270,
  [4334] = 4270,
  [4335] = 4288,
  [4336] = 4298,
  [4337] = 4282,
  [4338] = 4270,
  [4339] = 4283,
  [4340] = 4301,
  [4341] = 4341,
  [4342] = 4282,
  [4343] = 4343,
  [4344] = 4343,
  [4345] = 4345,
  [4346] = 4346,
  [4347] = 4347,
  [4348] = 4343,
  [4349] = 4288,
  [4350] = 4347,
  [4351] = 4351,
  [4352] = 4352,
  [4353] = 4353,
  [4354] = 4352,
  [4355] = 4279,
  [4356] = 4301,
  [4357] = 4298,
  [4358] = 4358,
  [4359] = 4353,
  [4360] = 4341,
  [4361] = 4283,
  [4362] = 4353,
  [4363] = 4352,
  [4364] = 4364,
  [4365] = 4365,
  [4366] = 4366,
  [4367] = 4358,
  [4368] = 4368,
  [4369] = 4369,
  [4370] = 4368,
  [4371] = 4298,
  [4372] = 4372,
  [4373] = 4373,
  [4374] = 4298,
  [4375] = 4375,
  [4376] = 4376,
  [4377] = 4377,
  [4378] = 4369,
  [4379] = 4372,
  [4380] = 4373,
  [4381] = 4282,
  [4382] = 4375,
  [4383] = 4376,
  [4384] = 4347,
  [4385] = 4343,
  [4386] = 4377,
  [4387] = 4358,
  [4388] = 4365,
  [4389] = 4389,
  [4390] = 4377,
  [4391] = 4364,
  [4392] = 4358,
  [4393] = 4365,
  [4394] = 4376,
  [4395] = 4375,
  [4396] = 4364,
  [4397] = 4281,
  [4398] = 4270,
  [4399] = 4273,
  [4400] = 4373,
  [4401] = 4372,
  [4402] = 4389,
  [4403] = 4369,
  [4404] = 4389,
  [4405] = 4298,
  [4406] = 4347,
  [4407] = 4369,
  [4408] = 4408,
  [4409] = 4283,
  [4410] = 4283,
  [4411] = 4270,
  [4412] = 4270,
  [4413] = 4372,
  [4414] = 4280,
  [4415] = 4415,
  [4416] = 4408,
  [4417] = 4288,
  [4418] = 4281,
  [4419] = 4369,
  [4420] = 4273,
  [4421] = 4341,
  [4422] = 4273,
  [4423] = 4372,
  [4424] = 4373,
  [4425] = 4425,
  [4426] = 4282,
  [4427] = 4281,
  [4428] = 4279,
  [4429] = 4301,
  [4430] = 4375,
  [4431] = 4376,
  [4432] = 4377,
  [4433] = 4389,
  [4434] = 4282,
  [4435] = 4273,
  [4436] = 4373,
  [4437] = 4270,
  [4438] = 4270,
  [4439] = 4298,
  [4440] = 4288,
  [4441] = 4358,
  [4442] = 4283,
  [4443] = 4365,
  [4444] = 4364,
  [4445] = 4301,
  [4446] = 4346,
  [4447] = 4270,
  [4448] = 4279,
  [4449] = 4449,
  [4450] = 4298,
  [4451] = 4341,
  [4452] = 4281,
  [4453] = 4273,
  [4454] = 4345,
  [4455] = 4273,
  [4456] = 4279,
  [4457] = 4301,
  [4458] = 4273,
  [4459] = 4346,
  [4460] = 4345,
  [4461] = 4389,
  [4462] = 4279,
  [4463] = 4449,
  [4464] = 4425,
  [4465] = 4270,
  [4466] = 4415,
  [4467] = 4282,
  [4468] = 4282,
  [4469] = 4288,
  [4470] = 4282,
  [4471] = 4449,
  [4472] = 4365,
  [4473] = 4298,
  [4474] = 4298,
  [4475] = 4366,
  [4476] = 4353,
  [4477] = 4352,
  [4478] = 4347,
  [4479] = 4343,
  [4480] = 4273,
  [4481] = 4281,
  [4482] = 4364,
  [4483] = 4368,
  [4484] = 4280,
  [4485] = 4425,
  [4486] = 4351,
  [4487] = 4281,
  [4488] = 4280,
  [4489] = 4353,
  [4490] = 4301,
  [4491] = 4415,
  [4492] = 4352,
  [4493] = 4280,
  [4494] = 4279,
  [4495] = 4288,
  [4496] = 4347,
  [4497] = 4298,
  [4498] = 4283,
  [4499] = 4281,
  [4500] = 4280,
  [4501] = 4343,
  [4502] = 4351,
  [4503] = 4273,
  [4504] = 4273,
  [4505] = 4415,
  [4506] = 4341,
  [4507] = 4273,
  [4508] = 4273,
  [4509] = 4288,
  [4510] = 4288,
  [4511] = 4301,
  [4512] = 4279,
  [4513] = 4279,
  [4514] = 4301,
  [4515] = 4288,
  [4516] = 4280,
  [4517] = 4341,
  [4518] = 4351,
  [4519] = 4351,
  [4520] = 4375,
  [4521] = 4282,
  [4522] = 4376,
  [4523] = 4273,
  [4524] = 4366,
  [4525] = 4377,
  [4526] = 4281,
  [4527] = 4280,
  [4528] = 4283,
  [4529] = 4415,
  [4530] = 4389,
  [4531] = 4288,
  [4532] = 4280,
  [4533] = 4281,
  [4534] = 4279,
  [4535] = 4301,
  [4536] = 4288,
  [4537] = 4364,
  [4538] = 4365,
  [4539] = 4358,
  [4540] = 4279,
  [4541] = 4301,
  [4542] = 4351,
  [4543] = 4282,
  [4544] = 4282,
  [4545] = 4408,
  [4546] = 4352,
  [4547] = 4353,
  [4548] = 4377,
  [4549] = 4283,
  [4550] = 4376,
  [4551] = 4415,
  [4552] = 4375,
  [4553] = 4281,
  [4554] = 4373,
  [4555] = 4372,
  [4556] = 4369,
  [4557] = 4280,
  [4558] = 4280,
  [4559] = 4298,
  [4560] = 4281,
  [4561] = 4301,
  [4562] = 4280,
  [4563] = 4288,
  [4564] = 4279,
  [4565] = 4298,
  [4566] = 4282,
  [4567] = 4567,
  [4568] = 4568,
  [4569] = 4273,
  [4570] = 4298,
  [4571] = 4415,
  [4572] = 4572,
  [4573] = 4573,
  [4574] = 4574,
  [4575] = 4389,
  [4576] = 4576,
  [4577] = 4577,
  [4578] = 4282,
  [4579] = 4579,
  [4580] = 4270,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4369,
  [4584] = 4366,
  [4585] = 4585,
  [4586] = 4586,
  [4587] = 4587,
  [4588] = 4372,
  [4589] = 4373,
  [4590] = 4590,
  [4591] = 4591,
  [4592] = 4351,
  [4593] = 4298,
  [4594] = 4281,
  [4595] = 4281,
  [4596] = 4596,
  [4597] = 4597,
  [4598] = 4573,
  [4599] = 4596,
  [4600] = 4600,
  [4601] = 4601,
  [4602] = 4375,
  [4603] = 4270,
  [4604] = 4600,
  [4605] = 4341,
  [4606] = 4606,
  [4607] = 4607,
  [4608] = 4376,
  [4609] = 4377,
  [4610] = 4610,
  [4611] = 4611,
  [4612] = 4389,
  [4613] = 4282,
  [4614] = 4614,
  [4615] = 4581,
  [4616] = 4573,
  [4617] = 4617,
  [4618] = 4601,
  [4619] = 4619,
  [4620] = 4620,
  [4621] = 4621,
  [4622] = 4622,
  [4623] = 4597,
  [4624] = 4624,
  [4625] = 4625,
  [4626] = 4358,
  [4627] = 4627,
  [4628] = 4581,
  [4629] = 4365,
  [4630] = 4630,
  [4631] = 4408,
  [4632] = 4364,
  [4633] = 4597,
  [4634] = 4283,
  [4635] = 4301,
  [4636] = 4279,
  [4637] = 4283,
  [4638] = 4606,
  [4639] = 4288,
  [4640] = 4389,
  [4641] = 4288,
  [4642] = 4574,
  [4643] = 4643,
  [4644] = 4279,
  [4645] = 4645,
  [4646] = 4389,
  [4647] = 4425,
  [4648] = 4301,
  [4649] = 4597,
  [4650] = 4389,
  [4651] = 4651,
  [4652] = 4567,
  [4653] = 4653,
  [4654] = 4572,
  [4655] = 4596,
  [4656] = 4656,
  [4657] = 4614,
  [4658] = 4651,
  [4659] = 4659,
  [4660] = 4283,
  [4661] = 4579,
  [4662] = 4656,
  [4663] = 4576,
  [4664] = 4591,
  [4665] = 4364,
  [4666] = 4617,
  [4667] = 4619,
  [4668] = 4668,
  [4669] = 4669,
  [4670] = 4364,
  [4671] = 4365,
  [4672] = 4449,
  [4673] = 4673,
  [4674] = 4358,
  [4675] = 4675,
  [4676] = 4341,
  [4677] = 4668,
  [4678] = 4678,
  [4679] = 4582,
  [4680] = 4341,
  [4681] = 4585,
  [4682] = 4586,
  [4683] = 4415,
  [4684] = 4587,
  [4685] = 4301,
  [4686] = 4675,
  [4687] = 4668,
  [4688] = 4678,
  [4689] = 4288,
  [4690] = 4368,
  [4691] = 4590,
  [4692] = 4591,
  [4693] = 4693,
  [4694] = 4282,
  [4695] = 4365,
  [4696] = 4351,
  [4697] = 4279,
  [4698] = 4620,
  [4699] = 4596,
  [4700] = 4600,
  [4701] = 4301,
  [4702] = 4601,
  [4703] = 4279,
  [4704] = 4606,
  [4705] = 4590,
  [4706] = 4607,
  [4707] = 4377,
  [4708] = 4366,
  [4709] = 4376,
  [4710] = 4358,
  [4711] = 4577,
  [4712] = 4656,
  [4713] = 4713,
  [4714] = 4389,
  [4715] = 4620,
  [4716] = 4375,
  [4717] = 4449,
  [4718] = 4718,
  [4719] = 4719,
  [4720] = 4343,
  [4721] = 4610,
  [4722] = 4347,
  [4723] = 4351,
  [4724] = 4611,
  [4725] = 4415,
  [4726] = 4415,
  [4727] = 4621,
  [4728] = 4622,
  [4729] = 4591,
  [4730] = 4572,
  [4731] = 4624,
  [4732] = 4659,
  [4733] = 4693,
  [4734] = 4625,
  [4735] = 4373,
  [4736] = 4601,
  [4737] = 4620,
  [4738] = 4372,
  [4739] = 4281,
  [4740] = 4568,
  [4741] = 4741,
  [4742] = 4627,
  [4743] = 4377,
  [4744] = 4744,
  [4745] = 4574,
  [4746] = 4619,
  [4747] = 4376,
  [4748] = 4352,
  [4749] = 4353,
  [4750] = 4614,
  [4751] = 4375,
  [4752] = 4567,
  [4753] = 4369,
  [4754] = 4597,
  [4755] = 4343,
  [4756] = 4351,
  [4757] = 4364,
  [4758] = 4643,
  [4759] = 4645,
  [4760] = 4373,
  [4761] = 4365,
  [4762] = 4651,
  [4763] = 4763,
  [4764] = 4581,
  [4765] = 4298,
  [4766] = 4358,
  [4767] = 4576,
  [4768] = 4372,
  [4769] = 4617,
  [4770] = 4369,
  [4771] = 4346,
  [4772] = 4579,
  [4773] = 4619,
  [4774] = 4347,
  [4775] = 4577,
  [4776] = 4713,
  [4777] = 4653,
  [4778] = 4778,
  [4779] = 4377,
  [4780] = 4376,
  [4781] = 4375,
  [4782] = 4577,
  [4783] = 4719,
  [4784] = 4345,
  [4785] = 4351,
  [4786] = 4283,
  [4787] = 4787,
  [4788] = 4788,
  [4789] = 4718,
  [4790] = 4590,
  [4791] = 4425,
  [4792] = 4607,
  [4793] = 4576,
  [4794] = 4582,
  [4795] = 4415,
  [4796] = 4389,
  [4797] = 4797,
  [4798] = 4656,
  [4799] = 4763,
  [4800] = 4373,
  [4801] = 4574,
  [4802] = 4270,
  [4803] = 4653,
  [4804] = 4352,
  [4805] = 4353,
  [4806] = 4806,
  [4807] = 4675,
  [4808] = 4668,
  [4809] = 4579,
  [4810] = 4614,
  [4811] = 4572,
  [4812] = 4579,
  [4813] = 4364,
  [4814] = 4675,
  [4815] = 4353,
  [4816] = 4678,
  [4817] = 4364,
  [4818] = 4369,
  [4819] = 4659,
  [4820] = 4366,
  [4821] = 4352,
  [4822] = 4675,
  [4823] = 4668,
  [4824] = 4678,
  [4825] = 4788,
  [4826] = 4273,
  [4827] = 4673,
  [4828] = 4273,
  [4829] = 4693,
  [4830] = 4606,
  [4831] = 4585,
  [4832] = 4298,
  [4833] = 4656,
  [4834] = 4365,
  [4835] = 4373,
  [4836] = 4586,
  [4837] = 4353,
  [4838] = 4587,
  [4839] = 4372,
  [4840] = 4573,
  [4841] = 4352,
  [4842] = 4669,
  [4843] = 4568,
  [4844] = 4806,
  [4845] = 4358,
  [4846] = 4364,
  [4847] = 4741,
  [4848] = 4273,
  [4849] = 4713,
  [4850] = 4718,
  [4851] = 4280,
  [4852] = 4590,
  [4853] = 4591,
  [4854] = 4718,
  [4855] = 4369,
  [4856] = 4581,
  [4857] = 4365,
  [4858] = 4358,
  [4859] = 4744,
  [4860] = 4343,
  [4861] = 4347,
  [4862] = 4352,
  [4863] = 4353,
  [4864] = 4678,
  [4865] = 4358,
  [4866] = 4572,
  [4867] = 4408,
  [4868] = 4659,
  [4869] = 4369,
  [4870] = 4347,
  [4871] = 4579,
  [4872] = 4744,
  [4873] = 4741,
  [4874] = 4568,
  [4875] = 4343,
  [4876] = 4659,
  [4877] = 4741,
  [4878] = 4346,
  [4879] = 4345,
  [4880] = 4744,
  [4881] = 4806,
  [4882] = 4372,
  [4883] = 4280,
  [4884] = 4659,
  [4885] = 4369,
  [4886] = 4351,
  [4887] = 4572,
  [4888] = 4718,
  [4889] = 4596,
  [4890] = 4341,
  [4891] = 4653,
  [4892] = 4600,
  [4893] = 4797,
  [4894] = 4343,
  [4895] = 4347,
  [4896] = 4352,
  [4897] = 4353,
  [4898] = 4601,
  [4899] = 4567,
  [4900] = 4408,
  [4901] = 4763,
  [4902] = 4763,
  [4903] = 4610,
  [4904] = 4372,
  [4905] = 4719,
  [4906] = 4351,
  [4907] = 4797,
  [4908] = 4606,
  [4909] = 4607,
  [4910] = 4611,
  [4911] = 4806,
  [4912] = 4651,
  [4913] = 4656,
  [4914] = 4713,
  [4915] = 4610,
  [4916] = 4611,
  [4917] = 4669,
  [4918] = 4719,
  [4919] = 4713,
  [4920] = 4415,
  [4921] = 4627,
  [4922] = 4415,
  [4923] = 4368,
  [4924] = 4415,
  [4925] = 4341,
  [4926] = 4375,
  [4927] = 4341,
  [4928] = 4365,
  [4929] = 4610,
  [4930] = 4621,
  [4931] = 4693,
  [4932] = 4622,
  [4933] = 4280,
  [4934] = 4627,
  [4935] = 4273,
  [4936] = 4624,
  [4937] = 4343,
  [4938] = 4347,
  [4939] = 4352,
  [4940] = 4625,
  [4941] = 4353,
  [4942] = 4788,
  [4943] = 4693,
  [4944] = 4625,
  [4945] = 4787,
  [4946] = 4673,
  [4947] = 4351,
  [4948] = 4343,
  [4949] = 4347,
  [4950] = 4298,
  [4951] = 4352,
  [4952] = 4369,
  [4953] = 4353,
  [4954] = 4693,
  [4955] = 4389,
  [4956] = 4288,
  [4957] = 4678,
  [4958] = 4668,
  [4959] = 4675,
  [4960] = 4610,
  [4961] = 4611,
  [4962] = 4368,
  [4963] = 4280,
  [4964] = 4573,
  [4965] = 4353,
  [4966] = 4352,
  [4967] = 4582,
  [4968] = 4585,
  [4969] = 4586,
  [4970] = 4587,
  [4971] = 4590,
  [4972] = 4577,
  [4973] = 4368,
  [4974] = 4627,
  [4975] = 4280,
  [4976] = 4718,
  [4977] = 4449,
  [4978] = 4607,
  [4979] = 4591,
  [4980] = 4645,
  [4981] = 4415,
  [4982] = 4620,
  [4983] = 4377,
  [4984] = 4596,
  [4985] = 4343,
  [4986] = 4347,
  [4987] = 4347,
  [4988] = 4343,
  [4989] = 4614,
  [4990] = 4600,
  [4991] = 4601,
  [4992] = 4352,
  [4993] = 4353,
  [4994] = 4797,
  [4995] = 4621,
  [4996] = 4673,
  [4997] = 4643,
  [4998] = 4341,
  [4999] = 4346,
  [5000] = 4351,
  [5001] = 4669,
  [5002] = 4280,
  [5003] = 4415,
  [5004] = 4345,
  [5005] = 4787,
  [5006] = 4606,
  [5007] = 4574,
  [5008] = 4763,
  [5009] = 4376,
  [5010] = 4281,
  [5011] = 4375,
  [5012] = 4351,
  [5013] = 4283,
  [5014] = 4366,
  [5015] = 4581,
  [5016] = 4617,
  [5017] = 4372,
  [5018] = 4373,
  [5019] = 4597,
  [5020] = 4282,
  [5021] = 4643,
  [5022] = 4806,
  [5023] = 4645,
  [5024] = 4577,
  [5025] = 4573,
  [5026] = 4619,
  [5027] = 4587,
  [5028] = 4377,
  [5029] = 4301,
  [5030] = 4622,
  [5031] = 4270,
  [5032] = 4288,
  [5033] = 4280,
  [5034] = 4279,
  [5035] = 4607,
  [5036] = 4651,
  [5037] = 4788,
  [5038] = 4298,
  [5039] = 4347,
  [5040] = 4568,
  [5041] = 4282,
  [5042] = 4567,
  [5043] = 4341,
  [5044] = 4713,
  [5045] = 4576,
  [5046] = 4351,
  [5047] = 4617,
  [5048] = 4619,
  [5049] = 4624,
  [5050] = 4582,
  [5051] = 4375,
  [5052] = 4630,
  [5053] = 4376,
  [5054] = 4376,
  [5055] = 4343,
  [5056] = 4377,
  [5057] = 4372,
  [5058] = 4614,
  [5059] = 4788,
  [5060] = 4744,
  [5061] = 4806,
  [5062] = 4346,
  [5063] = 4280,
  [5064] = 4653,
  [5065] = 4345,
  [5066] = 4377,
  [5067] = 4376,
  [5068] = 4787,
  [5069] = 4425,
  [5070] = 4778,
  [5071] = 4611,
  [5072] = 4744,
  [5073] = 4343,
  [5074] = 4347,
  [5075] = 4369,
  [5076] = 4288,
  [5077] = 4352,
  [5078] = 4415,
  [5079] = 4797,
  [5080] = 4763,
  [5081] = 4353,
  [5082] = 4279,
  [5083] = 4372,
  [5084] = 4375,
  [5085] = 4373,
  [5086] = 4298,
  [5087] = 4653,
  [5088] = 4586,
  [5089] = 4273,
  [5090] = 4281,
  [5091] = 4341,
  [5092] = 4585,
  [5093] = 4279,
  [5094] = 4358,
  [5095] = 4301,
  [5096] = 4301,
  [5097] = 4621,
  [5098] = 4622,
  [5099] = 4377,
  [5100] = 4624,
  [5101] = 4625,
  [5102] = 4630,
  [5103] = 4376,
  [5104] = 4375,
  [5105] = 4568,
  [5106] = 4624,
  [5107] = 4282,
  [5108] = 4376,
  [5109] = 4377,
  [5110] = 4282,
  [5111] = 4389,
  [5112] = 4645,
  [5113] = 5113,
  [5114] = 4281,
  [5115] = 4627,
  [5116] = 4282,
  [5117] = 4620,
  [5118] = 4741,
  [5119] = 4643,
  [5120] = 4643,
  [5121] = 4358,
  [5122] = 4365,
  [5123] = 4574,
  [5124] = 4741,
  [5125] = 4364,
  [5126] = 4301,
  [5127] = 4373,
  [5128] = 4279,
  [5129] = 4288,
  [5130] = 4373,
  [5131] = 4787,
  [5132] = 4622,
  [5133] = 4372,
  [5134] = 4621,
  [5135] = 4281,
  [5136] = 4389,
  [5137] = 4288,
  [5138] = 4788,
  [5139] = 4585,
  [5140] = 4586,
  [5141] = 4625,
  [5142] = 4587,
  [5143] = 4582,
  [5144] = 4645,
  [5145] = 4273,
  [5146] = 4651,
  [5147] = 4273,
  [5148] = 4669,
  [5149] = 4673,
  [5150] = 4365,
  [5151] = 4364,
  [5152] = 4369,
  [5153] = 4298,
  [5154] = 4669,
  [5155] = 4449,
  [5156] = 4673,
  [5157] = 4369,
  [5158] = 4364,
  [5159] = 4372,
  [5160] = 4373,
  [5161] = 4373,
  [5162] = 4567,
  [5163] = 4719,
  [5164] = 4576,
  [5165] = 4364,
  [5166] = 4365,
  [5167] = 4375,
  [5168] = 4365,
  [5169] = 4341,
  [5170] = 4375,
  [5171] = 4283,
  [5172] = 4376,
  [5173] = 4358,
  [5174] = 4719,
  [5175] = 4377,
  [5176] = 4281,
  [5177] = 4778,
  [5178] = 4617,
  [5179] = 4389,
  [5180] = 4600,
  [5181] = 4787,
  [5182] = 4341,
  [5183] = 4425,
  [5184] = 4797,
  [5185] = 4358,
  [5186] = 4408,
  [5187] = 4591,
  [5188] = 4622,
  [5189] = 4719,
  [5190] = 4375,
  [5191] = 4673,
  [5192] = 4341,
  [5193] = 4669,
  [5194] = 4621,
  [5195] = 4620,
  [5196] = 4596,
  [5197] = 4577,
  [5198] = 4624,
  [5199] = 4376,
  [5200] = 4713,
  [5201] = 4377,
  [5202] = 4298,
  [5203] = 4620,
  [5204] = 4611,
  [5205] = 4358,
  [5206] = 4787,
  [5207] = 4610,
  [5208] = 4718,
  [5209] = 4365,
  [5210] = 4364,
  [5211] = 4597,
  [5212] = 4574,
  [5213] = 4449,
  [5214] = 4389,
  [5215] = 4787,
  [5216] = 4653,
  [5217] = 4449,
  [5218] = 4373,
  [5219] = 4806,
  [5220] = 4372,
  [5221] = 4579,
  [5222] = 4573,
  [5223] = 4582,
  [5224] = 4369,
  [5225] = 4389,
  [5226] = 4806,
  [5227] = 4351,
  [5228] = 4585,
  [5229] = 4619,
  [5230] = 4586,
  [5231] = 4617,
  [5232] = 4587,
  [5233] = 4364,
  [5234] = 4576,
  [5235] = 4365,
  [5236] = 4579,
  [5237] = 4573,
  [5238] = 4630,
  [5239] = 4567,
  [5240] = 4590,
  [5241] = 4358,
  [5242] = 4591,
  [5243] = 4368,
  [5244] = 4351,
  [5245] = 4651,
  [5246] = 4415,
  [5247] = 4627,
  [5248] = 4797,
  [5249] = 4645,
  [5250] = 4643,
  [5251] = 4574,
  [5252] = 4763,
  [5253] = 4415,
  [5254] = 4600,
  [5255] = 4601,
  [5256] = 4415,
  [5257] = 4606,
  [5258] = 4607,
  [5259] = 4377,
  [5260] = 4627,
  [5261] = 4376,
  [5262] = 4630,
  [5263] = 4610,
  [5264] = 4625,
  [5265] = 4624,
  [5266] = 4375,
  [5267] = 4611,
  [5268] = 4597,
  [5269] = 4351,
  [5270] = 4797,
  [5271] = 4373,
  [5272] = 4372,
  [5273] = 4763,
  [5274] = 4620,
  [5275] = 4622,
  [5276] = 4787,
  [5277] = 5277,
  [5278] = 4621,
  [5279] = 4622,
  [5280] = 4621,
  [5281] = 4788,
  [5282] = 4574,
  [5283] = 4620,
  [5284] = 4719,
  [5285] = 4389,
  [5286] = 4653,
  [5287] = 4369,
  [5288] = 4806,
  [5289] = 4579,
  [5290] = 4573,
  [5291] = 4719,
  [5292] = 4587,
  [5293] = 4624,
  [5294] = 4625,
  [5295] = 4614,
  [5296] = 4673,
  [5297] = 4611,
  [5298] = 4270,
  [5299] = 4669,
  [5300] = 4627,
  [5301] = 4610,
  [5302] = 4366,
  [5303] = 4607,
  [5304] = 4778,
  [5305] = 4607,
  [5306] = 4673,
  [5307] = 4389,
  [5308] = 4788,
  [5309] = 4669,
  [5310] = 4607,
  [5311] = 4573,
  [5312] = 4719,
  [5313] = 5313,
  [5314] = 4606,
  [5315] = 4586,
  [5316] = 4744,
  [5317] = 4606,
  [5318] = 4298,
  [5319] = 5277,
  [5320] = 4643,
  [5321] = 4601,
  [5322] = 4669,
  [5323] = 4630,
  [5324] = 4364,
  [5325] = 4365,
  [5326] = 4741,
  [5327] = 4358,
  [5328] = 4568,
  [5329] = 4787,
  [5330] = 4600,
  [5331] = 4596,
  [5332] = 4597,
  [5333] = 4718,
  [5334] = 4673,
  [5335] = 4653,
  [5336] = 4415,
  [5337] = 4673,
  [5338] = 4719,
  [5339] = 4591,
  [5340] = 4590,
  [5341] = 4645,
  [5342] = 4587,
  [5343] = 4587,
  [5344] = 4586,
  [5345] = 4377,
  [5346] = 4376,
  [5347] = 4659,
  [5348] = 4744,
  [5349] = 4375,
  [5350] = 4572,
  [5351] = 4787,
  [5352] = 4585,
  [5353] = 4669,
  [5354] = 4741,
  [5355] = 4351,
  [5356] = 4582,
  [5357] = 4568,
  [5358] = 4675,
  [5359] = 4364,
  [5360] = 4718,
  [5361] = 4373,
  [5362] = 4372,
  [5363] = 4585,
  [5364] = 4713,
  [5365] = 4668,
  [5366] = 4577,
  [5367] = 4678,
  [5368] = 4369,
  [5369] = 4659,
  [5370] = 4341,
  [5371] = 4572,
  [5372] = 4693,
  [5373] = 4582,
  [5374] = 4585,
  [5375] = 4586,
  [5376] = 4587,
  [5377] = 4590,
  [5378] = 4591,
  [5379] = 4596,
  [5380] = 4600,
  [5381] = 4601,
  [5382] = 4606,
  [5383] = 4607,
  [5384] = 4343,
  [5385] = 4713,
  [5386] = 4415,
  [5387] = 4806,
  [5388] = 4358,
  [5389] = 4341,
  [5390] = 4610,
  [5391] = 4611,
  [5392] = 4621,
  [5393] = 4622,
  [5394] = 4353,
  [5395] = 4624,
  [5396] = 4625,
  [5397] = 4627,
  [5398] = 4693,
  [5399] = 4643,
  [5400] = 4645,
  [5401] = 4579,
  [5402] = 4352,
  [5403] = 4651,
  [5404] = 4567,
  [5405] = 4425,
  [5406] = 4347,
  [5407] = 4678,
  [5408] = 4668,
  [5409] = 4675,
  [5410] = 4343,
  [5411] = 4568,
  [5412] = 4744,
  [5413] = 4741,
  [5414] = 4576,
  [5415] = 4341,
  [5416] = 4693,
  [5417] = 4617,
  [5418] = 4619,
  [5419] = 4806,
  [5420] = 4656,
  [5421] = 4678,
  [5422] = 4651,
  [5423] = 4668,
  [5424] = 4675,
  [5425] = 4567,
  [5426] = 4797,
  [5427] = 4630,
  [5428] = 4763,
  [5429] = 4577,
  [5430] = 4806,
  [5431] = 4788,
  [5432] = 4713,
  [5433] = 4572,
  [5434] = 4788,
  [5435] = 4581,
  [5436] = 4408,
  [5437] = 4656,
  [5438] = 4719,
  [5439] = 4574,
  [5440] = 4787,
  [5441] = 4673,
  [5442] = 4669,
  [5443] = 4273,
  [5444] = 4788,
  [5445] = 4573,
  [5446] = 4353,
  [5447] = 4576,
  [5448] = 4341,
  [5449] = 4614,
  [5450] = 4352,
  [5451] = 4347,
  [5452] = 4375,
  [5453] = 4341,
  [5454] = 4572,
  [5455] = 4369,
  [5456] = 4581,
  [5457] = 4353,
  [5458] = 4352,
  [5459] = 4620,
  [5460] = 4763,
  [5461] = 4347,
  [5462] = 4408,
  [5463] = 4614,
  [5464] = 4797,
  [5465] = 4653,
  [5466] = 4372,
  [5467] = 4343,
  [5468] = 4373,
  [5469] = 4343,
  [5470] = 4347,
  [5471] = 4625,
  [5472] = 4614,
  [5473] = 4659,
  [5474] = 4373,
  [5475] = 4597,
  [5476] = 4376,
  [5477] = 4377,
  [5478] = 4577,
  [5479] = 4627,
  [5480] = 4352,
  [5481] = 4353,
  [5482] = 4597,
  [5483] = 4368,
  [5484] = 4353,
  [5485] = 4352,
  [5486] = 4347,
  [5487] = 4343,
  [5488] = 4358,
  [5489] = 4389,
  [5490] = 4365,
  [5491] = 4364,
  [5492] = 4619,
  [5493] = 4273,
  [5494] = 4365,
  [5495] = 4376,
  [5496] = 4375,
  [5497] = 4675,
  [5498] = 4668,
  [5499] = 4678,
  [5500] = 4693,
  [5501] = 4678,
  [5502] = 4668,
  [5503] = 4693,
  [5504] = 4787,
  [5505] = 4675,
  [5506] = 4364,
  [5507] = 4365,
  [5508] = 4601,
  [5509] = 4358,
  [5510] = 4568,
  [5511] = 4597,
  [5512] = 4574,
  [5513] = 4620,
  [5514] = 4643,
  [5515] = 4645,
  [5516] = 4346,
  [5517] = 4389,
  [5518] = 4345,
  [5519] = 4577,
  [5520] = 4741,
  [5521] = 4713,
  [5522] = 4574,
  [5523] = 4656,
  [5524] = 4651,
  [5525] = 4567,
  [5526] = 4744,
  [5527] = 4377,
  [5528] = 4376,
  [5529] = 4719,
  [5530] = 4617,
  [5531] = 4375,
  [5532] = 4579,
  [5533] = 4617,
  [5534] = 4576,
  [5535] = 4619,
  [5536] = 4573,
  [5537] = 4669,
  [5538] = 4572,
  [5539] = 4659,
  [5540] = 4659,
  [5541] = 4673,
  [5542] = 4669,
  [5543] = 4373,
  [5544] = 4372,
  [5545] = 4673,
  [5546] = 4591,
  [5547] = 4567,
  [5548] = 4568,
  [5549] = 4741,
  [5550] = 4369,
  [5551] = 4763,
  [5552] = 4744,
  [5553] = 4797,
  [5554] = 4614,
  [5555] = 4718,
  [5556] = 4582,
  [5557] = 4651,
  [5558] = 4606,
  [5559] = 4582,
  [5560] = 4579,
  [5561] = 4645,
  [5562] = 4576,
  [5563] = 4585,
  [5564] = 4630,
  [5565] = 4581,
  [5566] = 4643,
  [5567] = 4617,
  [5568] = 4627,
  [5569] = 4625,
  [5570] = 4624,
  [5571] = 4283,
  [5572] = 4622,
  [5573] = 4621,
  [5574] = 4619,
  [5575] = 4611,
  [5576] = 4573,
  [5577] = 4377,
  [5578] = 4719,
  [5579] = 4586,
  [5580] = 4601,
  [5581] = 4372,
  [5582] = 4614,
  [5583] = 4273,
  [5584] = 4788,
  [5585] = 4610,
  [5586] = 4596,
  [5587] = 4744,
  [5588] = 4675,
  [5589] = 4668,
  [5590] = 4678,
  [5591] = 4587,
  [5592] = 4582,
  [5593] = 4590,
  [5594] = 4693,
  [5595] = 4568,
  [5596] = 4585,
  [5597] = 4389,
  [5598] = 4586,
  [5599] = 4788,
  [5600] = 4587,
  [5601] = 4351,
  [5602] = 4596,
  [5603] = 4600,
  [5604] = 4741,
  [5605] = 4590,
  [5606] = 4607,
  [5607] = 4763,
  [5608] = 4797,
  [5609] = 4591,
  [5610] = 4577,
  [5611] = 4606,
  [5612] = 4713,
  [5613] = 4281,
  [5614] = 4607,
  [5615] = 4597,
  [5616] = 4596,
  [5617] = 4600,
  [5618] = 4601,
  [5619] = 4364,
  [5620] = 4607,
  [5621] = 4365,
  [5622] = 4358,
  [5623] = 4718,
  [5624] = 4301,
  [5625] = 4610,
  [5626] = 4606,
  [5627] = 4280,
  [5628] = 4611,
  [5629] = 4572,
  [5630] = 4763,
  [5631] = 4659,
  [5632] = 4797,
  [5633] = 4610,
  [5634] = 4611,
  [5635] = 4415,
  [5636] = 4282,
  [5637] = 4797,
  [5638] = 4763,
  [5639] = 4568,
  [5640] = 4741,
  [5641] = 4621,
  [5642] = 4620,
  [5643] = 4744,
  [5644] = 4621,
  [5645] = 4622,
  [5646] = 4669,
  [5647] = 4624,
  [5648] = 4673,
  [5649] = 4622,
  [5650] = 4601,
  [5651] = 4625,
  [5652] = 4627,
  [5653] = 4624,
  [5654] = 4377,
  [5655] = 4376,
  [5656] = 4581,
  [5657] = 4625,
  [5658] = 4573,
  [5659] = 4279,
  [5660] = 4582,
  [5661] = 4585,
  [5662] = 4375,
  [5663] = 4586,
  [5664] = 4587,
  [5665] = 4719,
  [5666] = 4627,
  [5667] = 4288,
  [5668] = 4573,
  [5669] = 4574,
  [5670] = 4656,
  [5671] = 4643,
  [5672] = 4645,
  [5673] = 4366,
  [5674] = 4373,
  [5675] = 4600,
  [5676] = 4590,
  [5677] = 4591,
  [5678] = 4651,
  [5679] = 4596,
  [5680] = 4567,
  [5681] = 4656,
  [5682] = 4372,
  [5683] = 4596,
  [5684] = 4579,
  [5685] = 4591,
  [5686] = 4600,
  [5687] = 4601,
  [5688] = 4576,
  [5689] = 4806,
  [5690] = 4788,
  [5691] = 4369,
  [5692] = 4346,
  [5693] = 4606,
  [5694] = 4280,
  [5695] = 4643,
  [5696] = 4617,
  [5697] = 4619,
  [5698] = 4590,
  [5699] = 4345,
  [5700] = 4415,
  [5701] = 4587,
  [5702] = 4273,
  [5703] = 4586,
  [5704] = 4744,
  [5705] = 4607,
  [5706] = 4582,
  [5707] = 4610,
  [5708] = 4718,
  [5709] = 4586,
  [5710] = 4568,
  [5711] = 4645,
  [5712] = 4585,
  [5713] = 4567,
  [5714] = 4369,
  [5715] = 4590,
  [5716] = 4591,
  [5717] = 4659,
  [5718] = 4611,
  [5719] = 4351,
  [5720] = 4585,
  [5721] = 4572,
  [5722] = 4351,
  [5723] = 4351,
  [5724] = 4597,
  [5725] = 4596,
  [5726] = 4600,
  [5727] = 4601,
  [5728] = 4606,
  [5729] = 4614,
  [5730] = 4582,
  [5731] = 4669,
  [5732] = 4656,
  [5733] = 4718,
  [5734] = 4651,
  [5735] = 4581,
  [5736] = 4614,
  [5737] = 4567,
  [5738] = 4621,
  [5739] = 4622,
  [5740] = 4787,
  [5741] = 4624,
  [5742] = 4625,
  [5743] = 4627,
  [5744] = 4673,
  [5745] = 4619,
  [5746] = 4617,
  [5747] = 4643,
  [5748] = 4787,
  [5749] = 4576,
  [5750] = 4610,
  [5751] = 4645,
  [5752] = 4651,
  [5753] = 4567,
  [5754] = 4573,
  [5755] = 4806,
  [5756] = 4576,
  [5757] = 4415,
  [5758] = 4653,
  [5759] = 4567,
  [5760] = 4651,
  [5761] = 4617,
  [5762] = 4611,
  [5763] = 4645,
  [5764] = 4643,
  [5765] = 4713,
  [5766] = 4619,
  [5767] = 4787,
  [5768] = 4341,
  [5769] = 4577,
  [5770] = 4675,
  [5771] = 4668,
  [5772] = 4678,
  [5773] = 5277,
  [5774] = 4576,
  [5775] = 4620,
  [5776] = 4693,
  [5777] = 4621,
  [5778] = 4343,
  [5779] = 4622,
  [5780] = 4624,
  [5781] = 4627,
  [5782] = 4581,
  [5783] = 4625,
  [5784] = 4347,
  [5785] = 4624,
  [5786] = 4622,
  [5787] = 4621,
  [5788] = 4617,
  [5789] = 4797,
  [5790] = 4763,
  [5791] = 4625,
  [5792] = 4577,
  [5793] = 4619,
  [5794] = 4713,
  [5795] = 4611,
  [5796] = 4693,
  [5797] = 4610,
  [5798] = 4352,
  [5799] = 4353,
  [5800] = 5313,
  [5801] = 4678,
  [5802] = 4607,
  [5803] = 4606,
  [5804] = 4668,
  [5805] = 4601,
  [5806] = 4600,
  [5807] = 4596,
  [5808] = 4675,
  [5809] = 4788,
  [5810] = 4581,
  [5811] = 4572,
  [5812] = 4778,
  [5813] = 4659,
  [5814] = 4591,
  [5815] = 4590,
  [5816] = 4590,
  [5817] = 4574,
  [5818] = 4587,
  [5819] = 4586,
  [5820] = 4585,
  [5821] = 4568,
  [5822] = 4741,
  [5823] = 4643,
  [5824] = 4582,
  [5825] = 4744,
  [5826] = 4645,
  [5827] = 4614,
  [5828] = 4669,
  [5829] = 4288,
  [5830] = 4673,
  [5831] = 4656,
  [5832] = 4279,
  [5833] = 4719,
  [5834] = 4600,
  [5835] = 4651,
  [5836] = 4353,
  [5837] = 4352,
  [5838] = 4581,
  [5839] = 4572,
  [5840] = 4301,
  [5841] = 4579,
  [5842] = 4353,
  [5843] = 4352,
  [5844] = 4579,
  [5845] = 4718,
  [5846] = 4797,
  [5847] = 4719,
  [5848] = 4763,
  [5849] = 4343,
  [5850] = 4283,
  [5851] = 4576,
  [5852] = 4656,
  [5853] = 4389,
  [5854] = 4630,
  [5855] = 4581,
  [5856] = 4574,
  [5857] = 4788,
  [5858] = 4656,
  [5859] = 4347,
  [5860] = 4806,
  [5861] = 4675,
  [5862] = 4668,
  [5863] = 4678,
  [5864] = 4617,
  [5865] = 4619,
  [5866] = 4614,
  [5867] = 4693,
  [5868] = 4744,
  [5869] = 4741,
  [5870] = 4364,
  [5871] = 4365,
  [5872] = 4568,
  [5873] = 4358,
  [5874] = 4659,
  [5875] = 4581,
  [5876] = 4787,
  [5877] = 4788,
  [5878] = 4718,
  [5879] = 4620,
  [5880] = 4713,
  [5881] = 4341,
  [5882] = 4582,
  [5883] = 4577,
  [5884] = 4577,
  [5885] = 4713,
  [5886] = 4585,
  [5887] = 4586,
  [5888] = 4587,
  [5889] = 4425,
  [5890] = 4718,
  [5891] = 4377,
  [5892] = 4376,
  [5893] = 4590,
  [5894] = 4574,
  [5895] = 4375,
  [5896] = 4579,
  [5897] = 4591,
  [5898] = 4693,
  [5899] = 4597,
  [5900] = 4597,
  [5901] = 4596,
  [5902] = 4572,
  [5903] = 4600,
  [5904] = 4659,
  [5905] = 4601,
  [5906] = 4678,
  [5907] = 4373,
  [5908] = 4372,
  [5909] = 4806,
  [5910] = 4606,
  [5911] = 4607,
  [5912] = 4568,
  [5913] = 4741,
  [5914] = 4369,
  [5915] = 4597,
  [5916] = 4744,
  [5917] = 4273,
  [5918] = 4668,
  [5919] = 4282,
  [5920] = 4347,
  [5921] = 4610,
  [5922] = 4343,
  [5923] = 4611,
  [5924] = 4675,
  [5925] = 4778,
  [5926] = 5313,
  [5927] = 4620,
  [5928] = 4621,
  [5929] = 4622,
  [5930] = 4624,
  [5931] = 4625,
  [5932] = 4627,
  [5933] = 4656,
  [5934] = 4581,
  [5935] = 4653,
  [5936] = 4614,
  [5937] = 4741,
  [5938] = 4659,
  [5939] = 4572,
  [5940] = 4574,
  [5941] = 4643,
  [5942] = 4645,
  [5943] = 4651,
  [5944] = 4567,
  [5945] = 4718,
  [5946] = 4620,
  [5947] = 4573,
  [5948] = 4713,
  [5949] = 4577,
  [5950] = 4656,
  [5951] = 4797,
  [5952] = 4763,
  [5953] = 4281,
  [5954] = 4693,
  [5955] = 4579,
  [5956] = 4778,
  [5957] = 4806,
  [5958] = 4576,
  [5959] = 4678,
  [5960] = 4617,
  [5961] = 4619,
  [5962] = 4668,
  [5963] = 4675,
  [5964] = 4651,
  [5965] = 4741,
  [5966] = 4607,
  [5967] = 4606,
  [5968] = 4601,
  [5969] = 4600,
  [5970] = 4596,
  [5971] = 4591,
  [5972] = 4590,
  [5973] = 4587,
  [5974] = 4586,
  [5975] = 4585,
  [5976] = 4582,
  [5977] = 4581,
  [5978] = 4579,
  [5979] = 4298,
  [5980] = 4573,
  [5981] = 4656,
  [5982] = 4574,
  [5983] = 4719,
  [5984] = 5313,
  [5985] = 4787,
  [5986] = 4673,
  [5987] = 4669,
  [5988] = 4620,
  [5989] = 4280,
  [5990] = 4718,
  [5991] = 4597,
  [5992] = 4806,
  [5993] = 4621,
  [5994] = 4611,
  [5995] = 4573,
  [5996] = 4622,
  [5997] = 4624,
  [5998] = 4625,
  [5999] = 4630,
  [6000] = 4627,
  [6001] = 4643,
  [6002] = 4645,
  [6003] = 4651,
  [6004] = 4567,
  [6005] = 4669,
  [6006] = 4673,
  [6007] = 4576,
  [6008] = 4617,
  [6009] = 4619,
  [6010] = 4719,
  [6011] = 4787,
  [6012] = 4351,
  [6013] = 5277,
  [6014] = 4576,
  [6015] = 4280,
  [6016] = 4788,
  [6017] = 4763,
  [6018] = 4797,
  [6019] = 4744,
  [6020] = 4741,
  [6021] = 4806,
  [6022] = 4568,
  [6023] = 4659,
  [6024] = 4572,
  [6025] = 4713,
  [6026] = 4577,
  [6027] = 4797,
  [6028] = 4763,
  [6029] = 4693,
  [6030] = 4678,
  [6031] = 4668,
  [6032] = 4675,
  [6033] = 4788,
  [6034] = 4788,
  [6035] = 4614,
  [6036] = 4619,
  [6037] = 4617,
  [6038] = 4614,
  [6039] = 4653,
  [6040] = 4576,
  [6041] = 4567,
  [6042] = 4651,
  [6043] = 4577,
  [6044] = 4645,
  [6045] = 4643,
  [6046] = 4627,
  [6047] = 4625,
  [6048] = 4624,
  [6049] = 4622,
  [6050] = 4621,
  [6051] = 4611,
  [6052] = 4610,
  [6053] = 4619,
  [6054] = 4763,
  [6055] = 4797,
  [6056] = 4607,
  [6057] = 5277,
  [6058] = 4606,
  [6059] = 4601,
  [6060] = 4600,
  [6061] = 4617,
  [6062] = 4596,
  [6063] = 4581,
  [6064] = 4591,
  [6065] = 4590,
  [6066] = 4587,
  [6067] = 4586,
  [6068] = 4573,
  [6069] = 4585,
  [6070] = 4582,
  [6071] = 4273,
  [6072] = 4351,
  [6073] = 5277,
  [6074] = 4415,
  [6075] = 6075,
  [6076] = 4619,
  [6077] = 4617,
  [6078] = 4669,
  [6079] = 4579,
  [6080] = 4806,
  [6081] = 4567,
  [6082] = 4653,
  [6083] = 4645,
  [6084] = 4643,
  [6085] = 4574,
  [6086] = 4627,
  [6087] = 4625,
  [6088] = 4624,
  [6089] = 4622,
  [6090] = 4273,
  [6091] = 4621,
  [6092] = 4620,
  [6093] = 4718,
  [6094] = 4611,
  [6095] = 4610,
  [6096] = 4581,
  [6097] = 4607,
  [6098] = 4590,
  [6099] = 4606,
  [6100] = 4601,
  [6101] = 4600,
  [6102] = 4596,
  [6103] = 4597,
  [6104] = 4591,
  [6105] = 4590,
  [6106] = 4587,
  [6107] = 4586,
  [6108] = 4585,
  [6109] = 4582,
  [6110] = 4597,
  [6111] = 4576,
  [6112] = 4273,
  [6113] = 4656,
  [6114] = 5313,
  [6115] = 4630,
  [6116] = 4579,
  [6117] = 4574,
  [6118] = 4620,
  [6119] = 4620,
  [6120] = 4597,
  [6121] = 4568,
  [6122] = 6122,
  [6123] = 4673,
  [6124] = 4581,
  [6125] = 4656,
  [6126] = 4806,
  [6127] = 4719,
  [6128] = 4656,
  [6129] = 4574,
  [6130] = 4581,
  [6131] = 4579,
  [6132] = 4718,
  [6133] = 4273,
  [6134] = 4744,
  [6135] = 4597,
  [6136] = 4620,
  [6137] = 4574,
  [6138] = 4582,
  [6139] = 4741,
  [6140] = 4586,
  [6141] = 4585,
  [6142] = 5277,
  [6143] = 4573,
  [6144] = 4719,
  [6145] = 4586,
  [6146] = 4587,
  [6147] = 4298,
  [6148] = 4579,
  [6149] = 4590,
  [6150] = 4673,
  [6151] = 4669,
  [6152] = 4591,
  [6153] = 4659,
  [6154] = 5313,
  [6155] = 4572,
  [6156] = 4596,
  [6157] = 4600,
  [6158] = 4601,
  [6159] = 4606,
  [6160] = 4607,
  [6161] = 4718,
  [6162] = 4610,
  [6163] = 4611,
  [6164] = 4713,
  [6165] = 4621,
  [6166] = 4622,
  [6167] = 4624,
  [6168] = 4625,
  [6169] = 4627,
  [6170] = 4693,
  [6171] = 4678,
  [6172] = 4668,
  [6173] = 4614,
  [6174] = 4675,
  [6175] = 4643,
  [6176] = 4645,
  [6177] = 4787,
  [6178] = 4656,
  [6179] = 4651,
  [6180] = 4619,
  [6181] = 4617,
  [6182] = 4567,
  [6183] = 4573,
  [6184] = 4576,
  [6185] = 5113,
  [6186] = 4298,
  [6187] = 4576,
  [6188] = 4581,
  [6189] = 4617,
  [6190] = 4567,
  [6191] = 4651,
  [6192] = 4619,
  [6193] = 6193,
  [6194] = 4645,
  [6195] = 4643,
  [6196] = 4614,
  [6197] = 4788,
  [6198] = 4582,
  [6199] = 4675,
  [6200] = 4668,
  [6201] = 4678,
  [6202] = 4763,
  [6203] = 4797,
  [6204] = 4693,
  [6205] = 4788,
  [6206] = 4614,
  [6207] = 4675,
  [6208] = 4668,
  [6209] = 4627,
  [6210] = 4678,
  [6211] = 4625,
  [6212] = 4624,
  [6213] = 4622,
  [6214] = 4621,
  [6215] = 4353,
  [6216] = 4693,
  [6217] = 6122,
  [6218] = 4763,
  [6219] = 4577,
  [6220] = 4797,
  [6221] = 4713,
  [6222] = 4611,
  [6223] = 4343,
  [6224] = 4610,
  [6225] = 4585,
  [6226] = 4347,
  [6227] = 4806,
  [6228] = 4713,
  [6229] = 4607,
  [6230] = 4606,
  [6231] = 4567,
  [6232] = 4601,
  [6233] = 4600,
  [6234] = 4596,
  [6235] = 4577,
  [6236] = 4651,
  [6237] = 4572,
  [6238] = 4718,
  [6239] = 4659,
  [6240] = 4591,
  [6241] = 4590,
  [6242] = 4797,
  [6243] = 4763,
  [6244] = 4587,
  [6245] = 4586,
  [6246] = 4585,
  [6247] = 4568,
  [6248] = 4741,
  [6249] = 4656,
  [6250] = 4582,
  [6251] = 4744,
  [6252] = 4572,
  [6253] = 4659,
  [6254] = 4606,
  [6255] = 4653,
  [6256] = 4614,
  [6257] = 4741,
  [6258] = 4744,
  [6259] = 4352,
  [6260] = 4353,
  [6261] = 4653,
  [6262] = 4787,
  [6263] = 4579,
  [6264] = 4582,
  [6265] = 4579,
  [6266] = 4675,
  [6267] = 4668,
  [6268] = 4645,
  [6269] = 4573,
  [6270] = 4678,
  [6271] = 4585,
  [6272] = 4586,
  [6273] = 4630,
  [6274] = 4587,
  [6275] = 4607,
  [6276] = 4574,
  [6277] = 4643,
  [6278] = 4574,
  [6279] = 4590,
  [6280] = 4591,
  [6281] = 4693,
  [6282] = 4627,
  [6283] = 4778,
  [6284] = 4369,
  [6285] = 4653,
  [6286] = 4675,
  [6287] = 4577,
  [6288] = 4630,
  [6289] = 4596,
  [6290] = 4788,
  [6291] = 4600,
  [6292] = 4601,
  [6293] = 4415,
  [6294] = 4606,
  [6295] = 4620,
  [6296] = 4668,
  [6297] = 4678,
  [6298] = 4607,
  [6299] = 4610,
  [6300] = 4713,
  [6301] = 4591,
  [6302] = 4610,
  [6303] = 4659,
  [6304] = 4611,
  [6305] = 4797,
  [6306] = 4763,
  [6307] = 4372,
  [6308] = 4572,
  [6309] = 4669,
  [6310] = 4621,
  [6311] = 4373,
  [6312] = 4622,
  [6313] = 4624,
  [6314] = 4625,
  [6315] = 4597,
  [6316] = 4673,
  [6317] = 4627,
  [6318] = 4597,
  [6319] = 4596,
  [6320] = 4600,
  [6321] = 4619,
  [6322] = 4601,
  [6323] = 4617,
  [6324] = 4744,
  [6325] = 4788,
  [6326] = 4576,
  [6327] = 4643,
  [6328] = 4630,
  [6329] = 4606,
  [6330] = 4645,
  [6331] = 4806,
  [6332] = 4744,
  [6333] = 4614,
  [6334] = 4693,
  [6335] = 4341,
  [6336] = 4568,
  [6337] = 4719,
  [6338] = 4741,
  [6339] = 4651,
  [6340] = 4567,
  [6341] = 4568,
  [6342] = 4567,
  [6343] = 4280,
  [6344] = 4651,
  [6345] = 6122,
  [6346] = 4576,
  [6347] = 4375,
  [6348] = 4630,
  [6349] = 4572,
  [6350] = 4617,
  [6351] = 4619,
  [6352] = 4645,
  [6353] = 4659,
  [6354] = 4369,
  [6355] = 4572,
  [6356] = 4643,
  [6357] = 4788,
  [6358] = 4627,
  [6359] = 4675,
  [6360] = 4668,
  [6361] = 4678,
  [6362] = 4625,
  [6363] = 4624,
  [6364] = 4693,
  [6365] = 4372,
  [6366] = 4373,
  [6367] = 4622,
  [6368] = 4621,
  [6369] = 4718,
  [6370] = 4763,
  [6371] = 4797,
  [6372] = 4611,
  [6373] = 4610,
  [6374] = 4713,
  [6375] = 4607,
  [6376] = 4601,
  [6377] = 4375,
  [6378] = 4577,
  [6379] = 4577,
  [6380] = 4600,
  [6381] = 4713,
  [6382] = 4596,
  [6383] = 4591,
  [6384] = 4376,
  [6385] = 4377,
  [6386] = 4718,
  [6387] = 4590,
  [6388] = 4587,
  [6389] = 4376,
  [6390] = 4586,
  [6391] = 4585,
  [6392] = 4659,
  [6393] = 4693,
  [6394] = 4568,
  [6395] = 4582,
  [6396] = 4678,
  [6397] = 4572,
  [6398] = 4668,
  [6399] = 4659,
  [6400] = 4675,
  [6401] = 4806,
  [6402] = 4579,
  [6403] = 6193,
  [6404] = 5313,
  [6405] = 4574,
  [6406] = 4620,
  [6407] = 4568,
  [6408] = 4741,
  [6409] = 4597,
  [6410] = 4630,
  [6411] = 4744,
  [6412] = 4656,
  [6413] = 4718,
  [6414] = 4358,
  [6415] = 4377,
  [6416] = 4787,
  [6417] = 4365,
  [6418] = 4364,
  [6419] = 4610,
  [6420] = 4653,
  [6421] = 4669,
  [6422] = 4787,
  [6423] = 4573,
  [6424] = 4806,
  [6425] = 4568,
  [6426] = 4587,
  [6427] = 4741,
  [6428] = 4611,
  [6429] = 4713,
  [6430] = 4673,
  [6431] = 4719,
  [6432] = 4744,
  [6433] = 4581,
  [6434] = 4273,
  [6435] = 4577,
  [6436] = 4620,
  [6437] = 4389,
  [6438] = 4614,
  [6439] = 4621,
  [6440] = 4358,
  [6441] = 4365,
  [6442] = 4669,
  [6443] = 4622,
  [6444] = 4389,
  [6445] = 4787,
  [6446] = 4352,
  [6447] = 4347,
  [6448] = 4624,
  [6449] = 4673,
  [6450] = 4719,
  [6451] = 4343,
  [6452] = 4719,
  [6453] = 6193,
  [6454] = 4581,
  [6455] = 4656,
  [6456] = 4341,
  [6457] = 4273,
  [6458] = 4364,
  [6459] = 4787,
  [6460] = 4673,
  [6461] = 4669,
  [6462] = 4625,
  [6463] = 4573,
  [6464] = 4273,
  [6465] = 4778,
  [6466] = 4620,
  [6467] = 4673,
  [6468] = 4719,
  [6469] = 4273,
  [6470] = 6075,
  [6471] = 4619,
  [6472] = 4341,
  [6473] = 4617,
  [6474] = 4353,
  [6475] = 4352,
  [6476] = 4576,
  [6477] = 4579,
  [6478] = 4347,
  [6479] = 4567,
  [6480] = 4651,
  [6481] = 4343,
  [6482] = 4645,
  [6483] = 4643,
  [6484] = 4574,
  [6485] = 4273,
  [6486] = 4630,
  [6487] = 4273,
  [6488] = 4611,
  [6489] = 4273,
  [6490] = 4273,
  [6491] = 4353,
  [6492] = 4627,
  [6493] = 4273,
  [6494] = 4625,
  [6495] = 6193,
  [6496] = 4624,
  [6497] = 4622,
  [6498] = 4669,
  [6499] = 4621,
  [6500] = 4620,
  [6501] = 4806,
  [6502] = 4298,
  [6503] = 4280,
  [6504] = 5313,
  [6505] = 4659,
  [6506] = 4343,
  [6507] = 6122,
  [6508] = 4610,
  [6509] = 4341,
  [6510] = 4653,
  [6511] = 4280,
  [6512] = 4352,
  [6513] = 4741,
  [6514] = 4273,
  [6515] = 6193,
  [6516] = 4347,
  [6517] = 4607,
  [6518] = 4606,
  [6519] = 4625,
  [6520] = 6520,
  [6521] = 4719,
  [6522] = 4601,
  [6523] = 4600,
  [6524] = 4596,
  [6525] = 4597,
  [6526] = 4280,
  [6527] = 4572,
  [6528] = 4673,
  [6529] = 4591,
  [6530] = 4590,
  [6531] = 4669,
  [6532] = 4298,
  [6533] = 4587,
  [6534] = 4806,
  [6535] = 4718,
  [6536] = 4586,
  [6537] = 4597,
  [6538] = 4574,
  [6539] = 4630,
  [6540] = 4579,
  [6541] = 4787,
  [6542] = 4713,
  [6543] = 4577,
  [6544] = 4797,
  [6545] = 4763,
  [6546] = 4630,
  [6547] = 4582,
  [6548] = 4582,
  [6549] = 4693,
  [6550] = 4585,
  [6551] = 4273,
  [6552] = 4678,
  [6553] = 4668,
  [6554] = 4675,
  [6555] = 4788,
  [6556] = 4586,
  [6557] = 4587,
  [6558] = 4590,
  [6559] = 4591,
  [6560] = 4596,
  [6561] = 4600,
  [6562] = 4656,
  [6563] = 4601,
  [6564] = 4606,
  [6565] = 4607,
  [6566] = 4298,
  [6567] = 5277,
  [6568] = 6122,
  [6569] = 4585,
  [6570] = 4343,
  [6571] = 4581,
  [6572] = 4610,
  [6573] = 4614,
  [6574] = 4614,
  [6575] = 4347,
  [6576] = 4611,
  [6577] = 4797,
  [6578] = 6193,
  [6579] = 4298,
  [6580] = 4621,
  [6581] = 4622,
  [6582] = 4763,
  [6583] = 4624,
  [6584] = 4280,
  [6585] = 4627,
  [6586] = 4352,
  [6587] = 4353,
  [6588] = 4788,
  [6589] = 4643,
  [6590] = 4645,
  [6591] = 6520,
  [6592] = 4651,
  [6593] = 4567,
  [6594] = 4576,
  [6595] = 4787,
  [6596] = 4630,
  [6597] = 4617,
  [6598] = 4619,
  [6599] = 4675,
  [6600] = 4668,
  [6601] = 4678,
  [6602] = 4630,
  [6603] = 4573,
  [6604] = 4693,
  [6605] = 4568,
  [6606] = 6520,
  [6607] = 4341,
  [6608] = 5313,
  [6609] = 4744,
  [6610] = 6122,
  [6611] = 4573,
  [6612] = 4741,
  [6613] = 4298,
  [6614] = 5277,
  [6615] = 4653,
  [6616] = 4568,
  [6617] = 4577,
  [6618] = 4298,
  [6619] = 4713,
  [6620] = 4280,
  [6621] = 6122,
  [6622] = 4744,
  [6623] = 4718,
  [6624] = 4656,
  [6625] = 4581,
  [6626] = 4273,
  [6627] = 4280,
  [6628] = 4572,
  [6629] = 4298,
  [6630] = 4659,
  [6631] = 6193,
  [6632] = 4280,
  [6633] = 6193,
  [6634] = 4341,
  [6635] = 4582,
  [6636] = 4585,
  [6637] = 4586,
  [6638] = 4587,
  [6639] = 4590,
  [6640] = 4591,
  [6641] = 4596,
  [6642] = 4600,
  [6643] = 4601,
  [6644] = 4606,
  [6645] = 4607,
  [6646] = 4718,
  [6647] = 4610,
  [6648] = 4611,
  [6649] = 4621,
  [6650] = 4622,
  [6651] = 4624,
  [6652] = 4625,
  [6653] = 4627,
  [6654] = 4787,
  [6655] = 4643,
  [6656] = 4645,
  [6657] = 4656,
  [6658] = 4651,
  [6659] = 6659,
  [6660] = 4567,
  [6661] = 4576,
  [6662] = 4581,
  [6663] = 4617,
  [6664] = 4619,
  [6665] = 6665,
  [6666] = 4343,
  [6667] = 4347,
  [6668] = 4806,
  [6669] = 4352,
  [6670] = 6193,
  [6671] = 6122,
  [6672] = 4579,
  [6673] = 4574,
  [6674] = 4353,
  [6675] = 4620,
  [6676] = 4597,
  [6677] = 4280,
  [6678] = 4280,
  [6679] = 4273,
  [6680] = 4298,
  [6681] = 4718,
  [6682] = 6193,
  [6683] = 4797,
  [6684] = 4763,
  [6685] = 4353,
  [6686] = 4352,
  [6687] = 6687,
  [6688] = 4788,
  [6689] = 4273,
  [6690] = 4656,
  [6691] = 4719,
  [6692] = 4597,
  [6693] = 4581,
  [6694] = 4273,
  [6695] = 4673,
  [6696] = 4341,
  [6697] = 6697,
  [6698] = 4669,
  [6699] = 4273,
  [6700] = 4630,
  [6701] = 4298,
  [6702] = 4620,
  [6703] = 4347,
  [6704] = 4630,
  [6705] = 4343,
  [6706] = 4574,
  [6707] = 6122,
  [6708] = 4298,
  [6709] = 4579,
  [6710] = 6687,
  [6711] = 6665,
  [6712] = 6659,
  [6713] = 4343,
  [6714] = 4298,
  [6715] = 6520,
  [6716] = 4347,
  [6717] = 4352,
  [6718] = 4341,
  [6719] = 4582,
  [6720] = 4585,
  [6721] = 4586,
  [6722] = 6122,
  [6723] = 4587,
  [6724] = 4787,
  [6725] = 4353,
  [6726] = 4590,
  [6727] = 6697,
  [6728] = 4591,
  [6729] = 4273,
  [6730] = 6520,
  [6731] = 4596,
  [6732] = 4600,
  [6733] = 4601,
  [6734] = 4606,
  [6735] = 4341,
  [6736] = 4607,
  [6737] = 4610,
  [6738] = 4611,
  [6739] = 6520,
  [6740] = 4341,
  [6741] = 4606,
  [6742] = 4621,
  [6743] = 4622,
  [6744] = 4273,
  [6745] = 6697,
  [6746] = 4597,
  [6747] = 4343,
  [6748] = 4347,
  [6749] = 4624,
  [6750] = 4352,
  [6751] = 4625,
  [6752] = 4669,
  [6753] = 4620,
  [6754] = 4627,
  [6755] = 4574,
  [6756] = 4673,
  [6757] = 4280,
  [6758] = 4353,
  [6759] = 4643,
  [6760] = 4719,
  [6761] = 4645,
  [6762] = 6193,
  [6763] = 4651,
  [6764] = 4719,
  [6765] = 4567,
  [6766] = 4579,
  [6767] = 4341,
  [6768] = 4576,
  [6769] = 4617,
  [6770] = 4673,
  [6771] = 4669,
  [6772] = 4280,
  [6773] = 4582,
  [6774] = 4585,
  [6775] = 4619,
  [6776] = 4586,
  [6777] = 4587,
  [6778] = 4590,
  [6779] = 4806,
  [6780] = 4591,
  [6781] = 4787,
  [6782] = 4596,
  [6783] = 4600,
  [6784] = 4601,
  [6785] = 4806,
  [6786] = 4607,
  [6787] = 4718,
  [6788] = 4341,
  [6789] = 4610,
  [6790] = 6122,
  [6791] = 4611,
  [6792] = 4341,
  [6793] = 4341,
  [6794] = 4343,
  [6795] = 4347,
  [6796] = 4621,
  [6797] = 4352,
  [6798] = 4622,
  [6799] = 4353,
  [6800] = 4624,
  [6801] = 4625,
  [6802] = 4627,
  [6803] = 6803,
  [6804] = 6122,
  [6805] = 4298,
  [6806] = 4280,
  [6807] = 4630,
  [6808] = 6803,
  [6809] = 4643,
  [6810] = 4645,
  [6811] = 4797,
  [6812] = 4788,
  [6813] = 4763,
  [6814] = 4763,
  [6815] = 4797,
  [6816] = 6803,
  [6817] = 4273,
  [6818] = 6193,
  [6819] = 4273,
  [6820] = 4656,
  [6821] = 4651,
  [6822] = 4343,
  [6823] = 4567,
  [6824] = 4298,
  [6825] = 4347,
  [6826] = 4352,
  [6827] = 4576,
  [6828] = 4581,
  [6829] = 4353,
  [6830] = 4617,
  [6831] = 4619,
  [6832] = 4273,
  [6833] = 4788,
  [6834] = 6659,
  [6835] = 4341,
  [6836] = 4352,
  [6837] = 4347,
  [6838] = 6687,
  [6839] = 4353,
  [6840] = 6520,
  [6841] = 4343,
  [6842] = 4280,
  [6843] = 6665,
  [6844] = 4352,
  [6845] = 4621,
  [6846] = 4582,
  [6847] = 4352,
  [6848] = 4585,
  [6849] = 4586,
  [6850] = 6193,
  [6851] = 4579,
  [6852] = 4347,
  [6853] = 4343,
  [6854] = 4763,
  [6855] = 4587,
  [6856] = 4590,
  [6857] = 4591,
  [6858] = 4797,
  [6859] = 6859,
  [6860] = 4787,
  [6861] = 4596,
  [6862] = 4600,
  [6863] = 4601,
  [6864] = 4606,
  [6865] = 4607,
  [6866] = 4243,
  [6867] = 4619,
  [6868] = 4610,
  [6869] = 4617,
  [6870] = 4611,
  [6871] = 4718,
  [6872] = 4576,
  [6873] = 4621,
  [6874] = 4622,
  [6875] = 4624,
  [6876] = 4625,
  [6877] = 4627,
  [6878] = 6878,
  [6879] = 4787,
  [6880] = 6880,
  [6881] = 4567,
  [6882] = 4651,
  [6883] = 4273,
  [6884] = 4341,
  [6885] = 4643,
  [6886] = 4645,
  [6887] = 4645,
  [6888] = 4651,
  [6889] = 4567,
  [6890] = 4643,
  [6891] = 4581,
  [6892] = 4353,
  [6893] = 4656,
  [6894] = 4669,
  [6895] = 4576,
  [6896] = 4673,
  [6897] = 6897,
  [6898] = 4797,
  [6899] = 4579,
  [6900] = 4617,
  [6901] = 4619,
  [6902] = 6902,
  [6903] = 4280,
  [6904] = 6904,
  [6905] = 6905,
  [6906] = 4806,
  [6907] = 4627,
  [6908] = 4719,
  [6909] = 6659,
  [6910] = 4625,
  [6911] = 6902,
  [6912] = 4787,
  [6913] = 4673,
  [6914] = 6193,
  [6915] = 4624,
  [6916] = 4719,
  [6917] = 4622,
  [6918] = 4574,
  [6919] = 4621,
  [6920] = 4582,
  [6921] = 4585,
  [6922] = 4341,
  [6923] = 4788,
  [6924] = 4586,
  [6925] = 4587,
  [6926] = 4590,
  [6927] = 4591,
  [6928] = 6904,
  [6929] = 6897,
  [6930] = 6687,
  [6931] = 4596,
  [6932] = 4669,
  [6933] = 4600,
  [6934] = 4620,
  [6935] = 4601,
  [6936] = 4606,
  [6937] = 4607,
  [6938] = 4341,
  [6939] = 4610,
  [6940] = 4273,
  [6941] = 4611,
  [6942] = 4611,
  [6943] = 4621,
  [6944] = 4622,
  [6945] = 4624,
  [6946] = 4625,
  [6947] = 4627,
  [6948] = 4273,
  [6949] = 4574,
  [6950] = 6878,
  [6951] = 4610,
  [6952] = 4643,
  [6953] = 4645,
  [6954] = 6520,
  [6955] = 4651,
  [6956] = 4567,
  [6957] = 6687,
  [6958] = 4719,
  [6959] = 4353,
  [6960] = 4341,
  [6961] = 4347,
  [6962] = 6665,
  [6963] = 6659,
  [6964] = 4576,
  [6965] = 4343,
  [6966] = 4617,
  [6967] = 4619,
  [6968] = 4673,
  [6969] = 4669,
  [6970] = 4607,
  [6971] = 4718,
  [6972] = 4597,
  [6973] = 4797,
  [6974] = 4341,
  [6975] = 4763,
  [6976] = 6803,
  [6977] = 4788,
  [6978] = 4656,
  [6979] = 6897,
  [6980] = 4597,
  [6981] = 6981,
  [6982] = 4620,
  [6983] = 4581,
  [6984] = 4601,
  [6985] = 6878,
  [6986] = 4600,
  [6987] = 4596,
  [6988] = 6687,
  [6989] = 4591,
  [6990] = 4590,
  [6991] = 6665,
  [6992] = 4587,
  [6993] = 4586,
  [6994] = 4585,
  [6995] = 6659,
  [6996] = 4788,
  [6997] = 4582,
  [6998] = 6905,
  [6999] = 4341,
  [7000] = 4597,
  [7001] = 4620,
  [7002] = 6905,
  [7003] = 4579,
  [7004] = 6665,
  [7005] = 6520,
  [7006] = 6122,
  [7007] = 4581,
  [7008] = 4763,
  [7009] = 4797,
  [7010] = 4806,
  [7011] = 4579,
  [7012] = 7012,
  [7013] = 4341,
  [7014] = 4243,
  [7015] = 4574,
  [7016] = 4606,
  [7017] = 7017,
  [7018] = 4656,
  [7019] = 4574,
  [7020] = 4788,
  [7021] = 4763,
  [7022] = 7022,
  [7023] = 4763,
  [7024] = 4797,
  [7025] = 7025,
  [7026] = 4341,
  [7027] = 6880,
  [7028] = 4718,
  [7029] = 4343,
  [7030] = 4341,
  [7031] = 4718,
  [7032] = 4347,
  [7033] = 6122,
  [7034] = 7034,
  [7035] = 6859,
  [7036] = 4273,
  [7037] = 4787,
  [7038] = 6981,
  [7039] = 4620,
  [7040] = 4619,
  [7041] = 4617,
  [7042] = 4353,
  [7043] = 4787,
  [7044] = 4576,
  [7045] = 4352,
  [7046] = 4353,
  [7047] = 4352,
  [7048] = 4788,
  [7049] = 6122,
  [7050] = 4567,
  [7051] = 4651,
  [7052] = 4347,
  [7053] = 6880,
  [7054] = 4645,
  [7055] = 4643,
  [7056] = 4656,
  [7057] = 6697,
  [7058] = 4280,
  [7059] = 4673,
  [7060] = 4787,
  [7061] = 6520,
  [7062] = 4627,
  [7063] = 4806,
  [7064] = 4625,
  [7065] = 4624,
  [7066] = 4622,
  [7067] = 7067,
  [7068] = 4341,
  [7069] = 6122,
  [7070] = 4597,
  [7071] = 4611,
  [7072] = 4581,
  [7073] = 4610,
  [7074] = 4787,
  [7075] = 7075,
  [7076] = 6697,
  [7077] = 4343,
  [7078] = 4607,
  [7079] = 4606,
  [7080] = 4806,
  [7081] = 4601,
  [7082] = 4600,
  [7083] = 4596,
  [7084] = 7084,
  [7085] = 4591,
  [7086] = 4590,
  [7087] = 7084,
  [7088] = 4669,
  [7089] = 4587,
  [7090] = 4586,
  [7091] = 4585,
  [7092] = 4581,
  [7093] = 4582,
  [7094] = 6981,
  [7095] = 4787,
  [7096] = 7096,
  [7097] = 4596,
  [7098] = 4341,
  [7099] = 4656,
  [7100] = 4719,
  [7101] = 6880,
  [7102] = 7102,
  [7103] = 6520,
  [7104] = 4298,
  [7105] = 6659,
  [7106] = 6122,
  [7107] = 6665,
  [7108] = 7075,
  [7109] = 4597,
  [7110] = 6981,
  [7111] = 6904,
  [7112] = 6687,
  [7113] = 4620,
  [7114] = 6859,
  [7115] = 4788,
  [7116] = 6193,
  [7117] = 7067,
  [7118] = 4574,
  [7119] = 7022,
  [7120] = 7025,
  [7121] = 7034,
  [7122] = 6193,
  [7123] = 7102,
  [7124] = 4763,
  [7125] = 4797,
  [7126] = 4273,
  [7127] = 6193,
  [7128] = 4579,
  [7129] = 7129,
  [7130] = 4273,
  [7131] = 7067,
  [7132] = 4353,
  [7133] = 4352,
  [7134] = 4347,
  [7135] = 6880,
  [7136] = 4243,
  [7137] = 7084,
  [7138] = 7096,
  [7139] = 4343,
  [7140] = 6981,
  [7141] = 7096,
  [7142] = 4718,
  [7143] = 7075,
  [7144] = 4273,
  [7145] = 6193,
  [7146] = 6122,
  [7147] = 7147,
  [7148] = 4273,
  [7149] = 7149,
  [7150] = 4581,
  [7151] = 4669,
  [7152] = 4673,
  [7153] = 4579,
  [7154] = 4806,
  [7155] = 7129,
  [7156] = 4582,
  [7157] = 7012,
  [7158] = 4585,
  [7159] = 4586,
  [7160] = 4656,
  [7161] = 4587,
  [7162] = 4590,
  [7163] = 4574,
  [7164] = 4611,
  [7165] = 7147,
  [7166] = 6902,
  [7167] = 7149,
  [7168] = 4591,
  [7169] = 4596,
  [7170] = 4600,
  [7171] = 4601,
  [7172] = 4620,
  [7173] = 4719,
  [7174] = 6803,
  [7175] = 4606,
  [7176] = 4607,
  [7177] = 4353,
  [7178] = 4610,
  [7179] = 4718,
  [7180] = 4611,
  [7181] = 4621,
  [7182] = 4622,
  [7183] = 4624,
  [7184] = 4625,
  [7185] = 4597,
  [7186] = 4627,
  [7187] = 4352,
  [7188] = 4643,
  [7189] = 4645,
  [7190] = 4651,
  [7191] = 4567,
  [7192] = 7129,
  [7193] = 6981,
  [7194] = 4347,
  [7195] = 4576,
  [7196] = 4343,
  [7197] = 4619,
  [7198] = 4617,
  [7199] = 4617,
  [7200] = 6122,
  [7201] = 4576,
  [7202] = 4619,
  [7203] = 7022,
  [7204] = 4273,
  [7205] = 6520,
  [7206] = 7025,
  [7207] = 4567,
  [7208] = 4651,
  [7209] = 4806,
  [7210] = 4645,
  [7211] = 4643,
  [7212] = 6880,
  [7213] = 4619,
  [7214] = 4669,
  [7215] = 4341,
  [7216] = 4627,
  [7217] = 4625,
  [7218] = 4624,
  [7219] = 4622,
  [7220] = 4621,
  [7221] = 4673,
  [7222] = 4787,
  [7223] = 4597,
  [7224] = 4611,
  [7225] = 6697,
  [7226] = 4610,
  [7227] = 7147,
  [7228] = 4806,
  [7229] = 4607,
  [7230] = 4606,
  [7231] = 4601,
  [7232] = 4600,
  [7233] = 4596,
  [7234] = 7149,
  [7235] = 4591,
  [7236] = 4590,
  [7237] = 4587,
  [7238] = 4586,
  [7239] = 4585,
  [7240] = 4582,
  [7241] = 4718,
  [7242] = 4669,
  [7243] = 4617,
  [7244] = 4673,
  [7245] = 4787,
  [7246] = 4576,
  [7247] = 6193,
  [7248] = 4567,
  [7249] = 4719,
  [7250] = 4651,
  [7251] = 4797,
  [7252] = 4763,
  [7253] = 4243,
  [7254] = 4719,
  [7255] = 4645,
  [7256] = 4643,
  [7257] = 4341,
  [7258] = 6697,
  [7259] = 7012,
  [7260] = 4620,
  [7261] = 6803,
  [7262] = 4788,
  [7263] = 4574,
  [7264] = 7017,
  [7265] = 4627,
  [7266] = 6803,
  [7267] = 4625,
  [7268] = 4582,
  [7269] = 7034,
  [7270] = 4656,
  [7271] = 7102,
  [7272] = 4624,
  [7273] = 4298,
  [7274] = 7017,
  [7275] = 4579,
  [7276] = 4600,
  [7277] = 4585,
  [7278] = 4586,
  [7279] = 4587,
  [7280] = 4601,
  [7281] = 4622,
  [7282] = 4581,
  [7283] = 4590,
  [7284] = 4591,
  [7285] = 4606,
  [7286] = 4607,
  [7287] = 4610,
  [7288] = 4621,
  [7289] = 4341,
  [7290] = 7290,
  [7291] = 4797,
  [7292] = 6880,
  [7293] = 7293,
  [7294] = 7294,
  [7295] = 6193,
  [7296] = 7296,
  [7297] = 7297,
  [7298] = 7298,
  [7299] = 7294,
  [7300] = 7147,
  [7301] = 7149,
  [7302] = 7302,
  [7303] = 6897,
  [7304] = 6878,
  [7305] = 4797,
  [7306] = 4763,
  [7307] = 7307,
  [7308] = 7149,
  [7309] = 7147,
  [7310] = 6905,
  [7311] = 7311,
  [7312] = 7312,
  [7313] = 4788,
  [7314] = 7314,
  [7315] = 7315,
  [7316] = 7316,
  [7317] = 4788,
  [7318] = 7318,
  [7319] = 4787,
  [7320] = 7012,
  [7321] = 7321,
  [7322] = 7322,
  [7323] = 7323,
  [7324] = 4341,
  [7325] = 7293,
  [7326] = 7326,
  [7327] = 7084,
  [7328] = 7297,
  [7329] = 4718,
  [7330] = 7294,
  [7331] = 7331,
  [7332] = 7302,
  [7333] = 7096,
  [7334] = 4341,
  [7335] = 7129,
  [7336] = 7336,
  [7337] = 4273,
  [7338] = 7149,
  [7339] = 7311,
  [7340] = 7322,
  [7341] = 4787,
  [7342] = 4619,
  [7343] = 4617,
  [7344] = 7344,
  [7345] = 6193,
  [7346] = 4576,
  [7347] = 7347,
  [7348] = 7323,
  [7349] = 7349,
  [7350] = 7350,
  [7351] = 4567,
  [7352] = 4651,
  [7353] = 7294,
  [7354] = 4645,
  [7355] = 4643,
  [7356] = 7356,
  [7357] = 7357,
  [7358] = 7349,
  [7359] = 7350,
  [7360] = 4627,
  [7361] = 4625,
  [7362] = 4624,
  [7363] = 4622,
  [7364] = 4621,
  [7365] = 7147,
  [7366] = 7366,
  [7367] = 7294,
  [7368] = 4611,
  [7369] = 7369,
  [7370] = 4610,
  [7371] = 7294,
  [7372] = 4656,
  [7373] = 4607,
  [7374] = 4606,
  [7375] = 4601,
  [7376] = 4600,
  [7377] = 4596,
  [7378] = 7378,
  [7379] = 4591,
  [7380] = 4590,
  [7381] = 4587,
  [7382] = 4586,
  [7383] = 4585,
  [7384] = 4582,
  [7385] = 4719,
  [7386] = 7366,
  [7387] = 7387,
  [7388] = 7388,
  [7389] = 7369,
  [7390] = 7294,
  [7391] = 7298,
  [7392] = 4581,
  [7393] = 4581,
  [7394] = 4787,
  [7395] = 4673,
  [7396] = 4806,
  [7397] = 7387,
  [7398] = 7129,
  [7399] = 4669,
  [7400] = 7318,
  [7401] = 4656,
  [7402] = 7296,
  [7403] = 7403,
  [7404] = 7404,
  [7405] = 4787,
  [7406] = 7406,
  [7407] = 7407,
  [7408] = 7149,
  [7409] = 7294,
  [7410] = 7149,
  [7411] = 7411,
  [7412] = 7294,
  [7413] = 7413,
  [7414] = 7413,
  [7415] = 7415,
  [7416] = 7294,
  [7417] = 7294,
  [7418] = 7418,
  [7419] = 7419,
  [7420] = 4718,
  [7421] = 7294,
  [7422] = 7294,
  [7423] = 7423,
  [7424] = 7424,
  [7425] = 7403,
  [7426] = 7294,
  [7427] = 7294,
  [7428] = 7428,
  [7429] = 7129,
  [7430] = 7022,
  [7431] = 4673,
  [7432] = 7432,
  [7433] = 7433,
  [7434] = 7434,
  [7435] = 7435,
  [7436] = 7436,
  [7437] = 7437,
  [7438] = 7438,
  [7439] = 7294,
  [7440] = 7034,
  [7441] = 6981,
  [7442] = 7025,
  [7443] = 4579,
  [7444] = 7022,
  [7445] = 7294,
  [7446] = 7034,
  [7447] = 7294,
  [7448] = 7448,
  [7449] = 4273,
  [7450] = 7450,
  [7451] = 7025,
  [7452] = 4574,
  [7453] = 7453,
  [7454] = 7438,
  [7455] = 6122,
  [7456] = 7456,
  [7457] = 6193,
  [7458] = 7458,
  [7459] = 4719,
  [7460] = 7460,
  [7461] = 4620,
  [7462] = 4582,
  [7463] = 7463,
  [7464] = 4597,
  [7465] = 7147,
  [7466] = 4787,
  [7467] = 4673,
  [7468] = 7456,
  [7469] = 4343,
  [7470] = 4347,
  [7471] = 4352,
  [7472] = 4353,
  [7473] = 7473,
  [7474] = 4597,
  [7475] = 7458,
  [7476] = 7294,
  [7477] = 7473,
  [7478] = 6122,
  [7479] = 6520,
  [7480] = 7480,
  [7481] = 7481,
  [7482] = 7480,
  [7483] = 7483,
  [7484] = 7481,
  [7485] = 4341,
  [7486] = 7486,
  [7487] = 7487,
  [7488] = 7488,
  [7489] = 4669,
  [7490] = 7102,
  [7491] = 7294,
  [7492] = 4806,
  [7493] = 7075,
  [7494] = 7494,
  [7495] = 7294,
  [7496] = 4669,
  [7497] = 4620,
  [7498] = 7483,
  [7499] = 7486,
  [7500] = 7500,
  [7501] = 7487,
  [7502] = 4353,
  [7503] = 4352,
  [7504] = 7075,
  [7505] = 4273,
  [7506] = 7506,
  [7507] = 7075,
  [7508] = 7034,
  [7509] = 4574,
  [7510] = 7506,
  [7511] = 7511,
  [7512] = 7511,
  [7513] = 4347,
  [7514] = 7514,
  [7515] = 4343,
  [7516] = 7516,
  [7517] = 7025,
  [7518] = 7453,
  [7519] = 6803,
  [7520] = 7022,
  [7521] = 7521,
  [7522] = 7012,
  [7523] = 7523,
  [7524] = 7524,
  [7525] = 4806,
  [7526] = 4579,
  [7527] = 7147,
  [7528] = 7528,
  [7529] = 7529,
  [7530] = 7290,
  [7531] = 7529,
  [7532] = 7294,
  [7533] = 6697,
  [7534] = 7294,
  [7535] = 7102,
  [7536] = 7084,
  [7537] = 6981,
  [7538] = 4619,
  [7539] = 4617,
  [7540] = 4576,
  [7541] = 7096,
  [7542] = 7294,
  [7543] = 4567,
  [7544] = 7294,
  [7545] = 4651,
  [7546] = 4719,
  [7547] = 4645,
  [7548] = 7294,
  [7549] = 4643,
  [7550] = 6659,
  [7551] = 4627,
  [7552] = 6665,
  [7553] = 4625,
  [7554] = 6687,
  [7555] = 4341,
  [7556] = 7514,
  [7557] = 4624,
  [7558] = 7516,
  [7559] = 4622,
  [7560] = 7294,
  [7561] = 7102,
  [7562] = 4673,
  [7563] = 4585,
  [7564] = 4586,
  [7565] = 4587,
  [7566] = 7566,
  [7567] = 7294,
  [7568] = 7568,
  [7569] = 7569,
  [7570] = 4590,
  [7571] = 4591,
  [7572] = 6193,
  [7573] = 7573,
  [7574] = 7574,
  [7575] = 7321,
  [7576] = 7576,
  [7577] = 4596,
  [7578] = 4600,
  [7579] = 4601,
  [7580] = 7580,
  [7581] = 7294,
  [7582] = 7129,
  [7583] = 7568,
  [7584] = 4581,
  [7585] = 4606,
  [7586] = 6902,
  [7587] = 4607,
  [7588] = 7419,
  [7589] = 4243,
  [7590] = 6904,
  [7591] = 4610,
  [7592] = 7423,
  [7593] = 4656,
  [7594] = 4611,
  [7595] = 6904,
  [7596] = 7596,
  [7597] = 4788,
  [7598] = 4621,
  [7599] = 4621,
  [7600] = 4622,
  [7601] = 7569,
  [7602] = 4624,
  [7603] = 4625,
  [7604] = 6122,
  [7605] = 7605,
  [7606] = 4763,
  [7607] = 4797,
  [7608] = 4627,
  [7609] = 6880,
  [7610] = 7576,
  [7611] = 7596,
  [7612] = 4718,
  [7613] = 7574,
  [7614] = 7614,
  [7615] = 7573,
  [7616] = 7566,
  [7617] = 4611,
  [7618] = 4643,
  [7619] = 4645,
  [7620] = 7521,
  [7621] = 7147,
  [7622] = 7494,
  [7623] = 4651,
  [7624] = 4567,
  [7625] = 6859,
  [7626] = 4610,
  [7627] = 7294,
  [7628] = 7488,
  [7629] = 7448,
  [7630] = 4619,
  [7631] = 4617,
  [7632] = 4607,
  [7633] = 4576,
  [7634] = 4576,
  [7635] = 4669,
  [7636] = 6880,
  [7637] = 7637,
  [7638] = 4617,
  [7639] = 4567,
  [7640] = 4651,
  [7641] = 4619,
  [7642] = 4645,
  [7643] = 4643,
  [7644] = 7644,
  [7645] = 7424,
  [7646] = 7314,
  [7647] = 7294,
  [7648] = 4627,
  [7649] = 4625,
  [7650] = 4624,
  [7651] = 4622,
  [7652] = 4621,
  [7653] = 7653,
  [7654] = 4606,
  [7655] = 7655,
  [7656] = 4611,
  [7657] = 4601,
  [7658] = 4610,
  [7659] = 7315,
  [7660] = 4600,
  [7661] = 4607,
  [7662] = 4606,
  [7663] = 4601,
  [7664] = 4600,
  [7665] = 4596,
  [7666] = 7316,
  [7667] = 4591,
  [7668] = 4590,
  [7669] = 4587,
  [7670] = 4586,
  [7671] = 4585,
  [7672] = 4582,
  [7673] = 7428,
  [7674] = 4596,
  [7675] = 7067,
  [7676] = 7316,
  [7677] = 4787,
  [7678] = 7315,
  [7679] = 7314,
  [7680] = 4341,
  [7681] = 4591,
  [7682] = 4590,
  [7683] = 7683,
  [7684] = 7432,
  [7685] = 4587,
  [7686] = 7463,
  [7687] = 7523,
  [7688] = 6859,
  [7689] = 4586,
  [7690] = 4585,
  [7691] = 7075,
  [7692] = 4582,
  [7693] = 4806,
  [7694] = 7067,
  [7695] = 7695,
  [7696] = 4581,
  [7697] = 7697,
  [7698] = 4763,
  [7699] = 6803,
  [7700] = 4579,
  [7701] = 7149,
  [7702] = 6520,
  [7703] = 6122,
  [7704] = 4656,
  [7705] = 7524,
  [7706] = 7706,
  [7707] = 7707,
  [7708] = 7605,
  [7709] = 7709,
  [7710] = 4797,
  [7711] = 4763,
  [7712] = 4574,
  [7713] = 7713,
  [7714] = 4620,
  [7715] = 7715,
  [7716] = 7294,
  [7717] = 7717,
  [7718] = 6687,
  [7719] = 7017,
  [7720] = 7720,
  [7721] = 7012,
  [7722] = 7644,
  [7723] = 4788,
  [7724] = 4718,
  [7725] = 4597,
  [7726] = 7294,
  [7727] = 4669,
  [7728] = 4341,
  [7729] = 6520,
  [7730] = 4673,
  [7731] = 4579,
  [7732] = 7437,
  [7733] = 4787,
  [7734] = 7012,
  [7735] = 7294,
  [7736] = 6665,
  [7737] = 6659,
  [7738] = 7294,
  [7739] = 7294,
  [7740] = 4574,
  [7741] = 4719,
  [7742] = 7294,
  [7743] = 7017,
  [7744] = 6902,
  [7745] = 7745,
  [7746] = 7294,
  [7747] = 7294,
  [7748] = 7460,
  [7749] = 4620,
  [7750] = 7290,
  [7751] = 7637,
  [7752] = 7017,
  [7753] = 7753,
  [7754] = 6122,
  [7755] = 6520,
  [7756] = 7316,
  [7757] = 7017,
  [7758] = 4273,
  [7759] = 6905,
  [7760] = 6122,
  [7761] = 6880,
  [7762] = 4597,
  [7763] = 6520,
  [7764] = 7764,
  [7765] = 7294,
  [7766] = 7315,
  [7767] = 6878,
  [7768] = 4719,
  [7769] = 7293,
  [7770] = 7294,
  [7771] = 7580,
  [7772] = 6897,
  [7773] = 6880,
  [7774] = 6193,
  [7775] = 7012,
  [7776] = 4581,
  [7777] = 7453,
  [7778] = 7290,
  [7779] = 7314,
  [7780] = 7075,
  [7781] = 7294,
  [7782] = 6981,
  [7783] = 7453,
  [7784] = 7784,
  [7785] = 4656,
  [7786] = 7034,
  [7787] = 7787,
  [7788] = 4806,
  [7789] = 7307,
  [7790] = 7314,
  [7791] = 7294,
  [7792] = 7792,
  [7793] = 7614,
  [7794] = 7067,
  [7795] = 7784,
  [7796] = 6859,
  [7797] = 7025,
  [7798] = 7315,
  [7799] = 7294,
  [7800] = 7787,
  [7801] = 7801,
  [7802] = 7294,
  [7803] = 7787,
  [7804] = 4718,
  [7805] = 4341,
  [7806] = 7012,
  [7807] = 7294,
  [7808] = 7022,
  [7809] = 7745,
  [7810] = 4788,
  [7811] = 7102,
  [7812] = 7784,
  [7813] = 7294,
  [7814] = 6193,
  [7815] = 7294,
  [7816] = 4763,
  [7817] = 4273,
  [7818] = 4797,
  [7819] = 6897,
  [7820] = 7745,
  [7821] = 6878,
  [7822] = 6905,
  [7823] = 7707,
  [7824] = 4581,
  [7825] = 7825,
  [7826] = 7012,
  [7827] = 7316,
  [7828] = 6880,
  [7829] = 6981,
  [7830] = 4787,
  [7831] = 7707,
  [7832] = 7294,
  [7833] = 4656,
  [7834] = 7524,
  [7835] = 7835,
  [7836] = 7523,
  [7837] = 7463,
  [7838] = 7294,
  [7839] = 7839,
  [7840] = 7840,
  [7841] = 7436,
  [7842] = 7415,
  [7843] = 4719,
  [7844] = 7432,
  [7845] = 7406,
  [7846] = 7428,
  [7847] = 7424,
  [7848] = 7423,
  [7849] = 7331,
  [7850] = 7580,
  [7851] = 6697,
  [7852] = 4718,
  [7853] = 4673,
  [7854] = 7290,
  [7855] = 7404,
  [7856] = 7436,
  [7857] = 7415,
  [7858] = 7419,
  [7859] = 7406,
  [7860] = 7404,
  [7861] = 7357,
  [7862] = 7294,
  [7863] = 4669,
  [7864] = 7344,
  [7865] = 7294,
  [7866] = 4243,
  [7867] = 7403,
  [7868] = 4273,
  [7869] = 7336,
  [7870] = 7102,
  [7871] = 7347,
  [7872] = 7357,
  [7873] = 7084,
  [7874] = 7296,
  [7875] = 7294,
  [7876] = 7356,
  [7877] = 7344,
  [7878] = 7378,
  [7879] = 7580,
  [7880] = 7318,
  [7881] = 7096,
  [7882] = 7294,
  [7883] = 7388,
  [7884] = 7336,
  [7885] = 7500,
  [7886] = 7407,
  [7887] = 7411,
  [7888] = 7418,
  [7889] = 7347,
  [7890] = 7294,
  [7891] = 7356,
  [7892] = 7450,
  [7893] = 7378,
  [7894] = 7297,
  [7895] = 7388,
  [7896] = 7298,
  [7897] = 7331,
  [7898] = 7407,
  [7899] = 7302,
  [7900] = 7411,
  [7901] = 7418,
  [7902] = 7294,
  [7903] = 7435,
  [7904] = 7434,
  [7905] = 7311,
  [7906] = 7825,
  [7907] = 7433,
  [7908] = 6902,
  [7909] = 7450,
  [7910] = 6520,
  [7911] = 7294,
  [7912] = 4619,
  [7913] = 4617,
  [7914] = 4576,
  [7915] = 4567,
  [7916] = 7294,
  [7917] = 7500,
  [7918] = 4651,
  [7919] = 7839,
  [7920] = 4787,
  [7921] = 7653,
  [7922] = 4645,
  [7923] = 4643,
  [7924] = 7433,
  [7925] = 7840,
  [7926] = 7655,
  [7927] = 7294,
  [7928] = 7683,
  [7929] = 7835,
  [7930] = 7528,
  [7931] = 7697,
  [7932] = 7695,
  [7933] = 7706,
  [7934] = 7605,
  [7935] = 7709,
  [7936] = 7022,
  [7937] = 7294,
  [7938] = 7713,
  [7939] = 7715,
  [7940] = 7294,
  [7941] = 7753,
  [7942] = 7801,
  [7943] = 7434,
  [7944] = 7717,
  [7945] = 7435,
  [7946] = 7720,
  [7947] = 7460,
  [7948] = 6520,
  [7949] = 7129,
  [7950] = 7322,
  [7951] = 7323,
  [7952] = 7349,
  [7953] = 7350,
  [7954] = 7025,
  [7955] = 7437,
  [7956] = 7448,
  [7957] = 7792,
  [7958] = 7366,
  [7959] = 7488,
  [7960] = 7494,
  [7961] = 7034,
  [7962] = 7614,
  [7963] = 7521,
  [7964] = 4597,
  [7965] = 6859,
  [7966] = 7764,
  [7967] = 7566,
  [7968] = 7453,
  [7969] = 6904,
  [7970] = 7067,
  [7971] = 7637,
  [7972] = 4806,
  [7973] = 4627,
  [7974] = 7290,
  [7975] = 7573,
  [7976] = 7034,
  [7977] = 7314,
  [7978] = 7792,
  [7979] = 7574,
  [7980] = 4625,
  [7981] = 7025,
  [7982] = 7315,
  [7983] = 7801,
  [7984] = 7753,
  [7985] = 7022,
  [7986] = 7316,
  [7987] = 7835,
  [7988] = 7321,
  [7989] = 4624,
  [7990] = 7576,
  [7991] = 7839,
  [7992] = 7825,
  [7993] = 4622,
  [7994] = 7529,
  [7995] = 7129,
  [7996] = 4621,
  [7997] = 6880,
  [7998] = 7102,
  [7999] = 6981,
  [8000] = 4611,
  [8001] = 7294,
  [8002] = 4610,
  [8003] = 7580,
  [8004] = 4620,
  [8005] = 4243,
  [8006] = 7294,
  [8007] = 6981,
  [8008] = 7596,
  [8009] = 7149,
  [8010] = 4607,
  [8011] = 7653,
  [8012] = 4606,
  [8013] = 7369,
  [8014] = 4619,
  [8015] = 4617,
  [8016] = 7655,
  [8017] = 4601,
  [8018] = 4576,
  [8019] = 7683,
  [8020] = 7387,
  [8021] = 7528,
  [8022] = 4600,
  [8023] = 4567,
  [8024] = 4651,
  [8025] = 4596,
  [8026] = 4645,
  [8027] = 4643,
  [8028] = 7697,
  [8029] = 4788,
  [8030] = 7294,
  [8031] = 4591,
  [8032] = 4627,
  [8033] = 4625,
  [8034] = 4624,
  [8035] = 4622,
  [8036] = 4621,
  [8037] = 7695,
  [8038] = 4763,
  [8039] = 4797,
  [8040] = 4611,
  [8041] = 4590,
  [8042] = 4610,
  [8043] = 4587,
  [8044] = 7840,
  [8045] = 4607,
  [8046] = 4606,
  [8047] = 4601,
  [8048] = 4600,
  [8049] = 4596,
  [8050] = 7706,
  [8051] = 4591,
  [8052] = 4590,
  [8053] = 4587,
  [8054] = 4586,
  [8055] = 4585,
  [8056] = 4582,
  [8057] = 4586,
  [8058] = 4585,
  [8059] = 6897,
  [8060] = 4582,
  [8061] = 7413,
  [8062] = 7075,
  [8063] = 4574,
  [8064] = 7580,
  [8065] = 4579,
  [8066] = 7453,
  [8067] = 4787,
  [8068] = 7438,
  [8069] = 7764,
  [8070] = 4574,
  [8071] = 7456,
  [8072] = 6878,
  [8073] = 6905,
  [8074] = 7458,
  [8075] = 7473,
  [8076] = 7480,
  [8077] = 4620,
  [8078] = 7294,
  [8079] = 7294,
  [8080] = 7294,
  [8081] = 7481,
  [8082] = 7147,
  [8083] = 7294,
  [8084] = 7483,
  [8085] = 4597,
  [8086] = 4579,
  [8087] = 7486,
  [8088] = 7487,
  [8089] = 7506,
  [8090] = 7511,
  [8091] = 7307,
  [8092] = 7294,
  [8093] = 7514,
  [8094] = 7516,
  [8095] = 7568,
  [8096] = 7084,
  [8097] = 7644,
  [8098] = 7720,
  [8099] = 7096,
  [8100] = 7569,
  [8101] = 4243,
  [8102] = 7717,
  [8103] = 7715,
  [8104] = 7713,
  [8105] = 7294,
  [8106] = 7709,
  [8107] = 7129,
  [8108] = 6904,
  [8109] = 7715,
  [8110] = 7713,
  [8111] = 7709,
  [8112] = 7605,
  [8113] = 7706,
  [8114] = 7695,
  [8115] = 7697,
  [8116] = 7528,
  [8117] = 7683,
  [8118] = 7655,
  [8119] = 7314,
  [8120] = 7653,
  [8121] = 7500,
  [8122] = 6904,
  [8123] = 7102,
  [8124] = 7315,
  [8125] = 7450,
  [8126] = 7453,
  [8127] = 7316,
  [8128] = 6520,
  [8129] = 6981,
  [8130] = 7418,
  [8131] = 7411,
  [8132] = 7407,
  [8133] = 7298,
  [8134] = 7102,
  [8135] = 7388,
  [8136] = 7378,
  [8137] = 7453,
  [8138] = 7356,
  [8139] = 4591,
  [8140] = 4597,
  [8141] = 4620,
  [8142] = 7347,
  [8143] = 4574,
  [8144] = 7336,
  [8145] = 4579,
  [8146] = 7344,
  [8147] = 7357,
  [8148] = 7404,
  [8149] = 4582,
  [8150] = 4585,
  [8151] = 7406,
  [8152] = 4586,
  [8153] = 4587,
  [8154] = 4590,
  [8155] = 7415,
  [8156] = 7436,
  [8157] = 7637,
  [8158] = 7012,
  [8159] = 4596,
  [8160] = 4600,
  [8161] = 7707,
  [8162] = 4601,
  [8163] = 4606,
  [8164] = 7745,
  [8165] = 7102,
  [8166] = 7438,
  [8167] = 4607,
  [8168] = 7784,
  [8169] = 4610,
  [8170] = 4611,
  [8171] = 4797,
  [8172] = 4763,
  [8173] = 7017,
  [8174] = 7456,
  [8175] = 4621,
  [8176] = 4622,
  [8177] = 4624,
  [8178] = 4625,
  [8179] = 4627,
  [8180] = 7787,
  [8181] = 7614,
  [8182] = 4788,
  [8183] = 7149,
  [8184] = 7596,
  [8185] = 4643,
  [8186] = 7569,
  [8187] = 4645,
  [8188] = 7569,
  [8189] = 4651,
  [8190] = 4567,
  [8191] = 7568,
  [8192] = 7516,
  [8193] = 7514,
  [8194] = 7511,
  [8195] = 7506,
  [8196] = 7487,
  [8197] = 4787,
  [8198] = 4576,
  [8199] = 4617,
  [8200] = 4619,
  [8201] = 7486,
  [8202] = 4787,
  [8203] = 7483,
  [8204] = 7481,
  [8205] = 7480,
  [8206] = 7458,
  [8207] = 7456,
  [8208] = 7438,
  [8209] = 7473,
  [8210] = 7413,
  [8211] = 7473,
  [8212] = 7717,
  [8213] = 7387,
  [8214] = 7369,
  [8215] = 7366,
  [8216] = 7637,
  [8217] = 7350,
  [8218] = 7349,
  [8219] = 7323,
  [8220] = 7322,
  [8221] = 7311,
  [8222] = 7290,
  [8223] = 7302,
  [8224] = 7331,
  [8225] = 7297,
  [8226] = 7529,
  [8227] = 7293,
  [8228] = 7318,
  [8229] = 7296,
  [8230] = 7403,
  [8231] = 7419,
  [8232] = 7423,
  [8233] = 7424,
  [8234] = 7428,
  [8235] = 7480,
  [8236] = 7637,
  [8237] = 7432,
  [8238] = 7463,
  [8239] = 4806,
  [8240] = 7523,
  [8241] = 7524,
  [8242] = 7840,
  [8243] = 7481,
  [8244] = 7580,
  [8245] = 6902,
  [8246] = 7483,
  [8247] = 7387,
  [8248] = 7825,
  [8249] = 7839,
  [8250] = 7486,
  [8251] = 7369,
  [8252] = 7433,
  [8253] = 7434,
  [8254] = 7435,
  [8255] = 7460,
  [8256] = 7437,
  [8257] = 7448,
  [8258] = 7488,
  [8259] = 7637,
  [8260] = 7494,
  [8261] = 7521,
  [8262] = 7566,
  [8263] = 7573,
  [8264] = 7574,
  [8265] = 7147,
  [8266] = 4718,
  [8267] = 7321,
  [8268] = 7576,
  [8269] = 7290,
  [8270] = 7835,
  [8271] = 7316,
  [8272] = 7022,
  [8273] = 7753,
  [8274] = 7801,
  [8275] = 7315,
  [8276] = 7025,
  [8277] = 7792,
  [8278] = 7314,
  [8279] = 7034,
  [8280] = 7487,
  [8281] = 7506,
  [8282] = 7511,
  [8283] = 7423,
  [8284] = 4656,
  [8285] = 7764,
  [8286] = 7149,
  [8287] = 7458,
  [8288] = 7516,
  [8289] = 7568,
  [8290] = 7720,
  [8291] = 4581,
  [8292] = 7644,
  [8293] = 7366,
  [8294] = 7350,
  [8295] = 7644,
  [8296] = 7720,
  [8297] = 7349,
  [8298] = 7717,
  [8299] = 4787,
  [8300] = 7323,
  [8301] = 7715,
  [8302] = 7713,
  [8303] = 7709,
  [8304] = 7605,
  [8305] = 7706,
  [8306] = 7695,
  [8307] = 7697,
  [8308] = 7528,
  [8309] = 7683,
  [8310] = 7655,
  [8311] = 7653,
  [8312] = 4787,
  [8313] = 7012,
  [8314] = 7075,
  [8315] = 6193,
  [8316] = 7637,
  [8317] = 7322,
  [8318] = 7596,
  [8319] = 7102,
  [8320] = 6981,
  [8321] = 7084,
  [8322] = 7307,
  [8323] = 7529,
  [8324] = 7614,
  [8325] = 7500,
  [8326] = 6902,
  [8327] = 6880,
  [8328] = 7311,
  [8329] = 7302,
  [8330] = 7331,
  [8331] = 7450,
  [8332] = 7297,
  [8333] = 7096,
  [8334] = 7524,
  [8335] = 7523,
  [8336] = 7463,
  [8337] = 7012,
  [8338] = 7580,
  [8339] = 7418,
  [8340] = 7411,
  [8341] = 7840,
  [8342] = 7432,
  [8343] = 7407,
  [8344] = 7298,
  [8345] = 6520,
  [8346] = 7293,
  [8347] = 7388,
  [8348] = 7378,
  [8349] = 7356,
  [8350] = 7347,
  [8351] = 7336,
  [8352] = 7344,
  [8353] = 7428,
  [8354] = 7357,
  [8355] = 7404,
  [8356] = 7406,
  [8357] = 7415,
  [8358] = 7436,
  [8359] = 4273,
  [8360] = 7514,
  [8361] = 7707,
  [8362] = 7424,
  [8363] = 7707,
  [8364] = 7787,
  [8365] = 7419,
  [8366] = 7403,
  [8367] = 7745,
  [8368] = 7318,
  [8369] = 7784,
  [8370] = 7787,
  [8371] = 7764,
  [8372] = 7296,
  [8373] = 7403,
  [8374] = 7102,
  [8375] = 7644,
  [8376] = 7318,
  [8377] = 7614,
  [8378] = 7419,
  [8379] = 7596,
  [8380] = 7569,
  [8381] = 7568,
  [8382] = 7516,
  [8383] = 7514,
  [8384] = 7511,
  [8385] = 7506,
  [8386] = 7487,
  [8387] = 7486,
  [8388] = 7825,
  [8389] = 7483,
  [8390] = 7480,
  [8391] = 7580,
  [8392] = 7473,
  [8393] = 7458,
  [8394] = 7456,
  [8395] = 7438,
  [8396] = 7293,
  [8397] = 7423,
  [8398] = 7835,
  [8399] = 7644,
  [8400] = 7424,
  [8401] = 7428,
  [8402] = 7413,
  [8403] = 7697,
  [8404] = 7432,
  [8405] = 7463,
  [8406] = 7075,
  [8407] = 7580,
  [8408] = 6981,
  [8409] = 7387,
  [8410] = 7369,
  [8411] = 7366,
  [8412] = 7297,
  [8413] = 7350,
  [8414] = 7349,
  [8415] = 7323,
  [8416] = 7322,
  [8417] = 7034,
  [8418] = 7523,
  [8419] = 7753,
  [8420] = 7524,
  [8421] = 7448,
  [8422] = 7801,
  [8423] = 7488,
  [8424] = 7311,
  [8425] = 7302,
  [8426] = 7331,
  [8427] = 7331,
  [8428] = 7297,
  [8429] = 7302,
  [8430] = 7792,
  [8431] = 7311,
  [8432] = 7322,
  [8433] = 7293,
  [8434] = 7792,
  [8435] = 7323,
  [8436] = 7025,
  [8437] = 7784,
  [8438] = 7745,
  [8439] = 7839,
  [8440] = 7318,
  [8441] = 7296,
  [8442] = 7403,
  [8443] = 7419,
  [8444] = 7290,
  [8445] = 7349,
  [8446] = 7423,
  [8447] = 7494,
  [8448] = 7764,
  [8449] = 7424,
  [8450] = 7428,
  [8451] = 7580,
  [8452] = 7840,
  [8453] = 7321,
  [8454] = 7437,
  [8455] = 7801,
  [8456] = 7432,
  [8457] = 7463,
  [8458] = 7523,
  [8459] = 7580,
  [8460] = 7524,
  [8461] = 4669,
  [8462] = 7460,
  [8463] = 7753,
  [8464] = 6520,
  [8465] = 7022,
  [8466] = 7406,
  [8467] = 8467,
  [8468] = 8468,
  [8469] = 7012,
  [8470] = 7350,
  [8471] = 4341,
  [8472] = 7316,
  [8473] = 7315,
  [8474] = 4243,
  [8475] = 7314,
  [8476] = 4673,
  [8477] = 7296,
  [8478] = 7147,
  [8479] = 7835,
  [8480] = 7366,
  [8481] = 7369,
  [8482] = 7387,
  [8483] = 7644,
  [8484] = 7481,
  [8485] = 7102,
  [8486] = 7448,
  [8487] = 7488,
  [8488] = 7413,
  [8489] = 7745,
  [8490] = 7494,
  [8491] = 7438,
  [8492] = 7075,
  [8493] = 7456,
  [8494] = 7521,
  [8495] = 7566,
  [8496] = 7573,
  [8497] = 7574,
  [8498] = 7720,
  [8499] = 7149,
  [8500] = 7576,
  [8501] = 7436,
  [8502] = 7433,
  [8503] = 7434,
  [8504] = 7435,
  [8505] = 7434,
  [8506] = 7433,
  [8507] = 4243,
  [8508] = 7102,
  [8509] = 7435,
  [8510] = 7839,
  [8511] = 7290,
  [8512] = 7458,
  [8513] = 7473,
  [8514] = 7453,
  [8515] = 7825,
  [8516] = 7480,
  [8517] = 7022,
  [8518] = 7717,
  [8519] = 6981,
  [8520] = 7415,
  [8521] = 6981,
  [8522] = 4581,
  [8523] = 7129,
  [8524] = 7460,
  [8525] = 7307,
  [8526] = 7437,
  [8527] = 6520,
  [8528] = 7025,
  [8529] = 7357,
  [8530] = 7448,
  [8531] = 4656,
  [8532] = 7488,
  [8533] = 4341,
  [8534] = 6880,
  [8535] = 7494,
  [8536] = 7521,
  [8537] = 7566,
  [8538] = 7573,
  [8539] = 7683,
  [8540] = 7521,
  [8541] = 7574,
  [8542] = 7321,
  [8543] = 6859,
  [8544] = 7481,
  [8545] = 7483,
  [8546] = 7067,
  [8547] = 7486,
  [8548] = 7576,
  [8549] = 7012,
  [8550] = 7129,
  [8551] = 6880,
  [8552] = 7012,
  [8553] = 7413,
  [8554] = 7715,
  [8555] = 7713,
  [8556] = 7034,
  [8557] = 7839,
  [8558] = 7453,
  [8559] = 7835,
  [8560] = 7487,
  [8561] = 7075,
  [8562] = 7506,
  [8563] = 7316,
  [8564] = 4273,
  [8565] = 7605,
  [8566] = 7022,
  [8567] = 7706,
  [8568] = 7695,
  [8569] = 4719,
  [8570] = 7147,
  [8571] = 7753,
  [8572] = 7511,
  [8573] = 7321,
  [8574] = 7801,
  [8575] = 7840,
  [8576] = 7528,
  [8577] = 7437,
  [8578] = 7315,
  [8579] = 7025,
  [8580] = 7792,
  [8581] = 7460,
  [8582] = 4673,
  [8583] = 7314,
  [8584] = 7404,
  [8585] = 7034,
  [8586] = 4669,
  [8587] = 7344,
  [8588] = 7336,
  [8589] = 7764,
  [8590] = 7347,
  [8591] = 7356,
  [8592] = 6897,
  [8593] = 4597,
  [8594] = 7378,
  [8595] = 6878,
  [8596] = 4719,
  [8597] = 7435,
  [8598] = 7644,
  [8599] = 7720,
  [8600] = 7388,
  [8601] = 7298,
  [8602] = 7614,
  [8603] = 7566,
  [8604] = 7407,
  [8605] = 7637,
  [8606] = 7453,
  [8607] = 7075,
  [8608] = 7717,
  [8609] = 7433,
  [8610] = 7434,
  [8611] = 7435,
  [8612] = 7460,
  [8613] = 7655,
  [8614] = 7437,
  [8615] = 7448,
  [8616] = 7488,
  [8617] = 7494,
  [8618] = 7521,
  [8619] = 7566,
  [8620] = 7825,
  [8621] = 7573,
  [8622] = 7715,
  [8623] = 7574,
  [8624] = 7321,
  [8625] = 7576,
  [8626] = 7529,
  [8627] = 7434,
  [8628] = 7713,
  [8629] = 7709,
  [8630] = 7605,
  [8631] = 7706,
  [8632] = 7695,
  [8633] = 7697,
  [8634] = 7290,
  [8635] = 7528,
  [8636] = 7433,
  [8637] = 6880,
  [8638] = 7514,
  [8639] = 7653,
  [8640] = 7683,
  [8641] = 4718,
  [8642] = 7516,
  [8643] = 4620,
  [8644] = 7709,
  [8645] = 4625,
  [8646] = 7573,
  [8647] = 7017,
  [8648] = 7653,
  [8649] = 7568,
  [8650] = 7411,
  [8651] = 7067,
  [8652] = 6859,
  [8653] = 7569,
  [8654] = 6904,
  [8655] = 7418,
  [8656] = 7149,
  [8657] = 7453,
  [8658] = 4574,
  [8659] = 7596,
  [8660] = 4788,
  [8661] = 7147,
  [8662] = 4579,
  [8663] = 6902,
  [8664] = 6122,
  [8665] = 7450,
  [8666] = 6905,
  [8667] = 7307,
  [8668] = 6880,
  [8669] = 7096,
  [8670] = 4797,
  [8671] = 4582,
  [8672] = 7084,
  [8673] = 4585,
  [8674] = 4586,
  [8675] = 4587,
  [8676] = 7307,
  [8677] = 6520,
  [8678] = 4590,
  [8679] = 6122,
  [8680] = 4591,
  [8681] = 7787,
  [8682] = 7655,
  [8683] = 7314,
  [8684] = 4596,
  [8685] = 4600,
  [8686] = 7576,
  [8687] = 4243,
  [8688] = 6520,
  [8689] = 4601,
  [8690] = 7321,
  [8691] = 4806,
  [8692] = 7574,
  [8693] = 7573,
  [8694] = 7129,
  [8695] = 7566,
  [8696] = 7521,
  [8697] = 7022,
  [8698] = 7025,
  [8699] = 7034,
  [8700] = 7494,
  [8701] = 4606,
  [8702] = 4607,
  [8703] = 4610,
  [8704] = 7574,
  [8705] = 7129,
  [8706] = 6905,
  [8707] = 6878,
  [8708] = 6897,
  [8709] = 6981,
  [8710] = 7488,
  [8711] = 4611,
  [8712] = 7315,
  [8713] = 7407,
  [8714] = 7448,
  [8715] = 4621,
  [8716] = 7784,
  [8717] = 7129,
  [8718] = 7437,
  [8719] = 7460,
  [8720] = 7580,
  [8721] = 7435,
  [8722] = 7707,
  [8723] = 4763,
  [8724] = 4622,
  [8725] = 4624,
  [8726] = 7434,
  [8727] = 6193,
  [8728] = 7433,
  [8729] = 7149,
  [8730] = 4627,
  [8731] = 7147,
  [8732] = 7500,
  [8733] = 4643,
  [8734] = 4645,
  [8735] = 4651,
  [8736] = 4567,
  [8737] = 7316,
  [8738] = 4576,
  [8739] = 4617,
  [8740] = 4619,
  [8741] = 7075,
  [8742] = 7576,
  [8743] = 7450,
  [8744] = 7316,
  [8745] = 7147,
  [8746] = 7149,
  [8747] = 7147,
  [8748] = 7149,
  [8749] = 7022,
  [8750] = 7025,
  [8751] = 7315,
  [8752] = 7034,
  [8753] = 7411,
  [8754] = 7418,
  [8755] = 7298,
  [8756] = 7314,
  [8757] = 7388,
  [8758] = 7378,
  [8759] = 7500,
  [8760] = 7356,
  [8761] = 7347,
  [8762] = 7290,
  [8763] = 7336,
  [8764] = 7344,
  [8765] = 7436,
  [8766] = 7357,
  [8767] = 7415,
  [8768] = 7406,
  [8769] = 7404,
  [8770] = 7075,
  [8771] = 7473,
  [8772] = 7644,
  [8773] = 7387,
  [8774] = 7413,
  [8775] = 7316,
  [8776] = 7653,
  [8777] = 7655,
  [8778] = 7369,
  [8779] = 7129,
  [8780] = 7366,
  [8781] = 7350,
  [8782] = 7683,
  [8783] = 7349,
  [8784] = 7644,
  [8785] = 7528,
  [8786] = 7323,
  [8787] = 7322,
  [8788] = 7311,
  [8789] = 7311,
  [8790] = 7637,
  [8791] = 7566,
  [8792] = 7697,
  [8793] = 7316,
  [8794] = 7149,
  [8795] = 7302,
  [8796] = 7315,
  [8797] = 7331,
  [8798] = 7407,
  [8799] = 7411,
  [8800] = 7102,
  [8801] = 7293,
  [8802] = 7438,
  [8803] = 7456,
  [8804] = 7315,
  [8805] = 7458,
  [8806] = 8468,
  [8807] = 7695,
  [8808] = 7706,
  [8809] = 7290,
  [8810] = 7576,
  [8811] = 7529,
  [8812] = 7480,
  [8813] = 7453,
  [8814] = 7481,
  [8815] = 7644,
  [8816] = 7483,
  [8817] = 7321,
  [8818] = 7494,
  [8819] = 7574,
  [8820] = 7486,
  [8821] = 7707,
  [8822] = 7487,
  [8823] = 7331,
  [8824] = 7506,
  [8825] = 7511,
  [8826] = 7514,
  [8827] = 7573,
  [8828] = 7516,
  [8829] = 7568,
  [8830] = 7350,
  [8831] = 7569,
  [8832] = 7596,
  [8833] = 7314,
  [8834] = 7147,
  [8835] = 7566,
  [8836] = 7318,
  [8837] = 7521,
  [8838] = 7149,
  [8839] = 7312,
  [8840] = 7296,
  [8841] = 7290,
  [8842] = 7025,
  [8843] = 7614,
  [8844] = 7637,
  [8845] = 7022,
  [8846] = 7403,
  [8847] = 7494,
  [8848] = 7419,
  [8849] = 7488,
  [8850] = 7423,
  [8851] = 7487,
  [8852] = 7424,
  [8853] = 7428,
  [8854] = 7366,
  [8855] = 7437,
  [8856] = 7453,
  [8857] = 7432,
  [8858] = 7326,
  [8859] = 7463,
  [8860] = 7523,
  [8861] = 7524,
  [8862] = 7506,
  [8863] = 7787,
  [8864] = 7448,
  [8865] = 7437,
  [8866] = 7460,
  [8867] = 7784,
  [8868] = 7435,
  [8869] = 7453,
  [8870] = 7434,
  [8871] = 7433,
  [8872] = 7745,
  [8873] = 7486,
  [8874] = 7460,
  [8875] = 8467,
  [8876] = 7075,
  [8877] = 7707,
  [8878] = 7488,
  [8879] = 7605,
  [8880] = 7418,
  [8881] = 7314,
  [8882] = 7709,
  [8883] = 7713,
  [8884] = 7715,
  [8885] = 7297,
  [8886] = 7314,
  [8887] = 7293,
  [8888] = 7290,
  [8889] = 7149,
  [8890] = 6981,
  [8891] = 7453,
  [8892] = 7644,
  [8893] = 7433,
  [8894] = 7369,
  [8895] = 7298,
  [8896] = 7436,
  [8897] = 7415,
  [8898] = 7388,
  [8899] = 7406,
  [8900] = 7404,
  [8901] = 7357,
  [8902] = 7344,
  [8903] = 7336,
  [8904] = 7347,
  [8905] = 7840,
  [8906] = 7356,
  [8907] = 7378,
  [8908] = 7388,
  [8909] = 7298,
  [8910] = 7407,
  [8911] = 7411,
  [8912] = 7418,
  [8913] = 7349,
  [8914] = 7434,
  [8915] = 7357,
  [8916] = 7129,
  [8917] = 7529,
  [8918] = 7450,
  [8919] = 7147,
  [8920] = 7435,
  [8921] = 7448,
  [8922] = 7316,
  [8923] = 7460,
  [8924] = 7129,
  [8925] = 7500,
  [8926] = 7315,
  [8927] = 7034,
  [8928] = 7314,
  [8929] = 7573,
  [8930] = 7102,
  [8931] = 7437,
  [8932] = 7316,
  [8933] = 7433,
  [8934] = 7580,
  [8935] = 7717,
  [8936] = 7434,
  [8937] = 7435,
  [8938] = 7460,
  [8939] = 7022,
  [8940] = 6520,
  [8941] = 7580,
  [8942] = 7437,
  [8943] = 7576,
  [8944] = 7321,
  [8945] = 7574,
  [8946] = 7448,
  [8947] = 7129,
  [8948] = 7653,
  [8949] = 7655,
  [8950] = 7683,
  [8951] = 7528,
  [8952] = 7697,
  [8953] = 7695,
  [8954] = 7706,
  [8955] = 7605,
  [8956] = 7709,
  [8957] = 7713,
  [8958] = 7715,
  [8959] = 7573,
  [8960] = 7290,
  [8961] = 7566,
  [8962] = 7717,
  [8963] = 7315,
  [8964] = 7521,
  [8965] = 7720,
  [8966] = 7644,
  [8967] = 7488,
  [8968] = 7494,
  [8969] = 6520,
  [8970] = 7290,
  [8971] = 7025,
  [8972] = 7314,
  [8973] = 7494,
  [8974] = 7488,
  [8975] = 7448,
  [8976] = 7147,
  [8977] = 7521,
  [8978] = 7566,
  [8979] = 7764,
  [8980] = 7596,
  [8981] = 7573,
  [8982] = 7574,
  [8983] = 7321,
  [8984] = 7034,
  [8985] = 7576,
  [8986] = 7792,
  [8987] = 7025,
  [8988] = 7437,
  [8989] = 7801,
  [8990] = 7753,
  [8991] = 7022,
  [8992] = 7434,
  [8993] = 7835,
  [8994] = 7460,
  [8995] = 7318,
  [8996] = 7435,
  [8997] = 7839,
  [8998] = 7825,
  [8999] = 7784,
  [9000] = 7745,
  [9001] = 7521,
  [9002] = 7296,
  [9003] = 7434,
  [9004] = 7580,
  [9005] = 6880,
  [9006] = 7403,
  [9007] = 7433,
  [9008] = 7483,
  [9009] = 7323,
  [9010] = 7450,
  [9011] = 7102,
  [9012] = 6981,
  [9013] = 7149,
  [9014] = 7387,
  [9015] = 7840,
  [9016] = 7307,
  [9017] = 7637,
  [9018] = 7433,
  [9019] = 7102,
  [9020] = 7500,
  [9021] = 7438,
  [9022] = 7614,
  [9023] = 7511,
  [9024] = 7637,
  [9025] = 7378,
  [9026] = 7404,
  [9027] = 7322,
  [9028] = 7514,
  [9029] = 7637,
  [9030] = 7413,
  [9031] = 7423,
  [9032] = 7315,
  [9033] = 7529,
  [9034] = 7825,
  [9035] = 7424,
  [9036] = 9036,
  [9037] = 7406,
  [9038] = 7297,
  [9039] = 7435,
  [9040] = 7436,
  [9041] = 7644,
  [9042] = 7839,
  [9043] = 7720,
  [9044] = 7453,
  [9045] = 7102,
  [9046] = 7637,
  [9047] = 7419,
  [9048] = 7075,
  [9049] = 7321,
  [9050] = 7147,
  [9051] = 7428,
  [9052] = 7302,
  [9053] = 7573,
  [9054] = 7149,
  [9055] = 7576,
  [9056] = 7149,
  [9057] = 7321,
  [9058] = 7034,
  [9059] = 7481,
  [9060] = 7480,
  [9061] = 7473,
  [9062] = 7574,
  [9063] = 7566,
  [9064] = 7433,
  [9065] = 7434,
  [9066] = 7435,
  [9067] = 7415,
  [9068] = 7460,
  [9069] = 7835,
  [9070] = 7437,
  [9071] = 7316,
  [9072] = 7448,
  [9073] = 7488,
  [9074] = 7022,
  [9075] = 7753,
  [9076] = 7801,
  [9077] = 7644,
  [9078] = 7458,
  [9079] = 7356,
  [9080] = 7456,
  [9081] = 6904,
  [9082] = 7494,
  [9083] = 7787,
  [9084] = 7521,
  [9085] = 7566,
  [9086] = 7012,
  [9087] = 7524,
  [9088] = 7573,
  [9089] = 7574,
  [9090] = 7321,
  [9091] = 7576,
  [9092] = 7574,
  [9093] = 7573,
  [9094] = 7566,
  [9095] = 7521,
  [9096] = 7494,
  [9097] = 7488,
  [9098] = 7448,
  [9099] = 7576,
  [9100] = 7637,
  [9101] = 7347,
  [9102] = 7316,
  [9103] = 7315,
  [9104] = 7025,
  [9105] = 7792,
  [9106] = 7314,
  [9107] = 7521,
  [9108] = 7453,
  [9109] = 7147,
  [9110] = 7432,
  [9111] = 7034,
  [9112] = 6902,
  [9113] = 7336,
  [9114] = 7494,
  [9115] = 7569,
  [9116] = 7344,
  [9117] = 7433,
  [9118] = 7580,
  [9119] = 7307,
  [9120] = 7434,
  [9121] = 7147,
  [9122] = 7574,
  [9123] = 7321,
  [9124] = 7012,
  [9125] = 7463,
  [9126] = 7764,
  [9127] = 7523,
  [9128] = 7435,
  [9129] = 7290,
  [9130] = 7460,
  [9131] = 7580,
  [9132] = 7568,
  [9133] = 7437,
  [9134] = 7075,
  [9135] = 7516,
  [9136] = 7488,
  [9137] = 7448,
  [9138] = 7576,
  [9139] = 7644,
  [9140] = 7453,
  [9141] = 7529,
  [9142] = 7573,
  [9143] = 7433,
  [9144] = 7576,
  [9145] = 7434,
  [9146] = 7566,
  [9147] = 7321,
  [9148] = 7102,
  [9149] = 7576,
  [9150] = 7435,
  [9151] = 7494,
  [9152] = 7488,
  [9153] = 7448,
  [9154] = 7437,
  [9155] = 7644,
  [9156] = 7147,
  [9157] = 7574,
  [9158] = 7460,
  [9159] = 7494,
  [9160] = 7644,
  [9161] = 7034,
  [9162] = 7025,
  [9163] = 7022,
  [9164] = 7433,
  [9165] = 7102,
  [9166] = 7435,
  [9167] = 7521,
  [9168] = 7574,
  [9169] = 7316,
  [9170] = 7644,
  [9171] = 7434,
  [9172] = 7434,
  [9173] = 7129,
  [9174] = 7316,
  [9175] = 7573,
  [9176] = 7637,
  [9177] = 7321,
  [9178] = 7435,
  [9179] = 7433,
  [9180] = 9180,
  [9181] = 7315,
  [9182] = 7314,
  [9183] = 7433,
  [9184] = 7434,
  [9185] = 7435,
  [9186] = 7290,
  [9187] = 7460,
  [9188] = 7437,
  [9189] = 7637,
  [9190] = 7437,
  [9191] = 7321,
  [9192] = 7460,
  [9193] = 7315,
  [9194] = 7102,
  [9195] = 7644,
  [9196] = 7437,
  [9197] = 7321,
  [9198] = 7488,
  [9199] = 7566,
  [9200] = 7437,
  [9201] = 7290,
  [9202] = 7576,
  [9203] = 7574,
  [9204] = 7573,
  [9205] = 7566,
  [9206] = 7521,
  [9207] = 7494,
  [9208] = 7488,
  [9209] = 7448,
  [9210] = 9036,
  [9211] = 7573,
  [9212] = 7314,
  [9213] = 9213,
  [9214] = 7566,
  [9215] = 7521,
  [9216] = 7521,
  [9217] = 7637,
  [9218] = 7574,
  [9219] = 7433,
  [9220] = 7149,
  [9221] = 7448,
  [9222] = 7637,
  [9223] = 7637,
  [9224] = 7434,
  [9225] = 7488,
  [9226] = 7488,
  [9227] = 7580,
  [9228] = 7576,
  [9229] = 7494,
  [9230] = 7448,
  [9231] = 7448,
  [9232] = 7576,
  [9233] = 7521,
  [9234] = 7460,
  [9235] = 7435,
  [9236] = 7075,
  [9237] = 7453,
  [9238] = 9238,
  [9239] = 7321,
  [9240] = 7566,
  [9241] = 7574,
  [9242] = 7494,
  [9243] = 7460,
  [9244] = 7573,
  [9245] = 7434,
  [9246] = 4279,
  [9247] = 4243,
  [9248] = 4281,
  [9249] = 7573,
  [9250] = 7566,
  [9251] = 7521,
  [9252] = 7566,
  [9253] = 7637,
  [9254] = 7494,
  [9255] = 7488,
  [9256] = 7448,
  [9257] = 7576,
  [9258] = 7576,
  [9259] = 7435,
  [9260] = 7574,
  [9261] = 7574,
  [9262] = 7321,
  [9263] = 7574,
  [9264] = 7573,
  [9265] = 7576,
  [9266] = 9266,
  [9267] = 9267,
  [9268] = 7521,
  [9269] = 7494,
  [9270] = 7488,
  [9271] = 7448,
  [9272] = 7437,
  [9273] = 7644,
  [9274] = 9274,
  [9275] = 4280,
  [9276] = 7460,
  [9277] = 4288,
  [9278] = 4301,
  [9279] = 7573,
  [9280] = 7521,
  [9281] = 7321,
  [9282] = 7637,
  [9283] = 7494,
  [9284] = 4273,
  [9285] = 7433,
  [9286] = 4282,
  [9287] = 7435,
  [9288] = 7644,
  [9289] = 7637,
  [9290] = 7488,
  [9291] = 7460,
  [9292] = 7448,
  [9293] = 9213,
  [9294] = 7437,
  [9295] = 7321,
  [9296] = 7460,
  [9297] = 7437,
  [9298] = 7435,
  [9299] = 7644,
  [9300] = 7566,
  [9301] = 4298,
  [9302] = 7434,
  [9303] = 7434,
  [9304] = 7433,
  [9305] = 4283,
  [9306] = 7433,
  [9307] = 4252,
  [9308] = 4280,
  [9309] = 4281,
  [9310] = 4252,
  [9311] = 4373,
  [9312] = 4389,
  [9313] = 4377,
  [9314] = 4358,
  [9315] = 4282,
  [9316] = 4372,
  [9317] = 4376,
  [9318] = 4301,
  [9319] = 4279,
  [9320] = 4288,
  [9321] = 4283,
  [9322] = 4369,
  [9323] = 4375,
  [9324] = 4351,
  [9325] = 4252,
  [9326] = 9326,
  [9327] = 4352,
  [9328] = 4365,
  [9329] = 4353,
  [9330] = 4364,
  [9331] = 4273,
  [9332] = 4347,
  [9333] = 4341,
  [9334] = 4415,
  [9335] = 4298,
  [9336] = 4252,
  [9337] = 4343,
  [9338] = 4573,
  [9339] = 4788,
  [9340] = 4625,
  [9341] = 4656,
  [9342] = 4568,
  [9343] = 4369,
  [9344] = 4252,
  [9345] = 4351,
  [9346] = 4368,
  [9347] = 4579,
  [9348] = 4572,
  [9349] = 4372,
  [9350] = 4373,
  [9351] = 4643,
  [9352] = 4659,
  [9353] = 4624,
  [9354] = 4744,
  [9355] = 4651,
  [9356] = 4252,
  [9357] = 4741,
  [9358] = 4622,
  [9359] = 4797,
  [9360] = 4621,
  [9361] = 4627,
  [9362] = 4567,
  [9363] = 4645,
  [9364] = 4252,
  [9365] = 4610,
  [9366] = 4607,
  [9367] = 4719,
  [9368] = 4606,
  [9369] = 4601,
  [9370] = 4600,
  [9371] = 4763,
  [9372] = 4596,
  [9373] = 4375,
  [9374] = 4591,
  [9375] = 4787,
  [9376] = 4415,
  [9377] = 4718,
  [9378] = 4353,
  [9379] = 4352,
  [9380] = 4376,
  [9381] = 4377,
  [9382] = 4347,
  [9383] = 4358,
  [9384] = 4365,
  [9385] = 4364,
  [9386] = 4343,
  [9387] = 4713,
  [9388] = 4581,
  [9389] = 4590,
  [9390] = 4587,
  [9391] = 4586,
  [9392] = 4577,
  [9393] = 4673,
  [9394] = 4806,
  [9395] = 4341,
  [9396] = 4425,
  [9397] = 4389,
  [9398] = 4576,
  [9399] = 4585,
  [9400] = 4582,
  [9401] = 4617,
  [9402] = 4619,
  [9403] = 4408,
  [9404] = 4574,
  [9405] = 4346,
  [9406] = 4669,
  [9407] = 4345,
  [9408] = 5313,
  [9409] = 4614,
  [9410] = 4252,
  [9411] = 4678,
  [9412] = 4366,
  [9413] = 4693,
  [9414] = 4668,
  [9415] = 4611,
  [9416] = 4597,
  [9417] = 4449,
  [9418] = 4620,
  [9419] = 4675,
  [9420] = 4625,
  [9421] = 4568,
  [9422] = 4576,
  [9423] = 4693,
  [9424] = 4675,
  [9425] = 4669,
  [9426] = 4252,
  [9427] = 4572,
  [9428] = 4643,
  [9429] = 4252,
  [9430] = 4582,
  [9431] = 4585,
  [9432] = 4586,
  [9433] = 4587,
  [9434] = 4590,
  [9435] = 4614,
  [9436] = 4719,
  [9437] = 4574,
  [9438] = 4673,
  [9439] = 4645,
  [9440] = 4713,
  [9441] = 4591,
  [9442] = 4607,
  [9443] = 4651,
  [9444] = 4617,
  [9445] = 4787,
  [9446] = 4659,
  [9447] = 4620,
  [9448] = 4597,
  [9449] = 4744,
  [9450] = 4619,
  [9451] = 4581,
  [9452] = 4596,
  [9453] = 4600,
  [9454] = 4601,
  [9455] = 4806,
  [9456] = 4668,
  [9457] = 4573,
  [9458] = 9458,
  [9459] = 4606,
  [9460] = 4656,
  [9461] = 4627,
  [9462] = 4678,
  [9463] = 4610,
  [9464] = 4797,
  [9465] = 4763,
  [9466] = 4624,
  [9467] = 4579,
  [9468] = 4788,
  [9469] = 4577,
  [9470] = 4718,
  [9471] = 4622,
  [9472] = 4611,
  [9473] = 4621,
  [9474] = 4567,
  [9475] = 4252,
  [9476] = 4741,
  [9477] = 9477,
  [9478] = 9477,
  [9479] = 9477,
  [9480] = 9477,
  [9481] = 9477,
  [9482] = 9477,
  [9483] = 9477,
  [9484] = 9477,
  [9485] = 9477,
  [9486] = 9477,
  [9487] = 9477,
  [9488] = 9477,
  [9489] = 9477,
  [9490] = 9477,
  [9491] = 9477,
  [9492] = 9477,
  [9493] = 9477,
  [9494] = 9477,
  [9495] = 9477,
  [9496] = 9477,
  [9497] = 9477,
  [9498] = 9477,
  [9499] = 9477,
  [9500] = 9477,
  [9501] = 9477,
  [9502] = 9477,
  [9503] = 9477,
  [9504] = 9477,
  [9505] = 9477,
  [9506] = 9477,
  [9507] = 9477,
  [9508] = 9477,
  [9509] = 9477,
  [9510] = 9477,
  [9511] = 4273,
  [9512] = 9477,
  [9513] = 9477,
  [9514] = 9477,
  [9515] = 9477,
  [9516] = 9477,
  [9517] = 9477,
  [9518] = 9477,
  [9519] = 9477,
  [9520] = 9477,
  [9521] = 9477,
  [9522] = 9477,
  [9523] = 9477,
  [9524] = 9477,
  [9525] = 9477,
  [9526] = 9477,
  [9527] = 9477,
  [9528] = 9477,
  [9529] = 9477,
  [9530] = 9477,
  [9531] = 9477,
  [9532] = 9477,
  [9533] = 9477,
  [9534] = 9477,
  [9535] = 9477,
  [9536] = 9477,
  [9537] = 9477,
  [9538] = 9477,
  [9539] = 9477,
  [9540] = 9477,
  [9541] = 9477,
  [9542] = 9477,
  [9543] = 9477,
  [9544] = 9477,
  [9545] = 9477,
  [9546] = 9477,
  [9547] = 4298,
  [9548] = 9477,
  [9549] = 4341,
  [9550] = 4353,
  [9551] = 4352,
  [9552] = 4347,
  [9553] = 4343,
  [9554] = 9554,
  [9555] = 4788,
  [9556] = 4579,
  [9557] = 4606,
  [9558] = 4763,
  [9559] = 4607,
  [9560] = 4806,
  [9561] = 4645,
  [9562] = 4643,
  [9563] = 4574,
  [9564] = 4587,
  [9565] = 4298,
  [9566] = 4600,
  [9567] = 9567,
  [9568] = 9568,
  [9569] = 4669,
  [9570] = 4596,
  [9571] = 4597,
  [9572] = 4673,
  [9573] = 4719,
  [9574] = 4273,
  [9575] = 4601,
  [9576] = 4567,
  [9577] = 4252,
  [9578] = 4617,
  [9579] = 4610,
  [9580] = 4627,
  [9581] = 4591,
  [9582] = 4611,
  [9583] = 4590,
  [9584] = 4619,
  [9585] = 4651,
  [9586] = 4582,
  [9587] = 4273,
  [9588] = 4576,
  [9589] = 4625,
  [9590] = 4797,
  [9591] = 4620,
  [9592] = 4621,
  [9593] = 4622,
  [9594] = 4624,
  [9595] = 4585,
  [9596] = 4586,
  [9597] = 4597,
  [9598] = 4364,
  [9599] = 4389,
  [9600] = 4358,
  [9601] = 4352,
  [9602] = 9602,
  [9603] = 4343,
  [9604] = 4347,
  [9605] = 4365,
  [9606] = 4373,
  [9607] = 4377,
  [9608] = 4369,
  [9609] = 9609,
  [9610] = 4372,
  [9611] = 4579,
  [9612] = 4376,
  [9613] = 4353,
  [9614] = 4341,
  [9615] = 4620,
  [9616] = 4574,
  [9617] = 4375,
  [9618] = 9618,
  [9619] = 4567,
  [9620] = 4669,
  [9621] = 4576,
  [9622] = 4579,
  [9623] = 4673,
  [9624] = 4597,
  [9625] = 4590,
  [9626] = 4607,
  [9627] = 4645,
  [9628] = 9628,
  [9629] = 4574,
  [9630] = 4601,
  [9631] = 4643,
  [9632] = 4624,
  [9633] = 4788,
  [9634] = 4806,
  [9635] = 4622,
  [9636] = 4273,
  [9637] = 4606,
  [9638] = 4621,
  [9639] = 4625,
  [9640] = 4585,
  [9641] = 4651,
  [9642] = 4620,
  [9643] = 4600,
  [9644] = 4617,
  [9645] = 4619,
  [9646] = 4797,
  [9647] = 4586,
  [9648] = 4587,
  [9649] = 4763,
  [9650] = 4582,
  [9651] = 4611,
  [9652] = 4596,
  [9653] = 4719,
  [9654] = 4591,
  [9655] = 4627,
  [9656] = 4610,
  [9657] = 9657,
  [9658] = 9658,
  [9659] = 9659,
  [9660] = 4261,
  [9661] = 4261,
  [9662] = 4261,
  [9663] = 4261,
  [9664] = 4261,
  [9665] = 4261,
  [9666] = 4261,
  [9667] = 4261,
  [9668] = 9668,
  [9669] = 4261,
  [9670] = 9668,
  [9671] = 9671,
  [9672] = 9671,
  [9673] = 9671,
  [9674] = 9668,
  [9675] = 9671,
  [9676] = 9671,
  [9677] = 9671,
  [9678] = 9668,
  [9679] = 9668,
  [9680] = 9668,
  [9681] = 9671,
  [9682] = 9671,
  [9683] = 9671,
  [9684] = 9671,
  [9685] = 9668,
  [9686] = 9668,
  [9687] = 4261,
  [9688] = 9668,
  [9689] = 9668,
  [9690] = 9668,
  [9691] = 9668,
  [9692] = 9671,
  [9693] = 4261,
  [9694] = 9671,
  [9695] = 9668,
  [9696] = 9671,
  [9697] = 9697,
  [9698] = 9697,
  [9699] = 9697,
  [9700] = 9697,
  [9701] = 9697,
  [9702] = 9697,
  [9703] = 9697,
  [9704] = 9697,
  [9705] = 9697,
  [9706] = 9697,
  [9707] = 9697,
  [9708] = 9697,
  [9709] = 9697,
  [9710] = 9697,
  [9711] = 9697,
  [9712] = 9697,
  [9713] = 9697,
  [9714] = 9697,
  [9715] = 9697,
  [9716] = 9697,
  [9717] = 9697,
  [9718] = 9697,
  [9719] = 9697,
  [9720] = 9697,
  [9721] = 9697,
  [9722] = 9697,
  [9723] = 9697,
  [9724] = 9697,
  [9725] = 9697,
  [9726] = 9697,
  [9727] = 9697,
  [9728] = 9697,
  [9729] = 9697,
  [9730] = 9697,
  [9731] = 9697,
  [9732] = 9697,
  [9733] = 9697,
  [9734] = 9697,
  [9735] = 9697,
  [9736] = 9697,
  [9737] = 9697,
  [9738] = 9697,
  [9739] = 9697,
  [9740] = 9697,
  [9741] = 9697,
  [9742] = 9697,
  [9743] = 9697,
  [9744] = 9697,
  [9745] = 9697,
  [9746] = 9697,
  [9747] = 9697,
  [9748] = 9697,
  [9749] = 9697,
  [9750] = 9697,
  [9751] = 9697,
  [9752] = 9697,
  [9753] = 9697,
  [9754] = 9697,
  [9755] = 9697,
  [9756] = 9697,
  [9757] = 9697,
  [9758] = 9697,
  [9759] = 9697,
  [9760] = 9697,
  [9761] = 9697,
  [9762] = 9697,
  [9763] = 9763,
  [9764] = 9764,
  [9765] = 9763,
  [9766] = 9764,
  [9767] = 9763,
  [9768] = 9764,
  [9769] = 9763,
  [9770] = 9764,
  [9771] = 9763,
  [9772] = 9764,
  [9773] = 9764,
  [9774] = 9774,
  [9775] = 9763,
  [9776] = 9763,
  [9777] = 9764,
  [9778] = 9764,
  [9779] = 9763,
  [9780] = 9774,
  [9781] = 9764,
  [9782] = 9774,
  [9783] = 9764,
  [9784] = 9764,
  [9785] = 9764,
  [9786] = 9763,
  [9787] = 9763,
  [9788] = 9764,
  [9789] = 9764,
  [9790] = 9763,
  [9791] = 9791,
  [9792] = 9764,
  [9793] = 9763,
  [9794] = 9764,
  [9795] = 9763,
  [9796] = 9763,
  [9797] = 9763,
  [9798] = 9763,
  [9799] = 9763,
  [9800] = 9764,
  [9801] = 9763,
  [9802] = 9763,
  [9803] = 9791,
  [9804] = 9763,
  [9805] = 9764,
  [9806] = 9764,
  [9807] = 9763,
  [9808] = 9764,
  [9809] = 9764,
  [9810] = 4573,
  [9811] = 4573,
  [9812] = 4573,
  [9813] = 4573,
  [9814] = 4573,
  [9815] = 4573,
  [9816] = 4573,
  [9817] = 4573,
  [9818] = 4573,
  [9819] = 4273,
  [9820] = 4282,
  [9821] = 4301,
  [9822] = 4273,
  [9823] = 4288,
  [9824] = 4281,
  [9825] = 4281,
  [9826] = 4273,
  [9827] = 4288,
  [9828] = 4282,
  [9829] = 4366,
  [9830] = 4389,
  [9831] = 4341,
  [9832] = 4364,
  [9833] = 4372,
  [9834] = 4365,
  [9835] = 4358,
  [9836] = 4368,
  [9837] = 4351,
  [9838] = 4377,
  [9839] = 4449,
  [9840] = 4408,
  [9841] = 4425,
  [9842] = 4375,
  [9843] = 4301,
  [9844] = 4373,
  [9845] = 4415,
  [9846] = 4369,
  [9847] = 4341,
  [9848] = 4376,
  [9849] = 4341,
  [9850] = 4346,
  [9851] = 4345,
  [9852] = 9852,
  [9853] = 9852,
  [9854] = 4625,
  [9855] = 4620,
  [9856] = 9852,
  [9857] = 4341,
  [9858] = 4376,
  [9859] = 9852,
  [9860] = 9852,
  [9861] = 4288,
  [9862] = 9852,
  [9863] = 9852,
  [9864] = 4763,
  [9865] = 4797,
  [9866] = 4627,
  [9867] = 9852,
  [9868] = 9852,
  [9869] = 4341,
  [9870] = 4377,
  [9871] = 9852,
  [9872] = 9852,
  [9873] = 9852,
  [9874] = 9852,
  [9875] = 4590,
  [9876] = 9852,
  [9877] = 9852,
  [9878] = 4358,
  [9879] = 9852,
  [9880] = 9852,
  [9881] = 9852,
  [9882] = 4693,
  [9883] = 4282,
  [9884] = 4587,
  [9885] = 4365,
  [9886] = 9852,
  [9887] = 9852,
  [9888] = 4678,
  [9889] = 4668,
  [9890] = 4364,
  [9891] = 4586,
  [9892] = 9852,
  [9893] = 9852,
  [9894] = 9852,
  [9895] = 4585,
  [9896] = 4568,
  [9897] = 4741,
  [9898] = 4675,
  [9899] = 4341,
  [9900] = 9852,
  [9901] = 9852,
  [9902] = 4788,
  [9903] = 9852,
  [9904] = 4574,
  [9905] = 4591,
  [9906] = 4643,
  [9907] = 4577,
  [9908] = 9852,
  [9909] = 4582,
  [9910] = 9852,
  [9911] = 9852,
  [9912] = 4744,
  [9913] = 4645,
  [9914] = 4273,
  [9915] = 4281,
  [9916] = 4669,
  [9917] = 4369,
  [9918] = 4673,
  [9919] = 9852,
  [9920] = 4787,
  [9921] = 9852,
  [9922] = 9852,
  [9923] = 4611,
  [9924] = 9852,
  [9925] = 4659,
  [9926] = 9852,
  [9927] = 4719,
  [9928] = 4373,
  [9929] = 4389,
  [9930] = 9852,
  [9931] = 4572,
  [9932] = 9852,
  [9933] = 4719,
  [9934] = 9852,
  [9935] = 9852,
  [9936] = 4656,
  [9937] = 9852,
  [9938] = 4597,
  [9939] = 4621,
  [9940] = 9852,
  [9941] = 9852,
  [9942] = 9852,
  [9943] = 9852,
  [9944] = 4673,
  [9945] = 4375,
  [9946] = 9852,
  [9947] = 4273,
  [9948] = 4596,
  [9949] = 4669,
  [9950] = 9852,
  [9951] = 4614,
  [9952] = 9852,
  [9953] = 9852,
  [9954] = 9852,
  [9955] = 9852,
  [9956] = 9852,
  [9957] = 9852,
  [9958] = 4600,
  [9959] = 9852,
  [9960] = 4601,
  [9961] = 9852,
  [9962] = 9852,
  [9963] = 9852,
  [9964] = 4351,
  [9965] = 9852,
  [9966] = 9852,
  [9967] = 9852,
  [9968] = 4341,
  [9969] = 4610,
  [9970] = 9852,
  [9971] = 9852,
  [9972] = 9852,
  [9973] = 4415,
  [9974] = 9852,
  [9975] = 9852,
  [9976] = 4619,
  [9977] = 4617,
  [9978] = 9852,
  [9979] = 4606,
  [9980] = 9852,
  [9981] = 4341,
  [9982] = 9852,
  [9983] = 9852,
  [9984] = 4624,
  [9985] = 9852,
  [9986] = 4607,
  [9987] = 9852,
  [9988] = 4713,
  [9989] = 9852,
  [9990] = 4581,
  [9991] = 9852,
  [9992] = 9852,
  [9993] = 9852,
  [9994] = 4718,
  [9995] = 9852,
  [9996] = 9852,
  [9997] = 9852,
  [9998] = 9852,
  [9999] = 9852,
  [10000] = 9852,
  [10001] = 9852,
  [10002] = 9852,
  [10003] = 9852,
  [10004] = 9852,
  [10005] = 9852,
  [10006] = 9852,
  [10007] = 4719,
  [10008] = 4651,
  [10009] = 9852,
  [10010] = 4301,
  [10011] = 9852,
  [10012] = 9852,
  [10013] = 9852,
  [10014] = 9852,
  [10015] = 9852,
  [10016] = 9852,
  [10017] = 9852,
  [10018] = 9852,
  [10019] = 9852,
  [10020] = 9852,
  [10021] = 9852,
  [10022] = 9852,
  [10023] = 9852,
  [10024] = 4576,
  [10025] = 4579,
  [10026] = 4806,
  [10027] = 9852,
  [10028] = 9852,
  [10029] = 9852,
  [10030] = 9852,
  [10031] = 9852,
  [10032] = 4669,
  [10033] = 9852,
  [10034] = 4622,
  [10035] = 4372,
  [10036] = 4567,
  [10037] = 9852,
  [10038] = 4673,
  [10039] = 4576,
  [10040] = 4719,
  [10041] = 4572,
  [10042] = 4718,
  [10043] = 4713,
  [10044] = 4389,
  [10045] = 4364,
  [10046] = 4365,
  [10047] = 4358,
  [10048] = 4377,
  [10049] = 4376,
  [10050] = 4375,
  [10051] = 4577,
  [10052] = 4373,
  [10053] = 4693,
  [10054] = 4678,
  [10055] = 4668,
  [10056] = 4372,
  [10057] = 4675,
  [10058] = 4341,
  [10059] = 4369,
  [10060] = 4719,
  [10061] = 4719,
  [10062] = 4673,
  [10063] = 4341,
  [10064] = 4787,
  [10065] = 4673,
  [10066] = 4669,
  [10067] = 4669,
  [10068] = 4797,
  [10069] = 4741,
  [10070] = 4763,
  [10071] = 4351,
  [10072] = 4669,
  [10073] = 4673,
  [10074] = 4619,
  [10075] = 4669,
  [10076] = 4617,
  [10077] = 4579,
  [10078] = 4719,
  [10079] = 4673,
  [10080] = 4673,
  [10081] = 4719,
  [10082] = 4573,
  [10083] = 4669,
  [10084] = 4614,
  [10085] = 4567,
  [10086] = 4341,
  [10087] = 4651,
  [10088] = 4645,
  [10089] = 4590,
  [10090] = 4273,
  [10091] = 4643,
  [10092] = 4581,
  [10093] = 4659,
  [10094] = 4341,
  [10095] = 4568,
  [10096] = 4574,
  [10097] = 4788,
  [10098] = 4582,
  [10099] = 4585,
  [10100] = 4586,
  [10101] = 4744,
  [10102] = 4587,
  [10103] = 4591,
  [10104] = 4656,
  [10105] = 4625,
  [10106] = 4611,
  [10107] = 4596,
  [10108] = 4620,
  [10109] = 4600,
  [10110] = 4415,
  [10111] = 4601,
  [10112] = 4606,
  [10113] = 4597,
  [10114] = 4621,
  [10115] = 4806,
  [10116] = 4607,
  [10117] = 4627,
  [10118] = 4622,
  [10119] = 4610,
  [10120] = 4624,
  [10121] = 4577,
  [10122] = 4574,
  [10123] = 4669,
  [10124] = 4581,
  [10125] = 4673,
  [10126] = 4656,
  [10127] = 4625,
  [10128] = 4573,
  [10129] = 4741,
  [10130] = 4719,
  [10131] = 4585,
  [10132] = 4586,
  [10133] = 4788,
  [10134] = 4627,
  [10135] = 4619,
  [10136] = 4614,
  [10137] = 4719,
  [10138] = 4607,
  [10139] = 4576,
  [10140] = 4579,
  [10141] = 4719,
  [10142] = 4669,
  [10143] = 4806,
  [10144] = 4669,
  [10145] = 4590,
  [10146] = 4567,
  [10147] = 4591,
  [10148] = 4659,
  [10149] = 4651,
  [10150] = 4673,
  [10151] = 4572,
  [10152] = 4719,
  [10153] = 4597,
  [10154] = 4596,
  [10155] = 4600,
  [10156] = 4601,
  [10157] = 4673,
  [10158] = 4673,
  [10159] = 4744,
  [10160] = 4645,
  [10161] = 4643,
  [10162] = 4617,
  [10163] = 4797,
  [10164] = 4273,
  [10165] = 4606,
  [10166] = 4787,
  [10167] = 4624,
  [10168] = 4568,
  [10169] = 4587,
  [10170] = 4718,
  [10171] = 4675,
  [10172] = 4622,
  [10173] = 4610,
  [10174] = 4669,
  [10175] = 4668,
  [10176] = 4611,
  [10177] = 4713,
  [10178] = 4678,
  [10179] = 4582,
  [10180] = 4693,
  [10181] = 4621,
  [10182] = 4620,
  [10183] = 4763,
  [10184] = 4273,
  [10185] = 4273,
  [10186] = 4270,
  [10187] = 4270,
  [10188] = 4270,
  [10189] = 4270,
  [10190] = 4341,
  [10191] = 4281,
  [10192] = 4270,
  [10193] = 4288,
  [10194] = 4270,
  [10195] = 4282,
  [10196] = 4273,
  [10197] = 4270,
  [10198] = 4270,
  [10199] = 4273,
  [10200] = 4301,
  [10201] = 4273,
  [10202] = 4425,
  [10203] = 4343,
  [10204] = 4288,
  [10205] = 4288,
  [10206] = 4343,
  [10207] = 4279,
  [10208] = 4301,
  [10209] = 4282,
  [10210] = 4281,
  [10211] = 4627,
  [10212] = 4273,
  [10213] = 4347,
  [10214] = 4273,
  [10215] = 4581,
  [10216] = 4625,
  [10217] = 4346,
  [10218] = 4787,
  [10219] = 4345,
  [10220] = 4656,
  [10221] = 4280,
  [10222] = 4364,
  [10223] = 4624,
  [10224] = 4279,
  [10225] = 4365,
  [10226] = 4358,
  [10227] = 4279,
  [10228] = 4280,
  [10229] = 4622,
  [10230] = 4273,
  [10231] = 4273,
  [10232] = 4788,
  [10233] = 6193,
  [10234] = 4621,
  [10235] = 4298,
  [10236] = 4620,
  [10237] = 4280,
  [10238] = 4280,
  [10239] = 4270,
  [10240] = 4270,
  [10241] = 4281,
  [10242] = 4366,
  [10243] = 4270,
  [10244] = 4298,
  [10245] = 4341,
  [10246] = 4353,
  [10247] = 4352,
  [10248] = 4298,
  [10249] = 4343,
  [10250] = 4347,
  [10251] = 4282,
  [10252] = 4351,
  [10253] = 4574,
  [10254] = 4347,
  [10255] = 4352,
  [10256] = 4353,
  [10257] = 4301,
  [10258] = 4611,
  [10259] = 4343,
  [10260] = 4343,
  [10261] = 4389,
  [10262] = 4610,
  [10263] = 4377,
  [10264] = 4607,
  [10265] = 4376,
  [10266] = 4415,
  [10267] = 4606,
  [10268] = 4375,
  [10269] = 4347,
  [10270] = 4408,
  [10271] = 4601,
  [10272] = 4298,
  [10273] = 4600,
  [10274] = 4352,
  [10275] = 4353,
  [10276] = 4596,
  [10277] = 4353,
  [10278] = 4797,
  [10279] = 4597,
  [10280] = 4591,
  [10281] = 4352,
  [10282] = 4590,
  [10283] = 4347,
  [10284] = 4352,
  [10285] = 4587,
  [10286] = 4586,
  [10287] = 4353,
  [10288] = 4763,
  [10289] = 4585,
  [10290] = 4270,
  [10291] = 4643,
  [10292] = 4288,
  [10293] = 4298,
  [10294] = 4279,
  [10295] = 4301,
  [10296] = 4645,
  [10297] = 4373,
  [10298] = 4372,
  [10299] = 4718,
  [10300] = 4651,
  [10301] = 4567,
  [10302] = 4282,
  [10303] = 4281,
  [10304] = 4368,
  [10305] = 4719,
  [10306] = 4369,
  [10307] = 4673,
  [10308] = 4582,
  [10309] = 4280,
  [10310] = 4579,
  [10311] = 4341,
  [10312] = 4669,
  [10313] = 4806,
  [10314] = 4576,
  [10315] = 4279,
  [10316] = 4270,
  [10317] = 4449,
  [10318] = 4617,
  [10319] = 4619,
  [10320] = 4270,
  [10321] = 4617,
  [10322] = 4280,
  [10323] = 4741,
  [10324] = 4283,
  [10325] = 4358,
  [10326] = 4365,
  [10327] = 4364,
  [10328] = 4280,
  [10329] = 4787,
  [10330] = 4283,
  [10331] = 4301,
  [10332] = 4279,
  [10333] = 4270,
  [10334] = 4288,
  [10335] = 4415,
  [10336] = 4341,
  [10337] = 4568,
  [10338] = 7017,
  [10339] = 4270,
  [10340] = 4368,
  [10341] = 4744,
  [10342] = 4279,
  [10343] = 4345,
  [10344] = 4280,
  [10345] = 4346,
  [10346] = 4582,
  [10347] = 10347,
  [10348] = 4586,
  [10349] = 4298,
  [10350] = 4377,
  [10351] = 4353,
  [10352] = 4415,
  [10353] = 10347,
  [10354] = 4352,
  [10355] = 4376,
  [10356] = 4347,
  [10357] = 4343,
  [10358] = 4375,
  [10359] = 4585,
  [10360] = 4669,
  [10361] = 4673,
  [10362] = 4270,
  [10363] = 4351,
  [10364] = 4587,
  [10365] = 10347,
  [10366] = 4408,
  [10367] = 4719,
  [10368] = 4425,
  [10369] = 4591,
  [10370] = 4281,
  [10371] = 4659,
  [10372] = 4351,
  [10373] = 4281,
  [10374] = 4373,
  [10375] = 4572,
  [10376] = 4372,
  [10377] = 4270,
  [10378] = 4597,
  [10379] = 4596,
  [10380] = 4369,
  [10381] = 4389,
  [10382] = 4279,
  [10383] = 4600,
  [10384] = 4601,
  [10385] = 6520,
  [10386] = 4273,
  [10387] = 4606,
  [10388] = 4607,
  [10389] = 4273,
  [10390] = 4449,
  [10391] = 4343,
  [10392] = 10347,
  [10393] = 4347,
  [10394] = 4352,
  [10395] = 4806,
  [10396] = 4353,
  [10397] = 4341,
  [10398] = 4718,
  [10399] = 4282,
  [10400] = 4610,
  [10401] = 4611,
  [10402] = 4353,
  [10403] = 4713,
  [10404] = 4590,
  [10405] = 4620,
  [10406] = 4621,
  [10407] = 4622,
  [10408] = 4624,
  [10409] = 4273,
  [10410] = 4625,
  [10411] = 4627,
  [10412] = 4343,
  [10413] = 4347,
  [10414] = 4352,
  [10415] = 4281,
  [10416] = 10347,
  [10417] = 4693,
  [10418] = 4343,
  [10419] = 4347,
  [10420] = 4279,
  [10421] = 4282,
  [10422] = 4288,
  [10423] = 4352,
  [10424] = 10347,
  [10425] = 4353,
  [10426] = 4389,
  [10427] = 4301,
  [10428] = 4279,
  [10429] = 4577,
  [10430] = 4668,
  [10431] = 4343,
  [10432] = 4675,
  [10433] = 4353,
  [10434] = 4352,
  [10435] = 4279,
  [10436] = 4343,
  [10437] = 4364,
  [10438] = 4347,
  [10439] = 4365,
  [10440] = 4358,
  [10441] = 4347,
  [10442] = 4347,
  [10443] = 4343,
  [10444] = 4797,
  [10445] = 4763,
  [10446] = 4377,
  [10447] = 4376,
  [10448] = 4375,
  [10449] = 4372,
  [10450] = 4301,
  [10451] = 4574,
  [10452] = 4369,
  [10453] = 7012,
  [10454] = 4366,
  [10455] = 4643,
  [10456] = 4645,
  [10457] = 4288,
  [10458] = 4270,
  [10459] = 4352,
  [10460] = 4449,
  [10461] = 4353,
  [10462] = 4298,
  [10463] = 4656,
  [10464] = 4651,
  [10465] = 4567,
  [10466] = 4270,
  [10467] = 4579,
  [10468] = 4373,
  [10469] = 4408,
  [10470] = 4270,
  [10471] = 10347,
  [10472] = 4576,
  [10473] = 4425,
  [10474] = 4298,
  [10475] = 4282,
  [10476] = 4581,
  [10477] = 4619,
  [10478] = 4369,
  [10479] = 4372,
  [10480] = 4373,
  [10481] = 4375,
  [10482] = 4376,
  [10483] = 4377,
  [10484] = 10347,
  [10485] = 4280,
  [10486] = 4352,
  [10487] = 4358,
  [10488] = 4353,
  [10489] = 4365,
  [10490] = 4364,
  [10491] = 4389,
  [10492] = 4341,
  [10493] = 4283,
  [10494] = 10347,
  [10495] = 4280,
  [10496] = 4368,
  [10497] = 4279,
  [10498] = 4298,
  [10499] = 10499,
  [10500] = 4678,
  [10501] = 10347,
  [10502] = 10499,
  [10503] = 4614,
  [10504] = 4280,
  [10505] = 4273,
  [10506] = 10347,
  [10507] = 4298,
  [10508] = 4351,
  [10509] = 4270,
  [10510] = 4298,
  [10511] = 4280,
  [10512] = 4366,
  [10513] = 4346,
  [10514] = 4415,
  [10515] = 4345,
  [10516] = 4270,
  [10517] = 4270,
  [10518] = 10347,
  [10519] = 4280,
  [10520] = 6880,
  [10521] = 4788,
  [10522] = 4298,
  [10523] = 10347,
  [10524] = 4347,
  [10525] = 4353,
  [10526] = 4343,
  [10527] = 4283,
  [10528] = 4298,
  [10529] = 4283,
  [10530] = 4279,
  [10531] = 4352,
  [10532] = 4270,
  [10533] = 4298,
  [10534] = 4620,
  [10535] = 4675,
  [10536] = 7331,
  [10537] = 7580,
  [10538] = 7297,
  [10539] = 7357,
  [10540] = 7344,
  [10541] = 10541,
  [10542] = 7347,
  [10543] = 4653,
  [10544] = 4614,
  [10545] = 4597,
  [10546] = 4567,
  [10547] = 7378,
  [10548] = 7388,
  [10549] = 7298,
  [10550] = 7407,
  [10551] = 7411,
  [10552] = 7418,
  [10553] = 4352,
  [10554] = 4347,
  [10555] = 4352,
  [10556] = 4343,
  [10557] = 4353,
  [10558] = 4283,
  [10559] = 4806,
  [10560] = 4653,
  [10561] = 4343,
  [10562] = 4343,
  [10563] = 4653,
  [10564] = 4806,
  [10565] = 7307,
  [10566] = 7450,
  [10567] = 4279,
  [10568] = 4270,
  [10569] = 4353,
  [10570] = 4298,
  [10571] = 7318,
  [10572] = 7296,
  [10573] = 7403,
  [10574] = 4341,
  [10575] = 7419,
  [10576] = 7528,
  [10577] = 4788,
  [10578] = 4270,
  [10579] = 4763,
  [10580] = 4797,
  [10581] = 7423,
  [10582] = 7424,
  [10583] = 4741,
  [10584] = 7432,
  [10585] = 7463,
  [10586] = 7523,
  [10587] = 7302,
  [10588] = 7524,
  [10589] = 10499,
  [10590] = 7428,
  [10591] = 4283,
  [10592] = 7653,
  [10593] = 7655,
  [10594] = 7683,
  [10595] = 4298,
  [10596] = 4341,
  [10597] = 4353,
  [10598] = 4352,
  [10599] = 4678,
  [10600] = 4574,
  [10601] = 4693,
  [10602] = 4280,
  [10603] = 4577,
  [10604] = 4787,
  [10605] = 4579,
  [10606] = 4347,
  [10607] = 4713,
  [10608] = 4624,
  [10609] = 4597,
  [10610] = 4624,
  [10611] = 7697,
  [10612] = 4620,
  [10613] = 7695,
  [10614] = 4669,
  [10615] = 4574,
  [10616] = 4673,
  [10617] = 7404,
  [10618] = 7406,
  [10619] = 4719,
  [10620] = 4280,
  [10621] = 4283,
  [10622] = 4579,
  [10623] = 4581,
  [10624] = 4298,
  [10625] = 4718,
  [10626] = 4572,
  [10627] = 7311,
  [10628] = 7706,
  [10629] = 4582,
  [10630] = 4653,
  [10631] = 4585,
  [10632] = 4586,
  [10633] = 4587,
  [10634] = 4590,
  [10635] = 4591,
  [10636] = 4280,
  [10637] = 7605,
  [10638] = 4596,
  [10639] = 4600,
  [10640] = 4601,
  [10641] = 4606,
  [10642] = 4607,
  [10643] = 7322,
  [10644] = 4610,
  [10645] = 4611,
  [10646] = 7709,
  [10647] = 4656,
  [10648] = 7713,
  [10649] = 4659,
  [10650] = 4621,
  [10651] = 4622,
  [10652] = 4619,
  [10653] = 4625,
  [10654] = 4627,
  [10655] = 7715,
  [10656] = 7323,
  [10657] = 4619,
  [10658] = 4617,
  [10659] = 4643,
  [10660] = 4645,
  [10661] = 4576,
  [10662] = 4806,
  [10663] = 4651,
  [10664] = 4567,
  [10665] = 4573,
  [10666] = 4567,
  [10667] = 4651,
  [10668] = 4645,
  [10669] = 4298,
  [10670] = 4788,
  [10671] = 4627,
  [10672] = 4568,
  [10673] = 4625,
  [10674] = 4298,
  [10675] = 4576,
  [10676] = 7717,
  [10677] = 4617,
  [10678] = 7764,
  [10679] = 4353,
  [10680] = 4352,
  [10681] = 4581,
  [10682] = 4622,
  [10683] = 7720,
  [10684] = 4621,
  [10685] = 4763,
  [10686] = 4797,
  [10687] = 4611,
  [10688] = 4298,
  [10689] = 4610,
  [10690] = 4607,
  [10691] = 4606,
  [10692] = 4601,
  [10693] = 4600,
  [10694] = 4270,
  [10695] = 4596,
  [10696] = 4591,
  [10697] = 7792,
  [10698] = 4744,
  [10699] = 7801,
  [10700] = 7753,
  [10701] = 7835,
  [10702] = 4590,
  [10703] = 7349,
  [10704] = 7356,
  [10705] = 4587,
  [10706] = 7293,
  [10707] = 4586,
  [10708] = 7366,
  [10709] = 4347,
  [10710] = 4298,
  [10711] = 4343,
  [10712] = 4585,
  [10713] = 4582,
  [10714] = 4279,
  [10715] = 4280,
  [10716] = 4582,
  [10717] = 4585,
  [10718] = 4579,
  [10719] = 4586,
  [10720] = 7436,
  [10721] = 7415,
  [10722] = 4574,
  [10723] = 4587,
  [10724] = 4590,
  [10725] = 4620,
  [10726] = 4591,
  [10727] = 4797,
  [10728] = 4763,
  [10729] = 4283,
  [10730] = 4643,
  [10731] = 4597,
  [10732] = 7839,
  [10733] = 4668,
  [10734] = 4280,
  [10735] = 4596,
  [10736] = 4600,
  [10737] = 4656,
  [10738] = 4788,
  [10739] = 4601,
  [10740] = 4288,
  [10741] = 4606,
  [10742] = 7825,
  [10743] = 4280,
  [10744] = 4607,
  [10745] = 4610,
  [10746] = 4611,
  [10747] = 4279,
  [10748] = 4301,
  [10749] = 4621,
  [10750] = 4622,
  [10751] = 4624,
  [10752] = 4625,
  [10753] = 4282,
  [10754] = 4718,
  [10755] = 4283,
  [10756] = 4787,
  [10757] = 4614,
  [10758] = 4279,
  [10759] = 4627,
  [10760] = 4281,
  [10761] = 7707,
  [10762] = 4653,
  [10763] = 4643,
  [10764] = 4279,
  [10765] = 4353,
  [10766] = 7784,
  [10767] = 7787,
  [10768] = 4645,
  [10769] = 4651,
  [10770] = 4576,
  [10771] = 4352,
  [10772] = 4630,
  [10773] = 4617,
  [10774] = 4619,
  [10775] = 7369,
  [10776] = 7387,
  [10777] = 4653,
  [10778] = 4369,
  [10779] = 4372,
  [10780] = 7745,
  [10781] = 7336,
  [10782] = 7350,
  [10783] = 7614,
  [10784] = 4375,
  [10785] = 4653,
  [10786] = 4630,
  [10787] = 4351,
  [10788] = 4376,
  [10789] = 4377,
  [10790] = 4358,
  [10791] = 4669,
  [10792] = 4365,
  [10793] = 4347,
  [10794] = 4364,
  [10795] = 4673,
  [10796] = 4787,
  [10797] = 4719,
  [10798] = 4353,
  [10799] = 4352,
  [10800] = 4347,
  [10801] = 4343,
  [10802] = 4389,
  [10803] = 7473,
  [10804] = 4653,
  [10805] = 10805,
  [10806] = 7413,
  [10807] = 4343,
  [10808] = 4347,
  [10809] = 4341,
  [10810] = 4352,
  [10811] = 4415,
  [10812] = 4353,
  [10813] = 4283,
  [10814] = 4280,
  [10815] = 4353,
  [10816] = 4347,
  [10817] = 4352,
  [10818] = 4343,
  [10819] = 4347,
  [10820] = 4343,
  [10821] = 4353,
  [10822] = 4352,
  [10823] = 4347,
  [10824] = 4343,
  [10825] = 4353,
  [10826] = 4352,
  [10827] = 4347,
  [10828] = 4343,
  [10829] = 4389,
  [10830] = 4280,
  [10831] = 4298,
  [10832] = 4279,
  [10833] = 4364,
  [10834] = 4365,
  [10835] = 4358,
  [10836] = 7840,
  [10837] = 4377,
  [10838] = 4376,
  [10839] = 4375,
  [10840] = 4298,
  [10841] = 4279,
  [10842] = 4273,
  [10843] = 4280,
  [10844] = 4273,
  [10845] = 4373,
  [10846] = 4273,
  [10847] = 4372,
  [10848] = 4369,
  [10849] = 4273,
  [10850] = 4614,
  [10851] = 4273,
  [10852] = 4279,
  [10853] = 4675,
  [10854] = 4668,
  [10855] = 4280,
  [10856] = 4678,
  [10857] = 7438,
  [10858] = 4693,
  [10859] = 7456,
  [10860] = 4577,
  [10861] = 4713,
  [10862] = 4572,
  [10863] = 4630,
  [10864] = 4744,
  [10865] = 4279,
  [10866] = 4659,
  [10867] = 4741,
  [10868] = 4568,
  [10869] = 4283,
  [10870] = 4568,
  [10871] = 4741,
  [10872] = 4659,
  [10873] = 7458,
  [10874] = 4744,
  [10875] = 4572,
  [10876] = 4669,
  [10877] = 4673,
  [10878] = 4787,
  [10879] = 4653,
  [10880] = 4351,
  [10881] = 4718,
  [10882] = 4719,
  [10883] = 4288,
  [10884] = 4713,
  [10885] = 7596,
  [10886] = 7569,
  [10887] = 4279,
  [10888] = 4301,
  [10889] = 4653,
  [10890] = 4577,
  [10891] = 4283,
  [10892] = 7568,
  [10893] = 4279,
  [10894] = 4343,
  [10895] = 7516,
  [10896] = 4282,
  [10897] = 4347,
  [10898] = 4693,
  [10899] = 7514,
  [10900] = 7511,
  [10901] = 4678,
  [10902] = 4668,
  [10903] = 4675,
  [10904] = 4281,
  [10905] = 4373,
  [10906] = 7506,
  [10907] = 4270,
  [10908] = 4369,
  [10909] = 4372,
  [10910] = 4373,
  [10911] = 4377,
  [10912] = 4375,
  [10913] = 4656,
  [10914] = 7487,
  [10915] = 4376,
  [10916] = 4358,
  [10917] = 4365,
  [10918] = 7486,
  [10919] = 4364,
  [10920] = 4389,
  [10921] = 7483,
  [10922] = 4630,
  [10923] = 7481,
  [10924] = 7480,
  [10925] = 4270,
  [10926] = 4280,
  [10927] = 4353,
  [10928] = 4581,
  [10929] = 4352,
  [10930] = 4415,
  [10931] = 4298,
  [10932] = 4351,
  [10933] = 4415,
  [10934] = 4351,
  [10935] = 4778,
  [10936] = 4283,
  [10937] = 4353,
  [10938] = 4283,
  [10939] = 4352,
  [10940] = 4347,
  [10941] = 4343,
  [10942] = 4778,
  [10943] = 4653,
  [10944] = 4280,
  [10945] = 4279,
  [10946] = 4279,
  [10947] = 4298,
  [10948] = 4653,
  [10949] = 4298,
  [10950] = 4298,
  [10951] = 4669,
  [10952] = 4673,
  [10953] = 4653,
  [10954] = 4719,
  [10955] = 4279,
  [10956] = 4806,
  [10957] = 4280,
  [10958] = 4280,
  [10959] = 4353,
  [10960] = 4352,
  [10961] = 4347,
  [10962] = 4343,
  [10963] = 4787,
  [10964] = 4653,
  [10965] = 4270,
  [10966] = 4630,
  [10967] = 4283,
  [10968] = 4353,
  [10969] = 4352,
  [10970] = 4347,
  [10971] = 4343,
  [10972] = 4630,
  [10973] = 4778,
  [10974] = 4653,
  [10975] = 4415,
  [10976] = 4389,
  [10977] = 4364,
  [10978] = 4365,
  [10979] = 4358,
  [10980] = 4280,
  [10981] = 4377,
  [10982] = 4376,
  [10983] = 4375,
  [10984] = 4283,
  [10985] = 4630,
  [10986] = 4373,
  [10987] = 4372,
  [10988] = 4369,
  [10989] = 4630,
  [10990] = 4614,
  [10991] = 4283,
  [10992] = 4675,
  [10993] = 4668,
  [10994] = 4279,
  [10995] = 4678,
  [10996] = 4577,
  [10997] = 4713,
  [10998] = 4572,
  [10999] = 4659,
  [11000] = 4568,
  [11001] = 4741,
  [11002] = 4744,
  [11003] = 4280,
  [11004] = 4693,
  [11005] = 4279,
  [11006] = 4415,
  [11007] = 4351,
  [11008] = 4614,
  [11009] = 4668,
  [11010] = 4678,
  [11011] = 4693,
  [11012] = 4577,
  [11013] = 4713,
  [11014] = 4653,
  [11015] = 4572,
  [11016] = 4659,
  [11017] = 4568,
  [11018] = 4741,
  [11019] = 4744,
  [11020] = 4573,
  [11021] = 4389,
  [11022] = 4364,
  [11023] = 4788,
  [11024] = 4365,
  [11025] = 4358,
  [11026] = 4377,
  [11027] = 4376,
  [11028] = 4375,
  [11029] = 4373,
  [11030] = 4372,
  [11031] = 4369,
  [11032] = 4675,
  [11033] = 4763,
  [11034] = 4797,
  [11035] = 4353,
  [11036] = 4352,
  [11037] = 4347,
  [11038] = 4343,
  [11039] = 4573,
  [11040] = 4778,
  [11041] = 4614,
  [11042] = 4656,
  [11043] = 4581,
  [11044] = 4718,
  [11045] = 4581,
  [11046] = 11046,
  [11047] = 4298,
  [11048] = 4298,
  [11049] = 4353,
  [11050] = 4656,
  [11051] = 4352,
  [11052] = 4347,
  [11053] = 4343,
  [11054] = 4675,
  [11055] = 4668,
  [11056] = 4678,
  [11057] = 4693,
  [11058] = 4788,
  [11059] = 4778,
  [11060] = 4763,
  [11061] = 4797,
  [11062] = 4619,
  [11063] = 4617,
  [11064] = 4576,
  [11065] = 4653,
  [11066] = 4567,
  [11067] = 4651,
  [11068] = 4645,
  [11069] = 4643,
  [11070] = 4627,
  [11071] = 4625,
  [11072] = 4624,
  [11073] = 4622,
  [11074] = 4577,
  [11075] = 4713,
  [11076] = 4718,
  [11077] = 4621,
  [11078] = 4611,
  [11079] = 4610,
  [11080] = 4607,
  [11081] = 4606,
  [11082] = 4601,
  [11083] = 4600,
  [11084] = 4572,
  [11085] = 4659,
  [11086] = 4596,
  [11087] = 4591,
  [11088] = 4653,
  [11089] = 4590,
  [11090] = 4741,
  [11091] = 4587,
  [11092] = 4653,
  [11093] = 4586,
  [11094] = 4585,
  [11095] = 4582,
  [11096] = 4806,
  [11097] = 4630,
  [11098] = 4579,
  [11099] = 4620,
  [11100] = 4597,
  [11101] = 4581,
  [11102] = 4656,
  [11103] = 4568,
  [11104] = 4744,
  [11105] = 4619,
  [11106] = 4617,
  [11107] = 4718,
  [11108] = 4574,
  [11109] = 4576,
  [11110] = 4579,
  [11111] = 4567,
  [11112] = 4651,
  [11113] = 4283,
  [11114] = 4645,
  [11115] = 4643,
  [11116] = 4574,
  [11117] = 4619,
  [11118] = 4617,
  [11119] = 4576,
  [11120] = 4806,
  [11121] = 4582,
  [11122] = 4625,
  [11123] = 4624,
  [11124] = 4622,
  [11125] = 4621,
  [11126] = 4620,
  [11127] = 4567,
  [11128] = 4651,
  [11129] = 4645,
  [11130] = 4611,
  [11131] = 4643,
  [11132] = 4610,
  [11133] = 4788,
  [11134] = 4606,
  [11135] = 4601,
  [11136] = 4600,
  [11137] = 4596,
  [11138] = 4597,
  [11139] = 4627,
  [11140] = 4591,
  [11141] = 4590,
  [11142] = 4625,
  [11143] = 4624,
  [11144] = 4586,
  [11145] = 4585,
  [11146] = 4622,
  [11147] = 4621,
  [11148] = 4763,
  [11149] = 4797,
  [11150] = 4611,
  [11151] = 4610,
  [11152] = 4607,
  [11153] = 4606,
  [11154] = 4601,
  [11155] = 4630,
  [11156] = 4600,
  [11157] = 4573,
  [11158] = 4596,
  [11159] = 4591,
  [11160] = 4590,
  [11161] = 4587,
  [11162] = 4586,
  [11163] = 4585,
  [11164] = 4669,
  [11165] = 4579,
  [11166] = 4574,
  [11167] = 4627,
  [11168] = 4620,
  [11169] = 4597,
  [11170] = 4673,
  [11171] = 4719,
  [11172] = 4787,
  [11173] = 4582,
  [11174] = 4280,
  [11175] = 4669,
  [11176] = 4673,
  [11177] = 4787,
  [11178] = 4607,
  [11179] = 4719,
  [11180] = 4270,
  [11181] = 4353,
  [11182] = 4352,
  [11183] = 4587,
  [11184] = 4347,
  [11185] = 4343,
  [11186] = 4341,
  [11187] = 4279,
  [11188] = 4273,
  [11189] = 4341,
  [11190] = 4298,
  [11191] = 4273,
  [11192] = 4273,
  [11193] = 4630,
  [11194] = 10499,
  [11195] = 4577,
  [11196] = 4574,
  [11197] = 11197,
  [11198] = 4653,
  [11199] = 11199,
  [11200] = 4630,
  [11201] = 4653,
  [11202] = 4283,
  [11203] = 4653,
  [11204] = 5277,
  [11205] = 6075,
  [11206] = 4806,
  [11207] = 4653,
  [11208] = 4601,
  [11209] = 4597,
  [11210] = 5313,
  [11211] = 4620,
  [11212] = 4574,
  [11213] = 4579,
  [11214] = 4582,
  [11215] = 11197,
  [11216] = 4585,
  [11217] = 4586,
  [11218] = 11199,
  [11219] = 4587,
  [11220] = 4280,
  [11221] = 4273,
  [11222] = 4590,
  [11223] = 4591,
  [11224] = 4596,
  [11225] = 4600,
  [11226] = 4645,
  [11227] = 4606,
  [11228] = 4607,
  [11229] = 4610,
  [11230] = 4611,
  [11231] = 4797,
  [11232] = 4763,
  [11233] = 4621,
  [11234] = 5313,
  [11235] = 4622,
  [11236] = 4624,
  [11237] = 4625,
  [11238] = 4627,
  [11239] = 4788,
  [11240] = 4643,
  [11241] = 4651,
  [11242] = 11197,
  [11243] = 4283,
  [11244] = 4567,
  [11245] = 4576,
  [11246] = 6075,
  [11247] = 4617,
  [11248] = 4619,
  [11249] = 4653,
  [11250] = 5277,
  [11251] = 10499,
  [11252] = 5277,
  [11253] = 4581,
  [11254] = 4273,
  [11255] = 4273,
  [11256] = 4656,
  [11257] = 4718,
  [11258] = 4573,
  [11259] = 4630,
  [11260] = 4653,
  [11261] = 4630,
  [11262] = 4283,
  [11263] = 6075,
  [11264] = 4718,
  [11265] = 4279,
  [11266] = 4656,
  [11267] = 4581,
  [11268] = 4669,
  [11269] = 4673,
  [11270] = 4619,
  [11271] = 4617,
  [11272] = 4576,
  [11273] = 4719,
  [11274] = 4567,
  [11275] = 4651,
  [11276] = 4645,
  [11277] = 4643,
  [11278] = 4788,
  [11279] = 4280,
  [11280] = 4627,
  [11281] = 4625,
  [11282] = 4624,
  [11283] = 4279,
  [11284] = 4622,
  [11285] = 4621,
  [11286] = 4763,
  [11287] = 5313,
  [11288] = 4797,
  [11289] = 4611,
  [11290] = 4778,
  [11291] = 4610,
  [11292] = 4607,
  [11293] = 4606,
  [11294] = 4601,
  [11295] = 4600,
  [11296] = 4280,
  [11297] = 4596,
  [11298] = 4353,
  [11299] = 4352,
  [11300] = 4787,
  [11301] = 4653,
  [11302] = 4590,
  [11303] = 4347,
  [11304] = 4343,
  [11305] = 4587,
  [11306] = 4653,
  [11307] = 4630,
  [11308] = 11199,
  [11309] = 4586,
  [11310] = 4719,
  [11311] = 4343,
  [11312] = 4787,
  [11313] = 4673,
  [11314] = 4585,
  [11315] = 4582,
  [11316] = 4273,
  [11317] = 4630,
  [11318] = 4669,
  [11319] = 4614,
  [11320] = 4579,
  [11321] = 4806,
  [11322] = 4744,
  [11323] = 4741,
  [11324] = 4568,
  [11325] = 5313,
  [11326] = 4630,
  [11327] = 4630,
  [11328] = 4347,
  [11329] = 4630,
  [11330] = 4279,
  [11331] = 4352,
  [11332] = 4591,
  [11333] = 4353,
  [11334] = 4298,
  [11335] = 4614,
  [11336] = 5277,
  [11337] = 5277,
  [11338] = 4298,
  [11339] = 4668,
  [11340] = 4678,
  [11341] = 4693,
  [11342] = 4713,
  [11343] = 4572,
  [11344] = 4659,
  [11345] = 4568,
  [11346] = 4741,
  [11347] = 4744,
  [11348] = 4675,
  [11349] = 4343,
  [11350] = 4630,
  [11351] = 4347,
  [11352] = 4778,
  [11353] = 4352,
  [11354] = 4353,
  [11355] = 4653,
  [11356] = 4298,
  [11357] = 4597,
  [11358] = 5313,
  [11359] = 4573,
  [11360] = 4675,
  [11361] = 4668,
  [11362] = 4620,
  [11363] = 4678,
  [11364] = 4693,
  [11365] = 4577,
  [11366] = 4778,
  [11367] = 4713,
  [11368] = 4653,
  [11369] = 4572,
  [11370] = 4659,
  [11371] = 4653,
  [11372] = 4353,
  [11373] = 5277,
  [11374] = 6075,
  [11375] = 4343,
  [11376] = 4778,
  [11377] = 4347,
  [11378] = 4352,
  [11379] = 4298,
  [11380] = 4353,
  [11381] = 4352,
  [11382] = 4298,
  [11383] = 4630,
  [11384] = 4347,
  [11385] = 4630,
  [11386] = 4778,
  [11387] = 4343,
  [11388] = 4353,
  [11389] = 4630,
  [11390] = 4298,
  [11391] = 4273,
  [11392] = 6075,
  [11393] = 5313,
  [11394] = 5277,
  [11395] = 4280,
  [11396] = 4298,
  [11397] = 4341,
  [11398] = 4353,
  [11399] = 4653,
  [11400] = 4653,
  [11401] = 4352,
  [11402] = 4343,
  [11403] = 4347,
  [11404] = 4347,
  [11405] = 4343,
  [11406] = 4630,
  [11407] = 4653,
  [11408] = 5313,
  [11409] = 4273,
  [11410] = 4273,
  [11411] = 11411,
  [11412] = 4280,
  [11413] = 4343,
  [11414] = 4280,
  [11415] = 4352,
  [11416] = 4353,
  [11417] = 4630,
  [11418] = 4347,
  [11419] = 6075,
  [11420] = 4352,
  [11421] = 5313,
  [11422] = 4778,
  [11423] = 4353,
  [11424] = 5277,
  [11425] = 4298,
  [11426] = 4630,
  [11427] = 6075,
  [11428] = 4270,
  [11429] = 4270,
  [11430] = 4352,
  [11431] = 4347,
  [11432] = 4280,
  [11433] = 4298,
  [11434] = 4343,
  [11435] = 4669,
  [11436] = 4280,
  [11437] = 4630,
  [11438] = 4352,
  [11439] = 4353,
  [11440] = 4347,
  [11441] = 4343,
  [11442] = 4630,
  [11443] = 4298,
  [11444] = 4673,
  [11445] = 4630,
  [11446] = 4787,
  [11447] = 4281,
  [11448] = 4597,
  [11449] = 4353,
  [11450] = 4352,
  [11451] = 4343,
  [11452] = 4347,
  [11453] = 4347,
  [11454] = 4343,
  [11455] = 4341,
  [11456] = 4282,
  [11457] = 4353,
  [11458] = 4352,
  [11459] = 4347,
  [11460] = 4343,
  [11461] = 4653,
  [11462] = 4352,
  [11463] = 4353,
  [11464] = 4620,
  [11465] = 4353,
  [11466] = 4352,
  [11467] = 4298,
  [11468] = 4280,
  [11469] = 4301,
  [11470] = 4347,
  [11471] = 4280,
  [11472] = 4343,
  [11473] = 4347,
  [11474] = 4280,
  [11475] = 4279,
  [11476] = 4353,
  [11477] = 4298,
  [11478] = 4719,
  [11479] = 4341,
  [11480] = 4353,
  [11481] = 4449,
  [11482] = 4408,
  [11483] = 4353,
  [11484] = 4574,
  [11485] = 4352,
  [11486] = 4280,
  [11487] = 4579,
  [11488] = 5277,
  [11489] = 4353,
  [11490] = 4352,
  [11491] = 4347,
  [11492] = 4280,
  [11493] = 4343,
  [11494] = 5277,
  [11495] = 4298,
  [11496] = 4347,
  [11497] = 4273,
  [11498] = 4273,
  [11499] = 4352,
  [11500] = 4582,
  [11501] = 4352,
  [11502] = 4347,
  [11503] = 4343,
  [11504] = 4343,
  [11505] = 4585,
  [11506] = 4425,
  [11507] = 4586,
  [11508] = 4587,
  [11509] = 4590,
  [11510] = 5313,
  [11511] = 11511,
  [11512] = 4591,
  [11513] = 4596,
  [11514] = 4600,
  [11515] = 4601,
  [11516] = 4606,
  [11517] = 4607,
  [11518] = 4283,
  [11519] = 4298,
  [11520] = 4806,
  [11521] = 4581,
  [11522] = 4610,
  [11523] = 4341,
  [11524] = 4611,
  [11525] = 4621,
  [11526] = 4622,
  [11527] = 4624,
  [11528] = 4625,
  [11529] = 4630,
  [11530] = 4627,
  [11531] = 4718,
  [11532] = 4653,
  [11533] = 4288,
  [11534] = 4630,
  [11535] = 4643,
  [11536] = 4298,
  [11537] = 4645,
  [11538] = 4651,
  [11539] = 4298,
  [11540] = 4567,
  [11541] = 4576,
  [11542] = 4617,
  [11543] = 4656,
  [11544] = 4619,
  [11545] = 4280,
  [11546] = 4280,
  [11547] = 4653,
  [11548] = 4797,
  [11549] = 5313,
  [11550] = 4763,
  [11551] = 4788,
  [11552] = 4298,
  [11553] = 4280,
  [11554] = 4366,
  [11555] = 4280,
  [11556] = 5313,
  [11557] = 4298,
  [11558] = 4341,
  [11559] = 6193,
  [11560] = 5277,
  [11561] = 4343,
  [11562] = 7017,
  [11563] = 4364,
  [11564] = 6122,
  [11565] = 6880,
  [11566] = 4653,
  [11567] = 11567,
  [11568] = 4653,
  [11569] = 4653,
  [11570] = 11567,
  [11571] = 11567,
  [11572] = 4673,
  [11573] = 11573,
  [11574] = 4719,
  [11575] = 11575,
  [11576] = 4653,
  [11577] = 4653,
  [11578] = 6122,
  [11579] = 6697,
  [11580] = 4653,
  [11581] = 11581,
  [11582] = 11567,
  [11583] = 6659,
  [11584] = 6803,
  [11585] = 4653,
  [11586] = 4669,
  [11587] = 6665,
  [11588] = 4582,
  [11589] = 6687,
  [11590] = 4585,
  [11591] = 11567,
  [11592] = 4586,
  [11593] = 4591,
  [11594] = 4597,
  [11595] = 4596,
  [11596] = 4600,
  [11597] = 4653,
  [11598] = 4601,
  [11599] = 7012,
  [11600] = 4582,
  [11601] = 4606,
  [11602] = 4585,
  [11603] = 4586,
  [11604] = 4587,
  [11605] = 4610,
  [11606] = 4591,
  [11607] = 4610,
  [11608] = 4611,
  [11609] = 4596,
  [11610] = 11575,
  [11611] = 4620,
  [11612] = 4600,
  [11613] = 4601,
  [11614] = 4653,
  [11615] = 4606,
  [11616] = 4621,
  [11617] = 4622,
  [11618] = 4624,
  [11619] = 4625,
  [11620] = 11573,
  [11621] = 11575,
  [11622] = 4653,
  [11623] = 11581,
  [11624] = 4607,
  [11625] = 4653,
  [11626] = 4581,
  [11627] = 11575,
  [11628] = 4590,
  [11629] = 6687,
  [11630] = 6665,
  [11631] = 4611,
  [11632] = 6659,
  [11633] = 11567,
  [11634] = 4621,
  [11635] = 11575,
  [11636] = 6697,
  [11637] = 4622,
  [11638] = 4624,
  [11639] = 11573,
  [11640] = 4625,
  [11641] = 4627,
  [11642] = 11567,
  [11643] = 4643,
  [11644] = 4653,
  [11645] = 4653,
  [11646] = 6697,
  [11647] = 4273,
  [11648] = 4645,
  [11649] = 4651,
  [11650] = 4567,
  [11651] = 4576,
  [11652] = 4353,
  [11653] = 4273,
  [11654] = 4273,
  [11655] = 6697,
  [11656] = 6659,
  [11657] = 4617,
  [11658] = 4341,
  [11659] = 4343,
  [11660] = 6665,
  [11661] = 11575,
  [11662] = 4619,
  [11663] = 11567,
  [11664] = 4347,
  [11665] = 4653,
  [11666] = 6687,
  [11667] = 4351,
  [11668] = 11575,
  [11669] = 4352,
  [11670] = 4797,
  [11671] = 4763,
  [11672] = 4415,
  [11673] = 4341,
  [11674] = 4643,
  [11675] = 4280,
  [11676] = 11567,
  [11677] = 4645,
  [11678] = 4788,
  [11679] = 4718,
  [11680] = 4343,
  [11681] = 4347,
  [11682] = 4352,
  [11683] = 4389,
  [11684] = 4353,
  [11685] = 4653,
  [11686] = 4656,
  [11687] = 4365,
  [11688] = 4653,
  [11689] = 4358,
  [11690] = 4651,
  [11691] = 4567,
  [11692] = 11567,
  [11693] = 4787,
  [11694] = 4579,
  [11695] = 11581,
  [11696] = 4653,
  [11697] = 4280,
  [11698] = 4377,
  [11699] = 6520,
  [11700] = 6122,
  [11701] = 4376,
  [11702] = 4375,
  [11703] = 6659,
  [11704] = 6665,
  [11705] = 6122,
  [11706] = 4280,
  [11707] = 6687,
  [11708] = 4653,
  [11709] = 6122,
  [11710] = 4574,
  [11711] = 4373,
  [11712] = 4620,
  [11713] = 4806,
  [11714] = 4372,
  [11715] = 4369,
  [11716] = 4719,
  [11717] = 4597,
  [11718] = 4787,
  [11719] = 4653,
  [11720] = 4673,
  [11721] = 4669,
  [11722] = 11575,
  [11723] = 4343,
  [11724] = 4574,
  [11725] = 4653,
  [11726] = 4352,
  [11727] = 4347,
  [11728] = 4343,
  [11729] = 4347,
  [11730] = 4298,
  [11731] = 4352,
  [11732] = 4353,
  [11733] = 11567,
  [11734] = 4653,
  [11735] = 4579,
  [11736] = 4576,
  [11737] = 11567,
  [11738] = 4353,
  [11739] = 4653,
  [11740] = 6193,
  [11741] = 4653,
  [11742] = 11575,
  [11743] = 4619,
  [11744] = 4590,
  [11745] = 4653,
  [11746] = 4653,
  [11747] = 4617,
  [11748] = 4653,
  [11749] = 4353,
  [11750] = 4298,
  [11751] = 4352,
  [11752] = 4343,
  [11753] = 11567,
  [11754] = 4653,
  [11755] = 4653,
  [11756] = 4347,
  [11757] = 4653,
  [11758] = 4298,
  [11759] = 4653,
  [11760] = 4653,
  [11761] = 4627,
  [11762] = 4298,
  [11763] = 11575,
  [11764] = 4630,
  [11765] = 6803,
  [11766] = 6697,
  [11767] = 6193,
  [11768] = 4597,
  [11769] = 4653,
  [11770] = 6659,
  [11771] = 4607,
  [11772] = 4341,
  [11773] = 6665,
  [11774] = 4653,
  [11775] = 6687,
  [11776] = 4653,
  [11777] = 11567,
  [11778] = 6803,
  [11779] = 4620,
  [11780] = 4653,
  [11781] = 4343,
  [11782] = 4347,
  [11783] = 4298,
  [11784] = 4352,
  [11785] = 4353,
  [11786] = 6803,
  [11787] = 4653,
  [11788] = 4653,
  [11789] = 4574,
  [11790] = 11575,
  [11791] = 4797,
  [11792] = 11575,
  [11793] = 6803,
  [11794] = 4653,
  [11795] = 4280,
  [11796] = 4653,
  [11797] = 11567,
  [11798] = 4763,
  [11799] = 4587,
  [11800] = 11567,
  [11801] = 4579,
  [11802] = 4653,
  [11803] = 4582,
  [11804] = 4298,
  [11805] = 4653,
  [11806] = 11567,
  [11807] = 4656,
  [11808] = 4718,
  [11809] = 4653,
  [11810] = 11575,
  [11811] = 4585,
  [11812] = 4669,
  [11813] = 4653,
  [11814] = 4586,
  [11815] = 4673,
  [11816] = 4280,
  [11817] = 4581,
  [11818] = 4587,
  [11819] = 4719,
  [11820] = 4590,
  [11821] = 4591,
  [11822] = 4806,
  [11823] = 11567,
  [11824] = 11567,
  [11825] = 4653,
  [11826] = 4280,
  [11827] = 4787,
  [11828] = 4653,
  [11829] = 4806,
  [11830] = 4763,
  [11831] = 4788,
  [11832] = 4596,
  [11833] = 4653,
  [11834] = 4600,
  [11835] = 4619,
  [11836] = 4601,
  [11837] = 4653,
  [11838] = 11575,
  [11839] = 4617,
  [11840] = 11575,
  [11841] = 4576,
  [11842] = 4567,
  [11843] = 4651,
  [11844] = 4645,
  [11845] = 4643,
  [11846] = 4606,
  [11847] = 11567,
  [11848] = 4607,
  [11849] = 4788,
  [11850] = 4627,
  [11851] = 4625,
  [11852] = 4624,
  [11853] = 4622,
  [11854] = 4621,
  [11855] = 4610,
  [11856] = 4797,
  [11857] = 4611,
  [11858] = 7792,
  [11859] = 4668,
  [11860] = 11860,
  [11861] = 11861,
  [11862] = 6803,
  [11863] = 11863,
  [11864] = 11863,
  [11865] = 11863,
  [11866] = 11860,
  [11867] = 11860,
  [11868] = 11860,
  [11869] = 11863,
  [11870] = 11861,
  [11871] = 11860,
  [11872] = 11861,
  [11873] = 11861,
  [11874] = 6981,
  [11875] = 6880,
  [11876] = 7129,
  [11877] = 6981,
  [11878] = 11861,
  [11879] = 11860,
  [11880] = 11860,
  [11881] = 11863,
  [11882] = 11860,
  [11883] = 11860,
  [11884] = 6981,
  [11885] = 11860,
  [11886] = 11860,
  [11887] = 11860,
  [11888] = 11861,
  [11889] = 7017,
  [11890] = 11861,
  [11891] = 11860,
  [11892] = 11861,
  [11893] = 6905,
  [11894] = 11894,
  [11895] = 11860,
  [11896] = 11860,
  [11897] = 4280,
  [11898] = 4280,
  [11899] = 11860,
  [11900] = 7524,
  [11901] = 11860,
  [11902] = 6878,
  [11903] = 11860,
  [11904] = 6897,
  [11905] = 6878,
  [11906] = 7523,
  [11907] = 6981,
  [11908] = 11860,
  [11909] = 11860,
  [11910] = 6905,
  [11911] = 7463,
  [11912] = 7102,
  [11913] = 7432,
  [11914] = 7067,
  [11915] = 4778,
  [11916] = 11863,
  [11917] = 11863,
  [11918] = 6803,
  [11919] = 11860,
  [11920] = 11861,
  [11921] = 7428,
  [11922] = 6859,
  [11923] = 7424,
  [11924] = 4673,
  [11925] = 4719,
  [11926] = 4787,
  [11927] = 4669,
  [11928] = 11860,
  [11929] = 7096,
  [11930] = 11860,
  [11931] = 7084,
  [11932] = 11861,
  [11933] = 11860,
  [11934] = 11861,
  [11935] = 7096,
  [11936] = 7423,
  [11937] = 7419,
  [11938] = 6122,
  [11939] = 4597,
  [11940] = 11860,
  [11941] = 4620,
  [11942] = 4574,
  [11943] = 11860,
  [11944] = 6520,
  [11945] = 4579,
  [11946] = 6880,
  [11947] = 6880,
  [11948] = 4582,
  [11949] = 7096,
  [11950] = 4585,
  [11951] = 4586,
  [11952] = 4587,
  [11953] = 4590,
  [11954] = 4591,
  [11955] = 4596,
  [11956] = 4600,
  [11957] = 6905,
  [11958] = 6878,
  [11959] = 7403,
  [11960] = 6897,
  [11961] = 7296,
  [11962] = 4601,
  [11963] = 4606,
  [11964] = 4607,
  [11965] = 7084,
  [11966] = 4610,
  [11967] = 7318,
  [11968] = 4611,
  [11969] = 4621,
  [11970] = 4622,
  [11971] = 7129,
  [11972] = 4624,
  [11973] = 4625,
  [11974] = 4627,
  [11975] = 11860,
  [11976] = 4787,
  [11977] = 6880,
  [11978] = 6902,
  [11979] = 7022,
  [11980] = 4643,
  [11981] = 4645,
  [11982] = 4651,
  [11983] = 4567,
  [11984] = 6904,
  [11985] = 4576,
  [11986] = 4617,
  [11987] = 7025,
  [11988] = 4619,
  [11989] = 7293,
  [11990] = 7034,
  [11991] = 7297,
  [11992] = 6520,
  [11993] = 7331,
  [11994] = 7302,
  [11995] = 4573,
  [11996] = 6687,
  [11997] = 6122,
  [11998] = 4343,
  [11999] = 4347,
  [12000] = 4797,
  [12001] = 11860,
  [12002] = 4763,
  [12003] = 6905,
  [12004] = 4352,
  [12005] = 4353,
  [12006] = 6902,
  [12007] = 7311,
  [12008] = 4788,
  [12009] = 6904,
  [12010] = 7322,
  [12011] = 6880,
  [12012] = 6981,
  [12013] = 7022,
  [12014] = 11860,
  [12015] = 7840,
  [12016] = 7102,
  [12017] = 11860,
  [12018] = 7323,
  [12019] = 6897,
  [12020] = 6981,
  [12021] = 4298,
  [12022] = 7349,
  [12023] = 11860,
  [12024] = 7350,
  [12025] = 11894,
  [12026] = 11860,
  [12027] = 11861,
  [12028] = 7366,
  [12029] = 7084,
  [12030] = 7369,
  [12031] = 6880,
  [12032] = 11863,
  [12033] = 7387,
  [12034] = 4298,
  [12035] = 11860,
  [12036] = 11860,
  [12037] = 7825,
  [12038] = 11860,
  [12039] = 7839,
  [12040] = 11860,
  [12041] = 7034,
  [12042] = 7413,
  [12043] = 4630,
  [12044] = 6897,
  [12045] = 7835,
  [12046] = 11860,
  [12047] = 7753,
  [12048] = 11861,
  [12049] = 7801,
  [12050] = 7102,
  [12051] = 6981,
  [12052] = 4806,
  [12053] = 6859,
  [12054] = 4353,
  [12055] = 11863,
  [12056] = 7764,
  [12057] = 11860,
  [12058] = 4352,
  [12059] = 11860,
  [12060] = 4347,
  [12061] = 4343,
  [12062] = 4343,
  [12063] = 6122,
  [12064] = 11860,
  [12065] = 4347,
  [12066] = 11861,
  [12067] = 7438,
  [12068] = 7456,
  [12069] = 6665,
  [12070] = 11860,
  [12071] = 6659,
  [12072] = 7458,
  [12073] = 7307,
  [12074] = 4352,
  [12075] = 6880,
  [12076] = 4353,
  [12077] = 6981,
  [12078] = 7473,
  [12079] = 7480,
  [12080] = 7720,
  [12081] = 6697,
  [12082] = 11863,
  [12083] = 7481,
  [12084] = 7483,
  [12085] = 7486,
  [12086] = 11860,
  [12087] = 11863,
  [12088] = 7067,
  [12089] = 11860,
  [12090] = 4787,
  [12091] = 4744,
  [12092] = 4741,
  [12093] = 4568,
  [12094] = 4659,
  [12095] = 6859,
  [12096] = 7717,
  [12097] = 4572,
  [12098] = 11860,
  [12099] = 7715,
  [12100] = 11863,
  [12101] = 7487,
  [12102] = 7713,
  [12103] = 7709,
  [12104] = 4718,
  [12105] = 7605,
  [12106] = 4713,
  [12107] = 7706,
  [12108] = 7695,
  [12109] = 7697,
  [12110] = 7528,
  [12111] = 11860,
  [12112] = 4678,
  [12113] = 11860,
  [12114] = 4693,
  [12115] = 4298,
  [12116] = 6981,
  [12117] = 4577,
  [12118] = 7067,
  [12119] = 4675,
  [12120] = 7683,
  [12121] = 4656,
  [12122] = 7655,
  [12123] = 4273,
  [12124] = 11860,
  [12125] = 4581,
  [12126] = 6687,
  [12127] = 7653,
  [12128] = 6878,
  [12129] = 6665,
  [12130] = 4614,
  [12131] = 6659,
  [12132] = 7096,
  [12133] = 7084,
  [12134] = 6697,
  [12135] = 11860,
  [12136] = 11861,
  [12137] = 11861,
  [12138] = 7084,
  [12139] = 7506,
  [12140] = 11860,
  [12141] = 4630,
  [12142] = 7096,
  [12143] = 6122,
  [12144] = 11860,
  [12145] = 7450,
  [12146] = 7511,
  [12147] = 7149,
  [12148] = 7147,
  [12149] = 7025,
  [12150] = 7418,
  [12151] = 7411,
  [12152] = 11860,
  [12153] = 6687,
  [12154] = 7407,
  [12155] = 6859,
  [12156] = 7067,
  [12157] = 11863,
  [12158] = 7149,
  [12159] = 7012,
  [12160] = 6665,
  [12161] = 7298,
  [12162] = 7147,
  [12163] = 7017,
  [12164] = 6659,
  [12165] = 11860,
  [12166] = 7129,
  [12167] = 7388,
  [12168] = 6697,
  [12169] = 11860,
  [12170] = 11863,
  [12171] = 7378,
  [12172] = 7356,
  [12173] = 11861,
  [12174] = 7347,
  [12175] = 6122,
  [12176] = 7336,
  [12177] = 7344,
  [12178] = 7357,
  [12179] = 7404,
  [12180] = 7406,
  [12181] = 11860,
  [12182] = 11861,
  [12183] = 11860,
  [12184] = 11860,
  [12185] = 7149,
  [12186] = 7147,
  [12187] = 11860,
  [12188] = 7415,
  [12189] = 7436,
  [12190] = 11860,
  [12191] = 7707,
  [12192] = 11860,
  [12193] = 6905,
  [12194] = 7745,
  [12195] = 6878,
  [12196] = 6075,
  [12197] = 7149,
  [12198] = 11860,
  [12199] = 7067,
  [12200] = 7147,
  [12201] = 6859,
  [12202] = 7034,
  [12203] = 11860,
  [12204] = 6897,
  [12205] = 11860,
  [12206] = 7516,
  [12207] = 7784,
  [12208] = 11863,
  [12209] = 4280,
  [12210] = 7514,
  [12211] = 7787,
  [12212] = 6880,
  [12213] = 7102,
  [12214] = 7025,
  [12215] = 7022,
  [12216] = 11860,
  [12217] = 11861,
  [12218] = 6902,
  [12219] = 6122,
  [12220] = 11860,
  [12221] = 7614,
  [12222] = 7034,
  [12223] = 6904,
  [12224] = 7025,
  [12225] = 6803,
  [12226] = 6122,
  [12227] = 11860,
  [12228] = 7022,
  [12229] = 7129,
  [12230] = 7012,
  [12231] = 6902,
  [12232] = 11860,
  [12233] = 6904,
  [12234] = 7596,
  [12235] = 11860,
  [12236] = 11860,
  [12237] = 11860,
  [12238] = 11861,
  [12239] = 6122,
  [12240] = 7569,
  [12241] = 6981,
  [12242] = 11860,
  [12243] = 7568,
  [12244] = 7580,
  [12245] = 7369,
  [12246] = 6981,
  [12247] = 12247,
  [12248] = 12248,
  [12249] = 12247,
  [12250] = 12250,
  [12251] = 12247,
  [12252] = 12247,
  [12253] = 12250,
  [12254] = 12248,
  [12255] = 12248,
  [12256] = 12247,
  [12257] = 12257,
  [12258] = 7637,
  [12259] = 7576,
  [12260] = 7321,
  [12261] = 7574,
  [12262] = 7573,
  [12263] = 7566,
  [12264] = 7521,
  [12265] = 7494,
  [12266] = 7488,
  [12267] = 12267,
  [12268] = 7448,
  [12269] = 6122,
  [12270] = 12250,
  [12271] = 12250,
  [12272] = 7437,
  [12273] = 7460,
  [12274] = 7435,
  [12275] = 7434,
  [12276] = 7433,
  [12277] = 7637,
  [12278] = 7321,
  [12279] = 7574,
  [12280] = 7573,
  [12281] = 7566,
  [12282] = 7521,
  [12283] = 7494,
  [12284] = 7488,
  [12285] = 7448,
  [12286] = 12248,
  [12287] = 7437,
  [12288] = 7460,
  [12289] = 7435,
  [12290] = 12247,
  [12291] = 7434,
  [12292] = 7433,
  [12293] = 7637,
  [12294] = 12247,
  [12295] = 7290,
  [12296] = 12248,
  [12297] = 7825,
  [12298] = 7839,
  [12299] = 12257,
  [12300] = 7835,
  [12301] = 7022,
  [12302] = 7580,
  [12303] = 7290,
  [12304] = 7753,
  [12305] = 7801,
  [12306] = 7025,
  [12307] = 7314,
  [12308] = 12247,
  [12309] = 7315,
  [12310] = 7792,
  [12311] = 7316,
  [12312] = 12250,
  [12313] = 7580,
  [12314] = 6122,
  [12315] = 7034,
  [12316] = 12247,
  [12317] = 7764,
  [12318] = 7644,
  [12319] = 6880,
  [12320] = 7720,
  [12321] = 6981,
  [12322] = 12250,
  [12323] = 7840,
  [12324] = 12247,
  [12325] = 7717,
  [12326] = 7715,
  [12327] = 7713,
  [12328] = 7709,
  [12329] = 7605,
  [12330] = 7706,
  [12331] = 7314,
  [12332] = 7695,
  [12333] = 7697,
  [12334] = 12250,
  [12335] = 7528,
  [12336] = 7683,
  [12337] = 7316,
  [12338] = 12248,
  [12339] = 7315,
  [12340] = 7314,
  [12341] = 7315,
  [12342] = 7655,
  [12343] = 12247,
  [12344] = 7653,
  [12345] = 7637,
  [12346] = 12247,
  [12347] = 7316,
  [12348] = 7102,
  [12349] = 7102,
  [12350] = 11894,
  [12351] = 6981,
  [12352] = 12247,
  [12353] = 7102,
  [12354] = 7644,
  [12355] = 7644,
  [12356] = 12247,
  [12357] = 12247,
  [12358] = 6880,
  [12359] = 12267,
  [12360] = 12247,
  [12361] = 7483,
  [12362] = 7500,
  [12363] = 7316,
  [12364] = 7450,
  [12365] = 7315,
  [12366] = 7314,
  [12367] = 7290,
  [12368] = 12250,
  [12369] = 7576,
  [12370] = 6665,
  [12371] = 7147,
  [12372] = 7316,
  [12373] = 7315,
  [12374] = 7314,
  [12375] = 7418,
  [12376] = 7129,
  [12377] = 6659,
  [12378] = 7411,
  [12379] = 7102,
  [12380] = 7407,
  [12381] = 7129,
  [12382] = 7298,
  [12383] = 7524,
  [12384] = 7388,
  [12385] = 6859,
  [12386] = 7067,
  [12387] = 7378,
  [12388] = 12248,
  [12389] = 7356,
  [12390] = 7102,
  [12391] = 12247,
  [12392] = 12247,
  [12393] = 12250,
  [12394] = 7523,
  [12395] = 7290,
  [12396] = 7347,
  [12397] = 7336,
  [12398] = 12267,
  [12399] = 7344,
  [12400] = 6880,
  [12401] = 7463,
  [12402] = 6859,
  [12403] = 7357,
  [12404] = 6981,
  [12405] = 6803,
  [12406] = 7067,
  [12407] = 7404,
  [12408] = 12247,
  [12409] = 12248,
  [12410] = 7406,
  [12411] = 12267,
  [12412] = 7415,
  [12413] = 7436,
  [12414] = 12247,
  [12415] = 7707,
  [12416] = 7745,
  [12417] = 12267,
  [12418] = 7432,
  [12419] = 12247,
  [12420] = 7784,
  [12421] = 12248,
  [12422] = 7428,
  [12423] = 6122,
  [12424] = 7424,
  [12425] = 7529,
  [12426] = 12247,
  [12427] = 7614,
  [12428] = 12248,
  [12429] = 12250,
  [12430] = 12248,
  [12431] = 12250,
  [12432] = 12247,
  [12433] = 12247,
  [12434] = 6905,
  [12435] = 12250,
  [12436] = 12250,
  [12437] = 12247,
  [12438] = 12247,
  [12439] = 12248,
  [12440] = 12250,
  [12441] = 12248,
  [12442] = 12247,
  [12443] = 7147,
  [12444] = 7149,
  [12445] = 7596,
  [12446] = 12250,
  [12447] = 6122,
  [12448] = 7569,
  [12449] = 6122,
  [12450] = 7423,
  [12451] = 6878,
  [12452] = 7419,
  [12453] = 12247,
  [12454] = 6897,
  [12455] = 7084,
  [12456] = 7149,
  [12457] = 7129,
  [12458] = 7568,
  [12459] = 12248,
  [12460] = 12247,
  [12461] = 12247,
  [12462] = 7516,
  [12463] = 7529,
  [12464] = 12248,
  [12465] = 7316,
  [12466] = 12250,
  [12467] = 7022,
  [12468] = 12247,
  [12469] = 7315,
  [12470] = 7025,
  [12471] = 7314,
  [12472] = 7034,
  [12473] = 12248,
  [12474] = 12247,
  [12475] = 7644,
  [12476] = 12247,
  [12477] = 12250,
  [12478] = 7147,
  [12479] = 7514,
  [12480] = 7149,
  [12481] = 12248,
  [12482] = 6122,
  [12483] = 12248,
  [12484] = 6687,
  [12485] = 7511,
  [12486] = 12267,
  [12487] = 7506,
  [12488] = 6859,
  [12489] = 7067,
  [12490] = 7576,
  [12491] = 12267,
  [12492] = 7321,
  [12493] = 7487,
  [12494] = 7486,
  [12495] = 12247,
  [12496] = 12247,
  [12497] = 7483,
  [12498] = 12250,
  [12499] = 7481,
  [12500] = 12250,
  [12501] = 7787,
  [12502] = 7473,
  [12503] = 12248,
  [12504] = 7574,
  [12505] = 7458,
  [12506] = 7403,
  [12507] = 7573,
  [12508] = 7456,
  [12509] = 7438,
  [12510] = 12250,
  [12511] = 7566,
  [12512] = 7521,
  [12513] = 7494,
  [12514] = 7147,
  [12515] = 7296,
  [12516] = 7318,
  [12517] = 7413,
  [12518] = 7488,
  [12519] = 12248,
  [12520] = 7149,
  [12521] = 12247,
  [12522] = 7387,
  [12523] = 7366,
  [12524] = 12248,
  [12525] = 7350,
  [12526] = 12247,
  [12527] = 12267,
  [12528] = 7349,
  [12529] = 7448,
  [12530] = 7323,
  [12531] = 7293,
  [12532] = 7297,
  [12533] = 7322,
  [12534] = 12247,
  [12535] = 7311,
  [12536] = 7331,
  [12537] = 7302,
  [12538] = 7331,
  [12539] = 12250,
  [12540] = 7297,
  [12541] = 6803,
  [12542] = 12250,
  [12543] = 7437,
  [12544] = 7293,
  [12545] = 6880,
  [12546] = 6981,
  [12547] = 12247,
  [12548] = 12247,
  [12549] = 7318,
  [12550] = 7296,
  [12551] = 7403,
  [12552] = 12247,
  [12553] = 7460,
  [12554] = 7419,
  [12555] = 7423,
  [12556] = 7435,
  [12557] = 7302,
  [12558] = 7311,
  [12559] = 7424,
  [12560] = 6697,
  [12561] = 12267,
  [12562] = 7428,
  [12563] = 7432,
  [12564] = 7463,
  [12565] = 7322,
  [12566] = 7523,
  [12567] = 7524,
  [12568] = 12250,
  [12569] = 12267,
  [12570] = 7316,
  [12571] = 7434,
  [12572] = 7315,
  [12573] = 7314,
  [12574] = 7433,
  [12575] = 12247,
  [12576] = 7323,
  [12577] = 12247,
  [12578] = 7307,
  [12579] = 7349,
  [12580] = 7480,
  [12581] = 12247,
  [12582] = 7147,
  [12583] = 6697,
  [12584] = 7149,
  [12585] = 7096,
  [12586] = 12248,
  [12587] = 7129,
  [12588] = 12247,
  [12589] = 12250,
  [12590] = 12248,
  [12591] = 12247,
  [12592] = 6659,
  [12593] = 12247,
  [12594] = 12247,
  [12595] = 7350,
  [12596] = 12247,
  [12597] = 12247,
  [12598] = 12247,
  [12599] = 12248,
  [12600] = 12247,
  [12601] = 12247,
  [12602] = 12247,
  [12603] = 7825,
  [12604] = 12247,
  [12605] = 6665,
  [12606] = 6902,
  [12607] = 7366,
  [12608] = 12247,
  [12609] = 6687,
  [12610] = 12248,
  [12611] = 12247,
  [12612] = 12247,
  [12613] = 7839,
  [12614] = 7835,
  [12615] = 7022,
  [12616] = 12247,
  [12617] = 12247,
  [12618] = 7369,
  [12619] = 7500,
  [12620] = 12267,
  [12621] = 7387,
  [12622] = 7753,
  [12623] = 6904,
  [12624] = 12267,
  [12625] = 7529,
  [12626] = 7801,
  [12627] = 12247,
  [12628] = 12248,
  [12629] = 7025,
  [12630] = 12247,
  [12631] = 12247,
  [12632] = 7413,
  [12633] = 7792,
  [12634] = 6697,
  [12635] = 12248,
  [12636] = 7438,
  [12637] = 7456,
  [12638] = 7458,
  [12639] = 12247,
  [12640] = 7473,
  [12641] = 7034,
  [12642] = 7480,
  [12643] = 12267,
  [12644] = 12247,
  [12645] = 7129,
  [12646] = 12250,
  [12647] = 12250,
  [12648] = 7764,
  [12649] = 12250,
  [12650] = 7481,
  [12651] = 12248,
  [12652] = 12247,
  [12653] = 7025,
  [12654] = 12248,
  [12655] = 12250,
  [12656] = 7129,
  [12657] = 11894,
  [12658] = 7580,
  [12659] = 7129,
  [12660] = 7022,
  [12661] = 12247,
  [12662] = 7025,
  [12663] = 12247,
  [12664] = 7720,
  [12665] = 7840,
  [12666] = 7034,
  [12667] = 12247,
  [12668] = 12247,
  [12669] = 7715,
  [12670] = 12250,
  [12671] = 12247,
  [12672] = 7580,
  [12673] = 7713,
  [12674] = 12247,
  [12675] = 7709,
  [12676] = 12247,
  [12677] = 12247,
  [12678] = 7102,
  [12679] = 7022,
  [12680] = 7605,
  [12681] = 7034,
  [12682] = 7706,
  [12683] = 7486,
  [12684] = 12247,
  [12685] = 7695,
  [12686] = 7697,
  [12687] = 7528,
  [12688] = 12247,
  [12689] = 12247,
  [12690] = 7022,
  [12691] = 7683,
  [12692] = 7102,
  [12693] = 7025,
  [12694] = 7655,
  [12695] = 7034,
  [12696] = 12267,
  [12697] = 12250,
  [12698] = 6659,
  [12699] = 7653,
  [12700] = 12247,
  [12701] = 7487,
  [12702] = 7717,
  [12703] = 7506,
  [12704] = 12247,
  [12705] = 12247,
  [12706] = 12247,
  [12707] = 12247,
  [12708] = 12247,
  [12709] = 12247,
  [12710] = 6665,
  [12711] = 12248,
  [12712] = 12247,
  [12713] = 12248,
  [12714] = 7511,
  [12715] = 6687,
  [12716] = 7290,
  [12717] = 7576,
  [12718] = 12247,
  [12719] = 12247,
  [12720] = 7514,
  [12721] = 7321,
  [12722] = 12247,
  [12723] = 7516,
  [12724] = 12267,
  [12725] = 7568,
  [12726] = 12248,
  [12727] = 6981,
  [12728] = 7569,
  [12729] = 12250,
  [12730] = 12247,
  [12731] = 12247,
  [12732] = 7574,
  [12733] = 7596,
  [12734] = 7614,
  [12735] = 7573,
  [12736] = 7566,
  [12737] = 12247,
  [12738] = 12247,
  [12739] = 7787,
  [12740] = 7784,
  [12741] = 7521,
  [12742] = 12250,
  [12743] = 7494,
  [12744] = 12248,
  [12745] = 12247,
  [12746] = 12248,
  [12747] = 6880,
  [12748] = 7745,
  [12749] = 12247,
  [12750] = 12250,
  [12751] = 7034,
  [12752] = 12247,
  [12753] = 7314,
  [12754] = 7025,
  [12755] = 12247,
  [12756] = 7315,
  [12757] = 7022,
  [12758] = 12247,
  [12759] = 7316,
  [12760] = 12247,
  [12761] = 12247,
  [12762] = 12250,
  [12763] = 12247,
  [12764] = 7488,
  [12765] = 7707,
  [12766] = 7436,
  [12767] = 7415,
  [12768] = 7406,
  [12769] = 12247,
  [12770] = 7290,
  [12771] = 12247,
  [12772] = 12247,
  [12773] = 12247,
  [12774] = 12247,
  [12775] = 12247,
  [12776] = 12250,
  [12777] = 12247,
  [12778] = 7500,
  [12779] = 7404,
  [12780] = 6981,
  [12781] = 12247,
  [12782] = 7149,
  [12783] = 12267,
  [12784] = 12247,
  [12785] = 12250,
  [12786] = 7448,
  [12787] = 12248,
  [12788] = 12247,
  [12789] = 12247,
  [12790] = 7580,
  [12791] = 7290,
  [12792] = 12267,
  [12793] = 12247,
  [12794] = 12247,
  [12795] = 6981,
  [12796] = 12250,
  [12797] = 12247,
  [12798] = 7580,
  [12799] = 7290,
  [12800] = 7500,
  [12801] = 12248,
  [12802] = 12247,
  [12803] = 12248,
  [12804] = 7147,
  [12805] = 12247,
  [12806] = 12250,
  [12807] = 7129,
  [12808] = 12247,
  [12809] = 12247,
  [12810] = 12250,
  [12811] = 7357,
  [12812] = 12247,
  [12813] = 12247,
  [12814] = 12247,
  [12815] = 12247,
  [12816] = 12248,
  [12817] = 12250,
  [12818] = 7580,
  [12819] = 12247,
  [12820] = 12247,
  [12821] = 7307,
  [12822] = 7149,
  [12823] = 7147,
  [12824] = 12247,
  [12825] = 12248,
  [12826] = 12247,
  [12827] = 7529,
  [12828] = 12247,
  [12829] = 12247,
  [12830] = 12247,
  [12831] = 12247,
  [12832] = 12247,
  [12833] = 12248,
  [12834] = 12248,
  [12835] = 7149,
  [12836] = 12247,
  [12837] = 7437,
  [12838] = 12247,
  [12839] = 7147,
  [12840] = 12247,
  [12841] = 6897,
  [12842] = 12247,
  [12843] = 7460,
  [12844] = 12247,
  [12845] = 7344,
  [12846] = 6878,
  [12847] = 6905,
  [12848] = 7435,
  [12849] = 12247,
  [12850] = 12247,
  [12851] = 12250,
  [12852] = 12247,
  [12853] = 12247,
  [12854] = 7580,
  [12855] = 7434,
  [12856] = 7336,
  [12857] = 7149,
  [12858] = 6904,
  [12859] = 7433,
  [12860] = 7147,
  [12861] = 12267,
  [12862] = 6902,
  [12863] = 12247,
  [12864] = 7500,
  [12865] = 7347,
  [12866] = 7450,
  [12867] = 12247,
  [12868] = 12248,
  [12869] = 12247,
  [12870] = 12247,
  [12871] = 12247,
  [12872] = 6803,
  [12873] = 7096,
  [12874] = 12250,
  [12875] = 7418,
  [12876] = 11894,
  [12877] = 7356,
  [12878] = 12267,
  [12879] = 7084,
  [12880] = 12250,
  [12881] = 12267,
  [12882] = 12247,
  [12883] = 7084,
  [12884] = 6904,
  [12885] = 7378,
  [12886] = 12247,
  [12887] = 6880,
  [12888] = 6905,
  [12889] = 6878,
  [12890] = 7096,
  [12891] = 6897,
  [12892] = 6902,
  [12893] = 12247,
  [12894] = 12248,
  [12895] = 7411,
  [12896] = 12247,
  [12897] = 7388,
  [12898] = 12247,
  [12899] = 7407,
  [12900] = 12247,
  [12901] = 12247,
  [12902] = 7298,
  [12903] = 7129,
  [12904] = 6981,
  [12905] = 8468,
  [12906] = 7129,
  [12907] = 7034,
  [12908] = 7149,
  [12909] = 7022,
  [12910] = 7147,
  [12911] = 7316,
  [12912] = 7637,
  [12913] = 6878,
  [12914] = 7448,
  [12915] = 7644,
  [12916] = 7129,
  [12917] = 7433,
  [12918] = 7434,
  [12919] = 7435,
  [12920] = 7460,
  [12921] = 7437,
  [12922] = 7500,
  [12923] = 7637,
  [12924] = 7448,
  [12925] = 7488,
  [12926] = 7580,
  [12927] = 7315,
  [12928] = 7494,
  [12929] = 7521,
  [12930] = 7576,
  [12931] = 7566,
  [12932] = 7321,
  [12933] = 7290,
  [12934] = 6897,
  [12935] = 7573,
  [12936] = 7637,
  [12937] = 7574,
  [12938] = 7321,
  [12939] = 7102,
  [12940] = 6905,
  [12941] = 7574,
  [12942] = 7576,
  [12943] = 7573,
  [12944] = 7290,
  [12945] = 7500,
  [12946] = 7566,
  [12947] = 7433,
  [12948] = 6981,
  [12949] = 7147,
  [12950] = 7434,
  [12951] = 7521,
  [12952] = 7494,
  [12953] = 7435,
  [12954] = 7488,
  [12955] = 7448,
  [12956] = 7437,
  [12957] = 12957,
  [12958] = 11894,
  [12959] = 7460,
  [12960] = 7435,
  [12961] = 7460,
  [12962] = 7437,
  [12963] = 7448,
  [12964] = 7102,
  [12965] = 7488,
  [12966] = 7494,
  [12967] = 7434,
  [12968] = 7521,
  [12969] = 6981,
  [12970] = 7566,
  [12971] = 7433,
  [12972] = 12972,
  [12973] = 6902,
  [12974] = 7573,
  [12975] = 6880,
  [12976] = 7574,
  [12977] = 7321,
  [12978] = 6904,
  [12979] = 7576,
  [12980] = 7129,
  [12981] = 7580,
  [12982] = 7433,
  [12983] = 12983,
  [12984] = 7434,
  [12985] = 7102,
  [12986] = 7435,
  [12987] = 7580,
  [12988] = 7460,
  [12989] = 6981,
  [12990] = 7102,
  [12991] = 7437,
  [12992] = 7488,
  [12993] = 7494,
  [12994] = 7149,
  [12995] = 7521,
  [12996] = 7566,
  [12997] = 9180,
  [12998] = 7580,
  [12999] = 7573,
  [13000] = 7574,
  [13001] = 6981,
  [13002] = 7321,
  [13003] = 7576,
  [13004] = 7316,
  [13005] = 7084,
  [13006] = 7022,
  [13007] = 7067,
  [13008] = 7315,
  [13009] = 7022,
  [13010] = 7025,
  [13011] = 7025,
  [13012] = 7034,
  [13013] = 7314,
  [13014] = 7034,
  [13015] = 7067,
  [13016] = 6859,
  [13017] = 6859,
  [13018] = 7290,
  [13019] = 7644,
  [13020] = 6981,
  [13021] = 6880,
  [13022] = 7488,
  [13023] = 7314,
  [13024] = 7315,
  [13025] = 7149,
  [13026] = 7644,
  [13027] = 9238,
  [13028] = 7147,
  [13029] = 6122,
  [13030] = 7316,
  [13031] = 7034,
  [13032] = 6904,
  [13033] = 7025,
  [13034] = 7022,
  [13035] = 7494,
  [13036] = 7102,
  [13037] = 7129,
  [13038] = 7149,
  [13039] = 6902,
  [13040] = 7433,
  [13041] = 13041,
  [13042] = 7434,
  [13043] = 7102,
  [13044] = 7580,
  [13045] = 7637,
  [13046] = 6897,
  [13047] = 7435,
  [13048] = 6878,
  [13049] = 6905,
  [13050] = 7147,
  [13051] = 7084,
  [13052] = 12257,
  [13053] = 7096,
  [13054] = 7529,
  [13055] = 7129,
  [13056] = 12257,
  [13057] = 7460,
  [13058] = 7500,
  [13059] = 7437,
  [13060] = 7102,
  [13061] = 7576,
  [13062] = 9238,
  [13063] = 7644,
  [13064] = 7316,
  [13065] = 7529,
  [13066] = 7321,
  [13067] = 7315,
  [13068] = 7314,
  [13069] = 7448,
  [13070] = 7574,
  [13071] = 6902,
  [13072] = 7034,
  [13073] = 7314,
  [13074] = 7025,
  [13075] = 7315,
  [13076] = 7022,
  [13077] = 7316,
  [13078] = 6904,
  [13079] = 7494,
  [13080] = 7573,
  [13081] = 7521,
  [13082] = 7566,
  [13083] = 12257,
  [13084] = 7644,
  [13085] = 7573,
  [13086] = 6880,
  [13087] = 7574,
  [13088] = 7566,
  [13089] = 7521,
  [13090] = 7321,
  [13091] = 6122,
  [13092] = 7102,
  [13093] = 7488,
  [13094] = 7129,
  [13095] = 7448,
  [13096] = 7576,
  [13097] = 7147,
  [13098] = 7437,
  [13099] = 7129,
  [13100] = 7129,
  [13101] = 7034,
  [13102] = 7149,
  [13103] = 7460,
  [13104] = 7147,
  [13105] = 7025,
  [13106] = 7435,
  [13107] = 7434,
  [13108] = 7149,
  [13109] = 7433,
  [13110] = 7644,
  [13111] = 6981,
  [13112] = 7637,
  [13113] = 6880,
  [13114] = 7129,
  [13115] = 6981,
  [13116] = 6880,
  [13117] = 7290,
  [13118] = 7022,
  [13119] = 11894,
  [13120] = 7576,
  [13121] = 7321,
  [13122] = 7314,
  [13123] = 6981,
  [13124] = 6902,
  [13125] = 8467,
  [13126] = 7574,
  [13127] = 7573,
  [13128] = 7566,
  [13129] = 7521,
  [13130] = 7494,
  [13131] = 7488,
  [13132] = 7448,
  [13133] = 7437,
  [13134] = 7460,
  [13135] = 7435,
  [13136] = 7434,
  [13137] = 9180,
  [13138] = 6904,
  [13139] = 7433,
  [13140] = 7529,
  [13141] = 6880,
  [13142] = 7129,
  [13143] = 7637,
  [13144] = 7290,
  [13145] = 8468,
  [13146] = 8467,
  [13147] = 7022,
  [13148] = 7314,
  [13149] = 7315,
  [13150] = 7147,
  [13151] = 7316,
  [13152] = 12957,
  [13153] = 6981,
  [13154] = 6122,
  [13155] = 6897,
  [13156] = 7149,
  [13157] = 6878,
  [13158] = 7025,
  [13159] = 7580,
  [13160] = 6905,
  [13161] = 8468,
  [13162] = 7067,
  [13163] = 7096,
  [13164] = 8467,
  [13165] = 6859,
  [13166] = 7084,
  [13167] = 7637,
  [13168] = 7149,
  [13169] = 7034,
  [13170] = 7147,
  [13171] = 7644,
  [13172] = 6981,
  [13173] = 7096,
  [13174] = 7102,
  [13175] = 7025,
  [13176] = 7290,
  [13177] = 7494,
  [13178] = 7580,
  [13179] = 7315,
  [13180] = 7321,
  [13181] = 7025,
  [13182] = 7314,
  [13183] = 7574,
  [13184] = 7034,
  [13185] = 7316,
  [13186] = 7147,
  [13187] = 7573,
  [13188] = 12257,
  [13189] = 7644,
  [13190] = 7644,
  [13191] = 7314,
  [13192] = 7315,
  [13193] = 7433,
  [13194] = 7434,
  [13195] = 7316,
  [13196] = 7129,
  [13197] = 7435,
  [13198] = 7290,
  [13199] = 7566,
  [13200] = 7521,
  [13201] = 7149,
  [13202] = 7147,
  [13203] = 7494,
  [13204] = 7460,
  [13205] = 7644,
  [13206] = 7149,
  [13207] = 7147,
  [13208] = 7488,
  [13209] = 7637,
  [13210] = 7448,
  [13211] = 7316,
  [13212] = 7437,
  [13213] = 7315,
  [13214] = 7314,
  [13215] = 7129,
  [13216] = 7314,
  [13217] = 7315,
  [13218] = 7316,
  [13219] = 7129,
  [13220] = 7460,
  [13221] = 7529,
  [13222] = 9036,
  [13223] = 7435,
  [13224] = 7576,
  [13225] = 7434,
  [13226] = 7129,
  [13227] = 7433,
  [13228] = 7637,
  [13229] = 8468,
  [13230] = 7637,
  [13231] = 7433,
  [13232] = 7576,
  [13233] = 9036,
  [13234] = 7434,
  [13235] = 7321,
  [13236] = 7435,
  [13237] = 7574,
  [13238] = 7573,
  [13239] = 13041,
  [13240] = 7437,
  [13241] = 7566,
  [13242] = 7448,
  [13243] = 7521,
  [13244] = 7494,
  [13245] = 7494,
  [13246] = 7521,
  [13247] = 7488,
  [13248] = 7580,
  [13249] = 7448,
  [13250] = 7290,
  [13251] = 7437,
  [13252] = 7460,
  [13253] = 9036,
  [13254] = 7460,
  [13255] = 7435,
  [13256] = 7434,
  [13257] = 7433,
  [13258] = 7149,
  [13259] = 7566,
  [13260] = 7576,
  [13261] = 7573,
  [13262] = 7437,
  [13263] = 7637,
  [13264] = 7321,
  [13265] = 7448,
  [13266] = 7488,
  [13267] = 7580,
  [13268] = 7574,
  [13269] = 7494,
  [13270] = 7149,
  [13271] = 7521,
  [13272] = 7580,
  [13273] = 7574,
  [13274] = 7573,
  [13275] = 7566,
  [13276] = 7321,
  [13277] = 7102,
  [13278] = 7521,
  [13279] = 7566,
  [13280] = 7576,
  [13281] = 7147,
  [13282] = 7529,
  [13283] = 7290,
  [13284] = 7129,
  [13285] = 12257,
  [13286] = 7573,
  [13287] = 7102,
  [13288] = 7149,
  [13289] = 7576,
  [13290] = 7494,
  [13291] = 7316,
  [13292] = 7022,
  [13293] = 7315,
  [13294] = 7025,
  [13295] = 7102,
  [13296] = 7314,
  [13297] = 7034,
  [13298] = 7488,
  [13299] = 7644,
  [13300] = 7580,
  [13301] = 7644,
  [13302] = 7576,
  [13303] = 7147,
  [13304] = 7129,
  [13305] = 7574,
  [13306] = 13041,
  [13307] = 7290,
  [13308] = 8468,
  [13309] = 7321,
  [13310] = 7321,
  [13311] = 7433,
  [13312] = 7576,
  [13313] = 7521,
  [13314] = 6880,
  [13315] = 7433,
  [13316] = 7147,
  [13317] = 7022,
  [13318] = 6904,
  [13319] = 7434,
  [13320] = 7435,
  [13321] = 7460,
  [13322] = 7025,
  [13323] = 7437,
  [13324] = 7448,
  [13325] = 7574,
  [13326] = 7573,
  [13327] = 7434,
  [13328] = 7435,
  [13329] = 7460,
  [13330] = 7437,
  [13331] = 7566,
  [13332] = 7521,
  [13333] = 7488,
  [13334] = 7494,
  [13335] = 7314,
  [13336] = 7321,
  [13337] = 7637,
  [13338] = 7433,
  [13339] = 6902,
  [13340] = 7448,
  [13341] = 7637,
  [13342] = 7315,
  [13343] = 7434,
  [13344] = 7316,
  [13345] = 7437,
  [13346] = 7102,
  [13347] = 7494,
  [13348] = 8468,
  [13349] = 8467,
  [13350] = 7460,
  [13351] = 7488,
  [13352] = 7034,
  [13353] = 7102,
  [13354] = 7448,
  [13355] = 7437,
  [13356] = 7460,
  [13357] = 7521,
  [13358] = 7566,
  [13359] = 7435,
  [13360] = 7022,
  [13361] = 7573,
  [13362] = 7435,
  [13363] = 7025,
  [13364] = 7102,
  [13365] = 7434,
  [13366] = 7574,
  [13367] = 7034,
  [13368] = 7435,
  [13369] = 7433,
  [13370] = 7034,
  [13371] = 7576,
  [13372] = 7574,
  [13373] = 7573,
  [13374] = 7500,
  [13375] = 7566,
  [13376] = 7314,
  [13377] = 7025,
  [13378] = 7434,
  [13379] = 7521,
  [13380] = 7494,
  [13381] = 7488,
  [13382] = 7315,
  [13383] = 7448,
  [13384] = 7460,
  [13385] = 7022,
  [13386] = 7316,
  [13387] = 7433,
  [13388] = 7437,
  [13389] = 7488,
  [13390] = 7448,
  [13391] = 7149,
  [13392] = 6902,
  [13393] = 7644,
  [13394] = 7488,
  [13395] = 7022,
  [13396] = 7321,
  [13397] = 7500,
  [13398] = 7566,
  [13399] = 7102,
  [13400] = 7573,
  [13401] = 7574,
  [13402] = 7637,
  [13403] = 7529,
  [13404] = 7644,
  [13405] = 7321,
  [13406] = 7290,
  [13407] = 7644,
  [13408] = 7149,
  [13409] = 7500,
  [13410] = 7576,
  [13411] = 6904,
  [13412] = 7290,
  [13413] = 7316,
  [13414] = 7129,
  [13415] = 7022,
  [13416] = 13416,
  [13417] = 7580,
  [13418] = 7290,
  [13419] = 7315,
  [13420] = 7637,
  [13421] = 7637,
  [13422] = 7290,
  [13423] = 7025,
  [13424] = 7147,
  [13425] = 7529,
  [13426] = 7314,
  [13427] = 7644,
  [13428] = 7129,
  [13429] = 7034,
  [13430] = 6880,
  [13431] = 8468,
  [13432] = 6981,
  [13433] = 6981,
  [13434] = 6981,
  [13435] = 6981,
  [13436] = 8467,
  [13437] = 7644,
  [13438] = 7025,
  [13439] = 6880,
  [13440] = 7102,
  [13441] = 7644,
  [13442] = 7129,
  [13443] = 7129,
  [13444] = 7576,
  [13445] = 9036,
  [13446] = 7321,
  [13447] = 7580,
  [13448] = 7574,
  [13449] = 13449,
  [13450] = 7573,
  [13451] = 7566,
  [13452] = 7025,
  [13453] = 7521,
  [13454] = 6902,
  [13455] = 7022,
  [13456] = 6904,
  [13457] = 7494,
  [13458] = 7448,
  [13459] = 7488,
  [13460] = 7448,
  [13461] = 7437,
  [13462] = 7460,
  [13463] = 7644,
  [13464] = 7488,
  [13465] = 13465,
  [13466] = 7435,
  [13467] = 7637,
  [13468] = 7434,
  [13469] = 7433,
  [13470] = 7433,
  [13471] = 7314,
  [13472] = 7315,
  [13473] = 7316,
  [13474] = 9036,
  [13475] = 6981,
  [13476] = 7434,
  [13477] = 7434,
  [13478] = 7494,
  [13479] = 7434,
  [13480] = 7290,
  [13481] = 7521,
  [13482] = 7290,
  [13483] = 7566,
  [13484] = 7435,
  [13485] = 7316,
  [13486] = 7435,
  [13487] = 7314,
  [13488] = 7315,
  [13489] = 7314,
  [13490] = 7435,
  [13491] = 7460,
  [13492] = 7437,
  [13493] = 7321,
  [13494] = 7573,
  [13495] = 7529,
  [13496] = 7316,
  [13497] = 7576,
  [13498] = 7448,
  [13499] = 7102,
  [13500] = 7488,
  [13501] = 7102,
  [13502] = 7521,
  [13503] = 7566,
  [13504] = 7315,
  [13505] = 7573,
  [13506] = 7574,
  [13507] = 7290,
  [13508] = 7321,
  [13509] = 7574,
  [13510] = 7433,
  [13511] = 7576,
  [13512] = 7433,
  [13513] = 7637,
  [13514] = 7129,
  [13515] = 7574,
  [13516] = 7022,
  [13517] = 7433,
  [13518] = 7034,
  [13519] = 7494,
  [13520] = 6981,
  [13521] = 9213,
  [13522] = 7460,
  [13523] = 7437,
  [13524] = 7290,
  [13525] = 7448,
  [13526] = 7637,
  [13527] = 7488,
  [13528] = 7494,
  [13529] = 7521,
  [13530] = 7566,
  [13531] = 7573,
  [13532] = 7580,
  [13533] = 7321,
  [13534] = 7102,
  [13535] = 7637,
  [13536] = 7433,
  [13537] = 7434,
  [13538] = 7435,
  [13539] = 7637,
  [13540] = 7576,
  [13541] = 7460,
  [13542] = 7437,
  [13543] = 7147,
  [13544] = 7448,
  [13545] = 7488,
  [13546] = 7494,
  [13547] = 7149,
  [13548] = 7433,
  [13549] = 7434,
  [13550] = 7435,
  [13551] = 6981,
  [13552] = 7460,
  [13553] = 7521,
  [13554] = 7566,
  [13555] = 7573,
  [13556] = 7460,
  [13557] = 7434,
  [13558] = 7574,
  [13559] = 7321,
  [13560] = 7576,
  [13561] = 7644,
  [13562] = 7435,
  [13563] = 7460,
  [13564] = 7149,
  [13565] = 7437,
  [13566] = 7448,
  [13567] = 7488,
  [13568] = 7437,
  [13569] = 7448,
  [13570] = 7494,
  [13571] = 7488,
  [13572] = 7437,
  [13573] = 7494,
  [13574] = 7521,
  [13575] = 7566,
  [13576] = 7147,
  [13577] = 7521,
  [13578] = 7566,
  [13579] = 7573,
  [13580] = 7573,
  [13581] = 7574,
  [13582] = 7529,
  [13583] = 7574,
  [13584] = 6880,
  [13585] = 7321,
  [13586] = 7321,
  [13587] = 7149,
  [13588] = 7147,
  [13589] = 7576,
  [13590] = 7576,
  [13591] = 7644,
  [13592] = 7034,
  [13593] = 7644,
  [13594] = 7637,
  [13595] = 7314,
  [13596] = 7025,
  [13597] = 7315,
  [13598] = 7022,
  [13599] = 7316,
  [13600] = 7637,
  [13601] = 7644,
  [13602] = 7034,
  [13603] = 7644,
  [13604] = 13604,
  [13605] = 6880,
  [13606] = 13604,
  [13607] = 6981,
  [13608] = 7321,
  [13609] = 6880,
  [13610] = 7460,
  [13611] = 7437,
  [13612] = 7448,
  [13613] = 6981,
  [13614] = 13614,
  [13615] = 7488,
  [13616] = 7494,
  [13617] = 13617,
  [13618] = 7521,
  [13619] = 7566,
  [13620] = 13604,
  [13621] = 7580,
  [13622] = 13614,
  [13623] = 13614,
  [13624] = 7573,
  [13625] = 13604,
  [13626] = 13614,
  [13627] = 13614,
  [13628] = 13604,
  [13629] = 13617,
  [13630] = 6981,
  [13631] = 6880,
  [13632] = 7574,
  [13633] = 13614,
  [13634] = 13617,
  [13635] = 6981,
  [13636] = 6880,
  [13637] = 7435,
  [13638] = 7434,
  [13639] = 6880,
  [13640] = 7433,
  [13641] = 13604,
  [13642] = 7576,
  [13643] = 13617,
  [13644] = 6981,
  [13645] = 13614,
  [13646] = 7637,
  [13647] = 13614,
  [13648] = 6880,
  [13649] = 13617,
  [13650] = 6880,
  [13651] = 13614,
  [13652] = 6981,
  [13653] = 13604,
  [13654] = 13614,
  [13655] = 13604,
  [13656] = 13604,
  [13657] = 6880,
  [13658] = 6981,
  [13659] = 13617,
  [13660] = 13660,
  [13661] = 13604,
  [13662] = 6981,
  [13663] = 6880,
  [13664] = 13614,
  [13665] = 13617,
  [13666] = 6880,
  [13667] = 13604,
  [13668] = 6981,
  [13669] = 6880,
  [13670] = 13604,
  [13671] = 13617,
  [13672] = 13604,
  [13673] = 6981,
  [13674] = 13604,
  [13675] = 13604,
  [13676] = 13604,
  [13677] = 13617,
  [13678] = 13614,
  [13679] = 6880,
  [13680] = 13604,
  [13681] = 13604,
  [13682] = 6981,
  [13683] = 7149,
  [13684] = 6981,
  [13685] = 13614,
  [13686] = 13617,
  [13687] = 6880,
  [13688] = 13660,
  [13689] = 7129,
  [13690] = 13604,
  [13691] = 6981,
  [13692] = 13604,
  [13693] = 13614,
  [13694] = 13617,
  [13695] = 13614,
  [13696] = 13614,
  [13697] = 7149,
  [13698] = 13614,
  [13699] = 13604,
  [13700] = 7149,
  [13701] = 7147,
  [13702] = 7147,
  [13703] = 6880,
  [13704] = 6981,
  [13705] = 13614,
  [13706] = 13614,
  [13707] = 13617,
  [13708] = 13614,
  [13709] = 13709,
  [13710] = 13614,
  [13711] = 7147,
  [13712] = 7034,
  [13713] = 13709,
  [13714] = 13617,
  [13715] = 7022,
  [13716] = 13604,
  [13717] = 13617,
  [13718] = 6880,
  [13719] = 13617,
  [13720] = 13604,
  [13721] = 6981,
  [13722] = 13614,
  [13723] = 13614,
  [13724] = 7290,
  [13725] = 6981,
  [13726] = 6880,
  [13727] = 13617,
  [13728] = 6981,
  [13729] = 6880,
  [13730] = 13604,
  [13731] = 13614,
  [13732] = 6880,
  [13733] = 6981,
  [13734] = 13617,
  [13735] = 13617,
  [13736] = 13614,
  [13737] = 6981,
  [13738] = 13617,
  [13739] = 13617,
  [13740] = 7529,
  [13741] = 13617,
  [13742] = 13604,
  [13743] = 13617,
  [13744] = 13617,
  [13745] = 13614,
  [13746] = 13617,
  [13747] = 13604,
  [13748] = 13604,
  [13749] = 7025,
  [13750] = 7315,
  [13751] = 13617,
  [13752] = 7314,
  [13753] = 7644,
  [13754] = 13604,
  [13755] = 6880,
  [13756] = 13604,
  [13757] = 6981,
  [13758] = 13617,
  [13759] = 13614,
  [13760] = 9213,
  [13761] = 13604,
  [13762] = 6981,
  [13763] = 6880,
  [13764] = 13604,
  [13765] = 13617,
  [13766] = 13614,
  [13767] = 6880,
  [13768] = 6981,
  [13769] = 13614,
  [13770] = 9213,
  [13771] = 13614,
  [13772] = 7290,
  [13773] = 13614,
  [13774] = 13614,
  [13775] = 6880,
  [13776] = 6981,
  [13777] = 7316,
  [13778] = 6981,
  [13779] = 6880,
  [13780] = 13614,
  [13781] = 13614,
  [13782] = 7321,
  [13783] = 7644,
  [13784] = 7574,
  [13785] = 7573,
  [13786] = 7566,
  [13787] = 9213,
  [13788] = 7521,
  [13789] = 13614,
  [13790] = 13604,
  [13791] = 7576,
  [13792] = 7321,
  [13793] = 7574,
  [13794] = 7573,
  [13795] = 13604,
  [13796] = 7494,
  [13797] = 7566,
  [13798] = 7521,
  [13799] = 7494,
  [13800] = 7488,
  [13801] = 7448,
  [13802] = 13604,
  [13803] = 7437,
  [13804] = 13614,
  [13805] = 7460,
  [13806] = 7488,
  [13807] = 7435,
  [13808] = 7434,
  [13809] = 13604,
  [13810] = 7433,
  [13811] = 6981,
  [13812] = 7129,
  [13813] = 7448,
  [13814] = 13617,
  [13815] = 7576,
  [13816] = 7574,
  [13817] = 7573,
  [13818] = 7566,
  [13819] = 7521,
  [13820] = 13617,
  [13821] = 7437,
  [13822] = 7488,
  [13823] = 13617,
  [13824] = 13604,
  [13825] = 7448,
  [13826] = 7460,
  [13827] = 13617,
  [13828] = 6880,
  [13829] = 6981,
  [13830] = 13614,
  [13831] = 7435,
  [13832] = 7434,
  [13833] = 7433,
  [13834] = 7637,
  [13835] = 7576,
  [13836] = 13617,
  [13837] = 13617,
  [13838] = 13838,
  [13839] = 6981,
  [13840] = 13617,
  [13841] = 13617,
  [13842] = 13614,
  [13843] = 6880,
  [13844] = 6981,
  [13845] = 13604,
  [13846] = 6880,
  [13847] = 7316,
  [13848] = 7315,
  [13849] = 7314,
  [13850] = 7637,
  [13851] = 7580,
  [13852] = 13604,
  [13853] = 13604,
  [13854] = 13604,
  [13855] = 13614,
  [13856] = 13604,
  [13857] = 13604,
  [13858] = 7321,
  [13859] = 7437,
  [13860] = 6981,
  [13861] = 13604,
  [13862] = 6880,
  [13863] = 9213,
  [13864] = 7460,
  [13865] = 13614,
  [13866] = 7494,
  [13867] = 13617,
  [13868] = 13604,
  [13869] = 6880,
  [13870] = 6880,
  [13871] = 6981,
  [13872] = 13614,
  [13873] = 6981,
  [13874] = 13614,
  [13875] = 7435,
  [13876] = 13614,
  [13877] = 13614,
  [13878] = 13617,
  [13879] = 6880,
  [13880] = 6981,
  [13881] = 13604,
  [13882] = 13614,
  [13883] = 13614,
  [13884] = 6880,
  [13885] = 6981,
  [13886] = 7644,
  [13887] = 6981,
  [13888] = 6880,
  [13889] = 7637,
  [13890] = 7434,
  [13891] = 7433,
  [13892] = 13617,
  [13893] = 13709,
  [13894] = 13614,
  [13895] = 13617,
  [13896] = 7102,
  [13897] = 13604,
  [13898] = 13614,
  [13899] = 6981,
  [13900] = 6981,
  [13901] = 6880,
  [13902] = 13617,
  [13903] = 13614,
  [13904] = 6880,
  [13905] = 13617,
  [13906] = 13906,
  [13907] = 13617,
  [13908] = 13604,
  [13909] = 13909,
  [13910] = 13604,
  [13911] = 13604,
  [13912] = 13604,
  [13913] = 13614,
  [13914] = 13614,
  [13915] = 13614,
  [13916] = 13617,
  [13917] = 13614,
  [13918] = 13604,
  [13919] = 6981,
  [13920] = 6880,
  [13921] = 6981,
  [13922] = 13617,
  [13923] = 13614,
  [13924] = 13604,
  [13925] = 13604,
  [13926] = 13617,
  [13927] = 13604,
  [13928] = 13617,
  [13929] = 13604,
  [13930] = 13604,
  [13931] = 13614,
  [13932] = 13614,
  [13933] = 6880,
  [13934] = 6981,
  [13935] = 6981,
  [13936] = 6880,
  [13937] = 13604,
  [13938] = 6880,
  [13939] = 13604,
  [13940] = 13617,
  [13941] = 6981,
  [13942] = 13614,
  [13943] = 13943,
  [13944] = 13660,
  [13945] = 13617,
  [13946] = 13604,
  [13947] = 13617,
  [13948] = 13617,
  [13949] = 13614,
  [13950] = 13604,
  [13951] = 13604,
  [13952] = 13614,
  [13953] = 13614,
  [13954] = 13614,
  [13955] = 6981,
  [13956] = 6880,
  [13957] = 13617,
  [13958] = 13617,
  [13959] = 13959,
  [13960] = 13614,
  [13961] = 13617,
  [13962] = 13604,
  [13963] = 13614,
  [13964] = 13614,
  [13965] = 13617,
  [13966] = 13614,
  [13967] = 6880,
  [13968] = 6981,
  [13969] = 6981,
  [13970] = 13614,
  [13971] = 13604,
  [13972] = 13614,
  [13973] = 13617,
  [13974] = 13604,
  [13975] = 6880,
  [13976] = 6981,
  [13977] = 6880,
  [13978] = 13604,
  [13979] = 13604,
  [13980] = 6880,
  [13981] = 6981,
  [13982] = 13617,
  [13983] = 13604,
  [13984] = 13604,
  [13985] = 13604,
  [13986] = 13604,
  [13987] = 13614,
  [13988] = 13617,
  [13989] = 13614,
  [13990] = 13604,
  [13991] = 13617,
  [13992] = 13614,
  [13993] = 6981,
  [13994] = 13994,
  [13995] = 7574,
  [13996] = 7580,
  [13997] = 13997,
  [13998] = 13998,
  [13999] = 7580,
  [14000] = 7580,
  [14001] = 13998,
  [14002] = 13994,
  [14003] = 7580,
  [14004] = 7580,
  [14005] = 7580,
  [14006] = 14006,
  [14007] = 13997,
  [14008] = 13994,
  [14009] = 13997,
  [14010] = 7580,
  [14011] = 13998,
  [14012] = 13994,
  [14013] = 7580,
  [14014] = 13997,
  [14015] = 7580,
  [14016] = 13997,
  [14017] = 14006,
  [14018] = 7580,
  [14019] = 7580,
  [14020] = 13997,
  [14021] = 13997,
  [14022] = 7580,
  [14023] = 7580,
  [14024] = 13994,
  [14025] = 14006,
  [14026] = 7580,
  [14027] = 7644,
  [14028] = 7580,
  [14029] = 7580,
  [14030] = 14006,
  [14031] = 13998,
  [14032] = 7102,
  [14033] = 13997,
  [14034] = 13994,
  [14035] = 13997,
  [14036] = 13994,
  [14037] = 7580,
  [14038] = 13994,
  [14039] = 14006,
  [14040] = 13998,
  [14041] = 7580,
  [14042] = 7580,
  [14043] = 13998,
  [14044] = 13997,
  [14045] = 13998,
  [14046] = 7580,
  [14047] = 14006,
  [14048] = 14006,
  [14049] = 14006,
  [14050] = 14006,
  [14051] = 14006,
  [14052] = 13994,
  [14053] = 13998,
  [14054] = 14006,
  [14055] = 13998,
  [14056] = 13994,
  [14057] = 14006,
  [14058] = 13998,
  [14059] = 7580,
  [14060] = 13994,
  [14061] = 13998,
  [14062] = 13838,
  [14063] = 13994,
  [14064] = 14006,
  [14065] = 14006,
  [14066] = 13998,
  [14067] = 13994,
  [14068] = 14006,
  [14069] = 13998,
  [14070] = 13994,
  [14071] = 7580,
  [14072] = 7580,
  [14073] = 7637,
  [14074] = 13998,
  [14075] = 13994,
  [14076] = 7580,
  [14077] = 14006,
  [14078] = 7580,
  [14079] = 13994,
  [14080] = 14080,
  [14081] = 7580,
  [14082] = 7580,
  [14083] = 14006,
  [14084] = 7576,
  [14085] = 7321,
  [14086] = 13997,
  [14087] = 7580,
  [14088] = 7573,
  [14089] = 7566,
  [14090] = 7521,
  [14091] = 7580,
  [14092] = 7494,
  [14093] = 7488,
  [14094] = 7448,
  [14095] = 7437,
  [14096] = 7460,
  [14097] = 7580,
  [14098] = 7435,
  [14099] = 7434,
  [14100] = 13997,
  [14101] = 13997,
  [14102] = 7433,
  [14103] = 7580,
  [14104] = 7580,
  [14105] = 7580,
  [14106] = 14006,
  [14107] = 14006,
  [14108] = 7580,
  [14109] = 7580,
  [14110] = 7580,
  [14111] = 7580,
  [14112] = 7580,
  [14113] = 13997,
  [14114] = 7580,
  [14115] = 13997,
  [14116] = 13998,
  [14117] = 13997,
  [14118] = 14006,
  [14119] = 7580,
  [14120] = 13997,
  [14121] = 7580,
  [14122] = 13994,
  [14123] = 13998,
  [14124] = 13994,
  [14125] = 7102,
  [14126] = 13994,
  [14127] = 13998,
  [14128] = 7580,
  [14129] = 13906,
  [14130] = 13997,
  [14131] = 13994,
  [14132] = 13997,
  [14133] = 8468,
  [14134] = 13997,
  [14135] = 13998,
  [14136] = 13998,
  [14137] = 14006,
  [14138] = 8467,
  [14139] = 7580,
  [14140] = 14006,
  [14141] = 13998,
  [14142] = 7644,
  [14143] = 7437,
  [14144] = 14144,
  [14145] = 9036,
  [14146] = 7434,
  [14147] = 14144,
  [14148] = 7576,
  [14149] = 7321,
  [14150] = 7574,
  [14151] = 7573,
  [14152] = 7566,
  [14153] = 7521,
  [14154] = 7494,
  [14155] = 7488,
  [14156] = 7448,
  [14157] = 7637,
  [14158] = 7435,
  [14159] = 7460,
  [14160] = 7437,
  [14161] = 7435,
  [14162] = 7576,
  [14163] = 7433,
  [14164] = 7637,
  [14165] = 7434,
  [14166] = 7321,
  [14167] = 13838,
  [14168] = 7574,
  [14169] = 7433,
  [14170] = 7573,
  [14171] = 7566,
  [14172] = 7521,
  [14173] = 7494,
  [14174] = 7488,
  [14175] = 7644,
  [14176] = 7448,
  [14177] = 7460,
  [14178] = 14178,
  [14179] = 14178,
  [14180] = 14178,
  [14181] = 14181,
  [14182] = 14181,
  [14183] = 14181,
  [14184] = 14181,
  [14185] = 14181,
  [14186] = 14181,
  [14187] = 14181,
  [14188] = 14181,
  [14189] = 14181,
  [14190] = 14181,
  [14191] = 14181,
  [14192] = 14181,
  [14193] = 14181,
  [14194] = 14181,
  [14195] = 14181,
  [14196] = 14181,
  [14197] = 14181,
  [14198] = 14181,
  [14199] = 14181,
  [14200] = 14181,
  [14201] = 14181,
  [14202] = 14181,
  [14203] = 14181,
  [14204] = 14181,
  [14205] = 14181,
  [14206] = 14181,
  [14207] = 14181,
  [14208] = 14181,
  [14209] = 14181,
  [14210] = 14181,
  [14211] = 14181,
  [14212] = 14181,
  [14213] = 14181,
  [14214] = 14181,
  [14215] = 14181,
  [14216] = 14181,
  [14217] = 14181,
  [14218] = 14181,
  [14219] = 14181,
  [14220] = 14181,
  [14221] = 14181,
  [14222] = 14181,
  [14223] = 14181,
  [14224] = 14181,
  [14225] = 14181,
  [14226] = 14181,
  [14227] = 14181,
  [14228] = 14181,
  [14229] = 14181,
  [14230] = 14181,
  [14231] = 14181,
  [14232] = 14232,
  [14233] = 14232,
  [14234] = 14232,
  [14235] = 14235,
  [14236] = 14235,
  [14237] = 14232,
  [14238] = 14235,
  [14239] = 14232,
  [14240] = 14232,
  [14241] = 14232,
  [14242] = 14232,
  [14243] = 14235,
  [14244] = 14232,
  [14245] = 14232,
  [14246] = 14235,
  [14247] = 14232,
  [14248] = 14235,
  [14249] = 14232,
  [14250] = 14232,
  [14251] = 14232,
  [14252] = 14235,
  [14253] = 14232,
  [14254] = 14235,
  [14255] = 14232,
  [14256] = 14235,
  [14257] = 14232,
  [14258] = 14232,
  [14259] = 14232,
  [14260] = 14235,
  [14261] = 14235,
  [14262] = 14232,
  [14263] = 14232,
  [14264] = 14235,
  [14265] = 14235,
  [14266] = 14232,
  [14267] = 14235,
  [14268] = 14235,
  [14269] = 14235,
  [14270] = 14235,
  [14271] = 14235,
  [14272] = 14235,
  [14273] = 14235,
  [14274] = 14235,
  [14275] = 14235,
  [14276] = 14235,
  [14277] = 14232,
  [14278] = 14232,
  [14279] = 14232,
  [14280] = 14235,
  [14281] = 14235,
  [14282] = 14235,
  [14283] = 14235,
  [14284] = 14235,
  [14285] = 14235,
  [14286] = 14232,
  [14287] = 14235,
  [14288] = 14235,
  [14289] = 14232,
  [14290] = 14232,
  [14291] = 14232,
  [14292] = 14235,
  [14293] = 14235,
  [14294] = 14235,
  [14295] = 14232,
  [14296] = 14235,
  [14297] = 14232,
  [14298] = 14232,
  [14299] = 14235,
  [14300] = 14232,
  [14301] = 14232,
  [14302] = 14235,
  [14303] = 14232,
  [14304] = 14235,
  [14305] = 14235,
  [14306] = 14235,
  [14307] = 14235,
  [14308] = 14232,
  [14309] = 14235,
  [14310] = 14235,
  [14311] = 14235,
  [14312] = 14232,
  [14313] = 14235,
  [14314] = 14232,
  [14315] = 14232,
  [14316] = 14232,
  [14317] = 14232,
  [14318] = 14235,
  [14319] = 14235,
  [14320] = 14232,
  [14321] = 14232,
  [14322] = 14232,
  [14323] = 14232,
  [14324] = 14235,
  [14325] = 4301,
  [14326] = 4282,
  [14327] = 4288,
  [14328] = 4273,
  [14329] = 4281,
  [14330] = 4375,
  [14331] = 4351,
  [14332] = 4353,
  [14333] = 4352,
  [14334] = 4376,
  [14335] = 4341,
  [14336] = 4280,
  [14337] = 4365,
  [14338] = 4279,
  [14339] = 4283,
  [14340] = 4389,
  [14341] = 4372,
  [14342] = 4373,
  [14343] = 4358,
  [14344] = 4298,
  [14345] = 4343,
  [14346] = 4364,
  [14347] = 4415,
  [14348] = 4347,
  [14349] = 4377,
  [14350] = 4369,
  [14351] = 4590,
  [14352] = 4597,
  [14353] = 4763,
  [14354] = 4610,
  [14355] = 4741,
  [14356] = 4673,
  [14357] = 4585,
  [14358] = 4586,
  [14359] = 4587,
  [14360] = 4643,
  [14361] = 4273,
  [14362] = 4627,
  [14363] = 4620,
  [14364] = 4806,
  [14365] = 4625,
  [14366] = 4614,
  [14367] = 4645,
  [14368] = 4651,
  [14369] = 4788,
  [14370] = 4582,
  [14371] = 4591,
  [14372] = 4675,
  [14373] = 4577,
  [14374] = 4659,
  [14375] = 4744,
  [14376] = 4619,
  [14377] = 4572,
  [14378] = 4573,
  [14379] = 4617,
  [14380] = 4581,
  [14381] = 4678,
  [14382] = 4797,
  [14383] = 4596,
  [14384] = 4669,
  [14385] = 4668,
  [14386] = 4611,
  [14387] = 4576,
  [14388] = 4624,
  [14389] = 4600,
  [14390] = 4579,
  [14391] = 4719,
  [14392] = 4601,
  [14393] = 4622,
  [14394] = 4693,
  [14395] = 4606,
  [14396] = 4607,
  [14397] = 4787,
  [14398] = 4574,
  [14399] = 4718,
  [14400] = 4568,
  [14401] = 4621,
  [14402] = 4713,
  [14403] = 4656,
  [14404] = 4567,
  [14405] = 14405,
  [14406] = 14406,
  [14407] = 14407,
  [14408] = 14408,
  [14409] = 14409,
  [14410] = 9458,
  [14411] = 4273,
  [14412] = 14412,
  [14413] = 14412,
  [14414] = 14414,
  [14415] = 4353,
  [14416] = 14412,
  [14417] = 4280,
  [14418] = 4352,
  [14419] = 4347,
  [14420] = 4343,
  [14421] = 14414,
  [14422] = 4579,
  [14423] = 4279,
  [14424] = 4597,
  [14425] = 14412,
  [14426] = 4620,
  [14427] = 14427,
  [14428] = 4574,
  [14429] = 14412,
  [14430] = 14414,
  [14431] = 14414,
  [14432] = 14432,
  [14433] = 4283,
  [14434] = 14414,
  [14435] = 14414,
  [14436] = 14414,
  [14437] = 4343,
  [14438] = 14438,
  [14439] = 14412,
  [14440] = 4347,
  [14441] = 6904,
  [14442] = 4352,
  [14443] = 4353,
  [14444] = 14405,
  [14445] = 14405,
  [14446] = 14406,
  [14447] = 14406,
  [14448] = 6902,
  [14449] = 6904,
  [14450] = 14414,
  [14451] = 14414,
  [14452] = 14407,
  [14453] = 14408,
  [14454] = 14414,
  [14455] = 14412,
  [14456] = 4341,
  [14457] = 14412,
  [14458] = 14412,
  [14459] = 14409,
  [14460] = 14414,
  [14461] = 4298,
  [14462] = 14414,
  [14463] = 14412,
  [14464] = 4298,
  [14465] = 14414,
  [14466] = 14409,
  [14467] = 14412,
  [14468] = 14412,
  [14469] = 14412,
  [14470] = 14408,
  [14471] = 14407,
  [14472] = 14412,
  [14473] = 6902,
  [14474] = 4590,
  [14475] = 4719,
  [14476] = 4596,
  [14477] = 4597,
  [14478] = 4591,
  [14479] = 14479,
  [14480] = 4587,
  [14481] = 4585,
  [14482] = 4582,
  [14483] = 14438,
  [14484] = 4601,
  [14485] = 4606,
  [14486] = 4607,
  [14487] = 4610,
  [14488] = 14488,
  [14489] = 4586,
  [14490] = 14438,
  [14491] = 14427,
  [14492] = 4611,
  [14493] = 4620,
  [14494] = 4806,
  [14495] = 4622,
  [14496] = 14496,
  [14497] = 4624,
  [14498] = 14496,
  [14499] = 4625,
  [14500] = 14496,
  [14501] = 4627,
  [14502] = 14496,
  [14503] = 14427,
  [14504] = 6902,
  [14505] = 14496,
  [14506] = 4669,
  [14507] = 14507,
  [14508] = 4673,
  [14509] = 4574,
  [14510] = 6904,
  [14511] = 4600,
  [14512] = 14512,
  [14513] = 4643,
  [14514] = 9568,
  [14515] = 4645,
  [14516] = 9602,
  [14517] = 14496,
  [14518] = 4651,
  [14519] = 4567,
  [14520] = 4579,
  [14521] = 14496,
  [14522] = 4576,
  [14523] = 4617,
  [14524] = 14524,
  [14525] = 4619,
  [14526] = 4273,
  [14527] = 4797,
  [14528] = 4763,
  [14529] = 6904,
  [14530] = 14496,
  [14531] = 4788,
  [14532] = 14496,
  [14533] = 14488,
  [14534] = 6902,
  [14535] = 6904,
  [14536] = 9568,
  [14537] = 14496,
  [14538] = 14507,
  [14539] = 14496,
  [14540] = 14512,
  [14541] = 14496,
  [14542] = 4621,
  [14543] = 14543,
  [14544] = 6902,
  [14545] = 14545,
  [14546] = 14496,
  [14547] = 14547,
  [14548] = 14548,
  [14549] = 14549,
  [14550] = 7290,
  [14551] = 14551,
  [14552] = 14552,
  [14553] = 14547,
  [14554] = 14549,
  [14555] = 14547,
  [14556] = 14556,
  [14557] = 14548,
  [14558] = 14548,
  [14559] = 14559,
  [14560] = 14560,
  [14561] = 14549,
  [14562] = 14548,
  [14563] = 14563,
  [14564] = 14547,
  [14565] = 14552,
  [14566] = 14549,
  [14567] = 14552,
  [14568] = 14560,
  [14569] = 14560,
  [14570] = 14570,
  [14571] = 14551,
  [14572] = 14572,
  [14573] = 14549,
  [14574] = 14560,
  [14575] = 14556,
  [14576] = 14551,
  [14577] = 14551,
  [14578] = 14556,
  [14579] = 14556,
  [14580] = 14580,
  [14581] = 14548,
  [14582] = 14551,
  [14583] = 14583,
  [14584] = 14556,
  [14585] = 14547,
  [14586] = 14552,
  [14587] = 14572,
  [14588] = 14549,
  [14589] = 14547,
  [14590] = 14560,
  [14591] = 14549,
  [14592] = 14560,
  [14593] = 14552,
  [14594] = 14547,
  [14595] = 14549,
  [14596] = 14548,
  [14597] = 14551,
  [14598] = 14556,
  [14599] = 14548,
  [14600] = 14548,
  [14601] = 14572,
  [14602] = 14556,
  [14603] = 14548,
  [14604] = 14551,
  [14605] = 14552,
  [14606] = 14547,
  [14607] = 14560,
  [14608] = 14549,
  [14609] = 14552,
  [14610] = 14552,
  [14611] = 14547,
  [14612] = 14556,
  [14613] = 14547,
  [14614] = 14551,
  [14615] = 14552,
  [14616] = 14547,
  [14617] = 14549,
  [14618] = 14560,
  [14619] = 14551,
  [14620] = 14556,
  [14621] = 14552,
  [14622] = 14548,
  [14623] = 14548,
  [14624] = 14560,
  [14625] = 14572,
  [14626] = 14549,
  [14627] = 14556,
  [14628] = 14552,
  [14629] = 14551,
  [14630] = 14552,
  [14631] = 14547,
  [14632] = 14552,
  [14633] = 14547,
  [14634] = 14547,
  [14635] = 14552,
  [14636] = 14549,
  [14637] = 14560,
  [14638] = 14551,
  [14639] = 14556,
  [14640] = 14548,
  [14641] = 14547,
  [14642] = 14552,
  [14643] = 14548,
  [14644] = 14549,
  [14645] = 14549,
  [14646] = 14560,
  [14647] = 14570,
  [14648] = 14560,
  [14649] = 14549,
  [14650] = 14548,
  [14651] = 14560,
  [14652] = 14549,
  [14653] = 14547,
  [14654] = 14563,
  [14655] = 14548,
  [14656] = 14551,
  [14657] = 14572,
  [14658] = 14560,
  [14659] = 14552,
  [14660] = 14547,
  [14661] = 14556,
  [14662] = 14559,
  [14663] = 14556,
  [14664] = 14551,
  [14665] = 14548,
  [14666] = 14548,
  [14667] = 14556,
  [14668] = 14572,
  [14669] = 14551,
  [14670] = 14547,
  [14671] = 14552,
  [14672] = 14560,
  [14673] = 14549,
  [14674] = 14560,
  [14675] = 14549,
  [14676] = 14551,
  [14677] = 14552,
  [14678] = 14547,
  [14679] = 14556,
  [14680] = 14556,
  [14681] = 14551,
  [14682] = 14548,
  [14683] = 14551,
  [14684] = 14556,
  [14685] = 14580,
  [14686] = 14583,
  [14687] = 14560,
  [14688] = 14548,
  [14689] = 14551,
  [14690] = 14548,
  [14691] = 14556,
  [14692] = 14556,
  [14693] = 14556,
  [14694] = 14572,
  [14695] = 14572,
  [14696] = 14551,
  [14697] = 14572,
  [14698] = 7290,
  [14699] = 14551,
  [14700] = 14572,
  [14701] = 14560,
  [14702] = 14549,
  [14703] = 14548,
  [14704] = 14583,
  [14705] = 14580,
  [14706] = 14552,
  [14707] = 14572,
  [14708] = 14547,
  [14709] = 14547,
  [14710] = 14552,
  [14711] = 14547,
  [14712] = 14572,
  [14713] = 6904,
  [14714] = 14552,
  [14715] = 14547,
  [14716] = 14552,
  [14717] = 14551,
  [14718] = 14549,
  [14719] = 14549,
  [14720] = 14560,
  [14721] = 14560,
  [14722] = 14556,
  [14723] = 14548,
  [14724] = 14551,
  [14725] = 14549,
  [14726] = 14556,
  [14727] = 14552,
  [14728] = 14547,
  [14729] = 14547,
  [14730] = 14560,
  [14731] = 14549,
  [14732] = 14552,
  [14733] = 14548,
  [14734] = 14552,
  [14735] = 14572,
  [14736] = 14547,
  [14737] = 14549,
  [14738] = 14572,
  [14739] = 14556,
  [14740] = 14560,
  [14741] = 14551,
  [14742] = 14560,
  [14743] = 14551,
  [14744] = 14556,
  [14745] = 14548,
  [14746] = 14559,
  [14747] = 14549,
  [14748] = 14548,
  [14749] = 14583,
  [14750] = 14580,
  [14751] = 14560,
  [14752] = 14752,
  [14753] = 14547,
  [14754] = 14552,
  [14755] = 14549,
  [14756] = 14560,
  [14757] = 14551,
  [14758] = 14560,
  [14759] = 14549,
  [14760] = 14556,
  [14761] = 14572,
  [14762] = 14548,
  [14763] = 14560,
  [14764] = 14549,
  [14765] = 14570,
  [14766] = 14552,
  [14767] = 14547,
  [14768] = 14552,
  [14769] = 14563,
  [14770] = 14563,
  [14771] = 14559,
  [14772] = 14563,
  [14773] = 14559,
  [14774] = 14551,
  [14775] = 14556,
  [14776] = 14548,
  [14777] = 14548,
  [14778] = 14548,
  [14779] = 14570,
  [14780] = 14548,
  [14781] = 14572,
  [14782] = 14556,
  [14783] = 14583,
  [14784] = 14551,
  [14785] = 14572,
  [14786] = 14580,
  [14787] = 14556,
  [14788] = 14551,
  [14789] = 14556,
  [14790] = 14560,
  [14791] = 14549,
  [14792] = 14552,
  [14793] = 14551,
  [14794] = 14547,
  [14795] = 14547,
  [14796] = 14551,
  [14797] = 14552,
  [14798] = 14556,
  [14799] = 14570,
  [14800] = 14549,
  [14801] = 14572,
  [14802] = 14560,
  [14803] = 14580,
  [14804] = 14547,
  [14805] = 14551,
  [14806] = 14552,
  [14807] = 14556,
  [14808] = 14583,
  [14809] = 14560,
  [14810] = 14548,
  [14811] = 14548,
  [14812] = 14548,
  [14813] = 14560,
  [14814] = 14549,
  [14815] = 14572,
  [14816] = 14549,
  [14817] = 14560,
  [14818] = 14556,
  [14819] = 14551,
  [14820] = 14552,
  [14821] = 14547,
  [14822] = 14549,
  [14823] = 14551,
  [14824] = 14560,
  [14825] = 14551,
  [14826] = 14556,
  [14827] = 14548,
  [14828] = 14547,
  [14829] = 14547,
  [14830] = 14552,
  [14831] = 14549,
  [14832] = 14556,
  [14833] = 14552,
  [14834] = 14560,
  [14835] = 14549,
  [14836] = 14552,
  [14837] = 14547,
  [14838] = 14556,
  [14839] = 14548,
  [14840] = 14551,
  [14841] = 14556,
  [14842] = 14552,
  [14843] = 14572,
  [14844] = 14556,
  [14845] = 14551,
  [14846] = 14548,
  [14847] = 14547,
  [14848] = 14549,
  [14849] = 14560,
  [14850] = 14549,
  [14851] = 14560,
  [14852] = 14547,
  [14853] = 14552,
  [14854] = 14552,
  [14855] = 14549,
  [14856] = 14560,
  [14857] = 14547,
  [14858] = 14548,
  [14859] = 14560,
  [14860] = 14549,
  [14861] = 14551,
  [14862] = 14547,
  [14863] = 14548,
  [14864] = 14547,
  [14865] = 14560,
  [14866] = 14549,
  [14867] = 14867,
  [14868] = 14572,
  [14869] = 14560,
  [14870] = 14549,
  [14871] = 14556,
  [14872] = 14867,
  [14873] = 14552,
  [14874] = 14547,
  [14875] = 14572,
  [14876] = 14572,
  [14877] = 14551,
  [14878] = 14552,
  [14879] = 14547,
  [14880] = 14583,
  [14881] = 14556,
  [14882] = 14552,
  [14883] = 14547,
  [14884] = 14551,
  [14885] = 14560,
  [14886] = 14549,
  [14887] = 14551,
  [14888] = 14556,
  [14889] = 14548,
  [14890] = 14563,
  [14891] = 14507,
  [14892] = 14548,
  [14893] = 14559,
  [14894] = 14547,
  [14895] = 14552,
  [14896] = 14548,
  [14897] = 14548,
  [14898] = 14547,
  [14899] = 14552,
  [14900] = 14552,
  [14901] = 14547,
  [14902] = 14549,
  [14903] = 14551,
  [14904] = 14560,
  [14905] = 14556,
  [14906] = 14549,
  [14907] = 14583,
  [14908] = 14572,
  [14909] = 14580,
  [14910] = 14560,
  [14911] = 14572,
  [14912] = 14556,
  [14913] = 14556,
  [14914] = 14551,
  [14915] = 14560,
  [14916] = 14583,
  [14917] = 14548,
  [14918] = 14549,
  [14919] = 14580,
  [14920] = 14551,
  [14921] = 14552,
  [14922] = 14552,
  [14923] = 14551,
  [14924] = 14551,
  [14925] = 14556,
  [14926] = 14548,
  [14927] = 14572,
  [14928] = 14551,
  [14929] = 14556,
  [14930] = 14551,
  [14931] = 14572,
  [14932] = 14548,
  [14933] = 14556,
  [14934] = 14556,
  [14935] = 14551,
  [14936] = 14548,
  [14937] = 14572,
  [14938] = 14570,
  [14939] = 14572,
  [14940] = 14559,
  [14941] = 14580,
  [14942] = 14563,
  [14943] = 14548,
  [14944] = 14548,
  [14945] = 14560,
  [14946] = 14547,
  [14947] = 14549,
  [14948] = 14552,
  [14949] = 14549,
  [14950] = 14570,
  [14951] = 14547,
  [14952] = 14572,
  [14953] = 14549,
  [14954] = 14560,
  [14955] = 14545,
  [14956] = 14552,
  [14957] = 14547,
  [14958] = 14560,
  [14959] = 14559,
  [14960] = 14551,
  [14961] = 14556,
  [14962] = 14548,
  [14963] = 14479,
  [14964] = 14563,
  [14965] = 14548,
  [14966] = 14548,
  [14967] = 14560,
  [14968] = 14549,
  [14969] = 14547,
  [14970] = 14970,
  [14971] = 14556,
  [14972] = 14560,
  [14973] = 14549,
  [14974] = 14560,
  [14975] = 14551,
  [14976] = 14549,
  [14977] = 14552,
  [14978] = 14552,
  [14979] = 14552,
  [14980] = 14547,
  [14981] = 14547,
  [14982] = 14552,
  [14983] = 6902,
  [14984] = 14570,
  [14985] = 14547,
  [14986] = 14563,
  [14987] = 14556,
  [14988] = 14549,
  [14989] = 14560,
  [14990] = 14551,
  [14991] = 14543,
  [14992] = 14551,
  [14993] = 14556,
  [14994] = 14559,
  [14995] = 14548,
  [14996] = 14572,
  [14997] = 14556,
  [14998] = 14547,
  [14999] = 14570,
  [15000] = 14552,
  [15001] = 15001,
  [15002] = 14549,
  [15003] = 14560,
  [15004] = 14551,
  [15005] = 14560,
  [15006] = 14547,
  [15007] = 14572,
  [15008] = 14552,
  [15009] = 14551,
  [15010] = 14548,
  [15011] = 14556,
  [15012] = 14583,
  [15013] = 14580,
  [15014] = 14580,
  [15015] = 14551,
  [15016] = 14549,
  [15017] = 14556,
  [15018] = 14560,
  [15019] = 14583,
  [15020] = 14572,
  [15021] = 14548,
  [15022] = 14548,
  [15023] = 15023,
  [15024] = 14572,
  [15025] = 14560,
  [15026] = 14572,
  [15027] = 14549,
  [15028] = 14559,
  [15029] = 14752,
  [15030] = 14563,
  [15031] = 14556,
  [15032] = 14552,
  [15033] = 14547,
  [15034] = 9609,
  [15035] = 9458,
  [15036] = 14572,
  [15037] = 14549,
  [15038] = 14572,
  [15039] = 14548,
  [15040] = 14547,
  [15041] = 14572,
  [15042] = 14551,
  [15043] = 14570,
  [15044] = 14572,
  [15045] = 14556,
  [15046] = 6902,
  [15047] = 14556,
  [15048] = 14559,
  [15049] = 14551,
  [15050] = 14552,
  [15051] = 14548,
  [15052] = 14548,
  [15053] = 14563,
  [15054] = 14552,
  [15055] = 14560,
  [15056] = 14572,
  [15057] = 14549,
  [15058] = 14547,
  [15059] = 14552,
  [15060] = 14549,
  [15061] = 14560,
  [15062] = 14552,
  [15063] = 14547,
  [15064] = 14560,
  [15065] = 14547,
  [15066] = 14551,
  [15067] = 15023,
  [15068] = 14556,
  [15069] = 14572,
  [15070] = 14549,
  [15071] = 14549,
  [15072] = 14560,
  [15073] = 14507,
  [15074] = 14560,
  [15075] = 14549,
  [15076] = 14552,
  [15077] = 14547,
  [15078] = 14560,
  [15079] = 14549,
  [15080] = 14547,
  [15081] = 14552,
  [15082] = 14547,
  [15083] = 14548,
  [15084] = 14551,
  [15085] = 6904,
  [15086] = 14570,
  [15087] = 14556,
  [15088] = 14548,
  [15089] = 14572,
  [15090] = 15001,
  [15091] = 14548,
  [15092] = 14560,
  [15093] = 14556,
  [15094] = 14551,
  [15095] = 14548,
  [15096] = 14572,
  [15097] = 14549,
  [15098] = 14563,
  [15099] = 14556,
  [15100] = 14552,
  [15101] = 14559,
  [15102] = 14547,
  [15103] = 14583,
  [15104] = 14551,
  [15105] = 14548,
  [15106] = 14552,
  [15107] = 14547,
  [15108] = 14580,
  [15109] = 14556,
  [15110] = 14572,
  [15111] = 14551,
  [15112] = 14547,
  [15113] = 14556,
  [15114] = 14552,
  [15115] = 14551,
  [15116] = 14556,
  [15117] = 14551,
  [15118] = 14556,
  [15119] = 14551,
  [15120] = 14556,
  [15121] = 14572,
  [15122] = 14970,
  [15123] = 14548,
  [15124] = 14548,
  [15125] = 14548,
  [15126] = 14549,
  [15127] = 14560,
  [15128] = 14572,
  [15129] = 14560,
  [15130] = 14560,
  [15131] = 14552,
  [15132] = 14580,
  [15133] = 14545,
  [15134] = 14583,
  [15135] = 14549,
  [15136] = 14560,
  [15137] = 14559,
  [15138] = 14563,
  [15139] = 14551,
  [15140] = 14479,
  [15141] = 14556,
  [15142] = 14572,
  [15143] = 14572,
  [15144] = 14548,
  [15145] = 14549,
  [15146] = 14551,
  [15147] = 14560,
  [15148] = 14552,
  [15149] = 14549,
  [15150] = 14572,
  [15151] = 14570,
  [15152] = 14551,
  [15153] = 14552,
  [15154] = 14547,
  [15155] = 14551,
  [15156] = 14547,
  [15157] = 14556,
  [15158] = 14548,
  [15159] = 14548,
  [15160] = 14543,
  [15161] = 14572,
  [15162] = 14556,
  [15163] = 14560,
  [15164] = 14551,
  [15165] = 14549,
  [15166] = 14556,
  [15167] = 14507,
  [15168] = 14560,
  [15169] = 14549,
  [15170] = 14572,
  [15171] = 14570,
  [15172] = 14548,
  [15173] = 14552,
  [15174] = 14552,
  [15175] = 14547,
  [15176] = 14560,
  [15177] = 14549,
  [15178] = 14552,
  [15179] = 14547,
  [15180] = 15180,
  [15181] = 15181,
  [15182] = 15182,
  [15183] = 15182,
  [15184] = 15182,
  [15185] = 14970,
  [15186] = 15186,
  [15187] = 15187,
  [15188] = 15180,
  [15189] = 15189,
  [15190] = 15180,
  [15191] = 15180,
  [15192] = 15182,
  [15193] = 15182,
  [15194] = 15181,
  [15195] = 15001,
  [15196] = 15196,
  [15197] = 15186,
  [15198] = 15181,
  [15199] = 15196,
  [15200] = 15187,
  [15201] = 15181,
  [15202] = 15182,
  [15203] = 15186,
  [15204] = 15204,
  [15205] = 15196,
  [15206] = 15186,
  [15207] = 15207,
  [15208] = 15187,
  [15209] = 14970,
  [15210] = 15180,
  [15211] = 15023,
  [15212] = 15187,
  [15213] = 15186,
  [15214] = 15196,
  [15215] = 15180,
  [15216] = 15207,
  [15217] = 15023,
  [15218] = 15181,
  [15219] = 15180,
  [15220] = 15181,
  [15221] = 15187,
  [15222] = 15186,
  [15223] = 15186,
  [15224] = 15204,
  [15225] = 15196,
  [15226] = 15187,
  [15227] = 15186,
  [15228] = 15187,
  [15229] = 15187,
  [15230] = 15001,
  [15231] = 15196,
  [15232] = 15181,
  [15233] = 15180,
  [15234] = 15189,
  [15235] = 15186,
  [15236] = 15187,
  [15237] = 15180,
  [15238] = 14432,
  [15239] = 15180,
  [15240] = 15186,
  [15241] = 15182,
  [15242] = 15180,
  [15243] = 15204,
  [15244] = 15182,
  [15245] = 15245,
  [15246] = 15182,
  [15247] = 15187,
  [15248] = 15196,
  [15249] = 15181,
  [15250] = 15196,
  [15251] = 15180,
  [15252] = 15182,
  [15253] = 15182,
  [15254] = 15181,
  [15255] = 15180,
  [15256] = 15189,
  [15257] = 15182,
  [15258] = 15182,
  [15259] = 15187,
  [15260] = 15204,
  [15261] = 15186,
  [15262] = 15196,
  [15263] = 15181,
  [15264] = 15182,
  [15265] = 15207,
  [15266] = 15207,
  [15267] = 15196,
  [15268] = 15186,
  [15269] = 15187,
  [15270] = 15186,
  [15271] = 15187,
  [15272] = 15181,
  [15273] = 15187,
  [15274] = 15196,
  [15275] = 15182,
  [15276] = 15186,
  [15277] = 15180,
  [15278] = 15189,
  [15279] = 15187,
  [15280] = 15204,
  [15281] = 15182,
  [15282] = 15180,
  [15283] = 15186,
  [15284] = 15180,
  [15285] = 15180,
  [15286] = 15204,
  [15287] = 15180,
  [15288] = 15186,
  [15289] = 14867,
  [15290] = 15182,
  [15291] = 15180,
  [15292] = 15182,
  [15293] = 15180,
  [15294] = 15180,
  [15295] = 15189,
  [15296] = 15182,
  [15297] = 15187,
  [15298] = 15204,
  [15299] = 15186,
  [15300] = 14867,
  [15301] = 15187,
  [15302] = 7290,
  [15303] = 15207,
  [15304] = 15186,
  [15305] = 15187,
  [15306] = 15180,
  [15307] = 15023,
  [15308] = 15182,
  [15309] = 15181,
  [15310] = 15180,
  [15311] = 15186,
  [15312] = 15196,
  [15313] = 15187,
  [15314] = 15207,
  [15315] = 15186,
  [15316] = 15182,
  [15317] = 15187,
  [15318] = 15207,
  [15319] = 15001,
  [15320] = 15189,
  [15321] = 15180,
  [15322] = 15180,
  [15323] = 15186,
  [15324] = 15180,
  [15325] = 15180,
  [15326] = 15204,
  [15327] = 15187,
  [15328] = 15186,
  [15329] = 14970,
  [15330] = 15187,
  [15331] = 15196,
  [15332] = 15187,
  [15333] = 15182,
  [15334] = 15186,
  [15335] = 15180,
  [15336] = 15186,
  [15337] = 15207,
  [15338] = 15189,
  [15339] = 15180,
  [15340] = 15182,
  [15341] = 15180,
  [15342] = 15180,
  [15343] = 15180,
  [15344] = 15181,
  [15345] = 15187,
  [15346] = 15186,
  [15347] = 15182,
  [15348] = 15180,
  [15349] = 15182,
  [15350] = 15180,
  [15351] = 15180,
  [15352] = 15186,
  [15353] = 4352,
  [15354] = 15189,
  [15355] = 15187,
  [15356] = 15187,
  [15357] = 14867,
  [15358] = 15182,
  [15359] = 15182,
  [15360] = 15207,
  [15361] = 15180,
  [15362] = 15187,
  [15363] = 15180,
  [15364] = 15187,
  [15365] = 15182,
  [15366] = 15186,
  [15367] = 15186,
  [15368] = 15182,
  [15369] = 15187,
  [15370] = 15182,
  [15371] = 15204,
  [15372] = 15204,
  [15373] = 15182,
  [15374] = 15204,
  [15375] = 15180,
  [15376] = 15180,
  [15377] = 15182,
  [15378] = 15207,
  [15379] = 15180,
  [15380] = 15187,
  [15381] = 15180,
  [15382] = 15186,
  [15383] = 15187,
  [15384] = 15180,
  [15385] = 15182,
  [15386] = 15189,
  [15387] = 15180,
  [15388] = 15180,
  [15389] = 15186,
  [15390] = 14507,
  [15391] = 15187,
  [15392] = 15182,
  [15393] = 15180,
  [15394] = 15180,
  [15395] = 15180,
  [15396] = 15189,
  [15397] = 15207,
  [15398] = 15180,
  [15399] = 15187,
  [15400] = 15186,
  [15401] = 15186,
  [15402] = 15187,
  [15403] = 15186,
  [15404] = 4353,
  [15405] = 15186,
  [15406] = 4343,
  [15407] = 4347,
  [15408] = 15207,
  [15409] = 15180,
  [15410] = 15182,
  [15411] = 15180,
  [15412] = 15186,
  [15413] = 15186,
  [15414] = 15187,
  [15415] = 15187,
  [15416] = 15180,
  [15417] = 7290,
  [15418] = 15186,
  [15419] = 15187,
  [15420] = 15186,
  [15421] = 15187,
  [15422] = 15180,
  [15423] = 15204,
  [15424] = 15182,
  [15425] = 15189,
  [15426] = 15180,
  [15427] = 15189,
  [15428] = 15182,
  [15429] = 15180,
  [15430] = 15187,
  [15431] = 15180,
  [15432] = 15186,
  [15433] = 15433,
  [15434] = 15180,
  [15435] = 15180,
  [15436] = 15180,
  [15437] = 15182,
  [15438] = 15180,
  [15439] = 15180,
  [15440] = 15189,
  [15441] = 15180,
  [15442] = 15180,
  [15443] = 15187,
  [15444] = 15186,
  [15445] = 15180,
  [15446] = 15182,
  [15447] = 15187,
  [15448] = 15186,
  [15449] = 15182,
  [15450] = 15180,
  [15451] = 14507,
  [15452] = 15207,
  [15453] = 15187,
  [15454] = 15186,
  [15455] = 15186,
  [15456] = 15182,
  [15457] = 15180,
  [15458] = 15204,
  [15459] = 15187,
  [15460] = 15182,
  [15461] = 7290,
  [15462] = 15180,
  [15463] = 15182,
  [15464] = 4298,
  [15465] = 15465,
  [15466] = 15466,
  [15467] = 15467,
  [15468] = 15468,
  [15469] = 15465,
  [15470] = 15470,
  [15471] = 15471,
  [15472] = 15472,
  [15473] = 15473,
  [15474] = 15474,
  [15475] = 15475,
  [15476] = 15476,
  [15477] = 15477,
  [15478] = 15478,
  [15479] = 15478,
  [15480] = 15473,
  [15481] = 15466,
  [15482] = 15482,
  [15483] = 15483,
  [15484] = 15471,
  [15485] = 15475,
  [15486] = 15486,
  [15487] = 15483,
  [15488] = 14970,
  [15489] = 15466,
  [15490] = 15477,
  [15491] = 15470,
  [15492] = 15474,
  [15493] = 15472,
  [15494] = 15494,
  [15495] = 15477,
  [15496] = 15496,
  [15497] = 15475,
  [15498] = 15498,
  [15499] = 15499,
  [15500] = 15494,
  [15501] = 15465,
  [15502] = 15498,
  [15503] = 15503,
  [15504] = 15504,
  [15505] = 15468,
  [15506] = 15465,
  [15507] = 15482,
  [15508] = 15466,
  [15509] = 15477,
  [15510] = 15499,
  [15511] = 15503,
  [15512] = 15474,
  [15513] = 15467,
  [15514] = 15472,
  [15515] = 15467,
  [15516] = 15486,
  [15517] = 15472,
  [15518] = 15518,
  [15519] = 15499,
  [15520] = 15474,
  [15521] = 15504,
  [15522] = 15477,
  [15523] = 15468,
  [15524] = 15466,
  [15525] = 15465,
  [15526] = 15466,
  [15527] = 15470,
  [15528] = 15465,
  [15529] = 15529,
  [15530] = 15530,
  [15531] = 15472,
  [15532] = 15468,
  [15533] = 15467,
  [15534] = 15474,
  [15535] = 15467,
  [15536] = 15468,
  [15537] = 15471,
  [15538] = 15476,
  [15539] = 15475,
  [15540] = 15470,
  [15541] = 15471,
  [15542] = 15542,
  [15543] = 15473,
  [15544] = 15475,
  [15545] = 15545,
  [15546] = 15001,
  [15547] = 15465,
  [15548] = 15478,
  [15549] = 15518,
  [15550] = 15477,
  [15551] = 15466,
  [15552] = 15477,
  [15553] = 15499,
  [15554] = 15466,
  [15555] = 15466,
  [15556] = 15477,
  [15557] = 15486,
  [15558] = 15478,
  [15559] = 15559,
  [15560] = 15473,
  [15561] = 15518,
  [15562] = 15475,
  [15563] = 15486,
  [15564] = 15482,
  [15565] = 15482,
  [15566] = 15475,
  [15567] = 15529,
  [15568] = 15475,
  [15569] = 15542,
  [15570] = 15475,
  [15571] = 15478,
  [15572] = 15466,
  [15573] = 15486,
  [15574] = 15475,
  [15575] = 15477,
  [15576] = 15545,
  [15577] = 15476,
  [15578] = 15483,
  [15579] = 15472,
  [15580] = 15473,
  [15581] = 15486,
  [15582] = 15471,
  [15583] = 15470,
  [15584] = 15474,
  [15585] = 15468,
  [15586] = 15494,
  [15587] = 15467,
  [15588] = 15498,
  [15589] = 15530,
  [15590] = 15518,
  [15591] = 15466,
  [15592] = 15477,
  [15593] = 15472,
  [15594] = 15530,
  [15595] = 15499,
  [15596] = 15465,
  [15597] = 15503,
  [15598] = 15475,
  [15599] = 15499,
  [15600] = 15468,
  [15601] = 15467,
  [15602] = 15499,
  [15603] = 15486,
  [15604] = 15472,
  [15605] = 15482,
  [15606] = 15474,
  [15607] = 15472,
  [15608] = 15465,
  [15609] = 15466,
  [15610] = 15477,
  [15611] = 15499,
  [15612] = 15465,
  [15613] = 15474,
  [15614] = 15504,
  [15615] = 15474,
  [15616] = 15467,
  [15617] = 15482,
  [15618] = 15472,
  [15619] = 15477,
  [15620] = 15499,
  [15621] = 15466,
  [15622] = 15478,
  [15623] = 14867,
  [15624] = 15465,
  [15625] = 15474,
  [15626] = 15465,
  [15627] = 15468,
  [15628] = 15477,
  [15629] = 15472,
  [15630] = 15466,
  [15631] = 15023,
  [15632] = 7290,
  [15633] = 15475,
  [15634] = 15530,
  [15635] = 15473,
  [15636] = 15467,
  [15637] = 15468,
  [15638] = 15467,
  [15639] = 15468,
  [15640] = 15465,
  [15641] = 15470,
  [15642] = 15471,
  [15643] = 15486,
  [15644] = 15473,
  [15645] = 15465,
  [15646] = 15475,
  [15647] = 15467,
  [15648] = 15499,
  [15649] = 15467,
  [15650] = 15468,
  [15651] = 15468,
  [15652] = 15496,
  [15653] = 15471,
  [15654] = 15486,
  [15655] = 15529,
  [15656] = 15471,
  [15657] = 15470,
  [15658] = 15542,
  [15659] = 15478,
  [15660] = 15482,
  [15661] = 15470,
  [15662] = 15471,
  [15663] = 15468,
  [15664] = 15467,
  [15665] = 15478,
  [15666] = 15482,
  [15667] = 15473,
  [15668] = 15496,
  [15669] = 15465,
  [15670] = 15545,
  [15671] = 15467,
  [15672] = 15496,
  [15673] = 15499,
  [15674] = 15486,
  [15675] = 15478,
  [15676] = 15473,
  [15677] = 15677,
  [15678] = 15496,
  [15679] = 15468,
  [15680] = 15482,
  [15681] = 15470,
  [15682] = 15478,
  [15683] = 15468,
  [15684] = 15467,
  [15685] = 15530,
  [15686] = 15496,
  [15687] = 15472,
  [15688] = 15482,
  [15689] = 15465,
  [15690] = 15466,
  [15691] = 15473,
  [15692] = 15470,
  [15693] = 15471,
  [15694] = 15496,
  [15695] = 15478,
  [15696] = 15471,
  [15697] = 15499,
  [15698] = 15472,
  [15699] = 15475,
  [15700] = 15486,
  [15701] = 15470,
  [15702] = 15473,
  [15703] = 15473,
  [15704] = 15471,
  [15705] = 15474,
  [15706] = 15474,
  [15707] = 15468,
  [15708] = 15467,
  [15709] = 15478,
  [15710] = 15466,
  [15711] = 15477,
  [15712] = 15477,
  [15713] = 15482,
  [15714] = 15474,
  [15715] = 15470,
  [15716] = 15466,
  [15717] = 15465,
  [15718] = 15518,
  [15719] = 15472,
  [15720] = 15477,
  [15721] = 15499,
  [15722] = 15466,
  [15723] = 15476,
  [15724] = 15470,
  [15725] = 15483,
  [15726] = 15475,
  [15727] = 15465,
  [15728] = 15471,
  [15729] = 15468,
  [15730] = 15475,
  [15731] = 15477,
  [15732] = 15473,
  [15733] = 15466,
  [15734] = 15496,
  [15735] = 15545,
  [15736] = 15475,
  [15737] = 15467,
  [15738] = 15468,
  [15739] = 15739,
  [15740] = 15467,
  [15741] = 15482,
  [15742] = 15470,
  [15743] = 15471,
  [15744] = 15494,
  [15745] = 15473,
  [15746] = 15746,
  [15747] = 15747,
  [15748] = 15475,
  [15749] = 15475,
  [15750] = 15486,
  [15751] = 15751,
  [15752] = 15466,
  [15753] = 15498,
  [15754] = 15486,
  [15755] = 15755,
  [15756] = 15477,
  [15757] = 15482,
  [15758] = 15482,
  [15759] = 15486,
  [15760] = 15478,
  [15761] = 15478,
  [15762] = 15542,
  [15763] = 15474,
  [15764] = 15478,
  [15765] = 15765,
  [15766] = 15472,
  [15767] = 15482,
  [15768] = 15473,
  [15769] = 15769,
  [15770] = 15499,
  [15771] = 15478,
  [15772] = 15503,
  [15773] = 15473,
  [15774] = 15504,
  [15775] = 15486,
  [15776] = 15471,
  [15777] = 15470,
  [15778] = 15778,
  [15779] = 15465,
  [15780] = 15471,
  [15781] = 15468,
  [15782] = 15467,
  [15783] = 15470,
  [15784] = 15496,
  [15785] = 15529,
  [15786] = 15465,
  [15787] = 15466,
  [15788] = 15529,
  [15789] = 15542,
  [15790] = 15499,
  [15791] = 15477,
  [15792] = 15472,
  [15793] = 15467,
  [15794] = 15465,
  [15795] = 15468,
  [15796] = 15545,
  [15797] = 15470,
  [15798] = 15470,
  [15799] = 15474,
  [15800] = 15475,
  [15801] = 15482,
  [15802] = 15471,
  [15803] = 15468,
  [15804] = 15477,
  [15805] = 15468,
  [15806] = 15466,
  [15807] = 15467,
  [15808] = 15475,
  [15809] = 15467,
  [15810] = 15473,
  [15811] = 15466,
  [15812] = 15477,
  [15813] = 15468,
  [15814] = 15814,
  [15815] = 15474,
  [15816] = 15499,
  [15817] = 15467,
  [15818] = 15466,
  [15819] = 15477,
  [15820] = 15472,
  [15821] = 15465,
  [15822] = 15499,
  [15823] = 15471,
  [15824] = 15475,
  [15825] = 15496,
  [15826] = 15478,
  [15827] = 15545,
  [15828] = 15465,
  [15829] = 15472,
  [15830] = 15465,
  [15831] = 15486,
  [15832] = 15542,
  [15833] = 15482,
  [15834] = 15834,
  [15835] = 15835,
  [15836] = 15529,
  [15837] = 15477,
  [15838] = 15467,
  [15839] = 15468,
  [15840] = 15466,
  [15841] = 15465,
  [15842] = 15486,
  [15843] = 15470,
  [15844] = 15471,
  [15845] = 15476,
  [15846] = 15473,
  [15847] = 15847,
  [15848] = 15496,
  [15849] = 15518,
  [15850] = 15483,
  [15851] = 15765,
  [15852] = 15482,
  [15853] = 15853,
  [15854] = 14867,
  [15855] = 15499,
  [15856] = 15530,
  [15857] = 15472,
  [15858] = 15478,
  [15859] = 15475,
  [15860] = 7290,
  [15861] = 15478,
  [15862] = 15559,
  [15863] = 15465,
  [15864] = 15486,
  [15865] = 15474,
  [15866] = 15834,
  [15867] = 15473,
  [15868] = 15482,
  [15869] = 15499,
  [15870] = 15835,
  [15871] = 15474,
  [15872] = 15765,
  [15873] = 15471,
  [15874] = 15470,
  [15875] = 15778,
  [15876] = 15486,
  [15877] = 15468,
  [15878] = 15467,
  [15879] = 15530,
  [15880] = 6122,
  [15881] = 15504,
  [15882] = 15494,
  [15883] = 15467,
  [15884] = 15465,
  [15885] = 15498,
  [15886] = 6193,
  [15887] = 15499,
  [15888] = 15503,
  [15889] = 15472,
  [15890] = 15518,
  [15891] = 15475,
  [15892] = 15468,
  [15893] = 15477,
  [15894] = 15474,
  [15895] = 15504,
  [15896] = 4273,
  [15897] = 15474,
  [15898] = 4273,
  [15899] = 15477,
  [15900] = 15475,
  [15901] = 15504,
  [15902] = 15477,
  [15903] = 15466,
  [15904] = 15503,
  [15905] = 15466,
  [15906] = 15473,
  [15907] = 15498,
  [15908] = 15494,
  [15909] = 15472,
  [15910] = 15530,
  [15911] = 15466,
  [15912] = 15477,
  [15913] = 15499,
  [15914] = 15503,
  [15915] = 15474,
  [15916] = 15466,
  [15917] = 15477,
  [15918] = 15465,
  [15919] = 15474,
  [15920] = 15472,
  [15921] = 15475,
  [15922] = 15499,
  [15923] = 15496,
  [15924] = 4280,
  [15925] = 15467,
  [15926] = 15529,
  [15927] = 15468,
  [15928] = 15465,
  [15929] = 15486,
  [15930] = 15542,
  [15931] = 15474,
  [15932] = 15545,
  [15933] = 4298,
  [15934] = 15468,
  [15935] = 15467,
  [15936] = 15486,
  [15937] = 15483,
  [15938] = 15467,
  [15939] = 15468,
  [15940] = 15498,
  [15941] = 15472,
  [15942] = 15476,
  [15943] = 15470,
  [15944] = 15471,
  [15945] = 15499,
  [15946] = 15473,
  [15947] = 15475,
  [15948] = 15465,
  [15949] = 15482,
  [15950] = 15494,
  [15951] = 15475,
  [15952] = 15486,
  [15953] = 15482,
  [15954] = 15465,
  [15955] = 15478,
  [15956] = 15478,
  [15957] = 15477,
  [15958] = 15466,
  [15959] = 15478,
  [15960] = 15470,
  [15961] = 15478,
  [15962] = 15471,
  [15963] = 15467,
  [15964] = 15473,
  [15965] = 15473,
  [15966] = 15468,
  [15967] = 15471,
  [15968] = 15482,
  [15969] = 15470,
  [15970] = 15473,
  [15971] = 15475,
  [15972] = 15478,
  [15973] = 15470,
  [15974] = 15468,
  [15975] = 15467,
  [15976] = 15486,
  [15977] = 15468,
  [15978] = 15467,
  [15979] = 15477,
  [15980] = 15466,
  [15981] = 15476,
  [15982] = 15465,
  [15983] = 15471,
  [15984] = 15471,
  [15985] = 15499,
  [15986] = 15472,
  [15987] = 15468,
  [15988] = 15467,
  [15989] = 15483,
  [15990] = 15474,
  [15991] = 15473,
  [15992] = 15477,
  [15993] = 15466,
  [15994] = 15477,
  [15995] = 15470,
  [15996] = 15468,
  [15997] = 15467,
  [15998] = 15466,
  [15999] = 15477,
  [16000] = 15475,
  [16001] = 15466,
  [16002] = 15483,
  [16003] = 15476,
  [16004] = 15468,
  [16005] = 15466,
  [16006] = 15477,
  [16007] = 15467,
  [16008] = 15477,
  [16009] = 15474,
  [16010] = 15518,
  [16011] = 15477,
  [16012] = 15466,
  [16013] = 15486,
  [16014] = 15472,
  [16015] = 15475,
  [16016] = 15499,
  [16017] = 15468,
  [16018] = 15467,
  [16019] = 15477,
  [16020] = 15478,
  [16021] = 15466,
  [16022] = 15465,
  [16023] = 15476,
  [16024] = 15475,
  [16025] = 15466,
  [16026] = 15468,
  [16027] = 15467,
  [16028] = 15477,
  [16029] = 15466,
  [16030] = 15467,
  [16031] = 15468,
  [16032] = 15483,
  [16033] = 15468,
  [16034] = 15467,
  [16035] = 15470,
  [16036] = 15471,
  [16037] = 15482,
  [16038] = 15473,
  [16039] = 15477,
  [16040] = 15466,
  [16041] = 15494,
  [16042] = 15494,
  [16043] = 15482,
  [16044] = 15468,
  [16045] = 15467,
  [16046] = 4352,
  [16047] = 15477,
  [16048] = 15478,
  [16049] = 15466,
  [16050] = 15498,
  [16051] = 4347,
  [16052] = 4343,
  [16053] = 15468,
  [16054] = 15482,
  [16055] = 4273,
  [16056] = 4353,
  [16057] = 15467,
  [16058] = 15498,
  [16059] = 15473,
  [16060] = 15503,
  [16061] = 15482,
  [16062] = 15471,
  [16063] = 15470,
  [16064] = 15477,
  [16065] = 15468,
  [16066] = 15467,
  [16067] = 15466,
  [16068] = 15486,
  [16069] = 15482,
  [16070] = 15466,
  [16071] = 15465,
  [16072] = 15504,
  [16073] = 15477,
  [16074] = 15478,
  [16075] = 15475,
  [16076] = 15468,
  [16077] = 15001,
  [16078] = 15468,
  [16079] = 15499,
  [16080] = 15472,
  [16081] = 15475,
  [16082] = 15467,
  [16083] = 15467,
  [16084] = 15477,
  [16085] = 15486,
  [16086] = 15466,
  [16087] = 15477,
  [16088] = 15474,
  [16089] = 15466,
  [16090] = 15474,
  [16091] = 15465,
  [16092] = 15529,
  [16093] = 15468,
  [16094] = 15477,
  [16095] = 15472,
  [16096] = 15466,
  [16097] = 15499,
  [16098] = 15467,
  [16099] = 15477,
  [16100] = 15466,
  [16101] = 15542,
  [16102] = 15466,
  [16103] = 15465,
  [16104] = 15503,
  [16105] = 15465,
  [16106] = 15475,
  [16107] = 15477,
  [16108] = 15475,
  [16109] = 15518,
  [16110] = 14970,
  [16111] = 15467,
  [16112] = 15468,
  [16113] = 15545,
  [16114] = 15473,
  [16115] = 15474,
  [16116] = 15470,
  [16117] = 15471,
  [16118] = 15467,
  [16119] = 15473,
  [16120] = 15468,
  [16121] = 15477,
  [16122] = 15466,
  [16123] = 15467,
  [16124] = 15477,
  [16125] = 15472,
  [16126] = 15530,
  [16127] = 15499,
  [16128] = 15468,
  [16129] = 15486,
  [16130] = 15466,
  [16131] = 15465,
  [16132] = 15482,
  [16133] = 15466,
  [16134] = 15482,
  [16135] = 15482,
  [16136] = 15468,
  [16137] = 15023,
  [16138] = 15467,
  [16139] = 15477,
  [16140] = 15466,
  [16141] = 15478,
  [16142] = 15467,
  [16143] = 15468,
  [16144] = 15475,
  [16145] = 15477,
  [16146] = 15468,
  [16147] = 15470,
  [16148] = 15473,
  [16149] = 15474,
  [16150] = 15471,
  [16151] = 15471,
  [16152] = 15470,
  [16153] = 15471,
  [16154] = 15472,
  [16155] = 15468,
  [16156] = 15468,
  [16157] = 15473,
  [16158] = 15467,
  [16159] = 15467,
  [16160] = 15477,
  [16161] = 15475,
  [16162] = 15466,
  [16163] = 15499,
  [16164] = 15468,
  [16165] = 15475,
  [16166] = 15466,
  [16167] = 15477,
  [16168] = 15465,
  [16169] = 15465,
  [16170] = 15467,
  [16171] = 15476,
  [16172] = 15477,
  [16173] = 15499,
  [16174] = 15472,
  [16175] = 15483,
  [16176] = 15475,
  [16177] = 15466,
  [16178] = 15465,
  [16179] = 15470,
  [16180] = 15467,
  [16181] = 15474,
  [16182] = 15468,
  [16183] = 15477,
  [16184] = 15482,
  [16185] = 15466,
  [16186] = 15467,
  [16187] = 15468,
  [16188] = 15467,
  [16189] = 15468,
  [16190] = 15470,
  [16191] = 15467,
  [16192] = 15486,
  [16193] = 15477,
  [16194] = 15466,
  [16195] = 15478,
  [16196] = 6902,
  [16197] = 15486,
  [16198] = 15471,
  [16199] = 15468,
  [16200] = 6904,
  [16201] = 15475,
  [16202] = 15468,
  [16203] = 15467,
  [16204] = 15477,
  [16205] = 15494,
  [16206] = 15467,
  [16207] = 15498,
  [16208] = 15466,
  [16209] = 15504,
  [16210] = 15473,
  [16211] = 15468,
  [16212] = 15467,
  [16213] = 15477,
  [16214] = 15486,
  [16215] = 15466,
  [16216] = 15477,
  [16217] = 15466,
  [16218] = 15503,
  [16219] = 15518,
  [16220] = 15468,
  [16221] = 15482,
  [16222] = 15468,
  [16223] = 15467,
  [16224] = 15467,
  [16225] = 15477,
  [16226] = 15475,
  [16227] = 15474,
  [16228] = 15466,
  [16229] = 15478,
  [16230] = 15466,
  [16231] = 15466,
  [16232] = 15477,
  [16233] = 15504,
  [16234] = 15482,
  [16235] = 15468,
  [16236] = 15467,
  [16237] = 15477,
  [16238] = 15472,
  [16239] = 15473,
  [16240] = 15530,
  [16241] = 15465,
  [16242] = 15465,
  [16243] = 15465,
  [16244] = 15471,
  [16245] = 15478,
  [16246] = 15470,
  [16247] = 15499,
  [16248] = 15468,
  [16249] = 15477,
  [16250] = 15467,
  [16251] = 15467,
  [16252] = 15468,
  [16253] = 15518,
  [16254] = 15466,
  [16255] = 15482,
  [16256] = 15529,
  [16257] = 15467,
  [16258] = 15499,
  [16259] = 15465,
  [16260] = 15468,
  [16261] = 15468,
  [16262] = 15465,
  [16263] = 15472,
  [16264] = 15467,
  [16265] = 15477,
  [16266] = 15499,
  [16267] = 15472,
  [16268] = 15466,
  [16269] = 15477,
  [16270] = 15470,
  [16271] = 15466,
  [16272] = 15471,
  [16273] = 15542,
  [16274] = 15474,
  [16275] = 15496,
  [16276] = 15477,
  [16277] = 15466,
  [16278] = 15545,
  [16279] = 15468,
  [16280] = 15475,
  [16281] = 15467,
  [16282] = 15477,
  [16283] = 15486,
  [16284] = 15474,
  [16285] = 15466,
  [16286] = 15473,
  [16287] = 15475,
  [16288] = 15475,
  [16289] = 15529,
  [16290] = 15475,
  [16291] = 15475,
  [16292] = 15476,
  [16293] = 15483,
  [16294] = 15542,
  [16295] = 15466,
  [16296] = 15477,
  [16297] = 15468,
  [16298] = 15475,
  [16299] = 15467,
  [16300] = 15482,
  [16301] = 15474,
  [16302] = 15477,
  [16303] = 15477,
  [16304] = 15466,
  [16305] = 15494,
  [16306] = 15486,
  [16307] = 15465,
  [16308] = 15466,
  [16309] = 15498,
  [16310] = 15545,
  [16311] = 15466,
  [16312] = 15482,
  [16313] = 15466,
  [16314] = 15468,
  [16315] = 15467,
  [16316] = 15468,
  [16317] = 15467,
  [16318] = 15477,
  [16319] = 15477,
  [16320] = 15478,
  [16321] = 15477,
  [16322] = 15466,
  [16323] = 15499,
  [16324] = 15468,
  [16325] = 15474,
  [16326] = 15467,
  [16327] = 15503,
  [16328] = 15477,
  [16329] = 15466,
  [16330] = 15504,
  [16331] = 15473,
  [16332] = 15472,
  [16333] = 15468,
  [16334] = 15467,
  [16335] = 15468,
  [16336] = 15467,
  [16337] = 15471,
  [16338] = 15470,
  [16339] = 15477,
  [16340] = 15468,
  [16341] = 15467,
  [16342] = 15466,
  [16343] = 15499,
  [16344] = 15529,
  [16345] = 15542,
  [16346] = 15465,
  [16347] = 15465,
  [16348] = 15486,
  [16349] = 15468,
  [16350] = 15465,
  [16351] = 15467,
  [16352] = 15499,
  [16353] = 15472,
  [16354] = 15475,
  [16355] = 15545,
  [16356] = 15465,
  [16357] = 15477,
  [16358] = 15467,
  [16359] = 15466,
  [16360] = 15477,
  [16361] = 15474,
  [16362] = 15468,
  [16363] = 15466,
  [16364] = 15530,
  [16365] = 15477,
  [16366] = 15466,
  [16367] = 15472,
  [16368] = 15475,
  [16369] = 15470,
  [16370] = 15468,
  [16371] = 15465,
  [16372] = 15467,
  [16373] = 15477,
  [16374] = 15477,
  [16375] = 15471,
  [16376] = 15466,
  [16377] = 15472,
  [16378] = 15475,
  [16379] = 15467,
  [16380] = 15468,
  [16381] = 15475,
  [16382] = 15468,
  [16383] = 15475,
  [16384] = 15473,
  [16385] = 15478,
  [16386] = 15467,
  [16387] = 15477,
  [16388] = 15530,
  [16389] = 15466,
  [16390] = 15467,
  [16391] = 15468,
  [16392] = 15468,
  [16393] = 15467,
  [16394] = 15499,
  [16395] = 15477,
  [16396] = 15466,
  [16397] = 15468,
  [16398] = 15478,
  [16399] = 15486,
  [16400] = 15478,
  [16401] = 15467,
  [16402] = 15477,
  [16403] = 15465,
  [16404] = 15482,
  [16405] = 15466,
  [16406] = 15482,
  [16407] = 15478,
  [16408] = 15466,
  [16409] = 15468,
  [16410] = 15476,
  [16411] = 15483,
  [16412] = 15467,
  [16413] = 15477,
  [16414] = 15466,
  [16415] = 15486,
  [16416] = 15477,
  [16417] = 15473,
  [16418] = 15475,
  [16419] = 15473,
  [16420] = 15471,
  [16421] = 15475,
  [16422] = 15471,
  [16423] = 15466,
  [16424] = 15477,
  [16425] = 15470,
  [16426] = 15470,
  [16427] = 15474,
  [16428] = 15468,
  [16429] = 15468,
  [16430] = 15467,
  [16431] = 15467,
  [16432] = 15494,
  [16433] = 15486,
  [16434] = 15477,
  [16435] = 15465,
  [16436] = 15498,
  [16437] = 15545,
  [16438] = 15465,
  [16439] = 15503,
  [16440] = 15504,
  [16441] = 15466,
  [16442] = 15499,
  [16443] = 15467,
  [16444] = 15468,
  [16445] = 15542,
  [16446] = 15472,
  [16447] = 15468,
  [16448] = 15474,
  [16449] = 15467,
  [16450] = 15475,
  [16451] = 15468,
  [16452] = 15529,
  [16453] = 15467,
  [16454] = 15474,
  [16455] = 15478,
  [16456] = 15477,
  [16457] = 15477,
  [16458] = 15466,
  [16459] = 15466,
  [16460] = 15467,
  [16461] = 15472,
  [16462] = 15468,
  [16463] = 15467,
  [16464] = 15465,
  [16465] = 15477,
  [16466] = 15466,
  [16467] = 15468,
  [16468] = 15482,
  [16469] = 15530,
  [16470] = 15499,
  [16471] = 15529,
  [16472] = 15468,
  [16473] = 15467,
  [16474] = 15477,
  [16475] = 15475,
  [16476] = 15466,
  [16477] = 15466,
  [16478] = 15477,
  [16479] = 15486,
  [16480] = 15542,
  [16481] = 15504,
  [16482] = 15475,
  [16483] = 15474,
  [16484] = 15477,
  [16485] = 15486,
  [16486] = 15466,
  [16487] = 15466,
  [16488] = 15477,
  [16489] = 15468,
  [16490] = 15545,
  [16491] = 15467,
  [16492] = 15477,
  [16493] = 15482,
  [16494] = 15466,
  [16495] = 15475,
  [16496] = 15472,
  [16497] = 15499,
  [16498] = 15478,
  [16499] = 15465,
  [16500] = 15465,
  [16501] = 15473,
  [16502] = 15468,
  [16503] = 15465,
  [16504] = 15467,
  [16505] = 15477,
  [16506] = 15466,
  [16507] = 15467,
  [16508] = 15468,
  [16509] = 15466,
  [16510] = 15473,
  [16511] = 15467,
  [16512] = 15468,
  [16513] = 15470,
  [16514] = 15471,
  [16515] = 15471,
  [16516] = 15518,
  [16517] = 15477,
  [16518] = 15470,
  [16519] = 15468,
  [16520] = 15467,
  [16521] = 15468,
  [16522] = 15467,
  [16523] = 15477,
  [16524] = 15473,
  [16525] = 15466,
  [16526] = 15471,
  [16527] = 15468,
  [16528] = 15467,
  [16529] = 15470,
  [16530] = 15465,
  [16531] = 15503,
  [16532] = 15468,
  [16533] = 15499,
  [16534] = 15472,
  [16535] = 15477,
  [16536] = 15466,
  [16537] = 15467,
  [16538] = 15474,
  [16539] = 15468,
  [16540] = 15467,
  [16541] = 15468,
  [16542] = 15477,
  [16543] = 15478,
  [16544] = 15466,
  [16545] = 15477,
  [16546] = 15475,
  [16547] = 15465,
  [16548] = 15468,
  [16549] = 15468,
  [16550] = 15467,
  [16551] = 15466,
  [16552] = 15477,
  [16553] = 15477,
  [16554] = 15467,
  [16555] = 15466,
  [16556] = 15465,
  [16557] = 15482,
  [16558] = 15475,
  [16559] = 15498,
  [16560] = 15465,
  [16561] = 15486,
  [16562] = 15465,
  [16563] = 15465,
  [16564] = 15470,
  [16565] = 15467,
  [16566] = 15471,
  [16567] = 15477,
  [16568] = 15482,
  [16569] = 15466,
  [16570] = 15499,
  [16571] = 15467,
  [16572] = 15468,
  [16573] = 15475,
  [16574] = 15468,
  [16575] = 15475,
  [16576] = 15486,
  [16577] = 15468,
  [16578] = 15530,
  [16579] = 15467,
  [16580] = 15472,
  [16581] = 15494,
  [16582] = 15466,
  [16583] = 15477,
  [16584] = 15473,
  [16585] = 15482,
  [16586] = 15477,
  [16587] = 15466,
  [16588] = 15466,
  [16589] = 15474,
  [16590] = 15483,
  [16591] = 15478,
  [16592] = 15475,
  [16593] = 15476,
  [16594] = 15499,
  [16595] = 15472,
  [16596] = 15475,
  [16597] = 15478,
  [16598] = 15473,
  [16599] = 15472,
  [16600] = 15482,
  [16601] = 15471,
  [16602] = 15470,
  [16603] = 15499,
  [16604] = 15467,
  [16605] = 15465,
  [16606] = 15468,
  [16607] = 15474,
  [16608] = 15467,
  [16609] = 15470,
  [16610] = 15475,
  [16611] = 15471,
  [16612] = 15474,
  [16613] = 15468,
  [16614] = 15467,
  [16615] = 15466,
  [16616] = 15477,
  [16617] = 15465,
  [16618] = 15467,
  [16619] = 15468,
  [16620] = 15470,
  [16621] = 15468,
  [16622] = 15499,
  [16623] = 15472,
  [16624] = 15467,
  [16625] = 15471,
  [16626] = 15486,
  [16627] = 15465,
  [16628] = 15465,
  [16629] = 15473,
  [16630] = 15474,
  [16631] = 15473,
  [16632] = 15477,
  [16633] = 15466,
  [16634] = 15466,
  [16635] = 15467,
  [16636] = 15468,
  [16637] = 15477,
  [16638] = 15486,
  [16639] = 15477,
  [16640] = 15466,
  [16641] = 15466,
  [16642] = 15482,
  [16643] = 15465,
  [16644] = 15477,
  [16645] = 15475,
  [16646] = 15475,
  [16647] = 15478,
  [16648] = 15478,
  [16649] = 15475,
  [16650] = 15475,
  [16651] = 15486,
  [16652] = 15466,
  [16653] = 15477,
  [16654] = 15518,
  [16655] = 16655,
  [16656] = 16656,
  [16657] = 16657,
  [16658] = 16656,
  [16659] = 16656,
  [16660] = 16660,
  [16661] = 16660,
  [16662] = 16662,
  [16663] = 16657,
  [16664] = 16657,
  [16665] = 16660,
  [16666] = 16662,
  [16667] = 16656,
  [16668] = 16668,
  [16669] = 16669,
  [16670] = 16668,
  [16671] = 16662,
  [16672] = 16672,
  [16673] = 16668,
  [16674] = 16674,
  [16675] = 16657,
  [16676] = 16668,
  [16677] = 16660,
  [16678] = 16660,
  [16679] = 16679,
  [16680] = 16655,
  [16681] = 16681,
  [16682] = 16682,
  [16683] = 16657,
  [16684] = 16684,
  [16685] = 16662,
  [16686] = 16655,
  [16687] = 16679,
  [16688] = 16662,
  [16689] = 16672,
  [16690] = 16655,
  [16691] = 16682,
  [16692] = 16672,
  [16693] = 16679,
  [16694] = 16672,
  [16695] = 16657,
  [16696] = 16655,
  [16697] = 16660,
  [16698] = 16682,
  [16699] = 16679,
  [16700] = 16660,
  [16701] = 16668,
  [16702] = 16657,
  [16703] = 16655,
  [16704] = 16662,
  [16705] = 16657,
  [16706] = 16679,
  [16707] = 16656,
  [16708] = 16660,
  [16709] = 16709,
  [16710] = 16710,
  [16711] = 16672,
  [16712] = 16662,
  [16713] = 16682,
  [16714] = 16656,
  [16715] = 16655,
  [16716] = 16660,
  [16717] = 16657,
  [16718] = 16662,
  [16719] = 16668,
  [16720] = 16662,
  [16721] = 16682,
  [16722] = 16668,
  [16723] = 16657,
  [16724] = 16668,
  [16725] = 16679,
  [16726] = 16726,
  [16727] = 16727,
  [16728] = 16660,
  [16729] = 16660,
  [16730] = 16672,
  [16731] = 16656,
  [16732] = 16668,
  [16733] = 16655,
  [16734] = 16657,
  [16735] = 16662,
  [16736] = 16655,
  [16737] = 16660,
  [16738] = 16657,
  [16739] = 16662,
  [16740] = 16668,
  [16741] = 16662,
  [16742] = 16657,
  [16743] = 16655,
  [16744] = 16656,
  [16745] = 16679,
  [16746] = 16682,
  [16747] = 16710,
  [16748] = 16656,
  [16749] = 16660,
  [16750] = 16679,
  [16751] = 16662,
  [16752] = 16672,
  [16753] = 16672,
  [16754] = 16672,
  [16755] = 16660,
  [16756] = 16657,
  [16757] = 16679,
  [16758] = 16657,
  [16759] = 16660,
  [16760] = 16662,
  [16761] = 16668,
  [16762] = 16679,
  [16763] = 16682,
  [16764] = 16668,
  [16765] = 16679,
  [16766] = 16660,
  [16767] = 16655,
  [16768] = 16657,
  [16769] = 16709,
  [16770] = 16672,
  [16771] = 16662,
  [16772] = 16662,
  [16773] = 16656,
  [16774] = 16682,
  [16775] = 16660,
  [16776] = 16672,
  [16777] = 16679,
  [16778] = 16660,
  [16779] = 16656,
  [16780] = 16657,
  [16781] = 16682,
  [16782] = 16660,
  [16783] = 16655,
  [16784] = 16660,
  [16785] = 16679,
  [16786] = 16660,
  [16787] = 16662,
  [16788] = 16655,
  [16789] = 16655,
  [16790] = 16660,
  [16791] = 16657,
  [16792] = 16655,
  [16793] = 16679,
  [16794] = 16660,
  [16795] = 16656,
  [16796] = 16672,
  [16797] = 16679,
  [16798] = 16668,
  [16799] = 16660,
  [16800] = 16672,
  [16801] = 16660,
  [16802] = 16672,
  [16803] = 16682,
  [16804] = 16668,
  [16805] = 16679,
  [16806] = 16682,
  [16807] = 16660,
  [16808] = 16668,
  [16809] = 16681,
  [16810] = 16682,
  [16811] = 16660,
  [16812] = 16684,
  [16813] = 16660,
  [16814] = 16656,
  [16815] = 16656,
  [16816] = 16660,
  [16817] = 16672,
  [16818] = 16668,
  [16819] = 16660,
  [16820] = 16660,
  [16821] = 16679,
  [16822] = 16674,
  [16823] = 16668,
  [16824] = 16682,
  [16825] = 16660,
  [16826] = 16682,
  [16827] = 16682,
  [16828] = 16655,
  [16829] = 16727,
  [16830] = 16726,
  [16831] = 16655,
  [16832] = 16660,
  [16833] = 16660,
  [16834] = 16672,
  [16835] = 16679,
  [16836] = 16662,
  [16837] = 16679,
  [16838] = 16660,
  [16839] = 16656,
  [16840] = 16672,
  [16841] = 16660,
  [16842] = 16682,
  [16843] = 16668,
  [16844] = 16655,
  [16845] = 16657,
  [16846] = 16660,
  [16847] = 16660,
  [16848] = 16656,
  [16849] = 16656,
  [16850] = 16679,
  [16851] = 16660,
  [16852] = 16682,
  [16853] = 16660,
  [16854] = 16672,
  [16855] = 16669,
  [16856] = 16660,
  [16857] = 16660,
  [16858] = 16655,
  [16859] = 16656,
  [16860] = 16656,
  [16861] = 16668,
  [16862] = 16660,
  [16863] = 16669,
  [16864] = 16657,
  [16865] = 16660,
  [16866] = 16655,
  [16867] = 16660,
  [16868] = 16668,
  [16869] = 16655,
  [16870] = 16668,
  [16871] = 16679,
  [16872] = 16679,
  [16873] = 16672,
  [16874] = 16682,
  [16875] = 16660,
  [16876] = 16679,
  [16877] = 16682,
  [16878] = 16655,
  [16879] = 16668,
  [16880] = 16660,
  [16881] = 16672,
  [16882] = 16660,
  [16883] = 16660,
  [16884] = 16672,
  [16885] = 16679,
  [16886] = 16656,
  [16887] = 16672,
  [16888] = 16679,
  [16889] = 16657,
  [16890] = 16660,
  [16891] = 16660,
  [16892] = 16655,
  [16893] = 16668,
  [16894] = 16660,
  [16895] = 16655,
  [16896] = 16672,
  [16897] = 16682,
  [16898] = 16682,
  [16899] = 16682,
  [16900] = 16656,
  [16901] = 16660,
  [16902] = 16660,
  [16903] = 16662,
  [16904] = 16660,
  [16905] = 16655,
  [16906] = 16660,
  [16907] = 16660,
  [16908] = 16679,
  [16909] = 16660,
  [16910] = 16672,
  [16911] = 16660,
  [16912] = 16674,
  [16913] = 16668,
  [16914] = 16660,
  [16915] = 16668,
  [16916] = 16656,
  [16917] = 16682,
  [16918] = 16682,
  [16919] = 16668,
  [16920] = 16660,
  [16921] = 16684,
  [16922] = 16656,
  [16923] = 16656,
  [16924] = 16668,
  [16925] = 16656,
  [16926] = 16657,
  [16927] = 16681,
  [16928] = 16682,
  [16929] = 16655,
  [16930] = 16660,
  [16931] = 16668,
  [16932] = 16672,
  [16933] = 16682,
  [16934] = 16726,
  [16935] = 16727,
  [16936] = 16672,
  [16937] = 16682,
  [16938] = 16679,
  [16939] = 16679,
  [16940] = 16655,
  [16941] = 16679,
  [16942] = 16672,
  [16943] = 16672,
  [16944] = 16672,
  [16945] = 16679,
  [16946] = 16655,
  [16947] = 16672,
  [16948] = 16679,
  [16949] = 16682,
  [16950] = 16682,
  [16951] = 16668,
  [16952] = 16684,
  [16953] = 16681,
  [16954] = 16656,
  [16955] = 16662,
  [16956] = 16655,
  [16957] = 16656,
  [16958] = 16668,
  [16959] = 16655,
  [16960] = 16710,
  [16961] = 16709,
  [16962] = 16656,
  [16963] = 16668,
  [16964] = 16655,
  [16965] = 16684,
  [16966] = 16656,
  [16967] = 16674,
  [16968] = 16679,
  [16969] = 16682,
  [16970] = 16672,
  [16971] = 16669,
  [16972] = 16710,
  [16973] = 16672,
  [16974] = 16709,
  [16975] = 16679,
  [16976] = 16682,
  [16977] = 16672,
  [16978] = 16710,
  [16979] = 16679,
  [16980] = 16668,
  [16981] = 16655,
  [16982] = 16656,
  [16983] = 16656,
  [16984] = 16682,
  [16985] = 16709,
  [16986] = 16655,
  [16987] = 16657,
  [16988] = 16655,
  [16989] = 16726,
  [16990] = 16727,
  [16991] = 16655,
  [16992] = 16668,
  [16993] = 16679,
  [16994] = 16672,
  [16995] = 16656,
  [16996] = 16682,
  [16997] = 16672,
  [16998] = 16682,
  [16999] = 16668,
  [17000] = 16679,
  [17001] = 16656,
  [17002] = 16668,
  [17003] = 16660,
  [17004] = 16681,
  [17005] = 16672,
  [17006] = 16668,
  [17007] = 16679,
  [17008] = 16672,
  [17009] = 16679,
  [17010] = 16662,
  [17011] = 16682,
  [17012] = 16682,
  [17013] = 16668,
  [17014] = 16668,
  [17015] = 16668,
  [17016] = 16656,
  [17017] = 16655,
  [17018] = 16672,
  [17019] = 16674,
  [17020] = 16682,
  [17021] = 16672,
  [17022] = 16656,
  [17023] = 16679,
  [17024] = 16710,
  [17025] = 16709,
  [17026] = 16656,
  [17027] = 16655,
  [17028] = 16668,
  [17029] = 16662,
  [17030] = 17030,
  [17031] = 16674,
  [17032] = 4341,
  [17033] = 16655,
  [17034] = 16656,
  [17035] = 16679,
  [17036] = 16669,
  [17037] = 16672,
  [17038] = 16727,
  [17039] = 16668,
  [17040] = 16682,
  [17041] = 16726,
  [17042] = 16668,
  [17043] = 16656,
  [17044] = 16656,
  [17045] = 16655,
  [17046] = 16682,
  [17047] = 16672,
  [17048] = 16679,
  [17049] = 16669,
  [17050] = 16681,
  [17051] = 16655,
  [17052] = 16684,
  [17053] = 16668,
  [17054] = 16655,
  [17055] = 16655,
  [17056] = 16726,
  [17057] = 16727,
  [17058] = 16656,
  [17059] = 16682,
  [17060] = 16669,
  [17061] = 16657,
  [17062] = 16679,
  [17063] = 16674,
  [17064] = 16672,
  [17065] = 16656,
  [17066] = 16672,
  [17067] = 16709,
  [17068] = 16710,
  [17069] = 16660,
  [17070] = 16679,
  [17071] = 16655,
  [17072] = 4343,
  [17073] = 4347,
  [17074] = 4352,
  [17075] = 4353,
  [17076] = 16668,
  [17077] = 16682,
  [17078] = 16655,
  [17079] = 16656,
  [17080] = 16679,
  [17081] = 16662,
  [17082] = 16662,
  [17083] = 16668,
  [17084] = 16679,
  [17085] = 16668,
  [17086] = 16682,
  [17087] = 16672,
  [17088] = 16662,
  [17089] = 16655,
  [17090] = 16679,
  [17091] = 16655,
  [17092] = 16668,
  [17093] = 16682,
  [17094] = 6902,
  [17095] = 16682,
  [17096] = 16668,
  [17097] = 16682,
  [17098] = 16682,
  [17099] = 6904,
  [17100] = 16662,
  [17101] = 16672,
  [17102] = 16679,
  [17103] = 16656,
  [17104] = 6520,
  [17105] = 16656,
  [17106] = 16681,
  [17107] = 16684,
  [17108] = 16655,
  [17109] = 16672,
  [17110] = 16684,
  [17111] = 16681,
  [17112] = 16682,
  [17113] = 16672,
  [17114] = 16668,
  [17115] = 16682,
  [17116] = 16655,
  [17117] = 17117,
  [17118] = 16679,
  [17119] = 16656,
  [17120] = 16682,
  [17121] = 16679,
  [17122] = 16679,
  [17123] = 17123,
  [17124] = 16672,
  [17125] = 16672,
  [17126] = 16679,
  [17127] = 16672,
  [17128] = 17128,
  [17129] = 16668,
  [17130] = 16660,
  [17131] = 16679,
  [17132] = 16682,
  [17133] = 16657,
  [17134] = 16668,
  [17135] = 15751,
  [17136] = 17136,
  [17137] = 16657,
  [17138] = 16655,
  [17139] = 16655,
  [17140] = 16668,
  [17141] = 16682,
  [17142] = 16674,
  [17143] = 16672,
  [17144] = 16682,
  [17145] = 16660,
  [17146] = 17146,
  [17147] = 16710,
  [17148] = 16727,
  [17149] = 16726,
  [17150] = 16656,
  [17151] = 16709,
  [17152] = 17152,
  [17153] = 16672,
  [17154] = 16679,
  [17155] = 16679,
  [17156] = 16679,
  [17157] = 16669,
  [17158] = 16672,
  [17159] = 16655,
  [17160] = 16656,
  [17161] = 16655,
  [17162] = 17162,
  [17163] = 16668,
  [17164] = 16682,
  [17165] = 16669,
  [17166] = 16656,
  [17167] = 16662,
  [17168] = 16674,
  [17169] = 16656,
  [17170] = 17170,
  [17171] = 16709,
  [17172] = 16710,
  [17173] = 17173,
  [17174] = 16655,
  [17175] = 16668,
  [17176] = 16656,
  [17177] = 16668,
  [17178] = 17178,
  [17179] = 16655,
  [17180] = 16679,
  [17181] = 16682,
  [17182] = 16656,
  [17183] = 16668,
  [17184] = 16727,
  [17185] = 16668,
  [17186] = 16726,
  [17187] = 16672,
  [17188] = 16672,
  [17189] = 16674,
  [17190] = 16681,
  [17191] = 16682,
  [17192] = 16679,
  [17193] = 16660,
  [17194] = 16656,
  [17195] = 16669,
  [17196] = 16726,
  [17197] = 16684,
  [17198] = 16682,
  [17199] = 16655,
  [17200] = 16655,
  [17201] = 16682,
  [17202] = 16668,
  [17203] = 16727,
  [17204] = 16655,
  [17205] = 16655,
  [17206] = 17206,
  [17207] = 16672,
  [17208] = 16656,
  [17209] = 16726,
  [17210] = 16657,
  [17211] = 16679,
  [17212] = 16727,
  [17213] = 16669,
  [17214] = 16726,
  [17215] = 16657,
  [17216] = 9609,
  [17217] = 16655,
  [17218] = 16727,
  [17219] = 17219,
  [17220] = 4298,
  [17221] = 16660,
  [17222] = 16679,
  [17223] = 16672,
  [17224] = 16679,
  [17225] = 16655,
  [17226] = 16727,
  [17227] = 16656,
  [17228] = 16726,
  [17229] = 16655,
  [17230] = 16657,
  [17231] = 16655,
  [17232] = 16681,
  [17233] = 16656,
  [17234] = 16679,
  [17235] = 16655,
  [17236] = 16668,
  [17237] = 16672,
  [17238] = 16674,
  [17239] = 16668,
  [17240] = 16679,
  [17241] = 16679,
  [17242] = 16682,
  [17243] = 16682,
  [17244] = 16672,
  [17245] = 16672,
  [17246] = 16679,
  [17247] = 16669,
  [17248] = 16682,
  [17249] = 16672,
  [17250] = 16682,
  [17251] = 16684,
  [17252] = 16681,
  [17253] = 16679,
  [17254] = 16672,
  [17255] = 16682,
  [17256] = 16674,
  [17257] = 16672,
  [17258] = 16668,
  [17259] = 16660,
  [17260] = 16672,
  [17261] = 16655,
  [17262] = 16679,
  [17263] = 16662,
  [17264] = 16656,
  [17265] = 16656,
  [17266] = 16709,
  [17267] = 16682,
  [17268] = 16668,
  [17269] = 16655,
  [17270] = 16710,
  [17271] = 16710,
  [17272] = 16684,
  [17273] = 17273,
  [17274] = 16656,
  [17275] = 16709,
  [17276] = 16656,
  [17277] = 16710,
  [17278] = 16668,
  [17279] = 16668,
  [17280] = 16656,
  [17281] = 16668,
  [17282] = 16710,
  [17283] = 16657,
  [17284] = 16668,
  [17285] = 16709,
  [17286] = 16656,
  [17287] = 16656,
  [17288] = 16682,
  [17289] = 16681,
  [17290] = 16660,
  [17291] = 16672,
  [17292] = 16684,
  [17293] = 16668,
  [17294] = 16679,
  [17295] = 16655,
  [17296] = 16655,
  [17297] = 16710,
  [17298] = 16668,
  [17299] = 16682,
  [17300] = 16672,
  [17301] = 16679,
  [17302] = 16655,
  [17303] = 16679,
  [17304] = 16672,
  [17305] = 16709,
  [17306] = 16682,
  [17307] = 16682,
  [17308] = 16679,
  [17309] = 16662,
  [17310] = 16727,
  [17311] = 16672,
  [17312] = 16672,
  [17313] = 16662,
  [17314] = 16674,
  [17315] = 16679,
  [17316] = 16668,
  [17317] = 16726,
  [17318] = 16682,
  [17319] = 16656,
  [17320] = 16681,
  [17321] = 16656,
  [17322] = 16656,
  [17323] = 17030,
  [17324] = 16684,
  [17325] = 16710,
  [17326] = 16710,
  [17327] = 16668,
  [17328] = 16668,
  [17329] = 16655,
  [17330] = 16710,
  [17331] = 16710,
  [17332] = 16682,
  [17333] = 16669,
  [17334] = 16710,
  [17335] = 16682,
  [17336] = 16655,
  [17337] = 16672,
  [17338] = 16710,
  [17339] = 16656,
  [17340] = 17340,
  [17341] = 17340,
  [17342] = 17342,
  [17343] = 17343,
  [17344] = 17344,
  [17345] = 17345,
  [17346] = 17346,
  [17347] = 17347,
  [17348] = 17348,
  [17349] = 17349,
  [17350] = 17350,
  [17351] = 17342,
  [17352] = 17348,
  [17353] = 17353,
  [17354] = 17353,
  [17355] = 17345,
  [17356] = 17344,
  [17357] = 17357,
  [17358] = 17342,
  [17359] = 17347,
  [17360] = 17343,
  [17361] = 17361,
  [17362] = 17362,
  [17363] = 17343,
  [17364] = 17364,
  [17365] = 17344,
  [17366] = 17366,
  [17367] = 17342,
  [17368] = 17347,
  [17369] = 17344,
  [17370] = 17340,
  [17371] = 17357,
  [17372] = 17342,
  [17373] = 17345,
  [17374] = 17340,
  [17375] = 17353,
  [17376] = 17357,
  [17377] = 17357,
  [17378] = 17340,
  [17379] = 17344,
  [17380] = 17364,
  [17381] = 17344,
  [17382] = 17362,
  [17383] = 17350,
  [17384] = 17342,
  [17385] = 17361,
  [17386] = 17340,
  [17387] = 17357,
  [17388] = 17362,
  [17389] = 17366,
  [17390] = 17343,
  [17391] = 17361,
  [17392] = 17343,
  [17393] = 17346,
  [17394] = 17349,
  [17395] = 17349,
  [17396] = 17340,
  [17397] = 17340,
  [17398] = 17346,
  [17399] = 17343,
  [17400] = 17361,
  [17401] = 17346,
  [17402] = 17366,
  [17403] = 17357,
  [17404] = 17343,
  [17405] = 17340,
  [17406] = 17349,
  [17407] = 17343,
  [17408] = 17357,
  [17409] = 17357,
  [17410] = 17342,
  [17411] = 17344,
  [17412] = 17342,
  [17413] = 17347,
  [17414] = 17345,
  [17415] = 17362,
  [17416] = 17353,
  [17417] = 17348,
  [17418] = 17342,
  [17419] = 17344,
  [17420] = 17364,
  [17421] = 17350,
  [17422] = 17340,
  [17423] = 17362,
  [17424] = 17343,
  [17425] = 17344,
  [17426] = 17366,
  [17427] = 17350,
  [17428] = 17357,
  [17429] = 17350,
  [17430] = 17357,
  [17431] = 17362,
  [17432] = 17343,
  [17433] = 17349,
  [17434] = 17344,
  [17435] = 17346,
  [17436] = 17344,
  [17437] = 17340,
  [17438] = 17364,
  [17439] = 17342,
  [17440] = 17342,
  [17441] = 17344,
  [17442] = 17347,
  [17443] = 17340,
  [17444] = 17364,
  [17445] = 17345,
  [17446] = 17348,
  [17447] = 17357,
  [17448] = 17353,
  [17449] = 17348,
  [17450] = 17353,
  [17451] = 17345,
  [17452] = 17343,
  [17453] = 17347,
  [17454] = 17343,
  [17455] = 17350,
  [17456] = 17357,
  [17457] = 17340,
  [17458] = 17344,
  [17459] = 17366,
  [17460] = 17357,
  [17461] = 17343,
  [17462] = 17361,
  [17463] = 17349,
  [17464] = 17342,
  [17465] = 17344,
  [17466] = 17346,
  [17467] = 17362,
  [17468] = 17342,
  [17469] = 17357,
  [17470] = 17343,
  [17471] = 17348,
  [17472] = 17340,
  [17473] = 17349,
  [17474] = 17346,
  [17475] = 17340,
  [17476] = 17340,
  [17477] = 17343,
  [17478] = 17348,
  [17479] = 17353,
  [17480] = 17357,
  [17481] = 17344,
  [17482] = 17346,
  [17483] = 17349,
  [17484] = 17364,
  [17485] = 17343,
  [17486] = 17340,
  [17487] = 17345,
  [17488] = 17347,
  [17489] = 17342,
  [17490] = 17357,
  [17491] = 17347,
  [17492] = 17357,
  [17493] = 17342,
  [17494] = 17345,
  [17495] = 17344,
  [17496] = 17353,
  [17497] = 17348,
  [17498] = 17366,
  [17499] = 17361,
  [17500] = 17342,
  [17501] = 17357,
  [17502] = 17344,
  [17503] = 17362,
  [17504] = 17340,
  [17505] = 17342,
  [17506] = 17343,
  [17507] = 17343,
  [17508] = 17343,
  [17509] = 17362,
  [17510] = 17347,
  [17511] = 17340,
  [17512] = 17353,
  [17513] = 17348,
  [17514] = 17350,
  [17515] = 17357,
  [17516] = 17364,
  [17517] = 17343,
  [17518] = 17350,
  [17519] = 17349,
  [17520] = 17346,
  [17521] = 17344,
  [17522] = 17344,
  [17523] = 17340,
  [17524] = 17366,
  [17525] = 17361,
  [17526] = 17342,
  [17527] = 17342,
  [17528] = 17340,
  [17529] = 17347,
  [17530] = 17345,
  [17531] = 17353,
  [17532] = 17340,
  [17533] = 17348,
  [17534] = 17343,
  [17535] = 17344,
  [17536] = 17348,
  [17537] = 17353,
  [17538] = 17345,
  [17539] = 17347,
  [17540] = 17357,
  [17541] = 17364,
  [17542] = 17344,
  [17543] = 17340,
  [17544] = 17344,
  [17545] = 17362,
  [17546] = 17366,
  [17547] = 17344,
  [17548] = 17361,
  [17549] = 17357,
  [17550] = 17342,
  [17551] = 17346,
  [17552] = 17349,
  [17553] = 17343,
  [17554] = 17342,
  [17555] = 17357,
  [17556] = 17349,
  [17557] = 17346,
  [17558] = 17340,
  [17559] = 17357,
  [17560] = 17343,
  [17561] = 17361,
  [17562] = 17362,
  [17563] = 17340,
  [17564] = 17366,
  [17565] = 17340,
  [17566] = 17343,
  [17567] = 17342,
  [17568] = 17357,
  [17569] = 17340,
  [17570] = 17364,
  [17571] = 17347,
  [17572] = 17346,
  [17573] = 17349,
  [17574] = 17350,
  [17575] = 17343,
  [17576] = 17350,
  [17577] = 17347,
  [17578] = 17345,
  [17579] = 17357,
  [17580] = 17364,
  [17581] = 17353,
  [17582] = 17348,
  [17583] = 17344,
  [17584] = 17366,
  [17585] = 17342,
  [17586] = 17361,
  [17587] = 17362,
  [17588] = 17364,
  [17589] = 17344,
  [17590] = 17340,
  [17591] = 17344,
  [17592] = 17357,
  [17593] = 17343,
  [17594] = 17362,
  [17595] = 17357,
  [17596] = 17343,
  [17597] = 17364,
  [17598] = 17362,
  [17599] = 17349,
  [17600] = 17346,
  [17601] = 17364,
  [17602] = 17364,
  [17603] = 17344,
  [17604] = 17342,
  [17605] = 17364,
  [17606] = 17342,
  [17607] = 17347,
  [17608] = 17345,
  [17609] = 17357,
  [17610] = 17353,
  [17611] = 17348,
  [17612] = 17344,
  [17613] = 17344,
  [17614] = 17343,
  [17615] = 17340,
  [17616] = 17344,
  [17617] = 17364,
  [17618] = 17343,
  [17619] = 17340,
  [17620] = 17357,
  [17621] = 17362,
  [17622] = 17364,
  [17623] = 17364,
  [17624] = 17357,
  [17625] = 17344,
  [17626] = 17348,
  [17627] = 17353,
  [17628] = 17345,
  [17629] = 17347,
  [17630] = 17357,
  [17631] = 17343,
  [17632] = 17343,
  [17633] = 17349,
  [17634] = 17346,
  [17635] = 17342,
  [17636] = 17364,
  [17637] = 17349,
  [17638] = 17340,
  [17639] = 17364,
  [17640] = 17342,
  [17641] = 17344,
  [17642] = 17346,
  [17643] = 17345,
  [17644] = 17342,
  [17645] = 17348,
  [17646] = 17340,
  [17647] = 17343,
  [17648] = 17347,
  [17649] = 17364,
  [17650] = 17357,
  [17651] = 17345,
  [17652] = 17340,
  [17653] = 17353,
  [17654] = 17343,
  [17655] = 17344,
  [17656] = 17364,
  [17657] = 17348,
  [17658] = 17340,
  [17659] = 17344,
  [17660] = 17342,
  [17661] = 17357,
  [17662] = 17362,
  [17663] = 17353,
  [17664] = 17342,
  [17665] = 17346,
  [17666] = 17343,
  [17667] = 17349,
  [17668] = 17364,
  [17669] = 17343,
  [17670] = 17345,
  [17671] = 17340,
  [17672] = 17357,
  [17673] = 17347,
  [17674] = 17345,
  [17675] = 17353,
  [17676] = 17357,
  [17677] = 17348,
  [17678] = 17343,
  [17679] = 17340,
  [17680] = 17364,
  [17681] = 17349,
  [17682] = 17346,
  [17683] = 17343,
  [17684] = 17340,
  [17685] = 17357,
  [17686] = 17364,
  [17687] = 17362,
  [17688] = 17342,
  [17689] = 17364,
  [17690] = 17344,
  [17691] = 17347,
  [17692] = 17345,
  [17693] = 17364,
  [17694] = 17348,
  [17695] = 17342,
  [17696] = 17364,
  [17697] = 17344,
  [17698] = 17364,
  [17699] = 17348,
  [17700] = 17362,
  [17701] = 17342,
  [17702] = 17340,
  [17703] = 17362,
  [17704] = 17343,
  [17705] = 17364,
  [17706] = 17364,
  [17707] = 17357,
  [17708] = 17364,
  [17709] = 17364,
  [17710] = 17357,
  [17711] = 17364,
  [17712] = 17347,
  [17713] = 17349,
  [17714] = 17346,
  [17715] = 17364,
  [17716] = 17344,
  [17717] = 17340,
  [17718] = 17364,
  [17719] = 17364,
  [17720] = 17342,
  [17721] = 17342,
  [17722] = 17364,
  [17723] = 17340,
  [17724] = 17364,
  [17725] = 17353,
  [17726] = 17347,
  [17727] = 17345,
  [17728] = 17353,
  [17729] = 17364,
  [17730] = 17344,
  [17731] = 17340,
  [17732] = 17348,
  [17733] = 17343,
  [17734] = 17364,
  [17735] = 17357,
  [17736] = 17364,
  [17737] = 17344,
  [17738] = 17364,
  [17739] = 17364,
  [17740] = 17362,
  [17741] = 17364,
  [17742] = 17344,
  [17743] = 17364,
  [17744] = 17357,
  [17745] = 17342,
  [17746] = 17364,
  [17747] = 17343,
  [17748] = 17364,
  [17749] = 17349,
  [17750] = 17346,
  [17751] = 17340,
  [17752] = 17364,
  [17753] = 17353,
  [17754] = 17345,
  [17755] = 17340,
  [17756] = 17364,
  [17757] = 17346,
  [17758] = 17364,
  [17759] = 17347,
  [17760] = 17343,
  [17761] = 17342,
  [17762] = 17349,
  [17763] = 17357,
  [17764] = 17364,
  [17765] = 17344,
  [17766] = 17364,
  [17767] = 17343,
  [17768] = 17364,
  [17769] = 17345,
  [17770] = 17362,
  [17771] = 17353,
  [17772] = 17348,
  [17773] = 17364,
  [17774] = 17344,
  [17775] = 17344,
  [17776] = 17364,
  [17777] = 17342,
  [17778] = 17342,
  [17779] = 17364,
  [17780] = 17362,
  [17781] = 17364,
  [17782] = 17364,
  [17783] = 17340,
  [17784] = 17361,
  [17785] = 17364,
  [17786] = 17357,
  [17787] = 17343,
  [17788] = 17364,
  [17789] = 17364,
  [17790] = 17366,
  [17791] = 17357,
  [17792] = 17343,
  [17793] = 17349,
  [17794] = 17364,
  [17795] = 17346,
  [17796] = 17364,
  [17797] = 17340,
  [17798] = 17364,
  [17799] = 17364,
  [17800] = 17344,
  [17801] = 17342,
  [17802] = 17364,
  [17803] = 17357,
  [17804] = 17342,
  [17805] = 17347,
  [17806] = 17345,
  [17807] = 17350,
  [17808] = 17353,
  [17809] = 17348,
  [17810] = 17344,
  [17811] = 17340,
  [17812] = 17343,
  [17813] = 17813,
  [17814] = 17357,
  [17815] = 17362,
  [17816] = 17342,
  [17817] = 17357,
  [17818] = 17344,
  [17819] = 17364,
  [17820] = 17344,
  [17821] = 17343,
  [17822] = 17349,
  [17823] = 17346,
  [17824] = 17362,
  [17825] = 17342,
  [17826] = 17340,
  [17827] = 17348,
  [17828] = 17353,
  [17829] = 17345,
  [17830] = 17342,
  [17831] = 17347,
  [17832] = 17340,
  [17833] = 17342,
  [17834] = 17343,
  [17835] = 17347,
  [17836] = 17357,
  [17837] = 17345,
  [17838] = 17353,
  [17839] = 17348,
  [17840] = 17340,
  [17841] = 17344,
  [17842] = 17346,
  [17843] = 17344,
  [17844] = 17340,
  [17845] = 17349,
  [17846] = 17343,
  [17847] = 17362,
  [17848] = 17357,
  [17849] = 17342,
  [17850] = 17357,
  [17851] = 17349,
  [17852] = 17362,
  [17853] = 17349,
  [17854] = 17346,
  [17855] = 17340,
  [17856] = 17343,
  [17857] = 17344,
  [17858] = 17357,
  [17859] = 4600,
  [17860] = 17347,
  [17861] = 17345,
  [17862] = 17353,
  [17863] = 17348,
  [17864] = 17344,
  [17865] = 17348,
  [17866] = 17353,
  [17867] = 17344,
  [17868] = 17345,
  [17869] = 17347,
  [17870] = 17342,
  [17871] = 17362,
  [17872] = 17342,
  [17873] = 17340,
  [17874] = 17357,
  [17875] = 17343,
  [17876] = 17343,
  [17877] = 17349,
  [17878] = 4669,
  [17879] = 17346,
  [17880] = 17357,
  [17881] = 4673,
  [17882] = 17343,
  [17883] = 4787,
  [17884] = 17340,
  [17885] = 4719,
  [17886] = 4273,
  [17887] = 4763,
  [17888] = 4582,
  [17889] = 4585,
  [17890] = 17342,
  [17891] = 4586,
  [17892] = 4587,
  [17893] = 4590,
  [17894] = 4591,
  [17895] = 4596,
  [17896] = 17344,
  [17897] = 17344,
  [17898] = 17347,
  [17899] = 17345,
  [17900] = 17353,
  [17901] = 4601,
  [17902] = 17348,
  [17903] = 4606,
  [17904] = 4607,
  [17905] = 4610,
  [17906] = 17342,
  [17907] = 4611,
  [17908] = 4797,
  [17909] = 17343,
  [17910] = 4619,
  [17911] = 4621,
  [17912] = 4622,
  [17913] = 4624,
  [17914] = 17362,
  [17915] = 17346,
  [17916] = 17349,
  [17917] = 4625,
  [17918] = 17343,
  [17919] = 4627,
  [17920] = 17340,
  [17921] = 17357,
  [17922] = 17357,
  [17923] = 4788,
  [17924] = 17346,
  [17925] = 17349,
  [17926] = 4643,
  [17927] = 17343,
  [17928] = 17357,
  [17929] = 17349,
  [17930] = 4645,
  [17931] = 4651,
  [17932] = 17346,
  [17933] = 17343,
  [17934] = 17343,
  [17935] = 4567,
  [17936] = 17340,
  [17937] = 4576,
  [17938] = 17349,
  [17939] = 17342,
  [17940] = 17346,
  [17941] = 17357,
  [17942] = 4617,
  [17943] = 4806,
  [17944] = 17340,
  [17945] = 17362,
  [17946] = 4581,
  [17947] = 4718,
  [17948] = 17362,
  [17949] = 17347,
  [17950] = 4656,
  [17951] = 4341,
  [17952] = 17344,
  [17953] = 17345,
  [17954] = 17353,
  [17955] = 17348,
  [17956] = 7290,
  [17957] = 17347,
  [17958] = 17348,
  [17959] = 17342,
  [17960] = 17353,
  [17961] = 17345,
  [17962] = 17353,
  [17963] = 17347,
  [17964] = 17344,
  [17965] = 17348,
  [17966] = 6193,
  [17967] = 6122,
  [17968] = 17342,
  [17969] = 17344,
  [17970] = 17362,
  [17971] = 17813,
  [17972] = 17340,
  [17973] = 17346,
  [17974] = 17357,
  [17975] = 17364,
  [17976] = 17349,
  [17977] = 17344,
  [17978] = 17349,
  [17979] = 17343,
  [17980] = 17349,
  [17981] = 17346,
  [17982] = 17357,
  [17983] = 17340,
  [17984] = 17346,
  [17985] = 17350,
  [17986] = 17362,
  [17987] = 17813,
  [17988] = 17342,
  [17989] = 17340,
  [17990] = 17347,
  [17991] = 17344,
  [17992] = 17362,
  [17993] = 17348,
  [17994] = 17353,
  [17995] = 17366,
  [17996] = 17345,
  [17997] = 17361,
  [17998] = 17345,
  [17999] = 17347,
  [18000] = 17353,
  [18001] = 17348,
  [18002] = 17348,
  [18003] = 17353,
  [18004] = 17345,
  [18005] = 17347,
  [18006] = 17813,
  [18007] = 17345,
  [18008] = 17342,
  [18009] = 18009,
  [18010] = 17362,
  [18011] = 17342,
  [18012] = 17344,
  [18013] = 17349,
  [18014] = 17340,
  [18015] = 17357,
  [18016] = 17357,
  [18017] = 17343,
  [18018] = 17343,
  [18019] = 17349,
  [18020] = 17346,
  [18021] = 17346,
  [18022] = 17343,
  [18023] = 17340,
  [18024] = 17349,
  [18025] = 17342,
  [18026] = 17346,
  [18027] = 17342,
  [18028] = 17343,
  [18029] = 17340,
  [18030] = 17340,
  [18031] = 17813,
  [18032] = 17357,
  [18033] = 17357,
  [18034] = 17362,
  [18035] = 17347,
  [18036] = 17347,
  [18037] = 17345,
  [18038] = 17353,
  [18039] = 17348,
  [18040] = 17347,
  [18041] = 17345,
  [18042] = 17353,
  [18043] = 17348,
  [18044] = 17344,
  [18045] = 17346,
  [18046] = 17349,
  [18047] = 17813,
  [18048] = 17343,
  [18049] = 17348,
  [18050] = 17353,
  [18051] = 17357,
  [18052] = 17345,
  [18053] = 17347,
  [18054] = 17344,
  [18055] = 18055,
  [18056] = 17813,
  [18057] = 17344,
  [18058] = 17342,
  [18059] = 18059,
  [18060] = 17362,
  [18061] = 17813,
  [18062] = 17813,
  [18063] = 17357,
  [18064] = 17813,
  [18065] = 17340,
  [18066] = 17362,
  [18067] = 17343,
  [18068] = 17349,
  [18069] = 17346,
  [18070] = 17346,
  [18071] = 17349,
  [18072] = 17340,
  [18073] = 17813,
  [18074] = 17343,
  [18075] = 17813,
  [18076] = 17362,
  [18077] = 17361,
  [18078] = 17357,
  [18079] = 17813,
  [18080] = 17342,
  [18081] = 17366,
  [18082] = 17357,
  [18083] = 17343,
  [18084] = 17362,
  [18085] = 17362,
  [18086] = 17344,
  [18087] = 17347,
  [18088] = 17345,
  [18089] = 17353,
  [18090] = 17349,
  [18091] = 17346,
  [18092] = 17348,
  [18093] = 17344,
  [18094] = 17348,
  [18095] = 17344,
  [18096] = 17353,
  [18097] = 17340,
  [18098] = 17345,
  [18099] = 17357,
  [18100] = 17342,
  [18101] = 17342,
  [18102] = 17344,
  [18103] = 17362,
  [18104] = 17357,
  [18105] = 18105,
  [18106] = 17348,
  [18107] = 17353,
  [18108] = 17345,
  [18109] = 17347,
  [18110] = 17343,
  [18111] = 17349,
  [18112] = 17340,
  [18113] = 17346,
  [18114] = 17350,
  [18115] = 17347,
  [18116] = 17345,
  [18117] = 17346,
  [18118] = 17353,
  [18119] = 17348,
  [18120] = 17342,
  [18121] = 17349,
  [18122] = 17343,
  [18123] = 17348,
  [18124] = 17353,
  [18125] = 17345,
  [18126] = 17342,
  [18127] = 17347,
  [18128] = 17357,
  [18129] = 17362,
  [18130] = 17344,
  [18131] = 17347,
  [18132] = 17364,
  [18133] = 17345,
  [18134] = 17353,
  [18135] = 17348,
  [18136] = 17340,
  [18137] = 17362,
  [18138] = 17340,
  [18139] = 17344,
  [18140] = 17344,
  [18141] = 17348,
  [18142] = 17353,
  [18143] = 17345,
  [18144] = 17347,
  [18145] = 17342,
  [18146] = 17342,
  [18147] = 17340,
  [18148] = 17346,
  [18149] = 17357,
  [18150] = 17349,
  [18151] = 17343,
  [18152] = 17343,
  [18153] = 17346,
  [18154] = 18154,
  [18155] = 18155,
  [18156] = 18156,
  [18157] = 18157,
  [18158] = 18158,
  [18159] = 18159,
  [18160] = 18160,
  [18161] = 18161,
  [18162] = 18162,
  [18163] = 18163,
  [18164] = 18164,
  [18165] = 18165,
  [18166] = 18166,
  [18167] = 18167,
  [18168] = 18168,
  [18169] = 18169,
  [18170] = 18170,
  [18171] = 18171,
  [18172] = 18172,
  [18173] = 18173,
  [18174] = 18174,
  [18175] = 18175,
  [18176] = 18176,
  [18177] = 18177,
  [18178] = 18178,
  [18179] = 18179,
  [18180] = 18180,
  [18181] = 18181,
  [18182] = 18182,
  [18183] = 18183,
  [18184] = 18184,
  [18185] = 18154,
  [18186] = 18186,
  [18187] = 18187,
  [18188] = 18188,
  [18189] = 18189,
  [18190] = 18190,
  [18191] = 18191,
  [18192] = 18192,
  [18193] = 18193,
  [18194] = 18194,
  [18195] = 18195,
  [18196] = 18196,
  [18197] = 18197,
  [18198] = 18198,
  [18199] = 18199,
  [18200] = 18200,
  [18201] = 18201,
  [18202] = 18202,
  [18203] = 18203,
  [18204] = 18204,
  [18205] = 18205,
  [18206] = 18206,
  [18207] = 18207,
  [18208] = 18208,
  [18209] = 18209,
  [18210] = 18210,
  [18211] = 18193,
  [18212] = 18212,
  [18213] = 18213,
  [18214] = 18214,
  [18215] = 18215,
  [18216] = 18216,
  [18217] = 18186,
  [18218] = 18218,
  [18219] = 18219,
  [18220] = 18220,
  [18221] = 18220,
  [18222] = 18219,
  [18223] = 18218,
  [18224] = 18159,
  [18225] = 18191,
  [18226] = 18216,
  [18227] = 18215,
  [18228] = 18210,
  [18229] = 18208,
  [18230] = 18230,
  [18231] = 18214,
  [18232] = 18213,
  [18233] = 18212,
  [18234] = 18209,
  [18235] = 18202,
  [18236] = 18201,
  [18237] = 18196,
  [18238] = 18195,
  [18239] = 18194,
  [18240] = 18199,
  [18241] = 18192,
  [18242] = 18188,
  [18243] = 18187,
  [18244] = 18207,
  [18245] = 18186,
  [18246] = 18206,
  [18247] = 18184,
  [18248] = 18205,
  [18249] = 18183,
  [18250] = 18182,
  [18251] = 18204,
  [18252] = 18169,
  [18253] = 18168,
  [18254] = 18164,
  [18255] = 18163,
  [18256] = 18162,
  [18257] = 18161,
  [18258] = 18155,
  [18259] = 18156,
  [18260] = 18203,
  [18261] = 18200,
  [18262] = 18199,
  [18263] = 18198,
  [18264] = 18197,
  [18265] = 18157,
  [18266] = 18158,
  [18267] = 18230,
  [18268] = 18160,
  [18269] = 18190,
  [18270] = 18189,
  [18271] = 18181,
  [18272] = 18180,
  [18273] = 18165,
  [18274] = 18166,
  [18275] = 18167,
  [18276] = 18179,
  [18277] = 18178,
  [18278] = 18170,
  [18279] = 18171,
  [18280] = 18172,
  [18281] = 18173,
  [18282] = 18174,
  [18283] = 18175,
  [18284] = 18176,
  [18285] = 18177,
  [18286] = 18178,
  [18287] = 18179,
  [18288] = 18180,
  [18289] = 18181,
  [18290] = 18177,
  [18291] = 18176,
  [18292] = 18175,
  [18293] = 18154,
  [18294] = 18174,
  [18295] = 18173,
  [18296] = 18172,
  [18297] = 18189,
  [18298] = 18190,
  [18299] = 18171,
  [18300] = 18170,
  [18301] = 18167,
  [18302] = 18166,
  [18303] = 18165,
  [18304] = 18160,
  [18305] = 18197,
  [18306] = 18198,
  [18307] = 18214,
  [18308] = 18200,
  [18309] = 18158,
  [18310] = 18157,
  [18311] = 18203,
  [18312] = 18204,
  [18313] = 18205,
  [18314] = 18206,
  [18315] = 18207,
  [18316] = 18208,
  [18317] = 18156,
  [18318] = 18210,
  [18319] = 18191,
  [18320] = 18155,
  [18321] = 18161,
  [18322] = 18162,
  [18323] = 18163,
  [18324] = 18164,
  [18325] = 18168,
  [18326] = 18169,
  [18327] = 18219,
  [18328] = 18182,
  [18329] = 18220,
  [18330] = 18183,
  [18331] = 18218,
  [18332] = 18159,
  [18333] = 18184,
  [18334] = 18216,
  [18335] = 18215,
  [18336] = 18192,
  [18337] = 18187,
  [18338] = 18230,
  [18339] = 18188,
  [18340] = 18213,
  [18341] = 18212,
  [18342] = 18209,
  [18343] = 18202,
  [18344] = 18201,
  [18345] = 18196,
  [18346] = 18195,
  [18347] = 18194,
  [18348] = 18193,
  [18349] = 18192,
  [18350] = 18188,
  [18351] = 18187,
  [18352] = 18190,
  [18353] = 18186,
  [18354] = 18193,
  [18355] = 18184,
  [18356] = 18206,
  [18357] = 18183,
  [18358] = 18182,
  [18359] = 18194,
  [18360] = 18169,
  [18361] = 18168,
  [18362] = 18164,
  [18363] = 18163,
  [18364] = 18162,
  [18365] = 18161,
  [18366] = 18155,
  [18367] = 18156,
  [18368] = 18195,
  [18369] = 18196,
  [18370] = 18201,
  [18371] = 18202,
  [18372] = 18209,
  [18373] = 18157,
  [18374] = 18158,
  [18375] = 18212,
  [18376] = 18160,
  [18377] = 18213,
  [18378] = 18214,
  [18379] = 18154,
  [18380] = 18215,
  [18381] = 18165,
  [18382] = 18166,
  [18383] = 18167,
  [18384] = 18216,
  [18385] = 18159,
  [18386] = 18170,
  [18387] = 18171,
  [18388] = 18172,
  [18389] = 18173,
  [18390] = 18174,
  [18391] = 18175,
  [18392] = 18176,
  [18393] = 18177,
  [18394] = 18178,
  [18395] = 18179,
  [18396] = 18180,
  [18397] = 18181,
  [18398] = 18218,
  [18399] = 18220,
  [18400] = 18219,
  [18401] = 18154,
  [18402] = 18154,
  [18403] = 18191,
  [18404] = 18210,
  [18405] = 18189,
  [18406] = 18190,
  [18407] = 18208,
  [18408] = 18207,
  [18409] = 18206,
  [18410] = 18205,
  [18411] = 18204,
  [18412] = 18203,
  [18413] = 18197,
  [18414] = 18198,
  [18415] = 18199,
  [18416] = 18159,
  [18417] = 18200,
  [18418] = 18159,
  [18419] = 18200,
  [18420] = 18203,
  [18421] = 18204,
  [18422] = 18205,
  [18423] = 18182,
  [18424] = 18207,
  [18425] = 18208,
  [18426] = 18199,
  [18427] = 18210,
  [18428] = 18191,
  [18429] = 18198,
  [18430] = 18197,
  [18431] = 18431,
  [18432] = 18230,
  [18433] = 18189,
  [18434] = 18230,
  [18435] = 18154,
  [18436] = 18219,
  [18437] = 18181,
  [18438] = 18220,
  [18439] = 18180,
  [18440] = 18218,
  [18441] = 18159,
  [18442] = 18179,
  [18443] = 18216,
  [18444] = 18215,
  [18445] = 18178,
  [18446] = 18177,
  [18447] = 18230,
  [18448] = 18214,
  [18449] = 18213,
  [18450] = 18212,
  [18451] = 18209,
  [18452] = 18202,
  [18453] = 18201,
  [18454] = 18196,
  [18455] = 18195,
  [18456] = 18194,
  [18457] = 18193,
  [18458] = 18192,
  [18459] = 18188,
  [18460] = 18187,
  [18461] = 18176,
  [18462] = 18186,
  [18463] = 18175,
  [18464] = 18184,
  [18465] = 18174,
  [18466] = 18183,
  [18467] = 18162,
  [18468] = 18173,
  [18469] = 18169,
  [18470] = 18168,
  [18471] = 18164,
  [18472] = 18163,
  [18473] = 18191,
  [18474] = 18161,
  [18475] = 18155,
  [18476] = 18156,
  [18477] = 18155,
  [18478] = 18171,
  [18479] = 18170,
  [18480] = 18167,
  [18481] = 18166,
  [18482] = 18157,
  [18483] = 18158,
  [18484] = 18165,
  [18485] = 18160,
  [18486] = 18160,
  [18487] = 18158,
  [18488] = 18157,
  [18489] = 18156,
  [18490] = 18165,
  [18491] = 18166,
  [18492] = 18167,
  [18493] = 18159,
  [18494] = 18161,
  [18495] = 18170,
  [18496] = 18171,
  [18497] = 18172,
  [18498] = 18162,
  [18499] = 18163,
  [18500] = 18173,
  [18501] = 18174,
  [18502] = 18175,
  [18503] = 18176,
  [18504] = 18177,
  [18505] = 18178,
  [18506] = 18179,
  [18507] = 18180,
  [18508] = 18164,
  [18509] = 18168,
  [18510] = 18169,
  [18511] = 18431,
  [18512] = 18182,
  [18513] = 18181,
  [18514] = 18183,
  [18515] = 18184,
  [18516] = 18186,
  [18517] = 18172,
  [18518] = 18188,
  [18519] = 18154,
  [18520] = 18192,
  [18521] = 18193,
  [18522] = 18194,
  [18523] = 18189,
  [18524] = 18190,
  [18525] = 18195,
  [18526] = 18196,
  [18527] = 18201,
  [18528] = 18202,
  [18529] = 18209,
  [18530] = 18212,
  [18531] = 18213,
  [18532] = 18214,
  [18533] = 18230,
  [18534] = 18189,
  [18535] = 18218,
  [18536] = 18220,
  [18537] = 18219,
  [18538] = 18187,
  [18539] = 18197,
  [18540] = 18198,
  [18541] = 18199,
  [18542] = 18200,
  [18543] = 18197,
  [18544] = 18190,
  [18545] = 18203,
  [18546] = 18204,
  [18547] = 18205,
  [18548] = 18206,
  [18549] = 18207,
  [18550] = 18208,
  [18551] = 18189,
  [18552] = 18210,
  [18553] = 18168,
  [18554] = 18154,
  [18555] = 18181,
  [18556] = 18160,
  [18557] = 18219,
  [18558] = 18158,
  [18559] = 18201,
  [18560] = 18157,
  [18561] = 18219,
  [18562] = 18186,
  [18563] = 18220,
  [18564] = 18184,
  [18565] = 18218,
  [18566] = 18159,
  [18567] = 18157,
  [18568] = 18216,
  [18569] = 18215,
  [18570] = 18158,
  [18571] = 18184,
  [18572] = 18230,
  [18573] = 18214,
  [18574] = 18213,
  [18575] = 18212,
  [18576] = 18209,
  [18577] = 18202,
  [18578] = 18201,
  [18579] = 18196,
  [18580] = 18195,
  [18581] = 18194,
  [18582] = 18193,
  [18583] = 18192,
  [18584] = 18188,
  [18585] = 18187,
  [18586] = 18160,
  [18587] = 18186,
  [18588] = 18186,
  [18589] = 18184,
  [18590] = 18201,
  [18591] = 18183,
  [18592] = 18182,
  [18593] = 18202,
  [18594] = 18169,
  [18595] = 18230,
  [18596] = 18164,
  [18597] = 18163,
  [18598] = 18162,
  [18599] = 18161,
  [18600] = 18155,
  [18601] = 18156,
  [18602] = 18189,
  [18603] = 18159,
  [18604] = 18218,
  [18605] = 18220,
  [18606] = 18219,
  [18607] = 18157,
  [18608] = 18158,
  [18609] = 18219,
  [18610] = 18160,
  [18611] = 18220,
  [18612] = 18197,
  [18613] = 18201,
  [18614] = 18186,
  [18615] = 18165,
  [18616] = 18166,
  [18617] = 18167,
  [18618] = 18184,
  [18619] = 18190,
  [18620] = 18157,
  [18621] = 18158,
  [18622] = 18170,
  [18623] = 18171,
  [18624] = 18172,
  [18625] = 18173,
  [18626] = 18174,
  [18627] = 18175,
  [18628] = 18189,
  [18629] = 18160,
  [18630] = 18154,
  [18631] = 18431,
  [18632] = 18189,
  [18633] = 18176,
  [18634] = 18177,
  [18635] = 18181,
  [18636] = 18219,
  [18637] = 18178,
  [18638] = 18179,
  [18639] = 18180,
  [18640] = 18181,
  [18641] = 18160,
  [18642] = 18220,
  [18643] = 18158,
  [18644] = 18157,
  [18645] = 18184,
  [18646] = 18201,
  [18647] = 18186,
  [18648] = 18186,
  [18649] = 18184,
  [18650] = 18201,
  [18651] = 18202,
  [18652] = 18154,
  [18653] = 18230,
  [18654] = 18157,
  [18655] = 18158,
  [18656] = 18189,
  [18657] = 18190,
  [18658] = 18160,
  [18659] = 18159,
  [18660] = 18218,
  [18661] = 18220,
  [18662] = 18219,
  [18663] = 18189,
  [18664] = 18197,
  [18665] = 18198,
  [18666] = 18199,
  [18667] = 18200,
  [18668] = 18219,
  [18669] = 18197,
  [18670] = 18203,
  [18671] = 18204,
  [18672] = 18205,
  [18673] = 18206,
  [18674] = 18207,
  [18675] = 18208,
  [18676] = 18220,
  [18677] = 18210,
  [18678] = 18191,
  [18679] = 18190,
  [18680] = 18201,
  [18681] = 18201,
  [18682] = 18154,
  [18683] = 18162,
  [18684] = 18186,
  [18685] = 18184,
  [18686] = 18219,
  [18687] = 18181,
  [18688] = 18220,
  [18689] = 18157,
  [18690] = 18218,
  [18691] = 18159,
  [18692] = 18158,
  [18693] = 18216,
  [18694] = 18215,
  [18695] = 18160,
  [18696] = 18160,
  [18697] = 18230,
  [18698] = 18214,
  [18699] = 18213,
  [18700] = 18212,
  [18701] = 18209,
  [18702] = 18202,
  [18703] = 18201,
  [18704] = 18196,
  [18705] = 18195,
  [18706] = 18194,
  [18707] = 18193,
  [18708] = 18192,
  [18709] = 18188,
  [18710] = 18187,
  [18711] = 18158,
  [18712] = 18186,
  [18713] = 18157,
  [18714] = 18184,
  [18715] = 18189,
  [18716] = 18183,
  [18717] = 18182,
  [18718] = 18184,
  [18719] = 18169,
  [18720] = 18168,
  [18721] = 18164,
  [18722] = 18163,
  [18723] = 18156,
  [18724] = 18161,
  [18725] = 18155,
  [18726] = 18219,
  [18727] = 18186,
  [18728] = 18220,
  [18729] = 18157,
  [18730] = 18202,
  [18731] = 18230,
  [18732] = 18159,
  [18733] = 18218,
  [18734] = 18157,
  [18735] = 18158,
  [18736] = 18220,
  [18737] = 18160,
  [18738] = 18201,
  [18739] = 18186,
  [18740] = 18184,
  [18741] = 18431,
  [18742] = 18219,
  [18743] = 18157,
  [18744] = 18158,
  [18745] = 18160,
  [18746] = 18181,
  [18747] = 18197,
  [18748] = 18189,
  [18749] = 18165,
  [18750] = 18166,
  [18751] = 18167,
  [18752] = 18190,
  [18753] = 18189,
  [18754] = 18154,
  [18755] = 18219,
  [18756] = 18220,
  [18757] = 18181,
  [18758] = 18158,
  [18759] = 18157,
  [18760] = 18201,
  [18761] = 18186,
  [18762] = 18170,
  [18763] = 18171,
  [18764] = 18172,
  [18765] = 18173,
  [18766] = 18174,
  [18767] = 18175,
  [18768] = 18176,
  [18769] = 18177,
  [18770] = 18178,
  [18771] = 18179,
  [18772] = 18180,
  [18773] = 18181,
  [18774] = 18184,
  [18775] = 18184,
  [18776] = 18184,
  [18777] = 18154,
  [18778] = 18158,
  [18779] = 18160,
  [18780] = 18186,
  [18781] = 18181,
  [18782] = 18189,
  [18783] = 18190,
  [18784] = 18201,
  [18785] = 18202,
  [18786] = 18230,
  [18787] = 18189,
  [18788] = 18159,
  [18789] = 18218,
  [18790] = 18197,
  [18791] = 18198,
  [18792] = 18220,
  [18793] = 18219,
  [18794] = 18199,
  [18795] = 18200,
  [18796] = 18219,
  [18797] = 18220,
  [18798] = 18203,
  [18799] = 18204,
  [18800] = 18205,
  [18801] = 18206,
  [18802] = 18197,
  [18803] = 18190,
  [18804] = 18189,
  [18805] = 18431,
  [18806] = 18201,
  [18807] = 18207,
  [18808] = 18208,
  [18809] = 18186,
  [18810] = 18184,
  [18811] = 18154,
  [18812] = 18210,
  [18813] = 18191,
  [18814] = 18157,
  [18815] = 18158,
  [18816] = 18160,
  [18817] = 18181,
  [18818] = 18181,
  [18819] = 18160,
  [18820] = 18160,
  [18821] = 18189,
  [18822] = 18212,
  [18823] = 18158,
  [18824] = 18157,
  [18825] = 18219,
  [18826] = 18184,
  [18827] = 18220,
  [18828] = 18186,
  [18829] = 18219,
  [18830] = 18201,
  [18831] = 18220,
  [18832] = 18202,
  [18833] = 18218,
  [18834] = 18159,
  [18835] = 18230,
  [18836] = 18216,
  [18837] = 18215,
  [18838] = 18159,
  [18839] = 18218,
  [18840] = 18230,
  [18841] = 18214,
  [18842] = 18213,
  [18843] = 18194,
  [18844] = 18209,
  [18845] = 18202,
  [18846] = 18201,
  [18847] = 18196,
  [18848] = 18220,
  [18849] = 18201,
  [18850] = 18195,
  [18851] = 18219,
  [18852] = 18193,
  [18853] = 18192,
  [18854] = 18188,
  [18855] = 18187,
  [18856] = 18186,
  [18857] = 18186,
  [18858] = 18160,
  [18859] = 18157,
  [18860] = 18158,
  [18861] = 18431,
  [18862] = 18160,
  [18863] = 18197,
  [18864] = 18184,
  [18865] = 18181,
  [18866] = 18189,
  [18867] = 18190,
  [18868] = 18183,
  [18869] = 18182,
  [18870] = 18189,
  [18871] = 18169,
  [18872] = 18154,
  [18873] = 18219,
  [18874] = 18220,
  [18875] = 18181,
  [18876] = 18160,
  [18877] = 18158,
  [18878] = 18168,
  [18879] = 18157,
  [18880] = 18201,
  [18881] = 18164,
  [18882] = 18163,
  [18883] = 18162,
  [18884] = 18161,
  [18885] = 18155,
  [18886] = 18156,
  [18887] = 18186,
  [18888] = 18184,
  [18889] = 18184,
  [18890] = 18186,
  [18891] = 18157,
  [18892] = 18157,
  [18893] = 18158,
  [18894] = 18158,
  [18895] = 18160,
  [18896] = 18160,
  [18897] = 18201,
  [18898] = 18202,
  [18899] = 18181,
  [18900] = 18165,
  [18901] = 18166,
  [18902] = 18159,
  [18903] = 18230,
  [18904] = 18167,
  [18905] = 18189,
  [18906] = 18220,
  [18907] = 18170,
  [18908] = 18171,
  [18909] = 18172,
  [18910] = 18173,
  [18911] = 18219,
  [18912] = 18219,
  [18913] = 18220,
  [18914] = 18431,
  [18915] = 18197,
  [18916] = 18174,
  [18917] = 18175,
  [18918] = 18190,
  [18919] = 18189,
  [18920] = 18176,
  [18921] = 18177,
  [18922] = 18178,
  [18923] = 18201,
  [18924] = 18186,
  [18925] = 18184,
  [18926] = 18154,
  [18927] = 18181,
  [18928] = 18157,
  [18929] = 18179,
  [18930] = 18158,
  [18931] = 18160,
  [18932] = 18180,
  [18933] = 18181,
  [18934] = 18181,
  [18935] = 18201,
  [18936] = 18158,
  [18937] = 18154,
  [18938] = 18157,
  [18939] = 18189,
  [18940] = 18184,
  [18941] = 18219,
  [18942] = 18186,
  [18943] = 18189,
  [18944] = 18190,
  [18945] = 18220,
  [18946] = 18201,
  [18947] = 18208,
  [18948] = 18202,
  [18949] = 18230,
  [18950] = 18218,
  [18951] = 18431,
  [18952] = 18218,
  [18953] = 18220,
  [18954] = 18219,
  [18955] = 18201,
  [18956] = 18186,
  [18957] = 18184,
  [18958] = 18197,
  [18959] = 18198,
  [18960] = 18157,
  [18961] = 18158,
  [18962] = 18197,
  [18963] = 18160,
  [18964] = 18181,
  [18965] = 18190,
  [18966] = 18199,
  [18967] = 18189,
  [18968] = 18189,
  [18969] = 18200,
  [18970] = 18159,
  [18971] = 18219,
  [18972] = 18203,
  [18973] = 18204,
  [18974] = 18205,
  [18975] = 18206,
  [18976] = 18181,
  [18977] = 18220,
  [18978] = 18207,
  [18979] = 18230,
  [18980] = 18160,
  [18981] = 18210,
  [18982] = 18191,
  [18983] = 18158,
  [18984] = 18157,
  [18985] = 18220,
  [18986] = 18186,
  [18987] = 18184,
  [18988] = 18431,
  [18989] = 18184,
  [18990] = 18186,
  [18991] = 18201,
  [18992] = 18157,
  [18993] = 18158,
  [18994] = 18202,
  [18995] = 18160,
  [18996] = 18230,
  [18997] = 18181,
  [18998] = 18159,
  [18999] = 18218,
  [19000] = 18189,
  [19001] = 18189,
  [19002] = 18219,
  [19003] = 18219,
  [19004] = 18219,
  [19005] = 18154,
  [19006] = 18220,
  [19007] = 18220,
  [19008] = 18190,
  [19009] = 18218,
  [19010] = 18159,
  [19011] = 18189,
  [19012] = 18216,
  [19013] = 18154,
  [19014] = 18201,
  [19015] = 18215,
  [19016] = 18186,
  [19017] = 18184,
  [19018] = 18181,
  [19019] = 18214,
  [19020] = 18213,
  [19021] = 18212,
  [19022] = 18157,
  [19023] = 18158,
  [19024] = 18160,
  [19025] = 18431,
  [19026] = 18160,
  [19027] = 18209,
  [19028] = 18202,
  [19029] = 18181,
  [19030] = 18158,
  [19031] = 18201,
  [19032] = 18196,
  [19033] = 18195,
  [19034] = 18157,
  [19035] = 18189,
  [19036] = 18184,
  [19037] = 18186,
  [19038] = 18197,
  [19039] = 18219,
  [19040] = 18194,
  [19041] = 18201,
  [19042] = 18202,
  [19043] = 18193,
  [19044] = 18192,
  [19045] = 18188,
  [19046] = 18187,
  [19047] = 18220,
  [19048] = 18186,
  [19049] = 18230,
  [19050] = 18159,
  [19051] = 18218,
  [19052] = 18184,
  [19053] = 18220,
  [19054] = 18183,
  [19055] = 18182,
  [19056] = 18219,
  [19057] = 18169,
  [19058] = 18168,
  [19059] = 18201,
  [19060] = 18186,
  [19061] = 18184,
  [19062] = 18431,
  [19063] = 18197,
  [19064] = 18164,
  [19065] = 18163,
  [19066] = 18157,
  [19067] = 18158,
  [19068] = 18162,
  [19069] = 18161,
  [19070] = 18155,
  [19071] = 18160,
  [19072] = 18181,
  [19073] = 18154,
  [19074] = 18189,
  [19075] = 18154,
  [19076] = 18220,
  [19077] = 18156,
  [19078] = 18181,
  [19079] = 18219,
  [19080] = 18160,
  [19081] = 18220,
  [19082] = 18158,
  [19083] = 18157,
  [19084] = 18170,
  [19085] = 18157,
  [19086] = 18158,
  [19087] = 18230,
  [19088] = 18184,
  [19089] = 18186,
  [19090] = 18160,
  [19091] = 18201,
  [19092] = 18186,
  [19093] = 18184,
  [19094] = 18201,
  [19095] = 18165,
  [19096] = 18202,
  [19097] = 18230,
  [19098] = 18157,
  [19099] = 18431,
  [19100] = 18158,
  [19101] = 18166,
  [19102] = 18167,
  [19103] = 18159,
  [19104] = 18160,
  [19105] = 18218,
  [19106] = 18220,
  [19107] = 18181,
  [19108] = 18154,
  [19109] = 18219,
  [19110] = 18189,
  [19111] = 18197,
  [19112] = 18219,
  [19113] = 18230,
  [19114] = 18171,
  [19115] = 18189,
  [19116] = 18230,
  [19117] = 18172,
  [19118] = 18173,
  [19119] = 18174,
  [19120] = 18175,
  [19121] = 18176,
  [19122] = 18177,
  [19123] = 18178,
  [19124] = 18154,
  [19125] = 18431,
  [19126] = 18181,
  [19127] = 18179,
  [19128] = 18180,
  [19129] = 18201,
  [19130] = 18186,
  [19131] = 18181,
  [19132] = 18184,
  [19133] = 18158,
  [19134] = 18157,
  [19135] = 18154,
  [19136] = 18157,
  [19137] = 18431,
  [19138] = 18158,
  [19139] = 18160,
  [19140] = 18181,
  [19141] = 18154,
  [19142] = 18184,
  [19143] = 18186,
  [19144] = 18189,
  [19145] = 18431,
  [19146] = 18201,
  [19147] = 18189,
  [19148] = 18190,
  [19149] = 18202,
  [19150] = 18189,
  [19151] = 18159,
  [19152] = 18218,
  [19153] = 18431,
  [19154] = 18219,
  [19155] = 18220,
  [19156] = 18220,
  [19157] = 18219,
  [19158] = 18230,
  [19159] = 18197,
  [19160] = 18201,
  [19161] = 18431,
  [19162] = 18186,
  [19163] = 18184,
  [19164] = 18189,
  [19165] = 18157,
  [19166] = 18158,
  [19167] = 18197,
  [19168] = 18160,
  [19169] = 18431,
  [19170] = 18154,
  [19171] = 18198,
  [19172] = 18199,
  [19173] = 18181,
  [19174] = 18154,
  [19175] = 18200,
  [19176] = 18181,
  [19177] = 18431,
  [19178] = 18189,
  [19179] = 18160,
  [19180] = 18158,
  [19181] = 18157,
  [19182] = 18160,
  [19183] = 18203,
  [19184] = 18219,
  [19185] = 18431,
  [19186] = 18220,
  [19187] = 18204,
  [19188] = 18205,
  [19189] = 18184,
  [19190] = 18186,
  [19191] = 18206,
  [19192] = 18230,
  [19193] = 18431,
  [19194] = 18201,
  [19195] = 18207,
  [19196] = 18208,
  [19197] = 18202,
  [19198] = 18230,
  [19199] = 18159,
  [19200] = 18201,
  [19201] = 18431,
  [19202] = 18218,
  [19203] = 18210,
  [19204] = 18186,
  [19205] = 18184,
  [19206] = 18191,
  [19207] = 18220,
  [19208] = 18431,
  [19209] = 18219,
  [19210] = 18157,
  [19211] = 18158,
  [19212] = 18160,
  [19213] = 18181,
  [19214] = 18154,
  [19215] = 18431,
  [19216] = 18197,
  [19217] = 18189,
  [19218] = 18181,
  [19219] = 18154,
  [19220] = 18219,
  [19221] = 18220,
  [19222] = 18431,
  [19223] = 18181,
  [19224] = 18230,
  [19225] = 18160,
  [19226] = 18158,
  [19227] = 18157,
  [19228] = 18201,
  [19229] = 18431,
  [19230] = 18186,
  [19231] = 18184,
  [19232] = 18184,
  [19233] = 18157,
  [19234] = 18219,
  [19235] = 18158,
  [19236] = 18431,
  [19237] = 18186,
  [19238] = 18230,
  [19239] = 18160,
  [19240] = 18201,
  [19241] = 18220,
  [19242] = 18189,
  [19243] = 18431,
  [19244] = 18202,
  [19245] = 18159,
  [19246] = 18218,
  [19247] = 18189,
  [19248] = 18218,
  [19249] = 18220,
  [19250] = 18431,
  [19251] = 18219,
  [19252] = 18159,
  [19253] = 18230,
  [19254] = 18219,
  [19255] = 18220,
  [19256] = 18197,
  [19257] = 18216,
  [19258] = 18230,
  [19259] = 18215,
  [19260] = 18189,
  [19261] = 18201,
  [19262] = 18154,
  [19263] = 18186,
  [19264] = 18184,
  [19265] = 18158,
  [19266] = 18181,
  [19267] = 18214,
  [19268] = 18157,
  [19269] = 18213,
  [19270] = 18158,
  [19271] = 18212,
  [19272] = 18160,
  [19273] = 18209,
  [19274] = 18181,
  [19275] = 18202,
  [19276] = 18160,
  [19277] = 18201,
  [19278] = 18154,
  [19279] = 18196,
  [19280] = 18158,
  [19281] = 18195,
  [19282] = 18157,
  [19283] = 18194,
  [19284] = 18189,
  [19285] = 18193,
  [19286] = 18184,
  [19287] = 18192,
  [19288] = 18186,
  [19289] = 18188,
  [19290] = 18219,
  [19291] = 18187,
  [19292] = 18201,
  [19293] = 18202,
  [19294] = 18220,
  [19295] = 18186,
  [19296] = 18230,
  [19297] = 18159,
  [19298] = 18230,
  [19299] = 18184,
  [19300] = 18218,
  [19301] = 18220,
  [19302] = 18219,
  [19303] = 18183,
  [19304] = 18201,
  [19305] = 18182,
  [19306] = 18186,
  [19307] = 18184,
  [19308] = 18197,
  [19309] = 18169,
  [19310] = 18157,
  [19311] = 18158,
  [19312] = 18168,
  [19313] = 18160,
  [19314] = 18181,
  [19315] = 18164,
  [19316] = 18154,
  [19317] = 18189,
  [19318] = 18163,
  [19319] = 18154,
  [19320] = 18189,
  [19321] = 18162,
  [19322] = 18181,
  [19323] = 18219,
  [19324] = 18161,
  [19325] = 18160,
  [19326] = 18220,
  [19327] = 18155,
  [19328] = 18158,
  [19329] = 18157,
  [19330] = 18156,
  [19331] = 18230,
  [19332] = 18184,
  [19333] = 18186,
  [19334] = 18201,
  [19335] = 18186,
  [19336] = 18184,
  [19337] = 18201,
  [19338] = 18202,
  [19339] = 18230,
  [19340] = 18157,
  [19341] = 18158,
  [19342] = 18159,
  [19343] = 18160,
  [19344] = 18218,
  [19345] = 18220,
  [19346] = 18181,
  [19347] = 18154,
  [19348] = 18157,
  [19349] = 18219,
  [19350] = 18184,
  [19351] = 18197,
  [19352] = 18219,
  [19353] = 18220,
  [19354] = 18189,
  [19355] = 18230,
  [19356] = 18154,
  [19357] = 18181,
  [19358] = 18201,
  [19359] = 18186,
  [19360] = 18184,
  [19361] = 18160,
  [19362] = 18158,
  [19363] = 18157,
  [19364] = 18157,
  [19365] = 18158,
  [19366] = 18160,
  [19367] = 18181,
  [19368] = 18154,
  [19369] = 18160,
  [19370] = 18186,
  [19371] = 18189,
  [19372] = 18201,
  [19373] = 18202,
  [19374] = 18230,
  [19375] = 18159,
  [19376] = 19376,
  [19377] = 19377,
  [19378] = 18160,
  [19379] = 18219,
  [19380] = 18220,
  [19381] = 18220,
  [19382] = 18219,
  [19383] = 18230,
  [19384] = 18197,
  [19385] = 18201,
  [19386] = 18165,
  [19387] = 18166,
  [19388] = 18167,
  [19389] = 18186,
  [19390] = 18184,
  [19391] = 19391,
  [19392] = 18170,
  [19393] = 18171,
  [19394] = 18172,
  [19395] = 18173,
  [19396] = 18174,
  [19397] = 18175,
  [19398] = 18176,
  [19399] = 18177,
  [19400] = 18178,
  [19401] = 18179,
  [19402] = 18180,
  [19403] = 18181,
  [19404] = 18189,
  [19405] = 18157,
  [19406] = 18158,
  [19407] = 18160,
  [19408] = 18154,
  [19409] = 18218,
  [19410] = 18181,
  [19411] = 18189,
  [19412] = 18190,
  [19413] = 18154,
  [19414] = 18181,
  [19415] = 18189,
  [19416] = 18230,
  [19417] = 18158,
  [19418] = 18157,
  [19419] = 18197,
  [19420] = 18198,
  [19421] = 18199,
  [19422] = 18200,
  [19423] = 18219,
  [19424] = 18220,
  [19425] = 18203,
  [19426] = 18204,
  [19427] = 18205,
  [19428] = 18206,
  [19429] = 18207,
  [19430] = 18208,
  [19431] = 18159,
  [19432] = 18210,
  [19433] = 18191,
  [19434] = 18184,
  [19435] = 18186,
  [19436] = 18230,
  [19437] = 18201,
  [19438] = 18202,
  [19439] = 18230,
  [19440] = 18159,
  [19441] = 18219,
  [19442] = 18230,
  [19443] = 18220,
  [19444] = 18201,
  [19445] = 18218,
  [19446] = 18159,
  [19447] = 18218,
  [19448] = 18216,
  [19449] = 18215,
  [19450] = 18186,
  [19451] = 18184,
  [19452] = 18220,
  [19453] = 18219,
  [19454] = 18157,
  [19455] = 18214,
  [19456] = 18213,
  [19457] = 18212,
  [19458] = 18209,
  [19459] = 18202,
  [19460] = 18201,
  [19461] = 18196,
  [19462] = 18195,
  [19463] = 18194,
  [19464] = 18193,
  [19465] = 18192,
  [19466] = 18188,
  [19467] = 18187,
  [19468] = 18158,
  [19469] = 18186,
  [19470] = 18160,
  [19471] = 18184,
  [19472] = 18181,
  [19473] = 18183,
  [19474] = 18182,
  [19475] = 18154,
  [19476] = 18169,
  [19477] = 18168,
  [19478] = 18164,
  [19479] = 18163,
  [19480] = 18162,
  [19481] = 18161,
  [19482] = 18155,
  [19483] = 18156,
  [19484] = 18197,
  [19485] = 19485,
  [19486] = 18189,
  [19487] = 18189,
  [19488] = 18158,
  [19489] = 18154,
  [19490] = 18157,
  [19491] = 18203,
  [19492] = 18219,
  [19493] = 18160,
  [19494] = 18220,
  [19495] = 18159,
  [19496] = 18181,
  [19497] = 18154,
  [19498] = 18165,
  [19499] = 18166,
  [19500] = 18167,
  [19501] = 18160,
  [19502] = 18158,
  [19503] = 18170,
  [19504] = 18171,
  [19505] = 18172,
  [19506] = 18173,
  [19507] = 18174,
  [19508] = 18175,
  [19509] = 18176,
  [19510] = 18177,
  [19511] = 18178,
  [19512] = 18179,
  [19513] = 18180,
  [19514] = 18181,
  [19515] = 18157,
  [19516] = 18154,
  [19517] = 18201,
  [19518] = 18154,
  [19519] = 18186,
  [19520] = 18184,
  [19521] = 18184,
  [19522] = 18186,
  [19523] = 18189,
  [19524] = 18190,
  [19525] = 18201,
  [19526] = 18157,
  [19527] = 18158,
  [19528] = 18202,
  [19529] = 18230,
  [19530] = 18160,
  [19531] = 18197,
  [19532] = 18198,
  [19533] = 18199,
  [19534] = 18200,
  [19535] = 18159,
  [19536] = 18218,
  [19537] = 18181,
  [19538] = 18204,
  [19539] = 18205,
  [19540] = 18206,
  [19541] = 18207,
  [19542] = 18208,
  [19543] = 18220,
  [19544] = 18210,
  [19545] = 18191,
  [19546] = 18189,
  [19547] = 18219,
  [19548] = 18189,
  [19549] = 18197,
  [19550] = 18197,
  [19551] = 18219,
  [19552] = 18220,
  [19553] = 18218,
  [19554] = 18219,
  [19555] = 18159,
  [19556] = 18220,
  [19557] = 18189,
  [19558] = 18218,
  [19559] = 18159,
  [19560] = 18230,
  [19561] = 18216,
  [19562] = 18215,
  [19563] = 18154,
  [19564] = 18181,
  [19565] = 18201,
  [19566] = 18230,
  [19567] = 18186,
  [19568] = 18184,
  [19569] = 18160,
  [19570] = 18158,
  [19571] = 18157,
  [19572] = 18157,
  [19573] = 18158,
  [19574] = 18184,
  [19575] = 18160,
  [19576] = 18186,
  [19577] = 18181,
  [19578] = 18201,
  [19579] = 18154,
  [19580] = 18202,
  [19581] = 18230,
  [19582] = 18159,
  [19583] = 18189,
  [19584] = 18218,
  [19585] = 18220,
  [19586] = 18219,
  [19587] = 18197,
  [19588] = 18219,
  [19589] = 18220,
  [19590] = 18218,
  [19591] = 18159,
  [19592] = 18197,
  [19593] = 18230,
  [19594] = 18218,
  [19595] = 18202,
  [19596] = 18201,
  [19597] = 18154,
  [19598] = 18181,
  [19599] = 18186,
  [19600] = 18184,
  [19601] = 18160,
  [19602] = 18158,
  [19603] = 18157,
  [19604] = 18157,
  [19605] = 18158,
  [19606] = 18160,
  [19607] = 18184,
  [19608] = 18186,
  [19609] = 18181,
  [19610] = 18201,
  [19611] = 18154,
  [19612] = 19376,
  [19613] = 19377,
  [19614] = 18202,
  [19615] = 18230,
  [19616] = 18159,
  [19617] = 18189,
  [19618] = 18218,
  [19619] = 18220,
  [19620] = 18219,
  [19621] = 18197,
  [19622] = 18219,
  [19623] = 18197,
  [19624] = 18220,
  [19625] = 7307,
  [19626] = 18158,
  [19627] = 18159,
  [19628] = 18230,
  [19629] = 18189,
  [19630] = 18154,
  [19631] = 18202,
  [19632] = 18201,
  [19633] = 18181,
  [19634] = 18186,
  [19635] = 18184,
  [19636] = 18160,
  [19637] = 18158,
  [19638] = 18157,
  [19639] = 18201,
  [19640] = 19376,
  [19641] = 19377,
  [19642] = 18214,
  [19643] = 18157,
  [19644] = 18219,
  [19645] = 4369,
  [19646] = 18184,
  [19647] = 18213,
  [19648] = 18212,
  [19649] = 18209,
  [19650] = 18202,
  [19651] = 18160,
  [19652] = 18186,
  [19653] = 4372,
  [19654] = 4373,
  [19655] = 18196,
  [19656] = 18195,
  [19657] = 18201,
  [19658] = 18194,
  [19659] = 18181,
  [19660] = 18193,
  [19661] = 18192,
  [19662] = 18188,
  [19663] = 18187,
  [19664] = 18202,
  [19665] = 18230,
  [19666] = 18154,
  [19667] = 19376,
  [19668] = 19377,
  [19669] = 18186,
  [19670] = 18159,
  [19671] = 18218,
  [19672] = 4375,
  [19673] = 18220,
  [19674] = 18184,
  [19675] = 18189,
  [19676] = 18219,
  [19677] = 18197,
  [19678] = 18197,
  [19679] = 4376,
  [19680] = 4377,
  [19681] = 18183,
  [19682] = 18182,
  [19683] = 18219,
  [19684] = 18220,
  [19685] = 18169,
  [19686] = 18218,
  [19687] = 18168,
  [19688] = 18159,
  [19689] = 18189,
  [19690] = 18164,
  [19691] = 18163,
  [19692] = 19376,
  [19693] = 19377,
  [19694] = 18162,
  [19695] = 18161,
  [19696] = 18155,
  [19697] = 18156,
  [19698] = 18230,
  [19699] = 18154,
  [19700] = 19485,
  [19701] = 18202,
  [19702] = 18172,
  [19703] = 18201,
  [19704] = 18160,
  [19705] = 18186,
  [19706] = 18184,
  [19707] = 18158,
  [19708] = 18157,
  [19709] = 18157,
  [19710] = 18184,
  [19711] = 18157,
  [19712] = 18158,
  [19713] = 18158,
  [19714] = 18186,
  [19715] = 18201,
  [19716] = 18160,
  [19717] = 19376,
  [19718] = 19377,
  [19719] = 18202,
  [19720] = 18160,
  [19721] = 18230,
  [19722] = 18181,
  [19723] = 18159,
  [19724] = 4358,
  [19725] = 18154,
  [19726] = 18218,
  [19727] = 18220,
  [19728] = 18181,
  [19729] = 4365,
  [19730] = 4364,
  [19731] = 18165,
  [19732] = 18166,
  [19733] = 18167,
  [19734] = 18189,
  [19735] = 18197,
  [19736] = 18197,
  [19737] = 18219,
  [19738] = 18220,
  [19739] = 18170,
  [19740] = 19376,
  [19741] = 19377,
  [19742] = 18218,
  [19743] = 18171,
  [19744] = 18159,
  [19745] = 18189,
  [19746] = 19376,
  [19747] = 19377,
  [19748] = 18230,
  [19749] = 18176,
  [19750] = 18154,
  [19751] = 18181,
  [19752] = 19376,
  [19753] = 19377,
  [19754] = 18219,
  [19755] = 18202,
  [19756] = 18201,
  [19757] = 18173,
  [19758] = 19376,
  [19759] = 19377,
  [19760] = 18160,
  [19761] = 18158,
  [19762] = 18157,
  [19763] = 18174,
  [19764] = 19376,
  [19765] = 19377,
  [19766] = 18186,
  [19767] = 18184,
  [19768] = 18184,
  [19769] = 18175,
  [19770] = 19376,
  [19771] = 19377,
  [19772] = 18186,
  [19773] = 18157,
  [19774] = 18158,
  [19775] = 18177,
  [19776] = 18202,
  [19777] = 19777,
  [19778] = 18178,
  [19779] = 18230,
  [19780] = 18179,
  [19781] = 18160,
  [19782] = 18180,
  [19783] = 18181,
  [19784] = 18159,
  [19785] = 18218,
  [19786] = 18181,
  [19787] = 18154,
  [19788] = 18220,
  [19789] = 18154,
  [19790] = 18219,
  [19791] = 18189,
  [19792] = 18197,
  [19793] = 18197,
  [19794] = 18189,
  [19795] = 18189,
  [19796] = 18190,
  [19797] = 18181,
  [19798] = 18220,
  [19799] = 18218,
  [19800] = 18159,
  [19801] = 18154,
  [19802] = 18230,
  [19803] = 18181,
  [19804] = 18197,
  [19805] = 4389,
  [19806] = 18198,
  [19807] = 18199,
  [19808] = 19777,
  [19809] = 18200,
  [19810] = 18160,
  [19811] = 18220,
  [19812] = 18202,
  [19813] = 18201,
  [19814] = 18158,
  [19815] = 18203,
  [19816] = 18157,
  [19817] = 18186,
  [19818] = 18204,
  [19819] = 19777,
  [19820] = 18205,
  [19821] = 18206,
  [19822] = 18207,
  [19823] = 18208,
  [19824] = 18184,
  [19825] = 18184,
  [19826] = 18210,
  [19827] = 18191,
  [19828] = 18201,
  [19829] = 19391,
  [19830] = 19777,
  [19831] = 18186,
  [19832] = 18201,
  [19833] = 18202,
  [19834] = 18230,
  [19835] = 18157,
  [19836] = 18158,
  [19837] = 18159,
  [19838] = 18218,
  [19839] = 19777,
  [19840] = 18219,
  [19841] = 18160,
  [19842] = 18220,
  [19843] = 18219,
  [19844] = 18181,
  [19845] = 18218,
  [19846] = 18159,
  [19847] = 18154,
  [19848] = 19777,
  [19849] = 18189,
  [19850] = 18197,
  [19851] = 18216,
  [19852] = 18431,
  [19853] = 18197,
  [19854] = 18189,
  [19855] = 18219,
  [19856] = 18154,
  [19857] = 19777,
  [19858] = 18215,
  [19859] = 18220,
  [19860] = 19777,
  [19861] = 18218,
  [19862] = 18159,
  [19863] = 19777,
  [19864] = 18230,
  [19865] = 18230,
  [19866] = 19777,
  [19867] = 19867,
  [19868] = 19868,
  [19869] = 19777,
  [19870] = 18202,
  [19871] = 19377,
  [19872] = 19777,
  [19873] = 19777,
  [19874] = 19376,
  [19875] = 18201,
  [19876] = 18186,
  [19877] = 18184,
  [19878] = 18157,
  [19879] = 18158,
  [19880] = 18160,
};

static TSCharacterRange sym__word_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xa9, 0xaa}, {0xae, 0xae}, {0xb0, 0xb0}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x203c, 0x203c}, {0x2049, 0x2049},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d},
  {0x2122, 0x2122}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e},
  {0x2160, 0x2188}, {0x2194, 0x2199}, {0x21a9, 0x21aa}, {0x2200, 0x2207}, {0x220e, 0x2211}, {0x222b, 0x2233}, {0x231a, 0x231b}, {0x2328, 0x2328},
  {0x23cf, 0x23cf}, {0x23e9, 0x23f3}, {0x23f8, 0x23fa}, {0x24c2, 0x24c2}, {0x25aa, 0x25ab}, {0x25b6, 0x25b6}, {0x25c0, 0x25c0}, {0x25fb, 0x25fe},
  {0x2600, 0x2604}, {0x260e, 0x260e}, {0x2611, 0x2611}, {0x2614, 0x2615}, {0x2618, 0x2618}, {0x261d, 0x261d}, {0x2620, 0x2620}, {0x2622, 0x2623},
  {0x2626, 0x2626}, {0x262a, 0x262a}, {0x262e, 0x262f}, {0x2638, 0x263a}, {0x2640, 0x2640}, {0x2642, 0x2642}, {0x2648, 0x2653}, {0x265f, 0x2660},
  {0x2663, 0x2663}, {0x2665, 0x2666}, {0x2668, 0x2668}, {0x267b, 0x267b}, {0x267e, 0x267f}, {0x2692, 0x2697}, {0x2699, 0x2699}, {0x269b, 0x269c},
  {0x26a0, 0x26a1}, {0x26a7, 0x26a7}, {0x26aa, 0x26ab}, {0x26b0, 0x26b1}, {0x26bd, 0x26be}, {0x26c4, 0x26c5}, {0x26c8, 0x26c8}, {0x26ce, 0x26cf},
  {0x26d1, 0x26d1}, {0x26d3, 0x26d4}, {0x26e9, 0x26ea}, {0x26f0, 0x26f5}, {0x26f7, 0x26fa}, {0x26fd, 0x26fd}, {0x2702, 0x2702}, {0x2705, 0x2705},
  {0x2708, 0x270d}, {0x270f, 0x270f}, {0x2712, 0x2712}, {0x2714, 0x2714}, {0x2716, 0x2716}, {0x271d, 0x271d}, {0x2721, 0x2721}, {0x2728, 0x2728},
  {0x2733, 0x2734}, {0x2744, 0x2744}, {0x2747, 0x2747}, {0x274c, 0x274c}, {0x274e, 0x274e}, {0x2753, 0x2755}, {0x2757, 0x2757}, {0x2763, 0x2764},
  {0x2795, 0x2797}, {0x27a1, 0x27a1}, {0x27b0, 0x27b0}, {0x27bf, 0x27bf}, {0x2934, 0x2935}, {0x2b05, 0x2b07}, {0x2b1b, 0x2b1c}, {0x2b50, 0x2b50},
  {0x2b55, 0x2b55}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3030, 0x3035}, {0x3038, 0x303d}, {0x3041, 0x3096}, {0x309d, 0x309f},
  {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3297, 0x3297}, {0x3299, 0x3299},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d},
  {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801},
  {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe},
  {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe},
  {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6},
  {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e},
  {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36},
  {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f},
  {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d},
  {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7},
  {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa},
  {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3},
  {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736},
  {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835},
  {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
  {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45},
  {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8},
  {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da},
  {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8},
  {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d},
  {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7},
  {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746},
  {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f},
  {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a},
  {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f},
  {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98},
  {0x11ee0, 0x11ef2}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b150, 0x1b152}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb},
  {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03},
  {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b},
  {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57},
  {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72},
  {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb},
  {0x1f004, 0x1f004}, {0x1f0cf, 0x1f0cf}, {0x1f170, 0x1f171}, {0x1f17e, 0x1f17f}, {0x1f18e, 0x1f18e}, {0x1f191, 0x1f19a}, {0x1f1e6, 0x1f1ff}, {0x1f201, 0x1f202},
  {0x1f21a, 0x1f21a}, {0x1f22f, 0x1f22f}, {0x1f232, 0x1f23a}, {0x1f250, 0x1f251}, {0x1f300, 0x1f321}, {0x1f324, 0x1f393}, {0x1f396, 0x1f397}, {0x1f399, 0x1f39b},
  {0x1f39e, 0x1f3f0}, {0x1f3f3, 0x1f3f5}, {0x1f3f7, 0x1f4fd}, {0x1f4ff, 0x1f53d}, {0x1f549, 0x1f54e}, {0x1f550, 0x1f567}, {0x1f56f, 0x1f570}, {0x1f573, 0x1f57a},
  {0x1f587, 0x1f587}, {0x1f58a, 0x1f58d}, {0x1f590, 0x1f590}, {0x1f595, 0x1f596}, {0x1f5a4, 0x1f5a5}, {0x1f5a8, 0x1f5a8}, {0x1f5b1, 0x1f5b2}, {0x1f5bc, 0x1f5bc},
  {0x1f5c2, 0x1f5c4}, {0x1f5d1, 0x1f5d3}, {0x1f5dc, 0x1f5de}, {0x1f5e1, 0x1f5e1}, {0x1f5e3, 0x1f5e3}, {0x1f5e8, 0x1f5e8}, {0x1f5ef, 0x1f5ef}, {0x1f5f3, 0x1f5f3},
  {0x1f5fa, 0x1f64f}, {0x1f680, 0x1f6c5}, {0x1f6cb, 0x1f6d2}, {0x1f6d5, 0x1f6d7}, {0x1f6dd, 0x1f6e5}, {0x1f6e9, 0x1f6e9}, {0x1f6eb, 0x1f6ec}, {0x1f6f0, 0x1f6f0},
  {0x1f6f3, 0x1f6fc}, {0x1f7e0, 0x1f7eb}, {0x1f7f0, 0x1f7f0}, {0x1f90c, 0x1f93a}, {0x1f93c, 0x1f945}, {0x1f947, 0x1f9ff}, {0x1fa70, 0x1fa74}, {0x1fa78, 0x1fa7c},
  {0x1fa80, 0x1fa86}, {0x1fa90, 0x1faac}, {0x1fab0, 0x1faba}, {0x1fac0, 0x1fac5}, {0x1fad0, 0x1fad9}, {0x1fae0, 0x1fae7}, {0x1faf0, 0x1faf6}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b738}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
};

static TSCharacterRange sym__word_identifier_character_set_2[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'0', '9'}, {'?', '?'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'},
  {0x7f, 0xa5}, {0xa7, 0xab}, {0xad, 0xb0}, {0xb2, 0xb6}, {0xb8, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2025}, {0x2027, 0x205c},
  {0x205e, 0x214a}, {0x214c, 0x218f}, {0x2195, 0x2199}, {0x219f, 0x219f}, {0x21a1, 0x21a1}, {0x21a5, 0x21a5}, {0x21a7, 0x21a8}, {0x21ad, 0x21ad},
  {0x21af, 0x21b5}, {0x21b8, 0x21b9}, {0x21be, 0x21bf}, {0x21c2, 0x21c3}, {0x21c5, 0x21c5}, {0x21c8, 0x21c8}, {0x21ca, 0x21ca}, {0x21d1, 0x21d1},
  {0x21d3, 0x21d3}, {0x21d5, 0x21d9}, {0x21de, 0x21df}, {0x21e1, 0x21e1}, {0x21e3, 0x21f3}, {0x2200, 0x2207}, {0x220e, 0x2211}, {0x2215, 0x2216},
  {0x221e, 0x2223}, {0x222b, 0x2236}, {0x2239, 0x2239}, {0x223c, 0x223c}, {0x223f, 0x223f}, {0x228c, 0x228c}, {0x229d, 0x229d}, {0x22a4, 0x22a8},
  {0x22aa, 0x22ab}, {0x22ad, 0x22ad}, {0x22af, 0x22af}, {0x22b8, 0x22ba}, {0x22be, 0x22c3}, {0x22c8, 0x22c8}, {0x22d4, 0x22d4}, {0x2300, 0x233e},
  {0x2340, 0x25b6}, {0x25b8, 0x27c1}, {0x27c3, 0x27c6}, {0x27ca, 0x27d0}, {0x27d3, 0x27d4}, {0x27d8, 0x27ef}, {0x27f2, 0x27f4}, {0x27f8, 0x27f8},
  {0x2800, 0x28ff}, {0x2919, 0x291c}, {0x2921, 0x2943}, {0x2971, 0x2976}, {0x2978, 0x2979}, {0x297b, 0x29b6}, {0x29b9, 0x29bb}, {0x29bd, 0x29bd},
  {0x29c2, 0x29e0}, {0x29e2, 0x29e2}, {0x29e6, 0x29f3}, {0x29f5, 0x29f5}, {0x29f8, 0x29f9}, {0x29fc, 0x2a06}, {0x2a09, 0x2a1c}, {0x2a1e, 0x2a1e},
  {0x2a20, 0x2a21}, {0x2a2f, 0x2a2f}, {0x2a3e, 0x2a3f}, {0x2a46, 0x2a49}, {0x2a59, 0x2a59}, {0x2a64, 0x2a65}, {0x2a68, 0x2a69}, {0x2ada, 0x2ada},
  {0x2adc, 0x2ae9}, {0x2aec, 0x2af6}, {0x2afb, 0x2b2f}, {0x2b45, 0x2b46}, {0x2b4d, 0xffe8}, {0xffed, 0x10ffff},
};

static TSCharacterRange sym__arrow_operator_character_set_2[] = {
  {'-', '-'}, {'<', '<'}, {0x2190, 0x2190}, {0x2192, 0x2192}, {0x2194, 0x2194}, {0x219a, 0x219e}, {0x21a0, 0x21a0}, {0x21a2, 0x21a4},
  {0x21a6, 0x21a6}, {0x21a9, 0x21ac}, {0x21ae, 0x21ae}, {0x21b6, 0x21b7}, {0x21ba, 0x21bd}, {0x21c0, 0x21c1}, {0x21c4, 0x21c4}, {0x21c6, 0x21c7},
  {0x21c9, 0x21c9}, {0x21cb, 0x21d0}, {0x21d2, 0x21d2}, {0x21d4, 0x21d4}, {0x21da, 0x21dd}, {0x21e0, 0x21e0}, {0x21e2, 0x21e2}, {0x21f4, 0x21f4},
  {0x21f6, 0x21ff}, {0x27f5, 0x27f7}, {0x27f9, 0x27ff}, {0x2900, 0x2907}, {0x290c, 0x2911}, {0x2914, 0x2918}, {0x291d, 0x2920}, {0x2944, 0x2948},
  {0x294a, 0x294b}, {0x294e, 0x294e}, {0x2950, 0x2950}, {0x2952, 0x2953}, {0x2956, 0x2957}, {0x295a, 0x295b}, {0x295e, 0x295f}, {0x2962, 0x2962},
  {0x2964, 0x2964}, {0x2966, 0x296d}, {0x2970, 0x2970}, {0x2977, 0x2977}, {0x297a, 0x297a}, {0x29f4, 0x29f4}, {0x2b30, 0x2b44}, {0x2b47, 0x2b4c},
  {0xffe9, 0xffe9}, {0xffeb, 0xffeb},
};

static TSCharacterRange sym__comparison_operator_character_set_2[] = {
  {'!', '!'}, {'<', '>'}, {0x2208, 0x220d}, {0x221d, 0x221d}, {0x2225, 0x2226}, {0x2237, 0x2237}, {0x223a, 0x223b}, {0x223d, 0x223e},
  {0x2241, 0x224e}, {0x2250, 0x2253}, {0x2256, 0x228b}, {0x228f, 0x2292}, {0x229c, 0x229c}, {0x22a2, 0x22a3}, {0x22a9, 0x22a9}, {0x22ac, 0x22ac},
  {0x22ae, 0x22ae}, {0x22b0, 0x22b7}, {0x22cd, 0x22cd}, {0x22d0, 0x22d1}, {0x22d5, 0x22ed}, {0x22f2, 0x22ff}, {0x27c2, 0x27c2}, {0x27c8, 0x27c9},
  {0x27d2, 0x27d2}, {0x29b7, 0x29b7}, {0x29c0, 0x29c1}, {0x29e1, 0x29e1}, {0x29e3, 0x29e5}, {0x2a66, 0x2a67}, {0x2a6a, 0x2a73}, {0x2a75, 0x2ad9},
  {0x2aea, 0x2aeb}, {0x2af7, 0x2afa},
};

static TSCharacterRange sym__plus_operator_character_set_2[] = {
  {'+', '+'}, {'|', '|'}, {0xa6, 0xa6}, {0xb1, 0xb1}, {0x2212, 0x2214}, {0x2228, 0x2228}, {0x222a, 0x222a}, {0x2238, 0x2238},
  {0x224f, 0x224f}, {0x228e, 0x228e}, {0x2294, 0x2296}, {0x229e, 0x229f}, {0x22bb, 0x22bb}, {0x22bd, 0x22bd}, {0x22ce, 0x22ce}, {0x22d3, 0x22d3},
  {0x27c7, 0x27c7}, {0x29fa, 0x29fb}, {0x2a08, 0x2a08}, {0x2a22, 0x2a2e}, {0x2a39, 0x2a3a}, {0x2a41, 0x2a42}, {0x2a45, 0x2a45}, {0x2a4a, 0x2a4a},
  {0x2a4c, 0x2a4c}, {0x2a4f, 0x2a50}, {0x2a52, 0x2a52}, {0x2a54, 0x2a54}, {0x2a56, 0x2a57}, {0x2a5b, 0x2a5b}, {0x2a5d, 0x2a5d}, {0x2a61, 0x2a63},
};

static TSCharacterRange sym__times_operator_character_set_2[] = {
  {'%', '&'}, {'*', '*'}, {'/', '/'}, {'\\', '\\'}, {0xb7, 0xb7}, {0xd7, 0xd7}, {0xf7, 0xf7}, {0x214b, 0x214b},
  {0x2217, 0x2219}, {0x2224, 0x2224}, {0x2227, 0x2227}, {0x2229, 0x2229}, {0x2240, 0x2240}, {0x228d, 0x228d}, {0x2293, 0x2293}, {0x2297, 0x229b},
  {0x22a0, 0x22a1}, {0x22bc, 0x22bc}, {0x22c4, 0x22c7}, {0x22c9, 0x22cc}, {0x22cf, 0x22cf}, {0x22d2, 0x22d2}, {0x233f, 0x233f}, {0x25b7, 0x25b7},
  {0x27d1, 0x27d1}, {0x27d5, 0x27d7}, {0x29b8, 0x29b8}, {0x29bc, 0x29bc}, {0x29be, 0x29bf}, {0x29f6, 0x29f7}, {0x2a07, 0x2a07}, {0x2a1d, 0x2a1d},
  {0x2a1f, 0x2a1f}, {0x2a30, 0x2a38}, {0x2a3b, 0x2a3d}, {0x2a40, 0x2a40}, {0x2a43, 0x2a44}, {0x2a4b, 0x2a4b}, {0x2a4d, 0x2a4e}, {0x2a51, 0x2a51},
  {0x2a53, 0x2a53}, {0x2a55, 0x2a55}, {0x2a58, 0x2a58}, {0x2a5a, 0x2a5a}, {0x2a5c, 0x2a5c}, {0x2a5e, 0x2a60}, {0x2adb, 0x2adb},
};

static TSCharacterRange sym__power_operator_character_set_2[] = {
  {'^', '^'}, {0x2191, 0x2191}, {0x2193, 0x2193}, {0x21f5, 0x21f5}, {0x27f0, 0x27f1}, {0x2908, 0x290b}, {0x2912, 0x2913}, {0x2949, 0x2949},
  {0x294c, 0x294d}, {0x294f, 0x294f}, {0x2951, 0x2951}, {0x2954, 0x2955}, {0x2958, 0x2959}, {0x295c, 0x295d}, {0x2960, 0x2961}, {0x2963, 0x2963},
  {0x2965, 0x2965}, {0x296e, 0x296f}, {0xffea, 0xffea}, {0xffec, 0xffec},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 610,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 604,
        '<', 792,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'a', 649,
        'b', 643,
        'c', 639,
        'd', 716,
        'e', 699,
        'f', 686,
        'g', 697,
        'i', 670,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2208, 602,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(559);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 610,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 610,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 610,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 610,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 610,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 610,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 610,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'd', 716,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'd', 716,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'd', 716,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'd', 716,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 612,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 612,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 612,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 699,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 612,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 612,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 612,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 705,
        'f', 692,
        'g', 697,
        'i', 670,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'd', 716,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'd', 716,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'd', 716,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'd', 716,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 359,
        '/', 812,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 359,
        '/', 812,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 359,
        '/', 812,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 699,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 359,
        '/', 812,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 359,
        '/', 812,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 359,
        '/', 812,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 639,
        'e', 705,
        'f', 686,
        'g', 697,
        'i', 670,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 639,
        'e', 704,
        'f', 692,
        'g', 697,
        'i', 670,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 699,
        'f', 692,
        'g', 697,
        'i', 670,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 704,
        'f', 686,
        'g', 697,
        'i', 670,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 704,
        'f', 692,
        'g', 697,
        'i', 670,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 706,
        'f', 686,
        'g', 697,
        'i', 670,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'd', 716,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'd', 716,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 604,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 604,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'd', 716,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'a', 733,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 699,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 361,
        '/', 813,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 361,
        '/', 813,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 361,
        '/', 813,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 699,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 361,
        '/', 813,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 361,
        '/', 813,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 361,
        '/', 813,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'd', 716,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'c', 640,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 699,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 608,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 616,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 608,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 616,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 672,
        'w', 681,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 608,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 616,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 608,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 616,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 672,
        'w', 681,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 608,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 615,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 672,
        'w', 681,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 608,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 615,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'c', 640,
        'f', 686,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 672,
        'w', 681,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'd', 716,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 686,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 672,
        'w', 681,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 703,
        'f', 686,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 793,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 768,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 768,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 793,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 705,
        'f', 692,
        'g', 697,
        'i', 670,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 430,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 639,
        'e', 705,
        'f', 687,
        'g', 697,
        'i', 673,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 639,
        'e', 704,
        'f', 693,
        'g', 697,
        'i', 673,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 699,
        'f', 693,
        'g', 697,
        'i', 673,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 704,
        'f', 687,
        'g', 697,
        'i', 673,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 704,
        'f', 693,
        'g', 697,
        'i', 673,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 706,
        'f', 687,
        'g', 697,
        'i', 673,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 699,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'd', 470,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 617,
        '/', 812,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'd', 470,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 699,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 617,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'd', 470,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 244:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 246:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 247:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'd', 470,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 699,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 249:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 250:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 251:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 252:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 253:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 254:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 474,
        'd', 470,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(275);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 255:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 619,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 474,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 256:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 257:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'd', 470,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(279);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 258:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 619,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 259:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(294);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 260:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(295);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 261:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 699,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(296);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 262:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(297);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 263:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(298);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 264:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(299);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 265:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 619,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 474,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(287);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 266:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(301);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 267:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(302);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 268:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'd', 470,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(303);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 269:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 699,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(304);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 270:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(305);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 271:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(306);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 272:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(307);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 273:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 619,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(308);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 274:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 275:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 474,
        'd', 470,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(275);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 276:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 474,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 277:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 769,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 474,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 278:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 279:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'd', 470,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(279);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 280:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'f', 469,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 281:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 282:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(289);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 283:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'e', 699,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 284:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(291);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 285:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(292);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 286:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(293);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 287:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 474,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(287);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 288:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 289:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(289);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 290:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'e', 699,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 291:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(291);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 292:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(292);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 293:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(293);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 294:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(294);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 295:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(295);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 296:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 699,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(296);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 297:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(297);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 298:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(298);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 299:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(299);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 300:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 769,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 474,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(287);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 301:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'c', 640,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(301);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 302:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'c', 640,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(302);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 303:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'd', 470,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(303);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 304:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 699,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(304);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 305:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 709,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(305);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 306:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 709,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(306);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 307:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 703,
        'f', 688,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(307);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 308:
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'e', 465,
        'f', 460,
        'i', 467,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(308);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 309:
      if (lookahead == '\n') ADVANCE(599);
      if (lookahead == '#') ADVANCE(842);
      if (lookahead == ',') ADVANCE(564);
      if (lookahead == ';') ADVANCE(841);
      if (lookahead == '=') ADVANCE(562);
      if (lookahead == 'e') ADVANCE(462);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(309);
      END_STATE();
    case 310:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(316);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 311:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 610,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(318);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 312:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(317);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 313:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(318);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 314:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 612,
        '/', 812,
        '0', 763,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(319);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 315:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 612,
        '/', 812,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(320);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 316:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(316);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 317:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(317);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 318:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(318);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 319:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 359,
        '/', 812,
        '0', 763,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(319);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 320:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 359,
        '/', 812,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(320);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 321:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 705,
        'f', 692,
        'g', 697,
        'i', 670,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(322);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 322:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(322);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 323:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        '-', 832,
        '.', 838,
        '/', 812,
        '0', 761,
        ':', 568,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 835,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(323);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 324:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(332);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 325:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(333);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 326:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(333);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 327:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(341);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 328:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(342);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 329:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(342);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 330:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 331:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 332:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(332);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 333:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(333);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 334:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 335:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(331);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 336:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(333);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 337:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(339);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 338:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'f', 720,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(340);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 339:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 361,
        '/', 813,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(339);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 340:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 361,
        '/', 813,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'f', 720,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(340);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 341:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(341);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 342:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(342);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 343:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 565,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(343);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 344:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'c', 640,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(344);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 345:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'c', 640,
        'f', 686,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(345);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 346:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 699,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(346);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 347:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 686,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(347);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 348:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 709,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(348);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 349:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        'e', 703,
        'f', 686,
        'i', 672,
        '{', 605,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(349);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 350:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '(', 593,
        '+', 827,
        '-', 829,
        '.', 591,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(350);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 351:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 705,
        'f', 693,
        'g', 697,
        'i', 673,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(353);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 352:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 705,
        'f', 692,
        'g', 697,
        'i', 673,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(354);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 353:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'i', 710,
        'w', 681,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(353);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 354:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 430,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(354);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 355:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        '-', 832,
        '.', 837,
        '/', 812,
        '0', 761,
        ':', 432,
        '<', 794,
        '=', 434,
        '>', 796,
        '?', 835,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 705,
        'f', 693,
        'g', 697,
        'i', 674,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 682,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(356);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 356:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        '-', 832,
        '.', 837,
        '/', 812,
        '0', 761,
        ':', 432,
        '<', 794,
        '=', 434,
        '>', 796,
        '?', 835,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(356);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 357:
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '+', 827,
        '-', 834,
        '.', 839,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 807,
        '~', 823,
        '$', 835,
        '?', 835,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(357);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 358:
      ADVANCE_MAP(
        '!', 826,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 802,
        '/', 812,
        '<', 794,
        '=', 785,
        '>', 796,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 359:
      ADVANCE_MAP(
        '!', 826,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 802,
        '/', 812,
        '<', 794,
        '=', 785,
        '>', 796,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 360:
      ADVANCE_MAP(
        '!', 826,
        '&', 810,
        '+', 827,
        '-', 829,
        '.', 802,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 361:
      ADVANCE_MAP(
        '!', 826,
        '&', 810,
        '+', 827,
        '-', 829,
        '.', 802,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 362:
      ADVANCE_MAP(
        '!', 826,
        '+', 827,
        '-', 829,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == '.' ||
          lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 363:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'c', 447,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(372);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 364:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'd', 470,
        'e', 465,
        'f', 461,
        'i', 467,
        'w', 458,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(373);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 365:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'i', 710,
        'w', 681,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(375);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 366:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(376);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 367:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 617,
        '/', 812,
        ':', 596,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 469,
        'i', 467,
        'w', 458,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(374);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 368:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        '-', 831,
        '.', 618,
        '/', 812,
        ':', 596,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'i', 467,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2208, 602,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(377);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 369:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2208, 602,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(378);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 370:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'i', 467,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2208, 602,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(379);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 371:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 617,
        '/', 812,
        ':', 596,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'i', 467,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2208, 602,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(379);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 372:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 407,
        '/', 812,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'c', 447,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(372);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 373:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'd', 470,
        'e', 465,
        'f', 461,
        'i', 467,
        'w', 458,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(373);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 374:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 469,
        'i', 467,
        'w', 458,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(374);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 375:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 567,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'i', 710,
        'w', 681,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(375);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 376:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 603,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'f', 720,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(376);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 377:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 831,
        '.', 407,
        '/', 812,
        ':', 430,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'i', 467,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2208, 602,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(377);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 378:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2208, 602,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(378);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 379:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'i', 467,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2208, 602,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(379);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 380:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'd', 470,
        'e', 466,
        'f', 469,
        'i', 467,
        'w', 458,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(393);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 381:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'i', 710,
        'w', 681,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(396);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 382:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'f', 720,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(398);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 383:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 619,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'f', 469,
        'i', 467,
        'w', 458,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(394);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 384:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'd', 470,
        'f', 469,
        'i', 467,
        'w', 458,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(400);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 385:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'i', 710,
        'w', 681,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(402);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 386:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'f', 720,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(403);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 387:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 619,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'f', 469,
        'i', 467,
        'w', 458,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(401);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 388:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'd', 470,
        'i', 467,
        'w', 458,
        '|', 808,
        0x2208, 602,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(404);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 389:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'i', 710,
        'w', 681,
        '|', 808,
        0x2208, 602,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(405);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 390:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        '-', 833,
        '.', 619,
        '/', 813,
        ':', 595,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'i', 467,
        'w', 458,
        '|', 808,
        0x2208, 602,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(406);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 391:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 733,
        'i', 710,
        'w', 681,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(395);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 392:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'f', 720,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(397);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 393:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'd', 470,
        'e', 466,
        'f', 469,
        'i', 467,
        'w', 458,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(393);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 394:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'f', 469,
        'i', 467,
        'w', 458,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(394);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 395:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 733,
        'i', 710,
        'w', 681,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(395);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 396:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'i', 710,
        'w', 681,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(396);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 397:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'f', 720,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(397);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 398:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'f', 720,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(398);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 399:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 769,
        '/', 813,
        ':', 595,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'f', 469,
        'i', 467,
        'w', 458,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(394);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 400:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'd', 470,
        'f', 469,
        'i', 467,
        'w', 458,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(400);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 401:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'f', 469,
        'i', 467,
        'w', 458,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(401);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 402:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'i', 710,
        'w', 681,
        '|', 808,
        '}', 606,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(402);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 403:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 603,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'f', 720,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(403);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 404:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'd', 470,
        'i', 467,
        'w', 458,
        '|', 808,
        0x2208, 602,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(404);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 405:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'i', 710,
        'w', 681,
        '|', 808,
        0x2208, 602,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(405);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 406:
      ADVANCE_MAP(
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'i', 467,
        'w', 458,
        '|', 808,
        0x2208, 602,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(406);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 407:
      ADVANCE_MAP(
        '!', 433,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 802,
        '/', 812,
        '<', 794,
        '=', 785,
        '>', 796,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 408:
      ADVANCE_MAP(
        '!', 433,
        '&', 810,
        '+', 827,
        '-', 829,
        '.', 802,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 409:
      ADVANCE_MAP(
        '#', 842,
        '$', 624,
        '\'', 607,
        ')', 594,
        ',', 564,
        '.', 609,
        '0', 763,
        ':', 565,
        '<', 431,
        '=', 562,
        '\\', 479,
        'd', 470,
        'e', 466,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(410);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      END_STATE();
    case 410:
      ADVANCE_MAP(
        '#', 842,
        '$', 624,
        ')', 594,
        ',', 564,
        '0', 763,
        ':', 565,
        '<', 431,
        '=', 562,
        '\\', 479,
        'd', 470,
        'e', 466,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(410);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      END_STATE();
    case 411:
      if (lookahead == '#') ADVANCE(842);
      if (lookahead == '\'') ADVANCE(607);
      if (lookahead == ')') ADVANCE(594);
      if (lookahead == '.') ADVANCE(609);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == '<') ADVANCE(431);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 412:
      if (lookahead == '#') ADVANCE(842);
      if (lookahead == '\'') ADVANCE(607);
      if (lookahead == ')') ADVANCE(594);
      if (lookahead == '.') ADVANCE(621);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == 'e') ADVANCE(466);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(417);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      END_STATE();
    case 413:
      if (lookahead == '#') ADVANCE(842);
      if (lookahead == '\'') ADVANCE(607);
      if (lookahead == '.') ADVANCE(609);
      if (lookahead == '<') ADVANCE(431);
      if (lookahead == 'e') ADVANCE(709);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 414:
      if (lookahead == '#') ADVANCE(842);
      if (lookahead == ')') ADVANCE(594);
      if (lookahead == '.') ADVANCE(771);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == '<') ADVANCE(431);
      if (lookahead == 'e') ADVANCE(466);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(415);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      END_STATE();
    case 415:
      if (lookahead == '#') ADVANCE(842);
      if (lookahead == ')') ADVANCE(594);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == '<') ADVANCE(431);
      if (lookahead == 'e') ADVANCE(466);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(415);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      END_STATE();
    case 416:
      if (lookahead == '#') ADVANCE(842);
      if (lookahead == ')') ADVANCE(594);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == '<') ADVANCE(431);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 417:
      if (lookahead == '#') ADVANCE(842);
      if (lookahead == ')') ADVANCE(594);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == 'e') ADVANCE(466);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(417);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      END_STATE();
    case 418:
      if (lookahead == '#') ADVANCE(842);
      if (lookahead == '<') ADVANCE(431);
      if (lookahead == 'e') ADVANCE(709);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 419:
      if (lookahead == '\'') ADVANCE(783);
      END_STATE();
    case 420:
      if (lookahead == '\'') ADVANCE(783);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(419);
      END_STATE();
    case 421:
      if (lookahead == '\'') ADVANCE(783);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(420);
      END_STATE();
    case 422:
      if (lookahead == '\'') ADVANCE(783);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(419);
      END_STATE();
    case 423:
      if (lookahead == '\'') ADVANCE(783);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(422);
      END_STATE();
    case 424:
      if (lookahead == '\'') ADVANCE(783);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(423);
      END_STATE();
    case 425:
      if (lookahead == '\'') ADVANCE(783);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(424);
      END_STATE();
    case 426:
      if (lookahead == '\'') ADVANCE(783);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(425);
      END_STATE();
    case 427:
      if (lookahead == '-') ADVANCE(788);
      END_STATE();
    case 428:
      if (lookahead == '.') ADVANCE(493);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(759);
      END_STATE();
    case 429:
      if (lookahead == ':') ADVANCE(626);
      END_STATE();
    case 430:
      if (lookahead == ':') ADVANCE(626);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 431:
      if (lookahead == ':') ADVANCE(571);
      END_STATE();
    case 432:
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 433:
      if (lookahead == '=') ADVANCE(798);
      END_STATE();
    case 434:
      if (lookahead == '=') ADVANCE(798);
      if (lookahead == '>') ADVANCE(786);
      END_STATE();
    case 435:
      if (lookahead == '>') ADVANCE(787);
      END_STATE();
    case 436:
      if (lookahead == '\\') ADVANCE(478);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(419);
      END_STATE();
    case 437:
      if (lookahead == '_') ADVANCE(437);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(762);
      END_STATE();
    case 438:
      if (lookahead == '_') ADVANCE(438);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(757);
      END_STATE();
    case 439:
      if (lookahead == '_') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(758);
      END_STATE();
    case 440:
      if (lookahead == '_') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(759);
      END_STATE();
    case 441:
      if (lookahead == '_') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      END_STATE();
    case 442:
      if (lookahead == '_') ADVANCE(443);
      if (lookahead == 'p') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(442);
      END_STATE();
    case 443:
      if (lookahead == '_') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(442);
      END_STATE();
    case 444:
      if (lookahead == '_') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      END_STATE();
    case 445:
      if (lookahead == '_') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(760);
      END_STATE();
    case 446:
      if (lookahead == '_') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(764);
      END_STATE();
    case 447:
      if (lookahead == 'a') ADVANCE(477);
      END_STATE();
    case 448:
      if (lookahead == 'a') ADVANCE(631);
      END_STATE();
    case 449:
      if (lookahead == 'a') ADVANCE(464);
      END_STATE();
    case 450:
      if (lookahead == 'c') ADVANCE(459);
      END_STATE();
    case 451:
      if (lookahead == 'd') ADVANCE(569);
      END_STATE();
    case 452:
      if (lookahead == 'e') ADVANCE(580);
      END_STATE();
    case 453:
      if (lookahead == 'e') ADVANCE(572);
      END_STATE();
    case 454:
      if (lookahead == 'e') ADVANCE(578);
      END_STATE();
    case 455:
      if (lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 456:
      if (lookahead == 'f') ADVANCE(574);
      if (lookahead == 'n') ADVANCE(600);
      if (lookahead == 's') ADVANCE(448);
      END_STATE();
    case 457:
      if (lookahead == 'f') ADVANCE(576);
      END_STATE();
    case 458:
      if (lookahead == 'h') ADVANCE(455);
      END_STATE();
    case 459:
      if (lookahead == 'h') ADVANCE(583);
      END_STATE();
    case 460:
      if (lookahead == 'i') ADVANCE(468);
      END_STATE();
    case 461:
      if (lookahead == 'i') ADVANCE(468);
      if (lookahead == 'o') ADVANCE(472);
      END_STATE();
    case 462:
      if (lookahead == 'l') ADVANCE(475);
      if (lookahead == 'n') ADVANCE(451);
      END_STATE();
    case 463:
      if (lookahead == 'l') ADVANCE(480);
      END_STATE();
    case 464:
      if (lookahead == 'l') ADVANCE(463);
      END_STATE();
    case 465:
      if (lookahead == 'l') ADVANCE(476);
      if (lookahead == 'n') ADVANCE(451);
      END_STATE();
    case 466:
      if (lookahead == 'n') ADVANCE(451);
      END_STATE();
    case 467:
      if (lookahead == 'n') ADVANCE(600);
      if (lookahead == 's') ADVANCE(448);
      END_STATE();
    case 468:
      if (lookahead == 'n') ADVANCE(449);
      END_STATE();
    case 469:
      if (lookahead == 'o') ADVANCE(472);
      END_STATE();
    case 470:
      if (lookahead == 'o') ADVANCE(622);
      END_STATE();
    case 471:
      if (lookahead == 'p') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(442);
      END_STATE();
    case 472:
      if (lookahead == 'r') ADVANCE(587);
      END_STATE();
    case 473:
      if (lookahead == 'r') ADVANCE(453);
      END_STATE();
    case 474:
      if (lookahead == 's') ADVANCE(589);
      END_STATE();
    case 475:
      if (lookahead == 's') ADVANCE(452);
      END_STATE();
    case 476:
      if (lookahead == 's') ADVANCE(454);
      END_STATE();
    case 477:
      if (lookahead == 't') ADVANCE(450);
      END_STATE();
    case 478:
      if (lookahead == 'x') ADVANCE(497);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(492);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(421);
      if (lookahead != 0) ADVANCE(419);
      END_STATE();
    case 479:
      if (lookahead == 'x') ADVANCE(498);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(777);
      if (lookahead != 0) ADVANCE(775);
      END_STATE();
    case 480:
      if (lookahead == 'y') ADVANCE(585);
      END_STATE();
    case 481:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(487);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(772);
      END_STATE();
    case 482:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(488);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(773);
      END_STATE();
    case 483:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(489);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(774);
      END_STATE();
    case 484:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(766);
      END_STATE();
    case 485:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(757);
      END_STATE();
    case 486:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(758);
      END_STATE();
    case 487:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(772);
      END_STATE();
    case 488:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(773);
      END_STATE();
    case 489:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(774);
      END_STATE();
    case 490:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(766);
      END_STATE();
    case 491:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(419);
      END_STATE();
    case 492:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(426);
      END_STATE();
    case 493:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(442);
      END_STATE();
    case 494:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(760);
      END_STATE();
    case 495:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(775);
      END_STATE();
    case 496:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(782);
      END_STATE();
    case 497:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(491);
      END_STATE();
    case 498:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(495);
      END_STATE();
    case 499:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(505);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 500:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 610,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(507);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 501:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(506);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 502:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(507);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 503:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 611,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(510);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 504:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 608,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 612,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(511);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 505:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(505);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 506:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(506);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 507:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(507);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 508:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 705,
        'f', 692,
        'g', 697,
        'i', 670,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(509);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 509:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(509);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 510:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'e', 703,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(510);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 511:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 359,
        '/', 812,
        ':', 567,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        '^', 822,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(511);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 512:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(521);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 513:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(522);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 514:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(523);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 515:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(523);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 516:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(527);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 517:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(528);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 518:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 608,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(528);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 519:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 614,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(520);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 520:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(520);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 521:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(521);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 522:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'e', 709,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(522);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 523:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(523);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 524:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 613,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(520);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 525:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'a', 733,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(520);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 526:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        '0', 761,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(523);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 527:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'd', 716,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(527);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 528:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 360,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(528);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 529:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 767,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(530);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 530:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 624,
        '&', 810,
        '\'', 436,
        '(', 593,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 361,
        '/', 813,
        ':', 566,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        '@', 636,
        '[', 597,
        'i', 710,
        'w', 681,
        '{', 605,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(530);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 531:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'a', 650,
        'b', 643,
        'c', 647,
        'e', 705,
        'f', 693,
        'g', 697,
        'i', 673,
        'l', 665,
        'm', 718,
        'p', 724,
        'q', 750,
        's', 744,
        't', 725,
        'u', 734,
        'w', 678,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(532);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 532:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 826,
        '#', 842,
        '$', 840,
        '%', 814,
        '&', 811,
        '\'', 436,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 832,
        '.', 836,
        '/', 812,
        '0', 761,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(532);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 533:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'c', 447,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(537);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 534:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'c', 447,
        'd', 470,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(538);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 535:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 617,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'c', 447,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(539);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 536:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '\'', 607,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 618,
        '/', 812,
        ':', 596,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(540);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 537:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'c', 447,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(537);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 538:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'c', 447,
        'd', 470,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(538);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 539:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        ']', 598,
        '^', 822,
        'c', 447,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(539);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 540:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '$', 432,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 830,
        '.', 407,
        '/', 812,
        ':', 430,
        ';', 841,
        '<', 794,
        '=', 563,
        '>', 796,
        '?', 634,
        '\\', 814,
        '^', 822,
        'i', 710,
        'w', 681,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(540);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 541:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'c', 447,
        'd', 470,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(548);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 542:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'c', 447,
        'd', 470,
        'e', 465,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(549);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 543:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 619,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'c', 447,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(550);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 544:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'c', 447,
        'd', 470,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(552);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 545:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 619,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'c', 447,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(553);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 546:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(556);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 547:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '\'', 607,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(557);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 548:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'c', 447,
        'd', 470,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(548);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 549:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'c', 447,
        'd', 470,
        'e', 465,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(549);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 550:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'c', 447,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(550);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 551:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 769,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'a', 474,
        'c', 447,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(550);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 552:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'c', 447,
        'd', 470,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(552);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 553:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        ']', 598,
        'c', 447,
        'e', 462,
        'f', 461,
        'i', 456,
        'w', 458,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(553);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 554:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 620,
        '/', 813,
        ':', 595,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(555);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 555:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'a', 733,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(555);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 556:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(556);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 557:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '!', 433,
        '#', 842,
        '&', 810,
        '+', 827,
        ',', 564,
        '-', 833,
        '.', 408,
        '/', 813,
        ':', 429,
        ';', 841,
        '<', 795,
        '=', 563,
        '>', 797,
        '?', 634,
        'i', 710,
        'w', 681,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(557);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 558:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '\n', 599,
        '#', 842,
        ',', 564,
        ';', 841,
        '=', 562,
        'c', 447,
        'e', 465,
        'f', 460,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(558);
      END_STATE();
    case 559:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 625,
        '%', 814,
        '&', 811,
        '\'', 436,
        '(', 593,
        ')', 594,
        '*', 814,
        '+', 828,
        ',', 564,
        '-', 831,
        '.', 358,
        '/', 812,
        '0', 761,
        ':', 567,
        ';', 604,
        '<', 792,
        '=', 563,
        '>', 796,
        '?', 634,
        '@', 636,
        '[', 597,
        '\\', 814,
        ']', 598,
        '^', 822,
        'a', 733,
        'c', 640,
        'd', 716,
        'e', 699,
        'f', 686,
        'i', 671,
        'w', 681,
        '{', 605,
        '|', 806,
        '}', 606,
        '~', 823,
        0xf7, 814,
        0x2208, 602,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(559);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 560:
      if (eof) ADVANCE(561);
      ADVANCE_MAP(
        '!', 826,
        '#', 842,
        '$', 624,
        '\'', 436,
        '(', 593,
        ')', 594,
        '+', 827,
        ',', 564,
        '-', 829,
        '.', 362,
        '/', 813,
        '0', 761,
        ':', 566,
        ';', 603,
        '<', 795,
        '=', 434,
        '>', 797,
        '@', 636,
        '[', 597,
        ']', 598,
        'f', 720,
        'i', 672,
        '{', 605,
        '|', 807,
        '}', 606,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        0x2194, 756,
        0x21a9, 756,
        0x21aa, 756,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(560);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(762);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      if (set_contains(sym__word_identifier_character_set_1, 806, lookahead)) ADVANCE(756);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(798);
      if (lookahead == '>') ADVANCE(786);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(626);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(626);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(626);
      if (lookahead == '=') ADVANCE(627);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_end);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_LT_COLON);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_where);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_where);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_if);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_elseif);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_elseif);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == 'i') ADVANCE(676);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == 'i') ADVANCE(457);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == 'i') ADVANCE(675);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_else);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_catch);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_finally);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_for);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_as);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_import_path_token1);
      ADVANCE_MAP(
        '!', 826,
        '+', 827,
        '-', 829,
        '.', 592,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_import_path_token1);
      if (lookahead == '.') ADVANCE(592);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(626);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(626);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(599);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_in);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_u2208);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(841);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\\') ADVANCE(478);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(419);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 826,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 802,
        '/', 812,
        '<', 794,
        '=', 785,
        '>', 796,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        'E', 481,
        'e', 481,
        'f', 481,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 826,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 802,
        '/', 812,
        '<', 794,
        '=', 785,
        '>', 796,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 826,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 802,
        '/', 812,
        '<', 794,
        '=', 785,
        '>', 796,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 826,
        '&', 810,
        '+', 827,
        '-', 829,
        '.', 802,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        'E', 481,
        'e', 481,
        'f', 481,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 826,
        '&', 810,
        '+', 827,
        '-', 829,
        '.', 802,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 826,
        '+', 827,
        '-', 829,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        'E', 481,
        'e', 481,
        'f', 481,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == '.' ||
          lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 826,
        '+', 827,
        '-', 829,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == '.' ||
          lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 433,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 802,
        '/', 812,
        '<', 794,
        '=', 785,
        '>', 796,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        'E', 481,
        'e', 481,
        'f', 481,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 433,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 802,
        '/', 812,
        '<', 794,
        '=', 785,
        '>', 796,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 433,
        '&', 810,
        '+', 827,
        '-', 829,
        '.', 802,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        'E', 481,
        'e', 481,
        'f', 481,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 433,
        '&', 810,
        '+', 827,
        '-', 829,
        '.', 802,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(481);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_do);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      if (lookahead == '=') ADVANCE(798);
      if (lookahead == '>') ADVANCE(786);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_quote_expression_token1);
      if (lookahead == 'i') ADVANCE(675);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_quote_expression_token1);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(anon_sym_isa);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_isa);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(632);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(694);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(742);
      if (lookahead == 'o') ADVANCE(711);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(742);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(648);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(700);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(728);
      if (lookahead == 'r') ADVANCE(666);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(652);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(696);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(702);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(748);
      if (lookahead == 'o') ADVANCE(711);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'b') ADVANCE(701);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'b') ADVANCE(739);
      if (lookahead == 's') ADVANCE(590);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'b') ADVANCE(739);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'b') ADVANCE(645);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'c') ADVANCE(741);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'c') ADVANCE(680);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'c') ADVANCE(679);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'c') ADVANCE(645);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'd') ADVANCE(570);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'd') ADVANCE(630);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'd') ADVANCE(749);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(630);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(579);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(573);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(582);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(629);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(708);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(741);
      if (lookahead == 'o') ADVANCE(655);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(638);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(731);
      if (lookahead == 'i') ADVANCE(701);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(731);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(581);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(575);
      if (lookahead == 'm') ADVANCE(723);
      if (lookahead == 'n') ADVANCE(601);
      if (lookahead == 's') ADVANCE(637);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(575);
      if (lookahead == 'n') ADVANCE(601);
      if (lookahead == 's') ADVANCE(637);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(575);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(630);
      if (lookahead == 'm') ADVANCE(723);
      if (lookahead == 'n') ADVANCE(601);
      if (lookahead == 's') ADVANCE(637);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(630);
      if (lookahead == 'm') ADVANCE(723);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(630);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(577);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'g') ADVANCE(630);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'h') ADVANCE(667);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'h') ADVANCE(630);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'h') ADVANCE(584);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'h') ADVANCE(668);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'h') ADVANCE(685);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(707);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(753);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(701);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(714);
      if (lookahead == 'o') ADVANCE(726);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(714);
      if (lookahead == 'o') ADVANCE(727);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(714);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(712);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(713);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(743);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(715);
      if (lookahead == 'o') ADVANCE(726);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(715);
      if (lookahead == 'o') ADVANCE(727);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'k') ADVANCE(630);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(754);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(630);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(717);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(755);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(736);
      if (lookahead == 'n') ADVANCE(656);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(698);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(659);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(695);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(737);
      if (lookahead == 'n') ADVANCE(656);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(738);
      if (lookahead == 'n') ADVANCE(656);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(738);
      if (lookahead == 'n') ADVANCE(657);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(740);
      if (lookahead == 'n') ADVANCE(656);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'm') ADVANCE(691);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'm') ADVANCE(719);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(656);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(601);
      if (lookahead == 's') ADVANCE(637);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(735);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(677);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(752);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(642);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(646);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(623);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(651);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(658);
      if (lookahead == 'u') ADVANCE(746);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(658);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(726);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(745);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(730);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'p') ADVANCE(722);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(683);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(754);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(588);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(630);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(664);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(751);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(741);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(661);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(644);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(590);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(689);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(741);
      if (lookahead == 't') ADVANCE(690);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(660);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(662);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(663);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(747);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(669);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(630);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(653);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(684);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(729);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(659);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(641);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(732);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(654);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'u') ADVANCE(701);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'u') ADVANCE(721);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'u') ADVANCE(652);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'u') ADVANCE(659);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'v') ADVANCE(659);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'y') ADVANCE(630);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'y') ADVANCE(586);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__word_identifier);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(756);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(aux_sym_integer_literal_token1);
      if (lookahead == '_') ADVANCE(438);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(757);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(aux_sym_integer_literal_token2);
      if (lookahead == '_') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(758);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(aux_sym_integer_literal_token3);
      if (lookahead == '.') ADVANCE(471);
      if (lookahead == '_') ADVANCE(440);
      if (lookahead == 'p') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(759);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(aux_sym_integer_literal_token3);
      if (lookahead == '_') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(760);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(aux_sym_integer_literal_token4);
      if (lookahead == '_') ADVANCE(437);
      if (lookahead == 'b') ADVANCE(485);
      if (lookahead == 'o') ADVANCE(486);
      if (lookahead == 'x') ADVANCE(428);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(762);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(aux_sym_integer_literal_token4);
      if (lookahead == '_') ADVANCE(437);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(762);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(aux_sym_integer_literal_token4);
      if (lookahead == '_') ADVANCE(446);
      if (lookahead == 'b') ADVANCE(485);
      if (lookahead == 'o') ADVANCE(486);
      if (lookahead == 'x') ADVANCE(494);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(764);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(aux_sym_integer_literal_token4);
      if (lookahead == '_') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(764);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(aux_sym_float_literal_token1);
      if (lookahead == '_') ADVANCE(444);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(aux_sym_float_literal_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(766);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      ADVANCE_MAP(
        '!', 826,
        '&', 810,
        '+', 827,
        '-', 829,
        '.', 802,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 808,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        'E', 481,
        'e', 481,
        'f', 481,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      ADVANCE_MAP(
        '!', 826,
        '+', 827,
        '-', 829,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
        'E', 481,
        'e', 481,
        'f', 481,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == '.' ||
          lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      ADVANCE_MAP(
        '!', 433,
        '&', 810,
        '+', 827,
        '-', 829,
        '.', 802,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 808,
        0xb1, 804,
        0x2213, 804,
        'E', 481,
        'e', 481,
        'f', 481,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      if (lookahead == '_') ADVANCE(441);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(481);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(481);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(772);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(aux_sym_float_literal_token3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(773);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(aux_sym_float_literal_token4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(774);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(775);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(776);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(775);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(778);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(779);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(780);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(781);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__assignment_operator);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__assignment_operator);
      if (lookahead == '=') ADVANCE(798);
      if (lookahead == '>') ADVANCE(786);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__pair_operator);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__arrow_operator);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__arrow_operator);
      if (lookahead == '>') ADVANCE(787);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__lazy_or_operator);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__lazy_and_operator);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__comparison_operator);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == '-') ADVANCE(427);
      if (lookahead == ':') ADVANCE(571);
      if (lookahead == '<') ADVANCE(818);
      if (lookahead == '=') ADVANCE(791);
      if (lookahead == '|') ADVANCE(800);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == '-') ADVANCE(427);
      if (lookahead == ':') ADVANCE(571);
      if (lookahead == '<') ADVANCE(817);
      if (lookahead == '=') ADVANCE(791);
      if (lookahead == '|') ADVANCE(800);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == '-') ADVANCE(427);
      if (lookahead == ':') ADVANCE(824);
      if (lookahead == '<') ADVANCE(818);
      if (lookahead == '=') ADVANCE(791);
      if (lookahead == '|') ADVANCE(800);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == '-') ADVANCE(427);
      if (lookahead == ':') ADVANCE(824);
      if (lookahead == '<') ADVANCE(817);
      if (lookahead == '=') ADVANCE(791);
      if (lookahead == '|') ADVANCE(800);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == ':') ADVANCE(824);
      if (lookahead == '=') ADVANCE(791);
      if (lookahead == '>') ADVANCE(819);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == ':') ADVANCE(824);
      if (lookahead == '=') ADVANCE(791);
      if (lookahead == '>') ADVANCE(820);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == '=') ADVANCE(791);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__pipe_right_operator);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__pipe_left_operator);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__ellipsis_operator);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__ellipsis_operator);
      if (lookahead == '.') ADVANCE(633);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__ellipsis_operator);
      if (lookahead == '.') ADVANCE(835);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__plus_operator);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__plus_operator);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__plus_operator);
      if (lookahead == '=') ADVANCE(784);
      if (lookahead == '>') ADVANCE(799);
      if (lookahead == '|') ADVANCE(789);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__plus_operator);
      if (lookahead == '>') ADVANCE(799);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__plus_operator);
      if (lookahead == '>') ADVANCE(799);
      if (lookahead == '|') ADVANCE(789);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__times_operator);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__times_operator);
      if (lookahead == '&') ADVANCE(790);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__times_operator);
      if (lookahead == '&') ADVANCE(790);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__times_operator);
      if (lookahead == '/') ADVANCE(816);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__times_operator);
      if (lookahead == '/') ADVANCE(815);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym__times_operator);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym__rational_operator);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym__rational_operator);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym__bitshift_operator);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym__bitshift_operator);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym__bitshift_operator);
      if (lookahead == '=') ADVANCE(784);
      if (lookahead == '>') ADVANCE(818);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym__bitshift_operator);
      if (lookahead == '>') ADVANCE(817);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym__power_operator);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym__power_operator);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym__tilde_operator);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym__type_order_operator);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym__unary_operator);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym__unary_operator);
      if (lookahead == '=') ADVANCE(798);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '+') ADVANCE(804);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '+') ADVANCE(804);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '-') ADVANCE(435);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '-') ADVANCE(435);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '-') ADVANCE(435);
      if (lookahead == '=') ADVANCE(784);
      if (lookahead == '>') ADVANCE(635);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '-') ADVANCE(435);
      if (lookahead == '=') ADVANCE(784);
      if (lookahead == '>') ADVANCE(835);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '-') ADVANCE(435);
      if (lookahead == '>') ADVANCE(635);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '-') ADVANCE(435);
      if (lookahead == '>') ADVANCE(835);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym__syntactic_operator);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym__syntactic_operator);
      ADVANCE_MAP(
        '!', 826,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 802,
        '/', 812,
        '<', 794,
        '=', 785,
        '>', 796,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym__syntactic_operator);
      ADVANCE_MAP(
        '!', 826,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 803,
        '/', 812,
        '<', 794,
        '=', 785,
        '>', 796,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym__syntactic_operator);
      ADVANCE_MAP(
        '!', 826,
        '%', 814,
        '&', 811,
        '*', 814,
        '+', 828,
        '-', 830,
        '.', 803,
        '/', 812,
        '<', 794,
        '=', 628,
        '>', 796,
        '\\', 814,
        '^', 822,
        '|', 806,
        '~', 823,
        0xf7, 814,
        0x2212, 805,
        0x22bb, 805,
        0xb1, 804,
        0x2213, 804,
        0x2254, 784,
        0x2255, 784,
        0x2a74, 784,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym__syntactic_operator);
      ADVANCE_MAP(
        '!', 826,
        '+', 827,
        '-', 829,
        '.', 803,
        '/', 813,
        '<', 795,
        '=', 434,
        '>', 797,
        '|', 807,
        '~', 823,
        0xb1, 804,
        0x2213, 804,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(825);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(801);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(821);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(804);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(809);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(787);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(791);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym__syntactic_operator);
      if (lookahead == '=') ADVANCE(784);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == ';') ADVANCE(841);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(842);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'e', 4,
        'f', 5,
        'g', 6,
        'i', 7,
        'l', 8,
        'm', 9,
        'o', 10,
        'p', 11,
        'q', 12,
        'r', 13,
        's', 14,
        't', 15,
        'u', 16,
        'w', 17,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(18);
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(19);
      if (lookahead == 'e') ADVANCE(20);
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(22);
      END_STATE();
    case 4:
      if (lookahead == 'x') ADVANCE(23);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(24);
      if (lookahead == 'u') ADVANCE(25);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(26);
      END_STATE();
    case 7:
      if (lookahead == 'm') ADVANCE(27);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'u') ADVANCE(32);
      END_STATE();
    case 10:
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(34);
      END_STATE();
    case 12:
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 't') ADVANCE(37);
      END_STATE();
    case 15:
      if (lookahead == 'r') ADVANCE(38);
      if (lookahead == 'y') ADVANCE(39);
      END_STATE();
    case 16:
      if (lookahead == 's') ADVANCE(40);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(41);
      END_STATE();
    case 18:
      if (lookahead == 's') ADVANCE(42);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(43);
      END_STATE();
    case 20:
      if (lookahead == 'g') ADVANCE(44);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(46);
      END_STATE();
    case 23:
      if (lookahead == 'p') ADVANCE(47);
      END_STATE();
    case 24:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 25:
      if (lookahead == 'n') ADVANCE(49);
      END_STATE();
    case 26:
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(51);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(52);
      END_STATE();
    case 29:
      if (lookahead == 'c') ADVANCE(53);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(54);
      END_STATE();
    case 31:
      if (lookahead == 'd') ADVANCE(55);
      END_STATE();
    case 32:
      if (lookahead == 't') ADVANCE(56);
      END_STATE();
    case 33:
      if (lookahead == 't') ADVANCE(57);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 35:
      if (lookahead == 'o') ADVANCE(59);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(62);
      if (lookahead == 'y') ADVANCE(63);
      END_STATE();
    case 39:
      if (lookahead == 'p') ADVANCE(64);
      END_STATE();
    case 40:
      if (lookahead == 'i') ADVANCE(65);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(66);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(67);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 44:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 45:
      if (lookahead == 'a') ADVANCE(70);
      END_STATE();
    case 46:
      if (lookahead == 's') ADVANCE(71);
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 47:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 49:
      if (lookahead == 'c') ADVANCE(75);
      END_STATE();
    case 50:
      if (lookahead == 'b') ADVANCE(76);
      END_STATE();
    case 51:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(78);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(79);
      END_STATE();
    case 55:
      if (lookahead == 'u') ADVANCE(80);
      END_STATE();
    case 56:
      if (lookahead == 'a') ADVANCE(81);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 58:
      if (lookahead == 'm') ADVANCE(83);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(84);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(85);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 65:
      if (lookahead == 'n') ADVANCE(89);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(90);
      END_STATE();
    case 67:
      if (lookahead == 'r') ADVANCE(91);
      END_STATE();
    case 68:
      if (lookahead == 'm') ADVANCE(92);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 70:
      if (lookahead == 'k') ADVANCE(94);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(96);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 76:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(101);
      END_STATE();
    case 78:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 79:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(104);
      END_STATE();
    case 81:
      if (lookahead == 'b') ADVANCE(105);
      END_STATE();
    case 82:
      if (lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(107);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 85:
      if (lookahead == 'r') ADVANCE(109);
      END_STATE();
    case 86:
      if (lookahead == 'c') ADVANCE(110);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 89:
      if (lookahead == 'g') ADVANCE(111);
      END_STATE();
    case 90:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(114);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_break_statement);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 96:
      if (lookahead == 'n') ADVANCE(115);
      END_STATE();
    case 97:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 99:
      if (lookahead == 'i') ADVANCE(117);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 101:
      if (lookahead == 't') ADVANCE(119);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_macro);
      END_STATE();
    case 104:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 105:
      if (lookahead == 'l') ADVANCE(121);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_outer);
      END_STATE();
    case 107:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_quote);
      END_STATE();
    case 109:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 110:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 113:
      if (lookahead == 'c') ADVANCE(125);
      END_STATE();
    case 114:
      if (lookahead == 'd') ADVANCE(126);
      END_STATE();
    case 115:
      if (lookahead == 'u') ADVANCE(127);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 117:
      if (lookahead == 'o') ADVANCE(128);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(129);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(130);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(131);
      END_STATE();
    case 126:
      if (lookahead == 'u') ADVANCE(132);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 128:
      if (lookahead == 'n') ADVANCE(134);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 130:
      if (lookahead == 'v') ADVANCE(135);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 132:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_continue_statement);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(137);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_primitive);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_baremodule);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 560, .external_lex_state = 2},
  [2] = {.lex_state = 503, .external_lex_state = 3},
  [3] = {.lex_state = 9, .external_lex_state = 3},
  [4] = {.lex_state = 88, .external_lex_state = 4},
  [5] = {.lex_state = 90, .external_lex_state = 4},
  [6] = {.lex_state = 88, .external_lex_state = 4},
  [7] = {.lex_state = 88, .external_lex_state = 4},
  [8] = {.lex_state = 514, .external_lex_state = 4},
  [9] = {.lex_state = 88, .external_lex_state = 4},
  [10] = {.lex_state = 90, .external_lex_state = 4},
  [11] = {.lex_state = 514, .external_lex_state = 4},
  [12] = {.lex_state = 90, .external_lex_state = 4},
  [13] = {.lex_state = 90, .external_lex_state = 4},
  [14] = {.lex_state = 88, .external_lex_state = 4},
  [15] = {.lex_state = 89, .external_lex_state = 4},
  [16] = {.lex_state = 90, .external_lex_state = 4},
  [17] = {.lex_state = 89, .external_lex_state = 4},
  [18] = {.lex_state = 89, .external_lex_state = 4},
  [19] = {.lex_state = 82, .external_lex_state = 4},
  [20] = {.lex_state = 82, .external_lex_state = 4},
  [21] = {.lex_state = 82, .external_lex_state = 4},
  [22] = {.lex_state = 88, .external_lex_state = 4},
  [23] = {.lex_state = 83, .external_lex_state = 4},
  [24] = {.lex_state = 88, .external_lex_state = 4},
  [25] = {.lex_state = 88, .external_lex_state = 4},
  [26] = {.lex_state = 82, .external_lex_state = 4},
  [27] = {.lex_state = 89, .external_lex_state = 4},
  [28] = {.lex_state = 90, .external_lex_state = 4},
  [29] = {.lex_state = 514, .external_lex_state = 4},
  [30] = {.lex_state = 83, .external_lex_state = 4},
  [31] = {.lex_state = 83, .external_lex_state = 4},
  [32] = {.lex_state = 514, .external_lex_state = 4},
  [33] = {.lex_state = 90, .external_lex_state = 4},
  [34] = {.lex_state = 90, .external_lex_state = 4},
  [35] = {.lex_state = 83, .external_lex_state = 4},
  [36] = {.lex_state = 513, .external_lex_state = 4},
  [37] = {.lex_state = 514, .external_lex_state = 4},
  [38] = {.lex_state = 83, .external_lex_state = 4},
  [39] = {.lex_state = 83, .external_lex_state = 4},
  [40] = {.lex_state = 325, .external_lex_state = 4},
  [41] = {.lex_state = 83, .external_lex_state = 4},
  [42] = {.lex_state = 82, .external_lex_state = 4},
  [43] = {.lex_state = 514, .external_lex_state = 4},
  [44] = {.lex_state = 75, .external_lex_state = 4},
  [45] = {.lex_state = 75, .external_lex_state = 4},
  [46] = {.lex_state = 75, .external_lex_state = 4},
  [47] = {.lex_state = 89, .external_lex_state = 4},
  [48] = {.lex_state = 514, .external_lex_state = 4},
  [49] = {.lex_state = 75, .external_lex_state = 4},
  [50] = {.lex_state = 89, .external_lex_state = 4},
  [51] = {.lex_state = 89, .external_lex_state = 4},
  [52] = {.lex_state = 514, .external_lex_state = 4},
  [53] = {.lex_state = 325, .external_lex_state = 4},
  [54] = {.lex_state = 513, .external_lex_state = 4},
  [55] = {.lex_state = 89, .external_lex_state = 4},
  [56] = {.lex_state = 513, .external_lex_state = 4},
  [57] = {.lex_state = 82, .external_lex_state = 4},
  [58] = {.lex_state = 82, .external_lex_state = 4},
  [59] = {.lex_state = 325, .external_lex_state = 4},
  [60] = {.lex_state = 82, .external_lex_state = 4},
  [61] = {.lex_state = 513, .external_lex_state = 4},
  [62] = {.lex_state = 325, .external_lex_state = 4},
  [63] = {.lex_state = 83, .external_lex_state = 4},
  [64] = {.lex_state = 325, .external_lex_state = 4},
  [65] = {.lex_state = 75, .external_lex_state = 4},
  [66] = {.lex_state = 514, .external_lex_state = 4},
  [67] = {.lex_state = 325, .external_lex_state = 4},
  [68] = {.lex_state = 325, .external_lex_state = 4},
  [69] = {.lex_state = 513, .external_lex_state = 4},
  [70] = {.lex_state = 88, .external_lex_state = 2},
  [71] = {.lex_state = 514, .external_lex_state = 4},
  [72] = {.lex_state = 325, .external_lex_state = 4},
  [73] = {.lex_state = 513, .external_lex_state = 2},
  [74] = {.lex_state = 88, .external_lex_state = 2},
  [75] = {.lex_state = 88, .external_lex_state = 2},
  [76] = {.lex_state = 325, .external_lex_state = 4},
  [77] = {.lex_state = 513, .external_lex_state = 4},
  [78] = {.lex_state = 75, .external_lex_state = 4},
  [79] = {.lex_state = 325, .external_lex_state = 4},
  [80] = {.lex_state = 325, .external_lex_state = 4},
  [81] = {.lex_state = 88, .external_lex_state = 2},
  [82] = {.lex_state = 514, .external_lex_state = 4},
  [83] = {.lex_state = 513, .external_lex_state = 4},
  [84] = {.lex_state = 325, .external_lex_state = 4},
  [85] = {.lex_state = 75, .external_lex_state = 4},
  [86] = {.lex_state = 325, .external_lex_state = 4},
  [87] = {.lex_state = 88, .external_lex_state = 2},
  [88] = {.lex_state = 88, .external_lex_state = 2},
  [89] = {.lex_state = 88, .external_lex_state = 2},
  [90] = {.lex_state = 513, .external_lex_state = 2},
  [91] = {.lex_state = 88, .external_lex_state = 2},
  [92] = {.lex_state = 88, .external_lex_state = 2},
  [93] = {.lex_state = 325, .external_lex_state = 4},
  [94] = {.lex_state = 88, .external_lex_state = 2},
  [95] = {.lex_state = 513, .external_lex_state = 2},
  [96] = {.lex_state = 75, .external_lex_state = 4},
  [97] = {.lex_state = 88, .external_lex_state = 2},
  [98] = {.lex_state = 88, .external_lex_state = 2},
  [99] = {.lex_state = 513, .external_lex_state = 2},
  [100] = {.lex_state = 88, .external_lex_state = 2},
  [101] = {.lex_state = 513, .external_lex_state = 4},
  [102] = {.lex_state = 514, .external_lex_state = 4},
  [103] = {.lex_state = 90, .external_lex_state = 2},
  [104] = {.lex_state = 151, .external_lex_state = 2},
  [105] = {.lex_state = 325, .external_lex_state = 4},
  [106] = {.lex_state = 120, .external_lex_state = 2},
  [107] = {.lex_state = 90, .external_lex_state = 2},
  [108] = {.lex_state = 88, .external_lex_state = 2},
  [109] = {.lex_state = 88, .external_lex_state = 2},
  [110] = {.lex_state = 325, .external_lex_state = 4},
  [111] = {.lex_state = 325, .external_lex_state = 4},
  [112] = {.lex_state = 90, .external_lex_state = 2},
  [113] = {.lex_state = 88, .external_lex_state = 2},
  [114] = {.lex_state = 325, .external_lex_state = 4},
  [115] = {.lex_state = 325, .external_lex_state = 4},
  [116] = {.lex_state = 120, .external_lex_state = 2},
  [117] = {.lex_state = 325, .external_lex_state = 4},
  [118] = {.lex_state = 90, .external_lex_state = 2},
  [119] = {.lex_state = 325, .external_lex_state = 4},
  [120] = {.lex_state = 88, .external_lex_state = 2},
  [121] = {.lex_state = 325, .external_lex_state = 4},
  [122] = {.lex_state = 151, .external_lex_state = 2},
  [123] = {.lex_state = 514, .external_lex_state = 2},
  [124] = {.lex_state = 120, .external_lex_state = 2},
  [125] = {.lex_state = 514, .external_lex_state = 2},
  [126] = {.lex_state = 120, .external_lex_state = 2},
  [127] = {.lex_state = 88, .external_lex_state = 2},
  [128] = {.lex_state = 90, .external_lex_state = 2},
  [129] = {.lex_state = 82, .external_lex_state = 2},
  [130] = {.lex_state = 88, .external_lex_state = 2},
  [131] = {.lex_state = 83, .external_lex_state = 2},
  [132] = {.lex_state = 89, .external_lex_state = 2},
  [133] = {.lex_state = 89, .external_lex_state = 2},
  [134] = {.lex_state = 325, .external_lex_state = 4},
  [135] = {.lex_state = 325, .external_lex_state = 4},
  [136] = {.lex_state = 89, .external_lex_state = 2},
  [137] = {.lex_state = 514, .external_lex_state = 2},
  [138] = {.lex_state = 89, .external_lex_state = 2},
  [139] = {.lex_state = 82, .external_lex_state = 2},
  [140] = {.lex_state = 90, .external_lex_state = 2},
  [141] = {.lex_state = 82, .external_lex_state = 2},
  [142] = {.lex_state = 90, .external_lex_state = 2},
  [143] = {.lex_state = 514, .external_lex_state = 2},
  [144] = {.lex_state = 90, .external_lex_state = 2},
  [145] = {.lex_state = 82, .external_lex_state = 2},
  [146] = {.lex_state = 90, .external_lex_state = 2},
  [147] = {.lex_state = 82, .external_lex_state = 2},
  [148] = {.lex_state = 514, .external_lex_state = 2},
  [149] = {.lex_state = 88, .external_lex_state = 2},
  [150] = {.lex_state = 83, .external_lex_state = 2},
  [151] = {.lex_state = 88, .external_lex_state = 2},
  [152] = {.lex_state = 88, .external_lex_state = 2},
  [153] = {.lex_state = 325, .external_lex_state = 4},
  [154] = {.lex_state = 88, .external_lex_state = 2},
  [155] = {.lex_state = 90, .external_lex_state = 2},
  [156] = {.lex_state = 83, .external_lex_state = 2},
  [157] = {.lex_state = 89, .external_lex_state = 2},
  [158] = {.lex_state = 325, .external_lex_state = 4},
  [159] = {.lex_state = 325, .external_lex_state = 4},
  [160] = {.lex_state = 514, .external_lex_state = 5},
  [161] = {.lex_state = 82, .external_lex_state = 2},
  [162] = {.lex_state = 88, .external_lex_state = 5},
  [163] = {.lex_state = 90, .external_lex_state = 5},
  [164] = {.lex_state = 83, .external_lex_state = 2},
  [165] = {.lex_state = 89, .external_lex_state = 2},
  [166] = {.lex_state = 88, .external_lex_state = 5},
  [167] = {.lex_state = 325, .external_lex_state = 2},
  [168] = {.lex_state = 88, .external_lex_state = 5},
  [169] = {.lex_state = 88, .external_lex_state = 2},
  [170] = {.lex_state = 514, .external_lex_state = 2},
  [171] = {.lex_state = 88, .external_lex_state = 5},
  [172] = {.lex_state = 88, .external_lex_state = 5},
  [173] = {.lex_state = 83, .external_lex_state = 2},
  [174] = {.lex_state = 88, .external_lex_state = 2},
  [175] = {.lex_state = 325, .external_lex_state = 4},
  [176] = {.lex_state = 88, .external_lex_state = 5},
  [177] = {.lex_state = 89, .external_lex_state = 2},
  [178] = {.lex_state = 90, .external_lex_state = 2},
  [179] = {.lex_state = 88, .external_lex_state = 5},
  [180] = {.lex_state = 82, .external_lex_state = 2},
  [181] = {.lex_state = 82, .external_lex_state = 2},
  [182] = {.lex_state = 88, .external_lex_state = 5},
  [183] = {.lex_state = 88, .external_lex_state = 5},
  [184] = {.lex_state = 88, .external_lex_state = 5},
  [185] = {.lex_state = 75, .external_lex_state = 2},
  [186] = {.lex_state = 88, .external_lex_state = 5},
  [187] = {.lex_state = 88, .external_lex_state = 5},
  [188] = {.lex_state = 325, .external_lex_state = 2},
  [189] = {.lex_state = 325, .external_lex_state = 2},
  [190] = {.lex_state = 75, .external_lex_state = 2},
  [191] = {.lex_state = 88, .external_lex_state = 5},
  [192] = {.lex_state = 89, .external_lex_state = 2},
  [193] = {.lex_state = 83, .external_lex_state = 2},
  [194] = {.lex_state = 82, .external_lex_state = 2},
  [195] = {.lex_state = 513, .external_lex_state = 2},
  [196] = {.lex_state = 88, .external_lex_state = 5},
  [197] = {.lex_state = 89, .external_lex_state = 2},
  [198] = {.lex_state = 513, .external_lex_state = 2},
  [199] = {.lex_state = 88, .external_lex_state = 2},
  [200] = {.lex_state = 514, .external_lex_state = 2},
  [201] = {.lex_state = 75, .external_lex_state = 2},
  [202] = {.lex_state = 83, .external_lex_state = 2},
  [203] = {.lex_state = 90, .external_lex_state = 5},
  [204] = {.lex_state = 514, .external_lex_state = 2},
  [205] = {.lex_state = 83, .external_lex_state = 2},
  [206] = {.lex_state = 90, .external_lex_state = 2},
  [207] = {.lex_state = 513, .external_lex_state = 2},
  [208] = {.lex_state = 82, .external_lex_state = 2},
  [209] = {.lex_state = 88, .external_lex_state = 5},
  [210] = {.lex_state = 89, .external_lex_state = 2},
  [211] = {.lex_state = 513, .external_lex_state = 2},
  [212] = {.lex_state = 514, .external_lex_state = 2},
  [213] = {.lex_state = 514, .external_lex_state = 5},
  [214] = {.lex_state = 513, .external_lex_state = 2},
  [215] = {.lex_state = 325, .external_lex_state = 2},
  [216] = {.lex_state = 90, .external_lex_state = 5},
  [217] = {.lex_state = 325, .external_lex_state = 2},
  [218] = {.lex_state = 325, .external_lex_state = 2},
  [219] = {.lex_state = 514, .external_lex_state = 2},
  [220] = {.lex_state = 83, .external_lex_state = 5},
  [221] = {.lex_state = 514, .external_lex_state = 2},
  [222] = {.lex_state = 75, .external_lex_state = 2},
  [223] = {.lex_state = 75, .external_lex_state = 2},
  [224] = {.lex_state = 83, .external_lex_state = 2},
  [225] = {.lex_state = 325, .external_lex_state = 2},
  [226] = {.lex_state = 325, .external_lex_state = 2},
  [227] = {.lex_state = 90, .external_lex_state = 5},
  [228] = {.lex_state = 89, .external_lex_state = 5},
  [229] = {.lex_state = 89, .external_lex_state = 2},
  [230] = {.lex_state = 88, .external_lex_state = 5},
  [231] = {.lex_state = 325, .external_lex_state = 2},
  [232] = {.lex_state = 514, .external_lex_state = 2},
  [233] = {.lex_state = 513, .external_lex_state = 2},
  [234] = {.lex_state = 513, .external_lex_state = 2},
  [235] = {.lex_state = 83, .external_lex_state = 5},
  [236] = {.lex_state = 75, .external_lex_state = 2},
  [237] = {.lex_state = 83, .external_lex_state = 2},
  [238] = {.lex_state = 513, .external_lex_state = 2},
  [239] = {.lex_state = 325, .external_lex_state = 2},
  [240] = {.lex_state = 82, .external_lex_state = 2},
  [241] = {.lex_state = 75, .external_lex_state = 2},
  [242] = {.lex_state = 82, .external_lex_state = 5},
  [243] = {.lex_state = 325, .external_lex_state = 2},
  [244] = {.lex_state = 513, .external_lex_state = 2},
  [245] = {.lex_state = 88, .external_lex_state = 5},
  [246] = {.lex_state = 82, .external_lex_state = 2},
  [247] = {.lex_state = 82, .external_lex_state = 5},
  [248] = {.lex_state = 75, .external_lex_state = 2},
  [249] = {.lex_state = 89, .external_lex_state = 5},
  [250] = {.lex_state = 89, .external_lex_state = 2},
  [251] = {.lex_state = 325, .external_lex_state = 2},
  [252] = {.lex_state = 513, .external_lex_state = 2},
  [253] = {.lex_state = 89, .external_lex_state = 5},
  [254] = {.lex_state = 325, .external_lex_state = 2},
  [255] = {.lex_state = 88, .external_lex_state = 5},
  [256] = {.lex_state = 513, .external_lex_state = 2},
  [257] = {.lex_state = 513, .external_lex_state = 5},
  [258] = {.lex_state = 513, .external_lex_state = 2},
  [259] = {.lex_state = 325, .external_lex_state = 2},
  [260] = {.lex_state = 514, .external_lex_state = 2},
  [261] = {.lex_state = 513, .external_lex_state = 2},
  [262] = {.lex_state = 513, .external_lex_state = 5},
  [263] = {.lex_state = 513, .external_lex_state = 5},
  [264] = {.lex_state = 513, .external_lex_state = 5},
  [265] = {.lex_state = 513, .external_lex_state = 5},
  [266] = {.lex_state = 514, .external_lex_state = 2},
  [267] = {.lex_state = 513, .external_lex_state = 5},
  [268] = {.lex_state = 325, .external_lex_state = 2},
  [269] = {.lex_state = 513, .external_lex_state = 2},
  [270] = {.lex_state = 325, .external_lex_state = 2},
  [271] = {.lex_state = 513, .external_lex_state = 5},
  [272] = {.lex_state = 513, .external_lex_state = 2},
  [273] = {.lex_state = 513, .external_lex_state = 5},
  [274] = {.lex_state = 514, .external_lex_state = 5},
  [275] = {.lex_state = 513, .external_lex_state = 2},
  [276] = {.lex_state = 513, .external_lex_state = 2},
  [277] = {.lex_state = 325, .external_lex_state = 5},
  [278] = {.lex_state = 513, .external_lex_state = 2},
  [279] = {.lex_state = 325, .external_lex_state = 2},
  [280] = {.lex_state = 513, .external_lex_state = 2},
  [281] = {.lex_state = 513, .external_lex_state = 5},
  [282] = {.lex_state = 75, .external_lex_state = 2},
  [283] = {.lex_state = 75, .external_lex_state = 5},
  [284] = {.lex_state = 514, .external_lex_state = 5},
  [285] = {.lex_state = 513, .external_lex_state = 5},
  [286] = {.lex_state = 89, .external_lex_state = 5},
  [287] = {.lex_state = 513, .external_lex_state = 5},
  [288] = {.lex_state = 513, .external_lex_state = 5},
  [289] = {.lex_state = 325, .external_lex_state = 2},
  [290] = {.lex_state = 75, .external_lex_state = 5},
  [291] = {.lex_state = 513, .external_lex_state = 5},
  [292] = {.lex_state = 82, .external_lex_state = 5},
  [293] = {.lex_state = 513, .external_lex_state = 2},
  [294] = {.lex_state = 513, .external_lex_state = 2},
  [295] = {.lex_state = 325, .external_lex_state = 2},
  [296] = {.lex_state = 513, .external_lex_state = 5},
  [297] = {.lex_state = 513, .external_lex_state = 2},
  [298] = {.lex_state = 75, .external_lex_state = 2},
  [299] = {.lex_state = 83, .external_lex_state = 5},
  [300] = {.lex_state = 513, .external_lex_state = 2},
  [301] = {.lex_state = 325, .external_lex_state = 2},
  [302] = {.lex_state = 513, .external_lex_state = 5},
  [303] = {.lex_state = 325, .external_lex_state = 2},
  [304] = {.lex_state = 513, .external_lex_state = 2},
  [305] = {.lex_state = 325, .external_lex_state = 2},
  [306] = {.lex_state = 83, .external_lex_state = 5},
  [307] = {.lex_state = 325, .external_lex_state = 5},
  [308] = {.lex_state = 82, .external_lex_state = 5},
  [309] = {.lex_state = 513, .external_lex_state = 5},
  [310] = {.lex_state = 325, .external_lex_state = 5},
  [311] = {.lex_state = 325, .external_lex_state = 2},
  [312] = {.lex_state = 325, .external_lex_state = 2},
  [313] = {.lex_state = 325, .external_lex_state = 2},
  [314] = {.lex_state = 325, .external_lex_state = 5},
  [315] = {.lex_state = 325, .external_lex_state = 5},
  [316] = {.lex_state = 325, .external_lex_state = 2},
  [317] = {.lex_state = 513, .external_lex_state = 5},
  [318] = {.lex_state = 514, .external_lex_state = 5},
  [319] = {.lex_state = 325, .external_lex_state = 2},
  [320] = {.lex_state = 75, .external_lex_state = 5},
  [321] = {.lex_state = 514, .external_lex_state = 5},
  [322] = {.lex_state = 325, .external_lex_state = 5},
  [323] = {.lex_state = 325, .external_lex_state = 5},
  [324] = {.lex_state = 75, .external_lex_state = 5},
  [325] = {.lex_state = 514, .external_lex_state = 5},
  [326] = {.lex_state = 325, .external_lex_state = 2},
  [327] = {.lex_state = 514, .external_lex_state = 5},
  [328] = {.lex_state = 325, .external_lex_state = 2},
  [329] = {.lex_state = 514, .external_lex_state = 5},
  [330] = {.lex_state = 325, .external_lex_state = 5},
  [331] = {.lex_state = 513, .external_lex_state = 5},
  [332] = {.lex_state = 325, .external_lex_state = 5},
  [333] = {.lex_state = 325, .external_lex_state = 5},
  [334] = {.lex_state = 75, .external_lex_state = 5},
  [335] = {.lex_state = 325, .external_lex_state = 2},
  [336] = {.lex_state = 325, .external_lex_state = 5},
  [337] = {.lex_state = 325, .external_lex_state = 2},
  [338] = {.lex_state = 325, .external_lex_state = 5},
  [339] = {.lex_state = 323, .external_lex_state = 2},
  [340] = {.lex_state = 323, .external_lex_state = 2},
  [341] = {.lex_state = 323, .external_lex_state = 2},
  [342] = {.lex_state = 323, .external_lex_state = 2},
  [343] = {.lex_state = 323, .external_lex_state = 2},
  [344] = {.lex_state = 323, .external_lex_state = 2},
  [345] = {.lex_state = 323, .external_lex_state = 2},
  [346] = {.lex_state = 323, .external_lex_state = 2},
  [347] = {.lex_state = 323, .external_lex_state = 2},
  [348] = {.lex_state = 323, .external_lex_state = 2},
  [349] = {.lex_state = 323, .external_lex_state = 2},
  [350] = {.lex_state = 323, .external_lex_state = 2},
  [351] = {.lex_state = 323, .external_lex_state = 2},
  [352] = {.lex_state = 323, .external_lex_state = 2},
  [353] = {.lex_state = 323, .external_lex_state = 2},
  [354] = {.lex_state = 323, .external_lex_state = 2},
  [355] = {.lex_state = 323, .external_lex_state = 2},
  [356] = {.lex_state = 323, .external_lex_state = 2},
  [357] = {.lex_state = 323, .external_lex_state = 2},
  [358] = {.lex_state = 323, .external_lex_state = 2},
  [359] = {.lex_state = 323, .external_lex_state = 2},
  [360] = {.lex_state = 323, .external_lex_state = 2},
  [361] = {.lex_state = 323, .external_lex_state = 2},
  [362] = {.lex_state = 323, .external_lex_state = 2},
  [363] = {.lex_state = 323, .external_lex_state = 2},
  [364] = {.lex_state = 323, .external_lex_state = 2},
  [365] = {.lex_state = 325, .external_lex_state = 2},
  [366] = {.lex_state = 323, .external_lex_state = 2},
  [367] = {.lex_state = 323, .external_lex_state = 2},
  [368] = {.lex_state = 323, .external_lex_state = 2},
  [369] = {.lex_state = 323, .external_lex_state = 2},
  [370] = {.lex_state = 323, .external_lex_state = 2},
  [371] = {.lex_state = 323, .external_lex_state = 2},
  [372] = {.lex_state = 323, .external_lex_state = 2},
  [373] = {.lex_state = 325, .external_lex_state = 5},
  [374] = {.lex_state = 325, .external_lex_state = 5},
  [375] = {.lex_state = 323, .external_lex_state = 2},
  [376] = {.lex_state = 323, .external_lex_state = 2},
  [377] = {.lex_state = 323, .external_lex_state = 2},
  [378] = {.lex_state = 323, .external_lex_state = 2},
  [379] = {.lex_state = 323, .external_lex_state = 2},
  [380] = {.lex_state = 323, .external_lex_state = 2},
  [381] = {.lex_state = 323, .external_lex_state = 2},
  [382] = {.lex_state = 323, .external_lex_state = 2},
  [383] = {.lex_state = 323, .external_lex_state = 2},
  [384] = {.lex_state = 323, .external_lex_state = 2},
  [385] = {.lex_state = 323, .external_lex_state = 2},
  [386] = {.lex_state = 323, .external_lex_state = 2},
  [387] = {.lex_state = 325, .external_lex_state = 5},
  [388] = {.lex_state = 323, .external_lex_state = 2},
  [389] = {.lex_state = 323, .external_lex_state = 2},
  [390] = {.lex_state = 323, .external_lex_state = 2},
  [391] = {.lex_state = 323, .external_lex_state = 2},
  [392] = {.lex_state = 323, .external_lex_state = 2},
  [393] = {.lex_state = 323, .external_lex_state = 2},
  [394] = {.lex_state = 323, .external_lex_state = 2},
  [395] = {.lex_state = 323, .external_lex_state = 2},
  [396] = {.lex_state = 323, .external_lex_state = 2},
  [397] = {.lex_state = 323, .external_lex_state = 2},
  [398] = {.lex_state = 323, .external_lex_state = 2},
  [399] = {.lex_state = 323, .external_lex_state = 2},
  [400] = {.lex_state = 323, .external_lex_state = 2},
  [401] = {.lex_state = 323, .external_lex_state = 2},
  [402] = {.lex_state = 323, .external_lex_state = 2},
  [403] = {.lex_state = 323, .external_lex_state = 2},
  [404] = {.lex_state = 323, .external_lex_state = 2},
  [405] = {.lex_state = 323, .external_lex_state = 2},
  [406] = {.lex_state = 323, .external_lex_state = 2},
  [407] = {.lex_state = 323, .external_lex_state = 2},
  [408] = {.lex_state = 323, .external_lex_state = 2},
  [409] = {.lex_state = 325, .external_lex_state = 5},
  [410] = {.lex_state = 325, .external_lex_state = 5},
  [411] = {.lex_state = 325, .external_lex_state = 5},
  [412] = {.lex_state = 210, .external_lex_state = 6},
  [413] = {.lex_state = 203, .external_lex_state = 2},
  [414] = {.lex_state = 203, .external_lex_state = 2},
  [415] = {.lex_state = 210, .external_lex_state = 6},
  [416] = {.lex_state = 210, .external_lex_state = 6},
  [417] = {.lex_state = 346, .external_lex_state = 2},
  [418] = {.lex_state = 210, .external_lex_state = 6},
  [419] = {.lex_state = 203, .external_lex_state = 2},
  [420] = {.lex_state = 203, .external_lex_state = 2},
  [421] = {.lex_state = 346, .external_lex_state = 2},
  [422] = {.lex_state = 210, .external_lex_state = 6},
  [423] = {.lex_state = 346, .external_lex_state = 2},
  [424] = {.lex_state = 210, .external_lex_state = 6},
  [425] = {.lex_state = 210, .external_lex_state = 6},
  [426] = {.lex_state = 203, .external_lex_state = 2},
  [427] = {.lex_state = 346, .external_lex_state = 2},
  [428] = {.lex_state = 210, .external_lex_state = 6},
  [429] = {.lex_state = 210, .external_lex_state = 6},
  [430] = {.lex_state = 210, .external_lex_state = 6},
  [431] = {.lex_state = 210, .external_lex_state = 6},
  [432] = {.lex_state = 346, .external_lex_state = 2},
  [433] = {.lex_state = 203, .external_lex_state = 2},
  [434] = {.lex_state = 210, .external_lex_state = 6},
  [435] = {.lex_state = 346, .external_lex_state = 2},
  [436] = {.lex_state = 210, .external_lex_state = 6},
  [437] = {.lex_state = 346, .external_lex_state = 2},
  [438] = {.lex_state = 346, .external_lex_state = 2},
  [439] = {.lex_state = 210, .external_lex_state = 6},
  [440] = {.lex_state = 203, .external_lex_state = 2},
  [441] = {.lex_state = 210, .external_lex_state = 6},
  [442] = {.lex_state = 210, .external_lex_state = 6},
  [443] = {.lex_state = 210, .external_lex_state = 6},
  [444] = {.lex_state = 210, .external_lex_state = 6},
  [445] = {.lex_state = 210, .external_lex_state = 6},
  [446] = {.lex_state = 203, .external_lex_state = 2},
  [447] = {.lex_state = 203, .external_lex_state = 2},
  [448] = {.lex_state = 346, .external_lex_state = 2},
  [449] = {.lex_state = 203, .external_lex_state = 2},
  [450] = {.lex_state = 203, .external_lex_state = 2},
  [451] = {.lex_state = 203, .external_lex_state = 2},
  [452] = {.lex_state = 210, .external_lex_state = 6},
  [453] = {.lex_state = 210, .external_lex_state = 6},
  [454] = {.lex_state = 210, .external_lex_state = 6},
  [455] = {.lex_state = 210, .external_lex_state = 6},
  [456] = {.lex_state = 346, .external_lex_state = 2},
  [457] = {.lex_state = 210, .external_lex_state = 6},
  [458] = {.lex_state = 210, .external_lex_state = 6},
  [459] = {.lex_state = 210, .external_lex_state = 6},
  [460] = {.lex_state = 203, .external_lex_state = 2},
  [461] = {.lex_state = 346, .external_lex_state = 2},
  [462] = {.lex_state = 346, .external_lex_state = 2},
  [463] = {.lex_state = 346, .external_lex_state = 2},
  [464] = {.lex_state = 194, .external_lex_state = 2},
  [465] = {.lex_state = 194, .external_lex_state = 2},
  [466] = {.lex_state = 194, .external_lex_state = 2},
  [467] = {.lex_state = 194, .external_lex_state = 2},
  [468] = {.lex_state = 194, .external_lex_state = 2},
  [469] = {.lex_state = 194, .external_lex_state = 2},
  [470] = {.lex_state = 210, .external_lex_state = 2},
  [471] = {.lex_state = 194, .external_lex_state = 2},
  [472] = {.lex_state = 194, .external_lex_state = 2},
  [473] = {.lex_state = 210, .external_lex_state = 2},
  [474] = {.lex_state = 194, .external_lex_state = 2},
  [475] = {.lex_state = 210, .external_lex_state = 2},
  [476] = {.lex_state = 210, .external_lex_state = 2},
  [477] = {.lex_state = 210, .external_lex_state = 2},
  [478] = {.lex_state = 210, .external_lex_state = 2},
  [479] = {.lex_state = 210, .external_lex_state = 2},
  [480] = {.lex_state = 209, .external_lex_state = 2},
  [481] = {.lex_state = 210, .external_lex_state = 2},
  [482] = {.lex_state = 194, .external_lex_state = 2},
  [483] = {.lex_state = 194, .external_lex_state = 2},
  [484] = {.lex_state = 210, .external_lex_state = 2},
  [485] = {.lex_state = 210, .external_lex_state = 2},
  [486] = {.lex_state = 210, .external_lex_state = 2},
  [487] = {.lex_state = 194, .external_lex_state = 2},
  [488] = {.lex_state = 194, .external_lex_state = 2},
  [489] = {.lex_state = 210, .external_lex_state = 2},
  [490] = {.lex_state = 210, .external_lex_state = 2},
  [491] = {.lex_state = 194, .external_lex_state = 2},
  [492] = {.lex_state = 210, .external_lex_state = 2},
  [493] = {.lex_state = 194, .external_lex_state = 2},
  [494] = {.lex_state = 194, .external_lex_state = 2},
  [495] = {.lex_state = 194, .external_lex_state = 2},
  [496] = {.lex_state = 210, .external_lex_state = 2},
  [497] = {.lex_state = 194, .external_lex_state = 2},
  [498] = {.lex_state = 194, .external_lex_state = 2},
  [499] = {.lex_state = 210, .external_lex_state = 2},
  [500] = {.lex_state = 194, .external_lex_state = 2},
  [501] = {.lex_state = 210, .external_lex_state = 2},
  [502] = {.lex_state = 210, .external_lex_state = 2},
  [503] = {.lex_state = 194, .external_lex_state = 2},
  [504] = {.lex_state = 210, .external_lex_state = 2},
  [505] = {.lex_state = 194, .external_lex_state = 2},
  [506] = {.lex_state = 210, .external_lex_state = 2},
  [507] = {.lex_state = 210, .external_lex_state = 2},
  [508] = {.lex_state = 210, .external_lex_state = 2},
  [509] = {.lex_state = 194, .external_lex_state = 2},
  [510] = {.lex_state = 210, .external_lex_state = 2},
  [511] = {.lex_state = 210, .external_lex_state = 2},
  [512] = {.lex_state = 210, .external_lex_state = 2},
  [513] = {.lex_state = 194, .external_lex_state = 2},
  [514] = {.lex_state = 194, .external_lex_state = 2},
  [515] = {.lex_state = 210, .external_lex_state = 2},
  [516] = {.lex_state = 194, .external_lex_state = 2},
  [517] = {.lex_state = 345, .external_lex_state = 2},
  [518] = {.lex_state = 345, .external_lex_state = 2},
  [519] = {.lex_state = 345, .external_lex_state = 2},
  [520] = {.lex_state = 345, .external_lex_state = 2},
  [521] = {.lex_state = 345, .external_lex_state = 2},
  [522] = {.lex_state = 345, .external_lex_state = 2},
  [523] = {.lex_state = 206, .external_lex_state = 2},
  [524] = {.lex_state = 345, .external_lex_state = 2},
  [525] = {.lex_state = 345, .external_lex_state = 2},
  [526] = {.lex_state = 345, .external_lex_state = 2},
  [527] = {.lex_state = 345, .external_lex_state = 2},
  [528] = {.lex_state = 202, .external_lex_state = 2},
  [529] = {.lex_state = 345, .external_lex_state = 2},
  [530] = {.lex_state = 345, .external_lex_state = 2},
  [531] = {.lex_state = 345, .external_lex_state = 2},
  [532] = {.lex_state = 194, .external_lex_state = 2},
  [533] = {.lex_state = 200, .external_lex_state = 2},
  [534] = {.lex_state = 194, .external_lex_state = 2},
  [535] = {.lex_state = 200, .external_lex_state = 2},
  [536] = {.lex_state = 200, .external_lex_state = 2},
  [537] = {.lex_state = 200, .external_lex_state = 2},
  [538] = {.lex_state = 200, .external_lex_state = 2},
  [539] = {.lex_state = 194, .external_lex_state = 2},
  [540] = {.lex_state = 200, .external_lex_state = 2},
  [541] = {.lex_state = 200, .external_lex_state = 2},
  [542] = {.lex_state = 200, .external_lex_state = 2},
  [543] = {.lex_state = 200, .external_lex_state = 2},
  [544] = {.lex_state = 194, .external_lex_state = 2},
  [545] = {.lex_state = 194, .external_lex_state = 2},
  [546] = {.lex_state = 194, .external_lex_state = 2},
  [547] = {.lex_state = 200, .external_lex_state = 2},
  [548] = {.lex_state = 194, .external_lex_state = 2},
  [549] = {.lex_state = 194, .external_lex_state = 2},
  [550] = {.lex_state = 194, .external_lex_state = 2},
  [551] = {.lex_state = 194, .external_lex_state = 2},
  [552] = {.lex_state = 194, .external_lex_state = 2},
  [553] = {.lex_state = 194, .external_lex_state = 2},
  [554] = {.lex_state = 194, .external_lex_state = 2},
  [555] = {.lex_state = 194, .external_lex_state = 2},
  [556] = {.lex_state = 194, .external_lex_state = 2},
  [557] = {.lex_state = 346, .external_lex_state = 2},
  [558] = {.lex_state = 200, .external_lex_state = 2},
  [559] = {.lex_state = 200, .external_lex_state = 2},
  [560] = {.lex_state = 200, .external_lex_state = 2},
  [561] = {.lex_state = 200, .external_lex_state = 2},
  [562] = {.lex_state = 194, .external_lex_state = 2},
  [563] = {.lex_state = 194, .external_lex_state = 2},
  [564] = {.lex_state = 194, .external_lex_state = 2},
  [565] = {.lex_state = 200, .external_lex_state = 2},
  [566] = {.lex_state = 194, .external_lex_state = 2},
  [567] = {.lex_state = 200, .external_lex_state = 2},
  [568] = {.lex_state = 200, .external_lex_state = 2},
  [569] = {.lex_state = 200, .external_lex_state = 2},
  [570] = {.lex_state = 194, .external_lex_state = 2},
  [571] = {.lex_state = 194, .external_lex_state = 2},
  [572] = {.lex_state = 194, .external_lex_state = 2},
  [573] = {.lex_state = 194, .external_lex_state = 2},
  [574] = {.lex_state = 194, .external_lex_state = 2},
  [575] = {.lex_state = 200, .external_lex_state = 2},
  [576] = {.lex_state = 194, .external_lex_state = 2},
  [577] = {.lex_state = 200, .external_lex_state = 2},
  [578] = {.lex_state = 200, .external_lex_state = 2},
  [579] = {.lex_state = 200, .external_lex_state = 2},
  [580] = {.lex_state = 200, .external_lex_state = 2},
  [581] = {.lex_state = 200, .external_lex_state = 2},
  [582] = {.lex_state = 194, .external_lex_state = 2},
  [583] = {.lex_state = 200, .external_lex_state = 2},
  [584] = {.lex_state = 200, .external_lex_state = 2},
  [585] = {.lex_state = 194, .external_lex_state = 2},
  [586] = {.lex_state = 200, .external_lex_state = 2},
  [587] = {.lex_state = 200, .external_lex_state = 2},
  [588] = {.lex_state = 200, .external_lex_state = 2},
  [589] = {.lex_state = 194, .external_lex_state = 2},
  [590] = {.lex_state = 200, .external_lex_state = 2},
  [591] = {.lex_state = 194, .external_lex_state = 2},
  [592] = {.lex_state = 194, .external_lex_state = 2},
  [593] = {.lex_state = 194, .external_lex_state = 2},
  [594] = {.lex_state = 194, .external_lex_state = 2},
  [595] = {.lex_state = 194, .external_lex_state = 2},
  [596] = {.lex_state = 194, .external_lex_state = 2},
  [597] = {.lex_state = 194, .external_lex_state = 2},
  [598] = {.lex_state = 194, .external_lex_state = 2},
  [599] = {.lex_state = 194, .external_lex_state = 2},
  [600] = {.lex_state = 194, .external_lex_state = 2},
  [601] = {.lex_state = 200, .external_lex_state = 2},
  [602] = {.lex_state = 200, .external_lex_state = 2},
  [603] = {.lex_state = 200, .external_lex_state = 2},
  [604] = {.lex_state = 194, .external_lex_state = 2},
  [605] = {.lex_state = 200, .external_lex_state = 2},
  [606] = {.lex_state = 200, .external_lex_state = 2},
  [607] = {.lex_state = 200, .external_lex_state = 2},
  [608] = {.lex_state = 200, .external_lex_state = 2},
  [609] = {.lex_state = 194, .external_lex_state = 2},
  [610] = {.lex_state = 200, .external_lex_state = 2},
  [611] = {.lex_state = 200, .external_lex_state = 2},
  [612] = {.lex_state = 200, .external_lex_state = 2},
  [613] = {.lex_state = 194, .external_lex_state = 2},
  [614] = {.lex_state = 200, .external_lex_state = 2},
  [615] = {.lex_state = 194, .external_lex_state = 2},
  [616] = {.lex_state = 200, .external_lex_state = 2},
  [617] = {.lex_state = 200, .external_lex_state = 2},
  [618] = {.lex_state = 200, .external_lex_state = 2},
  [619] = {.lex_state = 200, .external_lex_state = 2},
  [620] = {.lex_state = 200, .external_lex_state = 2},
  [621] = {.lex_state = 194, .external_lex_state = 2},
  [622] = {.lex_state = 200, .external_lex_state = 2},
  [623] = {.lex_state = 194, .external_lex_state = 2},
  [624] = {.lex_state = 194, .external_lex_state = 2},
  [625] = {.lex_state = 194, .external_lex_state = 2},
  [626] = {.lex_state = 200, .external_lex_state = 2},
  [627] = {.lex_state = 194, .external_lex_state = 2},
  [628] = {.lex_state = 194, .external_lex_state = 2},
  [629] = {.lex_state = 349, .external_lex_state = 2},
  [630] = {.lex_state = 200, .external_lex_state = 2},
  [631] = {.lex_state = 200, .external_lex_state = 2},
  [632] = {.lex_state = 200, .external_lex_state = 2},
  [633] = {.lex_state = 194, .external_lex_state = 2},
  [634] = {.lex_state = 194, .external_lex_state = 2},
  [635] = {.lex_state = 200, .external_lex_state = 2},
  [636] = {.lex_state = 200, .external_lex_state = 2},
  [637] = {.lex_state = 194, .external_lex_state = 2},
  [638] = {.lex_state = 194, .external_lex_state = 2},
  [639] = {.lex_state = 200, .external_lex_state = 2},
  [640] = {.lex_state = 200, .external_lex_state = 2},
  [641] = {.lex_state = 200, .external_lex_state = 2},
  [642] = {.lex_state = 194, .external_lex_state = 2},
  [643] = {.lex_state = 200, .external_lex_state = 2},
  [644] = {.lex_state = 200, .external_lex_state = 2},
  [645] = {.lex_state = 194, .external_lex_state = 2},
  [646] = {.lex_state = 194, .external_lex_state = 2},
  [647] = {.lex_state = 200, .external_lex_state = 2},
  [648] = {.lex_state = 194, .external_lex_state = 2},
  [649] = {.lex_state = 194, .external_lex_state = 2},
  [650] = {.lex_state = 200, .external_lex_state = 2},
  [651] = {.lex_state = 200, .external_lex_state = 2},
  [652] = {.lex_state = 194, .external_lex_state = 2},
  [653] = {.lex_state = 194, .external_lex_state = 2},
  [654] = {.lex_state = 200, .external_lex_state = 2},
  [655] = {.lex_state = 200, .external_lex_state = 2},
  [656] = {.lex_state = 194, .external_lex_state = 2},
  [657] = {.lex_state = 200, .external_lex_state = 2},
  [658] = {.lex_state = 200, .external_lex_state = 2},
  [659] = {.lex_state = 194, .external_lex_state = 2},
  [660] = {.lex_state = 200, .external_lex_state = 2},
  [661] = {.lex_state = 194, .external_lex_state = 2},
  [662] = {.lex_state = 200, .external_lex_state = 2},
  [663] = {.lex_state = 200, .external_lex_state = 2},
  [664] = {.lex_state = 200, .external_lex_state = 2},
  [665] = {.lex_state = 194, .external_lex_state = 2},
  [666] = {.lex_state = 200, .external_lex_state = 2},
  [667] = {.lex_state = 200, .external_lex_state = 2},
  [668] = {.lex_state = 200, .external_lex_state = 2},
  [669] = {.lex_state = 200, .external_lex_state = 2},
  [670] = {.lex_state = 200, .external_lex_state = 2},
  [671] = {.lex_state = 200, .external_lex_state = 2},
  [672] = {.lex_state = 194, .external_lex_state = 2},
  [673] = {.lex_state = 200, .external_lex_state = 2},
  [674] = {.lex_state = 194, .external_lex_state = 2},
  [675] = {.lex_state = 200, .external_lex_state = 2},
  [676] = {.lex_state = 200, .external_lex_state = 2},
  [677] = {.lex_state = 200, .external_lex_state = 2},
  [678] = {.lex_state = 200, .external_lex_state = 2},
  [679] = {.lex_state = 200, .external_lex_state = 2},
  [680] = {.lex_state = 194, .external_lex_state = 2},
  [681] = {.lex_state = 194, .external_lex_state = 2},
  [682] = {.lex_state = 194, .external_lex_state = 2},
  [683] = {.lex_state = 194, .external_lex_state = 2},
  [684] = {.lex_state = 194, .external_lex_state = 2},
  [685] = {.lex_state = 194, .external_lex_state = 2},
  [686] = {.lex_state = 200, .external_lex_state = 2},
  [687] = {.lex_state = 200, .external_lex_state = 2},
  [688] = {.lex_state = 194, .external_lex_state = 2},
  [689] = {.lex_state = 200, .external_lex_state = 2},
  [690] = {.lex_state = 194, .external_lex_state = 2},
  [691] = {.lex_state = 194, .external_lex_state = 2},
  [692] = {.lex_state = 200, .external_lex_state = 2},
  [693] = {.lex_state = 194, .external_lex_state = 2},
  [694] = {.lex_state = 194, .external_lex_state = 2},
  [695] = {.lex_state = 194, .external_lex_state = 2},
  [696] = {.lex_state = 200, .external_lex_state = 2},
  [697] = {.lex_state = 200, .external_lex_state = 2},
  [698] = {.lex_state = 349, .external_lex_state = 2},
  [699] = {.lex_state = 200, .external_lex_state = 2},
  [700] = {.lex_state = 194, .external_lex_state = 2},
  [701] = {.lex_state = 194, .external_lex_state = 2},
  [702] = {.lex_state = 200, .external_lex_state = 2},
  [703] = {.lex_state = 200, .external_lex_state = 2},
  [704] = {.lex_state = 194, .external_lex_state = 2},
  [705] = {.lex_state = 200, .external_lex_state = 2},
  [706] = {.lex_state = 200, .external_lex_state = 2},
  [707] = {.lex_state = 200, .external_lex_state = 2},
  [708] = {.lex_state = 200, .external_lex_state = 2},
  [709] = {.lex_state = 194, .external_lex_state = 2},
  [710] = {.lex_state = 194, .external_lex_state = 2},
  [711] = {.lex_state = 194, .external_lex_state = 2},
  [712] = {.lex_state = 200, .external_lex_state = 2},
  [713] = {.lex_state = 194, .external_lex_state = 2},
  [714] = {.lex_state = 200, .external_lex_state = 2},
  [715] = {.lex_state = 200, .external_lex_state = 2},
  [716] = {.lex_state = 200, .external_lex_state = 2},
  [717] = {.lex_state = 194, .external_lex_state = 2},
  [718] = {.lex_state = 200, .external_lex_state = 2},
  [719] = {.lex_state = 194, .external_lex_state = 2},
  [720] = {.lex_state = 194, .external_lex_state = 2},
  [721] = {.lex_state = 200, .external_lex_state = 2},
  [722] = {.lex_state = 194, .external_lex_state = 2},
  [723] = {.lex_state = 200, .external_lex_state = 2},
  [724] = {.lex_state = 200, .external_lex_state = 2},
  [725] = {.lex_state = 194, .external_lex_state = 2},
  [726] = {.lex_state = 194, .external_lex_state = 2},
  [727] = {.lex_state = 194, .external_lex_state = 2},
  [728] = {.lex_state = 194, .external_lex_state = 2},
  [729] = {.lex_state = 200, .external_lex_state = 2},
  [730] = {.lex_state = 194, .external_lex_state = 2},
  [731] = {.lex_state = 200, .external_lex_state = 2},
  [732] = {.lex_state = 200, .external_lex_state = 2},
  [733] = {.lex_state = 194, .external_lex_state = 2},
  [734] = {.lex_state = 194, .external_lex_state = 2},
  [735] = {.lex_state = 200, .external_lex_state = 2},
  [736] = {.lex_state = 200, .external_lex_state = 2},
  [737] = {.lex_state = 200, .external_lex_state = 2},
  [738] = {.lex_state = 194, .external_lex_state = 2},
  [739] = {.lex_state = 200, .external_lex_state = 2},
  [740] = {.lex_state = 200, .external_lex_state = 2},
  [741] = {.lex_state = 200, .external_lex_state = 2},
  [742] = {.lex_state = 200, .external_lex_state = 2},
  [743] = {.lex_state = 200, .external_lex_state = 2},
  [744] = {.lex_state = 200, .external_lex_state = 2},
  [745] = {.lex_state = 194, .external_lex_state = 2},
  [746] = {.lex_state = 200, .external_lex_state = 2},
  [747] = {.lex_state = 200, .external_lex_state = 2},
  [748] = {.lex_state = 194, .external_lex_state = 2},
  [749] = {.lex_state = 200, .external_lex_state = 2},
  [750] = {.lex_state = 194, .external_lex_state = 2},
  [751] = {.lex_state = 200, .external_lex_state = 2},
  [752] = {.lex_state = 194, .external_lex_state = 2},
  [753] = {.lex_state = 200, .external_lex_state = 2},
  [754] = {.lex_state = 200, .external_lex_state = 2},
  [755] = {.lex_state = 200, .external_lex_state = 2},
  [756] = {.lex_state = 200, .external_lex_state = 2},
  [757] = {.lex_state = 194, .external_lex_state = 2},
  [758] = {.lex_state = 200, .external_lex_state = 2},
  [759] = {.lex_state = 200, .external_lex_state = 2},
  [760] = {.lex_state = 200, .external_lex_state = 2},
  [761] = {.lex_state = 200, .external_lex_state = 2},
  [762] = {.lex_state = 200, .external_lex_state = 2},
  [763] = {.lex_state = 194, .external_lex_state = 2},
  [764] = {.lex_state = 194, .external_lex_state = 2},
  [765] = {.lex_state = 200, .external_lex_state = 2},
  [766] = {.lex_state = 194, .external_lex_state = 2},
  [767] = {.lex_state = 200, .external_lex_state = 2},
  [768] = {.lex_state = 200, .external_lex_state = 2},
  [769] = {.lex_state = 194, .external_lex_state = 2},
  [770] = {.lex_state = 200, .external_lex_state = 2},
  [771] = {.lex_state = 200, .external_lex_state = 2},
  [772] = {.lex_state = 200, .external_lex_state = 2},
  [773] = {.lex_state = 200, .external_lex_state = 2},
  [774] = {.lex_state = 200, .external_lex_state = 2},
  [775] = {.lex_state = 200, .external_lex_state = 2},
  [776] = {.lex_state = 200, .external_lex_state = 2},
  [777] = {.lex_state = 200, .external_lex_state = 2},
  [778] = {.lex_state = 200, .external_lex_state = 2},
  [779] = {.lex_state = 200, .external_lex_state = 2},
  [780] = {.lex_state = 194, .external_lex_state = 2},
  [781] = {.lex_state = 194, .external_lex_state = 2},
  [782] = {.lex_state = 560, .external_lex_state = 2},
  [783] = {.lex_state = 560, .external_lex_state = 2},
  [784] = {.lex_state = 200, .external_lex_state = 2},
  [785] = {.lex_state = 200, .external_lex_state = 2},
  [786] = {.lex_state = 200, .external_lex_state = 2},
  [787] = {.lex_state = 200, .external_lex_state = 2},
  [788] = {.lex_state = 200, .external_lex_state = 2},
  [789] = {.lex_state = 560, .external_lex_state = 2},
  [790] = {.lex_state = 560, .external_lex_state = 2},
  [791] = {.lex_state = 560, .external_lex_state = 2},
  [792] = {.lex_state = 560, .external_lex_state = 2},
  [793] = {.lex_state = 560, .external_lex_state = 2},
  [794] = {.lex_state = 560, .external_lex_state = 2},
  [795] = {.lex_state = 200, .external_lex_state = 2},
  [796] = {.lex_state = 200, .external_lex_state = 2},
  [797] = {.lex_state = 200, .external_lex_state = 2},
  [798] = {.lex_state = 200, .external_lex_state = 2},
  [799] = {.lex_state = 200, .external_lex_state = 2},
  [800] = {.lex_state = 560, .external_lex_state = 2},
  [801] = {.lex_state = 560, .external_lex_state = 2},
  [802] = {.lex_state = 200, .external_lex_state = 2},
  [803] = {.lex_state = 200, .external_lex_state = 2},
  [804] = {.lex_state = 200, .external_lex_state = 2},
  [805] = {.lex_state = 200, .external_lex_state = 2},
  [806] = {.lex_state = 200, .external_lex_state = 2},
  [807] = {.lex_state = 200, .external_lex_state = 2},
  [808] = {.lex_state = 200, .external_lex_state = 2},
  [809] = {.lex_state = 200, .external_lex_state = 2},
  [810] = {.lex_state = 200, .external_lex_state = 2},
  [811] = {.lex_state = 560, .external_lex_state = 2},
  [812] = {.lex_state = 560, .external_lex_state = 2},
  [813] = {.lex_state = 200, .external_lex_state = 2},
  [814] = {.lex_state = 200, .external_lex_state = 2},
  [815] = {.lex_state = 560, .external_lex_state = 2},
  [816] = {.lex_state = 560, .external_lex_state = 2},
  [817] = {.lex_state = 200, .external_lex_state = 2},
  [818] = {.lex_state = 560, .external_lex_state = 2},
  [819] = {.lex_state = 560, .external_lex_state = 2},
  [820] = {.lex_state = 200, .external_lex_state = 2},
  [821] = {.lex_state = 200, .external_lex_state = 2},
  [822] = {.lex_state = 200, .external_lex_state = 2},
  [823] = {.lex_state = 560, .external_lex_state = 2},
  [824] = {.lex_state = 200, .external_lex_state = 2},
  [825] = {.lex_state = 560, .external_lex_state = 2},
  [826] = {.lex_state = 560, .external_lex_state = 2},
  [827] = {.lex_state = 560, .external_lex_state = 2},
  [828] = {.lex_state = 560, .external_lex_state = 2},
  [829] = {.lex_state = 200, .external_lex_state = 2},
  [830] = {.lex_state = 200, .external_lex_state = 2},
  [831] = {.lex_state = 560, .external_lex_state = 2},
  [832] = {.lex_state = 560, .external_lex_state = 2},
  [833] = {.lex_state = 560, .external_lex_state = 2},
  [834] = {.lex_state = 560, .external_lex_state = 2},
  [835] = {.lex_state = 200, .external_lex_state = 2},
  [836] = {.lex_state = 560, .external_lex_state = 2},
  [837] = {.lex_state = 560, .external_lex_state = 2},
  [838] = {.lex_state = 200, .external_lex_state = 2},
  [839] = {.lex_state = 560, .external_lex_state = 2},
  [840] = {.lex_state = 560, .external_lex_state = 2},
  [841] = {.lex_state = 200, .external_lex_state = 2},
  [842] = {.lex_state = 344, .external_lex_state = 2},
  [843] = {.lex_state = 200, .external_lex_state = 2},
  [844] = {.lex_state = 560, .external_lex_state = 2},
  [845] = {.lex_state = 560, .external_lex_state = 2},
  [846] = {.lex_state = 560, .external_lex_state = 2},
  [847] = {.lex_state = 560, .external_lex_state = 2},
  [848] = {.lex_state = 349, .external_lex_state = 2},
  [849] = {.lex_state = 200, .external_lex_state = 2},
  [850] = {.lex_state = 200, .external_lex_state = 2},
  [851] = {.lex_state = 200, .external_lex_state = 2},
  [852] = {.lex_state = 560, .external_lex_state = 2},
  [853] = {.lex_state = 200, .external_lex_state = 2},
  [854] = {.lex_state = 560, .external_lex_state = 2},
  [855] = {.lex_state = 200, .external_lex_state = 2},
  [856] = {.lex_state = 200, .external_lex_state = 2},
  [857] = {.lex_state = 200, .external_lex_state = 2},
  [858] = {.lex_state = 560, .external_lex_state = 2},
  [859] = {.lex_state = 200, .external_lex_state = 2},
  [860] = {.lex_state = 200, .external_lex_state = 2},
  [861] = {.lex_state = 560, .external_lex_state = 2},
  [862] = {.lex_state = 560, .external_lex_state = 2},
  [863] = {.lex_state = 560, .external_lex_state = 2},
  [864] = {.lex_state = 560, .external_lex_state = 2},
  [865] = {.lex_state = 560, .external_lex_state = 2},
  [866] = {.lex_state = 200, .external_lex_state = 2},
  [867] = {.lex_state = 200, .external_lex_state = 2},
  [868] = {.lex_state = 560, .external_lex_state = 2},
  [869] = {.lex_state = 200, .external_lex_state = 2},
  [870] = {.lex_state = 200, .external_lex_state = 2},
  [871] = {.lex_state = 200, .external_lex_state = 2},
  [872] = {.lex_state = 560, .external_lex_state = 2},
  [873] = {.lex_state = 560, .external_lex_state = 2},
  [874] = {.lex_state = 200, .external_lex_state = 2},
  [875] = {.lex_state = 560, .external_lex_state = 2},
  [876] = {.lex_state = 560, .external_lex_state = 2},
  [877] = {.lex_state = 560, .external_lex_state = 2},
  [878] = {.lex_state = 560, .external_lex_state = 2},
  [879] = {.lex_state = 560, .external_lex_state = 2},
  [880] = {.lex_state = 200, .external_lex_state = 2},
  [881] = {.lex_state = 200, .external_lex_state = 2},
  [882] = {.lex_state = 560, .external_lex_state = 2},
  [883] = {.lex_state = 560, .external_lex_state = 2},
  [884] = {.lex_state = 560, .external_lex_state = 2},
  [885] = {.lex_state = 560, .external_lex_state = 2},
  [886] = {.lex_state = 347, .external_lex_state = 2},
  [887] = {.lex_state = 560, .external_lex_state = 2},
  [888] = {.lex_state = 200, .external_lex_state = 2},
  [889] = {.lex_state = 560, .external_lex_state = 2},
  [890] = {.lex_state = 200, .external_lex_state = 2},
  [891] = {.lex_state = 200, .external_lex_state = 2},
  [892] = {.lex_state = 200, .external_lex_state = 2},
  [893] = {.lex_state = 200, .external_lex_state = 2},
  [894] = {.lex_state = 560, .external_lex_state = 2},
  [895] = {.lex_state = 560, .external_lex_state = 2},
  [896] = {.lex_state = 560, .external_lex_state = 2},
  [897] = {.lex_state = 200, .external_lex_state = 2},
  [898] = {.lex_state = 200, .external_lex_state = 2},
  [899] = {.lex_state = 200, .external_lex_state = 2},
  [900] = {.lex_state = 560, .external_lex_state = 2},
  [901] = {.lex_state = 560, .external_lex_state = 2},
  [902] = {.lex_state = 560, .external_lex_state = 2},
  [903] = {.lex_state = 560, .external_lex_state = 2},
  [904] = {.lex_state = 560, .external_lex_state = 2},
  [905] = {.lex_state = 200, .external_lex_state = 2},
  [906] = {.lex_state = 560, .external_lex_state = 2},
  [907] = {.lex_state = 200, .external_lex_state = 2},
  [908] = {.lex_state = 200, .external_lex_state = 2},
  [909] = {.lex_state = 346, .external_lex_state = 2},
  [910] = {.lex_state = 560, .external_lex_state = 2},
  [911] = {.lex_state = 560, .external_lex_state = 2},
  [912] = {.lex_state = 560, .external_lex_state = 2},
  [913] = {.lex_state = 560, .external_lex_state = 2},
  [914] = {.lex_state = 560, .external_lex_state = 2},
  [915] = {.lex_state = 560, .external_lex_state = 2},
  [916] = {.lex_state = 200, .external_lex_state = 2},
  [917] = {.lex_state = 200, .external_lex_state = 2},
  [918] = {.lex_state = 560, .external_lex_state = 2},
  [919] = {.lex_state = 560, .external_lex_state = 2},
  [920] = {.lex_state = 200, .external_lex_state = 2},
  [921] = {.lex_state = 560, .external_lex_state = 2},
  [922] = {.lex_state = 560, .external_lex_state = 2},
  [923] = {.lex_state = 560, .external_lex_state = 2},
  [924] = {.lex_state = 200, .external_lex_state = 2},
  [925] = {.lex_state = 560, .external_lex_state = 2},
  [926] = {.lex_state = 560, .external_lex_state = 2},
  [927] = {.lex_state = 560, .external_lex_state = 2},
  [928] = {.lex_state = 560, .external_lex_state = 2},
  [929] = {.lex_state = 560, .external_lex_state = 2},
  [930] = {.lex_state = 560, .external_lex_state = 2},
  [931] = {.lex_state = 200, .external_lex_state = 2},
  [932] = {.lex_state = 200, .external_lex_state = 2},
  [933] = {.lex_state = 200, .external_lex_state = 2},
  [934] = {.lex_state = 560, .external_lex_state = 2},
  [935] = {.lex_state = 200, .external_lex_state = 2},
  [936] = {.lex_state = 560, .external_lex_state = 2},
  [937] = {.lex_state = 200, .external_lex_state = 2},
  [938] = {.lex_state = 560, .external_lex_state = 2},
  [939] = {.lex_state = 200, .external_lex_state = 2},
  [940] = {.lex_state = 346, .external_lex_state = 2},
  [941] = {.lex_state = 349, .external_lex_state = 2},
  [942] = {.lex_state = 200, .external_lex_state = 2},
  [943] = {.lex_state = 200, .external_lex_state = 2},
  [944] = {.lex_state = 560, .external_lex_state = 2},
  [945] = {.lex_state = 348, .external_lex_state = 2},
  [946] = {.lex_state = 348, .external_lex_state = 2},
  [947] = {.lex_state = 560, .external_lex_state = 2},
  [948] = {.lex_state = 560, .external_lex_state = 2},
  [949] = {.lex_state = 348, .external_lex_state = 2},
  [950] = {.lex_state = 348, .external_lex_state = 2},
  [951] = {.lex_state = 348, .external_lex_state = 2},
  [952] = {.lex_state = 348, .external_lex_state = 2},
  [953] = {.lex_state = 348, .external_lex_state = 2},
  [954] = {.lex_state = 348, .external_lex_state = 2},
  [955] = {.lex_state = 348, .external_lex_state = 2},
  [956] = {.lex_state = 348, .external_lex_state = 2},
  [957] = {.lex_state = 560, .external_lex_state = 2},
  [958] = {.lex_state = 348, .external_lex_state = 2},
  [959] = {.lex_state = 560, .external_lex_state = 2},
  [960] = {.lex_state = 560, .external_lex_state = 2},
  [961] = {.lex_state = 348, .external_lex_state = 2},
  [962] = {.lex_state = 560, .external_lex_state = 2},
  [963] = {.lex_state = 560, .external_lex_state = 2},
  [964] = {.lex_state = 348, .external_lex_state = 2},
  [965] = {.lex_state = 560, .external_lex_state = 2},
  [966] = {.lex_state = 348, .external_lex_state = 2},
  [967] = {.lex_state = 560, .external_lex_state = 2},
  [968] = {.lex_state = 560, .external_lex_state = 2},
  [969] = {.lex_state = 560, .external_lex_state = 2},
  [970] = {.lex_state = 348, .external_lex_state = 2},
  [971] = {.lex_state = 560, .external_lex_state = 2},
  [972] = {.lex_state = 348, .external_lex_state = 2},
  [973] = {.lex_state = 560, .external_lex_state = 2},
  [974] = {.lex_state = 560, .external_lex_state = 2},
  [975] = {.lex_state = 348, .external_lex_state = 2},
  [976] = {.lex_state = 348, .external_lex_state = 2},
  [977] = {.lex_state = 560, .external_lex_state = 2},
  [978] = {.lex_state = 348, .external_lex_state = 2},
  [979] = {.lex_state = 348, .external_lex_state = 2},
  [980] = {.lex_state = 560, .external_lex_state = 2},
  [981] = {.lex_state = 348, .external_lex_state = 2},
  [982] = {.lex_state = 348, .external_lex_state = 2},
  [983] = {.lex_state = 348, .external_lex_state = 2},
  [984] = {.lex_state = 560, .external_lex_state = 2},
  [985] = {.lex_state = 348, .external_lex_state = 2},
  [986] = {.lex_state = 348, .external_lex_state = 2},
  [987] = {.lex_state = 348, .external_lex_state = 2},
  [988] = {.lex_state = 348, .external_lex_state = 2},
  [989] = {.lex_state = 560, .external_lex_state = 2},
  [990] = {.lex_state = 348, .external_lex_state = 2},
  [991] = {.lex_state = 560, .external_lex_state = 2},
  [992] = {.lex_state = 560, .external_lex_state = 2},
  [993] = {.lex_state = 560, .external_lex_state = 2},
  [994] = {.lex_state = 348, .external_lex_state = 2},
  [995] = {.lex_state = 348, .external_lex_state = 2},
  [996] = {.lex_state = 348, .external_lex_state = 2},
  [997] = {.lex_state = 560, .external_lex_state = 2},
  [998] = {.lex_state = 348, .external_lex_state = 2},
  [999] = {.lex_state = 348, .external_lex_state = 2},
  [1000] = {.lex_state = 560, .external_lex_state = 2},
  [1001] = {.lex_state = 560, .external_lex_state = 2},
  [1002] = {.lex_state = 560, .external_lex_state = 2},
  [1003] = {.lex_state = 348, .external_lex_state = 2},
  [1004] = {.lex_state = 560, .external_lex_state = 2},
  [1005] = {.lex_state = 348, .external_lex_state = 2},
  [1006] = {.lex_state = 560, .external_lex_state = 2},
  [1007] = {.lex_state = 560, .external_lex_state = 2},
  [1008] = {.lex_state = 560, .external_lex_state = 2},
  [1009] = {.lex_state = 348, .external_lex_state = 2},
  [1010] = {.lex_state = 348, .external_lex_state = 2},
  [1011] = {.lex_state = 560, .external_lex_state = 2},
  [1012] = {.lex_state = 348, .external_lex_state = 2},
  [1013] = {.lex_state = 560, .external_lex_state = 2},
  [1014] = {.lex_state = 348, .external_lex_state = 2},
  [1015] = {.lex_state = 348, .external_lex_state = 2},
  [1016] = {.lex_state = 348, .external_lex_state = 2},
  [1017] = {.lex_state = 560, .external_lex_state = 2},
  [1018] = {.lex_state = 560, .external_lex_state = 2},
  [1019] = {.lex_state = 348, .external_lex_state = 2},
  [1020] = {.lex_state = 560, .external_lex_state = 2},
  [1021] = {.lex_state = 348, .external_lex_state = 2},
  [1022] = {.lex_state = 348, .external_lex_state = 2},
  [1023] = {.lex_state = 348, .external_lex_state = 2},
  [1024] = {.lex_state = 560, .external_lex_state = 2},
  [1025] = {.lex_state = 560, .external_lex_state = 2},
  [1026] = {.lex_state = 348, .external_lex_state = 2},
  [1027] = {.lex_state = 348, .external_lex_state = 2},
  [1028] = {.lex_state = 348, .external_lex_state = 2},
  [1029] = {.lex_state = 348, .external_lex_state = 2},
  [1030] = {.lex_state = 348, .external_lex_state = 2},
  [1031] = {.lex_state = 348, .external_lex_state = 2},
  [1032] = {.lex_state = 348, .external_lex_state = 2},
  [1033] = {.lex_state = 560, .external_lex_state = 2},
  [1034] = {.lex_state = 348, .external_lex_state = 2},
  [1035] = {.lex_state = 348, .external_lex_state = 2},
  [1036] = {.lex_state = 348, .external_lex_state = 2},
  [1037] = {.lex_state = 348, .external_lex_state = 2},
  [1038] = {.lex_state = 560, .external_lex_state = 2},
  [1039] = {.lex_state = 348, .external_lex_state = 2},
  [1040] = {.lex_state = 348, .external_lex_state = 2},
  [1041] = {.lex_state = 560, .external_lex_state = 2},
  [1042] = {.lex_state = 348, .external_lex_state = 2},
  [1043] = {.lex_state = 348, .external_lex_state = 2},
  [1044] = {.lex_state = 348, .external_lex_state = 2},
  [1045] = {.lex_state = 348, .external_lex_state = 2},
  [1046] = {.lex_state = 348, .external_lex_state = 2},
  [1047] = {.lex_state = 348, .external_lex_state = 2},
  [1048] = {.lex_state = 348, .external_lex_state = 2},
  [1049] = {.lex_state = 560, .external_lex_state = 2},
  [1050] = {.lex_state = 348, .external_lex_state = 2},
  [1051] = {.lex_state = 348, .external_lex_state = 2},
  [1052] = {.lex_state = 348, .external_lex_state = 2},
  [1053] = {.lex_state = 560, .external_lex_state = 2},
  [1054] = {.lex_state = 348, .external_lex_state = 2},
  [1055] = {.lex_state = 560, .external_lex_state = 2},
  [1056] = {.lex_state = 348, .external_lex_state = 2},
  [1057] = {.lex_state = 560, .external_lex_state = 2},
  [1058] = {.lex_state = 348, .external_lex_state = 2},
  [1059] = {.lex_state = 348, .external_lex_state = 2},
  [1060] = {.lex_state = 348, .external_lex_state = 2},
  [1061] = {.lex_state = 560, .external_lex_state = 2},
  [1062] = {.lex_state = 560, .external_lex_state = 2},
  [1063] = {.lex_state = 560, .external_lex_state = 2},
  [1064] = {.lex_state = 348, .external_lex_state = 2},
  [1065] = {.lex_state = 560, .external_lex_state = 2},
  [1066] = {.lex_state = 348, .external_lex_state = 2},
  [1067] = {.lex_state = 348, .external_lex_state = 2},
  [1068] = {.lex_state = 348, .external_lex_state = 2},
  [1069] = {.lex_state = 348, .external_lex_state = 2},
  [1070] = {.lex_state = 348, .external_lex_state = 2},
  [1071] = {.lex_state = 348, .external_lex_state = 2},
  [1072] = {.lex_state = 560, .external_lex_state = 2},
  [1073] = {.lex_state = 348, .external_lex_state = 2},
  [1074] = {.lex_state = 348, .external_lex_state = 2},
  [1075] = {.lex_state = 348, .external_lex_state = 2},
  [1076] = {.lex_state = 348, .external_lex_state = 2},
  [1077] = {.lex_state = 348, .external_lex_state = 2},
  [1078] = {.lex_state = 348, .external_lex_state = 2},
  [1079] = {.lex_state = 560, .external_lex_state = 2},
  [1080] = {.lex_state = 348, .external_lex_state = 2},
  [1081] = {.lex_state = 560, .external_lex_state = 2},
  [1082] = {.lex_state = 345, .external_lex_state = 2},
  [1083] = {.lex_state = 348, .external_lex_state = 2},
  [1084] = {.lex_state = 348, .external_lex_state = 2},
  [1085] = {.lex_state = 560, .external_lex_state = 2},
  [1086] = {.lex_state = 348, .external_lex_state = 2},
  [1087] = {.lex_state = 560, .external_lex_state = 2},
  [1088] = {.lex_state = 348, .external_lex_state = 2},
  [1089] = {.lex_state = 348, .external_lex_state = 2},
  [1090] = {.lex_state = 560, .external_lex_state = 2},
  [1091] = {.lex_state = 348, .external_lex_state = 2},
  [1092] = {.lex_state = 348, .external_lex_state = 2},
  [1093] = {.lex_state = 348, .external_lex_state = 2},
  [1094] = {.lex_state = 560, .external_lex_state = 2},
  [1095] = {.lex_state = 348, .external_lex_state = 2},
  [1096] = {.lex_state = 348, .external_lex_state = 2},
  [1097] = {.lex_state = 348, .external_lex_state = 2},
  [1098] = {.lex_state = 348, .external_lex_state = 2},
  [1099] = {.lex_state = 560, .external_lex_state = 2},
  [1100] = {.lex_state = 560, .external_lex_state = 2},
  [1101] = {.lex_state = 348, .external_lex_state = 2},
  [1102] = {.lex_state = 560, .external_lex_state = 2},
  [1103] = {.lex_state = 348, .external_lex_state = 2},
  [1104] = {.lex_state = 560, .external_lex_state = 2},
  [1105] = {.lex_state = 560, .external_lex_state = 2},
  [1106] = {.lex_state = 348, .external_lex_state = 2},
  [1107] = {.lex_state = 560, .external_lex_state = 2},
  [1108] = {.lex_state = 560, .external_lex_state = 2},
  [1109] = {.lex_state = 560, .external_lex_state = 2},
  [1110] = {.lex_state = 348, .external_lex_state = 2},
  [1111] = {.lex_state = 348, .external_lex_state = 2},
  [1112] = {.lex_state = 348, .external_lex_state = 2},
  [1113] = {.lex_state = 560, .external_lex_state = 2},
  [1114] = {.lex_state = 560, .external_lex_state = 2},
  [1115] = {.lex_state = 348, .external_lex_state = 2},
  [1116] = {.lex_state = 560, .external_lex_state = 2},
  [1117] = {.lex_state = 348, .external_lex_state = 2},
  [1118] = {.lex_state = 348, .external_lex_state = 2},
  [1119] = {.lex_state = 348, .external_lex_state = 2},
  [1120] = {.lex_state = 348, .external_lex_state = 2},
  [1121] = {.lex_state = 348, .external_lex_state = 2},
  [1122] = {.lex_state = 560, .external_lex_state = 2},
  [1123] = {.lex_state = 348, .external_lex_state = 2},
  [1124] = {.lex_state = 560, .external_lex_state = 2},
  [1125] = {.lex_state = 560, .external_lex_state = 2},
  [1126] = {.lex_state = 560, .external_lex_state = 2},
  [1127] = {.lex_state = 560, .external_lex_state = 2},
  [1128] = {.lex_state = 560, .external_lex_state = 2},
  [1129] = {.lex_state = 560, .external_lex_state = 2},
  [1130] = {.lex_state = 560, .external_lex_state = 2},
  [1131] = {.lex_state = 560, .external_lex_state = 2},
  [1132] = {.lex_state = 560, .external_lex_state = 2},
  [1133] = {.lex_state = 560, .external_lex_state = 2},
  [1134] = {.lex_state = 560, .external_lex_state = 2},
  [1135] = {.lex_state = 560, .external_lex_state = 2},
  [1136] = {.lex_state = 560, .external_lex_state = 2},
  [1137] = {.lex_state = 560, .external_lex_state = 2},
  [1138] = {.lex_state = 560, .external_lex_state = 2},
  [1139] = {.lex_state = 345, .external_lex_state = 2},
  [1140] = {.lex_state = 348, .external_lex_state = 2},
  [1141] = {.lex_state = 560, .external_lex_state = 2},
  [1142] = {.lex_state = 348, .external_lex_state = 2},
  [1143] = {.lex_state = 348, .external_lex_state = 2},
  [1144] = {.lex_state = 348, .external_lex_state = 2},
  [1145] = {.lex_state = 348, .external_lex_state = 2},
  [1146] = {.lex_state = 348, .external_lex_state = 2},
  [1147] = {.lex_state = 348, .external_lex_state = 2},
  [1148] = {.lex_state = 560, .external_lex_state = 2},
  [1149] = {.lex_state = 348, .external_lex_state = 2},
  [1150] = {.lex_state = 560, .external_lex_state = 2},
  [1151] = {.lex_state = 560, .external_lex_state = 2},
  [1152] = {.lex_state = 560, .external_lex_state = 2},
  [1153] = {.lex_state = 560, .external_lex_state = 2},
  [1154] = {.lex_state = 348, .external_lex_state = 2},
  [1155] = {.lex_state = 348, .external_lex_state = 2},
  [1156] = {.lex_state = 560, .external_lex_state = 2},
  [1157] = {.lex_state = 560, .external_lex_state = 2},
  [1158] = {.lex_state = 560, .external_lex_state = 2},
  [1159] = {.lex_state = 348, .external_lex_state = 2},
  [1160] = {.lex_state = 348, .external_lex_state = 2},
  [1161] = {.lex_state = 348, .external_lex_state = 2},
  [1162] = {.lex_state = 348, .external_lex_state = 2},
  [1163] = {.lex_state = 560, .external_lex_state = 2},
  [1164] = {.lex_state = 348, .external_lex_state = 2},
  [1165] = {.lex_state = 348, .external_lex_state = 2},
  [1166] = {.lex_state = 348, .external_lex_state = 2},
  [1167] = {.lex_state = 348, .external_lex_state = 2},
  [1168] = {.lex_state = 348, .external_lex_state = 2},
  [1169] = {.lex_state = 560, .external_lex_state = 2},
  [1170] = {.lex_state = 560, .external_lex_state = 2},
  [1171] = {.lex_state = 348, .external_lex_state = 2},
  [1172] = {.lex_state = 560, .external_lex_state = 2},
  [1173] = {.lex_state = 348, .external_lex_state = 2},
  [1174] = {.lex_state = 348, .external_lex_state = 2},
  [1175] = {.lex_state = 560, .external_lex_state = 2},
  [1176] = {.lex_state = 348, .external_lex_state = 2},
  [1177] = {.lex_state = 560, .external_lex_state = 2},
  [1178] = {.lex_state = 348, .external_lex_state = 2},
  [1179] = {.lex_state = 348, .external_lex_state = 2},
  [1180] = {.lex_state = 560, .external_lex_state = 2},
  [1181] = {.lex_state = 348, .external_lex_state = 2},
  [1182] = {.lex_state = 348, .external_lex_state = 2},
  [1183] = {.lex_state = 200, .external_lex_state = 2},
  [1184] = {.lex_state = 560, .external_lex_state = 2},
  [1185] = {.lex_state = 348, .external_lex_state = 2},
  [1186] = {.lex_state = 560, .external_lex_state = 2},
  [1187] = {.lex_state = 560, .external_lex_state = 2},
  [1188] = {.lex_state = 348, .external_lex_state = 2},
  [1189] = {.lex_state = 560, .external_lex_state = 2},
  [1190] = {.lex_state = 560, .external_lex_state = 2},
  [1191] = {.lex_state = 348, .external_lex_state = 2},
  [1192] = {.lex_state = 560, .external_lex_state = 2},
  [1193] = {.lex_state = 560, .external_lex_state = 2},
  [1194] = {.lex_state = 348, .external_lex_state = 2},
  [1195] = {.lex_state = 560, .external_lex_state = 2},
  [1196] = {.lex_state = 560, .external_lex_state = 2},
  [1197] = {.lex_state = 348, .external_lex_state = 2},
  [1198] = {.lex_state = 560, .external_lex_state = 2},
  [1199] = {.lex_state = 348, .external_lex_state = 2},
  [1200] = {.lex_state = 348, .external_lex_state = 2},
  [1201] = {.lex_state = 348, .external_lex_state = 2},
  [1202] = {.lex_state = 348, .external_lex_state = 2},
  [1203] = {.lex_state = 348, .external_lex_state = 2},
  [1204] = {.lex_state = 560, .external_lex_state = 2},
  [1205] = {.lex_state = 348, .external_lex_state = 2},
  [1206] = {.lex_state = 348, .external_lex_state = 2},
  [1207] = {.lex_state = 348, .external_lex_state = 2},
  [1208] = {.lex_state = 348, .external_lex_state = 2},
  [1209] = {.lex_state = 348, .external_lex_state = 2},
  [1210] = {.lex_state = 348, .external_lex_state = 2},
  [1211] = {.lex_state = 560, .external_lex_state = 2},
  [1212] = {.lex_state = 348, .external_lex_state = 2},
  [1213] = {.lex_state = 560, .external_lex_state = 2},
  [1214] = {.lex_state = 560, .external_lex_state = 2},
  [1215] = {.lex_state = 348, .external_lex_state = 2},
  [1216] = {.lex_state = 348, .external_lex_state = 2},
  [1217] = {.lex_state = 348, .external_lex_state = 2},
  [1218] = {.lex_state = 348, .external_lex_state = 2},
  [1219] = {.lex_state = 348, .external_lex_state = 2},
  [1220] = {.lex_state = 348, .external_lex_state = 2},
  [1221] = {.lex_state = 348, .external_lex_state = 2},
  [1222] = {.lex_state = 348, .external_lex_state = 2},
  [1223] = {.lex_state = 348, .external_lex_state = 2},
  [1224] = {.lex_state = 348, .external_lex_state = 2},
  [1225] = {.lex_state = 348, .external_lex_state = 2},
  [1226] = {.lex_state = 560, .external_lex_state = 2},
  [1227] = {.lex_state = 348, .external_lex_state = 2},
  [1228] = {.lex_state = 560, .external_lex_state = 2},
  [1229] = {.lex_state = 560, .external_lex_state = 2},
  [1230] = {.lex_state = 560, .external_lex_state = 2},
  [1231] = {.lex_state = 348, .external_lex_state = 2},
  [1232] = {.lex_state = 348, .external_lex_state = 2},
  [1233] = {.lex_state = 560, .external_lex_state = 2},
  [1234] = {.lex_state = 560, .external_lex_state = 2},
  [1235] = {.lex_state = 348, .external_lex_state = 2},
  [1236] = {.lex_state = 348, .external_lex_state = 2},
  [1237] = {.lex_state = 348, .external_lex_state = 2},
  [1238] = {.lex_state = 560, .external_lex_state = 2},
  [1239] = {.lex_state = 348, .external_lex_state = 2},
  [1240] = {.lex_state = 560, .external_lex_state = 2},
  [1241] = {.lex_state = 560, .external_lex_state = 2},
  [1242] = {.lex_state = 560, .external_lex_state = 2},
  [1243] = {.lex_state = 348, .external_lex_state = 2},
  [1244] = {.lex_state = 560, .external_lex_state = 2},
  [1245] = {.lex_state = 348, .external_lex_state = 2},
  [1246] = {.lex_state = 348, .external_lex_state = 2},
  [1247] = {.lex_state = 560, .external_lex_state = 2},
  [1248] = {.lex_state = 560, .external_lex_state = 2},
  [1249] = {.lex_state = 347, .external_lex_state = 2},
  [1250] = {.lex_state = 348, .external_lex_state = 2},
  [1251] = {.lex_state = 560, .external_lex_state = 2},
  [1252] = {.lex_state = 348, .external_lex_state = 2},
  [1253] = {.lex_state = 348, .external_lex_state = 2},
  [1254] = {.lex_state = 560, .external_lex_state = 2},
  [1255] = {.lex_state = 348, .external_lex_state = 2},
  [1256] = {.lex_state = 348, .external_lex_state = 2},
  [1257] = {.lex_state = 348, .external_lex_state = 2},
  [1258] = {.lex_state = 348, .external_lex_state = 2},
  [1259] = {.lex_state = 348, .external_lex_state = 2},
  [1260] = {.lex_state = 348, .external_lex_state = 2},
  [1261] = {.lex_state = 348, .external_lex_state = 2},
  [1262] = {.lex_state = 348, .external_lex_state = 2},
  [1263] = {.lex_state = 348, .external_lex_state = 2},
  [1264] = {.lex_state = 348, .external_lex_state = 2},
  [1265] = {.lex_state = 348, .external_lex_state = 2},
  [1266] = {.lex_state = 348, .external_lex_state = 2},
  [1267] = {.lex_state = 348, .external_lex_state = 2},
  [1268] = {.lex_state = 560, .external_lex_state = 2},
  [1269] = {.lex_state = 348, .external_lex_state = 2},
  [1270] = {.lex_state = 348, .external_lex_state = 2},
  [1271] = {.lex_state = 348, .external_lex_state = 2},
  [1272] = {.lex_state = 348, .external_lex_state = 2},
  [1273] = {.lex_state = 560, .external_lex_state = 2},
  [1274] = {.lex_state = 560, .external_lex_state = 2},
  [1275] = {.lex_state = 560, .external_lex_state = 2},
  [1276] = {.lex_state = 348, .external_lex_state = 2},
  [1277] = {.lex_state = 348, .external_lex_state = 2},
  [1278] = {.lex_state = 348, .external_lex_state = 2},
  [1279] = {.lex_state = 348, .external_lex_state = 2},
  [1280] = {.lex_state = 348, .external_lex_state = 2},
  [1281] = {.lex_state = 560, .external_lex_state = 2},
  [1282] = {.lex_state = 348, .external_lex_state = 2},
  [1283] = {.lex_state = 348, .external_lex_state = 2},
  [1284] = {.lex_state = 348, .external_lex_state = 2},
  [1285] = {.lex_state = 560, .external_lex_state = 2},
  [1286] = {.lex_state = 560, .external_lex_state = 2},
  [1287] = {.lex_state = 560, .external_lex_state = 2},
  [1288] = {.lex_state = 348, .external_lex_state = 2},
  [1289] = {.lex_state = 347, .external_lex_state = 2},
  [1290] = {.lex_state = 560, .external_lex_state = 2},
  [1291] = {.lex_state = 348, .external_lex_state = 2},
  [1292] = {.lex_state = 348, .external_lex_state = 2},
  [1293] = {.lex_state = 560, .external_lex_state = 2},
  [1294] = {.lex_state = 560, .external_lex_state = 2},
  [1295] = {.lex_state = 348, .external_lex_state = 2},
  [1296] = {.lex_state = 348, .external_lex_state = 2},
  [1297] = {.lex_state = 348, .external_lex_state = 2},
  [1298] = {.lex_state = 560, .external_lex_state = 2},
  [1299] = {.lex_state = 560, .external_lex_state = 2},
  [1300] = {.lex_state = 348, .external_lex_state = 2},
  [1301] = {.lex_state = 348, .external_lex_state = 2},
  [1302] = {.lex_state = 348, .external_lex_state = 2},
  [1303] = {.lex_state = 348, .external_lex_state = 2},
  [1304] = {.lex_state = 560, .external_lex_state = 2},
  [1305] = {.lex_state = 560, .external_lex_state = 2},
  [1306] = {.lex_state = 348, .external_lex_state = 2},
  [1307] = {.lex_state = 560, .external_lex_state = 2},
  [1308] = {.lex_state = 348, .external_lex_state = 2},
  [1309] = {.lex_state = 348, .external_lex_state = 2},
  [1310] = {.lex_state = 348, .external_lex_state = 2},
  [1311] = {.lex_state = 560, .external_lex_state = 2},
  [1312] = {.lex_state = 348, .external_lex_state = 2},
  [1313] = {.lex_state = 560, .external_lex_state = 2},
  [1314] = {.lex_state = 560, .external_lex_state = 2},
  [1315] = {.lex_state = 560, .external_lex_state = 2},
  [1316] = {.lex_state = 348, .external_lex_state = 2},
  [1317] = {.lex_state = 560, .external_lex_state = 2},
  [1318] = {.lex_state = 348, .external_lex_state = 2},
  [1319] = {.lex_state = 560, .external_lex_state = 2},
  [1320] = {.lex_state = 348, .external_lex_state = 2},
  [1321] = {.lex_state = 348, .external_lex_state = 2},
  [1322] = {.lex_state = 348, .external_lex_state = 2},
  [1323] = {.lex_state = 348, .external_lex_state = 2},
  [1324] = {.lex_state = 348, .external_lex_state = 2},
  [1325] = {.lex_state = 348, .external_lex_state = 2},
  [1326] = {.lex_state = 348, .external_lex_state = 2},
  [1327] = {.lex_state = 560, .external_lex_state = 2},
  [1328] = {.lex_state = 348, .external_lex_state = 2},
  [1329] = {.lex_state = 560, .external_lex_state = 2},
  [1330] = {.lex_state = 348, .external_lex_state = 2},
  [1331] = {.lex_state = 348, .external_lex_state = 2},
  [1332] = {.lex_state = 348, .external_lex_state = 2},
  [1333] = {.lex_state = 348, .external_lex_state = 2},
  [1334] = {.lex_state = 348, .external_lex_state = 2},
  [1335] = {.lex_state = 348, .external_lex_state = 2},
  [1336] = {.lex_state = 560, .external_lex_state = 2},
  [1337] = {.lex_state = 348, .external_lex_state = 2},
  [1338] = {.lex_state = 348, .external_lex_state = 2},
  [1339] = {.lex_state = 348, .external_lex_state = 2},
  [1340] = {.lex_state = 560, .external_lex_state = 2},
  [1341] = {.lex_state = 348, .external_lex_state = 2},
  [1342] = {.lex_state = 348, .external_lex_state = 2},
  [1343] = {.lex_state = 348, .external_lex_state = 2},
  [1344] = {.lex_state = 560, .external_lex_state = 2},
  [1345] = {.lex_state = 348, .external_lex_state = 2},
  [1346] = {.lex_state = 348, .external_lex_state = 2},
  [1347] = {.lex_state = 348, .external_lex_state = 2},
  [1348] = {.lex_state = 348, .external_lex_state = 2},
  [1349] = {.lex_state = 348, .external_lex_state = 2},
  [1350] = {.lex_state = 560, .external_lex_state = 2},
  [1351] = {.lex_state = 348, .external_lex_state = 2},
  [1352] = {.lex_state = 348, .external_lex_state = 2},
  [1353] = {.lex_state = 348, .external_lex_state = 2},
  [1354] = {.lex_state = 348, .external_lex_state = 2},
  [1355] = {.lex_state = 348, .external_lex_state = 2},
  [1356] = {.lex_state = 348, .external_lex_state = 2},
  [1357] = {.lex_state = 560, .external_lex_state = 2},
  [1358] = {.lex_state = 348, .external_lex_state = 2},
  [1359] = {.lex_state = 348, .external_lex_state = 2},
  [1360] = {.lex_state = 348, .external_lex_state = 2},
  [1361] = {.lex_state = 348, .external_lex_state = 2},
  [1362] = {.lex_state = 560, .external_lex_state = 2},
  [1363] = {.lex_state = 348, .external_lex_state = 2},
  [1364] = {.lex_state = 348, .external_lex_state = 2},
  [1365] = {.lex_state = 348, .external_lex_state = 2},
  [1366] = {.lex_state = 560, .external_lex_state = 2},
  [1367] = {.lex_state = 560, .external_lex_state = 2},
  [1368] = {.lex_state = 560, .external_lex_state = 2},
  [1369] = {.lex_state = 560, .external_lex_state = 2},
  [1370] = {.lex_state = 348, .external_lex_state = 2},
  [1371] = {.lex_state = 348, .external_lex_state = 2},
  [1372] = {.lex_state = 348, .external_lex_state = 2},
  [1373] = {.lex_state = 348, .external_lex_state = 2},
  [1374] = {.lex_state = 348, .external_lex_state = 2},
  [1375] = {.lex_state = 348, .external_lex_state = 2},
  [1376] = {.lex_state = 348, .external_lex_state = 2},
  [1377] = {.lex_state = 348, .external_lex_state = 2},
  [1378] = {.lex_state = 348, .external_lex_state = 2},
  [1379] = {.lex_state = 348, .external_lex_state = 2},
  [1380] = {.lex_state = 348, .external_lex_state = 2},
  [1381] = {.lex_state = 348, .external_lex_state = 2},
  [1382] = {.lex_state = 348, .external_lex_state = 2},
  [1383] = {.lex_state = 560, .external_lex_state = 2},
  [1384] = {.lex_state = 560, .external_lex_state = 2},
  [1385] = {.lex_state = 560, .external_lex_state = 2},
  [1386] = {.lex_state = 560, .external_lex_state = 2},
  [1387] = {.lex_state = 348, .external_lex_state = 2},
  [1388] = {.lex_state = 560, .external_lex_state = 2},
  [1389] = {.lex_state = 348, .external_lex_state = 2},
  [1390] = {.lex_state = 348, .external_lex_state = 2},
  [1391] = {.lex_state = 560, .external_lex_state = 2},
  [1392] = {.lex_state = 348, .external_lex_state = 2},
  [1393] = {.lex_state = 560, .external_lex_state = 2},
  [1394] = {.lex_state = 348, .external_lex_state = 2},
  [1395] = {.lex_state = 560, .external_lex_state = 2},
  [1396] = {.lex_state = 560, .external_lex_state = 2},
  [1397] = {.lex_state = 560, .external_lex_state = 2},
  [1398] = {.lex_state = 348, .external_lex_state = 2},
  [1399] = {.lex_state = 560, .external_lex_state = 2},
  [1400] = {.lex_state = 348, .external_lex_state = 2},
  [1401] = {.lex_state = 348, .external_lex_state = 2},
  [1402] = {.lex_state = 560, .external_lex_state = 2},
  [1403] = {.lex_state = 560, .external_lex_state = 2},
  [1404] = {.lex_state = 348, .external_lex_state = 2},
  [1405] = {.lex_state = 560, .external_lex_state = 2},
  [1406] = {.lex_state = 348, .external_lex_state = 2},
  [1407] = {.lex_state = 348, .external_lex_state = 2},
  [1408] = {.lex_state = 348, .external_lex_state = 2},
  [1409] = {.lex_state = 348, .external_lex_state = 2},
  [1410] = {.lex_state = 348, .external_lex_state = 2},
  [1411] = {.lex_state = 348, .external_lex_state = 2},
  [1412] = {.lex_state = 348, .external_lex_state = 2},
  [1413] = {.lex_state = 348, .external_lex_state = 2},
  [1414] = {.lex_state = 348, .external_lex_state = 2},
  [1415] = {.lex_state = 348, .external_lex_state = 2},
  [1416] = {.lex_state = 560, .external_lex_state = 2},
  [1417] = {.lex_state = 560, .external_lex_state = 2},
  [1418] = {.lex_state = 348, .external_lex_state = 2},
  [1419] = {.lex_state = 560, .external_lex_state = 2},
  [1420] = {.lex_state = 348, .external_lex_state = 2},
  [1421] = {.lex_state = 560, .external_lex_state = 2},
  [1422] = {.lex_state = 560, .external_lex_state = 2},
  [1423] = {.lex_state = 348, .external_lex_state = 2},
  [1424] = {.lex_state = 560, .external_lex_state = 2},
  [1425] = {.lex_state = 348, .external_lex_state = 2},
  [1426] = {.lex_state = 560, .external_lex_state = 2},
  [1427] = {.lex_state = 560, .external_lex_state = 2},
  [1428] = {.lex_state = 560, .external_lex_state = 2},
  [1429] = {.lex_state = 560, .external_lex_state = 2},
  [1430] = {.lex_state = 560, .external_lex_state = 2},
  [1431] = {.lex_state = 560, .external_lex_state = 2},
  [1432] = {.lex_state = 560, .external_lex_state = 2},
  [1433] = {.lex_state = 348, .external_lex_state = 2},
  [1434] = {.lex_state = 560, .external_lex_state = 2},
  [1435] = {.lex_state = 560, .external_lex_state = 2},
  [1436] = {.lex_state = 348, .external_lex_state = 2},
  [1437] = {.lex_state = 560, .external_lex_state = 2},
  [1438] = {.lex_state = 560, .external_lex_state = 2},
  [1439] = {.lex_state = 348, .external_lex_state = 2},
  [1440] = {.lex_state = 560, .external_lex_state = 2},
  [1441] = {.lex_state = 348, .external_lex_state = 2},
  [1442] = {.lex_state = 348, .external_lex_state = 2},
  [1443] = {.lex_state = 344, .external_lex_state = 2},
  [1444] = {.lex_state = 348, .external_lex_state = 2},
  [1445] = {.lex_state = 348, .external_lex_state = 2},
  [1446] = {.lex_state = 348, .external_lex_state = 2},
  [1447] = {.lex_state = 560, .external_lex_state = 2},
  [1448] = {.lex_state = 348, .external_lex_state = 2},
  [1449] = {.lex_state = 348, .external_lex_state = 2},
  [1450] = {.lex_state = 348, .external_lex_state = 2},
  [1451] = {.lex_state = 560, .external_lex_state = 2},
  [1452] = {.lex_state = 348, .external_lex_state = 2},
  [1453] = {.lex_state = 560, .external_lex_state = 2},
  [1454] = {.lex_state = 348, .external_lex_state = 2},
  [1455] = {.lex_state = 348, .external_lex_state = 2},
  [1456] = {.lex_state = 348, .external_lex_state = 2},
  [1457] = {.lex_state = 560, .external_lex_state = 2},
  [1458] = {.lex_state = 348, .external_lex_state = 2},
  [1459] = {.lex_state = 560, .external_lex_state = 2},
  [1460] = {.lex_state = 348, .external_lex_state = 2},
  [1461] = {.lex_state = 348, .external_lex_state = 2},
  [1462] = {.lex_state = 348, .external_lex_state = 2},
  [1463] = {.lex_state = 348, .external_lex_state = 2},
  [1464] = {.lex_state = 348, .external_lex_state = 2},
  [1465] = {.lex_state = 348, .external_lex_state = 2},
  [1466] = {.lex_state = 348, .external_lex_state = 2},
  [1467] = {.lex_state = 348, .external_lex_state = 2},
  [1468] = {.lex_state = 560, .external_lex_state = 2},
  [1469] = {.lex_state = 344, .external_lex_state = 2},
  [1470] = {.lex_state = 560, .external_lex_state = 2},
  [1471] = {.lex_state = 560, .external_lex_state = 2},
  [1472] = {.lex_state = 560, .external_lex_state = 2},
  [1473] = {.lex_state = 560, .external_lex_state = 2},
  [1474] = {.lex_state = 560, .external_lex_state = 2},
  [1475] = {.lex_state = 560, .external_lex_state = 2},
  [1476] = {.lex_state = 560, .external_lex_state = 2},
  [1477] = {.lex_state = 560, .external_lex_state = 2},
  [1478] = {.lex_state = 560, .external_lex_state = 2},
  [1479] = {.lex_state = 560, .external_lex_state = 2},
  [1480] = {.lex_state = 560, .external_lex_state = 2},
  [1481] = {.lex_state = 560, .external_lex_state = 2},
  [1482] = {.lex_state = 560, .external_lex_state = 2},
  [1483] = {.lex_state = 560, .external_lex_state = 2},
  [1484] = {.lex_state = 200, .external_lex_state = 2},
  [1485] = {.lex_state = 560, .external_lex_state = 2},
  [1486] = {.lex_state = 560, .external_lex_state = 2},
  [1487] = {.lex_state = 560, .external_lex_state = 2},
  [1488] = {.lex_state = 200, .external_lex_state = 2},
  [1489] = {.lex_state = 560, .external_lex_state = 2},
  [1490] = {.lex_state = 560, .external_lex_state = 2},
  [1491] = {.lex_state = 560, .external_lex_state = 2},
  [1492] = {.lex_state = 560, .external_lex_state = 2},
  [1493] = {.lex_state = 560, .external_lex_state = 2},
  [1494] = {.lex_state = 560, .external_lex_state = 2},
  [1495] = {.lex_state = 200, .external_lex_state = 2},
  [1496] = {.lex_state = 560, .external_lex_state = 2},
  [1497] = {.lex_state = 560, .external_lex_state = 2},
  [1498] = {.lex_state = 560, .external_lex_state = 2},
  [1499] = {.lex_state = 560, .external_lex_state = 2},
  [1500] = {.lex_state = 560, .external_lex_state = 2},
  [1501] = {.lex_state = 560, .external_lex_state = 2},
  [1502] = {.lex_state = 560, .external_lex_state = 2},
  [1503] = {.lex_state = 560, .external_lex_state = 2},
  [1504] = {.lex_state = 560, .external_lex_state = 2},
  [1505] = {.lex_state = 560, .external_lex_state = 2},
  [1506] = {.lex_state = 200, .external_lex_state = 2},
  [1507] = {.lex_state = 560, .external_lex_state = 2},
  [1508] = {.lex_state = 200, .external_lex_state = 2},
  [1509] = {.lex_state = 200, .external_lex_state = 2},
  [1510] = {.lex_state = 200, .external_lex_state = 2},
  [1511] = {.lex_state = 200, .external_lex_state = 2},
  [1512] = {.lex_state = 560, .external_lex_state = 2},
  [1513] = {.lex_state = 200, .external_lex_state = 2},
  [1514] = {.lex_state = 560, .external_lex_state = 2},
  [1515] = {.lex_state = 560, .external_lex_state = 2},
  [1516] = {.lex_state = 560, .external_lex_state = 2},
  [1517] = {.lex_state = 560, .external_lex_state = 2},
  [1518] = {.lex_state = 200, .external_lex_state = 2},
  [1519] = {.lex_state = 200, .external_lex_state = 2},
  [1520] = {.lex_state = 560, .external_lex_state = 2},
  [1521] = {.lex_state = 560, .external_lex_state = 2},
  [1522] = {.lex_state = 560, .external_lex_state = 2},
  [1523] = {.lex_state = 560, .external_lex_state = 2},
  [1524] = {.lex_state = 200, .external_lex_state = 2},
  [1525] = {.lex_state = 560, .external_lex_state = 2},
  [1526] = {.lex_state = 560, .external_lex_state = 2},
  [1527] = {.lex_state = 560, .external_lex_state = 2},
  [1528] = {.lex_state = 200, .external_lex_state = 2},
  [1529] = {.lex_state = 560, .external_lex_state = 2},
  [1530] = {.lex_state = 200, .external_lex_state = 2},
  [1531] = {.lex_state = 560, .external_lex_state = 2},
  [1532] = {.lex_state = 200, .external_lex_state = 2},
  [1533] = {.lex_state = 200, .external_lex_state = 2},
  [1534] = {.lex_state = 200, .external_lex_state = 2},
  [1535] = {.lex_state = 200, .external_lex_state = 2},
  [1536] = {.lex_state = 560, .external_lex_state = 2},
  [1537] = {.lex_state = 560, .external_lex_state = 2},
  [1538] = {.lex_state = 200, .external_lex_state = 2},
  [1539] = {.lex_state = 560, .external_lex_state = 2},
  [1540] = {.lex_state = 560, .external_lex_state = 2},
  [1541] = {.lex_state = 200, .external_lex_state = 2},
  [1542] = {.lex_state = 560, .external_lex_state = 2},
  [1543] = {.lex_state = 560, .external_lex_state = 2},
  [1544] = {.lex_state = 560, .external_lex_state = 2},
  [1545] = {.lex_state = 200, .external_lex_state = 2},
  [1546] = {.lex_state = 560, .external_lex_state = 2},
  [1547] = {.lex_state = 560, .external_lex_state = 2},
  [1548] = {.lex_state = 560, .external_lex_state = 2},
  [1549] = {.lex_state = 560, .external_lex_state = 2},
  [1550] = {.lex_state = 560, .external_lex_state = 2},
  [1551] = {.lex_state = 200, .external_lex_state = 2},
  [1552] = {.lex_state = 200, .external_lex_state = 2},
  [1553] = {.lex_state = 200, .external_lex_state = 2},
  [1554] = {.lex_state = 200, .external_lex_state = 2},
  [1555] = {.lex_state = 560, .external_lex_state = 2},
  [1556] = {.lex_state = 200, .external_lex_state = 2},
  [1557] = {.lex_state = 200, .external_lex_state = 2},
  [1558] = {.lex_state = 560, .external_lex_state = 2},
  [1559] = {.lex_state = 560, .external_lex_state = 2},
  [1560] = {.lex_state = 200, .external_lex_state = 2},
  [1561] = {.lex_state = 560, .external_lex_state = 2},
  [1562] = {.lex_state = 560, .external_lex_state = 2},
  [1563] = {.lex_state = 560, .external_lex_state = 2},
  [1564] = {.lex_state = 200, .external_lex_state = 2},
  [1565] = {.lex_state = 200, .external_lex_state = 2},
  [1566] = {.lex_state = 200, .external_lex_state = 2},
  [1567] = {.lex_state = 560, .external_lex_state = 2},
  [1568] = {.lex_state = 560, .external_lex_state = 2},
  [1569] = {.lex_state = 560, .external_lex_state = 2},
  [1570] = {.lex_state = 560, .external_lex_state = 2},
  [1571] = {.lex_state = 200, .external_lex_state = 2},
  [1572] = {.lex_state = 560, .external_lex_state = 2},
  [1573] = {.lex_state = 560, .external_lex_state = 2},
  [1574] = {.lex_state = 200, .external_lex_state = 2},
  [1575] = {.lex_state = 200, .external_lex_state = 2},
  [1576] = {.lex_state = 560, .external_lex_state = 2},
  [1577] = {.lex_state = 560, .external_lex_state = 2},
  [1578] = {.lex_state = 200, .external_lex_state = 2},
  [1579] = {.lex_state = 560, .external_lex_state = 2},
  [1580] = {.lex_state = 560, .external_lex_state = 2},
  [1581] = {.lex_state = 560, .external_lex_state = 2},
  [1582] = {.lex_state = 200, .external_lex_state = 2},
  [1583] = {.lex_state = 560, .external_lex_state = 2},
  [1584] = {.lex_state = 560, .external_lex_state = 2},
  [1585] = {.lex_state = 200, .external_lex_state = 2},
  [1586] = {.lex_state = 560, .external_lex_state = 2},
  [1587] = {.lex_state = 560, .external_lex_state = 2},
  [1588] = {.lex_state = 560, .external_lex_state = 2},
  [1589] = {.lex_state = 560, .external_lex_state = 2},
  [1590] = {.lex_state = 560, .external_lex_state = 2},
  [1591] = {.lex_state = 560, .external_lex_state = 2},
  [1592] = {.lex_state = 560, .external_lex_state = 2},
  [1593] = {.lex_state = 560, .external_lex_state = 2},
  [1594] = {.lex_state = 560, .external_lex_state = 2},
  [1595] = {.lex_state = 560, .external_lex_state = 2},
  [1596] = {.lex_state = 560, .external_lex_state = 2},
  [1597] = {.lex_state = 560, .external_lex_state = 2},
  [1598] = {.lex_state = 560, .external_lex_state = 2},
  [1599] = {.lex_state = 560, .external_lex_state = 2},
  [1600] = {.lex_state = 200, .external_lex_state = 2},
  [1601] = {.lex_state = 200, .external_lex_state = 2},
  [1602] = {.lex_state = 560, .external_lex_state = 2},
  [1603] = {.lex_state = 560, .external_lex_state = 2},
  [1604] = {.lex_state = 560, .external_lex_state = 2},
  [1605] = {.lex_state = 560, .external_lex_state = 2},
  [1606] = {.lex_state = 560, .external_lex_state = 2},
  [1607] = {.lex_state = 560, .external_lex_state = 2},
  [1608] = {.lex_state = 560, .external_lex_state = 2},
  [1609] = {.lex_state = 560, .external_lex_state = 2},
  [1610] = {.lex_state = 560, .external_lex_state = 2},
  [1611] = {.lex_state = 200, .external_lex_state = 2},
  [1612] = {.lex_state = 560, .external_lex_state = 2},
  [1613] = {.lex_state = 200, .external_lex_state = 2},
  [1614] = {.lex_state = 200, .external_lex_state = 2},
  [1615] = {.lex_state = 560, .external_lex_state = 2},
  [1616] = {.lex_state = 200, .external_lex_state = 2},
  [1617] = {.lex_state = 200, .external_lex_state = 2},
  [1618] = {.lex_state = 560, .external_lex_state = 2},
  [1619] = {.lex_state = 200, .external_lex_state = 2},
  [1620] = {.lex_state = 560, .external_lex_state = 2},
  [1621] = {.lex_state = 200, .external_lex_state = 2},
  [1622] = {.lex_state = 560, .external_lex_state = 2},
  [1623] = {.lex_state = 200, .external_lex_state = 2},
  [1624] = {.lex_state = 560, .external_lex_state = 2},
  [1625] = {.lex_state = 200, .external_lex_state = 2},
  [1626] = {.lex_state = 200, .external_lex_state = 2},
  [1627] = {.lex_state = 200, .external_lex_state = 2},
  [1628] = {.lex_state = 560, .external_lex_state = 2},
  [1629] = {.lex_state = 560, .external_lex_state = 2},
  [1630] = {.lex_state = 560, .external_lex_state = 2},
  [1631] = {.lex_state = 560, .external_lex_state = 2},
  [1632] = {.lex_state = 348, .external_lex_state = 2},
  [1633] = {.lex_state = 560, .external_lex_state = 2},
  [1634] = {.lex_state = 560, .external_lex_state = 2},
  [1635] = {.lex_state = 200, .external_lex_state = 2},
  [1636] = {.lex_state = 560, .external_lex_state = 2},
  [1637] = {.lex_state = 560, .external_lex_state = 2},
  [1638] = {.lex_state = 200, .external_lex_state = 2},
  [1639] = {.lex_state = 560, .external_lex_state = 2},
  [1640] = {.lex_state = 560, .external_lex_state = 2},
  [1641] = {.lex_state = 560, .external_lex_state = 2},
  [1642] = {.lex_state = 348, .external_lex_state = 2},
  [1643] = {.lex_state = 200, .external_lex_state = 2},
  [1644] = {.lex_state = 560, .external_lex_state = 2},
  [1645] = {.lex_state = 560, .external_lex_state = 2},
  [1646] = {.lex_state = 560, .external_lex_state = 2},
  [1647] = {.lex_state = 560, .external_lex_state = 2},
  [1648] = {.lex_state = 560, .external_lex_state = 2},
  [1649] = {.lex_state = 560, .external_lex_state = 2},
  [1650] = {.lex_state = 560, .external_lex_state = 2},
  [1651] = {.lex_state = 560, .external_lex_state = 2},
  [1652] = {.lex_state = 560, .external_lex_state = 2},
  [1653] = {.lex_state = 560, .external_lex_state = 2},
  [1654] = {.lex_state = 560, .external_lex_state = 2},
  [1655] = {.lex_state = 200, .external_lex_state = 2},
  [1656] = {.lex_state = 560, .external_lex_state = 2},
  [1657] = {.lex_state = 560, .external_lex_state = 2},
  [1658] = {.lex_state = 560, .external_lex_state = 2},
  [1659] = {.lex_state = 560, .external_lex_state = 2},
  [1660] = {.lex_state = 560, .external_lex_state = 2},
  [1661] = {.lex_state = 560, .external_lex_state = 2},
  [1662] = {.lex_state = 560, .external_lex_state = 2},
  [1663] = {.lex_state = 560, .external_lex_state = 2},
  [1664] = {.lex_state = 200, .external_lex_state = 2},
  [1665] = {.lex_state = 560, .external_lex_state = 2},
  [1666] = {.lex_state = 560, .external_lex_state = 2},
  [1667] = {.lex_state = 560, .external_lex_state = 2},
  [1668] = {.lex_state = 560, .external_lex_state = 2},
  [1669] = {.lex_state = 200, .external_lex_state = 2},
  [1670] = {.lex_state = 560, .external_lex_state = 2},
  [1671] = {.lex_state = 560, .external_lex_state = 2},
  [1672] = {.lex_state = 560, .external_lex_state = 2},
  [1673] = {.lex_state = 560, .external_lex_state = 2},
  [1674] = {.lex_state = 560, .external_lex_state = 2},
  [1675] = {.lex_state = 560, .external_lex_state = 2},
  [1676] = {.lex_state = 560, .external_lex_state = 2},
  [1677] = {.lex_state = 560, .external_lex_state = 2},
  [1678] = {.lex_state = 560, .external_lex_state = 2},
  [1679] = {.lex_state = 560, .external_lex_state = 2},
  [1680] = {.lex_state = 560, .external_lex_state = 2},
  [1681] = {.lex_state = 560, .external_lex_state = 2},
  [1682] = {.lex_state = 560, .external_lex_state = 2},
  [1683] = {.lex_state = 560, .external_lex_state = 2},
  [1684] = {.lex_state = 560, .external_lex_state = 2},
  [1685] = {.lex_state = 560, .external_lex_state = 2},
  [1686] = {.lex_state = 560, .external_lex_state = 2},
  [1687] = {.lex_state = 560, .external_lex_state = 2},
  [1688] = {.lex_state = 560, .external_lex_state = 2},
  [1689] = {.lex_state = 560, .external_lex_state = 2},
  [1690] = {.lex_state = 560, .external_lex_state = 2},
  [1691] = {.lex_state = 560, .external_lex_state = 2},
  [1692] = {.lex_state = 560, .external_lex_state = 2},
  [1693] = {.lex_state = 560, .external_lex_state = 2},
  [1694] = {.lex_state = 560, .external_lex_state = 2},
  [1695] = {.lex_state = 560, .external_lex_state = 2},
  [1696] = {.lex_state = 560, .external_lex_state = 2},
  [1697] = {.lex_state = 560, .external_lex_state = 2},
  [1698] = {.lex_state = 560, .external_lex_state = 2},
  [1699] = {.lex_state = 560, .external_lex_state = 2},
  [1700] = {.lex_state = 560, .external_lex_state = 2},
  [1701] = {.lex_state = 560, .external_lex_state = 2},
  [1702] = {.lex_state = 560, .external_lex_state = 2},
  [1703] = {.lex_state = 560, .external_lex_state = 2},
  [1704] = {.lex_state = 560, .external_lex_state = 2},
  [1705] = {.lex_state = 560, .external_lex_state = 2},
  [1706] = {.lex_state = 560, .external_lex_state = 2},
  [1707] = {.lex_state = 560, .external_lex_state = 2},
  [1708] = {.lex_state = 560, .external_lex_state = 2},
  [1709] = {.lex_state = 560, .external_lex_state = 2},
  [1710] = {.lex_state = 560, .external_lex_state = 2},
  [1711] = {.lex_state = 560, .external_lex_state = 2},
  [1712] = {.lex_state = 560, .external_lex_state = 2},
  [1713] = {.lex_state = 560, .external_lex_state = 2},
  [1714] = {.lex_state = 560, .external_lex_state = 2},
  [1715] = {.lex_state = 560, .external_lex_state = 2},
  [1716] = {.lex_state = 560, .external_lex_state = 2},
  [1717] = {.lex_state = 560, .external_lex_state = 2},
  [1718] = {.lex_state = 560, .external_lex_state = 2},
  [1719] = {.lex_state = 560, .external_lex_state = 2},
  [1720] = {.lex_state = 560, .external_lex_state = 2},
  [1721] = {.lex_state = 560, .external_lex_state = 2},
  [1722] = {.lex_state = 560, .external_lex_state = 2},
  [1723] = {.lex_state = 560, .external_lex_state = 2},
  [1724] = {.lex_state = 560, .external_lex_state = 2},
  [1725] = {.lex_state = 560, .external_lex_state = 2},
  [1726] = {.lex_state = 560, .external_lex_state = 2},
  [1727] = {.lex_state = 560, .external_lex_state = 2},
  [1728] = {.lex_state = 560, .external_lex_state = 2},
  [1729] = {.lex_state = 560, .external_lex_state = 2},
  [1730] = {.lex_state = 560, .external_lex_state = 2},
  [1731] = {.lex_state = 560, .external_lex_state = 2},
  [1732] = {.lex_state = 560, .external_lex_state = 2},
  [1733] = {.lex_state = 560, .external_lex_state = 2},
  [1734] = {.lex_state = 560, .external_lex_state = 2},
  [1735] = {.lex_state = 560, .external_lex_state = 2},
  [1736] = {.lex_state = 560, .external_lex_state = 2},
  [1737] = {.lex_state = 560, .external_lex_state = 2},
  [1738] = {.lex_state = 560, .external_lex_state = 2},
  [1739] = {.lex_state = 560, .external_lex_state = 2},
  [1740] = {.lex_state = 560, .external_lex_state = 2},
  [1741] = {.lex_state = 560, .external_lex_state = 2},
  [1742] = {.lex_state = 560, .external_lex_state = 2},
  [1743] = {.lex_state = 560, .external_lex_state = 2},
  [1744] = {.lex_state = 560, .external_lex_state = 2},
  [1745] = {.lex_state = 560, .external_lex_state = 2},
  [1746] = {.lex_state = 560, .external_lex_state = 2},
  [1747] = {.lex_state = 560, .external_lex_state = 2},
  [1748] = {.lex_state = 560, .external_lex_state = 2},
  [1749] = {.lex_state = 560, .external_lex_state = 2},
  [1750] = {.lex_state = 560, .external_lex_state = 2},
  [1751] = {.lex_state = 560, .external_lex_state = 2},
  [1752] = {.lex_state = 560, .external_lex_state = 2},
  [1753] = {.lex_state = 560, .external_lex_state = 2},
  [1754] = {.lex_state = 560, .external_lex_state = 2},
  [1755] = {.lex_state = 560, .external_lex_state = 2},
  [1756] = {.lex_state = 560, .external_lex_state = 2},
  [1757] = {.lex_state = 560, .external_lex_state = 2},
  [1758] = {.lex_state = 560, .external_lex_state = 2},
  [1759] = {.lex_state = 560, .external_lex_state = 2},
  [1760] = {.lex_state = 560, .external_lex_state = 2},
  [1761] = {.lex_state = 560, .external_lex_state = 2},
  [1762] = {.lex_state = 560, .external_lex_state = 2},
  [1763] = {.lex_state = 560, .external_lex_state = 2},
  [1764] = {.lex_state = 560, .external_lex_state = 2},
  [1765] = {.lex_state = 560, .external_lex_state = 2},
  [1766] = {.lex_state = 560, .external_lex_state = 2},
  [1767] = {.lex_state = 560, .external_lex_state = 2},
  [1768] = {.lex_state = 560, .external_lex_state = 2},
  [1769] = {.lex_state = 560, .external_lex_state = 2},
  [1770] = {.lex_state = 560, .external_lex_state = 2},
  [1771] = {.lex_state = 560, .external_lex_state = 2},
  [1772] = {.lex_state = 560, .external_lex_state = 2},
  [1773] = {.lex_state = 560, .external_lex_state = 2},
  [1774] = {.lex_state = 560, .external_lex_state = 2},
  [1775] = {.lex_state = 560, .external_lex_state = 2},
  [1776] = {.lex_state = 560, .external_lex_state = 2},
  [1777] = {.lex_state = 560, .external_lex_state = 2},
  [1778] = {.lex_state = 560, .external_lex_state = 2},
  [1779] = {.lex_state = 560, .external_lex_state = 2},
  [1780] = {.lex_state = 560, .external_lex_state = 2},
  [1781] = {.lex_state = 560, .external_lex_state = 2},
  [1782] = {.lex_state = 560, .external_lex_state = 2},
  [1783] = {.lex_state = 560, .external_lex_state = 2},
  [1784] = {.lex_state = 560, .external_lex_state = 2},
  [1785] = {.lex_state = 560, .external_lex_state = 2},
  [1786] = {.lex_state = 560, .external_lex_state = 2},
  [1787] = {.lex_state = 560, .external_lex_state = 2},
  [1788] = {.lex_state = 560, .external_lex_state = 2},
  [1789] = {.lex_state = 560, .external_lex_state = 2},
  [1790] = {.lex_state = 560, .external_lex_state = 2},
  [1791] = {.lex_state = 560, .external_lex_state = 2},
  [1792] = {.lex_state = 560, .external_lex_state = 2},
  [1793] = {.lex_state = 560, .external_lex_state = 2},
  [1794] = {.lex_state = 560, .external_lex_state = 2},
  [1795] = {.lex_state = 560, .external_lex_state = 2},
  [1796] = {.lex_state = 560, .external_lex_state = 2},
  [1797] = {.lex_state = 560, .external_lex_state = 2},
  [1798] = {.lex_state = 560, .external_lex_state = 2},
  [1799] = {.lex_state = 560, .external_lex_state = 2},
  [1800] = {.lex_state = 560, .external_lex_state = 2},
  [1801] = {.lex_state = 560, .external_lex_state = 2},
  [1802] = {.lex_state = 560, .external_lex_state = 2},
  [1803] = {.lex_state = 560, .external_lex_state = 2},
  [1804] = {.lex_state = 560, .external_lex_state = 2},
  [1805] = {.lex_state = 560, .external_lex_state = 2},
  [1806] = {.lex_state = 560, .external_lex_state = 2},
  [1807] = {.lex_state = 560, .external_lex_state = 2},
  [1808] = {.lex_state = 560, .external_lex_state = 2},
  [1809] = {.lex_state = 560, .external_lex_state = 2},
  [1810] = {.lex_state = 560, .external_lex_state = 2},
  [1811] = {.lex_state = 560, .external_lex_state = 2},
  [1812] = {.lex_state = 560, .external_lex_state = 2},
  [1813] = {.lex_state = 560, .external_lex_state = 2},
  [1814] = {.lex_state = 560, .external_lex_state = 2},
  [1815] = {.lex_state = 560, .external_lex_state = 2},
  [1816] = {.lex_state = 560, .external_lex_state = 2},
  [1817] = {.lex_state = 560, .external_lex_state = 2},
  [1818] = {.lex_state = 560, .external_lex_state = 2},
  [1819] = {.lex_state = 560, .external_lex_state = 2},
  [1820] = {.lex_state = 560, .external_lex_state = 2},
  [1821] = {.lex_state = 560, .external_lex_state = 2},
  [1822] = {.lex_state = 560, .external_lex_state = 2},
  [1823] = {.lex_state = 560, .external_lex_state = 2},
  [1824] = {.lex_state = 560, .external_lex_state = 2},
  [1825] = {.lex_state = 560, .external_lex_state = 2},
  [1826] = {.lex_state = 560, .external_lex_state = 2},
  [1827] = {.lex_state = 560, .external_lex_state = 2},
  [1828] = {.lex_state = 560, .external_lex_state = 2},
  [1829] = {.lex_state = 560, .external_lex_state = 2},
  [1830] = {.lex_state = 560, .external_lex_state = 2},
  [1831] = {.lex_state = 560, .external_lex_state = 2},
  [1832] = {.lex_state = 560, .external_lex_state = 2},
  [1833] = {.lex_state = 560, .external_lex_state = 2},
  [1834] = {.lex_state = 560, .external_lex_state = 2},
  [1835] = {.lex_state = 560, .external_lex_state = 2},
  [1836] = {.lex_state = 560, .external_lex_state = 2},
  [1837] = {.lex_state = 560, .external_lex_state = 2},
  [1838] = {.lex_state = 560, .external_lex_state = 2},
  [1839] = {.lex_state = 560, .external_lex_state = 2},
  [1840] = {.lex_state = 560, .external_lex_state = 2},
  [1841] = {.lex_state = 560, .external_lex_state = 2},
  [1842] = {.lex_state = 560, .external_lex_state = 2},
  [1843] = {.lex_state = 560, .external_lex_state = 2},
  [1844] = {.lex_state = 560, .external_lex_state = 2},
  [1845] = {.lex_state = 560, .external_lex_state = 2},
  [1846] = {.lex_state = 560, .external_lex_state = 2},
  [1847] = {.lex_state = 560, .external_lex_state = 2},
  [1848] = {.lex_state = 560, .external_lex_state = 2},
  [1849] = {.lex_state = 560, .external_lex_state = 2},
  [1850] = {.lex_state = 560, .external_lex_state = 2},
  [1851] = {.lex_state = 560, .external_lex_state = 2},
  [1852] = {.lex_state = 560, .external_lex_state = 2},
  [1853] = {.lex_state = 560, .external_lex_state = 2},
  [1854] = {.lex_state = 560, .external_lex_state = 2},
  [1855] = {.lex_state = 560, .external_lex_state = 2},
  [1856] = {.lex_state = 560, .external_lex_state = 2},
  [1857] = {.lex_state = 560, .external_lex_state = 2},
  [1858] = {.lex_state = 560, .external_lex_state = 2},
  [1859] = {.lex_state = 560, .external_lex_state = 2},
  [1860] = {.lex_state = 560, .external_lex_state = 2},
  [1861] = {.lex_state = 560, .external_lex_state = 2},
  [1862] = {.lex_state = 560, .external_lex_state = 2},
  [1863] = {.lex_state = 560, .external_lex_state = 2},
  [1864] = {.lex_state = 560, .external_lex_state = 2},
  [1865] = {.lex_state = 560, .external_lex_state = 2},
  [1866] = {.lex_state = 560, .external_lex_state = 2},
  [1867] = {.lex_state = 560, .external_lex_state = 2},
  [1868] = {.lex_state = 560, .external_lex_state = 2},
  [1869] = {.lex_state = 560, .external_lex_state = 2},
  [1870] = {.lex_state = 560, .external_lex_state = 2},
  [1871] = {.lex_state = 560, .external_lex_state = 2},
  [1872] = {.lex_state = 560, .external_lex_state = 2},
  [1873] = {.lex_state = 560, .external_lex_state = 2},
  [1874] = {.lex_state = 560, .external_lex_state = 2},
  [1875] = {.lex_state = 560, .external_lex_state = 2},
  [1876] = {.lex_state = 560, .external_lex_state = 2},
  [1877] = {.lex_state = 560, .external_lex_state = 2},
  [1878] = {.lex_state = 560, .external_lex_state = 2},
  [1879] = {.lex_state = 560, .external_lex_state = 2},
  [1880] = {.lex_state = 560, .external_lex_state = 2},
  [1881] = {.lex_state = 560, .external_lex_state = 2},
  [1882] = {.lex_state = 560, .external_lex_state = 2},
  [1883] = {.lex_state = 560, .external_lex_state = 2},
  [1884] = {.lex_state = 560, .external_lex_state = 2},
  [1885] = {.lex_state = 560, .external_lex_state = 2},
  [1886] = {.lex_state = 560, .external_lex_state = 2},
  [1887] = {.lex_state = 560, .external_lex_state = 2},
  [1888] = {.lex_state = 560, .external_lex_state = 2},
  [1889] = {.lex_state = 560, .external_lex_state = 2},
  [1890] = {.lex_state = 560, .external_lex_state = 2},
  [1891] = {.lex_state = 560, .external_lex_state = 2},
  [1892] = {.lex_state = 560, .external_lex_state = 2},
  [1893] = {.lex_state = 560, .external_lex_state = 2},
  [1894] = {.lex_state = 560, .external_lex_state = 2},
  [1895] = {.lex_state = 560, .external_lex_state = 2},
  [1896] = {.lex_state = 560, .external_lex_state = 2},
  [1897] = {.lex_state = 560, .external_lex_state = 2},
  [1898] = {.lex_state = 560, .external_lex_state = 2},
  [1899] = {.lex_state = 560, .external_lex_state = 2},
  [1900] = {.lex_state = 560, .external_lex_state = 2},
  [1901] = {.lex_state = 560, .external_lex_state = 2},
  [1902] = {.lex_state = 560, .external_lex_state = 2},
  [1903] = {.lex_state = 560, .external_lex_state = 2},
  [1904] = {.lex_state = 560, .external_lex_state = 2},
  [1905] = {.lex_state = 560, .external_lex_state = 2},
  [1906] = {.lex_state = 560, .external_lex_state = 2},
  [1907] = {.lex_state = 560, .external_lex_state = 2},
  [1908] = {.lex_state = 560, .external_lex_state = 2},
  [1909] = {.lex_state = 560, .external_lex_state = 2},
  [1910] = {.lex_state = 560, .external_lex_state = 2},
  [1911] = {.lex_state = 560, .external_lex_state = 2},
  [1912] = {.lex_state = 560, .external_lex_state = 2},
  [1913] = {.lex_state = 560, .external_lex_state = 2},
  [1914] = {.lex_state = 560, .external_lex_state = 2},
  [1915] = {.lex_state = 560, .external_lex_state = 2},
  [1916] = {.lex_state = 560, .external_lex_state = 2},
  [1917] = {.lex_state = 560, .external_lex_state = 2},
  [1918] = {.lex_state = 560, .external_lex_state = 2},
  [1919] = {.lex_state = 560, .external_lex_state = 2},
  [1920] = {.lex_state = 560, .external_lex_state = 2},
  [1921] = {.lex_state = 560, .external_lex_state = 2},
  [1922] = {.lex_state = 560, .external_lex_state = 2},
  [1923] = {.lex_state = 560, .external_lex_state = 2},
  [1924] = {.lex_state = 560, .external_lex_state = 2},
  [1925] = {.lex_state = 560, .external_lex_state = 2},
  [1926] = {.lex_state = 560, .external_lex_state = 2},
  [1927] = {.lex_state = 560, .external_lex_state = 2},
  [1928] = {.lex_state = 560, .external_lex_state = 2},
  [1929] = {.lex_state = 560, .external_lex_state = 2},
  [1930] = {.lex_state = 560, .external_lex_state = 2},
  [1931] = {.lex_state = 560, .external_lex_state = 2},
  [1932] = {.lex_state = 560, .external_lex_state = 2},
  [1933] = {.lex_state = 560, .external_lex_state = 2},
  [1934] = {.lex_state = 560, .external_lex_state = 2},
  [1935] = {.lex_state = 560, .external_lex_state = 2},
  [1936] = {.lex_state = 560, .external_lex_state = 2},
  [1937] = {.lex_state = 560, .external_lex_state = 2},
  [1938] = {.lex_state = 560, .external_lex_state = 2},
  [1939] = {.lex_state = 560, .external_lex_state = 2},
  [1940] = {.lex_state = 560, .external_lex_state = 2},
  [1941] = {.lex_state = 560, .external_lex_state = 2},
  [1942] = {.lex_state = 560, .external_lex_state = 2},
  [1943] = {.lex_state = 560, .external_lex_state = 2},
  [1944] = {.lex_state = 560, .external_lex_state = 2},
  [1945] = {.lex_state = 560, .external_lex_state = 2},
  [1946] = {.lex_state = 560, .external_lex_state = 2},
  [1947] = {.lex_state = 560, .external_lex_state = 2},
  [1948] = {.lex_state = 560, .external_lex_state = 2},
  [1949] = {.lex_state = 560, .external_lex_state = 2},
  [1950] = {.lex_state = 560, .external_lex_state = 2},
  [1951] = {.lex_state = 560, .external_lex_state = 2},
  [1952] = {.lex_state = 560, .external_lex_state = 2},
  [1953] = {.lex_state = 560, .external_lex_state = 2},
  [1954] = {.lex_state = 560, .external_lex_state = 2},
  [1955] = {.lex_state = 560, .external_lex_state = 2},
  [1956] = {.lex_state = 560, .external_lex_state = 2},
  [1957] = {.lex_state = 560, .external_lex_state = 2},
  [1958] = {.lex_state = 560, .external_lex_state = 2},
  [1959] = {.lex_state = 560, .external_lex_state = 2},
  [1960] = {.lex_state = 560, .external_lex_state = 2},
  [1961] = {.lex_state = 560, .external_lex_state = 2},
  [1962] = {.lex_state = 560, .external_lex_state = 2},
  [1963] = {.lex_state = 560, .external_lex_state = 2},
  [1964] = {.lex_state = 560, .external_lex_state = 2},
  [1965] = {.lex_state = 560, .external_lex_state = 2},
  [1966] = {.lex_state = 560, .external_lex_state = 2},
  [1967] = {.lex_state = 560, .external_lex_state = 2},
  [1968] = {.lex_state = 560, .external_lex_state = 2},
  [1969] = {.lex_state = 560, .external_lex_state = 2},
  [1970] = {.lex_state = 560, .external_lex_state = 2},
  [1971] = {.lex_state = 560, .external_lex_state = 2},
  [1972] = {.lex_state = 560, .external_lex_state = 2},
  [1973] = {.lex_state = 560, .external_lex_state = 2},
  [1974] = {.lex_state = 560, .external_lex_state = 2},
  [1975] = {.lex_state = 560, .external_lex_state = 2},
  [1976] = {.lex_state = 560, .external_lex_state = 2},
  [1977] = {.lex_state = 560, .external_lex_state = 2},
  [1978] = {.lex_state = 560, .external_lex_state = 2},
  [1979] = {.lex_state = 560, .external_lex_state = 2},
  [1980] = {.lex_state = 560, .external_lex_state = 2},
  [1981] = {.lex_state = 560, .external_lex_state = 2},
  [1982] = {.lex_state = 560, .external_lex_state = 2},
  [1983] = {.lex_state = 560, .external_lex_state = 2},
  [1984] = {.lex_state = 560, .external_lex_state = 2},
  [1985] = {.lex_state = 560, .external_lex_state = 2},
  [1986] = {.lex_state = 560, .external_lex_state = 2},
  [1987] = {.lex_state = 560, .external_lex_state = 2},
  [1988] = {.lex_state = 560, .external_lex_state = 2},
  [1989] = {.lex_state = 560, .external_lex_state = 2},
  [1990] = {.lex_state = 560, .external_lex_state = 2},
  [1991] = {.lex_state = 560, .external_lex_state = 2},
  [1992] = {.lex_state = 560, .external_lex_state = 2},
  [1993] = {.lex_state = 560, .external_lex_state = 2},
  [1994] = {.lex_state = 560, .external_lex_state = 2},
  [1995] = {.lex_state = 560, .external_lex_state = 2},
  [1996] = {.lex_state = 560, .external_lex_state = 2},
  [1997] = {.lex_state = 560, .external_lex_state = 2},
  [1998] = {.lex_state = 560, .external_lex_state = 2},
  [1999] = {.lex_state = 560, .external_lex_state = 2},
  [2000] = {.lex_state = 560, .external_lex_state = 2},
  [2001] = {.lex_state = 560, .external_lex_state = 2},
  [2002] = {.lex_state = 560, .external_lex_state = 2},
  [2003] = {.lex_state = 560, .external_lex_state = 2},
  [2004] = {.lex_state = 560, .external_lex_state = 2},
  [2005] = {.lex_state = 560, .external_lex_state = 2},
  [2006] = {.lex_state = 560, .external_lex_state = 2},
  [2007] = {.lex_state = 560, .external_lex_state = 2},
  [2008] = {.lex_state = 560, .external_lex_state = 2},
  [2009] = {.lex_state = 560, .external_lex_state = 2},
  [2010] = {.lex_state = 560, .external_lex_state = 2},
  [2011] = {.lex_state = 560, .external_lex_state = 2},
  [2012] = {.lex_state = 560, .external_lex_state = 2},
  [2013] = {.lex_state = 560, .external_lex_state = 2},
  [2014] = {.lex_state = 560, .external_lex_state = 2},
  [2015] = {.lex_state = 560, .external_lex_state = 2},
  [2016] = {.lex_state = 560, .external_lex_state = 2},
  [2017] = {.lex_state = 560, .external_lex_state = 2},
  [2018] = {.lex_state = 560, .external_lex_state = 2},
  [2019] = {.lex_state = 560, .external_lex_state = 2},
  [2020] = {.lex_state = 560, .external_lex_state = 2},
  [2021] = {.lex_state = 560, .external_lex_state = 2},
  [2022] = {.lex_state = 560, .external_lex_state = 2},
  [2023] = {.lex_state = 560, .external_lex_state = 2},
  [2024] = {.lex_state = 560, .external_lex_state = 2},
  [2025] = {.lex_state = 560, .external_lex_state = 2},
  [2026] = {.lex_state = 560, .external_lex_state = 2},
  [2027] = {.lex_state = 560, .external_lex_state = 2},
  [2028] = {.lex_state = 560, .external_lex_state = 2},
  [2029] = {.lex_state = 560, .external_lex_state = 2},
  [2030] = {.lex_state = 560, .external_lex_state = 2},
  [2031] = {.lex_state = 560, .external_lex_state = 2},
  [2032] = {.lex_state = 560, .external_lex_state = 2},
  [2033] = {.lex_state = 560, .external_lex_state = 2},
  [2034] = {.lex_state = 560, .external_lex_state = 2},
  [2035] = {.lex_state = 560, .external_lex_state = 2},
  [2036] = {.lex_state = 560, .external_lex_state = 2},
  [2037] = {.lex_state = 560, .external_lex_state = 2},
  [2038] = {.lex_state = 560, .external_lex_state = 2},
  [2039] = {.lex_state = 560, .external_lex_state = 2},
  [2040] = {.lex_state = 560, .external_lex_state = 2},
  [2041] = {.lex_state = 560, .external_lex_state = 2},
  [2042] = {.lex_state = 560, .external_lex_state = 2},
  [2043] = {.lex_state = 560, .external_lex_state = 2},
  [2044] = {.lex_state = 560, .external_lex_state = 2},
  [2045] = {.lex_state = 560, .external_lex_state = 2},
  [2046] = {.lex_state = 560, .external_lex_state = 2},
  [2047] = {.lex_state = 560, .external_lex_state = 2},
  [2048] = {.lex_state = 560, .external_lex_state = 2},
  [2049] = {.lex_state = 560, .external_lex_state = 2},
  [2050] = {.lex_state = 560, .external_lex_state = 2},
  [2051] = {.lex_state = 560, .external_lex_state = 2},
  [2052] = {.lex_state = 560, .external_lex_state = 2},
  [2053] = {.lex_state = 560, .external_lex_state = 2},
  [2054] = {.lex_state = 560, .external_lex_state = 2},
  [2055] = {.lex_state = 560, .external_lex_state = 2},
  [2056] = {.lex_state = 560, .external_lex_state = 2},
  [2057] = {.lex_state = 560, .external_lex_state = 2},
  [2058] = {.lex_state = 560, .external_lex_state = 2},
  [2059] = {.lex_state = 560, .external_lex_state = 2},
  [2060] = {.lex_state = 560, .external_lex_state = 2},
  [2061] = {.lex_state = 560, .external_lex_state = 2},
  [2062] = {.lex_state = 560, .external_lex_state = 2},
  [2063] = {.lex_state = 560, .external_lex_state = 2},
  [2064] = {.lex_state = 560, .external_lex_state = 2},
  [2065] = {.lex_state = 560, .external_lex_state = 2},
  [2066] = {.lex_state = 560, .external_lex_state = 2},
  [2067] = {.lex_state = 560, .external_lex_state = 2},
  [2068] = {.lex_state = 560, .external_lex_state = 2},
  [2069] = {.lex_state = 560, .external_lex_state = 2},
  [2070] = {.lex_state = 560, .external_lex_state = 2},
  [2071] = {.lex_state = 560, .external_lex_state = 2},
  [2072] = {.lex_state = 560, .external_lex_state = 2},
  [2073] = {.lex_state = 560, .external_lex_state = 2},
  [2074] = {.lex_state = 560, .external_lex_state = 2},
  [2075] = {.lex_state = 560, .external_lex_state = 2},
  [2076] = {.lex_state = 560, .external_lex_state = 2},
  [2077] = {.lex_state = 560, .external_lex_state = 2},
  [2078] = {.lex_state = 560, .external_lex_state = 2},
  [2079] = {.lex_state = 560, .external_lex_state = 2},
  [2080] = {.lex_state = 560, .external_lex_state = 2},
  [2081] = {.lex_state = 560, .external_lex_state = 2},
  [2082] = {.lex_state = 560, .external_lex_state = 2},
  [2083] = {.lex_state = 560, .external_lex_state = 2},
  [2084] = {.lex_state = 560, .external_lex_state = 2},
  [2085] = {.lex_state = 560, .external_lex_state = 2},
  [2086] = {.lex_state = 560, .external_lex_state = 2},
  [2087] = {.lex_state = 560, .external_lex_state = 2},
  [2088] = {.lex_state = 560, .external_lex_state = 2},
  [2089] = {.lex_state = 560, .external_lex_state = 2},
  [2090] = {.lex_state = 560, .external_lex_state = 2},
  [2091] = {.lex_state = 560, .external_lex_state = 2},
  [2092] = {.lex_state = 560, .external_lex_state = 2},
  [2093] = {.lex_state = 560, .external_lex_state = 2},
  [2094] = {.lex_state = 560, .external_lex_state = 2},
  [2095] = {.lex_state = 560, .external_lex_state = 2},
  [2096] = {.lex_state = 560, .external_lex_state = 2},
  [2097] = {.lex_state = 560, .external_lex_state = 2},
  [2098] = {.lex_state = 560, .external_lex_state = 2},
  [2099] = {.lex_state = 560, .external_lex_state = 2},
  [2100] = {.lex_state = 560, .external_lex_state = 2},
  [2101] = {.lex_state = 560, .external_lex_state = 2},
  [2102] = {.lex_state = 560, .external_lex_state = 2},
  [2103] = {.lex_state = 560, .external_lex_state = 2},
  [2104] = {.lex_state = 560, .external_lex_state = 2},
  [2105] = {.lex_state = 560, .external_lex_state = 2},
  [2106] = {.lex_state = 560, .external_lex_state = 2},
  [2107] = {.lex_state = 560, .external_lex_state = 2},
  [2108] = {.lex_state = 560, .external_lex_state = 2},
  [2109] = {.lex_state = 560, .external_lex_state = 2},
  [2110] = {.lex_state = 560, .external_lex_state = 2},
  [2111] = {.lex_state = 560, .external_lex_state = 2},
  [2112] = {.lex_state = 560, .external_lex_state = 2},
  [2113] = {.lex_state = 560, .external_lex_state = 2},
  [2114] = {.lex_state = 560, .external_lex_state = 2},
  [2115] = {.lex_state = 560, .external_lex_state = 2},
  [2116] = {.lex_state = 560, .external_lex_state = 2},
  [2117] = {.lex_state = 560, .external_lex_state = 2},
  [2118] = {.lex_state = 560, .external_lex_state = 2},
  [2119] = {.lex_state = 560, .external_lex_state = 2},
  [2120] = {.lex_state = 560, .external_lex_state = 2},
  [2121] = {.lex_state = 560, .external_lex_state = 2},
  [2122] = {.lex_state = 560, .external_lex_state = 2},
  [2123] = {.lex_state = 560, .external_lex_state = 2},
  [2124] = {.lex_state = 560, .external_lex_state = 2},
  [2125] = {.lex_state = 560, .external_lex_state = 2},
  [2126] = {.lex_state = 560, .external_lex_state = 2},
  [2127] = {.lex_state = 560, .external_lex_state = 2},
  [2128] = {.lex_state = 560, .external_lex_state = 2},
  [2129] = {.lex_state = 560, .external_lex_state = 2},
  [2130] = {.lex_state = 560, .external_lex_state = 2},
  [2131] = {.lex_state = 560, .external_lex_state = 2},
  [2132] = {.lex_state = 560, .external_lex_state = 2},
  [2133] = {.lex_state = 560, .external_lex_state = 2},
  [2134] = {.lex_state = 560, .external_lex_state = 2},
  [2135] = {.lex_state = 560, .external_lex_state = 2},
  [2136] = {.lex_state = 560, .external_lex_state = 2},
  [2137] = {.lex_state = 560, .external_lex_state = 2},
  [2138] = {.lex_state = 560, .external_lex_state = 2},
  [2139] = {.lex_state = 560, .external_lex_state = 2},
  [2140] = {.lex_state = 560, .external_lex_state = 2},
  [2141] = {.lex_state = 560, .external_lex_state = 2},
  [2142] = {.lex_state = 560, .external_lex_state = 2},
  [2143] = {.lex_state = 560, .external_lex_state = 2},
  [2144] = {.lex_state = 560, .external_lex_state = 2},
  [2145] = {.lex_state = 560, .external_lex_state = 2},
  [2146] = {.lex_state = 560, .external_lex_state = 2},
  [2147] = {.lex_state = 560, .external_lex_state = 2},
  [2148] = {.lex_state = 560, .external_lex_state = 2},
  [2149] = {.lex_state = 560, .external_lex_state = 2},
  [2150] = {.lex_state = 560, .external_lex_state = 2},
  [2151] = {.lex_state = 560, .external_lex_state = 2},
  [2152] = {.lex_state = 560, .external_lex_state = 2},
  [2153] = {.lex_state = 560, .external_lex_state = 2},
  [2154] = {.lex_state = 560, .external_lex_state = 2},
  [2155] = {.lex_state = 560, .external_lex_state = 2},
  [2156] = {.lex_state = 560, .external_lex_state = 2},
  [2157] = {.lex_state = 560, .external_lex_state = 2},
  [2158] = {.lex_state = 560, .external_lex_state = 2},
  [2159] = {.lex_state = 560, .external_lex_state = 2},
  [2160] = {.lex_state = 560, .external_lex_state = 2},
  [2161] = {.lex_state = 560, .external_lex_state = 2},
  [2162] = {.lex_state = 560, .external_lex_state = 2},
  [2163] = {.lex_state = 560, .external_lex_state = 2},
  [2164] = {.lex_state = 560, .external_lex_state = 2},
  [2165] = {.lex_state = 560, .external_lex_state = 2},
  [2166] = {.lex_state = 560, .external_lex_state = 2},
  [2167] = {.lex_state = 560, .external_lex_state = 2},
  [2168] = {.lex_state = 560, .external_lex_state = 2},
  [2169] = {.lex_state = 560, .external_lex_state = 2},
  [2170] = {.lex_state = 560, .external_lex_state = 2},
  [2171] = {.lex_state = 560, .external_lex_state = 2},
  [2172] = {.lex_state = 560, .external_lex_state = 2},
  [2173] = {.lex_state = 560, .external_lex_state = 2},
  [2174] = {.lex_state = 560, .external_lex_state = 2},
  [2175] = {.lex_state = 560, .external_lex_state = 2},
  [2176] = {.lex_state = 560, .external_lex_state = 2},
  [2177] = {.lex_state = 560, .external_lex_state = 2},
  [2178] = {.lex_state = 560, .external_lex_state = 2},
  [2179] = {.lex_state = 560, .external_lex_state = 2},
  [2180] = {.lex_state = 560, .external_lex_state = 2},
  [2181] = {.lex_state = 560, .external_lex_state = 2},
  [2182] = {.lex_state = 560, .external_lex_state = 2},
  [2183] = {.lex_state = 560, .external_lex_state = 2},
  [2184] = {.lex_state = 560, .external_lex_state = 2},
  [2185] = {.lex_state = 560, .external_lex_state = 2},
  [2186] = {.lex_state = 560, .external_lex_state = 2},
  [2187] = {.lex_state = 560, .external_lex_state = 2},
  [2188] = {.lex_state = 560, .external_lex_state = 2},
  [2189] = {.lex_state = 560, .external_lex_state = 2},
  [2190] = {.lex_state = 560, .external_lex_state = 2},
  [2191] = {.lex_state = 560, .external_lex_state = 2},
  [2192] = {.lex_state = 560, .external_lex_state = 2},
  [2193] = {.lex_state = 560, .external_lex_state = 2},
  [2194] = {.lex_state = 560, .external_lex_state = 2},
  [2195] = {.lex_state = 560, .external_lex_state = 2},
  [2196] = {.lex_state = 560, .external_lex_state = 2},
  [2197] = {.lex_state = 560, .external_lex_state = 2},
  [2198] = {.lex_state = 560, .external_lex_state = 2},
  [2199] = {.lex_state = 560, .external_lex_state = 2},
  [2200] = {.lex_state = 560, .external_lex_state = 2},
  [2201] = {.lex_state = 560, .external_lex_state = 2},
  [2202] = {.lex_state = 560, .external_lex_state = 2},
  [2203] = {.lex_state = 560, .external_lex_state = 2},
  [2204] = {.lex_state = 560, .external_lex_state = 2},
  [2205] = {.lex_state = 560, .external_lex_state = 2},
  [2206] = {.lex_state = 560, .external_lex_state = 2},
  [2207] = {.lex_state = 560, .external_lex_state = 2},
  [2208] = {.lex_state = 560, .external_lex_state = 2},
  [2209] = {.lex_state = 560, .external_lex_state = 2},
  [2210] = {.lex_state = 560, .external_lex_state = 2},
  [2211] = {.lex_state = 560, .external_lex_state = 2},
  [2212] = {.lex_state = 560, .external_lex_state = 2},
  [2213] = {.lex_state = 560, .external_lex_state = 2},
  [2214] = {.lex_state = 560, .external_lex_state = 2},
  [2215] = {.lex_state = 560, .external_lex_state = 2},
  [2216] = {.lex_state = 560, .external_lex_state = 2},
  [2217] = {.lex_state = 560, .external_lex_state = 2},
  [2218] = {.lex_state = 560, .external_lex_state = 2},
  [2219] = {.lex_state = 560, .external_lex_state = 2},
  [2220] = {.lex_state = 560, .external_lex_state = 2},
  [2221] = {.lex_state = 560, .external_lex_state = 2},
  [2222] = {.lex_state = 560, .external_lex_state = 2},
  [2223] = {.lex_state = 560, .external_lex_state = 2},
  [2224] = {.lex_state = 560, .external_lex_state = 2},
  [2225] = {.lex_state = 560, .external_lex_state = 2},
  [2226] = {.lex_state = 560, .external_lex_state = 2},
  [2227] = {.lex_state = 560, .external_lex_state = 2},
  [2228] = {.lex_state = 560, .external_lex_state = 2},
  [2229] = {.lex_state = 560, .external_lex_state = 2},
  [2230] = {.lex_state = 560, .external_lex_state = 2},
  [2231] = {.lex_state = 560, .external_lex_state = 2},
  [2232] = {.lex_state = 560, .external_lex_state = 2},
  [2233] = {.lex_state = 560, .external_lex_state = 2},
  [2234] = {.lex_state = 560, .external_lex_state = 2},
  [2235] = {.lex_state = 560, .external_lex_state = 2},
  [2236] = {.lex_state = 560, .external_lex_state = 2},
  [2237] = {.lex_state = 560, .external_lex_state = 2},
  [2238] = {.lex_state = 560, .external_lex_state = 2},
  [2239] = {.lex_state = 560, .external_lex_state = 2},
  [2240] = {.lex_state = 560, .external_lex_state = 2},
  [2241] = {.lex_state = 560, .external_lex_state = 2},
  [2242] = {.lex_state = 560, .external_lex_state = 2},
  [2243] = {.lex_state = 560, .external_lex_state = 2},
  [2244] = {.lex_state = 560, .external_lex_state = 2},
  [2245] = {.lex_state = 560, .external_lex_state = 2},
  [2246] = {.lex_state = 560, .external_lex_state = 2},
  [2247] = {.lex_state = 560, .external_lex_state = 2},
  [2248] = {.lex_state = 560, .external_lex_state = 2},
  [2249] = {.lex_state = 560, .external_lex_state = 2},
  [2250] = {.lex_state = 560, .external_lex_state = 2},
  [2251] = {.lex_state = 560, .external_lex_state = 2},
  [2252] = {.lex_state = 560, .external_lex_state = 2},
  [2253] = {.lex_state = 560, .external_lex_state = 2},
  [2254] = {.lex_state = 560, .external_lex_state = 2},
  [2255] = {.lex_state = 560, .external_lex_state = 2},
  [2256] = {.lex_state = 560, .external_lex_state = 2},
  [2257] = {.lex_state = 560, .external_lex_state = 2},
  [2258] = {.lex_state = 560, .external_lex_state = 2},
  [2259] = {.lex_state = 560, .external_lex_state = 2},
  [2260] = {.lex_state = 560, .external_lex_state = 2},
  [2261] = {.lex_state = 560, .external_lex_state = 2},
  [2262] = {.lex_state = 560, .external_lex_state = 2},
  [2263] = {.lex_state = 560, .external_lex_state = 2},
  [2264] = {.lex_state = 560, .external_lex_state = 2},
  [2265] = {.lex_state = 560, .external_lex_state = 2},
  [2266] = {.lex_state = 560, .external_lex_state = 2},
  [2267] = {.lex_state = 560, .external_lex_state = 2},
  [2268] = {.lex_state = 560, .external_lex_state = 2},
  [2269] = {.lex_state = 560, .external_lex_state = 2},
  [2270] = {.lex_state = 560, .external_lex_state = 2},
  [2271] = {.lex_state = 560, .external_lex_state = 2},
  [2272] = {.lex_state = 560, .external_lex_state = 2},
  [2273] = {.lex_state = 560, .external_lex_state = 2},
  [2274] = {.lex_state = 560, .external_lex_state = 2},
  [2275] = {.lex_state = 560, .external_lex_state = 2},
  [2276] = {.lex_state = 560, .external_lex_state = 2},
  [2277] = {.lex_state = 560, .external_lex_state = 2},
  [2278] = {.lex_state = 560, .external_lex_state = 2},
  [2279] = {.lex_state = 560, .external_lex_state = 2},
  [2280] = {.lex_state = 560, .external_lex_state = 2},
  [2281] = {.lex_state = 560, .external_lex_state = 2},
  [2282] = {.lex_state = 560, .external_lex_state = 2},
  [2283] = {.lex_state = 560, .external_lex_state = 2},
  [2284] = {.lex_state = 560, .external_lex_state = 2},
  [2285] = {.lex_state = 560, .external_lex_state = 2},
  [2286] = {.lex_state = 560, .external_lex_state = 2},
  [2287] = {.lex_state = 560, .external_lex_state = 2},
  [2288] = {.lex_state = 560, .external_lex_state = 2},
  [2289] = {.lex_state = 560, .external_lex_state = 2},
  [2290] = {.lex_state = 560, .external_lex_state = 2},
  [2291] = {.lex_state = 560, .external_lex_state = 2},
  [2292] = {.lex_state = 560, .external_lex_state = 2},
  [2293] = {.lex_state = 560, .external_lex_state = 2},
  [2294] = {.lex_state = 560, .external_lex_state = 2},
  [2295] = {.lex_state = 560, .external_lex_state = 2},
  [2296] = {.lex_state = 560, .external_lex_state = 2},
  [2297] = {.lex_state = 560, .external_lex_state = 2},
  [2298] = {.lex_state = 560, .external_lex_state = 2},
  [2299] = {.lex_state = 560, .external_lex_state = 2},
  [2300] = {.lex_state = 560, .external_lex_state = 2},
  [2301] = {.lex_state = 560, .external_lex_state = 2},
  [2302] = {.lex_state = 560, .external_lex_state = 2},
  [2303] = {.lex_state = 560, .external_lex_state = 2},
  [2304] = {.lex_state = 560, .external_lex_state = 2},
  [2305] = {.lex_state = 560, .external_lex_state = 2},
  [2306] = {.lex_state = 560, .external_lex_state = 2},
  [2307] = {.lex_state = 560, .external_lex_state = 2},
  [2308] = {.lex_state = 560, .external_lex_state = 2},
  [2309] = {.lex_state = 560, .external_lex_state = 2},
  [2310] = {.lex_state = 560, .external_lex_state = 2},
  [2311] = {.lex_state = 560, .external_lex_state = 2},
  [2312] = {.lex_state = 560, .external_lex_state = 2},
  [2313] = {.lex_state = 560, .external_lex_state = 2},
  [2314] = {.lex_state = 560, .external_lex_state = 2},
  [2315] = {.lex_state = 560, .external_lex_state = 2},
  [2316] = {.lex_state = 560, .external_lex_state = 2},
  [2317] = {.lex_state = 560, .external_lex_state = 2},
  [2318] = {.lex_state = 560, .external_lex_state = 2},
  [2319] = {.lex_state = 560, .external_lex_state = 2},
  [2320] = {.lex_state = 560, .external_lex_state = 2},
  [2321] = {.lex_state = 560, .external_lex_state = 2},
  [2322] = {.lex_state = 560, .external_lex_state = 2},
  [2323] = {.lex_state = 560, .external_lex_state = 2},
  [2324] = {.lex_state = 560, .external_lex_state = 2},
  [2325] = {.lex_state = 560, .external_lex_state = 2},
  [2326] = {.lex_state = 560, .external_lex_state = 2},
  [2327] = {.lex_state = 560, .external_lex_state = 2},
  [2328] = {.lex_state = 560, .external_lex_state = 2},
  [2329] = {.lex_state = 560, .external_lex_state = 2},
  [2330] = {.lex_state = 560, .external_lex_state = 2},
  [2331] = {.lex_state = 560, .external_lex_state = 2},
  [2332] = {.lex_state = 560, .external_lex_state = 2},
  [2333] = {.lex_state = 560, .external_lex_state = 2},
  [2334] = {.lex_state = 560, .external_lex_state = 2},
  [2335] = {.lex_state = 560, .external_lex_state = 2},
  [2336] = {.lex_state = 560, .external_lex_state = 2},
  [2337] = {.lex_state = 560, .external_lex_state = 2},
  [2338] = {.lex_state = 560, .external_lex_state = 2},
  [2339] = {.lex_state = 560, .external_lex_state = 2},
  [2340] = {.lex_state = 560, .external_lex_state = 2},
  [2341] = {.lex_state = 560, .external_lex_state = 2},
  [2342] = {.lex_state = 560, .external_lex_state = 2},
  [2343] = {.lex_state = 560, .external_lex_state = 2},
  [2344] = {.lex_state = 560, .external_lex_state = 2},
  [2345] = {.lex_state = 560, .external_lex_state = 2},
  [2346] = {.lex_state = 560, .external_lex_state = 2},
  [2347] = {.lex_state = 560, .external_lex_state = 2},
  [2348] = {.lex_state = 560, .external_lex_state = 2},
  [2349] = {.lex_state = 560, .external_lex_state = 2},
  [2350] = {.lex_state = 560, .external_lex_state = 2},
  [2351] = {.lex_state = 560, .external_lex_state = 2},
  [2352] = {.lex_state = 560, .external_lex_state = 2},
  [2353] = {.lex_state = 560, .external_lex_state = 2},
  [2354] = {.lex_state = 560, .external_lex_state = 2},
  [2355] = {.lex_state = 560, .external_lex_state = 2},
  [2356] = {.lex_state = 560, .external_lex_state = 2},
  [2357] = {.lex_state = 560, .external_lex_state = 2},
  [2358] = {.lex_state = 560, .external_lex_state = 2},
  [2359] = {.lex_state = 560, .external_lex_state = 2},
  [2360] = {.lex_state = 560, .external_lex_state = 2},
  [2361] = {.lex_state = 560, .external_lex_state = 2},
  [2362] = {.lex_state = 560, .external_lex_state = 2},
  [2363] = {.lex_state = 560, .external_lex_state = 2},
  [2364] = {.lex_state = 560, .external_lex_state = 2},
  [2365] = {.lex_state = 560, .external_lex_state = 2},
  [2366] = {.lex_state = 560, .external_lex_state = 2},
  [2367] = {.lex_state = 560, .external_lex_state = 2},
  [2368] = {.lex_state = 560, .external_lex_state = 2},
  [2369] = {.lex_state = 560, .external_lex_state = 2},
  [2370] = {.lex_state = 560, .external_lex_state = 2},
  [2371] = {.lex_state = 560, .external_lex_state = 2},
  [2372] = {.lex_state = 560, .external_lex_state = 2},
  [2373] = {.lex_state = 560, .external_lex_state = 2},
  [2374] = {.lex_state = 560, .external_lex_state = 2},
  [2375] = {.lex_state = 560, .external_lex_state = 2},
  [2376] = {.lex_state = 560, .external_lex_state = 2},
  [2377] = {.lex_state = 560, .external_lex_state = 2},
  [2378] = {.lex_state = 560, .external_lex_state = 2},
  [2379] = {.lex_state = 560, .external_lex_state = 2},
  [2380] = {.lex_state = 560, .external_lex_state = 2},
  [2381] = {.lex_state = 560, .external_lex_state = 2},
  [2382] = {.lex_state = 560, .external_lex_state = 2},
  [2383] = {.lex_state = 560, .external_lex_state = 2},
  [2384] = {.lex_state = 560, .external_lex_state = 2},
  [2385] = {.lex_state = 560, .external_lex_state = 2},
  [2386] = {.lex_state = 560, .external_lex_state = 2},
  [2387] = {.lex_state = 560, .external_lex_state = 2},
  [2388] = {.lex_state = 560, .external_lex_state = 2},
  [2389] = {.lex_state = 560, .external_lex_state = 2},
  [2390] = {.lex_state = 560, .external_lex_state = 2},
  [2391] = {.lex_state = 560, .external_lex_state = 2},
  [2392] = {.lex_state = 560, .external_lex_state = 2},
  [2393] = {.lex_state = 560, .external_lex_state = 2},
  [2394] = {.lex_state = 560, .external_lex_state = 2},
  [2395] = {.lex_state = 560, .external_lex_state = 2},
  [2396] = {.lex_state = 560, .external_lex_state = 2},
  [2397] = {.lex_state = 560, .external_lex_state = 2},
  [2398] = {.lex_state = 560, .external_lex_state = 2},
  [2399] = {.lex_state = 560, .external_lex_state = 2},
  [2400] = {.lex_state = 560, .external_lex_state = 2},
  [2401] = {.lex_state = 560, .external_lex_state = 2},
  [2402] = {.lex_state = 560, .external_lex_state = 2},
  [2403] = {.lex_state = 560, .external_lex_state = 2},
  [2404] = {.lex_state = 560, .external_lex_state = 2},
  [2405] = {.lex_state = 560, .external_lex_state = 2},
  [2406] = {.lex_state = 560, .external_lex_state = 2},
  [2407] = {.lex_state = 560, .external_lex_state = 2},
  [2408] = {.lex_state = 560, .external_lex_state = 2},
  [2409] = {.lex_state = 560, .external_lex_state = 2},
  [2410] = {.lex_state = 560, .external_lex_state = 2},
  [2411] = {.lex_state = 560, .external_lex_state = 2},
  [2412] = {.lex_state = 560, .external_lex_state = 2},
  [2413] = {.lex_state = 560, .external_lex_state = 2},
  [2414] = {.lex_state = 560, .external_lex_state = 2},
  [2415] = {.lex_state = 560, .external_lex_state = 2},
  [2416] = {.lex_state = 560, .external_lex_state = 2},
  [2417] = {.lex_state = 560, .external_lex_state = 2},
  [2418] = {.lex_state = 560, .external_lex_state = 2},
  [2419] = {.lex_state = 560, .external_lex_state = 2},
  [2420] = {.lex_state = 560, .external_lex_state = 2},
  [2421] = {.lex_state = 560, .external_lex_state = 2},
  [2422] = {.lex_state = 560, .external_lex_state = 2},
  [2423] = {.lex_state = 560, .external_lex_state = 2},
  [2424] = {.lex_state = 560, .external_lex_state = 2},
  [2425] = {.lex_state = 560, .external_lex_state = 2},
  [2426] = {.lex_state = 560, .external_lex_state = 2},
  [2427] = {.lex_state = 560, .external_lex_state = 2},
  [2428] = {.lex_state = 560, .external_lex_state = 2},
  [2429] = {.lex_state = 560, .external_lex_state = 2},
  [2430] = {.lex_state = 560, .external_lex_state = 2},
  [2431] = {.lex_state = 560, .external_lex_state = 2},
  [2432] = {.lex_state = 560, .external_lex_state = 2},
  [2433] = {.lex_state = 560, .external_lex_state = 2},
  [2434] = {.lex_state = 560, .external_lex_state = 2},
  [2435] = {.lex_state = 560, .external_lex_state = 2},
  [2436] = {.lex_state = 560, .external_lex_state = 2},
  [2437] = {.lex_state = 560, .external_lex_state = 2},
  [2438] = {.lex_state = 560, .external_lex_state = 2},
  [2439] = {.lex_state = 560, .external_lex_state = 2},
  [2440] = {.lex_state = 560, .external_lex_state = 2},
  [2441] = {.lex_state = 560, .external_lex_state = 2},
  [2442] = {.lex_state = 560, .external_lex_state = 2},
  [2443] = {.lex_state = 560, .external_lex_state = 2},
  [2444] = {.lex_state = 560, .external_lex_state = 2},
  [2445] = {.lex_state = 560, .external_lex_state = 2},
  [2446] = {.lex_state = 560, .external_lex_state = 2},
  [2447] = {.lex_state = 560, .external_lex_state = 2},
  [2448] = {.lex_state = 560, .external_lex_state = 2},
  [2449] = {.lex_state = 560, .external_lex_state = 2},
  [2450] = {.lex_state = 560, .external_lex_state = 2},
  [2451] = {.lex_state = 560, .external_lex_state = 2},
  [2452] = {.lex_state = 560, .external_lex_state = 2},
  [2453] = {.lex_state = 560, .external_lex_state = 2},
  [2454] = {.lex_state = 560, .external_lex_state = 2},
  [2455] = {.lex_state = 560, .external_lex_state = 2},
  [2456] = {.lex_state = 560, .external_lex_state = 2},
  [2457] = {.lex_state = 560, .external_lex_state = 2},
  [2458] = {.lex_state = 560, .external_lex_state = 2},
  [2459] = {.lex_state = 560, .external_lex_state = 2},
  [2460] = {.lex_state = 560, .external_lex_state = 2},
  [2461] = {.lex_state = 560, .external_lex_state = 2},
  [2462] = {.lex_state = 560, .external_lex_state = 2},
  [2463] = {.lex_state = 560, .external_lex_state = 2},
  [2464] = {.lex_state = 560, .external_lex_state = 2},
  [2465] = {.lex_state = 560, .external_lex_state = 2},
  [2466] = {.lex_state = 560, .external_lex_state = 2},
  [2467] = {.lex_state = 560, .external_lex_state = 2},
  [2468] = {.lex_state = 560, .external_lex_state = 2},
  [2469] = {.lex_state = 560, .external_lex_state = 2},
  [2470] = {.lex_state = 560, .external_lex_state = 2},
  [2471] = {.lex_state = 560, .external_lex_state = 2},
  [2472] = {.lex_state = 560, .external_lex_state = 2},
  [2473] = {.lex_state = 560, .external_lex_state = 2},
  [2474] = {.lex_state = 560, .external_lex_state = 2},
  [2475] = {.lex_state = 560, .external_lex_state = 2},
  [2476] = {.lex_state = 560, .external_lex_state = 2},
  [2477] = {.lex_state = 560, .external_lex_state = 2},
  [2478] = {.lex_state = 560, .external_lex_state = 2},
  [2479] = {.lex_state = 560, .external_lex_state = 2},
  [2480] = {.lex_state = 560, .external_lex_state = 2},
  [2481] = {.lex_state = 560, .external_lex_state = 2},
  [2482] = {.lex_state = 560, .external_lex_state = 2},
  [2483] = {.lex_state = 560, .external_lex_state = 2},
  [2484] = {.lex_state = 560, .external_lex_state = 2},
  [2485] = {.lex_state = 560, .external_lex_state = 2},
  [2486] = {.lex_state = 560, .external_lex_state = 2},
  [2487] = {.lex_state = 560, .external_lex_state = 2},
  [2488] = {.lex_state = 560, .external_lex_state = 2},
  [2489] = {.lex_state = 560, .external_lex_state = 2},
  [2490] = {.lex_state = 560, .external_lex_state = 2},
  [2491] = {.lex_state = 560, .external_lex_state = 2},
  [2492] = {.lex_state = 560, .external_lex_state = 2},
  [2493] = {.lex_state = 560, .external_lex_state = 2},
  [2494] = {.lex_state = 560, .external_lex_state = 2},
  [2495] = {.lex_state = 560, .external_lex_state = 2},
  [2496] = {.lex_state = 560, .external_lex_state = 2},
  [2497] = {.lex_state = 560, .external_lex_state = 2},
  [2498] = {.lex_state = 560, .external_lex_state = 2},
  [2499] = {.lex_state = 560, .external_lex_state = 2},
  [2500] = {.lex_state = 560, .external_lex_state = 2},
  [2501] = {.lex_state = 560, .external_lex_state = 2},
  [2502] = {.lex_state = 560, .external_lex_state = 2},
  [2503] = {.lex_state = 560, .external_lex_state = 2},
  [2504] = {.lex_state = 560, .external_lex_state = 2},
  [2505] = {.lex_state = 560, .external_lex_state = 2},
  [2506] = {.lex_state = 560, .external_lex_state = 2},
  [2507] = {.lex_state = 560, .external_lex_state = 2},
  [2508] = {.lex_state = 560, .external_lex_state = 2},
  [2509] = {.lex_state = 560, .external_lex_state = 2},
  [2510] = {.lex_state = 560, .external_lex_state = 2},
  [2511] = {.lex_state = 560, .external_lex_state = 2},
  [2512] = {.lex_state = 560, .external_lex_state = 2},
  [2513] = {.lex_state = 560, .external_lex_state = 2},
  [2514] = {.lex_state = 560, .external_lex_state = 2},
  [2515] = {.lex_state = 560, .external_lex_state = 2},
  [2516] = {.lex_state = 560, .external_lex_state = 2},
  [2517] = {.lex_state = 560, .external_lex_state = 2},
  [2518] = {.lex_state = 560, .external_lex_state = 2},
  [2519] = {.lex_state = 560, .external_lex_state = 2},
  [2520] = {.lex_state = 560, .external_lex_state = 2},
  [2521] = {.lex_state = 560, .external_lex_state = 2},
  [2522] = {.lex_state = 560, .external_lex_state = 2},
  [2523] = {.lex_state = 560, .external_lex_state = 2},
  [2524] = {.lex_state = 560, .external_lex_state = 2},
  [2525] = {.lex_state = 560, .external_lex_state = 2},
  [2526] = {.lex_state = 560, .external_lex_state = 2},
  [2527] = {.lex_state = 560, .external_lex_state = 2},
  [2528] = {.lex_state = 560, .external_lex_state = 2},
  [2529] = {.lex_state = 560, .external_lex_state = 2},
  [2530] = {.lex_state = 560, .external_lex_state = 2},
  [2531] = {.lex_state = 560, .external_lex_state = 2},
  [2532] = {.lex_state = 560, .external_lex_state = 2},
  [2533] = {.lex_state = 560, .external_lex_state = 2},
  [2534] = {.lex_state = 560, .external_lex_state = 2},
  [2535] = {.lex_state = 560, .external_lex_state = 2},
  [2536] = {.lex_state = 560, .external_lex_state = 2},
  [2537] = {.lex_state = 560, .external_lex_state = 2},
  [2538] = {.lex_state = 560, .external_lex_state = 2},
  [2539] = {.lex_state = 560, .external_lex_state = 2},
  [2540] = {.lex_state = 560, .external_lex_state = 2},
  [2541] = {.lex_state = 560, .external_lex_state = 2},
  [2542] = {.lex_state = 560, .external_lex_state = 2},
  [2543] = {.lex_state = 560, .external_lex_state = 2},
  [2544] = {.lex_state = 560, .external_lex_state = 2},
  [2545] = {.lex_state = 560, .external_lex_state = 2},
  [2546] = {.lex_state = 560, .external_lex_state = 2},
  [2547] = {.lex_state = 560, .external_lex_state = 2},
  [2548] = {.lex_state = 560, .external_lex_state = 2},
  [2549] = {.lex_state = 560, .external_lex_state = 2},
  [2550] = {.lex_state = 560, .external_lex_state = 2},
  [2551] = {.lex_state = 560, .external_lex_state = 2},
  [2552] = {.lex_state = 560, .external_lex_state = 2},
  [2553] = {.lex_state = 560, .external_lex_state = 2},
  [2554] = {.lex_state = 560, .external_lex_state = 2},
  [2555] = {.lex_state = 560, .external_lex_state = 2},
  [2556] = {.lex_state = 560, .external_lex_state = 2},
  [2557] = {.lex_state = 560, .external_lex_state = 2},
  [2558] = {.lex_state = 560, .external_lex_state = 2},
  [2559] = {.lex_state = 560, .external_lex_state = 2},
  [2560] = {.lex_state = 560, .external_lex_state = 2},
  [2561] = {.lex_state = 560, .external_lex_state = 2},
  [2562] = {.lex_state = 560, .external_lex_state = 2},
  [2563] = {.lex_state = 560, .external_lex_state = 2},
  [2564] = {.lex_state = 560, .external_lex_state = 2},
  [2565] = {.lex_state = 560, .external_lex_state = 2},
  [2566] = {.lex_state = 560, .external_lex_state = 2},
  [2567] = {.lex_state = 560, .external_lex_state = 2},
  [2568] = {.lex_state = 560, .external_lex_state = 2},
  [2569] = {.lex_state = 560, .external_lex_state = 2},
  [2570] = {.lex_state = 560, .external_lex_state = 2},
  [2571] = {.lex_state = 560, .external_lex_state = 2},
  [2572] = {.lex_state = 560, .external_lex_state = 2},
  [2573] = {.lex_state = 560, .external_lex_state = 2},
  [2574] = {.lex_state = 560, .external_lex_state = 2},
  [2575] = {.lex_state = 560, .external_lex_state = 2},
  [2576] = {.lex_state = 560, .external_lex_state = 2},
  [2577] = {.lex_state = 560, .external_lex_state = 2},
  [2578] = {.lex_state = 560, .external_lex_state = 2},
  [2579] = {.lex_state = 560, .external_lex_state = 2},
  [2580] = {.lex_state = 560, .external_lex_state = 2},
  [2581] = {.lex_state = 560, .external_lex_state = 2},
  [2582] = {.lex_state = 560, .external_lex_state = 2},
  [2583] = {.lex_state = 560, .external_lex_state = 2},
  [2584] = {.lex_state = 560, .external_lex_state = 2},
  [2585] = {.lex_state = 560, .external_lex_state = 2},
  [2586] = {.lex_state = 560, .external_lex_state = 2},
  [2587] = {.lex_state = 560, .external_lex_state = 2},
  [2588] = {.lex_state = 560, .external_lex_state = 2},
  [2589] = {.lex_state = 560, .external_lex_state = 2},
  [2590] = {.lex_state = 560, .external_lex_state = 2},
  [2591] = {.lex_state = 560, .external_lex_state = 2},
  [2592] = {.lex_state = 560, .external_lex_state = 2},
  [2593] = {.lex_state = 560, .external_lex_state = 2},
  [2594] = {.lex_state = 560, .external_lex_state = 2},
  [2595] = {.lex_state = 560, .external_lex_state = 2},
  [2596] = {.lex_state = 560, .external_lex_state = 2},
  [2597] = {.lex_state = 560, .external_lex_state = 2},
  [2598] = {.lex_state = 560, .external_lex_state = 2},
  [2599] = {.lex_state = 560, .external_lex_state = 2},
  [2600] = {.lex_state = 560, .external_lex_state = 2},
  [2601] = {.lex_state = 560, .external_lex_state = 2},
  [2602] = {.lex_state = 560, .external_lex_state = 2},
  [2603] = {.lex_state = 560, .external_lex_state = 2},
  [2604] = {.lex_state = 560, .external_lex_state = 2},
  [2605] = {.lex_state = 560, .external_lex_state = 2},
  [2606] = {.lex_state = 560, .external_lex_state = 2},
  [2607] = {.lex_state = 560, .external_lex_state = 2},
  [2608] = {.lex_state = 560, .external_lex_state = 2},
  [2609] = {.lex_state = 560, .external_lex_state = 2},
  [2610] = {.lex_state = 560, .external_lex_state = 2},
  [2611] = {.lex_state = 560, .external_lex_state = 2},
  [2612] = {.lex_state = 560, .external_lex_state = 2},
  [2613] = {.lex_state = 560, .external_lex_state = 2},
  [2614] = {.lex_state = 560, .external_lex_state = 2},
  [2615] = {.lex_state = 560, .external_lex_state = 2},
  [2616] = {.lex_state = 560, .external_lex_state = 2},
  [2617] = {.lex_state = 560, .external_lex_state = 2},
  [2618] = {.lex_state = 560, .external_lex_state = 2},
  [2619] = {.lex_state = 560, .external_lex_state = 2},
  [2620] = {.lex_state = 560, .external_lex_state = 2},
  [2621] = {.lex_state = 560, .external_lex_state = 2},
  [2622] = {.lex_state = 560, .external_lex_state = 2},
  [2623] = {.lex_state = 560, .external_lex_state = 2},
  [2624] = {.lex_state = 560, .external_lex_state = 2},
  [2625] = {.lex_state = 560, .external_lex_state = 2},
  [2626] = {.lex_state = 560, .external_lex_state = 2},
  [2627] = {.lex_state = 560, .external_lex_state = 2},
  [2628] = {.lex_state = 560, .external_lex_state = 2},
  [2629] = {.lex_state = 560, .external_lex_state = 2},
  [2630] = {.lex_state = 560, .external_lex_state = 2},
  [2631] = {.lex_state = 560, .external_lex_state = 2},
  [2632] = {.lex_state = 560, .external_lex_state = 2},
  [2633] = {.lex_state = 560, .external_lex_state = 2},
  [2634] = {.lex_state = 560, .external_lex_state = 2},
  [2635] = {.lex_state = 560, .external_lex_state = 2},
  [2636] = {.lex_state = 560, .external_lex_state = 2},
  [2637] = {.lex_state = 560, .external_lex_state = 2},
  [2638] = {.lex_state = 560, .external_lex_state = 2},
  [2639] = {.lex_state = 560, .external_lex_state = 2},
  [2640] = {.lex_state = 560, .external_lex_state = 2},
  [2641] = {.lex_state = 560, .external_lex_state = 2},
  [2642] = {.lex_state = 560, .external_lex_state = 2},
  [2643] = {.lex_state = 560, .external_lex_state = 2},
  [2644] = {.lex_state = 560, .external_lex_state = 2},
  [2645] = {.lex_state = 560, .external_lex_state = 2},
  [2646] = {.lex_state = 560, .external_lex_state = 2},
  [2647] = {.lex_state = 560, .external_lex_state = 2},
  [2648] = {.lex_state = 560, .external_lex_state = 2},
  [2649] = {.lex_state = 560, .external_lex_state = 2},
  [2650] = {.lex_state = 560, .external_lex_state = 2},
  [2651] = {.lex_state = 560, .external_lex_state = 2},
  [2652] = {.lex_state = 560, .external_lex_state = 2},
  [2653] = {.lex_state = 560, .external_lex_state = 2},
  [2654] = {.lex_state = 560, .external_lex_state = 2},
  [2655] = {.lex_state = 560, .external_lex_state = 2},
  [2656] = {.lex_state = 560, .external_lex_state = 2},
  [2657] = {.lex_state = 560, .external_lex_state = 2},
  [2658] = {.lex_state = 560, .external_lex_state = 2},
  [2659] = {.lex_state = 560, .external_lex_state = 2},
  [2660] = {.lex_state = 560, .external_lex_state = 2},
  [2661] = {.lex_state = 560, .external_lex_state = 2},
  [2662] = {.lex_state = 560, .external_lex_state = 2},
  [2663] = {.lex_state = 560, .external_lex_state = 2},
  [2664] = {.lex_state = 560, .external_lex_state = 2},
  [2665] = {.lex_state = 560, .external_lex_state = 2},
  [2666] = {.lex_state = 560, .external_lex_state = 2},
  [2667] = {.lex_state = 560, .external_lex_state = 2},
  [2668] = {.lex_state = 560, .external_lex_state = 2},
  [2669] = {.lex_state = 560, .external_lex_state = 2},
  [2670] = {.lex_state = 560, .external_lex_state = 2},
  [2671] = {.lex_state = 560, .external_lex_state = 2},
  [2672] = {.lex_state = 560, .external_lex_state = 2},
  [2673] = {.lex_state = 560, .external_lex_state = 2},
  [2674] = {.lex_state = 560, .external_lex_state = 2},
  [2675] = {.lex_state = 560, .external_lex_state = 2},
  [2676] = {.lex_state = 560, .external_lex_state = 2},
  [2677] = {.lex_state = 560, .external_lex_state = 2},
  [2678] = {.lex_state = 560, .external_lex_state = 2},
  [2679] = {.lex_state = 560, .external_lex_state = 2},
  [2680] = {.lex_state = 560, .external_lex_state = 2},
  [2681] = {.lex_state = 560, .external_lex_state = 2},
  [2682] = {.lex_state = 560, .external_lex_state = 2},
  [2683] = {.lex_state = 560, .external_lex_state = 2},
  [2684] = {.lex_state = 560, .external_lex_state = 2},
  [2685] = {.lex_state = 560, .external_lex_state = 2},
  [2686] = {.lex_state = 560, .external_lex_state = 2},
  [2687] = {.lex_state = 560, .external_lex_state = 2},
  [2688] = {.lex_state = 560, .external_lex_state = 2},
  [2689] = {.lex_state = 560, .external_lex_state = 2},
  [2690] = {.lex_state = 560, .external_lex_state = 2},
  [2691] = {.lex_state = 560, .external_lex_state = 2},
  [2692] = {.lex_state = 560, .external_lex_state = 2},
  [2693] = {.lex_state = 560, .external_lex_state = 2},
  [2694] = {.lex_state = 560, .external_lex_state = 2},
  [2695] = {.lex_state = 560, .external_lex_state = 2},
  [2696] = {.lex_state = 560, .external_lex_state = 2},
  [2697] = {.lex_state = 560, .external_lex_state = 2},
  [2698] = {.lex_state = 560, .external_lex_state = 2},
  [2699] = {.lex_state = 560, .external_lex_state = 2},
  [2700] = {.lex_state = 560, .external_lex_state = 2},
  [2701] = {.lex_state = 560, .external_lex_state = 2},
  [2702] = {.lex_state = 560, .external_lex_state = 2},
  [2703] = {.lex_state = 560, .external_lex_state = 2},
  [2704] = {.lex_state = 560, .external_lex_state = 2},
  [2705] = {.lex_state = 560, .external_lex_state = 2},
  [2706] = {.lex_state = 560, .external_lex_state = 2},
  [2707] = {.lex_state = 560, .external_lex_state = 2},
  [2708] = {.lex_state = 560, .external_lex_state = 2},
  [2709] = {.lex_state = 560, .external_lex_state = 2},
  [2710] = {.lex_state = 560, .external_lex_state = 2},
  [2711] = {.lex_state = 560, .external_lex_state = 2},
  [2712] = {.lex_state = 560, .external_lex_state = 2},
  [2713] = {.lex_state = 560, .external_lex_state = 2},
  [2714] = {.lex_state = 560, .external_lex_state = 2},
  [2715] = {.lex_state = 560, .external_lex_state = 2},
  [2716] = {.lex_state = 560, .external_lex_state = 2},
  [2717] = {.lex_state = 560, .external_lex_state = 2},
  [2718] = {.lex_state = 560, .external_lex_state = 2},
  [2719] = {.lex_state = 560, .external_lex_state = 2},
  [2720] = {.lex_state = 560, .external_lex_state = 2},
  [2721] = {.lex_state = 560, .external_lex_state = 2},
  [2722] = {.lex_state = 560, .external_lex_state = 2},
  [2723] = {.lex_state = 560, .external_lex_state = 2},
  [2724] = {.lex_state = 560, .external_lex_state = 2},
  [2725] = {.lex_state = 560, .external_lex_state = 2},
  [2726] = {.lex_state = 560, .external_lex_state = 2},
  [2727] = {.lex_state = 560, .external_lex_state = 2},
  [2728] = {.lex_state = 560, .external_lex_state = 2},
  [2729] = {.lex_state = 560, .external_lex_state = 2},
  [2730] = {.lex_state = 560, .external_lex_state = 2},
  [2731] = {.lex_state = 560, .external_lex_state = 2},
  [2732] = {.lex_state = 560, .external_lex_state = 2},
  [2733] = {.lex_state = 560, .external_lex_state = 2},
  [2734] = {.lex_state = 560, .external_lex_state = 2},
  [2735] = {.lex_state = 560, .external_lex_state = 2},
  [2736] = {.lex_state = 560, .external_lex_state = 2},
  [2737] = {.lex_state = 560, .external_lex_state = 2},
  [2738] = {.lex_state = 560, .external_lex_state = 2},
  [2739] = {.lex_state = 560, .external_lex_state = 2},
  [2740] = {.lex_state = 560, .external_lex_state = 2},
  [2741] = {.lex_state = 560, .external_lex_state = 2},
  [2742] = {.lex_state = 560, .external_lex_state = 2},
  [2743] = {.lex_state = 560, .external_lex_state = 2},
  [2744] = {.lex_state = 560, .external_lex_state = 2},
  [2745] = {.lex_state = 560, .external_lex_state = 2},
  [2746] = {.lex_state = 560, .external_lex_state = 2},
  [2747] = {.lex_state = 560, .external_lex_state = 2},
  [2748] = {.lex_state = 560, .external_lex_state = 2},
  [2749] = {.lex_state = 560, .external_lex_state = 2},
  [2750] = {.lex_state = 560, .external_lex_state = 2},
  [2751] = {.lex_state = 560, .external_lex_state = 2},
  [2752] = {.lex_state = 560, .external_lex_state = 2},
  [2753] = {.lex_state = 560, .external_lex_state = 2},
  [2754] = {.lex_state = 560, .external_lex_state = 2},
  [2755] = {.lex_state = 560, .external_lex_state = 2},
  [2756] = {.lex_state = 560, .external_lex_state = 2},
  [2757] = {.lex_state = 560, .external_lex_state = 2},
  [2758] = {.lex_state = 560, .external_lex_state = 2},
  [2759] = {.lex_state = 560, .external_lex_state = 2},
  [2760] = {.lex_state = 560, .external_lex_state = 2},
  [2761] = {.lex_state = 560, .external_lex_state = 2},
  [2762] = {.lex_state = 560, .external_lex_state = 2},
  [2763] = {.lex_state = 560, .external_lex_state = 2},
  [2764] = {.lex_state = 560, .external_lex_state = 2},
  [2765] = {.lex_state = 560, .external_lex_state = 2},
  [2766] = {.lex_state = 560, .external_lex_state = 2},
  [2767] = {.lex_state = 560, .external_lex_state = 2},
  [2768] = {.lex_state = 560, .external_lex_state = 2},
  [2769] = {.lex_state = 560, .external_lex_state = 2},
  [2770] = {.lex_state = 560, .external_lex_state = 2},
  [2771] = {.lex_state = 560, .external_lex_state = 2},
  [2772] = {.lex_state = 560, .external_lex_state = 2},
  [2773] = {.lex_state = 560, .external_lex_state = 2},
  [2774] = {.lex_state = 560, .external_lex_state = 2},
  [2775] = {.lex_state = 560, .external_lex_state = 2},
  [2776] = {.lex_state = 560, .external_lex_state = 2},
  [2777] = {.lex_state = 560, .external_lex_state = 2},
  [2778] = {.lex_state = 560, .external_lex_state = 2},
  [2779] = {.lex_state = 560, .external_lex_state = 2},
  [2780] = {.lex_state = 560, .external_lex_state = 2},
  [2781] = {.lex_state = 560, .external_lex_state = 2},
  [2782] = {.lex_state = 560, .external_lex_state = 2},
  [2783] = {.lex_state = 560, .external_lex_state = 2},
  [2784] = {.lex_state = 560, .external_lex_state = 2},
  [2785] = {.lex_state = 560, .external_lex_state = 2},
  [2786] = {.lex_state = 560, .external_lex_state = 2},
  [2787] = {.lex_state = 560, .external_lex_state = 2},
  [2788] = {.lex_state = 560, .external_lex_state = 2},
  [2789] = {.lex_state = 560, .external_lex_state = 2},
  [2790] = {.lex_state = 560, .external_lex_state = 2},
  [2791] = {.lex_state = 560, .external_lex_state = 2},
  [2792] = {.lex_state = 560, .external_lex_state = 2},
  [2793] = {.lex_state = 560, .external_lex_state = 2},
  [2794] = {.lex_state = 560, .external_lex_state = 2},
  [2795] = {.lex_state = 560, .external_lex_state = 2},
  [2796] = {.lex_state = 560, .external_lex_state = 2},
  [2797] = {.lex_state = 560, .external_lex_state = 2},
  [2798] = {.lex_state = 560, .external_lex_state = 2},
  [2799] = {.lex_state = 560, .external_lex_state = 2},
  [2800] = {.lex_state = 560, .external_lex_state = 2},
  [2801] = {.lex_state = 560, .external_lex_state = 2},
  [2802] = {.lex_state = 560, .external_lex_state = 2},
  [2803] = {.lex_state = 560, .external_lex_state = 2},
  [2804] = {.lex_state = 560, .external_lex_state = 2},
  [2805] = {.lex_state = 560, .external_lex_state = 2},
  [2806] = {.lex_state = 560, .external_lex_state = 2},
  [2807] = {.lex_state = 560, .external_lex_state = 2},
  [2808] = {.lex_state = 560, .external_lex_state = 2},
  [2809] = {.lex_state = 560, .external_lex_state = 2},
  [2810] = {.lex_state = 560, .external_lex_state = 2},
  [2811] = {.lex_state = 560, .external_lex_state = 2},
  [2812] = {.lex_state = 560, .external_lex_state = 2},
  [2813] = {.lex_state = 560, .external_lex_state = 2},
  [2814] = {.lex_state = 560, .external_lex_state = 2},
  [2815] = {.lex_state = 560, .external_lex_state = 2},
  [2816] = {.lex_state = 560, .external_lex_state = 2},
  [2817] = {.lex_state = 560, .external_lex_state = 2},
  [2818] = {.lex_state = 560, .external_lex_state = 2},
  [2819] = {.lex_state = 560, .external_lex_state = 2},
  [2820] = {.lex_state = 560, .external_lex_state = 2},
  [2821] = {.lex_state = 560, .external_lex_state = 2},
  [2822] = {.lex_state = 560, .external_lex_state = 2},
  [2823] = {.lex_state = 560, .external_lex_state = 2},
  [2824] = {.lex_state = 560, .external_lex_state = 2},
  [2825] = {.lex_state = 560, .external_lex_state = 2},
  [2826] = {.lex_state = 560, .external_lex_state = 2},
  [2827] = {.lex_state = 560, .external_lex_state = 2},
  [2828] = {.lex_state = 560, .external_lex_state = 2},
  [2829] = {.lex_state = 560, .external_lex_state = 2},
  [2830] = {.lex_state = 560, .external_lex_state = 2},
  [2831] = {.lex_state = 560, .external_lex_state = 2},
  [2832] = {.lex_state = 560, .external_lex_state = 2},
  [2833] = {.lex_state = 560, .external_lex_state = 2},
  [2834] = {.lex_state = 560, .external_lex_state = 2},
  [2835] = {.lex_state = 560, .external_lex_state = 2},
  [2836] = {.lex_state = 560, .external_lex_state = 2},
  [2837] = {.lex_state = 560, .external_lex_state = 2},
  [2838] = {.lex_state = 560, .external_lex_state = 2},
  [2839] = {.lex_state = 560, .external_lex_state = 2},
  [2840] = {.lex_state = 560, .external_lex_state = 2},
  [2841] = {.lex_state = 560, .external_lex_state = 2},
  [2842] = {.lex_state = 560, .external_lex_state = 2},
  [2843] = {.lex_state = 560, .external_lex_state = 2},
  [2844] = {.lex_state = 560, .external_lex_state = 2},
  [2845] = {.lex_state = 560, .external_lex_state = 2},
  [2846] = {.lex_state = 560, .external_lex_state = 2},
  [2847] = {.lex_state = 560, .external_lex_state = 2},
  [2848] = {.lex_state = 560, .external_lex_state = 2},
  [2849] = {.lex_state = 560, .external_lex_state = 2},
  [2850] = {.lex_state = 560, .external_lex_state = 2},
  [2851] = {.lex_state = 560, .external_lex_state = 2},
  [2852] = {.lex_state = 560, .external_lex_state = 2},
  [2853] = {.lex_state = 560, .external_lex_state = 2},
  [2854] = {.lex_state = 560, .external_lex_state = 2},
  [2855] = {.lex_state = 560, .external_lex_state = 2},
  [2856] = {.lex_state = 560, .external_lex_state = 2},
  [2857] = {.lex_state = 560, .external_lex_state = 2},
  [2858] = {.lex_state = 560, .external_lex_state = 2},
  [2859] = {.lex_state = 560, .external_lex_state = 2},
  [2860] = {.lex_state = 560, .external_lex_state = 2},
  [2861] = {.lex_state = 560, .external_lex_state = 2},
  [2862] = {.lex_state = 560, .external_lex_state = 2},
  [2863] = {.lex_state = 560, .external_lex_state = 2},
  [2864] = {.lex_state = 560, .external_lex_state = 2},
  [2865] = {.lex_state = 560, .external_lex_state = 2},
  [2866] = {.lex_state = 560, .external_lex_state = 2},
  [2867] = {.lex_state = 560, .external_lex_state = 2},
  [2868] = {.lex_state = 560, .external_lex_state = 2},
  [2869] = {.lex_state = 560, .external_lex_state = 2},
  [2870] = {.lex_state = 560, .external_lex_state = 2},
  [2871] = {.lex_state = 560, .external_lex_state = 2},
  [2872] = {.lex_state = 560, .external_lex_state = 2},
  [2873] = {.lex_state = 560, .external_lex_state = 2},
  [2874] = {.lex_state = 560, .external_lex_state = 2},
  [2875] = {.lex_state = 560, .external_lex_state = 2},
  [2876] = {.lex_state = 560, .external_lex_state = 2},
  [2877] = {.lex_state = 560, .external_lex_state = 2},
  [2878] = {.lex_state = 560, .external_lex_state = 2},
  [2879] = {.lex_state = 560, .external_lex_state = 2},
  [2880] = {.lex_state = 560, .external_lex_state = 2},
  [2881] = {.lex_state = 560, .external_lex_state = 2},
  [2882] = {.lex_state = 560, .external_lex_state = 2},
  [2883] = {.lex_state = 560, .external_lex_state = 2},
  [2884] = {.lex_state = 560, .external_lex_state = 2},
  [2885] = {.lex_state = 560, .external_lex_state = 2},
  [2886] = {.lex_state = 560, .external_lex_state = 2},
  [2887] = {.lex_state = 560, .external_lex_state = 2},
  [2888] = {.lex_state = 560, .external_lex_state = 2},
  [2889] = {.lex_state = 560, .external_lex_state = 2},
  [2890] = {.lex_state = 560, .external_lex_state = 2},
  [2891] = {.lex_state = 560, .external_lex_state = 2},
  [2892] = {.lex_state = 560, .external_lex_state = 2},
  [2893] = {.lex_state = 560, .external_lex_state = 2},
  [2894] = {.lex_state = 560, .external_lex_state = 2},
  [2895] = {.lex_state = 560, .external_lex_state = 2},
  [2896] = {.lex_state = 560, .external_lex_state = 2},
  [2897] = {.lex_state = 560, .external_lex_state = 2},
  [2898] = {.lex_state = 560, .external_lex_state = 2},
  [2899] = {.lex_state = 560, .external_lex_state = 2},
  [2900] = {.lex_state = 560, .external_lex_state = 2},
  [2901] = {.lex_state = 560, .external_lex_state = 2},
  [2902] = {.lex_state = 560, .external_lex_state = 2},
  [2903] = {.lex_state = 560, .external_lex_state = 2},
  [2904] = {.lex_state = 560, .external_lex_state = 2},
  [2905] = {.lex_state = 560, .external_lex_state = 2},
  [2906] = {.lex_state = 560, .external_lex_state = 2},
  [2907] = {.lex_state = 560, .external_lex_state = 2},
  [2908] = {.lex_state = 560, .external_lex_state = 2},
  [2909] = {.lex_state = 560, .external_lex_state = 2},
  [2910] = {.lex_state = 560, .external_lex_state = 2},
  [2911] = {.lex_state = 560, .external_lex_state = 2},
  [2912] = {.lex_state = 560, .external_lex_state = 2},
  [2913] = {.lex_state = 560, .external_lex_state = 2},
  [2914] = {.lex_state = 560, .external_lex_state = 2},
  [2915] = {.lex_state = 560, .external_lex_state = 2},
  [2916] = {.lex_state = 560, .external_lex_state = 2},
  [2917] = {.lex_state = 560, .external_lex_state = 2},
  [2918] = {.lex_state = 560, .external_lex_state = 2},
  [2919] = {.lex_state = 560, .external_lex_state = 2},
  [2920] = {.lex_state = 560, .external_lex_state = 2},
  [2921] = {.lex_state = 560, .external_lex_state = 2},
  [2922] = {.lex_state = 560, .external_lex_state = 2},
  [2923] = {.lex_state = 560, .external_lex_state = 2},
  [2924] = {.lex_state = 560, .external_lex_state = 2},
  [2925] = {.lex_state = 560, .external_lex_state = 2},
  [2926] = {.lex_state = 560, .external_lex_state = 2},
  [2927] = {.lex_state = 560, .external_lex_state = 2},
  [2928] = {.lex_state = 560, .external_lex_state = 2},
  [2929] = {.lex_state = 560, .external_lex_state = 2},
  [2930] = {.lex_state = 560, .external_lex_state = 2},
  [2931] = {.lex_state = 560, .external_lex_state = 2},
  [2932] = {.lex_state = 560, .external_lex_state = 2},
  [2933] = {.lex_state = 560, .external_lex_state = 2},
  [2934] = {.lex_state = 560, .external_lex_state = 2},
  [2935] = {.lex_state = 560, .external_lex_state = 2},
  [2936] = {.lex_state = 560, .external_lex_state = 2},
  [2937] = {.lex_state = 560, .external_lex_state = 2},
  [2938] = {.lex_state = 560, .external_lex_state = 2},
  [2939] = {.lex_state = 560, .external_lex_state = 2},
  [2940] = {.lex_state = 560, .external_lex_state = 2},
  [2941] = {.lex_state = 560, .external_lex_state = 2},
  [2942] = {.lex_state = 560, .external_lex_state = 2},
  [2943] = {.lex_state = 560, .external_lex_state = 2},
  [2944] = {.lex_state = 560, .external_lex_state = 2},
  [2945] = {.lex_state = 560, .external_lex_state = 2},
  [2946] = {.lex_state = 560, .external_lex_state = 2},
  [2947] = {.lex_state = 560, .external_lex_state = 2},
  [2948] = {.lex_state = 560, .external_lex_state = 2},
  [2949] = {.lex_state = 560, .external_lex_state = 2},
  [2950] = {.lex_state = 560, .external_lex_state = 2},
  [2951] = {.lex_state = 560, .external_lex_state = 2},
  [2952] = {.lex_state = 560, .external_lex_state = 2},
  [2953] = {.lex_state = 560, .external_lex_state = 2},
  [2954] = {.lex_state = 560, .external_lex_state = 2},
  [2955] = {.lex_state = 560, .external_lex_state = 2},
  [2956] = {.lex_state = 560, .external_lex_state = 2},
  [2957] = {.lex_state = 560, .external_lex_state = 2},
  [2958] = {.lex_state = 560, .external_lex_state = 2},
  [2959] = {.lex_state = 560, .external_lex_state = 2},
  [2960] = {.lex_state = 560, .external_lex_state = 2},
  [2961] = {.lex_state = 560, .external_lex_state = 2},
  [2962] = {.lex_state = 560, .external_lex_state = 2},
  [2963] = {.lex_state = 560, .external_lex_state = 2},
  [2964] = {.lex_state = 560, .external_lex_state = 2},
  [2965] = {.lex_state = 560, .external_lex_state = 2},
  [2966] = {.lex_state = 560, .external_lex_state = 2},
  [2967] = {.lex_state = 560, .external_lex_state = 2},
  [2968] = {.lex_state = 560, .external_lex_state = 2},
  [2969] = {.lex_state = 560, .external_lex_state = 2},
  [2970] = {.lex_state = 560, .external_lex_state = 2},
  [2971] = {.lex_state = 560, .external_lex_state = 2},
  [2972] = {.lex_state = 560, .external_lex_state = 2},
  [2973] = {.lex_state = 560, .external_lex_state = 2},
  [2974] = {.lex_state = 560, .external_lex_state = 2},
  [2975] = {.lex_state = 560, .external_lex_state = 2},
  [2976] = {.lex_state = 560, .external_lex_state = 2},
  [2977] = {.lex_state = 560, .external_lex_state = 2},
  [2978] = {.lex_state = 560, .external_lex_state = 2},
  [2979] = {.lex_state = 560, .external_lex_state = 2},
  [2980] = {.lex_state = 560, .external_lex_state = 2},
  [2981] = {.lex_state = 560, .external_lex_state = 2},
  [2982] = {.lex_state = 560, .external_lex_state = 2},
  [2983] = {.lex_state = 560, .external_lex_state = 2},
  [2984] = {.lex_state = 560, .external_lex_state = 2},
  [2985] = {.lex_state = 560, .external_lex_state = 2},
  [2986] = {.lex_state = 560, .external_lex_state = 2},
  [2987] = {.lex_state = 560, .external_lex_state = 2},
  [2988] = {.lex_state = 560, .external_lex_state = 2},
  [2989] = {.lex_state = 560, .external_lex_state = 2},
  [2990] = {.lex_state = 560, .external_lex_state = 2},
  [2991] = {.lex_state = 560, .external_lex_state = 2},
  [2992] = {.lex_state = 560, .external_lex_state = 2},
  [2993] = {.lex_state = 560, .external_lex_state = 2},
  [2994] = {.lex_state = 560, .external_lex_state = 2},
  [2995] = {.lex_state = 560, .external_lex_state = 2},
  [2996] = {.lex_state = 560, .external_lex_state = 2},
  [2997] = {.lex_state = 560, .external_lex_state = 2},
  [2998] = {.lex_state = 560, .external_lex_state = 2},
  [2999] = {.lex_state = 560, .external_lex_state = 2},
  [3000] = {.lex_state = 560, .external_lex_state = 2},
  [3001] = {.lex_state = 560, .external_lex_state = 2},
  [3002] = {.lex_state = 560, .external_lex_state = 2},
  [3003] = {.lex_state = 560, .external_lex_state = 2},
  [3004] = {.lex_state = 560, .external_lex_state = 2},
  [3005] = {.lex_state = 560, .external_lex_state = 2},
  [3006] = {.lex_state = 560, .external_lex_state = 2},
  [3007] = {.lex_state = 560, .external_lex_state = 2},
  [3008] = {.lex_state = 560, .external_lex_state = 2},
  [3009] = {.lex_state = 560, .external_lex_state = 2},
  [3010] = {.lex_state = 560, .external_lex_state = 2},
  [3011] = {.lex_state = 560, .external_lex_state = 2},
  [3012] = {.lex_state = 560, .external_lex_state = 2},
  [3013] = {.lex_state = 560, .external_lex_state = 2},
  [3014] = {.lex_state = 560, .external_lex_state = 2},
  [3015] = {.lex_state = 560, .external_lex_state = 2},
  [3016] = {.lex_state = 560, .external_lex_state = 2},
  [3017] = {.lex_state = 560, .external_lex_state = 2},
  [3018] = {.lex_state = 560, .external_lex_state = 2},
  [3019] = {.lex_state = 560, .external_lex_state = 2},
  [3020] = {.lex_state = 560, .external_lex_state = 2},
  [3021] = {.lex_state = 560, .external_lex_state = 2},
  [3022] = {.lex_state = 560, .external_lex_state = 2},
  [3023] = {.lex_state = 560, .external_lex_state = 2},
  [3024] = {.lex_state = 560, .external_lex_state = 2},
  [3025] = {.lex_state = 560, .external_lex_state = 2},
  [3026] = {.lex_state = 560, .external_lex_state = 2},
  [3027] = {.lex_state = 560, .external_lex_state = 2},
  [3028] = {.lex_state = 560, .external_lex_state = 2},
  [3029] = {.lex_state = 560, .external_lex_state = 2},
  [3030] = {.lex_state = 560, .external_lex_state = 2},
  [3031] = {.lex_state = 560, .external_lex_state = 2},
  [3032] = {.lex_state = 560, .external_lex_state = 2},
  [3033] = {.lex_state = 560, .external_lex_state = 2},
  [3034] = {.lex_state = 560, .external_lex_state = 2},
  [3035] = {.lex_state = 560, .external_lex_state = 2},
  [3036] = {.lex_state = 560, .external_lex_state = 2},
  [3037] = {.lex_state = 560, .external_lex_state = 2},
  [3038] = {.lex_state = 560, .external_lex_state = 2},
  [3039] = {.lex_state = 560, .external_lex_state = 2},
  [3040] = {.lex_state = 560, .external_lex_state = 2},
  [3041] = {.lex_state = 560, .external_lex_state = 2},
  [3042] = {.lex_state = 560, .external_lex_state = 2},
  [3043] = {.lex_state = 560, .external_lex_state = 2},
  [3044] = {.lex_state = 560, .external_lex_state = 2},
  [3045] = {.lex_state = 560, .external_lex_state = 2},
  [3046] = {.lex_state = 560, .external_lex_state = 2},
  [3047] = {.lex_state = 560, .external_lex_state = 2},
  [3048] = {.lex_state = 560, .external_lex_state = 2},
  [3049] = {.lex_state = 560, .external_lex_state = 2},
  [3050] = {.lex_state = 560, .external_lex_state = 2},
  [3051] = {.lex_state = 560, .external_lex_state = 2},
  [3052] = {.lex_state = 560, .external_lex_state = 2},
  [3053] = {.lex_state = 560, .external_lex_state = 2},
  [3054] = {.lex_state = 560, .external_lex_state = 2},
  [3055] = {.lex_state = 560, .external_lex_state = 2},
  [3056] = {.lex_state = 560, .external_lex_state = 2},
  [3057] = {.lex_state = 560, .external_lex_state = 2},
  [3058] = {.lex_state = 560, .external_lex_state = 2},
  [3059] = {.lex_state = 560, .external_lex_state = 2},
  [3060] = {.lex_state = 560, .external_lex_state = 2},
  [3061] = {.lex_state = 560, .external_lex_state = 2},
  [3062] = {.lex_state = 560, .external_lex_state = 2},
  [3063] = {.lex_state = 560, .external_lex_state = 2},
  [3064] = {.lex_state = 560, .external_lex_state = 2},
  [3065] = {.lex_state = 560, .external_lex_state = 2},
  [3066] = {.lex_state = 560, .external_lex_state = 2},
  [3067] = {.lex_state = 560, .external_lex_state = 2},
  [3068] = {.lex_state = 560, .external_lex_state = 2},
  [3069] = {.lex_state = 560, .external_lex_state = 2},
  [3070] = {.lex_state = 560, .external_lex_state = 2},
  [3071] = {.lex_state = 560, .external_lex_state = 2},
  [3072] = {.lex_state = 560, .external_lex_state = 2},
  [3073] = {.lex_state = 560, .external_lex_state = 2},
  [3074] = {.lex_state = 560, .external_lex_state = 2},
  [3075] = {.lex_state = 560, .external_lex_state = 2},
  [3076] = {.lex_state = 560, .external_lex_state = 2},
  [3077] = {.lex_state = 560, .external_lex_state = 2},
  [3078] = {.lex_state = 560, .external_lex_state = 2},
  [3079] = {.lex_state = 560, .external_lex_state = 2},
  [3080] = {.lex_state = 560, .external_lex_state = 2},
  [3081] = {.lex_state = 560, .external_lex_state = 2},
  [3082] = {.lex_state = 560, .external_lex_state = 2},
  [3083] = {.lex_state = 560, .external_lex_state = 2},
  [3084] = {.lex_state = 560, .external_lex_state = 2},
  [3085] = {.lex_state = 560, .external_lex_state = 2},
  [3086] = {.lex_state = 560, .external_lex_state = 2},
  [3087] = {.lex_state = 560, .external_lex_state = 2},
  [3088] = {.lex_state = 560, .external_lex_state = 2},
  [3089] = {.lex_state = 560, .external_lex_state = 2},
  [3090] = {.lex_state = 560, .external_lex_state = 2},
  [3091] = {.lex_state = 560, .external_lex_state = 2},
  [3092] = {.lex_state = 560, .external_lex_state = 2},
  [3093] = {.lex_state = 560, .external_lex_state = 2},
  [3094] = {.lex_state = 560, .external_lex_state = 2},
  [3095] = {.lex_state = 560, .external_lex_state = 2},
  [3096] = {.lex_state = 560, .external_lex_state = 2},
  [3097] = {.lex_state = 560, .external_lex_state = 2},
  [3098] = {.lex_state = 560, .external_lex_state = 2},
  [3099] = {.lex_state = 560, .external_lex_state = 2},
  [3100] = {.lex_state = 560, .external_lex_state = 2},
  [3101] = {.lex_state = 560, .external_lex_state = 2},
  [3102] = {.lex_state = 560, .external_lex_state = 2},
  [3103] = {.lex_state = 560, .external_lex_state = 2},
  [3104] = {.lex_state = 560, .external_lex_state = 2},
  [3105] = {.lex_state = 560, .external_lex_state = 2},
  [3106] = {.lex_state = 560, .external_lex_state = 2},
  [3107] = {.lex_state = 560, .external_lex_state = 2},
  [3108] = {.lex_state = 560, .external_lex_state = 2},
  [3109] = {.lex_state = 560, .external_lex_state = 2},
  [3110] = {.lex_state = 560, .external_lex_state = 2},
  [3111] = {.lex_state = 560, .external_lex_state = 2},
  [3112] = {.lex_state = 560, .external_lex_state = 2},
  [3113] = {.lex_state = 560, .external_lex_state = 2},
  [3114] = {.lex_state = 560, .external_lex_state = 2},
  [3115] = {.lex_state = 560, .external_lex_state = 2},
  [3116] = {.lex_state = 560, .external_lex_state = 2},
  [3117] = {.lex_state = 560, .external_lex_state = 2},
  [3118] = {.lex_state = 560, .external_lex_state = 2},
  [3119] = {.lex_state = 560, .external_lex_state = 2},
  [3120] = {.lex_state = 560, .external_lex_state = 2},
  [3121] = {.lex_state = 560, .external_lex_state = 2},
  [3122] = {.lex_state = 560, .external_lex_state = 2},
  [3123] = {.lex_state = 560, .external_lex_state = 2},
  [3124] = {.lex_state = 560, .external_lex_state = 2},
  [3125] = {.lex_state = 560, .external_lex_state = 2},
  [3126] = {.lex_state = 560, .external_lex_state = 2},
  [3127] = {.lex_state = 560, .external_lex_state = 2},
  [3128] = {.lex_state = 560, .external_lex_state = 2},
  [3129] = {.lex_state = 560, .external_lex_state = 2},
  [3130] = {.lex_state = 560, .external_lex_state = 2},
  [3131] = {.lex_state = 560, .external_lex_state = 2},
  [3132] = {.lex_state = 560, .external_lex_state = 2},
  [3133] = {.lex_state = 560, .external_lex_state = 2},
  [3134] = {.lex_state = 560, .external_lex_state = 2},
  [3135] = {.lex_state = 560, .external_lex_state = 2},
  [3136] = {.lex_state = 560, .external_lex_state = 2},
  [3137] = {.lex_state = 560, .external_lex_state = 2},
  [3138] = {.lex_state = 560, .external_lex_state = 2},
  [3139] = {.lex_state = 560, .external_lex_state = 2},
  [3140] = {.lex_state = 560, .external_lex_state = 2},
  [3141] = {.lex_state = 560, .external_lex_state = 2},
  [3142] = {.lex_state = 560, .external_lex_state = 2},
  [3143] = {.lex_state = 560, .external_lex_state = 2},
  [3144] = {.lex_state = 560, .external_lex_state = 2},
  [3145] = {.lex_state = 560, .external_lex_state = 2},
  [3146] = {.lex_state = 560, .external_lex_state = 2},
  [3147] = {.lex_state = 560, .external_lex_state = 2},
  [3148] = {.lex_state = 560, .external_lex_state = 2},
  [3149] = {.lex_state = 560, .external_lex_state = 2},
  [3150] = {.lex_state = 560, .external_lex_state = 2},
  [3151] = {.lex_state = 560, .external_lex_state = 2},
  [3152] = {.lex_state = 560, .external_lex_state = 2},
  [3153] = {.lex_state = 560, .external_lex_state = 2},
  [3154] = {.lex_state = 560, .external_lex_state = 2},
  [3155] = {.lex_state = 560, .external_lex_state = 2},
  [3156] = {.lex_state = 560, .external_lex_state = 2},
  [3157] = {.lex_state = 560, .external_lex_state = 2},
  [3158] = {.lex_state = 560, .external_lex_state = 2},
  [3159] = {.lex_state = 560, .external_lex_state = 2},
  [3160] = {.lex_state = 560, .external_lex_state = 2},
  [3161] = {.lex_state = 560, .external_lex_state = 2},
  [3162] = {.lex_state = 560, .external_lex_state = 2},
  [3163] = {.lex_state = 560, .external_lex_state = 2},
  [3164] = {.lex_state = 560, .external_lex_state = 2},
  [3165] = {.lex_state = 560, .external_lex_state = 2},
  [3166] = {.lex_state = 560, .external_lex_state = 2},
  [3167] = {.lex_state = 560, .external_lex_state = 2},
  [3168] = {.lex_state = 560, .external_lex_state = 2},
  [3169] = {.lex_state = 560, .external_lex_state = 2},
  [3170] = {.lex_state = 560, .external_lex_state = 2},
  [3171] = {.lex_state = 560, .external_lex_state = 2},
  [3172] = {.lex_state = 560, .external_lex_state = 2},
  [3173] = {.lex_state = 560, .external_lex_state = 2},
  [3174] = {.lex_state = 560, .external_lex_state = 2},
  [3175] = {.lex_state = 560, .external_lex_state = 2},
  [3176] = {.lex_state = 560, .external_lex_state = 2},
  [3177] = {.lex_state = 560, .external_lex_state = 2},
  [3178] = {.lex_state = 560, .external_lex_state = 2},
  [3179] = {.lex_state = 560, .external_lex_state = 2},
  [3180] = {.lex_state = 560, .external_lex_state = 2},
  [3181] = {.lex_state = 560, .external_lex_state = 2},
  [3182] = {.lex_state = 560, .external_lex_state = 2},
  [3183] = {.lex_state = 560, .external_lex_state = 2},
  [3184] = {.lex_state = 560, .external_lex_state = 2},
  [3185] = {.lex_state = 560, .external_lex_state = 2},
  [3186] = {.lex_state = 560, .external_lex_state = 2},
  [3187] = {.lex_state = 560, .external_lex_state = 2},
  [3188] = {.lex_state = 560, .external_lex_state = 2},
  [3189] = {.lex_state = 560, .external_lex_state = 2},
  [3190] = {.lex_state = 560, .external_lex_state = 2},
  [3191] = {.lex_state = 560, .external_lex_state = 2},
  [3192] = {.lex_state = 560, .external_lex_state = 2},
  [3193] = {.lex_state = 560, .external_lex_state = 2},
  [3194] = {.lex_state = 560, .external_lex_state = 2},
  [3195] = {.lex_state = 560, .external_lex_state = 2},
  [3196] = {.lex_state = 560, .external_lex_state = 2},
  [3197] = {.lex_state = 560, .external_lex_state = 2},
  [3198] = {.lex_state = 560, .external_lex_state = 2},
  [3199] = {.lex_state = 560, .external_lex_state = 2},
  [3200] = {.lex_state = 560, .external_lex_state = 2},
  [3201] = {.lex_state = 560, .external_lex_state = 2},
  [3202] = {.lex_state = 560, .external_lex_state = 2},
  [3203] = {.lex_state = 560, .external_lex_state = 2},
  [3204] = {.lex_state = 560, .external_lex_state = 2},
  [3205] = {.lex_state = 560, .external_lex_state = 2},
  [3206] = {.lex_state = 560, .external_lex_state = 2},
  [3207] = {.lex_state = 560, .external_lex_state = 2},
  [3208] = {.lex_state = 560, .external_lex_state = 2},
  [3209] = {.lex_state = 560, .external_lex_state = 2},
  [3210] = {.lex_state = 560, .external_lex_state = 2},
  [3211] = {.lex_state = 560, .external_lex_state = 2},
  [3212] = {.lex_state = 560, .external_lex_state = 2},
  [3213] = {.lex_state = 560, .external_lex_state = 2},
  [3214] = {.lex_state = 560, .external_lex_state = 2},
  [3215] = {.lex_state = 560, .external_lex_state = 2},
  [3216] = {.lex_state = 560, .external_lex_state = 2},
  [3217] = {.lex_state = 560, .external_lex_state = 2},
  [3218] = {.lex_state = 560, .external_lex_state = 2},
  [3219] = {.lex_state = 560, .external_lex_state = 2},
  [3220] = {.lex_state = 560, .external_lex_state = 2},
  [3221] = {.lex_state = 560, .external_lex_state = 2},
  [3222] = {.lex_state = 560, .external_lex_state = 2},
  [3223] = {.lex_state = 560, .external_lex_state = 2},
  [3224] = {.lex_state = 560, .external_lex_state = 2},
  [3225] = {.lex_state = 560, .external_lex_state = 2},
  [3226] = {.lex_state = 560, .external_lex_state = 2},
  [3227] = {.lex_state = 560, .external_lex_state = 2},
  [3228] = {.lex_state = 560, .external_lex_state = 2},
  [3229] = {.lex_state = 560, .external_lex_state = 2},
  [3230] = {.lex_state = 560, .external_lex_state = 2},
  [3231] = {.lex_state = 560, .external_lex_state = 2},
  [3232] = {.lex_state = 560, .external_lex_state = 2},
  [3233] = {.lex_state = 560, .external_lex_state = 2},
  [3234] = {.lex_state = 560, .external_lex_state = 2},
  [3235] = {.lex_state = 560, .external_lex_state = 2},
  [3236] = {.lex_state = 560, .external_lex_state = 2},
  [3237] = {.lex_state = 560, .external_lex_state = 2},
  [3238] = {.lex_state = 560, .external_lex_state = 2},
  [3239] = {.lex_state = 560, .external_lex_state = 2},
  [3240] = {.lex_state = 560, .external_lex_state = 2},
  [3241] = {.lex_state = 560, .external_lex_state = 2},
  [3242] = {.lex_state = 560, .external_lex_state = 2},
  [3243] = {.lex_state = 560, .external_lex_state = 2},
  [3244] = {.lex_state = 560, .external_lex_state = 2},
  [3245] = {.lex_state = 560, .external_lex_state = 2},
  [3246] = {.lex_state = 560, .external_lex_state = 2},
  [3247] = {.lex_state = 560, .external_lex_state = 2},
  [3248] = {.lex_state = 560, .external_lex_state = 2},
  [3249] = {.lex_state = 560, .external_lex_state = 2},
  [3250] = {.lex_state = 560, .external_lex_state = 2},
  [3251] = {.lex_state = 560, .external_lex_state = 2},
  [3252] = {.lex_state = 560, .external_lex_state = 2},
  [3253] = {.lex_state = 560, .external_lex_state = 2},
  [3254] = {.lex_state = 560, .external_lex_state = 2},
  [3255] = {.lex_state = 560, .external_lex_state = 2},
  [3256] = {.lex_state = 560, .external_lex_state = 2},
  [3257] = {.lex_state = 560, .external_lex_state = 2},
  [3258] = {.lex_state = 560, .external_lex_state = 2},
  [3259] = {.lex_state = 560, .external_lex_state = 2},
  [3260] = {.lex_state = 560, .external_lex_state = 2},
  [3261] = {.lex_state = 560, .external_lex_state = 2},
  [3262] = {.lex_state = 560, .external_lex_state = 2},
  [3263] = {.lex_state = 560, .external_lex_state = 2},
  [3264] = {.lex_state = 560, .external_lex_state = 2},
  [3265] = {.lex_state = 560, .external_lex_state = 2},
  [3266] = {.lex_state = 560, .external_lex_state = 2},
  [3267] = {.lex_state = 560, .external_lex_state = 2},
  [3268] = {.lex_state = 560, .external_lex_state = 2},
  [3269] = {.lex_state = 560, .external_lex_state = 2},
  [3270] = {.lex_state = 560, .external_lex_state = 2},
  [3271] = {.lex_state = 560, .external_lex_state = 2},
  [3272] = {.lex_state = 560, .external_lex_state = 2},
  [3273] = {.lex_state = 560, .external_lex_state = 2},
  [3274] = {.lex_state = 560, .external_lex_state = 2},
  [3275] = {.lex_state = 560, .external_lex_state = 2},
  [3276] = {.lex_state = 560, .external_lex_state = 2},
  [3277] = {.lex_state = 560, .external_lex_state = 2},
  [3278] = {.lex_state = 560, .external_lex_state = 2},
  [3279] = {.lex_state = 560, .external_lex_state = 2},
  [3280] = {.lex_state = 560, .external_lex_state = 2},
  [3281] = {.lex_state = 560, .external_lex_state = 2},
  [3282] = {.lex_state = 560, .external_lex_state = 2},
  [3283] = {.lex_state = 560, .external_lex_state = 2},
  [3284] = {.lex_state = 560, .external_lex_state = 2},
  [3285] = {.lex_state = 560, .external_lex_state = 2},
  [3286] = {.lex_state = 560, .external_lex_state = 2},
  [3287] = {.lex_state = 560, .external_lex_state = 2},
  [3288] = {.lex_state = 560, .external_lex_state = 2},
  [3289] = {.lex_state = 560, .external_lex_state = 2},
  [3290] = {.lex_state = 560, .external_lex_state = 2},
  [3291] = {.lex_state = 560, .external_lex_state = 2},
  [3292] = {.lex_state = 560, .external_lex_state = 2},
  [3293] = {.lex_state = 560, .external_lex_state = 2},
  [3294] = {.lex_state = 560, .external_lex_state = 2},
  [3295] = {.lex_state = 560, .external_lex_state = 2},
  [3296] = {.lex_state = 560, .external_lex_state = 2},
  [3297] = {.lex_state = 560, .external_lex_state = 2},
  [3298] = {.lex_state = 560, .external_lex_state = 2},
  [3299] = {.lex_state = 560, .external_lex_state = 2},
  [3300] = {.lex_state = 560, .external_lex_state = 2},
  [3301] = {.lex_state = 560, .external_lex_state = 2},
  [3302] = {.lex_state = 560, .external_lex_state = 2},
  [3303] = {.lex_state = 560, .external_lex_state = 2},
  [3304] = {.lex_state = 560, .external_lex_state = 2},
  [3305] = {.lex_state = 560, .external_lex_state = 2},
  [3306] = {.lex_state = 560, .external_lex_state = 2},
  [3307] = {.lex_state = 560, .external_lex_state = 2},
  [3308] = {.lex_state = 560, .external_lex_state = 2},
  [3309] = {.lex_state = 560, .external_lex_state = 2},
  [3310] = {.lex_state = 560, .external_lex_state = 2},
  [3311] = {.lex_state = 560, .external_lex_state = 2},
  [3312] = {.lex_state = 560, .external_lex_state = 2},
  [3313] = {.lex_state = 560, .external_lex_state = 2},
  [3314] = {.lex_state = 560, .external_lex_state = 2},
  [3315] = {.lex_state = 560, .external_lex_state = 2},
  [3316] = {.lex_state = 560, .external_lex_state = 2},
  [3317] = {.lex_state = 560, .external_lex_state = 2},
  [3318] = {.lex_state = 560, .external_lex_state = 2},
  [3319] = {.lex_state = 560, .external_lex_state = 2},
  [3320] = {.lex_state = 560, .external_lex_state = 2},
  [3321] = {.lex_state = 560, .external_lex_state = 2},
  [3322] = {.lex_state = 560, .external_lex_state = 2},
  [3323] = {.lex_state = 560, .external_lex_state = 2},
  [3324] = {.lex_state = 560, .external_lex_state = 2},
  [3325] = {.lex_state = 560, .external_lex_state = 2},
  [3326] = {.lex_state = 560, .external_lex_state = 2},
  [3327] = {.lex_state = 560, .external_lex_state = 2},
  [3328] = {.lex_state = 560, .external_lex_state = 2},
  [3329] = {.lex_state = 560, .external_lex_state = 2},
  [3330] = {.lex_state = 560, .external_lex_state = 2},
  [3331] = {.lex_state = 560, .external_lex_state = 2},
  [3332] = {.lex_state = 560, .external_lex_state = 2},
  [3333] = {.lex_state = 560, .external_lex_state = 2},
  [3334] = {.lex_state = 560, .external_lex_state = 2},
  [3335] = {.lex_state = 560, .external_lex_state = 2},
  [3336] = {.lex_state = 560, .external_lex_state = 2},
  [3337] = {.lex_state = 560, .external_lex_state = 2},
  [3338] = {.lex_state = 560, .external_lex_state = 2},
  [3339] = {.lex_state = 560, .external_lex_state = 2},
  [3340] = {.lex_state = 560, .external_lex_state = 2},
  [3341] = {.lex_state = 560, .external_lex_state = 2},
  [3342] = {.lex_state = 560, .external_lex_state = 2},
  [3343] = {.lex_state = 560, .external_lex_state = 2},
  [3344] = {.lex_state = 560, .external_lex_state = 2},
  [3345] = {.lex_state = 560, .external_lex_state = 2},
  [3346] = {.lex_state = 560, .external_lex_state = 2},
  [3347] = {.lex_state = 560, .external_lex_state = 2},
  [3348] = {.lex_state = 560, .external_lex_state = 2},
  [3349] = {.lex_state = 560, .external_lex_state = 2},
  [3350] = {.lex_state = 560, .external_lex_state = 2},
  [3351] = {.lex_state = 560, .external_lex_state = 2},
  [3352] = {.lex_state = 560, .external_lex_state = 2},
  [3353] = {.lex_state = 560, .external_lex_state = 2},
  [3354] = {.lex_state = 560, .external_lex_state = 2},
  [3355] = {.lex_state = 560, .external_lex_state = 2},
  [3356] = {.lex_state = 560, .external_lex_state = 2},
  [3357] = {.lex_state = 560, .external_lex_state = 2},
  [3358] = {.lex_state = 560, .external_lex_state = 2},
  [3359] = {.lex_state = 560, .external_lex_state = 2},
  [3360] = {.lex_state = 560, .external_lex_state = 2},
  [3361] = {.lex_state = 560, .external_lex_state = 2},
  [3362] = {.lex_state = 560, .external_lex_state = 2},
  [3363] = {.lex_state = 560, .external_lex_state = 2},
  [3364] = {.lex_state = 560, .external_lex_state = 2},
  [3365] = {.lex_state = 560, .external_lex_state = 2},
  [3366] = {.lex_state = 560, .external_lex_state = 2},
  [3367] = {.lex_state = 560, .external_lex_state = 2},
  [3368] = {.lex_state = 560, .external_lex_state = 2},
  [3369] = {.lex_state = 560, .external_lex_state = 2},
  [3370] = {.lex_state = 560, .external_lex_state = 2},
  [3371] = {.lex_state = 560, .external_lex_state = 2},
  [3372] = {.lex_state = 560, .external_lex_state = 2},
  [3373] = {.lex_state = 560, .external_lex_state = 2},
  [3374] = {.lex_state = 560, .external_lex_state = 2},
  [3375] = {.lex_state = 560, .external_lex_state = 2},
  [3376] = {.lex_state = 560, .external_lex_state = 2},
  [3377] = {.lex_state = 560, .external_lex_state = 2},
  [3378] = {.lex_state = 560, .external_lex_state = 2},
  [3379] = {.lex_state = 560, .external_lex_state = 2},
  [3380] = {.lex_state = 560, .external_lex_state = 2},
  [3381] = {.lex_state = 560, .external_lex_state = 2},
  [3382] = {.lex_state = 560, .external_lex_state = 2},
  [3383] = {.lex_state = 560, .external_lex_state = 2},
  [3384] = {.lex_state = 560, .external_lex_state = 2},
  [3385] = {.lex_state = 560, .external_lex_state = 2},
  [3386] = {.lex_state = 560, .external_lex_state = 2},
  [3387] = {.lex_state = 560, .external_lex_state = 2},
  [3388] = {.lex_state = 560, .external_lex_state = 2},
  [3389] = {.lex_state = 560, .external_lex_state = 2},
  [3390] = {.lex_state = 560, .external_lex_state = 2},
  [3391] = {.lex_state = 560, .external_lex_state = 2},
  [3392] = {.lex_state = 560, .external_lex_state = 2},
  [3393] = {.lex_state = 560, .external_lex_state = 2},
  [3394] = {.lex_state = 560, .external_lex_state = 2},
  [3395] = {.lex_state = 560, .external_lex_state = 2},
  [3396] = {.lex_state = 560, .external_lex_state = 2},
  [3397] = {.lex_state = 560, .external_lex_state = 2},
  [3398] = {.lex_state = 560, .external_lex_state = 2},
  [3399] = {.lex_state = 560, .external_lex_state = 2},
  [3400] = {.lex_state = 560, .external_lex_state = 2},
  [3401] = {.lex_state = 560, .external_lex_state = 2},
  [3402] = {.lex_state = 560, .external_lex_state = 2},
  [3403] = {.lex_state = 560, .external_lex_state = 2},
  [3404] = {.lex_state = 560, .external_lex_state = 2},
  [3405] = {.lex_state = 560, .external_lex_state = 2},
  [3406] = {.lex_state = 560, .external_lex_state = 2},
  [3407] = {.lex_state = 560, .external_lex_state = 2},
  [3408] = {.lex_state = 560, .external_lex_state = 2},
  [3409] = {.lex_state = 560, .external_lex_state = 2},
  [3410] = {.lex_state = 560, .external_lex_state = 2},
  [3411] = {.lex_state = 560, .external_lex_state = 2},
  [3412] = {.lex_state = 560, .external_lex_state = 2},
  [3413] = {.lex_state = 560, .external_lex_state = 2},
  [3414] = {.lex_state = 560, .external_lex_state = 2},
  [3415] = {.lex_state = 560, .external_lex_state = 2},
  [3416] = {.lex_state = 560, .external_lex_state = 2},
  [3417] = {.lex_state = 560, .external_lex_state = 2},
  [3418] = {.lex_state = 560, .external_lex_state = 2},
  [3419] = {.lex_state = 560, .external_lex_state = 2},
  [3420] = {.lex_state = 560, .external_lex_state = 2},
  [3421] = {.lex_state = 560, .external_lex_state = 2},
  [3422] = {.lex_state = 560, .external_lex_state = 2},
  [3423] = {.lex_state = 560, .external_lex_state = 2},
  [3424] = {.lex_state = 560, .external_lex_state = 2},
  [3425] = {.lex_state = 560, .external_lex_state = 2},
  [3426] = {.lex_state = 560, .external_lex_state = 2},
  [3427] = {.lex_state = 560, .external_lex_state = 2},
  [3428] = {.lex_state = 560, .external_lex_state = 2},
  [3429] = {.lex_state = 560, .external_lex_state = 2},
  [3430] = {.lex_state = 560, .external_lex_state = 2},
  [3431] = {.lex_state = 560, .external_lex_state = 2},
  [3432] = {.lex_state = 560, .external_lex_state = 2},
  [3433] = {.lex_state = 560, .external_lex_state = 2},
  [3434] = {.lex_state = 560, .external_lex_state = 2},
  [3435] = {.lex_state = 560, .external_lex_state = 2},
  [3436] = {.lex_state = 560, .external_lex_state = 2},
  [3437] = {.lex_state = 560, .external_lex_state = 2},
  [3438] = {.lex_state = 560, .external_lex_state = 2},
  [3439] = {.lex_state = 560, .external_lex_state = 2},
  [3440] = {.lex_state = 560, .external_lex_state = 2},
  [3441] = {.lex_state = 560, .external_lex_state = 2},
  [3442] = {.lex_state = 560, .external_lex_state = 2},
  [3443] = {.lex_state = 560, .external_lex_state = 2},
  [3444] = {.lex_state = 560, .external_lex_state = 2},
  [3445] = {.lex_state = 560, .external_lex_state = 2},
  [3446] = {.lex_state = 560, .external_lex_state = 2},
  [3447] = {.lex_state = 560, .external_lex_state = 2},
  [3448] = {.lex_state = 560, .external_lex_state = 2},
  [3449] = {.lex_state = 560, .external_lex_state = 2},
  [3450] = {.lex_state = 560, .external_lex_state = 2},
  [3451] = {.lex_state = 560, .external_lex_state = 2},
  [3452] = {.lex_state = 560, .external_lex_state = 2},
  [3453] = {.lex_state = 560, .external_lex_state = 2},
  [3454] = {.lex_state = 560, .external_lex_state = 2},
  [3455] = {.lex_state = 560, .external_lex_state = 2},
  [3456] = {.lex_state = 560, .external_lex_state = 2},
  [3457] = {.lex_state = 560, .external_lex_state = 2},
  [3458] = {.lex_state = 560, .external_lex_state = 2},
  [3459] = {.lex_state = 560, .external_lex_state = 2},
  [3460] = {.lex_state = 560, .external_lex_state = 2},
  [3461] = {.lex_state = 560, .external_lex_state = 2},
  [3462] = {.lex_state = 560, .external_lex_state = 2},
  [3463] = {.lex_state = 560, .external_lex_state = 2},
  [3464] = {.lex_state = 560, .external_lex_state = 2},
  [3465] = {.lex_state = 560, .external_lex_state = 2},
  [3466] = {.lex_state = 560, .external_lex_state = 2},
  [3467] = {.lex_state = 560, .external_lex_state = 2},
  [3468] = {.lex_state = 560, .external_lex_state = 2},
  [3469] = {.lex_state = 560, .external_lex_state = 2},
  [3470] = {.lex_state = 560, .external_lex_state = 2},
  [3471] = {.lex_state = 560, .external_lex_state = 2},
  [3472] = {.lex_state = 560, .external_lex_state = 2},
  [3473] = {.lex_state = 560, .external_lex_state = 2},
  [3474] = {.lex_state = 560, .external_lex_state = 2},
  [3475] = {.lex_state = 560, .external_lex_state = 2},
  [3476] = {.lex_state = 560, .external_lex_state = 2},
  [3477] = {.lex_state = 560, .external_lex_state = 2},
  [3478] = {.lex_state = 560, .external_lex_state = 2},
  [3479] = {.lex_state = 560, .external_lex_state = 2},
  [3480] = {.lex_state = 560, .external_lex_state = 2},
  [3481] = {.lex_state = 560, .external_lex_state = 2},
  [3482] = {.lex_state = 560, .external_lex_state = 2},
  [3483] = {.lex_state = 560, .external_lex_state = 2},
  [3484] = {.lex_state = 560, .external_lex_state = 2},
  [3485] = {.lex_state = 560, .external_lex_state = 2},
  [3486] = {.lex_state = 560, .external_lex_state = 2},
  [3487] = {.lex_state = 560, .external_lex_state = 2},
  [3488] = {.lex_state = 560, .external_lex_state = 2},
  [3489] = {.lex_state = 560, .external_lex_state = 2},
  [3490] = {.lex_state = 560, .external_lex_state = 2},
  [3491] = {.lex_state = 560, .external_lex_state = 2},
  [3492] = {.lex_state = 560, .external_lex_state = 2},
  [3493] = {.lex_state = 560, .external_lex_state = 2},
  [3494] = {.lex_state = 560, .external_lex_state = 2},
  [3495] = {.lex_state = 560, .external_lex_state = 2},
  [3496] = {.lex_state = 560, .external_lex_state = 2},
  [3497] = {.lex_state = 560, .external_lex_state = 2},
  [3498] = {.lex_state = 560, .external_lex_state = 2},
  [3499] = {.lex_state = 560, .external_lex_state = 2},
  [3500] = {.lex_state = 560, .external_lex_state = 2},
  [3501] = {.lex_state = 560, .external_lex_state = 2},
  [3502] = {.lex_state = 560, .external_lex_state = 2},
  [3503] = {.lex_state = 560, .external_lex_state = 2},
  [3504] = {.lex_state = 560, .external_lex_state = 2},
  [3505] = {.lex_state = 560, .external_lex_state = 2},
  [3506] = {.lex_state = 560, .external_lex_state = 2},
  [3507] = {.lex_state = 560, .external_lex_state = 2},
  [3508] = {.lex_state = 560, .external_lex_state = 2},
  [3509] = {.lex_state = 560, .external_lex_state = 2},
  [3510] = {.lex_state = 560, .external_lex_state = 2},
  [3511] = {.lex_state = 560, .external_lex_state = 2},
  [3512] = {.lex_state = 560, .external_lex_state = 2},
  [3513] = {.lex_state = 560, .external_lex_state = 2},
  [3514] = {.lex_state = 560, .external_lex_state = 2},
  [3515] = {.lex_state = 560, .external_lex_state = 2},
  [3516] = {.lex_state = 560, .external_lex_state = 2},
  [3517] = {.lex_state = 560, .external_lex_state = 2},
  [3518] = {.lex_state = 560, .external_lex_state = 2},
  [3519] = {.lex_state = 560, .external_lex_state = 2},
  [3520] = {.lex_state = 560, .external_lex_state = 2},
  [3521] = {.lex_state = 560, .external_lex_state = 2},
  [3522] = {.lex_state = 560, .external_lex_state = 2},
  [3523] = {.lex_state = 560, .external_lex_state = 2},
  [3524] = {.lex_state = 560, .external_lex_state = 2},
  [3525] = {.lex_state = 560, .external_lex_state = 2},
  [3526] = {.lex_state = 560, .external_lex_state = 2},
  [3527] = {.lex_state = 560, .external_lex_state = 2},
  [3528] = {.lex_state = 560, .external_lex_state = 2},
  [3529] = {.lex_state = 560, .external_lex_state = 2},
  [3530] = {.lex_state = 560, .external_lex_state = 2},
  [3531] = {.lex_state = 560, .external_lex_state = 2},
  [3532] = {.lex_state = 560, .external_lex_state = 2},
  [3533] = {.lex_state = 560, .external_lex_state = 2},
  [3534] = {.lex_state = 560, .external_lex_state = 2},
  [3535] = {.lex_state = 560, .external_lex_state = 2},
  [3536] = {.lex_state = 560, .external_lex_state = 2},
  [3537] = {.lex_state = 560, .external_lex_state = 2},
  [3538] = {.lex_state = 560, .external_lex_state = 2},
  [3539] = {.lex_state = 560, .external_lex_state = 2},
  [3540] = {.lex_state = 560, .external_lex_state = 2},
  [3541] = {.lex_state = 560, .external_lex_state = 2},
  [3542] = {.lex_state = 560, .external_lex_state = 2},
  [3543] = {.lex_state = 560, .external_lex_state = 2},
  [3544] = {.lex_state = 560, .external_lex_state = 2},
  [3545] = {.lex_state = 560, .external_lex_state = 2},
  [3546] = {.lex_state = 560, .external_lex_state = 2},
  [3547] = {.lex_state = 560, .external_lex_state = 2},
  [3548] = {.lex_state = 560, .external_lex_state = 2},
  [3549] = {.lex_state = 560, .external_lex_state = 2},
  [3550] = {.lex_state = 560, .external_lex_state = 2},
  [3551] = {.lex_state = 560, .external_lex_state = 2},
  [3552] = {.lex_state = 560, .external_lex_state = 2},
  [3553] = {.lex_state = 560, .external_lex_state = 2},
  [3554] = {.lex_state = 560, .external_lex_state = 2},
  [3555] = {.lex_state = 560, .external_lex_state = 2},
  [3556] = {.lex_state = 560, .external_lex_state = 2},
  [3557] = {.lex_state = 560, .external_lex_state = 2},
  [3558] = {.lex_state = 560, .external_lex_state = 2},
  [3559] = {.lex_state = 560, .external_lex_state = 2},
  [3560] = {.lex_state = 560, .external_lex_state = 2},
  [3561] = {.lex_state = 560, .external_lex_state = 2},
  [3562] = {.lex_state = 560, .external_lex_state = 2},
  [3563] = {.lex_state = 560, .external_lex_state = 2},
  [3564] = {.lex_state = 560, .external_lex_state = 2},
  [3565] = {.lex_state = 560, .external_lex_state = 2},
  [3566] = {.lex_state = 560, .external_lex_state = 2},
  [3567] = {.lex_state = 560, .external_lex_state = 2},
  [3568] = {.lex_state = 560, .external_lex_state = 2},
  [3569] = {.lex_state = 560, .external_lex_state = 2},
  [3570] = {.lex_state = 560, .external_lex_state = 2},
  [3571] = {.lex_state = 560, .external_lex_state = 2},
  [3572] = {.lex_state = 560, .external_lex_state = 2},
  [3573] = {.lex_state = 560, .external_lex_state = 2},
  [3574] = {.lex_state = 560, .external_lex_state = 2},
  [3575] = {.lex_state = 560, .external_lex_state = 2},
  [3576] = {.lex_state = 560, .external_lex_state = 2},
  [3577] = {.lex_state = 560, .external_lex_state = 2},
  [3578] = {.lex_state = 560, .external_lex_state = 2},
  [3579] = {.lex_state = 560, .external_lex_state = 2},
  [3580] = {.lex_state = 560, .external_lex_state = 2},
  [3581] = {.lex_state = 560, .external_lex_state = 2},
  [3582] = {.lex_state = 560, .external_lex_state = 2},
  [3583] = {.lex_state = 560, .external_lex_state = 2},
  [3584] = {.lex_state = 560, .external_lex_state = 2},
  [3585] = {.lex_state = 560, .external_lex_state = 2},
  [3586] = {.lex_state = 560, .external_lex_state = 2},
  [3587] = {.lex_state = 560, .external_lex_state = 2},
  [3588] = {.lex_state = 560, .external_lex_state = 2},
  [3589] = {.lex_state = 560, .external_lex_state = 2},
  [3590] = {.lex_state = 560, .external_lex_state = 2},
  [3591] = {.lex_state = 560, .external_lex_state = 2},
  [3592] = {.lex_state = 560, .external_lex_state = 2},
  [3593] = {.lex_state = 560, .external_lex_state = 2},
  [3594] = {.lex_state = 560, .external_lex_state = 2},
  [3595] = {.lex_state = 560, .external_lex_state = 2},
  [3596] = {.lex_state = 560, .external_lex_state = 2},
  [3597] = {.lex_state = 560, .external_lex_state = 2},
  [3598] = {.lex_state = 560, .external_lex_state = 2},
  [3599] = {.lex_state = 560, .external_lex_state = 2},
  [3600] = {.lex_state = 560, .external_lex_state = 2},
  [3601] = {.lex_state = 560, .external_lex_state = 2},
  [3602] = {.lex_state = 560, .external_lex_state = 2},
  [3603] = {.lex_state = 560, .external_lex_state = 2},
  [3604] = {.lex_state = 560, .external_lex_state = 2},
  [3605] = {.lex_state = 560, .external_lex_state = 2},
  [3606] = {.lex_state = 560, .external_lex_state = 2},
  [3607] = {.lex_state = 560, .external_lex_state = 2},
  [3608] = {.lex_state = 560, .external_lex_state = 2},
  [3609] = {.lex_state = 560, .external_lex_state = 2},
  [3610] = {.lex_state = 560, .external_lex_state = 2},
  [3611] = {.lex_state = 560, .external_lex_state = 2},
  [3612] = {.lex_state = 560, .external_lex_state = 2},
  [3613] = {.lex_state = 560, .external_lex_state = 2},
  [3614] = {.lex_state = 560, .external_lex_state = 2},
  [3615] = {.lex_state = 560, .external_lex_state = 2},
  [3616] = {.lex_state = 560, .external_lex_state = 2},
  [3617] = {.lex_state = 560, .external_lex_state = 2},
  [3618] = {.lex_state = 560, .external_lex_state = 2},
  [3619] = {.lex_state = 560, .external_lex_state = 2},
  [3620] = {.lex_state = 560, .external_lex_state = 2},
  [3621] = {.lex_state = 560, .external_lex_state = 2},
  [3622] = {.lex_state = 560, .external_lex_state = 2},
  [3623] = {.lex_state = 560, .external_lex_state = 2},
  [3624] = {.lex_state = 560, .external_lex_state = 2},
  [3625] = {.lex_state = 560, .external_lex_state = 2},
  [3626] = {.lex_state = 560, .external_lex_state = 2},
  [3627] = {.lex_state = 560, .external_lex_state = 2},
  [3628] = {.lex_state = 560, .external_lex_state = 2},
  [3629] = {.lex_state = 560, .external_lex_state = 2},
  [3630] = {.lex_state = 560, .external_lex_state = 2},
  [3631] = {.lex_state = 560, .external_lex_state = 2},
  [3632] = {.lex_state = 560, .external_lex_state = 2},
  [3633] = {.lex_state = 560, .external_lex_state = 2},
  [3634] = {.lex_state = 560, .external_lex_state = 2},
  [3635] = {.lex_state = 560, .external_lex_state = 2},
  [3636] = {.lex_state = 560, .external_lex_state = 2},
  [3637] = {.lex_state = 560, .external_lex_state = 2},
  [3638] = {.lex_state = 560, .external_lex_state = 2},
  [3639] = {.lex_state = 560, .external_lex_state = 2},
  [3640] = {.lex_state = 560, .external_lex_state = 2},
  [3641] = {.lex_state = 560, .external_lex_state = 2},
  [3642] = {.lex_state = 560, .external_lex_state = 2},
  [3643] = {.lex_state = 560, .external_lex_state = 2},
  [3644] = {.lex_state = 560, .external_lex_state = 2},
  [3645] = {.lex_state = 560, .external_lex_state = 2},
  [3646] = {.lex_state = 560, .external_lex_state = 2},
  [3647] = {.lex_state = 560, .external_lex_state = 2},
  [3648] = {.lex_state = 560, .external_lex_state = 2},
  [3649] = {.lex_state = 560, .external_lex_state = 2},
  [3650] = {.lex_state = 560, .external_lex_state = 2},
  [3651] = {.lex_state = 560, .external_lex_state = 2},
  [3652] = {.lex_state = 560, .external_lex_state = 2},
  [3653] = {.lex_state = 560, .external_lex_state = 2},
  [3654] = {.lex_state = 560, .external_lex_state = 2},
  [3655] = {.lex_state = 560, .external_lex_state = 2},
  [3656] = {.lex_state = 560, .external_lex_state = 2},
  [3657] = {.lex_state = 560, .external_lex_state = 2},
  [3658] = {.lex_state = 560, .external_lex_state = 2},
  [3659] = {.lex_state = 560, .external_lex_state = 2},
  [3660] = {.lex_state = 560, .external_lex_state = 2},
  [3661] = {.lex_state = 560, .external_lex_state = 2},
  [3662] = {.lex_state = 560, .external_lex_state = 2},
  [3663] = {.lex_state = 560, .external_lex_state = 2},
  [3664] = {.lex_state = 560, .external_lex_state = 2},
  [3665] = {.lex_state = 560, .external_lex_state = 2},
  [3666] = {.lex_state = 560, .external_lex_state = 2},
  [3667] = {.lex_state = 560, .external_lex_state = 2},
  [3668] = {.lex_state = 560, .external_lex_state = 2},
  [3669] = {.lex_state = 560, .external_lex_state = 2},
  [3670] = {.lex_state = 560, .external_lex_state = 2},
  [3671] = {.lex_state = 560, .external_lex_state = 2},
  [3672] = {.lex_state = 560, .external_lex_state = 2},
  [3673] = {.lex_state = 560, .external_lex_state = 2},
  [3674] = {.lex_state = 560, .external_lex_state = 2},
  [3675] = {.lex_state = 560, .external_lex_state = 2},
  [3676] = {.lex_state = 560, .external_lex_state = 2},
  [3677] = {.lex_state = 560, .external_lex_state = 2},
  [3678] = {.lex_state = 560, .external_lex_state = 2},
  [3679] = {.lex_state = 560, .external_lex_state = 2},
  [3680] = {.lex_state = 560, .external_lex_state = 2},
  [3681] = {.lex_state = 560, .external_lex_state = 2},
  [3682] = {.lex_state = 560, .external_lex_state = 2},
  [3683] = {.lex_state = 560, .external_lex_state = 2},
  [3684] = {.lex_state = 560, .external_lex_state = 2},
  [3685] = {.lex_state = 560, .external_lex_state = 2},
  [3686] = {.lex_state = 560, .external_lex_state = 2},
  [3687] = {.lex_state = 560, .external_lex_state = 2},
  [3688] = {.lex_state = 560, .external_lex_state = 2},
  [3689] = {.lex_state = 560, .external_lex_state = 2},
  [3690] = {.lex_state = 560, .external_lex_state = 2},
  [3691] = {.lex_state = 560, .external_lex_state = 2},
  [3692] = {.lex_state = 560, .external_lex_state = 2},
  [3693] = {.lex_state = 560, .external_lex_state = 2},
  [3694] = {.lex_state = 560, .external_lex_state = 2},
  [3695] = {.lex_state = 560, .external_lex_state = 2},
  [3696] = {.lex_state = 560, .external_lex_state = 2},
  [3697] = {.lex_state = 560, .external_lex_state = 2},
  [3698] = {.lex_state = 560, .external_lex_state = 2},
  [3699] = {.lex_state = 560, .external_lex_state = 2},
  [3700] = {.lex_state = 560, .external_lex_state = 2},
  [3701] = {.lex_state = 560, .external_lex_state = 2},
  [3702] = {.lex_state = 560, .external_lex_state = 2},
  [3703] = {.lex_state = 560, .external_lex_state = 2},
  [3704] = {.lex_state = 560, .external_lex_state = 2},
  [3705] = {.lex_state = 560, .external_lex_state = 2},
  [3706] = {.lex_state = 560, .external_lex_state = 2},
  [3707] = {.lex_state = 560, .external_lex_state = 2},
  [3708] = {.lex_state = 560, .external_lex_state = 2},
  [3709] = {.lex_state = 560, .external_lex_state = 2},
  [3710] = {.lex_state = 560, .external_lex_state = 2},
  [3711] = {.lex_state = 560, .external_lex_state = 2},
  [3712] = {.lex_state = 560, .external_lex_state = 2},
  [3713] = {.lex_state = 560, .external_lex_state = 2},
  [3714] = {.lex_state = 560, .external_lex_state = 2},
  [3715] = {.lex_state = 560, .external_lex_state = 2},
  [3716] = {.lex_state = 560, .external_lex_state = 2},
  [3717] = {.lex_state = 560, .external_lex_state = 2},
  [3718] = {.lex_state = 560, .external_lex_state = 2},
  [3719] = {.lex_state = 560, .external_lex_state = 2},
  [3720] = {.lex_state = 560, .external_lex_state = 2},
  [3721] = {.lex_state = 560, .external_lex_state = 2},
  [3722] = {.lex_state = 560, .external_lex_state = 2},
  [3723] = {.lex_state = 560, .external_lex_state = 2},
  [3724] = {.lex_state = 560, .external_lex_state = 2},
  [3725] = {.lex_state = 560, .external_lex_state = 2},
  [3726] = {.lex_state = 560, .external_lex_state = 2},
  [3727] = {.lex_state = 560, .external_lex_state = 2},
  [3728] = {.lex_state = 560, .external_lex_state = 2},
  [3729] = {.lex_state = 560, .external_lex_state = 2},
  [3730] = {.lex_state = 560, .external_lex_state = 2},
  [3731] = {.lex_state = 560, .external_lex_state = 2},
  [3732] = {.lex_state = 560, .external_lex_state = 2},
  [3733] = {.lex_state = 560, .external_lex_state = 2},
  [3734] = {.lex_state = 560, .external_lex_state = 2},
  [3735] = {.lex_state = 560, .external_lex_state = 2},
  [3736] = {.lex_state = 560, .external_lex_state = 2},
  [3737] = {.lex_state = 560, .external_lex_state = 2},
  [3738] = {.lex_state = 560, .external_lex_state = 2},
  [3739] = {.lex_state = 560, .external_lex_state = 2},
  [3740] = {.lex_state = 560, .external_lex_state = 2},
  [3741] = {.lex_state = 560, .external_lex_state = 2},
  [3742] = {.lex_state = 560, .external_lex_state = 2},
  [3743] = {.lex_state = 560, .external_lex_state = 2},
  [3744] = {.lex_state = 560, .external_lex_state = 2},
  [3745] = {.lex_state = 560, .external_lex_state = 2},
  [3746] = {.lex_state = 560, .external_lex_state = 2},
  [3747] = {.lex_state = 560, .external_lex_state = 2},
  [3748] = {.lex_state = 560, .external_lex_state = 2},
  [3749] = {.lex_state = 560, .external_lex_state = 2},
  [3750] = {.lex_state = 560, .external_lex_state = 2},
  [3751] = {.lex_state = 560, .external_lex_state = 2},
  [3752] = {.lex_state = 560, .external_lex_state = 2},
  [3753] = {.lex_state = 560, .external_lex_state = 2},
  [3754] = {.lex_state = 560, .external_lex_state = 2},
  [3755] = {.lex_state = 560, .external_lex_state = 2},
  [3756] = {.lex_state = 560, .external_lex_state = 2},
  [3757] = {.lex_state = 560, .external_lex_state = 2},
  [3758] = {.lex_state = 560, .external_lex_state = 2},
  [3759] = {.lex_state = 560, .external_lex_state = 2},
  [3760] = {.lex_state = 560, .external_lex_state = 2},
  [3761] = {.lex_state = 560, .external_lex_state = 2},
  [3762] = {.lex_state = 560, .external_lex_state = 2},
  [3763] = {.lex_state = 560, .external_lex_state = 2},
  [3764] = {.lex_state = 560, .external_lex_state = 2},
  [3765] = {.lex_state = 560, .external_lex_state = 2},
  [3766] = {.lex_state = 560, .external_lex_state = 2},
  [3767] = {.lex_state = 560, .external_lex_state = 2},
  [3768] = {.lex_state = 560, .external_lex_state = 2},
  [3769] = {.lex_state = 560, .external_lex_state = 2},
  [3770] = {.lex_state = 560, .external_lex_state = 2},
  [3771] = {.lex_state = 560, .external_lex_state = 2},
  [3772] = {.lex_state = 560, .external_lex_state = 2},
  [3773] = {.lex_state = 560, .external_lex_state = 2},
  [3774] = {.lex_state = 560, .external_lex_state = 2},
  [3775] = {.lex_state = 560, .external_lex_state = 2},
  [3776] = {.lex_state = 560, .external_lex_state = 2},
  [3777] = {.lex_state = 560, .external_lex_state = 2},
  [3778] = {.lex_state = 560, .external_lex_state = 2},
  [3779] = {.lex_state = 560, .external_lex_state = 2},
  [3780] = {.lex_state = 560, .external_lex_state = 2},
  [3781] = {.lex_state = 560, .external_lex_state = 2},
  [3782] = {.lex_state = 560, .external_lex_state = 2},
  [3783] = {.lex_state = 560, .external_lex_state = 2},
  [3784] = {.lex_state = 560, .external_lex_state = 2},
  [3785] = {.lex_state = 560, .external_lex_state = 2},
  [3786] = {.lex_state = 560, .external_lex_state = 2},
  [3787] = {.lex_state = 560, .external_lex_state = 2},
  [3788] = {.lex_state = 560, .external_lex_state = 2},
  [3789] = {.lex_state = 560, .external_lex_state = 2},
  [3790] = {.lex_state = 560, .external_lex_state = 2},
  [3791] = {.lex_state = 560, .external_lex_state = 2},
  [3792] = {.lex_state = 560, .external_lex_state = 2},
  [3793] = {.lex_state = 560, .external_lex_state = 2},
  [3794] = {.lex_state = 560, .external_lex_state = 2},
  [3795] = {.lex_state = 560, .external_lex_state = 2},
  [3796] = {.lex_state = 560, .external_lex_state = 2},
  [3797] = {.lex_state = 560, .external_lex_state = 2},
  [3798] = {.lex_state = 560, .external_lex_state = 2},
  [3799] = {.lex_state = 560, .external_lex_state = 2},
  [3800] = {.lex_state = 560, .external_lex_state = 2},
  [3801] = {.lex_state = 560, .external_lex_state = 2},
  [3802] = {.lex_state = 560, .external_lex_state = 2},
  [3803] = {.lex_state = 560, .external_lex_state = 2},
  [3804] = {.lex_state = 560, .external_lex_state = 2},
  [3805] = {.lex_state = 560, .external_lex_state = 2},
  [3806] = {.lex_state = 560, .external_lex_state = 2},
  [3807] = {.lex_state = 560, .external_lex_state = 2},
  [3808] = {.lex_state = 560, .external_lex_state = 2},
  [3809] = {.lex_state = 560, .external_lex_state = 2},
  [3810] = {.lex_state = 560, .external_lex_state = 2},
  [3811] = {.lex_state = 560, .external_lex_state = 2},
  [3812] = {.lex_state = 560, .external_lex_state = 2},
  [3813] = {.lex_state = 560, .external_lex_state = 2},
  [3814] = {.lex_state = 560, .external_lex_state = 2},
  [3815] = {.lex_state = 560, .external_lex_state = 2},
  [3816] = {.lex_state = 560, .external_lex_state = 2},
  [3817] = {.lex_state = 560, .external_lex_state = 2},
  [3818] = {.lex_state = 560, .external_lex_state = 2},
  [3819] = {.lex_state = 560, .external_lex_state = 2},
  [3820] = {.lex_state = 560, .external_lex_state = 2},
  [3821] = {.lex_state = 560, .external_lex_state = 2},
  [3822] = {.lex_state = 560, .external_lex_state = 2},
  [3823] = {.lex_state = 560, .external_lex_state = 2},
  [3824] = {.lex_state = 560, .external_lex_state = 2},
  [3825] = {.lex_state = 560, .external_lex_state = 2},
  [3826] = {.lex_state = 560, .external_lex_state = 2},
  [3827] = {.lex_state = 560, .external_lex_state = 2},
  [3828] = {.lex_state = 560, .external_lex_state = 2},
  [3829] = {.lex_state = 560, .external_lex_state = 2},
  [3830] = {.lex_state = 560, .external_lex_state = 2},
  [3831] = {.lex_state = 560, .external_lex_state = 2},
  [3832] = {.lex_state = 560, .external_lex_state = 2},
  [3833] = {.lex_state = 560, .external_lex_state = 2},
  [3834] = {.lex_state = 560, .external_lex_state = 2},
  [3835] = {.lex_state = 560, .external_lex_state = 2},
  [3836] = {.lex_state = 560, .external_lex_state = 2},
  [3837] = {.lex_state = 560, .external_lex_state = 2},
  [3838] = {.lex_state = 560, .external_lex_state = 2},
  [3839] = {.lex_state = 560, .external_lex_state = 2},
  [3840] = {.lex_state = 560, .external_lex_state = 2},
  [3841] = {.lex_state = 560, .external_lex_state = 2},
  [3842] = {.lex_state = 560, .external_lex_state = 2},
  [3843] = {.lex_state = 560, .external_lex_state = 2},
  [3844] = {.lex_state = 560, .external_lex_state = 2},
  [3845] = {.lex_state = 560, .external_lex_state = 2},
  [3846] = {.lex_state = 560, .external_lex_state = 2},
  [3847] = {.lex_state = 560, .external_lex_state = 2},
  [3848] = {.lex_state = 560, .external_lex_state = 2},
  [3849] = {.lex_state = 560, .external_lex_state = 2},
  [3850] = {.lex_state = 560, .external_lex_state = 2},
  [3851] = {.lex_state = 560, .external_lex_state = 2},
  [3852] = {.lex_state = 560, .external_lex_state = 2},
  [3853] = {.lex_state = 560, .external_lex_state = 2},
  [3854] = {.lex_state = 560, .external_lex_state = 2},
  [3855] = {.lex_state = 560, .external_lex_state = 2},
  [3856] = {.lex_state = 560, .external_lex_state = 2},
  [3857] = {.lex_state = 560, .external_lex_state = 2},
  [3858] = {.lex_state = 560, .external_lex_state = 2},
  [3859] = {.lex_state = 560, .external_lex_state = 2},
  [3860] = {.lex_state = 560, .external_lex_state = 2},
  [3861] = {.lex_state = 560, .external_lex_state = 2},
  [3862] = {.lex_state = 560, .external_lex_state = 2},
  [3863] = {.lex_state = 560, .external_lex_state = 2},
  [3864] = {.lex_state = 560, .external_lex_state = 2},
  [3865] = {.lex_state = 560, .external_lex_state = 2},
  [3866] = {.lex_state = 560, .external_lex_state = 2},
  [3867] = {.lex_state = 560, .external_lex_state = 2},
  [3868] = {.lex_state = 560, .external_lex_state = 2},
  [3869] = {.lex_state = 560, .external_lex_state = 2},
  [3870] = {.lex_state = 560, .external_lex_state = 2},
  [3871] = {.lex_state = 560, .external_lex_state = 2},
  [3872] = {.lex_state = 560, .external_lex_state = 2},
  [3873] = {.lex_state = 560, .external_lex_state = 2},
  [3874] = {.lex_state = 560, .external_lex_state = 2},
  [3875] = {.lex_state = 560, .external_lex_state = 2},
  [3876] = {.lex_state = 560, .external_lex_state = 2},
  [3877] = {.lex_state = 560, .external_lex_state = 2},
  [3878] = {.lex_state = 560, .external_lex_state = 2},
  [3879] = {.lex_state = 560, .external_lex_state = 2},
  [3880] = {.lex_state = 560, .external_lex_state = 2},
  [3881] = {.lex_state = 560, .external_lex_state = 2},
  [3882] = {.lex_state = 560, .external_lex_state = 2},
  [3883] = {.lex_state = 560, .external_lex_state = 2},
  [3884] = {.lex_state = 560, .external_lex_state = 2},
  [3885] = {.lex_state = 560, .external_lex_state = 2},
  [3886] = {.lex_state = 560, .external_lex_state = 2},
  [3887] = {.lex_state = 560, .external_lex_state = 2},
  [3888] = {.lex_state = 560, .external_lex_state = 2},
  [3889] = {.lex_state = 560, .external_lex_state = 2},
  [3890] = {.lex_state = 560, .external_lex_state = 2},
  [3891] = {.lex_state = 560, .external_lex_state = 2},
  [3892] = {.lex_state = 560, .external_lex_state = 2},
  [3893] = {.lex_state = 560, .external_lex_state = 2},
  [3894] = {.lex_state = 560, .external_lex_state = 2},
  [3895] = {.lex_state = 560, .external_lex_state = 2},
  [3896] = {.lex_state = 560, .external_lex_state = 2},
  [3897] = {.lex_state = 560, .external_lex_state = 2},
  [3898] = {.lex_state = 560, .external_lex_state = 2},
  [3899] = {.lex_state = 560, .external_lex_state = 2},
  [3900] = {.lex_state = 560, .external_lex_state = 2},
  [3901] = {.lex_state = 560, .external_lex_state = 2},
  [3902] = {.lex_state = 560, .external_lex_state = 2},
  [3903] = {.lex_state = 560, .external_lex_state = 2},
  [3904] = {.lex_state = 560, .external_lex_state = 2},
  [3905] = {.lex_state = 560, .external_lex_state = 2},
  [3906] = {.lex_state = 560, .external_lex_state = 2},
  [3907] = {.lex_state = 560, .external_lex_state = 2},
  [3908] = {.lex_state = 560, .external_lex_state = 2},
  [3909] = {.lex_state = 560, .external_lex_state = 2},
  [3910] = {.lex_state = 560, .external_lex_state = 2},
  [3911] = {.lex_state = 560, .external_lex_state = 2},
  [3912] = {.lex_state = 560, .external_lex_state = 2},
  [3913] = {.lex_state = 560, .external_lex_state = 2},
  [3914] = {.lex_state = 560, .external_lex_state = 2},
  [3915] = {.lex_state = 560, .external_lex_state = 2},
  [3916] = {.lex_state = 560, .external_lex_state = 2},
  [3917] = {.lex_state = 560, .external_lex_state = 2},
  [3918] = {.lex_state = 560, .external_lex_state = 2},
  [3919] = {.lex_state = 560, .external_lex_state = 2},
  [3920] = {.lex_state = 560, .external_lex_state = 2},
  [3921] = {.lex_state = 560, .external_lex_state = 2},
  [3922] = {.lex_state = 560, .external_lex_state = 2},
  [3923] = {.lex_state = 560, .external_lex_state = 2},
  [3924] = {.lex_state = 560, .external_lex_state = 2},
  [3925] = {.lex_state = 560, .external_lex_state = 2},
  [3926] = {.lex_state = 560, .external_lex_state = 2},
  [3927] = {.lex_state = 560, .external_lex_state = 2},
  [3928] = {.lex_state = 560, .external_lex_state = 2},
  [3929] = {.lex_state = 560, .external_lex_state = 2},
  [3930] = {.lex_state = 560, .external_lex_state = 2},
  [3931] = {.lex_state = 560, .external_lex_state = 2},
  [3932] = {.lex_state = 560, .external_lex_state = 2},
  [3933] = {.lex_state = 560, .external_lex_state = 2},
  [3934] = {.lex_state = 560, .external_lex_state = 2},
  [3935] = {.lex_state = 560, .external_lex_state = 2},
  [3936] = {.lex_state = 560, .external_lex_state = 2},
  [3937] = {.lex_state = 560, .external_lex_state = 2},
  [3938] = {.lex_state = 560, .external_lex_state = 2},
  [3939] = {.lex_state = 560, .external_lex_state = 2},
  [3940] = {.lex_state = 560, .external_lex_state = 2},
  [3941] = {.lex_state = 560, .external_lex_state = 2},
  [3942] = {.lex_state = 560, .external_lex_state = 2},
  [3943] = {.lex_state = 560, .external_lex_state = 2},
  [3944] = {.lex_state = 560, .external_lex_state = 2},
  [3945] = {.lex_state = 560, .external_lex_state = 2},
  [3946] = {.lex_state = 560, .external_lex_state = 2},
  [3947] = {.lex_state = 560, .external_lex_state = 2},
  [3948] = {.lex_state = 560, .external_lex_state = 2},
  [3949] = {.lex_state = 560, .external_lex_state = 2},
  [3950] = {.lex_state = 560, .external_lex_state = 2},
  [3951] = {.lex_state = 560, .external_lex_state = 2},
  [3952] = {.lex_state = 560, .external_lex_state = 2},
  [3953] = {.lex_state = 560, .external_lex_state = 2},
  [3954] = {.lex_state = 560, .external_lex_state = 2},
  [3955] = {.lex_state = 560, .external_lex_state = 2},
  [3956] = {.lex_state = 560, .external_lex_state = 2},
  [3957] = {.lex_state = 560, .external_lex_state = 2},
  [3958] = {.lex_state = 560, .external_lex_state = 2},
  [3959] = {.lex_state = 560, .external_lex_state = 2},
  [3960] = {.lex_state = 560, .external_lex_state = 2},
  [3961] = {.lex_state = 560, .external_lex_state = 2},
  [3962] = {.lex_state = 560, .external_lex_state = 2},
  [3963] = {.lex_state = 560, .external_lex_state = 2},
  [3964] = {.lex_state = 560, .external_lex_state = 2},
  [3965] = {.lex_state = 560, .external_lex_state = 2},
  [3966] = {.lex_state = 560, .external_lex_state = 2},
  [3967] = {.lex_state = 560, .external_lex_state = 2},
  [3968] = {.lex_state = 560, .external_lex_state = 2},
  [3969] = {.lex_state = 560, .external_lex_state = 2},
  [3970] = {.lex_state = 560, .external_lex_state = 2},
  [3971] = {.lex_state = 560, .external_lex_state = 2},
  [3972] = {.lex_state = 560, .external_lex_state = 2},
  [3973] = {.lex_state = 560, .external_lex_state = 2},
  [3974] = {.lex_state = 560, .external_lex_state = 2},
  [3975] = {.lex_state = 560, .external_lex_state = 2},
  [3976] = {.lex_state = 560, .external_lex_state = 2},
  [3977] = {.lex_state = 560, .external_lex_state = 2},
  [3978] = {.lex_state = 560, .external_lex_state = 2},
  [3979] = {.lex_state = 560, .external_lex_state = 2},
  [3980] = {.lex_state = 560, .external_lex_state = 2},
  [3981] = {.lex_state = 560, .external_lex_state = 2},
  [3982] = {.lex_state = 560, .external_lex_state = 2},
  [3983] = {.lex_state = 560, .external_lex_state = 2},
  [3984] = {.lex_state = 560, .external_lex_state = 2},
  [3985] = {.lex_state = 560, .external_lex_state = 2},
  [3986] = {.lex_state = 560, .external_lex_state = 2},
  [3987] = {.lex_state = 560, .external_lex_state = 2},
  [3988] = {.lex_state = 560, .external_lex_state = 2},
  [3989] = {.lex_state = 560, .external_lex_state = 2},
  [3990] = {.lex_state = 560, .external_lex_state = 2},
  [3991] = {.lex_state = 560, .external_lex_state = 2},
  [3992] = {.lex_state = 560, .external_lex_state = 2},
  [3993] = {.lex_state = 560, .external_lex_state = 2},
  [3994] = {.lex_state = 560, .external_lex_state = 2},
  [3995] = {.lex_state = 560, .external_lex_state = 2},
  [3996] = {.lex_state = 560, .external_lex_state = 2},
  [3997] = {.lex_state = 560, .external_lex_state = 2},
  [3998] = {.lex_state = 560, .external_lex_state = 2},
  [3999] = {.lex_state = 560, .external_lex_state = 2},
  [4000] = {.lex_state = 560, .external_lex_state = 2},
  [4001] = {.lex_state = 560, .external_lex_state = 2},
  [4002] = {.lex_state = 560, .external_lex_state = 2},
  [4003] = {.lex_state = 560, .external_lex_state = 2},
  [4004] = {.lex_state = 560, .external_lex_state = 2},
  [4005] = {.lex_state = 560, .external_lex_state = 2},
  [4006] = {.lex_state = 560, .external_lex_state = 2},
  [4007] = {.lex_state = 560, .external_lex_state = 2},
  [4008] = {.lex_state = 560, .external_lex_state = 2},
  [4009] = {.lex_state = 560, .external_lex_state = 2},
  [4010] = {.lex_state = 560, .external_lex_state = 2},
  [4011] = {.lex_state = 560, .external_lex_state = 2},
  [4012] = {.lex_state = 560, .external_lex_state = 2},
  [4013] = {.lex_state = 560, .external_lex_state = 2},
  [4014] = {.lex_state = 560, .external_lex_state = 2},
  [4015] = {.lex_state = 560, .external_lex_state = 2},
  [4016] = {.lex_state = 560, .external_lex_state = 2},
  [4017] = {.lex_state = 560, .external_lex_state = 2},
  [4018] = {.lex_state = 560, .external_lex_state = 2},
  [4019] = {.lex_state = 560, .external_lex_state = 2},
  [4020] = {.lex_state = 560, .external_lex_state = 2},
  [4021] = {.lex_state = 560, .external_lex_state = 2},
  [4022] = {.lex_state = 560, .external_lex_state = 2},
  [4023] = {.lex_state = 560, .external_lex_state = 2},
  [4024] = {.lex_state = 560, .external_lex_state = 2},
  [4025] = {.lex_state = 560, .external_lex_state = 2},
  [4026] = {.lex_state = 560, .external_lex_state = 2},
  [4027] = {.lex_state = 560, .external_lex_state = 2},
  [4028] = {.lex_state = 560, .external_lex_state = 2},
  [4029] = {.lex_state = 560, .external_lex_state = 2},
  [4030] = {.lex_state = 560, .external_lex_state = 2},
  [4031] = {.lex_state = 560, .external_lex_state = 2},
  [4032] = {.lex_state = 560, .external_lex_state = 2},
  [4033] = {.lex_state = 560, .external_lex_state = 2},
  [4034] = {.lex_state = 560, .external_lex_state = 2},
  [4035] = {.lex_state = 560, .external_lex_state = 2},
  [4036] = {.lex_state = 560, .external_lex_state = 2},
  [4037] = {.lex_state = 560, .external_lex_state = 2},
  [4038] = {.lex_state = 560, .external_lex_state = 2},
  [4039] = {.lex_state = 560, .external_lex_state = 2},
  [4040] = {.lex_state = 560, .external_lex_state = 2},
  [4041] = {.lex_state = 560, .external_lex_state = 2},
  [4042] = {.lex_state = 560, .external_lex_state = 2},
  [4043] = {.lex_state = 560, .external_lex_state = 2},
  [4044] = {.lex_state = 560, .external_lex_state = 2},
  [4045] = {.lex_state = 560, .external_lex_state = 2},
  [4046] = {.lex_state = 560, .external_lex_state = 2},
  [4047] = {.lex_state = 560, .external_lex_state = 2},
  [4048] = {.lex_state = 560, .external_lex_state = 2},
  [4049] = {.lex_state = 560, .external_lex_state = 2},
  [4050] = {.lex_state = 560, .external_lex_state = 2},
  [4051] = {.lex_state = 560, .external_lex_state = 2},
  [4052] = {.lex_state = 560, .external_lex_state = 2},
  [4053] = {.lex_state = 560, .external_lex_state = 2},
  [4054] = {.lex_state = 560, .external_lex_state = 2},
  [4055] = {.lex_state = 560, .external_lex_state = 2},
  [4056] = {.lex_state = 560, .external_lex_state = 2},
  [4057] = {.lex_state = 560, .external_lex_state = 2},
  [4058] = {.lex_state = 560, .external_lex_state = 2},
  [4059] = {.lex_state = 560, .external_lex_state = 2},
  [4060] = {.lex_state = 560, .external_lex_state = 2},
  [4061] = {.lex_state = 560, .external_lex_state = 2},
  [4062] = {.lex_state = 560, .external_lex_state = 2},
  [4063] = {.lex_state = 560, .external_lex_state = 2},
  [4064] = {.lex_state = 560, .external_lex_state = 2},
  [4065] = {.lex_state = 560, .external_lex_state = 2},
  [4066] = {.lex_state = 560, .external_lex_state = 2},
  [4067] = {.lex_state = 560, .external_lex_state = 2},
  [4068] = {.lex_state = 560, .external_lex_state = 2},
  [4069] = {.lex_state = 560, .external_lex_state = 2},
  [4070] = {.lex_state = 560, .external_lex_state = 2},
  [4071] = {.lex_state = 560, .external_lex_state = 2},
  [4072] = {.lex_state = 560, .external_lex_state = 2},
  [4073] = {.lex_state = 560, .external_lex_state = 2},
  [4074] = {.lex_state = 560, .external_lex_state = 2},
  [4075] = {.lex_state = 560, .external_lex_state = 2},
  [4076] = {.lex_state = 560, .external_lex_state = 2},
  [4077] = {.lex_state = 560, .external_lex_state = 2},
  [4078] = {.lex_state = 560, .external_lex_state = 2},
  [4079] = {.lex_state = 560, .external_lex_state = 2},
  [4080] = {.lex_state = 560, .external_lex_state = 2},
  [4081] = {.lex_state = 560, .external_lex_state = 2},
  [4082] = {.lex_state = 560, .external_lex_state = 2},
  [4083] = {.lex_state = 560, .external_lex_state = 2},
  [4084] = {.lex_state = 560, .external_lex_state = 2},
  [4085] = {.lex_state = 560, .external_lex_state = 2},
  [4086] = {.lex_state = 560, .external_lex_state = 2},
  [4087] = {.lex_state = 560, .external_lex_state = 2},
  [4088] = {.lex_state = 560, .external_lex_state = 2},
  [4089] = {.lex_state = 560, .external_lex_state = 2},
  [4090] = {.lex_state = 560, .external_lex_state = 2},
  [4091] = {.lex_state = 560, .external_lex_state = 2},
  [4092] = {.lex_state = 560, .external_lex_state = 2},
  [4093] = {.lex_state = 560, .external_lex_state = 2},
  [4094] = {.lex_state = 560, .external_lex_state = 2},
  [4095] = {.lex_state = 560, .external_lex_state = 2},
  [4096] = {.lex_state = 560, .external_lex_state = 2},
  [4097] = {.lex_state = 560, .external_lex_state = 2},
  [4098] = {.lex_state = 560, .external_lex_state = 2},
  [4099] = {.lex_state = 560, .external_lex_state = 2},
  [4100] = {.lex_state = 560, .external_lex_state = 2},
  [4101] = {.lex_state = 560, .external_lex_state = 2},
  [4102] = {.lex_state = 560, .external_lex_state = 2},
  [4103] = {.lex_state = 560, .external_lex_state = 2},
  [4104] = {.lex_state = 560, .external_lex_state = 2},
  [4105] = {.lex_state = 560, .external_lex_state = 2},
  [4106] = {.lex_state = 560, .external_lex_state = 2},
  [4107] = {.lex_state = 560, .external_lex_state = 2},
  [4108] = {.lex_state = 560, .external_lex_state = 2},
  [4109] = {.lex_state = 560, .external_lex_state = 2},
  [4110] = {.lex_state = 560, .external_lex_state = 2},
  [4111] = {.lex_state = 560, .external_lex_state = 2},
  [4112] = {.lex_state = 560, .external_lex_state = 2},
  [4113] = {.lex_state = 560, .external_lex_state = 2},
  [4114] = {.lex_state = 560, .external_lex_state = 2},
  [4115] = {.lex_state = 560, .external_lex_state = 2},
  [4116] = {.lex_state = 560, .external_lex_state = 2},
  [4117] = {.lex_state = 560, .external_lex_state = 2},
  [4118] = {.lex_state = 560, .external_lex_state = 2},
  [4119] = {.lex_state = 560, .external_lex_state = 2},
  [4120] = {.lex_state = 560, .external_lex_state = 2},
  [4121] = {.lex_state = 560, .external_lex_state = 2},
  [4122] = {.lex_state = 560, .external_lex_state = 2},
  [4123] = {.lex_state = 560, .external_lex_state = 2},
  [4124] = {.lex_state = 560, .external_lex_state = 2},
  [4125] = {.lex_state = 560, .external_lex_state = 2},
  [4126] = {.lex_state = 560, .external_lex_state = 2},
  [4127] = {.lex_state = 560, .external_lex_state = 2},
  [4128] = {.lex_state = 560, .external_lex_state = 2},
  [4129] = {.lex_state = 560, .external_lex_state = 2},
  [4130] = {.lex_state = 560, .external_lex_state = 2},
  [4131] = {.lex_state = 560, .external_lex_state = 2},
  [4132] = {.lex_state = 560, .external_lex_state = 2},
  [4133] = {.lex_state = 560, .external_lex_state = 2},
  [4134] = {.lex_state = 560, .external_lex_state = 2},
  [4135] = {.lex_state = 560, .external_lex_state = 2},
  [4136] = {.lex_state = 560, .external_lex_state = 2},
  [4137] = {.lex_state = 560, .external_lex_state = 2},
  [4138] = {.lex_state = 560, .external_lex_state = 2},
  [4139] = {.lex_state = 560, .external_lex_state = 2},
  [4140] = {.lex_state = 560, .external_lex_state = 2},
  [4141] = {.lex_state = 560, .external_lex_state = 2},
  [4142] = {.lex_state = 560, .external_lex_state = 2},
  [4143] = {.lex_state = 560, .external_lex_state = 2},
  [4144] = {.lex_state = 560, .external_lex_state = 2},
  [4145] = {.lex_state = 560, .external_lex_state = 2},
  [4146] = {.lex_state = 560, .external_lex_state = 2},
  [4147] = {.lex_state = 560, .external_lex_state = 2},
  [4148] = {.lex_state = 560, .external_lex_state = 2},
  [4149] = {.lex_state = 560, .external_lex_state = 2},
  [4150] = {.lex_state = 560, .external_lex_state = 2},
  [4151] = {.lex_state = 560, .external_lex_state = 2},
  [4152] = {.lex_state = 560, .external_lex_state = 2},
  [4153] = {.lex_state = 560, .external_lex_state = 2},
  [4154] = {.lex_state = 560, .external_lex_state = 2},
  [4155] = {.lex_state = 560, .external_lex_state = 2},
  [4156] = {.lex_state = 560, .external_lex_state = 2},
  [4157] = {.lex_state = 560, .external_lex_state = 2},
  [4158] = {.lex_state = 560, .external_lex_state = 2},
  [4159] = {.lex_state = 560, .external_lex_state = 2},
  [4160] = {.lex_state = 560, .external_lex_state = 2},
  [4161] = {.lex_state = 560, .external_lex_state = 2},
  [4162] = {.lex_state = 560, .external_lex_state = 2},
  [4163] = {.lex_state = 560, .external_lex_state = 2},
  [4164] = {.lex_state = 560, .external_lex_state = 2},
  [4165] = {.lex_state = 560, .external_lex_state = 2},
  [4166] = {.lex_state = 560, .external_lex_state = 2},
  [4167] = {.lex_state = 560, .external_lex_state = 2},
  [4168] = {.lex_state = 560, .external_lex_state = 2},
  [4169] = {.lex_state = 560, .external_lex_state = 2},
  [4170] = {.lex_state = 560, .external_lex_state = 2},
  [4171] = {.lex_state = 560, .external_lex_state = 2},
  [4172] = {.lex_state = 560, .external_lex_state = 2},
  [4173] = {.lex_state = 560, .external_lex_state = 2},
  [4174] = {.lex_state = 560, .external_lex_state = 2},
  [4175] = {.lex_state = 560, .external_lex_state = 2},
  [4176] = {.lex_state = 560, .external_lex_state = 2},
  [4177] = {.lex_state = 560, .external_lex_state = 2},
  [4178] = {.lex_state = 560, .external_lex_state = 2},
  [4179] = {.lex_state = 560, .external_lex_state = 2},
  [4180] = {.lex_state = 560, .external_lex_state = 2},
  [4181] = {.lex_state = 560, .external_lex_state = 2},
  [4182] = {.lex_state = 560, .external_lex_state = 2},
  [4183] = {.lex_state = 560, .external_lex_state = 2},
  [4184] = {.lex_state = 560, .external_lex_state = 2},
  [4185] = {.lex_state = 560, .external_lex_state = 2},
  [4186] = {.lex_state = 560, .external_lex_state = 2},
  [4187] = {.lex_state = 560, .external_lex_state = 2},
  [4188] = {.lex_state = 560, .external_lex_state = 2},
  [4189] = {.lex_state = 560, .external_lex_state = 2},
  [4190] = {.lex_state = 560, .external_lex_state = 2},
  [4191] = {.lex_state = 560, .external_lex_state = 2},
  [4192] = {.lex_state = 560, .external_lex_state = 2},
  [4193] = {.lex_state = 560, .external_lex_state = 2},
  [4194] = {.lex_state = 560, .external_lex_state = 2},
  [4195] = {.lex_state = 560, .external_lex_state = 2},
  [4196] = {.lex_state = 560, .external_lex_state = 2},
  [4197] = {.lex_state = 560, .external_lex_state = 2},
  [4198] = {.lex_state = 560, .external_lex_state = 2},
  [4199] = {.lex_state = 560, .external_lex_state = 2},
  [4200] = {.lex_state = 560, .external_lex_state = 2},
  [4201] = {.lex_state = 560, .external_lex_state = 2},
  [4202] = {.lex_state = 560, .external_lex_state = 2},
  [4203] = {.lex_state = 560, .external_lex_state = 2},
  [4204] = {.lex_state = 560, .external_lex_state = 2},
  [4205] = {.lex_state = 560, .external_lex_state = 2},
  [4206] = {.lex_state = 560, .external_lex_state = 2},
  [4207] = {.lex_state = 560, .external_lex_state = 2},
  [4208] = {.lex_state = 560, .external_lex_state = 2},
  [4209] = {.lex_state = 560, .external_lex_state = 2},
  [4210] = {.lex_state = 560, .external_lex_state = 2},
  [4211] = {.lex_state = 560, .external_lex_state = 2},
  [4212] = {.lex_state = 560, .external_lex_state = 2},
  [4213] = {.lex_state = 560, .external_lex_state = 2},
  [4214] = {.lex_state = 560, .external_lex_state = 2},
  [4215] = {.lex_state = 560, .external_lex_state = 2},
  [4216] = {.lex_state = 560, .external_lex_state = 2},
  [4217] = {.lex_state = 560, .external_lex_state = 2},
  [4218] = {.lex_state = 560, .external_lex_state = 2},
  [4219] = {.lex_state = 560, .external_lex_state = 2},
  [4220] = {.lex_state = 560, .external_lex_state = 2},
  [4221] = {.lex_state = 560, .external_lex_state = 2},
  [4222] = {.lex_state = 560, .external_lex_state = 2},
  [4223] = {.lex_state = 560, .external_lex_state = 2},
  [4224] = {.lex_state = 560, .external_lex_state = 2},
  [4225] = {.lex_state = 560, .external_lex_state = 2},
  [4226] = {.lex_state = 560, .external_lex_state = 2},
  [4227] = {.lex_state = 560, .external_lex_state = 2},
  [4228] = {.lex_state = 560, .external_lex_state = 2},
  [4229] = {.lex_state = 560, .external_lex_state = 2},
  [4230] = {.lex_state = 560, .external_lex_state = 2},
  [4231] = {.lex_state = 560, .external_lex_state = 2},
  [4232] = {.lex_state = 560, .external_lex_state = 2},
  [4233] = {.lex_state = 560, .external_lex_state = 2},
  [4234] = {.lex_state = 560, .external_lex_state = 2},
  [4235] = {.lex_state = 560, .external_lex_state = 2},
  [4236] = {.lex_state = 560, .external_lex_state = 2},
  [4237] = {.lex_state = 560, .external_lex_state = 2},
  [4238] = {.lex_state = 560, .external_lex_state = 2},
  [4239] = {.lex_state = 560, .external_lex_state = 2},
  [4240] = {.lex_state = 560, .external_lex_state = 2},
  [4241] = {.lex_state = 560, .external_lex_state = 2},
  [4242] = {.lex_state = 560, .external_lex_state = 2},
  [4243] = {.lex_state = 502, .external_lex_state = 4},
  [4244] = {.lex_state = 24, .external_lex_state = 4},
  [4245] = {.lex_state = 27, .external_lex_state = 4},
  [4246] = {.lex_state = 18, .external_lex_state = 4},
  [4247] = {.lex_state = 19, .external_lex_state = 4},
  [4248] = {.lex_state = 25, .external_lex_state = 4},
  [4249] = {.lex_state = 313, .external_lex_state = 4},
  [4250] = {.lex_state = 4, .external_lex_state = 4},
  [4251] = {.lex_state = 26, .external_lex_state = 4},
  [4252] = {.lex_state = 88, .external_lex_state = 2},
  [4253] = {.lex_state = 90, .external_lex_state = 2},
  [4254] = {.lex_state = 514, .external_lex_state = 2},
  [4255] = {.lex_state = 89, .external_lex_state = 2},
  [4256] = {.lex_state = 325, .external_lex_state = 2},
  [4257] = {.lex_state = 82, .external_lex_state = 2},
  [4258] = {.lex_state = 83, .external_lex_state = 2},
  [4259] = {.lex_state = 513, .external_lex_state = 2},
  [4260] = {.lex_state = 75, .external_lex_state = 2},
  [4261] = {.lex_state = 64, .external_lex_state = 4},
  [4262] = {.lex_state = 508, .external_lex_state = 4},
  [4263] = {.lex_state = 67, .external_lex_state = 4},
  [4264] = {.lex_state = 321, .external_lex_state = 4},
  [4265] = {.lex_state = 63, .external_lex_state = 4},
  [4266] = {.lex_state = 62, .external_lex_state = 4},
  [4267] = {.lex_state = 65, .external_lex_state = 4},
  [4268] = {.lex_state = 37, .external_lex_state = 4},
  [4269] = {.lex_state = 66, .external_lex_state = 4},
  [4270] = {.lex_state = 499, .external_lex_state = 3},
  [4271] = {.lex_state = 7, .external_lex_state = 3},
  [4272] = {.lex_state = 499, .external_lex_state = 3},
  [4273] = {.lex_state = 499, .external_lex_state = 3},
  [4274] = {.lex_state = 503, .external_lex_state = 3},
  [4275] = {.lex_state = 503, .external_lex_state = 3},
  [4276] = {.lex_state = 7, .external_lex_state = 3},
  [4277] = {.lex_state = 7, .external_lex_state = 3},
  [4278] = {.lex_state = 503, .external_lex_state = 3},
  [4279] = {.lex_state = 24, .external_lex_state = 3},
  [4280] = {.lex_state = 108, .external_lex_state = 3},
  [4281] = {.lex_state = 23, .external_lex_state = 4},
  [4282] = {.lex_state = 501, .external_lex_state = 4},
  [4283] = {.lex_state = 517, .external_lex_state = 3},
  [4284] = {.lex_state = 501, .external_lex_state = 4},
  [4285] = {.lex_state = 6, .external_lex_state = 3},
  [4286] = {.lex_state = 24, .external_lex_state = 3},
  [4287] = {.lex_state = 6, .external_lex_state = 3},
  [4288] = {.lex_state = 516, .external_lex_state = 4},
  [4289] = {.lex_state = 517, .external_lex_state = 3},
  [4290] = {.lex_state = 108, .external_lex_state = 3},
  [4291] = {.lex_state = 105, .external_lex_state = 3},
  [4292] = {.lex_state = 5, .external_lex_state = 3},
  [4293] = {.lex_state = 516, .external_lex_state = 4},
  [4294] = {.lex_state = 516, .external_lex_state = 4},
  [4295] = {.lex_state = 310, .external_lex_state = 3},
  [4296] = {.lex_state = 517, .external_lex_state = 3},
  [4297] = {.lex_state = 24, .external_lex_state = 3},
  [4298] = {.lex_state = 24, .external_lex_state = 3},
  [4299] = {.lex_state = 104, .external_lex_state = 4},
  [4300] = {.lex_state = 108, .external_lex_state = 3},
  [4301] = {.lex_state = 104, .external_lex_state = 4},
  [4302] = {.lex_state = 23, .external_lex_state = 4},
  [4303] = {.lex_state = 27, .external_lex_state = 3},
  [4304] = {.lex_state = 104, .external_lex_state = 4},
  [4305] = {.lex_state = 104, .external_lex_state = 4},
  [4306] = {.lex_state = 105, .external_lex_state = 3},
  [4307] = {.lex_state = 27, .external_lex_state = 3},
  [4308] = {.lex_state = 6, .external_lex_state = 3},
  [4309] = {.lex_state = 27, .external_lex_state = 3},
  [4310] = {.lex_state = 23, .external_lex_state = 4},
  [4311] = {.lex_state = 501, .external_lex_state = 4},
  [4312] = {.lex_state = 502, .external_lex_state = 3},
  [4313] = {.lex_state = 517, .external_lex_state = 3},
  [4314] = {.lex_state = 108, .external_lex_state = 3},
  [4315] = {.lex_state = 105, .external_lex_state = 3},
  [4316] = {.lex_state = 516, .external_lex_state = 4},
  [4317] = {.lex_state = 502, .external_lex_state = 3},
  [4318] = {.lex_state = 501, .external_lex_state = 4},
  [4319] = {.lex_state = 517, .external_lex_state = 3},
  [4320] = {.lex_state = 27, .external_lex_state = 3},
  [4321] = {.lex_state = 8, .external_lex_state = 3},
  [4322] = {.lex_state = 108, .external_lex_state = 3},
  [4323] = {.lex_state = 101, .external_lex_state = 4},
  [4324] = {.lex_state = 20, .external_lex_state = 4},
  [4325] = {.lex_state = 101, .external_lex_state = 4},
  [4326] = {.lex_state = 20, .external_lex_state = 4},
  [4327] = {.lex_state = 101, .external_lex_state = 4},
  [4328] = {.lex_state = 101, .external_lex_state = 4},
  [4329] = {.lex_state = 20, .external_lex_state = 4},
  [4330] = {.lex_state = 502, .external_lex_state = 3},
  [4331] = {.lex_state = 105, .external_lex_state = 3},
  [4332] = {.lex_state = 5, .external_lex_state = 3},
  [4333] = {.lex_state = 8, .external_lex_state = 3},
  [4334] = {.lex_state = 5, .external_lex_state = 3},
  [4335] = {.lex_state = 23, .external_lex_state = 4},
  [4336] = {.lex_state = 502, .external_lex_state = 3},
  [4337] = {.lex_state = 20, .external_lex_state = 4},
  [4338] = {.lex_state = 8, .external_lex_state = 3},
  [4339] = {.lex_state = 105, .external_lex_state = 3},
  [4340] = {.lex_state = 97, .external_lex_state = 4},
  [4341] = {.lex_state = 15, .external_lex_state = 4},
  [4342] = {.lex_state = 512, .external_lex_state = 4},
  [4343] = {.lex_state = 24, .external_lex_state = 4},
  [4344] = {.lex_state = 105, .external_lex_state = 4},
  [4345] = {.lex_state = 503, .external_lex_state = 4},
  [4346] = {.lex_state = 503, .external_lex_state = 4},
  [4347] = {.lex_state = 105, .external_lex_state = 4},
  [4348] = {.lex_state = 517, .external_lex_state = 4},
  [4349] = {.lex_state = 312, .external_lex_state = 4},
  [4350] = {.lex_state = 517, .external_lex_state = 4},
  [4351] = {.lex_state = 20, .external_lex_state = 4},
  [4352] = {.lex_state = 517, .external_lex_state = 4},
  [4353] = {.lex_state = 517, .external_lex_state = 4},
  [4354] = {.lex_state = 105, .external_lex_state = 4},
  [4355] = {.lex_state = 313, .external_lex_state = 3},
  [4356] = {.lex_state = 312, .external_lex_state = 4},
  [4357] = {.lex_state = 100, .external_lex_state = 3},
  [4358] = {.lex_state = 20, .external_lex_state = 4},
  [4359] = {.lex_state = 105, .external_lex_state = 4},
  [4360] = {.lex_state = 500, .external_lex_state = 4},
  [4361] = {.lex_state = 328, .external_lex_state = 3},
  [4362] = {.lex_state = 502, .external_lex_state = 4},
  [4363] = {.lex_state = 502, .external_lex_state = 4},
  [4364] = {.lex_state = 501, .external_lex_state = 4},
  [4365] = {.lex_state = 501, .external_lex_state = 4},
  [4366] = {.lex_state = 7, .external_lex_state = 4},
  [4367] = {.lex_state = 501, .external_lex_state = 4},
  [4368] = {.lex_state = 503, .external_lex_state = 4},
  [4369] = {.lex_state = 23, .external_lex_state = 4},
  [4370] = {.lex_state = 499, .external_lex_state = 4},
  [4371] = {.lex_state = 328, .external_lex_state = 3},
  [4372] = {.lex_state = 23, .external_lex_state = 4},
  [4373] = {.lex_state = 23, .external_lex_state = 4},
  [4374] = {.lex_state = 18, .external_lex_state = 3},
  [4375] = {.lex_state = 23, .external_lex_state = 4},
  [4376] = {.lex_state = 23, .external_lex_state = 4},
  [4377] = {.lex_state = 23, .external_lex_state = 4},
  [4378] = {.lex_state = 104, .external_lex_state = 4},
  [4379] = {.lex_state = 104, .external_lex_state = 4},
  [4380] = {.lex_state = 104, .external_lex_state = 4},
  [4381] = {.lex_state = 312, .external_lex_state = 4},
  [4382] = {.lex_state = 104, .external_lex_state = 4},
  [4383] = {.lex_state = 104, .external_lex_state = 4},
  [4384] = {.lex_state = 502, .external_lex_state = 4},
  [4385] = {.lex_state = 502, .external_lex_state = 4},
  [4386] = {.lex_state = 104, .external_lex_state = 4},
  [4387] = {.lex_state = 23, .external_lex_state = 4},
  [4388] = {.lex_state = 23, .external_lex_state = 4},
  [4389] = {.lex_state = 501, .external_lex_state = 4},
  [4390] = {.lex_state = 501, .external_lex_state = 4},
  [4391] = {.lex_state = 23, .external_lex_state = 4},
  [4392] = {.lex_state = 104, .external_lex_state = 4},
  [4393] = {.lex_state = 104, .external_lex_state = 4},
  [4394] = {.lex_state = 501, .external_lex_state = 4},
  [4395] = {.lex_state = 501, .external_lex_state = 4},
  [4396] = {.lex_state = 104, .external_lex_state = 4},
  [4397] = {.lex_state = 312, .external_lex_state = 4},
  [4398] = {.lex_state = 310, .external_lex_state = 3},
  [4399] = {.lex_state = 9, .external_lex_state = 3},
  [4400] = {.lex_state = 501, .external_lex_state = 4},
  [4401] = {.lex_state = 501, .external_lex_state = 4},
  [4402] = {.lex_state = 104, .external_lex_state = 4},
  [4403] = {.lex_state = 501, .external_lex_state = 4},
  [4404] = {.lex_state = 23, .external_lex_state = 4},
  [4405] = {.lex_state = 106, .external_lex_state = 3},
  [4406] = {.lex_state = 24, .external_lex_state = 4},
  [4407] = {.lex_state = 20, .external_lex_state = 4},
  [4408] = {.lex_state = 499, .external_lex_state = 4},
  [4409] = {.lex_state = 88, .external_lex_state = 3},
  [4410] = {.lex_state = 99, .external_lex_state = 3},
  [4411] = {.lex_state = 9, .external_lex_state = 3},
  [4412] = {.lex_state = 310, .external_lex_state = 3},
  [4413] = {.lex_state = 20, .external_lex_state = 4},
  [4414] = {.lex_state = 88, .external_lex_state = 3},
  [4415] = {.lex_state = 20, .external_lex_state = 4},
  [4416] = {.lex_state = 503, .external_lex_state = 4},
  [4417] = {.lex_state = 102, .external_lex_state = 4},
  [4418] = {.lex_state = 97, .external_lex_state = 4},
  [4419] = {.lex_state = 101, .external_lex_state = 4},
  [4420] = {.lex_state = 19, .external_lex_state = 3},
  [4421] = {.lex_state = 114, .external_lex_state = 4},
  [4422] = {.lex_state = 514, .external_lex_state = 3},
  [4423] = {.lex_state = 101, .external_lex_state = 4},
  [4424] = {.lex_state = 101, .external_lex_state = 4},
  [4425] = {.lex_state = 503, .external_lex_state = 4},
  [4426] = {.lex_state = 97, .external_lex_state = 4},
  [4427] = {.lex_state = 16, .external_lex_state = 4},
  [4428] = {.lex_state = 106, .external_lex_state = 3},
  [4429] = {.lex_state = 102, .external_lex_state = 4},
  [4430] = {.lex_state = 101, .external_lex_state = 4},
  [4431] = {.lex_state = 101, .external_lex_state = 4},
  [4432] = {.lex_state = 101, .external_lex_state = 4},
  [4433] = {.lex_state = 20, .external_lex_state = 4},
  [4434] = {.lex_state = 16, .external_lex_state = 4},
  [4435] = {.lex_state = 328, .external_lex_state = 3},
  [4436] = {.lex_state = 20, .external_lex_state = 4},
  [4437] = {.lex_state = 1, .external_lex_state = 3},
  [4438] = {.lex_state = 1, .external_lex_state = 3},
  [4439] = {.lex_state = 514, .external_lex_state = 3},
  [4440] = {.lex_state = 84, .external_lex_state = 4},
  [4441] = {.lex_state = 101, .external_lex_state = 4},
  [4442] = {.lex_state = 106, .external_lex_state = 3},
  [4443] = {.lex_state = 101, .external_lex_state = 4},
  [4444] = {.lex_state = 101, .external_lex_state = 4},
  [4445] = {.lex_state = 16, .external_lex_state = 4},
  [4446] = {.lex_state = 499, .external_lex_state = 4},
  [4447] = {.lex_state = 7, .external_lex_state = 3},
  [4448] = {.lex_state = 18, .external_lex_state = 3},
  [4449] = {.lex_state = 499, .external_lex_state = 4},
  [4450] = {.lex_state = 25, .external_lex_state = 3},
  [4451] = {.lex_state = 12, .external_lex_state = 4},
  [4452] = {.lex_state = 98, .external_lex_state = 4},
  [4453] = {.lex_state = 90, .external_lex_state = 3},
  [4454] = {.lex_state = 499, .external_lex_state = 4},
  [4455] = {.lex_state = 18, .external_lex_state = 3},
  [4456] = {.lex_state = 88, .external_lex_state = 3},
  [4457] = {.lex_state = 84, .external_lex_state = 4},
  [4458] = {.lex_state = 313, .external_lex_state = 3},
  [4459] = {.lex_state = 7, .external_lex_state = 4},
  [4460] = {.lex_state = 7, .external_lex_state = 4},
  [4461] = {.lex_state = 101, .external_lex_state = 4},
  [4462] = {.lex_state = 99, .external_lex_state = 3},
  [4463] = {.lex_state = 503, .external_lex_state = 4},
  [4464] = {.lex_state = 7, .external_lex_state = 4},
  [4465] = {.lex_state = 9, .external_lex_state = 3},
  [4466] = {.lex_state = 516, .external_lex_state = 4},
  [4467] = {.lex_state = 98, .external_lex_state = 4},
  [4468] = {.lex_state = 102, .external_lex_state = 4},
  [4469] = {.lex_state = 97, .external_lex_state = 4},
  [4470] = {.lex_state = 84, .external_lex_state = 4},
  [4471] = {.lex_state = 7, .external_lex_state = 4},
  [4472] = {.lex_state = 20, .external_lex_state = 4},
  [4473] = {.lex_state = 313, .external_lex_state = 3},
  [4474] = {.lex_state = 90, .external_lex_state = 3},
  [4475] = {.lex_state = 503, .external_lex_state = 4},
  [4476] = {.lex_state = 108, .external_lex_state = 4},
  [4477] = {.lex_state = 108, .external_lex_state = 4},
  [4478] = {.lex_state = 108, .external_lex_state = 4},
  [4479] = {.lex_state = 108, .external_lex_state = 4},
  [4480] = {.lex_state = 100, .external_lex_state = 3},
  [4481] = {.lex_state = 84, .external_lex_state = 4},
  [4482] = {.lex_state = 20, .external_lex_state = 4},
  [4483] = {.lex_state = 7, .external_lex_state = 4},
  [4484] = {.lex_state = 18, .external_lex_state = 3},
  [4485] = {.lex_state = 499, .external_lex_state = 4},
  [4486] = {.lex_state = 516, .external_lex_state = 4},
  [4487] = {.lex_state = 512, .external_lex_state = 4},
  [4488] = {.lex_state = 106, .external_lex_state = 3},
  [4489] = {.lex_state = 27, .external_lex_state = 4},
  [4490] = {.lex_state = 98, .external_lex_state = 4},
  [4491] = {.lex_state = 501, .external_lex_state = 4},
  [4492] = {.lex_state = 27, .external_lex_state = 4},
  [4493] = {.lex_state = 100, .external_lex_state = 3},
  [4494] = {.lex_state = 100, .external_lex_state = 3},
  [4495] = {.lex_state = 98, .external_lex_state = 4},
  [4496] = {.lex_state = 27, .external_lex_state = 4},
  [4497] = {.lex_state = 88, .external_lex_state = 3},
  [4498] = {.lex_state = 90, .external_lex_state = 3},
  [4499] = {.lex_state = 102, .external_lex_state = 4},
  [4500] = {.lex_state = 19, .external_lex_state = 3},
  [4501] = {.lex_state = 27, .external_lex_state = 4},
  [4502] = {.lex_state = 23, .external_lex_state = 4},
  [4503] = {.lex_state = 99, .external_lex_state = 3},
  [4504] = {.lex_state = 25, .external_lex_state = 3},
  [4505] = {.lex_state = 23, .external_lex_state = 4},
  [4506] = {.lex_state = 111, .external_lex_state = 4},
  [4507] = {.lex_state = 1, .external_lex_state = 3},
  [4508] = {.lex_state = 106, .external_lex_state = 3},
  [4509] = {.lex_state = 16, .external_lex_state = 4},
  [4510] = {.lex_state = 327, .external_lex_state = 4},
  [4511] = {.lex_state = 512, .external_lex_state = 4},
  [4512] = {.lex_state = 514, .external_lex_state = 3},
  [4513] = {.lex_state = 328, .external_lex_state = 3},
  [4514] = {.lex_state = 327, .external_lex_state = 4},
  [4515] = {.lex_state = 512, .external_lex_state = 4},
  [4516] = {.lex_state = 90, .external_lex_state = 3},
  [4517] = {.lex_state = 518, .external_lex_state = 4},
  [4518] = {.lex_state = 104, .external_lex_state = 4},
  [4519] = {.lex_state = 501, .external_lex_state = 4},
  [4520] = {.lex_state = 20, .external_lex_state = 4},
  [4521] = {.lex_state = 327, .external_lex_state = 4},
  [4522] = {.lex_state = 20, .external_lex_state = 4},
  [4523] = {.lex_state = 88, .external_lex_state = 3},
  [4524] = {.lex_state = 499, .external_lex_state = 4},
  [4525] = {.lex_state = 20, .external_lex_state = 4},
  [4526] = {.lex_state = 327, .external_lex_state = 4},
  [4527] = {.lex_state = 514, .external_lex_state = 3},
  [4528] = {.lex_state = 100, .external_lex_state = 3},
  [4529] = {.lex_state = 104, .external_lex_state = 4},
  [4530] = {.lex_state = 516, .external_lex_state = 4},
  [4531] = {.lex_state = 87, .external_lex_state = 4},
  [4532] = {.lex_state = 313, .external_lex_state = 3},
  [4533] = {.lex_state = 21, .external_lex_state = 4},
  [4534] = {.lex_state = 90, .external_lex_state = 3},
  [4535] = {.lex_state = 87, .external_lex_state = 4},
  [4536] = {.lex_state = 17, .external_lex_state = 4},
  [4537] = {.lex_state = 516, .external_lex_state = 4},
  [4538] = {.lex_state = 516, .external_lex_state = 4},
  [4539] = {.lex_state = 516, .external_lex_state = 4},
  [4540] = {.lex_state = 19, .external_lex_state = 3},
  [4541] = {.lex_state = 17, .external_lex_state = 4},
  [4542] = {.lex_state = 101, .external_lex_state = 4},
  [4543] = {.lex_state = 21, .external_lex_state = 4},
  [4544] = {.lex_state = 87, .external_lex_state = 4},
  [4545] = {.lex_state = 7, .external_lex_state = 4},
  [4546] = {.lex_state = 24, .external_lex_state = 4},
  [4547] = {.lex_state = 24, .external_lex_state = 4},
  [4548] = {.lex_state = 516, .external_lex_state = 4},
  [4549] = {.lex_state = 514, .external_lex_state = 3},
  [4550] = {.lex_state = 516, .external_lex_state = 4},
  [4551] = {.lex_state = 101, .external_lex_state = 4},
  [4552] = {.lex_state = 516, .external_lex_state = 4},
  [4553] = {.lex_state = 87, .external_lex_state = 4},
  [4554] = {.lex_state = 516, .external_lex_state = 4},
  [4555] = {.lex_state = 516, .external_lex_state = 4},
  [4556] = {.lex_state = 516, .external_lex_state = 4},
  [4557] = {.lex_state = 328, .external_lex_state = 3},
  [4558] = {.lex_state = 99, .external_lex_state = 3},
  [4559] = {.lex_state = 19, .external_lex_state = 3},
  [4560] = {.lex_state = 17, .external_lex_state = 4},
  [4561] = {.lex_state = 21, .external_lex_state = 4},
  [4562] = {.lex_state = 25, .external_lex_state = 3},
  [4563] = {.lex_state = 21, .external_lex_state = 4},
  [4564] = {.lex_state = 25, .external_lex_state = 3},
  [4565] = {.lex_state = 99, .external_lex_state = 3},
  [4566] = {.lex_state = 17, .external_lex_state = 4},
  [4567] = {.lex_state = 105, .external_lex_state = 4},
  [4568] = {.lex_state = 27, .external_lex_state = 4},
  [4569] = {.lex_state = 325, .external_lex_state = 3},
  [4570] = {.lex_state = 107, .external_lex_state = 3},
  [4571] = {.lex_state = 84, .external_lex_state = 4},
  [4572] = {.lex_state = 24, .external_lex_state = 4},
  [4573] = {.lex_state = 24, .external_lex_state = 4},
  [4574] = {.lex_state = 27, .external_lex_state = 4},
  [4575] = {.lex_state = 87, .external_lex_state = 4},
  [4576] = {.lex_state = 502, .external_lex_state = 4},
  [4577] = {.lex_state = 105, .external_lex_state = 4},
  [4578] = {.lex_state = 324, .external_lex_state = 4},
  [4579] = {.lex_state = 27, .external_lex_state = 4},
  [4580] = {.lex_state = 310, .external_lex_state = 3},
  [4581] = {.lex_state = 108, .external_lex_state = 4},
  [4582] = {.lex_state = 27, .external_lex_state = 4},
  [4583] = {.lex_state = 327, .external_lex_state = 4},
  [4584] = {.lex_state = 5, .external_lex_state = 4},
  [4585] = {.lex_state = 27, .external_lex_state = 4},
  [4586] = {.lex_state = 27, .external_lex_state = 4},
  [4587] = {.lex_state = 27, .external_lex_state = 4},
  [4588] = {.lex_state = 327, .external_lex_state = 4},
  [4589] = {.lex_state = 327, .external_lex_state = 4},
  [4590] = {.lex_state = 27, .external_lex_state = 4},
  [4591] = {.lex_state = 27, .external_lex_state = 4},
  [4592] = {.lex_state = 84, .external_lex_state = 4},
  [4593] = {.lex_state = 325, .external_lex_state = 3},
  [4594] = {.lex_state = 80, .external_lex_state = 4},
  [4595] = {.lex_state = 324, .external_lex_state = 4},
  [4596] = {.lex_state = 502, .external_lex_state = 4},
  [4597] = {.lex_state = 105, .external_lex_state = 4},
  [4598] = {.lex_state = 108, .external_lex_state = 4},
  [4599] = {.lex_state = 27, .external_lex_state = 4},
  [4600] = {.lex_state = 27, .external_lex_state = 4},
  [4601] = {.lex_state = 27, .external_lex_state = 4},
  [4602] = {.lex_state = 327, .external_lex_state = 4},
  [4603] = {.lex_state = 499, .external_lex_state = 3},
  [4604] = {.lex_state = 502, .external_lex_state = 4},
  [4605] = {.lex_state = 515, .external_lex_state = 4},
  [4606] = {.lex_state = 27, .external_lex_state = 4},
  [4607] = {.lex_state = 27, .external_lex_state = 4},
  [4608] = {.lex_state = 327, .external_lex_state = 4},
  [4609] = {.lex_state = 327, .external_lex_state = 4},
  [4610] = {.lex_state = 27, .external_lex_state = 4},
  [4611] = {.lex_state = 27, .external_lex_state = 4},
  [4612] = {.lex_state = 512, .external_lex_state = 4},
  [4613] = {.lex_state = 80, .external_lex_state = 4},
  [4614] = {.lex_state = 105, .external_lex_state = 4},
  [4615] = {.lex_state = 24, .external_lex_state = 4},
  [4616] = {.lex_state = 517, .external_lex_state = 4},
  [4617] = {.lex_state = 24, .external_lex_state = 4},
  [4618] = {.lex_state = 502, .external_lex_state = 4},
  [4619] = {.lex_state = 24, .external_lex_state = 4},
  [4620] = {.lex_state = 105, .external_lex_state = 4},
  [4621] = {.lex_state = 27, .external_lex_state = 4},
  [4622] = {.lex_state = 27, .external_lex_state = 4},
  [4623] = {.lex_state = 24, .external_lex_state = 4},
  [4624] = {.lex_state = 27, .external_lex_state = 4},
  [4625] = {.lex_state = 27, .external_lex_state = 4},
  [4626] = {.lex_state = 327, .external_lex_state = 4},
  [4627] = {.lex_state = 27, .external_lex_state = 4},
  [4628] = {.lex_state = 105, .external_lex_state = 4},
  [4629] = {.lex_state = 327, .external_lex_state = 4},
  [4630] = {.lex_state = 27, .external_lex_state = 4},
  [4631] = {.lex_state = 8, .external_lex_state = 4},
  [4632] = {.lex_state = 327, .external_lex_state = 4},
  [4633] = {.lex_state = 108, .external_lex_state = 4},
  [4634] = {.lex_state = 82, .external_lex_state = 3},
  [4635] = {.lex_state = 80, .external_lex_state = 4},
  [4636] = {.lex_state = 82, .external_lex_state = 3},
  [4637] = {.lex_state = 83, .external_lex_state = 3},
  [4638] = {.lex_state = 502, .external_lex_state = 4},
  [4639] = {.lex_state = 77, .external_lex_state = 4},
  [4640] = {.lex_state = 98, .external_lex_state = 4},
  [4641] = {.lex_state = 80, .external_lex_state = 4},
  [4642] = {.lex_state = 105, .external_lex_state = 4},
  [4643] = {.lex_state = 27, .external_lex_state = 4},
  [4644] = {.lex_state = 78, .external_lex_state = 3},
  [4645] = {.lex_state = 27, .external_lex_state = 4},
  [4646] = {.lex_state = 312, .external_lex_state = 4},
  [4647] = {.lex_state = 8, .external_lex_state = 4},
  [4648] = {.lex_state = 77, .external_lex_state = 4},
  [4649] = {.lex_state = 517, .external_lex_state = 4},
  [4650] = {.lex_state = 327, .external_lex_state = 4},
  [4651] = {.lex_state = 27, .external_lex_state = 4},
  [4652] = {.lex_state = 27, .external_lex_state = 4},
  [4653] = {.lex_state = 502, .external_lex_state = 4},
  [4654] = {.lex_state = 502, .external_lex_state = 4},
  [4655] = {.lex_state = 24, .external_lex_state = 4},
  [4656] = {.lex_state = 502, .external_lex_state = 4},
  [4657] = {.lex_state = 24, .external_lex_state = 4},
  [4658] = {.lex_state = 502, .external_lex_state = 4},
  [4659] = {.lex_state = 502, .external_lex_state = 4},
  [4660] = {.lex_state = 78, .external_lex_state = 3},
  [4661] = {.lex_state = 105, .external_lex_state = 4},
  [4662] = {.lex_state = 105, .external_lex_state = 4},
  [4663] = {.lex_state = 27, .external_lex_state = 4},
  [4664] = {.lex_state = 502, .external_lex_state = 4},
  [4665] = {.lex_state = 87, .external_lex_state = 4},
  [4666] = {.lex_state = 27, .external_lex_state = 4},
  [4667] = {.lex_state = 27, .external_lex_state = 4},
  [4668] = {.lex_state = 502, .external_lex_state = 4},
  [4669] = {.lex_state = 517, .external_lex_state = 4},
  [4670] = {.lex_state = 312, .external_lex_state = 4},
  [4671] = {.lex_state = 312, .external_lex_state = 4},
  [4672] = {.lex_state = 8, .external_lex_state = 4},
  [4673] = {.lex_state = 517, .external_lex_state = 4},
  [4674] = {.lex_state = 312, .external_lex_state = 4},
  [4675] = {.lex_state = 108, .external_lex_state = 4},
  [4676] = {.lex_state = 311, .external_lex_state = 4},
  [4677] = {.lex_state = 108, .external_lex_state = 4},
  [4678] = {.lex_state = 108, .external_lex_state = 4},
  [4679] = {.lex_state = 105, .external_lex_state = 4},
  [4680] = {.lex_state = 93, .external_lex_state = 4},
  [4681] = {.lex_state = 105, .external_lex_state = 4},
  [4682] = {.lex_state = 105, .external_lex_state = 4},
  [4683] = {.lex_state = 17, .external_lex_state = 4},
  [4684] = {.lex_state = 105, .external_lex_state = 4},
  [4685] = {.lex_state = 324, .external_lex_state = 4},
  [4686] = {.lex_state = 105, .external_lex_state = 4},
  [4687] = {.lex_state = 105, .external_lex_state = 4},
  [4688] = {.lex_state = 105, .external_lex_state = 4},
  [4689] = {.lex_state = 22, .external_lex_state = 4},
  [4690] = {.lex_state = 8, .external_lex_state = 4},
  [4691] = {.lex_state = 105, .external_lex_state = 4},
  [4692] = {.lex_state = 105, .external_lex_state = 4},
  [4693] = {.lex_state = 105, .external_lex_state = 4},
  [4694] = {.lex_state = 77, .external_lex_state = 4},
  [4695] = {.lex_state = 87, .external_lex_state = 4},
  [4696] = {.lex_state = 87, .external_lex_state = 4},
  [4697] = {.lex_state = 26, .external_lex_state = 3},
  [4698] = {.lex_state = 517, .external_lex_state = 4},
  [4699] = {.lex_state = 105, .external_lex_state = 4},
  [4700] = {.lex_state = 105, .external_lex_state = 4},
  [4701] = {.lex_state = 22, .external_lex_state = 4},
  [4702] = {.lex_state = 105, .external_lex_state = 4},
  [4703] = {.lex_state = 325, .external_lex_state = 3},
  [4704] = {.lex_state = 105, .external_lex_state = 4},
  [4705] = {.lex_state = 502, .external_lex_state = 4},
  [4706] = {.lex_state = 105, .external_lex_state = 4},
  [4707] = {.lex_state = 312, .external_lex_state = 4},
  [4708] = {.lex_state = 8, .external_lex_state = 4},
  [4709] = {.lex_state = 312, .external_lex_state = 4},
  [4710] = {.lex_state = 87, .external_lex_state = 4},
  [4711] = {.lex_state = 27, .external_lex_state = 4},
  [4712] = {.lex_state = 108, .external_lex_state = 4},
  [4713] = {.lex_state = 105, .external_lex_state = 4},
  [4714] = {.lex_state = 102, .external_lex_state = 4},
  [4715] = {.lex_state = 27, .external_lex_state = 4},
  [4716] = {.lex_state = 312, .external_lex_state = 4},
  [4717] = {.lex_state = 5, .external_lex_state = 4},
  [4718] = {.lex_state = 105, .external_lex_state = 4},
  [4719] = {.lex_state = 517, .external_lex_state = 4},
  [4720] = {.lex_state = 514, .external_lex_state = 4},
  [4721] = {.lex_state = 105, .external_lex_state = 4},
  [4722] = {.lex_state = 514, .external_lex_state = 4},
  [4723] = {.lex_state = 17, .external_lex_state = 4},
  [4724] = {.lex_state = 105, .external_lex_state = 4},
  [4725] = {.lex_state = 21, .external_lex_state = 4},
  [4726] = {.lex_state = 87, .external_lex_state = 4},
  [4727] = {.lex_state = 105, .external_lex_state = 4},
  [4728] = {.lex_state = 105, .external_lex_state = 4},
  [4729] = {.lex_state = 24, .external_lex_state = 4},
  [4730] = {.lex_state = 105, .external_lex_state = 4},
  [4731] = {.lex_state = 105, .external_lex_state = 4},
  [4732] = {.lex_state = 105, .external_lex_state = 4},
  [4733] = {.lex_state = 108, .external_lex_state = 4},
  [4734] = {.lex_state = 105, .external_lex_state = 4},
  [4735] = {.lex_state = 312, .external_lex_state = 4},
  [4736] = {.lex_state = 24, .external_lex_state = 4},
  [4737] = {.lex_state = 108, .external_lex_state = 4},
  [4738] = {.lex_state = 312, .external_lex_state = 4},
  [4739] = {.lex_state = 77, .external_lex_state = 4},
  [4740] = {.lex_state = 105, .external_lex_state = 4},
  [4741] = {.lex_state = 105, .external_lex_state = 4},
  [4742] = {.lex_state = 105, .external_lex_state = 4},
  [4743] = {.lex_state = 87, .external_lex_state = 4},
  [4744] = {.lex_state = 105, .external_lex_state = 4},
  [4745] = {.lex_state = 517, .external_lex_state = 4},
  [4746] = {.lex_state = 108, .external_lex_state = 4},
  [4747] = {.lex_state = 87, .external_lex_state = 4},
  [4748] = {.lex_state = 514, .external_lex_state = 4},
  [4749] = {.lex_state = 514, .external_lex_state = 4},
  [4750] = {.lex_state = 27, .external_lex_state = 4},
  [4751] = {.lex_state = 87, .external_lex_state = 4},
  [4752] = {.lex_state = 502, .external_lex_state = 4},
  [4753] = {.lex_state = 312, .external_lex_state = 4},
  [4754] = {.lex_state = 27, .external_lex_state = 4},
  [4755] = {.lex_state = 313, .external_lex_state = 4},
  [4756] = {.lex_state = 21, .external_lex_state = 4},
  [4757] = {.lex_state = 98, .external_lex_state = 4},
  [4758] = {.lex_state = 105, .external_lex_state = 4},
  [4759] = {.lex_state = 105, .external_lex_state = 4},
  [4760] = {.lex_state = 87, .external_lex_state = 4},
  [4761] = {.lex_state = 98, .external_lex_state = 4},
  [4762] = {.lex_state = 105, .external_lex_state = 4},
  [4763] = {.lex_state = 517, .external_lex_state = 4},
  [4764] = {.lex_state = 27, .external_lex_state = 4},
  [4765] = {.lex_state = 83, .external_lex_state = 3},
  [4766] = {.lex_state = 98, .external_lex_state = 4},
  [4767] = {.lex_state = 105, .external_lex_state = 4},
  [4768] = {.lex_state = 87, .external_lex_state = 4},
  [4769] = {.lex_state = 105, .external_lex_state = 4},
  [4770] = {.lex_state = 87, .external_lex_state = 4},
  [4771] = {.lex_state = 8, .external_lex_state = 4},
  [4772] = {.lex_state = 517, .external_lex_state = 4},
  [4773] = {.lex_state = 105, .external_lex_state = 4},
  [4774] = {.lex_state = 313, .external_lex_state = 4},
  [4775] = {.lex_state = 108, .external_lex_state = 4},
  [4776] = {.lex_state = 108, .external_lex_state = 4},
  [4777] = {.lex_state = 24, .external_lex_state = 4},
  [4778] = {.lex_state = 105, .external_lex_state = 4},
  [4779] = {.lex_state = 98, .external_lex_state = 4},
  [4780] = {.lex_state = 98, .external_lex_state = 4},
  [4781] = {.lex_state = 98, .external_lex_state = 4},
  [4782] = {.lex_state = 24, .external_lex_state = 4},
  [4783] = {.lex_state = 27, .external_lex_state = 4},
  [4784] = {.lex_state = 8, .external_lex_state = 4},
  [4785] = {.lex_state = 327, .external_lex_state = 4},
  [4786] = {.lex_state = 107, .external_lex_state = 3},
  [4787] = {.lex_state = 517, .external_lex_state = 4},
  [4788] = {.lex_state = 27, .external_lex_state = 4},
  [4789] = {.lex_state = 517, .external_lex_state = 4},
  [4790] = {.lex_state = 24, .external_lex_state = 4},
  [4791] = {.lex_state = 5, .external_lex_state = 4},
  [4792] = {.lex_state = 502, .external_lex_state = 4},
  [4793] = {.lex_state = 24, .external_lex_state = 4},
  [4794] = {.lex_state = 517, .external_lex_state = 4},
  [4795] = {.lex_state = 327, .external_lex_state = 4},
  [4796] = {.lex_state = 84, .external_lex_state = 4},
  [4797] = {.lex_state = 105, .external_lex_state = 4},
  [4798] = {.lex_state = 27, .external_lex_state = 4},
  [4799] = {.lex_state = 105, .external_lex_state = 4},
  [4800] = {.lex_state = 21, .external_lex_state = 4},
  [4801] = {.lex_state = 108, .external_lex_state = 4},
  [4802] = {.lex_state = 310, .external_lex_state = 3},
  [4803] = {.lex_state = 27, .external_lex_state = 4},
  [4804] = {.lex_state = 313, .external_lex_state = 4},
  [4805] = {.lex_state = 313, .external_lex_state = 4},
  [4806] = {.lex_state = 108, .external_lex_state = 4},
  [4807] = {.lex_state = 24, .external_lex_state = 4},
  [4808] = {.lex_state = 24, .external_lex_state = 4},
  [4809] = {.lex_state = 24, .external_lex_state = 4},
  [4810] = {.lex_state = 108, .external_lex_state = 4},
  [4811] = {.lex_state = 108, .external_lex_state = 4},
  [4812] = {.lex_state = 108, .external_lex_state = 4},
  [4813] = {.lex_state = 102, .external_lex_state = 4},
  [4814] = {.lex_state = 502, .external_lex_state = 4},
  [4815] = {.lex_state = 18, .external_lex_state = 4},
  [4816] = {.lex_state = 24, .external_lex_state = 4},
  [4817] = {.lex_state = 84, .external_lex_state = 4},
  [4818] = {.lex_state = 84, .external_lex_state = 4},
  [4819] = {.lex_state = 108, .external_lex_state = 4},
  [4820] = {.lex_state = 310, .external_lex_state = 4},
  [4821] = {.lex_state = 18, .external_lex_state = 4},
  [4822] = {.lex_state = 27, .external_lex_state = 4},
  [4823] = {.lex_state = 27, .external_lex_state = 4},
  [4824] = {.lex_state = 27, .external_lex_state = 4},
  [4825] = {.lex_state = 105, .external_lex_state = 4},
  [4826] = {.lex_state = 78, .external_lex_state = 3},
  [4827] = {.lex_state = 27, .external_lex_state = 4},
  [4828] = {.lex_state = 4, .external_lex_state = 3},
  [4829] = {.lex_state = 27, .external_lex_state = 4},
  [4830] = {.lex_state = 24, .external_lex_state = 4},
  [4831] = {.lex_state = 517, .external_lex_state = 4},
  [4832] = {.lex_state = 89, .external_lex_state = 3},
  [4833] = {.lex_state = 517, .external_lex_state = 4},
  [4834] = {.lex_state = 102, .external_lex_state = 4},
  [4835] = {.lex_state = 98, .external_lex_state = 4},
  [4836] = {.lex_state = 517, .external_lex_state = 4},
  [4837] = {.lex_state = 88, .external_lex_state = 4},
  [4838] = {.lex_state = 517, .external_lex_state = 4},
  [4839] = {.lex_state = 98, .external_lex_state = 4},
  [4840] = {.lex_state = 27, .external_lex_state = 4},
  [4841] = {.lex_state = 88, .external_lex_state = 4},
  [4842] = {.lex_state = 27, .external_lex_state = 4},
  [4843] = {.lex_state = 108, .external_lex_state = 4},
  [4844] = {.lex_state = 24, .external_lex_state = 4},
  [4845] = {.lex_state = 84, .external_lex_state = 4},
  [4846] = {.lex_state = 512, .external_lex_state = 4},
  [4847] = {.lex_state = 108, .external_lex_state = 4},
  [4848] = {.lex_state = 89, .external_lex_state = 3},
  [4849] = {.lex_state = 27, .external_lex_state = 4},
  [4850] = {.lex_state = 502, .external_lex_state = 4},
  [4851] = {.lex_state = 89, .external_lex_state = 3},
  [4852] = {.lex_state = 517, .external_lex_state = 4},
  [4853] = {.lex_state = 517, .external_lex_state = 4},
  [4854] = {.lex_state = 27, .external_lex_state = 4},
  [4855] = {.lex_state = 98, .external_lex_state = 4},
  [4856] = {.lex_state = 517, .external_lex_state = 4},
  [4857] = {.lex_state = 512, .external_lex_state = 4},
  [4858] = {.lex_state = 102, .external_lex_state = 4},
  [4859] = {.lex_state = 108, .external_lex_state = 4},
  [4860] = {.lex_state = 106, .external_lex_state = 4},
  [4861] = {.lex_state = 106, .external_lex_state = 4},
  [4862] = {.lex_state = 106, .external_lex_state = 4},
  [4863] = {.lex_state = 106, .external_lex_state = 4},
  [4864] = {.lex_state = 502, .external_lex_state = 4},
  [4865] = {.lex_state = 512, .external_lex_state = 4},
  [4866] = {.lex_state = 27, .external_lex_state = 4},
  [4867] = {.lex_state = 5, .external_lex_state = 4},
  [4868] = {.lex_state = 27, .external_lex_state = 4},
  [4869] = {.lex_state = 21, .external_lex_state = 4},
  [4870] = {.lex_state = 18, .external_lex_state = 4},
  [4871] = {.lex_state = 502, .external_lex_state = 4},
  [4872] = {.lex_state = 517, .external_lex_state = 4},
  [4873] = {.lex_state = 517, .external_lex_state = 4},
  [4874] = {.lex_state = 517, .external_lex_state = 4},
  [4875] = {.lex_state = 18, .external_lex_state = 4},
  [4876] = {.lex_state = 24, .external_lex_state = 4},
  [4877] = {.lex_state = 27, .external_lex_state = 4},
  [4878] = {.lex_state = 310, .external_lex_state = 4},
  [4879] = {.lex_state = 310, .external_lex_state = 4},
  [4880] = {.lex_state = 27, .external_lex_state = 4},
  [4881] = {.lex_state = 105, .external_lex_state = 4},
  [4882] = {.lex_state = 84, .external_lex_state = 4},
  [4883] = {.lex_state = 325, .external_lex_state = 3},
  [4884] = {.lex_state = 517, .external_lex_state = 4},
  [4885] = {.lex_state = 102, .external_lex_state = 4},
  [4886] = {.lex_state = 102, .external_lex_state = 4},
  [4887] = {.lex_state = 517, .external_lex_state = 4},
  [4888] = {.lex_state = 24, .external_lex_state = 4},
  [4889] = {.lex_state = 517, .external_lex_state = 4},
  [4890] = {.lex_state = 329, .external_lex_state = 4},
  [4891] = {.lex_state = 27, .external_lex_state = 4},
  [4892] = {.lex_state = 517, .external_lex_state = 4},
  [4893] = {.lex_state = 24, .external_lex_state = 4},
  [4894] = {.lex_state = 99, .external_lex_state = 4},
  [4895] = {.lex_state = 99, .external_lex_state = 4},
  [4896] = {.lex_state = 99, .external_lex_state = 4},
  [4897] = {.lex_state = 99, .external_lex_state = 4},
  [4898] = {.lex_state = 517, .external_lex_state = 4},
  [4899] = {.lex_state = 24, .external_lex_state = 4},
  [4900] = {.lex_state = 6, .external_lex_state = 4},
  [4901] = {.lex_state = 27, .external_lex_state = 4},
  [4902] = {.lex_state = 24, .external_lex_state = 4},
  [4903] = {.lex_state = 502, .external_lex_state = 4},
  [4904] = {.lex_state = 21, .external_lex_state = 4},
  [4905] = {.lex_state = 105, .external_lex_state = 4},
  [4906] = {.lex_state = 312, .external_lex_state = 4},
  [4907] = {.lex_state = 27, .external_lex_state = 4},
  [4908] = {.lex_state = 517, .external_lex_state = 4},
  [4909] = {.lex_state = 517, .external_lex_state = 4},
  [4910] = {.lex_state = 502, .external_lex_state = 4},
  [4911] = {.lex_state = 517, .external_lex_state = 4},
  [4912] = {.lex_state = 24, .external_lex_state = 4},
  [4913] = {.lex_state = 24, .external_lex_state = 4},
  [4914] = {.lex_state = 502, .external_lex_state = 4},
  [4915] = {.lex_state = 517, .external_lex_state = 4},
  [4916] = {.lex_state = 517, .external_lex_state = 4},
  [4917] = {.lex_state = 24, .external_lex_state = 4},
  [4918] = {.lex_state = 24, .external_lex_state = 4},
  [4919] = {.lex_state = 517, .external_lex_state = 4},
  [4920] = {.lex_state = 312, .external_lex_state = 4},
  [4921] = {.lex_state = 24, .external_lex_state = 4},
  [4922] = {.lex_state = 98, .external_lex_state = 4},
  [4923] = {.lex_state = 5, .external_lex_state = 4},
  [4924] = {.lex_state = 102, .external_lex_state = 4},
  [4925] = {.lex_state = 10, .external_lex_state = 4},
  [4926] = {.lex_state = 84, .external_lex_state = 4},
  [4927] = {.lex_state = 112, .external_lex_state = 4},
  [4928] = {.lex_state = 84, .external_lex_state = 4},
  [4929] = {.lex_state = 108, .external_lex_state = 4},
  [4930] = {.lex_state = 517, .external_lex_state = 4},
  [4931] = {.lex_state = 24, .external_lex_state = 4},
  [4932] = {.lex_state = 517, .external_lex_state = 4},
  [4933] = {.lex_state = 78, .external_lex_state = 3},
  [4934] = {.lex_state = 502, .external_lex_state = 4},
  [4935] = {.lex_state = 82, .external_lex_state = 3},
  [4936] = {.lex_state = 517, .external_lex_state = 4},
  [4937] = {.lex_state = 100, .external_lex_state = 4},
  [4938] = {.lex_state = 100, .external_lex_state = 4},
  [4939] = {.lex_state = 100, .external_lex_state = 4},
  [4940] = {.lex_state = 517, .external_lex_state = 4},
  [4941] = {.lex_state = 100, .external_lex_state = 4},
  [4942] = {.lex_state = 108, .external_lex_state = 4},
  [4943] = {.lex_state = 517, .external_lex_state = 4},
  [4944] = {.lex_state = 24, .external_lex_state = 4},
  [4945] = {.lex_state = 24, .external_lex_state = 4},
  [4946] = {.lex_state = 24, .external_lex_state = 4},
  [4947] = {.lex_state = 98, .external_lex_state = 4},
  [4948] = {.lex_state = 25, .external_lex_state = 4},
  [4949] = {.lex_state = 25, .external_lex_state = 4},
  [4950] = {.lex_state = 4, .external_lex_state = 3},
  [4951] = {.lex_state = 25, .external_lex_state = 4},
  [4952] = {.lex_state = 17, .external_lex_state = 4},
  [4953] = {.lex_state = 25, .external_lex_state = 4},
  [4954] = {.lex_state = 502, .external_lex_state = 4},
  [4955] = {.lex_state = 17, .external_lex_state = 4},
  [4956] = {.lex_state = 81, .external_lex_state = 4},
  [4957] = {.lex_state = 517, .external_lex_state = 4},
  [4958] = {.lex_state = 517, .external_lex_state = 4},
  [4959] = {.lex_state = 517, .external_lex_state = 4},
  [4960] = {.lex_state = 24, .external_lex_state = 4},
  [4961] = {.lex_state = 24, .external_lex_state = 4},
  [4962] = {.lex_state = 310, .external_lex_state = 4},
  [4963] = {.lex_state = 26, .external_lex_state = 3},
  [4964] = {.lex_state = 105, .external_lex_state = 4},
  [4965] = {.lex_state = 19, .external_lex_state = 4},
  [4966] = {.lex_state = 19, .external_lex_state = 4},
  [4967] = {.lex_state = 108, .external_lex_state = 4},
  [4968] = {.lex_state = 108, .external_lex_state = 4},
  [4969] = {.lex_state = 108, .external_lex_state = 4},
  [4970] = {.lex_state = 108, .external_lex_state = 4},
  [4971] = {.lex_state = 108, .external_lex_state = 4},
  [4972] = {.lex_state = 502, .external_lex_state = 4},
  [4973] = {.lex_state = 6, .external_lex_state = 4},
  [4974] = {.lex_state = 517, .external_lex_state = 4},
  [4975] = {.lex_state = 4, .external_lex_state = 3},
  [4976] = {.lex_state = 108, .external_lex_state = 4},
  [4977] = {.lex_state = 310, .external_lex_state = 4},
  [4978] = {.lex_state = 24, .external_lex_state = 4},
  [4979] = {.lex_state = 108, .external_lex_state = 4},
  [4980] = {.lex_state = 24, .external_lex_state = 4},
  [4981] = {.lex_state = 16, .external_lex_state = 4},
  [4982] = {.lex_state = 502, .external_lex_state = 4},
  [4983] = {.lex_state = 102, .external_lex_state = 4},
  [4984] = {.lex_state = 108, .external_lex_state = 4},
  [4985] = {.lex_state = 90, .external_lex_state = 4},
  [4986] = {.lex_state = 19, .external_lex_state = 4},
  [4987] = {.lex_state = 90, .external_lex_state = 4},
  [4988] = {.lex_state = 19, .external_lex_state = 4},
  [4989] = {.lex_state = 517, .external_lex_state = 4},
  [4990] = {.lex_state = 108, .external_lex_state = 4},
  [4991] = {.lex_state = 108, .external_lex_state = 4},
  [4992] = {.lex_state = 90, .external_lex_state = 4},
  [4993] = {.lex_state = 90, .external_lex_state = 4},
  [4994] = {.lex_state = 108, .external_lex_state = 4},
  [4995] = {.lex_state = 502, .external_lex_state = 4},
  [4996] = {.lex_state = 105, .external_lex_state = 4},
  [4997] = {.lex_state = 24, .external_lex_state = 4},
  [4998] = {.lex_state = 109, .external_lex_state = 4},
  [4999] = {.lex_state = 5, .external_lex_state = 4},
  [5000] = {.lex_state = 16, .external_lex_state = 4},
  [5001] = {.lex_state = 105, .external_lex_state = 4},
  [5002] = {.lex_state = 82, .external_lex_state = 3},
  [5003] = {.lex_state = 97, .external_lex_state = 4},
  [5004] = {.lex_state = 5, .external_lex_state = 4},
  [5005] = {.lex_state = 27, .external_lex_state = 4},
  [5006] = {.lex_state = 108, .external_lex_state = 4},
  [5007] = {.lex_state = 24, .external_lex_state = 4},
  [5008] = {.lex_state = 108, .external_lex_state = 4},
  [5009] = {.lex_state = 102, .external_lex_state = 4},
  [5010] = {.lex_state = 103, .external_lex_state = 4},
  [5011] = {.lex_state = 102, .external_lex_state = 4},
  [5012] = {.lex_state = 97, .external_lex_state = 4},
  [5013] = {.lex_state = 325, .external_lex_state = 3},
  [5014] = {.lex_state = 6, .external_lex_state = 4},
  [5015] = {.lex_state = 502, .external_lex_state = 4},
  [5016] = {.lex_state = 502, .external_lex_state = 4},
  [5017] = {.lex_state = 17, .external_lex_state = 4},
  [5018] = {.lex_state = 17, .external_lex_state = 4},
  [5019] = {.lex_state = 502, .external_lex_state = 4},
  [5020] = {.lex_state = 103, .external_lex_state = 4},
  [5021] = {.lex_state = 517, .external_lex_state = 4},
  [5022] = {.lex_state = 502, .external_lex_state = 4},
  [5023] = {.lex_state = 517, .external_lex_state = 4},
  [5024] = {.lex_state = 517, .external_lex_state = 4},
  [5025] = {.lex_state = 502, .external_lex_state = 4},
  [5026] = {.lex_state = 502, .external_lex_state = 4},
  [5027] = {.lex_state = 502, .external_lex_state = 4},
  [5028] = {.lex_state = 84, .external_lex_state = 4},
  [5029] = {.lex_state = 103, .external_lex_state = 4},
  [5030] = {.lex_state = 502, .external_lex_state = 4},
  [5031] = {.lex_state = 499, .external_lex_state = 3},
  [5032] = {.lex_state = 324, .external_lex_state = 4},
  [5033] = {.lex_state = 83, .external_lex_state = 3},
  [5034] = {.lex_state = 107, .external_lex_state = 3},
  [5035] = {.lex_state = 108, .external_lex_state = 4},
  [5036] = {.lex_state = 517, .external_lex_state = 4},
  [5037] = {.lex_state = 502, .external_lex_state = 4},
  [5038] = {.lex_state = 82, .external_lex_state = 3},
  [5039] = {.lex_state = 88, .external_lex_state = 4},
  [5040] = {.lex_state = 502, .external_lex_state = 4},
  [5041] = {.lex_state = 22, .external_lex_state = 4},
  [5042] = {.lex_state = 517, .external_lex_state = 4},
  [5043] = {.lex_state = 11, .external_lex_state = 4},
  [5044] = {.lex_state = 24, .external_lex_state = 4},
  [5045] = {.lex_state = 517, .external_lex_state = 4},
  [5046] = {.lex_state = 512, .external_lex_state = 4},
  [5047] = {.lex_state = 517, .external_lex_state = 4},
  [5048] = {.lex_state = 517, .external_lex_state = 4},
  [5049] = {.lex_state = 502, .external_lex_state = 4},
  [5050] = {.lex_state = 24, .external_lex_state = 4},
  [5051] = {.lex_state = 17, .external_lex_state = 4},
  [5052] = {.lex_state = 24, .external_lex_state = 4},
  [5053] = {.lex_state = 84, .external_lex_state = 4},
  [5054] = {.lex_state = 17, .external_lex_state = 4},
  [5055] = {.lex_state = 88, .external_lex_state = 4},
  [5056] = {.lex_state = 17, .external_lex_state = 4},
  [5057] = {.lex_state = 102, .external_lex_state = 4},
  [5058] = {.lex_state = 502, .external_lex_state = 4},
  [5059] = {.lex_state = 24, .external_lex_state = 4},
  [5060] = {.lex_state = 502, .external_lex_state = 4},
  [5061] = {.lex_state = 27, .external_lex_state = 4},
  [5062] = {.lex_state = 6, .external_lex_state = 4},
  [5063] = {.lex_state = 107, .external_lex_state = 3},
  [5064] = {.lex_state = 502, .external_lex_state = 4},
  [5065] = {.lex_state = 6, .external_lex_state = 4},
  [5066] = {.lex_state = 512, .external_lex_state = 4},
  [5067] = {.lex_state = 512, .external_lex_state = 4},
  [5068] = {.lex_state = 502, .external_lex_state = 4},
  [5069] = {.lex_state = 310, .external_lex_state = 4},
  [5070] = {.lex_state = 517, .external_lex_state = 4},
  [5071] = {.lex_state = 108, .external_lex_state = 4},
  [5072] = {.lex_state = 24, .external_lex_state = 4},
  [5073] = {.lex_state = 328, .external_lex_state = 4},
  [5074] = {.lex_state = 328, .external_lex_state = 4},
  [5075] = {.lex_state = 16, .external_lex_state = 4},
  [5076] = {.lex_state = 85, .external_lex_state = 4},
  [5077] = {.lex_state = 328, .external_lex_state = 4},
  [5078] = {.lex_state = 512, .external_lex_state = 4},
  [5079] = {.lex_state = 502, .external_lex_state = 4},
  [5080] = {.lex_state = 502, .external_lex_state = 4},
  [5081] = {.lex_state = 328, .external_lex_state = 4},
  [5082] = {.lex_state = 89, .external_lex_state = 3},
  [5083] = {.lex_state = 16, .external_lex_state = 4},
  [5084] = {.lex_state = 512, .external_lex_state = 4},
  [5085] = {.lex_state = 16, .external_lex_state = 4},
  [5086] = {.lex_state = 26, .external_lex_state = 3},
  [5087] = {.lex_state = 24, .external_lex_state = 4},
  [5088] = {.lex_state = 502, .external_lex_state = 4},
  [5089] = {.lex_state = 107, .external_lex_state = 3},
  [5090] = {.lex_state = 3, .external_lex_state = 4},
  [5091] = {.lex_state = 96, .external_lex_state = 4},
  [5092] = {.lex_state = 502, .external_lex_state = 4},
  [5093] = {.lex_state = 83, .external_lex_state = 3},
  [5094] = {.lex_state = 17, .external_lex_state = 4},
  [5095] = {.lex_state = 85, .external_lex_state = 4},
  [5096] = {.lex_state = 81, .external_lex_state = 4},
  [5097] = {.lex_state = 108, .external_lex_state = 4},
  [5098] = {.lex_state = 108, .external_lex_state = 4},
  [5099] = {.lex_state = 21, .external_lex_state = 4},
  [5100] = {.lex_state = 108, .external_lex_state = 4},
  [5101] = {.lex_state = 108, .external_lex_state = 4},
  [5102] = {.lex_state = 502, .external_lex_state = 4},
  [5103] = {.lex_state = 21, .external_lex_state = 4},
  [5104] = {.lex_state = 16, .external_lex_state = 4},
  [5105] = {.lex_state = 24, .external_lex_state = 4},
  [5106] = {.lex_state = 24, .external_lex_state = 4},
  [5107] = {.lex_state = 3, .external_lex_state = 4},
  [5108] = {.lex_state = 16, .external_lex_state = 4},
  [5109] = {.lex_state = 16, .external_lex_state = 4},
  [5110] = {.lex_state = 85, .external_lex_state = 4},
  [5111] = {.lex_state = 21, .external_lex_state = 4},
  [5112] = {.lex_state = 502, .external_lex_state = 4},
  [5113] = {.lex_state = 105, .external_lex_state = 4},
  [5114] = {.lex_state = 85, .external_lex_state = 4},
  [5115] = {.lex_state = 108, .external_lex_state = 4},
  [5116] = {.lex_state = 81, .external_lex_state = 4},
  [5117] = {.lex_state = 24, .external_lex_state = 4},
  [5118] = {.lex_state = 502, .external_lex_state = 4},
  [5119] = {.lex_state = 502, .external_lex_state = 4},
  [5120] = {.lex_state = 108, .external_lex_state = 4},
  [5121] = {.lex_state = 16, .external_lex_state = 4},
  [5122] = {.lex_state = 16, .external_lex_state = 4},
  [5123] = {.lex_state = 502, .external_lex_state = 4},
  [5124] = {.lex_state = 24, .external_lex_state = 4},
  [5125] = {.lex_state = 16, .external_lex_state = 4},
  [5126] = {.lex_state = 3, .external_lex_state = 4},
  [5127] = {.lex_state = 512, .external_lex_state = 4},
  [5128] = {.lex_state = 4, .external_lex_state = 3},
  [5129] = {.lex_state = 3, .external_lex_state = 4},
  [5130] = {.lex_state = 84, .external_lex_state = 4},
  [5131] = {.lex_state = 105, .external_lex_state = 4},
  [5132] = {.lex_state = 24, .external_lex_state = 4},
  [5133] = {.lex_state = 512, .external_lex_state = 4},
  [5134] = {.lex_state = 24, .external_lex_state = 4},
  [5135] = {.lex_state = 81, .external_lex_state = 4},
  [5136] = {.lex_state = 97, .external_lex_state = 4},
  [5137] = {.lex_state = 103, .external_lex_state = 4},
  [5138] = {.lex_state = 517, .external_lex_state = 4},
  [5139] = {.lex_state = 24, .external_lex_state = 4},
  [5140] = {.lex_state = 24, .external_lex_state = 4},
  [5141] = {.lex_state = 502, .external_lex_state = 4},
  [5142] = {.lex_state = 24, .external_lex_state = 4},
  [5143] = {.lex_state = 502, .external_lex_state = 4},
  [5144] = {.lex_state = 108, .external_lex_state = 4},
  [5145] = {.lex_state = 83, .external_lex_state = 3},
  [5146] = {.lex_state = 108, .external_lex_state = 4},
  [5147] = {.lex_state = 26, .external_lex_state = 3},
  [5148] = {.lex_state = 108, .external_lex_state = 4},
  [5149] = {.lex_state = 108, .external_lex_state = 4},
  [5150] = {.lex_state = 17, .external_lex_state = 4},
  [5151] = {.lex_state = 17, .external_lex_state = 4},
  [5152] = {.lex_state = 512, .external_lex_state = 4},
  [5153] = {.lex_state = 78, .external_lex_state = 3},
  [5154] = {.lex_state = 502, .external_lex_state = 4},
  [5155] = {.lex_state = 6, .external_lex_state = 4},
  [5156] = {.lex_state = 502, .external_lex_state = 4},
  [5157] = {.lex_state = 97, .external_lex_state = 4},
  [5158] = {.lex_state = 97, .external_lex_state = 4},
  [5159] = {.lex_state = 97, .external_lex_state = 4},
  [5160] = {.lex_state = 97, .external_lex_state = 4},
  [5161] = {.lex_state = 102, .external_lex_state = 4},
  [5162] = {.lex_state = 108, .external_lex_state = 4},
  [5163] = {.lex_state = 108, .external_lex_state = 4},
  [5164] = {.lex_state = 108, .external_lex_state = 4},
  [5165] = {.lex_state = 21, .external_lex_state = 4},
  [5166] = {.lex_state = 97, .external_lex_state = 4},
  [5167] = {.lex_state = 97, .external_lex_state = 4},
  [5168] = {.lex_state = 21, .external_lex_state = 4},
  [5169] = {.lex_state = 110, .external_lex_state = 4},
  [5170] = {.lex_state = 21, .external_lex_state = 4},
  [5171] = {.lex_state = 89, .external_lex_state = 3},
  [5172] = {.lex_state = 97, .external_lex_state = 4},
  [5173] = {.lex_state = 21, .external_lex_state = 4},
  [5174] = {.lex_state = 502, .external_lex_state = 4},
  [5175] = {.lex_state = 97, .external_lex_state = 4},
  [5176] = {.lex_state = 22, .external_lex_state = 4},
  [5177] = {.lex_state = 108, .external_lex_state = 4},
  [5178] = {.lex_state = 108, .external_lex_state = 4},
  [5179] = {.lex_state = 16, .external_lex_state = 4},
  [5180] = {.lex_state = 24, .external_lex_state = 4},
  [5181] = {.lex_state = 108, .external_lex_state = 4},
  [5182] = {.lex_state = 13, .external_lex_state = 4},
  [5183] = {.lex_state = 6, .external_lex_state = 4},
  [5184] = {.lex_state = 517, .external_lex_state = 4},
  [5185] = {.lex_state = 97, .external_lex_state = 4},
  [5186] = {.lex_state = 310, .external_lex_state = 4},
  [5187] = {.lex_state = 328, .external_lex_state = 4},
  [5188] = {.lex_state = 19, .external_lex_state = 4},
  [5189] = {.lex_state = 99, .external_lex_state = 4},
  [5190] = {.lex_state = 77, .external_lex_state = 4},
  [5191] = {.lex_state = 99, .external_lex_state = 4},
  [5192] = {.lex_state = 91, .external_lex_state = 4},
  [5193] = {.lex_state = 99, .external_lex_state = 4},
  [5194] = {.lex_state = 19, .external_lex_state = 4},
  [5195] = {.lex_state = 19, .external_lex_state = 4},
  [5196] = {.lex_state = 90, .external_lex_state = 4},
  [5197] = {.lex_state = 514, .external_lex_state = 4},
  [5198] = {.lex_state = 19, .external_lex_state = 4},
  [5199] = {.lex_state = 77, .external_lex_state = 4},
  [5200] = {.lex_state = 514, .external_lex_state = 4},
  [5201] = {.lex_state = 77, .external_lex_state = 4},
  [5202] = {.lex_state = 75, .external_lex_state = 3},
  [5203] = {.lex_state = 328, .external_lex_state = 4},
  [5204] = {.lex_state = 19, .external_lex_state = 4},
  [5205] = {.lex_state = 77, .external_lex_state = 4},
  [5206] = {.lex_state = 99, .external_lex_state = 4},
  [5207] = {.lex_state = 19, .external_lex_state = 4},
  [5208] = {.lex_state = 514, .external_lex_state = 4},
  [5209] = {.lex_state = 77, .external_lex_state = 4},
  [5210] = {.lex_state = 77, .external_lex_state = 4},
  [5211] = {.lex_state = 328, .external_lex_state = 4},
  [5212] = {.lex_state = 328, .external_lex_state = 4},
  [5213] = {.lex_state = 1, .external_lex_state = 4},
  [5214] = {.lex_state = 77, .external_lex_state = 4},
  [5215] = {.lex_state = 19, .external_lex_state = 4},
  [5216] = {.lex_state = 25, .external_lex_state = 4},
  [5217] = {.lex_state = 9, .external_lex_state = 4},
  [5218] = {.lex_state = 77, .external_lex_state = 4},
  [5219] = {.lex_state = 328, .external_lex_state = 4},
  [5220] = {.lex_state = 77, .external_lex_state = 4},
  [5221] = {.lex_state = 328, .external_lex_state = 4},
  [5222] = {.lex_state = 25, .external_lex_state = 4},
  [5223] = {.lex_state = 90, .external_lex_state = 4},
  [5224] = {.lex_state = 77, .external_lex_state = 4},
  [5225] = {.lex_state = 85, .external_lex_state = 4},
  [5226] = {.lex_state = 18, .external_lex_state = 4},
  [5227] = {.lex_state = 81, .external_lex_state = 4},
  [5228] = {.lex_state = 90, .external_lex_state = 4},
  [5229] = {.lex_state = 25, .external_lex_state = 4},
  [5230] = {.lex_state = 90, .external_lex_state = 4},
  [5231] = {.lex_state = 25, .external_lex_state = 4},
  [5232] = {.lex_state = 90, .external_lex_state = 4},
  [5233] = {.lex_state = 85, .external_lex_state = 4},
  [5234] = {.lex_state = 25, .external_lex_state = 4},
  [5235] = {.lex_state = 85, .external_lex_state = 4},
  [5236] = {.lex_state = 90, .external_lex_state = 4},
  [5237] = {.lex_state = 106, .external_lex_state = 4},
  [5238] = {.lex_state = 27, .external_lex_state = 4},
  [5239] = {.lex_state = 25, .external_lex_state = 4},
  [5240] = {.lex_state = 90, .external_lex_state = 4},
  [5241] = {.lex_state = 85, .external_lex_state = 4},
  [5242] = {.lex_state = 90, .external_lex_state = 4},
  [5243] = {.lex_state = 1, .external_lex_state = 4},
  [5244] = {.lex_state = 85, .external_lex_state = 4},
  [5245] = {.lex_state = 25, .external_lex_state = 4},
  [5246] = {.lex_state = 81, .external_lex_state = 4},
  [5247] = {.lex_state = 19, .external_lex_state = 4},
  [5248] = {.lex_state = 313, .external_lex_state = 4},
  [5249] = {.lex_state = 25, .external_lex_state = 4},
  [5250] = {.lex_state = 25, .external_lex_state = 4},
  [5251] = {.lex_state = 90, .external_lex_state = 4},
  [5252] = {.lex_state = 313, .external_lex_state = 4},
  [5253] = {.lex_state = 85, .external_lex_state = 4},
  [5254] = {.lex_state = 90, .external_lex_state = 4},
  [5255] = {.lex_state = 90, .external_lex_state = 4},
  [5256] = {.lex_state = 3, .external_lex_state = 4},
  [5257] = {.lex_state = 90, .external_lex_state = 4},
  [5258] = {.lex_state = 90, .external_lex_state = 4},
  [5259] = {.lex_state = 85, .external_lex_state = 4},
  [5260] = {.lex_state = 25, .external_lex_state = 4},
  [5261] = {.lex_state = 85, .external_lex_state = 4},
  [5262] = {.lex_state = 502, .external_lex_state = 4},
  [5263] = {.lex_state = 90, .external_lex_state = 4},
  [5264] = {.lex_state = 25, .external_lex_state = 4},
  [5265] = {.lex_state = 25, .external_lex_state = 4},
  [5266] = {.lex_state = 85, .external_lex_state = 4},
  [5267] = {.lex_state = 90, .external_lex_state = 4},
  [5268] = {.lex_state = 106, .external_lex_state = 4},
  [5269] = {.lex_state = 3, .external_lex_state = 4},
  [5270] = {.lex_state = 18, .external_lex_state = 4},
  [5271] = {.lex_state = 85, .external_lex_state = 4},
  [5272] = {.lex_state = 85, .external_lex_state = 4},
  [5273] = {.lex_state = 18, .external_lex_state = 4},
  [5274] = {.lex_state = 106, .external_lex_state = 4},
  [5275] = {.lex_state = 25, .external_lex_state = 4},
  [5276] = {.lex_state = 514, .external_lex_state = 4},
  [5277] = {.lex_state = 90, .external_lex_state = 4},
  [5278] = {.lex_state = 90, .external_lex_state = 4},
  [5279] = {.lex_state = 90, .external_lex_state = 4},
  [5280] = {.lex_state = 25, .external_lex_state = 4},
  [5281] = {.lex_state = 313, .external_lex_state = 4},
  [5282] = {.lex_state = 106, .external_lex_state = 4},
  [5283] = {.lex_state = 90, .external_lex_state = 4},
  [5284] = {.lex_state = 100, .external_lex_state = 4},
  [5285] = {.lex_state = 22, .external_lex_state = 4},
  [5286] = {.lex_state = 19, .external_lex_state = 4},
  [5287] = {.lex_state = 85, .external_lex_state = 4},
  [5288] = {.lex_state = 106, .external_lex_state = 4},
  [5289] = {.lex_state = 106, .external_lex_state = 4},
  [5290] = {.lex_state = 90, .external_lex_state = 4},
  [5291] = {.lex_state = 19, .external_lex_state = 4},
  [5292] = {.lex_state = 88, .external_lex_state = 4},
  [5293] = {.lex_state = 90, .external_lex_state = 4},
  [5294] = {.lex_state = 90, .external_lex_state = 4},
  [5295] = {.lex_state = 106, .external_lex_state = 4},
  [5296] = {.lex_state = 100, .external_lex_state = 4},
  [5297] = {.lex_state = 25, .external_lex_state = 4},
  [5298] = {.lex_state = 9, .external_lex_state = 3},
  [5299] = {.lex_state = 100, .external_lex_state = 4},
  [5300] = {.lex_state = 90, .external_lex_state = 4},
  [5301] = {.lex_state = 25, .external_lex_state = 4},
  [5302] = {.lex_state = 1, .external_lex_state = 4},
  [5303] = {.lex_state = 19, .external_lex_state = 4},
  [5304] = {.lex_state = 100, .external_lex_state = 4},
  [5305] = {.lex_state = 25, .external_lex_state = 4},
  [5306] = {.lex_state = 19, .external_lex_state = 4},
  [5307] = {.lex_state = 81, .external_lex_state = 4},
  [5308] = {.lex_state = 18, .external_lex_state = 4},
  [5309] = {.lex_state = 19, .external_lex_state = 4},
  [5310] = {.lex_state = 88, .external_lex_state = 4},
  [5311] = {.lex_state = 100, .external_lex_state = 4},
  [5312] = {.lex_state = 25, .external_lex_state = 4},
  [5313] = {.lex_state = 88, .external_lex_state = 4},
  [5314] = {.lex_state = 19, .external_lex_state = 4},
  [5315] = {.lex_state = 19, .external_lex_state = 4},
  [5316] = {.lex_state = 99, .external_lex_state = 4},
  [5317] = {.lex_state = 25, .external_lex_state = 4},
  [5318] = {.lex_state = 513, .external_lex_state = 3},
  [5319] = {.lex_state = 88, .external_lex_state = 4},
  [5320] = {.lex_state = 90, .external_lex_state = 4},
  [5321] = {.lex_state = 25, .external_lex_state = 4},
  [5322] = {.lex_state = 106, .external_lex_state = 4},
  [5323] = {.lex_state = 24, .external_lex_state = 4},
  [5324] = {.lex_state = 81, .external_lex_state = 4},
  [5325] = {.lex_state = 81, .external_lex_state = 4},
  [5326] = {.lex_state = 99, .external_lex_state = 4},
  [5327] = {.lex_state = 81, .external_lex_state = 4},
  [5328] = {.lex_state = 99, .external_lex_state = 4},
  [5329] = {.lex_state = 100, .external_lex_state = 4},
  [5330] = {.lex_state = 25, .external_lex_state = 4},
  [5331] = {.lex_state = 25, .external_lex_state = 4},
  [5332] = {.lex_state = 90, .external_lex_state = 4},
  [5333] = {.lex_state = 18, .external_lex_state = 4},
  [5334] = {.lex_state = 25, .external_lex_state = 4},
  [5335] = {.lex_state = 18, .external_lex_state = 4},
  [5336] = {.lex_state = 103, .external_lex_state = 4},
  [5337] = {.lex_state = 106, .external_lex_state = 4},
  [5338] = {.lex_state = 106, .external_lex_state = 4},
  [5339] = {.lex_state = 25, .external_lex_state = 4},
  [5340] = {.lex_state = 25, .external_lex_state = 4},
  [5341] = {.lex_state = 90, .external_lex_state = 4},
  [5342] = {.lex_state = 25, .external_lex_state = 4},
  [5343] = {.lex_state = 19, .external_lex_state = 4},
  [5344] = {.lex_state = 25, .external_lex_state = 4},
  [5345] = {.lex_state = 81, .external_lex_state = 4},
  [5346] = {.lex_state = 81, .external_lex_state = 4},
  [5347] = {.lex_state = 99, .external_lex_state = 4},
  [5348] = {.lex_state = 18, .external_lex_state = 4},
  [5349] = {.lex_state = 81, .external_lex_state = 4},
  [5350] = {.lex_state = 99, .external_lex_state = 4},
  [5351] = {.lex_state = 106, .external_lex_state = 4},
  [5352] = {.lex_state = 25, .external_lex_state = 4},
  [5353] = {.lex_state = 25, .external_lex_state = 4},
  [5354] = {.lex_state = 18, .external_lex_state = 4},
  [5355] = {.lex_state = 103, .external_lex_state = 4},
  [5356] = {.lex_state = 25, .external_lex_state = 4},
  [5357] = {.lex_state = 18, .external_lex_state = 4},
  [5358] = {.lex_state = 106, .external_lex_state = 4},
  [5359] = {.lex_state = 22, .external_lex_state = 4},
  [5360] = {.lex_state = 100, .external_lex_state = 4},
  [5361] = {.lex_state = 81, .external_lex_state = 4},
  [5362] = {.lex_state = 81, .external_lex_state = 4},
  [5363] = {.lex_state = 19, .external_lex_state = 4},
  [5364] = {.lex_state = 99, .external_lex_state = 4},
  [5365] = {.lex_state = 106, .external_lex_state = 4},
  [5366] = {.lex_state = 99, .external_lex_state = 4},
  [5367] = {.lex_state = 106, .external_lex_state = 4},
  [5368] = {.lex_state = 81, .external_lex_state = 4},
  [5369] = {.lex_state = 18, .external_lex_state = 4},
  [5370] = {.lex_state = 326, .external_lex_state = 4},
  [5371] = {.lex_state = 18, .external_lex_state = 4},
  [5372] = {.lex_state = 106, .external_lex_state = 4},
  [5373] = {.lex_state = 106, .external_lex_state = 4},
  [5374] = {.lex_state = 106, .external_lex_state = 4},
  [5375] = {.lex_state = 106, .external_lex_state = 4},
  [5376] = {.lex_state = 106, .external_lex_state = 4},
  [5377] = {.lex_state = 106, .external_lex_state = 4},
  [5378] = {.lex_state = 106, .external_lex_state = 4},
  [5379] = {.lex_state = 106, .external_lex_state = 4},
  [5380] = {.lex_state = 106, .external_lex_state = 4},
  [5381] = {.lex_state = 106, .external_lex_state = 4},
  [5382] = {.lex_state = 106, .external_lex_state = 4},
  [5383] = {.lex_state = 106, .external_lex_state = 4},
  [5384] = {.lex_state = 89, .external_lex_state = 4},
  [5385] = {.lex_state = 18, .external_lex_state = 4},
  [5386] = {.lex_state = 22, .external_lex_state = 4},
  [5387] = {.lex_state = 514, .external_lex_state = 4},
  [5388] = {.lex_state = 22, .external_lex_state = 4},
  [5389] = {.lex_state = 94, .external_lex_state = 4},
  [5390] = {.lex_state = 106, .external_lex_state = 4},
  [5391] = {.lex_state = 106, .external_lex_state = 4},
  [5392] = {.lex_state = 106, .external_lex_state = 4},
  [5393] = {.lex_state = 106, .external_lex_state = 4},
  [5394] = {.lex_state = 82, .external_lex_state = 4},
  [5395] = {.lex_state = 106, .external_lex_state = 4},
  [5396] = {.lex_state = 106, .external_lex_state = 4},
  [5397] = {.lex_state = 106, .external_lex_state = 4},
  [5398] = {.lex_state = 18, .external_lex_state = 4},
  [5399] = {.lex_state = 106, .external_lex_state = 4},
  [5400] = {.lex_state = 106, .external_lex_state = 4},
  [5401] = {.lex_state = 25, .external_lex_state = 4},
  [5402] = {.lex_state = 82, .external_lex_state = 4},
  [5403] = {.lex_state = 106, .external_lex_state = 4},
  [5404] = {.lex_state = 106, .external_lex_state = 4},
  [5405] = {.lex_state = 1, .external_lex_state = 4},
  [5406] = {.lex_state = 82, .external_lex_state = 4},
  [5407] = {.lex_state = 18, .external_lex_state = 4},
  [5408] = {.lex_state = 18, .external_lex_state = 4},
  [5409] = {.lex_state = 18, .external_lex_state = 4},
  [5410] = {.lex_state = 82, .external_lex_state = 4},
  [5411] = {.lex_state = 514, .external_lex_state = 4},
  [5412] = {.lex_state = 514, .external_lex_state = 4},
  [5413] = {.lex_state = 514, .external_lex_state = 4},
  [5414] = {.lex_state = 106, .external_lex_state = 4},
  [5415] = {.lex_state = 2, .external_lex_state = 4},
  [5416] = {.lex_state = 99, .external_lex_state = 4},
  [5417] = {.lex_state = 106, .external_lex_state = 4},
  [5418] = {.lex_state = 106, .external_lex_state = 4},
  [5419] = {.lex_state = 90, .external_lex_state = 4},
  [5420] = {.lex_state = 18, .external_lex_state = 4},
  [5421] = {.lex_state = 99, .external_lex_state = 4},
  [5422] = {.lex_state = 90, .external_lex_state = 4},
  [5423] = {.lex_state = 99, .external_lex_state = 4},
  [5424] = {.lex_state = 99, .external_lex_state = 4},
  [5425] = {.lex_state = 90, .external_lex_state = 4},
  [5426] = {.lex_state = 106, .external_lex_state = 4},
  [5427] = {.lex_state = 25, .external_lex_state = 4},
  [5428] = {.lex_state = 106, .external_lex_state = 4},
  [5429] = {.lex_state = 106, .external_lex_state = 4},
  [5430] = {.lex_state = 313, .external_lex_state = 4},
  [5431] = {.lex_state = 106, .external_lex_state = 4},
  [5432] = {.lex_state = 106, .external_lex_state = 4},
  [5433] = {.lex_state = 514, .external_lex_state = 4},
  [5434] = {.lex_state = 514, .external_lex_state = 4},
  [5435] = {.lex_state = 18, .external_lex_state = 4},
  [5436] = {.lex_state = 9, .external_lex_state = 4},
  [5437] = {.lex_state = 100, .external_lex_state = 4},
  [5438] = {.lex_state = 90, .external_lex_state = 4},
  [5439] = {.lex_state = 25, .external_lex_state = 4},
  [5440] = {.lex_state = 25, .external_lex_state = 4},
  [5441] = {.lex_state = 90, .external_lex_state = 4},
  [5442] = {.lex_state = 90, .external_lex_state = 4},
  [5443] = {.lex_state = 90, .external_lex_state = 4},
  [5444] = {.lex_state = 100, .external_lex_state = 4},
  [5445] = {.lex_state = 328, .external_lex_state = 4},
  [5446] = {.lex_state = 89, .external_lex_state = 4},
  [5447] = {.lex_state = 90, .external_lex_state = 4},
  [5448] = {.lex_state = 14, .external_lex_state = 4},
  [5449] = {.lex_state = 18, .external_lex_state = 4},
  [5450] = {.lex_state = 89, .external_lex_state = 4},
  [5451] = {.lex_state = 89, .external_lex_state = 4},
  [5452] = {.lex_state = 324, .external_lex_state = 4},
  [5453] = {.lex_state = 79, .external_lex_state = 4},
  [5454] = {.lex_state = 106, .external_lex_state = 4},
  [5455] = {.lex_state = 324, .external_lex_state = 4},
  [5456] = {.lex_state = 100, .external_lex_state = 4},
  [5457] = {.lex_state = 4, .external_lex_state = 4},
  [5458] = {.lex_state = 4, .external_lex_state = 4},
  [5459] = {.lex_state = 25, .external_lex_state = 4},
  [5460] = {.lex_state = 100, .external_lex_state = 4},
  [5461] = {.lex_state = 4, .external_lex_state = 4},
  [5462] = {.lex_state = 1, .external_lex_state = 4},
  [5463] = {.lex_state = 328, .external_lex_state = 4},
  [5464] = {.lex_state = 100, .external_lex_state = 4},
  [5465] = {.lex_state = 25, .external_lex_state = 4},
  [5466] = {.lex_state = 324, .external_lex_state = 4},
  [5467] = {.lex_state = 107, .external_lex_state = 4},
  [5468] = {.lex_state = 324, .external_lex_state = 4},
  [5469] = {.lex_state = 4, .external_lex_state = 4},
  [5470] = {.lex_state = 107, .external_lex_state = 4},
  [5471] = {.lex_state = 19, .external_lex_state = 4},
  [5472] = {.lex_state = 99, .external_lex_state = 4},
  [5473] = {.lex_state = 106, .external_lex_state = 4},
  [5474] = {.lex_state = 22, .external_lex_state = 4},
  [5475] = {.lex_state = 25, .external_lex_state = 4},
  [5476] = {.lex_state = 324, .external_lex_state = 4},
  [5477] = {.lex_state = 324, .external_lex_state = 4},
  [5478] = {.lex_state = 18, .external_lex_state = 4},
  [5479] = {.lex_state = 88, .external_lex_state = 4},
  [5480] = {.lex_state = 107, .external_lex_state = 4},
  [5481] = {.lex_state = 107, .external_lex_state = 4},
  [5482] = {.lex_state = 19, .external_lex_state = 4},
  [5483] = {.lex_state = 9, .external_lex_state = 4},
  [5484] = {.lex_state = 78, .external_lex_state = 4},
  [5485] = {.lex_state = 78, .external_lex_state = 4},
  [5486] = {.lex_state = 78, .external_lex_state = 4},
  [5487] = {.lex_state = 78, .external_lex_state = 4},
  [5488] = {.lex_state = 324, .external_lex_state = 4},
  [5489] = {.lex_state = 103, .external_lex_state = 4},
  [5490] = {.lex_state = 324, .external_lex_state = 4},
  [5491] = {.lex_state = 324, .external_lex_state = 4},
  [5492] = {.lex_state = 100, .external_lex_state = 4},
  [5493] = {.lex_state = 75, .external_lex_state = 3},
  [5494] = {.lex_state = 22, .external_lex_state = 4},
  [5495] = {.lex_state = 22, .external_lex_state = 4},
  [5496] = {.lex_state = 22, .external_lex_state = 4},
  [5497] = {.lex_state = 328, .external_lex_state = 4},
  [5498] = {.lex_state = 328, .external_lex_state = 4},
  [5499] = {.lex_state = 328, .external_lex_state = 4},
  [5500] = {.lex_state = 514, .external_lex_state = 4},
  [5501] = {.lex_state = 514, .external_lex_state = 4},
  [5502] = {.lex_state = 514, .external_lex_state = 4},
  [5503] = {.lex_state = 328, .external_lex_state = 4},
  [5504] = {.lex_state = 328, .external_lex_state = 4},
  [5505] = {.lex_state = 514, .external_lex_state = 4},
  [5506] = {.lex_state = 103, .external_lex_state = 4},
  [5507] = {.lex_state = 103, .external_lex_state = 4},
  [5508] = {.lex_state = 19, .external_lex_state = 4},
  [5509] = {.lex_state = 103, .external_lex_state = 4},
  [5510] = {.lex_state = 106, .external_lex_state = 4},
  [5511] = {.lex_state = 99, .external_lex_state = 4},
  [5512] = {.lex_state = 19, .external_lex_state = 4},
  [5513] = {.lex_state = 99, .external_lex_state = 4},
  [5514] = {.lex_state = 19, .external_lex_state = 4},
  [5515] = {.lex_state = 19, .external_lex_state = 4},
  [5516] = {.lex_state = 1, .external_lex_state = 4},
  [5517] = {.lex_state = 324, .external_lex_state = 4},
  [5518] = {.lex_state = 1, .external_lex_state = 4},
  [5519] = {.lex_state = 328, .external_lex_state = 4},
  [5520] = {.lex_state = 106, .external_lex_state = 4},
  [5521] = {.lex_state = 328, .external_lex_state = 4},
  [5522] = {.lex_state = 99, .external_lex_state = 4},
  [5523] = {.lex_state = 514, .external_lex_state = 4},
  [5524] = {.lex_state = 19, .external_lex_state = 4},
  [5525] = {.lex_state = 19, .external_lex_state = 4},
  [5526] = {.lex_state = 106, .external_lex_state = 4},
  [5527] = {.lex_state = 103, .external_lex_state = 4},
  [5528] = {.lex_state = 103, .external_lex_state = 4},
  [5529] = {.lex_state = 328, .external_lex_state = 4},
  [5530] = {.lex_state = 100, .external_lex_state = 4},
  [5531] = {.lex_state = 103, .external_lex_state = 4},
  [5532] = {.lex_state = 99, .external_lex_state = 4},
  [5533] = {.lex_state = 90, .external_lex_state = 4},
  [5534] = {.lex_state = 100, .external_lex_state = 4},
  [5535] = {.lex_state = 90, .external_lex_state = 4},
  [5536] = {.lex_state = 88, .external_lex_state = 4},
  [5537] = {.lex_state = 514, .external_lex_state = 4},
  [5538] = {.lex_state = 328, .external_lex_state = 4},
  [5539] = {.lex_state = 514, .external_lex_state = 4},
  [5540] = {.lex_state = 328, .external_lex_state = 4},
  [5541] = {.lex_state = 328, .external_lex_state = 4},
  [5542] = {.lex_state = 328, .external_lex_state = 4},
  [5543] = {.lex_state = 103, .external_lex_state = 4},
  [5544] = {.lex_state = 103, .external_lex_state = 4},
  [5545] = {.lex_state = 514, .external_lex_state = 4},
  [5546] = {.lex_state = 19, .external_lex_state = 4},
  [5547] = {.lex_state = 100, .external_lex_state = 4},
  [5548] = {.lex_state = 328, .external_lex_state = 4},
  [5549] = {.lex_state = 328, .external_lex_state = 4},
  [5550] = {.lex_state = 103, .external_lex_state = 4},
  [5551] = {.lex_state = 514, .external_lex_state = 4},
  [5552] = {.lex_state = 328, .external_lex_state = 4},
  [5553] = {.lex_state = 514, .external_lex_state = 4},
  [5554] = {.lex_state = 90, .external_lex_state = 4},
  [5555] = {.lex_state = 25, .external_lex_state = 4},
  [5556] = {.lex_state = 19, .external_lex_state = 4},
  [5557] = {.lex_state = 100, .external_lex_state = 4},
  [5558] = {.lex_state = 88, .external_lex_state = 4},
  [5559] = {.lex_state = 328, .external_lex_state = 4},
  [5560] = {.lex_state = 19, .external_lex_state = 4},
  [5561] = {.lex_state = 100, .external_lex_state = 4},
  [5562] = {.lex_state = 19, .external_lex_state = 4},
  [5563] = {.lex_state = 328, .external_lex_state = 4},
  [5564] = {.lex_state = 18, .external_lex_state = 4},
  [5565] = {.lex_state = 514, .external_lex_state = 4},
  [5566] = {.lex_state = 100, .external_lex_state = 4},
  [5567] = {.lex_state = 19, .external_lex_state = 4},
  [5568] = {.lex_state = 100, .external_lex_state = 4},
  [5569] = {.lex_state = 100, .external_lex_state = 4},
  [5570] = {.lex_state = 100, .external_lex_state = 4},
  [5571] = {.lex_state = 75, .external_lex_state = 3},
  [5572] = {.lex_state = 100, .external_lex_state = 4},
  [5573] = {.lex_state = 100, .external_lex_state = 4},
  [5574] = {.lex_state = 19, .external_lex_state = 4},
  [5575] = {.lex_state = 100, .external_lex_state = 4},
  [5576] = {.lex_state = 18, .external_lex_state = 4},
  [5577] = {.lex_state = 22, .external_lex_state = 4},
  [5578] = {.lex_state = 514, .external_lex_state = 4},
  [5579] = {.lex_state = 328, .external_lex_state = 4},
  [5580] = {.lex_state = 328, .external_lex_state = 4},
  [5581] = {.lex_state = 22, .external_lex_state = 4},
  [5582] = {.lex_state = 514, .external_lex_state = 4},
  [5583] = {.lex_state = 514, .external_lex_state = 4},
  [5584] = {.lex_state = 19, .external_lex_state = 4},
  [5585] = {.lex_state = 100, .external_lex_state = 4},
  [5586] = {.lex_state = 19, .external_lex_state = 4},
  [5587] = {.lex_state = 19, .external_lex_state = 4},
  [5588] = {.lex_state = 90, .external_lex_state = 4},
  [5589] = {.lex_state = 90, .external_lex_state = 4},
  [5590] = {.lex_state = 90, .external_lex_state = 4},
  [5591] = {.lex_state = 328, .external_lex_state = 4},
  [5592] = {.lex_state = 88, .external_lex_state = 4},
  [5593] = {.lex_state = 328, .external_lex_state = 4},
  [5594] = {.lex_state = 90, .external_lex_state = 4},
  [5595] = {.lex_state = 19, .external_lex_state = 4},
  [5596] = {.lex_state = 88, .external_lex_state = 4},
  [5597] = {.lex_state = 3, .external_lex_state = 4},
  [5598] = {.lex_state = 88, .external_lex_state = 4},
  [5599] = {.lex_state = 328, .external_lex_state = 4},
  [5600] = {.lex_state = 313, .external_lex_state = 4},
  [5601] = {.lex_state = 77, .external_lex_state = 4},
  [5602] = {.lex_state = 328, .external_lex_state = 4},
  [5603] = {.lex_state = 328, .external_lex_state = 4},
  [5604] = {.lex_state = 19, .external_lex_state = 4},
  [5605] = {.lex_state = 88, .external_lex_state = 4},
  [5606] = {.lex_state = 100, .external_lex_state = 4},
  [5607] = {.lex_state = 19, .external_lex_state = 4},
  [5608] = {.lex_state = 19, .external_lex_state = 4},
  [5609] = {.lex_state = 88, .external_lex_state = 4},
  [5610] = {.lex_state = 90, .external_lex_state = 4},
  [5611] = {.lex_state = 328, .external_lex_state = 4},
  [5612] = {.lex_state = 90, .external_lex_state = 4},
  [5613] = {.lex_state = 86, .external_lex_state = 4},
  [5614] = {.lex_state = 328, .external_lex_state = 4},
  [5615] = {.lex_state = 88, .external_lex_state = 4},
  [5616] = {.lex_state = 88, .external_lex_state = 4},
  [5617] = {.lex_state = 88, .external_lex_state = 4},
  [5618] = {.lex_state = 88, .external_lex_state = 4},
  [5619] = {.lex_state = 3, .external_lex_state = 4},
  [5620] = {.lex_state = 313, .external_lex_state = 4},
  [5621] = {.lex_state = 3, .external_lex_state = 4},
  [5622] = {.lex_state = 3, .external_lex_state = 4},
  [5623] = {.lex_state = 99, .external_lex_state = 4},
  [5624] = {.lex_state = 86, .external_lex_state = 4},
  [5625] = {.lex_state = 328, .external_lex_state = 4},
  [5626] = {.lex_state = 100, .external_lex_state = 4},
  [5627] = {.lex_state = 75, .external_lex_state = 3},
  [5628] = {.lex_state = 328, .external_lex_state = 4},
  [5629] = {.lex_state = 90, .external_lex_state = 4},
  [5630] = {.lex_state = 328, .external_lex_state = 4},
  [5631] = {.lex_state = 90, .external_lex_state = 4},
  [5632] = {.lex_state = 328, .external_lex_state = 4},
  [5633] = {.lex_state = 88, .external_lex_state = 4},
  [5634] = {.lex_state = 88, .external_lex_state = 4},
  [5635] = {.lex_state = 77, .external_lex_state = 4},
  [5636] = {.lex_state = 86, .external_lex_state = 4},
  [5637] = {.lex_state = 90, .external_lex_state = 4},
  [5638] = {.lex_state = 90, .external_lex_state = 4},
  [5639] = {.lex_state = 90, .external_lex_state = 4},
  [5640] = {.lex_state = 90, .external_lex_state = 4},
  [5641] = {.lex_state = 328, .external_lex_state = 4},
  [5642] = {.lex_state = 88, .external_lex_state = 4},
  [5643] = {.lex_state = 90, .external_lex_state = 4},
  [5644] = {.lex_state = 88, .external_lex_state = 4},
  [5645] = {.lex_state = 88, .external_lex_state = 4},
  [5646] = {.lex_state = 313, .external_lex_state = 4},
  [5647] = {.lex_state = 88, .external_lex_state = 4},
  [5648] = {.lex_state = 313, .external_lex_state = 4},
  [5649] = {.lex_state = 328, .external_lex_state = 4},
  [5650] = {.lex_state = 100, .external_lex_state = 4},
  [5651] = {.lex_state = 88, .external_lex_state = 4},
  [5652] = {.lex_state = 313, .external_lex_state = 4},
  [5653] = {.lex_state = 328, .external_lex_state = 4},
  [5654] = {.lex_state = 3, .external_lex_state = 4},
  [5655] = {.lex_state = 3, .external_lex_state = 4},
  [5656] = {.lex_state = 328, .external_lex_state = 4},
  [5657] = {.lex_state = 328, .external_lex_state = 4},
  [5658] = {.lex_state = 313, .external_lex_state = 4},
  [5659] = {.lex_state = 513, .external_lex_state = 3},
  [5660] = {.lex_state = 99, .external_lex_state = 4},
  [5661] = {.lex_state = 99, .external_lex_state = 4},
  [5662] = {.lex_state = 3, .external_lex_state = 4},
  [5663] = {.lex_state = 99, .external_lex_state = 4},
  [5664] = {.lex_state = 99, .external_lex_state = 4},
  [5665] = {.lex_state = 313, .external_lex_state = 4},
  [5666] = {.lex_state = 328, .external_lex_state = 4},
  [5667] = {.lex_state = 86, .external_lex_state = 4},
  [5668] = {.lex_state = 514, .external_lex_state = 4},
  [5669] = {.lex_state = 88, .external_lex_state = 4},
  [5670] = {.lex_state = 328, .external_lex_state = 4},
  [5671] = {.lex_state = 88, .external_lex_state = 4},
  [5672] = {.lex_state = 88, .external_lex_state = 4},
  [5673] = {.lex_state = 9, .external_lex_state = 4},
  [5674] = {.lex_state = 3, .external_lex_state = 4},
  [5675] = {.lex_state = 100, .external_lex_state = 4},
  [5676] = {.lex_state = 99, .external_lex_state = 4},
  [5677] = {.lex_state = 99, .external_lex_state = 4},
  [5678] = {.lex_state = 88, .external_lex_state = 4},
  [5679] = {.lex_state = 100, .external_lex_state = 4},
  [5680] = {.lex_state = 88, .external_lex_state = 4},
  [5681] = {.lex_state = 25, .external_lex_state = 4},
  [5682] = {.lex_state = 3, .external_lex_state = 4},
  [5683] = {.lex_state = 99, .external_lex_state = 4},
  [5684] = {.lex_state = 88, .external_lex_state = 4},
  [5685] = {.lex_state = 100, .external_lex_state = 4},
  [5686] = {.lex_state = 99, .external_lex_state = 4},
  [5687] = {.lex_state = 99, .external_lex_state = 4},
  [5688] = {.lex_state = 88, .external_lex_state = 4},
  [5689] = {.lex_state = 19, .external_lex_state = 4},
  [5690] = {.lex_state = 90, .external_lex_state = 4},
  [5691] = {.lex_state = 3, .external_lex_state = 4},
  [5692] = {.lex_state = 9, .external_lex_state = 4},
  [5693] = {.lex_state = 99, .external_lex_state = 4},
  [5694] = {.lex_state = 513, .external_lex_state = 3},
  [5695] = {.lex_state = 328, .external_lex_state = 4},
  [5696] = {.lex_state = 88, .external_lex_state = 4},
  [5697] = {.lex_state = 88, .external_lex_state = 4},
  [5698] = {.lex_state = 100, .external_lex_state = 4},
  [5699] = {.lex_state = 9, .external_lex_state = 4},
  [5700] = {.lex_state = 80, .external_lex_state = 4},
  [5701] = {.lex_state = 100, .external_lex_state = 4},
  [5702] = {.lex_state = 513, .external_lex_state = 3},
  [5703] = {.lex_state = 100, .external_lex_state = 4},
  [5704] = {.lex_state = 88, .external_lex_state = 4},
  [5705] = {.lex_state = 99, .external_lex_state = 4},
  [5706] = {.lex_state = 313, .external_lex_state = 4},
  [5707] = {.lex_state = 99, .external_lex_state = 4},
  [5708] = {.lex_state = 328, .external_lex_state = 4},
  [5709] = {.lex_state = 313, .external_lex_state = 4},
  [5710] = {.lex_state = 88, .external_lex_state = 4},
  [5711] = {.lex_state = 328, .external_lex_state = 4},
  [5712] = {.lex_state = 313, .external_lex_state = 4},
  [5713] = {.lex_state = 313, .external_lex_state = 4},
  [5714] = {.lex_state = 22, .external_lex_state = 4},
  [5715] = {.lex_state = 313, .external_lex_state = 4},
  [5716] = {.lex_state = 313, .external_lex_state = 4},
  [5717] = {.lex_state = 19, .external_lex_state = 4},
  [5718] = {.lex_state = 99, .external_lex_state = 4},
  [5719] = {.lex_state = 80, .external_lex_state = 4},
  [5720] = {.lex_state = 100, .external_lex_state = 4},
  [5721] = {.lex_state = 19, .external_lex_state = 4},
  [5722] = {.lex_state = 22, .external_lex_state = 4},
  [5723] = {.lex_state = 324, .external_lex_state = 4},
  [5724] = {.lex_state = 313, .external_lex_state = 4},
  [5725] = {.lex_state = 313, .external_lex_state = 4},
  [5726] = {.lex_state = 313, .external_lex_state = 4},
  [5727] = {.lex_state = 313, .external_lex_state = 4},
  [5728] = {.lex_state = 313, .external_lex_state = 4},
  [5729] = {.lex_state = 313, .external_lex_state = 4},
  [5730] = {.lex_state = 100, .external_lex_state = 4},
  [5731] = {.lex_state = 18, .external_lex_state = 4},
  [5732] = {.lex_state = 99, .external_lex_state = 4},
  [5733] = {.lex_state = 19, .external_lex_state = 4},
  [5734] = {.lex_state = 328, .external_lex_state = 4},
  [5735] = {.lex_state = 25, .external_lex_state = 4},
  [5736] = {.lex_state = 25, .external_lex_state = 4},
  [5737] = {.lex_state = 328, .external_lex_state = 4},
  [5738] = {.lex_state = 99, .external_lex_state = 4},
  [5739] = {.lex_state = 99, .external_lex_state = 4},
  [5740] = {.lex_state = 313, .external_lex_state = 4},
  [5741] = {.lex_state = 99, .external_lex_state = 4},
  [5742] = {.lex_state = 99, .external_lex_state = 4},
  [5743] = {.lex_state = 99, .external_lex_state = 4},
  [5744] = {.lex_state = 18, .external_lex_state = 4},
  [5745] = {.lex_state = 18, .external_lex_state = 4},
  [5746] = {.lex_state = 18, .external_lex_state = 4},
  [5747] = {.lex_state = 99, .external_lex_state = 4},
  [5748] = {.lex_state = 18, .external_lex_state = 4},
  [5749] = {.lex_state = 18, .external_lex_state = 4},
  [5750] = {.lex_state = 313, .external_lex_state = 4},
  [5751] = {.lex_state = 99, .external_lex_state = 4},
  [5752] = {.lex_state = 99, .external_lex_state = 4},
  [5753] = {.lex_state = 99, .external_lex_state = 4},
  [5754] = {.lex_state = 99, .external_lex_state = 4},
  [5755] = {.lex_state = 99, .external_lex_state = 4},
  [5756] = {.lex_state = 99, .external_lex_state = 4},
  [5757] = {.lex_state = 324, .external_lex_state = 4},
  [5758] = {.lex_state = 18, .external_lex_state = 4},
  [5759] = {.lex_state = 18, .external_lex_state = 4},
  [5760] = {.lex_state = 18, .external_lex_state = 4},
  [5761] = {.lex_state = 99, .external_lex_state = 4},
  [5762] = {.lex_state = 313, .external_lex_state = 4},
  [5763] = {.lex_state = 18, .external_lex_state = 4},
  [5764] = {.lex_state = 18, .external_lex_state = 4},
  [5765] = {.lex_state = 19, .external_lex_state = 4},
  [5766] = {.lex_state = 99, .external_lex_state = 4},
  [5767] = {.lex_state = 90, .external_lex_state = 4},
  [5768] = {.lex_state = 113, .external_lex_state = 4},
  [5769] = {.lex_state = 19, .external_lex_state = 4},
  [5770] = {.lex_state = 25, .external_lex_state = 4},
  [5771] = {.lex_state = 25, .external_lex_state = 4},
  [5772] = {.lex_state = 25, .external_lex_state = 4},
  [5773] = {.lex_state = 514, .external_lex_state = 4},
  [5774] = {.lex_state = 328, .external_lex_state = 4},
  [5775] = {.lex_state = 313, .external_lex_state = 4},
  [5776] = {.lex_state = 25, .external_lex_state = 4},
  [5777] = {.lex_state = 313, .external_lex_state = 4},
  [5778] = {.lex_state = 83, .external_lex_state = 4},
  [5779] = {.lex_state = 313, .external_lex_state = 4},
  [5780] = {.lex_state = 313, .external_lex_state = 4},
  [5781] = {.lex_state = 18, .external_lex_state = 4},
  [5782] = {.lex_state = 99, .external_lex_state = 4},
  [5783] = {.lex_state = 18, .external_lex_state = 4},
  [5784] = {.lex_state = 83, .external_lex_state = 4},
  [5785] = {.lex_state = 18, .external_lex_state = 4},
  [5786] = {.lex_state = 18, .external_lex_state = 4},
  [5787] = {.lex_state = 18, .external_lex_state = 4},
  [5788] = {.lex_state = 328, .external_lex_state = 4},
  [5789] = {.lex_state = 25, .external_lex_state = 4},
  [5790] = {.lex_state = 25, .external_lex_state = 4},
  [5791] = {.lex_state = 313, .external_lex_state = 4},
  [5792] = {.lex_state = 25, .external_lex_state = 4},
  [5793] = {.lex_state = 328, .external_lex_state = 4},
  [5794] = {.lex_state = 25, .external_lex_state = 4},
  [5795] = {.lex_state = 18, .external_lex_state = 4},
  [5796] = {.lex_state = 19, .external_lex_state = 4},
  [5797] = {.lex_state = 18, .external_lex_state = 4},
  [5798] = {.lex_state = 83, .external_lex_state = 4},
  [5799] = {.lex_state = 83, .external_lex_state = 4},
  [5800] = {.lex_state = 514, .external_lex_state = 4},
  [5801] = {.lex_state = 19, .external_lex_state = 4},
  [5802] = {.lex_state = 18, .external_lex_state = 4},
  [5803] = {.lex_state = 18, .external_lex_state = 4},
  [5804] = {.lex_state = 19, .external_lex_state = 4},
  [5805] = {.lex_state = 18, .external_lex_state = 4},
  [5806] = {.lex_state = 18, .external_lex_state = 4},
  [5807] = {.lex_state = 18, .external_lex_state = 4},
  [5808] = {.lex_state = 19, .external_lex_state = 4},
  [5809] = {.lex_state = 25, .external_lex_state = 4},
  [5810] = {.lex_state = 313, .external_lex_state = 4},
  [5811] = {.lex_state = 25, .external_lex_state = 4},
  [5812] = {.lex_state = 106, .external_lex_state = 4},
  [5813] = {.lex_state = 25, .external_lex_state = 4},
  [5814] = {.lex_state = 18, .external_lex_state = 4},
  [5815] = {.lex_state = 18, .external_lex_state = 4},
  [5816] = {.lex_state = 19, .external_lex_state = 4},
  [5817] = {.lex_state = 313, .external_lex_state = 4},
  [5818] = {.lex_state = 18, .external_lex_state = 4},
  [5819] = {.lex_state = 18, .external_lex_state = 4},
  [5820] = {.lex_state = 18, .external_lex_state = 4},
  [5821] = {.lex_state = 25, .external_lex_state = 4},
  [5822] = {.lex_state = 25, .external_lex_state = 4},
  [5823] = {.lex_state = 313, .external_lex_state = 4},
  [5824] = {.lex_state = 18, .external_lex_state = 4},
  [5825] = {.lex_state = 25, .external_lex_state = 4},
  [5826] = {.lex_state = 313, .external_lex_state = 4},
  [5827] = {.lex_state = 100, .external_lex_state = 4},
  [5828] = {.lex_state = 88, .external_lex_state = 4},
  [5829] = {.lex_state = 74, .external_lex_state = 4},
  [5830] = {.lex_state = 88, .external_lex_state = 4},
  [5831] = {.lex_state = 19, .external_lex_state = 4},
  [5832] = {.lex_state = 75, .external_lex_state = 3},
  [5833] = {.lex_state = 18, .external_lex_state = 4},
  [5834] = {.lex_state = 19, .external_lex_state = 4},
  [5835] = {.lex_state = 313, .external_lex_state = 4},
  [5836] = {.lex_state = 26, .external_lex_state = 4},
  [5837] = {.lex_state = 26, .external_lex_state = 4},
  [5838] = {.lex_state = 90, .external_lex_state = 4},
  [5839] = {.lex_state = 88, .external_lex_state = 4},
  [5840] = {.lex_state = 74, .external_lex_state = 4},
  [5841] = {.lex_state = 18, .external_lex_state = 4},
  [5842] = {.lex_state = 325, .external_lex_state = 4},
  [5843] = {.lex_state = 325, .external_lex_state = 4},
  [5844] = {.lex_state = 313, .external_lex_state = 4},
  [5845] = {.lex_state = 106, .external_lex_state = 4},
  [5846] = {.lex_state = 99, .external_lex_state = 4},
  [5847] = {.lex_state = 88, .external_lex_state = 4},
  [5848] = {.lex_state = 99, .external_lex_state = 4},
  [5849] = {.lex_state = 26, .external_lex_state = 4},
  [5850] = {.lex_state = 513, .external_lex_state = 3},
  [5851] = {.lex_state = 313, .external_lex_state = 4},
  [5852] = {.lex_state = 90, .external_lex_state = 4},
  [5853] = {.lex_state = 80, .external_lex_state = 4},
  [5854] = {.lex_state = 19, .external_lex_state = 4},
  [5855] = {.lex_state = 19, .external_lex_state = 4},
  [5856] = {.lex_state = 18, .external_lex_state = 4},
  [5857] = {.lex_state = 99, .external_lex_state = 4},
  [5858] = {.lex_state = 106, .external_lex_state = 4},
  [5859] = {.lex_state = 26, .external_lex_state = 4},
  [5860] = {.lex_state = 88, .external_lex_state = 4},
  [5861] = {.lex_state = 100, .external_lex_state = 4},
  [5862] = {.lex_state = 100, .external_lex_state = 4},
  [5863] = {.lex_state = 100, .external_lex_state = 4},
  [5864] = {.lex_state = 313, .external_lex_state = 4},
  [5865] = {.lex_state = 313, .external_lex_state = 4},
  [5866] = {.lex_state = 19, .external_lex_state = 4},
  [5867] = {.lex_state = 100, .external_lex_state = 4},
  [5868] = {.lex_state = 313, .external_lex_state = 4},
  [5869] = {.lex_state = 88, .external_lex_state = 4},
  [5870] = {.lex_state = 80, .external_lex_state = 4},
  [5871] = {.lex_state = 80, .external_lex_state = 4},
  [5872] = {.lex_state = 313, .external_lex_state = 4},
  [5873] = {.lex_state = 80, .external_lex_state = 4},
  [5874] = {.lex_state = 88, .external_lex_state = 4},
  [5875] = {.lex_state = 106, .external_lex_state = 4},
  [5876] = {.lex_state = 88, .external_lex_state = 4},
  [5877] = {.lex_state = 88, .external_lex_state = 4},
  [5878] = {.lex_state = 88, .external_lex_state = 4},
  [5879] = {.lex_state = 18, .external_lex_state = 4},
  [5880] = {.lex_state = 88, .external_lex_state = 4},
  [5881] = {.lex_state = 92, .external_lex_state = 4},
  [5882] = {.lex_state = 514, .external_lex_state = 4},
  [5883] = {.lex_state = 100, .external_lex_state = 4},
  [5884] = {.lex_state = 88, .external_lex_state = 4},
  [5885] = {.lex_state = 100, .external_lex_state = 4},
  [5886] = {.lex_state = 514, .external_lex_state = 4},
  [5887] = {.lex_state = 514, .external_lex_state = 4},
  [5888] = {.lex_state = 514, .external_lex_state = 4},
  [5889] = {.lex_state = 9, .external_lex_state = 4},
  [5890] = {.lex_state = 90, .external_lex_state = 4},
  [5891] = {.lex_state = 80, .external_lex_state = 4},
  [5892] = {.lex_state = 80, .external_lex_state = 4},
  [5893] = {.lex_state = 514, .external_lex_state = 4},
  [5894] = {.lex_state = 100, .external_lex_state = 4},
  [5895] = {.lex_state = 80, .external_lex_state = 4},
  [5896] = {.lex_state = 100, .external_lex_state = 4},
  [5897] = {.lex_state = 514, .external_lex_state = 4},
  [5898] = {.lex_state = 88, .external_lex_state = 4},
  [5899] = {.lex_state = 18, .external_lex_state = 4},
  [5900] = {.lex_state = 514, .external_lex_state = 4},
  [5901] = {.lex_state = 514, .external_lex_state = 4},
  [5902] = {.lex_state = 100, .external_lex_state = 4},
  [5903] = {.lex_state = 514, .external_lex_state = 4},
  [5904] = {.lex_state = 100, .external_lex_state = 4},
  [5905] = {.lex_state = 514, .external_lex_state = 4},
  [5906] = {.lex_state = 88, .external_lex_state = 4},
  [5907] = {.lex_state = 80, .external_lex_state = 4},
  [5908] = {.lex_state = 80, .external_lex_state = 4},
  [5909] = {.lex_state = 25, .external_lex_state = 4},
  [5910] = {.lex_state = 514, .external_lex_state = 4},
  [5911] = {.lex_state = 514, .external_lex_state = 4},
  [5912] = {.lex_state = 100, .external_lex_state = 4},
  [5913] = {.lex_state = 100, .external_lex_state = 4},
  [5914] = {.lex_state = 80, .external_lex_state = 4},
  [5915] = {.lex_state = 100, .external_lex_state = 4},
  [5916] = {.lex_state = 100, .external_lex_state = 4},
  [5917] = {.lex_state = 88, .external_lex_state = 4},
  [5918] = {.lex_state = 88, .external_lex_state = 4},
  [5919] = {.lex_state = 74, .external_lex_state = 4},
  [5920] = {.lex_state = 325, .external_lex_state = 4},
  [5921] = {.lex_state = 514, .external_lex_state = 4},
  [5922] = {.lex_state = 325, .external_lex_state = 4},
  [5923] = {.lex_state = 514, .external_lex_state = 4},
  [5924] = {.lex_state = 88, .external_lex_state = 4},
  [5925] = {.lex_state = 99, .external_lex_state = 4},
  [5926] = {.lex_state = 90, .external_lex_state = 4},
  [5927] = {.lex_state = 514, .external_lex_state = 4},
  [5928] = {.lex_state = 514, .external_lex_state = 4},
  [5929] = {.lex_state = 514, .external_lex_state = 4},
  [5930] = {.lex_state = 514, .external_lex_state = 4},
  [5931] = {.lex_state = 514, .external_lex_state = 4},
  [5932] = {.lex_state = 514, .external_lex_state = 4},
  [5933] = {.lex_state = 88, .external_lex_state = 4},
  [5934] = {.lex_state = 88, .external_lex_state = 4},
  [5935] = {.lex_state = 19, .external_lex_state = 4},
  [5936] = {.lex_state = 88, .external_lex_state = 4},
  [5937] = {.lex_state = 313, .external_lex_state = 4},
  [5938] = {.lex_state = 313, .external_lex_state = 4},
  [5939] = {.lex_state = 313, .external_lex_state = 4},
  [5940] = {.lex_state = 514, .external_lex_state = 4},
  [5941] = {.lex_state = 514, .external_lex_state = 4},
  [5942] = {.lex_state = 514, .external_lex_state = 4},
  [5943] = {.lex_state = 514, .external_lex_state = 4},
  [5944] = {.lex_state = 514, .external_lex_state = 4},
  [5945] = {.lex_state = 313, .external_lex_state = 4},
  [5946] = {.lex_state = 100, .external_lex_state = 4},
  [5947] = {.lex_state = 19, .external_lex_state = 4},
  [5948] = {.lex_state = 313, .external_lex_state = 4},
  [5949] = {.lex_state = 313, .external_lex_state = 4},
  [5950] = {.lex_state = 313, .external_lex_state = 4},
  [5951] = {.lex_state = 88, .external_lex_state = 4},
  [5952] = {.lex_state = 88, .external_lex_state = 4},
  [5953] = {.lex_state = 74, .external_lex_state = 4},
  [5954] = {.lex_state = 313, .external_lex_state = 4},
  [5955] = {.lex_state = 514, .external_lex_state = 4},
  [5956] = {.lex_state = 328, .external_lex_state = 4},
  [5957] = {.lex_state = 100, .external_lex_state = 4},
  [5958] = {.lex_state = 514, .external_lex_state = 4},
  [5959] = {.lex_state = 313, .external_lex_state = 4},
  [5960] = {.lex_state = 514, .external_lex_state = 4},
  [5961] = {.lex_state = 514, .external_lex_state = 4},
  [5962] = {.lex_state = 313, .external_lex_state = 4},
  [5963] = {.lex_state = 313, .external_lex_state = 4},
  [5964] = {.lex_state = 4, .external_lex_state = 4},
  [5965] = {.lex_state = 26, .external_lex_state = 4},
  [5966] = {.lex_state = 83, .external_lex_state = 4},
  [5967] = {.lex_state = 83, .external_lex_state = 4},
  [5968] = {.lex_state = 83, .external_lex_state = 4},
  [5969] = {.lex_state = 83, .external_lex_state = 4},
  [5970] = {.lex_state = 83, .external_lex_state = 4},
  [5971] = {.lex_state = 83, .external_lex_state = 4},
  [5972] = {.lex_state = 83, .external_lex_state = 4},
  [5973] = {.lex_state = 83, .external_lex_state = 4},
  [5974] = {.lex_state = 83, .external_lex_state = 4},
  [5975] = {.lex_state = 83, .external_lex_state = 4},
  [5976] = {.lex_state = 83, .external_lex_state = 4},
  [5977] = {.lex_state = 82, .external_lex_state = 4},
  [5978] = {.lex_state = 83, .external_lex_state = 4},
  [5979] = {.lex_state = 128, .external_lex_state = 7},
  [5980] = {.lex_state = 107, .external_lex_state = 4},
  [5981] = {.lex_state = 82, .external_lex_state = 4},
  [5982] = {.lex_state = 83, .external_lex_state = 4},
  [5983] = {.lex_state = 83, .external_lex_state = 4},
  [5984] = {.lex_state = 82, .external_lex_state = 4},
  [5985] = {.lex_state = 89, .external_lex_state = 4},
  [5986] = {.lex_state = 83, .external_lex_state = 4},
  [5987] = {.lex_state = 83, .external_lex_state = 4},
  [5988] = {.lex_state = 83, .external_lex_state = 4},
  [5989] = {.lex_state = 131, .external_lex_state = 7},
  [5990] = {.lex_state = 82, .external_lex_state = 4},
  [5991] = {.lex_state = 83, .external_lex_state = 4},
  [5992] = {.lex_state = 82, .external_lex_state = 4},
  [5993] = {.lex_state = 83, .external_lex_state = 4},
  [5994] = {.lex_state = 83, .external_lex_state = 4},
  [5995] = {.lex_state = 83, .external_lex_state = 4},
  [5996] = {.lex_state = 83, .external_lex_state = 4},
  [5997] = {.lex_state = 83, .external_lex_state = 4},
  [5998] = {.lex_state = 83, .external_lex_state = 4},
  [5999] = {.lex_state = 19, .external_lex_state = 4},
  [6000] = {.lex_state = 83, .external_lex_state = 4},
  [6001] = {.lex_state = 83, .external_lex_state = 4},
  [6002] = {.lex_state = 83, .external_lex_state = 4},
  [6003] = {.lex_state = 83, .external_lex_state = 4},
  [6004] = {.lex_state = 83, .external_lex_state = 4},
  [6005] = {.lex_state = 107, .external_lex_state = 4},
  [6006] = {.lex_state = 107, .external_lex_state = 4},
  [6007] = {.lex_state = 83, .external_lex_state = 4},
  [6008] = {.lex_state = 83, .external_lex_state = 4},
  [6009] = {.lex_state = 83, .external_lex_state = 4},
  [6010] = {.lex_state = 107, .external_lex_state = 4},
  [6011] = {.lex_state = 107, .external_lex_state = 4},
  [6012] = {.lex_state = 74, .external_lex_state = 4},
  [6013] = {.lex_state = 89, .external_lex_state = 4},
  [6014] = {.lex_state = 89, .external_lex_state = 4},
  [6015] = {.lex_state = 128, .external_lex_state = 7},
  [6016] = {.lex_state = 89, .external_lex_state = 4},
  [6017] = {.lex_state = 89, .external_lex_state = 4},
  [6018] = {.lex_state = 89, .external_lex_state = 4},
  [6019] = {.lex_state = 82, .external_lex_state = 4},
  [6020] = {.lex_state = 82, .external_lex_state = 4},
  [6021] = {.lex_state = 325, .external_lex_state = 4},
  [6022] = {.lex_state = 82, .external_lex_state = 4},
  [6023] = {.lex_state = 82, .external_lex_state = 4},
  [6024] = {.lex_state = 82, .external_lex_state = 4},
  [6025] = {.lex_state = 82, .external_lex_state = 4},
  [6026] = {.lex_state = 82, .external_lex_state = 4},
  [6027] = {.lex_state = 83, .external_lex_state = 4},
  [6028] = {.lex_state = 83, .external_lex_state = 4},
  [6029] = {.lex_state = 82, .external_lex_state = 4},
  [6030] = {.lex_state = 82, .external_lex_state = 4},
  [6031] = {.lex_state = 82, .external_lex_state = 4},
  [6032] = {.lex_state = 82, .external_lex_state = 4},
  [6033] = {.lex_state = 83, .external_lex_state = 4},
  [6034] = {.lex_state = 107, .external_lex_state = 4},
  [6035] = {.lex_state = 26, .external_lex_state = 4},
  [6036] = {.lex_state = 89, .external_lex_state = 4},
  [6037] = {.lex_state = 89, .external_lex_state = 4},
  [6038] = {.lex_state = 82, .external_lex_state = 4},
  [6039] = {.lex_state = 26, .external_lex_state = 4},
  [6040] = {.lex_state = 4, .external_lex_state = 4},
  [6041] = {.lex_state = 89, .external_lex_state = 4},
  [6042] = {.lex_state = 89, .external_lex_state = 4},
  [6043] = {.lex_state = 325, .external_lex_state = 4},
  [6044] = {.lex_state = 89, .external_lex_state = 4},
  [6045] = {.lex_state = 89, .external_lex_state = 4},
  [6046] = {.lex_state = 89, .external_lex_state = 4},
  [6047] = {.lex_state = 89, .external_lex_state = 4},
  [6048] = {.lex_state = 89, .external_lex_state = 4},
  [6049] = {.lex_state = 89, .external_lex_state = 4},
  [6050] = {.lex_state = 89, .external_lex_state = 4},
  [6051] = {.lex_state = 89, .external_lex_state = 4},
  [6052] = {.lex_state = 89, .external_lex_state = 4},
  [6053] = {.lex_state = 26, .external_lex_state = 4},
  [6054] = {.lex_state = 107, .external_lex_state = 4},
  [6055] = {.lex_state = 107, .external_lex_state = 4},
  [6056] = {.lex_state = 89, .external_lex_state = 4},
  [6057] = {.lex_state = 325, .external_lex_state = 4},
  [6058] = {.lex_state = 89, .external_lex_state = 4},
  [6059] = {.lex_state = 89, .external_lex_state = 4},
  [6060] = {.lex_state = 89, .external_lex_state = 4},
  [6061] = {.lex_state = 26, .external_lex_state = 4},
  [6062] = {.lex_state = 89, .external_lex_state = 4},
  [6063] = {.lex_state = 26, .external_lex_state = 4},
  [6064] = {.lex_state = 89, .external_lex_state = 4},
  [6065] = {.lex_state = 89, .external_lex_state = 4},
  [6066] = {.lex_state = 89, .external_lex_state = 4},
  [6067] = {.lex_state = 89, .external_lex_state = 4},
  [6068] = {.lex_state = 78, .external_lex_state = 4},
  [6069] = {.lex_state = 89, .external_lex_state = 4},
  [6070] = {.lex_state = 89, .external_lex_state = 4},
  [6071] = {.lex_state = 128, .external_lex_state = 7},
  [6072] = {.lex_state = 86, .external_lex_state = 4},
  [6073] = {.lex_state = 82, .external_lex_state = 4},
  [6074] = {.lex_state = 74, .external_lex_state = 4},
  [6075] = {.lex_state = 502, .external_lex_state = 4},
  [6076] = {.lex_state = 4, .external_lex_state = 4},
  [6077] = {.lex_state = 4, .external_lex_state = 4},
  [6078] = {.lex_state = 82, .external_lex_state = 4},
  [6079] = {.lex_state = 89, .external_lex_state = 4},
  [6080] = {.lex_state = 89, .external_lex_state = 4},
  [6081] = {.lex_state = 4, .external_lex_state = 4},
  [6082] = {.lex_state = 26, .external_lex_state = 4},
  [6083] = {.lex_state = 4, .external_lex_state = 4},
  [6084] = {.lex_state = 4, .external_lex_state = 4},
  [6085] = {.lex_state = 89, .external_lex_state = 4},
  [6086] = {.lex_state = 4, .external_lex_state = 4},
  [6087] = {.lex_state = 4, .external_lex_state = 4},
  [6088] = {.lex_state = 4, .external_lex_state = 4},
  [6089] = {.lex_state = 4, .external_lex_state = 4},
  [6090] = {.lex_state = 83, .external_lex_state = 4},
  [6091] = {.lex_state = 4, .external_lex_state = 4},
  [6092] = {.lex_state = 89, .external_lex_state = 4},
  [6093] = {.lex_state = 4, .external_lex_state = 4},
  [6094] = {.lex_state = 4, .external_lex_state = 4},
  [6095] = {.lex_state = 4, .external_lex_state = 4},
  [6096] = {.lex_state = 325, .external_lex_state = 4},
  [6097] = {.lex_state = 4, .external_lex_state = 4},
  [6098] = {.lex_state = 26, .external_lex_state = 4},
  [6099] = {.lex_state = 4, .external_lex_state = 4},
  [6100] = {.lex_state = 4, .external_lex_state = 4},
  [6101] = {.lex_state = 4, .external_lex_state = 4},
  [6102] = {.lex_state = 4, .external_lex_state = 4},
  [6103] = {.lex_state = 89, .external_lex_state = 4},
  [6104] = {.lex_state = 4, .external_lex_state = 4},
  [6105] = {.lex_state = 4, .external_lex_state = 4},
  [6106] = {.lex_state = 4, .external_lex_state = 4},
  [6107] = {.lex_state = 4, .external_lex_state = 4},
  [6108] = {.lex_state = 4, .external_lex_state = 4},
  [6109] = {.lex_state = 4, .external_lex_state = 4},
  [6110] = {.lex_state = 325, .external_lex_state = 4},
  [6111] = {.lex_state = 26, .external_lex_state = 4},
  [6112] = {.lex_state = 82, .external_lex_state = 4},
  [6113] = {.lex_state = 4, .external_lex_state = 4},
  [6114] = {.lex_state = 89, .external_lex_state = 4},
  [6115] = {.lex_state = 26, .external_lex_state = 4},
  [6116] = {.lex_state = 4, .external_lex_state = 4},
  [6117] = {.lex_state = 4, .external_lex_state = 4},
  [6118] = {.lex_state = 4, .external_lex_state = 4},
  [6119] = {.lex_state = 325, .external_lex_state = 4},
  [6120] = {.lex_state = 4, .external_lex_state = 4},
  [6121] = {.lex_state = 107, .external_lex_state = 4},
  [6122] = {.lex_state = 90, .external_lex_state = 4},
  [6123] = {.lex_state = 82, .external_lex_state = 4},
  [6124] = {.lex_state = 78, .external_lex_state = 4},
  [6125] = {.lex_state = 325, .external_lex_state = 4},
  [6126] = {.lex_state = 4, .external_lex_state = 4},
  [6127] = {.lex_state = 82, .external_lex_state = 4},
  [6128] = {.lex_state = 78, .external_lex_state = 4},
  [6129] = {.lex_state = 325, .external_lex_state = 4},
  [6130] = {.lex_state = 4, .external_lex_state = 4},
  [6131] = {.lex_state = 325, .external_lex_state = 4},
  [6132] = {.lex_state = 78, .external_lex_state = 4},
  [6133] = {.lex_state = 325, .external_lex_state = 4},
  [6134] = {.lex_state = 107, .external_lex_state = 4},
  [6135] = {.lex_state = 82, .external_lex_state = 4},
  [6136] = {.lex_state = 82, .external_lex_state = 4},
  [6137] = {.lex_state = 82, .external_lex_state = 4},
  [6138] = {.lex_state = 325, .external_lex_state = 4},
  [6139] = {.lex_state = 107, .external_lex_state = 4},
  [6140] = {.lex_state = 26, .external_lex_state = 4},
  [6141] = {.lex_state = 325, .external_lex_state = 4},
  [6142] = {.lex_state = 83, .external_lex_state = 4},
  [6143] = {.lex_state = 26, .external_lex_state = 4},
  [6144] = {.lex_state = 325, .external_lex_state = 4},
  [6145] = {.lex_state = 325, .external_lex_state = 4},
  [6146] = {.lex_state = 325, .external_lex_state = 4},
  [6147] = {.lex_state = 131, .external_lex_state = 7},
  [6148] = {.lex_state = 82, .external_lex_state = 4},
  [6149] = {.lex_state = 325, .external_lex_state = 4},
  [6150] = {.lex_state = 325, .external_lex_state = 4},
  [6151] = {.lex_state = 325, .external_lex_state = 4},
  [6152] = {.lex_state = 325, .external_lex_state = 4},
  [6153] = {.lex_state = 107, .external_lex_state = 4},
  [6154] = {.lex_state = 325, .external_lex_state = 4},
  [6155] = {.lex_state = 107, .external_lex_state = 4},
  [6156] = {.lex_state = 325, .external_lex_state = 4},
  [6157] = {.lex_state = 325, .external_lex_state = 4},
  [6158] = {.lex_state = 325, .external_lex_state = 4},
  [6159] = {.lex_state = 325, .external_lex_state = 4},
  [6160] = {.lex_state = 325, .external_lex_state = 4},
  [6161] = {.lex_state = 107, .external_lex_state = 4},
  [6162] = {.lex_state = 325, .external_lex_state = 4},
  [6163] = {.lex_state = 325, .external_lex_state = 4},
  [6164] = {.lex_state = 107, .external_lex_state = 4},
  [6165] = {.lex_state = 325, .external_lex_state = 4},
  [6166] = {.lex_state = 325, .external_lex_state = 4},
  [6167] = {.lex_state = 325, .external_lex_state = 4},
  [6168] = {.lex_state = 325, .external_lex_state = 4},
  [6169] = {.lex_state = 325, .external_lex_state = 4},
  [6170] = {.lex_state = 107, .external_lex_state = 4},
  [6171] = {.lex_state = 107, .external_lex_state = 4},
  [6172] = {.lex_state = 107, .external_lex_state = 4},
  [6173] = {.lex_state = 89, .external_lex_state = 4},
  [6174] = {.lex_state = 107, .external_lex_state = 4},
  [6175] = {.lex_state = 325, .external_lex_state = 4},
  [6176] = {.lex_state = 325, .external_lex_state = 4},
  [6177] = {.lex_state = 82, .external_lex_state = 4},
  [6178] = {.lex_state = 107, .external_lex_state = 4},
  [6179] = {.lex_state = 325, .external_lex_state = 4},
  [6180] = {.lex_state = 107, .external_lex_state = 4},
  [6181] = {.lex_state = 107, .external_lex_state = 4},
  [6182] = {.lex_state = 325, .external_lex_state = 4},
  [6183] = {.lex_state = 325, .external_lex_state = 4},
  [6184] = {.lex_state = 107, .external_lex_state = 4},
  [6185] = {.lex_state = 107, .external_lex_state = 4},
  [6186] = {.lex_state = 519, .external_lex_state = 7},
  [6187] = {.lex_state = 325, .external_lex_state = 4},
  [6188] = {.lex_state = 107, .external_lex_state = 4},
  [6189] = {.lex_state = 325, .external_lex_state = 4},
  [6190] = {.lex_state = 107, .external_lex_state = 4},
  [6191] = {.lex_state = 107, .external_lex_state = 4},
  [6192] = {.lex_state = 325, .external_lex_state = 4},
  [6193] = {.lex_state = 514, .external_lex_state = 4},
  [6194] = {.lex_state = 107, .external_lex_state = 4},
  [6195] = {.lex_state = 107, .external_lex_state = 4},
  [6196] = {.lex_state = 107, .external_lex_state = 4},
  [6197] = {.lex_state = 4, .external_lex_state = 4},
  [6198] = {.lex_state = 26, .external_lex_state = 4},
  [6199] = {.lex_state = 89, .external_lex_state = 4},
  [6200] = {.lex_state = 89, .external_lex_state = 4},
  [6201] = {.lex_state = 89, .external_lex_state = 4},
  [6202] = {.lex_state = 4, .external_lex_state = 4},
  [6203] = {.lex_state = 4, .external_lex_state = 4},
  [6204] = {.lex_state = 89, .external_lex_state = 4},
  [6205] = {.lex_state = 26, .external_lex_state = 4},
  [6206] = {.lex_state = 78, .external_lex_state = 4},
  [6207] = {.lex_state = 325, .external_lex_state = 4},
  [6208] = {.lex_state = 325, .external_lex_state = 4},
  [6209] = {.lex_state = 107, .external_lex_state = 4},
  [6210] = {.lex_state = 325, .external_lex_state = 4},
  [6211] = {.lex_state = 107, .external_lex_state = 4},
  [6212] = {.lex_state = 107, .external_lex_state = 4},
  [6213] = {.lex_state = 107, .external_lex_state = 4},
  [6214] = {.lex_state = 107, .external_lex_state = 4},
  [6215] = {.lex_state = 75, .external_lex_state = 4},
  [6216] = {.lex_state = 325, .external_lex_state = 4},
  [6217] = {.lex_state = 88, .external_lex_state = 4},
  [6218] = {.lex_state = 26, .external_lex_state = 4},
  [6219] = {.lex_state = 89, .external_lex_state = 4},
  [6220] = {.lex_state = 26, .external_lex_state = 4},
  [6221] = {.lex_state = 89, .external_lex_state = 4},
  [6222] = {.lex_state = 107, .external_lex_state = 4},
  [6223] = {.lex_state = 513, .external_lex_state = 4},
  [6224] = {.lex_state = 107, .external_lex_state = 4},
  [6225] = {.lex_state = 26, .external_lex_state = 4},
  [6226] = {.lex_state = 513, .external_lex_state = 4},
  [6227] = {.lex_state = 107, .external_lex_state = 4},
  [6228] = {.lex_state = 325, .external_lex_state = 4},
  [6229] = {.lex_state = 107, .external_lex_state = 4},
  [6230] = {.lex_state = 107, .external_lex_state = 4},
  [6231] = {.lex_state = 26, .external_lex_state = 4},
  [6232] = {.lex_state = 107, .external_lex_state = 4},
  [6233] = {.lex_state = 107, .external_lex_state = 4},
  [6234] = {.lex_state = 107, .external_lex_state = 4},
  [6235] = {.lex_state = 107, .external_lex_state = 4},
  [6236] = {.lex_state = 26, .external_lex_state = 4},
  [6237] = {.lex_state = 89, .external_lex_state = 4},
  [6238] = {.lex_state = 325, .external_lex_state = 4},
  [6239] = {.lex_state = 89, .external_lex_state = 4},
  [6240] = {.lex_state = 107, .external_lex_state = 4},
  [6241] = {.lex_state = 107, .external_lex_state = 4},
  [6242] = {.lex_state = 325, .external_lex_state = 4},
  [6243] = {.lex_state = 325, .external_lex_state = 4},
  [6244] = {.lex_state = 107, .external_lex_state = 4},
  [6245] = {.lex_state = 107, .external_lex_state = 4},
  [6246] = {.lex_state = 107, .external_lex_state = 4},
  [6247] = {.lex_state = 89, .external_lex_state = 4},
  [6248] = {.lex_state = 89, .external_lex_state = 4},
  [6249] = {.lex_state = 26, .external_lex_state = 4},
  [6250] = {.lex_state = 107, .external_lex_state = 4},
  [6251] = {.lex_state = 89, .external_lex_state = 4},
  [6252] = {.lex_state = 325, .external_lex_state = 4},
  [6253] = {.lex_state = 325, .external_lex_state = 4},
  [6254] = {.lex_state = 78, .external_lex_state = 4},
  [6255] = {.lex_state = 4, .external_lex_state = 4},
  [6256] = {.lex_state = 325, .external_lex_state = 4},
  [6257] = {.lex_state = 325, .external_lex_state = 4},
  [6258] = {.lex_state = 325, .external_lex_state = 4},
  [6259] = {.lex_state = 513, .external_lex_state = 4},
  [6260] = {.lex_state = 513, .external_lex_state = 4},
  [6261] = {.lex_state = 4, .external_lex_state = 4},
  [6262] = {.lex_state = 83, .external_lex_state = 4},
  [6263] = {.lex_state = 26, .external_lex_state = 4},
  [6264] = {.lex_state = 82, .external_lex_state = 4},
  [6265] = {.lex_state = 107, .external_lex_state = 4},
  [6266] = {.lex_state = 78, .external_lex_state = 4},
  [6267] = {.lex_state = 78, .external_lex_state = 4},
  [6268] = {.lex_state = 26, .external_lex_state = 4},
  [6269] = {.lex_state = 82, .external_lex_state = 4},
  [6270] = {.lex_state = 78, .external_lex_state = 4},
  [6271] = {.lex_state = 82, .external_lex_state = 4},
  [6272] = {.lex_state = 82, .external_lex_state = 4},
  [6273] = {.lex_state = 4, .external_lex_state = 4},
  [6274] = {.lex_state = 82, .external_lex_state = 4},
  [6275] = {.lex_state = 26, .external_lex_state = 4},
  [6276] = {.lex_state = 107, .external_lex_state = 4},
  [6277] = {.lex_state = 26, .external_lex_state = 4},
  [6278] = {.lex_state = 26, .external_lex_state = 4},
  [6279] = {.lex_state = 82, .external_lex_state = 4},
  [6280] = {.lex_state = 82, .external_lex_state = 4},
  [6281] = {.lex_state = 78, .external_lex_state = 4},
  [6282] = {.lex_state = 26, .external_lex_state = 4},
  [6283] = {.lex_state = 107, .external_lex_state = 4},
  [6284] = {.lex_state = 86, .external_lex_state = 4},
  [6285] = {.lex_state = 313, .external_lex_state = 4},
  [6286] = {.lex_state = 26, .external_lex_state = 4},
  [6287] = {.lex_state = 78, .external_lex_state = 4},
  [6288] = {.lex_state = 313, .external_lex_state = 4},
  [6289] = {.lex_state = 82, .external_lex_state = 4},
  [6290] = {.lex_state = 325, .external_lex_state = 4},
  [6291] = {.lex_state = 82, .external_lex_state = 4},
  [6292] = {.lex_state = 82, .external_lex_state = 4},
  [6293] = {.lex_state = 86, .external_lex_state = 4},
  [6294] = {.lex_state = 82, .external_lex_state = 4},
  [6295] = {.lex_state = 107, .external_lex_state = 4},
  [6296] = {.lex_state = 26, .external_lex_state = 4},
  [6297] = {.lex_state = 26, .external_lex_state = 4},
  [6298] = {.lex_state = 82, .external_lex_state = 4},
  [6299] = {.lex_state = 83, .external_lex_state = 4},
  [6300] = {.lex_state = 78, .external_lex_state = 4},
  [6301] = {.lex_state = 26, .external_lex_state = 4},
  [6302] = {.lex_state = 82, .external_lex_state = 4},
  [6303] = {.lex_state = 26, .external_lex_state = 4},
  [6304] = {.lex_state = 82, .external_lex_state = 4},
  [6305] = {.lex_state = 82, .external_lex_state = 4},
  [6306] = {.lex_state = 82, .external_lex_state = 4},
  [6307] = {.lex_state = 86, .external_lex_state = 4},
  [6308] = {.lex_state = 26, .external_lex_state = 4},
  [6309] = {.lex_state = 89, .external_lex_state = 4},
  [6310] = {.lex_state = 82, .external_lex_state = 4},
  [6311] = {.lex_state = 86, .external_lex_state = 4},
  [6312] = {.lex_state = 82, .external_lex_state = 4},
  [6313] = {.lex_state = 82, .external_lex_state = 4},
  [6314] = {.lex_state = 82, .external_lex_state = 4},
  [6315] = {.lex_state = 107, .external_lex_state = 4},
  [6316] = {.lex_state = 89, .external_lex_state = 4},
  [6317] = {.lex_state = 82, .external_lex_state = 4},
  [6318] = {.lex_state = 26, .external_lex_state = 4},
  [6319] = {.lex_state = 26, .external_lex_state = 4},
  [6320] = {.lex_state = 26, .external_lex_state = 4},
  [6321] = {.lex_state = 78, .external_lex_state = 4},
  [6322] = {.lex_state = 26, .external_lex_state = 4},
  [6323] = {.lex_state = 78, .external_lex_state = 4},
  [6324] = {.lex_state = 26, .external_lex_state = 4},
  [6325] = {.lex_state = 82, .external_lex_state = 4},
  [6326] = {.lex_state = 78, .external_lex_state = 4},
  [6327] = {.lex_state = 82, .external_lex_state = 4},
  [6328] = {.lex_state = 18, .external_lex_state = 4},
  [6329] = {.lex_state = 26, .external_lex_state = 4},
  [6330] = {.lex_state = 82, .external_lex_state = 4},
  [6331] = {.lex_state = 78, .external_lex_state = 4},
  [6332] = {.lex_state = 83, .external_lex_state = 4},
  [6333] = {.lex_state = 4, .external_lex_state = 4},
  [6334] = {.lex_state = 26, .external_lex_state = 4},
  [6335] = {.lex_state = 95, .external_lex_state = 4},
  [6336] = {.lex_state = 325, .external_lex_state = 4},
  [6337] = {.lex_state = 89, .external_lex_state = 4},
  [6338] = {.lex_state = 83, .external_lex_state = 4},
  [6339] = {.lex_state = 82, .external_lex_state = 4},
  [6340] = {.lex_state = 82, .external_lex_state = 4},
  [6341] = {.lex_state = 83, .external_lex_state = 4},
  [6342] = {.lex_state = 78, .external_lex_state = 4},
  [6343] = {.lex_state = 519, .external_lex_state = 7},
  [6344] = {.lex_state = 78, .external_lex_state = 4},
  [6345] = {.lex_state = 514, .external_lex_state = 4},
  [6346] = {.lex_state = 82, .external_lex_state = 4},
  [6347] = {.lex_state = 86, .external_lex_state = 4},
  [6348] = {.lex_state = 25, .external_lex_state = 4},
  [6349] = {.lex_state = 78, .external_lex_state = 4},
  [6350] = {.lex_state = 82, .external_lex_state = 4},
  [6351] = {.lex_state = 82, .external_lex_state = 4},
  [6352] = {.lex_state = 78, .external_lex_state = 4},
  [6353] = {.lex_state = 83, .external_lex_state = 4},
  [6354] = {.lex_state = 74, .external_lex_state = 4},
  [6355] = {.lex_state = 83, .external_lex_state = 4},
  [6356] = {.lex_state = 78, .external_lex_state = 4},
  [6357] = {.lex_state = 78, .external_lex_state = 4},
  [6358] = {.lex_state = 78, .external_lex_state = 4},
  [6359] = {.lex_state = 4, .external_lex_state = 4},
  [6360] = {.lex_state = 4, .external_lex_state = 4},
  [6361] = {.lex_state = 4, .external_lex_state = 4},
  [6362] = {.lex_state = 78, .external_lex_state = 4},
  [6363] = {.lex_state = 78, .external_lex_state = 4},
  [6364] = {.lex_state = 4, .external_lex_state = 4},
  [6365] = {.lex_state = 74, .external_lex_state = 4},
  [6366] = {.lex_state = 74, .external_lex_state = 4},
  [6367] = {.lex_state = 78, .external_lex_state = 4},
  [6368] = {.lex_state = 78, .external_lex_state = 4},
  [6369] = {.lex_state = 83, .external_lex_state = 4},
  [6370] = {.lex_state = 78, .external_lex_state = 4},
  [6371] = {.lex_state = 78, .external_lex_state = 4},
  [6372] = {.lex_state = 78, .external_lex_state = 4},
  [6373] = {.lex_state = 78, .external_lex_state = 4},
  [6374] = {.lex_state = 83, .external_lex_state = 4},
  [6375] = {.lex_state = 78, .external_lex_state = 4},
  [6376] = {.lex_state = 78, .external_lex_state = 4},
  [6377] = {.lex_state = 74, .external_lex_state = 4},
  [6378] = {.lex_state = 83, .external_lex_state = 4},
  [6379] = {.lex_state = 4, .external_lex_state = 4},
  [6380] = {.lex_state = 78, .external_lex_state = 4},
  [6381] = {.lex_state = 4, .external_lex_state = 4},
  [6382] = {.lex_state = 78, .external_lex_state = 4},
  [6383] = {.lex_state = 78, .external_lex_state = 4},
  [6384] = {.lex_state = 74, .external_lex_state = 4},
  [6385] = {.lex_state = 74, .external_lex_state = 4},
  [6386] = {.lex_state = 89, .external_lex_state = 4},
  [6387] = {.lex_state = 78, .external_lex_state = 4},
  [6388] = {.lex_state = 78, .external_lex_state = 4},
  [6389] = {.lex_state = 86, .external_lex_state = 4},
  [6390] = {.lex_state = 78, .external_lex_state = 4},
  [6391] = {.lex_state = 78, .external_lex_state = 4},
  [6392] = {.lex_state = 78, .external_lex_state = 4},
  [6393] = {.lex_state = 83, .external_lex_state = 4},
  [6394] = {.lex_state = 26, .external_lex_state = 4},
  [6395] = {.lex_state = 78, .external_lex_state = 4},
  [6396] = {.lex_state = 83, .external_lex_state = 4},
  [6397] = {.lex_state = 4, .external_lex_state = 4},
  [6398] = {.lex_state = 83, .external_lex_state = 4},
  [6399] = {.lex_state = 4, .external_lex_state = 4},
  [6400] = {.lex_state = 83, .external_lex_state = 4},
  [6401] = {.lex_state = 26, .external_lex_state = 4},
  [6402] = {.lex_state = 78, .external_lex_state = 4},
  [6403] = {.lex_state = 90, .external_lex_state = 4},
  [6404] = {.lex_state = 83, .external_lex_state = 4},
  [6405] = {.lex_state = 78, .external_lex_state = 4},
  [6406] = {.lex_state = 78, .external_lex_state = 4},
  [6407] = {.lex_state = 4, .external_lex_state = 4},
  [6408] = {.lex_state = 4, .external_lex_state = 4},
  [6409] = {.lex_state = 78, .external_lex_state = 4},
  [6410] = {.lex_state = 24, .external_lex_state = 4},
  [6411] = {.lex_state = 4, .external_lex_state = 4},
  [6412] = {.lex_state = 83, .external_lex_state = 4},
  [6413] = {.lex_state = 26, .external_lex_state = 4},
  [6414] = {.lex_state = 74, .external_lex_state = 4},
  [6415] = {.lex_state = 86, .external_lex_state = 4},
  [6416] = {.lex_state = 4, .external_lex_state = 4},
  [6417] = {.lex_state = 74, .external_lex_state = 4},
  [6418] = {.lex_state = 74, .external_lex_state = 4},
  [6419] = {.lex_state = 26, .external_lex_state = 4},
  [6420] = {.lex_state = 313, .external_lex_state = 4},
  [6421] = {.lex_state = 4, .external_lex_state = 4},
  [6422] = {.lex_state = 325, .external_lex_state = 4},
  [6423] = {.lex_state = 4, .external_lex_state = 4},
  [6424] = {.lex_state = 83, .external_lex_state = 4},
  [6425] = {.lex_state = 78, .external_lex_state = 4},
  [6426] = {.lex_state = 26, .external_lex_state = 4},
  [6427] = {.lex_state = 78, .external_lex_state = 4},
  [6428] = {.lex_state = 26, .external_lex_state = 4},
  [6429] = {.lex_state = 26, .external_lex_state = 4},
  [6430] = {.lex_state = 4, .external_lex_state = 4},
  [6431] = {.lex_state = 4, .external_lex_state = 4},
  [6432] = {.lex_state = 78, .external_lex_state = 4},
  [6433] = {.lex_state = 83, .external_lex_state = 4},
  [6434] = {.lex_state = 519, .external_lex_state = 7},
  [6435] = {.lex_state = 26, .external_lex_state = 4},
  [6436] = {.lex_state = 26, .external_lex_state = 4},
  [6437] = {.lex_state = 74, .external_lex_state = 4},
  [6438] = {.lex_state = 83, .external_lex_state = 4},
  [6439] = {.lex_state = 26, .external_lex_state = 4},
  [6440] = {.lex_state = 86, .external_lex_state = 4},
  [6441] = {.lex_state = 86, .external_lex_state = 4},
  [6442] = {.lex_state = 78, .external_lex_state = 4},
  [6443] = {.lex_state = 26, .external_lex_state = 4},
  [6444] = {.lex_state = 86, .external_lex_state = 4},
  [6445] = {.lex_state = 78, .external_lex_state = 4},
  [6446] = {.lex_state = 75, .external_lex_state = 4},
  [6447] = {.lex_state = 75, .external_lex_state = 4},
  [6448] = {.lex_state = 26, .external_lex_state = 4},
  [6449] = {.lex_state = 78, .external_lex_state = 4},
  [6450] = {.lex_state = 78, .external_lex_state = 4},
  [6451] = {.lex_state = 75, .external_lex_state = 4},
  [6452] = {.lex_state = 26, .external_lex_state = 4},
  [6453] = {.lex_state = 88, .external_lex_state = 4},
  [6454] = {.lex_state = 89, .external_lex_state = 4},
  [6455] = {.lex_state = 89, .external_lex_state = 4},
  [6456] = {.lex_state = 76, .external_lex_state = 4},
  [6457] = {.lex_state = 89, .external_lex_state = 4},
  [6458] = {.lex_state = 86, .external_lex_state = 4},
  [6459] = {.lex_state = 26, .external_lex_state = 4},
  [6460] = {.lex_state = 26, .external_lex_state = 4},
  [6461] = {.lex_state = 26, .external_lex_state = 4},
  [6462] = {.lex_state = 26, .external_lex_state = 4},
  [6463] = {.lex_state = 89, .external_lex_state = 4},
  [6464] = {.lex_state = 131, .external_lex_state = 7},
  [6465] = {.lex_state = 78, .external_lex_state = 4},
  [6466] = {.lex_state = 75, .external_lex_state = 4},
  [6467] = {.lex_state = 75, .external_lex_state = 4},
  [6468] = {.lex_state = 75, .external_lex_state = 4},
  [6469] = {.lex_state = 126, .external_lex_state = 7},
  [6470] = {.lex_state = 502, .external_lex_state = 4},
  [6471] = {.lex_state = 513, .external_lex_state = 4},
  [6472] = {.lex_state = 157, .external_lex_state = 2},
  [6473] = {.lex_state = 513, .external_lex_state = 4},
  [6474] = {.lex_state = 131, .external_lex_state = 2},
  [6475] = {.lex_state = 131, .external_lex_state = 2},
  [6476] = {.lex_state = 513, .external_lex_state = 4},
  [6477] = {.lex_state = 513, .external_lex_state = 4},
  [6478] = {.lex_state = 131, .external_lex_state = 2},
  [6479] = {.lex_state = 513, .external_lex_state = 4},
  [6480] = {.lex_state = 513, .external_lex_state = 4},
  [6481] = {.lex_state = 131, .external_lex_state = 2},
  [6482] = {.lex_state = 513, .external_lex_state = 4},
  [6483] = {.lex_state = 513, .external_lex_state = 4},
  [6484] = {.lex_state = 513, .external_lex_state = 4},
  [6485] = {.lex_state = 127, .external_lex_state = 7},
  [6486] = {.lex_state = 26, .external_lex_state = 4},
  [6487] = {.lex_state = 90, .external_lex_state = 7},
  [6488] = {.lex_state = 513, .external_lex_state = 4},
  [6489] = {.lex_state = 75, .external_lex_state = 4},
  [6490] = {.lex_state = 129, .external_lex_state = 7},
  [6491] = {.lex_state = 128, .external_lex_state = 2},
  [6492] = {.lex_state = 513, .external_lex_state = 4},
  [6493] = {.lex_state = 330, .external_lex_state = 7},
  [6494] = {.lex_state = 513, .external_lex_state = 4},
  [6495] = {.lex_state = 82, .external_lex_state = 4},
  [6496] = {.lex_state = 513, .external_lex_state = 4},
  [6497] = {.lex_state = 513, .external_lex_state = 4},
  [6498] = {.lex_state = 75, .external_lex_state = 4},
  [6499] = {.lex_state = 513, .external_lex_state = 4},
  [6500] = {.lex_state = 513, .external_lex_state = 4},
  [6501] = {.lex_state = 513, .external_lex_state = 4},
  [6502] = {.lex_state = 127, .external_lex_state = 7},
  [6503] = {.lex_state = 88, .external_lex_state = 7},
  [6504] = {.lex_state = 75, .external_lex_state = 4},
  [6505] = {.lex_state = 513, .external_lex_state = 4},
  [6506] = {.lex_state = 128, .external_lex_state = 2},
  [6507] = {.lex_state = 89, .external_lex_state = 4},
  [6508] = {.lex_state = 513, .external_lex_state = 4},
  [6509] = {.lex_state = 524, .external_lex_state = 2},
  [6510] = {.lex_state = 313, .external_lex_state = 4},
  [6511] = {.lex_state = 330, .external_lex_state = 7},
  [6512] = {.lex_state = 128, .external_lex_state = 2},
  [6513] = {.lex_state = 513, .external_lex_state = 4},
  [6514] = {.lex_state = 514, .external_lex_state = 7},
  [6515] = {.lex_state = 325, .external_lex_state = 4},
  [6516] = {.lex_state = 128, .external_lex_state = 2},
  [6517] = {.lex_state = 513, .external_lex_state = 4},
  [6518] = {.lex_state = 513, .external_lex_state = 4},
  [6519] = {.lex_state = 75, .external_lex_state = 4},
  [6520] = {.lex_state = 514, .external_lex_state = 4},
  [6521] = {.lex_state = 513, .external_lex_state = 4},
  [6522] = {.lex_state = 513, .external_lex_state = 4},
  [6523] = {.lex_state = 513, .external_lex_state = 4},
  [6524] = {.lex_state = 513, .external_lex_state = 4},
  [6525] = {.lex_state = 513, .external_lex_state = 4},
  [6526] = {.lex_state = 127, .external_lex_state = 7},
  [6527] = {.lex_state = 513, .external_lex_state = 4},
  [6528] = {.lex_state = 513, .external_lex_state = 4},
  [6529] = {.lex_state = 513, .external_lex_state = 4},
  [6530] = {.lex_state = 513, .external_lex_state = 4},
  [6531] = {.lex_state = 513, .external_lex_state = 4},
  [6532] = {.lex_state = 514, .external_lex_state = 7},
  [6533] = {.lex_state = 513, .external_lex_state = 4},
  [6534] = {.lex_state = 75, .external_lex_state = 4},
  [6535] = {.lex_state = 513, .external_lex_state = 4},
  [6536] = {.lex_state = 513, .external_lex_state = 4},
  [6537] = {.lex_state = 75, .external_lex_state = 4},
  [6538] = {.lex_state = 75, .external_lex_state = 4},
  [6539] = {.lex_state = 4, .external_lex_state = 4},
  [6540] = {.lex_state = 75, .external_lex_state = 4},
  [6541] = {.lex_state = 75, .external_lex_state = 4},
  [6542] = {.lex_state = 513, .external_lex_state = 4},
  [6543] = {.lex_state = 513, .external_lex_state = 4},
  [6544] = {.lex_state = 513, .external_lex_state = 4},
  [6545] = {.lex_state = 513, .external_lex_state = 4},
  [6546] = {.lex_state = 502, .external_lex_state = 4},
  [6547] = {.lex_state = 75, .external_lex_state = 4},
  [6548] = {.lex_state = 513, .external_lex_state = 4},
  [6549] = {.lex_state = 513, .external_lex_state = 4},
  [6550] = {.lex_state = 75, .external_lex_state = 4},
  [6551] = {.lex_state = 513, .external_lex_state = 4},
  [6552] = {.lex_state = 513, .external_lex_state = 4},
  [6553] = {.lex_state = 513, .external_lex_state = 4},
  [6554] = {.lex_state = 513, .external_lex_state = 4},
  [6555] = {.lex_state = 513, .external_lex_state = 4},
  [6556] = {.lex_state = 75, .external_lex_state = 4},
  [6557] = {.lex_state = 75, .external_lex_state = 4},
  [6558] = {.lex_state = 75, .external_lex_state = 4},
  [6559] = {.lex_state = 75, .external_lex_state = 4},
  [6560] = {.lex_state = 75, .external_lex_state = 4},
  [6561] = {.lex_state = 75, .external_lex_state = 4},
  [6562] = {.lex_state = 513, .external_lex_state = 4},
  [6563] = {.lex_state = 75, .external_lex_state = 4},
  [6564] = {.lex_state = 75, .external_lex_state = 4},
  [6565] = {.lex_state = 75, .external_lex_state = 4},
  [6566] = {.lex_state = 88, .external_lex_state = 7},
  [6567] = {.lex_state = 75, .external_lex_state = 4},
  [6568] = {.lex_state = 82, .external_lex_state = 4},
  [6569] = {.lex_state = 513, .external_lex_state = 4},
  [6570] = {.lex_state = 519, .external_lex_state = 2},
  [6571] = {.lex_state = 513, .external_lex_state = 4},
  [6572] = {.lex_state = 75, .external_lex_state = 4},
  [6573] = {.lex_state = 75, .external_lex_state = 4},
  [6574] = {.lex_state = 513, .external_lex_state = 4},
  [6575] = {.lex_state = 519, .external_lex_state = 2},
  [6576] = {.lex_state = 75, .external_lex_state = 4},
  [6577] = {.lex_state = 75, .external_lex_state = 4},
  [6578] = {.lex_state = 89, .external_lex_state = 4},
  [6579] = {.lex_state = 90, .external_lex_state = 7},
  [6580] = {.lex_state = 75, .external_lex_state = 4},
  [6581] = {.lex_state = 75, .external_lex_state = 4},
  [6582] = {.lex_state = 75, .external_lex_state = 4},
  [6583] = {.lex_state = 75, .external_lex_state = 4},
  [6584] = {.lex_state = 129, .external_lex_state = 7},
  [6585] = {.lex_state = 75, .external_lex_state = 4},
  [6586] = {.lex_state = 519, .external_lex_state = 2},
  [6587] = {.lex_state = 519, .external_lex_state = 2},
  [6588] = {.lex_state = 75, .external_lex_state = 4},
  [6589] = {.lex_state = 75, .external_lex_state = 4},
  [6590] = {.lex_state = 75, .external_lex_state = 4},
  [6591] = {.lex_state = 88, .external_lex_state = 4},
  [6592] = {.lex_state = 75, .external_lex_state = 4},
  [6593] = {.lex_state = 75, .external_lex_state = 4},
  [6594] = {.lex_state = 75, .external_lex_state = 4},
  [6595] = {.lex_state = 513, .external_lex_state = 4},
  [6596] = {.lex_state = 313, .external_lex_state = 4},
  [6597] = {.lex_state = 75, .external_lex_state = 4},
  [6598] = {.lex_state = 75, .external_lex_state = 4},
  [6599] = {.lex_state = 75, .external_lex_state = 4},
  [6600] = {.lex_state = 75, .external_lex_state = 4},
  [6601] = {.lex_state = 75, .external_lex_state = 4},
  [6602] = {.lex_state = 313, .external_lex_state = 4},
  [6603] = {.lex_state = 513, .external_lex_state = 4},
  [6604] = {.lex_state = 75, .external_lex_state = 4},
  [6605] = {.lex_state = 513, .external_lex_state = 4},
  [6606] = {.lex_state = 90, .external_lex_state = 4},
  [6607] = {.lex_state = 154, .external_lex_state = 2},
  [6608] = {.lex_state = 513, .external_lex_state = 4},
  [6609] = {.lex_state = 75, .external_lex_state = 4},
  [6610] = {.lex_state = 325, .external_lex_state = 4},
  [6611] = {.lex_state = 75, .external_lex_state = 4},
  [6612] = {.lex_state = 75, .external_lex_state = 4},
  [6613] = {.lex_state = 330, .external_lex_state = 7},
  [6614] = {.lex_state = 513, .external_lex_state = 4},
  [6615] = {.lex_state = 313, .external_lex_state = 4},
  [6616] = {.lex_state = 75, .external_lex_state = 4},
  [6617] = {.lex_state = 75, .external_lex_state = 4},
  [6618] = {.lex_state = 129, .external_lex_state = 7},
  [6619] = {.lex_state = 75, .external_lex_state = 4},
  [6620] = {.lex_state = 90, .external_lex_state = 7},
  [6621] = {.lex_state = 83, .external_lex_state = 4},
  [6622] = {.lex_state = 513, .external_lex_state = 4},
  [6623] = {.lex_state = 75, .external_lex_state = 4},
  [6624] = {.lex_state = 75, .external_lex_state = 4},
  [6625] = {.lex_state = 75, .external_lex_state = 4},
  [6626] = {.lex_state = 88, .external_lex_state = 7},
  [6627] = {.lex_state = 514, .external_lex_state = 7},
  [6628] = {.lex_state = 75, .external_lex_state = 4},
  [6629] = {.lex_state = 126, .external_lex_state = 7},
  [6630] = {.lex_state = 75, .external_lex_state = 4},
  [6631] = {.lex_state = 83, .external_lex_state = 4},
  [6632] = {.lex_state = 126, .external_lex_state = 7},
  [6633] = {.lex_state = 513, .external_lex_state = 4},
  [6634] = {.lex_state = 515, .external_lex_state = 2},
  [6635] = {.lex_state = 131, .external_lex_state = 2},
  [6636] = {.lex_state = 131, .external_lex_state = 2},
  [6637] = {.lex_state = 131, .external_lex_state = 2},
  [6638] = {.lex_state = 131, .external_lex_state = 2},
  [6639] = {.lex_state = 131, .external_lex_state = 2},
  [6640] = {.lex_state = 131, .external_lex_state = 2},
  [6641] = {.lex_state = 131, .external_lex_state = 2},
  [6642] = {.lex_state = 131, .external_lex_state = 2},
  [6643] = {.lex_state = 131, .external_lex_state = 2},
  [6644] = {.lex_state = 131, .external_lex_state = 2},
  [6645] = {.lex_state = 131, .external_lex_state = 2},
  [6646] = {.lex_state = 131, .external_lex_state = 2},
  [6647] = {.lex_state = 131, .external_lex_state = 2},
  [6648] = {.lex_state = 131, .external_lex_state = 2},
  [6649] = {.lex_state = 131, .external_lex_state = 2},
  [6650] = {.lex_state = 131, .external_lex_state = 2},
  [6651] = {.lex_state = 131, .external_lex_state = 2},
  [6652] = {.lex_state = 131, .external_lex_state = 2},
  [6653] = {.lex_state = 131, .external_lex_state = 2},
  [6654] = {.lex_state = 128, .external_lex_state = 2},
  [6655] = {.lex_state = 131, .external_lex_state = 2},
  [6656] = {.lex_state = 131, .external_lex_state = 2},
  [6657] = {.lex_state = 131, .external_lex_state = 2},
  [6658] = {.lex_state = 131, .external_lex_state = 2},
  [6659] = {.lex_state = 131, .external_lex_state = 2},
  [6660] = {.lex_state = 131, .external_lex_state = 2},
  [6661] = {.lex_state = 131, .external_lex_state = 2},
  [6662] = {.lex_state = 131, .external_lex_state = 2},
  [6663] = {.lex_state = 131, .external_lex_state = 2},
  [6664] = {.lex_state = 131, .external_lex_state = 2},
  [6665] = {.lex_state = 131, .external_lex_state = 2},
  [6666] = {.lex_state = 330, .external_lex_state = 2},
  [6667] = {.lex_state = 330, .external_lex_state = 2},
  [6668] = {.lex_state = 128, .external_lex_state = 2},
  [6669] = {.lex_state = 330, .external_lex_state = 2},
  [6670] = {.lex_state = 128, .external_lex_state = 2},
  [6671] = {.lex_state = 519, .external_lex_state = 2},
  [6672] = {.lex_state = 131, .external_lex_state = 2},
  [6673] = {.lex_state = 131, .external_lex_state = 2},
  [6674] = {.lex_state = 330, .external_lex_state = 2},
  [6675] = {.lex_state = 131, .external_lex_state = 2},
  [6676] = {.lex_state = 131, .external_lex_state = 2},
  [6677] = {.lex_state = 325, .external_lex_state = 7},
  [6678] = {.lex_state = 83, .external_lex_state = 7},
  [6679] = {.lex_state = 130, .external_lex_state = 7},
  [6680] = {.lex_state = 325, .external_lex_state = 7},
  [6681] = {.lex_state = 128, .external_lex_state = 2},
  [6682] = {.lex_state = 75, .external_lex_state = 4},
  [6683] = {.lex_state = 131, .external_lex_state = 2},
  [6684] = {.lex_state = 131, .external_lex_state = 2},
  [6685] = {.lex_state = 88, .external_lex_state = 2},
  [6686] = {.lex_state = 88, .external_lex_state = 2},
  [6687] = {.lex_state = 131, .external_lex_state = 2},
  [6688] = {.lex_state = 131, .external_lex_state = 2},
  [6689] = {.lex_state = 115, .external_lex_state = 7},
  [6690] = {.lex_state = 128, .external_lex_state = 2},
  [6691] = {.lex_state = 128, .external_lex_state = 2},
  [6692] = {.lex_state = 128, .external_lex_state = 2},
  [6693] = {.lex_state = 128, .external_lex_state = 2},
  [6694] = {.lex_state = 89, .external_lex_state = 7},
  [6695] = {.lex_state = 128, .external_lex_state = 2},
  [6696] = {.lex_state = 160, .external_lex_state = 2},
  [6697] = {.lex_state = 131, .external_lex_state = 2},
  [6698] = {.lex_state = 128, .external_lex_state = 2},
  [6699] = {.lex_state = 128, .external_lex_state = 2},
  [6700] = {.lex_state = 313, .external_lex_state = 4},
  [6701] = {.lex_state = 89, .external_lex_state = 7},
  [6702] = {.lex_state = 128, .external_lex_state = 2},
  [6703] = {.lex_state = 88, .external_lex_state = 2},
  [6704] = {.lex_state = 26, .external_lex_state = 4},
  [6705] = {.lex_state = 88, .external_lex_state = 2},
  [6706] = {.lex_state = 128, .external_lex_state = 2},
  [6707] = {.lex_state = 75, .external_lex_state = 4},
  [6708] = {.lex_state = 115, .external_lex_state = 7},
  [6709] = {.lex_state = 128, .external_lex_state = 2},
  [6710] = {.lex_state = 128, .external_lex_state = 2},
  [6711] = {.lex_state = 128, .external_lex_state = 2},
  [6712] = {.lex_state = 128, .external_lex_state = 2},
  [6713] = {.lex_state = 129, .external_lex_state = 2},
  [6714] = {.lex_state = 82, .external_lex_state = 7},
  [6715] = {.lex_state = 83, .external_lex_state = 4},
  [6716] = {.lex_state = 129, .external_lex_state = 2},
  [6717] = {.lex_state = 129, .external_lex_state = 2},
  [6718] = {.lex_state = 334, .external_lex_state = 2},
  [6719] = {.lex_state = 128, .external_lex_state = 2},
  [6720] = {.lex_state = 128, .external_lex_state = 2},
  [6721] = {.lex_state = 128, .external_lex_state = 2},
  [6722] = {.lex_state = 128, .external_lex_state = 2},
  [6723] = {.lex_state = 128, .external_lex_state = 2},
  [6724] = {.lex_state = 131, .external_lex_state = 2},
  [6725] = {.lex_state = 129, .external_lex_state = 2},
  [6726] = {.lex_state = 128, .external_lex_state = 2},
  [6727] = {.lex_state = 128, .external_lex_state = 2},
  [6728] = {.lex_state = 128, .external_lex_state = 2},
  [6729] = {.lex_state = 82, .external_lex_state = 7},
  [6730] = {.lex_state = 82, .external_lex_state = 4},
  [6731] = {.lex_state = 128, .external_lex_state = 2},
  [6732] = {.lex_state = 128, .external_lex_state = 2},
  [6733] = {.lex_state = 128, .external_lex_state = 2},
  [6734] = {.lex_state = 128, .external_lex_state = 2},
  [6735] = {.lex_state = 93, .external_lex_state = 2},
  [6736] = {.lex_state = 128, .external_lex_state = 2},
  [6737] = {.lex_state = 128, .external_lex_state = 2},
  [6738] = {.lex_state = 128, .external_lex_state = 2},
  [6739] = {.lex_state = 89, .external_lex_state = 4},
  [6740] = {.lex_state = 525, .external_lex_state = 2},
  [6741] = {.lex_state = 519, .external_lex_state = 2},
  [6742] = {.lex_state = 128, .external_lex_state = 2},
  [6743] = {.lex_state = 128, .external_lex_state = 2},
  [6744] = {.lex_state = 325, .external_lex_state = 7},
  [6745] = {.lex_state = 519, .external_lex_state = 2},
  [6746] = {.lex_state = 519, .external_lex_state = 2},
  [6747] = {.lex_state = 514, .external_lex_state = 2},
  [6748] = {.lex_state = 514, .external_lex_state = 2},
  [6749] = {.lex_state = 128, .external_lex_state = 2},
  [6750] = {.lex_state = 514, .external_lex_state = 2},
  [6751] = {.lex_state = 128, .external_lex_state = 2},
  [6752] = {.lex_state = 131, .external_lex_state = 2},
  [6753] = {.lex_state = 519, .external_lex_state = 2},
  [6754] = {.lex_state = 128, .external_lex_state = 2},
  [6755] = {.lex_state = 519, .external_lex_state = 2},
  [6756] = {.lex_state = 131, .external_lex_state = 2},
  [6757] = {.lex_state = 82, .external_lex_state = 7},
  [6758] = {.lex_state = 514, .external_lex_state = 2},
  [6759] = {.lex_state = 128, .external_lex_state = 2},
  [6760] = {.lex_state = 131, .external_lex_state = 2},
  [6761] = {.lex_state = 128, .external_lex_state = 2},
  [6762] = {.lex_state = 131, .external_lex_state = 2},
  [6763] = {.lex_state = 128, .external_lex_state = 2},
  [6764] = {.lex_state = 519, .external_lex_state = 2},
  [6765] = {.lex_state = 128, .external_lex_state = 2},
  [6766] = {.lex_state = 519, .external_lex_state = 2},
  [6767] = {.lex_state = 155, .external_lex_state = 2},
  [6768] = {.lex_state = 128, .external_lex_state = 2},
  [6769] = {.lex_state = 128, .external_lex_state = 2},
  [6770] = {.lex_state = 519, .external_lex_state = 2},
  [6771] = {.lex_state = 519, .external_lex_state = 2},
  [6772] = {.lex_state = 115, .external_lex_state = 7},
  [6773] = {.lex_state = 519, .external_lex_state = 2},
  [6774] = {.lex_state = 519, .external_lex_state = 2},
  [6775] = {.lex_state = 128, .external_lex_state = 2},
  [6776] = {.lex_state = 519, .external_lex_state = 2},
  [6777] = {.lex_state = 519, .external_lex_state = 2},
  [6778] = {.lex_state = 519, .external_lex_state = 2},
  [6779] = {.lex_state = 519, .external_lex_state = 2},
  [6780] = {.lex_state = 519, .external_lex_state = 2},
  [6781] = {.lex_state = 519, .external_lex_state = 2},
  [6782] = {.lex_state = 519, .external_lex_state = 2},
  [6783] = {.lex_state = 519, .external_lex_state = 2},
  [6784] = {.lex_state = 519, .external_lex_state = 2},
  [6785] = {.lex_state = 131, .external_lex_state = 2},
  [6786] = {.lex_state = 519, .external_lex_state = 2},
  [6787] = {.lex_state = 519, .external_lex_state = 2},
  [6788] = {.lex_state = 163, .external_lex_state = 2},
  [6789] = {.lex_state = 519, .external_lex_state = 2},
  [6790] = {.lex_state = 131, .external_lex_state = 2},
  [6791] = {.lex_state = 519, .external_lex_state = 2},
  [6792] = {.lex_state = 96, .external_lex_state = 2},
  [6793] = {.lex_state = 153, .external_lex_state = 2},
  [6794] = {.lex_state = 126, .external_lex_state = 2},
  [6795] = {.lex_state = 126, .external_lex_state = 2},
  [6796] = {.lex_state = 519, .external_lex_state = 2},
  [6797] = {.lex_state = 126, .external_lex_state = 2},
  [6798] = {.lex_state = 519, .external_lex_state = 2},
  [6799] = {.lex_state = 126, .external_lex_state = 2},
  [6800] = {.lex_state = 519, .external_lex_state = 2},
  [6801] = {.lex_state = 519, .external_lex_state = 2},
  [6802] = {.lex_state = 519, .external_lex_state = 2},
  [6803] = {.lex_state = 128, .external_lex_state = 2},
  [6804] = {.lex_state = 513, .external_lex_state = 4},
  [6805] = {.lex_state = 130, .external_lex_state = 7},
  [6806] = {.lex_state = 130, .external_lex_state = 7},
  [6807] = {.lex_state = 502, .external_lex_state = 4},
  [6808] = {.lex_state = 519, .external_lex_state = 2},
  [6809] = {.lex_state = 519, .external_lex_state = 2},
  [6810] = {.lex_state = 519, .external_lex_state = 2},
  [6811] = {.lex_state = 128, .external_lex_state = 2},
  [6812] = {.lex_state = 519, .external_lex_state = 2},
  [6813] = {.lex_state = 128, .external_lex_state = 2},
  [6814] = {.lex_state = 519, .external_lex_state = 2},
  [6815] = {.lex_state = 519, .external_lex_state = 2},
  [6816] = {.lex_state = 131, .external_lex_state = 2},
  [6817] = {.lex_state = 131, .external_lex_state = 2},
  [6818] = {.lex_state = 519, .external_lex_state = 2},
  [6819] = {.lex_state = 83, .external_lex_state = 7},
  [6820] = {.lex_state = 519, .external_lex_state = 2},
  [6821] = {.lex_state = 519, .external_lex_state = 2},
  [6822] = {.lex_state = 90, .external_lex_state = 2},
  [6823] = {.lex_state = 519, .external_lex_state = 2},
  [6824] = {.lex_state = 83, .external_lex_state = 7},
  [6825] = {.lex_state = 90, .external_lex_state = 2},
  [6826] = {.lex_state = 90, .external_lex_state = 2},
  [6827] = {.lex_state = 519, .external_lex_state = 2},
  [6828] = {.lex_state = 519, .external_lex_state = 2},
  [6829] = {.lex_state = 90, .external_lex_state = 2},
  [6830] = {.lex_state = 519, .external_lex_state = 2},
  [6831] = {.lex_state = 519, .external_lex_state = 2},
  [6832] = {.lex_state = 519, .external_lex_state = 2},
  [6833] = {.lex_state = 128, .external_lex_state = 2},
  [6834] = {.lex_state = 519, .external_lex_state = 2},
  [6835] = {.lex_state = 152, .external_lex_state = 2},
  [6836] = {.lex_state = 127, .external_lex_state = 2},
  [6837] = {.lex_state = 127, .external_lex_state = 2},
  [6838] = {.lex_state = 519, .external_lex_state = 2},
  [6839] = {.lex_state = 127, .external_lex_state = 2},
  [6840] = {.lex_state = 325, .external_lex_state = 4},
  [6841] = {.lex_state = 127, .external_lex_state = 2},
  [6842] = {.lex_state = 89, .external_lex_state = 7},
  [6843] = {.lex_state = 519, .external_lex_state = 2},
  [6844] = {.lex_state = 82, .external_lex_state = 2},
  [6845] = {.lex_state = 127, .external_lex_state = 2},
  [6846] = {.lex_state = 514, .external_lex_state = 2},
  [6847] = {.lex_state = 83, .external_lex_state = 2},
  [6848] = {.lex_state = 514, .external_lex_state = 2},
  [6849] = {.lex_state = 514, .external_lex_state = 2},
  [6850] = {.lex_state = 127, .external_lex_state = 2},
  [6851] = {.lex_state = 129, .external_lex_state = 2},
  [6852] = {.lex_state = 83, .external_lex_state = 2},
  [6853] = {.lex_state = 83, .external_lex_state = 2},
  [6854] = {.lex_state = 88, .external_lex_state = 2},
  [6855] = {.lex_state = 514, .external_lex_state = 2},
  [6856] = {.lex_state = 514, .external_lex_state = 2},
  [6857] = {.lex_state = 514, .external_lex_state = 2},
  [6858] = {.lex_state = 88, .external_lex_state = 2},
  [6859] = {.lex_state = 514, .external_lex_state = 2},
  [6860] = {.lex_state = 514, .external_lex_state = 2},
  [6861] = {.lex_state = 514, .external_lex_state = 2},
  [6862] = {.lex_state = 514, .external_lex_state = 2},
  [6863] = {.lex_state = 514, .external_lex_state = 2},
  [6864] = {.lex_state = 514, .external_lex_state = 2},
  [6865] = {.lex_state = 514, .external_lex_state = 2},
  [6866] = {.lex_state = 33, .external_lex_state = 4},
  [6867] = {.lex_state = 88, .external_lex_state = 2},
  [6868] = {.lex_state = 514, .external_lex_state = 2},
  [6869] = {.lex_state = 88, .external_lex_state = 2},
  [6870] = {.lex_state = 514, .external_lex_state = 2},
  [6871] = {.lex_state = 127, .external_lex_state = 2},
  [6872] = {.lex_state = 88, .external_lex_state = 2},
  [6873] = {.lex_state = 514, .external_lex_state = 2},
  [6874] = {.lex_state = 514, .external_lex_state = 2},
  [6875] = {.lex_state = 514, .external_lex_state = 2},
  [6876] = {.lex_state = 514, .external_lex_state = 2},
  [6877] = {.lex_state = 514, .external_lex_state = 2},
  [6878] = {.lex_state = 519, .external_lex_state = 2},
  [6879] = {.lex_state = 514, .external_lex_state = 5},
  [6880] = {.lex_state = 514, .external_lex_state = 5},
  [6881] = {.lex_state = 88, .external_lex_state = 2},
  [6882] = {.lex_state = 88, .external_lex_state = 2},
  [6883] = {.lex_state = 126, .external_lex_state = 2},
  [6884] = {.lex_state = 326, .external_lex_state = 2},
  [6885] = {.lex_state = 514, .external_lex_state = 2},
  [6886] = {.lex_state = 514, .external_lex_state = 2},
  [6887] = {.lex_state = 88, .external_lex_state = 2},
  [6888] = {.lex_state = 514, .external_lex_state = 2},
  [6889] = {.lex_state = 514, .external_lex_state = 2},
  [6890] = {.lex_state = 88, .external_lex_state = 2},
  [6891] = {.lex_state = 127, .external_lex_state = 2},
  [6892] = {.lex_state = 83, .external_lex_state = 2},
  [6893] = {.lex_state = 127, .external_lex_state = 2},
  [6894] = {.lex_state = 330, .external_lex_state = 2},
  [6895] = {.lex_state = 514, .external_lex_state = 2},
  [6896] = {.lex_state = 330, .external_lex_state = 2},
  [6897] = {.lex_state = 514, .external_lex_state = 2},
  [6898] = {.lex_state = 514, .external_lex_state = 2},
  [6899] = {.lex_state = 514, .external_lex_state = 2},
  [6900] = {.lex_state = 514, .external_lex_state = 2},
  [6901] = {.lex_state = 514, .external_lex_state = 2},
  [6902] = {.lex_state = 90, .external_lex_state = 2},
  [6903] = {.lex_state = 513, .external_lex_state = 7},
  [6904] = {.lex_state = 90, .external_lex_state = 2},
  [6905] = {.lex_state = 514, .external_lex_state = 2},
  [6906] = {.lex_state = 90, .external_lex_state = 2},
  [6907] = {.lex_state = 88, .external_lex_state = 2},
  [6908] = {.lex_state = 330, .external_lex_state = 2},
  [6909] = {.lex_state = 126, .external_lex_state = 2},
  [6910] = {.lex_state = 88, .external_lex_state = 2},
  [6911] = {.lex_state = 88, .external_lex_state = 2},
  [6912] = {.lex_state = 129, .external_lex_state = 2},
  [6913] = {.lex_state = 514, .external_lex_state = 2},
  [6914] = {.lex_state = 90, .external_lex_state = 2},
  [6915] = {.lex_state = 88, .external_lex_state = 2},
  [6916] = {.lex_state = 88, .external_lex_state = 2},
  [6917] = {.lex_state = 88, .external_lex_state = 2},
  [6918] = {.lex_state = 129, .external_lex_state = 2},
  [6919] = {.lex_state = 88, .external_lex_state = 2},
  [6920] = {.lex_state = 129, .external_lex_state = 2},
  [6921] = {.lex_state = 129, .external_lex_state = 2},
  [6922] = {.lex_state = 526, .external_lex_state = 2},
  [6923] = {.lex_state = 88, .external_lex_state = 2},
  [6924] = {.lex_state = 129, .external_lex_state = 2},
  [6925] = {.lex_state = 129, .external_lex_state = 2},
  [6926] = {.lex_state = 129, .external_lex_state = 2},
  [6927] = {.lex_state = 129, .external_lex_state = 2},
  [6928] = {.lex_state = 88, .external_lex_state = 2},
  [6929] = {.lex_state = 90, .external_lex_state = 2},
  [6930] = {.lex_state = 126, .external_lex_state = 2},
  [6931] = {.lex_state = 129, .external_lex_state = 2},
  [6932] = {.lex_state = 514, .external_lex_state = 2},
  [6933] = {.lex_state = 129, .external_lex_state = 2},
  [6934] = {.lex_state = 129, .external_lex_state = 2},
  [6935] = {.lex_state = 129, .external_lex_state = 2},
  [6936] = {.lex_state = 129, .external_lex_state = 2},
  [6937] = {.lex_state = 129, .external_lex_state = 2},
  [6938] = {.lex_state = 92, .external_lex_state = 2},
  [6939] = {.lex_state = 129, .external_lex_state = 2},
  [6940] = {.lex_state = 514, .external_lex_state = 2},
  [6941] = {.lex_state = 129, .external_lex_state = 2},
  [6942] = {.lex_state = 88, .external_lex_state = 2},
  [6943] = {.lex_state = 129, .external_lex_state = 2},
  [6944] = {.lex_state = 129, .external_lex_state = 2},
  [6945] = {.lex_state = 129, .external_lex_state = 2},
  [6946] = {.lex_state = 129, .external_lex_state = 2},
  [6947] = {.lex_state = 129, .external_lex_state = 2},
  [6948] = {.lex_state = 90, .external_lex_state = 2},
  [6949] = {.lex_state = 514, .external_lex_state = 2},
  [6950] = {.lex_state = 131, .external_lex_state = 2},
  [6951] = {.lex_state = 88, .external_lex_state = 2},
  [6952] = {.lex_state = 129, .external_lex_state = 2},
  [6953] = {.lex_state = 129, .external_lex_state = 2},
  [6954] = {.lex_state = 513, .external_lex_state = 4},
  [6955] = {.lex_state = 129, .external_lex_state = 2},
  [6956] = {.lex_state = 129, .external_lex_state = 2},
  [6957] = {.lex_state = 127, .external_lex_state = 2},
  [6958] = {.lex_state = 126, .external_lex_state = 2},
  [6959] = {.lex_state = 82, .external_lex_state = 2},
  [6960] = {.lex_state = 159, .external_lex_state = 2},
  [6961] = {.lex_state = 82, .external_lex_state = 2},
  [6962] = {.lex_state = 127, .external_lex_state = 2},
  [6963] = {.lex_state = 127, .external_lex_state = 2},
  [6964] = {.lex_state = 129, .external_lex_state = 2},
  [6965] = {.lex_state = 82, .external_lex_state = 2},
  [6966] = {.lex_state = 129, .external_lex_state = 2},
  [6967] = {.lex_state = 129, .external_lex_state = 2},
  [6968] = {.lex_state = 126, .external_lex_state = 2},
  [6969] = {.lex_state = 126, .external_lex_state = 2},
  [6970] = {.lex_state = 88, .external_lex_state = 2},
  [6971] = {.lex_state = 129, .external_lex_state = 2},
  [6972] = {.lex_state = 129, .external_lex_state = 2},
  [6973] = {.lex_state = 129, .external_lex_state = 2},
  [6974] = {.lex_state = 335, .external_lex_state = 2},
  [6975] = {.lex_state = 129, .external_lex_state = 2},
  [6976] = {.lex_state = 129, .external_lex_state = 2},
  [6977] = {.lex_state = 129, .external_lex_state = 2},
  [6978] = {.lex_state = 129, .external_lex_state = 2},
  [6979] = {.lex_state = 88, .external_lex_state = 2},
  [6980] = {.lex_state = 330, .external_lex_state = 2},
  [6981] = {.lex_state = 108, .external_lex_state = 2},
  [6982] = {.lex_state = 514, .external_lex_state = 2},
  [6983] = {.lex_state = 129, .external_lex_state = 2},
  [6984] = {.lex_state = 88, .external_lex_state = 2},
  [6985] = {.lex_state = 128, .external_lex_state = 2},
  [6986] = {.lex_state = 88, .external_lex_state = 2},
  [6987] = {.lex_state = 88, .external_lex_state = 2},
  [6988] = {.lex_state = 330, .external_lex_state = 2},
  [6989] = {.lex_state = 88, .external_lex_state = 2},
  [6990] = {.lex_state = 88, .external_lex_state = 2},
  [6991] = {.lex_state = 330, .external_lex_state = 2},
  [6992] = {.lex_state = 88, .external_lex_state = 2},
  [6993] = {.lex_state = 88, .external_lex_state = 2},
  [6994] = {.lex_state = 88, .external_lex_state = 2},
  [6995] = {.lex_state = 330, .external_lex_state = 2},
  [6996] = {.lex_state = 127, .external_lex_state = 2},
  [6997] = {.lex_state = 88, .external_lex_state = 2},
  [6998] = {.lex_state = 88, .external_lex_state = 2},
  [6999] = {.lex_state = 91, .external_lex_state = 2},
  [7000] = {.lex_state = 514, .external_lex_state = 2},
  [7001] = {.lex_state = 330, .external_lex_state = 2},
  [7002] = {.lex_state = 90, .external_lex_state = 2},
  [7003] = {.lex_state = 88, .external_lex_state = 2},
  [7004] = {.lex_state = 126, .external_lex_state = 2},
  [7005] = {.lex_state = 75, .external_lex_state = 4},
  [7006] = {.lex_state = 126, .external_lex_state = 2},
  [7007] = {.lex_state = 330, .external_lex_state = 2},
  [7008] = {.lex_state = 127, .external_lex_state = 2},
  [7009] = {.lex_state = 127, .external_lex_state = 2},
  [7010] = {.lex_state = 127, .external_lex_state = 2},
  [7011] = {.lex_state = 330, .external_lex_state = 2},
  [7012] = {.lex_state = 519, .external_lex_state = 2},
  [7013] = {.lex_state = 161, .external_lex_state = 2},
  [7014] = {.lex_state = 4, .external_lex_state = 4},
  [7015] = {.lex_state = 88, .external_lex_state = 2},
  [7016] = {.lex_state = 88, .external_lex_state = 2},
  [7017] = {.lex_state = 514, .external_lex_state = 5},
  [7018] = {.lex_state = 330, .external_lex_state = 2},
  [7019] = {.lex_state = 330, .external_lex_state = 2},
  [7020] = {.lex_state = 330, .external_lex_state = 2},
  [7021] = {.lex_state = 330, .external_lex_state = 2},
  [7022] = {.lex_state = 88, .external_lex_state = 2},
  [7023] = {.lex_state = 514, .external_lex_state = 2},
  [7024] = {.lex_state = 330, .external_lex_state = 2},
  [7025] = {.lex_state = 88, .external_lex_state = 2},
  [7026] = {.lex_state = 94, .external_lex_state = 2},
  [7027] = {.lex_state = 90, .external_lex_state = 5},
  [7028] = {.lex_state = 90, .external_lex_state = 2},
  [7029] = {.lex_state = 130, .external_lex_state = 2},
  [7030] = {.lex_state = 121, .external_lex_state = 2},
  [7031] = {.lex_state = 330, .external_lex_state = 2},
  [7032] = {.lex_state = 130, .external_lex_state = 2},
  [7033] = {.lex_state = 514, .external_lex_state = 2},
  [7034] = {.lex_state = 88, .external_lex_state = 2},
  [7035] = {.lex_state = 90, .external_lex_state = 2},
  [7036] = {.lex_state = 127, .external_lex_state = 2},
  [7037] = {.lex_state = 90, .external_lex_state = 2},
  [7038] = {.lex_state = 105, .external_lex_state = 2},
  [7039] = {.lex_state = 88, .external_lex_state = 2},
  [7040] = {.lex_state = 127, .external_lex_state = 2},
  [7041] = {.lex_state = 127, .external_lex_state = 2},
  [7042] = {.lex_state = 89, .external_lex_state = 2},
  [7043] = {.lex_state = 127, .external_lex_state = 2},
  [7044] = {.lex_state = 127, .external_lex_state = 2},
  [7045] = {.lex_state = 130, .external_lex_state = 2},
  [7046] = {.lex_state = 130, .external_lex_state = 2},
  [7047] = {.lex_state = 89, .external_lex_state = 2},
  [7048] = {.lex_state = 514, .external_lex_state = 2},
  [7049] = {.lex_state = 330, .external_lex_state = 2},
  [7050] = {.lex_state = 127, .external_lex_state = 2},
  [7051] = {.lex_state = 127, .external_lex_state = 2},
  [7052] = {.lex_state = 89, .external_lex_state = 2},
  [7053] = {.lex_state = 88, .external_lex_state = 5},
  [7054] = {.lex_state = 127, .external_lex_state = 2},
  [7055] = {.lex_state = 127, .external_lex_state = 2},
  [7056] = {.lex_state = 90, .external_lex_state = 2},
  [7057] = {.lex_state = 129, .external_lex_state = 2},
  [7058] = {.lex_state = 75, .external_lex_state = 7},
  [7059] = {.lex_state = 88, .external_lex_state = 2},
  [7060] = {.lex_state = 88, .external_lex_state = 5},
  [7061] = {.lex_state = 519, .external_lex_state = 2},
  [7062] = {.lex_state = 127, .external_lex_state = 2},
  [7063] = {.lex_state = 129, .external_lex_state = 2},
  [7064] = {.lex_state = 127, .external_lex_state = 2},
  [7065] = {.lex_state = 127, .external_lex_state = 2},
  [7066] = {.lex_state = 127, .external_lex_state = 2},
  [7067] = {.lex_state = 514, .external_lex_state = 2},
  [7068] = {.lex_state = 166, .external_lex_state = 2},
  [7069] = {.lex_state = 88, .external_lex_state = 2},
  [7070] = {.lex_state = 88, .external_lex_state = 2},
  [7071] = {.lex_state = 127, .external_lex_state = 2},
  [7072] = {.lex_state = 90, .external_lex_state = 2},
  [7073] = {.lex_state = 127, .external_lex_state = 2},
  [7074] = {.lex_state = 90, .external_lex_state = 5},
  [7075] = {.lex_state = 514, .external_lex_state = 2},
  [7076] = {.lex_state = 127, .external_lex_state = 2},
  [7077] = {.lex_state = 89, .external_lex_state = 2},
  [7078] = {.lex_state = 127, .external_lex_state = 2},
  [7079] = {.lex_state = 127, .external_lex_state = 2},
  [7080] = {.lex_state = 88, .external_lex_state = 2},
  [7081] = {.lex_state = 127, .external_lex_state = 2},
  [7082] = {.lex_state = 127, .external_lex_state = 2},
  [7083] = {.lex_state = 127, .external_lex_state = 2},
  [7084] = {.lex_state = 514, .external_lex_state = 2},
  [7085] = {.lex_state = 127, .external_lex_state = 2},
  [7086] = {.lex_state = 127, .external_lex_state = 2},
  [7087] = {.lex_state = 88, .external_lex_state = 2},
  [7088] = {.lex_state = 88, .external_lex_state = 2},
  [7089] = {.lex_state = 127, .external_lex_state = 2},
  [7090] = {.lex_state = 127, .external_lex_state = 2},
  [7091] = {.lex_state = 127, .external_lex_state = 2},
  [7092] = {.lex_state = 88, .external_lex_state = 2},
  [7093] = {.lex_state = 127, .external_lex_state = 2},
  [7094] = {.lex_state = 517, .external_lex_state = 2},
  [7095] = {.lex_state = 88, .external_lex_state = 2},
  [7096] = {.lex_state = 88, .external_lex_state = 2},
  [7097] = {.lex_state = 330, .external_lex_state = 2},
  [7098] = {.lex_state = 158, .external_lex_state = 2},
  [7099] = {.lex_state = 88, .external_lex_state = 2},
  [7100] = {.lex_state = 514, .external_lex_state = 2},
  [7101] = {.lex_state = 88, .external_lex_state = 5},
  [7102] = {.lex_state = 517, .external_lex_state = 2},
  [7103] = {.lex_state = 128, .external_lex_state = 2},
  [7104] = {.lex_state = 75, .external_lex_state = 7},
  [7105] = {.lex_state = 129, .external_lex_state = 2},
  [7106] = {.lex_state = 127, .external_lex_state = 2},
  [7107] = {.lex_state = 129, .external_lex_state = 2},
  [7108] = {.lex_state = 90, .external_lex_state = 2},
  [7109] = {.lex_state = 126, .external_lex_state = 2},
  [7110] = {.lex_state = 105, .external_lex_state = 2},
  [7111] = {.lex_state = 514, .external_lex_state = 2},
  [7112] = {.lex_state = 129, .external_lex_state = 2},
  [7113] = {.lex_state = 126, .external_lex_state = 2},
  [7114] = {.lex_state = 88, .external_lex_state = 2},
  [7115] = {.lex_state = 90, .external_lex_state = 2},
  [7116] = {.lex_state = 330, .external_lex_state = 2},
  [7117] = {.lex_state = 88, .external_lex_state = 2},
  [7118] = {.lex_state = 126, .external_lex_state = 2},
  [7119] = {.lex_state = 90, .external_lex_state = 2},
  [7120] = {.lex_state = 90, .external_lex_state = 2},
  [7121] = {.lex_state = 90, .external_lex_state = 2},
  [7122] = {.lex_state = 129, .external_lex_state = 2},
  [7123] = {.lex_state = 105, .external_lex_state = 2},
  [7124] = {.lex_state = 90, .external_lex_state = 2},
  [7125] = {.lex_state = 90, .external_lex_state = 2},
  [7126] = {.lex_state = 129, .external_lex_state = 2},
  [7127] = {.lex_state = 88, .external_lex_state = 2},
  [7128] = {.lex_state = 126, .external_lex_state = 2},
  [7129] = {.lex_state = 88, .external_lex_state = 2},
  [7130] = {.lex_state = 88, .external_lex_state = 2},
  [7131] = {.lex_state = 90, .external_lex_state = 2},
  [7132] = {.lex_state = 115, .external_lex_state = 2},
  [7133] = {.lex_state = 115, .external_lex_state = 2},
  [7134] = {.lex_state = 115, .external_lex_state = 2},
  [7135] = {.lex_state = 514, .external_lex_state = 5},
  [7136] = {.lex_state = 30, .external_lex_state = 4},
  [7137] = {.lex_state = 90, .external_lex_state = 2},
  [7138] = {.lex_state = 90, .external_lex_state = 2},
  [7139] = {.lex_state = 115, .external_lex_state = 2},
  [7140] = {.lex_state = 517, .external_lex_state = 2},
  [7141] = {.lex_state = 514, .external_lex_state = 2},
  [7142] = {.lex_state = 88, .external_lex_state = 2},
  [7143] = {.lex_state = 88, .external_lex_state = 2},
  [7144] = {.lex_state = 75, .external_lex_state = 7},
  [7145] = {.lex_state = 514, .external_lex_state = 2},
  [7146] = {.lex_state = 129, .external_lex_state = 2},
  [7147] = {.lex_state = 514, .external_lex_state = 2},
  [7148] = {.lex_state = 513, .external_lex_state = 7},
  [7149] = {.lex_state = 514, .external_lex_state = 2},
  [7150] = {.lex_state = 514, .external_lex_state = 2},
  [7151] = {.lex_state = 129, .external_lex_state = 2},
  [7152] = {.lex_state = 129, .external_lex_state = 2},
  [7153] = {.lex_state = 127, .external_lex_state = 2},
  [7154] = {.lex_state = 126, .external_lex_state = 2},
  [7155] = {.lex_state = 514, .external_lex_state = 2},
  [7156] = {.lex_state = 126, .external_lex_state = 2},
  [7157] = {.lex_state = 128, .external_lex_state = 2},
  [7158] = {.lex_state = 126, .external_lex_state = 2},
  [7159] = {.lex_state = 126, .external_lex_state = 2},
  [7160] = {.lex_state = 514, .external_lex_state = 2},
  [7161] = {.lex_state = 126, .external_lex_state = 2},
  [7162] = {.lex_state = 126, .external_lex_state = 2},
  [7163] = {.lex_state = 127, .external_lex_state = 2},
  [7164] = {.lex_state = 330, .external_lex_state = 2},
  [7165] = {.lex_state = 88, .external_lex_state = 2},
  [7166] = {.lex_state = 514, .external_lex_state = 2},
  [7167] = {.lex_state = 88, .external_lex_state = 2},
  [7168] = {.lex_state = 126, .external_lex_state = 2},
  [7169] = {.lex_state = 126, .external_lex_state = 2},
  [7170] = {.lex_state = 126, .external_lex_state = 2},
  [7171] = {.lex_state = 126, .external_lex_state = 2},
  [7172] = {.lex_state = 127, .external_lex_state = 2},
  [7173] = {.lex_state = 129, .external_lex_state = 2},
  [7174] = {.lex_state = 126, .external_lex_state = 2},
  [7175] = {.lex_state = 126, .external_lex_state = 2},
  [7176] = {.lex_state = 126, .external_lex_state = 2},
  [7177] = {.lex_state = 325, .external_lex_state = 2},
  [7178] = {.lex_state = 126, .external_lex_state = 2},
  [7179] = {.lex_state = 514, .external_lex_state = 2},
  [7180] = {.lex_state = 126, .external_lex_state = 2},
  [7181] = {.lex_state = 126, .external_lex_state = 2},
  [7182] = {.lex_state = 126, .external_lex_state = 2},
  [7183] = {.lex_state = 126, .external_lex_state = 2},
  [7184] = {.lex_state = 126, .external_lex_state = 2},
  [7185] = {.lex_state = 127, .external_lex_state = 2},
  [7186] = {.lex_state = 126, .external_lex_state = 2},
  [7187] = {.lex_state = 325, .external_lex_state = 2},
  [7188] = {.lex_state = 126, .external_lex_state = 2},
  [7189] = {.lex_state = 126, .external_lex_state = 2},
  [7190] = {.lex_state = 126, .external_lex_state = 2},
  [7191] = {.lex_state = 126, .external_lex_state = 2},
  [7192] = {.lex_state = 90, .external_lex_state = 2},
  [7193] = {.lex_state = 108, .external_lex_state = 2},
  [7194] = {.lex_state = 325, .external_lex_state = 2},
  [7195] = {.lex_state = 126, .external_lex_state = 2},
  [7196] = {.lex_state = 325, .external_lex_state = 2},
  [7197] = {.lex_state = 90, .external_lex_state = 2},
  [7198] = {.lex_state = 90, .external_lex_state = 2},
  [7199] = {.lex_state = 126, .external_lex_state = 2},
  [7200] = {.lex_state = 90, .external_lex_state = 2},
  [7201] = {.lex_state = 90, .external_lex_state = 2},
  [7202] = {.lex_state = 126, .external_lex_state = 2},
  [7203] = {.lex_state = 514, .external_lex_state = 2},
  [7204] = {.lex_state = 330, .external_lex_state = 2},
  [7205] = {.lex_state = 131, .external_lex_state = 2},
  [7206] = {.lex_state = 514, .external_lex_state = 2},
  [7207] = {.lex_state = 90, .external_lex_state = 2},
  [7208] = {.lex_state = 90, .external_lex_state = 2},
  [7209] = {.lex_state = 514, .external_lex_state = 2},
  [7210] = {.lex_state = 90, .external_lex_state = 2},
  [7211] = {.lex_state = 90, .external_lex_state = 2},
  [7212] = {.lex_state = 90, .external_lex_state = 5},
  [7213] = {.lex_state = 330, .external_lex_state = 2},
  [7214] = {.lex_state = 90, .external_lex_state = 2},
  [7215] = {.lex_state = 169, .external_lex_state = 2},
  [7216] = {.lex_state = 90, .external_lex_state = 2},
  [7217] = {.lex_state = 90, .external_lex_state = 2},
  [7218] = {.lex_state = 90, .external_lex_state = 2},
  [7219] = {.lex_state = 90, .external_lex_state = 2},
  [7220] = {.lex_state = 90, .external_lex_state = 2},
  [7221] = {.lex_state = 90, .external_lex_state = 2},
  [7222] = {.lex_state = 330, .external_lex_state = 2},
  [7223] = {.lex_state = 90, .external_lex_state = 2},
  [7224] = {.lex_state = 90, .external_lex_state = 2},
  [7225] = {.lex_state = 330, .external_lex_state = 2},
  [7226] = {.lex_state = 90, .external_lex_state = 2},
  [7227] = {.lex_state = 90, .external_lex_state = 2},
  [7228] = {.lex_state = 330, .external_lex_state = 2},
  [7229] = {.lex_state = 90, .external_lex_state = 2},
  [7230] = {.lex_state = 90, .external_lex_state = 2},
  [7231] = {.lex_state = 90, .external_lex_state = 2},
  [7232] = {.lex_state = 90, .external_lex_state = 2},
  [7233] = {.lex_state = 90, .external_lex_state = 2},
  [7234] = {.lex_state = 90, .external_lex_state = 2},
  [7235] = {.lex_state = 90, .external_lex_state = 2},
  [7236] = {.lex_state = 90, .external_lex_state = 2},
  [7237] = {.lex_state = 90, .external_lex_state = 2},
  [7238] = {.lex_state = 90, .external_lex_state = 2},
  [7239] = {.lex_state = 90, .external_lex_state = 2},
  [7240] = {.lex_state = 90, .external_lex_state = 2},
  [7241] = {.lex_state = 126, .external_lex_state = 2},
  [7242] = {.lex_state = 127, .external_lex_state = 2},
  [7243] = {.lex_state = 330, .external_lex_state = 2},
  [7244] = {.lex_state = 127, .external_lex_state = 2},
  [7245] = {.lex_state = 126, .external_lex_state = 2},
  [7246] = {.lex_state = 330, .external_lex_state = 2},
  [7247] = {.lex_state = 126, .external_lex_state = 2},
  [7248] = {.lex_state = 330, .external_lex_state = 2},
  [7249] = {.lex_state = 90, .external_lex_state = 2},
  [7250] = {.lex_state = 330, .external_lex_state = 2},
  [7251] = {.lex_state = 126, .external_lex_state = 2},
  [7252] = {.lex_state = 126, .external_lex_state = 2},
  [7253] = {.lex_state = 502, .external_lex_state = 4},
  [7254] = {.lex_state = 127, .external_lex_state = 2},
  [7255] = {.lex_state = 330, .external_lex_state = 2},
  [7256] = {.lex_state = 330, .external_lex_state = 2},
  [7257] = {.lex_state = 156, .external_lex_state = 2},
  [7258] = {.lex_state = 126, .external_lex_state = 2},
  [7259] = {.lex_state = 131, .external_lex_state = 2},
  [7260] = {.lex_state = 90, .external_lex_state = 2},
  [7261] = {.lex_state = 127, .external_lex_state = 2},
  [7262] = {.lex_state = 126, .external_lex_state = 2},
  [7263] = {.lex_state = 90, .external_lex_state = 2},
  [7264] = {.lex_state = 88, .external_lex_state = 5},
  [7265] = {.lex_state = 330, .external_lex_state = 2},
  [7266] = {.lex_state = 330, .external_lex_state = 2},
  [7267] = {.lex_state = 330, .external_lex_state = 2},
  [7268] = {.lex_state = 330, .external_lex_state = 2},
  [7269] = {.lex_state = 514, .external_lex_state = 2},
  [7270] = {.lex_state = 126, .external_lex_state = 2},
  [7271] = {.lex_state = 108, .external_lex_state = 2},
  [7272] = {.lex_state = 330, .external_lex_state = 2},
  [7273] = {.lex_state = 513, .external_lex_state = 7},
  [7274] = {.lex_state = 90, .external_lex_state = 5},
  [7275] = {.lex_state = 90, .external_lex_state = 2},
  [7276] = {.lex_state = 330, .external_lex_state = 2},
  [7277] = {.lex_state = 330, .external_lex_state = 2},
  [7278] = {.lex_state = 330, .external_lex_state = 2},
  [7279] = {.lex_state = 330, .external_lex_state = 2},
  [7280] = {.lex_state = 330, .external_lex_state = 2},
  [7281] = {.lex_state = 330, .external_lex_state = 2},
  [7282] = {.lex_state = 126, .external_lex_state = 2},
  [7283] = {.lex_state = 330, .external_lex_state = 2},
  [7284] = {.lex_state = 330, .external_lex_state = 2},
  [7285] = {.lex_state = 330, .external_lex_state = 2},
  [7286] = {.lex_state = 330, .external_lex_state = 2},
  [7287] = {.lex_state = 330, .external_lex_state = 2},
  [7288] = {.lex_state = 330, .external_lex_state = 2},
  [7289] = {.lex_state = 165, .external_lex_state = 2},
  [7290] = {.lex_state = 514, .external_lex_state = 2},
  [7291] = {.lex_state = 130, .external_lex_state = 2},
  [7292] = {.lex_state = 82, .external_lex_state = 5},
  [7293] = {.lex_state = 90, .external_lex_state = 2},
  [7294] = {.lex_state = 514, .external_lex_state = 2},
  [7295] = {.lex_state = 115, .external_lex_state = 2},
  [7296] = {.lex_state = 90, .external_lex_state = 2},
  [7297] = {.lex_state = 90, .external_lex_state = 2},
  [7298] = {.lex_state = 88, .external_lex_state = 2},
  [7299] = {.lex_state = 514, .external_lex_state = 2},
  [7300] = {.lex_state = 89, .external_lex_state = 2},
  [7301] = {.lex_state = 89, .external_lex_state = 2},
  [7302] = {.lex_state = 90, .external_lex_state = 2},
  [7303] = {.lex_state = 83, .external_lex_state = 2},
  [7304] = {.lex_state = 127, .external_lex_state = 2},
  [7305] = {.lex_state = 82, .external_lex_state = 2},
  [7306] = {.lex_state = 82, .external_lex_state = 2},
  [7307] = {.lex_state = 88, .external_lex_state = 2},
  [7308] = {.lex_state = 82, .external_lex_state = 2},
  [7309] = {.lex_state = 82, .external_lex_state = 2},
  [7310] = {.lex_state = 83, .external_lex_state = 2},
  [7311] = {.lex_state = 90, .external_lex_state = 2},
  [7312] = {.lex_state = 88, .external_lex_state = 2},
  [7313] = {.lex_state = 130, .external_lex_state = 2},
  [7314] = {.lex_state = 90, .external_lex_state = 2},
  [7315] = {.lex_state = 90, .external_lex_state = 2},
  [7316] = {.lex_state = 90, .external_lex_state = 2},
  [7317] = {.lex_state = 82, .external_lex_state = 2},
  [7318] = {.lex_state = 90, .external_lex_state = 2},
  [7319] = {.lex_state = 83, .external_lex_state = 5},
  [7320] = {.lex_state = 514, .external_lex_state = 2},
  [7321] = {.lex_state = 88, .external_lex_state = 2},
  [7322] = {.lex_state = 90, .external_lex_state = 2},
  [7323] = {.lex_state = 90, .external_lex_state = 2},
  [7324] = {.lex_state = 167, .external_lex_state = 2},
  [7325] = {.lex_state = 88, .external_lex_state = 2},
  [7326] = {.lex_state = 88, .external_lex_state = 2},
  [7327] = {.lex_state = 325, .external_lex_state = 2},
  [7328] = {.lex_state = 88, .external_lex_state = 2},
  [7329] = {.lex_state = 325, .external_lex_state = 2},
  [7330] = {.lex_state = 514, .external_lex_state = 2},
  [7331] = {.lex_state = 88, .external_lex_state = 2},
  [7332] = {.lex_state = 88, .external_lex_state = 2},
  [7333] = {.lex_state = 325, .external_lex_state = 2},
  [7334] = {.lex_state = 164, .external_lex_state = 2},
  [7335] = {.lex_state = 89, .external_lex_state = 2},
  [7336] = {.lex_state = 514, .external_lex_state = 2},
  [7337] = {.lex_state = 325, .external_lex_state = 2},
  [7338] = {.lex_state = 83, .external_lex_state = 2},
  [7339] = {.lex_state = 88, .external_lex_state = 2},
  [7340] = {.lex_state = 88, .external_lex_state = 2},
  [7341] = {.lex_state = 89, .external_lex_state = 5},
  [7342] = {.lex_state = 82, .external_lex_state = 2},
  [7343] = {.lex_state = 82, .external_lex_state = 2},
  [7344] = {.lex_state = 514, .external_lex_state = 2},
  [7345] = {.lex_state = 89, .external_lex_state = 2},
  [7346] = {.lex_state = 82, .external_lex_state = 2},
  [7347] = {.lex_state = 514, .external_lex_state = 2},
  [7348] = {.lex_state = 88, .external_lex_state = 2},
  [7349] = {.lex_state = 90, .external_lex_state = 2},
  [7350] = {.lex_state = 90, .external_lex_state = 2},
  [7351] = {.lex_state = 82, .external_lex_state = 2},
  [7352] = {.lex_state = 82, .external_lex_state = 2},
  [7353] = {.lex_state = 514, .external_lex_state = 2},
  [7354] = {.lex_state = 82, .external_lex_state = 2},
  [7355] = {.lex_state = 82, .external_lex_state = 2},
  [7356] = {.lex_state = 514, .external_lex_state = 2},
  [7357] = {.lex_state = 514, .external_lex_state = 2},
  [7358] = {.lex_state = 88, .external_lex_state = 2},
  [7359] = {.lex_state = 88, .external_lex_state = 2},
  [7360] = {.lex_state = 82, .external_lex_state = 2},
  [7361] = {.lex_state = 82, .external_lex_state = 2},
  [7362] = {.lex_state = 82, .external_lex_state = 2},
  [7363] = {.lex_state = 82, .external_lex_state = 2},
  [7364] = {.lex_state = 82, .external_lex_state = 2},
  [7365] = {.lex_state = 83, .external_lex_state = 2},
  [7366] = {.lex_state = 88, .external_lex_state = 2},
  [7367] = {.lex_state = 514, .external_lex_state = 2},
  [7368] = {.lex_state = 82, .external_lex_state = 2},
  [7369] = {.lex_state = 88, .external_lex_state = 2},
  [7370] = {.lex_state = 82, .external_lex_state = 2},
  [7371] = {.lex_state = 514, .external_lex_state = 2},
  [7372] = {.lex_state = 325, .external_lex_state = 2},
  [7373] = {.lex_state = 82, .external_lex_state = 2},
  [7374] = {.lex_state = 82, .external_lex_state = 2},
  [7375] = {.lex_state = 82, .external_lex_state = 2},
  [7376] = {.lex_state = 82, .external_lex_state = 2},
  [7377] = {.lex_state = 82, .external_lex_state = 2},
  [7378] = {.lex_state = 514, .external_lex_state = 2},
  [7379] = {.lex_state = 82, .external_lex_state = 2},
  [7380] = {.lex_state = 82, .external_lex_state = 2},
  [7381] = {.lex_state = 82, .external_lex_state = 2},
  [7382] = {.lex_state = 82, .external_lex_state = 2},
  [7383] = {.lex_state = 82, .external_lex_state = 2},
  [7384] = {.lex_state = 82, .external_lex_state = 2},
  [7385] = {.lex_state = 89, .external_lex_state = 2},
  [7386] = {.lex_state = 90, .external_lex_state = 2},
  [7387] = {.lex_state = 88, .external_lex_state = 2},
  [7388] = {.lex_state = 514, .external_lex_state = 2},
  [7389] = {.lex_state = 90, .external_lex_state = 2},
  [7390] = {.lex_state = 514, .external_lex_state = 2},
  [7391] = {.lex_state = 514, .external_lex_state = 2},
  [7392] = {.lex_state = 83, .external_lex_state = 2},
  [7393] = {.lex_state = 325, .external_lex_state = 2},
  [7394] = {.lex_state = 82, .external_lex_state = 2},
  [7395] = {.lex_state = 89, .external_lex_state = 2},
  [7396] = {.lex_state = 325, .external_lex_state = 2},
  [7397] = {.lex_state = 90, .external_lex_state = 2},
  [7398] = {.lex_state = 82, .external_lex_state = 2},
  [7399] = {.lex_state = 89, .external_lex_state = 2},
  [7400] = {.lex_state = 88, .external_lex_state = 2},
  [7401] = {.lex_state = 83, .external_lex_state = 2},
  [7402] = {.lex_state = 88, .external_lex_state = 2},
  [7403] = {.lex_state = 88, .external_lex_state = 2},
  [7404] = {.lex_state = 514, .external_lex_state = 2},
  [7405] = {.lex_state = 325, .external_lex_state = 2},
  [7406] = {.lex_state = 514, .external_lex_state = 2},
  [7407] = {.lex_state = 514, .external_lex_state = 2},
  [7408] = {.lex_state = 90, .external_lex_state = 2},
  [7409] = {.lex_state = 514, .external_lex_state = 2},
  [7410] = {.lex_state = 88, .external_lex_state = 2},
  [7411] = {.lex_state = 514, .external_lex_state = 2},
  [7412] = {.lex_state = 514, .external_lex_state = 2},
  [7413] = {.lex_state = 88, .external_lex_state = 2},
  [7414] = {.lex_state = 90, .external_lex_state = 2},
  [7415] = {.lex_state = 514, .external_lex_state = 2},
  [7416] = {.lex_state = 514, .external_lex_state = 2},
  [7417] = {.lex_state = 514, .external_lex_state = 2},
  [7418] = {.lex_state = 514, .external_lex_state = 2},
  [7419] = {.lex_state = 88, .external_lex_state = 2},
  [7420] = {.lex_state = 83, .external_lex_state = 2},
  [7421] = {.lex_state = 514, .external_lex_state = 2},
  [7422] = {.lex_state = 514, .external_lex_state = 2},
  [7423] = {.lex_state = 88, .external_lex_state = 2},
  [7424] = {.lex_state = 88, .external_lex_state = 2},
  [7425] = {.lex_state = 90, .external_lex_state = 2},
  [7426] = {.lex_state = 514, .external_lex_state = 2},
  [7427] = {.lex_state = 514, .external_lex_state = 2},
  [7428] = {.lex_state = 88, .external_lex_state = 2},
  [7429] = {.lex_state = 83, .external_lex_state = 2},
  [7430] = {.lex_state = 82, .external_lex_state = 2},
  [7431] = {.lex_state = 82, .external_lex_state = 2},
  [7432] = {.lex_state = 88, .external_lex_state = 2},
  [7433] = {.lex_state = 90, .external_lex_state = 2},
  [7434] = {.lex_state = 90, .external_lex_state = 2},
  [7435] = {.lex_state = 90, .external_lex_state = 2},
  [7436] = {.lex_state = 514, .external_lex_state = 2},
  [7437] = {.lex_state = 90, .external_lex_state = 2},
  [7438] = {.lex_state = 90, .external_lex_state = 2},
  [7439] = {.lex_state = 514, .external_lex_state = 2},
  [7440] = {.lex_state = 89, .external_lex_state = 2},
  [7441] = {.lex_state = 99, .external_lex_state = 2},
  [7442] = {.lex_state = 89, .external_lex_state = 2},
  [7443] = {.lex_state = 82, .external_lex_state = 2},
  [7444] = {.lex_state = 89, .external_lex_state = 2},
  [7445] = {.lex_state = 514, .external_lex_state = 2},
  [7446] = {.lex_state = 82, .external_lex_state = 2},
  [7447] = {.lex_state = 514, .external_lex_state = 2},
  [7448] = {.lex_state = 90, .external_lex_state = 2},
  [7449] = {.lex_state = 115, .external_lex_state = 2},
  [7450] = {.lex_state = 514, .external_lex_state = 2},
  [7451] = {.lex_state = 82, .external_lex_state = 2},
  [7452] = {.lex_state = 82, .external_lex_state = 2},
  [7453] = {.lex_state = 88, .external_lex_state = 2},
  [7454] = {.lex_state = 88, .external_lex_state = 2},
  [7455] = {.lex_state = 115, .external_lex_state = 2},
  [7456] = {.lex_state = 90, .external_lex_state = 2},
  [7457] = {.lex_state = 325, .external_lex_state = 2},
  [7458] = {.lex_state = 90, .external_lex_state = 2},
  [7459] = {.lex_state = 82, .external_lex_state = 2},
  [7460] = {.lex_state = 90, .external_lex_state = 2},
  [7461] = {.lex_state = 82, .external_lex_state = 2},
  [7462] = {.lex_state = 83, .external_lex_state = 2},
  [7463] = {.lex_state = 88, .external_lex_state = 2},
  [7464] = {.lex_state = 83, .external_lex_state = 2},
  [7465] = {.lex_state = 90, .external_lex_state = 2},
  [7466] = {.lex_state = 325, .external_lex_state = 5},
  [7467] = {.lex_state = 325, .external_lex_state = 2},
  [7468] = {.lex_state = 88, .external_lex_state = 2},
  [7469] = {.lex_state = 75, .external_lex_state = 2},
  [7470] = {.lex_state = 75, .external_lex_state = 2},
  [7471] = {.lex_state = 75, .external_lex_state = 2},
  [7472] = {.lex_state = 75, .external_lex_state = 2},
  [7473] = {.lex_state = 90, .external_lex_state = 2},
  [7474] = {.lex_state = 82, .external_lex_state = 2},
  [7475] = {.lex_state = 88, .external_lex_state = 2},
  [7476] = {.lex_state = 514, .external_lex_state = 2},
  [7477] = {.lex_state = 88, .external_lex_state = 2},
  [7478] = {.lex_state = 89, .external_lex_state = 2},
  [7479] = {.lex_state = 129, .external_lex_state = 2},
  [7480] = {.lex_state = 88, .external_lex_state = 2},
  [7481] = {.lex_state = 88, .external_lex_state = 2},
  [7482] = {.lex_state = 90, .external_lex_state = 2},
  [7483] = {.lex_state = 88, .external_lex_state = 2},
  [7484] = {.lex_state = 90, .external_lex_state = 2},
  [7485] = {.lex_state = 336, .external_lex_state = 2},
  [7486] = {.lex_state = 88, .external_lex_state = 2},
  [7487] = {.lex_state = 88, .external_lex_state = 2},
  [7488] = {.lex_state = 90, .external_lex_state = 2},
  [7489] = {.lex_state = 325, .external_lex_state = 2},
  [7490] = {.lex_state = 99, .external_lex_state = 2},
  [7491] = {.lex_state = 514, .external_lex_state = 2},
  [7492] = {.lex_state = 89, .external_lex_state = 2},
  [7493] = {.lex_state = 89, .external_lex_state = 2},
  [7494] = {.lex_state = 90, .external_lex_state = 2},
  [7495] = {.lex_state = 514, .external_lex_state = 2},
  [7496] = {.lex_state = 82, .external_lex_state = 2},
  [7497] = {.lex_state = 83, .external_lex_state = 2},
  [7498] = {.lex_state = 90, .external_lex_state = 2},
  [7499] = {.lex_state = 90, .external_lex_state = 2},
  [7500] = {.lex_state = 514, .external_lex_state = 2},
  [7501] = {.lex_state = 90, .external_lex_state = 2},
  [7502] = {.lex_state = 513, .external_lex_state = 2},
  [7503] = {.lex_state = 513, .external_lex_state = 2},
  [7504] = {.lex_state = 82, .external_lex_state = 2},
  [7505] = {.lex_state = 89, .external_lex_state = 2},
  [7506] = {.lex_state = 88, .external_lex_state = 2},
  [7507] = {.lex_state = 90, .external_lex_state = 2},
  [7508] = {.lex_state = 83, .external_lex_state = 2},
  [7509] = {.lex_state = 83, .external_lex_state = 2},
  [7510] = {.lex_state = 90, .external_lex_state = 2},
  [7511] = {.lex_state = 88, .external_lex_state = 2},
  [7512] = {.lex_state = 90, .external_lex_state = 2},
  [7513] = {.lex_state = 513, .external_lex_state = 2},
  [7514] = {.lex_state = 88, .external_lex_state = 2},
  [7515] = {.lex_state = 513, .external_lex_state = 2},
  [7516] = {.lex_state = 88, .external_lex_state = 2},
  [7517] = {.lex_state = 83, .external_lex_state = 2},
  [7518] = {.lex_state = 90, .external_lex_state = 2},
  [7519] = {.lex_state = 115, .external_lex_state = 2},
  [7520] = {.lex_state = 83, .external_lex_state = 2},
  [7521] = {.lex_state = 90, .external_lex_state = 2},
  [7522] = {.lex_state = 127, .external_lex_state = 2},
  [7523] = {.lex_state = 88, .external_lex_state = 2},
  [7524] = {.lex_state = 88, .external_lex_state = 2},
  [7525] = {.lex_state = 82, .external_lex_state = 2},
  [7526] = {.lex_state = 83, .external_lex_state = 2},
  [7527] = {.lex_state = 88, .external_lex_state = 2},
  [7528] = {.lex_state = 514, .external_lex_state = 2},
  [7529] = {.lex_state = 514, .external_lex_state = 2},
  [7530] = {.lex_state = 514, .external_lex_state = 2},
  [7531] = {.lex_state = 90, .external_lex_state = 2},
  [7532] = {.lex_state = 514, .external_lex_state = 2},
  [7533] = {.lex_state = 115, .external_lex_state = 2},
  [7534] = {.lex_state = 514, .external_lex_state = 2},
  [7535] = {.lex_state = 106, .external_lex_state = 2},
  [7536] = {.lex_state = 83, .external_lex_state = 2},
  [7537] = {.lex_state = 106, .external_lex_state = 2},
  [7538] = {.lex_state = 130, .external_lex_state = 2},
  [7539] = {.lex_state = 130, .external_lex_state = 2},
  [7540] = {.lex_state = 130, .external_lex_state = 2},
  [7541] = {.lex_state = 83, .external_lex_state = 2},
  [7542] = {.lex_state = 514, .external_lex_state = 2},
  [7543] = {.lex_state = 130, .external_lex_state = 2},
  [7544] = {.lex_state = 514, .external_lex_state = 2},
  [7545] = {.lex_state = 130, .external_lex_state = 2},
  [7546] = {.lex_state = 83, .external_lex_state = 2},
  [7547] = {.lex_state = 130, .external_lex_state = 2},
  [7548] = {.lex_state = 514, .external_lex_state = 2},
  [7549] = {.lex_state = 130, .external_lex_state = 2},
  [7550] = {.lex_state = 115, .external_lex_state = 2},
  [7551] = {.lex_state = 130, .external_lex_state = 2},
  [7552] = {.lex_state = 115, .external_lex_state = 2},
  [7553] = {.lex_state = 130, .external_lex_state = 2},
  [7554] = {.lex_state = 115, .external_lex_state = 2},
  [7555] = {.lex_state = 76, .external_lex_state = 2},
  [7556] = {.lex_state = 90, .external_lex_state = 2},
  [7557] = {.lex_state = 130, .external_lex_state = 2},
  [7558] = {.lex_state = 90, .external_lex_state = 2},
  [7559] = {.lex_state = 130, .external_lex_state = 2},
  [7560] = {.lex_state = 514, .external_lex_state = 2},
  [7561] = {.lex_state = 100, .external_lex_state = 2},
  [7562] = {.lex_state = 83, .external_lex_state = 2},
  [7563] = {.lex_state = 83, .external_lex_state = 2},
  [7564] = {.lex_state = 83, .external_lex_state = 2},
  [7565] = {.lex_state = 83, .external_lex_state = 2},
  [7566] = {.lex_state = 90, .external_lex_state = 2},
  [7567] = {.lex_state = 514, .external_lex_state = 2},
  [7568] = {.lex_state = 90, .external_lex_state = 2},
  [7569] = {.lex_state = 90, .external_lex_state = 2},
  [7570] = {.lex_state = 83, .external_lex_state = 2},
  [7571] = {.lex_state = 83, .external_lex_state = 2},
  [7572] = {.lex_state = 82, .external_lex_state = 2},
  [7573] = {.lex_state = 90, .external_lex_state = 2},
  [7574] = {.lex_state = 90, .external_lex_state = 2},
  [7575] = {.lex_state = 90, .external_lex_state = 2},
  [7576] = {.lex_state = 90, .external_lex_state = 2},
  [7577] = {.lex_state = 83, .external_lex_state = 2},
  [7578] = {.lex_state = 83, .external_lex_state = 2},
  [7579] = {.lex_state = 83, .external_lex_state = 2},
  [7580] = {.lex_state = 90, .external_lex_state = 2},
  [7581] = {.lex_state = 514, .external_lex_state = 2},
  [7582] = {.lex_state = 90, .external_lex_state = 2},
  [7583] = {.lex_state = 88, .external_lex_state = 2},
  [7584] = {.lex_state = 82, .external_lex_state = 2},
  [7585] = {.lex_state = 83, .external_lex_state = 2},
  [7586] = {.lex_state = 89, .external_lex_state = 2},
  [7587] = {.lex_state = 83, .external_lex_state = 2},
  [7588] = {.lex_state = 90, .external_lex_state = 2},
  [7589] = {.lex_state = 28, .external_lex_state = 4},
  [7590] = {.lex_state = 83, .external_lex_state = 2},
  [7591] = {.lex_state = 83, .external_lex_state = 2},
  [7592] = {.lex_state = 90, .external_lex_state = 2},
  [7593] = {.lex_state = 82, .external_lex_state = 2},
  [7594] = {.lex_state = 83, .external_lex_state = 2},
  [7595] = {.lex_state = 89, .external_lex_state = 2},
  [7596] = {.lex_state = 90, .external_lex_state = 2},
  [7597] = {.lex_state = 89, .external_lex_state = 2},
  [7598] = {.lex_state = 130, .external_lex_state = 2},
  [7599] = {.lex_state = 83, .external_lex_state = 2},
  [7600] = {.lex_state = 83, .external_lex_state = 2},
  [7601] = {.lex_state = 88, .external_lex_state = 2},
  [7602] = {.lex_state = 83, .external_lex_state = 2},
  [7603] = {.lex_state = 83, .external_lex_state = 2},
  [7604] = {.lex_state = 130, .external_lex_state = 2},
  [7605] = {.lex_state = 90, .external_lex_state = 2},
  [7606] = {.lex_state = 89, .external_lex_state = 2},
  [7607] = {.lex_state = 89, .external_lex_state = 2},
  [7608] = {.lex_state = 83, .external_lex_state = 2},
  [7609] = {.lex_state = 89, .external_lex_state = 5},
  [7610] = {.lex_state = 88, .external_lex_state = 2},
  [7611] = {.lex_state = 88, .external_lex_state = 2},
  [7612] = {.lex_state = 82, .external_lex_state = 2},
  [7613] = {.lex_state = 88, .external_lex_state = 2},
  [7614] = {.lex_state = 90, .external_lex_state = 2},
  [7615] = {.lex_state = 88, .external_lex_state = 2},
  [7616] = {.lex_state = 88, .external_lex_state = 2},
  [7617] = {.lex_state = 130, .external_lex_state = 2},
  [7618] = {.lex_state = 83, .external_lex_state = 2},
  [7619] = {.lex_state = 83, .external_lex_state = 2},
  [7620] = {.lex_state = 88, .external_lex_state = 2},
  [7621] = {.lex_state = 88, .external_lex_state = 2},
  [7622] = {.lex_state = 88, .external_lex_state = 2},
  [7623] = {.lex_state = 83, .external_lex_state = 2},
  [7624] = {.lex_state = 83, .external_lex_state = 2},
  [7625] = {.lex_state = 325, .external_lex_state = 2},
  [7626] = {.lex_state = 130, .external_lex_state = 2},
  [7627] = {.lex_state = 514, .external_lex_state = 2},
  [7628] = {.lex_state = 88, .external_lex_state = 2},
  [7629] = {.lex_state = 88, .external_lex_state = 2},
  [7630] = {.lex_state = 89, .external_lex_state = 2},
  [7631] = {.lex_state = 89, .external_lex_state = 2},
  [7632] = {.lex_state = 130, .external_lex_state = 2},
  [7633] = {.lex_state = 83, .external_lex_state = 2},
  [7634] = {.lex_state = 89, .external_lex_state = 2},
  [7635] = {.lex_state = 83, .external_lex_state = 2},
  [7636] = {.lex_state = 83, .external_lex_state = 5},
  [7637] = {.lex_state = 88, .external_lex_state = 2},
  [7638] = {.lex_state = 83, .external_lex_state = 2},
  [7639] = {.lex_state = 89, .external_lex_state = 2},
  [7640] = {.lex_state = 89, .external_lex_state = 2},
  [7641] = {.lex_state = 83, .external_lex_state = 2},
  [7642] = {.lex_state = 89, .external_lex_state = 2},
  [7643] = {.lex_state = 89, .external_lex_state = 2},
  [7644] = {.lex_state = 88, .external_lex_state = 2},
  [7645] = {.lex_state = 90, .external_lex_state = 2},
  [7646] = {.lex_state = 88, .external_lex_state = 2},
  [7647] = {.lex_state = 514, .external_lex_state = 2},
  [7648] = {.lex_state = 89, .external_lex_state = 2},
  [7649] = {.lex_state = 89, .external_lex_state = 2},
  [7650] = {.lex_state = 89, .external_lex_state = 2},
  [7651] = {.lex_state = 89, .external_lex_state = 2},
  [7652] = {.lex_state = 89, .external_lex_state = 2},
  [7653] = {.lex_state = 514, .external_lex_state = 2},
  [7654] = {.lex_state = 130, .external_lex_state = 2},
  [7655] = {.lex_state = 514, .external_lex_state = 2},
  [7656] = {.lex_state = 89, .external_lex_state = 2},
  [7657] = {.lex_state = 130, .external_lex_state = 2},
  [7658] = {.lex_state = 89, .external_lex_state = 2},
  [7659] = {.lex_state = 88, .external_lex_state = 2},
  [7660] = {.lex_state = 130, .external_lex_state = 2},
  [7661] = {.lex_state = 89, .external_lex_state = 2},
  [7662] = {.lex_state = 89, .external_lex_state = 2},
  [7663] = {.lex_state = 89, .external_lex_state = 2},
  [7664] = {.lex_state = 89, .external_lex_state = 2},
  [7665] = {.lex_state = 89, .external_lex_state = 2},
  [7666] = {.lex_state = 88, .external_lex_state = 2},
  [7667] = {.lex_state = 89, .external_lex_state = 2},
  [7668] = {.lex_state = 89, .external_lex_state = 2},
  [7669] = {.lex_state = 89, .external_lex_state = 2},
  [7670] = {.lex_state = 89, .external_lex_state = 2},
  [7671] = {.lex_state = 89, .external_lex_state = 2},
  [7672] = {.lex_state = 89, .external_lex_state = 2},
  [7673] = {.lex_state = 90, .external_lex_state = 2},
  [7674] = {.lex_state = 130, .external_lex_state = 2},
  [7675] = {.lex_state = 325, .external_lex_state = 2},
  [7676] = {.lex_state = 514, .external_lex_state = 2},
  [7677] = {.lex_state = 89, .external_lex_state = 2},
  [7678] = {.lex_state = 514, .external_lex_state = 2},
  [7679] = {.lex_state = 514, .external_lex_state = 2},
  [7680] = {.lex_state = 122, .external_lex_state = 2},
  [7681] = {.lex_state = 130, .external_lex_state = 2},
  [7682] = {.lex_state = 130, .external_lex_state = 2},
  [7683] = {.lex_state = 514, .external_lex_state = 2},
  [7684] = {.lex_state = 90, .external_lex_state = 2},
  [7685] = {.lex_state = 130, .external_lex_state = 2},
  [7686] = {.lex_state = 90, .external_lex_state = 2},
  [7687] = {.lex_state = 90, .external_lex_state = 2},
  [7688] = {.lex_state = 83, .external_lex_state = 2},
  [7689] = {.lex_state = 130, .external_lex_state = 2},
  [7690] = {.lex_state = 130, .external_lex_state = 2},
  [7691] = {.lex_state = 83, .external_lex_state = 2},
  [7692] = {.lex_state = 130, .external_lex_state = 2},
  [7693] = {.lex_state = 130, .external_lex_state = 2},
  [7694] = {.lex_state = 83, .external_lex_state = 2},
  [7695] = {.lex_state = 514, .external_lex_state = 2},
  [7696] = {.lex_state = 130, .external_lex_state = 2},
  [7697] = {.lex_state = 514, .external_lex_state = 2},
  [7698] = {.lex_state = 130, .external_lex_state = 2},
  [7699] = {.lex_state = 130, .external_lex_state = 2},
  [7700] = {.lex_state = 130, .external_lex_state = 2},
  [7701] = {.lex_state = 88, .external_lex_state = 2},
  [7702] = {.lex_state = 127, .external_lex_state = 2},
  [7703] = {.lex_state = 83, .external_lex_state = 2},
  [7704] = {.lex_state = 130, .external_lex_state = 2},
  [7705] = {.lex_state = 90, .external_lex_state = 2},
  [7706] = {.lex_state = 514, .external_lex_state = 2},
  [7707] = {.lex_state = 514, .external_lex_state = 2},
  [7708] = {.lex_state = 514, .external_lex_state = 2},
  [7709] = {.lex_state = 514, .external_lex_state = 2},
  [7710] = {.lex_state = 83, .external_lex_state = 2},
  [7711] = {.lex_state = 83, .external_lex_state = 2},
  [7712] = {.lex_state = 130, .external_lex_state = 2},
  [7713] = {.lex_state = 514, .external_lex_state = 2},
  [7714] = {.lex_state = 130, .external_lex_state = 2},
  [7715] = {.lex_state = 514, .external_lex_state = 2},
  [7716] = {.lex_state = 514, .external_lex_state = 2},
  [7717] = {.lex_state = 514, .external_lex_state = 2},
  [7718] = {.lex_state = 130, .external_lex_state = 2},
  [7719] = {.lex_state = 83, .external_lex_state = 5},
  [7720] = {.lex_state = 514, .external_lex_state = 2},
  [7721] = {.lex_state = 129, .external_lex_state = 2},
  [7722] = {.lex_state = 514, .external_lex_state = 2},
  [7723] = {.lex_state = 83, .external_lex_state = 2},
  [7724] = {.lex_state = 130, .external_lex_state = 2},
  [7725] = {.lex_state = 130, .external_lex_state = 2},
  [7726] = {.lex_state = 514, .external_lex_state = 2},
  [7727] = {.lex_state = 130, .external_lex_state = 2},
  [7728] = {.lex_state = 162, .external_lex_state = 2},
  [7729] = {.lex_state = 514, .external_lex_state = 2},
  [7730] = {.lex_state = 130, .external_lex_state = 2},
  [7731] = {.lex_state = 89, .external_lex_state = 2},
  [7732] = {.lex_state = 88, .external_lex_state = 2},
  [7733] = {.lex_state = 82, .external_lex_state = 5},
  [7734] = {.lex_state = 330, .external_lex_state = 2},
  [7735] = {.lex_state = 514, .external_lex_state = 2},
  [7736] = {.lex_state = 130, .external_lex_state = 2},
  [7737] = {.lex_state = 130, .external_lex_state = 2},
  [7738] = {.lex_state = 514, .external_lex_state = 2},
  [7739] = {.lex_state = 514, .external_lex_state = 2},
  [7740] = {.lex_state = 89, .external_lex_state = 2},
  [7741] = {.lex_state = 130, .external_lex_state = 2},
  [7742] = {.lex_state = 514, .external_lex_state = 2},
  [7743] = {.lex_state = 82, .external_lex_state = 5},
  [7744] = {.lex_state = 83, .external_lex_state = 2},
  [7745] = {.lex_state = 514, .external_lex_state = 2},
  [7746] = {.lex_state = 514, .external_lex_state = 2},
  [7747] = {.lex_state = 514, .external_lex_state = 2},
  [7748] = {.lex_state = 88, .external_lex_state = 2},
  [7749] = {.lex_state = 89, .external_lex_state = 2},
  [7750] = {.lex_state = 90, .external_lex_state = 2},
  [7751] = {.lex_state = 514, .external_lex_state = 2},
  [7752] = {.lex_state = 325, .external_lex_state = 5},
  [7753] = {.lex_state = 514, .external_lex_state = 2},
  [7754] = {.lex_state = 82, .external_lex_state = 2},
  [7755] = {.lex_state = 126, .external_lex_state = 2},
  [7756] = {.lex_state = 90, .external_lex_state = 2},
  [7757] = {.lex_state = 89, .external_lex_state = 5},
  [7758] = {.lex_state = 82, .external_lex_state = 2},
  [7759] = {.lex_state = 325, .external_lex_state = 2},
  [7760] = {.lex_state = 325, .external_lex_state = 2},
  [7761] = {.lex_state = 89, .external_lex_state = 5},
  [7762] = {.lex_state = 89, .external_lex_state = 2},
  [7763] = {.lex_state = 330, .external_lex_state = 2},
  [7764] = {.lex_state = 514, .external_lex_state = 2},
  [7765] = {.lex_state = 514, .external_lex_state = 2},
  [7766] = {.lex_state = 90, .external_lex_state = 2},
  [7767] = {.lex_state = 330, .external_lex_state = 2},
  [7768] = {.lex_state = 325, .external_lex_state = 2},
  [7769] = {.lex_state = 514, .external_lex_state = 2},
  [7770] = {.lex_state = 514, .external_lex_state = 2},
  [7771] = {.lex_state = 514, .external_lex_state = 2},
  [7772] = {.lex_state = 325, .external_lex_state = 2},
  [7773] = {.lex_state = 325, .external_lex_state = 5},
  [7774] = {.lex_state = 83, .external_lex_state = 2},
  [7775] = {.lex_state = 126, .external_lex_state = 2},
  [7776] = {.lex_state = 89, .external_lex_state = 2},
  [7777] = {.lex_state = 88, .external_lex_state = 2},
  [7778] = {.lex_state = 88, .external_lex_state = 2},
  [7779] = {.lex_state = 90, .external_lex_state = 2},
  [7780] = {.lex_state = 88, .external_lex_state = 2},
  [7781] = {.lex_state = 514, .external_lex_state = 2},
  [7782] = {.lex_state = 106, .external_lex_state = 2},
  [7783] = {.lex_state = 90, .external_lex_state = 2},
  [7784] = {.lex_state = 514, .external_lex_state = 2},
  [7785] = {.lex_state = 89, .external_lex_state = 2},
  [7786] = {.lex_state = 514, .external_lex_state = 2},
  [7787] = {.lex_state = 90, .external_lex_state = 2},
  [7788] = {.lex_state = 83, .external_lex_state = 2},
  [7789] = {.lex_state = 514, .external_lex_state = 2},
  [7790] = {.lex_state = 514, .external_lex_state = 2},
  [7791] = {.lex_state = 514, .external_lex_state = 2},
  [7792] = {.lex_state = 514, .external_lex_state = 2},
  [7793] = {.lex_state = 88, .external_lex_state = 2},
  [7794] = {.lex_state = 82, .external_lex_state = 2},
  [7795] = {.lex_state = 90, .external_lex_state = 2},
  [7796] = {.lex_state = 82, .external_lex_state = 2},
  [7797] = {.lex_state = 514, .external_lex_state = 2},
  [7798] = {.lex_state = 514, .external_lex_state = 2},
  [7799] = {.lex_state = 514, .external_lex_state = 2},
  [7800] = {.lex_state = 514, .external_lex_state = 2},
  [7801] = {.lex_state = 514, .external_lex_state = 2},
  [7802] = {.lex_state = 514, .external_lex_state = 2},
  [7803] = {.lex_state = 88, .external_lex_state = 2},
  [7804] = {.lex_state = 89, .external_lex_state = 2},
  [7805] = {.lex_state = 95, .external_lex_state = 2},
  [7806] = {.lex_state = 90, .external_lex_state = 2},
  [7807] = {.lex_state = 514, .external_lex_state = 2},
  [7808] = {.lex_state = 514, .external_lex_state = 2},
  [7809] = {.lex_state = 90, .external_lex_state = 2},
  [7810] = {.lex_state = 325, .external_lex_state = 2},
  [7811] = {.lex_state = 108, .external_lex_state = 2},
  [7812] = {.lex_state = 88, .external_lex_state = 2},
  [7813] = {.lex_state = 514, .external_lex_state = 2},
  [7814] = {.lex_state = 130, .external_lex_state = 2},
  [7815] = {.lex_state = 514, .external_lex_state = 2},
  [7816] = {.lex_state = 325, .external_lex_state = 2},
  [7817] = {.lex_state = 83, .external_lex_state = 2},
  [7818] = {.lex_state = 325, .external_lex_state = 2},
  [7819] = {.lex_state = 89, .external_lex_state = 2},
  [7820] = {.lex_state = 88, .external_lex_state = 2},
  [7821] = {.lex_state = 129, .external_lex_state = 2},
  [7822] = {.lex_state = 89, .external_lex_state = 2},
  [7823] = {.lex_state = 88, .external_lex_state = 2},
  [7824] = {.lex_state = 115, .external_lex_state = 2},
  [7825] = {.lex_state = 514, .external_lex_state = 2},
  [7826] = {.lex_state = 88, .external_lex_state = 2},
  [7827] = {.lex_state = 514, .external_lex_state = 2},
  [7828] = {.lex_state = 82, .external_lex_state = 5},
  [7829] = {.lex_state = 100, .external_lex_state = 2},
  [7830] = {.lex_state = 83, .external_lex_state = 2},
  [7831] = {.lex_state = 90, .external_lex_state = 2},
  [7832] = {.lex_state = 514, .external_lex_state = 2},
  [7833] = {.lex_state = 115, .external_lex_state = 2},
  [7834] = {.lex_state = 514, .external_lex_state = 2},
  [7835] = {.lex_state = 514, .external_lex_state = 2},
  [7836] = {.lex_state = 514, .external_lex_state = 2},
  [7837] = {.lex_state = 514, .external_lex_state = 2},
  [7838] = {.lex_state = 514, .external_lex_state = 2},
  [7839] = {.lex_state = 514, .external_lex_state = 2},
  [7840] = {.lex_state = 90, .external_lex_state = 2},
  [7841] = {.lex_state = 90, .external_lex_state = 2},
  [7842] = {.lex_state = 90, .external_lex_state = 2},
  [7843] = {.lex_state = 115, .external_lex_state = 2},
  [7844] = {.lex_state = 514, .external_lex_state = 2},
  [7845] = {.lex_state = 90, .external_lex_state = 2},
  [7846] = {.lex_state = 514, .external_lex_state = 2},
  [7847] = {.lex_state = 514, .external_lex_state = 2},
  [7848] = {.lex_state = 514, .external_lex_state = 2},
  [7849] = {.lex_state = 90, .external_lex_state = 2},
  [7850] = {.lex_state = 88, .external_lex_state = 2},
  [7851] = {.lex_state = 130, .external_lex_state = 2},
  [7852] = {.lex_state = 115, .external_lex_state = 2},
  [7853] = {.lex_state = 115, .external_lex_state = 2},
  [7854] = {.lex_state = 88, .external_lex_state = 2},
  [7855] = {.lex_state = 90, .external_lex_state = 2},
  [7856] = {.lex_state = 88, .external_lex_state = 2},
  [7857] = {.lex_state = 88, .external_lex_state = 2},
  [7858] = {.lex_state = 514, .external_lex_state = 2},
  [7859] = {.lex_state = 88, .external_lex_state = 2},
  [7860] = {.lex_state = 88, .external_lex_state = 2},
  [7861] = {.lex_state = 88, .external_lex_state = 2},
  [7862] = {.lex_state = 514, .external_lex_state = 2},
  [7863] = {.lex_state = 115, .external_lex_state = 2},
  [7864] = {.lex_state = 88, .external_lex_state = 2},
  [7865] = {.lex_state = 514, .external_lex_state = 2},
  [7866] = {.lex_state = 29, .external_lex_state = 4},
  [7867] = {.lex_state = 514, .external_lex_state = 2},
  [7868] = {.lex_state = 130, .external_lex_state = 2},
  [7869] = {.lex_state = 88, .external_lex_state = 2},
  [7870] = {.lex_state = 517, .external_lex_state = 2},
  [7871] = {.lex_state = 88, .external_lex_state = 2},
  [7872] = {.lex_state = 90, .external_lex_state = 2},
  [7873] = {.lex_state = 89, .external_lex_state = 2},
  [7874] = {.lex_state = 514, .external_lex_state = 2},
  [7875] = {.lex_state = 514, .external_lex_state = 2},
  [7876] = {.lex_state = 88, .external_lex_state = 2},
  [7877] = {.lex_state = 90, .external_lex_state = 2},
  [7878] = {.lex_state = 88, .external_lex_state = 2},
  [7879] = {.lex_state = 88, .external_lex_state = 2},
  [7880] = {.lex_state = 514, .external_lex_state = 2},
  [7881] = {.lex_state = 89, .external_lex_state = 2},
  [7882] = {.lex_state = 514, .external_lex_state = 2},
  [7883] = {.lex_state = 88, .external_lex_state = 2},
  [7884] = {.lex_state = 90, .external_lex_state = 2},
  [7885] = {.lex_state = 88, .external_lex_state = 2},
  [7886] = {.lex_state = 88, .external_lex_state = 2},
  [7887] = {.lex_state = 88, .external_lex_state = 2},
  [7888] = {.lex_state = 88, .external_lex_state = 2},
  [7889] = {.lex_state = 90, .external_lex_state = 2},
  [7890] = {.lex_state = 514, .external_lex_state = 2},
  [7891] = {.lex_state = 90, .external_lex_state = 2},
  [7892] = {.lex_state = 88, .external_lex_state = 2},
  [7893] = {.lex_state = 90, .external_lex_state = 2},
  [7894] = {.lex_state = 514, .external_lex_state = 2},
  [7895] = {.lex_state = 90, .external_lex_state = 2},
  [7896] = {.lex_state = 90, .external_lex_state = 2},
  [7897] = {.lex_state = 514, .external_lex_state = 2},
  [7898] = {.lex_state = 90, .external_lex_state = 2},
  [7899] = {.lex_state = 514, .external_lex_state = 2},
  [7900] = {.lex_state = 90, .external_lex_state = 2},
  [7901] = {.lex_state = 90, .external_lex_state = 2},
  [7902] = {.lex_state = 514, .external_lex_state = 2},
  [7903] = {.lex_state = 88, .external_lex_state = 2},
  [7904] = {.lex_state = 88, .external_lex_state = 2},
  [7905] = {.lex_state = 514, .external_lex_state = 2},
  [7906] = {.lex_state = 90, .external_lex_state = 2},
  [7907] = {.lex_state = 88, .external_lex_state = 2},
  [7908] = {.lex_state = 82, .external_lex_state = 2},
  [7909] = {.lex_state = 90, .external_lex_state = 2},
  [7910] = {.lex_state = 88, .external_lex_state = 2},
  [7911] = {.lex_state = 514, .external_lex_state = 2},
  [7912] = {.lex_state = 325, .external_lex_state = 2},
  [7913] = {.lex_state = 325, .external_lex_state = 2},
  [7914] = {.lex_state = 325, .external_lex_state = 2},
  [7915] = {.lex_state = 325, .external_lex_state = 2},
  [7916] = {.lex_state = 514, .external_lex_state = 2},
  [7917] = {.lex_state = 90, .external_lex_state = 2},
  [7918] = {.lex_state = 325, .external_lex_state = 2},
  [7919] = {.lex_state = 90, .external_lex_state = 2},
  [7920] = {.lex_state = 115, .external_lex_state = 2},
  [7921] = {.lex_state = 88, .external_lex_state = 2},
  [7922] = {.lex_state = 325, .external_lex_state = 2},
  [7923] = {.lex_state = 325, .external_lex_state = 2},
  [7924] = {.lex_state = 514, .external_lex_state = 2},
  [7925] = {.lex_state = 514, .external_lex_state = 2},
  [7926] = {.lex_state = 88, .external_lex_state = 2},
  [7927] = {.lex_state = 514, .external_lex_state = 2},
  [7928] = {.lex_state = 88, .external_lex_state = 2},
  [7929] = {.lex_state = 90, .external_lex_state = 2},
  [7930] = {.lex_state = 88, .external_lex_state = 2},
  [7931] = {.lex_state = 88, .external_lex_state = 2},
  [7932] = {.lex_state = 88, .external_lex_state = 2},
  [7933] = {.lex_state = 88, .external_lex_state = 2},
  [7934] = {.lex_state = 88, .external_lex_state = 2},
  [7935] = {.lex_state = 88, .external_lex_state = 2},
  [7936] = {.lex_state = 90, .external_lex_state = 2},
  [7937] = {.lex_state = 514, .external_lex_state = 2},
  [7938] = {.lex_state = 88, .external_lex_state = 2},
  [7939] = {.lex_state = 88, .external_lex_state = 2},
  [7940] = {.lex_state = 514, .external_lex_state = 2},
  [7941] = {.lex_state = 90, .external_lex_state = 2},
  [7942] = {.lex_state = 90, .external_lex_state = 2},
  [7943] = {.lex_state = 514, .external_lex_state = 2},
  [7944] = {.lex_state = 88, .external_lex_state = 2},
  [7945] = {.lex_state = 514, .external_lex_state = 2},
  [7946] = {.lex_state = 88, .external_lex_state = 2},
  [7947] = {.lex_state = 514, .external_lex_state = 2},
  [7948] = {.lex_state = 90, .external_lex_state = 2},
  [7949] = {.lex_state = 514, .external_lex_state = 2},
  [7950] = {.lex_state = 514, .external_lex_state = 2},
  [7951] = {.lex_state = 514, .external_lex_state = 2},
  [7952] = {.lex_state = 514, .external_lex_state = 2},
  [7953] = {.lex_state = 514, .external_lex_state = 2},
  [7954] = {.lex_state = 90, .external_lex_state = 2},
  [7955] = {.lex_state = 514, .external_lex_state = 2},
  [7956] = {.lex_state = 514, .external_lex_state = 2},
  [7957] = {.lex_state = 90, .external_lex_state = 2},
  [7958] = {.lex_state = 514, .external_lex_state = 2},
  [7959] = {.lex_state = 514, .external_lex_state = 2},
  [7960] = {.lex_state = 514, .external_lex_state = 2},
  [7961] = {.lex_state = 90, .external_lex_state = 2},
  [7962] = {.lex_state = 514, .external_lex_state = 2},
  [7963] = {.lex_state = 514, .external_lex_state = 2},
  [7964] = {.lex_state = 325, .external_lex_state = 2},
  [7965] = {.lex_state = 89, .external_lex_state = 2},
  [7966] = {.lex_state = 88, .external_lex_state = 2},
  [7967] = {.lex_state = 514, .external_lex_state = 2},
  [7968] = {.lex_state = 514, .external_lex_state = 2},
  [7969] = {.lex_state = 82, .external_lex_state = 2},
  [7970] = {.lex_state = 89, .external_lex_state = 2},
  [7971] = {.lex_state = 90, .external_lex_state = 2},
  [7972] = {.lex_state = 115, .external_lex_state = 2},
  [7973] = {.lex_state = 325, .external_lex_state = 2},
  [7974] = {.lex_state = 90, .external_lex_state = 2},
  [7975] = {.lex_state = 514, .external_lex_state = 2},
  [7976] = {.lex_state = 88, .external_lex_state = 2},
  [7977] = {.lex_state = 88, .external_lex_state = 2},
  [7978] = {.lex_state = 88, .external_lex_state = 2},
  [7979] = {.lex_state = 514, .external_lex_state = 2},
  [7980] = {.lex_state = 325, .external_lex_state = 2},
  [7981] = {.lex_state = 88, .external_lex_state = 2},
  [7982] = {.lex_state = 88, .external_lex_state = 2},
  [7983] = {.lex_state = 88, .external_lex_state = 2},
  [7984] = {.lex_state = 88, .external_lex_state = 2},
  [7985] = {.lex_state = 88, .external_lex_state = 2},
  [7986] = {.lex_state = 88, .external_lex_state = 2},
  [7987] = {.lex_state = 88, .external_lex_state = 2},
  [7988] = {.lex_state = 514, .external_lex_state = 2},
  [7989] = {.lex_state = 325, .external_lex_state = 2},
  [7990] = {.lex_state = 514, .external_lex_state = 2},
  [7991] = {.lex_state = 88, .external_lex_state = 2},
  [7992] = {.lex_state = 88, .external_lex_state = 2},
  [7993] = {.lex_state = 325, .external_lex_state = 2},
  [7994] = {.lex_state = 88, .external_lex_state = 2},
  [7995] = {.lex_state = 88, .external_lex_state = 2},
  [7996] = {.lex_state = 325, .external_lex_state = 2},
  [7997] = {.lex_state = 83, .external_lex_state = 5},
  [7998] = {.lex_state = 105, .external_lex_state = 2},
  [7999] = {.lex_state = 100, .external_lex_state = 2},
  [8000] = {.lex_state = 325, .external_lex_state = 2},
  [8001] = {.lex_state = 514, .external_lex_state = 2},
  [8002] = {.lex_state = 325, .external_lex_state = 2},
  [8003] = {.lex_state = 514, .external_lex_state = 2},
  [8004] = {.lex_state = 325, .external_lex_state = 2},
  [8005] = {.lex_state = 314, .external_lex_state = 4},
  [8006] = {.lex_state = 514, .external_lex_state = 2},
  [8007] = {.lex_state = 99, .external_lex_state = 2},
  [8008] = {.lex_state = 514, .external_lex_state = 2},
  [8009] = {.lex_state = 514, .external_lex_state = 2},
  [8010] = {.lex_state = 325, .external_lex_state = 2},
  [8011] = {.lex_state = 90, .external_lex_state = 2},
  [8012] = {.lex_state = 325, .external_lex_state = 2},
  [8013] = {.lex_state = 514, .external_lex_state = 2},
  [8014] = {.lex_state = 115, .external_lex_state = 2},
  [8015] = {.lex_state = 115, .external_lex_state = 2},
  [8016] = {.lex_state = 90, .external_lex_state = 2},
  [8017] = {.lex_state = 325, .external_lex_state = 2},
  [8018] = {.lex_state = 115, .external_lex_state = 2},
  [8019] = {.lex_state = 90, .external_lex_state = 2},
  [8020] = {.lex_state = 514, .external_lex_state = 2},
  [8021] = {.lex_state = 90, .external_lex_state = 2},
  [8022] = {.lex_state = 325, .external_lex_state = 2},
  [8023] = {.lex_state = 115, .external_lex_state = 2},
  [8024] = {.lex_state = 115, .external_lex_state = 2},
  [8025] = {.lex_state = 325, .external_lex_state = 2},
  [8026] = {.lex_state = 115, .external_lex_state = 2},
  [8027] = {.lex_state = 115, .external_lex_state = 2},
  [8028] = {.lex_state = 90, .external_lex_state = 2},
  [8029] = {.lex_state = 115, .external_lex_state = 2},
  [8030] = {.lex_state = 514, .external_lex_state = 2},
  [8031] = {.lex_state = 325, .external_lex_state = 2},
  [8032] = {.lex_state = 115, .external_lex_state = 2},
  [8033] = {.lex_state = 115, .external_lex_state = 2},
  [8034] = {.lex_state = 115, .external_lex_state = 2},
  [8035] = {.lex_state = 115, .external_lex_state = 2},
  [8036] = {.lex_state = 115, .external_lex_state = 2},
  [8037] = {.lex_state = 90, .external_lex_state = 2},
  [8038] = {.lex_state = 115, .external_lex_state = 2},
  [8039] = {.lex_state = 115, .external_lex_state = 2},
  [8040] = {.lex_state = 115, .external_lex_state = 2},
  [8041] = {.lex_state = 325, .external_lex_state = 2},
  [8042] = {.lex_state = 115, .external_lex_state = 2},
  [8043] = {.lex_state = 325, .external_lex_state = 2},
  [8044] = {.lex_state = 88, .external_lex_state = 2},
  [8045] = {.lex_state = 115, .external_lex_state = 2},
  [8046] = {.lex_state = 115, .external_lex_state = 2},
  [8047] = {.lex_state = 115, .external_lex_state = 2},
  [8048] = {.lex_state = 115, .external_lex_state = 2},
  [8049] = {.lex_state = 115, .external_lex_state = 2},
  [8050] = {.lex_state = 90, .external_lex_state = 2},
  [8051] = {.lex_state = 115, .external_lex_state = 2},
  [8052] = {.lex_state = 115, .external_lex_state = 2},
  [8053] = {.lex_state = 115, .external_lex_state = 2},
  [8054] = {.lex_state = 115, .external_lex_state = 2},
  [8055] = {.lex_state = 115, .external_lex_state = 2},
  [8056] = {.lex_state = 115, .external_lex_state = 2},
  [8057] = {.lex_state = 325, .external_lex_state = 2},
  [8058] = {.lex_state = 325, .external_lex_state = 2},
  [8059] = {.lex_state = 82, .external_lex_state = 2},
  [8060] = {.lex_state = 325, .external_lex_state = 2},
  [8061] = {.lex_state = 514, .external_lex_state = 2},
  [8062] = {.lex_state = 514, .external_lex_state = 2},
  [8063] = {.lex_state = 325, .external_lex_state = 2},
  [8064] = {.lex_state = 90, .external_lex_state = 2},
  [8065] = {.lex_state = 115, .external_lex_state = 2},
  [8066] = {.lex_state = 514, .external_lex_state = 2},
  [8067] = {.lex_state = 130, .external_lex_state = 2},
  [8068] = {.lex_state = 514, .external_lex_state = 2},
  [8069] = {.lex_state = 90, .external_lex_state = 2},
  [8070] = {.lex_state = 115, .external_lex_state = 2},
  [8071] = {.lex_state = 514, .external_lex_state = 2},
  [8072] = {.lex_state = 126, .external_lex_state = 2},
  [8073] = {.lex_state = 82, .external_lex_state = 2},
  [8074] = {.lex_state = 514, .external_lex_state = 2},
  [8075] = {.lex_state = 514, .external_lex_state = 2},
  [8076] = {.lex_state = 514, .external_lex_state = 2},
  [8077] = {.lex_state = 115, .external_lex_state = 2},
  [8078] = {.lex_state = 514, .external_lex_state = 2},
  [8079] = {.lex_state = 514, .external_lex_state = 2},
  [8080] = {.lex_state = 514, .external_lex_state = 2},
  [8081] = {.lex_state = 514, .external_lex_state = 2},
  [8082] = {.lex_state = 514, .external_lex_state = 2},
  [8083] = {.lex_state = 514, .external_lex_state = 2},
  [8084] = {.lex_state = 514, .external_lex_state = 2},
  [8085] = {.lex_state = 115, .external_lex_state = 2},
  [8086] = {.lex_state = 325, .external_lex_state = 2},
  [8087] = {.lex_state = 514, .external_lex_state = 2},
  [8088] = {.lex_state = 514, .external_lex_state = 2},
  [8089] = {.lex_state = 514, .external_lex_state = 2},
  [8090] = {.lex_state = 514, .external_lex_state = 2},
  [8091] = {.lex_state = 90, .external_lex_state = 2},
  [8092] = {.lex_state = 514, .external_lex_state = 2},
  [8093] = {.lex_state = 514, .external_lex_state = 2},
  [8094] = {.lex_state = 514, .external_lex_state = 2},
  [8095] = {.lex_state = 514, .external_lex_state = 2},
  [8096] = {.lex_state = 82, .external_lex_state = 2},
  [8097] = {.lex_state = 90, .external_lex_state = 2},
  [8098] = {.lex_state = 90, .external_lex_state = 2},
  [8099] = {.lex_state = 82, .external_lex_state = 2},
  [8100] = {.lex_state = 514, .external_lex_state = 2},
  [8101] = {.lex_state = 31, .external_lex_state = 4},
  [8102] = {.lex_state = 90, .external_lex_state = 2},
  [8103] = {.lex_state = 90, .external_lex_state = 2},
  [8104] = {.lex_state = 90, .external_lex_state = 2},
  [8105] = {.lex_state = 514, .external_lex_state = 2},
  [8106] = {.lex_state = 90, .external_lex_state = 2},
  [8107] = {.lex_state = 83, .external_lex_state = 2},
  [8108] = {.lex_state = 325, .external_lex_state = 2},
  [8109] = {.lex_state = 82, .external_lex_state = 2},
  [8110] = {.lex_state = 82, .external_lex_state = 2},
  [8111] = {.lex_state = 82, .external_lex_state = 2},
  [8112] = {.lex_state = 82, .external_lex_state = 2},
  [8113] = {.lex_state = 82, .external_lex_state = 2},
  [8114] = {.lex_state = 82, .external_lex_state = 2},
  [8115] = {.lex_state = 82, .external_lex_state = 2},
  [8116] = {.lex_state = 82, .external_lex_state = 2},
  [8117] = {.lex_state = 82, .external_lex_state = 2},
  [8118] = {.lex_state = 82, .external_lex_state = 2},
  [8119] = {.lex_state = 83, .external_lex_state = 2},
  [8120] = {.lex_state = 82, .external_lex_state = 2},
  [8121] = {.lex_state = 82, .external_lex_state = 2},
  [8122] = {.lex_state = 513, .external_lex_state = 2},
  [8123] = {.lex_state = 78, .external_lex_state = 2},
  [8124] = {.lex_state = 83, .external_lex_state = 2},
  [8125] = {.lex_state = 82, .external_lex_state = 2},
  [8126] = {.lex_state = 89, .external_lex_state = 2},
  [8127] = {.lex_state = 83, .external_lex_state = 2},
  [8128] = {.lex_state = 325, .external_lex_state = 2},
  [8129] = {.lex_state = 78, .external_lex_state = 2},
  [8130] = {.lex_state = 82, .external_lex_state = 2},
  [8131] = {.lex_state = 82, .external_lex_state = 2},
  [8132] = {.lex_state = 82, .external_lex_state = 2},
  [8133] = {.lex_state = 82, .external_lex_state = 2},
  [8134] = {.lex_state = 105, .external_lex_state = 2},
  [8135] = {.lex_state = 82, .external_lex_state = 2},
  [8136] = {.lex_state = 82, .external_lex_state = 2},
  [8137] = {.lex_state = 82, .external_lex_state = 2},
  [8138] = {.lex_state = 82, .external_lex_state = 2},
  [8139] = {.lex_state = 75, .external_lex_state = 2},
  [8140] = {.lex_state = 75, .external_lex_state = 2},
  [8141] = {.lex_state = 75, .external_lex_state = 2},
  [8142] = {.lex_state = 82, .external_lex_state = 2},
  [8143] = {.lex_state = 75, .external_lex_state = 2},
  [8144] = {.lex_state = 82, .external_lex_state = 2},
  [8145] = {.lex_state = 75, .external_lex_state = 2},
  [8146] = {.lex_state = 82, .external_lex_state = 2},
  [8147] = {.lex_state = 82, .external_lex_state = 2},
  [8148] = {.lex_state = 82, .external_lex_state = 2},
  [8149] = {.lex_state = 75, .external_lex_state = 2},
  [8150] = {.lex_state = 75, .external_lex_state = 2},
  [8151] = {.lex_state = 82, .external_lex_state = 2},
  [8152] = {.lex_state = 75, .external_lex_state = 2},
  [8153] = {.lex_state = 75, .external_lex_state = 2},
  [8154] = {.lex_state = 75, .external_lex_state = 2},
  [8155] = {.lex_state = 82, .external_lex_state = 2},
  [8156] = {.lex_state = 82, .external_lex_state = 2},
  [8157] = {.lex_state = 89, .external_lex_state = 2},
  [8158] = {.lex_state = 325, .external_lex_state = 2},
  [8159] = {.lex_state = 75, .external_lex_state = 2},
  [8160] = {.lex_state = 75, .external_lex_state = 2},
  [8161] = {.lex_state = 82, .external_lex_state = 2},
  [8162] = {.lex_state = 75, .external_lex_state = 2},
  [8163] = {.lex_state = 75, .external_lex_state = 2},
  [8164] = {.lex_state = 82, .external_lex_state = 2},
  [8165] = {.lex_state = 106, .external_lex_state = 2},
  [8166] = {.lex_state = 325, .external_lex_state = 2},
  [8167] = {.lex_state = 75, .external_lex_state = 2},
  [8168] = {.lex_state = 82, .external_lex_state = 2},
  [8169] = {.lex_state = 75, .external_lex_state = 2},
  [8170] = {.lex_state = 75, .external_lex_state = 2},
  [8171] = {.lex_state = 75, .external_lex_state = 2},
  [8172] = {.lex_state = 75, .external_lex_state = 2},
  [8173] = {.lex_state = 513, .external_lex_state = 5},
  [8174] = {.lex_state = 325, .external_lex_state = 2},
  [8175] = {.lex_state = 75, .external_lex_state = 2},
  [8176] = {.lex_state = 75, .external_lex_state = 2},
  [8177] = {.lex_state = 75, .external_lex_state = 2},
  [8178] = {.lex_state = 75, .external_lex_state = 2},
  [8179] = {.lex_state = 75, .external_lex_state = 2},
  [8180] = {.lex_state = 82, .external_lex_state = 2},
  [8181] = {.lex_state = 82, .external_lex_state = 2},
  [8182] = {.lex_state = 75, .external_lex_state = 2},
  [8183] = {.lex_state = 83, .external_lex_state = 2},
  [8184] = {.lex_state = 82, .external_lex_state = 2},
  [8185] = {.lex_state = 75, .external_lex_state = 2},
  [8186] = {.lex_state = 325, .external_lex_state = 2},
  [8187] = {.lex_state = 75, .external_lex_state = 2},
  [8188] = {.lex_state = 82, .external_lex_state = 2},
  [8189] = {.lex_state = 75, .external_lex_state = 2},
  [8190] = {.lex_state = 75, .external_lex_state = 2},
  [8191] = {.lex_state = 82, .external_lex_state = 2},
  [8192] = {.lex_state = 82, .external_lex_state = 2},
  [8193] = {.lex_state = 82, .external_lex_state = 2},
  [8194] = {.lex_state = 82, .external_lex_state = 2},
  [8195] = {.lex_state = 82, .external_lex_state = 2},
  [8196] = {.lex_state = 82, .external_lex_state = 2},
  [8197] = {.lex_state = 75, .external_lex_state = 2},
  [8198] = {.lex_state = 75, .external_lex_state = 2},
  [8199] = {.lex_state = 75, .external_lex_state = 2},
  [8200] = {.lex_state = 75, .external_lex_state = 2},
  [8201] = {.lex_state = 82, .external_lex_state = 2},
  [8202] = {.lex_state = 75, .external_lex_state = 5},
  [8203] = {.lex_state = 82, .external_lex_state = 2},
  [8204] = {.lex_state = 82, .external_lex_state = 2},
  [8205] = {.lex_state = 82, .external_lex_state = 2},
  [8206] = {.lex_state = 82, .external_lex_state = 2},
  [8207] = {.lex_state = 82, .external_lex_state = 2},
  [8208] = {.lex_state = 82, .external_lex_state = 2},
  [8209] = {.lex_state = 82, .external_lex_state = 2},
  [8210] = {.lex_state = 82, .external_lex_state = 2},
  [8211] = {.lex_state = 325, .external_lex_state = 2},
  [8212] = {.lex_state = 82, .external_lex_state = 2},
  [8213] = {.lex_state = 82, .external_lex_state = 2},
  [8214] = {.lex_state = 82, .external_lex_state = 2},
  [8215] = {.lex_state = 82, .external_lex_state = 2},
  [8216] = {.lex_state = 88, .external_lex_state = 2},
  [8217] = {.lex_state = 82, .external_lex_state = 2},
  [8218] = {.lex_state = 82, .external_lex_state = 2},
  [8219] = {.lex_state = 82, .external_lex_state = 2},
  [8220] = {.lex_state = 82, .external_lex_state = 2},
  [8221] = {.lex_state = 82, .external_lex_state = 2},
  [8222] = {.lex_state = 82, .external_lex_state = 2},
  [8223] = {.lex_state = 82, .external_lex_state = 2},
  [8224] = {.lex_state = 82, .external_lex_state = 2},
  [8225] = {.lex_state = 82, .external_lex_state = 2},
  [8226] = {.lex_state = 89, .external_lex_state = 2},
  [8227] = {.lex_state = 82, .external_lex_state = 2},
  [8228] = {.lex_state = 82, .external_lex_state = 2},
  [8229] = {.lex_state = 82, .external_lex_state = 2},
  [8230] = {.lex_state = 82, .external_lex_state = 2},
  [8231] = {.lex_state = 82, .external_lex_state = 2},
  [8232] = {.lex_state = 82, .external_lex_state = 2},
  [8233] = {.lex_state = 82, .external_lex_state = 2},
  [8234] = {.lex_state = 82, .external_lex_state = 2},
  [8235] = {.lex_state = 325, .external_lex_state = 2},
  [8236] = {.lex_state = 82, .external_lex_state = 2},
  [8237] = {.lex_state = 82, .external_lex_state = 2},
  [8238] = {.lex_state = 82, .external_lex_state = 2},
  [8239] = {.lex_state = 75, .external_lex_state = 2},
  [8240] = {.lex_state = 82, .external_lex_state = 2},
  [8241] = {.lex_state = 82, .external_lex_state = 2},
  [8242] = {.lex_state = 89, .external_lex_state = 2},
  [8243] = {.lex_state = 325, .external_lex_state = 2},
  [8244] = {.lex_state = 83, .external_lex_state = 2},
  [8245] = {.lex_state = 513, .external_lex_state = 2},
  [8246] = {.lex_state = 325, .external_lex_state = 2},
  [8247] = {.lex_state = 325, .external_lex_state = 2},
  [8248] = {.lex_state = 89, .external_lex_state = 2},
  [8249] = {.lex_state = 89, .external_lex_state = 2},
  [8250] = {.lex_state = 325, .external_lex_state = 2},
  [8251] = {.lex_state = 325, .external_lex_state = 2},
  [8252] = {.lex_state = 90, .external_lex_state = 2},
  [8253] = {.lex_state = 90, .external_lex_state = 2},
  [8254] = {.lex_state = 90, .external_lex_state = 2},
  [8255] = {.lex_state = 90, .external_lex_state = 2},
  [8256] = {.lex_state = 90, .external_lex_state = 2},
  [8257] = {.lex_state = 90, .external_lex_state = 2},
  [8258] = {.lex_state = 90, .external_lex_state = 2},
  [8259] = {.lex_state = 514, .external_lex_state = 2},
  [8260] = {.lex_state = 90, .external_lex_state = 2},
  [8261] = {.lex_state = 90, .external_lex_state = 2},
  [8262] = {.lex_state = 90, .external_lex_state = 2},
  [8263] = {.lex_state = 90, .external_lex_state = 2},
  [8264] = {.lex_state = 90, .external_lex_state = 2},
  [8265] = {.lex_state = 89, .external_lex_state = 2},
  [8266] = {.lex_state = 75, .external_lex_state = 2},
  [8267] = {.lex_state = 90, .external_lex_state = 2},
  [8268] = {.lex_state = 90, .external_lex_state = 2},
  [8269] = {.lex_state = 83, .external_lex_state = 2},
  [8270] = {.lex_state = 89, .external_lex_state = 2},
  [8271] = {.lex_state = 82, .external_lex_state = 2},
  [8272] = {.lex_state = 89, .external_lex_state = 2},
  [8273] = {.lex_state = 89, .external_lex_state = 2},
  [8274] = {.lex_state = 89, .external_lex_state = 2},
  [8275] = {.lex_state = 82, .external_lex_state = 2},
  [8276] = {.lex_state = 89, .external_lex_state = 2},
  [8277] = {.lex_state = 89, .external_lex_state = 2},
  [8278] = {.lex_state = 82, .external_lex_state = 2},
  [8279] = {.lex_state = 89, .external_lex_state = 2},
  [8280] = {.lex_state = 325, .external_lex_state = 2},
  [8281] = {.lex_state = 325, .external_lex_state = 2},
  [8282] = {.lex_state = 325, .external_lex_state = 2},
  [8283] = {.lex_state = 83, .external_lex_state = 2},
  [8284] = {.lex_state = 75, .external_lex_state = 2},
  [8285] = {.lex_state = 89, .external_lex_state = 2},
  [8286] = {.lex_state = 89, .external_lex_state = 2},
  [8287] = {.lex_state = 325, .external_lex_state = 2},
  [8288] = {.lex_state = 325, .external_lex_state = 2},
  [8289] = {.lex_state = 325, .external_lex_state = 2},
  [8290] = {.lex_state = 82, .external_lex_state = 2},
  [8291] = {.lex_state = 75, .external_lex_state = 2},
  [8292] = {.lex_state = 82, .external_lex_state = 2},
  [8293] = {.lex_state = 325, .external_lex_state = 2},
  [8294] = {.lex_state = 325, .external_lex_state = 2},
  [8295] = {.lex_state = 89, .external_lex_state = 2},
  [8296] = {.lex_state = 89, .external_lex_state = 2},
  [8297] = {.lex_state = 325, .external_lex_state = 2},
  [8298] = {.lex_state = 89, .external_lex_state = 2},
  [8299] = {.lex_state = 513, .external_lex_state = 2},
  [8300] = {.lex_state = 325, .external_lex_state = 2},
  [8301] = {.lex_state = 89, .external_lex_state = 2},
  [8302] = {.lex_state = 89, .external_lex_state = 2},
  [8303] = {.lex_state = 89, .external_lex_state = 2},
  [8304] = {.lex_state = 89, .external_lex_state = 2},
  [8305] = {.lex_state = 89, .external_lex_state = 2},
  [8306] = {.lex_state = 89, .external_lex_state = 2},
  [8307] = {.lex_state = 89, .external_lex_state = 2},
  [8308] = {.lex_state = 89, .external_lex_state = 2},
  [8309] = {.lex_state = 89, .external_lex_state = 2},
  [8310] = {.lex_state = 89, .external_lex_state = 2},
  [8311] = {.lex_state = 89, .external_lex_state = 2},
  [8312] = {.lex_state = 513, .external_lex_state = 5},
  [8313] = {.lex_state = 89, .external_lex_state = 2},
  [8314] = {.lex_state = 89, .external_lex_state = 2},
  [8315] = {.lex_state = 513, .external_lex_state = 2},
  [8316] = {.lex_state = 83, .external_lex_state = 2},
  [8317] = {.lex_state = 325, .external_lex_state = 2},
  [8318] = {.lex_state = 325, .external_lex_state = 2},
  [8319] = {.lex_state = 99, .external_lex_state = 2},
  [8320] = {.lex_state = 107, .external_lex_state = 2},
  [8321] = {.lex_state = 513, .external_lex_state = 2},
  [8322] = {.lex_state = 82, .external_lex_state = 2},
  [8323] = {.lex_state = 83, .external_lex_state = 2},
  [8324] = {.lex_state = 325, .external_lex_state = 2},
  [8325] = {.lex_state = 89, .external_lex_state = 2},
  [8326] = {.lex_state = 325, .external_lex_state = 2},
  [8327] = {.lex_state = 513, .external_lex_state = 5},
  [8328] = {.lex_state = 325, .external_lex_state = 2},
  [8329] = {.lex_state = 325, .external_lex_state = 2},
  [8330] = {.lex_state = 325, .external_lex_state = 2},
  [8331] = {.lex_state = 89, .external_lex_state = 2},
  [8332] = {.lex_state = 325, .external_lex_state = 2},
  [8333] = {.lex_state = 513, .external_lex_state = 2},
  [8334] = {.lex_state = 83, .external_lex_state = 2},
  [8335] = {.lex_state = 83, .external_lex_state = 2},
  [8336] = {.lex_state = 83, .external_lex_state = 2},
  [8337] = {.lex_state = 115, .external_lex_state = 2},
  [8338] = {.lex_state = 82, .external_lex_state = 2},
  [8339] = {.lex_state = 89, .external_lex_state = 2},
  [8340] = {.lex_state = 89, .external_lex_state = 2},
  [8341] = {.lex_state = 325, .external_lex_state = 2},
  [8342] = {.lex_state = 83, .external_lex_state = 2},
  [8343] = {.lex_state = 89, .external_lex_state = 2},
  [8344] = {.lex_state = 89, .external_lex_state = 2},
  [8345] = {.lex_state = 82, .external_lex_state = 2},
  [8346] = {.lex_state = 325, .external_lex_state = 2},
  [8347] = {.lex_state = 89, .external_lex_state = 2},
  [8348] = {.lex_state = 89, .external_lex_state = 2},
  [8349] = {.lex_state = 89, .external_lex_state = 2},
  [8350] = {.lex_state = 89, .external_lex_state = 2},
  [8351] = {.lex_state = 89, .external_lex_state = 2},
  [8352] = {.lex_state = 89, .external_lex_state = 2},
  [8353] = {.lex_state = 83, .external_lex_state = 2},
  [8354] = {.lex_state = 89, .external_lex_state = 2},
  [8355] = {.lex_state = 89, .external_lex_state = 2},
  [8356] = {.lex_state = 89, .external_lex_state = 2},
  [8357] = {.lex_state = 89, .external_lex_state = 2},
  [8358] = {.lex_state = 89, .external_lex_state = 2},
  [8359] = {.lex_state = 513, .external_lex_state = 2},
  [8360] = {.lex_state = 325, .external_lex_state = 2},
  [8361] = {.lex_state = 325, .external_lex_state = 2},
  [8362] = {.lex_state = 83, .external_lex_state = 2},
  [8363] = {.lex_state = 89, .external_lex_state = 2},
  [8364] = {.lex_state = 325, .external_lex_state = 2},
  [8365] = {.lex_state = 83, .external_lex_state = 2},
  [8366] = {.lex_state = 83, .external_lex_state = 2},
  [8367] = {.lex_state = 89, .external_lex_state = 2},
  [8368] = {.lex_state = 325, .external_lex_state = 2},
  [8369] = {.lex_state = 89, .external_lex_state = 2},
  [8370] = {.lex_state = 89, .external_lex_state = 2},
  [8371] = {.lex_state = 82, .external_lex_state = 2},
  [8372] = {.lex_state = 83, .external_lex_state = 2},
  [8373] = {.lex_state = 325, .external_lex_state = 2},
  [8374] = {.lex_state = 107, .external_lex_state = 2},
  [8375] = {.lex_state = 514, .external_lex_state = 2},
  [8376] = {.lex_state = 83, .external_lex_state = 2},
  [8377] = {.lex_state = 89, .external_lex_state = 2},
  [8378] = {.lex_state = 325, .external_lex_state = 2},
  [8379] = {.lex_state = 89, .external_lex_state = 2},
  [8380] = {.lex_state = 89, .external_lex_state = 2},
  [8381] = {.lex_state = 89, .external_lex_state = 2},
  [8382] = {.lex_state = 89, .external_lex_state = 2},
  [8383] = {.lex_state = 89, .external_lex_state = 2},
  [8384] = {.lex_state = 89, .external_lex_state = 2},
  [8385] = {.lex_state = 89, .external_lex_state = 2},
  [8386] = {.lex_state = 89, .external_lex_state = 2},
  [8387] = {.lex_state = 89, .external_lex_state = 2},
  [8388] = {.lex_state = 325, .external_lex_state = 2},
  [8389] = {.lex_state = 89, .external_lex_state = 2},
  [8390] = {.lex_state = 89, .external_lex_state = 2},
  [8391] = {.lex_state = 89, .external_lex_state = 2},
  [8392] = {.lex_state = 89, .external_lex_state = 2},
  [8393] = {.lex_state = 89, .external_lex_state = 2},
  [8394] = {.lex_state = 89, .external_lex_state = 2},
  [8395] = {.lex_state = 89, .external_lex_state = 2},
  [8396] = {.lex_state = 83, .external_lex_state = 2},
  [8397] = {.lex_state = 325, .external_lex_state = 2},
  [8398] = {.lex_state = 325, .external_lex_state = 2},
  [8399] = {.lex_state = 90, .external_lex_state = 2},
  [8400] = {.lex_state = 325, .external_lex_state = 2},
  [8401] = {.lex_state = 325, .external_lex_state = 2},
  [8402] = {.lex_state = 89, .external_lex_state = 2},
  [8403] = {.lex_state = 325, .external_lex_state = 2},
  [8404] = {.lex_state = 325, .external_lex_state = 2},
  [8405] = {.lex_state = 325, .external_lex_state = 2},
  [8406] = {.lex_state = 513, .external_lex_state = 2},
  [8407] = {.lex_state = 325, .external_lex_state = 2},
  [8408] = {.lex_state = 107, .external_lex_state = 2},
  [8409] = {.lex_state = 89, .external_lex_state = 2},
  [8410] = {.lex_state = 89, .external_lex_state = 2},
  [8411] = {.lex_state = 89, .external_lex_state = 2},
  [8412] = {.lex_state = 83, .external_lex_state = 2},
  [8413] = {.lex_state = 89, .external_lex_state = 2},
  [8414] = {.lex_state = 89, .external_lex_state = 2},
  [8415] = {.lex_state = 89, .external_lex_state = 2},
  [8416] = {.lex_state = 89, .external_lex_state = 2},
  [8417] = {.lex_state = 82, .external_lex_state = 2},
  [8418] = {.lex_state = 325, .external_lex_state = 2},
  [8419] = {.lex_state = 325, .external_lex_state = 2},
  [8420] = {.lex_state = 325, .external_lex_state = 2},
  [8421] = {.lex_state = 88, .external_lex_state = 2},
  [8422] = {.lex_state = 325, .external_lex_state = 2},
  [8423] = {.lex_state = 88, .external_lex_state = 2},
  [8424] = {.lex_state = 89, .external_lex_state = 2},
  [8425] = {.lex_state = 89, .external_lex_state = 2},
  [8426] = {.lex_state = 83, .external_lex_state = 2},
  [8427] = {.lex_state = 89, .external_lex_state = 2},
  [8428] = {.lex_state = 89, .external_lex_state = 2},
  [8429] = {.lex_state = 83, .external_lex_state = 2},
  [8430] = {.lex_state = 325, .external_lex_state = 2},
  [8431] = {.lex_state = 83, .external_lex_state = 2},
  [8432] = {.lex_state = 83, .external_lex_state = 2},
  [8433] = {.lex_state = 89, .external_lex_state = 2},
  [8434] = {.lex_state = 82, .external_lex_state = 2},
  [8435] = {.lex_state = 83, .external_lex_state = 2},
  [8436] = {.lex_state = 82, .external_lex_state = 2},
  [8437] = {.lex_state = 325, .external_lex_state = 2},
  [8438] = {.lex_state = 325, .external_lex_state = 2},
  [8439] = {.lex_state = 325, .external_lex_state = 2},
  [8440] = {.lex_state = 89, .external_lex_state = 2},
  [8441] = {.lex_state = 89, .external_lex_state = 2},
  [8442] = {.lex_state = 89, .external_lex_state = 2},
  [8443] = {.lex_state = 89, .external_lex_state = 2},
  [8444] = {.lex_state = 83, .external_lex_state = 2},
  [8445] = {.lex_state = 83, .external_lex_state = 2},
  [8446] = {.lex_state = 89, .external_lex_state = 2},
  [8447] = {.lex_state = 88, .external_lex_state = 2},
  [8448] = {.lex_state = 325, .external_lex_state = 2},
  [8449] = {.lex_state = 89, .external_lex_state = 2},
  [8450] = {.lex_state = 89, .external_lex_state = 2},
  [8451] = {.lex_state = 89, .external_lex_state = 2},
  [8452] = {.lex_state = 83, .external_lex_state = 2},
  [8453] = {.lex_state = 514, .external_lex_state = 2},
  [8454] = {.lex_state = 514, .external_lex_state = 2},
  [8455] = {.lex_state = 82, .external_lex_state = 2},
  [8456] = {.lex_state = 89, .external_lex_state = 2},
  [8457] = {.lex_state = 89, .external_lex_state = 2},
  [8458] = {.lex_state = 89, .external_lex_state = 2},
  [8459] = {.lex_state = 83, .external_lex_state = 2},
  [8460] = {.lex_state = 89, .external_lex_state = 2},
  [8461] = {.lex_state = 513, .external_lex_state = 2},
  [8462] = {.lex_state = 514, .external_lex_state = 2},
  [8463] = {.lex_state = 82, .external_lex_state = 2},
  [8464] = {.lex_state = 130, .external_lex_state = 2},
  [8465] = {.lex_state = 82, .external_lex_state = 2},
  [8466] = {.lex_state = 325, .external_lex_state = 2},
  [8467] = {.lex_state = 514, .external_lex_state = 5},
  [8468] = {.lex_state = 517, .external_lex_state = 2},
  [8469] = {.lex_state = 130, .external_lex_state = 2},
  [8470] = {.lex_state = 83, .external_lex_state = 2},
  [8471] = {.lex_state = 168, .external_lex_state = 2},
  [8472] = {.lex_state = 89, .external_lex_state = 2},
  [8473] = {.lex_state = 89, .external_lex_state = 2},
  [8474] = {.lex_state = 32, .external_lex_state = 4},
  [8475] = {.lex_state = 89, .external_lex_state = 2},
  [8476] = {.lex_state = 513, .external_lex_state = 2},
  [8477] = {.lex_state = 325, .external_lex_state = 2},
  [8478] = {.lex_state = 83, .external_lex_state = 2},
  [8479] = {.lex_state = 82, .external_lex_state = 2},
  [8480] = {.lex_state = 83, .external_lex_state = 2},
  [8481] = {.lex_state = 83, .external_lex_state = 2},
  [8482] = {.lex_state = 83, .external_lex_state = 2},
  [8483] = {.lex_state = 88, .external_lex_state = 2},
  [8484] = {.lex_state = 89, .external_lex_state = 2},
  [8485] = {.lex_state = 100, .external_lex_state = 2},
  [8486] = {.lex_state = 514, .external_lex_state = 2},
  [8487] = {.lex_state = 514, .external_lex_state = 2},
  [8488] = {.lex_state = 83, .external_lex_state = 2},
  [8489] = {.lex_state = 83, .external_lex_state = 2},
  [8490] = {.lex_state = 514, .external_lex_state = 2},
  [8491] = {.lex_state = 83, .external_lex_state = 2},
  [8492] = {.lex_state = 325, .external_lex_state = 2},
  [8493] = {.lex_state = 83, .external_lex_state = 2},
  [8494] = {.lex_state = 514, .external_lex_state = 2},
  [8495] = {.lex_state = 514, .external_lex_state = 2},
  [8496] = {.lex_state = 514, .external_lex_state = 2},
  [8497] = {.lex_state = 514, .external_lex_state = 2},
  [8498] = {.lex_state = 325, .external_lex_state = 2},
  [8499] = {.lex_state = 82, .external_lex_state = 2},
  [8500] = {.lex_state = 514, .external_lex_state = 2},
  [8501] = {.lex_state = 325, .external_lex_state = 2},
  [8502] = {.lex_state = 82, .external_lex_state = 2},
  [8503] = {.lex_state = 82, .external_lex_state = 2},
  [8504] = {.lex_state = 514, .external_lex_state = 2},
  [8505] = {.lex_state = 514, .external_lex_state = 2},
  [8506] = {.lex_state = 514, .external_lex_state = 2},
  [8507] = {.lex_state = 315, .external_lex_state = 4},
  [8508] = {.lex_state = 328, .external_lex_state = 2},
  [8509] = {.lex_state = 82, .external_lex_state = 2},
  [8510] = {.lex_state = 82, .external_lex_state = 2},
  [8511] = {.lex_state = 89, .external_lex_state = 2},
  [8512] = {.lex_state = 83, .external_lex_state = 2},
  [8513] = {.lex_state = 83, .external_lex_state = 2},
  [8514] = {.lex_state = 89, .external_lex_state = 2},
  [8515] = {.lex_state = 82, .external_lex_state = 2},
  [8516] = {.lex_state = 83, .external_lex_state = 2},
  [8517] = {.lex_state = 513, .external_lex_state = 2},
  [8518] = {.lex_state = 325, .external_lex_state = 2},
  [8519] = {.lex_state = 328, .external_lex_state = 2},
  [8520] = {.lex_state = 325, .external_lex_state = 2},
  [8521] = {.lex_state = 78, .external_lex_state = 2},
  [8522] = {.lex_state = 513, .external_lex_state = 2},
  [8523] = {.lex_state = 89, .external_lex_state = 2},
  [8524] = {.lex_state = 82, .external_lex_state = 2},
  [8525] = {.lex_state = 89, .external_lex_state = 2},
  [8526] = {.lex_state = 82, .external_lex_state = 2},
  [8527] = {.lex_state = 89, .external_lex_state = 2},
  [8528] = {.lex_state = 513, .external_lex_state = 2},
  [8529] = {.lex_state = 325, .external_lex_state = 2},
  [8530] = {.lex_state = 82, .external_lex_state = 2},
  [8531] = {.lex_state = 513, .external_lex_state = 2},
  [8532] = {.lex_state = 82, .external_lex_state = 2},
  [8533] = {.lex_state = 123, .external_lex_state = 2},
  [8534] = {.lex_state = 75, .external_lex_state = 5},
  [8535] = {.lex_state = 82, .external_lex_state = 2},
  [8536] = {.lex_state = 82, .external_lex_state = 2},
  [8537] = {.lex_state = 82, .external_lex_state = 2},
  [8538] = {.lex_state = 82, .external_lex_state = 2},
  [8539] = {.lex_state = 325, .external_lex_state = 2},
  [8540] = {.lex_state = 88, .external_lex_state = 2},
  [8541] = {.lex_state = 82, .external_lex_state = 2},
  [8542] = {.lex_state = 82, .external_lex_state = 2},
  [8543] = {.lex_state = 513, .external_lex_state = 2},
  [8544] = {.lex_state = 83, .external_lex_state = 2},
  [8545] = {.lex_state = 83, .external_lex_state = 2},
  [8546] = {.lex_state = 513, .external_lex_state = 2},
  [8547] = {.lex_state = 83, .external_lex_state = 2},
  [8548] = {.lex_state = 82, .external_lex_state = 2},
  [8549] = {.lex_state = 82, .external_lex_state = 2},
  [8550] = {.lex_state = 82, .external_lex_state = 2},
  [8551] = {.lex_state = 325, .external_lex_state = 5},
  [8552] = {.lex_state = 83, .external_lex_state = 2},
  [8553] = {.lex_state = 325, .external_lex_state = 2},
  [8554] = {.lex_state = 325, .external_lex_state = 2},
  [8555] = {.lex_state = 325, .external_lex_state = 2},
  [8556] = {.lex_state = 513, .external_lex_state = 2},
  [8557] = {.lex_state = 83, .external_lex_state = 2},
  [8558] = {.lex_state = 83, .external_lex_state = 2},
  [8559] = {.lex_state = 83, .external_lex_state = 2},
  [8560] = {.lex_state = 83, .external_lex_state = 2},
  [8561] = {.lex_state = 83, .external_lex_state = 2},
  [8562] = {.lex_state = 83, .external_lex_state = 2},
  [8563] = {.lex_state = 83, .external_lex_state = 2},
  [8564] = {.lex_state = 75, .external_lex_state = 2},
  [8565] = {.lex_state = 325, .external_lex_state = 2},
  [8566] = {.lex_state = 83, .external_lex_state = 2},
  [8567] = {.lex_state = 325, .external_lex_state = 2},
  [8568] = {.lex_state = 325, .external_lex_state = 2},
  [8569] = {.lex_state = 75, .external_lex_state = 2},
  [8570] = {.lex_state = 82, .external_lex_state = 2},
  [8571] = {.lex_state = 83, .external_lex_state = 2},
  [8572] = {.lex_state = 83, .external_lex_state = 2},
  [8573] = {.lex_state = 88, .external_lex_state = 2},
  [8574] = {.lex_state = 83, .external_lex_state = 2},
  [8575] = {.lex_state = 82, .external_lex_state = 2},
  [8576] = {.lex_state = 325, .external_lex_state = 2},
  [8577] = {.lex_state = 88, .external_lex_state = 2},
  [8578] = {.lex_state = 83, .external_lex_state = 2},
  [8579] = {.lex_state = 83, .external_lex_state = 2},
  [8580] = {.lex_state = 83, .external_lex_state = 2},
  [8581] = {.lex_state = 88, .external_lex_state = 2},
  [8582] = {.lex_state = 75, .external_lex_state = 2},
  [8583] = {.lex_state = 83, .external_lex_state = 2},
  [8584] = {.lex_state = 325, .external_lex_state = 2},
  [8585] = {.lex_state = 83, .external_lex_state = 2},
  [8586] = {.lex_state = 75, .external_lex_state = 2},
  [8587] = {.lex_state = 325, .external_lex_state = 2},
  [8588] = {.lex_state = 325, .external_lex_state = 2},
  [8589] = {.lex_state = 83, .external_lex_state = 2},
  [8590] = {.lex_state = 325, .external_lex_state = 2},
  [8591] = {.lex_state = 325, .external_lex_state = 2},
  [8592] = {.lex_state = 513, .external_lex_state = 2},
  [8593] = {.lex_state = 513, .external_lex_state = 2},
  [8594] = {.lex_state = 325, .external_lex_state = 2},
  [8595] = {.lex_state = 130, .external_lex_state = 2},
  [8596] = {.lex_state = 513, .external_lex_state = 2},
  [8597] = {.lex_state = 88, .external_lex_state = 2},
  [8598] = {.lex_state = 83, .external_lex_state = 2},
  [8599] = {.lex_state = 83, .external_lex_state = 2},
  [8600] = {.lex_state = 325, .external_lex_state = 2},
  [8601] = {.lex_state = 325, .external_lex_state = 2},
  [8602] = {.lex_state = 83, .external_lex_state = 2},
  [8603] = {.lex_state = 88, .external_lex_state = 2},
  [8604] = {.lex_state = 325, .external_lex_state = 2},
  [8605] = {.lex_state = 90, .external_lex_state = 2},
  [8606] = {.lex_state = 82, .external_lex_state = 2},
  [8607] = {.lex_state = 82, .external_lex_state = 2},
  [8608] = {.lex_state = 83, .external_lex_state = 2},
  [8609] = {.lex_state = 83, .external_lex_state = 2},
  [8610] = {.lex_state = 83, .external_lex_state = 2},
  [8611] = {.lex_state = 83, .external_lex_state = 2},
  [8612] = {.lex_state = 83, .external_lex_state = 2},
  [8613] = {.lex_state = 325, .external_lex_state = 2},
  [8614] = {.lex_state = 83, .external_lex_state = 2},
  [8615] = {.lex_state = 83, .external_lex_state = 2},
  [8616] = {.lex_state = 83, .external_lex_state = 2},
  [8617] = {.lex_state = 83, .external_lex_state = 2},
  [8618] = {.lex_state = 83, .external_lex_state = 2},
  [8619] = {.lex_state = 83, .external_lex_state = 2},
  [8620] = {.lex_state = 83, .external_lex_state = 2},
  [8621] = {.lex_state = 83, .external_lex_state = 2},
  [8622] = {.lex_state = 83, .external_lex_state = 2},
  [8623] = {.lex_state = 83, .external_lex_state = 2},
  [8624] = {.lex_state = 83, .external_lex_state = 2},
  [8625] = {.lex_state = 83, .external_lex_state = 2},
  [8626] = {.lex_state = 82, .external_lex_state = 2},
  [8627] = {.lex_state = 88, .external_lex_state = 2},
  [8628] = {.lex_state = 83, .external_lex_state = 2},
  [8629] = {.lex_state = 83, .external_lex_state = 2},
  [8630] = {.lex_state = 83, .external_lex_state = 2},
  [8631] = {.lex_state = 83, .external_lex_state = 2},
  [8632] = {.lex_state = 83, .external_lex_state = 2},
  [8633] = {.lex_state = 83, .external_lex_state = 2},
  [8634] = {.lex_state = 82, .external_lex_state = 2},
  [8635] = {.lex_state = 83, .external_lex_state = 2},
  [8636] = {.lex_state = 88, .external_lex_state = 2},
  [8637] = {.lex_state = 75, .external_lex_state = 5},
  [8638] = {.lex_state = 83, .external_lex_state = 2},
  [8639] = {.lex_state = 325, .external_lex_state = 2},
  [8640] = {.lex_state = 83, .external_lex_state = 2},
  [8641] = {.lex_state = 513, .external_lex_state = 2},
  [8642] = {.lex_state = 83, .external_lex_state = 2},
  [8643] = {.lex_state = 513, .external_lex_state = 2},
  [8644] = {.lex_state = 325, .external_lex_state = 2},
  [8645] = {.lex_state = 513, .external_lex_state = 2},
  [8646] = {.lex_state = 88, .external_lex_state = 2},
  [8647] = {.lex_state = 75, .external_lex_state = 5},
  [8648] = {.lex_state = 83, .external_lex_state = 2},
  [8649] = {.lex_state = 83, .external_lex_state = 2},
  [8650] = {.lex_state = 325, .external_lex_state = 2},
  [8651] = {.lex_state = 75, .external_lex_state = 2},
  [8652] = {.lex_state = 75, .external_lex_state = 2},
  [8653] = {.lex_state = 83, .external_lex_state = 2},
  [8654] = {.lex_state = 75, .external_lex_state = 2},
  [8655] = {.lex_state = 325, .external_lex_state = 2},
  [8656] = {.lex_state = 75, .external_lex_state = 2},
  [8657] = {.lex_state = 83, .external_lex_state = 2},
  [8658] = {.lex_state = 513, .external_lex_state = 2},
  [8659] = {.lex_state = 83, .external_lex_state = 2},
  [8660] = {.lex_state = 513, .external_lex_state = 2},
  [8661] = {.lex_state = 75, .external_lex_state = 2},
  [8662] = {.lex_state = 513, .external_lex_state = 2},
  [8663] = {.lex_state = 75, .external_lex_state = 2},
  [8664] = {.lex_state = 513, .external_lex_state = 2},
  [8665] = {.lex_state = 325, .external_lex_state = 2},
  [8666] = {.lex_state = 513, .external_lex_state = 2},
  [8667] = {.lex_state = 83, .external_lex_state = 2},
  [8668] = {.lex_state = 513, .external_lex_state = 5},
  [8669] = {.lex_state = 75, .external_lex_state = 2},
  [8670] = {.lex_state = 513, .external_lex_state = 2},
  [8671] = {.lex_state = 513, .external_lex_state = 2},
  [8672] = {.lex_state = 75, .external_lex_state = 2},
  [8673] = {.lex_state = 513, .external_lex_state = 2},
  [8674] = {.lex_state = 513, .external_lex_state = 2},
  [8675] = {.lex_state = 513, .external_lex_state = 2},
  [8676] = {.lex_state = 325, .external_lex_state = 2},
  [8677] = {.lex_state = 115, .external_lex_state = 2},
  [8678] = {.lex_state = 513, .external_lex_state = 2},
  [8679] = {.lex_state = 75, .external_lex_state = 2},
  [8680] = {.lex_state = 513, .external_lex_state = 2},
  [8681] = {.lex_state = 83, .external_lex_state = 2},
  [8682] = {.lex_state = 83, .external_lex_state = 2},
  [8683] = {.lex_state = 89, .external_lex_state = 2},
  [8684] = {.lex_state = 513, .external_lex_state = 2},
  [8685] = {.lex_state = 513, .external_lex_state = 2},
  [8686] = {.lex_state = 89, .external_lex_state = 2},
  [8687] = {.lex_state = 504, .external_lex_state = 4},
  [8688] = {.lex_state = 83, .external_lex_state = 2},
  [8689] = {.lex_state = 513, .external_lex_state = 2},
  [8690] = {.lex_state = 89, .external_lex_state = 2},
  [8691] = {.lex_state = 513, .external_lex_state = 2},
  [8692] = {.lex_state = 89, .external_lex_state = 2},
  [8693] = {.lex_state = 89, .external_lex_state = 2},
  [8694] = {.lex_state = 513, .external_lex_state = 2},
  [8695] = {.lex_state = 89, .external_lex_state = 2},
  [8696] = {.lex_state = 89, .external_lex_state = 2},
  [8697] = {.lex_state = 325, .external_lex_state = 2},
  [8698] = {.lex_state = 325, .external_lex_state = 2},
  [8699] = {.lex_state = 325, .external_lex_state = 2},
  [8700] = {.lex_state = 89, .external_lex_state = 2},
  [8701] = {.lex_state = 513, .external_lex_state = 2},
  [8702] = {.lex_state = 513, .external_lex_state = 2},
  [8703] = {.lex_state = 513, .external_lex_state = 2},
  [8704] = {.lex_state = 88, .external_lex_state = 2},
  [8705] = {.lex_state = 75, .external_lex_state = 2},
  [8706] = {.lex_state = 75, .external_lex_state = 2},
  [8707] = {.lex_state = 115, .external_lex_state = 2},
  [8708] = {.lex_state = 75, .external_lex_state = 2},
  [8709] = {.lex_state = 328, .external_lex_state = 2},
  [8710] = {.lex_state = 89, .external_lex_state = 2},
  [8711] = {.lex_state = 513, .external_lex_state = 2},
  [8712] = {.lex_state = 89, .external_lex_state = 2},
  [8713] = {.lex_state = 83, .external_lex_state = 2},
  [8714] = {.lex_state = 89, .external_lex_state = 2},
  [8715] = {.lex_state = 513, .external_lex_state = 2},
  [8716] = {.lex_state = 83, .external_lex_state = 2},
  [8717] = {.lex_state = 325, .external_lex_state = 2},
  [8718] = {.lex_state = 89, .external_lex_state = 2},
  [8719] = {.lex_state = 89, .external_lex_state = 2},
  [8720] = {.lex_state = 82, .external_lex_state = 2},
  [8721] = {.lex_state = 89, .external_lex_state = 2},
  [8722] = {.lex_state = 83, .external_lex_state = 2},
  [8723] = {.lex_state = 513, .external_lex_state = 2},
  [8724] = {.lex_state = 513, .external_lex_state = 2},
  [8725] = {.lex_state = 513, .external_lex_state = 2},
  [8726] = {.lex_state = 89, .external_lex_state = 2},
  [8727] = {.lex_state = 75, .external_lex_state = 2},
  [8728] = {.lex_state = 89, .external_lex_state = 2},
  [8729] = {.lex_state = 514, .external_lex_state = 2},
  [8730] = {.lex_state = 513, .external_lex_state = 2},
  [8731] = {.lex_state = 514, .external_lex_state = 2},
  [8732] = {.lex_state = 83, .external_lex_state = 2},
  [8733] = {.lex_state = 513, .external_lex_state = 2},
  [8734] = {.lex_state = 513, .external_lex_state = 2},
  [8735] = {.lex_state = 513, .external_lex_state = 2},
  [8736] = {.lex_state = 513, .external_lex_state = 2},
  [8737] = {.lex_state = 89, .external_lex_state = 2},
  [8738] = {.lex_state = 513, .external_lex_state = 2},
  [8739] = {.lex_state = 513, .external_lex_state = 2},
  [8740] = {.lex_state = 513, .external_lex_state = 2},
  [8741] = {.lex_state = 75, .external_lex_state = 2},
  [8742] = {.lex_state = 88, .external_lex_state = 2},
  [8743] = {.lex_state = 83, .external_lex_state = 2},
  [8744] = {.lex_state = 82, .external_lex_state = 2},
  [8745] = {.lex_state = 513, .external_lex_state = 2},
  [8746] = {.lex_state = 513, .external_lex_state = 2},
  [8747] = {.lex_state = 325, .external_lex_state = 2},
  [8748] = {.lex_state = 325, .external_lex_state = 2},
  [8749] = {.lex_state = 75, .external_lex_state = 2},
  [8750] = {.lex_state = 75, .external_lex_state = 2},
  [8751] = {.lex_state = 82, .external_lex_state = 2},
  [8752] = {.lex_state = 75, .external_lex_state = 2},
  [8753] = {.lex_state = 83, .external_lex_state = 2},
  [8754] = {.lex_state = 83, .external_lex_state = 2},
  [8755] = {.lex_state = 83, .external_lex_state = 2},
  [8756] = {.lex_state = 82, .external_lex_state = 2},
  [8757] = {.lex_state = 83, .external_lex_state = 2},
  [8758] = {.lex_state = 83, .external_lex_state = 2},
  [8759] = {.lex_state = 325, .external_lex_state = 2},
  [8760] = {.lex_state = 83, .external_lex_state = 2},
  [8761] = {.lex_state = 83, .external_lex_state = 2},
  [8762] = {.lex_state = 89, .external_lex_state = 2},
  [8763] = {.lex_state = 83, .external_lex_state = 2},
  [8764] = {.lex_state = 83, .external_lex_state = 2},
  [8765] = {.lex_state = 83, .external_lex_state = 2},
  [8766] = {.lex_state = 83, .external_lex_state = 2},
  [8767] = {.lex_state = 83, .external_lex_state = 2},
  [8768] = {.lex_state = 83, .external_lex_state = 2},
  [8769] = {.lex_state = 83, .external_lex_state = 2},
  [8770] = {.lex_state = 75, .external_lex_state = 2},
  [8771] = {.lex_state = 75, .external_lex_state = 2},
  [8772] = {.lex_state = 83, .external_lex_state = 2},
  [8773] = {.lex_state = 75, .external_lex_state = 2},
  [8774] = {.lex_state = 75, .external_lex_state = 2},
  [8775] = {.lex_state = 75, .external_lex_state = 2},
  [8776] = {.lex_state = 513, .external_lex_state = 2},
  [8777] = {.lex_state = 513, .external_lex_state = 2},
  [8778] = {.lex_state = 75, .external_lex_state = 2},
  [8779] = {.lex_state = 325, .external_lex_state = 2},
  [8780] = {.lex_state = 75, .external_lex_state = 2},
  [8781] = {.lex_state = 75, .external_lex_state = 2},
  [8782] = {.lex_state = 513, .external_lex_state = 2},
  [8783] = {.lex_state = 75, .external_lex_state = 2},
  [8784] = {.lex_state = 89, .external_lex_state = 2},
  [8785] = {.lex_state = 513, .external_lex_state = 2},
  [8786] = {.lex_state = 75, .external_lex_state = 2},
  [8787] = {.lex_state = 75, .external_lex_state = 2},
  [8788] = {.lex_state = 75, .external_lex_state = 2},
  [8789] = {.lex_state = 513, .external_lex_state = 2},
  [8790] = {.lex_state = 75, .external_lex_state = 2},
  [8791] = {.lex_state = 88, .external_lex_state = 2},
  [8792] = {.lex_state = 513, .external_lex_state = 2},
  [8793] = {.lex_state = 325, .external_lex_state = 2},
  [8794] = {.lex_state = 513, .external_lex_state = 2},
  [8795] = {.lex_state = 75, .external_lex_state = 2},
  [8796] = {.lex_state = 325, .external_lex_state = 2},
  [8797] = {.lex_state = 75, .external_lex_state = 2},
  [8798] = {.lex_state = 513, .external_lex_state = 2},
  [8799] = {.lex_state = 513, .external_lex_state = 2},
  [8800] = {.lex_state = 78, .external_lex_state = 2},
  [8801] = {.lex_state = 75, .external_lex_state = 2},
  [8802] = {.lex_state = 75, .external_lex_state = 2},
  [8803] = {.lex_state = 75, .external_lex_state = 2},
  [8804] = {.lex_state = 75, .external_lex_state = 2},
  [8805] = {.lex_state = 75, .external_lex_state = 2},
  [8806] = {.lex_state = 517, .external_lex_state = 2},
  [8807] = {.lex_state = 513, .external_lex_state = 2},
  [8808] = {.lex_state = 513, .external_lex_state = 2},
  [8809] = {.lex_state = 325, .external_lex_state = 2},
  [8810] = {.lex_state = 325, .external_lex_state = 2},
  [8811] = {.lex_state = 325, .external_lex_state = 2},
  [8812] = {.lex_state = 75, .external_lex_state = 2},
  [8813] = {.lex_state = 513, .external_lex_state = 2},
  [8814] = {.lex_state = 75, .external_lex_state = 2},
  [8815] = {.lex_state = 513, .external_lex_state = 2},
  [8816] = {.lex_state = 75, .external_lex_state = 2},
  [8817] = {.lex_state = 325, .external_lex_state = 2},
  [8818] = {.lex_state = 88, .external_lex_state = 2},
  [8819] = {.lex_state = 325, .external_lex_state = 2},
  [8820] = {.lex_state = 75, .external_lex_state = 2},
  [8821] = {.lex_state = 513, .external_lex_state = 2},
  [8822] = {.lex_state = 75, .external_lex_state = 2},
  [8823] = {.lex_state = 513, .external_lex_state = 2},
  [8824] = {.lex_state = 75, .external_lex_state = 2},
  [8825] = {.lex_state = 75, .external_lex_state = 2},
  [8826] = {.lex_state = 75, .external_lex_state = 2},
  [8827] = {.lex_state = 325, .external_lex_state = 2},
  [8828] = {.lex_state = 75, .external_lex_state = 2},
  [8829] = {.lex_state = 75, .external_lex_state = 2},
  [8830] = {.lex_state = 513, .external_lex_state = 2},
  [8831] = {.lex_state = 75, .external_lex_state = 2},
  [8832] = {.lex_state = 75, .external_lex_state = 2},
  [8833] = {.lex_state = 75, .external_lex_state = 2},
  [8834] = {.lex_state = 325, .external_lex_state = 2},
  [8835] = {.lex_state = 325, .external_lex_state = 2},
  [8836] = {.lex_state = 75, .external_lex_state = 2},
  [8837] = {.lex_state = 325, .external_lex_state = 2},
  [8838] = {.lex_state = 325, .external_lex_state = 2},
  [8839] = {.lex_state = 513, .external_lex_state = 2},
  [8840] = {.lex_state = 75, .external_lex_state = 2},
  [8841] = {.lex_state = 75, .external_lex_state = 2},
  [8842] = {.lex_state = 325, .external_lex_state = 2},
  [8843] = {.lex_state = 75, .external_lex_state = 2},
  [8844] = {.lex_state = 89, .external_lex_state = 2},
  [8845] = {.lex_state = 325, .external_lex_state = 2},
  [8846] = {.lex_state = 75, .external_lex_state = 2},
  [8847] = {.lex_state = 325, .external_lex_state = 2},
  [8848] = {.lex_state = 75, .external_lex_state = 2},
  [8849] = {.lex_state = 325, .external_lex_state = 2},
  [8850] = {.lex_state = 75, .external_lex_state = 2},
  [8851] = {.lex_state = 513, .external_lex_state = 2},
  [8852] = {.lex_state = 75, .external_lex_state = 2},
  [8853] = {.lex_state = 75, .external_lex_state = 2},
  [8854] = {.lex_state = 513, .external_lex_state = 2},
  [8855] = {.lex_state = 88, .external_lex_state = 2},
  [8856] = {.lex_state = 325, .external_lex_state = 2},
  [8857] = {.lex_state = 75, .external_lex_state = 2},
  [8858] = {.lex_state = 513, .external_lex_state = 2},
  [8859] = {.lex_state = 75, .external_lex_state = 2},
  [8860] = {.lex_state = 75, .external_lex_state = 2},
  [8861] = {.lex_state = 75, .external_lex_state = 2},
  [8862] = {.lex_state = 513, .external_lex_state = 2},
  [8863] = {.lex_state = 75, .external_lex_state = 2},
  [8864] = {.lex_state = 325, .external_lex_state = 2},
  [8865] = {.lex_state = 325, .external_lex_state = 2},
  [8866] = {.lex_state = 325, .external_lex_state = 2},
  [8867] = {.lex_state = 75, .external_lex_state = 2},
  [8868] = {.lex_state = 325, .external_lex_state = 2},
  [8869] = {.lex_state = 513, .external_lex_state = 2},
  [8870] = {.lex_state = 325, .external_lex_state = 2},
  [8871] = {.lex_state = 325, .external_lex_state = 2},
  [8872] = {.lex_state = 75, .external_lex_state = 2},
  [8873] = {.lex_state = 513, .external_lex_state = 2},
  [8874] = {.lex_state = 88, .external_lex_state = 2},
  [8875] = {.lex_state = 514, .external_lex_state = 5},
  [8876] = {.lex_state = 513, .external_lex_state = 2},
  [8877] = {.lex_state = 75, .external_lex_state = 2},
  [8878] = {.lex_state = 88, .external_lex_state = 2},
  [8879] = {.lex_state = 513, .external_lex_state = 2},
  [8880] = {.lex_state = 513, .external_lex_state = 2},
  [8881] = {.lex_state = 325, .external_lex_state = 2},
  [8882] = {.lex_state = 513, .external_lex_state = 2},
  [8883] = {.lex_state = 513, .external_lex_state = 2},
  [8884] = {.lex_state = 513, .external_lex_state = 2},
  [8885] = {.lex_state = 513, .external_lex_state = 2},
  [8886] = {.lex_state = 513, .external_lex_state = 2},
  [8887] = {.lex_state = 513, .external_lex_state = 2},
  [8888] = {.lex_state = 325, .external_lex_state = 2},
  [8889] = {.lex_state = 513, .external_lex_state = 2},
  [8890] = {.lex_state = 328, .external_lex_state = 2},
  [8891] = {.lex_state = 75, .external_lex_state = 2},
  [8892] = {.lex_state = 82, .external_lex_state = 2},
  [8893] = {.lex_state = 513, .external_lex_state = 2},
  [8894] = {.lex_state = 513, .external_lex_state = 2},
  [8895] = {.lex_state = 513, .external_lex_state = 2},
  [8896] = {.lex_state = 75, .external_lex_state = 2},
  [8897] = {.lex_state = 75, .external_lex_state = 2},
  [8898] = {.lex_state = 513, .external_lex_state = 2},
  [8899] = {.lex_state = 75, .external_lex_state = 2},
  [8900] = {.lex_state = 75, .external_lex_state = 2},
  [8901] = {.lex_state = 75, .external_lex_state = 2},
  [8902] = {.lex_state = 75, .external_lex_state = 2},
  [8903] = {.lex_state = 75, .external_lex_state = 2},
  [8904] = {.lex_state = 75, .external_lex_state = 2},
  [8905] = {.lex_state = 513, .external_lex_state = 2},
  [8906] = {.lex_state = 75, .external_lex_state = 2},
  [8907] = {.lex_state = 75, .external_lex_state = 2},
  [8908] = {.lex_state = 75, .external_lex_state = 2},
  [8909] = {.lex_state = 75, .external_lex_state = 2},
  [8910] = {.lex_state = 75, .external_lex_state = 2},
  [8911] = {.lex_state = 75, .external_lex_state = 2},
  [8912] = {.lex_state = 75, .external_lex_state = 2},
  [8913] = {.lex_state = 513, .external_lex_state = 2},
  [8914] = {.lex_state = 513, .external_lex_state = 2},
  [8915] = {.lex_state = 513, .external_lex_state = 2},
  [8916] = {.lex_state = 75, .external_lex_state = 2},
  [8917] = {.lex_state = 513, .external_lex_state = 2},
  [8918] = {.lex_state = 75, .external_lex_state = 2},
  [8919] = {.lex_state = 513, .external_lex_state = 2},
  [8920] = {.lex_state = 88, .external_lex_state = 2},
  [8921] = {.lex_state = 88, .external_lex_state = 2},
  [8922] = {.lex_state = 75, .external_lex_state = 2},
  [8923] = {.lex_state = 513, .external_lex_state = 2},
  [8924] = {.lex_state = 513, .external_lex_state = 2},
  [8925] = {.lex_state = 75, .external_lex_state = 2},
  [8926] = {.lex_state = 75, .external_lex_state = 2},
  [8927] = {.lex_state = 325, .external_lex_state = 2},
  [8928] = {.lex_state = 75, .external_lex_state = 2},
  [8929] = {.lex_state = 75, .external_lex_state = 2},
  [8930] = {.lex_state = 328, .external_lex_state = 2},
  [8931] = {.lex_state = 513, .external_lex_state = 2},
  [8932] = {.lex_state = 325, .external_lex_state = 2},
  [8933] = {.lex_state = 89, .external_lex_state = 2},
  [8934] = {.lex_state = 513, .external_lex_state = 2},
  [8935] = {.lex_state = 513, .external_lex_state = 2},
  [8936] = {.lex_state = 89, .external_lex_state = 2},
  [8937] = {.lex_state = 89, .external_lex_state = 2},
  [8938] = {.lex_state = 89, .external_lex_state = 2},
  [8939] = {.lex_state = 325, .external_lex_state = 2},
  [8940] = {.lex_state = 75, .external_lex_state = 2},
  [8941] = {.lex_state = 513, .external_lex_state = 2},
  [8942] = {.lex_state = 89, .external_lex_state = 2},
  [8943] = {.lex_state = 83, .external_lex_state = 2},
  [8944] = {.lex_state = 83, .external_lex_state = 2},
  [8945] = {.lex_state = 83, .external_lex_state = 2},
  [8946] = {.lex_state = 89, .external_lex_state = 2},
  [8947] = {.lex_state = 325, .external_lex_state = 2},
  [8948] = {.lex_state = 75, .external_lex_state = 2},
  [8949] = {.lex_state = 75, .external_lex_state = 2},
  [8950] = {.lex_state = 75, .external_lex_state = 2},
  [8951] = {.lex_state = 75, .external_lex_state = 2},
  [8952] = {.lex_state = 75, .external_lex_state = 2},
  [8953] = {.lex_state = 75, .external_lex_state = 2},
  [8954] = {.lex_state = 75, .external_lex_state = 2},
  [8955] = {.lex_state = 75, .external_lex_state = 2},
  [8956] = {.lex_state = 75, .external_lex_state = 2},
  [8957] = {.lex_state = 75, .external_lex_state = 2},
  [8958] = {.lex_state = 75, .external_lex_state = 2},
  [8959] = {.lex_state = 83, .external_lex_state = 2},
  [8960] = {.lex_state = 513, .external_lex_state = 2},
  [8961] = {.lex_state = 83, .external_lex_state = 2},
  [8962] = {.lex_state = 75, .external_lex_state = 2},
  [8963] = {.lex_state = 325, .external_lex_state = 2},
  [8964] = {.lex_state = 83, .external_lex_state = 2},
  [8965] = {.lex_state = 75, .external_lex_state = 2},
  [8966] = {.lex_state = 75, .external_lex_state = 2},
  [8967] = {.lex_state = 89, .external_lex_state = 2},
  [8968] = {.lex_state = 83, .external_lex_state = 2},
  [8969] = {.lex_state = 513, .external_lex_state = 2},
  [8970] = {.lex_state = 75, .external_lex_state = 2},
  [8971] = {.lex_state = 325, .external_lex_state = 2},
  [8972] = {.lex_state = 325, .external_lex_state = 2},
  [8973] = {.lex_state = 89, .external_lex_state = 2},
  [8974] = {.lex_state = 83, .external_lex_state = 2},
  [8975] = {.lex_state = 83, .external_lex_state = 2},
  [8976] = {.lex_state = 513, .external_lex_state = 2},
  [8977] = {.lex_state = 89, .external_lex_state = 2},
  [8978] = {.lex_state = 89, .external_lex_state = 2},
  [8979] = {.lex_state = 75, .external_lex_state = 2},
  [8980] = {.lex_state = 513, .external_lex_state = 2},
  [8981] = {.lex_state = 89, .external_lex_state = 2},
  [8982] = {.lex_state = 89, .external_lex_state = 2},
  [8983] = {.lex_state = 89, .external_lex_state = 2},
  [8984] = {.lex_state = 75, .external_lex_state = 2},
  [8985] = {.lex_state = 89, .external_lex_state = 2},
  [8986] = {.lex_state = 75, .external_lex_state = 2},
  [8987] = {.lex_state = 75, .external_lex_state = 2},
  [8988] = {.lex_state = 83, .external_lex_state = 2},
  [8989] = {.lex_state = 75, .external_lex_state = 2},
  [8990] = {.lex_state = 75, .external_lex_state = 2},
  [8991] = {.lex_state = 75, .external_lex_state = 2},
  [8992] = {.lex_state = 88, .external_lex_state = 2},
  [8993] = {.lex_state = 75, .external_lex_state = 2},
  [8994] = {.lex_state = 83, .external_lex_state = 2},
  [8995] = {.lex_state = 513, .external_lex_state = 2},
  [8996] = {.lex_state = 83, .external_lex_state = 2},
  [8997] = {.lex_state = 75, .external_lex_state = 2},
  [8998] = {.lex_state = 75, .external_lex_state = 2},
  [8999] = {.lex_state = 513, .external_lex_state = 2},
  [9000] = {.lex_state = 513, .external_lex_state = 2},
  [9001] = {.lex_state = 88, .external_lex_state = 2},
  [9002] = {.lex_state = 513, .external_lex_state = 2},
  [9003] = {.lex_state = 83, .external_lex_state = 2},
  [9004] = {.lex_state = 75, .external_lex_state = 2},
  [9005] = {.lex_state = 325, .external_lex_state = 5},
  [9006] = {.lex_state = 513, .external_lex_state = 2},
  [9007] = {.lex_state = 83, .external_lex_state = 2},
  [9008] = {.lex_state = 513, .external_lex_state = 2},
  [9009] = {.lex_state = 513, .external_lex_state = 2},
  [9010] = {.lex_state = 513, .external_lex_state = 2},
  [9011] = {.lex_state = 517, .external_lex_state = 2},
  [9012] = {.lex_state = 328, .external_lex_state = 2},
  [9013] = {.lex_state = 75, .external_lex_state = 2},
  [9014] = {.lex_state = 513, .external_lex_state = 2},
  [9015] = {.lex_state = 75, .external_lex_state = 2},
  [9016] = {.lex_state = 75, .external_lex_state = 2},
  [9017] = {.lex_state = 88, .external_lex_state = 2},
  [9018] = {.lex_state = 88, .external_lex_state = 2},
  [9019] = {.lex_state = 107, .external_lex_state = 2},
  [9020] = {.lex_state = 513, .external_lex_state = 2},
  [9021] = {.lex_state = 513, .external_lex_state = 2},
  [9022] = {.lex_state = 513, .external_lex_state = 2},
  [9023] = {.lex_state = 513, .external_lex_state = 2},
  [9024] = {.lex_state = 325, .external_lex_state = 2},
  [9025] = {.lex_state = 513, .external_lex_state = 2},
  [9026] = {.lex_state = 513, .external_lex_state = 2},
  [9027] = {.lex_state = 513, .external_lex_state = 2},
  [9028] = {.lex_state = 513, .external_lex_state = 2},
  [9029] = {.lex_state = 83, .external_lex_state = 2},
  [9030] = {.lex_state = 513, .external_lex_state = 2},
  [9031] = {.lex_state = 513, .external_lex_state = 2},
  [9032] = {.lex_state = 513, .external_lex_state = 2},
  [9033] = {.lex_state = 75, .external_lex_state = 2},
  [9034] = {.lex_state = 513, .external_lex_state = 2},
  [9035] = {.lex_state = 513, .external_lex_state = 2},
  [9036] = {.lex_state = 514, .external_lex_state = 2},
  [9037] = {.lex_state = 513, .external_lex_state = 2},
  [9038] = {.lex_state = 75, .external_lex_state = 2},
  [9039] = {.lex_state = 513, .external_lex_state = 2},
  [9040] = {.lex_state = 513, .external_lex_state = 2},
  [9041] = {.lex_state = 88, .external_lex_state = 2},
  [9042] = {.lex_state = 513, .external_lex_state = 2},
  [9043] = {.lex_state = 513, .external_lex_state = 2},
  [9044] = {.lex_state = 325, .external_lex_state = 2},
  [9045] = {.lex_state = 328, .external_lex_state = 2},
  [9046] = {.lex_state = 82, .external_lex_state = 2},
  [9047] = {.lex_state = 513, .external_lex_state = 2},
  [9048] = {.lex_state = 325, .external_lex_state = 2},
  [9049] = {.lex_state = 513, .external_lex_state = 2},
  [9050] = {.lex_state = 75, .external_lex_state = 2},
  [9051] = {.lex_state = 513, .external_lex_state = 2},
  [9052] = {.lex_state = 513, .external_lex_state = 2},
  [9053] = {.lex_state = 88, .external_lex_state = 2},
  [9054] = {.lex_state = 325, .external_lex_state = 2},
  [9055] = {.lex_state = 75, .external_lex_state = 2},
  [9056] = {.lex_state = 514, .external_lex_state = 2},
  [9057] = {.lex_state = 75, .external_lex_state = 2},
  [9058] = {.lex_state = 325, .external_lex_state = 2},
  [9059] = {.lex_state = 513, .external_lex_state = 2},
  [9060] = {.lex_state = 513, .external_lex_state = 2},
  [9061] = {.lex_state = 513, .external_lex_state = 2},
  [9062] = {.lex_state = 75, .external_lex_state = 2},
  [9063] = {.lex_state = 75, .external_lex_state = 2},
  [9064] = {.lex_state = 82, .external_lex_state = 2},
  [9065] = {.lex_state = 82, .external_lex_state = 2},
  [9066] = {.lex_state = 82, .external_lex_state = 2},
  [9067] = {.lex_state = 513, .external_lex_state = 2},
  [9068] = {.lex_state = 82, .external_lex_state = 2},
  [9069] = {.lex_state = 513, .external_lex_state = 2},
  [9070] = {.lex_state = 82, .external_lex_state = 2},
  [9071] = {.lex_state = 513, .external_lex_state = 2},
  [9072] = {.lex_state = 82, .external_lex_state = 2},
  [9073] = {.lex_state = 82, .external_lex_state = 2},
  [9074] = {.lex_state = 513, .external_lex_state = 2},
  [9075] = {.lex_state = 513, .external_lex_state = 2},
  [9076] = {.lex_state = 513, .external_lex_state = 2},
  [9077] = {.lex_state = 325, .external_lex_state = 2},
  [9078] = {.lex_state = 513, .external_lex_state = 2},
  [9079] = {.lex_state = 513, .external_lex_state = 2},
  [9080] = {.lex_state = 513, .external_lex_state = 2},
  [9081] = {.lex_state = 325, .external_lex_state = 2},
  [9082] = {.lex_state = 82, .external_lex_state = 2},
  [9083] = {.lex_state = 513, .external_lex_state = 2},
  [9084] = {.lex_state = 82, .external_lex_state = 2},
  [9085] = {.lex_state = 82, .external_lex_state = 2},
  [9086] = {.lex_state = 75, .external_lex_state = 2},
  [9087] = {.lex_state = 513, .external_lex_state = 2},
  [9088] = {.lex_state = 82, .external_lex_state = 2},
  [9089] = {.lex_state = 82, .external_lex_state = 2},
  [9090] = {.lex_state = 82, .external_lex_state = 2},
  [9091] = {.lex_state = 513, .external_lex_state = 2},
  [9092] = {.lex_state = 513, .external_lex_state = 2},
  [9093] = {.lex_state = 513, .external_lex_state = 2},
  [9094] = {.lex_state = 513, .external_lex_state = 2},
  [9095] = {.lex_state = 513, .external_lex_state = 2},
  [9096] = {.lex_state = 513, .external_lex_state = 2},
  [9097] = {.lex_state = 513, .external_lex_state = 2},
  [9098] = {.lex_state = 513, .external_lex_state = 2},
  [9099] = {.lex_state = 82, .external_lex_state = 2},
  [9100] = {.lex_state = 513, .external_lex_state = 2},
  [9101] = {.lex_state = 513, .external_lex_state = 2},
  [9102] = {.lex_state = 513, .external_lex_state = 2},
  [9103] = {.lex_state = 513, .external_lex_state = 2},
  [9104] = {.lex_state = 513, .external_lex_state = 2},
  [9105] = {.lex_state = 513, .external_lex_state = 2},
  [9106] = {.lex_state = 513, .external_lex_state = 2},
  [9107] = {.lex_state = 75, .external_lex_state = 2},
  [9108] = {.lex_state = 75, .external_lex_state = 2},
  [9109] = {.lex_state = 514, .external_lex_state = 2},
  [9110] = {.lex_state = 513, .external_lex_state = 2},
  [9111] = {.lex_state = 513, .external_lex_state = 2},
  [9112] = {.lex_state = 325, .external_lex_state = 2},
  [9113] = {.lex_state = 513, .external_lex_state = 2},
  [9114] = {.lex_state = 75, .external_lex_state = 2},
  [9115] = {.lex_state = 513, .external_lex_state = 2},
  [9116] = {.lex_state = 513, .external_lex_state = 2},
  [9117] = {.lex_state = 75, .external_lex_state = 2},
  [9118] = {.lex_state = 325, .external_lex_state = 2},
  [9119] = {.lex_state = 513, .external_lex_state = 2},
  [9120] = {.lex_state = 75, .external_lex_state = 2},
  [9121] = {.lex_state = 325, .external_lex_state = 2},
  [9122] = {.lex_state = 88, .external_lex_state = 2},
  [9123] = {.lex_state = 88, .external_lex_state = 2},
  [9124] = {.lex_state = 513, .external_lex_state = 2},
  [9125] = {.lex_state = 513, .external_lex_state = 2},
  [9126] = {.lex_state = 513, .external_lex_state = 2},
  [9127] = {.lex_state = 513, .external_lex_state = 2},
  [9128] = {.lex_state = 75, .external_lex_state = 2},
  [9129] = {.lex_state = 513, .external_lex_state = 2},
  [9130] = {.lex_state = 75, .external_lex_state = 2},
  [9131] = {.lex_state = 75, .external_lex_state = 2},
  [9132] = {.lex_state = 513, .external_lex_state = 2},
  [9133] = {.lex_state = 75, .external_lex_state = 2},
  [9134] = {.lex_state = 325, .external_lex_state = 2},
  [9135] = {.lex_state = 513, .external_lex_state = 2},
  [9136] = {.lex_state = 75, .external_lex_state = 2},
  [9137] = {.lex_state = 75, .external_lex_state = 2},
  [9138] = {.lex_state = 88, .external_lex_state = 2},
  [9139] = {.lex_state = 325, .external_lex_state = 2},
  [9140] = {.lex_state = 325, .external_lex_state = 2},
  [9141] = {.lex_state = 325, .external_lex_state = 2},
  [9142] = {.lex_state = 514, .external_lex_state = 2},
  [9143] = {.lex_state = 75, .external_lex_state = 2},
  [9144] = {.lex_state = 325, .external_lex_state = 2},
  [9145] = {.lex_state = 75, .external_lex_state = 2},
  [9146] = {.lex_state = 514, .external_lex_state = 2},
  [9147] = {.lex_state = 514, .external_lex_state = 2},
  [9148] = {.lex_state = 517, .external_lex_state = 2},
  [9149] = {.lex_state = 514, .external_lex_state = 2},
  [9150] = {.lex_state = 75, .external_lex_state = 2},
  [9151] = {.lex_state = 514, .external_lex_state = 2},
  [9152] = {.lex_state = 514, .external_lex_state = 2},
  [9153] = {.lex_state = 514, .external_lex_state = 2},
  [9154] = {.lex_state = 514, .external_lex_state = 2},
  [9155] = {.lex_state = 513, .external_lex_state = 2},
  [9156] = {.lex_state = 325, .external_lex_state = 2},
  [9157] = {.lex_state = 513, .external_lex_state = 2},
  [9158] = {.lex_state = 514, .external_lex_state = 2},
  [9159] = {.lex_state = 325, .external_lex_state = 2},
  [9160] = {.lex_state = 325, .external_lex_state = 2},
  [9161] = {.lex_state = 325, .external_lex_state = 2},
  [9162] = {.lex_state = 325, .external_lex_state = 2},
  [9163] = {.lex_state = 325, .external_lex_state = 2},
  [9164] = {.lex_state = 325, .external_lex_state = 2},
  [9165] = {.lex_state = 328, .external_lex_state = 2},
  [9166] = {.lex_state = 514, .external_lex_state = 2},
  [9167] = {.lex_state = 514, .external_lex_state = 2},
  [9168] = {.lex_state = 325, .external_lex_state = 2},
  [9169] = {.lex_state = 325, .external_lex_state = 2},
  [9170] = {.lex_state = 514, .external_lex_state = 2},
  [9171] = {.lex_state = 514, .external_lex_state = 2},
  [9172] = {.lex_state = 325, .external_lex_state = 2},
  [9173] = {.lex_state = 325, .external_lex_state = 2},
  [9174] = {.lex_state = 325, .external_lex_state = 2},
  [9175] = {.lex_state = 513, .external_lex_state = 2},
  [9176] = {.lex_state = 325, .external_lex_state = 2},
  [9177] = {.lex_state = 325, .external_lex_state = 2},
  [9178] = {.lex_state = 325, .external_lex_state = 2},
  [9179] = {.lex_state = 514, .external_lex_state = 2},
  [9180] = {.lex_state = 513, .external_lex_state = 2},
  [9181] = {.lex_state = 325, .external_lex_state = 2},
  [9182] = {.lex_state = 325, .external_lex_state = 2},
  [9183] = {.lex_state = 513, .external_lex_state = 2},
  [9184] = {.lex_state = 513, .external_lex_state = 2},
  [9185] = {.lex_state = 513, .external_lex_state = 2},
  [9186] = {.lex_state = 325, .external_lex_state = 2},
  [9187] = {.lex_state = 513, .external_lex_state = 2},
  [9188] = {.lex_state = 513, .external_lex_state = 2},
  [9189] = {.lex_state = 513, .external_lex_state = 2},
  [9190] = {.lex_state = 325, .external_lex_state = 2},
  [9191] = {.lex_state = 513, .external_lex_state = 2},
  [9192] = {.lex_state = 75, .external_lex_state = 2},
  [9193] = {.lex_state = 325, .external_lex_state = 2},
  [9194] = {.lex_state = 107, .external_lex_state = 2},
  [9195] = {.lex_state = 75, .external_lex_state = 2},
  [9196] = {.lex_state = 325, .external_lex_state = 2},
  [9197] = {.lex_state = 325, .external_lex_state = 2},
  [9198] = {.lex_state = 513, .external_lex_state = 2},
  [9199] = {.lex_state = 513, .external_lex_state = 2},
  [9200] = {.lex_state = 75, .external_lex_state = 2},
  [9201] = {.lex_state = 325, .external_lex_state = 2},
  [9202] = {.lex_state = 325, .external_lex_state = 2},
  [9203] = {.lex_state = 325, .external_lex_state = 2},
  [9204] = {.lex_state = 325, .external_lex_state = 2},
  [9205] = {.lex_state = 325, .external_lex_state = 2},
  [9206] = {.lex_state = 325, .external_lex_state = 2},
  [9207] = {.lex_state = 325, .external_lex_state = 2},
  [9208] = {.lex_state = 325, .external_lex_state = 2},
  [9209] = {.lex_state = 325, .external_lex_state = 2},
  [9210] = {.lex_state = 514, .external_lex_state = 2},
  [9211] = {.lex_state = 325, .external_lex_state = 2},
  [9212] = {.lex_state = 325, .external_lex_state = 2},
  [9213] = {.lex_state = 514, .external_lex_state = 2},
  [9214] = {.lex_state = 325, .external_lex_state = 2},
  [9215] = {.lex_state = 325, .external_lex_state = 2},
  [9216] = {.lex_state = 513, .external_lex_state = 2},
  [9217] = {.lex_state = 514, .external_lex_state = 2},
  [9218] = {.lex_state = 514, .external_lex_state = 2},
  [9219] = {.lex_state = 325, .external_lex_state = 2},
  [9220] = {.lex_state = 325, .external_lex_state = 2},
  [9221] = {.lex_state = 75, .external_lex_state = 2},
  [9222] = {.lex_state = 325, .external_lex_state = 2},
  [9223] = {.lex_state = 75, .external_lex_state = 2},
  [9224] = {.lex_state = 325, .external_lex_state = 2},
  [9225] = {.lex_state = 325, .external_lex_state = 2},
  [9226] = {.lex_state = 75, .external_lex_state = 2},
  [9227] = {.lex_state = 325, .external_lex_state = 2},
  [9228] = {.lex_state = 513, .external_lex_state = 2},
  [9229] = {.lex_state = 75, .external_lex_state = 2},
  [9230] = {.lex_state = 513, .external_lex_state = 2},
  [9231] = {.lex_state = 325, .external_lex_state = 2},
  [9232] = {.lex_state = 75, .external_lex_state = 2},
  [9233] = {.lex_state = 75, .external_lex_state = 2},
  [9234] = {.lex_state = 325, .external_lex_state = 2},
  [9235] = {.lex_state = 325, .external_lex_state = 2},
  [9236] = {.lex_state = 325, .external_lex_state = 2},
  [9237] = {.lex_state = 325, .external_lex_state = 2},
  [9238] = {.lex_state = 513, .external_lex_state = 2},
  [9239] = {.lex_state = 75, .external_lex_state = 2},
  [9240] = {.lex_state = 75, .external_lex_state = 2},
  [9241] = {.lex_state = 75, .external_lex_state = 2},
  [9242] = {.lex_state = 513, .external_lex_state = 2},
  [9243] = {.lex_state = 325, .external_lex_state = 2},
  [9244] = {.lex_state = 75, .external_lex_state = 2},
  [9245] = {.lex_state = 325, .external_lex_state = 2},
  [9246] = {.lex_state = 197, .external_lex_state = 3},
  [9247] = {.lex_state = 314, .external_lex_state = 4},
  [9248] = {.lex_state = 195, .external_lex_state = 4},
  [9249] = {.lex_state = 514, .external_lex_state = 2},
  [9250] = {.lex_state = 514, .external_lex_state = 2},
  [9251] = {.lex_state = 514, .external_lex_state = 2},
  [9252] = {.lex_state = 325, .external_lex_state = 2},
  [9253] = {.lex_state = 513, .external_lex_state = 2},
  [9254] = {.lex_state = 514, .external_lex_state = 2},
  [9255] = {.lex_state = 514, .external_lex_state = 2},
  [9256] = {.lex_state = 514, .external_lex_state = 2},
  [9257] = {.lex_state = 513, .external_lex_state = 2},
  [9258] = {.lex_state = 325, .external_lex_state = 2},
  [9259] = {.lex_state = 325, .external_lex_state = 2},
  [9260] = {.lex_state = 513, .external_lex_state = 2},
  [9261] = {.lex_state = 514, .external_lex_state = 2},
  [9262] = {.lex_state = 325, .external_lex_state = 2},
  [9263] = {.lex_state = 325, .external_lex_state = 2},
  [9264] = {.lex_state = 325, .external_lex_state = 2},
  [9265] = {.lex_state = 514, .external_lex_state = 2},
  [9266] = {.lex_state = 197, .external_lex_state = 4},
  [9267] = {.lex_state = 514, .external_lex_state = 2},
  [9268] = {.lex_state = 325, .external_lex_state = 2},
  [9269] = {.lex_state = 325, .external_lex_state = 2},
  [9270] = {.lex_state = 325, .external_lex_state = 2},
  [9271] = {.lex_state = 325, .external_lex_state = 2},
  [9272] = {.lex_state = 325, .external_lex_state = 2},
  [9273] = {.lex_state = 513, .external_lex_state = 2},
  [9274] = {.lex_state = 513, .external_lex_state = 2},
  [9275] = {.lex_state = 197, .external_lex_state = 3},
  [9276] = {.lex_state = 325, .external_lex_state = 2},
  [9277] = {.lex_state = 195, .external_lex_state = 4},
  [9278] = {.lex_state = 195, .external_lex_state = 4},
  [9279] = {.lex_state = 513, .external_lex_state = 2},
  [9280] = {.lex_state = 513, .external_lex_state = 2},
  [9281] = {.lex_state = 513, .external_lex_state = 2},
  [9282] = {.lex_state = 514, .external_lex_state = 2},
  [9283] = {.lex_state = 513, .external_lex_state = 2},
  [9284] = {.lex_state = 197, .external_lex_state = 3},
  [9285] = {.lex_state = 325, .external_lex_state = 2},
  [9286] = {.lex_state = 195, .external_lex_state = 4},
  [9287] = {.lex_state = 514, .external_lex_state = 2},
  [9288] = {.lex_state = 325, .external_lex_state = 2},
  [9289] = {.lex_state = 325, .external_lex_state = 2},
  [9290] = {.lex_state = 513, .external_lex_state = 2},
  [9291] = {.lex_state = 514, .external_lex_state = 2},
  [9292] = {.lex_state = 513, .external_lex_state = 2},
  [9293] = {.lex_state = 514, .external_lex_state = 2},
  [9294] = {.lex_state = 513, .external_lex_state = 2},
  [9295] = {.lex_state = 514, .external_lex_state = 2},
  [9296] = {.lex_state = 513, .external_lex_state = 2},
  [9297] = {.lex_state = 514, .external_lex_state = 2},
  [9298] = {.lex_state = 513, .external_lex_state = 2},
  [9299] = {.lex_state = 514, .external_lex_state = 2},
  [9300] = {.lex_state = 513, .external_lex_state = 2},
  [9301] = {.lex_state = 197, .external_lex_state = 3},
  [9302] = {.lex_state = 513, .external_lex_state = 2},
  [9303] = {.lex_state = 514, .external_lex_state = 2},
  [9304] = {.lex_state = 514, .external_lex_state = 2},
  [9305] = {.lex_state = 197, .external_lex_state = 3},
  [9306] = {.lex_state = 513, .external_lex_state = 2},
  [9307] = {.lex_state = 75, .external_lex_state = 2},
  [9308] = {.lex_state = 194, .external_lex_state = 3},
  [9309] = {.lex_state = 196, .external_lex_state = 4},
  [9310] = {.lex_state = 514, .external_lex_state = 2},
  [9311] = {.lex_state = 195, .external_lex_state = 4},
  [9312] = {.lex_state = 195, .external_lex_state = 4},
  [9313] = {.lex_state = 195, .external_lex_state = 4},
  [9314] = {.lex_state = 195, .external_lex_state = 4},
  [9315] = {.lex_state = 196, .external_lex_state = 4},
  [9316] = {.lex_state = 195, .external_lex_state = 4},
  [9317] = {.lex_state = 195, .external_lex_state = 4},
  [9318] = {.lex_state = 196, .external_lex_state = 4},
  [9319] = {.lex_state = 194, .external_lex_state = 3},
  [9320] = {.lex_state = 196, .external_lex_state = 4},
  [9321] = {.lex_state = 194, .external_lex_state = 3},
  [9322] = {.lex_state = 195, .external_lex_state = 4},
  [9323] = {.lex_state = 195, .external_lex_state = 4},
  [9324] = {.lex_state = 195, .external_lex_state = 4},
  [9325] = {.lex_state = 172, .external_lex_state = 2},
  [9326] = {.lex_state = 194, .external_lex_state = 3},
  [9327] = {.lex_state = 197, .external_lex_state = 4},
  [9328] = {.lex_state = 195, .external_lex_state = 4},
  [9329] = {.lex_state = 197, .external_lex_state = 4},
  [9330] = {.lex_state = 195, .external_lex_state = 4},
  [9331] = {.lex_state = 194, .external_lex_state = 3},
  [9332] = {.lex_state = 197, .external_lex_state = 4},
  [9333] = {.lex_state = 198, .external_lex_state = 4},
  [9334] = {.lex_state = 195, .external_lex_state = 4},
  [9335] = {.lex_state = 194, .external_lex_state = 3},
  [9336] = {.lex_state = 175, .external_lex_state = 2},
  [9337] = {.lex_state = 197, .external_lex_state = 4},
  [9338] = {.lex_state = 197, .external_lex_state = 4},
  [9339] = {.lex_state = 197, .external_lex_state = 4},
  [9340] = {.lex_state = 197, .external_lex_state = 4},
  [9341] = {.lex_state = 197, .external_lex_state = 4},
  [9342] = {.lex_state = 197, .external_lex_state = 4},
  [9343] = {.lex_state = 196, .external_lex_state = 4},
  [9344] = {.lex_state = 170, .external_lex_state = 2},
  [9345] = {.lex_state = 196, .external_lex_state = 4},
  [9346] = {.lex_state = 197, .external_lex_state = 4},
  [9347] = {.lex_state = 197, .external_lex_state = 4},
  [9348] = {.lex_state = 197, .external_lex_state = 4},
  [9349] = {.lex_state = 196, .external_lex_state = 4},
  [9350] = {.lex_state = 196, .external_lex_state = 4},
  [9351] = {.lex_state = 197, .external_lex_state = 4},
  [9352] = {.lex_state = 197, .external_lex_state = 4},
  [9353] = {.lex_state = 197, .external_lex_state = 4},
  [9354] = {.lex_state = 197, .external_lex_state = 4},
  [9355] = {.lex_state = 197, .external_lex_state = 4},
  [9356] = {.lex_state = 337, .external_lex_state = 2},
  [9357] = {.lex_state = 197, .external_lex_state = 4},
  [9358] = {.lex_state = 197, .external_lex_state = 4},
  [9359] = {.lex_state = 197, .external_lex_state = 4},
  [9360] = {.lex_state = 197, .external_lex_state = 4},
  [9361] = {.lex_state = 197, .external_lex_state = 4},
  [9362] = {.lex_state = 197, .external_lex_state = 4},
  [9363] = {.lex_state = 197, .external_lex_state = 4},
  [9364] = {.lex_state = 171, .external_lex_state = 2},
  [9365] = {.lex_state = 197, .external_lex_state = 4},
  [9366] = {.lex_state = 197, .external_lex_state = 4},
  [9367] = {.lex_state = 197, .external_lex_state = 4},
  [9368] = {.lex_state = 197, .external_lex_state = 4},
  [9369] = {.lex_state = 197, .external_lex_state = 4},
  [9370] = {.lex_state = 197, .external_lex_state = 4},
  [9371] = {.lex_state = 197, .external_lex_state = 4},
  [9372] = {.lex_state = 197, .external_lex_state = 4},
  [9373] = {.lex_state = 196, .external_lex_state = 4},
  [9374] = {.lex_state = 197, .external_lex_state = 4},
  [9375] = {.lex_state = 197, .external_lex_state = 4},
  [9376] = {.lex_state = 196, .external_lex_state = 4},
  [9377] = {.lex_state = 197, .external_lex_state = 4},
  [9378] = {.lex_state = 194, .external_lex_state = 4},
  [9379] = {.lex_state = 194, .external_lex_state = 4},
  [9380] = {.lex_state = 196, .external_lex_state = 4},
  [9381] = {.lex_state = 196, .external_lex_state = 4},
  [9382] = {.lex_state = 194, .external_lex_state = 4},
  [9383] = {.lex_state = 196, .external_lex_state = 4},
  [9384] = {.lex_state = 196, .external_lex_state = 4},
  [9385] = {.lex_state = 196, .external_lex_state = 4},
  [9386] = {.lex_state = 194, .external_lex_state = 4},
  [9387] = {.lex_state = 197, .external_lex_state = 4},
  [9388] = {.lex_state = 197, .external_lex_state = 4},
  [9389] = {.lex_state = 197, .external_lex_state = 4},
  [9390] = {.lex_state = 197, .external_lex_state = 4},
  [9391] = {.lex_state = 197, .external_lex_state = 4},
  [9392] = {.lex_state = 197, .external_lex_state = 4},
  [9393] = {.lex_state = 197, .external_lex_state = 4},
  [9394] = {.lex_state = 197, .external_lex_state = 4},
  [9395] = {.lex_state = 199, .external_lex_state = 4},
  [9396] = {.lex_state = 197, .external_lex_state = 4},
  [9397] = {.lex_state = 196, .external_lex_state = 4},
  [9398] = {.lex_state = 197, .external_lex_state = 4},
  [9399] = {.lex_state = 197, .external_lex_state = 4},
  [9400] = {.lex_state = 197, .external_lex_state = 4},
  [9401] = {.lex_state = 197, .external_lex_state = 4},
  [9402] = {.lex_state = 197, .external_lex_state = 4},
  [9403] = {.lex_state = 197, .external_lex_state = 4},
  [9404] = {.lex_state = 197, .external_lex_state = 4},
  [9405] = {.lex_state = 197, .external_lex_state = 4},
  [9406] = {.lex_state = 197, .external_lex_state = 4},
  [9407] = {.lex_state = 197, .external_lex_state = 4},
  [9408] = {.lex_state = 197, .external_lex_state = 4},
  [9409] = {.lex_state = 197, .external_lex_state = 4},
  [9410] = {.lex_state = 173, .external_lex_state = 2},
  [9411] = {.lex_state = 197, .external_lex_state = 4},
  [9412] = {.lex_state = 197, .external_lex_state = 4},
  [9413] = {.lex_state = 197, .external_lex_state = 4},
  [9414] = {.lex_state = 197, .external_lex_state = 4},
  [9415] = {.lex_state = 197, .external_lex_state = 4},
  [9416] = {.lex_state = 197, .external_lex_state = 4},
  [9417] = {.lex_state = 197, .external_lex_state = 4},
  [9418] = {.lex_state = 197, .external_lex_state = 4},
  [9419] = {.lex_state = 197, .external_lex_state = 4},
  [9420] = {.lex_state = 194, .external_lex_state = 4},
  [9421] = {.lex_state = 194, .external_lex_state = 4},
  [9422] = {.lex_state = 194, .external_lex_state = 4},
  [9423] = {.lex_state = 194, .external_lex_state = 4},
  [9424] = {.lex_state = 194, .external_lex_state = 4},
  [9425] = {.lex_state = 194, .external_lex_state = 4},
  [9426] = {.lex_state = 529, .external_lex_state = 2},
  [9427] = {.lex_state = 194, .external_lex_state = 4},
  [9428] = {.lex_state = 194, .external_lex_state = 4},
  [9429] = {.lex_state = 174, .external_lex_state = 2},
  [9430] = {.lex_state = 194, .external_lex_state = 4},
  [9431] = {.lex_state = 194, .external_lex_state = 4},
  [9432] = {.lex_state = 194, .external_lex_state = 4},
  [9433] = {.lex_state = 194, .external_lex_state = 4},
  [9434] = {.lex_state = 194, .external_lex_state = 4},
  [9435] = {.lex_state = 194, .external_lex_state = 4},
  [9436] = {.lex_state = 194, .external_lex_state = 4},
  [9437] = {.lex_state = 194, .external_lex_state = 4},
  [9438] = {.lex_state = 194, .external_lex_state = 4},
  [9439] = {.lex_state = 194, .external_lex_state = 4},
  [9440] = {.lex_state = 194, .external_lex_state = 4},
  [9441] = {.lex_state = 194, .external_lex_state = 4},
  [9442] = {.lex_state = 194, .external_lex_state = 4},
  [9443] = {.lex_state = 194, .external_lex_state = 4},
  [9444] = {.lex_state = 194, .external_lex_state = 4},
  [9445] = {.lex_state = 194, .external_lex_state = 4},
  [9446] = {.lex_state = 194, .external_lex_state = 4},
  [9447] = {.lex_state = 194, .external_lex_state = 4},
  [9448] = {.lex_state = 194, .external_lex_state = 4},
  [9449] = {.lex_state = 194, .external_lex_state = 4},
  [9450] = {.lex_state = 194, .external_lex_state = 4},
  [9451] = {.lex_state = 194, .external_lex_state = 4},
  [9452] = {.lex_state = 194, .external_lex_state = 4},
  [9453] = {.lex_state = 194, .external_lex_state = 4},
  [9454] = {.lex_state = 194, .external_lex_state = 4},
  [9455] = {.lex_state = 194, .external_lex_state = 4},
  [9456] = {.lex_state = 194, .external_lex_state = 4},
  [9457] = {.lex_state = 194, .external_lex_state = 4},
  [9458] = {.lex_state = 194, .external_lex_state = 4},
  [9459] = {.lex_state = 194, .external_lex_state = 4},
  [9460] = {.lex_state = 194, .external_lex_state = 4},
  [9461] = {.lex_state = 194, .external_lex_state = 4},
  [9462] = {.lex_state = 194, .external_lex_state = 4},
  [9463] = {.lex_state = 194, .external_lex_state = 4},
  [9464] = {.lex_state = 194, .external_lex_state = 4},
  [9465] = {.lex_state = 194, .external_lex_state = 4},
  [9466] = {.lex_state = 194, .external_lex_state = 4},
  [9467] = {.lex_state = 194, .external_lex_state = 4},
  [9468] = {.lex_state = 194, .external_lex_state = 4},
  [9469] = {.lex_state = 194, .external_lex_state = 4},
  [9470] = {.lex_state = 194, .external_lex_state = 4},
  [9471] = {.lex_state = 194, .external_lex_state = 4},
  [9472] = {.lex_state = 194, .external_lex_state = 4},
  [9473] = {.lex_state = 194, .external_lex_state = 4},
  [9474] = {.lex_state = 194, .external_lex_state = 4},
  [9475] = {.lex_state = 338, .external_lex_state = 2},
  [9476] = {.lex_state = 194, .external_lex_state = 4},
  [9477] = {.lex_state = 200, .external_lex_state = 2},
  [9478] = {.lex_state = 200, .external_lex_state = 2},
  [9479] = {.lex_state = 200, .external_lex_state = 2},
  [9480] = {.lex_state = 200, .external_lex_state = 2},
  [9481] = {.lex_state = 200, .external_lex_state = 2},
  [9482] = {.lex_state = 200, .external_lex_state = 2},
  [9483] = {.lex_state = 200, .external_lex_state = 2},
  [9484] = {.lex_state = 200, .external_lex_state = 2},
  [9485] = {.lex_state = 200, .external_lex_state = 2},
  [9486] = {.lex_state = 200, .external_lex_state = 2},
  [9487] = {.lex_state = 200, .external_lex_state = 2},
  [9488] = {.lex_state = 200, .external_lex_state = 2},
  [9489] = {.lex_state = 200, .external_lex_state = 2},
  [9490] = {.lex_state = 200, .external_lex_state = 2},
  [9491] = {.lex_state = 200, .external_lex_state = 2},
  [9492] = {.lex_state = 200, .external_lex_state = 2},
  [9493] = {.lex_state = 200, .external_lex_state = 2},
  [9494] = {.lex_state = 200, .external_lex_state = 2},
  [9495] = {.lex_state = 200, .external_lex_state = 2},
  [9496] = {.lex_state = 200, .external_lex_state = 2},
  [9497] = {.lex_state = 200, .external_lex_state = 2},
  [9498] = {.lex_state = 200, .external_lex_state = 2},
  [9499] = {.lex_state = 200, .external_lex_state = 2},
  [9500] = {.lex_state = 200, .external_lex_state = 2},
  [9501] = {.lex_state = 200, .external_lex_state = 2},
  [9502] = {.lex_state = 200, .external_lex_state = 2},
  [9503] = {.lex_state = 200, .external_lex_state = 2},
  [9504] = {.lex_state = 200, .external_lex_state = 2},
  [9505] = {.lex_state = 200, .external_lex_state = 2},
  [9506] = {.lex_state = 200, .external_lex_state = 2},
  [9507] = {.lex_state = 200, .external_lex_state = 2},
  [9508] = {.lex_state = 200, .external_lex_state = 2},
  [9509] = {.lex_state = 200, .external_lex_state = 2},
  [9510] = {.lex_state = 200, .external_lex_state = 2},
  [9511] = {.lex_state = 210, .external_lex_state = 8},
  [9512] = {.lex_state = 200, .external_lex_state = 2},
  [9513] = {.lex_state = 200, .external_lex_state = 2},
  [9514] = {.lex_state = 200, .external_lex_state = 2},
  [9515] = {.lex_state = 200, .external_lex_state = 2},
  [9516] = {.lex_state = 200, .external_lex_state = 2},
  [9517] = {.lex_state = 200, .external_lex_state = 2},
  [9518] = {.lex_state = 200, .external_lex_state = 2},
  [9519] = {.lex_state = 200, .external_lex_state = 2},
  [9520] = {.lex_state = 200, .external_lex_state = 2},
  [9521] = {.lex_state = 200, .external_lex_state = 2},
  [9522] = {.lex_state = 200, .external_lex_state = 2},
  [9523] = {.lex_state = 200, .external_lex_state = 2},
  [9524] = {.lex_state = 200, .external_lex_state = 2},
  [9525] = {.lex_state = 200, .external_lex_state = 2},
  [9526] = {.lex_state = 200, .external_lex_state = 2},
  [9527] = {.lex_state = 200, .external_lex_state = 2},
  [9528] = {.lex_state = 200, .external_lex_state = 2},
  [9529] = {.lex_state = 200, .external_lex_state = 2},
  [9530] = {.lex_state = 200, .external_lex_state = 2},
  [9531] = {.lex_state = 200, .external_lex_state = 2},
  [9532] = {.lex_state = 200, .external_lex_state = 2},
  [9533] = {.lex_state = 200, .external_lex_state = 2},
  [9534] = {.lex_state = 200, .external_lex_state = 2},
  [9535] = {.lex_state = 200, .external_lex_state = 2},
  [9536] = {.lex_state = 200, .external_lex_state = 2},
  [9537] = {.lex_state = 200, .external_lex_state = 2},
  [9538] = {.lex_state = 200, .external_lex_state = 2},
  [9539] = {.lex_state = 200, .external_lex_state = 2},
  [9540] = {.lex_state = 200, .external_lex_state = 2},
  [9541] = {.lex_state = 200, .external_lex_state = 2},
  [9542] = {.lex_state = 200, .external_lex_state = 2},
  [9543] = {.lex_state = 200, .external_lex_state = 2},
  [9544] = {.lex_state = 200, .external_lex_state = 2},
  [9545] = {.lex_state = 200, .external_lex_state = 2},
  [9546] = {.lex_state = 200, .external_lex_state = 2},
  [9547] = {.lex_state = 210, .external_lex_state = 8},
  [9548] = {.lex_state = 200, .external_lex_state = 2},
  [9549] = {.lex_state = 212, .external_lex_state = 6},
  [9550] = {.lex_state = 210, .external_lex_state = 6},
  [9551] = {.lex_state = 210, .external_lex_state = 6},
  [9552] = {.lex_state = 210, .external_lex_state = 6},
  [9553] = {.lex_state = 210, .external_lex_state = 6},
  [9554] = {.lex_state = 197, .external_lex_state = 2},
  [9555] = {.lex_state = 210, .external_lex_state = 6},
  [9556] = {.lex_state = 210, .external_lex_state = 6},
  [9557] = {.lex_state = 210, .external_lex_state = 6},
  [9558] = {.lex_state = 210, .external_lex_state = 6},
  [9559] = {.lex_state = 210, .external_lex_state = 6},
  [9560] = {.lex_state = 210, .external_lex_state = 6},
  [9561] = {.lex_state = 210, .external_lex_state = 6},
  [9562] = {.lex_state = 210, .external_lex_state = 6},
  [9563] = {.lex_state = 210, .external_lex_state = 6},
  [9564] = {.lex_state = 210, .external_lex_state = 6},
  [9565] = {.lex_state = 194, .external_lex_state = 7},
  [9566] = {.lex_state = 210, .external_lex_state = 6},
  [9567] = {.lex_state = 197, .external_lex_state = 2},
  [9568] = {.lex_state = 194, .external_lex_state = 2},
  [9569] = {.lex_state = 210, .external_lex_state = 6},
  [9570] = {.lex_state = 210, .external_lex_state = 6},
  [9571] = {.lex_state = 210, .external_lex_state = 6},
  [9572] = {.lex_state = 210, .external_lex_state = 6},
  [9573] = {.lex_state = 210, .external_lex_state = 6},
  [9574] = {.lex_state = 210, .external_lex_state = 6},
  [9575] = {.lex_state = 210, .external_lex_state = 6},
  [9576] = {.lex_state = 210, .external_lex_state = 6},
  [9577] = {.lex_state = 337, .external_lex_state = 2},
  [9578] = {.lex_state = 210, .external_lex_state = 6},
  [9579] = {.lex_state = 210, .external_lex_state = 6},
  [9580] = {.lex_state = 210, .external_lex_state = 6},
  [9581] = {.lex_state = 210, .external_lex_state = 6},
  [9582] = {.lex_state = 210, .external_lex_state = 6},
  [9583] = {.lex_state = 210, .external_lex_state = 6},
  [9584] = {.lex_state = 210, .external_lex_state = 6},
  [9585] = {.lex_state = 210, .external_lex_state = 6},
  [9586] = {.lex_state = 210, .external_lex_state = 6},
  [9587] = {.lex_state = 194, .external_lex_state = 7},
  [9588] = {.lex_state = 210, .external_lex_state = 6},
  [9589] = {.lex_state = 210, .external_lex_state = 6},
  [9590] = {.lex_state = 210, .external_lex_state = 6},
  [9591] = {.lex_state = 210, .external_lex_state = 6},
  [9592] = {.lex_state = 210, .external_lex_state = 6},
  [9593] = {.lex_state = 210, .external_lex_state = 6},
  [9594] = {.lex_state = 210, .external_lex_state = 6},
  [9595] = {.lex_state = 210, .external_lex_state = 6},
  [9596] = {.lex_state = 210, .external_lex_state = 6},
  [9597] = {.lex_state = 210, .external_lex_state = 2},
  [9598] = {.lex_state = 197, .external_lex_state = 2},
  [9599] = {.lex_state = 197, .external_lex_state = 2},
  [9600] = {.lex_state = 197, .external_lex_state = 2},
  [9601] = {.lex_state = 194, .external_lex_state = 2},
  [9602] = {.lex_state = 194, .external_lex_state = 2},
  [9603] = {.lex_state = 194, .external_lex_state = 2},
  [9604] = {.lex_state = 194, .external_lex_state = 2},
  [9605] = {.lex_state = 197, .external_lex_state = 2},
  [9606] = {.lex_state = 197, .external_lex_state = 2},
  [9607] = {.lex_state = 197, .external_lex_state = 2},
  [9608] = {.lex_state = 197, .external_lex_state = 2},
  [9609] = {.lex_state = 200, .external_lex_state = 2},
  [9610] = {.lex_state = 197, .external_lex_state = 2},
  [9611] = {.lex_state = 210, .external_lex_state = 2},
  [9612] = {.lex_state = 197, .external_lex_state = 2},
  [9613] = {.lex_state = 194, .external_lex_state = 2},
  [9614] = {.lex_state = 211, .external_lex_state = 2},
  [9615] = {.lex_state = 210, .external_lex_state = 2},
  [9616] = {.lex_state = 210, .external_lex_state = 2},
  [9617] = {.lex_state = 197, .external_lex_state = 2},
  [9618] = {.lex_state = 194, .external_lex_state = 2},
  [9619] = {.lex_state = 194, .external_lex_state = 2},
  [9620] = {.lex_state = 194, .external_lex_state = 2},
  [9621] = {.lex_state = 194, .external_lex_state = 2},
  [9622] = {.lex_state = 194, .external_lex_state = 2},
  [9623] = {.lex_state = 194, .external_lex_state = 2},
  [9624] = {.lex_state = 194, .external_lex_state = 2},
  [9625] = {.lex_state = 194, .external_lex_state = 2},
  [9626] = {.lex_state = 194, .external_lex_state = 2},
  [9627] = {.lex_state = 194, .external_lex_state = 2},
  [9628] = {.lex_state = 194, .external_lex_state = 2},
  [9629] = {.lex_state = 194, .external_lex_state = 2},
  [9630] = {.lex_state = 194, .external_lex_state = 2},
  [9631] = {.lex_state = 194, .external_lex_state = 2},
  [9632] = {.lex_state = 194, .external_lex_state = 2},
  [9633] = {.lex_state = 194, .external_lex_state = 2},
  [9634] = {.lex_state = 194, .external_lex_state = 2},
  [9635] = {.lex_state = 194, .external_lex_state = 2},
  [9636] = {.lex_state = 194, .external_lex_state = 2},
  [9637] = {.lex_state = 194, .external_lex_state = 2},
  [9638] = {.lex_state = 194, .external_lex_state = 2},
  [9639] = {.lex_state = 194, .external_lex_state = 2},
  [9640] = {.lex_state = 194, .external_lex_state = 2},
  [9641] = {.lex_state = 194, .external_lex_state = 2},
  [9642] = {.lex_state = 194, .external_lex_state = 2},
  [9643] = {.lex_state = 194, .external_lex_state = 2},
  [9644] = {.lex_state = 194, .external_lex_state = 2},
  [9645] = {.lex_state = 194, .external_lex_state = 2},
  [9646] = {.lex_state = 194, .external_lex_state = 2},
  [9647] = {.lex_state = 194, .external_lex_state = 2},
  [9648] = {.lex_state = 194, .external_lex_state = 2},
  [9649] = {.lex_state = 194, .external_lex_state = 2},
  [9650] = {.lex_state = 194, .external_lex_state = 2},
  [9651] = {.lex_state = 194, .external_lex_state = 2},
  [9652] = {.lex_state = 194, .external_lex_state = 2},
  [9653] = {.lex_state = 194, .external_lex_state = 2},
  [9654] = {.lex_state = 194, .external_lex_state = 2},
  [9655] = {.lex_state = 194, .external_lex_state = 2},
  [9656] = {.lex_state = 194, .external_lex_state = 2},
  [9657] = {.lex_state = 348, .external_lex_state = 2},
  [9658] = {.lex_state = 348, .external_lex_state = 2},
  [9659] = {.lex_state = 348, .external_lex_state = 2},
  [9660] = {.lex_state = 220, .external_lex_state = 4},
  [9661] = {.lex_state = 217, .external_lex_state = 4},
  [9662] = {.lex_state = 351, .external_lex_state = 4},
  [9663] = {.lex_state = 213, .external_lex_state = 4},
  [9664] = {.lex_state = 213, .external_lex_state = 4},
  [9665] = {.lex_state = 215, .external_lex_state = 4},
  [9666] = {.lex_state = 216, .external_lex_state = 4},
  [9667] = {.lex_state = 218, .external_lex_state = 4},
  [9668] = {.lex_state = 343, .external_lex_state = 2},
  [9669] = {.lex_state = 352, .external_lex_state = 4},
  [9670] = {.lex_state = 343, .external_lex_state = 2},
  [9671] = {.lex_state = 343, .external_lex_state = 2},
  [9672] = {.lex_state = 343, .external_lex_state = 2},
  [9673] = {.lex_state = 343, .external_lex_state = 2},
  [9674] = {.lex_state = 343, .external_lex_state = 2},
  [9675] = {.lex_state = 343, .external_lex_state = 2},
  [9676] = {.lex_state = 343, .external_lex_state = 2},
  [9677] = {.lex_state = 343, .external_lex_state = 2},
  [9678] = {.lex_state = 343, .external_lex_state = 2},
  [9679] = {.lex_state = 343, .external_lex_state = 2},
  [9680] = {.lex_state = 343, .external_lex_state = 2},
  [9681] = {.lex_state = 343, .external_lex_state = 2},
  [9682] = {.lex_state = 343, .external_lex_state = 2},
  [9683] = {.lex_state = 343, .external_lex_state = 2},
  [9684] = {.lex_state = 343, .external_lex_state = 2},
  [9685] = {.lex_state = 343, .external_lex_state = 2},
  [9686] = {.lex_state = 343, .external_lex_state = 2},
  [9687] = {.lex_state = 219, .external_lex_state = 4},
  [9688] = {.lex_state = 343, .external_lex_state = 2},
  [9689] = {.lex_state = 343, .external_lex_state = 2},
  [9690] = {.lex_state = 343, .external_lex_state = 2},
  [9691] = {.lex_state = 343, .external_lex_state = 2},
  [9692] = {.lex_state = 343, .external_lex_state = 2},
  [9693] = {.lex_state = 531, .external_lex_state = 4},
  [9694] = {.lex_state = 343, .external_lex_state = 2},
  [9695] = {.lex_state = 343, .external_lex_state = 2},
  [9696] = {.lex_state = 343, .external_lex_state = 2},
  [9697] = {.lex_state = 343, .external_lex_state = 2},
  [9698] = {.lex_state = 343, .external_lex_state = 2},
  [9699] = {.lex_state = 343, .external_lex_state = 2},
  [9700] = {.lex_state = 343, .external_lex_state = 2},
  [9701] = {.lex_state = 343, .external_lex_state = 2},
  [9702] = {.lex_state = 343, .external_lex_state = 2},
  [9703] = {.lex_state = 343, .external_lex_state = 2},
  [9704] = {.lex_state = 343, .external_lex_state = 2},
  [9705] = {.lex_state = 343, .external_lex_state = 2},
  [9706] = {.lex_state = 343, .external_lex_state = 2},
  [9707] = {.lex_state = 343, .external_lex_state = 2},
  [9708] = {.lex_state = 343, .external_lex_state = 2},
  [9709] = {.lex_state = 343, .external_lex_state = 2},
  [9710] = {.lex_state = 343, .external_lex_state = 2},
  [9711] = {.lex_state = 343, .external_lex_state = 2},
  [9712] = {.lex_state = 343, .external_lex_state = 2},
  [9713] = {.lex_state = 343, .external_lex_state = 2},
  [9714] = {.lex_state = 343, .external_lex_state = 2},
  [9715] = {.lex_state = 343, .external_lex_state = 2},
  [9716] = {.lex_state = 343, .external_lex_state = 2},
  [9717] = {.lex_state = 343, .external_lex_state = 2},
  [9718] = {.lex_state = 343, .external_lex_state = 2},
  [9719] = {.lex_state = 343, .external_lex_state = 2},
  [9720] = {.lex_state = 343, .external_lex_state = 2},
  [9721] = {.lex_state = 343, .external_lex_state = 2},
  [9722] = {.lex_state = 343, .external_lex_state = 2},
  [9723] = {.lex_state = 343, .external_lex_state = 2},
  [9724] = {.lex_state = 343, .external_lex_state = 2},
  [9725] = {.lex_state = 343, .external_lex_state = 2},
  [9726] = {.lex_state = 343, .external_lex_state = 2},
  [9727] = {.lex_state = 343, .external_lex_state = 2},
  [9728] = {.lex_state = 343, .external_lex_state = 2},
  [9729] = {.lex_state = 343, .external_lex_state = 2},
  [9730] = {.lex_state = 343, .external_lex_state = 2},
  [9731] = {.lex_state = 343, .external_lex_state = 2},
  [9732] = {.lex_state = 343, .external_lex_state = 2},
  [9733] = {.lex_state = 343, .external_lex_state = 2},
  [9734] = {.lex_state = 343, .external_lex_state = 2},
  [9735] = {.lex_state = 343, .external_lex_state = 2},
  [9736] = {.lex_state = 343, .external_lex_state = 2},
  [9737] = {.lex_state = 343, .external_lex_state = 2},
  [9738] = {.lex_state = 343, .external_lex_state = 2},
  [9739] = {.lex_state = 343, .external_lex_state = 2},
  [9740] = {.lex_state = 343, .external_lex_state = 2},
  [9741] = {.lex_state = 343, .external_lex_state = 2},
  [9742] = {.lex_state = 343, .external_lex_state = 2},
  [9743] = {.lex_state = 343, .external_lex_state = 2},
  [9744] = {.lex_state = 343, .external_lex_state = 2},
  [9745] = {.lex_state = 343, .external_lex_state = 2},
  [9746] = {.lex_state = 343, .external_lex_state = 2},
  [9747] = {.lex_state = 343, .external_lex_state = 2},
  [9748] = {.lex_state = 343, .external_lex_state = 2},
  [9749] = {.lex_state = 343, .external_lex_state = 2},
  [9750] = {.lex_state = 343, .external_lex_state = 2},
  [9751] = {.lex_state = 343, .external_lex_state = 2},
  [9752] = {.lex_state = 343, .external_lex_state = 2},
  [9753] = {.lex_state = 343, .external_lex_state = 2},
  [9754] = {.lex_state = 343, .external_lex_state = 2},
  [9755] = {.lex_state = 343, .external_lex_state = 2},
  [9756] = {.lex_state = 343, .external_lex_state = 2},
  [9757] = {.lex_state = 343, .external_lex_state = 2},
  [9758] = {.lex_state = 343, .external_lex_state = 2},
  [9759] = {.lex_state = 343, .external_lex_state = 2},
  [9760] = {.lex_state = 343, .external_lex_state = 2},
  [9761] = {.lex_state = 343, .external_lex_state = 2},
  [9762] = {.lex_state = 343, .external_lex_state = 2},
  [9763] = {.lex_state = 343, .external_lex_state = 2},
  [9764] = {.lex_state = 343, .external_lex_state = 2},
  [9765] = {.lex_state = 343, .external_lex_state = 2},
  [9766] = {.lex_state = 343, .external_lex_state = 2},
  [9767] = {.lex_state = 343, .external_lex_state = 2},
  [9768] = {.lex_state = 343, .external_lex_state = 2},
  [9769] = {.lex_state = 343, .external_lex_state = 2},
  [9770] = {.lex_state = 343, .external_lex_state = 2},
  [9771] = {.lex_state = 343, .external_lex_state = 2},
  [9772] = {.lex_state = 343, .external_lex_state = 2},
  [9773] = {.lex_state = 343, .external_lex_state = 2},
  [9774] = {.lex_state = 343, .external_lex_state = 2},
  [9775] = {.lex_state = 343, .external_lex_state = 2},
  [9776] = {.lex_state = 343, .external_lex_state = 2},
  [9777] = {.lex_state = 343, .external_lex_state = 2},
  [9778] = {.lex_state = 343, .external_lex_state = 2},
  [9779] = {.lex_state = 343, .external_lex_state = 2},
  [9780] = {.lex_state = 343, .external_lex_state = 2},
  [9781] = {.lex_state = 343, .external_lex_state = 2},
  [9782] = {.lex_state = 343, .external_lex_state = 2},
  [9783] = {.lex_state = 343, .external_lex_state = 2},
  [9784] = {.lex_state = 343, .external_lex_state = 2},
  [9785] = {.lex_state = 343, .external_lex_state = 2},
  [9786] = {.lex_state = 343, .external_lex_state = 2},
  [9787] = {.lex_state = 343, .external_lex_state = 2},
  [9788] = {.lex_state = 343, .external_lex_state = 2},
  [9789] = {.lex_state = 343, .external_lex_state = 2},
  [9790] = {.lex_state = 343, .external_lex_state = 2},
  [9791] = {.lex_state = 343, .external_lex_state = 2},
  [9792] = {.lex_state = 343, .external_lex_state = 2},
  [9793] = {.lex_state = 343, .external_lex_state = 2},
  [9794] = {.lex_state = 343, .external_lex_state = 2},
  [9795] = {.lex_state = 343, .external_lex_state = 2},
  [9796] = {.lex_state = 343, .external_lex_state = 2},
  [9797] = {.lex_state = 343, .external_lex_state = 2},
  [9798] = {.lex_state = 343, .external_lex_state = 2},
  [9799] = {.lex_state = 343, .external_lex_state = 2},
  [9800] = {.lex_state = 343, .external_lex_state = 2},
  [9801] = {.lex_state = 343, .external_lex_state = 2},
  [9802] = {.lex_state = 343, .external_lex_state = 2},
  [9803] = {.lex_state = 343, .external_lex_state = 2},
  [9804] = {.lex_state = 343, .external_lex_state = 2},
  [9805] = {.lex_state = 343, .external_lex_state = 2},
  [9806] = {.lex_state = 343, .external_lex_state = 2},
  [9807] = {.lex_state = 343, .external_lex_state = 2},
  [9808] = {.lex_state = 343, .external_lex_state = 2},
  [9809] = {.lex_state = 343, .external_lex_state = 2},
  [9810] = {.lex_state = 33, .external_lex_state = 4},
  [9811] = {.lex_state = 30, .external_lex_state = 4},
  [9812] = {.lex_state = 314, .external_lex_state = 4},
  [9813] = {.lex_state = 31, .external_lex_state = 4},
  [9814] = {.lex_state = 29, .external_lex_state = 4},
  [9815] = {.lex_state = 28, .external_lex_state = 4},
  [9816] = {.lex_state = 32, .external_lex_state = 4},
  [9817] = {.lex_state = 315, .external_lex_state = 4},
  [9818] = {.lex_state = 504, .external_lex_state = 4},
  [9819] = {.lex_state = 533, .external_lex_state = 9},
  [9820] = {.lex_state = 534, .external_lex_state = 10},
  [9821] = {.lex_state = 534, .external_lex_state = 10},
  [9822] = {.lex_state = 534, .external_lex_state = 9},
  [9823] = {.lex_state = 534, .external_lex_state = 10},
  [9824] = {.lex_state = 534, .external_lex_state = 10},
  [9825] = {.lex_state = 544, .external_lex_state = 10},
  [9826] = {.lex_state = 544, .external_lex_state = 9},
  [9827] = {.lex_state = 544, .external_lex_state = 10},
  [9828] = {.lex_state = 544, .external_lex_state = 10},
  [9829] = {.lex_state = 533, .external_lex_state = 10},
  [9830] = {.lex_state = 534, .external_lex_state = 10},
  [9831] = {.lex_state = 172, .external_lex_state = 2},
  [9832] = {.lex_state = 534, .external_lex_state = 10},
  [9833] = {.lex_state = 534, .external_lex_state = 10},
  [9834] = {.lex_state = 534, .external_lex_state = 10},
  [9835] = {.lex_state = 534, .external_lex_state = 10},
  [9836] = {.lex_state = 533, .external_lex_state = 10},
  [9837] = {.lex_state = 534, .external_lex_state = 10},
  [9838] = {.lex_state = 534, .external_lex_state = 10},
  [9839] = {.lex_state = 533, .external_lex_state = 10},
  [9840] = {.lex_state = 533, .external_lex_state = 10},
  [9841] = {.lex_state = 533, .external_lex_state = 10},
  [9842] = {.lex_state = 534, .external_lex_state = 10},
  [9843] = {.lex_state = 544, .external_lex_state = 10},
  [9844] = {.lex_state = 534, .external_lex_state = 10},
  [9845] = {.lex_state = 534, .external_lex_state = 10},
  [9846] = {.lex_state = 534, .external_lex_state = 10},
  [9847] = {.lex_state = 175, .external_lex_state = 2},
  [9848] = {.lex_state = 534, .external_lex_state = 10},
  [9849] = {.lex_state = 535, .external_lex_state = 10},
  [9850] = {.lex_state = 533, .external_lex_state = 10},
  [9851] = {.lex_state = 533, .external_lex_state = 10},
  [9852] = {.lex_state = 355, .external_lex_state = 4},
  [9853] = {.lex_state = 355, .external_lex_state = 4},
  [9854] = {.lex_state = 534, .external_lex_state = 10},
  [9855] = {.lex_state = 534, .external_lex_state = 10},
  [9856] = {.lex_state = 355, .external_lex_state = 4},
  [9857] = {.lex_state = 170, .external_lex_state = 2},
  [9858] = {.lex_state = 544, .external_lex_state = 10},
  [9859] = {.lex_state = 355, .external_lex_state = 4},
  [9860] = {.lex_state = 355, .external_lex_state = 4},
  [9861] = {.lex_state = 541, .external_lex_state = 10},
  [9862] = {.lex_state = 355, .external_lex_state = 4},
  [9863] = {.lex_state = 355, .external_lex_state = 4},
  [9864] = {.lex_state = 534, .external_lex_state = 10},
  [9865] = {.lex_state = 534, .external_lex_state = 10},
  [9866] = {.lex_state = 534, .external_lex_state = 10},
  [9867] = {.lex_state = 355, .external_lex_state = 4},
  [9868] = {.lex_state = 355, .external_lex_state = 4},
  [9869] = {.lex_state = 173, .external_lex_state = 2},
  [9870] = {.lex_state = 544, .external_lex_state = 10},
  [9871] = {.lex_state = 355, .external_lex_state = 4},
  [9872] = {.lex_state = 355, .external_lex_state = 4},
  [9873] = {.lex_state = 355, .external_lex_state = 4},
  [9874] = {.lex_state = 355, .external_lex_state = 4},
  [9875] = {.lex_state = 534, .external_lex_state = 10},
  [9876] = {.lex_state = 355, .external_lex_state = 4},
  [9877] = {.lex_state = 355, .external_lex_state = 4},
  [9878] = {.lex_state = 544, .external_lex_state = 10},
  [9879] = {.lex_state = 355, .external_lex_state = 4},
  [9880] = {.lex_state = 355, .external_lex_state = 4},
  [9881] = {.lex_state = 355, .external_lex_state = 4},
  [9882] = {.lex_state = 534, .external_lex_state = 10},
  [9883] = {.lex_state = 541, .external_lex_state = 10},
  [9884] = {.lex_state = 534, .external_lex_state = 10},
  [9885] = {.lex_state = 544, .external_lex_state = 10},
  [9886] = {.lex_state = 355, .external_lex_state = 4},
  [9887] = {.lex_state = 355, .external_lex_state = 4},
  [9888] = {.lex_state = 534, .external_lex_state = 10},
  [9889] = {.lex_state = 534, .external_lex_state = 10},
  [9890] = {.lex_state = 544, .external_lex_state = 10},
  [9891] = {.lex_state = 534, .external_lex_state = 10},
  [9892] = {.lex_state = 355, .external_lex_state = 4},
  [9893] = {.lex_state = 355, .external_lex_state = 4},
  [9894] = {.lex_state = 355, .external_lex_state = 4},
  [9895] = {.lex_state = 534, .external_lex_state = 10},
  [9896] = {.lex_state = 534, .external_lex_state = 10},
  [9897] = {.lex_state = 534, .external_lex_state = 10},
  [9898] = {.lex_state = 534, .external_lex_state = 10},
  [9899] = {.lex_state = 337, .external_lex_state = 2},
  [9900] = {.lex_state = 355, .external_lex_state = 4},
  [9901] = {.lex_state = 355, .external_lex_state = 4},
  [9902] = {.lex_state = 534, .external_lex_state = 10},
  [9903] = {.lex_state = 355, .external_lex_state = 4},
  [9904] = {.lex_state = 534, .external_lex_state = 10},
  [9905] = {.lex_state = 534, .external_lex_state = 10},
  [9906] = {.lex_state = 534, .external_lex_state = 10},
  [9907] = {.lex_state = 534, .external_lex_state = 10},
  [9908] = {.lex_state = 355, .external_lex_state = 4},
  [9909] = {.lex_state = 534, .external_lex_state = 10},
  [9910] = {.lex_state = 355, .external_lex_state = 4},
  [9911] = {.lex_state = 355, .external_lex_state = 4},
  [9912] = {.lex_state = 534, .external_lex_state = 10},
  [9913] = {.lex_state = 534, .external_lex_state = 10},
  [9914] = {.lex_state = 541, .external_lex_state = 9},
  [9915] = {.lex_state = 541, .external_lex_state = 10},
  [9916] = {.lex_state = 534, .external_lex_state = 10},
  [9917] = {.lex_state = 544, .external_lex_state = 10},
  [9918] = {.lex_state = 534, .external_lex_state = 10},
  [9919] = {.lex_state = 355, .external_lex_state = 4},
  [9920] = {.lex_state = 534, .external_lex_state = 10},
  [9921] = {.lex_state = 355, .external_lex_state = 4},
  [9922] = {.lex_state = 355, .external_lex_state = 4},
  [9923] = {.lex_state = 534, .external_lex_state = 10},
  [9924] = {.lex_state = 355, .external_lex_state = 4},
  [9925] = {.lex_state = 534, .external_lex_state = 10},
  [9926] = {.lex_state = 355, .external_lex_state = 4},
  [9927] = {.lex_state = 534, .external_lex_state = 10},
  [9928] = {.lex_state = 544, .external_lex_state = 10},
  [9929] = {.lex_state = 544, .external_lex_state = 10},
  [9930] = {.lex_state = 355, .external_lex_state = 4},
  [9931] = {.lex_state = 534, .external_lex_state = 10},
  [9932] = {.lex_state = 355, .external_lex_state = 4},
  [9933] = {.lex_state = 172, .external_lex_state = 2},
  [9934] = {.lex_state = 355, .external_lex_state = 4},
  [9935] = {.lex_state = 355, .external_lex_state = 4},
  [9936] = {.lex_state = 534, .external_lex_state = 10},
  [9937] = {.lex_state = 355, .external_lex_state = 4},
  [9938] = {.lex_state = 534, .external_lex_state = 10},
  [9939] = {.lex_state = 534, .external_lex_state = 10},
  [9940] = {.lex_state = 355, .external_lex_state = 4},
  [9941] = {.lex_state = 355, .external_lex_state = 4},
  [9942] = {.lex_state = 355, .external_lex_state = 4},
  [9943] = {.lex_state = 355, .external_lex_state = 4},
  [9944] = {.lex_state = 172, .external_lex_state = 2},
  [9945] = {.lex_state = 544, .external_lex_state = 10},
  [9946] = {.lex_state = 355, .external_lex_state = 4},
  [9947] = {.lex_state = 534, .external_lex_state = 10},
  [9948] = {.lex_state = 534, .external_lex_state = 10},
  [9949] = {.lex_state = 172, .external_lex_state = 2},
  [9950] = {.lex_state = 355, .external_lex_state = 4},
  [9951] = {.lex_state = 534, .external_lex_state = 10},
  [9952] = {.lex_state = 355, .external_lex_state = 4},
  [9953] = {.lex_state = 355, .external_lex_state = 4},
  [9954] = {.lex_state = 355, .external_lex_state = 4},
  [9955] = {.lex_state = 355, .external_lex_state = 4},
  [9956] = {.lex_state = 355, .external_lex_state = 4},
  [9957] = {.lex_state = 355, .external_lex_state = 4},
  [9958] = {.lex_state = 534, .external_lex_state = 10},
  [9959] = {.lex_state = 355, .external_lex_state = 4},
  [9960] = {.lex_state = 534, .external_lex_state = 10},
  [9961] = {.lex_state = 355, .external_lex_state = 4},
  [9962] = {.lex_state = 355, .external_lex_state = 4},
  [9963] = {.lex_state = 355, .external_lex_state = 4},
  [9964] = {.lex_state = 544, .external_lex_state = 10},
  [9965] = {.lex_state = 355, .external_lex_state = 4},
  [9966] = {.lex_state = 355, .external_lex_state = 4},
  [9967] = {.lex_state = 355, .external_lex_state = 4},
  [9968] = {.lex_state = 545, .external_lex_state = 10},
  [9969] = {.lex_state = 534, .external_lex_state = 10},
  [9970] = {.lex_state = 355, .external_lex_state = 4},
  [9971] = {.lex_state = 355, .external_lex_state = 4},
  [9972] = {.lex_state = 355, .external_lex_state = 4},
  [9973] = {.lex_state = 544, .external_lex_state = 10},
  [9974] = {.lex_state = 355, .external_lex_state = 4},
  [9975] = {.lex_state = 355, .external_lex_state = 4},
  [9976] = {.lex_state = 534, .external_lex_state = 10},
  [9977] = {.lex_state = 534, .external_lex_state = 10},
  [9978] = {.lex_state = 355, .external_lex_state = 4},
  [9979] = {.lex_state = 534, .external_lex_state = 10},
  [9980] = {.lex_state = 355, .external_lex_state = 4},
  [9981] = {.lex_state = 171, .external_lex_state = 2},
  [9982] = {.lex_state = 355, .external_lex_state = 4},
  [9983] = {.lex_state = 355, .external_lex_state = 4},
  [9984] = {.lex_state = 534, .external_lex_state = 10},
  [9985] = {.lex_state = 355, .external_lex_state = 4},
  [9986] = {.lex_state = 534, .external_lex_state = 10},
  [9987] = {.lex_state = 355, .external_lex_state = 4},
  [9988] = {.lex_state = 534, .external_lex_state = 10},
  [9989] = {.lex_state = 355, .external_lex_state = 4},
  [9990] = {.lex_state = 534, .external_lex_state = 10},
  [9991] = {.lex_state = 355, .external_lex_state = 4},
  [9992] = {.lex_state = 355, .external_lex_state = 4},
  [9993] = {.lex_state = 355, .external_lex_state = 4},
  [9994] = {.lex_state = 534, .external_lex_state = 10},
  [9995] = {.lex_state = 355, .external_lex_state = 4},
  [9996] = {.lex_state = 355, .external_lex_state = 4},
  [9997] = {.lex_state = 355, .external_lex_state = 4},
  [9998] = {.lex_state = 355, .external_lex_state = 4},
  [9999] = {.lex_state = 355, .external_lex_state = 4},
  [10000] = {.lex_state = 355, .external_lex_state = 4},
  [10001] = {.lex_state = 355, .external_lex_state = 4},
  [10002] = {.lex_state = 355, .external_lex_state = 4},
  [10003] = {.lex_state = 355, .external_lex_state = 4},
  [10004] = {.lex_state = 355, .external_lex_state = 4},
  [10005] = {.lex_state = 355, .external_lex_state = 4},
  [10006] = {.lex_state = 355, .external_lex_state = 4},
  [10007] = {.lex_state = 175, .external_lex_state = 2},
  [10008] = {.lex_state = 534, .external_lex_state = 10},
  [10009] = {.lex_state = 355, .external_lex_state = 4},
  [10010] = {.lex_state = 541, .external_lex_state = 10},
  [10011] = {.lex_state = 355, .external_lex_state = 4},
  [10012] = {.lex_state = 355, .external_lex_state = 4},
  [10013] = {.lex_state = 355, .external_lex_state = 4},
  [10014] = {.lex_state = 355, .external_lex_state = 4},
  [10015] = {.lex_state = 355, .external_lex_state = 4},
  [10016] = {.lex_state = 355, .external_lex_state = 4},
  [10017] = {.lex_state = 355, .external_lex_state = 4},
  [10018] = {.lex_state = 355, .external_lex_state = 4},
  [10019] = {.lex_state = 355, .external_lex_state = 4},
  [10020] = {.lex_state = 355, .external_lex_state = 4},
  [10021] = {.lex_state = 355, .external_lex_state = 4},
  [10022] = {.lex_state = 355, .external_lex_state = 4},
  [10023] = {.lex_state = 355, .external_lex_state = 4},
  [10024] = {.lex_state = 534, .external_lex_state = 10},
  [10025] = {.lex_state = 534, .external_lex_state = 10},
  [10026] = {.lex_state = 534, .external_lex_state = 10},
  [10027] = {.lex_state = 355, .external_lex_state = 4},
  [10028] = {.lex_state = 355, .external_lex_state = 4},
  [10029] = {.lex_state = 355, .external_lex_state = 4},
  [10030] = {.lex_state = 355, .external_lex_state = 4},
  [10031] = {.lex_state = 355, .external_lex_state = 4},
  [10032] = {.lex_state = 175, .external_lex_state = 2},
  [10033] = {.lex_state = 355, .external_lex_state = 4},
  [10034] = {.lex_state = 534, .external_lex_state = 10},
  [10035] = {.lex_state = 544, .external_lex_state = 10},
  [10036] = {.lex_state = 534, .external_lex_state = 10},
  [10037] = {.lex_state = 355, .external_lex_state = 4},
  [10038] = {.lex_state = 175, .external_lex_state = 2},
  [10039] = {.lex_state = 544, .external_lex_state = 10},
  [10040] = {.lex_state = 171, .external_lex_state = 2},
  [10041] = {.lex_state = 544, .external_lex_state = 10},
  [10042] = {.lex_state = 544, .external_lex_state = 10},
  [10043] = {.lex_state = 544, .external_lex_state = 10},
  [10044] = {.lex_state = 541, .external_lex_state = 10},
  [10045] = {.lex_state = 541, .external_lex_state = 10},
  [10046] = {.lex_state = 541, .external_lex_state = 10},
  [10047] = {.lex_state = 541, .external_lex_state = 10},
  [10048] = {.lex_state = 541, .external_lex_state = 10},
  [10049] = {.lex_state = 541, .external_lex_state = 10},
  [10050] = {.lex_state = 541, .external_lex_state = 10},
  [10051] = {.lex_state = 544, .external_lex_state = 10},
  [10052] = {.lex_state = 541, .external_lex_state = 10},
  [10053] = {.lex_state = 544, .external_lex_state = 10},
  [10054] = {.lex_state = 544, .external_lex_state = 10},
  [10055] = {.lex_state = 544, .external_lex_state = 10},
  [10056] = {.lex_state = 541, .external_lex_state = 10},
  [10057] = {.lex_state = 544, .external_lex_state = 10},
  [10058] = {.lex_state = 174, .external_lex_state = 2},
  [10059] = {.lex_state = 541, .external_lex_state = 10},
  [10060] = {.lex_state = 337, .external_lex_state = 2},
  [10061] = {.lex_state = 544, .external_lex_state = 10},
  [10062] = {.lex_state = 337, .external_lex_state = 2},
  [10063] = {.lex_state = 543, .external_lex_state = 10},
  [10064] = {.lex_state = 544, .external_lex_state = 10},
  [10065] = {.lex_state = 544, .external_lex_state = 10},
  [10066] = {.lex_state = 544, .external_lex_state = 10},
  [10067] = {.lex_state = 337, .external_lex_state = 2},
  [10068] = {.lex_state = 544, .external_lex_state = 10},
  [10069] = {.lex_state = 544, .external_lex_state = 10},
  [10070] = {.lex_state = 544, .external_lex_state = 10},
  [10071] = {.lex_state = 541, .external_lex_state = 10},
  [10072] = {.lex_state = 170, .external_lex_state = 2},
  [10073] = {.lex_state = 170, .external_lex_state = 2},
  [10074] = {.lex_state = 544, .external_lex_state = 10},
  [10075] = {.lex_state = 171, .external_lex_state = 2},
  [10076] = {.lex_state = 544, .external_lex_state = 10},
  [10077] = {.lex_state = 544, .external_lex_state = 10},
  [10078] = {.lex_state = 173, .external_lex_state = 2},
  [10079] = {.lex_state = 171, .external_lex_state = 2},
  [10080] = {.lex_state = 173, .external_lex_state = 2},
  [10081] = {.lex_state = 170, .external_lex_state = 2},
  [10082] = {.lex_state = 544, .external_lex_state = 10},
  [10083] = {.lex_state = 173, .external_lex_state = 2},
  [10084] = {.lex_state = 544, .external_lex_state = 10},
  [10085] = {.lex_state = 544, .external_lex_state = 10},
  [10086] = {.lex_state = 338, .external_lex_state = 2},
  [10087] = {.lex_state = 544, .external_lex_state = 10},
  [10088] = {.lex_state = 544, .external_lex_state = 10},
  [10089] = {.lex_state = 544, .external_lex_state = 10},
  [10090] = {.lex_state = 544, .external_lex_state = 10},
  [10091] = {.lex_state = 544, .external_lex_state = 10},
  [10092] = {.lex_state = 544, .external_lex_state = 10},
  [10093] = {.lex_state = 544, .external_lex_state = 10},
  [10094] = {.lex_state = 529, .external_lex_state = 2},
  [10095] = {.lex_state = 544, .external_lex_state = 10},
  [10096] = {.lex_state = 544, .external_lex_state = 10},
  [10097] = {.lex_state = 544, .external_lex_state = 10},
  [10098] = {.lex_state = 544, .external_lex_state = 10},
  [10099] = {.lex_state = 544, .external_lex_state = 10},
  [10100] = {.lex_state = 544, .external_lex_state = 10},
  [10101] = {.lex_state = 544, .external_lex_state = 10},
  [10102] = {.lex_state = 544, .external_lex_state = 10},
  [10103] = {.lex_state = 544, .external_lex_state = 10},
  [10104] = {.lex_state = 544, .external_lex_state = 10},
  [10105] = {.lex_state = 544, .external_lex_state = 10},
  [10106] = {.lex_state = 544, .external_lex_state = 10},
  [10107] = {.lex_state = 544, .external_lex_state = 10},
  [10108] = {.lex_state = 544, .external_lex_state = 10},
  [10109] = {.lex_state = 544, .external_lex_state = 10},
  [10110] = {.lex_state = 541, .external_lex_state = 10},
  [10111] = {.lex_state = 544, .external_lex_state = 10},
  [10112] = {.lex_state = 544, .external_lex_state = 10},
  [10113] = {.lex_state = 544, .external_lex_state = 10},
  [10114] = {.lex_state = 544, .external_lex_state = 10},
  [10115] = {.lex_state = 544, .external_lex_state = 10},
  [10116] = {.lex_state = 544, .external_lex_state = 10},
  [10117] = {.lex_state = 544, .external_lex_state = 10},
  [10118] = {.lex_state = 544, .external_lex_state = 10},
  [10119] = {.lex_state = 544, .external_lex_state = 10},
  [10120] = {.lex_state = 544, .external_lex_state = 10},
  [10121] = {.lex_state = 541, .external_lex_state = 10},
  [10122] = {.lex_state = 541, .external_lex_state = 10},
  [10123] = {.lex_state = 529, .external_lex_state = 2},
  [10124] = {.lex_state = 541, .external_lex_state = 10},
  [10125] = {.lex_state = 529, .external_lex_state = 2},
  [10126] = {.lex_state = 541, .external_lex_state = 10},
  [10127] = {.lex_state = 541, .external_lex_state = 10},
  [10128] = {.lex_state = 541, .external_lex_state = 10},
  [10129] = {.lex_state = 541, .external_lex_state = 10},
  [10130] = {.lex_state = 174, .external_lex_state = 2},
  [10131] = {.lex_state = 541, .external_lex_state = 10},
  [10132] = {.lex_state = 541, .external_lex_state = 10},
  [10133] = {.lex_state = 541, .external_lex_state = 10},
  [10134] = {.lex_state = 541, .external_lex_state = 10},
  [10135] = {.lex_state = 541, .external_lex_state = 10},
  [10136] = {.lex_state = 541, .external_lex_state = 10},
  [10137] = {.lex_state = 529, .external_lex_state = 2},
  [10138] = {.lex_state = 541, .external_lex_state = 10},
  [10139] = {.lex_state = 541, .external_lex_state = 10},
  [10140] = {.lex_state = 541, .external_lex_state = 10},
  [10141] = {.lex_state = 338, .external_lex_state = 2},
  [10142] = {.lex_state = 541, .external_lex_state = 10},
  [10143] = {.lex_state = 541, .external_lex_state = 10},
  [10144] = {.lex_state = 338, .external_lex_state = 2},
  [10145] = {.lex_state = 541, .external_lex_state = 10},
  [10146] = {.lex_state = 541, .external_lex_state = 10},
  [10147] = {.lex_state = 541, .external_lex_state = 10},
  [10148] = {.lex_state = 541, .external_lex_state = 10},
  [10149] = {.lex_state = 541, .external_lex_state = 10},
  [10150] = {.lex_state = 338, .external_lex_state = 2},
  [10151] = {.lex_state = 541, .external_lex_state = 10},
  [10152] = {.lex_state = 541, .external_lex_state = 10},
  [10153] = {.lex_state = 541, .external_lex_state = 10},
  [10154] = {.lex_state = 541, .external_lex_state = 10},
  [10155] = {.lex_state = 541, .external_lex_state = 10},
  [10156] = {.lex_state = 541, .external_lex_state = 10},
  [10157] = {.lex_state = 174, .external_lex_state = 2},
  [10158] = {.lex_state = 541, .external_lex_state = 10},
  [10159] = {.lex_state = 541, .external_lex_state = 10},
  [10160] = {.lex_state = 541, .external_lex_state = 10},
  [10161] = {.lex_state = 541, .external_lex_state = 10},
  [10162] = {.lex_state = 541, .external_lex_state = 10},
  [10163] = {.lex_state = 541, .external_lex_state = 10},
  [10164] = {.lex_state = 541, .external_lex_state = 10},
  [10165] = {.lex_state = 541, .external_lex_state = 10},
  [10166] = {.lex_state = 541, .external_lex_state = 10},
  [10167] = {.lex_state = 541, .external_lex_state = 10},
  [10168] = {.lex_state = 541, .external_lex_state = 10},
  [10169] = {.lex_state = 541, .external_lex_state = 10},
  [10170] = {.lex_state = 541, .external_lex_state = 10},
  [10171] = {.lex_state = 541, .external_lex_state = 10},
  [10172] = {.lex_state = 541, .external_lex_state = 10},
  [10173] = {.lex_state = 541, .external_lex_state = 10},
  [10174] = {.lex_state = 174, .external_lex_state = 2},
  [10175] = {.lex_state = 541, .external_lex_state = 10},
  [10176] = {.lex_state = 541, .external_lex_state = 10},
  [10177] = {.lex_state = 541, .external_lex_state = 10},
  [10178] = {.lex_state = 541, .external_lex_state = 10},
  [10179] = {.lex_state = 541, .external_lex_state = 10},
  [10180] = {.lex_state = 541, .external_lex_state = 10},
  [10181] = {.lex_state = 541, .external_lex_state = 10},
  [10182] = {.lex_state = 541, .external_lex_state = 10},
  [10183] = {.lex_state = 541, .external_lex_state = 10},
  [10184] = {.lex_state = 363, .external_lex_state = 9},
  [10185] = {.lex_state = 541, .external_lex_state = 11},
  [10186] = {.lex_state = 533, .external_lex_state = 9},
  [10187] = {.lex_state = 227, .external_lex_state = 9},
  [10188] = {.lex_state = 227, .external_lex_state = 9},
  [10189] = {.lex_state = 231, .external_lex_state = 9},
  [10190] = {.lex_state = 543, .external_lex_state = 12},
  [10191] = {.lex_state = 364, .external_lex_state = 10},
  [10192] = {.lex_state = 533, .external_lex_state = 9},
  [10193] = {.lex_state = 364, .external_lex_state = 10},
  [10194] = {.lex_state = 533, .external_lex_state = 9},
  [10195] = {.lex_state = 364, .external_lex_state = 10},
  [10196] = {.lex_state = 364, .external_lex_state = 9},
  [10197] = {.lex_state = 231, .external_lex_state = 9},
  [10198] = {.lex_state = 533, .external_lex_state = 9},
  [10199] = {.lex_state = 227, .external_lex_state = 9},
  [10200] = {.lex_state = 364, .external_lex_state = 10},
  [10201] = {.lex_state = 231, .external_lex_state = 9},
  [10202] = {.lex_state = 363, .external_lex_state = 10},
  [10203] = {.lex_state = 228, .external_lex_state = 10},
  [10204] = {.lex_state = 229, .external_lex_state = 10},
  [10205] = {.lex_state = 384, .external_lex_state = 10},
  [10206] = {.lex_state = 365, .external_lex_state = 10},
  [10207] = {.lex_state = 229, .external_lex_state = 9},
  [10208] = {.lex_state = 229, .external_lex_state = 10},
  [10209] = {.lex_state = 229, .external_lex_state = 10},
  [10210] = {.lex_state = 229, .external_lex_state = 10},
  [10211] = {.lex_state = 541, .external_lex_state = 12},
  [10212] = {.lex_state = 384, .external_lex_state = 9},
  [10213] = {.lex_state = 365, .external_lex_state = 10},
  [10214] = {.lex_state = 234, .external_lex_state = 9},
  [10215] = {.lex_state = 541, .external_lex_state = 12},
  [10216] = {.lex_state = 541, .external_lex_state = 12},
  [10217] = {.lex_state = 363, .external_lex_state = 10},
  [10218] = {.lex_state = 541, .external_lex_state = 12},
  [10219] = {.lex_state = 363, .external_lex_state = 10},
  [10220] = {.lex_state = 541, .external_lex_state = 12},
  [10221] = {.lex_state = 229, .external_lex_state = 9},
  [10222] = {.lex_state = 364, .external_lex_state = 10},
  [10223] = {.lex_state = 541, .external_lex_state = 12},
  [10224] = {.lex_state = 534, .external_lex_state = 9},
  [10225] = {.lex_state = 364, .external_lex_state = 10},
  [10226] = {.lex_state = 364, .external_lex_state = 10},
  [10227] = {.lex_state = 364, .external_lex_state = 9},
  [10228] = {.lex_state = 234, .external_lex_state = 9},
  [10229] = {.lex_state = 541, .external_lex_state = 12},
  [10230] = {.lex_state = 229, .external_lex_state = 9},
  [10231] = {.lex_state = 541, .external_lex_state = 12},
  [10232] = {.lex_state = 541, .external_lex_state = 12},
  [10233] = {.lex_state = 541, .external_lex_state = 12},
  [10234] = {.lex_state = 541, .external_lex_state = 12},
  [10235] = {.lex_state = 229, .external_lex_state = 9},
  [10236] = {.lex_state = 541, .external_lex_state = 12},
  [10237] = {.lex_state = 534, .external_lex_state = 9},
  [10238] = {.lex_state = 534, .external_lex_state = 9},
  [10239] = {.lex_state = 533, .external_lex_state = 9},
  [10240] = {.lex_state = 533, .external_lex_state = 9},
  [10241] = {.lex_state = 384, .external_lex_state = 10},
  [10242] = {.lex_state = 363, .external_lex_state = 10},
  [10243] = {.lex_state = 533, .external_lex_state = 9},
  [10244] = {.lex_state = 364, .external_lex_state = 9},
  [10245] = {.lex_state = 367, .external_lex_state = 10},
  [10246] = {.lex_state = 238, .external_lex_state = 10},
  [10247] = {.lex_state = 238, .external_lex_state = 10},
  [10248] = {.lex_state = 534, .external_lex_state = 9},
  [10249] = {.lex_state = 235, .external_lex_state = 10},
  [10250] = {.lex_state = 235, .external_lex_state = 10},
  [10251] = {.lex_state = 384, .external_lex_state = 10},
  [10252] = {.lex_state = 364, .external_lex_state = 10},
  [10253] = {.lex_state = 541, .external_lex_state = 12},
  [10254] = {.lex_state = 238, .external_lex_state = 10},
  [10255] = {.lex_state = 235, .external_lex_state = 10},
  [10256] = {.lex_state = 235, .external_lex_state = 10},
  [10257] = {.lex_state = 384, .external_lex_state = 10},
  [10258] = {.lex_state = 541, .external_lex_state = 12},
  [10259] = {.lex_state = 238, .external_lex_state = 10},
  [10260] = {.lex_state = 228, .external_lex_state = 10},
  [10261] = {.lex_state = 364, .external_lex_state = 10},
  [10262] = {.lex_state = 541, .external_lex_state = 12},
  [10263] = {.lex_state = 364, .external_lex_state = 10},
  [10264] = {.lex_state = 541, .external_lex_state = 12},
  [10265] = {.lex_state = 364, .external_lex_state = 10},
  [10266] = {.lex_state = 364, .external_lex_state = 10},
  [10267] = {.lex_state = 541, .external_lex_state = 12},
  [10268] = {.lex_state = 364, .external_lex_state = 10},
  [10269] = {.lex_state = 228, .external_lex_state = 10},
  [10270] = {.lex_state = 363, .external_lex_state = 10},
  [10271] = {.lex_state = 541, .external_lex_state = 12},
  [10272] = {.lex_state = 534, .external_lex_state = 9},
  [10273] = {.lex_state = 541, .external_lex_state = 12},
  [10274] = {.lex_state = 228, .external_lex_state = 10},
  [10275] = {.lex_state = 365, .external_lex_state = 10},
  [10276] = {.lex_state = 541, .external_lex_state = 12},
  [10277] = {.lex_state = 228, .external_lex_state = 10},
  [10278] = {.lex_state = 541, .external_lex_state = 12},
  [10279] = {.lex_state = 541, .external_lex_state = 12},
  [10280] = {.lex_state = 541, .external_lex_state = 12},
  [10281] = {.lex_state = 365, .external_lex_state = 10},
  [10282] = {.lex_state = 541, .external_lex_state = 12},
  [10283] = {.lex_state = 228, .external_lex_state = 10},
  [10284] = {.lex_state = 228, .external_lex_state = 10},
  [10285] = {.lex_state = 541, .external_lex_state = 12},
  [10286] = {.lex_state = 541, .external_lex_state = 12},
  [10287] = {.lex_state = 228, .external_lex_state = 10},
  [10288] = {.lex_state = 541, .external_lex_state = 12},
  [10289] = {.lex_state = 541, .external_lex_state = 12},
  [10290] = {.lex_state = 533, .external_lex_state = 9},
  [10291] = {.lex_state = 541, .external_lex_state = 12},
  [10292] = {.lex_state = 234, .external_lex_state = 10},
  [10293] = {.lex_state = 234, .external_lex_state = 9},
  [10294] = {.lex_state = 234, .external_lex_state = 9},
  [10295] = {.lex_state = 234, .external_lex_state = 10},
  [10296] = {.lex_state = 541, .external_lex_state = 12},
  [10297] = {.lex_state = 364, .external_lex_state = 10},
  [10298] = {.lex_state = 364, .external_lex_state = 10},
  [10299] = {.lex_state = 541, .external_lex_state = 12},
  [10300] = {.lex_state = 541, .external_lex_state = 12},
  [10301] = {.lex_state = 541, .external_lex_state = 12},
  [10302] = {.lex_state = 234, .external_lex_state = 10},
  [10303] = {.lex_state = 234, .external_lex_state = 10},
  [10304] = {.lex_state = 363, .external_lex_state = 10},
  [10305] = {.lex_state = 541, .external_lex_state = 12},
  [10306] = {.lex_state = 364, .external_lex_state = 10},
  [10307] = {.lex_state = 541, .external_lex_state = 12},
  [10308] = {.lex_state = 541, .external_lex_state = 12},
  [10309] = {.lex_state = 364, .external_lex_state = 9},
  [10310] = {.lex_state = 541, .external_lex_state = 12},
  [10311] = {.lex_state = 551, .external_lex_state = 12},
  [10312] = {.lex_state = 541, .external_lex_state = 12},
  [10313] = {.lex_state = 541, .external_lex_state = 12},
  [10314] = {.lex_state = 541, .external_lex_state = 12},
  [10315] = {.lex_state = 534, .external_lex_state = 9},
  [10316] = {.lex_state = 533, .external_lex_state = 9},
  [10317] = {.lex_state = 363, .external_lex_state = 10},
  [10318] = {.lex_state = 541, .external_lex_state = 12},
  [10319] = {.lex_state = 541, .external_lex_state = 12},
  [10320] = {.lex_state = 533, .external_lex_state = 9},
  [10321] = {.lex_state = 364, .external_lex_state = 10},
  [10322] = {.lex_state = 534, .external_lex_state = 9},
  [10323] = {.lex_state = 364, .external_lex_state = 10},
  [10324] = {.lex_state = 384, .external_lex_state = 9},
  [10325] = {.lex_state = 234, .external_lex_state = 10},
  [10326] = {.lex_state = 234, .external_lex_state = 10},
  [10327] = {.lex_state = 234, .external_lex_state = 10},
  [10328] = {.lex_state = 384, .external_lex_state = 9},
  [10329] = {.lex_state = 364, .external_lex_state = 10},
  [10330] = {.lex_state = 544, .external_lex_state = 9},
  [10331] = {.lex_state = 268, .external_lex_state = 10},
  [10332] = {.lex_state = 268, .external_lex_state = 9},
  [10333] = {.lex_state = 363, .external_lex_state = 9},
  [10334] = {.lex_state = 268, .external_lex_state = 10},
  [10335] = {.lex_state = 234, .external_lex_state = 10},
  [10336] = {.lex_state = 387, .external_lex_state = 10},
  [10337] = {.lex_state = 364, .external_lex_state = 10},
  [10338] = {.lex_state = 541, .external_lex_state = 13},
  [10339] = {.lex_state = 363, .external_lex_state = 9},
  [10340] = {.lex_state = 227, .external_lex_state = 10},
  [10341] = {.lex_state = 364, .external_lex_state = 10},
  [10342] = {.lex_state = 384, .external_lex_state = 9},
  [10343] = {.lex_state = 227, .external_lex_state = 10},
  [10344] = {.lex_state = 534, .external_lex_state = 9},
  [10345] = {.lex_state = 227, .external_lex_state = 10},
  [10346] = {.lex_state = 364, .external_lex_state = 10},
  [10347] = {.lex_state = 533, .external_lex_state = 9},
  [10348] = {.lex_state = 364, .external_lex_state = 10},
  [10349] = {.lex_state = 534, .external_lex_state = 9},
  [10350] = {.lex_state = 234, .external_lex_state = 10},
  [10351] = {.lex_state = 256, .external_lex_state = 10},
  [10352] = {.lex_state = 384, .external_lex_state = 10},
  [10353] = {.lex_state = 533, .external_lex_state = 9},
  [10354] = {.lex_state = 256, .external_lex_state = 10},
  [10355] = {.lex_state = 234, .external_lex_state = 10},
  [10356] = {.lex_state = 256, .external_lex_state = 10},
  [10357] = {.lex_state = 256, .external_lex_state = 10},
  [10358] = {.lex_state = 234, .external_lex_state = 10},
  [10359] = {.lex_state = 364, .external_lex_state = 10},
  [10360] = {.lex_state = 364, .external_lex_state = 10},
  [10361] = {.lex_state = 364, .external_lex_state = 10},
  [10362] = {.lex_state = 227, .external_lex_state = 9},
  [10363] = {.lex_state = 384, .external_lex_state = 10},
  [10364] = {.lex_state = 364, .external_lex_state = 10},
  [10365] = {.lex_state = 533, .external_lex_state = 9},
  [10366] = {.lex_state = 227, .external_lex_state = 10},
  [10367] = {.lex_state = 364, .external_lex_state = 10},
  [10368] = {.lex_state = 227, .external_lex_state = 10},
  [10369] = {.lex_state = 364, .external_lex_state = 10},
  [10370] = {.lex_state = 268, .external_lex_state = 10},
  [10371] = {.lex_state = 364, .external_lex_state = 10},
  [10372] = {.lex_state = 234, .external_lex_state = 10},
  [10373] = {.lex_state = 380, .external_lex_state = 10},
  [10374] = {.lex_state = 234, .external_lex_state = 10},
  [10375] = {.lex_state = 364, .external_lex_state = 10},
  [10376] = {.lex_state = 234, .external_lex_state = 10},
  [10377] = {.lex_state = 533, .external_lex_state = 9},
  [10378] = {.lex_state = 364, .external_lex_state = 10},
  [10379] = {.lex_state = 364, .external_lex_state = 10},
  [10380] = {.lex_state = 234, .external_lex_state = 10},
  [10381] = {.lex_state = 234, .external_lex_state = 10},
  [10382] = {.lex_state = 534, .external_lex_state = 9},
  [10383] = {.lex_state = 364, .external_lex_state = 10},
  [10384] = {.lex_state = 364, .external_lex_state = 10},
  [10385] = {.lex_state = 541, .external_lex_state = 12},
  [10386] = {.lex_state = 268, .external_lex_state = 9},
  [10387] = {.lex_state = 364, .external_lex_state = 10},
  [10388] = {.lex_state = 364, .external_lex_state = 10},
  [10389] = {.lex_state = 257, .external_lex_state = 9},
  [10390] = {.lex_state = 227, .external_lex_state = 10},
  [10391] = {.lex_state = 256, .external_lex_state = 10},
  [10392] = {.lex_state = 533, .external_lex_state = 9},
  [10393] = {.lex_state = 256, .external_lex_state = 10},
  [10394] = {.lex_state = 256, .external_lex_state = 10},
  [10395] = {.lex_state = 364, .external_lex_state = 10},
  [10396] = {.lex_state = 256, .external_lex_state = 10},
  [10397] = {.lex_state = 239, .external_lex_state = 10},
  [10398] = {.lex_state = 364, .external_lex_state = 10},
  [10399] = {.lex_state = 380, .external_lex_state = 10},
  [10400] = {.lex_state = 364, .external_lex_state = 10},
  [10401] = {.lex_state = 364, .external_lex_state = 10},
  [10402] = {.lex_state = 272, .external_lex_state = 10},
  [10403] = {.lex_state = 364, .external_lex_state = 10},
  [10404] = {.lex_state = 364, .external_lex_state = 10},
  [10405] = {.lex_state = 364, .external_lex_state = 10},
  [10406] = {.lex_state = 364, .external_lex_state = 10},
  [10407] = {.lex_state = 364, .external_lex_state = 10},
  [10408] = {.lex_state = 364, .external_lex_state = 10},
  [10409] = {.lex_state = 364, .external_lex_state = 10},
  [10410] = {.lex_state = 364, .external_lex_state = 10},
  [10411] = {.lex_state = 364, .external_lex_state = 10},
  [10412] = {.lex_state = 272, .external_lex_state = 10},
  [10413] = {.lex_state = 272, .external_lex_state = 10},
  [10414] = {.lex_state = 272, .external_lex_state = 10},
  [10415] = {.lex_state = 257, .external_lex_state = 10},
  [10416] = {.lex_state = 533, .external_lex_state = 9},
  [10417] = {.lex_state = 364, .external_lex_state = 10},
  [10418] = {.lex_state = 385, .external_lex_state = 10},
  [10419] = {.lex_state = 385, .external_lex_state = 10},
  [10420] = {.lex_state = 534, .external_lex_state = 9},
  [10421] = {.lex_state = 257, .external_lex_state = 10},
  [10422] = {.lex_state = 257, .external_lex_state = 10},
  [10423] = {.lex_state = 385, .external_lex_state = 10},
  [10424] = {.lex_state = 533, .external_lex_state = 9},
  [10425] = {.lex_state = 385, .external_lex_state = 10},
  [10426] = {.lex_state = 384, .external_lex_state = 10},
  [10427] = {.lex_state = 257, .external_lex_state = 10},
  [10428] = {.lex_state = 257, .external_lex_state = 9},
  [10429] = {.lex_state = 364, .external_lex_state = 10},
  [10430] = {.lex_state = 364, .external_lex_state = 10},
  [10431] = {.lex_state = 269, .external_lex_state = 10},
  [10432] = {.lex_state = 364, .external_lex_state = 10},
  [10433] = {.lex_state = 232, .external_lex_state = 10},
  [10434] = {.lex_state = 232, .external_lex_state = 10},
  [10435] = {.lex_state = 534, .external_lex_state = 9},
  [10436] = {.lex_state = 233, .external_lex_state = 10},
  [10437] = {.lex_state = 384, .external_lex_state = 10},
  [10438] = {.lex_state = 233, .external_lex_state = 10},
  [10439] = {.lex_state = 384, .external_lex_state = 10},
  [10440] = {.lex_state = 384, .external_lex_state = 10},
  [10441] = {.lex_state = 269, .external_lex_state = 10},
  [10442] = {.lex_state = 232, .external_lex_state = 10},
  [10443] = {.lex_state = 232, .external_lex_state = 10},
  [10444] = {.lex_state = 364, .external_lex_state = 10},
  [10445] = {.lex_state = 364, .external_lex_state = 10},
  [10446] = {.lex_state = 384, .external_lex_state = 10},
  [10447] = {.lex_state = 384, .external_lex_state = 10},
  [10448] = {.lex_state = 384, .external_lex_state = 10},
  [10449] = {.lex_state = 384, .external_lex_state = 10},
  [10450] = {.lex_state = 380, .external_lex_state = 10},
  [10451] = {.lex_state = 364, .external_lex_state = 10},
  [10452] = {.lex_state = 384, .external_lex_state = 10},
  [10453] = {.lex_state = 541, .external_lex_state = 12},
  [10454] = {.lex_state = 231, .external_lex_state = 10},
  [10455] = {.lex_state = 364, .external_lex_state = 10},
  [10456] = {.lex_state = 364, .external_lex_state = 10},
  [10457] = {.lex_state = 380, .external_lex_state = 10},
  [10458] = {.lex_state = 533, .external_lex_state = 9},
  [10459] = {.lex_state = 269, .external_lex_state = 10},
  [10460] = {.lex_state = 231, .external_lex_state = 10},
  [10461] = {.lex_state = 269, .external_lex_state = 10},
  [10462] = {.lex_state = 268, .external_lex_state = 9},
  [10463] = {.lex_state = 364, .external_lex_state = 10},
  [10464] = {.lex_state = 364, .external_lex_state = 10},
  [10465] = {.lex_state = 364, .external_lex_state = 10},
  [10466] = {.lex_state = 363, .external_lex_state = 9},
  [10467] = {.lex_state = 364, .external_lex_state = 10},
  [10468] = {.lex_state = 384, .external_lex_state = 10},
  [10469] = {.lex_state = 231, .external_lex_state = 10},
  [10470] = {.lex_state = 533, .external_lex_state = 9},
  [10471] = {.lex_state = 533, .external_lex_state = 9},
  [10472] = {.lex_state = 364, .external_lex_state = 10},
  [10473] = {.lex_state = 231, .external_lex_state = 10},
  [10474] = {.lex_state = 534, .external_lex_state = 9},
  [10475] = {.lex_state = 268, .external_lex_state = 10},
  [10476] = {.lex_state = 364, .external_lex_state = 10},
  [10477] = {.lex_state = 364, .external_lex_state = 10},
  [10478] = {.lex_state = 229, .external_lex_state = 10},
  [10479] = {.lex_state = 229, .external_lex_state = 10},
  [10480] = {.lex_state = 229, .external_lex_state = 10},
  [10481] = {.lex_state = 229, .external_lex_state = 10},
  [10482] = {.lex_state = 229, .external_lex_state = 10},
  [10483] = {.lex_state = 229, .external_lex_state = 10},
  [10484] = {.lex_state = 533, .external_lex_state = 9},
  [10485] = {.lex_state = 534, .external_lex_state = 9},
  [10486] = {.lex_state = 233, .external_lex_state = 10},
  [10487] = {.lex_state = 229, .external_lex_state = 10},
  [10488] = {.lex_state = 233, .external_lex_state = 10},
  [10489] = {.lex_state = 229, .external_lex_state = 10},
  [10490] = {.lex_state = 229, .external_lex_state = 10},
  [10491] = {.lex_state = 229, .external_lex_state = 10},
  [10492] = {.lex_state = 230, .external_lex_state = 10},
  [10493] = {.lex_state = 544, .external_lex_state = 9},
  [10494] = {.lex_state = 533, .external_lex_state = 9},
  [10495] = {.lex_state = 544, .external_lex_state = 9},
  [10496] = {.lex_state = 231, .external_lex_state = 10},
  [10497] = {.lex_state = 544, .external_lex_state = 9},
  [10498] = {.lex_state = 544, .external_lex_state = 9},
  [10499] = {.lex_state = 363, .external_lex_state = 9},
  [10500] = {.lex_state = 364, .external_lex_state = 10},
  [10501] = {.lex_state = 533, .external_lex_state = 9},
  [10502] = {.lex_state = 363, .external_lex_state = 9},
  [10503] = {.lex_state = 364, .external_lex_state = 10},
  [10504] = {.lex_state = 268, .external_lex_state = 9},
  [10505] = {.lex_state = 380, .external_lex_state = 9},
  [10506] = {.lex_state = 533, .external_lex_state = 9},
  [10507] = {.lex_state = 257, .external_lex_state = 9},
  [10508] = {.lex_state = 229, .external_lex_state = 10},
  [10509] = {.lex_state = 363, .external_lex_state = 9},
  [10510] = {.lex_state = 534, .external_lex_state = 9},
  [10511] = {.lex_state = 544, .external_lex_state = 9},
  [10512] = {.lex_state = 227, .external_lex_state = 10},
  [10513] = {.lex_state = 231, .external_lex_state = 10},
  [10514] = {.lex_state = 229, .external_lex_state = 10},
  [10515] = {.lex_state = 231, .external_lex_state = 10},
  [10516] = {.lex_state = 533, .external_lex_state = 9},
  [10517] = {.lex_state = 533, .external_lex_state = 9},
  [10518] = {.lex_state = 533, .external_lex_state = 9},
  [10519] = {.lex_state = 257, .external_lex_state = 9},
  [10520] = {.lex_state = 541, .external_lex_state = 13},
  [10521] = {.lex_state = 364, .external_lex_state = 10},
  [10522] = {.lex_state = 384, .external_lex_state = 9},
  [10523] = {.lex_state = 533, .external_lex_state = 9},
  [10524] = {.lex_state = 236, .external_lex_state = 10},
  [10525] = {.lex_state = 236, .external_lex_state = 10},
  [10526] = {.lex_state = 236, .external_lex_state = 10},
  [10527] = {.lex_state = 268, .external_lex_state = 9},
  [10528] = {.lex_state = 544, .external_lex_state = 9},
  [10529] = {.lex_state = 257, .external_lex_state = 9},
  [10530] = {.lex_state = 544, .external_lex_state = 9},
  [10531] = {.lex_state = 236, .external_lex_state = 10},
  [10532] = {.lex_state = 363, .external_lex_state = 9},
  [10533] = {.lex_state = 542, .external_lex_state = 9},
  [10534] = {.lex_state = 229, .external_lex_state = 10},
  [10535] = {.lex_state = 229, .external_lex_state = 10},
  [10536] = {.lex_state = 541, .external_lex_state = 12},
  [10537] = {.lex_state = 541, .external_lex_state = 12},
  [10538] = {.lex_state = 541, .external_lex_state = 12},
  [10539] = {.lex_state = 541, .external_lex_state = 12},
  [10540] = {.lex_state = 541, .external_lex_state = 12},
  [10541] = {.lex_state = 533, .external_lex_state = 9},
  [10542] = {.lex_state = 541, .external_lex_state = 12},
  [10543] = {.lex_state = 534, .external_lex_state = 10},
  [10544] = {.lex_state = 229, .external_lex_state = 10},
  [10545] = {.lex_state = 229, .external_lex_state = 10},
  [10546] = {.lex_state = 229, .external_lex_state = 10},
  [10547] = {.lex_state = 541, .external_lex_state = 12},
  [10548] = {.lex_state = 541, .external_lex_state = 12},
  [10549] = {.lex_state = 541, .external_lex_state = 12},
  [10550] = {.lex_state = 541, .external_lex_state = 12},
  [10551] = {.lex_state = 541, .external_lex_state = 12},
  [10552] = {.lex_state = 541, .external_lex_state = 12},
  [10553] = {.lex_state = 267, .external_lex_state = 10},
  [10554] = {.lex_state = 267, .external_lex_state = 10},
  [10555] = {.lex_state = 536, .external_lex_state = 10},
  [10556] = {.lex_state = 267, .external_lex_state = 10},
  [10557] = {.lex_state = 536, .external_lex_state = 10},
  [10558] = {.lex_state = 542, .external_lex_state = 9},
  [10559] = {.lex_state = 384, .external_lex_state = 10},
  [10560] = {.lex_state = 534, .external_lex_state = 10},
  [10561] = {.lex_state = 237, .external_lex_state = 10},
  [10562] = {.lex_state = 536, .external_lex_state = 10},
  [10563] = {.lex_state = 234, .external_lex_state = 10},
  [10564] = {.lex_state = 229, .external_lex_state = 10},
  [10565] = {.lex_state = 541, .external_lex_state = 12},
  [10566] = {.lex_state = 541, .external_lex_state = 12},
  [10567] = {.lex_state = 534, .external_lex_state = 9},
  [10568] = {.lex_state = 363, .external_lex_state = 9},
  [10569] = {.lex_state = 267, .external_lex_state = 10},
  [10570] = {.lex_state = 380, .external_lex_state = 9},
  [10571] = {.lex_state = 541, .external_lex_state = 12},
  [10572] = {.lex_state = 541, .external_lex_state = 12},
  [10573] = {.lex_state = 541, .external_lex_state = 12},
  [10574] = {.lex_state = 383, .external_lex_state = 10},
  [10575] = {.lex_state = 541, .external_lex_state = 12},
  [10576] = {.lex_state = 541, .external_lex_state = 12},
  [10577] = {.lex_state = 229, .external_lex_state = 10},
  [10578] = {.lex_state = 363, .external_lex_state = 9},
  [10579] = {.lex_state = 229, .external_lex_state = 10},
  [10580] = {.lex_state = 229, .external_lex_state = 10},
  [10581] = {.lex_state = 541, .external_lex_state = 12},
  [10582] = {.lex_state = 541, .external_lex_state = 12},
  [10583] = {.lex_state = 229, .external_lex_state = 10},
  [10584] = {.lex_state = 541, .external_lex_state = 12},
  [10585] = {.lex_state = 541, .external_lex_state = 12},
  [10586] = {.lex_state = 541, .external_lex_state = 12},
  [10587] = {.lex_state = 541, .external_lex_state = 12},
  [10588] = {.lex_state = 541, .external_lex_state = 12},
  [10589] = {.lex_state = 363, .external_lex_state = 9},
  [10590] = {.lex_state = 541, .external_lex_state = 12},
  [10591] = {.lex_state = 380, .external_lex_state = 9},
  [10592] = {.lex_state = 541, .external_lex_state = 12},
  [10593] = {.lex_state = 541, .external_lex_state = 12},
  [10594] = {.lex_state = 541, .external_lex_state = 12},
  [10595] = {.lex_state = 254, .external_lex_state = 9},
  [10596] = {.lex_state = 273, .external_lex_state = 10},
  [10597] = {.lex_state = 237, .external_lex_state = 10},
  [10598] = {.lex_state = 237, .external_lex_state = 10},
  [10599] = {.lex_state = 229, .external_lex_state = 10},
  [10600] = {.lex_state = 229, .external_lex_state = 10},
  [10601] = {.lex_state = 229, .external_lex_state = 10},
  [10602] = {.lex_state = 364, .external_lex_state = 9},
  [10603] = {.lex_state = 229, .external_lex_state = 10},
  [10604] = {.lex_state = 229, .external_lex_state = 10},
  [10605] = {.lex_state = 229, .external_lex_state = 10},
  [10606] = {.lex_state = 237, .external_lex_state = 10},
  [10607] = {.lex_state = 229, .external_lex_state = 10},
  [10608] = {.lex_state = 384, .external_lex_state = 10},
  [10609] = {.lex_state = 384, .external_lex_state = 10},
  [10610] = {.lex_state = 234, .external_lex_state = 10},
  [10611] = {.lex_state = 541, .external_lex_state = 12},
  [10612] = {.lex_state = 384, .external_lex_state = 10},
  [10613] = {.lex_state = 541, .external_lex_state = 12},
  [10614] = {.lex_state = 229, .external_lex_state = 10},
  [10615] = {.lex_state = 384, .external_lex_state = 10},
  [10616] = {.lex_state = 229, .external_lex_state = 10},
  [10617] = {.lex_state = 541, .external_lex_state = 12},
  [10618] = {.lex_state = 541, .external_lex_state = 12},
  [10619] = {.lex_state = 229, .external_lex_state = 10},
  [10620] = {.lex_state = 380, .external_lex_state = 9},
  [10621] = {.lex_state = 254, .external_lex_state = 9},
  [10622] = {.lex_state = 384, .external_lex_state = 10},
  [10623] = {.lex_state = 234, .external_lex_state = 10},
  [10624] = {.lex_state = 541, .external_lex_state = 9},
  [10625] = {.lex_state = 234, .external_lex_state = 10},
  [10626] = {.lex_state = 229, .external_lex_state = 10},
  [10627] = {.lex_state = 541, .external_lex_state = 12},
  [10628] = {.lex_state = 541, .external_lex_state = 12},
  [10629] = {.lex_state = 384, .external_lex_state = 10},
  [10630] = {.lex_state = 534, .external_lex_state = 10},
  [10631] = {.lex_state = 384, .external_lex_state = 10},
  [10632] = {.lex_state = 384, .external_lex_state = 10},
  [10633] = {.lex_state = 384, .external_lex_state = 10},
  [10634] = {.lex_state = 384, .external_lex_state = 10},
  [10635] = {.lex_state = 384, .external_lex_state = 10},
  [10636] = {.lex_state = 542, .external_lex_state = 9},
  [10637] = {.lex_state = 541, .external_lex_state = 12},
  [10638] = {.lex_state = 384, .external_lex_state = 10},
  [10639] = {.lex_state = 384, .external_lex_state = 10},
  [10640] = {.lex_state = 384, .external_lex_state = 10},
  [10641] = {.lex_state = 384, .external_lex_state = 10},
  [10642] = {.lex_state = 384, .external_lex_state = 10},
  [10643] = {.lex_state = 541, .external_lex_state = 12},
  [10644] = {.lex_state = 384, .external_lex_state = 10},
  [10645] = {.lex_state = 384, .external_lex_state = 10},
  [10646] = {.lex_state = 541, .external_lex_state = 12},
  [10647] = {.lex_state = 234, .external_lex_state = 10},
  [10648] = {.lex_state = 541, .external_lex_state = 12},
  [10649] = {.lex_state = 229, .external_lex_state = 10},
  [10650] = {.lex_state = 384, .external_lex_state = 10},
  [10651] = {.lex_state = 384, .external_lex_state = 10},
  [10652] = {.lex_state = 384, .external_lex_state = 10},
  [10653] = {.lex_state = 384, .external_lex_state = 10},
  [10654] = {.lex_state = 384, .external_lex_state = 10},
  [10655] = {.lex_state = 541, .external_lex_state = 12},
  [10656] = {.lex_state = 541, .external_lex_state = 12},
  [10657] = {.lex_state = 234, .external_lex_state = 10},
  [10658] = {.lex_state = 234, .external_lex_state = 10},
  [10659] = {.lex_state = 384, .external_lex_state = 10},
  [10660] = {.lex_state = 384, .external_lex_state = 10},
  [10661] = {.lex_state = 234, .external_lex_state = 10},
  [10662] = {.lex_state = 234, .external_lex_state = 10},
  [10663] = {.lex_state = 384, .external_lex_state = 10},
  [10664] = {.lex_state = 384, .external_lex_state = 10},
  [10665] = {.lex_state = 384, .external_lex_state = 10},
  [10666] = {.lex_state = 234, .external_lex_state = 10},
  [10667] = {.lex_state = 234, .external_lex_state = 10},
  [10668] = {.lex_state = 234, .external_lex_state = 10},
  [10669] = {.lex_state = 534, .external_lex_state = 9},
  [10670] = {.lex_state = 234, .external_lex_state = 10},
  [10671] = {.lex_state = 234, .external_lex_state = 10},
  [10672] = {.lex_state = 229, .external_lex_state = 10},
  [10673] = {.lex_state = 234, .external_lex_state = 10},
  [10674] = {.lex_state = 364, .external_lex_state = 9},
  [10675] = {.lex_state = 384, .external_lex_state = 10},
  [10676] = {.lex_state = 541, .external_lex_state = 12},
  [10677] = {.lex_state = 384, .external_lex_state = 10},
  [10678] = {.lex_state = 541, .external_lex_state = 12},
  [10679] = {.lex_state = 381, .external_lex_state = 10},
  [10680] = {.lex_state = 381, .external_lex_state = 10},
  [10681] = {.lex_state = 229, .external_lex_state = 10},
  [10682] = {.lex_state = 234, .external_lex_state = 10},
  [10683] = {.lex_state = 541, .external_lex_state = 12},
  [10684] = {.lex_state = 234, .external_lex_state = 10},
  [10685] = {.lex_state = 234, .external_lex_state = 10},
  [10686] = {.lex_state = 234, .external_lex_state = 10},
  [10687] = {.lex_state = 234, .external_lex_state = 10},
  [10688] = {.lex_state = 534, .external_lex_state = 9},
  [10689] = {.lex_state = 234, .external_lex_state = 10},
  [10690] = {.lex_state = 234, .external_lex_state = 10},
  [10691] = {.lex_state = 234, .external_lex_state = 10},
  [10692] = {.lex_state = 234, .external_lex_state = 10},
  [10693] = {.lex_state = 234, .external_lex_state = 10},
  [10694] = {.lex_state = 363, .external_lex_state = 9},
  [10695] = {.lex_state = 234, .external_lex_state = 10},
  [10696] = {.lex_state = 234, .external_lex_state = 10},
  [10697] = {.lex_state = 541, .external_lex_state = 12},
  [10698] = {.lex_state = 229, .external_lex_state = 10},
  [10699] = {.lex_state = 541, .external_lex_state = 12},
  [10700] = {.lex_state = 541, .external_lex_state = 12},
  [10701] = {.lex_state = 541, .external_lex_state = 12},
  [10702] = {.lex_state = 234, .external_lex_state = 10},
  [10703] = {.lex_state = 541, .external_lex_state = 12},
  [10704] = {.lex_state = 541, .external_lex_state = 12},
  [10705] = {.lex_state = 234, .external_lex_state = 10},
  [10706] = {.lex_state = 541, .external_lex_state = 12},
  [10707] = {.lex_state = 234, .external_lex_state = 10},
  [10708] = {.lex_state = 541, .external_lex_state = 12},
  [10709] = {.lex_state = 381, .external_lex_state = 10},
  [10710] = {.lex_state = 541, .external_lex_state = 9},
  [10711] = {.lex_state = 381, .external_lex_state = 10},
  [10712] = {.lex_state = 234, .external_lex_state = 10},
  [10713] = {.lex_state = 234, .external_lex_state = 10},
  [10714] = {.lex_state = 541, .external_lex_state = 9},
  [10715] = {.lex_state = 541, .external_lex_state = 9},
  [10716] = {.lex_state = 229, .external_lex_state = 10},
  [10717] = {.lex_state = 229, .external_lex_state = 10},
  [10718] = {.lex_state = 234, .external_lex_state = 10},
  [10719] = {.lex_state = 229, .external_lex_state = 10},
  [10720] = {.lex_state = 541, .external_lex_state = 12},
  [10721] = {.lex_state = 541, .external_lex_state = 12},
  [10722] = {.lex_state = 234, .external_lex_state = 10},
  [10723] = {.lex_state = 229, .external_lex_state = 10},
  [10724] = {.lex_state = 229, .external_lex_state = 10},
  [10725] = {.lex_state = 234, .external_lex_state = 10},
  [10726] = {.lex_state = 229, .external_lex_state = 10},
  [10727] = {.lex_state = 384, .external_lex_state = 10},
  [10728] = {.lex_state = 384, .external_lex_state = 10},
  [10729] = {.lex_state = 541, .external_lex_state = 9},
  [10730] = {.lex_state = 234, .external_lex_state = 10},
  [10731] = {.lex_state = 234, .external_lex_state = 10},
  [10732] = {.lex_state = 541, .external_lex_state = 12},
  [10733] = {.lex_state = 229, .external_lex_state = 10},
  [10734] = {.lex_state = 534, .external_lex_state = 9},
  [10735] = {.lex_state = 229, .external_lex_state = 10},
  [10736] = {.lex_state = 229, .external_lex_state = 10},
  [10737] = {.lex_state = 229, .external_lex_state = 10},
  [10738] = {.lex_state = 384, .external_lex_state = 10},
  [10739] = {.lex_state = 229, .external_lex_state = 10},
  [10740] = {.lex_state = 254, .external_lex_state = 10},
  [10741] = {.lex_state = 229, .external_lex_state = 10},
  [10742] = {.lex_state = 541, .external_lex_state = 12},
  [10743] = {.lex_state = 534, .external_lex_state = 9},
  [10744] = {.lex_state = 229, .external_lex_state = 10},
  [10745] = {.lex_state = 229, .external_lex_state = 10},
  [10746] = {.lex_state = 229, .external_lex_state = 10},
  [10747] = {.lex_state = 254, .external_lex_state = 9},
  [10748] = {.lex_state = 254, .external_lex_state = 10},
  [10749] = {.lex_state = 229, .external_lex_state = 10},
  [10750] = {.lex_state = 229, .external_lex_state = 10},
  [10751] = {.lex_state = 229, .external_lex_state = 10},
  [10752] = {.lex_state = 229, .external_lex_state = 10},
  [10753] = {.lex_state = 254, .external_lex_state = 10},
  [10754] = {.lex_state = 229, .external_lex_state = 10},
  [10755] = {.lex_state = 544, .external_lex_state = 9},
  [10756] = {.lex_state = 542, .external_lex_state = 13},
  [10757] = {.lex_state = 384, .external_lex_state = 10},
  [10758] = {.lex_state = 380, .external_lex_state = 9},
  [10759] = {.lex_state = 229, .external_lex_state = 10},
  [10760] = {.lex_state = 254, .external_lex_state = 10},
  [10761] = {.lex_state = 541, .external_lex_state = 12},
  [10762] = {.lex_state = 234, .external_lex_state = 10},
  [10763] = {.lex_state = 229, .external_lex_state = 10},
  [10764] = {.lex_state = 541, .external_lex_state = 9},
  [10765] = {.lex_state = 366, .external_lex_state = 10},
  [10766] = {.lex_state = 541, .external_lex_state = 12},
  [10767] = {.lex_state = 541, .external_lex_state = 12},
  [10768] = {.lex_state = 229, .external_lex_state = 10},
  [10769] = {.lex_state = 229, .external_lex_state = 10},
  [10770] = {.lex_state = 229, .external_lex_state = 10},
  [10771] = {.lex_state = 366, .external_lex_state = 10},
  [10772] = {.lex_state = 229, .external_lex_state = 10},
  [10773] = {.lex_state = 229, .external_lex_state = 10},
  [10774] = {.lex_state = 229, .external_lex_state = 10},
  [10775] = {.lex_state = 541, .external_lex_state = 12},
  [10776] = {.lex_state = 541, .external_lex_state = 12},
  [10777] = {.lex_state = 229, .external_lex_state = 10},
  [10778] = {.lex_state = 268, .external_lex_state = 10},
  [10779] = {.lex_state = 268, .external_lex_state = 10},
  [10780] = {.lex_state = 541, .external_lex_state = 12},
  [10781] = {.lex_state = 541, .external_lex_state = 12},
  [10782] = {.lex_state = 541, .external_lex_state = 12},
  [10783] = {.lex_state = 541, .external_lex_state = 12},
  [10784] = {.lex_state = 268, .external_lex_state = 10},
  [10785] = {.lex_state = 534, .external_lex_state = 10},
  [10786] = {.lex_state = 534, .external_lex_state = 10},
  [10787] = {.lex_state = 257, .external_lex_state = 10},
  [10788] = {.lex_state = 268, .external_lex_state = 10},
  [10789] = {.lex_state = 268, .external_lex_state = 10},
  [10790] = {.lex_state = 268, .external_lex_state = 10},
  [10791] = {.lex_state = 234, .external_lex_state = 10},
  [10792] = {.lex_state = 268, .external_lex_state = 10},
  [10793] = {.lex_state = 536, .external_lex_state = 10},
  [10794] = {.lex_state = 268, .external_lex_state = 10},
  [10795] = {.lex_state = 234, .external_lex_state = 10},
  [10796] = {.lex_state = 234, .external_lex_state = 10},
  [10797] = {.lex_state = 234, .external_lex_state = 10},
  [10798] = {.lex_state = 266, .external_lex_state = 10},
  [10799] = {.lex_state = 266, .external_lex_state = 10},
  [10800] = {.lex_state = 266, .external_lex_state = 10},
  [10801] = {.lex_state = 266, .external_lex_state = 10},
  [10802] = {.lex_state = 268, .external_lex_state = 10},
  [10803] = {.lex_state = 541, .external_lex_state = 12},
  [10804] = {.lex_state = 534, .external_lex_state = 10},
  [10805] = {.lex_state = 533, .external_lex_state = 9},
  [10806] = {.lex_state = 541, .external_lex_state = 12},
  [10807] = {.lex_state = 264, .external_lex_state = 10},
  [10808] = {.lex_state = 264, .external_lex_state = 10},
  [10809] = {.lex_state = 258, .external_lex_state = 10},
  [10810] = {.lex_state = 264, .external_lex_state = 10},
  [10811] = {.lex_state = 257, .external_lex_state = 10},
  [10812] = {.lex_state = 264, .external_lex_state = 10},
  [10813] = {.lex_state = 544, .external_lex_state = 9},
  [10814] = {.lex_state = 254, .external_lex_state = 9},
  [10815] = {.lex_state = 270, .external_lex_state = 10},
  [10816] = {.lex_state = 366, .external_lex_state = 10},
  [10817] = {.lex_state = 270, .external_lex_state = 10},
  [10818] = {.lex_state = 366, .external_lex_state = 10},
  [10819] = {.lex_state = 270, .external_lex_state = 10},
  [10820] = {.lex_state = 270, .external_lex_state = 10},
  [10821] = {.lex_state = 253, .external_lex_state = 10},
  [10822] = {.lex_state = 253, .external_lex_state = 10},
  [10823] = {.lex_state = 253, .external_lex_state = 10},
  [10824] = {.lex_state = 253, .external_lex_state = 10},
  [10825] = {.lex_state = 253, .external_lex_state = 10},
  [10826] = {.lex_state = 253, .external_lex_state = 10},
  [10827] = {.lex_state = 253, .external_lex_state = 10},
  [10828] = {.lex_state = 253, .external_lex_state = 10},
  [10829] = {.lex_state = 257, .external_lex_state = 10},
  [10830] = {.lex_state = 544, .external_lex_state = 9},
  [10831] = {.lex_state = 544, .external_lex_state = 9},
  [10832] = {.lex_state = 544, .external_lex_state = 9},
  [10833] = {.lex_state = 257, .external_lex_state = 10},
  [10834] = {.lex_state = 257, .external_lex_state = 10},
  [10835] = {.lex_state = 257, .external_lex_state = 10},
  [10836] = {.lex_state = 541, .external_lex_state = 12},
  [10837] = {.lex_state = 257, .external_lex_state = 10},
  [10838] = {.lex_state = 257, .external_lex_state = 10},
  [10839] = {.lex_state = 257, .external_lex_state = 10},
  [10840] = {.lex_state = 544, .external_lex_state = 9},
  [10841] = {.lex_state = 544, .external_lex_state = 9},
  [10842] = {.lex_state = 254, .external_lex_state = 9},
  [10843] = {.lex_state = 544, .external_lex_state = 9},
  [10844] = {.lex_state = 384, .external_lex_state = 10},
  [10845] = {.lex_state = 257, .external_lex_state = 10},
  [10846] = {.lex_state = 229, .external_lex_state = 10},
  [10847] = {.lex_state = 257, .external_lex_state = 10},
  [10848] = {.lex_state = 257, .external_lex_state = 10},
  [10849] = {.lex_state = 542, .external_lex_state = 9},
  [10850] = {.lex_state = 234, .external_lex_state = 10},
  [10851] = {.lex_state = 234, .external_lex_state = 10},
  [10852] = {.lex_state = 364, .external_lex_state = 9},
  [10853] = {.lex_state = 234, .external_lex_state = 10},
  [10854] = {.lex_state = 234, .external_lex_state = 10},
  [10855] = {.lex_state = 544, .external_lex_state = 9},
  [10856] = {.lex_state = 234, .external_lex_state = 10},
  [10857] = {.lex_state = 541, .external_lex_state = 12},
  [10858] = {.lex_state = 234, .external_lex_state = 10},
  [10859] = {.lex_state = 541, .external_lex_state = 12},
  [10860] = {.lex_state = 234, .external_lex_state = 10},
  [10861] = {.lex_state = 234, .external_lex_state = 10},
  [10862] = {.lex_state = 234, .external_lex_state = 10},
  [10863] = {.lex_state = 234, .external_lex_state = 10},
  [10864] = {.lex_state = 384, .external_lex_state = 10},
  [10865] = {.lex_state = 544, .external_lex_state = 9},
  [10866] = {.lex_state = 234, .external_lex_state = 10},
  [10867] = {.lex_state = 384, .external_lex_state = 10},
  [10868] = {.lex_state = 384, .external_lex_state = 10},
  [10869] = {.lex_state = 544, .external_lex_state = 9},
  [10870] = {.lex_state = 234, .external_lex_state = 10},
  [10871] = {.lex_state = 234, .external_lex_state = 10},
  [10872] = {.lex_state = 384, .external_lex_state = 10},
  [10873] = {.lex_state = 541, .external_lex_state = 12},
  [10874] = {.lex_state = 234, .external_lex_state = 10},
  [10875] = {.lex_state = 384, .external_lex_state = 10},
  [10876] = {.lex_state = 384, .external_lex_state = 10},
  [10877] = {.lex_state = 384, .external_lex_state = 10},
  [10878] = {.lex_state = 384, .external_lex_state = 10},
  [10879] = {.lex_state = 229, .external_lex_state = 10},
  [10880] = {.lex_state = 268, .external_lex_state = 10},
  [10881] = {.lex_state = 384, .external_lex_state = 10},
  [10882] = {.lex_state = 384, .external_lex_state = 10},
  [10883] = {.lex_state = 542, .external_lex_state = 10},
  [10884] = {.lex_state = 384, .external_lex_state = 10},
  [10885] = {.lex_state = 541, .external_lex_state = 12},
  [10886] = {.lex_state = 541, .external_lex_state = 12},
  [10887] = {.lex_state = 542, .external_lex_state = 9},
  [10888] = {.lex_state = 542, .external_lex_state = 10},
  [10889] = {.lex_state = 234, .external_lex_state = 10},
  [10890] = {.lex_state = 384, .external_lex_state = 10},
  [10891] = {.lex_state = 541, .external_lex_state = 9},
  [10892] = {.lex_state = 541, .external_lex_state = 12},
  [10893] = {.lex_state = 534, .external_lex_state = 9},
  [10894] = {.lex_state = 261, .external_lex_state = 10},
  [10895] = {.lex_state = 541, .external_lex_state = 12},
  [10896] = {.lex_state = 542, .external_lex_state = 10},
  [10897] = {.lex_state = 261, .external_lex_state = 10},
  [10898] = {.lex_state = 384, .external_lex_state = 10},
  [10899] = {.lex_state = 541, .external_lex_state = 12},
  [10900] = {.lex_state = 541, .external_lex_state = 12},
  [10901] = {.lex_state = 384, .external_lex_state = 10},
  [10902] = {.lex_state = 384, .external_lex_state = 10},
  [10903] = {.lex_state = 384, .external_lex_state = 10},
  [10904] = {.lex_state = 542, .external_lex_state = 10},
  [10905] = {.lex_state = 268, .external_lex_state = 10},
  [10906] = {.lex_state = 541, .external_lex_state = 12},
  [10907] = {.lex_state = 363, .external_lex_state = 9},
  [10908] = {.lex_state = 380, .external_lex_state = 10},
  [10909] = {.lex_state = 380, .external_lex_state = 10},
  [10910] = {.lex_state = 380, .external_lex_state = 10},
  [10911] = {.lex_state = 380, .external_lex_state = 10},
  [10912] = {.lex_state = 380, .external_lex_state = 10},
  [10913] = {.lex_state = 384, .external_lex_state = 10},
  [10914] = {.lex_state = 541, .external_lex_state = 12},
  [10915] = {.lex_state = 380, .external_lex_state = 10},
  [10916] = {.lex_state = 380, .external_lex_state = 10},
  [10917] = {.lex_state = 380, .external_lex_state = 10},
  [10918] = {.lex_state = 541, .external_lex_state = 12},
  [10919] = {.lex_state = 380, .external_lex_state = 10},
  [10920] = {.lex_state = 380, .external_lex_state = 10},
  [10921] = {.lex_state = 541, .external_lex_state = 12},
  [10922] = {.lex_state = 534, .external_lex_state = 10},
  [10923] = {.lex_state = 541, .external_lex_state = 12},
  [10924] = {.lex_state = 541, .external_lex_state = 12},
  [10925] = {.lex_state = 363, .external_lex_state = 9},
  [10926] = {.lex_state = 541, .external_lex_state = 9},
  [10927] = {.lex_state = 261, .external_lex_state = 10},
  [10928] = {.lex_state = 384, .external_lex_state = 10},
  [10929] = {.lex_state = 261, .external_lex_state = 10},
  [10930] = {.lex_state = 268, .external_lex_state = 10},
  [10931] = {.lex_state = 544, .external_lex_state = 9},
  [10932] = {.lex_state = 380, .external_lex_state = 10},
  [10933] = {.lex_state = 380, .external_lex_state = 10},
  [10934] = {.lex_state = 254, .external_lex_state = 10},
  [10935] = {.lex_state = 257, .external_lex_state = 10},
  [10936] = {.lex_state = 544, .external_lex_state = 9},
  [10937] = {.lex_state = 260, .external_lex_state = 10},
  [10938] = {.lex_state = 541, .external_lex_state = 9},
  [10939] = {.lex_state = 260, .external_lex_state = 10},
  [10940] = {.lex_state = 260, .external_lex_state = 10},
  [10941] = {.lex_state = 260, .external_lex_state = 10},
  [10942] = {.lex_state = 268, .external_lex_state = 10},
  [10943] = {.lex_state = 534, .external_lex_state = 10},
  [10944] = {.lex_state = 541, .external_lex_state = 9},
  [10945] = {.lex_state = 541, .external_lex_state = 9},
  [10946] = {.lex_state = 544, .external_lex_state = 9},
  [10947] = {.lex_state = 541, .external_lex_state = 9},
  [10948] = {.lex_state = 534, .external_lex_state = 10},
  [10949] = {.lex_state = 541, .external_lex_state = 9},
  [10950] = {.lex_state = 544, .external_lex_state = 9},
  [10951] = {.lex_state = 380, .external_lex_state = 10},
  [10952] = {.lex_state = 380, .external_lex_state = 10},
  [10953] = {.lex_state = 534, .external_lex_state = 10},
  [10954] = {.lex_state = 380, .external_lex_state = 10},
  [10955] = {.lex_state = 541, .external_lex_state = 9},
  [10956] = {.lex_state = 380, .external_lex_state = 10},
  [10957] = {.lex_state = 541, .external_lex_state = 9},
  [10958] = {.lex_state = 544, .external_lex_state = 9},
  [10959] = {.lex_state = 547, .external_lex_state = 10},
  [10960] = {.lex_state = 547, .external_lex_state = 10},
  [10961] = {.lex_state = 547, .external_lex_state = 10},
  [10962] = {.lex_state = 547, .external_lex_state = 10},
  [10963] = {.lex_state = 380, .external_lex_state = 10},
  [10964] = {.lex_state = 534, .external_lex_state = 10},
  [10965] = {.lex_state = 363, .external_lex_state = 9},
  [10966] = {.lex_state = 534, .external_lex_state = 10},
  [10967] = {.lex_state = 384, .external_lex_state = 9},
  [10968] = {.lex_state = 271, .external_lex_state = 10},
  [10969] = {.lex_state = 271, .external_lex_state = 10},
  [10970] = {.lex_state = 271, .external_lex_state = 10},
  [10971] = {.lex_state = 271, .external_lex_state = 10},
  [10972] = {.lex_state = 234, .external_lex_state = 10},
  [10973] = {.lex_state = 544, .external_lex_state = 10},
  [10974] = {.lex_state = 534, .external_lex_state = 10},
  [10975] = {.lex_state = 254, .external_lex_state = 10},
  [10976] = {.lex_state = 254, .external_lex_state = 10},
  [10977] = {.lex_state = 254, .external_lex_state = 10},
  [10978] = {.lex_state = 254, .external_lex_state = 10},
  [10979] = {.lex_state = 254, .external_lex_state = 10},
  [10980] = {.lex_state = 544, .external_lex_state = 9},
  [10981] = {.lex_state = 254, .external_lex_state = 10},
  [10982] = {.lex_state = 254, .external_lex_state = 10},
  [10983] = {.lex_state = 254, .external_lex_state = 10},
  [10984] = {.lex_state = 541, .external_lex_state = 9},
  [10985] = {.lex_state = 534, .external_lex_state = 10},
  [10986] = {.lex_state = 254, .external_lex_state = 10},
  [10987] = {.lex_state = 254, .external_lex_state = 10},
  [10988] = {.lex_state = 254, .external_lex_state = 10},
  [10989] = {.lex_state = 534, .external_lex_state = 10},
  [10990] = {.lex_state = 257, .external_lex_state = 10},
  [10991] = {.lex_state = 544, .external_lex_state = 9},
  [10992] = {.lex_state = 257, .external_lex_state = 10},
  [10993] = {.lex_state = 257, .external_lex_state = 10},
  [10994] = {.lex_state = 544, .external_lex_state = 9},
  [10995] = {.lex_state = 257, .external_lex_state = 10},
  [10996] = {.lex_state = 257, .external_lex_state = 10},
  [10997] = {.lex_state = 257, .external_lex_state = 10},
  [10998] = {.lex_state = 257, .external_lex_state = 10},
  [10999] = {.lex_state = 257, .external_lex_state = 10},
  [11000] = {.lex_state = 257, .external_lex_state = 10},
  [11001] = {.lex_state = 257, .external_lex_state = 10},
  [11002] = {.lex_state = 257, .external_lex_state = 10},
  [11003] = {.lex_state = 384, .external_lex_state = 9},
  [11004] = {.lex_state = 257, .external_lex_state = 10},
  [11005] = {.lex_state = 384, .external_lex_state = 9},
  [11006] = {.lex_state = 542, .external_lex_state = 10},
  [11007] = {.lex_state = 542, .external_lex_state = 10},
  [11008] = {.lex_state = 268, .external_lex_state = 10},
  [11009] = {.lex_state = 268, .external_lex_state = 10},
  [11010] = {.lex_state = 268, .external_lex_state = 10},
  [11011] = {.lex_state = 268, .external_lex_state = 10},
  [11012] = {.lex_state = 268, .external_lex_state = 10},
  [11013] = {.lex_state = 268, .external_lex_state = 10},
  [11014] = {.lex_state = 534, .external_lex_state = 10},
  [11015] = {.lex_state = 268, .external_lex_state = 10},
  [11016] = {.lex_state = 268, .external_lex_state = 10},
  [11017] = {.lex_state = 268, .external_lex_state = 10},
  [11018] = {.lex_state = 268, .external_lex_state = 10},
  [11019] = {.lex_state = 268, .external_lex_state = 10},
  [11020] = {.lex_state = 257, .external_lex_state = 10},
  [11021] = {.lex_state = 542, .external_lex_state = 10},
  [11022] = {.lex_state = 542, .external_lex_state = 10},
  [11023] = {.lex_state = 380, .external_lex_state = 10},
  [11024] = {.lex_state = 542, .external_lex_state = 10},
  [11025] = {.lex_state = 542, .external_lex_state = 10},
  [11026] = {.lex_state = 542, .external_lex_state = 10},
  [11027] = {.lex_state = 542, .external_lex_state = 10},
  [11028] = {.lex_state = 542, .external_lex_state = 10},
  [11029] = {.lex_state = 542, .external_lex_state = 10},
  [11030] = {.lex_state = 542, .external_lex_state = 10},
  [11031] = {.lex_state = 542, .external_lex_state = 10},
  [11032] = {.lex_state = 268, .external_lex_state = 10},
  [11033] = {.lex_state = 380, .external_lex_state = 10},
  [11034] = {.lex_state = 380, .external_lex_state = 10},
  [11035] = {.lex_state = 259, .external_lex_state = 10},
  [11036] = {.lex_state = 259, .external_lex_state = 10},
  [11037] = {.lex_state = 259, .external_lex_state = 10},
  [11038] = {.lex_state = 259, .external_lex_state = 10},
  [11039] = {.lex_state = 268, .external_lex_state = 10},
  [11040] = {.lex_state = 544, .external_lex_state = 10},
  [11041] = {.lex_state = 380, .external_lex_state = 10},
  [11042] = {.lex_state = 257, .external_lex_state = 10},
  [11043] = {.lex_state = 380, .external_lex_state = 10},
  [11044] = {.lex_state = 257, .external_lex_state = 10},
  [11045] = {.lex_state = 257, .external_lex_state = 10},
  [11046] = {.lex_state = 533, .external_lex_state = 9},
  [11047] = {.lex_state = 544, .external_lex_state = 9},
  [11048] = {.lex_state = 384, .external_lex_state = 9},
  [11049] = {.lex_state = 386, .external_lex_state = 10},
  [11050] = {.lex_state = 380, .external_lex_state = 10},
  [11051] = {.lex_state = 386, .external_lex_state = 10},
  [11052] = {.lex_state = 386, .external_lex_state = 10},
  [11053] = {.lex_state = 386, .external_lex_state = 10},
  [11054] = {.lex_state = 380, .external_lex_state = 10},
  [11055] = {.lex_state = 380, .external_lex_state = 10},
  [11056] = {.lex_state = 380, .external_lex_state = 10},
  [11057] = {.lex_state = 380, .external_lex_state = 10},
  [11058] = {.lex_state = 257, .external_lex_state = 10},
  [11059] = {.lex_state = 384, .external_lex_state = 10},
  [11060] = {.lex_state = 257, .external_lex_state = 10},
  [11061] = {.lex_state = 257, .external_lex_state = 10},
  [11062] = {.lex_state = 257, .external_lex_state = 10},
  [11063] = {.lex_state = 257, .external_lex_state = 10},
  [11064] = {.lex_state = 257, .external_lex_state = 10},
  [11065] = {.lex_state = 534, .external_lex_state = 10},
  [11066] = {.lex_state = 257, .external_lex_state = 10},
  [11067] = {.lex_state = 257, .external_lex_state = 10},
  [11068] = {.lex_state = 257, .external_lex_state = 10},
  [11069] = {.lex_state = 257, .external_lex_state = 10},
  [11070] = {.lex_state = 257, .external_lex_state = 10},
  [11071] = {.lex_state = 257, .external_lex_state = 10},
  [11072] = {.lex_state = 257, .external_lex_state = 10},
  [11073] = {.lex_state = 257, .external_lex_state = 10},
  [11074] = {.lex_state = 380, .external_lex_state = 10},
  [11075] = {.lex_state = 380, .external_lex_state = 10},
  [11076] = {.lex_state = 380, .external_lex_state = 10},
  [11077] = {.lex_state = 257, .external_lex_state = 10},
  [11078] = {.lex_state = 257, .external_lex_state = 10},
  [11079] = {.lex_state = 257, .external_lex_state = 10},
  [11080] = {.lex_state = 257, .external_lex_state = 10},
  [11081] = {.lex_state = 257, .external_lex_state = 10},
  [11082] = {.lex_state = 257, .external_lex_state = 10},
  [11083] = {.lex_state = 257, .external_lex_state = 10},
  [11084] = {.lex_state = 380, .external_lex_state = 10},
  [11085] = {.lex_state = 380, .external_lex_state = 10},
  [11086] = {.lex_state = 257, .external_lex_state = 10},
  [11087] = {.lex_state = 257, .external_lex_state = 10},
  [11088] = {.lex_state = 534, .external_lex_state = 10},
  [11089] = {.lex_state = 257, .external_lex_state = 10},
  [11090] = {.lex_state = 380, .external_lex_state = 10},
  [11091] = {.lex_state = 257, .external_lex_state = 10},
  [11092] = {.lex_state = 534, .external_lex_state = 10},
  [11093] = {.lex_state = 257, .external_lex_state = 10},
  [11094] = {.lex_state = 257, .external_lex_state = 10},
  [11095] = {.lex_state = 257, .external_lex_state = 10},
  [11096] = {.lex_state = 257, .external_lex_state = 10},
  [11097] = {.lex_state = 534, .external_lex_state = 10},
  [11098] = {.lex_state = 257, .external_lex_state = 10},
  [11099] = {.lex_state = 257, .external_lex_state = 10},
  [11100] = {.lex_state = 257, .external_lex_state = 10},
  [11101] = {.lex_state = 268, .external_lex_state = 10},
  [11102] = {.lex_state = 268, .external_lex_state = 10},
  [11103] = {.lex_state = 380, .external_lex_state = 10},
  [11104] = {.lex_state = 380, .external_lex_state = 10},
  [11105] = {.lex_state = 380, .external_lex_state = 10},
  [11106] = {.lex_state = 380, .external_lex_state = 10},
  [11107] = {.lex_state = 268, .external_lex_state = 10},
  [11108] = {.lex_state = 257, .external_lex_state = 10},
  [11109] = {.lex_state = 380, .external_lex_state = 10},
  [11110] = {.lex_state = 380, .external_lex_state = 10},
  [11111] = {.lex_state = 380, .external_lex_state = 10},
  [11112] = {.lex_state = 380, .external_lex_state = 10},
  [11113] = {.lex_state = 541, .external_lex_state = 9},
  [11114] = {.lex_state = 380, .external_lex_state = 10},
  [11115] = {.lex_state = 380, .external_lex_state = 10},
  [11116] = {.lex_state = 380, .external_lex_state = 10},
  [11117] = {.lex_state = 268, .external_lex_state = 10},
  [11118] = {.lex_state = 268, .external_lex_state = 10},
  [11119] = {.lex_state = 268, .external_lex_state = 10},
  [11120] = {.lex_state = 268, .external_lex_state = 10},
  [11121] = {.lex_state = 380, .external_lex_state = 10},
  [11122] = {.lex_state = 380, .external_lex_state = 10},
  [11123] = {.lex_state = 380, .external_lex_state = 10},
  [11124] = {.lex_state = 380, .external_lex_state = 10},
  [11125] = {.lex_state = 380, .external_lex_state = 10},
  [11126] = {.lex_state = 380, .external_lex_state = 10},
  [11127] = {.lex_state = 268, .external_lex_state = 10},
  [11128] = {.lex_state = 268, .external_lex_state = 10},
  [11129] = {.lex_state = 268, .external_lex_state = 10},
  [11130] = {.lex_state = 380, .external_lex_state = 10},
  [11131] = {.lex_state = 268, .external_lex_state = 10},
  [11132] = {.lex_state = 380, .external_lex_state = 10},
  [11133] = {.lex_state = 268, .external_lex_state = 10},
  [11134] = {.lex_state = 380, .external_lex_state = 10},
  [11135] = {.lex_state = 380, .external_lex_state = 10},
  [11136] = {.lex_state = 380, .external_lex_state = 10},
  [11137] = {.lex_state = 380, .external_lex_state = 10},
  [11138] = {.lex_state = 380, .external_lex_state = 10},
  [11139] = {.lex_state = 268, .external_lex_state = 10},
  [11140] = {.lex_state = 380, .external_lex_state = 10},
  [11141] = {.lex_state = 380, .external_lex_state = 10},
  [11142] = {.lex_state = 268, .external_lex_state = 10},
  [11143] = {.lex_state = 268, .external_lex_state = 10},
  [11144] = {.lex_state = 380, .external_lex_state = 10},
  [11145] = {.lex_state = 380, .external_lex_state = 10},
  [11146] = {.lex_state = 268, .external_lex_state = 10},
  [11147] = {.lex_state = 268, .external_lex_state = 10},
  [11148] = {.lex_state = 268, .external_lex_state = 10},
  [11149] = {.lex_state = 268, .external_lex_state = 10},
  [11150] = {.lex_state = 268, .external_lex_state = 10},
  [11151] = {.lex_state = 268, .external_lex_state = 10},
  [11152] = {.lex_state = 268, .external_lex_state = 10},
  [11153] = {.lex_state = 268, .external_lex_state = 10},
  [11154] = {.lex_state = 268, .external_lex_state = 10},
  [11155] = {.lex_state = 534, .external_lex_state = 10},
  [11156] = {.lex_state = 268, .external_lex_state = 10},
  [11157] = {.lex_state = 380, .external_lex_state = 10},
  [11158] = {.lex_state = 268, .external_lex_state = 10},
  [11159] = {.lex_state = 268, .external_lex_state = 10},
  [11160] = {.lex_state = 268, .external_lex_state = 10},
  [11161] = {.lex_state = 268, .external_lex_state = 10},
  [11162] = {.lex_state = 268, .external_lex_state = 10},
  [11163] = {.lex_state = 268, .external_lex_state = 10},
  [11164] = {.lex_state = 257, .external_lex_state = 10},
  [11165] = {.lex_state = 268, .external_lex_state = 10},
  [11166] = {.lex_state = 268, .external_lex_state = 10},
  [11167] = {.lex_state = 380, .external_lex_state = 10},
  [11168] = {.lex_state = 268, .external_lex_state = 10},
  [11169] = {.lex_state = 268, .external_lex_state = 10},
  [11170] = {.lex_state = 257, .external_lex_state = 10},
  [11171] = {.lex_state = 257, .external_lex_state = 10},
  [11172] = {.lex_state = 257, .external_lex_state = 10},
  [11173] = {.lex_state = 268, .external_lex_state = 10},
  [11174] = {.lex_state = 541, .external_lex_state = 9},
  [11175] = {.lex_state = 268, .external_lex_state = 10},
  [11176] = {.lex_state = 268, .external_lex_state = 10},
  [11177] = {.lex_state = 268, .external_lex_state = 10},
  [11178] = {.lex_state = 380, .external_lex_state = 10},
  [11179] = {.lex_state = 268, .external_lex_state = 10},
  [11180] = {.lex_state = 363, .external_lex_state = 9},
  [11181] = {.lex_state = 262, .external_lex_state = 10},
  [11182] = {.lex_state = 262, .external_lex_state = 10},
  [11183] = {.lex_state = 380, .external_lex_state = 10},
  [11184] = {.lex_state = 262, .external_lex_state = 10},
  [11185] = {.lex_state = 262, .external_lex_state = 10},
  [11186] = {.lex_state = 255, .external_lex_state = 10},
  [11187] = {.lex_state = 541, .external_lex_state = 9},
  [11188] = {.lex_state = 380, .external_lex_state = 10},
  [11189] = {.lex_state = 265, .external_lex_state = 10},
  [11190] = {.lex_state = 541, .external_lex_state = 9},
  [11191] = {.lex_state = 257, .external_lex_state = 10},
  [11192] = {.lex_state = 268, .external_lex_state = 10},
  [11193] = {.lex_state = 229, .external_lex_state = 10},
  [11194] = {.lex_state = 363, .external_lex_state = 9},
  [11195] = {.lex_state = 254, .external_lex_state = 10},
  [11196] = {.lex_state = 542, .external_lex_state = 10},
  [11197] = {.lex_state = 368, .external_lex_state = 9},
  [11198] = {.lex_state = 534, .external_lex_state = 10},
  [11199] = {.lex_state = 368, .external_lex_state = 9},
  [11200] = {.lex_state = 364, .external_lex_state = 10},
  [11201] = {.lex_state = 364, .external_lex_state = 10},
  [11202] = {.lex_state = 380, .external_lex_state = 9},
  [11203] = {.lex_state = 534, .external_lex_state = 10},
  [11204] = {.lex_state = 380, .external_lex_state = 10},
  [11205] = {.lex_state = 364, .external_lex_state = 10},
  [11206] = {.lex_state = 254, .external_lex_state = 10},
  [11207] = {.lex_state = 534, .external_lex_state = 10},
  [11208] = {.lex_state = 254, .external_lex_state = 10},
  [11209] = {.lex_state = 254, .external_lex_state = 10},
  [11210] = {.lex_state = 380, .external_lex_state = 10},
  [11211] = {.lex_state = 254, .external_lex_state = 10},
  [11212] = {.lex_state = 254, .external_lex_state = 10},
  [11213] = {.lex_state = 254, .external_lex_state = 10},
  [11214] = {.lex_state = 254, .external_lex_state = 10},
  [11215] = {.lex_state = 368, .external_lex_state = 9},
  [11216] = {.lex_state = 254, .external_lex_state = 10},
  [11217] = {.lex_state = 254, .external_lex_state = 10},
  [11218] = {.lex_state = 368, .external_lex_state = 9},
  [11219] = {.lex_state = 254, .external_lex_state = 10},
  [11220] = {.lex_state = 541, .external_lex_state = 9},
  [11221] = {.lex_state = 254, .external_lex_state = 10},
  [11222] = {.lex_state = 254, .external_lex_state = 10},
  [11223] = {.lex_state = 254, .external_lex_state = 10},
  [11224] = {.lex_state = 254, .external_lex_state = 10},
  [11225] = {.lex_state = 254, .external_lex_state = 10},
  [11226] = {.lex_state = 254, .external_lex_state = 10},
  [11227] = {.lex_state = 254, .external_lex_state = 10},
  [11228] = {.lex_state = 254, .external_lex_state = 10},
  [11229] = {.lex_state = 254, .external_lex_state = 10},
  [11230] = {.lex_state = 254, .external_lex_state = 10},
  [11231] = {.lex_state = 254, .external_lex_state = 10},
  [11232] = {.lex_state = 254, .external_lex_state = 10},
  [11233] = {.lex_state = 254, .external_lex_state = 10},
  [11234] = {.lex_state = 542, .external_lex_state = 10},
  [11235] = {.lex_state = 254, .external_lex_state = 10},
  [11236] = {.lex_state = 254, .external_lex_state = 10},
  [11237] = {.lex_state = 254, .external_lex_state = 10},
  [11238] = {.lex_state = 254, .external_lex_state = 10},
  [11239] = {.lex_state = 254, .external_lex_state = 10},
  [11240] = {.lex_state = 254, .external_lex_state = 10},
  [11241] = {.lex_state = 254, .external_lex_state = 10},
  [11242] = {.lex_state = 368, .external_lex_state = 9},
  [11243] = {.lex_state = 541, .external_lex_state = 9},
  [11244] = {.lex_state = 254, .external_lex_state = 10},
  [11245] = {.lex_state = 254, .external_lex_state = 10},
  [11246] = {.lex_state = 364, .external_lex_state = 10},
  [11247] = {.lex_state = 254, .external_lex_state = 10},
  [11248] = {.lex_state = 254, .external_lex_state = 10},
  [11249] = {.lex_state = 534, .external_lex_state = 10},
  [11250] = {.lex_state = 541, .external_lex_state = 10},
  [11251] = {.lex_state = 363, .external_lex_state = 9},
  [11252] = {.lex_state = 542, .external_lex_state = 10},
  [11253] = {.lex_state = 542, .external_lex_state = 10},
  [11254] = {.lex_state = 542, .external_lex_state = 10},
  [11255] = {.lex_state = 380, .external_lex_state = 11},
  [11256] = {.lex_state = 542, .external_lex_state = 10},
  [11257] = {.lex_state = 542, .external_lex_state = 10},
  [11258] = {.lex_state = 542, .external_lex_state = 10},
  [11259] = {.lex_state = 534, .external_lex_state = 10},
  [11260] = {.lex_state = 534, .external_lex_state = 10},
  [11261] = {.lex_state = 534, .external_lex_state = 10},
  [11262] = {.lex_state = 541, .external_lex_state = 9},
  [11263] = {.lex_state = 364, .external_lex_state = 10},
  [11264] = {.lex_state = 254, .external_lex_state = 10},
  [11265] = {.lex_state = 541, .external_lex_state = 9},
  [11266] = {.lex_state = 254, .external_lex_state = 10},
  [11267] = {.lex_state = 254, .external_lex_state = 10},
  [11268] = {.lex_state = 254, .external_lex_state = 10},
  [11269] = {.lex_state = 254, .external_lex_state = 10},
  [11270] = {.lex_state = 542, .external_lex_state = 10},
  [11271] = {.lex_state = 542, .external_lex_state = 10},
  [11272] = {.lex_state = 542, .external_lex_state = 10},
  [11273] = {.lex_state = 254, .external_lex_state = 10},
  [11274] = {.lex_state = 542, .external_lex_state = 10},
  [11275] = {.lex_state = 542, .external_lex_state = 10},
  [11276] = {.lex_state = 542, .external_lex_state = 10},
  [11277] = {.lex_state = 542, .external_lex_state = 10},
  [11278] = {.lex_state = 542, .external_lex_state = 10},
  [11279] = {.lex_state = 541, .external_lex_state = 9},
  [11280] = {.lex_state = 542, .external_lex_state = 10},
  [11281] = {.lex_state = 542, .external_lex_state = 10},
  [11282] = {.lex_state = 542, .external_lex_state = 10},
  [11283] = {.lex_state = 541, .external_lex_state = 9},
  [11284] = {.lex_state = 542, .external_lex_state = 10},
  [11285] = {.lex_state = 542, .external_lex_state = 10},
  [11286] = {.lex_state = 542, .external_lex_state = 10},
  [11287] = {.lex_state = 254, .external_lex_state = 10},
  [11288] = {.lex_state = 542, .external_lex_state = 10},
  [11289] = {.lex_state = 542, .external_lex_state = 10},
  [11290] = {.lex_state = 544, .external_lex_state = 10},
  [11291] = {.lex_state = 542, .external_lex_state = 10},
  [11292] = {.lex_state = 542, .external_lex_state = 10},
  [11293] = {.lex_state = 542, .external_lex_state = 10},
  [11294] = {.lex_state = 542, .external_lex_state = 10},
  [11295] = {.lex_state = 542, .external_lex_state = 10},
  [11296] = {.lex_state = 380, .external_lex_state = 9},
  [11297] = {.lex_state = 542, .external_lex_state = 10},
  [11298] = {.lex_state = 382, .external_lex_state = 10},
  [11299] = {.lex_state = 382, .external_lex_state = 10},
  [11300] = {.lex_state = 254, .external_lex_state = 10},
  [11301] = {.lex_state = 364, .external_lex_state = 10},
  [11302] = {.lex_state = 542, .external_lex_state = 10},
  [11303] = {.lex_state = 382, .external_lex_state = 10},
  [11304] = {.lex_state = 382, .external_lex_state = 10},
  [11305] = {.lex_state = 542, .external_lex_state = 10},
  [11306] = {.lex_state = 364, .external_lex_state = 10},
  [11307] = {.lex_state = 534, .external_lex_state = 10},
  [11308] = {.lex_state = 368, .external_lex_state = 9},
  [11309] = {.lex_state = 542, .external_lex_state = 10},
  [11310] = {.lex_state = 542, .external_lex_state = 10},
  [11311] = {.lex_state = 263, .external_lex_state = 10},
  [11312] = {.lex_state = 542, .external_lex_state = 10},
  [11313] = {.lex_state = 542, .external_lex_state = 10},
  [11314] = {.lex_state = 542, .external_lex_state = 10},
  [11315] = {.lex_state = 542, .external_lex_state = 10},
  [11316] = {.lex_state = 368, .external_lex_state = 9},
  [11317] = {.lex_state = 364, .external_lex_state = 10},
  [11318] = {.lex_state = 542, .external_lex_state = 10},
  [11319] = {.lex_state = 542, .external_lex_state = 10},
  [11320] = {.lex_state = 542, .external_lex_state = 10},
  [11321] = {.lex_state = 542, .external_lex_state = 10},
  [11322] = {.lex_state = 542, .external_lex_state = 10},
  [11323] = {.lex_state = 542, .external_lex_state = 10},
  [11324] = {.lex_state = 542, .external_lex_state = 10},
  [11325] = {.lex_state = 541, .external_lex_state = 10},
  [11326] = {.lex_state = 534, .external_lex_state = 10},
  [11327] = {.lex_state = 534, .external_lex_state = 10},
  [11328] = {.lex_state = 263, .external_lex_state = 10},
  [11329] = {.lex_state = 229, .external_lex_state = 10},
  [11330] = {.lex_state = 380, .external_lex_state = 9},
  [11331] = {.lex_state = 263, .external_lex_state = 10},
  [11332] = {.lex_state = 542, .external_lex_state = 10},
  [11333] = {.lex_state = 263, .external_lex_state = 10},
  [11334] = {.lex_state = 541, .external_lex_state = 9},
  [11335] = {.lex_state = 254, .external_lex_state = 10},
  [11336] = {.lex_state = 541, .external_lex_state = 10},
  [11337] = {.lex_state = 254, .external_lex_state = 10},
  [11338] = {.lex_state = 541, .external_lex_state = 9},
  [11339] = {.lex_state = 254, .external_lex_state = 10},
  [11340] = {.lex_state = 254, .external_lex_state = 10},
  [11341] = {.lex_state = 254, .external_lex_state = 10},
  [11342] = {.lex_state = 254, .external_lex_state = 10},
  [11343] = {.lex_state = 254, .external_lex_state = 10},
  [11344] = {.lex_state = 254, .external_lex_state = 10},
  [11345] = {.lex_state = 254, .external_lex_state = 10},
  [11346] = {.lex_state = 254, .external_lex_state = 10},
  [11347] = {.lex_state = 254, .external_lex_state = 10},
  [11348] = {.lex_state = 254, .external_lex_state = 10},
  [11349] = {.lex_state = 546, .external_lex_state = 10},
  [11350] = {.lex_state = 534, .external_lex_state = 10},
  [11351] = {.lex_state = 546, .external_lex_state = 10},
  [11352] = {.lex_state = 544, .external_lex_state = 10},
  [11353] = {.lex_state = 546, .external_lex_state = 10},
  [11354] = {.lex_state = 546, .external_lex_state = 10},
  [11355] = {.lex_state = 364, .external_lex_state = 10},
  [11356] = {.lex_state = 380, .external_lex_state = 9},
  [11357] = {.lex_state = 542, .external_lex_state = 10},
  [11358] = {.lex_state = 541, .external_lex_state = 10},
  [11359] = {.lex_state = 254, .external_lex_state = 10},
  [11360] = {.lex_state = 542, .external_lex_state = 10},
  [11361] = {.lex_state = 542, .external_lex_state = 10},
  [11362] = {.lex_state = 542, .external_lex_state = 10},
  [11363] = {.lex_state = 542, .external_lex_state = 10},
  [11364] = {.lex_state = 542, .external_lex_state = 10},
  [11365] = {.lex_state = 542, .external_lex_state = 10},
  [11366] = {.lex_state = 544, .external_lex_state = 10},
  [11367] = {.lex_state = 542, .external_lex_state = 10},
  [11368] = {.lex_state = 534, .external_lex_state = 10},
  [11369] = {.lex_state = 542, .external_lex_state = 10},
  [11370] = {.lex_state = 542, .external_lex_state = 10},
  [11371] = {.lex_state = 364, .external_lex_state = 10},
  [11372] = {.lex_state = 115, .external_lex_state = 12},
  [11373] = {.lex_state = 541, .external_lex_state = 10},
  [11374] = {.lex_state = 364, .external_lex_state = 10},
  [11375] = {.lex_state = 286, .external_lex_state = 12},
  [11376] = {.lex_state = 384, .external_lex_state = 10},
  [11377] = {.lex_state = 286, .external_lex_state = 12},
  [11378] = {.lex_state = 286, .external_lex_state = 12},
  [11379] = {.lex_state = 541, .external_lex_state = 11},
  [11380] = {.lex_state = 391, .external_lex_state = 12},
  [11381] = {.lex_state = 391, .external_lex_state = 12},
  [11382] = {.lex_state = 380, .external_lex_state = 11},
  [11383] = {.lex_state = 364, .external_lex_state = 10},
  [11384] = {.lex_state = 391, .external_lex_state = 12},
  [11385] = {.lex_state = 364, .external_lex_state = 10},
  [11386] = {.lex_state = 544, .external_lex_state = 10},
  [11387] = {.lex_state = 391, .external_lex_state = 12},
  [11388] = {.lex_state = 286, .external_lex_state = 12},
  [11389] = {.lex_state = 364, .external_lex_state = 10},
  [11390] = {.lex_state = 542, .external_lex_state = 11},
  [11391] = {.lex_state = 370, .external_lex_state = 9},
  [11392] = {.lex_state = 364, .external_lex_state = 10},
  [11393] = {.lex_state = 541, .external_lex_state = 10},
  [11394] = {.lex_state = 541, .external_lex_state = 10},
  [11395] = {.lex_state = 254, .external_lex_state = 11},
  [11396] = {.lex_state = 254, .external_lex_state = 11},
  [11397] = {.lex_state = 383, .external_lex_state = 12},
  [11398] = {.lex_state = 369, .external_lex_state = 10},
  [11399] = {.lex_state = 364, .external_lex_state = 10},
  [11400] = {.lex_state = 364, .external_lex_state = 10},
  [11401] = {.lex_state = 369, .external_lex_state = 10},
  [11402] = {.lex_state = 283, .external_lex_state = 12},
  [11403] = {.lex_state = 369, .external_lex_state = 10},
  [11404] = {.lex_state = 283, .external_lex_state = 12},
  [11405] = {.lex_state = 369, .external_lex_state = 10},
  [11406] = {.lex_state = 364, .external_lex_state = 10},
  [11407] = {.lex_state = 364, .external_lex_state = 10},
  [11408] = {.lex_state = 541, .external_lex_state = 10},
  [11409] = {.lex_state = 542, .external_lex_state = 11},
  [11410] = {.lex_state = 254, .external_lex_state = 11},
  [11411] = {.lex_state = 534, .external_lex_state = 10},
  [11412] = {.lex_state = 380, .external_lex_state = 11},
  [11413] = {.lex_state = 519, .external_lex_state = 12},
  [11414] = {.lex_state = 542, .external_lex_state = 11},
  [11415] = {.lex_state = 283, .external_lex_state = 12},
  [11416] = {.lex_state = 283, .external_lex_state = 12},
  [11417] = {.lex_state = 364, .external_lex_state = 10},
  [11418] = {.lex_state = 519, .external_lex_state = 12},
  [11419] = {.lex_state = 364, .external_lex_state = 10},
  [11420] = {.lex_state = 519, .external_lex_state = 12},
  [11421] = {.lex_state = 541, .external_lex_state = 10},
  [11422] = {.lex_state = 544, .external_lex_state = 10},
  [11423] = {.lex_state = 519, .external_lex_state = 12},
  [11424] = {.lex_state = 541, .external_lex_state = 10},
  [11425] = {.lex_state = 370, .external_lex_state = 9},
  [11426] = {.lex_state = 534, .external_lex_state = 10},
  [11427] = {.lex_state = 534, .external_lex_state = 10},
  [11428] = {.lex_state = 363, .external_lex_state = 9},
  [11429] = {.lex_state = 363, .external_lex_state = 9},
  [11430] = {.lex_state = 115, .external_lex_state = 12},
  [11431] = {.lex_state = 115, .external_lex_state = 12},
  [11432] = {.lex_state = 541, .external_lex_state = 11},
  [11433] = {.lex_state = 541, .external_lex_state = 11},
  [11434] = {.lex_state = 115, .external_lex_state = 12},
  [11435] = {.lex_state = 380, .external_lex_state = 12},
  [11436] = {.lex_state = 541, .external_lex_state = 11},
  [11437] = {.lex_state = 534, .external_lex_state = 10},
  [11438] = {.lex_state = 514, .external_lex_state = 12},
  [11439] = {.lex_state = 389, .external_lex_state = 10},
  [11440] = {.lex_state = 281, .external_lex_state = 12},
  [11441] = {.lex_state = 281, .external_lex_state = 12},
  [11442] = {.lex_state = 364, .external_lex_state = 10},
  [11443] = {.lex_state = 541, .external_lex_state = 11},
  [11444] = {.lex_state = 380, .external_lex_state = 12},
  [11445] = {.lex_state = 364, .external_lex_state = 10},
  [11446] = {.lex_state = 380, .external_lex_state = 12},
  [11447] = {.lex_state = 388, .external_lex_state = 10},
  [11448] = {.lex_state = 380, .external_lex_state = 12},
  [11449] = {.lex_state = 284, .external_lex_state = 12},
  [11450] = {.lex_state = 284, .external_lex_state = 12},
  [11451] = {.lex_state = 261, .external_lex_state = 12},
  [11452] = {.lex_state = 284, .external_lex_state = 12},
  [11453] = {.lex_state = 261, .external_lex_state = 12},
  [11454] = {.lex_state = 284, .external_lex_state = 12},
  [11455] = {.lex_state = 255, .external_lex_state = 12},
  [11456] = {.lex_state = 388, .external_lex_state = 10},
  [11457] = {.lex_state = 75, .external_lex_state = 12},
  [11458] = {.lex_state = 75, .external_lex_state = 12},
  [11459] = {.lex_state = 75, .external_lex_state = 12},
  [11460] = {.lex_state = 75, .external_lex_state = 12},
  [11461] = {.lex_state = 364, .external_lex_state = 10},
  [11462] = {.lex_state = 261, .external_lex_state = 12},
  [11463] = {.lex_state = 261, .external_lex_state = 12},
  [11464] = {.lex_state = 380, .external_lex_state = 12},
  [11465] = {.lex_state = 514, .external_lex_state = 12},
  [11466] = {.lex_state = 381, .external_lex_state = 12},
  [11467] = {.lex_state = 542, .external_lex_state = 11},
  [11468] = {.lex_state = 541, .external_lex_state = 11},
  [11469] = {.lex_state = 388, .external_lex_state = 10},
  [11470] = {.lex_state = 514, .external_lex_state = 12},
  [11471] = {.lex_state = 541, .external_lex_state = 11},
  [11472] = {.lex_state = 514, .external_lex_state = 12},
  [11473] = {.lex_state = 381, .external_lex_state = 12},
  [11474] = {.lex_state = 380, .external_lex_state = 11},
  [11475] = {.lex_state = 388, .external_lex_state = 9},
  [11476] = {.lex_state = 281, .external_lex_state = 12},
  [11477] = {.lex_state = 541, .external_lex_state = 11},
  [11478] = {.lex_state = 380, .external_lex_state = 12},
  [11479] = {.lex_state = 399, .external_lex_state = 12},
  [11480] = {.lex_state = 381, .external_lex_state = 12},
  [11481] = {.lex_state = 368, .external_lex_state = 10},
  [11482] = {.lex_state = 368, .external_lex_state = 10},
  [11483] = {.lex_state = 264, .external_lex_state = 12},
  [11484] = {.lex_state = 380, .external_lex_state = 12},
  [11485] = {.lex_state = 264, .external_lex_state = 12},
  [11486] = {.lex_state = 541, .external_lex_state = 11},
  [11487] = {.lex_state = 380, .external_lex_state = 12},
  [11488] = {.lex_state = 541, .external_lex_state = 10},
  [11489] = {.lex_state = 282, .external_lex_state = 12},
  [11490] = {.lex_state = 282, .external_lex_state = 12},
  [11491] = {.lex_state = 282, .external_lex_state = 12},
  [11492] = {.lex_state = 388, .external_lex_state = 9},
  [11493] = {.lex_state = 282, .external_lex_state = 12},
  [11494] = {.lex_state = 541, .external_lex_state = 10},
  [11495] = {.lex_state = 541, .external_lex_state = 11},
  [11496] = {.lex_state = 264, .external_lex_state = 12},
  [11497] = {.lex_state = 388, .external_lex_state = 9},
  [11498] = {.lex_state = 380, .external_lex_state = 12},
  [11499] = {.lex_state = 281, .external_lex_state = 12},
  [11500] = {.lex_state = 380, .external_lex_state = 12},
  [11501] = {.lex_state = 389, .external_lex_state = 10},
  [11502] = {.lex_state = 389, .external_lex_state = 10},
  [11503] = {.lex_state = 389, .external_lex_state = 10},
  [11504] = {.lex_state = 264, .external_lex_state = 12},
  [11505] = {.lex_state = 380, .external_lex_state = 12},
  [11506] = {.lex_state = 368, .external_lex_state = 10},
  [11507] = {.lex_state = 380, .external_lex_state = 12},
  [11508] = {.lex_state = 380, .external_lex_state = 12},
  [11509] = {.lex_state = 380, .external_lex_state = 12},
  [11510] = {.lex_state = 541, .external_lex_state = 10},
  [11511] = {.lex_state = 534, .external_lex_state = 10},
  [11512] = {.lex_state = 380, .external_lex_state = 12},
  [11513] = {.lex_state = 380, .external_lex_state = 12},
  [11514] = {.lex_state = 380, .external_lex_state = 12},
  [11515] = {.lex_state = 380, .external_lex_state = 12},
  [11516] = {.lex_state = 380, .external_lex_state = 12},
  [11517] = {.lex_state = 380, .external_lex_state = 12},
  [11518] = {.lex_state = 388, .external_lex_state = 9},
  [11519] = {.lex_state = 380, .external_lex_state = 11},
  [11520] = {.lex_state = 380, .external_lex_state = 12},
  [11521] = {.lex_state = 380, .external_lex_state = 12},
  [11522] = {.lex_state = 380, .external_lex_state = 12},
  [11523] = {.lex_state = 265, .external_lex_state = 12},
  [11524] = {.lex_state = 380, .external_lex_state = 12},
  [11525] = {.lex_state = 380, .external_lex_state = 12},
  [11526] = {.lex_state = 380, .external_lex_state = 12},
  [11527] = {.lex_state = 380, .external_lex_state = 12},
  [11528] = {.lex_state = 380, .external_lex_state = 12},
  [11529] = {.lex_state = 364, .external_lex_state = 10},
  [11530] = {.lex_state = 380, .external_lex_state = 12},
  [11531] = {.lex_state = 380, .external_lex_state = 12},
  [11532] = {.lex_state = 364, .external_lex_state = 10},
  [11533] = {.lex_state = 388, .external_lex_state = 10},
  [11534] = {.lex_state = 364, .external_lex_state = 10},
  [11535] = {.lex_state = 380, .external_lex_state = 12},
  [11536] = {.lex_state = 254, .external_lex_state = 11},
  [11537] = {.lex_state = 380, .external_lex_state = 12},
  [11538] = {.lex_state = 380, .external_lex_state = 12},
  [11539] = {.lex_state = 388, .external_lex_state = 9},
  [11540] = {.lex_state = 380, .external_lex_state = 12},
  [11541] = {.lex_state = 380, .external_lex_state = 12},
  [11542] = {.lex_state = 380, .external_lex_state = 12},
  [11543] = {.lex_state = 380, .external_lex_state = 12},
  [11544] = {.lex_state = 380, .external_lex_state = 12},
  [11545] = {.lex_state = 254, .external_lex_state = 11},
  [11546] = {.lex_state = 542, .external_lex_state = 11},
  [11547] = {.lex_state = 364, .external_lex_state = 10},
  [11548] = {.lex_state = 380, .external_lex_state = 12},
  [11549] = {.lex_state = 541, .external_lex_state = 10},
  [11550] = {.lex_state = 380, .external_lex_state = 12},
  [11551] = {.lex_state = 380, .external_lex_state = 12},
  [11552] = {.lex_state = 541, .external_lex_state = 11},
  [11553] = {.lex_state = 541, .external_lex_state = 11},
  [11554] = {.lex_state = 368, .external_lex_state = 10},
  [11555] = {.lex_state = 541, .external_lex_state = 11},
  [11556] = {.lex_state = 380, .external_lex_state = 10},
  [11557] = {.lex_state = 541, .external_lex_state = 11},
  [11558] = {.lex_state = 371, .external_lex_state = 10},
  [11559] = {.lex_state = 380, .external_lex_state = 12},
  [11560] = {.lex_state = 380, .external_lex_state = 10},
  [11561] = {.lex_state = 381, .external_lex_state = 12},
  [11562] = {.lex_state = 380, .external_lex_state = 13},
  [11563] = {.lex_state = 388, .external_lex_state = 10},
  [11564] = {.lex_state = 541, .external_lex_state = 12},
  [11565] = {.lex_state = 380, .external_lex_state = 13},
  [11566] = {.lex_state = 364, .external_lex_state = 10},
  [11567] = {.lex_state = 350, .external_lex_state = 12},
  [11568] = {.lex_state = 364, .external_lex_state = 10},
  [11569] = {.lex_state = 364, .external_lex_state = 10},
  [11570] = {.lex_state = 350, .external_lex_state = 12},
  [11571] = {.lex_state = 350, .external_lex_state = 12},
  [11572] = {.lex_state = 370, .external_lex_state = 10},
  [11573] = {.lex_state = 370, .external_lex_state = 10},
  [11574] = {.lex_state = 370, .external_lex_state = 10},
  [11575] = {.lex_state = 380, .external_lex_state = 12},
  [11576] = {.lex_state = 364, .external_lex_state = 10},
  [11577] = {.lex_state = 364, .external_lex_state = 10},
  [11578] = {.lex_state = 541, .external_lex_state = 12},
  [11579] = {.lex_state = 541, .external_lex_state = 12},
  [11580] = {.lex_state = 364, .external_lex_state = 10},
  [11581] = {.lex_state = 370, .external_lex_state = 10},
  [11582] = {.lex_state = 350, .external_lex_state = 12},
  [11583] = {.lex_state = 541, .external_lex_state = 12},
  [11584] = {.lex_state = 380, .external_lex_state = 12},
  [11585] = {.lex_state = 364, .external_lex_state = 10},
  [11586] = {.lex_state = 370, .external_lex_state = 10},
  [11587] = {.lex_state = 541, .external_lex_state = 12},
  [11588] = {.lex_state = 370, .external_lex_state = 10},
  [11589] = {.lex_state = 541, .external_lex_state = 12},
  [11590] = {.lex_state = 370, .external_lex_state = 10},
  [11591] = {.lex_state = 350, .external_lex_state = 12},
  [11592] = {.lex_state = 370, .external_lex_state = 10},
  [11593] = {.lex_state = 370, .external_lex_state = 10},
  [11594] = {.lex_state = 370, .external_lex_state = 10},
  [11595] = {.lex_state = 370, .external_lex_state = 10},
  [11596] = {.lex_state = 370, .external_lex_state = 10},
  [11597] = {.lex_state = 364, .external_lex_state = 10},
  [11598] = {.lex_state = 370, .external_lex_state = 10},
  [11599] = {.lex_state = 380, .external_lex_state = 12},
  [11600] = {.lex_state = 254, .external_lex_state = 12},
  [11601] = {.lex_state = 370, .external_lex_state = 10},
  [11602] = {.lex_state = 254, .external_lex_state = 12},
  [11603] = {.lex_state = 254, .external_lex_state = 12},
  [11604] = {.lex_state = 254, .external_lex_state = 12},
  [11605] = {.lex_state = 254, .external_lex_state = 12},
  [11606] = {.lex_state = 254, .external_lex_state = 12},
  [11607] = {.lex_state = 370, .external_lex_state = 10},
  [11608] = {.lex_state = 370, .external_lex_state = 10},
  [11609] = {.lex_state = 254, .external_lex_state = 12},
  [11610] = {.lex_state = 380, .external_lex_state = 12},
  [11611] = {.lex_state = 370, .external_lex_state = 10},
  [11612] = {.lex_state = 254, .external_lex_state = 12},
  [11613] = {.lex_state = 254, .external_lex_state = 12},
  [11614] = {.lex_state = 364, .external_lex_state = 10},
  [11615] = {.lex_state = 254, .external_lex_state = 12},
  [11616] = {.lex_state = 370, .external_lex_state = 10},
  [11617] = {.lex_state = 370, .external_lex_state = 10},
  [11618] = {.lex_state = 370, .external_lex_state = 10},
  [11619] = {.lex_state = 370, .external_lex_state = 10},
  [11620] = {.lex_state = 370, .external_lex_state = 10},
  [11621] = {.lex_state = 380, .external_lex_state = 12},
  [11622] = {.lex_state = 364, .external_lex_state = 10},
  [11623] = {.lex_state = 370, .external_lex_state = 10},
  [11624] = {.lex_state = 254, .external_lex_state = 12},
  [11625] = {.lex_state = 364, .external_lex_state = 10},
  [11626] = {.lex_state = 254, .external_lex_state = 12},
  [11627] = {.lex_state = 380, .external_lex_state = 12},
  [11628] = {.lex_state = 370, .external_lex_state = 10},
  [11629] = {.lex_state = 542, .external_lex_state = 12},
  [11630] = {.lex_state = 542, .external_lex_state = 12},
  [11631] = {.lex_state = 254, .external_lex_state = 12},
  [11632] = {.lex_state = 542, .external_lex_state = 12},
  [11633] = {.lex_state = 350, .external_lex_state = 12},
  [11634] = {.lex_state = 254, .external_lex_state = 12},
  [11635] = {.lex_state = 380, .external_lex_state = 12},
  [11636] = {.lex_state = 542, .external_lex_state = 12},
  [11637] = {.lex_state = 254, .external_lex_state = 12},
  [11638] = {.lex_state = 254, .external_lex_state = 12},
  [11639] = {.lex_state = 370, .external_lex_state = 10},
  [11640] = {.lex_state = 254, .external_lex_state = 12},
  [11641] = {.lex_state = 254, .external_lex_state = 12},
  [11642] = {.lex_state = 350, .external_lex_state = 12},
  [11643] = {.lex_state = 254, .external_lex_state = 12},
  [11644] = {.lex_state = 364, .external_lex_state = 10},
  [11645] = {.lex_state = 364, .external_lex_state = 10},
  [11646] = {.lex_state = 380, .external_lex_state = 12},
  [11647] = {.lex_state = 542, .external_lex_state = 12},
  [11648] = {.lex_state = 254, .external_lex_state = 12},
  [11649] = {.lex_state = 254, .external_lex_state = 12},
  [11650] = {.lex_state = 254, .external_lex_state = 12},
  [11651] = {.lex_state = 254, .external_lex_state = 12},
  [11652] = {.lex_state = 262, .external_lex_state = 12},
  [11653] = {.lex_state = 254, .external_lex_state = 12},
  [11654] = {.lex_state = 370, .external_lex_state = 10},
  [11655] = {.lex_state = 541, .external_lex_state = 12},
  [11656] = {.lex_state = 541, .external_lex_state = 12},
  [11657] = {.lex_state = 254, .external_lex_state = 12},
  [11658] = {.lex_state = 300, .external_lex_state = 12},
  [11659] = {.lex_state = 262, .external_lex_state = 12},
  [11660] = {.lex_state = 541, .external_lex_state = 12},
  [11661] = {.lex_state = 380, .external_lex_state = 12},
  [11662] = {.lex_state = 254, .external_lex_state = 12},
  [11663] = {.lex_state = 350, .external_lex_state = 12},
  [11664] = {.lex_state = 262, .external_lex_state = 12},
  [11665] = {.lex_state = 364, .external_lex_state = 10},
  [11666] = {.lex_state = 541, .external_lex_state = 12},
  [11667] = {.lex_state = 388, .external_lex_state = 10},
  [11668] = {.lex_state = 380, .external_lex_state = 12},
  [11669] = {.lex_state = 262, .external_lex_state = 12},
  [11670] = {.lex_state = 254, .external_lex_state = 12},
  [11671] = {.lex_state = 254, .external_lex_state = 12},
  [11672] = {.lex_state = 388, .external_lex_state = 10},
  [11673] = {.lex_state = 277, .external_lex_state = 12},
  [11674] = {.lex_state = 370, .external_lex_state = 10},
  [11675] = {.lex_state = 541, .external_lex_state = 11},
  [11676] = {.lex_state = 350, .external_lex_state = 12},
  [11677] = {.lex_state = 370, .external_lex_state = 10},
  [11678] = {.lex_state = 254, .external_lex_state = 12},
  [11679] = {.lex_state = 254, .external_lex_state = 12},
  [11680] = {.lex_state = 392, .external_lex_state = 12},
  [11681] = {.lex_state = 392, .external_lex_state = 12},
  [11682] = {.lex_state = 392, .external_lex_state = 12},
  [11683] = {.lex_state = 388, .external_lex_state = 10},
  [11684] = {.lex_state = 392, .external_lex_state = 12},
  [11685] = {.lex_state = 364, .external_lex_state = 10},
  [11686] = {.lex_state = 254, .external_lex_state = 12},
  [11687] = {.lex_state = 388, .external_lex_state = 10},
  [11688] = {.lex_state = 364, .external_lex_state = 10},
  [11689] = {.lex_state = 388, .external_lex_state = 10},
  [11690] = {.lex_state = 370, .external_lex_state = 10},
  [11691] = {.lex_state = 370, .external_lex_state = 10},
  [11692] = {.lex_state = 350, .external_lex_state = 12},
  [11693] = {.lex_state = 254, .external_lex_state = 12},
  [11694] = {.lex_state = 254, .external_lex_state = 12},
  [11695] = {.lex_state = 370, .external_lex_state = 10},
  [11696] = {.lex_state = 364, .external_lex_state = 10},
  [11697] = {.lex_state = 380, .external_lex_state = 11},
  [11698] = {.lex_state = 388, .external_lex_state = 10},
  [11699] = {.lex_state = 380, .external_lex_state = 12},
  [11700] = {.lex_state = 542, .external_lex_state = 12},
  [11701] = {.lex_state = 388, .external_lex_state = 10},
  [11702] = {.lex_state = 388, .external_lex_state = 10},
  [11703] = {.lex_state = 380, .external_lex_state = 12},
  [11704] = {.lex_state = 380, .external_lex_state = 12},
  [11705] = {.lex_state = 254, .external_lex_state = 12},
  [11706] = {.lex_state = 541, .external_lex_state = 11},
  [11707] = {.lex_state = 380, .external_lex_state = 12},
  [11708] = {.lex_state = 364, .external_lex_state = 10},
  [11709] = {.lex_state = 380, .external_lex_state = 12},
  [11710] = {.lex_state = 254, .external_lex_state = 12},
  [11711] = {.lex_state = 388, .external_lex_state = 10},
  [11712] = {.lex_state = 254, .external_lex_state = 12},
  [11713] = {.lex_state = 254, .external_lex_state = 12},
  [11714] = {.lex_state = 388, .external_lex_state = 10},
  [11715] = {.lex_state = 388, .external_lex_state = 10},
  [11716] = {.lex_state = 542, .external_lex_state = 12},
  [11717] = {.lex_state = 254, .external_lex_state = 12},
  [11718] = {.lex_state = 542, .external_lex_state = 12},
  [11719] = {.lex_state = 364, .external_lex_state = 10},
  [11720] = {.lex_state = 542, .external_lex_state = 12},
  [11721] = {.lex_state = 542, .external_lex_state = 12},
  [11722] = {.lex_state = 380, .external_lex_state = 12},
  [11723] = {.lex_state = 259, .external_lex_state = 12},
  [11724] = {.lex_state = 370, .external_lex_state = 10},
  [11725] = {.lex_state = 364, .external_lex_state = 10},
  [11726] = {.lex_state = 554, .external_lex_state = 12},
  [11727] = {.lex_state = 554, .external_lex_state = 12},
  [11728] = {.lex_state = 554, .external_lex_state = 12},
  [11729] = {.lex_state = 259, .external_lex_state = 12},
  [11730] = {.lex_state = 541, .external_lex_state = 11},
  [11731] = {.lex_state = 259, .external_lex_state = 12},
  [11732] = {.lex_state = 259, .external_lex_state = 12},
  [11733] = {.lex_state = 350, .external_lex_state = 12},
  [11734] = {.lex_state = 364, .external_lex_state = 10},
  [11735] = {.lex_state = 370, .external_lex_state = 10},
  [11736] = {.lex_state = 370, .external_lex_state = 10},
  [11737] = {.lex_state = 350, .external_lex_state = 12},
  [11738] = {.lex_state = 554, .external_lex_state = 12},
  [11739] = {.lex_state = 364, .external_lex_state = 10},
  [11740] = {.lex_state = 254, .external_lex_state = 12},
  [11741] = {.lex_state = 364, .external_lex_state = 10},
  [11742] = {.lex_state = 380, .external_lex_state = 12},
  [11743] = {.lex_state = 370, .external_lex_state = 10},
  [11744] = {.lex_state = 254, .external_lex_state = 12},
  [11745] = {.lex_state = 364, .external_lex_state = 10},
  [11746] = {.lex_state = 364, .external_lex_state = 10},
  [11747] = {.lex_state = 370, .external_lex_state = 10},
  [11748] = {.lex_state = 364, .external_lex_state = 10},
  [11749] = {.lex_state = 285, .external_lex_state = 12},
  [11750] = {.lex_state = 541, .external_lex_state = 11},
  [11751] = {.lex_state = 285, .external_lex_state = 12},
  [11752] = {.lex_state = 285, .external_lex_state = 12},
  [11753] = {.lex_state = 350, .external_lex_state = 12},
  [11754] = {.lex_state = 364, .external_lex_state = 10},
  [11755] = {.lex_state = 364, .external_lex_state = 10},
  [11756] = {.lex_state = 285, .external_lex_state = 12},
  [11757] = {.lex_state = 364, .external_lex_state = 10},
  [11758] = {.lex_state = 541, .external_lex_state = 11},
  [11759] = {.lex_state = 364, .external_lex_state = 10},
  [11760] = {.lex_state = 364, .external_lex_state = 10},
  [11761] = {.lex_state = 370, .external_lex_state = 10},
  [11762] = {.lex_state = 541, .external_lex_state = 11},
  [11763] = {.lex_state = 380, .external_lex_state = 12},
  [11764] = {.lex_state = 364, .external_lex_state = 10},
  [11765] = {.lex_state = 541, .external_lex_state = 12},
  [11766] = {.lex_state = 254, .external_lex_state = 12},
  [11767] = {.lex_state = 542, .external_lex_state = 12},
  [11768] = {.lex_state = 542, .external_lex_state = 12},
  [11769] = {.lex_state = 364, .external_lex_state = 10},
  [11770] = {.lex_state = 254, .external_lex_state = 12},
  [11771] = {.lex_state = 370, .external_lex_state = 10},
  [11772] = {.lex_state = 390, .external_lex_state = 10},
  [11773] = {.lex_state = 254, .external_lex_state = 12},
  [11774] = {.lex_state = 364, .external_lex_state = 10},
  [11775] = {.lex_state = 254, .external_lex_state = 12},
  [11776] = {.lex_state = 364, .external_lex_state = 10},
  [11777] = {.lex_state = 350, .external_lex_state = 12},
  [11778] = {.lex_state = 542, .external_lex_state = 12},
  [11779] = {.lex_state = 542, .external_lex_state = 12},
  [11780] = {.lex_state = 364, .external_lex_state = 10},
  [11781] = {.lex_state = 260, .external_lex_state = 12},
  [11782] = {.lex_state = 260, .external_lex_state = 12},
  [11783] = {.lex_state = 380, .external_lex_state = 11},
  [11784] = {.lex_state = 260, .external_lex_state = 12},
  [11785] = {.lex_state = 260, .external_lex_state = 12},
  [11786] = {.lex_state = 254, .external_lex_state = 12},
  [11787] = {.lex_state = 364, .external_lex_state = 10},
  [11788] = {.lex_state = 364, .external_lex_state = 10},
  [11789] = {.lex_state = 542, .external_lex_state = 12},
  [11790] = {.lex_state = 380, .external_lex_state = 12},
  [11791] = {.lex_state = 370, .external_lex_state = 10},
  [11792] = {.lex_state = 380, .external_lex_state = 12},
  [11793] = {.lex_state = 541, .external_lex_state = 12},
  [11794] = {.lex_state = 364, .external_lex_state = 10},
  [11795] = {.lex_state = 541, .external_lex_state = 11},
  [11796] = {.lex_state = 364, .external_lex_state = 10},
  [11797] = {.lex_state = 350, .external_lex_state = 12},
  [11798] = {.lex_state = 370, .external_lex_state = 10},
  [11799] = {.lex_state = 370, .external_lex_state = 10},
  [11800] = {.lex_state = 350, .external_lex_state = 12},
  [11801] = {.lex_state = 542, .external_lex_state = 12},
  [11802] = {.lex_state = 364, .external_lex_state = 10},
  [11803] = {.lex_state = 542, .external_lex_state = 12},
  [11804] = {.lex_state = 541, .external_lex_state = 11},
  [11805] = {.lex_state = 364, .external_lex_state = 10},
  [11806] = {.lex_state = 350, .external_lex_state = 12},
  [11807] = {.lex_state = 542, .external_lex_state = 12},
  [11808] = {.lex_state = 542, .external_lex_state = 12},
  [11809] = {.lex_state = 364, .external_lex_state = 10},
  [11810] = {.lex_state = 380, .external_lex_state = 12},
  [11811] = {.lex_state = 542, .external_lex_state = 12},
  [11812] = {.lex_state = 254, .external_lex_state = 12},
  [11813] = {.lex_state = 364, .external_lex_state = 10},
  [11814] = {.lex_state = 542, .external_lex_state = 12},
  [11815] = {.lex_state = 254, .external_lex_state = 12},
  [11816] = {.lex_state = 541, .external_lex_state = 11},
  [11817] = {.lex_state = 542, .external_lex_state = 12},
  [11818] = {.lex_state = 542, .external_lex_state = 12},
  [11819] = {.lex_state = 254, .external_lex_state = 12},
  [11820] = {.lex_state = 542, .external_lex_state = 12},
  [11821] = {.lex_state = 542, .external_lex_state = 12},
  [11822] = {.lex_state = 370, .external_lex_state = 10},
  [11823] = {.lex_state = 350, .external_lex_state = 12},
  [11824] = {.lex_state = 350, .external_lex_state = 12},
  [11825] = {.lex_state = 364, .external_lex_state = 10},
  [11826] = {.lex_state = 541, .external_lex_state = 11},
  [11827] = {.lex_state = 380, .external_lex_state = 13},
  [11828] = {.lex_state = 364, .external_lex_state = 10},
  [11829] = {.lex_state = 542, .external_lex_state = 12},
  [11830] = {.lex_state = 542, .external_lex_state = 12},
  [11831] = {.lex_state = 370, .external_lex_state = 10},
  [11832] = {.lex_state = 542, .external_lex_state = 12},
  [11833] = {.lex_state = 364, .external_lex_state = 10},
  [11834] = {.lex_state = 542, .external_lex_state = 12},
  [11835] = {.lex_state = 542, .external_lex_state = 12},
  [11836] = {.lex_state = 542, .external_lex_state = 12},
  [11837] = {.lex_state = 364, .external_lex_state = 10},
  [11838] = {.lex_state = 380, .external_lex_state = 12},
  [11839] = {.lex_state = 542, .external_lex_state = 12},
  [11840] = {.lex_state = 380, .external_lex_state = 12},
  [11841] = {.lex_state = 542, .external_lex_state = 12},
  [11842] = {.lex_state = 542, .external_lex_state = 12},
  [11843] = {.lex_state = 542, .external_lex_state = 12},
  [11844] = {.lex_state = 542, .external_lex_state = 12},
  [11845] = {.lex_state = 542, .external_lex_state = 12},
  [11846] = {.lex_state = 542, .external_lex_state = 12},
  [11847] = {.lex_state = 350, .external_lex_state = 12},
  [11848] = {.lex_state = 542, .external_lex_state = 12},
  [11849] = {.lex_state = 542, .external_lex_state = 12},
  [11850] = {.lex_state = 542, .external_lex_state = 12},
  [11851] = {.lex_state = 542, .external_lex_state = 12},
  [11852] = {.lex_state = 542, .external_lex_state = 12},
  [11853] = {.lex_state = 542, .external_lex_state = 12},
  [11854] = {.lex_state = 542, .external_lex_state = 12},
  [11855] = {.lex_state = 542, .external_lex_state = 12},
  [11856] = {.lex_state = 542, .external_lex_state = 12},
  [11857] = {.lex_state = 542, .external_lex_state = 12},
  [11858] = {.lex_state = 380, .external_lex_state = 12},
  [11859] = {.lex_state = 388, .external_lex_state = 10},
  [11860] = {.lex_state = 380, .external_lex_state = 12},
  [11861] = {.lex_state = 350, .external_lex_state = 12},
  [11862] = {.lex_state = 541, .external_lex_state = 12},
  [11863] = {.lex_state = 380, .external_lex_state = 12},
  [11864] = {.lex_state = 380, .external_lex_state = 12},
  [11865] = {.lex_state = 380, .external_lex_state = 12},
  [11866] = {.lex_state = 380, .external_lex_state = 12},
  [11867] = {.lex_state = 380, .external_lex_state = 12},
  [11868] = {.lex_state = 380, .external_lex_state = 12},
  [11869] = {.lex_state = 380, .external_lex_state = 12},
  [11870] = {.lex_state = 350, .external_lex_state = 12},
  [11871] = {.lex_state = 380, .external_lex_state = 12},
  [11872] = {.lex_state = 350, .external_lex_state = 12},
  [11873] = {.lex_state = 350, .external_lex_state = 12},
  [11874] = {.lex_state = 544, .external_lex_state = 12},
  [11875] = {.lex_state = 541, .external_lex_state = 13},
  [11876] = {.lex_state = 541, .external_lex_state = 12},
  [11877] = {.lex_state = 544, .external_lex_state = 12},
  [11878] = {.lex_state = 350, .external_lex_state = 12},
  [11879] = {.lex_state = 380, .external_lex_state = 12},
  [11880] = {.lex_state = 380, .external_lex_state = 12},
  [11881] = {.lex_state = 380, .external_lex_state = 12},
  [11882] = {.lex_state = 380, .external_lex_state = 12},
  [11883] = {.lex_state = 380, .external_lex_state = 12},
  [11884] = {.lex_state = 257, .external_lex_state = 12},
  [11885] = {.lex_state = 380, .external_lex_state = 12},
  [11886] = {.lex_state = 380, .external_lex_state = 12},
  [11887] = {.lex_state = 380, .external_lex_state = 12},
  [11888] = {.lex_state = 350, .external_lex_state = 12},
  [11889] = {.lex_state = 254, .external_lex_state = 13},
  [11890] = {.lex_state = 350, .external_lex_state = 12},
  [11891] = {.lex_state = 380, .external_lex_state = 12},
  [11892] = {.lex_state = 350, .external_lex_state = 12},
  [11893] = {.lex_state = 542, .external_lex_state = 12},
  [11894] = {.lex_state = 541, .external_lex_state = 12},
  [11895] = {.lex_state = 380, .external_lex_state = 12},
  [11896] = {.lex_state = 380, .external_lex_state = 12},
  [11897] = {.lex_state = 380, .external_lex_state = 11},
  [11898] = {.lex_state = 541, .external_lex_state = 11},
  [11899] = {.lex_state = 380, .external_lex_state = 12},
  [11900] = {.lex_state = 380, .external_lex_state = 12},
  [11901] = {.lex_state = 380, .external_lex_state = 12},
  [11902] = {.lex_state = 542, .external_lex_state = 12},
  [11903] = {.lex_state = 380, .external_lex_state = 12},
  [11904] = {.lex_state = 541, .external_lex_state = 12},
  [11905] = {.lex_state = 541, .external_lex_state = 12},
  [11906] = {.lex_state = 380, .external_lex_state = 12},
  [11907] = {.lex_state = 268, .external_lex_state = 12},
  [11908] = {.lex_state = 380, .external_lex_state = 12},
  [11909] = {.lex_state = 380, .external_lex_state = 12},
  [11910] = {.lex_state = 541, .external_lex_state = 12},
  [11911] = {.lex_state = 380, .external_lex_state = 12},
  [11912] = {.lex_state = 268, .external_lex_state = 12},
  [11913] = {.lex_state = 380, .external_lex_state = 12},
  [11914] = {.lex_state = 254, .external_lex_state = 12},
  [11915] = {.lex_state = 388, .external_lex_state = 10},
  [11916] = {.lex_state = 380, .external_lex_state = 12},
  [11917] = {.lex_state = 380, .external_lex_state = 12},
  [11918] = {.lex_state = 541, .external_lex_state = 12},
  [11919] = {.lex_state = 380, .external_lex_state = 12},
  [11920] = {.lex_state = 350, .external_lex_state = 12},
  [11921] = {.lex_state = 380, .external_lex_state = 12},
  [11922] = {.lex_state = 254, .external_lex_state = 12},
  [11923] = {.lex_state = 380, .external_lex_state = 12},
  [11924] = {.lex_state = 388, .external_lex_state = 10},
  [11925] = {.lex_state = 388, .external_lex_state = 10},
  [11926] = {.lex_state = 388, .external_lex_state = 10},
  [11927] = {.lex_state = 388, .external_lex_state = 10},
  [11928] = {.lex_state = 380, .external_lex_state = 12},
  [11929] = {.lex_state = 541, .external_lex_state = 12},
  [11930] = {.lex_state = 380, .external_lex_state = 12},
  [11931] = {.lex_state = 541, .external_lex_state = 12},
  [11932] = {.lex_state = 350, .external_lex_state = 12},
  [11933] = {.lex_state = 380, .external_lex_state = 12},
  [11934] = {.lex_state = 350, .external_lex_state = 12},
  [11935] = {.lex_state = 541, .external_lex_state = 12},
  [11936] = {.lex_state = 380, .external_lex_state = 12},
  [11937] = {.lex_state = 380, .external_lex_state = 12},
  [11938] = {.lex_state = 542, .external_lex_state = 12},
  [11939] = {.lex_state = 388, .external_lex_state = 10},
  [11940] = {.lex_state = 380, .external_lex_state = 12},
  [11941] = {.lex_state = 388, .external_lex_state = 10},
  [11942] = {.lex_state = 388, .external_lex_state = 10},
  [11943] = {.lex_state = 380, .external_lex_state = 12},
  [11944] = {.lex_state = 542, .external_lex_state = 12},
  [11945] = {.lex_state = 388, .external_lex_state = 10},
  [11946] = {.lex_state = 542, .external_lex_state = 13},
  [11947] = {.lex_state = 542, .external_lex_state = 13},
  [11948] = {.lex_state = 388, .external_lex_state = 10},
  [11949] = {.lex_state = 254, .external_lex_state = 12},
  [11950] = {.lex_state = 388, .external_lex_state = 10},
  [11951] = {.lex_state = 388, .external_lex_state = 10},
  [11952] = {.lex_state = 388, .external_lex_state = 10},
  [11953] = {.lex_state = 388, .external_lex_state = 10},
  [11954] = {.lex_state = 388, .external_lex_state = 10},
  [11955] = {.lex_state = 388, .external_lex_state = 10},
  [11956] = {.lex_state = 388, .external_lex_state = 10},
  [11957] = {.lex_state = 541, .external_lex_state = 12},
  [11958] = {.lex_state = 541, .external_lex_state = 12},
  [11959] = {.lex_state = 380, .external_lex_state = 12},
  [11960] = {.lex_state = 541, .external_lex_state = 12},
  [11961] = {.lex_state = 380, .external_lex_state = 12},
  [11962] = {.lex_state = 388, .external_lex_state = 10},
  [11963] = {.lex_state = 388, .external_lex_state = 10},
  [11964] = {.lex_state = 388, .external_lex_state = 10},
  [11965] = {.lex_state = 254, .external_lex_state = 12},
  [11966] = {.lex_state = 388, .external_lex_state = 10},
  [11967] = {.lex_state = 380, .external_lex_state = 12},
  [11968] = {.lex_state = 388, .external_lex_state = 10},
  [11969] = {.lex_state = 388, .external_lex_state = 10},
  [11970] = {.lex_state = 388, .external_lex_state = 10},
  [11971] = {.lex_state = 542, .external_lex_state = 12},
  [11972] = {.lex_state = 388, .external_lex_state = 10},
  [11973] = {.lex_state = 388, .external_lex_state = 10},
  [11974] = {.lex_state = 388, .external_lex_state = 10},
  [11975] = {.lex_state = 380, .external_lex_state = 12},
  [11976] = {.lex_state = 254, .external_lex_state = 13},
  [11977] = {.lex_state = 541, .external_lex_state = 13},
  [11978] = {.lex_state = 541, .external_lex_state = 12},
  [11979] = {.lex_state = 541, .external_lex_state = 12},
  [11980] = {.lex_state = 388, .external_lex_state = 10},
  [11981] = {.lex_state = 388, .external_lex_state = 10},
  [11982] = {.lex_state = 388, .external_lex_state = 10},
  [11983] = {.lex_state = 388, .external_lex_state = 10},
  [11984] = {.lex_state = 541, .external_lex_state = 12},
  [11985] = {.lex_state = 388, .external_lex_state = 10},
  [11986] = {.lex_state = 388, .external_lex_state = 10},
  [11987] = {.lex_state = 541, .external_lex_state = 12},
  [11988] = {.lex_state = 388, .external_lex_state = 10},
  [11989] = {.lex_state = 380, .external_lex_state = 12},
  [11990] = {.lex_state = 541, .external_lex_state = 12},
  [11991] = {.lex_state = 380, .external_lex_state = 12},
  [11992] = {.lex_state = 254, .external_lex_state = 12},
  [11993] = {.lex_state = 380, .external_lex_state = 12},
  [11994] = {.lex_state = 380, .external_lex_state = 12},
  [11995] = {.lex_state = 388, .external_lex_state = 10},
  [11996] = {.lex_state = 541, .external_lex_state = 12},
  [11997] = {.lex_state = 254, .external_lex_state = 12},
  [11998] = {.lex_state = 263, .external_lex_state = 12},
  [11999] = {.lex_state = 263, .external_lex_state = 12},
  [12000] = {.lex_state = 388, .external_lex_state = 10},
  [12001] = {.lex_state = 380, .external_lex_state = 12},
  [12002] = {.lex_state = 388, .external_lex_state = 10},
  [12003] = {.lex_state = 254, .external_lex_state = 12},
  [12004] = {.lex_state = 263, .external_lex_state = 12},
  [12005] = {.lex_state = 263, .external_lex_state = 12},
  [12006] = {.lex_state = 254, .external_lex_state = 12},
  [12007] = {.lex_state = 380, .external_lex_state = 12},
  [12008] = {.lex_state = 388, .external_lex_state = 10},
  [12009] = {.lex_state = 254, .external_lex_state = 12},
  [12010] = {.lex_state = 380, .external_lex_state = 12},
  [12011] = {.lex_state = 254, .external_lex_state = 13},
  [12012] = {.lex_state = 268, .external_lex_state = 12},
  [12013] = {.lex_state = 541, .external_lex_state = 12},
  [12014] = {.lex_state = 380, .external_lex_state = 12},
  [12015] = {.lex_state = 380, .external_lex_state = 12},
  [12016] = {.lex_state = 544, .external_lex_state = 12},
  [12017] = {.lex_state = 380, .external_lex_state = 12},
  [12018] = {.lex_state = 380, .external_lex_state = 12},
  [12019] = {.lex_state = 254, .external_lex_state = 12},
  [12020] = {.lex_state = 544, .external_lex_state = 12},
  [12021] = {.lex_state = 541, .external_lex_state = 11},
  [12022] = {.lex_state = 380, .external_lex_state = 12},
  [12023] = {.lex_state = 380, .external_lex_state = 12},
  [12024] = {.lex_state = 380, .external_lex_state = 12},
  [12025] = {.lex_state = 542, .external_lex_state = 12},
  [12026] = {.lex_state = 380, .external_lex_state = 12},
  [12027] = {.lex_state = 350, .external_lex_state = 12},
  [12028] = {.lex_state = 380, .external_lex_state = 12},
  [12029] = {.lex_state = 541, .external_lex_state = 12},
  [12030] = {.lex_state = 380, .external_lex_state = 12},
  [12031] = {.lex_state = 254, .external_lex_state = 13},
  [12032] = {.lex_state = 380, .external_lex_state = 12},
  [12033] = {.lex_state = 380, .external_lex_state = 12},
  [12034] = {.lex_state = 541, .external_lex_state = 11},
  [12035] = {.lex_state = 380, .external_lex_state = 12},
  [12036] = {.lex_state = 380, .external_lex_state = 12},
  [12037] = {.lex_state = 380, .external_lex_state = 12},
  [12038] = {.lex_state = 380, .external_lex_state = 12},
  [12039] = {.lex_state = 380, .external_lex_state = 12},
  [12040] = {.lex_state = 380, .external_lex_state = 12},
  [12041] = {.lex_state = 541, .external_lex_state = 12},
  [12042] = {.lex_state = 380, .external_lex_state = 12},
  [12043] = {.lex_state = 364, .external_lex_state = 10},
  [12044] = {.lex_state = 542, .external_lex_state = 12},
  [12045] = {.lex_state = 380, .external_lex_state = 12},
  [12046] = {.lex_state = 380, .external_lex_state = 12},
  [12047] = {.lex_state = 380, .external_lex_state = 12},
  [12048] = {.lex_state = 350, .external_lex_state = 12},
  [12049] = {.lex_state = 380, .external_lex_state = 12},
  [12050] = {.lex_state = 257, .external_lex_state = 12},
  [12051] = {.lex_state = 544, .external_lex_state = 12},
  [12052] = {.lex_state = 388, .external_lex_state = 10},
  [12053] = {.lex_state = 380, .external_lex_state = 12},
  [12054] = {.lex_state = 382, .external_lex_state = 12},
  [12055] = {.lex_state = 380, .external_lex_state = 12},
  [12056] = {.lex_state = 380, .external_lex_state = 12},
  [12057] = {.lex_state = 380, .external_lex_state = 12},
  [12058] = {.lex_state = 382, .external_lex_state = 12},
  [12059] = {.lex_state = 380, .external_lex_state = 12},
  [12060] = {.lex_state = 382, .external_lex_state = 12},
  [12061] = {.lex_state = 546, .external_lex_state = 12},
  [12062] = {.lex_state = 382, .external_lex_state = 12},
  [12063] = {.lex_state = 380, .external_lex_state = 12},
  [12064] = {.lex_state = 380, .external_lex_state = 12},
  [12065] = {.lex_state = 546, .external_lex_state = 12},
  [12066] = {.lex_state = 350, .external_lex_state = 12},
  [12067] = {.lex_state = 380, .external_lex_state = 12},
  [12068] = {.lex_state = 380, .external_lex_state = 12},
  [12069] = {.lex_state = 541, .external_lex_state = 12},
  [12070] = {.lex_state = 380, .external_lex_state = 12},
  [12071] = {.lex_state = 541, .external_lex_state = 12},
  [12072] = {.lex_state = 380, .external_lex_state = 12},
  [12073] = {.lex_state = 380, .external_lex_state = 12},
  [12074] = {.lex_state = 546, .external_lex_state = 12},
  [12075] = {.lex_state = 541, .external_lex_state = 13},
  [12076] = {.lex_state = 546, .external_lex_state = 12},
  [12077] = {.lex_state = 544, .external_lex_state = 12},
  [12078] = {.lex_state = 380, .external_lex_state = 12},
  [12079] = {.lex_state = 380, .external_lex_state = 12},
  [12080] = {.lex_state = 380, .external_lex_state = 12},
  [12081] = {.lex_state = 541, .external_lex_state = 12},
  [12082] = {.lex_state = 380, .external_lex_state = 12},
  [12083] = {.lex_state = 380, .external_lex_state = 12},
  [12084] = {.lex_state = 380, .external_lex_state = 12},
  [12085] = {.lex_state = 380, .external_lex_state = 12},
  [12086] = {.lex_state = 380, .external_lex_state = 12},
  [12087] = {.lex_state = 380, .external_lex_state = 12},
  [12088] = {.lex_state = 541, .external_lex_state = 12},
  [12089] = {.lex_state = 380, .external_lex_state = 12},
  [12090] = {.lex_state = 541, .external_lex_state = 13},
  [12091] = {.lex_state = 388, .external_lex_state = 10},
  [12092] = {.lex_state = 388, .external_lex_state = 10},
  [12093] = {.lex_state = 388, .external_lex_state = 10},
  [12094] = {.lex_state = 388, .external_lex_state = 10},
  [12095] = {.lex_state = 541, .external_lex_state = 12},
  [12096] = {.lex_state = 380, .external_lex_state = 12},
  [12097] = {.lex_state = 388, .external_lex_state = 10},
  [12098] = {.lex_state = 380, .external_lex_state = 12},
  [12099] = {.lex_state = 380, .external_lex_state = 12},
  [12100] = {.lex_state = 380, .external_lex_state = 12},
  [12101] = {.lex_state = 380, .external_lex_state = 12},
  [12102] = {.lex_state = 380, .external_lex_state = 12},
  [12103] = {.lex_state = 380, .external_lex_state = 12},
  [12104] = {.lex_state = 388, .external_lex_state = 10},
  [12105] = {.lex_state = 380, .external_lex_state = 12},
  [12106] = {.lex_state = 388, .external_lex_state = 10},
  [12107] = {.lex_state = 380, .external_lex_state = 12},
  [12108] = {.lex_state = 380, .external_lex_state = 12},
  [12109] = {.lex_state = 380, .external_lex_state = 12},
  [12110] = {.lex_state = 380, .external_lex_state = 12},
  [12111] = {.lex_state = 380, .external_lex_state = 12},
  [12112] = {.lex_state = 388, .external_lex_state = 10},
  [12113] = {.lex_state = 380, .external_lex_state = 12},
  [12114] = {.lex_state = 388, .external_lex_state = 10},
  [12115] = {.lex_state = 380, .external_lex_state = 11},
  [12116] = {.lex_state = 257, .external_lex_state = 12},
  [12117] = {.lex_state = 388, .external_lex_state = 10},
  [12118] = {.lex_state = 380, .external_lex_state = 12},
  [12119] = {.lex_state = 388, .external_lex_state = 10},
  [12120] = {.lex_state = 380, .external_lex_state = 12},
  [12121] = {.lex_state = 388, .external_lex_state = 10},
  [12122] = {.lex_state = 380, .external_lex_state = 12},
  [12123] = {.lex_state = 388, .external_lex_state = 10},
  [12124] = {.lex_state = 380, .external_lex_state = 12},
  [12125] = {.lex_state = 388, .external_lex_state = 10},
  [12126] = {.lex_state = 541, .external_lex_state = 12},
  [12127] = {.lex_state = 380, .external_lex_state = 12},
  [12128] = {.lex_state = 254, .external_lex_state = 12},
  [12129] = {.lex_state = 541, .external_lex_state = 12},
  [12130] = {.lex_state = 388, .external_lex_state = 10},
  [12131] = {.lex_state = 541, .external_lex_state = 12},
  [12132] = {.lex_state = 380, .external_lex_state = 12},
  [12133] = {.lex_state = 380, .external_lex_state = 12},
  [12134] = {.lex_state = 541, .external_lex_state = 12},
  [12135] = {.lex_state = 380, .external_lex_state = 12},
  [12136] = {.lex_state = 350, .external_lex_state = 12},
  [12137] = {.lex_state = 350, .external_lex_state = 12},
  [12138] = {.lex_state = 542, .external_lex_state = 12},
  [12139] = {.lex_state = 380, .external_lex_state = 12},
  [12140] = {.lex_state = 380, .external_lex_state = 12},
  [12141] = {.lex_state = 364, .external_lex_state = 10},
  [12142] = {.lex_state = 542, .external_lex_state = 12},
  [12143] = {.lex_state = 541, .external_lex_state = 12},
  [12144] = {.lex_state = 380, .external_lex_state = 12},
  [12145] = {.lex_state = 380, .external_lex_state = 12},
  [12146] = {.lex_state = 380, .external_lex_state = 12},
  [12147] = {.lex_state = 541, .external_lex_state = 12},
  [12148] = {.lex_state = 541, .external_lex_state = 12},
  [12149] = {.lex_state = 541, .external_lex_state = 12},
  [12150] = {.lex_state = 380, .external_lex_state = 12},
  [12151] = {.lex_state = 380, .external_lex_state = 12},
  [12152] = {.lex_state = 380, .external_lex_state = 12},
  [12153] = {.lex_state = 541, .external_lex_state = 12},
  [12154] = {.lex_state = 380, .external_lex_state = 12},
  [12155] = {.lex_state = 542, .external_lex_state = 12},
  [12156] = {.lex_state = 542, .external_lex_state = 12},
  [12157] = {.lex_state = 380, .external_lex_state = 12},
  [12158] = {.lex_state = 254, .external_lex_state = 12},
  [12159] = {.lex_state = 542, .external_lex_state = 12},
  [12160] = {.lex_state = 541, .external_lex_state = 12},
  [12161] = {.lex_state = 380, .external_lex_state = 12},
  [12162] = {.lex_state = 254, .external_lex_state = 12},
  [12163] = {.lex_state = 542, .external_lex_state = 13},
  [12164] = {.lex_state = 541, .external_lex_state = 12},
  [12165] = {.lex_state = 380, .external_lex_state = 12},
  [12166] = {.lex_state = 541, .external_lex_state = 12},
  [12167] = {.lex_state = 380, .external_lex_state = 12},
  [12168] = {.lex_state = 541, .external_lex_state = 12},
  [12169] = {.lex_state = 380, .external_lex_state = 12},
  [12170] = {.lex_state = 380, .external_lex_state = 12},
  [12171] = {.lex_state = 380, .external_lex_state = 12},
  [12172] = {.lex_state = 380, .external_lex_state = 12},
  [12173] = {.lex_state = 350, .external_lex_state = 12},
  [12174] = {.lex_state = 380, .external_lex_state = 12},
  [12175] = {.lex_state = 541, .external_lex_state = 12},
  [12176] = {.lex_state = 380, .external_lex_state = 12},
  [12177] = {.lex_state = 380, .external_lex_state = 12},
  [12178] = {.lex_state = 380, .external_lex_state = 12},
  [12179] = {.lex_state = 380, .external_lex_state = 12},
  [12180] = {.lex_state = 380, .external_lex_state = 12},
  [12181] = {.lex_state = 380, .external_lex_state = 12},
  [12182] = {.lex_state = 350, .external_lex_state = 12},
  [12183] = {.lex_state = 380, .external_lex_state = 12},
  [12184] = {.lex_state = 380, .external_lex_state = 12},
  [12185] = {.lex_state = 542, .external_lex_state = 12},
  [12186] = {.lex_state = 542, .external_lex_state = 12},
  [12187] = {.lex_state = 380, .external_lex_state = 12},
  [12188] = {.lex_state = 380, .external_lex_state = 12},
  [12189] = {.lex_state = 380, .external_lex_state = 12},
  [12190] = {.lex_state = 380, .external_lex_state = 12},
  [12191] = {.lex_state = 380, .external_lex_state = 12},
  [12192] = {.lex_state = 380, .external_lex_state = 12},
  [12193] = {.lex_state = 380, .external_lex_state = 12},
  [12194] = {.lex_state = 380, .external_lex_state = 12},
  [12195] = {.lex_state = 380, .external_lex_state = 12},
  [12196] = {.lex_state = 364, .external_lex_state = 10},
  [12197] = {.lex_state = 541, .external_lex_state = 12},
  [12198] = {.lex_state = 380, .external_lex_state = 12},
  [12199] = {.lex_state = 541, .external_lex_state = 12},
  [12200] = {.lex_state = 541, .external_lex_state = 12},
  [12201] = {.lex_state = 541, .external_lex_state = 12},
  [12202] = {.lex_state = 542, .external_lex_state = 12},
  [12203] = {.lex_state = 380, .external_lex_state = 12},
  [12204] = {.lex_state = 380, .external_lex_state = 12},
  [12205] = {.lex_state = 380, .external_lex_state = 12},
  [12206] = {.lex_state = 380, .external_lex_state = 12},
  [12207] = {.lex_state = 380, .external_lex_state = 12},
  [12208] = {.lex_state = 380, .external_lex_state = 12},
  [12209] = {.lex_state = 541, .external_lex_state = 11},
  [12210] = {.lex_state = 380, .external_lex_state = 12},
  [12211] = {.lex_state = 380, .external_lex_state = 12},
  [12212] = {.lex_state = 542, .external_lex_state = 13},
  [12213] = {.lex_state = 544, .external_lex_state = 12},
  [12214] = {.lex_state = 542, .external_lex_state = 12},
  [12215] = {.lex_state = 542, .external_lex_state = 12},
  [12216] = {.lex_state = 380, .external_lex_state = 12},
  [12217] = {.lex_state = 350, .external_lex_state = 12},
  [12218] = {.lex_state = 542, .external_lex_state = 12},
  [12219] = {.lex_state = 541, .external_lex_state = 12},
  [12220] = {.lex_state = 380, .external_lex_state = 12},
  [12221] = {.lex_state = 380, .external_lex_state = 12},
  [12222] = {.lex_state = 254, .external_lex_state = 12},
  [12223] = {.lex_state = 542, .external_lex_state = 12},
  [12224] = {.lex_state = 254, .external_lex_state = 12},
  [12225] = {.lex_state = 541, .external_lex_state = 12},
  [12226] = {.lex_state = 541, .external_lex_state = 12},
  [12227] = {.lex_state = 380, .external_lex_state = 12},
  [12228] = {.lex_state = 254, .external_lex_state = 12},
  [12229] = {.lex_state = 254, .external_lex_state = 12},
  [12230] = {.lex_state = 254, .external_lex_state = 12},
  [12231] = {.lex_state = 541, .external_lex_state = 12},
  [12232] = {.lex_state = 380, .external_lex_state = 12},
  [12233] = {.lex_state = 541, .external_lex_state = 12},
  [12234] = {.lex_state = 380, .external_lex_state = 12},
  [12235] = {.lex_state = 380, .external_lex_state = 12},
  [12236] = {.lex_state = 380, .external_lex_state = 12},
  [12237] = {.lex_state = 380, .external_lex_state = 12},
  [12238] = {.lex_state = 350, .external_lex_state = 12},
  [12239] = {.lex_state = 541, .external_lex_state = 12},
  [12240] = {.lex_state = 380, .external_lex_state = 12},
  [12241] = {.lex_state = 268, .external_lex_state = 12},
  [12242] = {.lex_state = 380, .external_lex_state = 12},
  [12243] = {.lex_state = 380, .external_lex_state = 12},
  [12244] = {.lex_state = 380, .external_lex_state = 12},
  [12245] = {.lex_state = 542, .external_lex_state = 12},
  [12246] = {.lex_state = 544, .external_lex_state = 12},
  [12247] = {.lex_state = 343, .external_lex_state = 2},
  [12248] = {.lex_state = 380, .external_lex_state = 12},
  [12249] = {.lex_state = 343, .external_lex_state = 2},
  [12250] = {.lex_state = 380, .external_lex_state = 12},
  [12251] = {.lex_state = 343, .external_lex_state = 2},
  [12252] = {.lex_state = 343, .external_lex_state = 2},
  [12253] = {.lex_state = 380, .external_lex_state = 12},
  [12254] = {.lex_state = 380, .external_lex_state = 12},
  [12255] = {.lex_state = 380, .external_lex_state = 12},
  [12256] = {.lex_state = 343, .external_lex_state = 2},
  [12257] = {.lex_state = 542, .external_lex_state = 12},
  [12258] = {.lex_state = 542, .external_lex_state = 12},
  [12259] = {.lex_state = 254, .external_lex_state = 12},
  [12260] = {.lex_state = 254, .external_lex_state = 12},
  [12261] = {.lex_state = 254, .external_lex_state = 12},
  [12262] = {.lex_state = 254, .external_lex_state = 12},
  [12263] = {.lex_state = 254, .external_lex_state = 12},
  [12264] = {.lex_state = 254, .external_lex_state = 12},
  [12265] = {.lex_state = 254, .external_lex_state = 12},
  [12266] = {.lex_state = 254, .external_lex_state = 12},
  [12267] = {.lex_state = 350, .external_lex_state = 12},
  [12268] = {.lex_state = 254, .external_lex_state = 12},
  [12269] = {.lex_state = 541, .external_lex_state = 12},
  [12270] = {.lex_state = 380, .external_lex_state = 12},
  [12271] = {.lex_state = 380, .external_lex_state = 12},
  [12272] = {.lex_state = 254, .external_lex_state = 12},
  [12273] = {.lex_state = 254, .external_lex_state = 12},
  [12274] = {.lex_state = 254, .external_lex_state = 12},
  [12275] = {.lex_state = 254, .external_lex_state = 12},
  [12276] = {.lex_state = 254, .external_lex_state = 12},
  [12277] = {.lex_state = 254, .external_lex_state = 12},
  [12278] = {.lex_state = 541, .external_lex_state = 12},
  [12279] = {.lex_state = 541, .external_lex_state = 12},
  [12280] = {.lex_state = 541, .external_lex_state = 12},
  [12281] = {.lex_state = 541, .external_lex_state = 12},
  [12282] = {.lex_state = 541, .external_lex_state = 12},
  [12283] = {.lex_state = 541, .external_lex_state = 12},
  [12284] = {.lex_state = 541, .external_lex_state = 12},
  [12285] = {.lex_state = 541, .external_lex_state = 12},
  [12286] = {.lex_state = 380, .external_lex_state = 12},
  [12287] = {.lex_state = 541, .external_lex_state = 12},
  [12288] = {.lex_state = 541, .external_lex_state = 12},
  [12289] = {.lex_state = 541, .external_lex_state = 12},
  [12290] = {.lex_state = 343, .external_lex_state = 2},
  [12291] = {.lex_state = 541, .external_lex_state = 12},
  [12292] = {.lex_state = 541, .external_lex_state = 12},
  [12293] = {.lex_state = 541, .external_lex_state = 12},
  [12294] = {.lex_state = 343, .external_lex_state = 2},
  [12295] = {.lex_state = 254, .external_lex_state = 12},
  [12296] = {.lex_state = 380, .external_lex_state = 12},
  [12297] = {.lex_state = 542, .external_lex_state = 12},
  [12298] = {.lex_state = 542, .external_lex_state = 12},
  [12299] = {.lex_state = 541, .external_lex_state = 12},
  [12300] = {.lex_state = 542, .external_lex_state = 12},
  [12301] = {.lex_state = 542, .external_lex_state = 12},
  [12302] = {.lex_state = 542, .external_lex_state = 12},
  [12303] = {.lex_state = 541, .external_lex_state = 12},
  [12304] = {.lex_state = 542, .external_lex_state = 12},
  [12305] = {.lex_state = 542, .external_lex_state = 12},
  [12306] = {.lex_state = 542, .external_lex_state = 12},
  [12307] = {.lex_state = 541, .external_lex_state = 12},
  [12308] = {.lex_state = 343, .external_lex_state = 2},
  [12309] = {.lex_state = 541, .external_lex_state = 12},
  [12310] = {.lex_state = 542, .external_lex_state = 12},
  [12311] = {.lex_state = 541, .external_lex_state = 12},
  [12312] = {.lex_state = 380, .external_lex_state = 12},
  [12313] = {.lex_state = 541, .external_lex_state = 12},
  [12314] = {.lex_state = 541, .external_lex_state = 12},
  [12315] = {.lex_state = 542, .external_lex_state = 12},
  [12316] = {.lex_state = 343, .external_lex_state = 2},
  [12317] = {.lex_state = 542, .external_lex_state = 12},
  [12318] = {.lex_state = 542, .external_lex_state = 12},
  [12319] = {.lex_state = 541, .external_lex_state = 13},
  [12320] = {.lex_state = 542, .external_lex_state = 12},
  [12321] = {.lex_state = 544, .external_lex_state = 12},
  [12322] = {.lex_state = 380, .external_lex_state = 12},
  [12323] = {.lex_state = 542, .external_lex_state = 12},
  [12324] = {.lex_state = 343, .external_lex_state = 2},
  [12325] = {.lex_state = 542, .external_lex_state = 12},
  [12326] = {.lex_state = 542, .external_lex_state = 12},
  [12327] = {.lex_state = 542, .external_lex_state = 12},
  [12328] = {.lex_state = 542, .external_lex_state = 12},
  [12329] = {.lex_state = 542, .external_lex_state = 12},
  [12330] = {.lex_state = 542, .external_lex_state = 12},
  [12331] = {.lex_state = 254, .external_lex_state = 12},
  [12332] = {.lex_state = 542, .external_lex_state = 12},
  [12333] = {.lex_state = 542, .external_lex_state = 12},
  [12334] = {.lex_state = 380, .external_lex_state = 12},
  [12335] = {.lex_state = 542, .external_lex_state = 12},
  [12336] = {.lex_state = 542, .external_lex_state = 12},
  [12337] = {.lex_state = 541, .external_lex_state = 12},
  [12338] = {.lex_state = 380, .external_lex_state = 12},
  [12339] = {.lex_state = 541, .external_lex_state = 12},
  [12340] = {.lex_state = 541, .external_lex_state = 12},
  [12341] = {.lex_state = 254, .external_lex_state = 12},
  [12342] = {.lex_state = 542, .external_lex_state = 12},
  [12343] = {.lex_state = 343, .external_lex_state = 2},
  [12344] = {.lex_state = 542, .external_lex_state = 12},
  [12345] = {.lex_state = 541, .external_lex_state = 12},
  [12346] = {.lex_state = 343, .external_lex_state = 2},
  [12347] = {.lex_state = 254, .external_lex_state = 12},
  [12348] = {.lex_state = 544, .external_lex_state = 12},
  [12349] = {.lex_state = 268, .external_lex_state = 12},
  [12350] = {.lex_state = 541, .external_lex_state = 12},
  [12351] = {.lex_state = 544, .external_lex_state = 12},
  [12352] = {.lex_state = 343, .external_lex_state = 2},
  [12353] = {.lex_state = 544, .external_lex_state = 12},
  [12354] = {.lex_state = 541, .external_lex_state = 12},
  [12355] = {.lex_state = 254, .external_lex_state = 12},
  [12356] = {.lex_state = 343, .external_lex_state = 2},
  [12357] = {.lex_state = 343, .external_lex_state = 2},
  [12358] = {.lex_state = 541, .external_lex_state = 13},
  [12359] = {.lex_state = 350, .external_lex_state = 12},
  [12360] = {.lex_state = 343, .external_lex_state = 2},
  [12361] = {.lex_state = 254, .external_lex_state = 12},
  [12362] = {.lex_state = 542, .external_lex_state = 12},
  [12363] = {.lex_state = 254, .external_lex_state = 12},
  [12364] = {.lex_state = 542, .external_lex_state = 12},
  [12365] = {.lex_state = 254, .external_lex_state = 12},
  [12366] = {.lex_state = 254, .external_lex_state = 12},
  [12367] = {.lex_state = 541, .external_lex_state = 12},
  [12368] = {.lex_state = 380, .external_lex_state = 12},
  [12369] = {.lex_state = 541, .external_lex_state = 12},
  [12370] = {.lex_state = 541, .external_lex_state = 12},
  [12371] = {.lex_state = 541, .external_lex_state = 12},
  [12372] = {.lex_state = 542, .external_lex_state = 12},
  [12373] = {.lex_state = 542, .external_lex_state = 12},
  [12374] = {.lex_state = 542, .external_lex_state = 12},
  [12375] = {.lex_state = 542, .external_lex_state = 12},
  [12376] = {.lex_state = 542, .external_lex_state = 12},
  [12377] = {.lex_state = 541, .external_lex_state = 12},
  [12378] = {.lex_state = 542, .external_lex_state = 12},
  [12379] = {.lex_state = 257, .external_lex_state = 12},
  [12380] = {.lex_state = 542, .external_lex_state = 12},
  [12381] = {.lex_state = 541, .external_lex_state = 12},
  [12382] = {.lex_state = 542, .external_lex_state = 12},
  [12383] = {.lex_state = 254, .external_lex_state = 12},
  [12384] = {.lex_state = 542, .external_lex_state = 12},
  [12385] = {.lex_state = 541, .external_lex_state = 12},
  [12386] = {.lex_state = 541, .external_lex_state = 12},
  [12387] = {.lex_state = 542, .external_lex_state = 12},
  [12388] = {.lex_state = 380, .external_lex_state = 12},
  [12389] = {.lex_state = 542, .external_lex_state = 12},
  [12390] = {.lex_state = 544, .external_lex_state = 12},
  [12391] = {.lex_state = 343, .external_lex_state = 2},
  [12392] = {.lex_state = 343, .external_lex_state = 2},
  [12393] = {.lex_state = 380, .external_lex_state = 12},
  [12394] = {.lex_state = 254, .external_lex_state = 12},
  [12395] = {.lex_state = 542, .external_lex_state = 12},
  [12396] = {.lex_state = 542, .external_lex_state = 12},
  [12397] = {.lex_state = 542, .external_lex_state = 12},
  [12398] = {.lex_state = 350, .external_lex_state = 12},
  [12399] = {.lex_state = 542, .external_lex_state = 12},
  [12400] = {.lex_state = 541, .external_lex_state = 13},
  [12401] = {.lex_state = 254, .external_lex_state = 12},
  [12402] = {.lex_state = 541, .external_lex_state = 12},
  [12403] = {.lex_state = 542, .external_lex_state = 12},
  [12404] = {.lex_state = 544, .external_lex_state = 12},
  [12405] = {.lex_state = 541, .external_lex_state = 12},
  [12406] = {.lex_state = 541, .external_lex_state = 12},
  [12407] = {.lex_state = 542, .external_lex_state = 12},
  [12408] = {.lex_state = 343, .external_lex_state = 2},
  [12409] = {.lex_state = 380, .external_lex_state = 12},
  [12410] = {.lex_state = 542, .external_lex_state = 12},
  [12411] = {.lex_state = 350, .external_lex_state = 12},
  [12412] = {.lex_state = 542, .external_lex_state = 12},
  [12413] = {.lex_state = 542, .external_lex_state = 12},
  [12414] = {.lex_state = 343, .external_lex_state = 2},
  [12415] = {.lex_state = 542, .external_lex_state = 12},
  [12416] = {.lex_state = 542, .external_lex_state = 12},
  [12417] = {.lex_state = 350, .external_lex_state = 12},
  [12418] = {.lex_state = 254, .external_lex_state = 12},
  [12419] = {.lex_state = 343, .external_lex_state = 2},
  [12420] = {.lex_state = 542, .external_lex_state = 12},
  [12421] = {.lex_state = 380, .external_lex_state = 12},
  [12422] = {.lex_state = 254, .external_lex_state = 12},
  [12423] = {.lex_state = 380, .external_lex_state = 12},
  [12424] = {.lex_state = 254, .external_lex_state = 12},
  [12425] = {.lex_state = 541, .external_lex_state = 12},
  [12426] = {.lex_state = 343, .external_lex_state = 2},
  [12427] = {.lex_state = 542, .external_lex_state = 12},
  [12428] = {.lex_state = 380, .external_lex_state = 12},
  [12429] = {.lex_state = 380, .external_lex_state = 12},
  [12430] = {.lex_state = 380, .external_lex_state = 12},
  [12431] = {.lex_state = 380, .external_lex_state = 12},
  [12432] = {.lex_state = 343, .external_lex_state = 2},
  [12433] = {.lex_state = 343, .external_lex_state = 2},
  [12434] = {.lex_state = 541, .external_lex_state = 12},
  [12435] = {.lex_state = 380, .external_lex_state = 12},
  [12436] = {.lex_state = 380, .external_lex_state = 12},
  [12437] = {.lex_state = 343, .external_lex_state = 2},
  [12438] = {.lex_state = 343, .external_lex_state = 2},
  [12439] = {.lex_state = 380, .external_lex_state = 12},
  [12440] = {.lex_state = 380, .external_lex_state = 12},
  [12441] = {.lex_state = 380, .external_lex_state = 12},
  [12442] = {.lex_state = 343, .external_lex_state = 2},
  [12443] = {.lex_state = 541, .external_lex_state = 12},
  [12444] = {.lex_state = 541, .external_lex_state = 12},
  [12445] = {.lex_state = 542, .external_lex_state = 12},
  [12446] = {.lex_state = 380, .external_lex_state = 12},
  [12447] = {.lex_state = 541, .external_lex_state = 12},
  [12448] = {.lex_state = 542, .external_lex_state = 12},
  [12449] = {.lex_state = 541, .external_lex_state = 12},
  [12450] = {.lex_state = 254, .external_lex_state = 12},
  [12451] = {.lex_state = 541, .external_lex_state = 12},
  [12452] = {.lex_state = 254, .external_lex_state = 12},
  [12453] = {.lex_state = 343, .external_lex_state = 2},
  [12454] = {.lex_state = 541, .external_lex_state = 12},
  [12455] = {.lex_state = 541, .external_lex_state = 12},
  [12456] = {.lex_state = 541, .external_lex_state = 12},
  [12457] = {.lex_state = 541, .external_lex_state = 12},
  [12458] = {.lex_state = 542, .external_lex_state = 12},
  [12459] = {.lex_state = 380, .external_lex_state = 12},
  [12460] = {.lex_state = 343, .external_lex_state = 2},
  [12461] = {.lex_state = 343, .external_lex_state = 2},
  [12462] = {.lex_state = 542, .external_lex_state = 12},
  [12463] = {.lex_state = 542, .external_lex_state = 12},
  [12464] = {.lex_state = 380, .external_lex_state = 12},
  [12465] = {.lex_state = 541, .external_lex_state = 12},
  [12466] = {.lex_state = 380, .external_lex_state = 12},
  [12467] = {.lex_state = 541, .external_lex_state = 12},
  [12468] = {.lex_state = 343, .external_lex_state = 2},
  [12469] = {.lex_state = 541, .external_lex_state = 12},
  [12470] = {.lex_state = 541, .external_lex_state = 12},
  [12471] = {.lex_state = 541, .external_lex_state = 12},
  [12472] = {.lex_state = 541, .external_lex_state = 12},
  [12473] = {.lex_state = 380, .external_lex_state = 12},
  [12474] = {.lex_state = 343, .external_lex_state = 2},
  [12475] = {.lex_state = 541, .external_lex_state = 12},
  [12476] = {.lex_state = 343, .external_lex_state = 2},
  [12477] = {.lex_state = 380, .external_lex_state = 12},
  [12478] = {.lex_state = 541, .external_lex_state = 12},
  [12479] = {.lex_state = 542, .external_lex_state = 12},
  [12480] = {.lex_state = 541, .external_lex_state = 12},
  [12481] = {.lex_state = 380, .external_lex_state = 12},
  [12482] = {.lex_state = 541, .external_lex_state = 12},
  [12483] = {.lex_state = 380, .external_lex_state = 12},
  [12484] = {.lex_state = 541, .external_lex_state = 12},
  [12485] = {.lex_state = 542, .external_lex_state = 12},
  [12486] = {.lex_state = 350, .external_lex_state = 12},
  [12487] = {.lex_state = 542, .external_lex_state = 12},
  [12488] = {.lex_state = 541, .external_lex_state = 12},
  [12489] = {.lex_state = 541, .external_lex_state = 12},
  [12490] = {.lex_state = 541, .external_lex_state = 12},
  [12491] = {.lex_state = 350, .external_lex_state = 12},
  [12492] = {.lex_state = 541, .external_lex_state = 12},
  [12493] = {.lex_state = 542, .external_lex_state = 12},
  [12494] = {.lex_state = 542, .external_lex_state = 12},
  [12495] = {.lex_state = 343, .external_lex_state = 2},
  [12496] = {.lex_state = 343, .external_lex_state = 2},
  [12497] = {.lex_state = 542, .external_lex_state = 12},
  [12498] = {.lex_state = 380, .external_lex_state = 12},
  [12499] = {.lex_state = 542, .external_lex_state = 12},
  [12500] = {.lex_state = 380, .external_lex_state = 12},
  [12501] = {.lex_state = 542, .external_lex_state = 12},
  [12502] = {.lex_state = 542, .external_lex_state = 12},
  [12503] = {.lex_state = 380, .external_lex_state = 12},
  [12504] = {.lex_state = 541, .external_lex_state = 12},
  [12505] = {.lex_state = 542, .external_lex_state = 12},
  [12506] = {.lex_state = 254, .external_lex_state = 12},
  [12507] = {.lex_state = 541, .external_lex_state = 12},
  [12508] = {.lex_state = 542, .external_lex_state = 12},
  [12509] = {.lex_state = 542, .external_lex_state = 12},
  [12510] = {.lex_state = 380, .external_lex_state = 12},
  [12511] = {.lex_state = 541, .external_lex_state = 12},
  [12512] = {.lex_state = 541, .external_lex_state = 12},
  [12513] = {.lex_state = 541, .external_lex_state = 12},
  [12514] = {.lex_state = 541, .external_lex_state = 12},
  [12515] = {.lex_state = 254, .external_lex_state = 12},
  [12516] = {.lex_state = 254, .external_lex_state = 12},
  [12517] = {.lex_state = 542, .external_lex_state = 12},
  [12518] = {.lex_state = 541, .external_lex_state = 12},
  [12519] = {.lex_state = 380, .external_lex_state = 12},
  [12520] = {.lex_state = 541, .external_lex_state = 12},
  [12521] = {.lex_state = 343, .external_lex_state = 2},
  [12522] = {.lex_state = 542, .external_lex_state = 12},
  [12523] = {.lex_state = 542, .external_lex_state = 12},
  [12524] = {.lex_state = 380, .external_lex_state = 12},
  [12525] = {.lex_state = 542, .external_lex_state = 12},
  [12526] = {.lex_state = 343, .external_lex_state = 2},
  [12527] = {.lex_state = 350, .external_lex_state = 12},
  [12528] = {.lex_state = 542, .external_lex_state = 12},
  [12529] = {.lex_state = 541, .external_lex_state = 12},
  [12530] = {.lex_state = 542, .external_lex_state = 12},
  [12531] = {.lex_state = 254, .external_lex_state = 12},
  [12532] = {.lex_state = 254, .external_lex_state = 12},
  [12533] = {.lex_state = 542, .external_lex_state = 12},
  [12534] = {.lex_state = 343, .external_lex_state = 2},
  [12535] = {.lex_state = 542, .external_lex_state = 12},
  [12536] = {.lex_state = 254, .external_lex_state = 12},
  [12537] = {.lex_state = 542, .external_lex_state = 12},
  [12538] = {.lex_state = 542, .external_lex_state = 12},
  [12539] = {.lex_state = 380, .external_lex_state = 12},
  [12540] = {.lex_state = 542, .external_lex_state = 12},
  [12541] = {.lex_state = 380, .external_lex_state = 12},
  [12542] = {.lex_state = 380, .external_lex_state = 12},
  [12543] = {.lex_state = 541, .external_lex_state = 12},
  [12544] = {.lex_state = 542, .external_lex_state = 12},
  [12545] = {.lex_state = 541, .external_lex_state = 13},
  [12546] = {.lex_state = 544, .external_lex_state = 12},
  [12547] = {.lex_state = 343, .external_lex_state = 2},
  [12548] = {.lex_state = 343, .external_lex_state = 2},
  [12549] = {.lex_state = 542, .external_lex_state = 12},
  [12550] = {.lex_state = 542, .external_lex_state = 12},
  [12551] = {.lex_state = 542, .external_lex_state = 12},
  [12552] = {.lex_state = 343, .external_lex_state = 2},
  [12553] = {.lex_state = 541, .external_lex_state = 12},
  [12554] = {.lex_state = 542, .external_lex_state = 12},
  [12555] = {.lex_state = 542, .external_lex_state = 12},
  [12556] = {.lex_state = 541, .external_lex_state = 12},
  [12557] = {.lex_state = 254, .external_lex_state = 12},
  [12558] = {.lex_state = 254, .external_lex_state = 12},
  [12559] = {.lex_state = 542, .external_lex_state = 12},
  [12560] = {.lex_state = 541, .external_lex_state = 12},
  [12561] = {.lex_state = 350, .external_lex_state = 12},
  [12562] = {.lex_state = 542, .external_lex_state = 12},
  [12563] = {.lex_state = 542, .external_lex_state = 12},
  [12564] = {.lex_state = 542, .external_lex_state = 12},
  [12565] = {.lex_state = 254, .external_lex_state = 12},
  [12566] = {.lex_state = 542, .external_lex_state = 12},
  [12567] = {.lex_state = 542, .external_lex_state = 12},
  [12568] = {.lex_state = 380, .external_lex_state = 12},
  [12569] = {.lex_state = 350, .external_lex_state = 12},
  [12570] = {.lex_state = 542, .external_lex_state = 12},
  [12571] = {.lex_state = 541, .external_lex_state = 12},
  [12572] = {.lex_state = 542, .external_lex_state = 12},
  [12573] = {.lex_state = 542, .external_lex_state = 12},
  [12574] = {.lex_state = 541, .external_lex_state = 12},
  [12575] = {.lex_state = 343, .external_lex_state = 2},
  [12576] = {.lex_state = 254, .external_lex_state = 12},
  [12577] = {.lex_state = 343, .external_lex_state = 2},
  [12578] = {.lex_state = 542, .external_lex_state = 12},
  [12579] = {.lex_state = 254, .external_lex_state = 12},
  [12580] = {.lex_state = 542, .external_lex_state = 12},
  [12581] = {.lex_state = 343, .external_lex_state = 2},
  [12582] = {.lex_state = 542, .external_lex_state = 12},
  [12583] = {.lex_state = 380, .external_lex_state = 12},
  [12584] = {.lex_state = 542, .external_lex_state = 12},
  [12585] = {.lex_state = 541, .external_lex_state = 12},
  [12586] = {.lex_state = 380, .external_lex_state = 12},
  [12587] = {.lex_state = 542, .external_lex_state = 12},
  [12588] = {.lex_state = 343, .external_lex_state = 2},
  [12589] = {.lex_state = 380, .external_lex_state = 12},
  [12590] = {.lex_state = 380, .external_lex_state = 12},
  [12591] = {.lex_state = 343, .external_lex_state = 2},
  [12592] = {.lex_state = 380, .external_lex_state = 12},
  [12593] = {.lex_state = 343, .external_lex_state = 2},
  [12594] = {.lex_state = 343, .external_lex_state = 2},
  [12595] = {.lex_state = 254, .external_lex_state = 12},
  [12596] = {.lex_state = 343, .external_lex_state = 2},
  [12597] = {.lex_state = 343, .external_lex_state = 2},
  [12598] = {.lex_state = 343, .external_lex_state = 2},
  [12599] = {.lex_state = 380, .external_lex_state = 12},
  [12600] = {.lex_state = 343, .external_lex_state = 2},
  [12601] = {.lex_state = 343, .external_lex_state = 2},
  [12602] = {.lex_state = 343, .external_lex_state = 2},
  [12603] = {.lex_state = 254, .external_lex_state = 12},
  [12604] = {.lex_state = 343, .external_lex_state = 2},
  [12605] = {.lex_state = 380, .external_lex_state = 12},
  [12606] = {.lex_state = 541, .external_lex_state = 12},
  [12607] = {.lex_state = 254, .external_lex_state = 12},
  [12608] = {.lex_state = 343, .external_lex_state = 2},
  [12609] = {.lex_state = 380, .external_lex_state = 12},
  [12610] = {.lex_state = 380, .external_lex_state = 12},
  [12611] = {.lex_state = 343, .external_lex_state = 2},
  [12612] = {.lex_state = 343, .external_lex_state = 2},
  [12613] = {.lex_state = 254, .external_lex_state = 12},
  [12614] = {.lex_state = 254, .external_lex_state = 12},
  [12615] = {.lex_state = 254, .external_lex_state = 12},
  [12616] = {.lex_state = 343, .external_lex_state = 2},
  [12617] = {.lex_state = 343, .external_lex_state = 2},
  [12618] = {.lex_state = 254, .external_lex_state = 12},
  [12619] = {.lex_state = 380, .external_lex_state = 12},
  [12620] = {.lex_state = 350, .external_lex_state = 12},
  [12621] = {.lex_state = 254, .external_lex_state = 12},
  [12622] = {.lex_state = 254, .external_lex_state = 12},
  [12623] = {.lex_state = 541, .external_lex_state = 12},
  [12624] = {.lex_state = 350, .external_lex_state = 12},
  [12625] = {.lex_state = 254, .external_lex_state = 12},
  [12626] = {.lex_state = 254, .external_lex_state = 12},
  [12627] = {.lex_state = 343, .external_lex_state = 2},
  [12628] = {.lex_state = 380, .external_lex_state = 12},
  [12629] = {.lex_state = 254, .external_lex_state = 12},
  [12630] = {.lex_state = 343, .external_lex_state = 2},
  [12631] = {.lex_state = 343, .external_lex_state = 2},
  [12632] = {.lex_state = 254, .external_lex_state = 12},
  [12633] = {.lex_state = 254, .external_lex_state = 12},
  [12634] = {.lex_state = 541, .external_lex_state = 12},
  [12635] = {.lex_state = 380, .external_lex_state = 12},
  [12636] = {.lex_state = 254, .external_lex_state = 12},
  [12637] = {.lex_state = 254, .external_lex_state = 12},
  [12638] = {.lex_state = 254, .external_lex_state = 12},
  [12639] = {.lex_state = 343, .external_lex_state = 2},
  [12640] = {.lex_state = 254, .external_lex_state = 12},
  [12641] = {.lex_state = 254, .external_lex_state = 12},
  [12642] = {.lex_state = 254, .external_lex_state = 12},
  [12643] = {.lex_state = 350, .external_lex_state = 12},
  [12644] = {.lex_state = 343, .external_lex_state = 2},
  [12645] = {.lex_state = 541, .external_lex_state = 12},
  [12646] = {.lex_state = 380, .external_lex_state = 12},
  [12647] = {.lex_state = 380, .external_lex_state = 12},
  [12648] = {.lex_state = 254, .external_lex_state = 12},
  [12649] = {.lex_state = 380, .external_lex_state = 12},
  [12650] = {.lex_state = 254, .external_lex_state = 12},
  [12651] = {.lex_state = 380, .external_lex_state = 12},
  [12652] = {.lex_state = 343, .external_lex_state = 2},
  [12653] = {.lex_state = 541, .external_lex_state = 12},
  [12654] = {.lex_state = 380, .external_lex_state = 12},
  [12655] = {.lex_state = 380, .external_lex_state = 12},
  [12656] = {.lex_state = 541, .external_lex_state = 12},
  [12657] = {.lex_state = 541, .external_lex_state = 12},
  [12658] = {.lex_state = 541, .external_lex_state = 12},
  [12659] = {.lex_state = 541, .external_lex_state = 12},
  [12660] = {.lex_state = 541, .external_lex_state = 12},
  [12661] = {.lex_state = 343, .external_lex_state = 2},
  [12662] = {.lex_state = 541, .external_lex_state = 12},
  [12663] = {.lex_state = 343, .external_lex_state = 2},
  [12664] = {.lex_state = 254, .external_lex_state = 12},
  [12665] = {.lex_state = 254, .external_lex_state = 12},
  [12666] = {.lex_state = 541, .external_lex_state = 12},
  [12667] = {.lex_state = 343, .external_lex_state = 2},
  [12668] = {.lex_state = 343, .external_lex_state = 2},
  [12669] = {.lex_state = 254, .external_lex_state = 12},
  [12670] = {.lex_state = 380, .external_lex_state = 12},
  [12671] = {.lex_state = 343, .external_lex_state = 2},
  [12672] = {.lex_state = 541, .external_lex_state = 12},
  [12673] = {.lex_state = 254, .external_lex_state = 12},
  [12674] = {.lex_state = 343, .external_lex_state = 2},
  [12675] = {.lex_state = 254, .external_lex_state = 12},
  [12676] = {.lex_state = 343, .external_lex_state = 2},
  [12677] = {.lex_state = 343, .external_lex_state = 2},
  [12678] = {.lex_state = 544, .external_lex_state = 12},
  [12679] = {.lex_state = 541, .external_lex_state = 12},
  [12680] = {.lex_state = 254, .external_lex_state = 12},
  [12681] = {.lex_state = 541, .external_lex_state = 12},
  [12682] = {.lex_state = 254, .external_lex_state = 12},
  [12683] = {.lex_state = 254, .external_lex_state = 12},
  [12684] = {.lex_state = 343, .external_lex_state = 2},
  [12685] = {.lex_state = 254, .external_lex_state = 12},
  [12686] = {.lex_state = 254, .external_lex_state = 12},
  [12687] = {.lex_state = 254, .external_lex_state = 12},
  [12688] = {.lex_state = 343, .external_lex_state = 2},
  [12689] = {.lex_state = 343, .external_lex_state = 2},
  [12690] = {.lex_state = 541, .external_lex_state = 12},
  [12691] = {.lex_state = 254, .external_lex_state = 12},
  [12692] = {.lex_state = 544, .external_lex_state = 12},
  [12693] = {.lex_state = 541, .external_lex_state = 12},
  [12694] = {.lex_state = 254, .external_lex_state = 12},
  [12695] = {.lex_state = 541, .external_lex_state = 12},
  [12696] = {.lex_state = 350, .external_lex_state = 12},
  [12697] = {.lex_state = 380, .external_lex_state = 12},
  [12698] = {.lex_state = 541, .external_lex_state = 12},
  [12699] = {.lex_state = 254, .external_lex_state = 12},
  [12700] = {.lex_state = 343, .external_lex_state = 2},
  [12701] = {.lex_state = 254, .external_lex_state = 12},
  [12702] = {.lex_state = 254, .external_lex_state = 12},
  [12703] = {.lex_state = 254, .external_lex_state = 12},
  [12704] = {.lex_state = 343, .external_lex_state = 2},
  [12705] = {.lex_state = 343, .external_lex_state = 2},
  [12706] = {.lex_state = 343, .external_lex_state = 2},
  [12707] = {.lex_state = 343, .external_lex_state = 2},
  [12708] = {.lex_state = 343, .external_lex_state = 2},
  [12709] = {.lex_state = 343, .external_lex_state = 2},
  [12710] = {.lex_state = 541, .external_lex_state = 12},
  [12711] = {.lex_state = 380, .external_lex_state = 12},
  [12712] = {.lex_state = 343, .external_lex_state = 2},
  [12713] = {.lex_state = 380, .external_lex_state = 12},
  [12714] = {.lex_state = 254, .external_lex_state = 12},
  [12715] = {.lex_state = 541, .external_lex_state = 12},
  [12716] = {.lex_state = 541, .external_lex_state = 12},
  [12717] = {.lex_state = 542, .external_lex_state = 12},
  [12718] = {.lex_state = 343, .external_lex_state = 2},
  [12719] = {.lex_state = 343, .external_lex_state = 2},
  [12720] = {.lex_state = 254, .external_lex_state = 12},
  [12721] = {.lex_state = 542, .external_lex_state = 12},
  [12722] = {.lex_state = 343, .external_lex_state = 2},
  [12723] = {.lex_state = 254, .external_lex_state = 12},
  [12724] = {.lex_state = 350, .external_lex_state = 12},
  [12725] = {.lex_state = 254, .external_lex_state = 12},
  [12726] = {.lex_state = 380, .external_lex_state = 12},
  [12727] = {.lex_state = 544, .external_lex_state = 12},
  [12728] = {.lex_state = 254, .external_lex_state = 12},
  [12729] = {.lex_state = 380, .external_lex_state = 12},
  [12730] = {.lex_state = 343, .external_lex_state = 2},
  [12731] = {.lex_state = 343, .external_lex_state = 2},
  [12732] = {.lex_state = 542, .external_lex_state = 12},
  [12733] = {.lex_state = 254, .external_lex_state = 12},
  [12734] = {.lex_state = 254, .external_lex_state = 12},
  [12735] = {.lex_state = 542, .external_lex_state = 12},
  [12736] = {.lex_state = 542, .external_lex_state = 12},
  [12737] = {.lex_state = 343, .external_lex_state = 2},
  [12738] = {.lex_state = 343, .external_lex_state = 2},
  [12739] = {.lex_state = 254, .external_lex_state = 12},
  [12740] = {.lex_state = 254, .external_lex_state = 12},
  [12741] = {.lex_state = 542, .external_lex_state = 12},
  [12742] = {.lex_state = 380, .external_lex_state = 12},
  [12743] = {.lex_state = 542, .external_lex_state = 12},
  [12744] = {.lex_state = 380, .external_lex_state = 12},
  [12745] = {.lex_state = 343, .external_lex_state = 2},
  [12746] = {.lex_state = 380, .external_lex_state = 12},
  [12747] = {.lex_state = 541, .external_lex_state = 13},
  [12748] = {.lex_state = 254, .external_lex_state = 12},
  [12749] = {.lex_state = 343, .external_lex_state = 2},
  [12750] = {.lex_state = 380, .external_lex_state = 12},
  [12751] = {.lex_state = 541, .external_lex_state = 12},
  [12752] = {.lex_state = 343, .external_lex_state = 2},
  [12753] = {.lex_state = 541, .external_lex_state = 12},
  [12754] = {.lex_state = 541, .external_lex_state = 12},
  [12755] = {.lex_state = 343, .external_lex_state = 2},
  [12756] = {.lex_state = 541, .external_lex_state = 12},
  [12757] = {.lex_state = 541, .external_lex_state = 12},
  [12758] = {.lex_state = 343, .external_lex_state = 2},
  [12759] = {.lex_state = 541, .external_lex_state = 12},
  [12760] = {.lex_state = 343, .external_lex_state = 2},
  [12761] = {.lex_state = 343, .external_lex_state = 2},
  [12762] = {.lex_state = 380, .external_lex_state = 12},
  [12763] = {.lex_state = 343, .external_lex_state = 2},
  [12764] = {.lex_state = 542, .external_lex_state = 12},
  [12765] = {.lex_state = 254, .external_lex_state = 12},
  [12766] = {.lex_state = 254, .external_lex_state = 12},
  [12767] = {.lex_state = 254, .external_lex_state = 12},
  [12768] = {.lex_state = 254, .external_lex_state = 12},
  [12769] = {.lex_state = 343, .external_lex_state = 2},
  [12770] = {.lex_state = 542, .external_lex_state = 12},
  [12771] = {.lex_state = 343, .external_lex_state = 2},
  [12772] = {.lex_state = 343, .external_lex_state = 2},
  [12773] = {.lex_state = 343, .external_lex_state = 2},
  [12774] = {.lex_state = 343, .external_lex_state = 2},
  [12775] = {.lex_state = 343, .external_lex_state = 2},
  [12776] = {.lex_state = 380, .external_lex_state = 12},
  [12777] = {.lex_state = 343, .external_lex_state = 2},
  [12778] = {.lex_state = 541, .external_lex_state = 12},
  [12779] = {.lex_state = 254, .external_lex_state = 12},
  [12780] = {.lex_state = 544, .external_lex_state = 12},
  [12781] = {.lex_state = 343, .external_lex_state = 2},
  [12782] = {.lex_state = 541, .external_lex_state = 12},
  [12783] = {.lex_state = 350, .external_lex_state = 12},
  [12784] = {.lex_state = 343, .external_lex_state = 2},
  [12785] = {.lex_state = 380, .external_lex_state = 12},
  [12786] = {.lex_state = 542, .external_lex_state = 12},
  [12787] = {.lex_state = 380, .external_lex_state = 12},
  [12788] = {.lex_state = 343, .external_lex_state = 2},
  [12789] = {.lex_state = 343, .external_lex_state = 2},
  [12790] = {.lex_state = 542, .external_lex_state = 12},
  [12791] = {.lex_state = 541, .external_lex_state = 12},
  [12792] = {.lex_state = 350, .external_lex_state = 12},
  [12793] = {.lex_state = 343, .external_lex_state = 2},
  [12794] = {.lex_state = 343, .external_lex_state = 2},
  [12795] = {.lex_state = 544, .external_lex_state = 12},
  [12796] = {.lex_state = 380, .external_lex_state = 12},
  [12797] = {.lex_state = 343, .external_lex_state = 2},
  [12798] = {.lex_state = 542, .external_lex_state = 12},
  [12799] = {.lex_state = 254, .external_lex_state = 12},
  [12800] = {.lex_state = 541, .external_lex_state = 12},
  [12801] = {.lex_state = 380, .external_lex_state = 12},
  [12802] = {.lex_state = 343, .external_lex_state = 2},
  [12803] = {.lex_state = 380, .external_lex_state = 12},
  [12804] = {.lex_state = 541, .external_lex_state = 12},
  [12805] = {.lex_state = 343, .external_lex_state = 2},
  [12806] = {.lex_state = 380, .external_lex_state = 12},
  [12807] = {.lex_state = 254, .external_lex_state = 12},
  [12808] = {.lex_state = 343, .external_lex_state = 2},
  [12809] = {.lex_state = 343, .external_lex_state = 2},
  [12810] = {.lex_state = 380, .external_lex_state = 12},
  [12811] = {.lex_state = 254, .external_lex_state = 12},
  [12812] = {.lex_state = 343, .external_lex_state = 2},
  [12813] = {.lex_state = 343, .external_lex_state = 2},
  [12814] = {.lex_state = 343, .external_lex_state = 2},
  [12815] = {.lex_state = 343, .external_lex_state = 2},
  [12816] = {.lex_state = 380, .external_lex_state = 12},
  [12817] = {.lex_state = 380, .external_lex_state = 12},
  [12818] = {.lex_state = 254, .external_lex_state = 12},
  [12819] = {.lex_state = 343, .external_lex_state = 2},
  [12820] = {.lex_state = 343, .external_lex_state = 2},
  [12821] = {.lex_state = 254, .external_lex_state = 12},
  [12822] = {.lex_state = 541, .external_lex_state = 12},
  [12823] = {.lex_state = 541, .external_lex_state = 12},
  [12824] = {.lex_state = 343, .external_lex_state = 2},
  [12825] = {.lex_state = 380, .external_lex_state = 12},
  [12826] = {.lex_state = 343, .external_lex_state = 2},
  [12827] = {.lex_state = 541, .external_lex_state = 12},
  [12828] = {.lex_state = 343, .external_lex_state = 2},
  [12829] = {.lex_state = 343, .external_lex_state = 2},
  [12830] = {.lex_state = 343, .external_lex_state = 2},
  [12831] = {.lex_state = 343, .external_lex_state = 2},
  [12832] = {.lex_state = 343, .external_lex_state = 2},
  [12833] = {.lex_state = 380, .external_lex_state = 12},
  [12834] = {.lex_state = 380, .external_lex_state = 12},
  [12835] = {.lex_state = 254, .external_lex_state = 12},
  [12836] = {.lex_state = 343, .external_lex_state = 2},
  [12837] = {.lex_state = 542, .external_lex_state = 12},
  [12838] = {.lex_state = 343, .external_lex_state = 2},
  [12839] = {.lex_state = 254, .external_lex_state = 12},
  [12840] = {.lex_state = 343, .external_lex_state = 2},
  [12841] = {.lex_state = 541, .external_lex_state = 12},
  [12842] = {.lex_state = 343, .external_lex_state = 2},
  [12843] = {.lex_state = 542, .external_lex_state = 12},
  [12844] = {.lex_state = 343, .external_lex_state = 2},
  [12845] = {.lex_state = 254, .external_lex_state = 12},
  [12846] = {.lex_state = 541, .external_lex_state = 12},
  [12847] = {.lex_state = 541, .external_lex_state = 12},
  [12848] = {.lex_state = 542, .external_lex_state = 12},
  [12849] = {.lex_state = 343, .external_lex_state = 2},
  [12850] = {.lex_state = 343, .external_lex_state = 2},
  [12851] = {.lex_state = 380, .external_lex_state = 12},
  [12852] = {.lex_state = 343, .external_lex_state = 2},
  [12853] = {.lex_state = 343, .external_lex_state = 2},
  [12854] = {.lex_state = 254, .external_lex_state = 12},
  [12855] = {.lex_state = 542, .external_lex_state = 12},
  [12856] = {.lex_state = 254, .external_lex_state = 12},
  [12857] = {.lex_state = 254, .external_lex_state = 12},
  [12858] = {.lex_state = 541, .external_lex_state = 12},
  [12859] = {.lex_state = 542, .external_lex_state = 12},
  [12860] = {.lex_state = 254, .external_lex_state = 12},
  [12861] = {.lex_state = 350, .external_lex_state = 12},
  [12862] = {.lex_state = 541, .external_lex_state = 12},
  [12863] = {.lex_state = 343, .external_lex_state = 2},
  [12864] = {.lex_state = 254, .external_lex_state = 12},
  [12865] = {.lex_state = 254, .external_lex_state = 12},
  [12866] = {.lex_state = 254, .external_lex_state = 12},
  [12867] = {.lex_state = 343, .external_lex_state = 2},
  [12868] = {.lex_state = 380, .external_lex_state = 12},
  [12869] = {.lex_state = 343, .external_lex_state = 2},
  [12870] = {.lex_state = 343, .external_lex_state = 2},
  [12871] = {.lex_state = 343, .external_lex_state = 2},
  [12872] = {.lex_state = 541, .external_lex_state = 12},
  [12873] = {.lex_state = 541, .external_lex_state = 12},
  [12874] = {.lex_state = 380, .external_lex_state = 12},
  [12875] = {.lex_state = 254, .external_lex_state = 12},
  [12876] = {.lex_state = 541, .external_lex_state = 12},
  [12877] = {.lex_state = 254, .external_lex_state = 12},
  [12878] = {.lex_state = 350, .external_lex_state = 12},
  [12879] = {.lex_state = 541, .external_lex_state = 12},
  [12880] = {.lex_state = 380, .external_lex_state = 12},
  [12881] = {.lex_state = 350, .external_lex_state = 12},
  [12882] = {.lex_state = 343, .external_lex_state = 2},
  [12883] = {.lex_state = 541, .external_lex_state = 12},
  [12884] = {.lex_state = 541, .external_lex_state = 12},
  [12885] = {.lex_state = 254, .external_lex_state = 12},
  [12886] = {.lex_state = 343, .external_lex_state = 2},
  [12887] = {.lex_state = 541, .external_lex_state = 13},
  [12888] = {.lex_state = 541, .external_lex_state = 12},
  [12889] = {.lex_state = 541, .external_lex_state = 12},
  [12890] = {.lex_state = 541, .external_lex_state = 12},
  [12891] = {.lex_state = 541, .external_lex_state = 12},
  [12892] = {.lex_state = 541, .external_lex_state = 12},
  [12893] = {.lex_state = 343, .external_lex_state = 2},
  [12894] = {.lex_state = 380, .external_lex_state = 12},
  [12895] = {.lex_state = 254, .external_lex_state = 12},
  [12896] = {.lex_state = 343, .external_lex_state = 2},
  [12897] = {.lex_state = 254, .external_lex_state = 12},
  [12898] = {.lex_state = 343, .external_lex_state = 2},
  [12899] = {.lex_state = 254, .external_lex_state = 12},
  [12900] = {.lex_state = 343, .external_lex_state = 2},
  [12901] = {.lex_state = 343, .external_lex_state = 2},
  [12902] = {.lex_state = 254, .external_lex_state = 12},
  [12903] = {.lex_state = 541, .external_lex_state = 12},
  [12904] = {.lex_state = 544, .external_lex_state = 12},
  [12905] = {.lex_state = 384, .external_lex_state = 12},
  [12906] = {.lex_state = 380, .external_lex_state = 12},
  [12907] = {.lex_state = 541, .external_lex_state = 12},
  [12908] = {.lex_state = 541, .external_lex_state = 12},
  [12909] = {.lex_state = 541, .external_lex_state = 12},
  [12910] = {.lex_state = 541, .external_lex_state = 12},
  [12911] = {.lex_state = 541, .external_lex_state = 12},
  [12912] = {.lex_state = 541, .external_lex_state = 12},
  [12913] = {.lex_state = 541, .external_lex_state = 12},
  [12914] = {.lex_state = 541, .external_lex_state = 12},
  [12915] = {.lex_state = 542, .external_lex_state = 12},
  [12916] = {.lex_state = 541, .external_lex_state = 12},
  [12917] = {.lex_state = 541, .external_lex_state = 12},
  [12918] = {.lex_state = 541, .external_lex_state = 12},
  [12919] = {.lex_state = 541, .external_lex_state = 12},
  [12920] = {.lex_state = 541, .external_lex_state = 12},
  [12921] = {.lex_state = 541, .external_lex_state = 12},
  [12922] = {.lex_state = 541, .external_lex_state = 12},
  [12923] = {.lex_state = 541, .external_lex_state = 12},
  [12924] = {.lex_state = 541, .external_lex_state = 12},
  [12925] = {.lex_state = 541, .external_lex_state = 12},
  [12926] = {.lex_state = 541, .external_lex_state = 12},
  [12927] = {.lex_state = 541, .external_lex_state = 12},
  [12928] = {.lex_state = 541, .external_lex_state = 12},
  [12929] = {.lex_state = 541, .external_lex_state = 12},
  [12930] = {.lex_state = 541, .external_lex_state = 12},
  [12931] = {.lex_state = 541, .external_lex_state = 12},
  [12932] = {.lex_state = 541, .external_lex_state = 12},
  [12933] = {.lex_state = 541, .external_lex_state = 12},
  [12934] = {.lex_state = 541, .external_lex_state = 12},
  [12935] = {.lex_state = 541, .external_lex_state = 12},
  [12936] = {.lex_state = 542, .external_lex_state = 12},
  [12937] = {.lex_state = 541, .external_lex_state = 12},
  [12938] = {.lex_state = 541, .external_lex_state = 12},
  [12939] = {.lex_state = 544, .external_lex_state = 12},
  [12940] = {.lex_state = 541, .external_lex_state = 12},
  [12941] = {.lex_state = 541, .external_lex_state = 12},
  [12942] = {.lex_state = 541, .external_lex_state = 12},
  [12943] = {.lex_state = 541, .external_lex_state = 12},
  [12944] = {.lex_state = 541, .external_lex_state = 12},
  [12945] = {.lex_state = 541, .external_lex_state = 12},
  [12946] = {.lex_state = 541, .external_lex_state = 12},
  [12947] = {.lex_state = 542, .external_lex_state = 12},
  [12948] = {.lex_state = 384, .external_lex_state = 12},
  [12949] = {.lex_state = 541, .external_lex_state = 12},
  [12950] = {.lex_state = 542, .external_lex_state = 12},
  [12951] = {.lex_state = 541, .external_lex_state = 12},
  [12952] = {.lex_state = 541, .external_lex_state = 12},
  [12953] = {.lex_state = 542, .external_lex_state = 12},
  [12954] = {.lex_state = 541, .external_lex_state = 12},
  [12955] = {.lex_state = 541, .external_lex_state = 12},
  [12956] = {.lex_state = 541, .external_lex_state = 12},
  [12957] = {.lex_state = 380, .external_lex_state = 12},
  [12958] = {.lex_state = 541, .external_lex_state = 12},
  [12959] = {.lex_state = 541, .external_lex_state = 12},
  [12960] = {.lex_state = 541, .external_lex_state = 12},
  [12961] = {.lex_state = 542, .external_lex_state = 12},
  [12962] = {.lex_state = 542, .external_lex_state = 12},
  [12963] = {.lex_state = 542, .external_lex_state = 12},
  [12964] = {.lex_state = 384, .external_lex_state = 12},
  [12965] = {.lex_state = 542, .external_lex_state = 12},
  [12966] = {.lex_state = 542, .external_lex_state = 12},
  [12967] = {.lex_state = 541, .external_lex_state = 12},
  [12968] = {.lex_state = 542, .external_lex_state = 12},
  [12969] = {.lex_state = 544, .external_lex_state = 12},
  [12970] = {.lex_state = 542, .external_lex_state = 12},
  [12971] = {.lex_state = 541, .external_lex_state = 12},
  [12972] = {.lex_state = 380, .external_lex_state = 12},
  [12973] = {.lex_state = 541, .external_lex_state = 12},
  [12974] = {.lex_state = 542, .external_lex_state = 12},
  [12975] = {.lex_state = 541, .external_lex_state = 13},
  [12976] = {.lex_state = 542, .external_lex_state = 12},
  [12977] = {.lex_state = 542, .external_lex_state = 12},
  [12978] = {.lex_state = 541, .external_lex_state = 12},
  [12979] = {.lex_state = 542, .external_lex_state = 12},
  [12980] = {.lex_state = 541, .external_lex_state = 12},
  [12981] = {.lex_state = 541, .external_lex_state = 12},
  [12982] = {.lex_state = 541, .external_lex_state = 12},
  [12983] = {.lex_state = 380, .external_lex_state = 12},
  [12984] = {.lex_state = 541, .external_lex_state = 12},
  [12985] = {.lex_state = 544, .external_lex_state = 12},
  [12986] = {.lex_state = 541, .external_lex_state = 12},
  [12987] = {.lex_state = 541, .external_lex_state = 12},
  [12988] = {.lex_state = 541, .external_lex_state = 12},
  [12989] = {.lex_state = 384, .external_lex_state = 12},
  [12990] = {.lex_state = 544, .external_lex_state = 12},
  [12991] = {.lex_state = 541, .external_lex_state = 12},
  [12992] = {.lex_state = 541, .external_lex_state = 12},
  [12993] = {.lex_state = 541, .external_lex_state = 12},
  [12994] = {.lex_state = 541, .external_lex_state = 12},
  [12995] = {.lex_state = 541, .external_lex_state = 12},
  [12996] = {.lex_state = 541, .external_lex_state = 12},
  [12997] = {.lex_state = 541, .external_lex_state = 12},
  [12998] = {.lex_state = 541, .external_lex_state = 12},
  [12999] = {.lex_state = 541, .external_lex_state = 12},
  [13000] = {.lex_state = 541, .external_lex_state = 12},
  [13001] = {.lex_state = 384, .external_lex_state = 12},
  [13002] = {.lex_state = 541, .external_lex_state = 12},
  [13003] = {.lex_state = 541, .external_lex_state = 12},
  [13004] = {.lex_state = 541, .external_lex_state = 12},
  [13005] = {.lex_state = 541, .external_lex_state = 12},
  [13006] = {.lex_state = 541, .external_lex_state = 12},
  [13007] = {.lex_state = 541, .external_lex_state = 12},
  [13008] = {.lex_state = 541, .external_lex_state = 12},
  [13009] = {.lex_state = 541, .external_lex_state = 12},
  [13010] = {.lex_state = 541, .external_lex_state = 12},
  [13011] = {.lex_state = 541, .external_lex_state = 12},
  [13012] = {.lex_state = 541, .external_lex_state = 12},
  [13013] = {.lex_state = 541, .external_lex_state = 12},
  [13014] = {.lex_state = 541, .external_lex_state = 12},
  [13015] = {.lex_state = 541, .external_lex_state = 12},
  [13016] = {.lex_state = 541, .external_lex_state = 12},
  [13017] = {.lex_state = 541, .external_lex_state = 12},
  [13018] = {.lex_state = 541, .external_lex_state = 12},
  [13019] = {.lex_state = 541, .external_lex_state = 12},
  [13020] = {.lex_state = 384, .external_lex_state = 12},
  [13021] = {.lex_state = 380, .external_lex_state = 13},
  [13022] = {.lex_state = 541, .external_lex_state = 12},
  [13023] = {.lex_state = 541, .external_lex_state = 12},
  [13024] = {.lex_state = 541, .external_lex_state = 12},
  [13025] = {.lex_state = 541, .external_lex_state = 12},
  [13026] = {.lex_state = 541, .external_lex_state = 12},
  [13027] = {.lex_state = 541, .external_lex_state = 12},
  [13028] = {.lex_state = 541, .external_lex_state = 12},
  [13029] = {.lex_state = 541, .external_lex_state = 12},
  [13030] = {.lex_state = 541, .external_lex_state = 12},
  [13031] = {.lex_state = 380, .external_lex_state = 12},
  [13032] = {.lex_state = 541, .external_lex_state = 12},
  [13033] = {.lex_state = 380, .external_lex_state = 12},
  [13034] = {.lex_state = 380, .external_lex_state = 12},
  [13035] = {.lex_state = 254, .external_lex_state = 12},
  [13036] = {.lex_state = 384, .external_lex_state = 12},
  [13037] = {.lex_state = 541, .external_lex_state = 12},
  [13038] = {.lex_state = 541, .external_lex_state = 12},
  [13039] = {.lex_state = 380, .external_lex_state = 12},
  [13040] = {.lex_state = 541, .external_lex_state = 12},
  [13041] = {.lex_state = 254, .external_lex_state = 12},
  [13042] = {.lex_state = 541, .external_lex_state = 12},
  [13043] = {.lex_state = 544, .external_lex_state = 12},
  [13044] = {.lex_state = 541, .external_lex_state = 12},
  [13045] = {.lex_state = 541, .external_lex_state = 12},
  [13046] = {.lex_state = 541, .external_lex_state = 12},
  [13047] = {.lex_state = 541, .external_lex_state = 12},
  [13048] = {.lex_state = 541, .external_lex_state = 12},
  [13049] = {.lex_state = 541, .external_lex_state = 12},
  [13050] = {.lex_state = 541, .external_lex_state = 12},
  [13051] = {.lex_state = 541, .external_lex_state = 12},
  [13052] = {.lex_state = 541, .external_lex_state = 12},
  [13053] = {.lex_state = 541, .external_lex_state = 12},
  [13054] = {.lex_state = 541, .external_lex_state = 12},
  [13055] = {.lex_state = 541, .external_lex_state = 12},
  [13056] = {.lex_state = 541, .external_lex_state = 12},
  [13057] = {.lex_state = 541, .external_lex_state = 12},
  [13058] = {.lex_state = 541, .external_lex_state = 12},
  [13059] = {.lex_state = 541, .external_lex_state = 12},
  [13060] = {.lex_state = 544, .external_lex_state = 12},
  [13061] = {.lex_state = 254, .external_lex_state = 12},
  [13062] = {.lex_state = 254, .external_lex_state = 12},
  [13063] = {.lex_state = 541, .external_lex_state = 12},
  [13064] = {.lex_state = 541, .external_lex_state = 12},
  [13065] = {.lex_state = 541, .external_lex_state = 12},
  [13066] = {.lex_state = 254, .external_lex_state = 12},
  [13067] = {.lex_state = 541, .external_lex_state = 12},
  [13068] = {.lex_state = 541, .external_lex_state = 12},
  [13069] = {.lex_state = 541, .external_lex_state = 12},
  [13070] = {.lex_state = 254, .external_lex_state = 12},
  [13071] = {.lex_state = 541, .external_lex_state = 12},
  [13072] = {.lex_state = 541, .external_lex_state = 12},
  [13073] = {.lex_state = 541, .external_lex_state = 12},
  [13074] = {.lex_state = 541, .external_lex_state = 12},
  [13075] = {.lex_state = 541, .external_lex_state = 12},
  [13076] = {.lex_state = 541, .external_lex_state = 12},
  [13077] = {.lex_state = 541, .external_lex_state = 12},
  [13078] = {.lex_state = 380, .external_lex_state = 12},
  [13079] = {.lex_state = 541, .external_lex_state = 12},
  [13080] = {.lex_state = 254, .external_lex_state = 12},
  [13081] = {.lex_state = 541, .external_lex_state = 12},
  [13082] = {.lex_state = 541, .external_lex_state = 12},
  [13083] = {.lex_state = 541, .external_lex_state = 12},
  [13084] = {.lex_state = 541, .external_lex_state = 12},
  [13085] = {.lex_state = 541, .external_lex_state = 12},
  [13086] = {.lex_state = 380, .external_lex_state = 13},
  [13087] = {.lex_state = 541, .external_lex_state = 12},
  [13088] = {.lex_state = 254, .external_lex_state = 12},
  [13089] = {.lex_state = 254, .external_lex_state = 12},
  [13090] = {.lex_state = 541, .external_lex_state = 12},
  [13091] = {.lex_state = 380, .external_lex_state = 12},
  [13092] = {.lex_state = 544, .external_lex_state = 12},
  [13093] = {.lex_state = 254, .external_lex_state = 12},
  [13094] = {.lex_state = 541, .external_lex_state = 12},
  [13095] = {.lex_state = 254, .external_lex_state = 12},
  [13096] = {.lex_state = 541, .external_lex_state = 12},
  [13097] = {.lex_state = 380, .external_lex_state = 12},
  [13098] = {.lex_state = 254, .external_lex_state = 12},
  [13099] = {.lex_state = 541, .external_lex_state = 12},
  [13100] = {.lex_state = 541, .external_lex_state = 12},
  [13101] = {.lex_state = 380, .external_lex_state = 12},
  [13102] = {.lex_state = 380, .external_lex_state = 12},
  [13103] = {.lex_state = 254, .external_lex_state = 12},
  [13104] = {.lex_state = 380, .external_lex_state = 12},
  [13105] = {.lex_state = 380, .external_lex_state = 12},
  [13106] = {.lex_state = 254, .external_lex_state = 12},
  [13107] = {.lex_state = 254, .external_lex_state = 12},
  [13108] = {.lex_state = 380, .external_lex_state = 12},
  [13109] = {.lex_state = 254, .external_lex_state = 12},
  [13110] = {.lex_state = 254, .external_lex_state = 12},
  [13111] = {.lex_state = 544, .external_lex_state = 12},
  [13112] = {.lex_state = 254, .external_lex_state = 12},
  [13113] = {.lex_state = 541, .external_lex_state = 13},
  [13114] = {.lex_state = 380, .external_lex_state = 12},
  [13115] = {.lex_state = 544, .external_lex_state = 12},
  [13116] = {.lex_state = 541, .external_lex_state = 13},
  [13117] = {.lex_state = 541, .external_lex_state = 12},
  [13118] = {.lex_state = 380, .external_lex_state = 12},
  [13119] = {.lex_state = 541, .external_lex_state = 12},
  [13120] = {.lex_state = 541, .external_lex_state = 12},
  [13121] = {.lex_state = 541, .external_lex_state = 12},
  [13122] = {.lex_state = 541, .external_lex_state = 12},
  [13123] = {.lex_state = 544, .external_lex_state = 12},
  [13124] = {.lex_state = 380, .external_lex_state = 12},
  [13125] = {.lex_state = 380, .external_lex_state = 13},
  [13126] = {.lex_state = 541, .external_lex_state = 12},
  [13127] = {.lex_state = 541, .external_lex_state = 12},
  [13128] = {.lex_state = 541, .external_lex_state = 12},
  [13129] = {.lex_state = 541, .external_lex_state = 12},
  [13130] = {.lex_state = 541, .external_lex_state = 12},
  [13131] = {.lex_state = 541, .external_lex_state = 12},
  [13132] = {.lex_state = 541, .external_lex_state = 12},
  [13133] = {.lex_state = 541, .external_lex_state = 12},
  [13134] = {.lex_state = 541, .external_lex_state = 12},
  [13135] = {.lex_state = 541, .external_lex_state = 12},
  [13136] = {.lex_state = 541, .external_lex_state = 12},
  [13137] = {.lex_state = 254, .external_lex_state = 12},
  [13138] = {.lex_state = 380, .external_lex_state = 12},
  [13139] = {.lex_state = 541, .external_lex_state = 12},
  [13140] = {.lex_state = 541, .external_lex_state = 12},
  [13141] = {.lex_state = 541, .external_lex_state = 13},
  [13142] = {.lex_state = 541, .external_lex_state = 12},
  [13143] = {.lex_state = 541, .external_lex_state = 12},
  [13144] = {.lex_state = 541, .external_lex_state = 12},
  [13145] = {.lex_state = 384, .external_lex_state = 12},
  [13146] = {.lex_state = 380, .external_lex_state = 13},
  [13147] = {.lex_state = 541, .external_lex_state = 12},
  [13148] = {.lex_state = 541, .external_lex_state = 12},
  [13149] = {.lex_state = 541, .external_lex_state = 12},
  [13150] = {.lex_state = 380, .external_lex_state = 12},
  [13151] = {.lex_state = 541, .external_lex_state = 12},
  [13152] = {.lex_state = 380, .external_lex_state = 12},
  [13153] = {.lex_state = 544, .external_lex_state = 12},
  [13154] = {.lex_state = 541, .external_lex_state = 12},
  [13155] = {.lex_state = 380, .external_lex_state = 12},
  [13156] = {.lex_state = 380, .external_lex_state = 12},
  [13157] = {.lex_state = 380, .external_lex_state = 12},
  [13158] = {.lex_state = 541, .external_lex_state = 12},
  [13159] = {.lex_state = 541, .external_lex_state = 12},
  [13160] = {.lex_state = 380, .external_lex_state = 12},
  [13161] = {.lex_state = 384, .external_lex_state = 12},
  [13162] = {.lex_state = 380, .external_lex_state = 12},
  [13163] = {.lex_state = 541, .external_lex_state = 12},
  [13164] = {.lex_state = 380, .external_lex_state = 13},
  [13165] = {.lex_state = 380, .external_lex_state = 12},
  [13166] = {.lex_state = 380, .external_lex_state = 12},
  [13167] = {.lex_state = 541, .external_lex_state = 12},
  [13168] = {.lex_state = 541, .external_lex_state = 12},
  [13169] = {.lex_state = 541, .external_lex_state = 12},
  [13170] = {.lex_state = 541, .external_lex_state = 12},
  [13171] = {.lex_state = 541, .external_lex_state = 12},
  [13172] = {.lex_state = 544, .external_lex_state = 12},
  [13173] = {.lex_state = 380, .external_lex_state = 12},
  [13174] = {.lex_state = 257, .external_lex_state = 12},
  [13175] = {.lex_state = 541, .external_lex_state = 12},
  [13176] = {.lex_state = 541, .external_lex_state = 12},
  [13177] = {.lex_state = 254, .external_lex_state = 12},
  [13178] = {.lex_state = 541, .external_lex_state = 12},
  [13179] = {.lex_state = 541, .external_lex_state = 12},
  [13180] = {.lex_state = 541, .external_lex_state = 12},
  [13181] = {.lex_state = 541, .external_lex_state = 12},
  [13182] = {.lex_state = 541, .external_lex_state = 12},
  [13183] = {.lex_state = 541, .external_lex_state = 12},
  [13184] = {.lex_state = 541, .external_lex_state = 12},
  [13185] = {.lex_state = 541, .external_lex_state = 12},
  [13186] = {.lex_state = 541, .external_lex_state = 12},
  [13187] = {.lex_state = 541, .external_lex_state = 12},
  [13188] = {.lex_state = 541, .external_lex_state = 12},
  [13189] = {.lex_state = 541, .external_lex_state = 12},
  [13190] = {.lex_state = 541, .external_lex_state = 12},
  [13191] = {.lex_state = 541, .external_lex_state = 12},
  [13192] = {.lex_state = 541, .external_lex_state = 12},
  [13193] = {.lex_state = 541, .external_lex_state = 12},
  [13194] = {.lex_state = 541, .external_lex_state = 12},
  [13195] = {.lex_state = 541, .external_lex_state = 12},
  [13196] = {.lex_state = 541, .external_lex_state = 12},
  [13197] = {.lex_state = 541, .external_lex_state = 12},
  [13198] = {.lex_state = 541, .external_lex_state = 12},
  [13199] = {.lex_state = 541, .external_lex_state = 12},
  [13200] = {.lex_state = 541, .external_lex_state = 12},
  [13201] = {.lex_state = 380, .external_lex_state = 12},
  [13202] = {.lex_state = 380, .external_lex_state = 12},
  [13203] = {.lex_state = 541, .external_lex_state = 12},
  [13204] = {.lex_state = 541, .external_lex_state = 12},
  [13205] = {.lex_state = 541, .external_lex_state = 12},
  [13206] = {.lex_state = 380, .external_lex_state = 12},
  [13207] = {.lex_state = 380, .external_lex_state = 12},
  [13208] = {.lex_state = 541, .external_lex_state = 12},
  [13209] = {.lex_state = 380, .external_lex_state = 12},
  [13210] = {.lex_state = 541, .external_lex_state = 12},
  [13211] = {.lex_state = 380, .external_lex_state = 12},
  [13212] = {.lex_state = 541, .external_lex_state = 12},
  [13213] = {.lex_state = 380, .external_lex_state = 12},
  [13214] = {.lex_state = 380, .external_lex_state = 12},
  [13215] = {.lex_state = 380, .external_lex_state = 12},
  [13216] = {.lex_state = 541, .external_lex_state = 12},
  [13217] = {.lex_state = 541, .external_lex_state = 12},
  [13218] = {.lex_state = 541, .external_lex_state = 12},
  [13219] = {.lex_state = 380, .external_lex_state = 12},
  [13220] = {.lex_state = 541, .external_lex_state = 12},
  [13221] = {.lex_state = 541, .external_lex_state = 12},
  [13222] = {.lex_state = 380, .external_lex_state = 12},
  [13223] = {.lex_state = 541, .external_lex_state = 12},
  [13224] = {.lex_state = 541, .external_lex_state = 12},
  [13225] = {.lex_state = 541, .external_lex_state = 12},
  [13226] = {.lex_state = 541, .external_lex_state = 12},
  [13227] = {.lex_state = 541, .external_lex_state = 12},
  [13228] = {.lex_state = 541, .external_lex_state = 12},
  [13229] = {.lex_state = 384, .external_lex_state = 12},
  [13230] = {.lex_state = 541, .external_lex_state = 12},
  [13231] = {.lex_state = 541, .external_lex_state = 12},
  [13232] = {.lex_state = 541, .external_lex_state = 12},
  [13233] = {.lex_state = 380, .external_lex_state = 12},
  [13234] = {.lex_state = 541, .external_lex_state = 12},
  [13235] = {.lex_state = 541, .external_lex_state = 12},
  [13236] = {.lex_state = 541, .external_lex_state = 12},
  [13237] = {.lex_state = 541, .external_lex_state = 12},
  [13238] = {.lex_state = 541, .external_lex_state = 12},
  [13239] = {.lex_state = 541, .external_lex_state = 12},
  [13240] = {.lex_state = 541, .external_lex_state = 12},
  [13241] = {.lex_state = 541, .external_lex_state = 12},
  [13242] = {.lex_state = 541, .external_lex_state = 12},
  [13243] = {.lex_state = 541, .external_lex_state = 12},
  [13244] = {.lex_state = 541, .external_lex_state = 12},
  [13245] = {.lex_state = 541, .external_lex_state = 12},
  [13246] = {.lex_state = 541, .external_lex_state = 12},
  [13247] = {.lex_state = 541, .external_lex_state = 12},
  [13248] = {.lex_state = 541, .external_lex_state = 12},
  [13249] = {.lex_state = 541, .external_lex_state = 12},
  [13250] = {.lex_state = 380, .external_lex_state = 12},
  [13251] = {.lex_state = 541, .external_lex_state = 12},
  [13252] = {.lex_state = 541, .external_lex_state = 12},
  [13253] = {.lex_state = 380, .external_lex_state = 12},
  [13254] = {.lex_state = 541, .external_lex_state = 12},
  [13255] = {.lex_state = 541, .external_lex_state = 12},
  [13256] = {.lex_state = 541, .external_lex_state = 12},
  [13257] = {.lex_state = 541, .external_lex_state = 12},
  [13258] = {.lex_state = 541, .external_lex_state = 12},
  [13259] = {.lex_state = 541, .external_lex_state = 12},
  [13260] = {.lex_state = 541, .external_lex_state = 12},
  [13261] = {.lex_state = 541, .external_lex_state = 12},
  [13262] = {.lex_state = 541, .external_lex_state = 12},
  [13263] = {.lex_state = 541, .external_lex_state = 12},
  [13264] = {.lex_state = 541, .external_lex_state = 12},
  [13265] = {.lex_state = 541, .external_lex_state = 12},
  [13266] = {.lex_state = 541, .external_lex_state = 12},
  [13267] = {.lex_state = 541, .external_lex_state = 12},
  [13268] = {.lex_state = 541, .external_lex_state = 12},
  [13269] = {.lex_state = 541, .external_lex_state = 12},
  [13270] = {.lex_state = 380, .external_lex_state = 12},
  [13271] = {.lex_state = 541, .external_lex_state = 12},
  [13272] = {.lex_state = 541, .external_lex_state = 12},
  [13273] = {.lex_state = 541, .external_lex_state = 12},
  [13274] = {.lex_state = 541, .external_lex_state = 12},
  [13275] = {.lex_state = 541, .external_lex_state = 12},
  [13276] = {.lex_state = 541, .external_lex_state = 12},
  [13277] = {.lex_state = 384, .external_lex_state = 12},
  [13278] = {.lex_state = 541, .external_lex_state = 12},
  [13279] = {.lex_state = 541, .external_lex_state = 12},
  [13280] = {.lex_state = 541, .external_lex_state = 12},
  [13281] = {.lex_state = 380, .external_lex_state = 12},
  [13282] = {.lex_state = 541, .external_lex_state = 12},
  [13283] = {.lex_state = 380, .external_lex_state = 12},
  [13284] = {.lex_state = 541, .external_lex_state = 12},
  [13285] = {.lex_state = 541, .external_lex_state = 12},
  [13286] = {.lex_state = 541, .external_lex_state = 12},
  [13287] = {.lex_state = 384, .external_lex_state = 12},
  [13288] = {.lex_state = 380, .external_lex_state = 12},
  [13289] = {.lex_state = 380, .external_lex_state = 12},
  [13290] = {.lex_state = 541, .external_lex_state = 12},
  [13291] = {.lex_state = 380, .external_lex_state = 12},
  [13292] = {.lex_state = 380, .external_lex_state = 12},
  [13293] = {.lex_state = 380, .external_lex_state = 12},
  [13294] = {.lex_state = 380, .external_lex_state = 12},
  [13295] = {.lex_state = 384, .external_lex_state = 12},
  [13296] = {.lex_state = 380, .external_lex_state = 12},
  [13297] = {.lex_state = 380, .external_lex_state = 12},
  [13298] = {.lex_state = 541, .external_lex_state = 12},
  [13299] = {.lex_state = 380, .external_lex_state = 12},
  [13300] = {.lex_state = 380, .external_lex_state = 12},
  [13301] = {.lex_state = 254, .external_lex_state = 12},
  [13302] = {.lex_state = 380, .external_lex_state = 12},
  [13303] = {.lex_state = 380, .external_lex_state = 12},
  [13304] = {.lex_state = 541, .external_lex_state = 12},
  [13305] = {.lex_state = 541, .external_lex_state = 12},
  [13306] = {.lex_state = 254, .external_lex_state = 12},
  [13307] = {.lex_state = 380, .external_lex_state = 12},
  [13308] = {.lex_state = 384, .external_lex_state = 12},
  [13309] = {.lex_state = 380, .external_lex_state = 12},
  [13310] = {.lex_state = 541, .external_lex_state = 12},
  [13311] = {.lex_state = 380, .external_lex_state = 12},
  [13312] = {.lex_state = 541, .external_lex_state = 12},
  [13313] = {.lex_state = 254, .external_lex_state = 12},
  [13314] = {.lex_state = 380, .external_lex_state = 13},
  [13315] = {.lex_state = 541, .external_lex_state = 12},
  [13316] = {.lex_state = 380, .external_lex_state = 12},
  [13317] = {.lex_state = 380, .external_lex_state = 12},
  [13318] = {.lex_state = 380, .external_lex_state = 12},
  [13319] = {.lex_state = 380, .external_lex_state = 12},
  [13320] = {.lex_state = 380, .external_lex_state = 12},
  [13321] = {.lex_state = 380, .external_lex_state = 12},
  [13322] = {.lex_state = 380, .external_lex_state = 12},
  [13323] = {.lex_state = 380, .external_lex_state = 12},
  [13324] = {.lex_state = 380, .external_lex_state = 12},
  [13325] = {.lex_state = 380, .external_lex_state = 12},
  [13326] = {.lex_state = 380, .external_lex_state = 12},
  [13327] = {.lex_state = 541, .external_lex_state = 12},
  [13328] = {.lex_state = 541, .external_lex_state = 12},
  [13329] = {.lex_state = 541, .external_lex_state = 12},
  [13330] = {.lex_state = 541, .external_lex_state = 12},
  [13331] = {.lex_state = 380, .external_lex_state = 12},
  [13332] = {.lex_state = 380, .external_lex_state = 12},
  [13333] = {.lex_state = 380, .external_lex_state = 12},
  [13334] = {.lex_state = 380, .external_lex_state = 12},
  [13335] = {.lex_state = 380, .external_lex_state = 12},
  [13336] = {.lex_state = 541, .external_lex_state = 12},
  [13337] = {.lex_state = 254, .external_lex_state = 12},
  [13338] = {.lex_state = 254, .external_lex_state = 12},
  [13339] = {.lex_state = 380, .external_lex_state = 12},
  [13340] = {.lex_state = 541, .external_lex_state = 12},
  [13341] = {.lex_state = 541, .external_lex_state = 12},
  [13342] = {.lex_state = 380, .external_lex_state = 12},
  [13343] = {.lex_state = 254, .external_lex_state = 12},
  [13344] = {.lex_state = 380, .external_lex_state = 12},
  [13345] = {.lex_state = 541, .external_lex_state = 12},
  [13346] = {.lex_state = 544, .external_lex_state = 12},
  [13347] = {.lex_state = 380, .external_lex_state = 12},
  [13348] = {.lex_state = 544, .external_lex_state = 12},
  [13349] = {.lex_state = 541, .external_lex_state = 13},
  [13350] = {.lex_state = 541, .external_lex_state = 12},
  [13351] = {.lex_state = 380, .external_lex_state = 12},
  [13352] = {.lex_state = 380, .external_lex_state = 12},
  [13353] = {.lex_state = 384, .external_lex_state = 12},
  [13354] = {.lex_state = 380, .external_lex_state = 12},
  [13355] = {.lex_state = 380, .external_lex_state = 12},
  [13356] = {.lex_state = 380, .external_lex_state = 12},
  [13357] = {.lex_state = 380, .external_lex_state = 12},
  [13358] = {.lex_state = 380, .external_lex_state = 12},
  [13359] = {.lex_state = 254, .external_lex_state = 12},
  [13360] = {.lex_state = 380, .external_lex_state = 12},
  [13361] = {.lex_state = 380, .external_lex_state = 12},
  [13362] = {.lex_state = 380, .external_lex_state = 12},
  [13363] = {.lex_state = 380, .external_lex_state = 12},
  [13364] = {.lex_state = 544, .external_lex_state = 12},
  [13365] = {.lex_state = 380, .external_lex_state = 12},
  [13366] = {.lex_state = 380, .external_lex_state = 12},
  [13367] = {.lex_state = 380, .external_lex_state = 12},
  [13368] = {.lex_state = 541, .external_lex_state = 12},
  [13369] = {.lex_state = 380, .external_lex_state = 12},
  [13370] = {.lex_state = 380, .external_lex_state = 12},
  [13371] = {.lex_state = 541, .external_lex_state = 12},
  [13372] = {.lex_state = 541, .external_lex_state = 12},
  [13373] = {.lex_state = 541, .external_lex_state = 12},
  [13374] = {.lex_state = 541, .external_lex_state = 12},
  [13375] = {.lex_state = 541, .external_lex_state = 12},
  [13376] = {.lex_state = 380, .external_lex_state = 12},
  [13377] = {.lex_state = 380, .external_lex_state = 12},
  [13378] = {.lex_state = 541, .external_lex_state = 12},
  [13379] = {.lex_state = 541, .external_lex_state = 12},
  [13380] = {.lex_state = 541, .external_lex_state = 12},
  [13381] = {.lex_state = 541, .external_lex_state = 12},
  [13382] = {.lex_state = 380, .external_lex_state = 12},
  [13383] = {.lex_state = 541, .external_lex_state = 12},
  [13384] = {.lex_state = 254, .external_lex_state = 12},
  [13385] = {.lex_state = 380, .external_lex_state = 12},
  [13386] = {.lex_state = 380, .external_lex_state = 12},
  [13387] = {.lex_state = 541, .external_lex_state = 12},
  [13388] = {.lex_state = 254, .external_lex_state = 12},
  [13389] = {.lex_state = 541, .external_lex_state = 12},
  [13390] = {.lex_state = 254, .external_lex_state = 12},
  [13391] = {.lex_state = 380, .external_lex_state = 12},
  [13392] = {.lex_state = 380, .external_lex_state = 12},
  [13393] = {.lex_state = 541, .external_lex_state = 12},
  [13394] = {.lex_state = 254, .external_lex_state = 12},
  [13395] = {.lex_state = 541, .external_lex_state = 12},
  [13396] = {.lex_state = 380, .external_lex_state = 12},
  [13397] = {.lex_state = 541, .external_lex_state = 12},
  [13398] = {.lex_state = 254, .external_lex_state = 12},
  [13399] = {.lex_state = 384, .external_lex_state = 12},
  [13400] = {.lex_state = 254, .external_lex_state = 12},
  [13401] = {.lex_state = 254, .external_lex_state = 12},
  [13402] = {.lex_state = 541, .external_lex_state = 12},
  [13403] = {.lex_state = 380, .external_lex_state = 12},
  [13404] = {.lex_state = 380, .external_lex_state = 12},
  [13405] = {.lex_state = 254, .external_lex_state = 12},
  [13406] = {.lex_state = 541, .external_lex_state = 12},
  [13407] = {.lex_state = 541, .external_lex_state = 12},
  [13408] = {.lex_state = 541, .external_lex_state = 12},
  [13409] = {.lex_state = 380, .external_lex_state = 12},
  [13410] = {.lex_state = 254, .external_lex_state = 12},
  [13411] = {.lex_state = 380, .external_lex_state = 12},
  [13412] = {.lex_state = 541, .external_lex_state = 12},
  [13413] = {.lex_state = 541, .external_lex_state = 12},
  [13414] = {.lex_state = 380, .external_lex_state = 12},
  [13415] = {.lex_state = 541, .external_lex_state = 12},
  [13416] = {.lex_state = 544, .external_lex_state = 12},
  [13417] = {.lex_state = 380, .external_lex_state = 12},
  [13418] = {.lex_state = 541, .external_lex_state = 12},
  [13419] = {.lex_state = 541, .external_lex_state = 12},
  [13420] = {.lex_state = 380, .external_lex_state = 12},
  [13421] = {.lex_state = 541, .external_lex_state = 12},
  [13422] = {.lex_state = 380, .external_lex_state = 12},
  [13423] = {.lex_state = 541, .external_lex_state = 12},
  [13424] = {.lex_state = 541, .external_lex_state = 12},
  [13425] = {.lex_state = 380, .external_lex_state = 12},
  [13426] = {.lex_state = 541, .external_lex_state = 12},
  [13427] = {.lex_state = 541, .external_lex_state = 12},
  [13428] = {.lex_state = 380, .external_lex_state = 12},
  [13429] = {.lex_state = 541, .external_lex_state = 12},
  [13430] = {.lex_state = 380, .external_lex_state = 13},
  [13431] = {.lex_state = 384, .external_lex_state = 12},
  [13432] = {.lex_state = 384, .external_lex_state = 12},
  [13433] = {.lex_state = 384, .external_lex_state = 12},
  [13434] = {.lex_state = 384, .external_lex_state = 12},
  [13435] = {.lex_state = 384, .external_lex_state = 12},
  [13436] = {.lex_state = 380, .external_lex_state = 13},
  [13437] = {.lex_state = 380, .external_lex_state = 12},
  [13438] = {.lex_state = 380, .external_lex_state = 12},
  [13439] = {.lex_state = 380, .external_lex_state = 13},
  [13440] = {.lex_state = 384, .external_lex_state = 12},
  [13441] = {.lex_state = 380, .external_lex_state = 12},
  [13442] = {.lex_state = 380, .external_lex_state = 12},
  [13443] = {.lex_state = 380, .external_lex_state = 12},
  [13444] = {.lex_state = 380, .external_lex_state = 12},
  [13445] = {.lex_state = 380, .external_lex_state = 12},
  [13446] = {.lex_state = 380, .external_lex_state = 12},
  [13447] = {.lex_state = 380, .external_lex_state = 12},
  [13448] = {.lex_state = 380, .external_lex_state = 12},
  [13449] = {.lex_state = 544, .external_lex_state = 12},
  [13450] = {.lex_state = 380, .external_lex_state = 12},
  [13451] = {.lex_state = 380, .external_lex_state = 12},
  [13452] = {.lex_state = 380, .external_lex_state = 12},
  [13453] = {.lex_state = 380, .external_lex_state = 12},
  [13454] = {.lex_state = 380, .external_lex_state = 12},
  [13455] = {.lex_state = 380, .external_lex_state = 12},
  [13456] = {.lex_state = 380, .external_lex_state = 12},
  [13457] = {.lex_state = 380, .external_lex_state = 12},
  [13458] = {.lex_state = 380, .external_lex_state = 12},
  [13459] = {.lex_state = 380, .external_lex_state = 12},
  [13460] = {.lex_state = 380, .external_lex_state = 12},
  [13461] = {.lex_state = 380, .external_lex_state = 12},
  [13462] = {.lex_state = 380, .external_lex_state = 12},
  [13463] = {.lex_state = 380, .external_lex_state = 12},
  [13464] = {.lex_state = 380, .external_lex_state = 12},
  [13465] = {.lex_state = 541, .external_lex_state = 12},
  [13466] = {.lex_state = 380, .external_lex_state = 12},
  [13467] = {.lex_state = 541, .external_lex_state = 12},
  [13468] = {.lex_state = 380, .external_lex_state = 12},
  [13469] = {.lex_state = 380, .external_lex_state = 12},
  [13470] = {.lex_state = 380, .external_lex_state = 12},
  [13471] = {.lex_state = 380, .external_lex_state = 12},
  [13472] = {.lex_state = 380, .external_lex_state = 12},
  [13473] = {.lex_state = 380, .external_lex_state = 12},
  [13474] = {.lex_state = 541, .external_lex_state = 12},
  [13475] = {.lex_state = 384, .external_lex_state = 12},
  [13476] = {.lex_state = 541, .external_lex_state = 12},
  [13477] = {.lex_state = 380, .external_lex_state = 12},
  [13478] = {.lex_state = 380, .external_lex_state = 12},
  [13479] = {.lex_state = 380, .external_lex_state = 12},
  [13480] = {.lex_state = 380, .external_lex_state = 12},
  [13481] = {.lex_state = 380, .external_lex_state = 12},
  [13482] = {.lex_state = 380, .external_lex_state = 12},
  [13483] = {.lex_state = 380, .external_lex_state = 12},
  [13484] = {.lex_state = 380, .external_lex_state = 12},
  [13485] = {.lex_state = 380, .external_lex_state = 12},
  [13486] = {.lex_state = 380, .external_lex_state = 12},
  [13487] = {.lex_state = 380, .external_lex_state = 12},
  [13488] = {.lex_state = 380, .external_lex_state = 12},
  [13489] = {.lex_state = 380, .external_lex_state = 12},
  [13490] = {.lex_state = 541, .external_lex_state = 12},
  [13491] = {.lex_state = 380, .external_lex_state = 12},
  [13492] = {.lex_state = 380, .external_lex_state = 12},
  [13493] = {.lex_state = 380, .external_lex_state = 12},
  [13494] = {.lex_state = 380, .external_lex_state = 12},
  [13495] = {.lex_state = 380, .external_lex_state = 12},
  [13496] = {.lex_state = 380, .external_lex_state = 12},
  [13497] = {.lex_state = 380, .external_lex_state = 12},
  [13498] = {.lex_state = 380, .external_lex_state = 12},
  [13499] = {.lex_state = 384, .external_lex_state = 12},
  [13500] = {.lex_state = 380, .external_lex_state = 12},
  [13501] = {.lex_state = 384, .external_lex_state = 12},
  [13502] = {.lex_state = 380, .external_lex_state = 12},
  [13503] = {.lex_state = 380, .external_lex_state = 12},
  [13504] = {.lex_state = 380, .external_lex_state = 12},
  [13505] = {.lex_state = 380, .external_lex_state = 12},
  [13506] = {.lex_state = 380, .external_lex_state = 12},
  [13507] = {.lex_state = 380, .external_lex_state = 12},
  [13508] = {.lex_state = 380, .external_lex_state = 12},
  [13509] = {.lex_state = 380, .external_lex_state = 12},
  [13510] = {.lex_state = 541, .external_lex_state = 12},
  [13511] = {.lex_state = 380, .external_lex_state = 12},
  [13512] = {.lex_state = 380, .external_lex_state = 12},
  [13513] = {.lex_state = 380, .external_lex_state = 12},
  [13514] = {.lex_state = 380, .external_lex_state = 12},
  [13515] = {.lex_state = 541, .external_lex_state = 12},
  [13516] = {.lex_state = 380, .external_lex_state = 12},
  [13517] = {.lex_state = 541, .external_lex_state = 12},
  [13518] = {.lex_state = 380, .external_lex_state = 12},
  [13519] = {.lex_state = 380, .external_lex_state = 12},
  [13520] = {.lex_state = 384, .external_lex_state = 12},
  [13521] = {.lex_state = 380, .external_lex_state = 12},
  [13522] = {.lex_state = 541, .external_lex_state = 12},
  [13523] = {.lex_state = 541, .external_lex_state = 12},
  [13524] = {.lex_state = 380, .external_lex_state = 12},
  [13525] = {.lex_state = 541, .external_lex_state = 12},
  [13526] = {.lex_state = 380, .external_lex_state = 12},
  [13527] = {.lex_state = 541, .external_lex_state = 12},
  [13528] = {.lex_state = 541, .external_lex_state = 12},
  [13529] = {.lex_state = 541, .external_lex_state = 12},
  [13530] = {.lex_state = 541, .external_lex_state = 12},
  [13531] = {.lex_state = 541, .external_lex_state = 12},
  [13532] = {.lex_state = 380, .external_lex_state = 12},
  [13533] = {.lex_state = 541, .external_lex_state = 12},
  [13534] = {.lex_state = 384, .external_lex_state = 12},
  [13535] = {.lex_state = 380, .external_lex_state = 12},
  [13536] = {.lex_state = 380, .external_lex_state = 12},
  [13537] = {.lex_state = 380, .external_lex_state = 12},
  [13538] = {.lex_state = 380, .external_lex_state = 12},
  [13539] = {.lex_state = 380, .external_lex_state = 12},
  [13540] = {.lex_state = 541, .external_lex_state = 12},
  [13541] = {.lex_state = 380, .external_lex_state = 12},
  [13542] = {.lex_state = 380, .external_lex_state = 12},
  [13543] = {.lex_state = 380, .external_lex_state = 12},
  [13544] = {.lex_state = 380, .external_lex_state = 12},
  [13545] = {.lex_state = 380, .external_lex_state = 12},
  [13546] = {.lex_state = 380, .external_lex_state = 12},
  [13547] = {.lex_state = 380, .external_lex_state = 12},
  [13548] = {.lex_state = 380, .external_lex_state = 12},
  [13549] = {.lex_state = 380, .external_lex_state = 12},
  [13550] = {.lex_state = 380, .external_lex_state = 12},
  [13551] = {.lex_state = 384, .external_lex_state = 12},
  [13552] = {.lex_state = 380, .external_lex_state = 12},
  [13553] = {.lex_state = 380, .external_lex_state = 12},
  [13554] = {.lex_state = 380, .external_lex_state = 12},
  [13555] = {.lex_state = 380, .external_lex_state = 12},
  [13556] = {.lex_state = 380, .external_lex_state = 12},
  [13557] = {.lex_state = 541, .external_lex_state = 12},
  [13558] = {.lex_state = 380, .external_lex_state = 12},
  [13559] = {.lex_state = 380, .external_lex_state = 12},
  [13560] = {.lex_state = 380, .external_lex_state = 12},
  [13561] = {.lex_state = 541, .external_lex_state = 12},
  [13562] = {.lex_state = 541, .external_lex_state = 12},
  [13563] = {.lex_state = 541, .external_lex_state = 12},
  [13564] = {.lex_state = 380, .external_lex_state = 12},
  [13565] = {.lex_state = 380, .external_lex_state = 12},
  [13566] = {.lex_state = 380, .external_lex_state = 12},
  [13567] = {.lex_state = 380, .external_lex_state = 12},
  [13568] = {.lex_state = 541, .external_lex_state = 12},
  [13569] = {.lex_state = 541, .external_lex_state = 12},
  [13570] = {.lex_state = 380, .external_lex_state = 12},
  [13571] = {.lex_state = 541, .external_lex_state = 12},
  [13572] = {.lex_state = 380, .external_lex_state = 12},
  [13573] = {.lex_state = 541, .external_lex_state = 12},
  [13574] = {.lex_state = 541, .external_lex_state = 12},
  [13575] = {.lex_state = 541, .external_lex_state = 12},
  [13576] = {.lex_state = 380, .external_lex_state = 12},
  [13577] = {.lex_state = 380, .external_lex_state = 12},
  [13578] = {.lex_state = 380, .external_lex_state = 12},
  [13579] = {.lex_state = 541, .external_lex_state = 12},
  [13580] = {.lex_state = 380, .external_lex_state = 12},
  [13581] = {.lex_state = 541, .external_lex_state = 12},
  [13582] = {.lex_state = 380, .external_lex_state = 12},
  [13583] = {.lex_state = 380, .external_lex_state = 12},
  [13584] = {.lex_state = 380, .external_lex_state = 13},
  [13585] = {.lex_state = 380, .external_lex_state = 12},
  [13586] = {.lex_state = 541, .external_lex_state = 12},
  [13587] = {.lex_state = 380, .external_lex_state = 12},
  [13588] = {.lex_state = 380, .external_lex_state = 12},
  [13589] = {.lex_state = 541, .external_lex_state = 12},
  [13590] = {.lex_state = 380, .external_lex_state = 12},
  [13591] = {.lex_state = 380, .external_lex_state = 12},
  [13592] = {.lex_state = 380, .external_lex_state = 12},
  [13593] = {.lex_state = 380, .external_lex_state = 12},
  [13594] = {.lex_state = 380, .external_lex_state = 12},
  [13595] = {.lex_state = 380, .external_lex_state = 12},
  [13596] = {.lex_state = 380, .external_lex_state = 12},
  [13597] = {.lex_state = 380, .external_lex_state = 12},
  [13598] = {.lex_state = 380, .external_lex_state = 12},
  [13599] = {.lex_state = 380, .external_lex_state = 12},
  [13600] = {.lex_state = 541, .external_lex_state = 12},
  [13601] = {.lex_state = 541, .external_lex_state = 12},
  [13602] = {.lex_state = 380, .external_lex_state = 12},
  [13603] = {.lex_state = 380, .external_lex_state = 12},
  [13604] = {.lex_state = 380, .external_lex_state = 12},
  [13605] = {.lex_state = 380, .external_lex_state = 13},
  [13606] = {.lex_state = 380, .external_lex_state = 12},
  [13607] = {.lex_state = 384, .external_lex_state = 12},
  [13608] = {.lex_state = 380, .external_lex_state = 12},
  [13609] = {.lex_state = 380, .external_lex_state = 13},
  [13610] = {.lex_state = 380, .external_lex_state = 12},
  [13611] = {.lex_state = 380, .external_lex_state = 12},
  [13612] = {.lex_state = 380, .external_lex_state = 12},
  [13613] = {.lex_state = 384, .external_lex_state = 12},
  [13614] = {.lex_state = 380, .external_lex_state = 12},
  [13615] = {.lex_state = 380, .external_lex_state = 12},
  [13616] = {.lex_state = 380, .external_lex_state = 12},
  [13617] = {.lex_state = 380, .external_lex_state = 12},
  [13618] = {.lex_state = 380, .external_lex_state = 12},
  [13619] = {.lex_state = 380, .external_lex_state = 12},
  [13620] = {.lex_state = 380, .external_lex_state = 12},
  [13621] = {.lex_state = 380, .external_lex_state = 12},
  [13622] = {.lex_state = 380, .external_lex_state = 12},
  [13623] = {.lex_state = 380, .external_lex_state = 12},
  [13624] = {.lex_state = 380, .external_lex_state = 12},
  [13625] = {.lex_state = 380, .external_lex_state = 12},
  [13626] = {.lex_state = 380, .external_lex_state = 12},
  [13627] = {.lex_state = 380, .external_lex_state = 12},
  [13628] = {.lex_state = 380, .external_lex_state = 12},
  [13629] = {.lex_state = 380, .external_lex_state = 12},
  [13630] = {.lex_state = 384, .external_lex_state = 12},
  [13631] = {.lex_state = 380, .external_lex_state = 13},
  [13632] = {.lex_state = 380, .external_lex_state = 12},
  [13633] = {.lex_state = 380, .external_lex_state = 12},
  [13634] = {.lex_state = 380, .external_lex_state = 12},
  [13635] = {.lex_state = 384, .external_lex_state = 12},
  [13636] = {.lex_state = 380, .external_lex_state = 13},
  [13637] = {.lex_state = 380, .external_lex_state = 12},
  [13638] = {.lex_state = 380, .external_lex_state = 12},
  [13639] = {.lex_state = 380, .external_lex_state = 13},
  [13640] = {.lex_state = 380, .external_lex_state = 12},
  [13641] = {.lex_state = 380, .external_lex_state = 12},
  [13642] = {.lex_state = 380, .external_lex_state = 12},
  [13643] = {.lex_state = 380, .external_lex_state = 12},
  [13644] = {.lex_state = 384, .external_lex_state = 12},
  [13645] = {.lex_state = 380, .external_lex_state = 12},
  [13646] = {.lex_state = 380, .external_lex_state = 12},
  [13647] = {.lex_state = 380, .external_lex_state = 12},
  [13648] = {.lex_state = 380, .external_lex_state = 13},
  [13649] = {.lex_state = 380, .external_lex_state = 12},
  [13650] = {.lex_state = 380, .external_lex_state = 13},
  [13651] = {.lex_state = 380, .external_lex_state = 12},
  [13652] = {.lex_state = 384, .external_lex_state = 12},
  [13653] = {.lex_state = 380, .external_lex_state = 12},
  [13654] = {.lex_state = 380, .external_lex_state = 12},
  [13655] = {.lex_state = 380, .external_lex_state = 12},
  [13656] = {.lex_state = 380, .external_lex_state = 12},
  [13657] = {.lex_state = 380, .external_lex_state = 13},
  [13658] = {.lex_state = 384, .external_lex_state = 12},
  [13659] = {.lex_state = 380, .external_lex_state = 12},
  [13660] = {.lex_state = 388, .external_lex_state = 12},
  [13661] = {.lex_state = 380, .external_lex_state = 12},
  [13662] = {.lex_state = 384, .external_lex_state = 12},
  [13663] = {.lex_state = 380, .external_lex_state = 13},
  [13664] = {.lex_state = 380, .external_lex_state = 12},
  [13665] = {.lex_state = 380, .external_lex_state = 12},
  [13666] = {.lex_state = 380, .external_lex_state = 13},
  [13667] = {.lex_state = 380, .external_lex_state = 12},
  [13668] = {.lex_state = 384, .external_lex_state = 12},
  [13669] = {.lex_state = 380, .external_lex_state = 13},
  [13670] = {.lex_state = 380, .external_lex_state = 12},
  [13671] = {.lex_state = 380, .external_lex_state = 12},
  [13672] = {.lex_state = 380, .external_lex_state = 12},
  [13673] = {.lex_state = 384, .external_lex_state = 12},
  [13674] = {.lex_state = 380, .external_lex_state = 12},
  [13675] = {.lex_state = 380, .external_lex_state = 12},
  [13676] = {.lex_state = 380, .external_lex_state = 12},
  [13677] = {.lex_state = 380, .external_lex_state = 12},
  [13678] = {.lex_state = 380, .external_lex_state = 12},
  [13679] = {.lex_state = 380, .external_lex_state = 13},
  [13680] = {.lex_state = 380, .external_lex_state = 12},
  [13681] = {.lex_state = 380, .external_lex_state = 12},
  [13682] = {.lex_state = 384, .external_lex_state = 12},
  [13683] = {.lex_state = 380, .external_lex_state = 12},
  [13684] = {.lex_state = 384, .external_lex_state = 12},
  [13685] = {.lex_state = 380, .external_lex_state = 12},
  [13686] = {.lex_state = 380, .external_lex_state = 12},
  [13687] = {.lex_state = 380, .external_lex_state = 13},
  [13688] = {.lex_state = 388, .external_lex_state = 12},
  [13689] = {.lex_state = 380, .external_lex_state = 12},
  [13690] = {.lex_state = 380, .external_lex_state = 12},
  [13691] = {.lex_state = 384, .external_lex_state = 12},
  [13692] = {.lex_state = 380, .external_lex_state = 12},
  [13693] = {.lex_state = 380, .external_lex_state = 12},
  [13694] = {.lex_state = 380, .external_lex_state = 12},
  [13695] = {.lex_state = 380, .external_lex_state = 12},
  [13696] = {.lex_state = 380, .external_lex_state = 12},
  [13697] = {.lex_state = 380, .external_lex_state = 12},
  [13698] = {.lex_state = 380, .external_lex_state = 12},
  [13699] = {.lex_state = 380, .external_lex_state = 12},
  [13700] = {.lex_state = 380, .external_lex_state = 12},
  [13701] = {.lex_state = 380, .external_lex_state = 12},
  [13702] = {.lex_state = 380, .external_lex_state = 12},
  [13703] = {.lex_state = 380, .external_lex_state = 13},
  [13704] = {.lex_state = 384, .external_lex_state = 12},
  [13705] = {.lex_state = 380, .external_lex_state = 12},
  [13706] = {.lex_state = 380, .external_lex_state = 12},
  [13707] = {.lex_state = 380, .external_lex_state = 12},
  [13708] = {.lex_state = 380, .external_lex_state = 12},
  [13709] = {.lex_state = 388, .external_lex_state = 12},
  [13710] = {.lex_state = 380, .external_lex_state = 12},
  [13711] = {.lex_state = 380, .external_lex_state = 12},
  [13712] = {.lex_state = 380, .external_lex_state = 12},
  [13713] = {.lex_state = 388, .external_lex_state = 12},
  [13714] = {.lex_state = 380, .external_lex_state = 12},
  [13715] = {.lex_state = 380, .external_lex_state = 12},
  [13716] = {.lex_state = 380, .external_lex_state = 12},
  [13717] = {.lex_state = 380, .external_lex_state = 12},
  [13718] = {.lex_state = 380, .external_lex_state = 13},
  [13719] = {.lex_state = 380, .external_lex_state = 12},
  [13720] = {.lex_state = 380, .external_lex_state = 12},
  [13721] = {.lex_state = 384, .external_lex_state = 12},
  [13722] = {.lex_state = 380, .external_lex_state = 12},
  [13723] = {.lex_state = 380, .external_lex_state = 12},
  [13724] = {.lex_state = 380, .external_lex_state = 12},
  [13725] = {.lex_state = 384, .external_lex_state = 12},
  [13726] = {.lex_state = 380, .external_lex_state = 13},
  [13727] = {.lex_state = 380, .external_lex_state = 12},
  [13728] = {.lex_state = 384, .external_lex_state = 12},
  [13729] = {.lex_state = 380, .external_lex_state = 13},
  [13730] = {.lex_state = 380, .external_lex_state = 12},
  [13731] = {.lex_state = 380, .external_lex_state = 12},
  [13732] = {.lex_state = 380, .external_lex_state = 13},
  [13733] = {.lex_state = 384, .external_lex_state = 12},
  [13734] = {.lex_state = 380, .external_lex_state = 12},
  [13735] = {.lex_state = 380, .external_lex_state = 12},
  [13736] = {.lex_state = 380, .external_lex_state = 12},
  [13737] = {.lex_state = 384, .external_lex_state = 12},
  [13738] = {.lex_state = 380, .external_lex_state = 12},
  [13739] = {.lex_state = 380, .external_lex_state = 12},
  [13740] = {.lex_state = 380, .external_lex_state = 12},
  [13741] = {.lex_state = 380, .external_lex_state = 12},
  [13742] = {.lex_state = 380, .external_lex_state = 12},
  [13743] = {.lex_state = 380, .external_lex_state = 12},
  [13744] = {.lex_state = 380, .external_lex_state = 12},
  [13745] = {.lex_state = 380, .external_lex_state = 12},
  [13746] = {.lex_state = 380, .external_lex_state = 12},
  [13747] = {.lex_state = 380, .external_lex_state = 12},
  [13748] = {.lex_state = 380, .external_lex_state = 12},
  [13749] = {.lex_state = 380, .external_lex_state = 12},
  [13750] = {.lex_state = 380, .external_lex_state = 12},
  [13751] = {.lex_state = 380, .external_lex_state = 12},
  [13752] = {.lex_state = 380, .external_lex_state = 12},
  [13753] = {.lex_state = 380, .external_lex_state = 12},
  [13754] = {.lex_state = 380, .external_lex_state = 12},
  [13755] = {.lex_state = 380, .external_lex_state = 13},
  [13756] = {.lex_state = 380, .external_lex_state = 12},
  [13757] = {.lex_state = 384, .external_lex_state = 12},
  [13758] = {.lex_state = 380, .external_lex_state = 12},
  [13759] = {.lex_state = 380, .external_lex_state = 12},
  [13760] = {.lex_state = 380, .external_lex_state = 12},
  [13761] = {.lex_state = 380, .external_lex_state = 12},
  [13762] = {.lex_state = 384, .external_lex_state = 12},
  [13763] = {.lex_state = 380, .external_lex_state = 13},
  [13764] = {.lex_state = 380, .external_lex_state = 12},
  [13765] = {.lex_state = 380, .external_lex_state = 12},
  [13766] = {.lex_state = 380, .external_lex_state = 12},
  [13767] = {.lex_state = 380, .external_lex_state = 13},
  [13768] = {.lex_state = 384, .external_lex_state = 12},
  [13769] = {.lex_state = 380, .external_lex_state = 12},
  [13770] = {.lex_state = 380, .external_lex_state = 12},
  [13771] = {.lex_state = 380, .external_lex_state = 12},
  [13772] = {.lex_state = 380, .external_lex_state = 12},
  [13773] = {.lex_state = 380, .external_lex_state = 12},
  [13774] = {.lex_state = 380, .external_lex_state = 12},
  [13775] = {.lex_state = 380, .external_lex_state = 13},
  [13776] = {.lex_state = 384, .external_lex_state = 12},
  [13777] = {.lex_state = 380, .external_lex_state = 12},
  [13778] = {.lex_state = 384, .external_lex_state = 12},
  [13779] = {.lex_state = 380, .external_lex_state = 13},
  [13780] = {.lex_state = 380, .external_lex_state = 12},
  [13781] = {.lex_state = 380, .external_lex_state = 12},
  [13782] = {.lex_state = 380, .external_lex_state = 12},
  [13783] = {.lex_state = 380, .external_lex_state = 12},
  [13784] = {.lex_state = 380, .external_lex_state = 12},
  [13785] = {.lex_state = 380, .external_lex_state = 12},
  [13786] = {.lex_state = 380, .external_lex_state = 12},
  [13787] = {.lex_state = 380, .external_lex_state = 12},
  [13788] = {.lex_state = 380, .external_lex_state = 12},
  [13789] = {.lex_state = 380, .external_lex_state = 12},
  [13790] = {.lex_state = 380, .external_lex_state = 12},
  [13791] = {.lex_state = 380, .external_lex_state = 12},
  [13792] = {.lex_state = 380, .external_lex_state = 12},
  [13793] = {.lex_state = 380, .external_lex_state = 12},
  [13794] = {.lex_state = 380, .external_lex_state = 12},
  [13795] = {.lex_state = 380, .external_lex_state = 12},
  [13796] = {.lex_state = 380, .external_lex_state = 12},
  [13797] = {.lex_state = 380, .external_lex_state = 12},
  [13798] = {.lex_state = 380, .external_lex_state = 12},
  [13799] = {.lex_state = 380, .external_lex_state = 12},
  [13800] = {.lex_state = 380, .external_lex_state = 12},
  [13801] = {.lex_state = 380, .external_lex_state = 12},
  [13802] = {.lex_state = 380, .external_lex_state = 12},
  [13803] = {.lex_state = 380, .external_lex_state = 12},
  [13804] = {.lex_state = 380, .external_lex_state = 12},
  [13805] = {.lex_state = 380, .external_lex_state = 12},
  [13806] = {.lex_state = 380, .external_lex_state = 12},
  [13807] = {.lex_state = 380, .external_lex_state = 12},
  [13808] = {.lex_state = 380, .external_lex_state = 12},
  [13809] = {.lex_state = 380, .external_lex_state = 12},
  [13810] = {.lex_state = 380, .external_lex_state = 12},
  [13811] = {.lex_state = 384, .external_lex_state = 12},
  [13812] = {.lex_state = 380, .external_lex_state = 12},
  [13813] = {.lex_state = 380, .external_lex_state = 12},
  [13814] = {.lex_state = 380, .external_lex_state = 12},
  [13815] = {.lex_state = 380, .external_lex_state = 12},
  [13816] = {.lex_state = 380, .external_lex_state = 12},
  [13817] = {.lex_state = 380, .external_lex_state = 12},
  [13818] = {.lex_state = 380, .external_lex_state = 12},
  [13819] = {.lex_state = 380, .external_lex_state = 12},
  [13820] = {.lex_state = 380, .external_lex_state = 12},
  [13821] = {.lex_state = 380, .external_lex_state = 12},
  [13822] = {.lex_state = 380, .external_lex_state = 12},
  [13823] = {.lex_state = 380, .external_lex_state = 12},
  [13824] = {.lex_state = 380, .external_lex_state = 12},
  [13825] = {.lex_state = 380, .external_lex_state = 12},
  [13826] = {.lex_state = 380, .external_lex_state = 12},
  [13827] = {.lex_state = 380, .external_lex_state = 12},
  [13828] = {.lex_state = 380, .external_lex_state = 13},
  [13829] = {.lex_state = 384, .external_lex_state = 12},
  [13830] = {.lex_state = 380, .external_lex_state = 12},
  [13831] = {.lex_state = 380, .external_lex_state = 12},
  [13832] = {.lex_state = 380, .external_lex_state = 12},
  [13833] = {.lex_state = 380, .external_lex_state = 12},
  [13834] = {.lex_state = 380, .external_lex_state = 12},
  [13835] = {.lex_state = 380, .external_lex_state = 12},
  [13836] = {.lex_state = 380, .external_lex_state = 12},
  [13837] = {.lex_state = 380, .external_lex_state = 12},
  [13838] = {.lex_state = 380, .external_lex_state = 12},
  [13839] = {.lex_state = 384, .external_lex_state = 12},
  [13840] = {.lex_state = 380, .external_lex_state = 12},
  [13841] = {.lex_state = 380, .external_lex_state = 12},
  [13842] = {.lex_state = 380, .external_lex_state = 12},
  [13843] = {.lex_state = 380, .external_lex_state = 13},
  [13844] = {.lex_state = 384, .external_lex_state = 12},
  [13845] = {.lex_state = 380, .external_lex_state = 12},
  [13846] = {.lex_state = 380, .external_lex_state = 13},
  [13847] = {.lex_state = 380, .external_lex_state = 12},
  [13848] = {.lex_state = 380, .external_lex_state = 12},
  [13849] = {.lex_state = 380, .external_lex_state = 12},
  [13850] = {.lex_state = 380, .external_lex_state = 12},
  [13851] = {.lex_state = 380, .external_lex_state = 12},
  [13852] = {.lex_state = 380, .external_lex_state = 12},
  [13853] = {.lex_state = 380, .external_lex_state = 12},
  [13854] = {.lex_state = 380, .external_lex_state = 12},
  [13855] = {.lex_state = 380, .external_lex_state = 12},
  [13856] = {.lex_state = 380, .external_lex_state = 12},
  [13857] = {.lex_state = 380, .external_lex_state = 12},
  [13858] = {.lex_state = 380, .external_lex_state = 12},
  [13859] = {.lex_state = 380, .external_lex_state = 12},
  [13860] = {.lex_state = 384, .external_lex_state = 12},
  [13861] = {.lex_state = 380, .external_lex_state = 12},
  [13862] = {.lex_state = 380, .external_lex_state = 13},
  [13863] = {.lex_state = 541, .external_lex_state = 12},
  [13864] = {.lex_state = 380, .external_lex_state = 12},
  [13865] = {.lex_state = 380, .external_lex_state = 12},
  [13866] = {.lex_state = 380, .external_lex_state = 12},
  [13867] = {.lex_state = 380, .external_lex_state = 12},
  [13868] = {.lex_state = 380, .external_lex_state = 12},
  [13869] = {.lex_state = 380, .external_lex_state = 13},
  [13870] = {.lex_state = 380, .external_lex_state = 13},
  [13871] = {.lex_state = 384, .external_lex_state = 12},
  [13872] = {.lex_state = 380, .external_lex_state = 12},
  [13873] = {.lex_state = 384, .external_lex_state = 12},
  [13874] = {.lex_state = 380, .external_lex_state = 12},
  [13875] = {.lex_state = 380, .external_lex_state = 12},
  [13876] = {.lex_state = 380, .external_lex_state = 12},
  [13877] = {.lex_state = 380, .external_lex_state = 12},
  [13878] = {.lex_state = 380, .external_lex_state = 12},
  [13879] = {.lex_state = 380, .external_lex_state = 13},
  [13880] = {.lex_state = 384, .external_lex_state = 12},
  [13881] = {.lex_state = 380, .external_lex_state = 12},
  [13882] = {.lex_state = 380, .external_lex_state = 12},
  [13883] = {.lex_state = 380, .external_lex_state = 12},
  [13884] = {.lex_state = 380, .external_lex_state = 13},
  [13885] = {.lex_state = 384, .external_lex_state = 12},
  [13886] = {.lex_state = 380, .external_lex_state = 12},
  [13887] = {.lex_state = 384, .external_lex_state = 12},
  [13888] = {.lex_state = 380, .external_lex_state = 13},
  [13889] = {.lex_state = 380, .external_lex_state = 12},
  [13890] = {.lex_state = 380, .external_lex_state = 12},
  [13891] = {.lex_state = 380, .external_lex_state = 12},
  [13892] = {.lex_state = 380, .external_lex_state = 12},
  [13893] = {.lex_state = 388, .external_lex_state = 12},
  [13894] = {.lex_state = 380, .external_lex_state = 12},
  [13895] = {.lex_state = 380, .external_lex_state = 12},
  [13896] = {.lex_state = 384, .external_lex_state = 12},
  [13897] = {.lex_state = 380, .external_lex_state = 12},
  [13898] = {.lex_state = 380, .external_lex_state = 12},
  [13899] = {.lex_state = 384, .external_lex_state = 12},
  [13900] = {.lex_state = 384, .external_lex_state = 12},
  [13901] = {.lex_state = 380, .external_lex_state = 13},
  [13902] = {.lex_state = 380, .external_lex_state = 12},
  [13903] = {.lex_state = 380, .external_lex_state = 12},
  [13904] = {.lex_state = 380, .external_lex_state = 13},
  [13905] = {.lex_state = 380, .external_lex_state = 12},
  [13906] = {.lex_state = 380, .external_lex_state = 12},
  [13907] = {.lex_state = 380, .external_lex_state = 12},
  [13908] = {.lex_state = 380, .external_lex_state = 12},
  [13909] = {.lex_state = 380, .external_lex_state = 12},
  [13910] = {.lex_state = 380, .external_lex_state = 12},
  [13911] = {.lex_state = 380, .external_lex_state = 12},
  [13912] = {.lex_state = 380, .external_lex_state = 12},
  [13913] = {.lex_state = 380, .external_lex_state = 12},
  [13914] = {.lex_state = 380, .external_lex_state = 12},
  [13915] = {.lex_state = 380, .external_lex_state = 12},
  [13916] = {.lex_state = 380, .external_lex_state = 12},
  [13917] = {.lex_state = 380, .external_lex_state = 12},
  [13918] = {.lex_state = 380, .external_lex_state = 12},
  [13919] = {.lex_state = 384, .external_lex_state = 12},
  [13920] = {.lex_state = 380, .external_lex_state = 13},
  [13921] = {.lex_state = 384, .external_lex_state = 12},
  [13922] = {.lex_state = 380, .external_lex_state = 12},
  [13923] = {.lex_state = 380, .external_lex_state = 12},
  [13924] = {.lex_state = 380, .external_lex_state = 12},
  [13925] = {.lex_state = 380, .external_lex_state = 12},
  [13926] = {.lex_state = 380, .external_lex_state = 12},
  [13927] = {.lex_state = 380, .external_lex_state = 12},
  [13928] = {.lex_state = 380, .external_lex_state = 12},
  [13929] = {.lex_state = 380, .external_lex_state = 12},
  [13930] = {.lex_state = 380, .external_lex_state = 12},
  [13931] = {.lex_state = 380, .external_lex_state = 12},
  [13932] = {.lex_state = 380, .external_lex_state = 12},
  [13933] = {.lex_state = 380, .external_lex_state = 13},
  [13934] = {.lex_state = 384, .external_lex_state = 12},
  [13935] = {.lex_state = 384, .external_lex_state = 12},
  [13936] = {.lex_state = 380, .external_lex_state = 13},
  [13937] = {.lex_state = 380, .external_lex_state = 12},
  [13938] = {.lex_state = 380, .external_lex_state = 13},
  [13939] = {.lex_state = 380, .external_lex_state = 12},
  [13940] = {.lex_state = 380, .external_lex_state = 12},
  [13941] = {.lex_state = 384, .external_lex_state = 12},
  [13942] = {.lex_state = 380, .external_lex_state = 12},
  [13943] = {.lex_state = 380, .external_lex_state = 12},
  [13944] = {.lex_state = 388, .external_lex_state = 12},
  [13945] = {.lex_state = 380, .external_lex_state = 12},
  [13946] = {.lex_state = 380, .external_lex_state = 12},
  [13947] = {.lex_state = 380, .external_lex_state = 12},
  [13948] = {.lex_state = 380, .external_lex_state = 12},
  [13949] = {.lex_state = 380, .external_lex_state = 12},
  [13950] = {.lex_state = 380, .external_lex_state = 12},
  [13951] = {.lex_state = 380, .external_lex_state = 12},
  [13952] = {.lex_state = 380, .external_lex_state = 12},
  [13953] = {.lex_state = 380, .external_lex_state = 12},
  [13954] = {.lex_state = 380, .external_lex_state = 12},
  [13955] = {.lex_state = 384, .external_lex_state = 12},
  [13956] = {.lex_state = 380, .external_lex_state = 13},
  [13957] = {.lex_state = 380, .external_lex_state = 12},
  [13958] = {.lex_state = 380, .external_lex_state = 12},
  [13959] = {.lex_state = 541, .external_lex_state = 12},
  [13960] = {.lex_state = 380, .external_lex_state = 12},
  [13961] = {.lex_state = 380, .external_lex_state = 12},
  [13962] = {.lex_state = 380, .external_lex_state = 12},
  [13963] = {.lex_state = 380, .external_lex_state = 12},
  [13964] = {.lex_state = 380, .external_lex_state = 12},
  [13965] = {.lex_state = 380, .external_lex_state = 12},
  [13966] = {.lex_state = 380, .external_lex_state = 12},
  [13967] = {.lex_state = 380, .external_lex_state = 13},
  [13968] = {.lex_state = 384, .external_lex_state = 12},
  [13969] = {.lex_state = 384, .external_lex_state = 12},
  [13970] = {.lex_state = 380, .external_lex_state = 12},
  [13971] = {.lex_state = 380, .external_lex_state = 12},
  [13972] = {.lex_state = 380, .external_lex_state = 12},
  [13973] = {.lex_state = 380, .external_lex_state = 12},
  [13974] = {.lex_state = 380, .external_lex_state = 12},
  [13975] = {.lex_state = 380, .external_lex_state = 13},
  [13976] = {.lex_state = 384, .external_lex_state = 12},
  [13977] = {.lex_state = 380, .external_lex_state = 13},
  [13978] = {.lex_state = 380, .external_lex_state = 12},
  [13979] = {.lex_state = 380, .external_lex_state = 12},
  [13980] = {.lex_state = 380, .external_lex_state = 13},
  [13981] = {.lex_state = 384, .external_lex_state = 12},
  [13982] = {.lex_state = 380, .external_lex_state = 12},
  [13983] = {.lex_state = 380, .external_lex_state = 12},
  [13984] = {.lex_state = 380, .external_lex_state = 12},
  [13985] = {.lex_state = 380, .external_lex_state = 12},
  [13986] = {.lex_state = 380, .external_lex_state = 12},
  [13987] = {.lex_state = 380, .external_lex_state = 12},
  [13988] = {.lex_state = 380, .external_lex_state = 12},
  [13989] = {.lex_state = 380, .external_lex_state = 12},
  [13990] = {.lex_state = 380, .external_lex_state = 12},
  [13991] = {.lex_state = 380, .external_lex_state = 12},
  [13992] = {.lex_state = 380, .external_lex_state = 12},
  [13993] = {.lex_state = 384, .external_lex_state = 12},
  [13994] = {.lex_state = 343, .external_lex_state = 12},
  [13995] = {.lex_state = 380, .external_lex_state = 12},
  [13996] = {.lex_state = 380, .external_lex_state = 12},
  [13997] = {.lex_state = 343, .external_lex_state = 12},
  [13998] = {.lex_state = 343, .external_lex_state = 12},
  [13999] = {.lex_state = 380, .external_lex_state = 12},
  [14000] = {.lex_state = 380, .external_lex_state = 12},
  [14001] = {.lex_state = 343, .external_lex_state = 12},
  [14002] = {.lex_state = 343, .external_lex_state = 12},
  [14003] = {.lex_state = 380, .external_lex_state = 12},
  [14004] = {.lex_state = 380, .external_lex_state = 12},
  [14005] = {.lex_state = 380, .external_lex_state = 12},
  [14006] = {.lex_state = 343, .external_lex_state = 12},
  [14007] = {.lex_state = 343, .external_lex_state = 12},
  [14008] = {.lex_state = 343, .external_lex_state = 12},
  [14009] = {.lex_state = 343, .external_lex_state = 12},
  [14010] = {.lex_state = 380, .external_lex_state = 12},
  [14011] = {.lex_state = 343, .external_lex_state = 12},
  [14012] = {.lex_state = 343, .external_lex_state = 12},
  [14013] = {.lex_state = 380, .external_lex_state = 12},
  [14014] = {.lex_state = 343, .external_lex_state = 12},
  [14015] = {.lex_state = 380, .external_lex_state = 12},
  [14016] = {.lex_state = 343, .external_lex_state = 12},
  [14017] = {.lex_state = 343, .external_lex_state = 12},
  [14018] = {.lex_state = 380, .external_lex_state = 12},
  [14019] = {.lex_state = 380, .external_lex_state = 12},
  [14020] = {.lex_state = 343, .external_lex_state = 12},
  [14021] = {.lex_state = 343, .external_lex_state = 12},
  [14022] = {.lex_state = 380, .external_lex_state = 12},
  [14023] = {.lex_state = 380, .external_lex_state = 12},
  [14024] = {.lex_state = 343, .external_lex_state = 12},
  [14025] = {.lex_state = 343, .external_lex_state = 12},
  [14026] = {.lex_state = 380, .external_lex_state = 12},
  [14027] = {.lex_state = 380, .external_lex_state = 12},
  [14028] = {.lex_state = 380, .external_lex_state = 12},
  [14029] = {.lex_state = 380, .external_lex_state = 12},
  [14030] = {.lex_state = 343, .external_lex_state = 12},
  [14031] = {.lex_state = 343, .external_lex_state = 12},
  [14032] = {.lex_state = 384, .external_lex_state = 12},
  [14033] = {.lex_state = 343, .external_lex_state = 12},
  [14034] = {.lex_state = 343, .external_lex_state = 12},
  [14035] = {.lex_state = 343, .external_lex_state = 12},
  [14036] = {.lex_state = 343, .external_lex_state = 12},
  [14037] = {.lex_state = 380, .external_lex_state = 12},
  [14038] = {.lex_state = 343, .external_lex_state = 12},
  [14039] = {.lex_state = 343, .external_lex_state = 12},
  [14040] = {.lex_state = 343, .external_lex_state = 12},
  [14041] = {.lex_state = 380, .external_lex_state = 12},
  [14042] = {.lex_state = 380, .external_lex_state = 12},
  [14043] = {.lex_state = 343, .external_lex_state = 12},
  [14044] = {.lex_state = 343, .external_lex_state = 12},
  [14045] = {.lex_state = 343, .external_lex_state = 12},
  [14046] = {.lex_state = 380, .external_lex_state = 12},
  [14047] = {.lex_state = 343, .external_lex_state = 12},
  [14048] = {.lex_state = 343, .external_lex_state = 12},
  [14049] = {.lex_state = 343, .external_lex_state = 12},
  [14050] = {.lex_state = 343, .external_lex_state = 12},
  [14051] = {.lex_state = 343, .external_lex_state = 12},
  [14052] = {.lex_state = 343, .external_lex_state = 12},
  [14053] = {.lex_state = 343, .external_lex_state = 12},
  [14054] = {.lex_state = 343, .external_lex_state = 12},
  [14055] = {.lex_state = 343, .external_lex_state = 12},
  [14056] = {.lex_state = 343, .external_lex_state = 12},
  [14057] = {.lex_state = 343, .external_lex_state = 12},
  [14058] = {.lex_state = 343, .external_lex_state = 12},
  [14059] = {.lex_state = 380, .external_lex_state = 12},
  [14060] = {.lex_state = 343, .external_lex_state = 12},
  [14061] = {.lex_state = 343, .external_lex_state = 12},
  [14062] = {.lex_state = 380, .external_lex_state = 12},
  [14063] = {.lex_state = 343, .external_lex_state = 12},
  [14064] = {.lex_state = 343, .external_lex_state = 12},
  [14065] = {.lex_state = 343, .external_lex_state = 12},
  [14066] = {.lex_state = 343, .external_lex_state = 12},
  [14067] = {.lex_state = 343, .external_lex_state = 12},
  [14068] = {.lex_state = 343, .external_lex_state = 12},
  [14069] = {.lex_state = 343, .external_lex_state = 12},
  [14070] = {.lex_state = 343, .external_lex_state = 12},
  [14071] = {.lex_state = 380, .external_lex_state = 12},
  [14072] = {.lex_state = 380, .external_lex_state = 12},
  [14073] = {.lex_state = 380, .external_lex_state = 12},
  [14074] = {.lex_state = 343, .external_lex_state = 12},
  [14075] = {.lex_state = 343, .external_lex_state = 12},
  [14076] = {.lex_state = 380, .external_lex_state = 12},
  [14077] = {.lex_state = 343, .external_lex_state = 12},
  [14078] = {.lex_state = 380, .external_lex_state = 12},
  [14079] = {.lex_state = 343, .external_lex_state = 12},
  [14080] = {.lex_state = 380, .external_lex_state = 12},
  [14081] = {.lex_state = 380, .external_lex_state = 12},
  [14082] = {.lex_state = 380, .external_lex_state = 12},
  [14083] = {.lex_state = 343, .external_lex_state = 12},
  [14084] = {.lex_state = 380, .external_lex_state = 12},
  [14085] = {.lex_state = 380, .external_lex_state = 12},
  [14086] = {.lex_state = 343, .external_lex_state = 12},
  [14087] = {.lex_state = 380, .external_lex_state = 12},
  [14088] = {.lex_state = 380, .external_lex_state = 12},
  [14089] = {.lex_state = 380, .external_lex_state = 12},
  [14090] = {.lex_state = 380, .external_lex_state = 12},
  [14091] = {.lex_state = 380, .external_lex_state = 12},
  [14092] = {.lex_state = 380, .external_lex_state = 12},
  [14093] = {.lex_state = 380, .external_lex_state = 12},
  [14094] = {.lex_state = 380, .external_lex_state = 12},
  [14095] = {.lex_state = 380, .external_lex_state = 12},
  [14096] = {.lex_state = 380, .external_lex_state = 12},
  [14097] = {.lex_state = 380, .external_lex_state = 12},
  [14098] = {.lex_state = 380, .external_lex_state = 12},
  [14099] = {.lex_state = 380, .external_lex_state = 12},
  [14100] = {.lex_state = 343, .external_lex_state = 12},
  [14101] = {.lex_state = 343, .external_lex_state = 12},
  [14102] = {.lex_state = 380, .external_lex_state = 12},
  [14103] = {.lex_state = 380, .external_lex_state = 12},
  [14104] = {.lex_state = 380, .external_lex_state = 12},
  [14105] = {.lex_state = 380, .external_lex_state = 12},
  [14106] = {.lex_state = 343, .external_lex_state = 12},
  [14107] = {.lex_state = 343, .external_lex_state = 12},
  [14108] = {.lex_state = 380, .external_lex_state = 12},
  [14109] = {.lex_state = 380, .external_lex_state = 12},
  [14110] = {.lex_state = 380, .external_lex_state = 12},
  [14111] = {.lex_state = 380, .external_lex_state = 12},
  [14112] = {.lex_state = 380, .external_lex_state = 12},
  [14113] = {.lex_state = 343, .external_lex_state = 12},
  [14114] = {.lex_state = 380, .external_lex_state = 12},
  [14115] = {.lex_state = 343, .external_lex_state = 12},
  [14116] = {.lex_state = 343, .external_lex_state = 12},
  [14117] = {.lex_state = 343, .external_lex_state = 12},
  [14118] = {.lex_state = 343, .external_lex_state = 12},
  [14119] = {.lex_state = 380, .external_lex_state = 12},
  [14120] = {.lex_state = 343, .external_lex_state = 12},
  [14121] = {.lex_state = 380, .external_lex_state = 12},
  [14122] = {.lex_state = 343, .external_lex_state = 12},
  [14123] = {.lex_state = 343, .external_lex_state = 12},
  [14124] = {.lex_state = 343, .external_lex_state = 12},
  [14125] = {.lex_state = 384, .external_lex_state = 12},
  [14126] = {.lex_state = 343, .external_lex_state = 12},
  [14127] = {.lex_state = 343, .external_lex_state = 12},
  [14128] = {.lex_state = 380, .external_lex_state = 12},
  [14129] = {.lex_state = 380, .external_lex_state = 12},
  [14130] = {.lex_state = 343, .external_lex_state = 12},
  [14131] = {.lex_state = 343, .external_lex_state = 12},
  [14132] = {.lex_state = 343, .external_lex_state = 12},
  [14133] = {.lex_state = 384, .external_lex_state = 12},
  [14134] = {.lex_state = 343, .external_lex_state = 12},
  [14135] = {.lex_state = 343, .external_lex_state = 12},
  [14136] = {.lex_state = 343, .external_lex_state = 12},
  [14137] = {.lex_state = 343, .external_lex_state = 12},
  [14138] = {.lex_state = 380, .external_lex_state = 13},
  [14139] = {.lex_state = 380, .external_lex_state = 12},
  [14140] = {.lex_state = 343, .external_lex_state = 12},
  [14141] = {.lex_state = 343, .external_lex_state = 12},
  [14142] = {.lex_state = 380, .external_lex_state = 12},
  [14143] = {.lex_state = 380, .external_lex_state = 12},
  [14144] = {.lex_state = 380, .external_lex_state = 12},
  [14145] = {.lex_state = 380, .external_lex_state = 12},
  [14146] = {.lex_state = 380, .external_lex_state = 12},
  [14147] = {.lex_state = 380, .external_lex_state = 12},
  [14148] = {.lex_state = 380, .external_lex_state = 12},
  [14149] = {.lex_state = 380, .external_lex_state = 12},
  [14150] = {.lex_state = 380, .external_lex_state = 12},
  [14151] = {.lex_state = 380, .external_lex_state = 12},
  [14152] = {.lex_state = 380, .external_lex_state = 12},
  [14153] = {.lex_state = 380, .external_lex_state = 12},
  [14154] = {.lex_state = 380, .external_lex_state = 12},
  [14155] = {.lex_state = 380, .external_lex_state = 12},
  [14156] = {.lex_state = 380, .external_lex_state = 12},
  [14157] = {.lex_state = 380, .external_lex_state = 12},
  [14158] = {.lex_state = 380, .external_lex_state = 12},
  [14159] = {.lex_state = 380, .external_lex_state = 12},
  [14160] = {.lex_state = 380, .external_lex_state = 12},
  [14161] = {.lex_state = 380, .external_lex_state = 12},
  [14162] = {.lex_state = 380, .external_lex_state = 12},
  [14163] = {.lex_state = 380, .external_lex_state = 12},
  [14164] = {.lex_state = 380, .external_lex_state = 12},
  [14165] = {.lex_state = 380, .external_lex_state = 12},
  [14166] = {.lex_state = 380, .external_lex_state = 12},
  [14167] = {.lex_state = 380, .external_lex_state = 12},
  [14168] = {.lex_state = 380, .external_lex_state = 12},
  [14169] = {.lex_state = 380, .external_lex_state = 12},
  [14170] = {.lex_state = 380, .external_lex_state = 12},
  [14171] = {.lex_state = 380, .external_lex_state = 12},
  [14172] = {.lex_state = 380, .external_lex_state = 12},
  [14173] = {.lex_state = 380, .external_lex_state = 12},
  [14174] = {.lex_state = 380, .external_lex_state = 12},
  [14175] = {.lex_state = 380, .external_lex_state = 12},
  [14176] = {.lex_state = 380, .external_lex_state = 12},
  [14177] = {.lex_state = 380, .external_lex_state = 12},
  [14178] = {.lex_state = 380, .external_lex_state = 12},
  [14179] = {.lex_state = 380, .external_lex_state = 12},
  [14180] = {.lex_state = 380, .external_lex_state = 12},
  [14181] = {.lex_state = 357, .external_lex_state = 12},
  [14182] = {.lex_state = 357, .external_lex_state = 12},
  [14183] = {.lex_state = 357, .external_lex_state = 12},
  [14184] = {.lex_state = 357, .external_lex_state = 12},
  [14185] = {.lex_state = 357, .external_lex_state = 12},
  [14186] = {.lex_state = 357, .external_lex_state = 12},
  [14187] = {.lex_state = 357, .external_lex_state = 12},
  [14188] = {.lex_state = 357, .external_lex_state = 12},
  [14189] = {.lex_state = 357, .external_lex_state = 12},
  [14190] = {.lex_state = 357, .external_lex_state = 12},
  [14191] = {.lex_state = 357, .external_lex_state = 12},
  [14192] = {.lex_state = 357, .external_lex_state = 12},
  [14193] = {.lex_state = 357, .external_lex_state = 12},
  [14194] = {.lex_state = 357, .external_lex_state = 12},
  [14195] = {.lex_state = 357, .external_lex_state = 12},
  [14196] = {.lex_state = 357, .external_lex_state = 12},
  [14197] = {.lex_state = 357, .external_lex_state = 12},
  [14198] = {.lex_state = 357, .external_lex_state = 12},
  [14199] = {.lex_state = 357, .external_lex_state = 12},
  [14200] = {.lex_state = 357, .external_lex_state = 12},
  [14201] = {.lex_state = 357, .external_lex_state = 12},
  [14202] = {.lex_state = 357, .external_lex_state = 12},
  [14203] = {.lex_state = 357, .external_lex_state = 12},
  [14204] = {.lex_state = 357, .external_lex_state = 12},
  [14205] = {.lex_state = 357, .external_lex_state = 12},
  [14206] = {.lex_state = 357, .external_lex_state = 12},
  [14207] = {.lex_state = 357, .external_lex_state = 12},
  [14208] = {.lex_state = 357, .external_lex_state = 12},
  [14209] = {.lex_state = 357, .external_lex_state = 12},
  [14210] = {.lex_state = 357, .external_lex_state = 12},
  [14211] = {.lex_state = 357, .external_lex_state = 12},
  [14212] = {.lex_state = 357, .external_lex_state = 12},
  [14213] = {.lex_state = 357, .external_lex_state = 12},
  [14214] = {.lex_state = 357, .external_lex_state = 12},
  [14215] = {.lex_state = 357, .external_lex_state = 12},
  [14216] = {.lex_state = 357, .external_lex_state = 12},
  [14217] = {.lex_state = 357, .external_lex_state = 12},
  [14218] = {.lex_state = 357, .external_lex_state = 12},
  [14219] = {.lex_state = 357, .external_lex_state = 12},
  [14220] = {.lex_state = 357, .external_lex_state = 12},
  [14221] = {.lex_state = 357, .external_lex_state = 12},
  [14222] = {.lex_state = 357, .external_lex_state = 12},
  [14223] = {.lex_state = 357, .external_lex_state = 12},
  [14224] = {.lex_state = 357, .external_lex_state = 12},
  [14225] = {.lex_state = 357, .external_lex_state = 12},
  [14226] = {.lex_state = 357, .external_lex_state = 12},
  [14227] = {.lex_state = 357, .external_lex_state = 12},
  [14228] = {.lex_state = 357, .external_lex_state = 12},
  [14229] = {.lex_state = 357, .external_lex_state = 12},
  [14230] = {.lex_state = 357, .external_lex_state = 12},
  [14231] = {.lex_state = 357, .external_lex_state = 12},
  [14232] = {.lex_state = 343, .external_lex_state = 5},
  [14233] = {.lex_state = 343, .external_lex_state = 5},
  [14234] = {.lex_state = 343, .external_lex_state = 5},
  [14235] = {.lex_state = 343, .external_lex_state = 5},
  [14236] = {.lex_state = 343, .external_lex_state = 5},
  [14237] = {.lex_state = 343, .external_lex_state = 5},
  [14238] = {.lex_state = 343, .external_lex_state = 5},
  [14239] = {.lex_state = 343, .external_lex_state = 5},
  [14240] = {.lex_state = 343, .external_lex_state = 5},
  [14241] = {.lex_state = 343, .external_lex_state = 5},
  [14242] = {.lex_state = 343, .external_lex_state = 5},
  [14243] = {.lex_state = 343, .external_lex_state = 5},
  [14244] = {.lex_state = 343, .external_lex_state = 5},
  [14245] = {.lex_state = 343, .external_lex_state = 5},
  [14246] = {.lex_state = 343, .external_lex_state = 5},
  [14247] = {.lex_state = 343, .external_lex_state = 5},
  [14248] = {.lex_state = 343, .external_lex_state = 5},
  [14249] = {.lex_state = 343, .external_lex_state = 5},
  [14250] = {.lex_state = 343, .external_lex_state = 5},
  [14251] = {.lex_state = 343, .external_lex_state = 5},
  [14252] = {.lex_state = 343, .external_lex_state = 5},
  [14253] = {.lex_state = 343, .external_lex_state = 5},
  [14254] = {.lex_state = 343, .external_lex_state = 5},
  [14255] = {.lex_state = 343, .external_lex_state = 5},
  [14256] = {.lex_state = 343, .external_lex_state = 5},
  [14257] = {.lex_state = 343, .external_lex_state = 5},
  [14258] = {.lex_state = 343, .external_lex_state = 5},
  [14259] = {.lex_state = 343, .external_lex_state = 5},
  [14260] = {.lex_state = 343, .external_lex_state = 5},
  [14261] = {.lex_state = 343, .external_lex_state = 5},
  [14262] = {.lex_state = 343, .external_lex_state = 5},
  [14263] = {.lex_state = 343, .external_lex_state = 5},
  [14264] = {.lex_state = 343, .external_lex_state = 5},
  [14265] = {.lex_state = 343, .external_lex_state = 5},
  [14266] = {.lex_state = 343, .external_lex_state = 5},
  [14267] = {.lex_state = 343, .external_lex_state = 5},
  [14268] = {.lex_state = 343, .external_lex_state = 5},
  [14269] = {.lex_state = 343, .external_lex_state = 5},
  [14270] = {.lex_state = 343, .external_lex_state = 5},
  [14271] = {.lex_state = 343, .external_lex_state = 5},
  [14272] = {.lex_state = 343, .external_lex_state = 5},
  [14273] = {.lex_state = 343, .external_lex_state = 5},
  [14274] = {.lex_state = 343, .external_lex_state = 5},
  [14275] = {.lex_state = 343, .external_lex_state = 5},
  [14276] = {.lex_state = 343, .external_lex_state = 5},
  [14277] = {.lex_state = 343, .external_lex_state = 5},
  [14278] = {.lex_state = 343, .external_lex_state = 5},
  [14279] = {.lex_state = 343, .external_lex_state = 5},
  [14280] = {.lex_state = 343, .external_lex_state = 5},
  [14281] = {.lex_state = 343, .external_lex_state = 5},
  [14282] = {.lex_state = 343, .external_lex_state = 5},
  [14283] = {.lex_state = 343, .external_lex_state = 5},
  [14284] = {.lex_state = 343, .external_lex_state = 5},
  [14285] = {.lex_state = 343, .external_lex_state = 5},
  [14286] = {.lex_state = 343, .external_lex_state = 5},
  [14287] = {.lex_state = 343, .external_lex_state = 5},
  [14288] = {.lex_state = 343, .external_lex_state = 5},
  [14289] = {.lex_state = 343, .external_lex_state = 5},
  [14290] = {.lex_state = 343, .external_lex_state = 5},
  [14291] = {.lex_state = 343, .external_lex_state = 5},
  [14292] = {.lex_state = 343, .external_lex_state = 5},
  [14293] = {.lex_state = 343, .external_lex_state = 5},
  [14294] = {.lex_state = 343, .external_lex_state = 5},
  [14295] = {.lex_state = 343, .external_lex_state = 5},
  [14296] = {.lex_state = 343, .external_lex_state = 5},
  [14297] = {.lex_state = 343, .external_lex_state = 5},
  [14298] = {.lex_state = 343, .external_lex_state = 5},
  [14299] = {.lex_state = 343, .external_lex_state = 5},
  [14300] = {.lex_state = 343, .external_lex_state = 5},
  [14301] = {.lex_state = 343, .external_lex_state = 5},
  [14302] = {.lex_state = 343, .external_lex_state = 5},
  [14303] = {.lex_state = 343, .external_lex_state = 5},
  [14304] = {.lex_state = 343, .external_lex_state = 5},
  [14305] = {.lex_state = 343, .external_lex_state = 5},
  [14306] = {.lex_state = 343, .external_lex_state = 5},
  [14307] = {.lex_state = 343, .external_lex_state = 5},
  [14308] = {.lex_state = 343, .external_lex_state = 5},
  [14309] = {.lex_state = 343, .external_lex_state = 5},
  [14310] = {.lex_state = 343, .external_lex_state = 5},
  [14311] = {.lex_state = 343, .external_lex_state = 5},
  [14312] = {.lex_state = 343, .external_lex_state = 5},
  [14313] = {.lex_state = 343, .external_lex_state = 5},
  [14314] = {.lex_state = 343, .external_lex_state = 5},
  [14315] = {.lex_state = 343, .external_lex_state = 5},
  [14316] = {.lex_state = 343, .external_lex_state = 5},
  [14317] = {.lex_state = 343, .external_lex_state = 5},
  [14318] = {.lex_state = 343, .external_lex_state = 5},
  [14319] = {.lex_state = 343, .external_lex_state = 5},
  [14320] = {.lex_state = 343, .external_lex_state = 5},
  [14321] = {.lex_state = 343, .external_lex_state = 5},
  [14322] = {.lex_state = 343, .external_lex_state = 5},
  [14323] = {.lex_state = 343, .external_lex_state = 5},
  [14324] = {.lex_state = 343, .external_lex_state = 5},
  [14325] = {.lex_state = 409, .external_lex_state = 10},
  [14326] = {.lex_state = 409, .external_lex_state = 10},
  [14327] = {.lex_state = 409, .external_lex_state = 10},
  [14328] = {.lex_state = 409, .external_lex_state = 9},
  [14329] = {.lex_state = 409, .external_lex_state = 10},
  [14330] = {.lex_state = 409, .external_lex_state = 10},
  [14331] = {.lex_state = 409, .external_lex_state = 10},
  [14332] = {.lex_state = 411, .external_lex_state = 10},
  [14333] = {.lex_state = 411, .external_lex_state = 10},
  [14334] = {.lex_state = 409, .external_lex_state = 10},
  [14335] = {.lex_state = 412, .external_lex_state = 10},
  [14336] = {.lex_state = 409, .external_lex_state = 9},
  [14337] = {.lex_state = 409, .external_lex_state = 10},
  [14338] = {.lex_state = 409, .external_lex_state = 9},
  [14339] = {.lex_state = 409, .external_lex_state = 9},
  [14340] = {.lex_state = 409, .external_lex_state = 10},
  [14341] = {.lex_state = 409, .external_lex_state = 10},
  [14342] = {.lex_state = 409, .external_lex_state = 10},
  [14343] = {.lex_state = 409, .external_lex_state = 10},
  [14344] = {.lex_state = 409, .external_lex_state = 9},
  [14345] = {.lex_state = 411, .external_lex_state = 10},
  [14346] = {.lex_state = 409, .external_lex_state = 10},
  [14347] = {.lex_state = 409, .external_lex_state = 10},
  [14348] = {.lex_state = 411, .external_lex_state = 10},
  [14349] = {.lex_state = 409, .external_lex_state = 10},
  [14350] = {.lex_state = 409, .external_lex_state = 10},
  [14351] = {.lex_state = 409, .external_lex_state = 10},
  [14352] = {.lex_state = 409, .external_lex_state = 10},
  [14353] = {.lex_state = 409, .external_lex_state = 10},
  [14354] = {.lex_state = 409, .external_lex_state = 10},
  [14355] = {.lex_state = 409, .external_lex_state = 10},
  [14356] = {.lex_state = 409, .external_lex_state = 10},
  [14357] = {.lex_state = 409, .external_lex_state = 10},
  [14358] = {.lex_state = 409, .external_lex_state = 10},
  [14359] = {.lex_state = 409, .external_lex_state = 10},
  [14360] = {.lex_state = 409, .external_lex_state = 10},
  [14361] = {.lex_state = 409, .external_lex_state = 10},
  [14362] = {.lex_state = 409, .external_lex_state = 10},
  [14363] = {.lex_state = 409, .external_lex_state = 10},
  [14364] = {.lex_state = 409, .external_lex_state = 10},
  [14365] = {.lex_state = 409, .external_lex_state = 10},
  [14366] = {.lex_state = 409, .external_lex_state = 10},
  [14367] = {.lex_state = 409, .external_lex_state = 10},
  [14368] = {.lex_state = 409, .external_lex_state = 10},
  [14369] = {.lex_state = 409, .external_lex_state = 10},
  [14370] = {.lex_state = 409, .external_lex_state = 10},
  [14371] = {.lex_state = 409, .external_lex_state = 10},
  [14372] = {.lex_state = 409, .external_lex_state = 10},
  [14373] = {.lex_state = 409, .external_lex_state = 10},
  [14374] = {.lex_state = 409, .external_lex_state = 10},
  [14375] = {.lex_state = 409, .external_lex_state = 10},
  [14376] = {.lex_state = 409, .external_lex_state = 10},
  [14377] = {.lex_state = 409, .external_lex_state = 10},
  [14378] = {.lex_state = 409, .external_lex_state = 10},
  [14379] = {.lex_state = 409, .external_lex_state = 10},
  [14380] = {.lex_state = 409, .external_lex_state = 10},
  [14381] = {.lex_state = 409, .external_lex_state = 10},
  [14382] = {.lex_state = 409, .external_lex_state = 10},
  [14383] = {.lex_state = 409, .external_lex_state = 10},
  [14384] = {.lex_state = 409, .external_lex_state = 10},
  [14385] = {.lex_state = 409, .external_lex_state = 10},
  [14386] = {.lex_state = 409, .external_lex_state = 10},
  [14387] = {.lex_state = 409, .external_lex_state = 10},
  [14388] = {.lex_state = 409, .external_lex_state = 10},
  [14389] = {.lex_state = 409, .external_lex_state = 10},
  [14390] = {.lex_state = 409, .external_lex_state = 10},
  [14391] = {.lex_state = 409, .external_lex_state = 10},
  [14392] = {.lex_state = 409, .external_lex_state = 10},
  [14393] = {.lex_state = 409, .external_lex_state = 10},
  [14394] = {.lex_state = 409, .external_lex_state = 10},
  [14395] = {.lex_state = 409, .external_lex_state = 10},
  [14396] = {.lex_state = 409, .external_lex_state = 10},
  [14397] = {.lex_state = 409, .external_lex_state = 10},
  [14398] = {.lex_state = 409, .external_lex_state = 10},
  [14399] = {.lex_state = 409, .external_lex_state = 10},
  [14400] = {.lex_state = 409, .external_lex_state = 10},
  [14401] = {.lex_state = 409, .external_lex_state = 10},
  [14402] = {.lex_state = 409, .external_lex_state = 10},
  [14403] = {.lex_state = 409, .external_lex_state = 10},
  [14404] = {.lex_state = 409, .external_lex_state = 10},
  [14405] = {.lex_state = 227, .external_lex_state = 12},
  [14406] = {.lex_state = 227, .external_lex_state = 12},
  [14407] = {.lex_state = 227, .external_lex_state = 12},
  [14408] = {.lex_state = 227, .external_lex_state = 12},
  [14409] = {.lex_state = 227, .external_lex_state = 12},
  [14410] = {.lex_state = 409, .external_lex_state = 10},
  [14411] = {.lex_state = 409, .external_lex_state = 14},
  [14412] = {.lex_state = 363, .external_lex_state = 12},
  [14413] = {.lex_state = 363, .external_lex_state = 12},
  [14414] = {.lex_state = 409, .external_lex_state = 15},
  [14415] = {.lex_state = 413, .external_lex_state = 10},
  [14416] = {.lex_state = 363, .external_lex_state = 12},
  [14417] = {.lex_state = 409, .external_lex_state = 9},
  [14418] = {.lex_state = 413, .external_lex_state = 10},
  [14419] = {.lex_state = 413, .external_lex_state = 10},
  [14420] = {.lex_state = 413, .external_lex_state = 10},
  [14421] = {.lex_state = 409, .external_lex_state = 15},
  [14422] = {.lex_state = 409, .external_lex_state = 12},
  [14423] = {.lex_state = 409, .external_lex_state = 9},
  [14424] = {.lex_state = 409, .external_lex_state = 12},
  [14425] = {.lex_state = 363, .external_lex_state = 12},
  [14426] = {.lex_state = 409, .external_lex_state = 12},
  [14427] = {.lex_state = 227, .external_lex_state = 12},
  [14428] = {.lex_state = 409, .external_lex_state = 12},
  [14429] = {.lex_state = 363, .external_lex_state = 12},
  [14430] = {.lex_state = 409, .external_lex_state = 15},
  [14431] = {.lex_state = 409, .external_lex_state = 15},
  [14432] = {.lex_state = 533, .external_lex_state = 12},
  [14433] = {.lex_state = 409, .external_lex_state = 9},
  [14434] = {.lex_state = 409, .external_lex_state = 15},
  [14435] = {.lex_state = 409, .external_lex_state = 15},
  [14436] = {.lex_state = 409, .external_lex_state = 15},
  [14437] = {.lex_state = 411, .external_lex_state = 15},
  [14438] = {.lex_state = 227, .external_lex_state = 12},
  [14439] = {.lex_state = 363, .external_lex_state = 12},
  [14440] = {.lex_state = 411, .external_lex_state = 15},
  [14441] = {.lex_state = 558, .external_lex_state = 12},
  [14442] = {.lex_state = 411, .external_lex_state = 15},
  [14443] = {.lex_state = 411, .external_lex_state = 15},
  [14444] = {.lex_state = 227, .external_lex_state = 12},
  [14445] = {.lex_state = 533, .external_lex_state = 12},
  [14446] = {.lex_state = 533, .external_lex_state = 12},
  [14447] = {.lex_state = 227, .external_lex_state = 12},
  [14448] = {.lex_state = 309, .external_lex_state = 12},
  [14449] = {.lex_state = 309, .external_lex_state = 12},
  [14450] = {.lex_state = 409, .external_lex_state = 15},
  [14451] = {.lex_state = 409, .external_lex_state = 15},
  [14452] = {.lex_state = 227, .external_lex_state = 12},
  [14453] = {.lex_state = 227, .external_lex_state = 12},
  [14454] = {.lex_state = 409, .external_lex_state = 15},
  [14455] = {.lex_state = 363, .external_lex_state = 12},
  [14456] = {.lex_state = 414, .external_lex_state = 15},
  [14457] = {.lex_state = 363, .external_lex_state = 12},
  [14458] = {.lex_state = 363, .external_lex_state = 12},
  [14459] = {.lex_state = 533, .external_lex_state = 12},
  [14460] = {.lex_state = 409, .external_lex_state = 15},
  [14461] = {.lex_state = 409, .external_lex_state = 9},
  [14462] = {.lex_state = 409, .external_lex_state = 15},
  [14463] = {.lex_state = 363, .external_lex_state = 12},
  [14464] = {.lex_state = 409, .external_lex_state = 14},
  [14465] = {.lex_state = 409, .external_lex_state = 15},
  [14466] = {.lex_state = 227, .external_lex_state = 12},
  [14467] = {.lex_state = 363, .external_lex_state = 12},
  [14468] = {.lex_state = 363, .external_lex_state = 12},
  [14469] = {.lex_state = 363, .external_lex_state = 12},
  [14470] = {.lex_state = 533, .external_lex_state = 12},
  [14471] = {.lex_state = 533, .external_lex_state = 12},
  [14472] = {.lex_state = 363, .external_lex_state = 12},
  [14473] = {.lex_state = 558, .external_lex_state = 12},
  [14474] = {.lex_state = 409, .external_lex_state = 15},
  [14475] = {.lex_state = 409, .external_lex_state = 15},
  [14476] = {.lex_state = 409, .external_lex_state = 15},
  [14477] = {.lex_state = 409, .external_lex_state = 15},
  [14478] = {.lex_state = 409, .external_lex_state = 15},
  [14479] = {.lex_state = 363, .external_lex_state = 12},
  [14480] = {.lex_state = 409, .external_lex_state = 15},
  [14481] = {.lex_state = 409, .external_lex_state = 15},
  [14482] = {.lex_state = 409, .external_lex_state = 15},
  [14483] = {.lex_state = 227, .external_lex_state = 12},
  [14484] = {.lex_state = 409, .external_lex_state = 15},
  [14485] = {.lex_state = 409, .external_lex_state = 15},
  [14486] = {.lex_state = 409, .external_lex_state = 15},
  [14487] = {.lex_state = 409, .external_lex_state = 15},
  [14488] = {.lex_state = 227, .external_lex_state = 12},
  [14489] = {.lex_state = 409, .external_lex_state = 15},
  [14490] = {.lex_state = 533, .external_lex_state = 12},
  [14491] = {.lex_state = 227, .external_lex_state = 12},
  [14492] = {.lex_state = 409, .external_lex_state = 15},
  [14493] = {.lex_state = 409, .external_lex_state = 15},
  [14494] = {.lex_state = 409, .external_lex_state = 15},
  [14495] = {.lex_state = 409, .external_lex_state = 15},
  [14496] = {.lex_state = 409, .external_lex_state = 12},
  [14497] = {.lex_state = 409, .external_lex_state = 15},
  [14498] = {.lex_state = 409, .external_lex_state = 12},
  [14499] = {.lex_state = 409, .external_lex_state = 15},
  [14500] = {.lex_state = 409, .external_lex_state = 12},
  [14501] = {.lex_state = 409, .external_lex_state = 15},
  [14502] = {.lex_state = 409, .external_lex_state = 12},
  [14503] = {.lex_state = 533, .external_lex_state = 12},
  [14504] = {.lex_state = 558, .external_lex_state = 12},
  [14505] = {.lex_state = 409, .external_lex_state = 12},
  [14506] = {.lex_state = 409, .external_lex_state = 15},
  [14507] = {.lex_state = 309, .external_lex_state = 12},
  [14508] = {.lex_state = 409, .external_lex_state = 15},
  [14509] = {.lex_state = 409, .external_lex_state = 15},
  [14510] = {.lex_state = 558, .external_lex_state = 12},
  [14511] = {.lex_state = 409, .external_lex_state = 15},
  [14512] = {.lex_state = 227, .external_lex_state = 12},
  [14513] = {.lex_state = 409, .external_lex_state = 15},
  [14514] = {.lex_state = 227, .external_lex_state = 12},
  [14515] = {.lex_state = 409, .external_lex_state = 15},
  [14516] = {.lex_state = 227, .external_lex_state = 12},
  [14517] = {.lex_state = 409, .external_lex_state = 12},
  [14518] = {.lex_state = 409, .external_lex_state = 15},
  [14519] = {.lex_state = 409, .external_lex_state = 15},
  [14520] = {.lex_state = 409, .external_lex_state = 15},
  [14521] = {.lex_state = 409, .external_lex_state = 12},
  [14522] = {.lex_state = 409, .external_lex_state = 15},
  [14523] = {.lex_state = 409, .external_lex_state = 15},
  [14524] = {.lex_state = 227, .external_lex_state = 12},
  [14525] = {.lex_state = 409, .external_lex_state = 15},
  [14526] = {.lex_state = 409, .external_lex_state = 15},
  [14527] = {.lex_state = 409, .external_lex_state = 15},
  [14528] = {.lex_state = 409, .external_lex_state = 15},
  [14529] = {.lex_state = 558, .external_lex_state = 12},
  [14530] = {.lex_state = 409, .external_lex_state = 12},
  [14531] = {.lex_state = 409, .external_lex_state = 15},
  [14532] = {.lex_state = 409, .external_lex_state = 12},
  [14533] = {.lex_state = 533, .external_lex_state = 12},
  [14534] = {.lex_state = 558, .external_lex_state = 12},
  [14535] = {.lex_state = 558, .external_lex_state = 12},
  [14536] = {.lex_state = 533, .external_lex_state = 12},
  [14537] = {.lex_state = 409, .external_lex_state = 12},
  [14538] = {.lex_state = 558, .external_lex_state = 12},
  [14539] = {.lex_state = 409, .external_lex_state = 12},
  [14540] = {.lex_state = 533, .external_lex_state = 12},
  [14541] = {.lex_state = 409, .external_lex_state = 12},
  [14542] = {.lex_state = 409, .external_lex_state = 15},
  [14543] = {.lex_state = 363, .external_lex_state = 12},
  [14544] = {.lex_state = 558, .external_lex_state = 12},
  [14545] = {.lex_state = 363, .external_lex_state = 12},
  [14546] = {.lex_state = 409, .external_lex_state = 12},
  [14547] = {.lex_state = 409, .external_lex_state = 16},
  [14548] = {.lex_state = 363, .external_lex_state = 12},
  [14549] = {.lex_state = 409, .external_lex_state = 16},
  [14550] = {.lex_state = 558, .external_lex_state = 12},
  [14551] = {.lex_state = 363, .external_lex_state = 12},
  [14552] = {.lex_state = 409, .external_lex_state = 17},
  [14553] = {.lex_state = 409, .external_lex_state = 16},
  [14554] = {.lex_state = 409, .external_lex_state = 16},
  [14555] = {.lex_state = 409, .external_lex_state = 16},
  [14556] = {.lex_state = 363, .external_lex_state = 12},
  [14557] = {.lex_state = 363, .external_lex_state = 12},
  [14558] = {.lex_state = 363, .external_lex_state = 12},
  [14559] = {.lex_state = 363, .external_lex_state = 12},
  [14560] = {.lex_state = 409, .external_lex_state = 17},
  [14561] = {.lex_state = 409, .external_lex_state = 16},
  [14562] = {.lex_state = 363, .external_lex_state = 12},
  [14563] = {.lex_state = 363, .external_lex_state = 12},
  [14564] = {.lex_state = 409, .external_lex_state = 16},
  [14565] = {.lex_state = 409, .external_lex_state = 17},
  [14566] = {.lex_state = 409, .external_lex_state = 16},
  [14567] = {.lex_state = 409, .external_lex_state = 17},
  [14568] = {.lex_state = 409, .external_lex_state = 17},
  [14569] = {.lex_state = 409, .external_lex_state = 17},
  [14570] = {.lex_state = 363, .external_lex_state = 12},
  [14571] = {.lex_state = 363, .external_lex_state = 12},
  [14572] = {.lex_state = 343, .external_lex_state = 12},
  [14573] = {.lex_state = 409, .external_lex_state = 16},
  [14574] = {.lex_state = 409, .external_lex_state = 17},
  [14575] = {.lex_state = 363, .external_lex_state = 12},
  [14576] = {.lex_state = 363, .external_lex_state = 12},
  [14577] = {.lex_state = 363, .external_lex_state = 12},
  [14578] = {.lex_state = 363, .external_lex_state = 12},
  [14579] = {.lex_state = 363, .external_lex_state = 12},
  [14580] = {.lex_state = 363, .external_lex_state = 12},
  [14581] = {.lex_state = 363, .external_lex_state = 12},
  [14582] = {.lex_state = 363, .external_lex_state = 12},
  [14583] = {.lex_state = 363, .external_lex_state = 12},
  [14584] = {.lex_state = 363, .external_lex_state = 12},
  [14585] = {.lex_state = 409, .external_lex_state = 16},
  [14586] = {.lex_state = 409, .external_lex_state = 17},
  [14587] = {.lex_state = 343, .external_lex_state = 12},
  [14588] = {.lex_state = 409, .external_lex_state = 16},
  [14589] = {.lex_state = 409, .external_lex_state = 16},
  [14590] = {.lex_state = 409, .external_lex_state = 17},
  [14591] = {.lex_state = 409, .external_lex_state = 16},
  [14592] = {.lex_state = 409, .external_lex_state = 17},
  [14593] = {.lex_state = 409, .external_lex_state = 17},
  [14594] = {.lex_state = 409, .external_lex_state = 16},
  [14595] = {.lex_state = 409, .external_lex_state = 16},
  [14596] = {.lex_state = 363, .external_lex_state = 12},
  [14597] = {.lex_state = 363, .external_lex_state = 12},
  [14598] = {.lex_state = 363, .external_lex_state = 12},
  [14599] = {.lex_state = 363, .external_lex_state = 12},
  [14600] = {.lex_state = 363, .external_lex_state = 12},
  [14601] = {.lex_state = 343, .external_lex_state = 12},
  [14602] = {.lex_state = 363, .external_lex_state = 12},
  [14603] = {.lex_state = 363, .external_lex_state = 12},
  [14604] = {.lex_state = 363, .external_lex_state = 12},
  [14605] = {.lex_state = 409, .external_lex_state = 17},
  [14606] = {.lex_state = 409, .external_lex_state = 16},
  [14607] = {.lex_state = 409, .external_lex_state = 17},
  [14608] = {.lex_state = 409, .external_lex_state = 16},
  [14609] = {.lex_state = 409, .external_lex_state = 17},
  [14610] = {.lex_state = 409, .external_lex_state = 17},
  [14611] = {.lex_state = 409, .external_lex_state = 16},
  [14612] = {.lex_state = 363, .external_lex_state = 12},
  [14613] = {.lex_state = 409, .external_lex_state = 16},
  [14614] = {.lex_state = 363, .external_lex_state = 12},
  [14615] = {.lex_state = 409, .external_lex_state = 17},
  [14616] = {.lex_state = 409, .external_lex_state = 16},
  [14617] = {.lex_state = 409, .external_lex_state = 16},
  [14618] = {.lex_state = 409, .external_lex_state = 17},
  [14619] = {.lex_state = 363, .external_lex_state = 12},
  [14620] = {.lex_state = 363, .external_lex_state = 12},
  [14621] = {.lex_state = 409, .external_lex_state = 17},
  [14622] = {.lex_state = 363, .external_lex_state = 12},
  [14623] = {.lex_state = 363, .external_lex_state = 12},
  [14624] = {.lex_state = 409, .external_lex_state = 17},
  [14625] = {.lex_state = 343, .external_lex_state = 12},
  [14626] = {.lex_state = 409, .external_lex_state = 16},
  [14627] = {.lex_state = 363, .external_lex_state = 12},
  [14628] = {.lex_state = 409, .external_lex_state = 17},
  [14629] = {.lex_state = 363, .external_lex_state = 12},
  [14630] = {.lex_state = 409, .external_lex_state = 17},
  [14631] = {.lex_state = 409, .external_lex_state = 16},
  [14632] = {.lex_state = 409, .external_lex_state = 17},
  [14633] = {.lex_state = 409, .external_lex_state = 16},
  [14634] = {.lex_state = 409, .external_lex_state = 16},
  [14635] = {.lex_state = 409, .external_lex_state = 17},
  [14636] = {.lex_state = 409, .external_lex_state = 16},
  [14637] = {.lex_state = 409, .external_lex_state = 17},
  [14638] = {.lex_state = 363, .external_lex_state = 12},
  [14639] = {.lex_state = 363, .external_lex_state = 12},
  [14640] = {.lex_state = 363, .external_lex_state = 12},
  [14641] = {.lex_state = 409, .external_lex_state = 16},
  [14642] = {.lex_state = 409, .external_lex_state = 17},
  [14643] = {.lex_state = 363, .external_lex_state = 12},
  [14644] = {.lex_state = 409, .external_lex_state = 16},
  [14645] = {.lex_state = 409, .external_lex_state = 16},
  [14646] = {.lex_state = 409, .external_lex_state = 17},
  [14647] = {.lex_state = 363, .external_lex_state = 12},
  [14648] = {.lex_state = 409, .external_lex_state = 17},
  [14649] = {.lex_state = 409, .external_lex_state = 16},
  [14650] = {.lex_state = 363, .external_lex_state = 12},
  [14651] = {.lex_state = 409, .external_lex_state = 17},
  [14652] = {.lex_state = 409, .external_lex_state = 16},
  [14653] = {.lex_state = 409, .external_lex_state = 16},
  [14654] = {.lex_state = 363, .external_lex_state = 12},
  [14655] = {.lex_state = 363, .external_lex_state = 12},
  [14656] = {.lex_state = 363, .external_lex_state = 12},
  [14657] = {.lex_state = 343, .external_lex_state = 12},
  [14658] = {.lex_state = 409, .external_lex_state = 17},
  [14659] = {.lex_state = 409, .external_lex_state = 17},
  [14660] = {.lex_state = 409, .external_lex_state = 16},
  [14661] = {.lex_state = 363, .external_lex_state = 12},
  [14662] = {.lex_state = 363, .external_lex_state = 12},
  [14663] = {.lex_state = 363, .external_lex_state = 12},
  [14664] = {.lex_state = 363, .external_lex_state = 12},
  [14665] = {.lex_state = 363, .external_lex_state = 12},
  [14666] = {.lex_state = 363, .external_lex_state = 12},
  [14667] = {.lex_state = 363, .external_lex_state = 12},
  [14668] = {.lex_state = 343, .external_lex_state = 12},
  [14669] = {.lex_state = 363, .external_lex_state = 12},
  [14670] = {.lex_state = 409, .external_lex_state = 16},
  [14671] = {.lex_state = 409, .external_lex_state = 17},
  [14672] = {.lex_state = 409, .external_lex_state = 17},
  [14673] = {.lex_state = 409, .external_lex_state = 16},
  [14674] = {.lex_state = 409, .external_lex_state = 17},
  [14675] = {.lex_state = 409, .external_lex_state = 16},
  [14676] = {.lex_state = 363, .external_lex_state = 12},
  [14677] = {.lex_state = 409, .external_lex_state = 17},
  [14678] = {.lex_state = 409, .external_lex_state = 16},
  [14679] = {.lex_state = 363, .external_lex_state = 12},
  [14680] = {.lex_state = 363, .external_lex_state = 12},
  [14681] = {.lex_state = 363, .external_lex_state = 12},
  [14682] = {.lex_state = 363, .external_lex_state = 12},
  [14683] = {.lex_state = 363, .external_lex_state = 12},
  [14684] = {.lex_state = 363, .external_lex_state = 12},
  [14685] = {.lex_state = 363, .external_lex_state = 12},
  [14686] = {.lex_state = 363, .external_lex_state = 12},
  [14687] = {.lex_state = 409, .external_lex_state = 17},
  [14688] = {.lex_state = 363, .external_lex_state = 12},
  [14689] = {.lex_state = 363, .external_lex_state = 12},
  [14690] = {.lex_state = 363, .external_lex_state = 12},
  [14691] = {.lex_state = 363, .external_lex_state = 12},
  [14692] = {.lex_state = 363, .external_lex_state = 12},
  [14693] = {.lex_state = 363, .external_lex_state = 12},
  [14694] = {.lex_state = 343, .external_lex_state = 12},
  [14695] = {.lex_state = 343, .external_lex_state = 12},
  [14696] = {.lex_state = 363, .external_lex_state = 12},
  [14697] = {.lex_state = 343, .external_lex_state = 12},
  [14698] = {.lex_state = 309, .external_lex_state = 12},
  [14699] = {.lex_state = 363, .external_lex_state = 12},
  [14700] = {.lex_state = 343, .external_lex_state = 12},
  [14701] = {.lex_state = 409, .external_lex_state = 17},
  [14702] = {.lex_state = 409, .external_lex_state = 16},
  [14703] = {.lex_state = 363, .external_lex_state = 12},
  [14704] = {.lex_state = 363, .external_lex_state = 12},
  [14705] = {.lex_state = 363, .external_lex_state = 12},
  [14706] = {.lex_state = 409, .external_lex_state = 17},
  [14707] = {.lex_state = 343, .external_lex_state = 12},
  [14708] = {.lex_state = 409, .external_lex_state = 16},
  [14709] = {.lex_state = 409, .external_lex_state = 16},
  [14710] = {.lex_state = 409, .external_lex_state = 17},
  [14711] = {.lex_state = 409, .external_lex_state = 16},
  [14712] = {.lex_state = 343, .external_lex_state = 12},
  [14713] = {.lex_state = 558, .external_lex_state = 12},
  [14714] = {.lex_state = 409, .external_lex_state = 17},
  [14715] = {.lex_state = 409, .external_lex_state = 16},
  [14716] = {.lex_state = 409, .external_lex_state = 17},
  [14717] = {.lex_state = 363, .external_lex_state = 12},
  [14718] = {.lex_state = 409, .external_lex_state = 16},
  [14719] = {.lex_state = 409, .external_lex_state = 16},
  [14720] = {.lex_state = 409, .external_lex_state = 17},
  [14721] = {.lex_state = 409, .external_lex_state = 17},
  [14722] = {.lex_state = 363, .external_lex_state = 12},
  [14723] = {.lex_state = 363, .external_lex_state = 12},
  [14724] = {.lex_state = 363, .external_lex_state = 12},
  [14725] = {.lex_state = 409, .external_lex_state = 16},
  [14726] = {.lex_state = 363, .external_lex_state = 12},
  [14727] = {.lex_state = 409, .external_lex_state = 17},
  [14728] = {.lex_state = 409, .external_lex_state = 16},
  [14729] = {.lex_state = 409, .external_lex_state = 16},
  [14730] = {.lex_state = 409, .external_lex_state = 17},
  [14731] = {.lex_state = 409, .external_lex_state = 16},
  [14732] = {.lex_state = 409, .external_lex_state = 17},
  [14733] = {.lex_state = 363, .external_lex_state = 12},
  [14734] = {.lex_state = 409, .external_lex_state = 17},
  [14735] = {.lex_state = 343, .external_lex_state = 12},
  [14736] = {.lex_state = 409, .external_lex_state = 16},
  [14737] = {.lex_state = 409, .external_lex_state = 16},
  [14738] = {.lex_state = 343, .external_lex_state = 12},
  [14739] = {.lex_state = 363, .external_lex_state = 12},
  [14740] = {.lex_state = 409, .external_lex_state = 17},
  [14741] = {.lex_state = 363, .external_lex_state = 12},
  [14742] = {.lex_state = 409, .external_lex_state = 17},
  [14743] = {.lex_state = 363, .external_lex_state = 12},
  [14744] = {.lex_state = 363, .external_lex_state = 12},
  [14745] = {.lex_state = 363, .external_lex_state = 12},
  [14746] = {.lex_state = 363, .external_lex_state = 12},
  [14747] = {.lex_state = 409, .external_lex_state = 16},
  [14748] = {.lex_state = 363, .external_lex_state = 12},
  [14749] = {.lex_state = 363, .external_lex_state = 12},
  [14750] = {.lex_state = 363, .external_lex_state = 12},
  [14751] = {.lex_state = 409, .external_lex_state = 17},
  [14752] = {.lex_state = 409, .external_lex_state = 17},
  [14753] = {.lex_state = 409, .external_lex_state = 16},
  [14754] = {.lex_state = 409, .external_lex_state = 17},
  [14755] = {.lex_state = 409, .external_lex_state = 16},
  [14756] = {.lex_state = 409, .external_lex_state = 17},
  [14757] = {.lex_state = 363, .external_lex_state = 12},
  [14758] = {.lex_state = 409, .external_lex_state = 17},
  [14759] = {.lex_state = 409, .external_lex_state = 16},
  [14760] = {.lex_state = 363, .external_lex_state = 12},
  [14761] = {.lex_state = 343, .external_lex_state = 12},
  [14762] = {.lex_state = 363, .external_lex_state = 12},
  [14763] = {.lex_state = 409, .external_lex_state = 17},
  [14764] = {.lex_state = 409, .external_lex_state = 16},
  [14765] = {.lex_state = 363, .external_lex_state = 12},
  [14766] = {.lex_state = 409, .external_lex_state = 17},
  [14767] = {.lex_state = 409, .external_lex_state = 16},
  [14768] = {.lex_state = 409, .external_lex_state = 17},
  [14769] = {.lex_state = 363, .external_lex_state = 12},
  [14770] = {.lex_state = 363, .external_lex_state = 12},
  [14771] = {.lex_state = 363, .external_lex_state = 12},
  [14772] = {.lex_state = 363, .external_lex_state = 12},
  [14773] = {.lex_state = 363, .external_lex_state = 12},
  [14774] = {.lex_state = 363, .external_lex_state = 12},
  [14775] = {.lex_state = 363, .external_lex_state = 12},
  [14776] = {.lex_state = 363, .external_lex_state = 12},
  [14777] = {.lex_state = 363, .external_lex_state = 12},
  [14778] = {.lex_state = 363, .external_lex_state = 12},
  [14779] = {.lex_state = 363, .external_lex_state = 12},
  [14780] = {.lex_state = 363, .external_lex_state = 12},
  [14781] = {.lex_state = 343, .external_lex_state = 12},
  [14782] = {.lex_state = 363, .external_lex_state = 12},
  [14783] = {.lex_state = 363, .external_lex_state = 12},
  [14784] = {.lex_state = 363, .external_lex_state = 12},
  [14785] = {.lex_state = 343, .external_lex_state = 12},
  [14786] = {.lex_state = 363, .external_lex_state = 12},
  [14787] = {.lex_state = 363, .external_lex_state = 12},
  [14788] = {.lex_state = 363, .external_lex_state = 12},
  [14789] = {.lex_state = 363, .external_lex_state = 12},
  [14790] = {.lex_state = 409, .external_lex_state = 17},
  [14791] = {.lex_state = 409, .external_lex_state = 16},
  [14792] = {.lex_state = 409, .external_lex_state = 17},
  [14793] = {.lex_state = 363, .external_lex_state = 12},
  [14794] = {.lex_state = 409, .external_lex_state = 16},
  [14795] = {.lex_state = 409, .external_lex_state = 16},
  [14796] = {.lex_state = 363, .external_lex_state = 12},
  [14797] = {.lex_state = 409, .external_lex_state = 17},
  [14798] = {.lex_state = 363, .external_lex_state = 12},
  [14799] = {.lex_state = 363, .external_lex_state = 12},
  [14800] = {.lex_state = 409, .external_lex_state = 16},
  [14801] = {.lex_state = 343, .external_lex_state = 12},
  [14802] = {.lex_state = 409, .external_lex_state = 17},
  [14803] = {.lex_state = 363, .external_lex_state = 12},
  [14804] = {.lex_state = 409, .external_lex_state = 16},
  [14805] = {.lex_state = 363, .external_lex_state = 12},
  [14806] = {.lex_state = 409, .external_lex_state = 17},
  [14807] = {.lex_state = 363, .external_lex_state = 12},
  [14808] = {.lex_state = 363, .external_lex_state = 12},
  [14809] = {.lex_state = 409, .external_lex_state = 17},
  [14810] = {.lex_state = 363, .external_lex_state = 12},
  [14811] = {.lex_state = 363, .external_lex_state = 12},
  [14812] = {.lex_state = 363, .external_lex_state = 12},
  [14813] = {.lex_state = 409, .external_lex_state = 17},
  [14814] = {.lex_state = 409, .external_lex_state = 16},
  [14815] = {.lex_state = 343, .external_lex_state = 12},
  [14816] = {.lex_state = 409, .external_lex_state = 16},
  [14817] = {.lex_state = 409, .external_lex_state = 17},
  [14818] = {.lex_state = 363, .external_lex_state = 12},
  [14819] = {.lex_state = 363, .external_lex_state = 12},
  [14820] = {.lex_state = 409, .external_lex_state = 17},
  [14821] = {.lex_state = 409, .external_lex_state = 16},
  [14822] = {.lex_state = 409, .external_lex_state = 16},
  [14823] = {.lex_state = 363, .external_lex_state = 12},
  [14824] = {.lex_state = 409, .external_lex_state = 17},
  [14825] = {.lex_state = 363, .external_lex_state = 12},
  [14826] = {.lex_state = 363, .external_lex_state = 12},
  [14827] = {.lex_state = 363, .external_lex_state = 12},
  [14828] = {.lex_state = 409, .external_lex_state = 16},
  [14829] = {.lex_state = 409, .external_lex_state = 16},
  [14830] = {.lex_state = 409, .external_lex_state = 17},
  [14831] = {.lex_state = 409, .external_lex_state = 16},
  [14832] = {.lex_state = 363, .external_lex_state = 12},
  [14833] = {.lex_state = 409, .external_lex_state = 17},
  [14834] = {.lex_state = 409, .external_lex_state = 17},
  [14835] = {.lex_state = 409, .external_lex_state = 16},
  [14836] = {.lex_state = 409, .external_lex_state = 17},
  [14837] = {.lex_state = 409, .external_lex_state = 16},
  [14838] = {.lex_state = 363, .external_lex_state = 12},
  [14839] = {.lex_state = 363, .external_lex_state = 12},
  [14840] = {.lex_state = 363, .external_lex_state = 12},
  [14841] = {.lex_state = 363, .external_lex_state = 12},
  [14842] = {.lex_state = 409, .external_lex_state = 17},
  [14843] = {.lex_state = 343, .external_lex_state = 12},
  [14844] = {.lex_state = 363, .external_lex_state = 12},
  [14845] = {.lex_state = 363, .external_lex_state = 12},
  [14846] = {.lex_state = 363, .external_lex_state = 12},
  [14847] = {.lex_state = 409, .external_lex_state = 16},
  [14848] = {.lex_state = 409, .external_lex_state = 16},
  [14849] = {.lex_state = 409, .external_lex_state = 17},
  [14850] = {.lex_state = 409, .external_lex_state = 16},
  [14851] = {.lex_state = 409, .external_lex_state = 17},
  [14852] = {.lex_state = 409, .external_lex_state = 16},
  [14853] = {.lex_state = 409, .external_lex_state = 17},
  [14854] = {.lex_state = 409, .external_lex_state = 17},
  [14855] = {.lex_state = 409, .external_lex_state = 16},
  [14856] = {.lex_state = 409, .external_lex_state = 17},
  [14857] = {.lex_state = 409, .external_lex_state = 16},
  [14858] = {.lex_state = 363, .external_lex_state = 12},
  [14859] = {.lex_state = 409, .external_lex_state = 17},
  [14860] = {.lex_state = 409, .external_lex_state = 16},
  [14861] = {.lex_state = 363, .external_lex_state = 12},
  [14862] = {.lex_state = 409, .external_lex_state = 16},
  [14863] = {.lex_state = 363, .external_lex_state = 12},
  [14864] = {.lex_state = 409, .external_lex_state = 16},
  [14865] = {.lex_state = 409, .external_lex_state = 17},
  [14866] = {.lex_state = 409, .external_lex_state = 16},
  [14867] = {.lex_state = 558, .external_lex_state = 12},
  [14868] = {.lex_state = 343, .external_lex_state = 12},
  [14869] = {.lex_state = 409, .external_lex_state = 17},
  [14870] = {.lex_state = 409, .external_lex_state = 16},
  [14871] = {.lex_state = 363, .external_lex_state = 12},
  [14872] = {.lex_state = 309, .external_lex_state = 12},
  [14873] = {.lex_state = 409, .external_lex_state = 17},
  [14874] = {.lex_state = 409, .external_lex_state = 16},
  [14875] = {.lex_state = 343, .external_lex_state = 12},
  [14876] = {.lex_state = 343, .external_lex_state = 12},
  [14877] = {.lex_state = 363, .external_lex_state = 12},
  [14878] = {.lex_state = 409, .external_lex_state = 17},
  [14879] = {.lex_state = 409, .external_lex_state = 16},
  [14880] = {.lex_state = 363, .external_lex_state = 12},
  [14881] = {.lex_state = 363, .external_lex_state = 12},
  [14882] = {.lex_state = 409, .external_lex_state = 17},
  [14883] = {.lex_state = 409, .external_lex_state = 16},
  [14884] = {.lex_state = 363, .external_lex_state = 12},
  [14885] = {.lex_state = 409, .external_lex_state = 17},
  [14886] = {.lex_state = 409, .external_lex_state = 16},
  [14887] = {.lex_state = 363, .external_lex_state = 12},
  [14888] = {.lex_state = 363, .external_lex_state = 12},
  [14889] = {.lex_state = 363, .external_lex_state = 12},
  [14890] = {.lex_state = 363, .external_lex_state = 12},
  [14891] = {.lex_state = 558, .external_lex_state = 12},
  [14892] = {.lex_state = 363, .external_lex_state = 12},
  [14893] = {.lex_state = 363, .external_lex_state = 12},
  [14894] = {.lex_state = 409, .external_lex_state = 16},
  [14895] = {.lex_state = 409, .external_lex_state = 17},
  [14896] = {.lex_state = 363, .external_lex_state = 12},
  [14897] = {.lex_state = 363, .external_lex_state = 12},
  [14898] = {.lex_state = 409, .external_lex_state = 16},
  [14899] = {.lex_state = 409, .external_lex_state = 17},
  [14900] = {.lex_state = 409, .external_lex_state = 17},
  [14901] = {.lex_state = 409, .external_lex_state = 16},
  [14902] = {.lex_state = 409, .external_lex_state = 16},
  [14903] = {.lex_state = 363, .external_lex_state = 12},
  [14904] = {.lex_state = 409, .external_lex_state = 17},
  [14905] = {.lex_state = 363, .external_lex_state = 12},
  [14906] = {.lex_state = 409, .external_lex_state = 16},
  [14907] = {.lex_state = 363, .external_lex_state = 12},
  [14908] = {.lex_state = 343, .external_lex_state = 12},
  [14909] = {.lex_state = 363, .external_lex_state = 12},
  [14910] = {.lex_state = 409, .external_lex_state = 17},
  [14911] = {.lex_state = 343, .external_lex_state = 12},
  [14912] = {.lex_state = 363, .external_lex_state = 12},
  [14913] = {.lex_state = 363, .external_lex_state = 12},
  [14914] = {.lex_state = 363, .external_lex_state = 12},
  [14915] = {.lex_state = 409, .external_lex_state = 17},
  [14916] = {.lex_state = 363, .external_lex_state = 12},
  [14917] = {.lex_state = 363, .external_lex_state = 12},
  [14918] = {.lex_state = 409, .external_lex_state = 16},
  [14919] = {.lex_state = 363, .external_lex_state = 12},
  [14920] = {.lex_state = 363, .external_lex_state = 12},
  [14921] = {.lex_state = 409, .external_lex_state = 17},
  [14922] = {.lex_state = 409, .external_lex_state = 17},
  [14923] = {.lex_state = 363, .external_lex_state = 12},
  [14924] = {.lex_state = 363, .external_lex_state = 12},
  [14925] = {.lex_state = 363, .external_lex_state = 12},
  [14926] = {.lex_state = 363, .external_lex_state = 12},
  [14927] = {.lex_state = 343, .external_lex_state = 12},
  [14928] = {.lex_state = 363, .external_lex_state = 12},
  [14929] = {.lex_state = 363, .external_lex_state = 12},
  [14930] = {.lex_state = 363, .external_lex_state = 12},
  [14931] = {.lex_state = 343, .external_lex_state = 12},
  [14932] = {.lex_state = 363, .external_lex_state = 12},
  [14933] = {.lex_state = 363, .external_lex_state = 12},
  [14934] = {.lex_state = 363, .external_lex_state = 12},
  [14935] = {.lex_state = 363, .external_lex_state = 12},
  [14936] = {.lex_state = 363, .external_lex_state = 12},
  [14937] = {.lex_state = 343, .external_lex_state = 12},
  [14938] = {.lex_state = 363, .external_lex_state = 12},
  [14939] = {.lex_state = 343, .external_lex_state = 12},
  [14940] = {.lex_state = 363, .external_lex_state = 12},
  [14941] = {.lex_state = 363, .external_lex_state = 12},
  [14942] = {.lex_state = 363, .external_lex_state = 12},
  [14943] = {.lex_state = 363, .external_lex_state = 12},
  [14944] = {.lex_state = 363, .external_lex_state = 12},
  [14945] = {.lex_state = 409, .external_lex_state = 17},
  [14946] = {.lex_state = 409, .external_lex_state = 16},
  [14947] = {.lex_state = 409, .external_lex_state = 16},
  [14948] = {.lex_state = 409, .external_lex_state = 17},
  [14949] = {.lex_state = 409, .external_lex_state = 16},
  [14950] = {.lex_state = 363, .external_lex_state = 12},
  [14951] = {.lex_state = 409, .external_lex_state = 16},
  [14952] = {.lex_state = 343, .external_lex_state = 12},
  [14953] = {.lex_state = 409, .external_lex_state = 16},
  [14954] = {.lex_state = 409, .external_lex_state = 17},
  [14955] = {.lex_state = 363, .external_lex_state = 12},
  [14956] = {.lex_state = 409, .external_lex_state = 17},
  [14957] = {.lex_state = 409, .external_lex_state = 16},
  [14958] = {.lex_state = 409, .external_lex_state = 17},
  [14959] = {.lex_state = 363, .external_lex_state = 12},
  [14960] = {.lex_state = 363, .external_lex_state = 12},
  [14961] = {.lex_state = 363, .external_lex_state = 12},
  [14962] = {.lex_state = 363, .external_lex_state = 12},
  [14963] = {.lex_state = 363, .external_lex_state = 12},
  [14964] = {.lex_state = 363, .external_lex_state = 12},
  [14965] = {.lex_state = 363, .external_lex_state = 12},
  [14966] = {.lex_state = 363, .external_lex_state = 12},
  [14967] = {.lex_state = 409, .external_lex_state = 17},
  [14968] = {.lex_state = 409, .external_lex_state = 16},
  [14969] = {.lex_state = 409, .external_lex_state = 16},
  [14970] = {.lex_state = 533, .external_lex_state = 12},
  [14971] = {.lex_state = 363, .external_lex_state = 12},
  [14972] = {.lex_state = 409, .external_lex_state = 17},
  [14973] = {.lex_state = 409, .external_lex_state = 16},
  [14974] = {.lex_state = 409, .external_lex_state = 17},
  [14975] = {.lex_state = 363, .external_lex_state = 12},
  [14976] = {.lex_state = 409, .external_lex_state = 16},
  [14977] = {.lex_state = 409, .external_lex_state = 17},
  [14978] = {.lex_state = 409, .external_lex_state = 17},
  [14979] = {.lex_state = 409, .external_lex_state = 17},
  [14980] = {.lex_state = 409, .external_lex_state = 16},
  [14981] = {.lex_state = 409, .external_lex_state = 16},
  [14982] = {.lex_state = 409, .external_lex_state = 17},
  [14983] = {.lex_state = 558, .external_lex_state = 12},
  [14984] = {.lex_state = 363, .external_lex_state = 12},
  [14985] = {.lex_state = 409, .external_lex_state = 16},
  [14986] = {.lex_state = 363, .external_lex_state = 12},
  [14987] = {.lex_state = 363, .external_lex_state = 12},
  [14988] = {.lex_state = 409, .external_lex_state = 16},
  [14989] = {.lex_state = 409, .external_lex_state = 17},
  [14990] = {.lex_state = 363, .external_lex_state = 12},
  [14991] = {.lex_state = 363, .external_lex_state = 12},
  [14992] = {.lex_state = 363, .external_lex_state = 12},
  [14993] = {.lex_state = 363, .external_lex_state = 12},
  [14994] = {.lex_state = 363, .external_lex_state = 12},
  [14995] = {.lex_state = 363, .external_lex_state = 12},
  [14996] = {.lex_state = 343, .external_lex_state = 12},
  [14997] = {.lex_state = 363, .external_lex_state = 12},
  [14998] = {.lex_state = 409, .external_lex_state = 16},
  [14999] = {.lex_state = 363, .external_lex_state = 12},
  [15000] = {.lex_state = 409, .external_lex_state = 17},
  [15001] = {.lex_state = 533, .external_lex_state = 12},
  [15002] = {.lex_state = 409, .external_lex_state = 16},
  [15003] = {.lex_state = 409, .external_lex_state = 17},
  [15004] = {.lex_state = 363, .external_lex_state = 12},
  [15005] = {.lex_state = 409, .external_lex_state = 17},
  [15006] = {.lex_state = 409, .external_lex_state = 16},
  [15007] = {.lex_state = 343, .external_lex_state = 12},
  [15008] = {.lex_state = 409, .external_lex_state = 17},
  [15009] = {.lex_state = 363, .external_lex_state = 12},
  [15010] = {.lex_state = 363, .external_lex_state = 12},
  [15011] = {.lex_state = 363, .external_lex_state = 12},
  [15012] = {.lex_state = 363, .external_lex_state = 12},
  [15013] = {.lex_state = 363, .external_lex_state = 12},
  [15014] = {.lex_state = 363, .external_lex_state = 12},
  [15015] = {.lex_state = 363, .external_lex_state = 12},
  [15016] = {.lex_state = 409, .external_lex_state = 16},
  [15017] = {.lex_state = 363, .external_lex_state = 12},
  [15018] = {.lex_state = 409, .external_lex_state = 17},
  [15019] = {.lex_state = 363, .external_lex_state = 12},
  [15020] = {.lex_state = 343, .external_lex_state = 12},
  [15021] = {.lex_state = 363, .external_lex_state = 12},
  [15022] = {.lex_state = 363, .external_lex_state = 12},
  [15023] = {.lex_state = 533, .external_lex_state = 12},
  [15024] = {.lex_state = 343, .external_lex_state = 12},
  [15025] = {.lex_state = 409, .external_lex_state = 17},
  [15026] = {.lex_state = 343, .external_lex_state = 12},
  [15027] = {.lex_state = 409, .external_lex_state = 16},
  [15028] = {.lex_state = 363, .external_lex_state = 12},
  [15029] = {.lex_state = 409, .external_lex_state = 16},
  [15030] = {.lex_state = 363, .external_lex_state = 12},
  [15031] = {.lex_state = 363, .external_lex_state = 12},
  [15032] = {.lex_state = 409, .external_lex_state = 17},
  [15033] = {.lex_state = 409, .external_lex_state = 16},
  [15034] = {.lex_state = 363, .external_lex_state = 12},
  [15035] = {.lex_state = 409, .external_lex_state = 10},
  [15036] = {.lex_state = 343, .external_lex_state = 12},
  [15037] = {.lex_state = 409, .external_lex_state = 16},
  [15038] = {.lex_state = 343, .external_lex_state = 12},
  [15039] = {.lex_state = 363, .external_lex_state = 12},
  [15040] = {.lex_state = 409, .external_lex_state = 16},
  [15041] = {.lex_state = 343, .external_lex_state = 12},
  [15042] = {.lex_state = 363, .external_lex_state = 12},
  [15043] = {.lex_state = 363, .external_lex_state = 12},
  [15044] = {.lex_state = 343, .external_lex_state = 12},
  [15045] = {.lex_state = 363, .external_lex_state = 12},
  [15046] = {.lex_state = 558, .external_lex_state = 12},
  [15047] = {.lex_state = 363, .external_lex_state = 12},
  [15048] = {.lex_state = 363, .external_lex_state = 12},
  [15049] = {.lex_state = 363, .external_lex_state = 12},
  [15050] = {.lex_state = 409, .external_lex_state = 17},
  [15051] = {.lex_state = 363, .external_lex_state = 12},
  [15052] = {.lex_state = 363, .external_lex_state = 12},
  [15053] = {.lex_state = 363, .external_lex_state = 12},
  [15054] = {.lex_state = 409, .external_lex_state = 17},
  [15055] = {.lex_state = 409, .external_lex_state = 17},
  [15056] = {.lex_state = 343, .external_lex_state = 12},
  [15057] = {.lex_state = 409, .external_lex_state = 16},
  [15058] = {.lex_state = 409, .external_lex_state = 16},
  [15059] = {.lex_state = 409, .external_lex_state = 17},
  [15060] = {.lex_state = 409, .external_lex_state = 16},
  [15061] = {.lex_state = 409, .external_lex_state = 17},
  [15062] = {.lex_state = 409, .external_lex_state = 17},
  [15063] = {.lex_state = 409, .external_lex_state = 16},
  [15064] = {.lex_state = 409, .external_lex_state = 17},
  [15065] = {.lex_state = 409, .external_lex_state = 16},
  [15066] = {.lex_state = 363, .external_lex_state = 12},
  [15067] = {.lex_state = 231, .external_lex_state = 12},
  [15068] = {.lex_state = 363, .external_lex_state = 12},
  [15069] = {.lex_state = 343, .external_lex_state = 12},
  [15070] = {.lex_state = 409, .external_lex_state = 16},
  [15071] = {.lex_state = 409, .external_lex_state = 16},
  [15072] = {.lex_state = 409, .external_lex_state = 17},
  [15073] = {.lex_state = 558, .external_lex_state = 12},
  [15074] = {.lex_state = 409, .external_lex_state = 17},
  [15075] = {.lex_state = 409, .external_lex_state = 16},
  [15076] = {.lex_state = 409, .external_lex_state = 17},
  [15077] = {.lex_state = 409, .external_lex_state = 16},
  [15078] = {.lex_state = 409, .external_lex_state = 17},
  [15079] = {.lex_state = 409, .external_lex_state = 16},
  [15080] = {.lex_state = 409, .external_lex_state = 16},
  [15081] = {.lex_state = 409, .external_lex_state = 17},
  [15082] = {.lex_state = 409, .external_lex_state = 16},
  [15083] = {.lex_state = 363, .external_lex_state = 12},
  [15084] = {.lex_state = 363, .external_lex_state = 12},
  [15085] = {.lex_state = 558, .external_lex_state = 12},
  [15086] = {.lex_state = 363, .external_lex_state = 12},
  [15087] = {.lex_state = 363, .external_lex_state = 12},
  [15088] = {.lex_state = 363, .external_lex_state = 12},
  [15089] = {.lex_state = 343, .external_lex_state = 12},
  [15090] = {.lex_state = 231, .external_lex_state = 12},
  [15091] = {.lex_state = 363, .external_lex_state = 12},
  [15092] = {.lex_state = 409, .external_lex_state = 17},
  [15093] = {.lex_state = 363, .external_lex_state = 12},
  [15094] = {.lex_state = 363, .external_lex_state = 12},
  [15095] = {.lex_state = 363, .external_lex_state = 12},
  [15096] = {.lex_state = 343, .external_lex_state = 12},
  [15097] = {.lex_state = 409, .external_lex_state = 16},
  [15098] = {.lex_state = 363, .external_lex_state = 12},
  [15099] = {.lex_state = 363, .external_lex_state = 12},
  [15100] = {.lex_state = 409, .external_lex_state = 17},
  [15101] = {.lex_state = 363, .external_lex_state = 12},
  [15102] = {.lex_state = 409, .external_lex_state = 16},
  [15103] = {.lex_state = 363, .external_lex_state = 12},
  [15104] = {.lex_state = 363, .external_lex_state = 12},
  [15105] = {.lex_state = 363, .external_lex_state = 12},
  [15106] = {.lex_state = 409, .external_lex_state = 17},
  [15107] = {.lex_state = 409, .external_lex_state = 16},
  [15108] = {.lex_state = 363, .external_lex_state = 12},
  [15109] = {.lex_state = 363, .external_lex_state = 12},
  [15110] = {.lex_state = 343, .external_lex_state = 12},
  [15111] = {.lex_state = 363, .external_lex_state = 12},
  [15112] = {.lex_state = 409, .external_lex_state = 16},
  [15113] = {.lex_state = 363, .external_lex_state = 12},
  [15114] = {.lex_state = 409, .external_lex_state = 17},
  [15115] = {.lex_state = 363, .external_lex_state = 12},
  [15116] = {.lex_state = 363, .external_lex_state = 12},
  [15117] = {.lex_state = 363, .external_lex_state = 12},
  [15118] = {.lex_state = 363, .external_lex_state = 12},
  [15119] = {.lex_state = 363, .external_lex_state = 12},
  [15120] = {.lex_state = 363, .external_lex_state = 12},
  [15121] = {.lex_state = 343, .external_lex_state = 12},
  [15122] = {.lex_state = 231, .external_lex_state = 12},
  [15123] = {.lex_state = 363, .external_lex_state = 12},
  [15124] = {.lex_state = 363, .external_lex_state = 12},
  [15125] = {.lex_state = 363, .external_lex_state = 12},
  [15126] = {.lex_state = 409, .external_lex_state = 16},
  [15127] = {.lex_state = 409, .external_lex_state = 17},
  [15128] = {.lex_state = 343, .external_lex_state = 12},
  [15129] = {.lex_state = 409, .external_lex_state = 17},
  [15130] = {.lex_state = 409, .external_lex_state = 17},
  [15131] = {.lex_state = 409, .external_lex_state = 17},
  [15132] = {.lex_state = 363, .external_lex_state = 12},
  [15133] = {.lex_state = 363, .external_lex_state = 12},
  [15134] = {.lex_state = 363, .external_lex_state = 12},
  [15135] = {.lex_state = 409, .external_lex_state = 16},
  [15136] = {.lex_state = 409, .external_lex_state = 17},
  [15137] = {.lex_state = 363, .external_lex_state = 12},
  [15138] = {.lex_state = 363, .external_lex_state = 12},
  [15139] = {.lex_state = 363, .external_lex_state = 12},
  [15140] = {.lex_state = 363, .external_lex_state = 12},
  [15141] = {.lex_state = 363, .external_lex_state = 12},
  [15142] = {.lex_state = 343, .external_lex_state = 12},
  [15143] = {.lex_state = 343, .external_lex_state = 12},
  [15144] = {.lex_state = 363, .external_lex_state = 12},
  [15145] = {.lex_state = 409, .external_lex_state = 16},
  [15146] = {.lex_state = 363, .external_lex_state = 12},
  [15147] = {.lex_state = 409, .external_lex_state = 17},
  [15148] = {.lex_state = 409, .external_lex_state = 17},
  [15149] = {.lex_state = 409, .external_lex_state = 16},
  [15150] = {.lex_state = 343, .external_lex_state = 12},
  [15151] = {.lex_state = 363, .external_lex_state = 12},
  [15152] = {.lex_state = 363, .external_lex_state = 12},
  [15153] = {.lex_state = 409, .external_lex_state = 17},
  [15154] = {.lex_state = 409, .external_lex_state = 16},
  [15155] = {.lex_state = 363, .external_lex_state = 12},
  [15156] = {.lex_state = 409, .external_lex_state = 16},
  [15157] = {.lex_state = 363, .external_lex_state = 12},
  [15158] = {.lex_state = 363, .external_lex_state = 12},
  [15159] = {.lex_state = 363, .external_lex_state = 12},
  [15160] = {.lex_state = 363, .external_lex_state = 12},
  [15161] = {.lex_state = 343, .external_lex_state = 12},
  [15162] = {.lex_state = 363, .external_lex_state = 12},
  [15163] = {.lex_state = 409, .external_lex_state = 17},
  [15164] = {.lex_state = 363, .external_lex_state = 12},
  [15165] = {.lex_state = 409, .external_lex_state = 16},
  [15166] = {.lex_state = 363, .external_lex_state = 12},
  [15167] = {.lex_state = 558, .external_lex_state = 12},
  [15168] = {.lex_state = 409, .external_lex_state = 17},
  [15169] = {.lex_state = 409, .external_lex_state = 16},
  [15170] = {.lex_state = 343, .external_lex_state = 12},
  [15171] = {.lex_state = 363, .external_lex_state = 12},
  [15172] = {.lex_state = 363, .external_lex_state = 12},
  [15173] = {.lex_state = 409, .external_lex_state = 17},
  [15174] = {.lex_state = 409, .external_lex_state = 17},
  [15175] = {.lex_state = 409, .external_lex_state = 16},
  [15176] = {.lex_state = 409, .external_lex_state = 17},
  [15177] = {.lex_state = 409, .external_lex_state = 16},
  [15178] = {.lex_state = 409, .external_lex_state = 17},
  [15179] = {.lex_state = 409, .external_lex_state = 16},
  [15180] = {.lex_state = 0, .external_lex_state = 12},
  [15181] = {.lex_state = 314, .external_lex_state = 12},
  [15182] = {.lex_state = 0, .external_lex_state = 12},
  [15183] = {.lex_state = 0, .external_lex_state = 12},
  [15184] = {.lex_state = 0, .external_lex_state = 12},
  [15185] = {.lex_state = 533, .external_lex_state = 12},
  [15186] = {.lex_state = 0, .external_lex_state = 12},
  [15187] = {.lex_state = 0, .external_lex_state = 12},
  [15188] = {.lex_state = 0, .external_lex_state = 12},
  [15189] = {.lex_state = 364, .external_lex_state = 12},
  [15190] = {.lex_state = 0, .external_lex_state = 12},
  [15191] = {.lex_state = 0, .external_lex_state = 12},
  [15192] = {.lex_state = 0, .external_lex_state = 12},
  [15193] = {.lex_state = 0, .external_lex_state = 12},
  [15194] = {.lex_state = 314, .external_lex_state = 12},
  [15195] = {.lex_state = 533, .external_lex_state = 12},
  [15196] = {.lex_state = 314, .external_lex_state = 12},
  [15197] = {.lex_state = 0, .external_lex_state = 12},
  [15198] = {.lex_state = 314, .external_lex_state = 12},
  [15199] = {.lex_state = 314, .external_lex_state = 12},
  [15200] = {.lex_state = 0, .external_lex_state = 12},
  [15201] = {.lex_state = 314, .external_lex_state = 12},
  [15202] = {.lex_state = 0, .external_lex_state = 12},
  [15203] = {.lex_state = 0, .external_lex_state = 12},
  [15204] = {.lex_state = 364, .external_lex_state = 12},
  [15205] = {.lex_state = 314, .external_lex_state = 12},
  [15206] = {.lex_state = 0, .external_lex_state = 12},
  [15207] = {.lex_state = 364, .external_lex_state = 12},
  [15208] = {.lex_state = 0, .external_lex_state = 12},
  [15209] = {.lex_state = 533, .external_lex_state = 12},
  [15210] = {.lex_state = 0, .external_lex_state = 12},
  [15211] = {.lex_state = 533, .external_lex_state = 12},
  [15212] = {.lex_state = 0, .external_lex_state = 12},
  [15213] = {.lex_state = 0, .external_lex_state = 12},
  [15214] = {.lex_state = 314, .external_lex_state = 12},
  [15215] = {.lex_state = 0, .external_lex_state = 12},
  [15216] = {.lex_state = 364, .external_lex_state = 12},
  [15217] = {.lex_state = 533, .external_lex_state = 12},
  [15218] = {.lex_state = 314, .external_lex_state = 12},
  [15219] = {.lex_state = 0, .external_lex_state = 12},
  [15220] = {.lex_state = 314, .external_lex_state = 12},
  [15221] = {.lex_state = 0, .external_lex_state = 12},
  [15222] = {.lex_state = 0, .external_lex_state = 12},
  [15223] = {.lex_state = 0, .external_lex_state = 12},
  [15224] = {.lex_state = 364, .external_lex_state = 12},
  [15225] = {.lex_state = 314, .external_lex_state = 12},
  [15226] = {.lex_state = 0, .external_lex_state = 12},
  [15227] = {.lex_state = 0, .external_lex_state = 12},
  [15228] = {.lex_state = 0, .external_lex_state = 12},
  [15229] = {.lex_state = 0, .external_lex_state = 12},
  [15230] = {.lex_state = 533, .external_lex_state = 12},
  [15231] = {.lex_state = 314, .external_lex_state = 12},
  [15232] = {.lex_state = 314, .external_lex_state = 12},
  [15233] = {.lex_state = 0, .external_lex_state = 12},
  [15234] = {.lex_state = 364, .external_lex_state = 12},
  [15235] = {.lex_state = 0, .external_lex_state = 12},
  [15236] = {.lex_state = 0, .external_lex_state = 12},
  [15237] = {.lex_state = 0, .external_lex_state = 12},
  [15238] = {.lex_state = 231, .external_lex_state = 12},
  [15239] = {.lex_state = 0, .external_lex_state = 12},
  [15240] = {.lex_state = 0, .external_lex_state = 12},
  [15241] = {.lex_state = 0, .external_lex_state = 12},
  [15242] = {.lex_state = 0, .external_lex_state = 12},
  [15243] = {.lex_state = 364, .external_lex_state = 12},
  [15244] = {.lex_state = 0, .external_lex_state = 12},
  [15245] = {.lex_state = 363, .external_lex_state = 12},
  [15246] = {.lex_state = 0, .external_lex_state = 12},
  [15247] = {.lex_state = 0, .external_lex_state = 12},
  [15248] = {.lex_state = 314, .external_lex_state = 12},
  [15249] = {.lex_state = 314, .external_lex_state = 12},
  [15250] = {.lex_state = 314, .external_lex_state = 12},
  [15251] = {.lex_state = 0, .external_lex_state = 12},
  [15252] = {.lex_state = 0, .external_lex_state = 12},
  [15253] = {.lex_state = 0, .external_lex_state = 12},
  [15254] = {.lex_state = 314, .external_lex_state = 12},
  [15255] = {.lex_state = 0, .external_lex_state = 12},
  [15256] = {.lex_state = 364, .external_lex_state = 12},
  [15257] = {.lex_state = 0, .external_lex_state = 12},
  [15258] = {.lex_state = 0, .external_lex_state = 12},
  [15259] = {.lex_state = 0, .external_lex_state = 12},
  [15260] = {.lex_state = 364, .external_lex_state = 12},
  [15261] = {.lex_state = 0, .external_lex_state = 12},
  [15262] = {.lex_state = 314, .external_lex_state = 12},
  [15263] = {.lex_state = 314, .external_lex_state = 12},
  [15264] = {.lex_state = 0, .external_lex_state = 12},
  [15265] = {.lex_state = 364, .external_lex_state = 12},
  [15266] = {.lex_state = 364, .external_lex_state = 12},
  [15267] = {.lex_state = 314, .external_lex_state = 12},
  [15268] = {.lex_state = 0, .external_lex_state = 12},
  [15269] = {.lex_state = 0, .external_lex_state = 12},
  [15270] = {.lex_state = 0, .external_lex_state = 12},
  [15271] = {.lex_state = 0, .external_lex_state = 12},
  [15272] = {.lex_state = 314, .external_lex_state = 12},
  [15273] = {.lex_state = 0, .external_lex_state = 12},
  [15274] = {.lex_state = 314, .external_lex_state = 12},
  [15275] = {.lex_state = 0, .external_lex_state = 12},
  [15276] = {.lex_state = 0, .external_lex_state = 12},
  [15277] = {.lex_state = 0, .external_lex_state = 12},
  [15278] = {.lex_state = 364, .external_lex_state = 12},
  [15279] = {.lex_state = 0, .external_lex_state = 12},
  [15280] = {.lex_state = 364, .external_lex_state = 12},
  [15281] = {.lex_state = 0, .external_lex_state = 12},
  [15282] = {.lex_state = 0, .external_lex_state = 12},
  [15283] = {.lex_state = 0, .external_lex_state = 12},
  [15284] = {.lex_state = 0, .external_lex_state = 12},
  [15285] = {.lex_state = 0, .external_lex_state = 12},
  [15286] = {.lex_state = 364, .external_lex_state = 12},
  [15287] = {.lex_state = 0, .external_lex_state = 12},
  [15288] = {.lex_state = 0, .external_lex_state = 12},
  [15289] = {.lex_state = 558, .external_lex_state = 12},
  [15290] = {.lex_state = 0, .external_lex_state = 12},
  [15291] = {.lex_state = 0, .external_lex_state = 12},
  [15292] = {.lex_state = 0, .external_lex_state = 12},
  [15293] = {.lex_state = 0, .external_lex_state = 12},
  [15294] = {.lex_state = 0, .external_lex_state = 12},
  [15295] = {.lex_state = 364, .external_lex_state = 12},
  [15296] = {.lex_state = 0, .external_lex_state = 12},
  [15297] = {.lex_state = 0, .external_lex_state = 12},
  [15298] = {.lex_state = 364, .external_lex_state = 12},
  [15299] = {.lex_state = 0, .external_lex_state = 12},
  [15300] = {.lex_state = 558, .external_lex_state = 12},
  [15301] = {.lex_state = 0, .external_lex_state = 12},
  [15302] = {.lex_state = 558, .external_lex_state = 12},
  [15303] = {.lex_state = 364, .external_lex_state = 12},
  [15304] = {.lex_state = 0, .external_lex_state = 12},
  [15305] = {.lex_state = 0, .external_lex_state = 12},
  [15306] = {.lex_state = 0, .external_lex_state = 12},
  [15307] = {.lex_state = 533, .external_lex_state = 12},
  [15308] = {.lex_state = 0, .external_lex_state = 12},
  [15309] = {.lex_state = 314, .external_lex_state = 12},
  [15310] = {.lex_state = 0, .external_lex_state = 12},
  [15311] = {.lex_state = 0, .external_lex_state = 12},
  [15312] = {.lex_state = 314, .external_lex_state = 12},
  [15313] = {.lex_state = 0, .external_lex_state = 12},
  [15314] = {.lex_state = 364, .external_lex_state = 12},
  [15315] = {.lex_state = 0, .external_lex_state = 12},
  [15316] = {.lex_state = 0, .external_lex_state = 12},
  [15317] = {.lex_state = 0, .external_lex_state = 12},
  [15318] = {.lex_state = 364, .external_lex_state = 12},
  [15319] = {.lex_state = 533, .external_lex_state = 12},
  [15320] = {.lex_state = 364, .external_lex_state = 12},
  [15321] = {.lex_state = 0, .external_lex_state = 12},
  [15322] = {.lex_state = 0, .external_lex_state = 12},
  [15323] = {.lex_state = 0, .external_lex_state = 12},
  [15324] = {.lex_state = 0, .external_lex_state = 12},
  [15325] = {.lex_state = 0, .external_lex_state = 12},
  [15326] = {.lex_state = 364, .external_lex_state = 12},
  [15327] = {.lex_state = 0, .external_lex_state = 12},
  [15328] = {.lex_state = 0, .external_lex_state = 12},
  [15329] = {.lex_state = 533, .external_lex_state = 12},
  [15330] = {.lex_state = 0, .external_lex_state = 12},
  [15331] = {.lex_state = 314, .external_lex_state = 12},
  [15332] = {.lex_state = 0, .external_lex_state = 12},
  [15333] = {.lex_state = 0, .external_lex_state = 12},
  [15334] = {.lex_state = 0, .external_lex_state = 12},
  [15335] = {.lex_state = 0, .external_lex_state = 12},
  [15336] = {.lex_state = 0, .external_lex_state = 12},
  [15337] = {.lex_state = 364, .external_lex_state = 12},
  [15338] = {.lex_state = 364, .external_lex_state = 12},
  [15339] = {.lex_state = 0, .external_lex_state = 12},
  [15340] = {.lex_state = 0, .external_lex_state = 12},
  [15341] = {.lex_state = 0, .external_lex_state = 12},
  [15342] = {.lex_state = 0, .external_lex_state = 12},
  [15343] = {.lex_state = 0, .external_lex_state = 12},
  [15344] = {.lex_state = 314, .external_lex_state = 12},
  [15345] = {.lex_state = 0, .external_lex_state = 12},
  [15346] = {.lex_state = 0, .external_lex_state = 12},
  [15347] = {.lex_state = 0, .external_lex_state = 12},
  [15348] = {.lex_state = 0, .external_lex_state = 12},
  [15349] = {.lex_state = 0, .external_lex_state = 12},
  [15350] = {.lex_state = 0, .external_lex_state = 12},
  [15351] = {.lex_state = 0, .external_lex_state = 12},
  [15352] = {.lex_state = 0, .external_lex_state = 12},
  [15353] = {.lex_state = 413, .external_lex_state = 15},
  [15354] = {.lex_state = 364, .external_lex_state = 12},
  [15355] = {.lex_state = 0, .external_lex_state = 12},
  [15356] = {.lex_state = 0, .external_lex_state = 12},
  [15357] = {.lex_state = 558, .external_lex_state = 12},
  [15358] = {.lex_state = 0, .external_lex_state = 12},
  [15359] = {.lex_state = 0, .external_lex_state = 12},
  [15360] = {.lex_state = 364, .external_lex_state = 12},
  [15361] = {.lex_state = 0, .external_lex_state = 12},
  [15362] = {.lex_state = 0, .external_lex_state = 12},
  [15363] = {.lex_state = 0, .external_lex_state = 12},
  [15364] = {.lex_state = 0, .external_lex_state = 12},
  [15365] = {.lex_state = 0, .external_lex_state = 12},
  [15366] = {.lex_state = 0, .external_lex_state = 12},
  [15367] = {.lex_state = 0, .external_lex_state = 12},
  [15368] = {.lex_state = 0, .external_lex_state = 12},
  [15369] = {.lex_state = 0, .external_lex_state = 12},
  [15370] = {.lex_state = 0, .external_lex_state = 12},
  [15371] = {.lex_state = 364, .external_lex_state = 12},
  [15372] = {.lex_state = 364, .external_lex_state = 12},
  [15373] = {.lex_state = 0, .external_lex_state = 12},
  [15374] = {.lex_state = 364, .external_lex_state = 12},
  [15375] = {.lex_state = 0, .external_lex_state = 12},
  [15376] = {.lex_state = 0, .external_lex_state = 12},
  [15377] = {.lex_state = 0, .external_lex_state = 12},
  [15378] = {.lex_state = 364, .external_lex_state = 12},
  [15379] = {.lex_state = 0, .external_lex_state = 12},
  [15380] = {.lex_state = 0, .external_lex_state = 12},
  [15381] = {.lex_state = 0, .external_lex_state = 12},
  [15382] = {.lex_state = 0, .external_lex_state = 12},
  [15383] = {.lex_state = 0, .external_lex_state = 12},
  [15384] = {.lex_state = 0, .external_lex_state = 12},
  [15385] = {.lex_state = 0, .external_lex_state = 12},
  [15386] = {.lex_state = 364, .external_lex_state = 12},
  [15387] = {.lex_state = 0, .external_lex_state = 12},
  [15388] = {.lex_state = 0, .external_lex_state = 12},
  [15389] = {.lex_state = 0, .external_lex_state = 12},
  [15390] = {.lex_state = 558, .external_lex_state = 12},
  [15391] = {.lex_state = 0, .external_lex_state = 12},
  [15392] = {.lex_state = 0, .external_lex_state = 12},
  [15393] = {.lex_state = 0, .external_lex_state = 12},
  [15394] = {.lex_state = 0, .external_lex_state = 12},
  [15395] = {.lex_state = 0, .external_lex_state = 12},
  [15396] = {.lex_state = 364, .external_lex_state = 12},
  [15397] = {.lex_state = 364, .external_lex_state = 12},
  [15398] = {.lex_state = 0, .external_lex_state = 12},
  [15399] = {.lex_state = 0, .external_lex_state = 12},
  [15400] = {.lex_state = 0, .external_lex_state = 12},
  [15401] = {.lex_state = 0, .external_lex_state = 12},
  [15402] = {.lex_state = 0, .external_lex_state = 12},
  [15403] = {.lex_state = 0, .external_lex_state = 12},
  [15404] = {.lex_state = 413, .external_lex_state = 15},
  [15405] = {.lex_state = 0, .external_lex_state = 12},
  [15406] = {.lex_state = 413, .external_lex_state = 15},
  [15407] = {.lex_state = 413, .external_lex_state = 15},
  [15408] = {.lex_state = 364, .external_lex_state = 12},
  [15409] = {.lex_state = 0, .external_lex_state = 12},
  [15410] = {.lex_state = 0, .external_lex_state = 12},
  [15411] = {.lex_state = 0, .external_lex_state = 12},
  [15412] = {.lex_state = 0, .external_lex_state = 12},
  [15413] = {.lex_state = 0, .external_lex_state = 12},
  [15414] = {.lex_state = 0, .external_lex_state = 12},
  [15415] = {.lex_state = 0, .external_lex_state = 12},
  [15416] = {.lex_state = 0, .external_lex_state = 12},
  [15417] = {.lex_state = 558, .external_lex_state = 12},
  [15418] = {.lex_state = 0, .external_lex_state = 12},
  [15419] = {.lex_state = 0, .external_lex_state = 12},
  [15420] = {.lex_state = 0, .external_lex_state = 12},
  [15421] = {.lex_state = 0, .external_lex_state = 12},
  [15422] = {.lex_state = 0, .external_lex_state = 12},
  [15423] = {.lex_state = 364, .external_lex_state = 12},
  [15424] = {.lex_state = 0, .external_lex_state = 12},
  [15425] = {.lex_state = 364, .external_lex_state = 12},
  [15426] = {.lex_state = 0, .external_lex_state = 12},
  [15427] = {.lex_state = 364, .external_lex_state = 12},
  [15428] = {.lex_state = 0, .external_lex_state = 12},
  [15429] = {.lex_state = 0, .external_lex_state = 12},
  [15430] = {.lex_state = 0, .external_lex_state = 12},
  [15431] = {.lex_state = 0, .external_lex_state = 12},
  [15432] = {.lex_state = 0, .external_lex_state = 12},
  [15433] = {.lex_state = 409, .external_lex_state = 10},
  [15434] = {.lex_state = 0, .external_lex_state = 12},
  [15435] = {.lex_state = 0, .external_lex_state = 12},
  [15436] = {.lex_state = 0, .external_lex_state = 12},
  [15437] = {.lex_state = 0, .external_lex_state = 12},
  [15438] = {.lex_state = 0, .external_lex_state = 12},
  [15439] = {.lex_state = 0, .external_lex_state = 12},
  [15440] = {.lex_state = 364, .external_lex_state = 12},
  [15441] = {.lex_state = 0, .external_lex_state = 12},
  [15442] = {.lex_state = 0, .external_lex_state = 12},
  [15443] = {.lex_state = 0, .external_lex_state = 12},
  [15444] = {.lex_state = 0, .external_lex_state = 12},
  [15445] = {.lex_state = 0, .external_lex_state = 12},
  [15446] = {.lex_state = 0, .external_lex_state = 12},
  [15447] = {.lex_state = 0, .external_lex_state = 12},
  [15448] = {.lex_state = 0, .external_lex_state = 12},
  [15449] = {.lex_state = 0, .external_lex_state = 12},
  [15450] = {.lex_state = 0, .external_lex_state = 12},
  [15451] = {.lex_state = 558, .external_lex_state = 12},
  [15452] = {.lex_state = 364, .external_lex_state = 12},
  [15453] = {.lex_state = 0, .external_lex_state = 12},
  [15454] = {.lex_state = 0, .external_lex_state = 12},
  [15455] = {.lex_state = 0, .external_lex_state = 12},
  [15456] = {.lex_state = 0, .external_lex_state = 12},
  [15457] = {.lex_state = 0, .external_lex_state = 12},
  [15458] = {.lex_state = 364, .external_lex_state = 12},
  [15459] = {.lex_state = 0, .external_lex_state = 12},
  [15460] = {.lex_state = 0, .external_lex_state = 12},
  [15461] = {.lex_state = 558, .external_lex_state = 12},
  [15462] = {.lex_state = 0, .external_lex_state = 12},
  [15463] = {.lex_state = 0, .external_lex_state = 12},
  [15464] = {.lex_state = 409, .external_lex_state = 14},
  [15465] = {.lex_state = 503, .external_lex_state = 12},
  [15466] = {.lex_state = 409, .external_lex_state = 18},
  [15467] = {.lex_state = 409, .external_lex_state = 18},
  [15468] = {.lex_state = 409, .external_lex_state = 19},
  [15469] = {.lex_state = 503, .external_lex_state = 12},
  [15470] = {.lex_state = 0, .external_lex_state = 12},
  [15471] = {.lex_state = 0, .external_lex_state = 12},
  [15472] = {.lex_state = 0, .external_lex_state = 12},
  [15473] = {.lex_state = 0, .external_lex_state = 12},
  [15474] = {.lex_state = 0, .external_lex_state = 12},
  [15475] = {.lex_state = 503, .external_lex_state = 12},
  [15476] = {.lex_state = 343, .external_lex_state = 12},
  [15477] = {.lex_state = 409, .external_lex_state = 19},
  [15478] = {.lex_state = 0, .external_lex_state = 12},
  [15479] = {.lex_state = 0, .external_lex_state = 12},
  [15480] = {.lex_state = 0, .external_lex_state = 12},
  [15481] = {.lex_state = 409, .external_lex_state = 18},
  [15482] = {.lex_state = 0, .external_lex_state = 12},
  [15483] = {.lex_state = 343, .external_lex_state = 12},
  [15484] = {.lex_state = 0, .external_lex_state = 12},
  [15485] = {.lex_state = 503, .external_lex_state = 12},
  [15486] = {.lex_state = 0, .external_lex_state = 12},
  [15487] = {.lex_state = 343, .external_lex_state = 12},
  [15488] = {.lex_state = 503, .external_lex_state = 12},
  [15489] = {.lex_state = 409, .external_lex_state = 18},
  [15490] = {.lex_state = 409, .external_lex_state = 19},
  [15491] = {.lex_state = 0, .external_lex_state = 12},
  [15492] = {.lex_state = 0, .external_lex_state = 12},
  [15493] = {.lex_state = 0, .external_lex_state = 12},
  [15494] = {.lex_state = 343, .external_lex_state = 12},
  [15495] = {.lex_state = 409, .external_lex_state = 19},
  [15496] = {.lex_state = 343, .external_lex_state = 12},
  [15497] = {.lex_state = 503, .external_lex_state = 12},
  [15498] = {.lex_state = 343, .external_lex_state = 12},
  [15499] = {.lex_state = 0, .external_lex_state = 12},
  [15500] = {.lex_state = 343, .external_lex_state = 12},
  [15501] = {.lex_state = 503, .external_lex_state = 12},
  [15502] = {.lex_state = 343, .external_lex_state = 12},
  [15503] = {.lex_state = 503, .external_lex_state = 12},
  [15504] = {.lex_state = 363, .external_lex_state = 12},
  [15505] = {.lex_state = 409, .external_lex_state = 19},
  [15506] = {.lex_state = 503, .external_lex_state = 12},
  [15507] = {.lex_state = 0, .external_lex_state = 12},
  [15508] = {.lex_state = 409, .external_lex_state = 18},
  [15509] = {.lex_state = 409, .external_lex_state = 19},
  [15510] = {.lex_state = 0, .external_lex_state = 12},
  [15511] = {.lex_state = 503, .external_lex_state = 12},
  [15512] = {.lex_state = 0, .external_lex_state = 12},
  [15513] = {.lex_state = 409, .external_lex_state = 18},
  [15514] = {.lex_state = 0, .external_lex_state = 12},
  [15515] = {.lex_state = 409, .external_lex_state = 18},
  [15516] = {.lex_state = 0, .external_lex_state = 12},
  [15517] = {.lex_state = 0, .external_lex_state = 12},
  [15518] = {.lex_state = 409, .external_lex_state = 15},
  [15519] = {.lex_state = 0, .external_lex_state = 12},
  [15520] = {.lex_state = 0, .external_lex_state = 12},
  [15521] = {.lex_state = 363, .external_lex_state = 12},
  [15522] = {.lex_state = 409, .external_lex_state = 19},
  [15523] = {.lex_state = 409, .external_lex_state = 19},
  [15524] = {.lex_state = 409, .external_lex_state = 18},
  [15525] = {.lex_state = 503, .external_lex_state = 12},
  [15526] = {.lex_state = 409, .external_lex_state = 18},
  [15527] = {.lex_state = 0, .external_lex_state = 12},
  [15528] = {.lex_state = 503, .external_lex_state = 12},
  [15529] = {.lex_state = 503, .external_lex_state = 12},
  [15530] = {.lex_state = 0, .external_lex_state = 12},
  [15531] = {.lex_state = 0, .external_lex_state = 12},
  [15532] = {.lex_state = 409, .external_lex_state = 19},
  [15533] = {.lex_state = 409, .external_lex_state = 18},
  [15534] = {.lex_state = 0, .external_lex_state = 12},
  [15535] = {.lex_state = 409, .external_lex_state = 18},
  [15536] = {.lex_state = 409, .external_lex_state = 19},
  [15537] = {.lex_state = 0, .external_lex_state = 12},
  [15538] = {.lex_state = 343, .external_lex_state = 12},
  [15539] = {.lex_state = 503, .external_lex_state = 12},
  [15540] = {.lex_state = 0, .external_lex_state = 12},
  [15541] = {.lex_state = 0, .external_lex_state = 12},
  [15542] = {.lex_state = 503, .external_lex_state = 12},
  [15543] = {.lex_state = 0, .external_lex_state = 12},
  [15544] = {.lex_state = 503, .external_lex_state = 12},
  [15545] = {.lex_state = 363, .external_lex_state = 12},
  [15546] = {.lex_state = 503, .external_lex_state = 12},
  [15547] = {.lex_state = 503, .external_lex_state = 12},
  [15548] = {.lex_state = 0, .external_lex_state = 12},
  [15549] = {.lex_state = 409, .external_lex_state = 15},
  [15550] = {.lex_state = 409, .external_lex_state = 19},
  [15551] = {.lex_state = 409, .external_lex_state = 18},
  [15552] = {.lex_state = 409, .external_lex_state = 19},
  [15553] = {.lex_state = 0, .external_lex_state = 12},
  [15554] = {.lex_state = 409, .external_lex_state = 18},
  [15555] = {.lex_state = 409, .external_lex_state = 18},
  [15556] = {.lex_state = 409, .external_lex_state = 19},
  [15557] = {.lex_state = 0, .external_lex_state = 12},
  [15558] = {.lex_state = 0, .external_lex_state = 12},
  [15559] = {.lex_state = 409, .external_lex_state = 17},
  [15560] = {.lex_state = 0, .external_lex_state = 12},
  [15561] = {.lex_state = 409, .external_lex_state = 15},
  [15562] = {.lex_state = 503, .external_lex_state = 12},
  [15563] = {.lex_state = 0, .external_lex_state = 12},
  [15564] = {.lex_state = 0, .external_lex_state = 12},
  [15565] = {.lex_state = 0, .external_lex_state = 12},
  [15566] = {.lex_state = 503, .external_lex_state = 12},
  [15567] = {.lex_state = 503, .external_lex_state = 12},
  [15568] = {.lex_state = 503, .external_lex_state = 12},
  [15569] = {.lex_state = 503, .external_lex_state = 12},
  [15570] = {.lex_state = 503, .external_lex_state = 12},
  [15571] = {.lex_state = 0, .external_lex_state = 12},
  [15572] = {.lex_state = 409, .external_lex_state = 18},
  [15573] = {.lex_state = 0, .external_lex_state = 12},
  [15574] = {.lex_state = 503, .external_lex_state = 12},
  [15575] = {.lex_state = 409, .external_lex_state = 19},
  [15576] = {.lex_state = 363, .external_lex_state = 12},
  [15577] = {.lex_state = 343, .external_lex_state = 12},
  [15578] = {.lex_state = 343, .external_lex_state = 12},
  [15579] = {.lex_state = 0, .external_lex_state = 12},
  [15580] = {.lex_state = 0, .external_lex_state = 12},
  [15581] = {.lex_state = 0, .external_lex_state = 12},
  [15582] = {.lex_state = 0, .external_lex_state = 12},
  [15583] = {.lex_state = 0, .external_lex_state = 12},
  [15584] = {.lex_state = 0, .external_lex_state = 12},
  [15585] = {.lex_state = 409, .external_lex_state = 19},
  [15586] = {.lex_state = 343, .external_lex_state = 12},
  [15587] = {.lex_state = 409, .external_lex_state = 18},
  [15588] = {.lex_state = 343, .external_lex_state = 12},
  [15589] = {.lex_state = 0, .external_lex_state = 12},
  [15590] = {.lex_state = 409, .external_lex_state = 15},
  [15591] = {.lex_state = 409, .external_lex_state = 18},
  [15592] = {.lex_state = 409, .external_lex_state = 19},
  [15593] = {.lex_state = 0, .external_lex_state = 12},
  [15594] = {.lex_state = 0, .external_lex_state = 12},
  [15595] = {.lex_state = 0, .external_lex_state = 12},
  [15596] = {.lex_state = 503, .external_lex_state = 12},
  [15597] = {.lex_state = 503, .external_lex_state = 12},
  [15598] = {.lex_state = 503, .external_lex_state = 12},
  [15599] = {.lex_state = 0, .external_lex_state = 12},
  [15600] = {.lex_state = 409, .external_lex_state = 19},
  [15601] = {.lex_state = 409, .external_lex_state = 18},
  [15602] = {.lex_state = 0, .external_lex_state = 12},
  [15603] = {.lex_state = 0, .external_lex_state = 12},
  [15604] = {.lex_state = 0, .external_lex_state = 12},
  [15605] = {.lex_state = 0, .external_lex_state = 12},
  [15606] = {.lex_state = 0, .external_lex_state = 12},
  [15607] = {.lex_state = 0, .external_lex_state = 12},
  [15608] = {.lex_state = 503, .external_lex_state = 12},
  [15609] = {.lex_state = 409, .external_lex_state = 18},
  [15610] = {.lex_state = 409, .external_lex_state = 19},
  [15611] = {.lex_state = 0, .external_lex_state = 12},
  [15612] = {.lex_state = 503, .external_lex_state = 12},
  [15613] = {.lex_state = 0, .external_lex_state = 12},
  [15614] = {.lex_state = 363, .external_lex_state = 12},
  [15615] = {.lex_state = 0, .external_lex_state = 12},
  [15616] = {.lex_state = 409, .external_lex_state = 18},
  [15617] = {.lex_state = 0, .external_lex_state = 12},
  [15618] = {.lex_state = 0, .external_lex_state = 12},
  [15619] = {.lex_state = 409, .external_lex_state = 19},
  [15620] = {.lex_state = 0, .external_lex_state = 12},
  [15621] = {.lex_state = 409, .external_lex_state = 18},
  [15622] = {.lex_state = 0, .external_lex_state = 12},
  [15623] = {.lex_state = 558, .external_lex_state = 12},
  [15624] = {.lex_state = 503, .external_lex_state = 12},
  [15625] = {.lex_state = 0, .external_lex_state = 12},
  [15626] = {.lex_state = 503, .external_lex_state = 12},
  [15627] = {.lex_state = 409, .external_lex_state = 19},
  [15628] = {.lex_state = 409, .external_lex_state = 19},
  [15629] = {.lex_state = 0, .external_lex_state = 12},
  [15630] = {.lex_state = 409, .external_lex_state = 18},
  [15631] = {.lex_state = 503, .external_lex_state = 12},
  [15632] = {.lex_state = 558, .external_lex_state = 12},
  [15633] = {.lex_state = 503, .external_lex_state = 12},
  [15634] = {.lex_state = 0, .external_lex_state = 12},
  [15635] = {.lex_state = 0, .external_lex_state = 12},
  [15636] = {.lex_state = 409, .external_lex_state = 18},
  [15637] = {.lex_state = 409, .external_lex_state = 19},
  [15638] = {.lex_state = 409, .external_lex_state = 18},
  [15639] = {.lex_state = 409, .external_lex_state = 19},
  [15640] = {.lex_state = 503, .external_lex_state = 12},
  [15641] = {.lex_state = 0, .external_lex_state = 12},
  [15642] = {.lex_state = 0, .external_lex_state = 12},
  [15643] = {.lex_state = 0, .external_lex_state = 12},
  [15644] = {.lex_state = 0, .external_lex_state = 12},
  [15645] = {.lex_state = 503, .external_lex_state = 12},
  [15646] = {.lex_state = 503, .external_lex_state = 12},
  [15647] = {.lex_state = 409, .external_lex_state = 18},
  [15648] = {.lex_state = 0, .external_lex_state = 12},
  [15649] = {.lex_state = 409, .external_lex_state = 18},
  [15650] = {.lex_state = 409, .external_lex_state = 19},
  [15651] = {.lex_state = 409, .external_lex_state = 19},
  [15652] = {.lex_state = 343, .external_lex_state = 12},
  [15653] = {.lex_state = 0, .external_lex_state = 12},
  [15654] = {.lex_state = 0, .external_lex_state = 12},
  [15655] = {.lex_state = 503, .external_lex_state = 12},
  [15656] = {.lex_state = 0, .external_lex_state = 12},
  [15657] = {.lex_state = 0, .external_lex_state = 12},
  [15658] = {.lex_state = 503, .external_lex_state = 12},
  [15659] = {.lex_state = 0, .external_lex_state = 12},
  [15660] = {.lex_state = 0, .external_lex_state = 12},
  [15661] = {.lex_state = 0, .external_lex_state = 12},
  [15662] = {.lex_state = 0, .external_lex_state = 12},
  [15663] = {.lex_state = 409, .external_lex_state = 19},
  [15664] = {.lex_state = 409, .external_lex_state = 18},
  [15665] = {.lex_state = 0, .external_lex_state = 12},
  [15666] = {.lex_state = 0, .external_lex_state = 12},
  [15667] = {.lex_state = 0, .external_lex_state = 12},
  [15668] = {.lex_state = 343, .external_lex_state = 12},
  [15669] = {.lex_state = 503, .external_lex_state = 12},
  [15670] = {.lex_state = 363, .external_lex_state = 12},
  [15671] = {.lex_state = 409, .external_lex_state = 18},
  [15672] = {.lex_state = 343, .external_lex_state = 12},
  [15673] = {.lex_state = 0, .external_lex_state = 12},
  [15674] = {.lex_state = 0, .external_lex_state = 12},
  [15675] = {.lex_state = 0, .external_lex_state = 12},
  [15676] = {.lex_state = 0, .external_lex_state = 12},
  [15677] = {.lex_state = 503, .external_lex_state = 12},
  [15678] = {.lex_state = 343, .external_lex_state = 12},
  [15679] = {.lex_state = 409, .external_lex_state = 19},
  [15680] = {.lex_state = 0, .external_lex_state = 12},
  [15681] = {.lex_state = 0, .external_lex_state = 12},
  [15682] = {.lex_state = 0, .external_lex_state = 12},
  [15683] = {.lex_state = 409, .external_lex_state = 19},
  [15684] = {.lex_state = 409, .external_lex_state = 18},
  [15685] = {.lex_state = 0, .external_lex_state = 12},
  [15686] = {.lex_state = 343, .external_lex_state = 12},
  [15687] = {.lex_state = 0, .external_lex_state = 12},
  [15688] = {.lex_state = 0, .external_lex_state = 12},
  [15689] = {.lex_state = 503, .external_lex_state = 12},
  [15690] = {.lex_state = 409, .external_lex_state = 18},
  [15691] = {.lex_state = 0, .external_lex_state = 12},
  [15692] = {.lex_state = 0, .external_lex_state = 12},
  [15693] = {.lex_state = 0, .external_lex_state = 12},
  [15694] = {.lex_state = 343, .external_lex_state = 12},
  [15695] = {.lex_state = 0, .external_lex_state = 12},
  [15696] = {.lex_state = 0, .external_lex_state = 12},
  [15697] = {.lex_state = 0, .external_lex_state = 12},
  [15698] = {.lex_state = 0, .external_lex_state = 12},
  [15699] = {.lex_state = 503, .external_lex_state = 12},
  [15700] = {.lex_state = 0, .external_lex_state = 12},
  [15701] = {.lex_state = 0, .external_lex_state = 12},
  [15702] = {.lex_state = 0, .external_lex_state = 12},
  [15703] = {.lex_state = 0, .external_lex_state = 12},
  [15704] = {.lex_state = 0, .external_lex_state = 12},
  [15705] = {.lex_state = 0, .external_lex_state = 12},
  [15706] = {.lex_state = 0, .external_lex_state = 12},
  [15707] = {.lex_state = 409, .external_lex_state = 19},
  [15708] = {.lex_state = 409, .external_lex_state = 18},
  [15709] = {.lex_state = 0, .external_lex_state = 12},
  [15710] = {.lex_state = 409, .external_lex_state = 18},
  [15711] = {.lex_state = 409, .external_lex_state = 19},
  [15712] = {.lex_state = 409, .external_lex_state = 19},
  [15713] = {.lex_state = 0, .external_lex_state = 12},
  [15714] = {.lex_state = 0, .external_lex_state = 12},
  [15715] = {.lex_state = 0, .external_lex_state = 12},
  [15716] = {.lex_state = 409, .external_lex_state = 18},
  [15717] = {.lex_state = 503, .external_lex_state = 12},
  [15718] = {.lex_state = 409, .external_lex_state = 15},
  [15719] = {.lex_state = 0, .external_lex_state = 12},
  [15720] = {.lex_state = 409, .external_lex_state = 19},
  [15721] = {.lex_state = 0, .external_lex_state = 12},
  [15722] = {.lex_state = 409, .external_lex_state = 18},
  [15723] = {.lex_state = 343, .external_lex_state = 12},
  [15724] = {.lex_state = 0, .external_lex_state = 12},
  [15725] = {.lex_state = 343, .external_lex_state = 12},
  [15726] = {.lex_state = 503, .external_lex_state = 12},
  [15727] = {.lex_state = 503, .external_lex_state = 12},
  [15728] = {.lex_state = 0, .external_lex_state = 12},
  [15729] = {.lex_state = 409, .external_lex_state = 19},
  [15730] = {.lex_state = 503, .external_lex_state = 12},
  [15731] = {.lex_state = 409, .external_lex_state = 19},
  [15732] = {.lex_state = 0, .external_lex_state = 12},
  [15733] = {.lex_state = 409, .external_lex_state = 18},
  [15734] = {.lex_state = 343, .external_lex_state = 12},
  [15735] = {.lex_state = 363, .external_lex_state = 12},
  [15736] = {.lex_state = 503, .external_lex_state = 12},
  [15737] = {.lex_state = 409, .external_lex_state = 18},
  [15738] = {.lex_state = 409, .external_lex_state = 19},
  [15739] = {.lex_state = 363, .external_lex_state = 12},
  [15740] = {.lex_state = 409, .external_lex_state = 18},
  [15741] = {.lex_state = 0, .external_lex_state = 12},
  [15742] = {.lex_state = 0, .external_lex_state = 12},
  [15743] = {.lex_state = 0, .external_lex_state = 12},
  [15744] = {.lex_state = 343, .external_lex_state = 12},
  [15745] = {.lex_state = 0, .external_lex_state = 12},
  [15746] = {.lex_state = 363, .external_lex_state = 12},
  [15747] = {.lex_state = 0, .external_lex_state = 12},
  [15748] = {.lex_state = 503, .external_lex_state = 12},
  [15749] = {.lex_state = 503, .external_lex_state = 12},
  [15750] = {.lex_state = 0, .external_lex_state = 12},
  [15751] = {.lex_state = 363, .external_lex_state = 12},
  [15752] = {.lex_state = 409, .external_lex_state = 18},
  [15753] = {.lex_state = 343, .external_lex_state = 12},
  [15754] = {.lex_state = 0, .external_lex_state = 12},
  [15755] = {.lex_state = 0, .external_lex_state = 12},
  [15756] = {.lex_state = 409, .external_lex_state = 19},
  [15757] = {.lex_state = 0, .external_lex_state = 12},
  [15758] = {.lex_state = 0, .external_lex_state = 12},
  [15759] = {.lex_state = 0, .external_lex_state = 12},
  [15760] = {.lex_state = 0, .external_lex_state = 12},
  [15761] = {.lex_state = 0, .external_lex_state = 12},
  [15762] = {.lex_state = 503, .external_lex_state = 12},
  [15763] = {.lex_state = 0, .external_lex_state = 12},
  [15764] = {.lex_state = 0, .external_lex_state = 12},
  [15765] = {.lex_state = 363, .external_lex_state = 12},
  [15766] = {.lex_state = 0, .external_lex_state = 12},
  [15767] = {.lex_state = 0, .external_lex_state = 12},
  [15768] = {.lex_state = 0, .external_lex_state = 12},
  [15769] = {.lex_state = 503, .external_lex_state = 12},
  [15770] = {.lex_state = 0, .external_lex_state = 12},
  [15771] = {.lex_state = 0, .external_lex_state = 12},
  [15772] = {.lex_state = 503, .external_lex_state = 12},
  [15773] = {.lex_state = 0, .external_lex_state = 12},
  [15774] = {.lex_state = 363, .external_lex_state = 12},
  [15775] = {.lex_state = 0, .external_lex_state = 12},
  [15776] = {.lex_state = 0, .external_lex_state = 12},
  [15777] = {.lex_state = 0, .external_lex_state = 12},
  [15778] = {.lex_state = 409, .external_lex_state = 18},
  [15779] = {.lex_state = 503, .external_lex_state = 12},
  [15780] = {.lex_state = 0, .external_lex_state = 12},
  [15781] = {.lex_state = 409, .external_lex_state = 19},
  [15782] = {.lex_state = 409, .external_lex_state = 18},
  [15783] = {.lex_state = 0, .external_lex_state = 12},
  [15784] = {.lex_state = 343, .external_lex_state = 12},
  [15785] = {.lex_state = 503, .external_lex_state = 12},
  [15786] = {.lex_state = 503, .external_lex_state = 12},
  [15787] = {.lex_state = 409, .external_lex_state = 18},
  [15788] = {.lex_state = 503, .external_lex_state = 12},
  [15789] = {.lex_state = 503, .external_lex_state = 12},
  [15790] = {.lex_state = 0, .external_lex_state = 12},
  [15791] = {.lex_state = 409, .external_lex_state = 19},
  [15792] = {.lex_state = 0, .external_lex_state = 12},
  [15793] = {.lex_state = 409, .external_lex_state = 18},
  [15794] = {.lex_state = 503, .external_lex_state = 12},
  [15795] = {.lex_state = 409, .external_lex_state = 19},
  [15796] = {.lex_state = 363, .external_lex_state = 12},
  [15797] = {.lex_state = 0, .external_lex_state = 12},
  [15798] = {.lex_state = 0, .external_lex_state = 12},
  [15799] = {.lex_state = 0, .external_lex_state = 12},
  [15800] = {.lex_state = 503, .external_lex_state = 12},
  [15801] = {.lex_state = 0, .external_lex_state = 12},
  [15802] = {.lex_state = 0, .external_lex_state = 12},
  [15803] = {.lex_state = 409, .external_lex_state = 19},
  [15804] = {.lex_state = 409, .external_lex_state = 19},
  [15805] = {.lex_state = 409, .external_lex_state = 19},
  [15806] = {.lex_state = 409, .external_lex_state = 18},
  [15807] = {.lex_state = 409, .external_lex_state = 18},
  [15808] = {.lex_state = 503, .external_lex_state = 12},
  [15809] = {.lex_state = 409, .external_lex_state = 18},
  [15810] = {.lex_state = 0, .external_lex_state = 12},
  [15811] = {.lex_state = 409, .external_lex_state = 18},
  [15812] = {.lex_state = 409, .external_lex_state = 19},
  [15813] = {.lex_state = 409, .external_lex_state = 19},
  [15814] = {.lex_state = 0, .external_lex_state = 12},
  [15815] = {.lex_state = 0, .external_lex_state = 12},
  [15816] = {.lex_state = 0, .external_lex_state = 12},
  [15817] = {.lex_state = 409, .external_lex_state = 18},
  [15818] = {.lex_state = 409, .external_lex_state = 18},
  [15819] = {.lex_state = 409, .external_lex_state = 19},
  [15820] = {.lex_state = 0, .external_lex_state = 12},
  [15821] = {.lex_state = 503, .external_lex_state = 12},
  [15822] = {.lex_state = 0, .external_lex_state = 12},
  [15823] = {.lex_state = 0, .external_lex_state = 12},
  [15824] = {.lex_state = 503, .external_lex_state = 12},
  [15825] = {.lex_state = 343, .external_lex_state = 12},
  [15826] = {.lex_state = 0, .external_lex_state = 12},
  [15827] = {.lex_state = 363, .external_lex_state = 12},
  [15828] = {.lex_state = 503, .external_lex_state = 12},
  [15829] = {.lex_state = 0, .external_lex_state = 12},
  [15830] = {.lex_state = 503, .external_lex_state = 12},
  [15831] = {.lex_state = 0, .external_lex_state = 12},
  [15832] = {.lex_state = 503, .external_lex_state = 12},
  [15833] = {.lex_state = 0, .external_lex_state = 12},
  [15834] = {.lex_state = 409, .external_lex_state = 17},
  [15835] = {.lex_state = 409, .external_lex_state = 17},
  [15836] = {.lex_state = 503, .external_lex_state = 12},
  [15837] = {.lex_state = 409, .external_lex_state = 19},
  [15838] = {.lex_state = 409, .external_lex_state = 18},
  [15839] = {.lex_state = 409, .external_lex_state = 19},
  [15840] = {.lex_state = 409, .external_lex_state = 18},
  [15841] = {.lex_state = 503, .external_lex_state = 12},
  [15842] = {.lex_state = 0, .external_lex_state = 12},
  [15843] = {.lex_state = 0, .external_lex_state = 12},
  [15844] = {.lex_state = 0, .external_lex_state = 12},
  [15845] = {.lex_state = 343, .external_lex_state = 12},
  [15846] = {.lex_state = 0, .external_lex_state = 12},
  [15847] = {.lex_state = 503, .external_lex_state = 12},
  [15848] = {.lex_state = 343, .external_lex_state = 12},
  [15849] = {.lex_state = 409, .external_lex_state = 15},
  [15850] = {.lex_state = 343, .external_lex_state = 12},
  [15851] = {.lex_state = 363, .external_lex_state = 12},
  [15852] = {.lex_state = 0, .external_lex_state = 12},
  [15853] = {.lex_state = 503, .external_lex_state = 12},
  [15854] = {.lex_state = 558, .external_lex_state = 12},
  [15855] = {.lex_state = 0, .external_lex_state = 12},
  [15856] = {.lex_state = 0, .external_lex_state = 12},
  [15857] = {.lex_state = 0, .external_lex_state = 12},
  [15858] = {.lex_state = 0, .external_lex_state = 12},
  [15859] = {.lex_state = 503, .external_lex_state = 12},
  [15860] = {.lex_state = 558, .external_lex_state = 12},
  [15861] = {.lex_state = 0, .external_lex_state = 12},
  [15862] = {.lex_state = 409, .external_lex_state = 16},
  [15863] = {.lex_state = 503, .external_lex_state = 12},
  [15864] = {.lex_state = 0, .external_lex_state = 12},
  [15865] = {.lex_state = 0, .external_lex_state = 12},
  [15866] = {.lex_state = 409, .external_lex_state = 16},
  [15867] = {.lex_state = 0, .external_lex_state = 12},
  [15868] = {.lex_state = 0, .external_lex_state = 12},
  [15869] = {.lex_state = 0, .external_lex_state = 12},
  [15870] = {.lex_state = 409, .external_lex_state = 16},
  [15871] = {.lex_state = 0, .external_lex_state = 12},
  [15872] = {.lex_state = 363, .external_lex_state = 12},
  [15873] = {.lex_state = 0, .external_lex_state = 12},
  [15874] = {.lex_state = 0, .external_lex_state = 12},
  [15875] = {.lex_state = 409, .external_lex_state = 19},
  [15876] = {.lex_state = 0, .external_lex_state = 12},
  [15877] = {.lex_state = 409, .external_lex_state = 19},
  [15878] = {.lex_state = 409, .external_lex_state = 18},
  [15879] = {.lex_state = 0, .external_lex_state = 12},
  [15880] = {.lex_state = 409, .external_lex_state = 10},
  [15881] = {.lex_state = 363, .external_lex_state = 12},
  [15882] = {.lex_state = 343, .external_lex_state = 12},
  [15883] = {.lex_state = 409, .external_lex_state = 18},
  [15884] = {.lex_state = 503, .external_lex_state = 12},
  [15885] = {.lex_state = 343, .external_lex_state = 12},
  [15886] = {.lex_state = 409, .external_lex_state = 10},
  [15887] = {.lex_state = 0, .external_lex_state = 12},
  [15888] = {.lex_state = 503, .external_lex_state = 12},
  [15889] = {.lex_state = 0, .external_lex_state = 12},
  [15890] = {.lex_state = 409, .external_lex_state = 15},
  [15891] = {.lex_state = 503, .external_lex_state = 12},
  [15892] = {.lex_state = 409, .external_lex_state = 19},
  [15893] = {.lex_state = 409, .external_lex_state = 19},
  [15894] = {.lex_state = 0, .external_lex_state = 12},
  [15895] = {.lex_state = 363, .external_lex_state = 12},
  [15896] = {.lex_state = 409, .external_lex_state = 17},
  [15897] = {.lex_state = 0, .external_lex_state = 12},
  [15898] = {.lex_state = 409, .external_lex_state = 16},
  [15899] = {.lex_state = 409, .external_lex_state = 19},
  [15900] = {.lex_state = 503, .external_lex_state = 12},
  [15901] = {.lex_state = 363, .external_lex_state = 12},
  [15902] = {.lex_state = 409, .external_lex_state = 19},
  [15903] = {.lex_state = 409, .external_lex_state = 18},
  [15904] = {.lex_state = 503, .external_lex_state = 12},
  [15905] = {.lex_state = 409, .external_lex_state = 18},
  [15906] = {.lex_state = 0, .external_lex_state = 12},
  [15907] = {.lex_state = 343, .external_lex_state = 12},
  [15908] = {.lex_state = 343, .external_lex_state = 12},
  [15909] = {.lex_state = 0, .external_lex_state = 12},
  [15910] = {.lex_state = 0, .external_lex_state = 12},
  [15911] = {.lex_state = 409, .external_lex_state = 18},
  [15912] = {.lex_state = 409, .external_lex_state = 19},
  [15913] = {.lex_state = 0, .external_lex_state = 12},
  [15914] = {.lex_state = 503, .external_lex_state = 12},
  [15915] = {.lex_state = 0, .external_lex_state = 12},
  [15916] = {.lex_state = 409, .external_lex_state = 18},
  [15917] = {.lex_state = 409, .external_lex_state = 19},
  [15918] = {.lex_state = 503, .external_lex_state = 12},
  [15919] = {.lex_state = 0, .external_lex_state = 12},
  [15920] = {.lex_state = 0, .external_lex_state = 12},
  [15921] = {.lex_state = 503, .external_lex_state = 12},
  [15922] = {.lex_state = 0, .external_lex_state = 12},
  [15923] = {.lex_state = 343, .external_lex_state = 12},
  [15924] = {.lex_state = 409, .external_lex_state = 11},
  [15925] = {.lex_state = 409, .external_lex_state = 18},
  [15926] = {.lex_state = 503, .external_lex_state = 12},
  [15927] = {.lex_state = 409, .external_lex_state = 19},
  [15928] = {.lex_state = 503, .external_lex_state = 12},
  [15929] = {.lex_state = 0, .external_lex_state = 12},
  [15930] = {.lex_state = 503, .external_lex_state = 12},
  [15931] = {.lex_state = 0, .external_lex_state = 12},
  [15932] = {.lex_state = 363, .external_lex_state = 12},
  [15933] = {.lex_state = 409, .external_lex_state = 11},
  [15934] = {.lex_state = 409, .external_lex_state = 19},
  [15935] = {.lex_state = 409, .external_lex_state = 18},
  [15936] = {.lex_state = 0, .external_lex_state = 12},
  [15937] = {.lex_state = 343, .external_lex_state = 12},
  [15938] = {.lex_state = 409, .external_lex_state = 18},
  [15939] = {.lex_state = 409, .external_lex_state = 19},
  [15940] = {.lex_state = 343, .external_lex_state = 12},
  [15941] = {.lex_state = 0, .external_lex_state = 12},
  [15942] = {.lex_state = 343, .external_lex_state = 12},
  [15943] = {.lex_state = 0, .external_lex_state = 12},
  [15944] = {.lex_state = 0, .external_lex_state = 12},
  [15945] = {.lex_state = 0, .external_lex_state = 12},
  [15946] = {.lex_state = 0, .external_lex_state = 12},
  [15947] = {.lex_state = 503, .external_lex_state = 12},
  [15948] = {.lex_state = 503, .external_lex_state = 12},
  [15949] = {.lex_state = 0, .external_lex_state = 12},
  [15950] = {.lex_state = 343, .external_lex_state = 12},
  [15951] = {.lex_state = 503, .external_lex_state = 12},
  [15952] = {.lex_state = 0, .external_lex_state = 12},
  [15953] = {.lex_state = 0, .external_lex_state = 12},
  [15954] = {.lex_state = 503, .external_lex_state = 12},
  [15955] = {.lex_state = 0, .external_lex_state = 12},
  [15956] = {.lex_state = 0, .external_lex_state = 12},
  [15957] = {.lex_state = 409, .external_lex_state = 19},
  [15958] = {.lex_state = 409, .external_lex_state = 18},
  [15959] = {.lex_state = 0, .external_lex_state = 12},
  [15960] = {.lex_state = 0, .external_lex_state = 12},
  [15961] = {.lex_state = 0, .external_lex_state = 12},
  [15962] = {.lex_state = 0, .external_lex_state = 12},
  [15963] = {.lex_state = 409, .external_lex_state = 18},
  [15964] = {.lex_state = 0, .external_lex_state = 12},
  [15965] = {.lex_state = 0, .external_lex_state = 12},
  [15966] = {.lex_state = 409, .external_lex_state = 19},
  [15967] = {.lex_state = 0, .external_lex_state = 12},
  [15968] = {.lex_state = 0, .external_lex_state = 12},
  [15969] = {.lex_state = 0, .external_lex_state = 12},
  [15970] = {.lex_state = 0, .external_lex_state = 12},
  [15971] = {.lex_state = 503, .external_lex_state = 12},
  [15972] = {.lex_state = 0, .external_lex_state = 12},
  [15973] = {.lex_state = 0, .external_lex_state = 12},
  [15974] = {.lex_state = 409, .external_lex_state = 19},
  [15975] = {.lex_state = 409, .external_lex_state = 18},
  [15976] = {.lex_state = 0, .external_lex_state = 12},
  [15977] = {.lex_state = 409, .external_lex_state = 19},
  [15978] = {.lex_state = 409, .external_lex_state = 18},
  [15979] = {.lex_state = 409, .external_lex_state = 19},
  [15980] = {.lex_state = 409, .external_lex_state = 18},
  [15981] = {.lex_state = 343, .external_lex_state = 12},
  [15982] = {.lex_state = 503, .external_lex_state = 12},
  [15983] = {.lex_state = 0, .external_lex_state = 12},
  [15984] = {.lex_state = 0, .external_lex_state = 12},
  [15985] = {.lex_state = 0, .external_lex_state = 12},
  [15986] = {.lex_state = 0, .external_lex_state = 12},
  [15987] = {.lex_state = 409, .external_lex_state = 19},
  [15988] = {.lex_state = 409, .external_lex_state = 18},
  [15989] = {.lex_state = 343, .external_lex_state = 12},
  [15990] = {.lex_state = 0, .external_lex_state = 12},
  [15991] = {.lex_state = 0, .external_lex_state = 12},
  [15992] = {.lex_state = 409, .external_lex_state = 19},
  [15993] = {.lex_state = 409, .external_lex_state = 18},
  [15994] = {.lex_state = 409, .external_lex_state = 19},
  [15995] = {.lex_state = 0, .external_lex_state = 12},
  [15996] = {.lex_state = 409, .external_lex_state = 19},
  [15997] = {.lex_state = 409, .external_lex_state = 18},
  [15998] = {.lex_state = 409, .external_lex_state = 18},
  [15999] = {.lex_state = 409, .external_lex_state = 19},
  [16000] = {.lex_state = 503, .external_lex_state = 12},
  [16001] = {.lex_state = 409, .external_lex_state = 18},
  [16002] = {.lex_state = 343, .external_lex_state = 12},
  [16003] = {.lex_state = 343, .external_lex_state = 12},
  [16004] = {.lex_state = 409, .external_lex_state = 19},
  [16005] = {.lex_state = 409, .external_lex_state = 18},
  [16006] = {.lex_state = 409, .external_lex_state = 19},
  [16007] = {.lex_state = 409, .external_lex_state = 18},
  [16008] = {.lex_state = 409, .external_lex_state = 19},
  [16009] = {.lex_state = 0, .external_lex_state = 12},
  [16010] = {.lex_state = 409, .external_lex_state = 15},
  [16011] = {.lex_state = 409, .external_lex_state = 19},
  [16012] = {.lex_state = 409, .external_lex_state = 18},
  [16013] = {.lex_state = 0, .external_lex_state = 12},
  [16014] = {.lex_state = 0, .external_lex_state = 12},
  [16015] = {.lex_state = 503, .external_lex_state = 12},
  [16016] = {.lex_state = 0, .external_lex_state = 12},
  [16017] = {.lex_state = 409, .external_lex_state = 19},
  [16018] = {.lex_state = 409, .external_lex_state = 18},
  [16019] = {.lex_state = 409, .external_lex_state = 19},
  [16020] = {.lex_state = 0, .external_lex_state = 12},
  [16021] = {.lex_state = 409, .external_lex_state = 18},
  [16022] = {.lex_state = 503, .external_lex_state = 12},
  [16023] = {.lex_state = 343, .external_lex_state = 12},
  [16024] = {.lex_state = 503, .external_lex_state = 12},
  [16025] = {.lex_state = 409, .external_lex_state = 18},
  [16026] = {.lex_state = 409, .external_lex_state = 19},
  [16027] = {.lex_state = 409, .external_lex_state = 18},
  [16028] = {.lex_state = 409, .external_lex_state = 19},
  [16029] = {.lex_state = 409, .external_lex_state = 18},
  [16030] = {.lex_state = 409, .external_lex_state = 18},
  [16031] = {.lex_state = 409, .external_lex_state = 19},
  [16032] = {.lex_state = 343, .external_lex_state = 12},
  [16033] = {.lex_state = 409, .external_lex_state = 19},
  [16034] = {.lex_state = 409, .external_lex_state = 18},
  [16035] = {.lex_state = 0, .external_lex_state = 12},
  [16036] = {.lex_state = 0, .external_lex_state = 12},
  [16037] = {.lex_state = 0, .external_lex_state = 12},
  [16038] = {.lex_state = 0, .external_lex_state = 12},
  [16039] = {.lex_state = 409, .external_lex_state = 19},
  [16040] = {.lex_state = 409, .external_lex_state = 18},
  [16041] = {.lex_state = 343, .external_lex_state = 12},
  [16042] = {.lex_state = 343, .external_lex_state = 12},
  [16043] = {.lex_state = 0, .external_lex_state = 12},
  [16044] = {.lex_state = 409, .external_lex_state = 19},
  [16045] = {.lex_state = 409, .external_lex_state = 18},
  [16046] = {.lex_state = 411, .external_lex_state = 12},
  [16047] = {.lex_state = 409, .external_lex_state = 19},
  [16048] = {.lex_state = 0, .external_lex_state = 12},
  [16049] = {.lex_state = 409, .external_lex_state = 18},
  [16050] = {.lex_state = 343, .external_lex_state = 12},
  [16051] = {.lex_state = 411, .external_lex_state = 12},
  [16052] = {.lex_state = 411, .external_lex_state = 12},
  [16053] = {.lex_state = 409, .external_lex_state = 19},
  [16054] = {.lex_state = 0, .external_lex_state = 12},
  [16055] = {.lex_state = 409, .external_lex_state = 11},
  [16056] = {.lex_state = 411, .external_lex_state = 12},
  [16057] = {.lex_state = 409, .external_lex_state = 18},
  [16058] = {.lex_state = 343, .external_lex_state = 12},
  [16059] = {.lex_state = 0, .external_lex_state = 12},
  [16060] = {.lex_state = 503, .external_lex_state = 12},
  [16061] = {.lex_state = 0, .external_lex_state = 12},
  [16062] = {.lex_state = 0, .external_lex_state = 12},
  [16063] = {.lex_state = 0, .external_lex_state = 12},
  [16064] = {.lex_state = 409, .external_lex_state = 19},
  [16065] = {.lex_state = 409, .external_lex_state = 19},
  [16066] = {.lex_state = 409, .external_lex_state = 18},
  [16067] = {.lex_state = 409, .external_lex_state = 18},
  [16068] = {.lex_state = 0, .external_lex_state = 12},
  [16069] = {.lex_state = 0, .external_lex_state = 12},
  [16070] = {.lex_state = 409, .external_lex_state = 18},
  [16071] = {.lex_state = 503, .external_lex_state = 12},
  [16072] = {.lex_state = 363, .external_lex_state = 12},
  [16073] = {.lex_state = 409, .external_lex_state = 19},
  [16074] = {.lex_state = 0, .external_lex_state = 12},
  [16075] = {.lex_state = 503, .external_lex_state = 12},
  [16076] = {.lex_state = 409, .external_lex_state = 19},
  [16077] = {.lex_state = 533, .external_lex_state = 12},
  [16078] = {.lex_state = 409, .external_lex_state = 19},
  [16079] = {.lex_state = 0, .external_lex_state = 12},
  [16080] = {.lex_state = 0, .external_lex_state = 12},
  [16081] = {.lex_state = 503, .external_lex_state = 12},
  [16082] = {.lex_state = 409, .external_lex_state = 18},
  [16083] = {.lex_state = 409, .external_lex_state = 18},
  [16084] = {.lex_state = 409, .external_lex_state = 19},
  [16085] = {.lex_state = 0, .external_lex_state = 12},
  [16086] = {.lex_state = 409, .external_lex_state = 18},
  [16087] = {.lex_state = 409, .external_lex_state = 19},
  [16088] = {.lex_state = 0, .external_lex_state = 12},
  [16089] = {.lex_state = 409, .external_lex_state = 18},
  [16090] = {.lex_state = 0, .external_lex_state = 12},
  [16091] = {.lex_state = 503, .external_lex_state = 12},
  [16092] = {.lex_state = 503, .external_lex_state = 12},
  [16093] = {.lex_state = 409, .external_lex_state = 19},
  [16094] = {.lex_state = 409, .external_lex_state = 19},
  [16095] = {.lex_state = 0, .external_lex_state = 12},
  [16096] = {.lex_state = 409, .external_lex_state = 18},
  [16097] = {.lex_state = 0, .external_lex_state = 12},
  [16098] = {.lex_state = 409, .external_lex_state = 18},
  [16099] = {.lex_state = 409, .external_lex_state = 19},
  [16100] = {.lex_state = 409, .external_lex_state = 18},
  [16101] = {.lex_state = 503, .external_lex_state = 12},
  [16102] = {.lex_state = 409, .external_lex_state = 18},
  [16103] = {.lex_state = 503, .external_lex_state = 12},
  [16104] = {.lex_state = 503, .external_lex_state = 12},
  [16105] = {.lex_state = 503, .external_lex_state = 12},
  [16106] = {.lex_state = 503, .external_lex_state = 12},
  [16107] = {.lex_state = 409, .external_lex_state = 19},
  [16108] = {.lex_state = 503, .external_lex_state = 12},
  [16109] = {.lex_state = 409, .external_lex_state = 15},
  [16110] = {.lex_state = 533, .external_lex_state = 12},
  [16111] = {.lex_state = 409, .external_lex_state = 18},
  [16112] = {.lex_state = 409, .external_lex_state = 19},
  [16113] = {.lex_state = 363, .external_lex_state = 12},
  [16114] = {.lex_state = 0, .external_lex_state = 12},
  [16115] = {.lex_state = 0, .external_lex_state = 12},
  [16116] = {.lex_state = 0, .external_lex_state = 12},
  [16117] = {.lex_state = 0, .external_lex_state = 12},
  [16118] = {.lex_state = 409, .external_lex_state = 18},
  [16119] = {.lex_state = 0, .external_lex_state = 12},
  [16120] = {.lex_state = 409, .external_lex_state = 19},
  [16121] = {.lex_state = 409, .external_lex_state = 19},
  [16122] = {.lex_state = 409, .external_lex_state = 18},
  [16123] = {.lex_state = 409, .external_lex_state = 18},
  [16124] = {.lex_state = 409, .external_lex_state = 19},
  [16125] = {.lex_state = 0, .external_lex_state = 12},
  [16126] = {.lex_state = 0, .external_lex_state = 12},
  [16127] = {.lex_state = 0, .external_lex_state = 12},
  [16128] = {.lex_state = 409, .external_lex_state = 19},
  [16129] = {.lex_state = 0, .external_lex_state = 12},
  [16130] = {.lex_state = 409, .external_lex_state = 18},
  [16131] = {.lex_state = 503, .external_lex_state = 12},
  [16132] = {.lex_state = 0, .external_lex_state = 12},
  [16133] = {.lex_state = 409, .external_lex_state = 18},
  [16134] = {.lex_state = 0, .external_lex_state = 12},
  [16135] = {.lex_state = 0, .external_lex_state = 12},
  [16136] = {.lex_state = 409, .external_lex_state = 19},
  [16137] = {.lex_state = 533, .external_lex_state = 12},
  [16138] = {.lex_state = 409, .external_lex_state = 18},
  [16139] = {.lex_state = 409, .external_lex_state = 19},
  [16140] = {.lex_state = 409, .external_lex_state = 18},
  [16141] = {.lex_state = 0, .external_lex_state = 12},
  [16142] = {.lex_state = 409, .external_lex_state = 18},
  [16143] = {.lex_state = 409, .external_lex_state = 19},
  [16144] = {.lex_state = 503, .external_lex_state = 12},
  [16145] = {.lex_state = 409, .external_lex_state = 19},
  [16146] = {.lex_state = 409, .external_lex_state = 19},
  [16147] = {.lex_state = 0, .external_lex_state = 12},
  [16148] = {.lex_state = 0, .external_lex_state = 12},
  [16149] = {.lex_state = 0, .external_lex_state = 12},
  [16150] = {.lex_state = 0, .external_lex_state = 12},
  [16151] = {.lex_state = 0, .external_lex_state = 12},
  [16152] = {.lex_state = 0, .external_lex_state = 12},
  [16153] = {.lex_state = 0, .external_lex_state = 12},
  [16154] = {.lex_state = 0, .external_lex_state = 12},
  [16155] = {.lex_state = 409, .external_lex_state = 19},
  [16156] = {.lex_state = 409, .external_lex_state = 19},
  [16157] = {.lex_state = 0, .external_lex_state = 12},
  [16158] = {.lex_state = 409, .external_lex_state = 18},
  [16159] = {.lex_state = 409, .external_lex_state = 18},
  [16160] = {.lex_state = 409, .external_lex_state = 19},
  [16161] = {.lex_state = 503, .external_lex_state = 12},
  [16162] = {.lex_state = 409, .external_lex_state = 18},
  [16163] = {.lex_state = 0, .external_lex_state = 12},
  [16164] = {.lex_state = 409, .external_lex_state = 19},
  [16165] = {.lex_state = 503, .external_lex_state = 12},
  [16166] = {.lex_state = 409, .external_lex_state = 18},
  [16167] = {.lex_state = 409, .external_lex_state = 19},
  [16168] = {.lex_state = 503, .external_lex_state = 12},
  [16169] = {.lex_state = 503, .external_lex_state = 12},
  [16170] = {.lex_state = 409, .external_lex_state = 18},
  [16171] = {.lex_state = 343, .external_lex_state = 12},
  [16172] = {.lex_state = 409, .external_lex_state = 19},
  [16173] = {.lex_state = 0, .external_lex_state = 12},
  [16174] = {.lex_state = 0, .external_lex_state = 12},
  [16175] = {.lex_state = 343, .external_lex_state = 12},
  [16176] = {.lex_state = 503, .external_lex_state = 12},
  [16177] = {.lex_state = 409, .external_lex_state = 18},
  [16178] = {.lex_state = 503, .external_lex_state = 12},
  [16179] = {.lex_state = 0, .external_lex_state = 12},
  [16180] = {.lex_state = 409, .external_lex_state = 18},
  [16181] = {.lex_state = 0, .external_lex_state = 12},
  [16182] = {.lex_state = 409, .external_lex_state = 19},
  [16183] = {.lex_state = 409, .external_lex_state = 19},
  [16184] = {.lex_state = 0, .external_lex_state = 12},
  [16185] = {.lex_state = 409, .external_lex_state = 18},
  [16186] = {.lex_state = 409, .external_lex_state = 18},
  [16187] = {.lex_state = 409, .external_lex_state = 19},
  [16188] = {.lex_state = 409, .external_lex_state = 18},
  [16189] = {.lex_state = 409, .external_lex_state = 19},
  [16190] = {.lex_state = 0, .external_lex_state = 12},
  [16191] = {.lex_state = 409, .external_lex_state = 18},
  [16192] = {.lex_state = 0, .external_lex_state = 12},
  [16193] = {.lex_state = 409, .external_lex_state = 19},
  [16194] = {.lex_state = 409, .external_lex_state = 18},
  [16195] = {.lex_state = 0, .external_lex_state = 12},
  [16196] = {.lex_state = 409, .external_lex_state = 12},
  [16197] = {.lex_state = 0, .external_lex_state = 12},
  [16198] = {.lex_state = 0, .external_lex_state = 12},
  [16199] = {.lex_state = 409, .external_lex_state = 19},
  [16200] = {.lex_state = 409, .external_lex_state = 12},
  [16201] = {.lex_state = 503, .external_lex_state = 12},
  [16202] = {.lex_state = 409, .external_lex_state = 19},
  [16203] = {.lex_state = 409, .external_lex_state = 18},
  [16204] = {.lex_state = 409, .external_lex_state = 19},
  [16205] = {.lex_state = 343, .external_lex_state = 12},
  [16206] = {.lex_state = 409, .external_lex_state = 18},
  [16207] = {.lex_state = 343, .external_lex_state = 12},
  [16208] = {.lex_state = 409, .external_lex_state = 18},
  [16209] = {.lex_state = 363, .external_lex_state = 12},
  [16210] = {.lex_state = 0, .external_lex_state = 12},
  [16211] = {.lex_state = 409, .external_lex_state = 19},
  [16212] = {.lex_state = 409, .external_lex_state = 18},
  [16213] = {.lex_state = 409, .external_lex_state = 19},
  [16214] = {.lex_state = 0, .external_lex_state = 12},
  [16215] = {.lex_state = 409, .external_lex_state = 18},
  [16216] = {.lex_state = 409, .external_lex_state = 19},
  [16217] = {.lex_state = 409, .external_lex_state = 18},
  [16218] = {.lex_state = 503, .external_lex_state = 12},
  [16219] = {.lex_state = 409, .external_lex_state = 15},
  [16220] = {.lex_state = 409, .external_lex_state = 19},
  [16221] = {.lex_state = 0, .external_lex_state = 12},
  [16222] = {.lex_state = 409, .external_lex_state = 19},
  [16223] = {.lex_state = 409, .external_lex_state = 18},
  [16224] = {.lex_state = 409, .external_lex_state = 18},
  [16225] = {.lex_state = 409, .external_lex_state = 19},
  [16226] = {.lex_state = 503, .external_lex_state = 12},
  [16227] = {.lex_state = 0, .external_lex_state = 12},
  [16228] = {.lex_state = 409, .external_lex_state = 18},
  [16229] = {.lex_state = 0, .external_lex_state = 12},
  [16230] = {.lex_state = 409, .external_lex_state = 18},
  [16231] = {.lex_state = 409, .external_lex_state = 18},
  [16232] = {.lex_state = 409, .external_lex_state = 19},
  [16233] = {.lex_state = 363, .external_lex_state = 12},
  [16234] = {.lex_state = 0, .external_lex_state = 12},
  [16235] = {.lex_state = 409, .external_lex_state = 19},
  [16236] = {.lex_state = 409, .external_lex_state = 18},
  [16237] = {.lex_state = 409, .external_lex_state = 19},
  [16238] = {.lex_state = 0, .external_lex_state = 12},
  [16239] = {.lex_state = 0, .external_lex_state = 12},
  [16240] = {.lex_state = 0, .external_lex_state = 12},
  [16241] = {.lex_state = 503, .external_lex_state = 12},
  [16242] = {.lex_state = 503, .external_lex_state = 12},
  [16243] = {.lex_state = 503, .external_lex_state = 12},
  [16244] = {.lex_state = 0, .external_lex_state = 12},
  [16245] = {.lex_state = 0, .external_lex_state = 12},
  [16246] = {.lex_state = 0, .external_lex_state = 12},
  [16247] = {.lex_state = 0, .external_lex_state = 12},
  [16248] = {.lex_state = 409, .external_lex_state = 19},
  [16249] = {.lex_state = 409, .external_lex_state = 19},
  [16250] = {.lex_state = 409, .external_lex_state = 18},
  [16251] = {.lex_state = 409, .external_lex_state = 18},
  [16252] = {.lex_state = 409, .external_lex_state = 19},
  [16253] = {.lex_state = 409, .external_lex_state = 15},
  [16254] = {.lex_state = 409, .external_lex_state = 18},
  [16255] = {.lex_state = 0, .external_lex_state = 12},
  [16256] = {.lex_state = 503, .external_lex_state = 12},
  [16257] = {.lex_state = 409, .external_lex_state = 18},
  [16258] = {.lex_state = 0, .external_lex_state = 12},
  [16259] = {.lex_state = 503, .external_lex_state = 12},
  [16260] = {.lex_state = 409, .external_lex_state = 19},
  [16261] = {.lex_state = 409, .external_lex_state = 19},
  [16262] = {.lex_state = 503, .external_lex_state = 12},
  [16263] = {.lex_state = 0, .external_lex_state = 12},
  [16264] = {.lex_state = 409, .external_lex_state = 18},
  [16265] = {.lex_state = 409, .external_lex_state = 19},
  [16266] = {.lex_state = 0, .external_lex_state = 12},
  [16267] = {.lex_state = 0, .external_lex_state = 12},
  [16268] = {.lex_state = 409, .external_lex_state = 18},
  [16269] = {.lex_state = 409, .external_lex_state = 19},
  [16270] = {.lex_state = 0, .external_lex_state = 12},
  [16271] = {.lex_state = 409, .external_lex_state = 18},
  [16272] = {.lex_state = 0, .external_lex_state = 12},
  [16273] = {.lex_state = 503, .external_lex_state = 12},
  [16274] = {.lex_state = 0, .external_lex_state = 12},
  [16275] = {.lex_state = 343, .external_lex_state = 12},
  [16276] = {.lex_state = 409, .external_lex_state = 19},
  [16277] = {.lex_state = 409, .external_lex_state = 18},
  [16278] = {.lex_state = 363, .external_lex_state = 12},
  [16279] = {.lex_state = 409, .external_lex_state = 19},
  [16280] = {.lex_state = 503, .external_lex_state = 12},
  [16281] = {.lex_state = 409, .external_lex_state = 18},
  [16282] = {.lex_state = 409, .external_lex_state = 19},
  [16283] = {.lex_state = 0, .external_lex_state = 12},
  [16284] = {.lex_state = 0, .external_lex_state = 12},
  [16285] = {.lex_state = 409, .external_lex_state = 18},
  [16286] = {.lex_state = 0, .external_lex_state = 12},
  [16287] = {.lex_state = 503, .external_lex_state = 12},
  [16288] = {.lex_state = 503, .external_lex_state = 12},
  [16289] = {.lex_state = 503, .external_lex_state = 12},
  [16290] = {.lex_state = 503, .external_lex_state = 12},
  [16291] = {.lex_state = 503, .external_lex_state = 12},
  [16292] = {.lex_state = 343, .external_lex_state = 12},
  [16293] = {.lex_state = 343, .external_lex_state = 12},
  [16294] = {.lex_state = 503, .external_lex_state = 12},
  [16295] = {.lex_state = 409, .external_lex_state = 18},
  [16296] = {.lex_state = 409, .external_lex_state = 19},
  [16297] = {.lex_state = 409, .external_lex_state = 19},
  [16298] = {.lex_state = 503, .external_lex_state = 12},
  [16299] = {.lex_state = 409, .external_lex_state = 18},
  [16300] = {.lex_state = 0, .external_lex_state = 12},
  [16301] = {.lex_state = 0, .external_lex_state = 12},
  [16302] = {.lex_state = 409, .external_lex_state = 19},
  [16303] = {.lex_state = 409, .external_lex_state = 19},
  [16304] = {.lex_state = 409, .external_lex_state = 18},
  [16305] = {.lex_state = 343, .external_lex_state = 12},
  [16306] = {.lex_state = 0, .external_lex_state = 12},
  [16307] = {.lex_state = 503, .external_lex_state = 12},
  [16308] = {.lex_state = 409, .external_lex_state = 18},
  [16309] = {.lex_state = 343, .external_lex_state = 12},
  [16310] = {.lex_state = 363, .external_lex_state = 12},
  [16311] = {.lex_state = 409, .external_lex_state = 18},
  [16312] = {.lex_state = 0, .external_lex_state = 12},
  [16313] = {.lex_state = 409, .external_lex_state = 18},
  [16314] = {.lex_state = 409, .external_lex_state = 19},
  [16315] = {.lex_state = 409, .external_lex_state = 18},
  [16316] = {.lex_state = 409, .external_lex_state = 19},
  [16317] = {.lex_state = 409, .external_lex_state = 18},
  [16318] = {.lex_state = 409, .external_lex_state = 19},
  [16319] = {.lex_state = 409, .external_lex_state = 19},
  [16320] = {.lex_state = 0, .external_lex_state = 12},
  [16321] = {.lex_state = 409, .external_lex_state = 19},
  [16322] = {.lex_state = 409, .external_lex_state = 18},
  [16323] = {.lex_state = 0, .external_lex_state = 12},
  [16324] = {.lex_state = 409, .external_lex_state = 19},
  [16325] = {.lex_state = 0, .external_lex_state = 12},
  [16326] = {.lex_state = 409, .external_lex_state = 18},
  [16327] = {.lex_state = 503, .external_lex_state = 12},
  [16328] = {.lex_state = 409, .external_lex_state = 19},
  [16329] = {.lex_state = 409, .external_lex_state = 18},
  [16330] = {.lex_state = 363, .external_lex_state = 12},
  [16331] = {.lex_state = 0, .external_lex_state = 12},
  [16332] = {.lex_state = 0, .external_lex_state = 12},
  [16333] = {.lex_state = 409, .external_lex_state = 19},
  [16334] = {.lex_state = 409, .external_lex_state = 18},
  [16335] = {.lex_state = 409, .external_lex_state = 19},
  [16336] = {.lex_state = 409, .external_lex_state = 18},
  [16337] = {.lex_state = 0, .external_lex_state = 12},
  [16338] = {.lex_state = 0, .external_lex_state = 12},
  [16339] = {.lex_state = 409, .external_lex_state = 19},
  [16340] = {.lex_state = 409, .external_lex_state = 19},
  [16341] = {.lex_state = 409, .external_lex_state = 18},
  [16342] = {.lex_state = 409, .external_lex_state = 18},
  [16343] = {.lex_state = 0, .external_lex_state = 12},
  [16344] = {.lex_state = 503, .external_lex_state = 12},
  [16345] = {.lex_state = 503, .external_lex_state = 12},
  [16346] = {.lex_state = 503, .external_lex_state = 12},
  [16347] = {.lex_state = 503, .external_lex_state = 12},
  [16348] = {.lex_state = 0, .external_lex_state = 12},
  [16349] = {.lex_state = 409, .external_lex_state = 19},
  [16350] = {.lex_state = 503, .external_lex_state = 12},
  [16351] = {.lex_state = 409, .external_lex_state = 18},
  [16352] = {.lex_state = 0, .external_lex_state = 12},
  [16353] = {.lex_state = 0, .external_lex_state = 12},
  [16354] = {.lex_state = 503, .external_lex_state = 12},
  [16355] = {.lex_state = 363, .external_lex_state = 12},
  [16356] = {.lex_state = 503, .external_lex_state = 12},
  [16357] = {.lex_state = 409, .external_lex_state = 19},
  [16358] = {.lex_state = 409, .external_lex_state = 18},
  [16359] = {.lex_state = 409, .external_lex_state = 18},
  [16360] = {.lex_state = 409, .external_lex_state = 19},
  [16361] = {.lex_state = 0, .external_lex_state = 12},
  [16362] = {.lex_state = 409, .external_lex_state = 19},
  [16363] = {.lex_state = 409, .external_lex_state = 18},
  [16364] = {.lex_state = 0, .external_lex_state = 12},
  [16365] = {.lex_state = 409, .external_lex_state = 19},
  [16366] = {.lex_state = 409, .external_lex_state = 18},
  [16367] = {.lex_state = 0, .external_lex_state = 12},
  [16368] = {.lex_state = 503, .external_lex_state = 12},
  [16369] = {.lex_state = 0, .external_lex_state = 12},
  [16370] = {.lex_state = 409, .external_lex_state = 19},
  [16371] = {.lex_state = 503, .external_lex_state = 12},
  [16372] = {.lex_state = 409, .external_lex_state = 18},
  [16373] = {.lex_state = 409, .external_lex_state = 19},
  [16374] = {.lex_state = 409, .external_lex_state = 19},
  [16375] = {.lex_state = 0, .external_lex_state = 12},
  [16376] = {.lex_state = 409, .external_lex_state = 18},
  [16377] = {.lex_state = 0, .external_lex_state = 12},
  [16378] = {.lex_state = 503, .external_lex_state = 12},
  [16379] = {.lex_state = 409, .external_lex_state = 18},
  [16380] = {.lex_state = 409, .external_lex_state = 19},
  [16381] = {.lex_state = 503, .external_lex_state = 12},
  [16382] = {.lex_state = 409, .external_lex_state = 19},
  [16383] = {.lex_state = 503, .external_lex_state = 12},
  [16384] = {.lex_state = 0, .external_lex_state = 12},
  [16385] = {.lex_state = 0, .external_lex_state = 12},
  [16386] = {.lex_state = 409, .external_lex_state = 18},
  [16387] = {.lex_state = 409, .external_lex_state = 19},
  [16388] = {.lex_state = 0, .external_lex_state = 12},
  [16389] = {.lex_state = 409, .external_lex_state = 18},
  [16390] = {.lex_state = 409, .external_lex_state = 18},
  [16391] = {.lex_state = 409, .external_lex_state = 19},
  [16392] = {.lex_state = 409, .external_lex_state = 19},
  [16393] = {.lex_state = 409, .external_lex_state = 18},
  [16394] = {.lex_state = 0, .external_lex_state = 12},
  [16395] = {.lex_state = 409, .external_lex_state = 19},
  [16396] = {.lex_state = 409, .external_lex_state = 18},
  [16397] = {.lex_state = 409, .external_lex_state = 19},
  [16398] = {.lex_state = 0, .external_lex_state = 12},
  [16399] = {.lex_state = 0, .external_lex_state = 12},
  [16400] = {.lex_state = 0, .external_lex_state = 12},
  [16401] = {.lex_state = 409, .external_lex_state = 18},
  [16402] = {.lex_state = 409, .external_lex_state = 19},
  [16403] = {.lex_state = 503, .external_lex_state = 12},
  [16404] = {.lex_state = 0, .external_lex_state = 12},
  [16405] = {.lex_state = 409, .external_lex_state = 18},
  [16406] = {.lex_state = 0, .external_lex_state = 12},
  [16407] = {.lex_state = 0, .external_lex_state = 12},
  [16408] = {.lex_state = 409, .external_lex_state = 18},
  [16409] = {.lex_state = 409, .external_lex_state = 19},
  [16410] = {.lex_state = 343, .external_lex_state = 12},
  [16411] = {.lex_state = 343, .external_lex_state = 12},
  [16412] = {.lex_state = 409, .external_lex_state = 18},
  [16413] = {.lex_state = 409, .external_lex_state = 19},
  [16414] = {.lex_state = 409, .external_lex_state = 18},
  [16415] = {.lex_state = 0, .external_lex_state = 12},
  [16416] = {.lex_state = 409, .external_lex_state = 19},
  [16417] = {.lex_state = 0, .external_lex_state = 12},
  [16418] = {.lex_state = 503, .external_lex_state = 12},
  [16419] = {.lex_state = 0, .external_lex_state = 12},
  [16420] = {.lex_state = 0, .external_lex_state = 12},
  [16421] = {.lex_state = 503, .external_lex_state = 12},
  [16422] = {.lex_state = 0, .external_lex_state = 12},
  [16423] = {.lex_state = 409, .external_lex_state = 18},
  [16424] = {.lex_state = 409, .external_lex_state = 19},
  [16425] = {.lex_state = 0, .external_lex_state = 12},
  [16426] = {.lex_state = 0, .external_lex_state = 12},
  [16427] = {.lex_state = 0, .external_lex_state = 12},
  [16428] = {.lex_state = 409, .external_lex_state = 19},
  [16429] = {.lex_state = 409, .external_lex_state = 19},
  [16430] = {.lex_state = 409, .external_lex_state = 18},
  [16431] = {.lex_state = 409, .external_lex_state = 18},
  [16432] = {.lex_state = 343, .external_lex_state = 12},
  [16433] = {.lex_state = 0, .external_lex_state = 12},
  [16434] = {.lex_state = 409, .external_lex_state = 19},
  [16435] = {.lex_state = 503, .external_lex_state = 12},
  [16436] = {.lex_state = 343, .external_lex_state = 12},
  [16437] = {.lex_state = 363, .external_lex_state = 12},
  [16438] = {.lex_state = 503, .external_lex_state = 12},
  [16439] = {.lex_state = 503, .external_lex_state = 12},
  [16440] = {.lex_state = 363, .external_lex_state = 12},
  [16441] = {.lex_state = 409, .external_lex_state = 18},
  [16442] = {.lex_state = 0, .external_lex_state = 12},
  [16443] = {.lex_state = 409, .external_lex_state = 18},
  [16444] = {.lex_state = 409, .external_lex_state = 19},
  [16445] = {.lex_state = 503, .external_lex_state = 12},
  [16446] = {.lex_state = 0, .external_lex_state = 12},
  [16447] = {.lex_state = 409, .external_lex_state = 19},
  [16448] = {.lex_state = 0, .external_lex_state = 12},
  [16449] = {.lex_state = 409, .external_lex_state = 18},
  [16450] = {.lex_state = 503, .external_lex_state = 12},
  [16451] = {.lex_state = 409, .external_lex_state = 19},
  [16452] = {.lex_state = 503, .external_lex_state = 12},
  [16453] = {.lex_state = 409, .external_lex_state = 18},
  [16454] = {.lex_state = 0, .external_lex_state = 12},
  [16455] = {.lex_state = 0, .external_lex_state = 12},
  [16456] = {.lex_state = 409, .external_lex_state = 19},
  [16457] = {.lex_state = 409, .external_lex_state = 19},
  [16458] = {.lex_state = 409, .external_lex_state = 18},
  [16459] = {.lex_state = 409, .external_lex_state = 18},
  [16460] = {.lex_state = 409, .external_lex_state = 18},
  [16461] = {.lex_state = 0, .external_lex_state = 12},
  [16462] = {.lex_state = 409, .external_lex_state = 19},
  [16463] = {.lex_state = 409, .external_lex_state = 18},
  [16464] = {.lex_state = 503, .external_lex_state = 12},
  [16465] = {.lex_state = 409, .external_lex_state = 19},
  [16466] = {.lex_state = 409, .external_lex_state = 18},
  [16467] = {.lex_state = 409, .external_lex_state = 19},
  [16468] = {.lex_state = 0, .external_lex_state = 12},
  [16469] = {.lex_state = 0, .external_lex_state = 12},
  [16470] = {.lex_state = 0, .external_lex_state = 12},
  [16471] = {.lex_state = 503, .external_lex_state = 12},
  [16472] = {.lex_state = 409, .external_lex_state = 19},
  [16473] = {.lex_state = 409, .external_lex_state = 18},
  [16474] = {.lex_state = 409, .external_lex_state = 19},
  [16475] = {.lex_state = 503, .external_lex_state = 12},
  [16476] = {.lex_state = 409, .external_lex_state = 18},
  [16477] = {.lex_state = 409, .external_lex_state = 18},
  [16478] = {.lex_state = 409, .external_lex_state = 19},
  [16479] = {.lex_state = 0, .external_lex_state = 12},
  [16480] = {.lex_state = 503, .external_lex_state = 12},
  [16481] = {.lex_state = 363, .external_lex_state = 12},
  [16482] = {.lex_state = 503, .external_lex_state = 12},
  [16483] = {.lex_state = 0, .external_lex_state = 12},
  [16484] = {.lex_state = 409, .external_lex_state = 19},
  [16485] = {.lex_state = 0, .external_lex_state = 12},
  [16486] = {.lex_state = 409, .external_lex_state = 18},
  [16487] = {.lex_state = 409, .external_lex_state = 18},
  [16488] = {.lex_state = 409, .external_lex_state = 19},
  [16489] = {.lex_state = 409, .external_lex_state = 19},
  [16490] = {.lex_state = 363, .external_lex_state = 12},
  [16491] = {.lex_state = 409, .external_lex_state = 18},
  [16492] = {.lex_state = 409, .external_lex_state = 19},
  [16493] = {.lex_state = 0, .external_lex_state = 12},
  [16494] = {.lex_state = 409, .external_lex_state = 18},
  [16495] = {.lex_state = 503, .external_lex_state = 12},
  [16496] = {.lex_state = 0, .external_lex_state = 12},
  [16497] = {.lex_state = 0, .external_lex_state = 12},
  [16498] = {.lex_state = 0, .external_lex_state = 12},
  [16499] = {.lex_state = 503, .external_lex_state = 12},
  [16500] = {.lex_state = 503, .external_lex_state = 12},
  [16501] = {.lex_state = 0, .external_lex_state = 12},
  [16502] = {.lex_state = 409, .external_lex_state = 19},
  [16503] = {.lex_state = 503, .external_lex_state = 12},
  [16504] = {.lex_state = 409, .external_lex_state = 18},
  [16505] = {.lex_state = 409, .external_lex_state = 19},
  [16506] = {.lex_state = 409, .external_lex_state = 18},
  [16507] = {.lex_state = 409, .external_lex_state = 18},
  [16508] = {.lex_state = 409, .external_lex_state = 19},
  [16509] = {.lex_state = 409, .external_lex_state = 18},
  [16510] = {.lex_state = 0, .external_lex_state = 12},
  [16511] = {.lex_state = 409, .external_lex_state = 18},
  [16512] = {.lex_state = 409, .external_lex_state = 19},
  [16513] = {.lex_state = 0, .external_lex_state = 12},
  [16514] = {.lex_state = 0, .external_lex_state = 12},
  [16515] = {.lex_state = 0, .external_lex_state = 12},
  [16516] = {.lex_state = 409, .external_lex_state = 15},
  [16517] = {.lex_state = 409, .external_lex_state = 19},
  [16518] = {.lex_state = 0, .external_lex_state = 12},
  [16519] = {.lex_state = 409, .external_lex_state = 19},
  [16520] = {.lex_state = 409, .external_lex_state = 18},
  [16521] = {.lex_state = 409, .external_lex_state = 19},
  [16522] = {.lex_state = 409, .external_lex_state = 18},
  [16523] = {.lex_state = 409, .external_lex_state = 19},
  [16524] = {.lex_state = 0, .external_lex_state = 12},
  [16525] = {.lex_state = 409, .external_lex_state = 18},
  [16526] = {.lex_state = 0, .external_lex_state = 12},
  [16527] = {.lex_state = 409, .external_lex_state = 19},
  [16528] = {.lex_state = 409, .external_lex_state = 18},
  [16529] = {.lex_state = 0, .external_lex_state = 12},
  [16530] = {.lex_state = 503, .external_lex_state = 12},
  [16531] = {.lex_state = 503, .external_lex_state = 12},
  [16532] = {.lex_state = 409, .external_lex_state = 19},
  [16533] = {.lex_state = 0, .external_lex_state = 12},
  [16534] = {.lex_state = 0, .external_lex_state = 12},
  [16535] = {.lex_state = 409, .external_lex_state = 19},
  [16536] = {.lex_state = 409, .external_lex_state = 18},
  [16537] = {.lex_state = 409, .external_lex_state = 18},
  [16538] = {.lex_state = 0, .external_lex_state = 12},
  [16539] = {.lex_state = 409, .external_lex_state = 19},
  [16540] = {.lex_state = 409, .external_lex_state = 18},
  [16541] = {.lex_state = 409, .external_lex_state = 19},
  [16542] = {.lex_state = 409, .external_lex_state = 19},
  [16543] = {.lex_state = 0, .external_lex_state = 12},
  [16544] = {.lex_state = 409, .external_lex_state = 18},
  [16545] = {.lex_state = 409, .external_lex_state = 19},
  [16546] = {.lex_state = 503, .external_lex_state = 12},
  [16547] = {.lex_state = 503, .external_lex_state = 12},
  [16548] = {.lex_state = 409, .external_lex_state = 19},
  [16549] = {.lex_state = 409, .external_lex_state = 19},
  [16550] = {.lex_state = 409, .external_lex_state = 18},
  [16551] = {.lex_state = 409, .external_lex_state = 18},
  [16552] = {.lex_state = 409, .external_lex_state = 19},
  [16553] = {.lex_state = 409, .external_lex_state = 19},
  [16554] = {.lex_state = 409, .external_lex_state = 18},
  [16555] = {.lex_state = 409, .external_lex_state = 18},
  [16556] = {.lex_state = 503, .external_lex_state = 12},
  [16557] = {.lex_state = 0, .external_lex_state = 12},
  [16558] = {.lex_state = 503, .external_lex_state = 12},
  [16559] = {.lex_state = 343, .external_lex_state = 12},
  [16560] = {.lex_state = 503, .external_lex_state = 12},
  [16561] = {.lex_state = 0, .external_lex_state = 12},
  [16562] = {.lex_state = 503, .external_lex_state = 12},
  [16563] = {.lex_state = 503, .external_lex_state = 12},
  [16564] = {.lex_state = 0, .external_lex_state = 12},
  [16565] = {.lex_state = 409, .external_lex_state = 18},
  [16566] = {.lex_state = 0, .external_lex_state = 12},
  [16567] = {.lex_state = 409, .external_lex_state = 19},
  [16568] = {.lex_state = 0, .external_lex_state = 12},
  [16569] = {.lex_state = 409, .external_lex_state = 18},
  [16570] = {.lex_state = 0, .external_lex_state = 12},
  [16571] = {.lex_state = 409, .external_lex_state = 18},
  [16572] = {.lex_state = 409, .external_lex_state = 19},
  [16573] = {.lex_state = 503, .external_lex_state = 12},
  [16574] = {.lex_state = 409, .external_lex_state = 19},
  [16575] = {.lex_state = 503, .external_lex_state = 12},
  [16576] = {.lex_state = 0, .external_lex_state = 12},
  [16577] = {.lex_state = 409, .external_lex_state = 19},
  [16578] = {.lex_state = 0, .external_lex_state = 12},
  [16579] = {.lex_state = 409, .external_lex_state = 18},
  [16580] = {.lex_state = 0, .external_lex_state = 12},
  [16581] = {.lex_state = 343, .external_lex_state = 12},
  [16582] = {.lex_state = 409, .external_lex_state = 18},
  [16583] = {.lex_state = 409, .external_lex_state = 19},
  [16584] = {.lex_state = 0, .external_lex_state = 12},
  [16585] = {.lex_state = 0, .external_lex_state = 12},
  [16586] = {.lex_state = 409, .external_lex_state = 19},
  [16587] = {.lex_state = 409, .external_lex_state = 18},
  [16588] = {.lex_state = 409, .external_lex_state = 18},
  [16589] = {.lex_state = 0, .external_lex_state = 12},
  [16590] = {.lex_state = 343, .external_lex_state = 12},
  [16591] = {.lex_state = 0, .external_lex_state = 12},
  [16592] = {.lex_state = 503, .external_lex_state = 12},
  [16593] = {.lex_state = 343, .external_lex_state = 12},
  [16594] = {.lex_state = 0, .external_lex_state = 12},
  [16595] = {.lex_state = 0, .external_lex_state = 12},
  [16596] = {.lex_state = 503, .external_lex_state = 12},
  [16597] = {.lex_state = 0, .external_lex_state = 12},
  [16598] = {.lex_state = 0, .external_lex_state = 12},
  [16599] = {.lex_state = 0, .external_lex_state = 12},
  [16600] = {.lex_state = 0, .external_lex_state = 12},
  [16601] = {.lex_state = 0, .external_lex_state = 12},
  [16602] = {.lex_state = 0, .external_lex_state = 12},
  [16603] = {.lex_state = 0, .external_lex_state = 12},
  [16604] = {.lex_state = 409, .external_lex_state = 18},
  [16605] = {.lex_state = 503, .external_lex_state = 12},
  [16606] = {.lex_state = 409, .external_lex_state = 19},
  [16607] = {.lex_state = 0, .external_lex_state = 12},
  [16608] = {.lex_state = 409, .external_lex_state = 18},
  [16609] = {.lex_state = 0, .external_lex_state = 12},
  [16610] = {.lex_state = 503, .external_lex_state = 12},
  [16611] = {.lex_state = 0, .external_lex_state = 12},
  [16612] = {.lex_state = 0, .external_lex_state = 12},
  [16613] = {.lex_state = 409, .external_lex_state = 19},
  [16614] = {.lex_state = 409, .external_lex_state = 18},
  [16615] = {.lex_state = 409, .external_lex_state = 18},
  [16616] = {.lex_state = 409, .external_lex_state = 19},
  [16617] = {.lex_state = 503, .external_lex_state = 12},
  [16618] = {.lex_state = 409, .external_lex_state = 18},
  [16619] = {.lex_state = 409, .external_lex_state = 19},
  [16620] = {.lex_state = 0, .external_lex_state = 12},
  [16621] = {.lex_state = 409, .external_lex_state = 19},
  [16622] = {.lex_state = 0, .external_lex_state = 12},
  [16623] = {.lex_state = 0, .external_lex_state = 12},
  [16624] = {.lex_state = 409, .external_lex_state = 18},
  [16625] = {.lex_state = 0, .external_lex_state = 12},
  [16626] = {.lex_state = 0, .external_lex_state = 12},
  [16627] = {.lex_state = 503, .external_lex_state = 12},
  [16628] = {.lex_state = 503, .external_lex_state = 12},
  [16629] = {.lex_state = 0, .external_lex_state = 12},
  [16630] = {.lex_state = 0, .external_lex_state = 12},
  [16631] = {.lex_state = 0, .external_lex_state = 12},
  [16632] = {.lex_state = 409, .external_lex_state = 19},
  [16633] = {.lex_state = 409, .external_lex_state = 18},
  [16634] = {.lex_state = 409, .external_lex_state = 18},
  [16635] = {.lex_state = 409, .external_lex_state = 18},
  [16636] = {.lex_state = 409, .external_lex_state = 19},
  [16637] = {.lex_state = 409, .external_lex_state = 19},
  [16638] = {.lex_state = 0, .external_lex_state = 12},
  [16639] = {.lex_state = 409, .external_lex_state = 19},
  [16640] = {.lex_state = 409, .external_lex_state = 18},
  [16641] = {.lex_state = 409, .external_lex_state = 18},
  [16642] = {.lex_state = 0, .external_lex_state = 12},
  [16643] = {.lex_state = 503, .external_lex_state = 12},
  [16644] = {.lex_state = 409, .external_lex_state = 19},
  [16645] = {.lex_state = 503, .external_lex_state = 12},
  [16646] = {.lex_state = 503, .external_lex_state = 12},
  [16647] = {.lex_state = 0, .external_lex_state = 12},
  [16648] = {.lex_state = 0, .external_lex_state = 12},
  [16649] = {.lex_state = 503, .external_lex_state = 12},
  [16650] = {.lex_state = 503, .external_lex_state = 12},
  [16651] = {.lex_state = 0, .external_lex_state = 12},
  [16652] = {.lex_state = 409, .external_lex_state = 18},
  [16653] = {.lex_state = 409, .external_lex_state = 19},
  [16654] = {.lex_state = 409, .external_lex_state = 15},
  [16655] = {.lex_state = 0, .external_lex_state = 12},
  [16656] = {.lex_state = 0, .external_lex_state = 12},
  [16657] = {.lex_state = 0, .external_lex_state = 10},
  [16658] = {.lex_state = 0, .external_lex_state = 12},
  [16659] = {.lex_state = 0, .external_lex_state = 12},
  [16660] = {.lex_state = 363, .external_lex_state = 12},
  [16661] = {.lex_state = 363, .external_lex_state = 12},
  [16662] = {.lex_state = 0, .external_lex_state = 10},
  [16663] = {.lex_state = 0, .external_lex_state = 10},
  [16664] = {.lex_state = 0, .external_lex_state = 10},
  [16665] = {.lex_state = 363, .external_lex_state = 12},
  [16666] = {.lex_state = 0, .external_lex_state = 10},
  [16667] = {.lex_state = 0, .external_lex_state = 12},
  [16668] = {.lex_state = 0, .external_lex_state = 12},
  [16669] = {.lex_state = 409, .external_lex_state = 12},
  [16670] = {.lex_state = 0, .external_lex_state = 12},
  [16671] = {.lex_state = 0, .external_lex_state = 10},
  [16672] = {.lex_state = 0, .external_lex_state = 12},
  [16673] = {.lex_state = 0, .external_lex_state = 12},
  [16674] = {.lex_state = 363, .external_lex_state = 12},
  [16675] = {.lex_state = 0, .external_lex_state = 10},
  [16676] = {.lex_state = 0, .external_lex_state = 12},
  [16677] = {.lex_state = 363, .external_lex_state = 12},
  [16678] = {.lex_state = 363, .external_lex_state = 12},
  [16679] = {.lex_state = 0, .external_lex_state = 12},
  [16680] = {.lex_state = 0, .external_lex_state = 12},
  [16681] = {.lex_state = 363, .external_lex_state = 12},
  [16682] = {.lex_state = 0, .external_lex_state = 12},
  [16683] = {.lex_state = 0, .external_lex_state = 10},
  [16684] = {.lex_state = 363, .external_lex_state = 12},
  [16685] = {.lex_state = 0, .external_lex_state = 10},
  [16686] = {.lex_state = 0, .external_lex_state = 12},
  [16687] = {.lex_state = 0, .external_lex_state = 12},
  [16688] = {.lex_state = 0, .external_lex_state = 10},
  [16689] = {.lex_state = 0, .external_lex_state = 12},
  [16690] = {.lex_state = 0, .external_lex_state = 12},
  [16691] = {.lex_state = 0, .external_lex_state = 12},
  [16692] = {.lex_state = 0, .external_lex_state = 12},
  [16693] = {.lex_state = 0, .external_lex_state = 12},
  [16694] = {.lex_state = 0, .external_lex_state = 12},
  [16695] = {.lex_state = 0, .external_lex_state = 10},
  [16696] = {.lex_state = 0, .external_lex_state = 12},
  [16697] = {.lex_state = 363, .external_lex_state = 12},
  [16698] = {.lex_state = 0, .external_lex_state = 12},
  [16699] = {.lex_state = 0, .external_lex_state = 12},
  [16700] = {.lex_state = 363, .external_lex_state = 12},
  [16701] = {.lex_state = 0, .external_lex_state = 12},
  [16702] = {.lex_state = 0, .external_lex_state = 10},
  [16703] = {.lex_state = 0, .external_lex_state = 12},
  [16704] = {.lex_state = 0, .external_lex_state = 10},
  [16705] = {.lex_state = 0, .external_lex_state = 10},
  [16706] = {.lex_state = 0, .external_lex_state = 12},
  [16707] = {.lex_state = 0, .external_lex_state = 12},
  [16708] = {.lex_state = 363, .external_lex_state = 12},
  [16709] = {.lex_state = 363, .external_lex_state = 12},
  [16710] = {.lex_state = 343, .external_lex_state = 12},
  [16711] = {.lex_state = 0, .external_lex_state = 12},
  [16712] = {.lex_state = 0, .external_lex_state = 10},
  [16713] = {.lex_state = 0, .external_lex_state = 12},
  [16714] = {.lex_state = 0, .external_lex_state = 12},
  [16715] = {.lex_state = 0, .external_lex_state = 12},
  [16716] = {.lex_state = 363, .external_lex_state = 12},
  [16717] = {.lex_state = 0, .external_lex_state = 10},
  [16718] = {.lex_state = 0, .external_lex_state = 10},
  [16719] = {.lex_state = 0, .external_lex_state = 12},
  [16720] = {.lex_state = 0, .external_lex_state = 10},
  [16721] = {.lex_state = 0, .external_lex_state = 12},
  [16722] = {.lex_state = 0, .external_lex_state = 12},
  [16723] = {.lex_state = 0, .external_lex_state = 10},
  [16724] = {.lex_state = 0, .external_lex_state = 12},
  [16725] = {.lex_state = 0, .external_lex_state = 12},
  [16726] = {.lex_state = 363, .external_lex_state = 12},
  [16727] = {.lex_state = 363, .external_lex_state = 12},
  [16728] = {.lex_state = 363, .external_lex_state = 12},
  [16729] = {.lex_state = 363, .external_lex_state = 12},
  [16730] = {.lex_state = 0, .external_lex_state = 12},
  [16731] = {.lex_state = 0, .external_lex_state = 12},
  [16732] = {.lex_state = 0, .external_lex_state = 12},
  [16733] = {.lex_state = 0, .external_lex_state = 12},
  [16734] = {.lex_state = 0, .external_lex_state = 10},
  [16735] = {.lex_state = 0, .external_lex_state = 10},
  [16736] = {.lex_state = 0, .external_lex_state = 12},
  [16737] = {.lex_state = 363, .external_lex_state = 12},
  [16738] = {.lex_state = 0, .external_lex_state = 10},
  [16739] = {.lex_state = 0, .external_lex_state = 10},
  [16740] = {.lex_state = 0, .external_lex_state = 12},
  [16741] = {.lex_state = 0, .external_lex_state = 10},
  [16742] = {.lex_state = 0, .external_lex_state = 10},
  [16743] = {.lex_state = 0, .external_lex_state = 12},
  [16744] = {.lex_state = 0, .external_lex_state = 12},
  [16745] = {.lex_state = 0, .external_lex_state = 12},
  [16746] = {.lex_state = 0, .external_lex_state = 12},
  [16747] = {.lex_state = 343, .external_lex_state = 12},
  [16748] = {.lex_state = 0, .external_lex_state = 12},
  [16749] = {.lex_state = 363, .external_lex_state = 12},
  [16750] = {.lex_state = 0, .external_lex_state = 12},
  [16751] = {.lex_state = 0, .external_lex_state = 10},
  [16752] = {.lex_state = 0, .external_lex_state = 12},
  [16753] = {.lex_state = 0, .external_lex_state = 12},
  [16754] = {.lex_state = 0, .external_lex_state = 12},
  [16755] = {.lex_state = 363, .external_lex_state = 12},
  [16756] = {.lex_state = 0, .external_lex_state = 10},
  [16757] = {.lex_state = 0, .external_lex_state = 12},
  [16758] = {.lex_state = 0, .external_lex_state = 10},
  [16759] = {.lex_state = 363, .external_lex_state = 12},
  [16760] = {.lex_state = 0, .external_lex_state = 10},
  [16761] = {.lex_state = 0, .external_lex_state = 12},
  [16762] = {.lex_state = 0, .external_lex_state = 12},
  [16763] = {.lex_state = 0, .external_lex_state = 12},
  [16764] = {.lex_state = 0, .external_lex_state = 12},
  [16765] = {.lex_state = 0, .external_lex_state = 12},
  [16766] = {.lex_state = 363, .external_lex_state = 12},
  [16767] = {.lex_state = 0, .external_lex_state = 12},
  [16768] = {.lex_state = 0, .external_lex_state = 10},
  [16769] = {.lex_state = 363, .external_lex_state = 12},
  [16770] = {.lex_state = 0, .external_lex_state = 12},
  [16771] = {.lex_state = 0, .external_lex_state = 10},
  [16772] = {.lex_state = 0, .external_lex_state = 10},
  [16773] = {.lex_state = 0, .external_lex_state = 12},
  [16774] = {.lex_state = 0, .external_lex_state = 12},
  [16775] = {.lex_state = 363, .external_lex_state = 12},
  [16776] = {.lex_state = 0, .external_lex_state = 12},
  [16777] = {.lex_state = 0, .external_lex_state = 12},
  [16778] = {.lex_state = 363, .external_lex_state = 12},
  [16779] = {.lex_state = 0, .external_lex_state = 12},
  [16780] = {.lex_state = 0, .external_lex_state = 10},
  [16781] = {.lex_state = 0, .external_lex_state = 12},
  [16782] = {.lex_state = 363, .external_lex_state = 12},
  [16783] = {.lex_state = 0, .external_lex_state = 12},
  [16784] = {.lex_state = 363, .external_lex_state = 12},
  [16785] = {.lex_state = 0, .external_lex_state = 12},
  [16786] = {.lex_state = 363, .external_lex_state = 12},
  [16787] = {.lex_state = 0, .external_lex_state = 10},
  [16788] = {.lex_state = 0, .external_lex_state = 12},
  [16789] = {.lex_state = 0, .external_lex_state = 12},
  [16790] = {.lex_state = 363, .external_lex_state = 12},
  [16791] = {.lex_state = 0, .external_lex_state = 10},
  [16792] = {.lex_state = 0, .external_lex_state = 12},
  [16793] = {.lex_state = 0, .external_lex_state = 12},
  [16794] = {.lex_state = 363, .external_lex_state = 12},
  [16795] = {.lex_state = 0, .external_lex_state = 12},
  [16796] = {.lex_state = 0, .external_lex_state = 12},
  [16797] = {.lex_state = 0, .external_lex_state = 12},
  [16798] = {.lex_state = 0, .external_lex_state = 12},
  [16799] = {.lex_state = 363, .external_lex_state = 12},
  [16800] = {.lex_state = 0, .external_lex_state = 12},
  [16801] = {.lex_state = 363, .external_lex_state = 12},
  [16802] = {.lex_state = 0, .external_lex_state = 12},
  [16803] = {.lex_state = 0, .external_lex_state = 12},
  [16804] = {.lex_state = 0, .external_lex_state = 12},
  [16805] = {.lex_state = 0, .external_lex_state = 12},
  [16806] = {.lex_state = 0, .external_lex_state = 12},
  [16807] = {.lex_state = 363, .external_lex_state = 12},
  [16808] = {.lex_state = 0, .external_lex_state = 12},
  [16809] = {.lex_state = 363, .external_lex_state = 12},
  [16810] = {.lex_state = 0, .external_lex_state = 12},
  [16811] = {.lex_state = 363, .external_lex_state = 12},
  [16812] = {.lex_state = 363, .external_lex_state = 12},
  [16813] = {.lex_state = 363, .external_lex_state = 12},
  [16814] = {.lex_state = 0, .external_lex_state = 12},
  [16815] = {.lex_state = 0, .external_lex_state = 12},
  [16816] = {.lex_state = 363, .external_lex_state = 12},
  [16817] = {.lex_state = 0, .external_lex_state = 12},
  [16818] = {.lex_state = 0, .external_lex_state = 12},
  [16819] = {.lex_state = 363, .external_lex_state = 12},
  [16820] = {.lex_state = 363, .external_lex_state = 12},
  [16821] = {.lex_state = 0, .external_lex_state = 12},
  [16822] = {.lex_state = 363, .external_lex_state = 12},
  [16823] = {.lex_state = 0, .external_lex_state = 12},
  [16824] = {.lex_state = 0, .external_lex_state = 12},
  [16825] = {.lex_state = 363, .external_lex_state = 12},
  [16826] = {.lex_state = 0, .external_lex_state = 12},
  [16827] = {.lex_state = 0, .external_lex_state = 12},
  [16828] = {.lex_state = 0, .external_lex_state = 12},
  [16829] = {.lex_state = 363, .external_lex_state = 12},
  [16830] = {.lex_state = 363, .external_lex_state = 12},
  [16831] = {.lex_state = 0, .external_lex_state = 12},
  [16832] = {.lex_state = 363, .external_lex_state = 12},
  [16833] = {.lex_state = 363, .external_lex_state = 12},
  [16834] = {.lex_state = 0, .external_lex_state = 12},
  [16835] = {.lex_state = 0, .external_lex_state = 12},
  [16836] = {.lex_state = 0, .external_lex_state = 10},
  [16837] = {.lex_state = 0, .external_lex_state = 12},
  [16838] = {.lex_state = 363, .external_lex_state = 12},
  [16839] = {.lex_state = 0, .external_lex_state = 12},
  [16840] = {.lex_state = 0, .external_lex_state = 12},
  [16841] = {.lex_state = 363, .external_lex_state = 12},
  [16842] = {.lex_state = 0, .external_lex_state = 12},
  [16843] = {.lex_state = 0, .external_lex_state = 12},
  [16844] = {.lex_state = 0, .external_lex_state = 12},
  [16845] = {.lex_state = 0, .external_lex_state = 10},
  [16846] = {.lex_state = 363, .external_lex_state = 12},
  [16847] = {.lex_state = 363, .external_lex_state = 12},
  [16848] = {.lex_state = 0, .external_lex_state = 12},
  [16849] = {.lex_state = 0, .external_lex_state = 12},
  [16850] = {.lex_state = 0, .external_lex_state = 12},
  [16851] = {.lex_state = 363, .external_lex_state = 12},
  [16852] = {.lex_state = 0, .external_lex_state = 12},
  [16853] = {.lex_state = 363, .external_lex_state = 12},
  [16854] = {.lex_state = 0, .external_lex_state = 12},
  [16855] = {.lex_state = 409, .external_lex_state = 12},
  [16856] = {.lex_state = 363, .external_lex_state = 12},
  [16857] = {.lex_state = 363, .external_lex_state = 12},
  [16858] = {.lex_state = 0, .external_lex_state = 12},
  [16859] = {.lex_state = 0, .external_lex_state = 12},
  [16860] = {.lex_state = 0, .external_lex_state = 12},
  [16861] = {.lex_state = 0, .external_lex_state = 12},
  [16862] = {.lex_state = 363, .external_lex_state = 12},
  [16863] = {.lex_state = 409, .external_lex_state = 12},
  [16864] = {.lex_state = 0, .external_lex_state = 10},
  [16865] = {.lex_state = 363, .external_lex_state = 12},
  [16866] = {.lex_state = 0, .external_lex_state = 12},
  [16867] = {.lex_state = 363, .external_lex_state = 12},
  [16868] = {.lex_state = 0, .external_lex_state = 12},
  [16869] = {.lex_state = 0, .external_lex_state = 12},
  [16870] = {.lex_state = 0, .external_lex_state = 12},
  [16871] = {.lex_state = 0, .external_lex_state = 12},
  [16872] = {.lex_state = 0, .external_lex_state = 12},
  [16873] = {.lex_state = 0, .external_lex_state = 12},
  [16874] = {.lex_state = 0, .external_lex_state = 12},
  [16875] = {.lex_state = 363, .external_lex_state = 12},
  [16876] = {.lex_state = 0, .external_lex_state = 12},
  [16877] = {.lex_state = 0, .external_lex_state = 12},
  [16878] = {.lex_state = 0, .external_lex_state = 12},
  [16879] = {.lex_state = 0, .external_lex_state = 12},
  [16880] = {.lex_state = 363, .external_lex_state = 12},
  [16881] = {.lex_state = 0, .external_lex_state = 12},
  [16882] = {.lex_state = 363, .external_lex_state = 12},
  [16883] = {.lex_state = 363, .external_lex_state = 12},
  [16884] = {.lex_state = 0, .external_lex_state = 12},
  [16885] = {.lex_state = 0, .external_lex_state = 12},
  [16886] = {.lex_state = 0, .external_lex_state = 12},
  [16887] = {.lex_state = 0, .external_lex_state = 12},
  [16888] = {.lex_state = 0, .external_lex_state = 12},
  [16889] = {.lex_state = 0, .external_lex_state = 10},
  [16890] = {.lex_state = 363, .external_lex_state = 12},
  [16891] = {.lex_state = 363, .external_lex_state = 12},
  [16892] = {.lex_state = 0, .external_lex_state = 12},
  [16893] = {.lex_state = 0, .external_lex_state = 12},
  [16894] = {.lex_state = 363, .external_lex_state = 12},
  [16895] = {.lex_state = 0, .external_lex_state = 12},
  [16896] = {.lex_state = 0, .external_lex_state = 12},
  [16897] = {.lex_state = 0, .external_lex_state = 12},
  [16898] = {.lex_state = 0, .external_lex_state = 12},
  [16899] = {.lex_state = 0, .external_lex_state = 12},
  [16900] = {.lex_state = 0, .external_lex_state = 12},
  [16901] = {.lex_state = 363, .external_lex_state = 12},
  [16902] = {.lex_state = 363, .external_lex_state = 12},
  [16903] = {.lex_state = 0, .external_lex_state = 10},
  [16904] = {.lex_state = 363, .external_lex_state = 12},
  [16905] = {.lex_state = 0, .external_lex_state = 12},
  [16906] = {.lex_state = 363, .external_lex_state = 12},
  [16907] = {.lex_state = 363, .external_lex_state = 12},
  [16908] = {.lex_state = 0, .external_lex_state = 12},
  [16909] = {.lex_state = 363, .external_lex_state = 12},
  [16910] = {.lex_state = 0, .external_lex_state = 12},
  [16911] = {.lex_state = 363, .external_lex_state = 12},
  [16912] = {.lex_state = 363, .external_lex_state = 12},
  [16913] = {.lex_state = 0, .external_lex_state = 12},
  [16914] = {.lex_state = 363, .external_lex_state = 12},
  [16915] = {.lex_state = 0, .external_lex_state = 12},
  [16916] = {.lex_state = 0, .external_lex_state = 12},
  [16917] = {.lex_state = 0, .external_lex_state = 12},
  [16918] = {.lex_state = 0, .external_lex_state = 12},
  [16919] = {.lex_state = 0, .external_lex_state = 12},
  [16920] = {.lex_state = 363, .external_lex_state = 12},
  [16921] = {.lex_state = 363, .external_lex_state = 12},
  [16922] = {.lex_state = 0, .external_lex_state = 12},
  [16923] = {.lex_state = 0, .external_lex_state = 12},
  [16924] = {.lex_state = 0, .external_lex_state = 12},
  [16925] = {.lex_state = 0, .external_lex_state = 12},
  [16926] = {.lex_state = 0, .external_lex_state = 10},
  [16927] = {.lex_state = 363, .external_lex_state = 12},
  [16928] = {.lex_state = 0, .external_lex_state = 12},
  [16929] = {.lex_state = 0, .external_lex_state = 12},
  [16930] = {.lex_state = 363, .external_lex_state = 12},
  [16931] = {.lex_state = 0, .external_lex_state = 12},
  [16932] = {.lex_state = 0, .external_lex_state = 12},
  [16933] = {.lex_state = 0, .external_lex_state = 12},
  [16934] = {.lex_state = 363, .external_lex_state = 12},
  [16935] = {.lex_state = 363, .external_lex_state = 12},
  [16936] = {.lex_state = 0, .external_lex_state = 12},
  [16937] = {.lex_state = 0, .external_lex_state = 12},
  [16938] = {.lex_state = 0, .external_lex_state = 12},
  [16939] = {.lex_state = 0, .external_lex_state = 12},
  [16940] = {.lex_state = 0, .external_lex_state = 12},
  [16941] = {.lex_state = 0, .external_lex_state = 12},
  [16942] = {.lex_state = 0, .external_lex_state = 12},
  [16943] = {.lex_state = 0, .external_lex_state = 12},
  [16944] = {.lex_state = 0, .external_lex_state = 12},
  [16945] = {.lex_state = 0, .external_lex_state = 12},
  [16946] = {.lex_state = 0, .external_lex_state = 12},
  [16947] = {.lex_state = 0, .external_lex_state = 12},
  [16948] = {.lex_state = 0, .external_lex_state = 12},
  [16949] = {.lex_state = 0, .external_lex_state = 12},
  [16950] = {.lex_state = 0, .external_lex_state = 12},
  [16951] = {.lex_state = 0, .external_lex_state = 12},
  [16952] = {.lex_state = 363, .external_lex_state = 12},
  [16953] = {.lex_state = 363, .external_lex_state = 12},
  [16954] = {.lex_state = 0, .external_lex_state = 12},
  [16955] = {.lex_state = 0, .external_lex_state = 10},
  [16956] = {.lex_state = 0, .external_lex_state = 12},
  [16957] = {.lex_state = 0, .external_lex_state = 12},
  [16958] = {.lex_state = 0, .external_lex_state = 12},
  [16959] = {.lex_state = 0, .external_lex_state = 12},
  [16960] = {.lex_state = 343, .external_lex_state = 12},
  [16961] = {.lex_state = 363, .external_lex_state = 12},
  [16962] = {.lex_state = 0, .external_lex_state = 12},
  [16963] = {.lex_state = 0, .external_lex_state = 12},
  [16964] = {.lex_state = 0, .external_lex_state = 12},
  [16965] = {.lex_state = 363, .external_lex_state = 12},
  [16966] = {.lex_state = 0, .external_lex_state = 12},
  [16967] = {.lex_state = 363, .external_lex_state = 12},
  [16968] = {.lex_state = 0, .external_lex_state = 12},
  [16969] = {.lex_state = 0, .external_lex_state = 12},
  [16970] = {.lex_state = 0, .external_lex_state = 12},
  [16971] = {.lex_state = 409, .external_lex_state = 12},
  [16972] = {.lex_state = 343, .external_lex_state = 12},
  [16973] = {.lex_state = 0, .external_lex_state = 12},
  [16974] = {.lex_state = 363, .external_lex_state = 12},
  [16975] = {.lex_state = 0, .external_lex_state = 12},
  [16976] = {.lex_state = 0, .external_lex_state = 12},
  [16977] = {.lex_state = 0, .external_lex_state = 12},
  [16978] = {.lex_state = 343, .external_lex_state = 12},
  [16979] = {.lex_state = 0, .external_lex_state = 12},
  [16980] = {.lex_state = 0, .external_lex_state = 12},
  [16981] = {.lex_state = 0, .external_lex_state = 12},
  [16982] = {.lex_state = 0, .external_lex_state = 12},
  [16983] = {.lex_state = 0, .external_lex_state = 12},
  [16984] = {.lex_state = 0, .external_lex_state = 12},
  [16985] = {.lex_state = 363, .external_lex_state = 12},
  [16986] = {.lex_state = 0, .external_lex_state = 12},
  [16987] = {.lex_state = 0, .external_lex_state = 10},
  [16988] = {.lex_state = 0, .external_lex_state = 12},
  [16989] = {.lex_state = 363, .external_lex_state = 12},
  [16990] = {.lex_state = 363, .external_lex_state = 12},
  [16991] = {.lex_state = 0, .external_lex_state = 12},
  [16992] = {.lex_state = 0, .external_lex_state = 12},
  [16993] = {.lex_state = 0, .external_lex_state = 12},
  [16994] = {.lex_state = 0, .external_lex_state = 12},
  [16995] = {.lex_state = 0, .external_lex_state = 12},
  [16996] = {.lex_state = 0, .external_lex_state = 12},
  [16997] = {.lex_state = 0, .external_lex_state = 12},
  [16998] = {.lex_state = 0, .external_lex_state = 12},
  [16999] = {.lex_state = 0, .external_lex_state = 12},
  [17000] = {.lex_state = 0, .external_lex_state = 12},
  [17001] = {.lex_state = 0, .external_lex_state = 12},
  [17002] = {.lex_state = 0, .external_lex_state = 12},
  [17003] = {.lex_state = 363, .external_lex_state = 12},
  [17004] = {.lex_state = 363, .external_lex_state = 12},
  [17005] = {.lex_state = 0, .external_lex_state = 12},
  [17006] = {.lex_state = 0, .external_lex_state = 12},
  [17007] = {.lex_state = 0, .external_lex_state = 12},
  [17008] = {.lex_state = 0, .external_lex_state = 12},
  [17009] = {.lex_state = 0, .external_lex_state = 12},
  [17010] = {.lex_state = 0, .external_lex_state = 10},
  [17011] = {.lex_state = 0, .external_lex_state = 12},
  [17012] = {.lex_state = 0, .external_lex_state = 12},
  [17013] = {.lex_state = 0, .external_lex_state = 12},
  [17014] = {.lex_state = 0, .external_lex_state = 12},
  [17015] = {.lex_state = 0, .external_lex_state = 12},
  [17016] = {.lex_state = 0, .external_lex_state = 12},
  [17017] = {.lex_state = 0, .external_lex_state = 12},
  [17018] = {.lex_state = 0, .external_lex_state = 12},
  [17019] = {.lex_state = 363, .external_lex_state = 12},
  [17020] = {.lex_state = 0, .external_lex_state = 12},
  [17021] = {.lex_state = 0, .external_lex_state = 12},
  [17022] = {.lex_state = 0, .external_lex_state = 12},
  [17023] = {.lex_state = 0, .external_lex_state = 12},
  [17024] = {.lex_state = 343, .external_lex_state = 12},
  [17025] = {.lex_state = 363, .external_lex_state = 12},
  [17026] = {.lex_state = 0, .external_lex_state = 12},
  [17027] = {.lex_state = 0, .external_lex_state = 12},
  [17028] = {.lex_state = 0, .external_lex_state = 12},
  [17029] = {.lex_state = 0, .external_lex_state = 10},
  [17030] = {.lex_state = 343, .external_lex_state = 13},
  [17031] = {.lex_state = 363, .external_lex_state = 12},
  [17032] = {.lex_state = 412, .external_lex_state = 12},
  [17033] = {.lex_state = 0, .external_lex_state = 12},
  [17034] = {.lex_state = 0, .external_lex_state = 12},
  [17035] = {.lex_state = 0, .external_lex_state = 12},
  [17036] = {.lex_state = 409, .external_lex_state = 12},
  [17037] = {.lex_state = 0, .external_lex_state = 12},
  [17038] = {.lex_state = 363, .external_lex_state = 12},
  [17039] = {.lex_state = 0, .external_lex_state = 12},
  [17040] = {.lex_state = 0, .external_lex_state = 12},
  [17041] = {.lex_state = 363, .external_lex_state = 12},
  [17042] = {.lex_state = 0, .external_lex_state = 12},
  [17043] = {.lex_state = 0, .external_lex_state = 12},
  [17044] = {.lex_state = 0, .external_lex_state = 12},
  [17045] = {.lex_state = 0, .external_lex_state = 12},
  [17046] = {.lex_state = 0, .external_lex_state = 12},
  [17047] = {.lex_state = 0, .external_lex_state = 12},
  [17048] = {.lex_state = 0, .external_lex_state = 12},
  [17049] = {.lex_state = 409, .external_lex_state = 12},
  [17050] = {.lex_state = 363, .external_lex_state = 12},
  [17051] = {.lex_state = 0, .external_lex_state = 12},
  [17052] = {.lex_state = 363, .external_lex_state = 12},
  [17053] = {.lex_state = 0, .external_lex_state = 12},
  [17054] = {.lex_state = 0, .external_lex_state = 12},
  [17055] = {.lex_state = 0, .external_lex_state = 12},
  [17056] = {.lex_state = 363, .external_lex_state = 12},
  [17057] = {.lex_state = 363, .external_lex_state = 12},
  [17058] = {.lex_state = 0, .external_lex_state = 12},
  [17059] = {.lex_state = 0, .external_lex_state = 12},
  [17060] = {.lex_state = 409, .external_lex_state = 12},
  [17061] = {.lex_state = 0, .external_lex_state = 10},
  [17062] = {.lex_state = 0, .external_lex_state = 12},
  [17063] = {.lex_state = 363, .external_lex_state = 12},
  [17064] = {.lex_state = 0, .external_lex_state = 12},
  [17065] = {.lex_state = 0, .external_lex_state = 12},
  [17066] = {.lex_state = 0, .external_lex_state = 12},
  [17067] = {.lex_state = 363, .external_lex_state = 12},
  [17068] = {.lex_state = 343, .external_lex_state = 12},
  [17069] = {.lex_state = 363, .external_lex_state = 12},
  [17070] = {.lex_state = 0, .external_lex_state = 12},
  [17071] = {.lex_state = 0, .external_lex_state = 12},
  [17072] = {.lex_state = 343, .external_lex_state = 12},
  [17073] = {.lex_state = 343, .external_lex_state = 12},
  [17074] = {.lex_state = 343, .external_lex_state = 12},
  [17075] = {.lex_state = 343, .external_lex_state = 12},
  [17076] = {.lex_state = 0, .external_lex_state = 12},
  [17077] = {.lex_state = 0, .external_lex_state = 12},
  [17078] = {.lex_state = 0, .external_lex_state = 12},
  [17079] = {.lex_state = 0, .external_lex_state = 12},
  [17080] = {.lex_state = 0, .external_lex_state = 12},
  [17081] = {.lex_state = 0, .external_lex_state = 10},
  [17082] = {.lex_state = 0, .external_lex_state = 10},
  [17083] = {.lex_state = 0, .external_lex_state = 12},
  [17084] = {.lex_state = 0, .external_lex_state = 12},
  [17085] = {.lex_state = 0, .external_lex_state = 12},
  [17086] = {.lex_state = 0, .external_lex_state = 12},
  [17087] = {.lex_state = 0, .external_lex_state = 12},
  [17088] = {.lex_state = 0, .external_lex_state = 10},
  [17089] = {.lex_state = 0, .external_lex_state = 12},
  [17090] = {.lex_state = 0, .external_lex_state = 12},
  [17091] = {.lex_state = 0, .external_lex_state = 12},
  [17092] = {.lex_state = 0, .external_lex_state = 12},
  [17093] = {.lex_state = 0, .external_lex_state = 12},
  [17094] = {.lex_state = 409, .external_lex_state = 12},
  [17095] = {.lex_state = 0, .external_lex_state = 12},
  [17096] = {.lex_state = 0, .external_lex_state = 12},
  [17097] = {.lex_state = 0, .external_lex_state = 12},
  [17098] = {.lex_state = 0, .external_lex_state = 12},
  [17099] = {.lex_state = 409, .external_lex_state = 12},
  [17100] = {.lex_state = 0, .external_lex_state = 10},
  [17101] = {.lex_state = 0, .external_lex_state = 12},
  [17102] = {.lex_state = 0, .external_lex_state = 12},
  [17103] = {.lex_state = 0, .external_lex_state = 12},
  [17104] = {.lex_state = 0, .external_lex_state = 10},
  [17105] = {.lex_state = 0, .external_lex_state = 12},
  [17106] = {.lex_state = 363, .external_lex_state = 12},
  [17107] = {.lex_state = 363, .external_lex_state = 12},
  [17108] = {.lex_state = 0, .external_lex_state = 12},
  [17109] = {.lex_state = 0, .external_lex_state = 12},
  [17110] = {.lex_state = 363, .external_lex_state = 12},
  [17111] = {.lex_state = 363, .external_lex_state = 12},
  [17112] = {.lex_state = 0, .external_lex_state = 12},
  [17113] = {.lex_state = 0, .external_lex_state = 12},
  [17114] = {.lex_state = 0, .external_lex_state = 12},
  [17115] = {.lex_state = 0, .external_lex_state = 12},
  [17116] = {.lex_state = 0, .external_lex_state = 12},
  [17117] = {.lex_state = 363, .external_lex_state = 12},
  [17118] = {.lex_state = 0, .external_lex_state = 12},
  [17119] = {.lex_state = 0, .external_lex_state = 12},
  [17120] = {.lex_state = 0, .external_lex_state = 12},
  [17121] = {.lex_state = 0, .external_lex_state = 12},
  [17122] = {.lex_state = 0, .external_lex_state = 12},
  [17123] = {.lex_state = 503, .external_lex_state = 12},
  [17124] = {.lex_state = 0, .external_lex_state = 12},
  [17125] = {.lex_state = 0, .external_lex_state = 12},
  [17126] = {.lex_state = 0, .external_lex_state = 12},
  [17127] = {.lex_state = 0, .external_lex_state = 12},
  [17128] = {.lex_state = 363, .external_lex_state = 12},
  [17129] = {.lex_state = 0, .external_lex_state = 12},
  [17130] = {.lex_state = 363, .external_lex_state = 12},
  [17131] = {.lex_state = 0, .external_lex_state = 12},
  [17132] = {.lex_state = 0, .external_lex_state = 12},
  [17133] = {.lex_state = 0, .external_lex_state = 10},
  [17134] = {.lex_state = 0, .external_lex_state = 12},
  [17135] = {.lex_state = 0, .external_lex_state = 12},
  [17136] = {.lex_state = 0, .external_lex_state = 12},
  [17137] = {.lex_state = 0, .external_lex_state = 10},
  [17138] = {.lex_state = 0, .external_lex_state = 12},
  [17139] = {.lex_state = 0, .external_lex_state = 12},
  [17140] = {.lex_state = 0, .external_lex_state = 12},
  [17141] = {.lex_state = 0, .external_lex_state = 12},
  [17142] = {.lex_state = 363, .external_lex_state = 12},
  [17143] = {.lex_state = 0, .external_lex_state = 12},
  [17144] = {.lex_state = 0, .external_lex_state = 12},
  [17145] = {.lex_state = 363, .external_lex_state = 12},
  [17146] = {.lex_state = 364, .external_lex_state = 12},
  [17147] = {.lex_state = 343, .external_lex_state = 12},
  [17148] = {.lex_state = 363, .external_lex_state = 12},
  [17149] = {.lex_state = 363, .external_lex_state = 12},
  [17150] = {.lex_state = 0, .external_lex_state = 12},
  [17151] = {.lex_state = 363, .external_lex_state = 12},
  [17152] = {.lex_state = 363, .external_lex_state = 12},
  [17153] = {.lex_state = 0, .external_lex_state = 12},
  [17154] = {.lex_state = 0, .external_lex_state = 12},
  [17155] = {.lex_state = 0, .external_lex_state = 12},
  [17156] = {.lex_state = 0, .external_lex_state = 12},
  [17157] = {.lex_state = 409, .external_lex_state = 12},
  [17158] = {.lex_state = 0, .external_lex_state = 12},
  [17159] = {.lex_state = 0, .external_lex_state = 12},
  [17160] = {.lex_state = 0, .external_lex_state = 12},
  [17161] = {.lex_state = 0, .external_lex_state = 12},
  [17162] = {.lex_state = 503, .external_lex_state = 12},
  [17163] = {.lex_state = 0, .external_lex_state = 12},
  [17164] = {.lex_state = 0, .external_lex_state = 12},
  [17165] = {.lex_state = 409, .external_lex_state = 12},
  [17166] = {.lex_state = 0, .external_lex_state = 12},
  [17167] = {.lex_state = 0, .external_lex_state = 10},
  [17168] = {.lex_state = 363, .external_lex_state = 12},
  [17169] = {.lex_state = 0, .external_lex_state = 12},
  [17170] = {.lex_state = 0, .external_lex_state = 12},
  [17171] = {.lex_state = 363, .external_lex_state = 12},
  [17172] = {.lex_state = 343, .external_lex_state = 12},
  [17173] = {.lex_state = 363, .external_lex_state = 12},
  [17174] = {.lex_state = 0, .external_lex_state = 12},
  [17175] = {.lex_state = 0, .external_lex_state = 12},
  [17176] = {.lex_state = 0, .external_lex_state = 12},
  [17177] = {.lex_state = 0, .external_lex_state = 12},
  [17178] = {.lex_state = 0, .external_lex_state = 12},
  [17179] = {.lex_state = 0, .external_lex_state = 12},
  [17180] = {.lex_state = 0, .external_lex_state = 12},
  [17181] = {.lex_state = 0, .external_lex_state = 12},
  [17182] = {.lex_state = 0, .external_lex_state = 12},
  [17183] = {.lex_state = 0, .external_lex_state = 12},
  [17184] = {.lex_state = 363, .external_lex_state = 12},
  [17185] = {.lex_state = 0, .external_lex_state = 12},
  [17186] = {.lex_state = 363, .external_lex_state = 12},
  [17187] = {.lex_state = 0, .external_lex_state = 12},
  [17188] = {.lex_state = 0, .external_lex_state = 12},
  [17189] = {.lex_state = 363, .external_lex_state = 12},
  [17190] = {.lex_state = 363, .external_lex_state = 12},
  [17191] = {.lex_state = 0, .external_lex_state = 12},
  [17192] = {.lex_state = 0, .external_lex_state = 12},
  [17193] = {.lex_state = 363, .external_lex_state = 12},
  [17194] = {.lex_state = 0, .external_lex_state = 12},
  [17195] = {.lex_state = 409, .external_lex_state = 12},
  [17196] = {.lex_state = 363, .external_lex_state = 12},
  [17197] = {.lex_state = 363, .external_lex_state = 12},
  [17198] = {.lex_state = 0, .external_lex_state = 12},
  [17199] = {.lex_state = 0, .external_lex_state = 12},
  [17200] = {.lex_state = 0, .external_lex_state = 12},
  [17201] = {.lex_state = 0, .external_lex_state = 12},
  [17202] = {.lex_state = 0, .external_lex_state = 12},
  [17203] = {.lex_state = 363, .external_lex_state = 12},
  [17204] = {.lex_state = 0, .external_lex_state = 12},
  [17205] = {.lex_state = 0, .external_lex_state = 12},
  [17206] = {.lex_state = 364, .external_lex_state = 12},
  [17207] = {.lex_state = 0, .external_lex_state = 12},
  [17208] = {.lex_state = 0, .external_lex_state = 12},
  [17209] = {.lex_state = 363, .external_lex_state = 12},
  [17210] = {.lex_state = 0, .external_lex_state = 10},
  [17211] = {.lex_state = 0, .external_lex_state = 12},
  [17212] = {.lex_state = 363, .external_lex_state = 12},
  [17213] = {.lex_state = 409, .external_lex_state = 12},
  [17214] = {.lex_state = 363, .external_lex_state = 12},
  [17215] = {.lex_state = 0, .external_lex_state = 10},
  [17216] = {.lex_state = 503, .external_lex_state = 12},
  [17217] = {.lex_state = 0, .external_lex_state = 12},
  [17218] = {.lex_state = 363, .external_lex_state = 12},
  [17219] = {.lex_state = 503, .external_lex_state = 12},
  [17220] = {.lex_state = 0, .external_lex_state = 11},
  [17221] = {.lex_state = 363, .external_lex_state = 12},
  [17222] = {.lex_state = 0, .external_lex_state = 12},
  [17223] = {.lex_state = 0, .external_lex_state = 12},
  [17224] = {.lex_state = 0, .external_lex_state = 12},
  [17225] = {.lex_state = 0, .external_lex_state = 12},
  [17226] = {.lex_state = 363, .external_lex_state = 12},
  [17227] = {.lex_state = 0, .external_lex_state = 12},
  [17228] = {.lex_state = 363, .external_lex_state = 12},
  [17229] = {.lex_state = 0, .external_lex_state = 12},
  [17230] = {.lex_state = 0, .external_lex_state = 10},
  [17231] = {.lex_state = 0, .external_lex_state = 12},
  [17232] = {.lex_state = 363, .external_lex_state = 12},
  [17233] = {.lex_state = 0, .external_lex_state = 12},
  [17234] = {.lex_state = 0, .external_lex_state = 12},
  [17235] = {.lex_state = 0, .external_lex_state = 12},
  [17236] = {.lex_state = 0, .external_lex_state = 12},
  [17237] = {.lex_state = 0, .external_lex_state = 12},
  [17238] = {.lex_state = 363, .external_lex_state = 12},
  [17239] = {.lex_state = 0, .external_lex_state = 12},
  [17240] = {.lex_state = 0, .external_lex_state = 12},
  [17241] = {.lex_state = 0, .external_lex_state = 12},
  [17242] = {.lex_state = 0, .external_lex_state = 12},
  [17243] = {.lex_state = 0, .external_lex_state = 12},
  [17244] = {.lex_state = 0, .external_lex_state = 12},
  [17245] = {.lex_state = 0, .external_lex_state = 12},
  [17246] = {.lex_state = 0, .external_lex_state = 12},
  [17247] = {.lex_state = 409, .external_lex_state = 12},
  [17248] = {.lex_state = 0, .external_lex_state = 12},
  [17249] = {.lex_state = 0, .external_lex_state = 12},
  [17250] = {.lex_state = 0, .external_lex_state = 12},
  [17251] = {.lex_state = 363, .external_lex_state = 12},
  [17252] = {.lex_state = 363, .external_lex_state = 12},
  [17253] = {.lex_state = 0, .external_lex_state = 12},
  [17254] = {.lex_state = 0, .external_lex_state = 12},
  [17255] = {.lex_state = 0, .external_lex_state = 12},
  [17256] = {.lex_state = 363, .external_lex_state = 12},
  [17257] = {.lex_state = 0, .external_lex_state = 12},
  [17258] = {.lex_state = 0, .external_lex_state = 12},
  [17259] = {.lex_state = 363, .external_lex_state = 12},
  [17260] = {.lex_state = 0, .external_lex_state = 12},
  [17261] = {.lex_state = 0, .external_lex_state = 12},
  [17262] = {.lex_state = 0, .external_lex_state = 12},
  [17263] = {.lex_state = 0, .external_lex_state = 10},
  [17264] = {.lex_state = 0, .external_lex_state = 12},
  [17265] = {.lex_state = 0, .external_lex_state = 12},
  [17266] = {.lex_state = 363, .external_lex_state = 12},
  [17267] = {.lex_state = 0, .external_lex_state = 12},
  [17268] = {.lex_state = 0, .external_lex_state = 12},
  [17269] = {.lex_state = 0, .external_lex_state = 12},
  [17270] = {.lex_state = 343, .external_lex_state = 12},
  [17271] = {.lex_state = 343, .external_lex_state = 12},
  [17272] = {.lex_state = 363, .external_lex_state = 12},
  [17273] = {.lex_state = 364, .external_lex_state = 12},
  [17274] = {.lex_state = 0, .external_lex_state = 12},
  [17275] = {.lex_state = 363, .external_lex_state = 12},
  [17276] = {.lex_state = 0, .external_lex_state = 12},
  [17277] = {.lex_state = 343, .external_lex_state = 12},
  [17278] = {.lex_state = 0, .external_lex_state = 12},
  [17279] = {.lex_state = 0, .external_lex_state = 12},
  [17280] = {.lex_state = 0, .external_lex_state = 12},
  [17281] = {.lex_state = 0, .external_lex_state = 12},
  [17282] = {.lex_state = 343, .external_lex_state = 12},
  [17283] = {.lex_state = 0, .external_lex_state = 10},
  [17284] = {.lex_state = 0, .external_lex_state = 12},
  [17285] = {.lex_state = 363, .external_lex_state = 12},
  [17286] = {.lex_state = 0, .external_lex_state = 12},
  [17287] = {.lex_state = 0, .external_lex_state = 12},
  [17288] = {.lex_state = 0, .external_lex_state = 12},
  [17289] = {.lex_state = 363, .external_lex_state = 12},
  [17290] = {.lex_state = 363, .external_lex_state = 12},
  [17291] = {.lex_state = 0, .external_lex_state = 12},
  [17292] = {.lex_state = 363, .external_lex_state = 12},
  [17293] = {.lex_state = 0, .external_lex_state = 12},
  [17294] = {.lex_state = 0, .external_lex_state = 12},
  [17295] = {.lex_state = 0, .external_lex_state = 12},
  [17296] = {.lex_state = 0, .external_lex_state = 12},
  [17297] = {.lex_state = 343, .external_lex_state = 12},
  [17298] = {.lex_state = 0, .external_lex_state = 12},
  [17299] = {.lex_state = 0, .external_lex_state = 12},
  [17300] = {.lex_state = 0, .external_lex_state = 12},
  [17301] = {.lex_state = 0, .external_lex_state = 12},
  [17302] = {.lex_state = 0, .external_lex_state = 12},
  [17303] = {.lex_state = 0, .external_lex_state = 12},
  [17304] = {.lex_state = 0, .external_lex_state = 12},
  [17305] = {.lex_state = 363, .external_lex_state = 12},
  [17306] = {.lex_state = 0, .external_lex_state = 12},
  [17307] = {.lex_state = 0, .external_lex_state = 12},
  [17308] = {.lex_state = 0, .external_lex_state = 12},
  [17309] = {.lex_state = 0, .external_lex_state = 10},
  [17310] = {.lex_state = 363, .external_lex_state = 12},
  [17311] = {.lex_state = 0, .external_lex_state = 12},
  [17312] = {.lex_state = 0, .external_lex_state = 12},
  [17313] = {.lex_state = 0, .external_lex_state = 10},
  [17314] = {.lex_state = 363, .external_lex_state = 12},
  [17315] = {.lex_state = 0, .external_lex_state = 12},
  [17316] = {.lex_state = 0, .external_lex_state = 12},
  [17317] = {.lex_state = 363, .external_lex_state = 12},
  [17318] = {.lex_state = 0, .external_lex_state = 12},
  [17319] = {.lex_state = 0, .external_lex_state = 12},
  [17320] = {.lex_state = 363, .external_lex_state = 12},
  [17321] = {.lex_state = 0, .external_lex_state = 12},
  [17322] = {.lex_state = 0, .external_lex_state = 12},
  [17323] = {.lex_state = 343, .external_lex_state = 13},
  [17324] = {.lex_state = 363, .external_lex_state = 12},
  [17325] = {.lex_state = 343, .external_lex_state = 12},
  [17326] = {.lex_state = 343, .external_lex_state = 12},
  [17327] = {.lex_state = 0, .external_lex_state = 12},
  [17328] = {.lex_state = 0, .external_lex_state = 12},
  [17329] = {.lex_state = 0, .external_lex_state = 12},
  [17330] = {.lex_state = 343, .external_lex_state = 12},
  [17331] = {.lex_state = 343, .external_lex_state = 12},
  [17332] = {.lex_state = 0, .external_lex_state = 12},
  [17333] = {.lex_state = 409, .external_lex_state = 12},
  [17334] = {.lex_state = 343, .external_lex_state = 12},
  [17335] = {.lex_state = 0, .external_lex_state = 12},
  [17336] = {.lex_state = 0, .external_lex_state = 12},
  [17337] = {.lex_state = 0, .external_lex_state = 12},
  [17338] = {.lex_state = 343, .external_lex_state = 12},
  [17339] = {.lex_state = 0, .external_lex_state = 12},
  [17340] = {.lex_state = 503, .external_lex_state = 12},
  [17341] = {.lex_state = 503, .external_lex_state = 12},
  [17342] = {.lex_state = 0, .external_lex_state = 12},
  [17343] = {.lex_state = 503, .external_lex_state = 12},
  [17344] = {.lex_state = 0, .external_lex_state = 12},
  [17345] = {.lex_state = 0, .external_lex_state = 12},
  [17346] = {.lex_state = 0, .external_lex_state = 12},
  [17347] = {.lex_state = 0, .external_lex_state = 12},
  [17348] = {.lex_state = 0, .external_lex_state = 12},
  [17349] = {.lex_state = 0, .external_lex_state = 12},
  [17350] = {.lex_state = 0, .external_lex_state = 12},
  [17351] = {.lex_state = 0, .external_lex_state = 12},
  [17352] = {.lex_state = 0, .external_lex_state = 12},
  [17353] = {.lex_state = 0, .external_lex_state = 12},
  [17354] = {.lex_state = 0, .external_lex_state = 12},
  [17355] = {.lex_state = 0, .external_lex_state = 12},
  [17356] = {.lex_state = 0, .external_lex_state = 12},
  [17357] = {.lex_state = 0, .external_lex_state = 12},
  [17358] = {.lex_state = 0, .external_lex_state = 12},
  [17359] = {.lex_state = 0, .external_lex_state = 12},
  [17360] = {.lex_state = 503, .external_lex_state = 12},
  [17361] = {.lex_state = 0, .external_lex_state = 12},
  [17362] = {.lex_state = 0, .external_lex_state = 12},
  [17363] = {.lex_state = 503, .external_lex_state = 12},
  [17364] = {.lex_state = 0, .external_lex_state = 12},
  [17365] = {.lex_state = 0, .external_lex_state = 12},
  [17366] = {.lex_state = 0, .external_lex_state = 12},
  [17367] = {.lex_state = 0, .external_lex_state = 12},
  [17368] = {.lex_state = 0, .external_lex_state = 12},
  [17369] = {.lex_state = 0, .external_lex_state = 12},
  [17370] = {.lex_state = 503, .external_lex_state = 12},
  [17371] = {.lex_state = 0, .external_lex_state = 12},
  [17372] = {.lex_state = 0, .external_lex_state = 12},
  [17373] = {.lex_state = 0, .external_lex_state = 12},
  [17374] = {.lex_state = 503, .external_lex_state = 12},
  [17375] = {.lex_state = 0, .external_lex_state = 12},
  [17376] = {.lex_state = 0, .external_lex_state = 12},
  [17377] = {.lex_state = 0, .external_lex_state = 12},
  [17378] = {.lex_state = 503, .external_lex_state = 12},
  [17379] = {.lex_state = 0, .external_lex_state = 12},
  [17380] = {.lex_state = 0, .external_lex_state = 12},
  [17381] = {.lex_state = 0, .external_lex_state = 12},
  [17382] = {.lex_state = 0, .external_lex_state = 12},
  [17383] = {.lex_state = 0, .external_lex_state = 12},
  [17384] = {.lex_state = 0, .external_lex_state = 12},
  [17385] = {.lex_state = 0, .external_lex_state = 12},
  [17386] = {.lex_state = 503, .external_lex_state = 12},
  [17387] = {.lex_state = 0, .external_lex_state = 12},
  [17388] = {.lex_state = 0, .external_lex_state = 12},
  [17389] = {.lex_state = 0, .external_lex_state = 12},
  [17390] = {.lex_state = 503, .external_lex_state = 12},
  [17391] = {.lex_state = 0, .external_lex_state = 12},
  [17392] = {.lex_state = 503, .external_lex_state = 12},
  [17393] = {.lex_state = 0, .external_lex_state = 12},
  [17394] = {.lex_state = 0, .external_lex_state = 12},
  [17395] = {.lex_state = 0, .external_lex_state = 12},
  [17396] = {.lex_state = 503, .external_lex_state = 12},
  [17397] = {.lex_state = 503, .external_lex_state = 12},
  [17398] = {.lex_state = 0, .external_lex_state = 12},
  [17399] = {.lex_state = 503, .external_lex_state = 12},
  [17400] = {.lex_state = 0, .external_lex_state = 12},
  [17401] = {.lex_state = 0, .external_lex_state = 12},
  [17402] = {.lex_state = 0, .external_lex_state = 12},
  [17403] = {.lex_state = 0, .external_lex_state = 12},
  [17404] = {.lex_state = 503, .external_lex_state = 12},
  [17405] = {.lex_state = 503, .external_lex_state = 12},
  [17406] = {.lex_state = 0, .external_lex_state = 12},
  [17407] = {.lex_state = 503, .external_lex_state = 12},
  [17408] = {.lex_state = 0, .external_lex_state = 12},
  [17409] = {.lex_state = 0, .external_lex_state = 12},
  [17410] = {.lex_state = 0, .external_lex_state = 12},
  [17411] = {.lex_state = 0, .external_lex_state = 12},
  [17412] = {.lex_state = 0, .external_lex_state = 12},
  [17413] = {.lex_state = 0, .external_lex_state = 12},
  [17414] = {.lex_state = 0, .external_lex_state = 12},
  [17415] = {.lex_state = 0, .external_lex_state = 12},
  [17416] = {.lex_state = 0, .external_lex_state = 12},
  [17417] = {.lex_state = 0, .external_lex_state = 12},
  [17418] = {.lex_state = 0, .external_lex_state = 12},
  [17419] = {.lex_state = 0, .external_lex_state = 12},
  [17420] = {.lex_state = 0, .external_lex_state = 12},
  [17421] = {.lex_state = 0, .external_lex_state = 12},
  [17422] = {.lex_state = 503, .external_lex_state = 12},
  [17423] = {.lex_state = 0, .external_lex_state = 12},
  [17424] = {.lex_state = 503, .external_lex_state = 12},
  [17425] = {.lex_state = 0, .external_lex_state = 12},
  [17426] = {.lex_state = 0, .external_lex_state = 12},
  [17427] = {.lex_state = 0, .external_lex_state = 12},
  [17428] = {.lex_state = 0, .external_lex_state = 12},
  [17429] = {.lex_state = 0, .external_lex_state = 12},
  [17430] = {.lex_state = 0, .external_lex_state = 12},
  [17431] = {.lex_state = 0, .external_lex_state = 12},
  [17432] = {.lex_state = 503, .external_lex_state = 12},
  [17433] = {.lex_state = 0, .external_lex_state = 12},
  [17434] = {.lex_state = 0, .external_lex_state = 12},
  [17435] = {.lex_state = 0, .external_lex_state = 12},
  [17436] = {.lex_state = 0, .external_lex_state = 12},
  [17437] = {.lex_state = 503, .external_lex_state = 12},
  [17438] = {.lex_state = 0, .external_lex_state = 12},
  [17439] = {.lex_state = 0, .external_lex_state = 12},
  [17440] = {.lex_state = 0, .external_lex_state = 12},
  [17441] = {.lex_state = 0, .external_lex_state = 12},
  [17442] = {.lex_state = 0, .external_lex_state = 12},
  [17443] = {.lex_state = 503, .external_lex_state = 12},
  [17444] = {.lex_state = 0, .external_lex_state = 12},
  [17445] = {.lex_state = 0, .external_lex_state = 12},
  [17446] = {.lex_state = 0, .external_lex_state = 12},
  [17447] = {.lex_state = 0, .external_lex_state = 12},
  [17448] = {.lex_state = 0, .external_lex_state = 12},
  [17449] = {.lex_state = 0, .external_lex_state = 12},
  [17450] = {.lex_state = 0, .external_lex_state = 12},
  [17451] = {.lex_state = 0, .external_lex_state = 12},
  [17452] = {.lex_state = 503, .external_lex_state = 12},
  [17453] = {.lex_state = 0, .external_lex_state = 12},
  [17454] = {.lex_state = 503, .external_lex_state = 12},
  [17455] = {.lex_state = 0, .external_lex_state = 12},
  [17456] = {.lex_state = 0, .external_lex_state = 12},
  [17457] = {.lex_state = 503, .external_lex_state = 12},
  [17458] = {.lex_state = 0, .external_lex_state = 12},
  [17459] = {.lex_state = 0, .external_lex_state = 12},
  [17460] = {.lex_state = 0, .external_lex_state = 12},
  [17461] = {.lex_state = 503, .external_lex_state = 12},
  [17462] = {.lex_state = 0, .external_lex_state = 12},
  [17463] = {.lex_state = 0, .external_lex_state = 12},
  [17464] = {.lex_state = 0, .external_lex_state = 12},
  [17465] = {.lex_state = 0, .external_lex_state = 12},
  [17466] = {.lex_state = 0, .external_lex_state = 12},
  [17467] = {.lex_state = 0, .external_lex_state = 12},
  [17468] = {.lex_state = 0, .external_lex_state = 12},
  [17469] = {.lex_state = 0, .external_lex_state = 12},
  [17470] = {.lex_state = 503, .external_lex_state = 12},
  [17471] = {.lex_state = 0, .external_lex_state = 12},
  [17472] = {.lex_state = 503, .external_lex_state = 12},
  [17473] = {.lex_state = 0, .external_lex_state = 12},
  [17474] = {.lex_state = 0, .external_lex_state = 12},
  [17475] = {.lex_state = 503, .external_lex_state = 12},
  [17476] = {.lex_state = 503, .external_lex_state = 12},
  [17477] = {.lex_state = 503, .external_lex_state = 12},
  [17478] = {.lex_state = 0, .external_lex_state = 12},
  [17479] = {.lex_state = 0, .external_lex_state = 12},
  [17480] = {.lex_state = 0, .external_lex_state = 12},
  [17481] = {.lex_state = 0, .external_lex_state = 12},
  [17482] = {.lex_state = 0, .external_lex_state = 12},
  [17483] = {.lex_state = 0, .external_lex_state = 12},
  [17484] = {.lex_state = 0, .external_lex_state = 12},
  [17485] = {.lex_state = 503, .external_lex_state = 12},
  [17486] = {.lex_state = 503, .external_lex_state = 12},
  [17487] = {.lex_state = 0, .external_lex_state = 12},
  [17488] = {.lex_state = 0, .external_lex_state = 12},
  [17489] = {.lex_state = 0, .external_lex_state = 12},
  [17490] = {.lex_state = 0, .external_lex_state = 12},
  [17491] = {.lex_state = 0, .external_lex_state = 12},
  [17492] = {.lex_state = 0, .external_lex_state = 12},
  [17493] = {.lex_state = 0, .external_lex_state = 12},
  [17494] = {.lex_state = 0, .external_lex_state = 12},
  [17495] = {.lex_state = 0, .external_lex_state = 12},
  [17496] = {.lex_state = 0, .external_lex_state = 12},
  [17497] = {.lex_state = 0, .external_lex_state = 12},
  [17498] = {.lex_state = 0, .external_lex_state = 12},
  [17499] = {.lex_state = 0, .external_lex_state = 12},
  [17500] = {.lex_state = 0, .external_lex_state = 12},
  [17501] = {.lex_state = 0, .external_lex_state = 12},
  [17502] = {.lex_state = 0, .external_lex_state = 12},
  [17503] = {.lex_state = 0, .external_lex_state = 12},
  [17504] = {.lex_state = 503, .external_lex_state = 12},
  [17505] = {.lex_state = 0, .external_lex_state = 12},
  [17506] = {.lex_state = 503, .external_lex_state = 12},
  [17507] = {.lex_state = 503, .external_lex_state = 12},
  [17508] = {.lex_state = 503, .external_lex_state = 12},
  [17509] = {.lex_state = 0, .external_lex_state = 12},
  [17510] = {.lex_state = 0, .external_lex_state = 12},
  [17511] = {.lex_state = 503, .external_lex_state = 12},
  [17512] = {.lex_state = 0, .external_lex_state = 12},
  [17513] = {.lex_state = 0, .external_lex_state = 12},
  [17514] = {.lex_state = 0, .external_lex_state = 12},
  [17515] = {.lex_state = 0, .external_lex_state = 12},
  [17516] = {.lex_state = 0, .external_lex_state = 12},
  [17517] = {.lex_state = 503, .external_lex_state = 12},
  [17518] = {.lex_state = 0, .external_lex_state = 12},
  [17519] = {.lex_state = 0, .external_lex_state = 12},
  [17520] = {.lex_state = 0, .external_lex_state = 12},
  [17521] = {.lex_state = 0, .external_lex_state = 12},
  [17522] = {.lex_state = 0, .external_lex_state = 12},
  [17523] = {.lex_state = 503, .external_lex_state = 12},
  [17524] = {.lex_state = 0, .external_lex_state = 12},
  [17525] = {.lex_state = 0, .external_lex_state = 12},
  [17526] = {.lex_state = 0, .external_lex_state = 12},
  [17527] = {.lex_state = 0, .external_lex_state = 12},
  [17528] = {.lex_state = 503, .external_lex_state = 12},
  [17529] = {.lex_state = 0, .external_lex_state = 12},
  [17530] = {.lex_state = 0, .external_lex_state = 12},
  [17531] = {.lex_state = 0, .external_lex_state = 12},
  [17532] = {.lex_state = 503, .external_lex_state = 12},
  [17533] = {.lex_state = 0, .external_lex_state = 12},
  [17534] = {.lex_state = 503, .external_lex_state = 12},
  [17535] = {.lex_state = 0, .external_lex_state = 12},
  [17536] = {.lex_state = 0, .external_lex_state = 12},
  [17537] = {.lex_state = 0, .external_lex_state = 12},
  [17538] = {.lex_state = 0, .external_lex_state = 12},
  [17539] = {.lex_state = 0, .external_lex_state = 12},
  [17540] = {.lex_state = 0, .external_lex_state = 12},
  [17541] = {.lex_state = 0, .external_lex_state = 12},
  [17542] = {.lex_state = 0, .external_lex_state = 12},
  [17543] = {.lex_state = 503, .external_lex_state = 12},
  [17544] = {.lex_state = 0, .external_lex_state = 12},
  [17545] = {.lex_state = 0, .external_lex_state = 12},
  [17546] = {.lex_state = 0, .external_lex_state = 12},
  [17547] = {.lex_state = 0, .external_lex_state = 12},
  [17548] = {.lex_state = 0, .external_lex_state = 12},
  [17549] = {.lex_state = 0, .external_lex_state = 12},
  [17550] = {.lex_state = 0, .external_lex_state = 12},
  [17551] = {.lex_state = 0, .external_lex_state = 12},
  [17552] = {.lex_state = 0, .external_lex_state = 12},
  [17553] = {.lex_state = 503, .external_lex_state = 12},
  [17554] = {.lex_state = 0, .external_lex_state = 12},
  [17555] = {.lex_state = 0, .external_lex_state = 12},
  [17556] = {.lex_state = 0, .external_lex_state = 12},
  [17557] = {.lex_state = 0, .external_lex_state = 12},
  [17558] = {.lex_state = 503, .external_lex_state = 12},
  [17559] = {.lex_state = 0, .external_lex_state = 12},
  [17560] = {.lex_state = 503, .external_lex_state = 12},
  [17561] = {.lex_state = 0, .external_lex_state = 12},
  [17562] = {.lex_state = 0, .external_lex_state = 12},
  [17563] = {.lex_state = 503, .external_lex_state = 12},
  [17564] = {.lex_state = 0, .external_lex_state = 12},
  [17565] = {.lex_state = 503, .external_lex_state = 12},
  [17566] = {.lex_state = 503, .external_lex_state = 12},
  [17567] = {.lex_state = 0, .external_lex_state = 12},
  [17568] = {.lex_state = 0, .external_lex_state = 12},
  [17569] = {.lex_state = 503, .external_lex_state = 12},
  [17570] = {.lex_state = 0, .external_lex_state = 12},
  [17571] = {.lex_state = 0, .external_lex_state = 12},
  [17572] = {.lex_state = 0, .external_lex_state = 12},
  [17573] = {.lex_state = 0, .external_lex_state = 12},
  [17574] = {.lex_state = 0, .external_lex_state = 12},
  [17575] = {.lex_state = 503, .external_lex_state = 12},
  [17576] = {.lex_state = 0, .external_lex_state = 12},
  [17577] = {.lex_state = 0, .external_lex_state = 12},
  [17578] = {.lex_state = 0, .external_lex_state = 12},
  [17579] = {.lex_state = 0, .external_lex_state = 12},
  [17580] = {.lex_state = 0, .external_lex_state = 12},
  [17581] = {.lex_state = 0, .external_lex_state = 12},
  [17582] = {.lex_state = 0, .external_lex_state = 12},
  [17583] = {.lex_state = 0, .external_lex_state = 12},
  [17584] = {.lex_state = 0, .external_lex_state = 12},
  [17585] = {.lex_state = 0, .external_lex_state = 12},
  [17586] = {.lex_state = 0, .external_lex_state = 12},
  [17587] = {.lex_state = 0, .external_lex_state = 12},
  [17588] = {.lex_state = 0, .external_lex_state = 12},
  [17589] = {.lex_state = 0, .external_lex_state = 12},
  [17590] = {.lex_state = 503, .external_lex_state = 12},
  [17591] = {.lex_state = 0, .external_lex_state = 12},
  [17592] = {.lex_state = 0, .external_lex_state = 12},
  [17593] = {.lex_state = 503, .external_lex_state = 12},
  [17594] = {.lex_state = 0, .external_lex_state = 12},
  [17595] = {.lex_state = 0, .external_lex_state = 12},
  [17596] = {.lex_state = 503, .external_lex_state = 12},
  [17597] = {.lex_state = 0, .external_lex_state = 12},
  [17598] = {.lex_state = 0, .external_lex_state = 12},
  [17599] = {.lex_state = 0, .external_lex_state = 12},
  [17600] = {.lex_state = 0, .external_lex_state = 12},
  [17601] = {.lex_state = 0, .external_lex_state = 12},
  [17602] = {.lex_state = 0, .external_lex_state = 12},
  [17603] = {.lex_state = 0, .external_lex_state = 12},
  [17604] = {.lex_state = 0, .external_lex_state = 12},
  [17605] = {.lex_state = 0, .external_lex_state = 12},
  [17606] = {.lex_state = 0, .external_lex_state = 12},
  [17607] = {.lex_state = 0, .external_lex_state = 12},
  [17608] = {.lex_state = 0, .external_lex_state = 12},
  [17609] = {.lex_state = 0, .external_lex_state = 12},
  [17610] = {.lex_state = 0, .external_lex_state = 12},
  [17611] = {.lex_state = 0, .external_lex_state = 12},
  [17612] = {.lex_state = 0, .external_lex_state = 12},
  [17613] = {.lex_state = 0, .external_lex_state = 12},
  [17614] = {.lex_state = 503, .external_lex_state = 12},
  [17615] = {.lex_state = 503, .external_lex_state = 12},
  [17616] = {.lex_state = 0, .external_lex_state = 12},
  [17617] = {.lex_state = 0, .external_lex_state = 12},
  [17618] = {.lex_state = 503, .external_lex_state = 12},
  [17619] = {.lex_state = 503, .external_lex_state = 12},
  [17620] = {.lex_state = 0, .external_lex_state = 12},
  [17621] = {.lex_state = 0, .external_lex_state = 12},
  [17622] = {.lex_state = 0, .external_lex_state = 12},
  [17623] = {.lex_state = 0, .external_lex_state = 12},
  [17624] = {.lex_state = 0, .external_lex_state = 12},
  [17625] = {.lex_state = 0, .external_lex_state = 12},
  [17626] = {.lex_state = 0, .external_lex_state = 12},
  [17627] = {.lex_state = 0, .external_lex_state = 12},
  [17628] = {.lex_state = 0, .external_lex_state = 12},
  [17629] = {.lex_state = 0, .external_lex_state = 12},
  [17630] = {.lex_state = 0, .external_lex_state = 12},
  [17631] = {.lex_state = 503, .external_lex_state = 12},
  [17632] = {.lex_state = 503, .external_lex_state = 12},
  [17633] = {.lex_state = 0, .external_lex_state = 12},
  [17634] = {.lex_state = 0, .external_lex_state = 12},
  [17635] = {.lex_state = 0, .external_lex_state = 12},
  [17636] = {.lex_state = 0, .external_lex_state = 12},
  [17637] = {.lex_state = 0, .external_lex_state = 12},
  [17638] = {.lex_state = 503, .external_lex_state = 12},
  [17639] = {.lex_state = 0, .external_lex_state = 12},
  [17640] = {.lex_state = 0, .external_lex_state = 12},
  [17641] = {.lex_state = 0, .external_lex_state = 12},
  [17642] = {.lex_state = 0, .external_lex_state = 12},
  [17643] = {.lex_state = 0, .external_lex_state = 12},
  [17644] = {.lex_state = 0, .external_lex_state = 12},
  [17645] = {.lex_state = 0, .external_lex_state = 12},
  [17646] = {.lex_state = 503, .external_lex_state = 12},
  [17647] = {.lex_state = 503, .external_lex_state = 12},
  [17648] = {.lex_state = 0, .external_lex_state = 12},
  [17649] = {.lex_state = 0, .external_lex_state = 12},
  [17650] = {.lex_state = 0, .external_lex_state = 12},
  [17651] = {.lex_state = 0, .external_lex_state = 12},
  [17652] = {.lex_state = 503, .external_lex_state = 12},
  [17653] = {.lex_state = 0, .external_lex_state = 12},
  [17654] = {.lex_state = 503, .external_lex_state = 12},
  [17655] = {.lex_state = 0, .external_lex_state = 12},
  [17656] = {.lex_state = 0, .external_lex_state = 12},
  [17657] = {.lex_state = 0, .external_lex_state = 12},
  [17658] = {.lex_state = 503, .external_lex_state = 12},
  [17659] = {.lex_state = 0, .external_lex_state = 12},
  [17660] = {.lex_state = 0, .external_lex_state = 12},
  [17661] = {.lex_state = 0, .external_lex_state = 12},
  [17662] = {.lex_state = 0, .external_lex_state = 12},
  [17663] = {.lex_state = 0, .external_lex_state = 12},
  [17664] = {.lex_state = 0, .external_lex_state = 12},
  [17665] = {.lex_state = 0, .external_lex_state = 12},
  [17666] = {.lex_state = 503, .external_lex_state = 12},
  [17667] = {.lex_state = 0, .external_lex_state = 12},
  [17668] = {.lex_state = 0, .external_lex_state = 12},
  [17669] = {.lex_state = 503, .external_lex_state = 12},
  [17670] = {.lex_state = 0, .external_lex_state = 12},
  [17671] = {.lex_state = 503, .external_lex_state = 12},
  [17672] = {.lex_state = 0, .external_lex_state = 12},
  [17673] = {.lex_state = 0, .external_lex_state = 12},
  [17674] = {.lex_state = 0, .external_lex_state = 12},
  [17675] = {.lex_state = 0, .external_lex_state = 12},
  [17676] = {.lex_state = 0, .external_lex_state = 12},
  [17677] = {.lex_state = 0, .external_lex_state = 12},
  [17678] = {.lex_state = 503, .external_lex_state = 12},
  [17679] = {.lex_state = 503, .external_lex_state = 12},
  [17680] = {.lex_state = 0, .external_lex_state = 12},
  [17681] = {.lex_state = 0, .external_lex_state = 12},
  [17682] = {.lex_state = 0, .external_lex_state = 12},
  [17683] = {.lex_state = 503, .external_lex_state = 12},
  [17684] = {.lex_state = 503, .external_lex_state = 12},
  [17685] = {.lex_state = 0, .external_lex_state = 12},
  [17686] = {.lex_state = 0, .external_lex_state = 12},
  [17687] = {.lex_state = 0, .external_lex_state = 12},
  [17688] = {.lex_state = 0, .external_lex_state = 12},
  [17689] = {.lex_state = 0, .external_lex_state = 12},
  [17690] = {.lex_state = 0, .external_lex_state = 12},
  [17691] = {.lex_state = 0, .external_lex_state = 12},
  [17692] = {.lex_state = 0, .external_lex_state = 12},
  [17693] = {.lex_state = 0, .external_lex_state = 12},
  [17694] = {.lex_state = 0, .external_lex_state = 12},
  [17695] = {.lex_state = 0, .external_lex_state = 12},
  [17696] = {.lex_state = 0, .external_lex_state = 12},
  [17697] = {.lex_state = 0, .external_lex_state = 12},
  [17698] = {.lex_state = 0, .external_lex_state = 12},
  [17699] = {.lex_state = 0, .external_lex_state = 12},
  [17700] = {.lex_state = 0, .external_lex_state = 12},
  [17701] = {.lex_state = 0, .external_lex_state = 12},
  [17702] = {.lex_state = 503, .external_lex_state = 12},
  [17703] = {.lex_state = 0, .external_lex_state = 12},
  [17704] = {.lex_state = 503, .external_lex_state = 12},
  [17705] = {.lex_state = 0, .external_lex_state = 12},
  [17706] = {.lex_state = 0, .external_lex_state = 12},
  [17707] = {.lex_state = 0, .external_lex_state = 12},
  [17708] = {.lex_state = 0, .external_lex_state = 12},
  [17709] = {.lex_state = 0, .external_lex_state = 12},
  [17710] = {.lex_state = 0, .external_lex_state = 12},
  [17711] = {.lex_state = 0, .external_lex_state = 12},
  [17712] = {.lex_state = 0, .external_lex_state = 12},
  [17713] = {.lex_state = 0, .external_lex_state = 12},
  [17714] = {.lex_state = 0, .external_lex_state = 12},
  [17715] = {.lex_state = 0, .external_lex_state = 12},
  [17716] = {.lex_state = 0, .external_lex_state = 12},
  [17717] = {.lex_state = 503, .external_lex_state = 12},
  [17718] = {.lex_state = 0, .external_lex_state = 12},
  [17719] = {.lex_state = 0, .external_lex_state = 12},
  [17720] = {.lex_state = 0, .external_lex_state = 12},
  [17721] = {.lex_state = 0, .external_lex_state = 12},
  [17722] = {.lex_state = 0, .external_lex_state = 12},
  [17723] = {.lex_state = 503, .external_lex_state = 12},
  [17724] = {.lex_state = 0, .external_lex_state = 12},
  [17725] = {.lex_state = 0, .external_lex_state = 12},
  [17726] = {.lex_state = 0, .external_lex_state = 12},
  [17727] = {.lex_state = 0, .external_lex_state = 12},
  [17728] = {.lex_state = 0, .external_lex_state = 12},
  [17729] = {.lex_state = 0, .external_lex_state = 12},
  [17730] = {.lex_state = 0, .external_lex_state = 12},
  [17731] = {.lex_state = 503, .external_lex_state = 12},
  [17732] = {.lex_state = 0, .external_lex_state = 12},
  [17733] = {.lex_state = 503, .external_lex_state = 12},
  [17734] = {.lex_state = 0, .external_lex_state = 12},
  [17735] = {.lex_state = 0, .external_lex_state = 12},
  [17736] = {.lex_state = 0, .external_lex_state = 12},
  [17737] = {.lex_state = 0, .external_lex_state = 12},
  [17738] = {.lex_state = 0, .external_lex_state = 12},
  [17739] = {.lex_state = 0, .external_lex_state = 12},
  [17740] = {.lex_state = 0, .external_lex_state = 12},
  [17741] = {.lex_state = 0, .external_lex_state = 12},
  [17742] = {.lex_state = 0, .external_lex_state = 12},
  [17743] = {.lex_state = 0, .external_lex_state = 12},
  [17744] = {.lex_state = 0, .external_lex_state = 12},
  [17745] = {.lex_state = 0, .external_lex_state = 12},
  [17746] = {.lex_state = 0, .external_lex_state = 12},
  [17747] = {.lex_state = 503, .external_lex_state = 12},
  [17748] = {.lex_state = 0, .external_lex_state = 12},
  [17749] = {.lex_state = 0, .external_lex_state = 12},
  [17750] = {.lex_state = 0, .external_lex_state = 12},
  [17751] = {.lex_state = 503, .external_lex_state = 12},
  [17752] = {.lex_state = 0, .external_lex_state = 12},
  [17753] = {.lex_state = 0, .external_lex_state = 12},
  [17754] = {.lex_state = 0, .external_lex_state = 12},
  [17755] = {.lex_state = 503, .external_lex_state = 12},
  [17756] = {.lex_state = 0, .external_lex_state = 12},
  [17757] = {.lex_state = 0, .external_lex_state = 12},
  [17758] = {.lex_state = 0, .external_lex_state = 12},
  [17759] = {.lex_state = 0, .external_lex_state = 12},
  [17760] = {.lex_state = 503, .external_lex_state = 12},
  [17761] = {.lex_state = 0, .external_lex_state = 12},
  [17762] = {.lex_state = 0, .external_lex_state = 12},
  [17763] = {.lex_state = 0, .external_lex_state = 12},
  [17764] = {.lex_state = 0, .external_lex_state = 12},
  [17765] = {.lex_state = 0, .external_lex_state = 12},
  [17766] = {.lex_state = 0, .external_lex_state = 12},
  [17767] = {.lex_state = 503, .external_lex_state = 12},
  [17768] = {.lex_state = 0, .external_lex_state = 12},
  [17769] = {.lex_state = 0, .external_lex_state = 12},
  [17770] = {.lex_state = 0, .external_lex_state = 12},
  [17771] = {.lex_state = 0, .external_lex_state = 12},
  [17772] = {.lex_state = 0, .external_lex_state = 12},
  [17773] = {.lex_state = 0, .external_lex_state = 12},
  [17774] = {.lex_state = 0, .external_lex_state = 12},
  [17775] = {.lex_state = 0, .external_lex_state = 12},
  [17776] = {.lex_state = 0, .external_lex_state = 12},
  [17777] = {.lex_state = 0, .external_lex_state = 12},
  [17778] = {.lex_state = 0, .external_lex_state = 12},
  [17779] = {.lex_state = 0, .external_lex_state = 12},
  [17780] = {.lex_state = 0, .external_lex_state = 12},
  [17781] = {.lex_state = 0, .external_lex_state = 12},
  [17782] = {.lex_state = 0, .external_lex_state = 12},
  [17783] = {.lex_state = 503, .external_lex_state = 12},
  [17784] = {.lex_state = 0, .external_lex_state = 12},
  [17785] = {.lex_state = 0, .external_lex_state = 12},
  [17786] = {.lex_state = 0, .external_lex_state = 12},
  [17787] = {.lex_state = 503, .external_lex_state = 12},
  [17788] = {.lex_state = 0, .external_lex_state = 12},
  [17789] = {.lex_state = 0, .external_lex_state = 12},
  [17790] = {.lex_state = 0, .external_lex_state = 12},
  [17791] = {.lex_state = 0, .external_lex_state = 12},
  [17792] = {.lex_state = 503, .external_lex_state = 12},
  [17793] = {.lex_state = 0, .external_lex_state = 12},
  [17794] = {.lex_state = 0, .external_lex_state = 12},
  [17795] = {.lex_state = 0, .external_lex_state = 12},
  [17796] = {.lex_state = 0, .external_lex_state = 12},
  [17797] = {.lex_state = 503, .external_lex_state = 12},
  [17798] = {.lex_state = 0, .external_lex_state = 12},
  [17799] = {.lex_state = 0, .external_lex_state = 12},
  [17800] = {.lex_state = 0, .external_lex_state = 12},
  [17801] = {.lex_state = 0, .external_lex_state = 12},
  [17802] = {.lex_state = 0, .external_lex_state = 12},
  [17803] = {.lex_state = 0, .external_lex_state = 12},
  [17804] = {.lex_state = 0, .external_lex_state = 12},
  [17805] = {.lex_state = 0, .external_lex_state = 12},
  [17806] = {.lex_state = 0, .external_lex_state = 12},
  [17807] = {.lex_state = 0, .external_lex_state = 12},
  [17808] = {.lex_state = 0, .external_lex_state = 12},
  [17809] = {.lex_state = 0, .external_lex_state = 12},
  [17810] = {.lex_state = 0, .external_lex_state = 12},
  [17811] = {.lex_state = 503, .external_lex_state = 12},
  [17812] = {.lex_state = 503, .external_lex_state = 12},
  [17813] = {.lex_state = 0, .external_lex_state = 12},
  [17814] = {.lex_state = 0, .external_lex_state = 12},
  [17815] = {.lex_state = 0, .external_lex_state = 12},
  [17816] = {.lex_state = 0, .external_lex_state = 12},
  [17817] = {.lex_state = 0, .external_lex_state = 12},
  [17818] = {.lex_state = 0, .external_lex_state = 12},
  [17819] = {.lex_state = 0, .external_lex_state = 12},
  [17820] = {.lex_state = 0, .external_lex_state = 12},
  [17821] = {.lex_state = 503, .external_lex_state = 12},
  [17822] = {.lex_state = 0, .external_lex_state = 12},
  [17823] = {.lex_state = 0, .external_lex_state = 12},
  [17824] = {.lex_state = 0, .external_lex_state = 12},
  [17825] = {.lex_state = 0, .external_lex_state = 12},
  [17826] = {.lex_state = 503, .external_lex_state = 12},
  [17827] = {.lex_state = 0, .external_lex_state = 12},
  [17828] = {.lex_state = 0, .external_lex_state = 12},
  [17829] = {.lex_state = 0, .external_lex_state = 12},
  [17830] = {.lex_state = 0, .external_lex_state = 12},
  [17831] = {.lex_state = 0, .external_lex_state = 12},
  [17832] = {.lex_state = 503, .external_lex_state = 12},
  [17833] = {.lex_state = 0, .external_lex_state = 12},
  [17834] = {.lex_state = 503, .external_lex_state = 12},
  [17835] = {.lex_state = 0, .external_lex_state = 12},
  [17836] = {.lex_state = 0, .external_lex_state = 12},
  [17837] = {.lex_state = 0, .external_lex_state = 12},
  [17838] = {.lex_state = 0, .external_lex_state = 12},
  [17839] = {.lex_state = 0, .external_lex_state = 12},
  [17840] = {.lex_state = 503, .external_lex_state = 12},
  [17841] = {.lex_state = 0, .external_lex_state = 12},
  [17842] = {.lex_state = 0, .external_lex_state = 12},
  [17843] = {.lex_state = 0, .external_lex_state = 12},
  [17844] = {.lex_state = 503, .external_lex_state = 12},
  [17845] = {.lex_state = 0, .external_lex_state = 12},
  [17846] = {.lex_state = 503, .external_lex_state = 12},
  [17847] = {.lex_state = 0, .external_lex_state = 12},
  [17848] = {.lex_state = 0, .external_lex_state = 12},
  [17849] = {.lex_state = 0, .external_lex_state = 12},
  [17850] = {.lex_state = 0, .external_lex_state = 12},
  [17851] = {.lex_state = 0, .external_lex_state = 12},
  [17852] = {.lex_state = 0, .external_lex_state = 12},
  [17853] = {.lex_state = 0, .external_lex_state = 12},
  [17854] = {.lex_state = 0, .external_lex_state = 12},
  [17855] = {.lex_state = 503, .external_lex_state = 12},
  [17856] = {.lex_state = 503, .external_lex_state = 12},
  [17857] = {.lex_state = 0, .external_lex_state = 12},
  [17858] = {.lex_state = 0, .external_lex_state = 12},
  [17859] = {.lex_state = 409, .external_lex_state = 12},
  [17860] = {.lex_state = 0, .external_lex_state = 12},
  [17861] = {.lex_state = 0, .external_lex_state = 12},
  [17862] = {.lex_state = 0, .external_lex_state = 12},
  [17863] = {.lex_state = 0, .external_lex_state = 12},
  [17864] = {.lex_state = 0, .external_lex_state = 12},
  [17865] = {.lex_state = 0, .external_lex_state = 12},
  [17866] = {.lex_state = 0, .external_lex_state = 12},
  [17867] = {.lex_state = 0, .external_lex_state = 12},
  [17868] = {.lex_state = 0, .external_lex_state = 12},
  [17869] = {.lex_state = 0, .external_lex_state = 12},
  [17870] = {.lex_state = 0, .external_lex_state = 12},
  [17871] = {.lex_state = 0, .external_lex_state = 12},
  [17872] = {.lex_state = 0, .external_lex_state = 12},
  [17873] = {.lex_state = 503, .external_lex_state = 12},
  [17874] = {.lex_state = 0, .external_lex_state = 12},
  [17875] = {.lex_state = 503, .external_lex_state = 12},
  [17876] = {.lex_state = 503, .external_lex_state = 12},
  [17877] = {.lex_state = 0, .external_lex_state = 12},
  [17878] = {.lex_state = 409, .external_lex_state = 12},
  [17879] = {.lex_state = 0, .external_lex_state = 12},
  [17880] = {.lex_state = 0, .external_lex_state = 12},
  [17881] = {.lex_state = 409, .external_lex_state = 12},
  [17882] = {.lex_state = 503, .external_lex_state = 12},
  [17883] = {.lex_state = 409, .external_lex_state = 12},
  [17884] = {.lex_state = 503, .external_lex_state = 12},
  [17885] = {.lex_state = 409, .external_lex_state = 12},
  [17886] = {.lex_state = 409, .external_lex_state = 12},
  [17887] = {.lex_state = 409, .external_lex_state = 12},
  [17888] = {.lex_state = 409, .external_lex_state = 12},
  [17889] = {.lex_state = 409, .external_lex_state = 12},
  [17890] = {.lex_state = 0, .external_lex_state = 12},
  [17891] = {.lex_state = 409, .external_lex_state = 12},
  [17892] = {.lex_state = 409, .external_lex_state = 12},
  [17893] = {.lex_state = 409, .external_lex_state = 12},
  [17894] = {.lex_state = 409, .external_lex_state = 12},
  [17895] = {.lex_state = 409, .external_lex_state = 12},
  [17896] = {.lex_state = 0, .external_lex_state = 12},
  [17897] = {.lex_state = 0, .external_lex_state = 12},
  [17898] = {.lex_state = 0, .external_lex_state = 12},
  [17899] = {.lex_state = 0, .external_lex_state = 12},
  [17900] = {.lex_state = 0, .external_lex_state = 12},
  [17901] = {.lex_state = 409, .external_lex_state = 12},
  [17902] = {.lex_state = 0, .external_lex_state = 12},
  [17903] = {.lex_state = 409, .external_lex_state = 12},
  [17904] = {.lex_state = 409, .external_lex_state = 12},
  [17905] = {.lex_state = 409, .external_lex_state = 12},
  [17906] = {.lex_state = 0, .external_lex_state = 12},
  [17907] = {.lex_state = 409, .external_lex_state = 12},
  [17908] = {.lex_state = 409, .external_lex_state = 12},
  [17909] = {.lex_state = 503, .external_lex_state = 12},
  [17910] = {.lex_state = 409, .external_lex_state = 12},
  [17911] = {.lex_state = 409, .external_lex_state = 12},
  [17912] = {.lex_state = 409, .external_lex_state = 12},
  [17913] = {.lex_state = 409, .external_lex_state = 12},
  [17914] = {.lex_state = 0, .external_lex_state = 12},
  [17915] = {.lex_state = 0, .external_lex_state = 12},
  [17916] = {.lex_state = 0, .external_lex_state = 12},
  [17917] = {.lex_state = 409, .external_lex_state = 12},
  [17918] = {.lex_state = 503, .external_lex_state = 12},
  [17919] = {.lex_state = 409, .external_lex_state = 12},
  [17920] = {.lex_state = 503, .external_lex_state = 12},
  [17921] = {.lex_state = 0, .external_lex_state = 12},
  [17922] = {.lex_state = 0, .external_lex_state = 12},
  [17923] = {.lex_state = 409, .external_lex_state = 12},
  [17924] = {.lex_state = 0, .external_lex_state = 12},
  [17925] = {.lex_state = 0, .external_lex_state = 12},
  [17926] = {.lex_state = 409, .external_lex_state = 12},
  [17927] = {.lex_state = 503, .external_lex_state = 12},
  [17928] = {.lex_state = 0, .external_lex_state = 12},
  [17929] = {.lex_state = 0, .external_lex_state = 12},
  [17930] = {.lex_state = 409, .external_lex_state = 12},
  [17931] = {.lex_state = 409, .external_lex_state = 12},
  [17932] = {.lex_state = 0, .external_lex_state = 12},
  [17933] = {.lex_state = 503, .external_lex_state = 12},
  [17934] = {.lex_state = 503, .external_lex_state = 12},
  [17935] = {.lex_state = 409, .external_lex_state = 12},
  [17936] = {.lex_state = 503, .external_lex_state = 12},
  [17937] = {.lex_state = 409, .external_lex_state = 12},
  [17938] = {.lex_state = 0, .external_lex_state = 12},
  [17939] = {.lex_state = 0, .external_lex_state = 12},
  [17940] = {.lex_state = 0, .external_lex_state = 12},
  [17941] = {.lex_state = 0, .external_lex_state = 12},
  [17942] = {.lex_state = 409, .external_lex_state = 12},
  [17943] = {.lex_state = 409, .external_lex_state = 12},
  [17944] = {.lex_state = 503, .external_lex_state = 12},
  [17945] = {.lex_state = 0, .external_lex_state = 12},
  [17946] = {.lex_state = 409, .external_lex_state = 12},
  [17947] = {.lex_state = 409, .external_lex_state = 12},
  [17948] = {.lex_state = 0, .external_lex_state = 12},
  [17949] = {.lex_state = 0, .external_lex_state = 12},
  [17950] = {.lex_state = 409, .external_lex_state = 12},
  [17951] = {.lex_state = 414, .external_lex_state = 12},
  [17952] = {.lex_state = 0, .external_lex_state = 12},
  [17953] = {.lex_state = 0, .external_lex_state = 12},
  [17954] = {.lex_state = 0, .external_lex_state = 12},
  [17955] = {.lex_state = 0, .external_lex_state = 12},
  [17956] = {.lex_state = 409, .external_lex_state = 12},
  [17957] = {.lex_state = 0, .external_lex_state = 12},
  [17958] = {.lex_state = 0, .external_lex_state = 12},
  [17959] = {.lex_state = 0, .external_lex_state = 12},
  [17960] = {.lex_state = 0, .external_lex_state = 12},
  [17961] = {.lex_state = 0, .external_lex_state = 12},
  [17962] = {.lex_state = 0, .external_lex_state = 12},
  [17963] = {.lex_state = 0, .external_lex_state = 12},
  [17964] = {.lex_state = 0, .external_lex_state = 12},
  [17965] = {.lex_state = 0, .external_lex_state = 12},
  [17966] = {.lex_state = 409, .external_lex_state = 12},
  [17967] = {.lex_state = 409, .external_lex_state = 12},
  [17968] = {.lex_state = 0, .external_lex_state = 12},
  [17969] = {.lex_state = 0, .external_lex_state = 12},
  [17970] = {.lex_state = 0, .external_lex_state = 12},
  [17971] = {.lex_state = 0, .external_lex_state = 12},
  [17972] = {.lex_state = 503, .external_lex_state = 12},
  [17973] = {.lex_state = 0, .external_lex_state = 12},
  [17974] = {.lex_state = 0, .external_lex_state = 12},
  [17975] = {.lex_state = 0, .external_lex_state = 12},
  [17976] = {.lex_state = 0, .external_lex_state = 12},
  [17977] = {.lex_state = 0, .external_lex_state = 12},
  [17978] = {.lex_state = 0, .external_lex_state = 12},
  [17979] = {.lex_state = 503, .external_lex_state = 12},
  [17980] = {.lex_state = 0, .external_lex_state = 12},
  [17981] = {.lex_state = 0, .external_lex_state = 12},
  [17982] = {.lex_state = 0, .external_lex_state = 12},
  [17983] = {.lex_state = 503, .external_lex_state = 12},
  [17984] = {.lex_state = 0, .external_lex_state = 12},
  [17985] = {.lex_state = 0, .external_lex_state = 12},
  [17986] = {.lex_state = 0, .external_lex_state = 12},
  [17987] = {.lex_state = 0, .external_lex_state = 12},
  [17988] = {.lex_state = 0, .external_lex_state = 12},
  [17989] = {.lex_state = 503, .external_lex_state = 12},
  [17990] = {.lex_state = 0, .external_lex_state = 12},
  [17991] = {.lex_state = 0, .external_lex_state = 12},
  [17992] = {.lex_state = 0, .external_lex_state = 12},
  [17993] = {.lex_state = 0, .external_lex_state = 12},
  [17994] = {.lex_state = 0, .external_lex_state = 12},
  [17995] = {.lex_state = 0, .external_lex_state = 12},
  [17996] = {.lex_state = 0, .external_lex_state = 12},
  [17997] = {.lex_state = 0, .external_lex_state = 12},
  [17998] = {.lex_state = 0, .external_lex_state = 12},
  [17999] = {.lex_state = 0, .external_lex_state = 12},
  [18000] = {.lex_state = 0, .external_lex_state = 12},
  [18001] = {.lex_state = 0, .external_lex_state = 12},
  [18002] = {.lex_state = 0, .external_lex_state = 12},
  [18003] = {.lex_state = 0, .external_lex_state = 12},
  [18004] = {.lex_state = 0, .external_lex_state = 12},
  [18005] = {.lex_state = 0, .external_lex_state = 12},
  [18006] = {.lex_state = 0, .external_lex_state = 12},
  [18007] = {.lex_state = 0, .external_lex_state = 12},
  [18008] = {.lex_state = 0, .external_lex_state = 12},
  [18009] = {.lex_state = 363, .external_lex_state = 12},
  [18010] = {.lex_state = 0, .external_lex_state = 12},
  [18011] = {.lex_state = 0, .external_lex_state = 12},
  [18012] = {.lex_state = 0, .external_lex_state = 12},
  [18013] = {.lex_state = 0, .external_lex_state = 12},
  [18014] = {.lex_state = 503, .external_lex_state = 12},
  [18015] = {.lex_state = 0, .external_lex_state = 12},
  [18016] = {.lex_state = 0, .external_lex_state = 12},
  [18017] = {.lex_state = 503, .external_lex_state = 12},
  [18018] = {.lex_state = 503, .external_lex_state = 12},
  [18019] = {.lex_state = 0, .external_lex_state = 12},
  [18020] = {.lex_state = 0, .external_lex_state = 12},
  [18021] = {.lex_state = 0, .external_lex_state = 12},
  [18022] = {.lex_state = 503, .external_lex_state = 12},
  [18023] = {.lex_state = 503, .external_lex_state = 12},
  [18024] = {.lex_state = 0, .external_lex_state = 12},
  [18025] = {.lex_state = 0, .external_lex_state = 12},
  [18026] = {.lex_state = 0, .external_lex_state = 12},
  [18027] = {.lex_state = 0, .external_lex_state = 12},
  [18028] = {.lex_state = 503, .external_lex_state = 12},
  [18029] = {.lex_state = 503, .external_lex_state = 12},
  [18030] = {.lex_state = 503, .external_lex_state = 12},
  [18031] = {.lex_state = 0, .external_lex_state = 12},
  [18032] = {.lex_state = 0, .external_lex_state = 12},
  [18033] = {.lex_state = 0, .external_lex_state = 12},
  [18034] = {.lex_state = 0, .external_lex_state = 12},
  [18035] = {.lex_state = 0, .external_lex_state = 12},
  [18036] = {.lex_state = 0, .external_lex_state = 12},
  [18037] = {.lex_state = 0, .external_lex_state = 12},
  [18038] = {.lex_state = 0, .external_lex_state = 12},
  [18039] = {.lex_state = 0, .external_lex_state = 12},
  [18040] = {.lex_state = 0, .external_lex_state = 12},
  [18041] = {.lex_state = 0, .external_lex_state = 12},
  [18042] = {.lex_state = 0, .external_lex_state = 12},
  [18043] = {.lex_state = 0, .external_lex_state = 12},
  [18044] = {.lex_state = 0, .external_lex_state = 12},
  [18045] = {.lex_state = 0, .external_lex_state = 12},
  [18046] = {.lex_state = 0, .external_lex_state = 12},
  [18047] = {.lex_state = 0, .external_lex_state = 12},
  [18048] = {.lex_state = 503, .external_lex_state = 12},
  [18049] = {.lex_state = 0, .external_lex_state = 12},
  [18050] = {.lex_state = 0, .external_lex_state = 12},
  [18051] = {.lex_state = 0, .external_lex_state = 12},
  [18052] = {.lex_state = 0, .external_lex_state = 12},
  [18053] = {.lex_state = 0, .external_lex_state = 12},
  [18054] = {.lex_state = 0, .external_lex_state = 12},
  [18055] = {.lex_state = 363, .external_lex_state = 12},
  [18056] = {.lex_state = 0, .external_lex_state = 12},
  [18057] = {.lex_state = 0, .external_lex_state = 12},
  [18058] = {.lex_state = 0, .external_lex_state = 12},
  [18059] = {.lex_state = 363, .external_lex_state = 12},
  [18060] = {.lex_state = 0, .external_lex_state = 12},
  [18061] = {.lex_state = 0, .external_lex_state = 12},
  [18062] = {.lex_state = 0, .external_lex_state = 12},
  [18063] = {.lex_state = 0, .external_lex_state = 12},
  [18064] = {.lex_state = 0, .external_lex_state = 12},
  [18065] = {.lex_state = 503, .external_lex_state = 12},
  [18066] = {.lex_state = 0, .external_lex_state = 12},
  [18067] = {.lex_state = 503, .external_lex_state = 12},
  [18068] = {.lex_state = 0, .external_lex_state = 12},
  [18069] = {.lex_state = 0, .external_lex_state = 12},
  [18070] = {.lex_state = 0, .external_lex_state = 12},
  [18071] = {.lex_state = 0, .external_lex_state = 12},
  [18072] = {.lex_state = 503, .external_lex_state = 12},
  [18073] = {.lex_state = 0, .external_lex_state = 12},
  [18074] = {.lex_state = 503, .external_lex_state = 12},
  [18075] = {.lex_state = 0, .external_lex_state = 12},
  [18076] = {.lex_state = 0, .external_lex_state = 12},
  [18077] = {.lex_state = 0, .external_lex_state = 12},
  [18078] = {.lex_state = 0, .external_lex_state = 12},
  [18079] = {.lex_state = 0, .external_lex_state = 12},
  [18080] = {.lex_state = 0, .external_lex_state = 12},
  [18081] = {.lex_state = 0, .external_lex_state = 12},
  [18082] = {.lex_state = 0, .external_lex_state = 12},
  [18083] = {.lex_state = 503, .external_lex_state = 12},
  [18084] = {.lex_state = 0, .external_lex_state = 12},
  [18085] = {.lex_state = 0, .external_lex_state = 12},
  [18086] = {.lex_state = 0, .external_lex_state = 12},
  [18087] = {.lex_state = 0, .external_lex_state = 12},
  [18088] = {.lex_state = 0, .external_lex_state = 12},
  [18089] = {.lex_state = 0, .external_lex_state = 12},
  [18090] = {.lex_state = 0, .external_lex_state = 12},
  [18091] = {.lex_state = 0, .external_lex_state = 12},
  [18092] = {.lex_state = 0, .external_lex_state = 12},
  [18093] = {.lex_state = 0, .external_lex_state = 12},
  [18094] = {.lex_state = 0, .external_lex_state = 12},
  [18095] = {.lex_state = 0, .external_lex_state = 12},
  [18096] = {.lex_state = 0, .external_lex_state = 12},
  [18097] = {.lex_state = 503, .external_lex_state = 12},
  [18098] = {.lex_state = 0, .external_lex_state = 12},
  [18099] = {.lex_state = 0, .external_lex_state = 12},
  [18100] = {.lex_state = 0, .external_lex_state = 12},
  [18101] = {.lex_state = 0, .external_lex_state = 12},
  [18102] = {.lex_state = 0, .external_lex_state = 12},
  [18103] = {.lex_state = 0, .external_lex_state = 12},
  [18104] = {.lex_state = 0, .external_lex_state = 12},
  [18105] = {.lex_state = 363, .external_lex_state = 12},
  [18106] = {.lex_state = 0, .external_lex_state = 12},
  [18107] = {.lex_state = 0, .external_lex_state = 12},
  [18108] = {.lex_state = 0, .external_lex_state = 12},
  [18109] = {.lex_state = 0, .external_lex_state = 12},
  [18110] = {.lex_state = 503, .external_lex_state = 12},
  [18111] = {.lex_state = 0, .external_lex_state = 12},
  [18112] = {.lex_state = 503, .external_lex_state = 12},
  [18113] = {.lex_state = 0, .external_lex_state = 12},
  [18114] = {.lex_state = 0, .external_lex_state = 12},
  [18115] = {.lex_state = 0, .external_lex_state = 12},
  [18116] = {.lex_state = 0, .external_lex_state = 12},
  [18117] = {.lex_state = 0, .external_lex_state = 12},
  [18118] = {.lex_state = 0, .external_lex_state = 12},
  [18119] = {.lex_state = 0, .external_lex_state = 12},
  [18120] = {.lex_state = 0, .external_lex_state = 12},
  [18121] = {.lex_state = 0, .external_lex_state = 12},
  [18122] = {.lex_state = 503, .external_lex_state = 12},
  [18123] = {.lex_state = 0, .external_lex_state = 12},
  [18124] = {.lex_state = 0, .external_lex_state = 12},
  [18125] = {.lex_state = 0, .external_lex_state = 12},
  [18126] = {.lex_state = 0, .external_lex_state = 12},
  [18127] = {.lex_state = 0, .external_lex_state = 12},
  [18128] = {.lex_state = 0, .external_lex_state = 12},
  [18129] = {.lex_state = 0, .external_lex_state = 12},
  [18130] = {.lex_state = 0, .external_lex_state = 12},
  [18131] = {.lex_state = 0, .external_lex_state = 12},
  [18132] = {.lex_state = 0, .external_lex_state = 12},
  [18133] = {.lex_state = 0, .external_lex_state = 12},
  [18134] = {.lex_state = 0, .external_lex_state = 12},
  [18135] = {.lex_state = 0, .external_lex_state = 12},
  [18136] = {.lex_state = 503, .external_lex_state = 12},
  [18137] = {.lex_state = 0, .external_lex_state = 12},
  [18138] = {.lex_state = 503, .external_lex_state = 12},
  [18139] = {.lex_state = 0, .external_lex_state = 12},
  [18140] = {.lex_state = 0, .external_lex_state = 12},
  [18141] = {.lex_state = 0, .external_lex_state = 12},
  [18142] = {.lex_state = 0, .external_lex_state = 12},
  [18143] = {.lex_state = 0, .external_lex_state = 12},
  [18144] = {.lex_state = 0, .external_lex_state = 12},
  [18145] = {.lex_state = 0, .external_lex_state = 12},
  [18146] = {.lex_state = 0, .external_lex_state = 12},
  [18147] = {.lex_state = 503, .external_lex_state = 12},
  [18148] = {.lex_state = 0, .external_lex_state = 12},
  [18149] = {.lex_state = 0, .external_lex_state = 12},
  [18150] = {.lex_state = 0, .external_lex_state = 12},
  [18151] = {.lex_state = 503, .external_lex_state = 12},
  [18152] = {.lex_state = 503, .external_lex_state = 12},
  [18153] = {.lex_state = 0, .external_lex_state = 12},
  [18154] = {.lex_state = 343, .external_lex_state = 12},
  [18155] = {.lex_state = 363, .external_lex_state = 12},
  [18156] = {.lex_state = 363, .external_lex_state = 12},
  [18157] = {.lex_state = 0, .external_lex_state = 12},
  [18158] = {.lex_state = 0, .external_lex_state = 12},
  [18159] = {.lex_state = 409, .external_lex_state = 12},
  [18160] = {.lex_state = 0, .external_lex_state = 12},
  [18161] = {.lex_state = 363, .external_lex_state = 12},
  [18162] = {.lex_state = 363, .external_lex_state = 12},
  [18163] = {.lex_state = 363, .external_lex_state = 12},
  [18164] = {.lex_state = 363, .external_lex_state = 12},
  [18165] = {.lex_state = 363, .external_lex_state = 12},
  [18166] = {.lex_state = 363, .external_lex_state = 12},
  [18167] = {.lex_state = 363, .external_lex_state = 12},
  [18168] = {.lex_state = 363, .external_lex_state = 12},
  [18169] = {.lex_state = 363, .external_lex_state = 12},
  [18170] = {.lex_state = 363, .external_lex_state = 12},
  [18171] = {.lex_state = 363, .external_lex_state = 12},
  [18172] = {.lex_state = 363, .external_lex_state = 12},
  [18173] = {.lex_state = 363, .external_lex_state = 12},
  [18174] = {.lex_state = 363, .external_lex_state = 12},
  [18175] = {.lex_state = 363, .external_lex_state = 12},
  [18176] = {.lex_state = 363, .external_lex_state = 12},
  [18177] = {.lex_state = 363, .external_lex_state = 12},
  [18178] = {.lex_state = 363, .external_lex_state = 12},
  [18179] = {.lex_state = 363, .external_lex_state = 12},
  [18180] = {.lex_state = 363, .external_lex_state = 12},
  [18181] = {.lex_state = 0, .external_lex_state = 12},
  [18182] = {.lex_state = 363, .external_lex_state = 12},
  [18183] = {.lex_state = 363, .external_lex_state = 12},
  [18184] = {.lex_state = 0, .external_lex_state = 12},
  [18185] = {.lex_state = 343, .external_lex_state = 12},
  [18186] = {.lex_state = 0, .external_lex_state = 12},
  [18187] = {.lex_state = 363, .external_lex_state = 12},
  [18188] = {.lex_state = 363, .external_lex_state = 12},
  [18189] = {.lex_state = 0, .external_lex_state = 12},
  [18190] = {.lex_state = 0, .external_lex_state = 12},
  [18191] = {.lex_state = 363, .external_lex_state = 12},
  [18192] = {.lex_state = 363, .external_lex_state = 12},
  [18193] = {.lex_state = 363, .external_lex_state = 12},
  [18194] = {.lex_state = 363, .external_lex_state = 12},
  [18195] = {.lex_state = 363, .external_lex_state = 12},
  [18196] = {.lex_state = 363, .external_lex_state = 12},
  [18197] = {.lex_state = 0, .external_lex_state = 12},
  [18198] = {.lex_state = 363, .external_lex_state = 12},
  [18199] = {.lex_state = 363, .external_lex_state = 12},
  [18200] = {.lex_state = 363, .external_lex_state = 12},
  [18201] = {.lex_state = 0, .external_lex_state = 12},
  [18202] = {.lex_state = 363, .external_lex_state = 12},
  [18203] = {.lex_state = 363, .external_lex_state = 12},
  [18204] = {.lex_state = 363, .external_lex_state = 12},
  [18205] = {.lex_state = 363, .external_lex_state = 12},
  [18206] = {.lex_state = 363, .external_lex_state = 12},
  [18207] = {.lex_state = 363, .external_lex_state = 12},
  [18208] = {.lex_state = 363, .external_lex_state = 12},
  [18209] = {.lex_state = 363, .external_lex_state = 12},
  [18210] = {.lex_state = 363, .external_lex_state = 12},
  [18211] = {.lex_state = 363, .external_lex_state = 12},
  [18212] = {.lex_state = 363, .external_lex_state = 12},
  [18213] = {.lex_state = 363, .external_lex_state = 12},
  [18214] = {.lex_state = 363, .external_lex_state = 12},
  [18215] = {.lex_state = 363, .external_lex_state = 12},
  [18216] = {.lex_state = 363, .external_lex_state = 12},
  [18217] = {.lex_state = 0, .external_lex_state = 12},
  [18218] = {.lex_state = 0, .external_lex_state = 12},
  [18219] = {.lex_state = 0, .external_lex_state = 12},
  [18220] = {.lex_state = 0, .external_lex_state = 12},
  [18221] = {.lex_state = 0, .external_lex_state = 12},
  [18222] = {.lex_state = 0, .external_lex_state = 12},
  [18223] = {.lex_state = 0, .external_lex_state = 12},
  [18224] = {.lex_state = 409, .external_lex_state = 12},
  [18225] = {.lex_state = 363, .external_lex_state = 12},
  [18226] = {.lex_state = 363, .external_lex_state = 12},
  [18227] = {.lex_state = 363, .external_lex_state = 12},
  [18228] = {.lex_state = 363, .external_lex_state = 12},
  [18229] = {.lex_state = 363, .external_lex_state = 12},
  [18230] = {.lex_state = 0, .external_lex_state = 12},
  [18231] = {.lex_state = 363, .external_lex_state = 12},
  [18232] = {.lex_state = 363, .external_lex_state = 12},
  [18233] = {.lex_state = 363, .external_lex_state = 12},
  [18234] = {.lex_state = 363, .external_lex_state = 12},
  [18235] = {.lex_state = 363, .external_lex_state = 12},
  [18236] = {.lex_state = 0, .external_lex_state = 12},
  [18237] = {.lex_state = 363, .external_lex_state = 12},
  [18238] = {.lex_state = 363, .external_lex_state = 12},
  [18239] = {.lex_state = 363, .external_lex_state = 12},
  [18240] = {.lex_state = 363, .external_lex_state = 12},
  [18241] = {.lex_state = 363, .external_lex_state = 12},
  [18242] = {.lex_state = 363, .external_lex_state = 12},
  [18243] = {.lex_state = 363, .external_lex_state = 12},
  [18244] = {.lex_state = 363, .external_lex_state = 12},
  [18245] = {.lex_state = 0, .external_lex_state = 12},
  [18246] = {.lex_state = 363, .external_lex_state = 12},
  [18247] = {.lex_state = 0, .external_lex_state = 12},
  [18248] = {.lex_state = 363, .external_lex_state = 12},
  [18249] = {.lex_state = 363, .external_lex_state = 12},
  [18250] = {.lex_state = 363, .external_lex_state = 12},
  [18251] = {.lex_state = 363, .external_lex_state = 12},
  [18252] = {.lex_state = 363, .external_lex_state = 12},
  [18253] = {.lex_state = 363, .external_lex_state = 12},
  [18254] = {.lex_state = 363, .external_lex_state = 12},
  [18255] = {.lex_state = 363, .external_lex_state = 12},
  [18256] = {.lex_state = 363, .external_lex_state = 12},
  [18257] = {.lex_state = 363, .external_lex_state = 12},
  [18258] = {.lex_state = 363, .external_lex_state = 12},
  [18259] = {.lex_state = 363, .external_lex_state = 12},
  [18260] = {.lex_state = 363, .external_lex_state = 12},
  [18261] = {.lex_state = 363, .external_lex_state = 12},
  [18262] = {.lex_state = 363, .external_lex_state = 12},
  [18263] = {.lex_state = 363, .external_lex_state = 12},
  [18264] = {.lex_state = 0, .external_lex_state = 12},
  [18265] = {.lex_state = 0, .external_lex_state = 12},
  [18266] = {.lex_state = 0, .external_lex_state = 12},
  [18267] = {.lex_state = 0, .external_lex_state = 12},
  [18268] = {.lex_state = 0, .external_lex_state = 12},
  [18269] = {.lex_state = 0, .external_lex_state = 12},
  [18270] = {.lex_state = 0, .external_lex_state = 12},
  [18271] = {.lex_state = 0, .external_lex_state = 12},
  [18272] = {.lex_state = 363, .external_lex_state = 12},
  [18273] = {.lex_state = 363, .external_lex_state = 12},
  [18274] = {.lex_state = 363, .external_lex_state = 12},
  [18275] = {.lex_state = 363, .external_lex_state = 12},
  [18276] = {.lex_state = 363, .external_lex_state = 12},
  [18277] = {.lex_state = 363, .external_lex_state = 12},
  [18278] = {.lex_state = 363, .external_lex_state = 12},
  [18279] = {.lex_state = 363, .external_lex_state = 12},
  [18280] = {.lex_state = 363, .external_lex_state = 12},
  [18281] = {.lex_state = 363, .external_lex_state = 12},
  [18282] = {.lex_state = 363, .external_lex_state = 12},
  [18283] = {.lex_state = 363, .external_lex_state = 12},
  [18284] = {.lex_state = 363, .external_lex_state = 12},
  [18285] = {.lex_state = 363, .external_lex_state = 12},
  [18286] = {.lex_state = 363, .external_lex_state = 12},
  [18287] = {.lex_state = 363, .external_lex_state = 12},
  [18288] = {.lex_state = 363, .external_lex_state = 12},
  [18289] = {.lex_state = 0, .external_lex_state = 12},
  [18290] = {.lex_state = 363, .external_lex_state = 12},
  [18291] = {.lex_state = 363, .external_lex_state = 12},
  [18292] = {.lex_state = 363, .external_lex_state = 12},
  [18293] = {.lex_state = 343, .external_lex_state = 12},
  [18294] = {.lex_state = 363, .external_lex_state = 12},
  [18295] = {.lex_state = 363, .external_lex_state = 12},
  [18296] = {.lex_state = 363, .external_lex_state = 12},
  [18297] = {.lex_state = 0, .external_lex_state = 12},
  [18298] = {.lex_state = 0, .external_lex_state = 12},
  [18299] = {.lex_state = 363, .external_lex_state = 12},
  [18300] = {.lex_state = 363, .external_lex_state = 12},
  [18301] = {.lex_state = 363, .external_lex_state = 12},
  [18302] = {.lex_state = 363, .external_lex_state = 12},
  [18303] = {.lex_state = 363, .external_lex_state = 12},
  [18304] = {.lex_state = 0, .external_lex_state = 12},
  [18305] = {.lex_state = 0, .external_lex_state = 12},
  [18306] = {.lex_state = 363, .external_lex_state = 12},
  [18307] = {.lex_state = 363, .external_lex_state = 12},
  [18308] = {.lex_state = 363, .external_lex_state = 12},
  [18309] = {.lex_state = 0, .external_lex_state = 12},
  [18310] = {.lex_state = 0, .external_lex_state = 12},
  [18311] = {.lex_state = 363, .external_lex_state = 12},
  [18312] = {.lex_state = 363, .external_lex_state = 12},
  [18313] = {.lex_state = 363, .external_lex_state = 12},
  [18314] = {.lex_state = 363, .external_lex_state = 12},
  [18315] = {.lex_state = 363, .external_lex_state = 12},
  [18316] = {.lex_state = 363, .external_lex_state = 12},
  [18317] = {.lex_state = 363, .external_lex_state = 12},
  [18318] = {.lex_state = 363, .external_lex_state = 12},
  [18319] = {.lex_state = 363, .external_lex_state = 12},
  [18320] = {.lex_state = 363, .external_lex_state = 12},
  [18321] = {.lex_state = 363, .external_lex_state = 12},
  [18322] = {.lex_state = 363, .external_lex_state = 12},
  [18323] = {.lex_state = 363, .external_lex_state = 12},
  [18324] = {.lex_state = 363, .external_lex_state = 12},
  [18325] = {.lex_state = 363, .external_lex_state = 12},
  [18326] = {.lex_state = 363, .external_lex_state = 12},
  [18327] = {.lex_state = 0, .external_lex_state = 12},
  [18328] = {.lex_state = 363, .external_lex_state = 12},
  [18329] = {.lex_state = 0, .external_lex_state = 12},
  [18330] = {.lex_state = 363, .external_lex_state = 12},
  [18331] = {.lex_state = 0, .external_lex_state = 12},
  [18332] = {.lex_state = 409, .external_lex_state = 12},
  [18333] = {.lex_state = 0, .external_lex_state = 12},
  [18334] = {.lex_state = 363, .external_lex_state = 12},
  [18335] = {.lex_state = 363, .external_lex_state = 12},
  [18336] = {.lex_state = 363, .external_lex_state = 12},
  [18337] = {.lex_state = 363, .external_lex_state = 12},
  [18338] = {.lex_state = 0, .external_lex_state = 12},
  [18339] = {.lex_state = 363, .external_lex_state = 12},
  [18340] = {.lex_state = 363, .external_lex_state = 12},
  [18341] = {.lex_state = 363, .external_lex_state = 12},
  [18342] = {.lex_state = 363, .external_lex_state = 12},
  [18343] = {.lex_state = 363, .external_lex_state = 12},
  [18344] = {.lex_state = 0, .external_lex_state = 12},
  [18345] = {.lex_state = 363, .external_lex_state = 12},
  [18346] = {.lex_state = 363, .external_lex_state = 12},
  [18347] = {.lex_state = 363, .external_lex_state = 12},
  [18348] = {.lex_state = 363, .external_lex_state = 12},
  [18349] = {.lex_state = 363, .external_lex_state = 12},
  [18350] = {.lex_state = 363, .external_lex_state = 12},
  [18351] = {.lex_state = 363, .external_lex_state = 12},
  [18352] = {.lex_state = 0, .external_lex_state = 12},
  [18353] = {.lex_state = 0, .external_lex_state = 12},
  [18354] = {.lex_state = 363, .external_lex_state = 12},
  [18355] = {.lex_state = 0, .external_lex_state = 12},
  [18356] = {.lex_state = 363, .external_lex_state = 12},
  [18357] = {.lex_state = 363, .external_lex_state = 12},
  [18358] = {.lex_state = 363, .external_lex_state = 12},
  [18359] = {.lex_state = 363, .external_lex_state = 12},
  [18360] = {.lex_state = 363, .external_lex_state = 12},
  [18361] = {.lex_state = 363, .external_lex_state = 12},
  [18362] = {.lex_state = 363, .external_lex_state = 12},
  [18363] = {.lex_state = 363, .external_lex_state = 12},
  [18364] = {.lex_state = 363, .external_lex_state = 12},
  [18365] = {.lex_state = 363, .external_lex_state = 12},
  [18366] = {.lex_state = 363, .external_lex_state = 12},
  [18367] = {.lex_state = 363, .external_lex_state = 12},
  [18368] = {.lex_state = 363, .external_lex_state = 12},
  [18369] = {.lex_state = 363, .external_lex_state = 12},
  [18370] = {.lex_state = 0, .external_lex_state = 12},
  [18371] = {.lex_state = 363, .external_lex_state = 12},
  [18372] = {.lex_state = 363, .external_lex_state = 12},
  [18373] = {.lex_state = 0, .external_lex_state = 12},
  [18374] = {.lex_state = 0, .external_lex_state = 12},
  [18375] = {.lex_state = 363, .external_lex_state = 12},
  [18376] = {.lex_state = 0, .external_lex_state = 12},
  [18377] = {.lex_state = 363, .external_lex_state = 12},
  [18378] = {.lex_state = 363, .external_lex_state = 12},
  [18379] = {.lex_state = 343, .external_lex_state = 12},
  [18380] = {.lex_state = 363, .external_lex_state = 12},
  [18381] = {.lex_state = 363, .external_lex_state = 12},
  [18382] = {.lex_state = 363, .external_lex_state = 12},
  [18383] = {.lex_state = 363, .external_lex_state = 12},
  [18384] = {.lex_state = 363, .external_lex_state = 12},
  [18385] = {.lex_state = 409, .external_lex_state = 12},
  [18386] = {.lex_state = 363, .external_lex_state = 12},
  [18387] = {.lex_state = 363, .external_lex_state = 12},
  [18388] = {.lex_state = 363, .external_lex_state = 12},
  [18389] = {.lex_state = 363, .external_lex_state = 12},
  [18390] = {.lex_state = 363, .external_lex_state = 12},
  [18391] = {.lex_state = 363, .external_lex_state = 12},
  [18392] = {.lex_state = 363, .external_lex_state = 12},
  [18393] = {.lex_state = 363, .external_lex_state = 12},
  [18394] = {.lex_state = 363, .external_lex_state = 12},
  [18395] = {.lex_state = 363, .external_lex_state = 12},
  [18396] = {.lex_state = 363, .external_lex_state = 12},
  [18397] = {.lex_state = 0, .external_lex_state = 12},
  [18398] = {.lex_state = 0, .external_lex_state = 12},
  [18399] = {.lex_state = 0, .external_lex_state = 12},
  [18400] = {.lex_state = 0, .external_lex_state = 12},
  [18401] = {.lex_state = 343, .external_lex_state = 12},
  [18402] = {.lex_state = 343, .external_lex_state = 12},
  [18403] = {.lex_state = 363, .external_lex_state = 12},
  [18404] = {.lex_state = 363, .external_lex_state = 12},
  [18405] = {.lex_state = 0, .external_lex_state = 12},
  [18406] = {.lex_state = 0, .external_lex_state = 12},
  [18407] = {.lex_state = 363, .external_lex_state = 12},
  [18408] = {.lex_state = 363, .external_lex_state = 12},
  [18409] = {.lex_state = 363, .external_lex_state = 12},
  [18410] = {.lex_state = 363, .external_lex_state = 12},
  [18411] = {.lex_state = 363, .external_lex_state = 12},
  [18412] = {.lex_state = 363, .external_lex_state = 12},
  [18413] = {.lex_state = 0, .external_lex_state = 12},
  [18414] = {.lex_state = 363, .external_lex_state = 12},
  [18415] = {.lex_state = 363, .external_lex_state = 12},
  [18416] = {.lex_state = 409, .external_lex_state = 12},
  [18417] = {.lex_state = 363, .external_lex_state = 12},
  [18418] = {.lex_state = 409, .external_lex_state = 12},
  [18419] = {.lex_state = 363, .external_lex_state = 12},
  [18420] = {.lex_state = 363, .external_lex_state = 12},
  [18421] = {.lex_state = 363, .external_lex_state = 12},
  [18422] = {.lex_state = 363, .external_lex_state = 12},
  [18423] = {.lex_state = 363, .external_lex_state = 12},
  [18424] = {.lex_state = 363, .external_lex_state = 12},
  [18425] = {.lex_state = 363, .external_lex_state = 12},
  [18426] = {.lex_state = 363, .external_lex_state = 12},
  [18427] = {.lex_state = 363, .external_lex_state = 12},
  [18428] = {.lex_state = 363, .external_lex_state = 12},
  [18429] = {.lex_state = 363, .external_lex_state = 12},
  [18430] = {.lex_state = 0, .external_lex_state = 12},
  [18431] = {.lex_state = 0, .external_lex_state = 13},
  [18432] = {.lex_state = 0, .external_lex_state = 12},
  [18433] = {.lex_state = 0, .external_lex_state = 12},
  [18434] = {.lex_state = 0, .external_lex_state = 12},
  [18435] = {.lex_state = 343, .external_lex_state = 12},
  [18436] = {.lex_state = 0, .external_lex_state = 12},
  [18437] = {.lex_state = 0, .external_lex_state = 12},
  [18438] = {.lex_state = 0, .external_lex_state = 12},
  [18439] = {.lex_state = 363, .external_lex_state = 12},
  [18440] = {.lex_state = 0, .external_lex_state = 12},
  [18441] = {.lex_state = 409, .external_lex_state = 12},
  [18442] = {.lex_state = 363, .external_lex_state = 12},
  [18443] = {.lex_state = 363, .external_lex_state = 12},
  [18444] = {.lex_state = 363, .external_lex_state = 12},
  [18445] = {.lex_state = 363, .external_lex_state = 12},
  [18446] = {.lex_state = 363, .external_lex_state = 12},
  [18447] = {.lex_state = 0, .external_lex_state = 12},
  [18448] = {.lex_state = 363, .external_lex_state = 12},
  [18449] = {.lex_state = 363, .external_lex_state = 12},
  [18450] = {.lex_state = 363, .external_lex_state = 12},
  [18451] = {.lex_state = 363, .external_lex_state = 12},
  [18452] = {.lex_state = 363, .external_lex_state = 12},
  [18453] = {.lex_state = 0, .external_lex_state = 12},
  [18454] = {.lex_state = 363, .external_lex_state = 12},
  [18455] = {.lex_state = 363, .external_lex_state = 12},
  [18456] = {.lex_state = 363, .external_lex_state = 12},
  [18457] = {.lex_state = 363, .external_lex_state = 12},
  [18458] = {.lex_state = 363, .external_lex_state = 12},
  [18459] = {.lex_state = 363, .external_lex_state = 12},
  [18460] = {.lex_state = 363, .external_lex_state = 12},
  [18461] = {.lex_state = 363, .external_lex_state = 12},
  [18462] = {.lex_state = 0, .external_lex_state = 12},
  [18463] = {.lex_state = 363, .external_lex_state = 12},
  [18464] = {.lex_state = 0, .external_lex_state = 12},
  [18465] = {.lex_state = 363, .external_lex_state = 12},
  [18466] = {.lex_state = 363, .external_lex_state = 12},
  [18467] = {.lex_state = 363, .external_lex_state = 12},
  [18468] = {.lex_state = 363, .external_lex_state = 12},
  [18469] = {.lex_state = 363, .external_lex_state = 12},
  [18470] = {.lex_state = 363, .external_lex_state = 12},
  [18471] = {.lex_state = 363, .external_lex_state = 12},
  [18472] = {.lex_state = 363, .external_lex_state = 12},
  [18473] = {.lex_state = 363, .external_lex_state = 12},
  [18474] = {.lex_state = 363, .external_lex_state = 12},
  [18475] = {.lex_state = 363, .external_lex_state = 12},
  [18476] = {.lex_state = 363, .external_lex_state = 12},
  [18477] = {.lex_state = 363, .external_lex_state = 12},
  [18478] = {.lex_state = 363, .external_lex_state = 12},
  [18479] = {.lex_state = 363, .external_lex_state = 12},
  [18480] = {.lex_state = 363, .external_lex_state = 12},
  [18481] = {.lex_state = 363, .external_lex_state = 12},
  [18482] = {.lex_state = 0, .external_lex_state = 12},
  [18483] = {.lex_state = 0, .external_lex_state = 12},
  [18484] = {.lex_state = 363, .external_lex_state = 12},
  [18485] = {.lex_state = 0, .external_lex_state = 12},
  [18486] = {.lex_state = 0, .external_lex_state = 12},
  [18487] = {.lex_state = 0, .external_lex_state = 12},
  [18488] = {.lex_state = 0, .external_lex_state = 12},
  [18489] = {.lex_state = 363, .external_lex_state = 12},
  [18490] = {.lex_state = 363, .external_lex_state = 12},
  [18491] = {.lex_state = 363, .external_lex_state = 12},
  [18492] = {.lex_state = 363, .external_lex_state = 12},
  [18493] = {.lex_state = 409, .external_lex_state = 12},
  [18494] = {.lex_state = 363, .external_lex_state = 12},
  [18495] = {.lex_state = 363, .external_lex_state = 12},
  [18496] = {.lex_state = 363, .external_lex_state = 12},
  [18497] = {.lex_state = 363, .external_lex_state = 12},
  [18498] = {.lex_state = 363, .external_lex_state = 12},
  [18499] = {.lex_state = 363, .external_lex_state = 12},
  [18500] = {.lex_state = 363, .external_lex_state = 12},
  [18501] = {.lex_state = 363, .external_lex_state = 12},
  [18502] = {.lex_state = 363, .external_lex_state = 12},
  [18503] = {.lex_state = 363, .external_lex_state = 12},
  [18504] = {.lex_state = 363, .external_lex_state = 12},
  [18505] = {.lex_state = 363, .external_lex_state = 12},
  [18506] = {.lex_state = 363, .external_lex_state = 12},
  [18507] = {.lex_state = 363, .external_lex_state = 12},
  [18508] = {.lex_state = 363, .external_lex_state = 12},
  [18509] = {.lex_state = 363, .external_lex_state = 12},
  [18510] = {.lex_state = 363, .external_lex_state = 12},
  [18511] = {.lex_state = 0, .external_lex_state = 13},
  [18512] = {.lex_state = 363, .external_lex_state = 12},
  [18513] = {.lex_state = 0, .external_lex_state = 12},
  [18514] = {.lex_state = 363, .external_lex_state = 12},
  [18515] = {.lex_state = 0, .external_lex_state = 12},
  [18516] = {.lex_state = 0, .external_lex_state = 12},
  [18517] = {.lex_state = 363, .external_lex_state = 12},
  [18518] = {.lex_state = 363, .external_lex_state = 12},
  [18519] = {.lex_state = 343, .external_lex_state = 12},
  [18520] = {.lex_state = 363, .external_lex_state = 12},
  [18521] = {.lex_state = 363, .external_lex_state = 12},
  [18522] = {.lex_state = 363, .external_lex_state = 12},
  [18523] = {.lex_state = 0, .external_lex_state = 12},
  [18524] = {.lex_state = 0, .external_lex_state = 12},
  [18525] = {.lex_state = 363, .external_lex_state = 12},
  [18526] = {.lex_state = 363, .external_lex_state = 12},
  [18527] = {.lex_state = 0, .external_lex_state = 12},
  [18528] = {.lex_state = 363, .external_lex_state = 12},
  [18529] = {.lex_state = 363, .external_lex_state = 12},
  [18530] = {.lex_state = 363, .external_lex_state = 12},
  [18531] = {.lex_state = 363, .external_lex_state = 12},
  [18532] = {.lex_state = 363, .external_lex_state = 12},
  [18533] = {.lex_state = 0, .external_lex_state = 12},
  [18534] = {.lex_state = 0, .external_lex_state = 12},
  [18535] = {.lex_state = 0, .external_lex_state = 12},
  [18536] = {.lex_state = 0, .external_lex_state = 12},
  [18537] = {.lex_state = 0, .external_lex_state = 12},
  [18538] = {.lex_state = 363, .external_lex_state = 12},
  [18539] = {.lex_state = 0, .external_lex_state = 12},
  [18540] = {.lex_state = 363, .external_lex_state = 12},
  [18541] = {.lex_state = 363, .external_lex_state = 12},
  [18542] = {.lex_state = 363, .external_lex_state = 12},
  [18543] = {.lex_state = 0, .external_lex_state = 12},
  [18544] = {.lex_state = 0, .external_lex_state = 12},
  [18545] = {.lex_state = 363, .external_lex_state = 12},
  [18546] = {.lex_state = 363, .external_lex_state = 12},
  [18547] = {.lex_state = 363, .external_lex_state = 12},
  [18548] = {.lex_state = 363, .external_lex_state = 12},
  [18549] = {.lex_state = 363, .external_lex_state = 12},
  [18550] = {.lex_state = 363, .external_lex_state = 12},
  [18551] = {.lex_state = 0, .external_lex_state = 12},
  [18552] = {.lex_state = 363, .external_lex_state = 12},
  [18553] = {.lex_state = 363, .external_lex_state = 12},
  [18554] = {.lex_state = 343, .external_lex_state = 12},
  [18555] = {.lex_state = 0, .external_lex_state = 12},
  [18556] = {.lex_state = 0, .external_lex_state = 12},
  [18557] = {.lex_state = 0, .external_lex_state = 12},
  [18558] = {.lex_state = 0, .external_lex_state = 12},
  [18559] = {.lex_state = 0, .external_lex_state = 12},
  [18560] = {.lex_state = 0, .external_lex_state = 12},
  [18561] = {.lex_state = 0, .external_lex_state = 12},
  [18562] = {.lex_state = 0, .external_lex_state = 12},
  [18563] = {.lex_state = 0, .external_lex_state = 12},
  [18564] = {.lex_state = 0, .external_lex_state = 12},
  [18565] = {.lex_state = 0, .external_lex_state = 12},
  [18566] = {.lex_state = 409, .external_lex_state = 12},
  [18567] = {.lex_state = 0, .external_lex_state = 12},
  [18568] = {.lex_state = 363, .external_lex_state = 12},
  [18569] = {.lex_state = 363, .external_lex_state = 12},
  [18570] = {.lex_state = 0, .external_lex_state = 12},
  [18571] = {.lex_state = 0, .external_lex_state = 12},
  [18572] = {.lex_state = 0, .external_lex_state = 12},
  [18573] = {.lex_state = 363, .external_lex_state = 12},
  [18574] = {.lex_state = 363, .external_lex_state = 12},
  [18575] = {.lex_state = 363, .external_lex_state = 12},
  [18576] = {.lex_state = 363, .external_lex_state = 12},
  [18577] = {.lex_state = 363, .external_lex_state = 12},
  [18578] = {.lex_state = 0, .external_lex_state = 12},
  [18579] = {.lex_state = 363, .external_lex_state = 12},
  [18580] = {.lex_state = 363, .external_lex_state = 12},
  [18581] = {.lex_state = 363, .external_lex_state = 12},
  [18582] = {.lex_state = 363, .external_lex_state = 12},
  [18583] = {.lex_state = 363, .external_lex_state = 12},
  [18584] = {.lex_state = 363, .external_lex_state = 12},
  [18585] = {.lex_state = 363, .external_lex_state = 12},
  [18586] = {.lex_state = 0, .external_lex_state = 12},
  [18587] = {.lex_state = 0, .external_lex_state = 12},
  [18588] = {.lex_state = 0, .external_lex_state = 12},
  [18589] = {.lex_state = 0, .external_lex_state = 12},
  [18590] = {.lex_state = 0, .external_lex_state = 12},
  [18591] = {.lex_state = 363, .external_lex_state = 12},
  [18592] = {.lex_state = 363, .external_lex_state = 12},
  [18593] = {.lex_state = 363, .external_lex_state = 12},
  [18594] = {.lex_state = 363, .external_lex_state = 12},
  [18595] = {.lex_state = 0, .external_lex_state = 12},
  [18596] = {.lex_state = 363, .external_lex_state = 12},
  [18597] = {.lex_state = 363, .external_lex_state = 12},
  [18598] = {.lex_state = 363, .external_lex_state = 12},
  [18599] = {.lex_state = 363, .external_lex_state = 12},
  [18600] = {.lex_state = 363, .external_lex_state = 12},
  [18601] = {.lex_state = 363, .external_lex_state = 12},
  [18602] = {.lex_state = 0, .external_lex_state = 12},
  [18603] = {.lex_state = 409, .external_lex_state = 12},
  [18604] = {.lex_state = 0, .external_lex_state = 12},
  [18605] = {.lex_state = 0, .external_lex_state = 12},
  [18606] = {.lex_state = 0, .external_lex_state = 12},
  [18607] = {.lex_state = 0, .external_lex_state = 12},
  [18608] = {.lex_state = 0, .external_lex_state = 12},
  [18609] = {.lex_state = 0, .external_lex_state = 12},
  [18610] = {.lex_state = 0, .external_lex_state = 12},
  [18611] = {.lex_state = 0, .external_lex_state = 12},
  [18612] = {.lex_state = 0, .external_lex_state = 12},
  [18613] = {.lex_state = 0, .external_lex_state = 12},
  [18614] = {.lex_state = 0, .external_lex_state = 12},
  [18615] = {.lex_state = 363, .external_lex_state = 12},
  [18616] = {.lex_state = 363, .external_lex_state = 12},
  [18617] = {.lex_state = 363, .external_lex_state = 12},
  [18618] = {.lex_state = 0, .external_lex_state = 12},
  [18619] = {.lex_state = 0, .external_lex_state = 12},
  [18620] = {.lex_state = 0, .external_lex_state = 12},
  [18621] = {.lex_state = 0, .external_lex_state = 12},
  [18622] = {.lex_state = 363, .external_lex_state = 12},
  [18623] = {.lex_state = 363, .external_lex_state = 12},
  [18624] = {.lex_state = 363, .external_lex_state = 12},
  [18625] = {.lex_state = 363, .external_lex_state = 12},
  [18626] = {.lex_state = 363, .external_lex_state = 12},
  [18627] = {.lex_state = 363, .external_lex_state = 12},
  [18628] = {.lex_state = 0, .external_lex_state = 12},
  [18629] = {.lex_state = 0, .external_lex_state = 12},
  [18630] = {.lex_state = 343, .external_lex_state = 12},
  [18631] = {.lex_state = 0, .external_lex_state = 13},
  [18632] = {.lex_state = 0, .external_lex_state = 12},
  [18633] = {.lex_state = 363, .external_lex_state = 12},
  [18634] = {.lex_state = 363, .external_lex_state = 12},
  [18635] = {.lex_state = 0, .external_lex_state = 12},
  [18636] = {.lex_state = 0, .external_lex_state = 12},
  [18637] = {.lex_state = 363, .external_lex_state = 12},
  [18638] = {.lex_state = 363, .external_lex_state = 12},
  [18639] = {.lex_state = 363, .external_lex_state = 12},
  [18640] = {.lex_state = 0, .external_lex_state = 12},
  [18641] = {.lex_state = 0, .external_lex_state = 12},
  [18642] = {.lex_state = 0, .external_lex_state = 12},
  [18643] = {.lex_state = 0, .external_lex_state = 12},
  [18644] = {.lex_state = 0, .external_lex_state = 12},
  [18645] = {.lex_state = 0, .external_lex_state = 12},
  [18646] = {.lex_state = 0, .external_lex_state = 12},
  [18647] = {.lex_state = 0, .external_lex_state = 12},
  [18648] = {.lex_state = 0, .external_lex_state = 12},
  [18649] = {.lex_state = 0, .external_lex_state = 12},
  [18650] = {.lex_state = 0, .external_lex_state = 12},
  [18651] = {.lex_state = 363, .external_lex_state = 12},
  [18652] = {.lex_state = 343, .external_lex_state = 12},
  [18653] = {.lex_state = 0, .external_lex_state = 12},
  [18654] = {.lex_state = 0, .external_lex_state = 12},
  [18655] = {.lex_state = 0, .external_lex_state = 12},
  [18656] = {.lex_state = 0, .external_lex_state = 12},
  [18657] = {.lex_state = 0, .external_lex_state = 12},
  [18658] = {.lex_state = 0, .external_lex_state = 12},
  [18659] = {.lex_state = 409, .external_lex_state = 12},
  [18660] = {.lex_state = 0, .external_lex_state = 12},
  [18661] = {.lex_state = 0, .external_lex_state = 12},
  [18662] = {.lex_state = 0, .external_lex_state = 12},
  [18663] = {.lex_state = 0, .external_lex_state = 12},
  [18664] = {.lex_state = 0, .external_lex_state = 12},
  [18665] = {.lex_state = 363, .external_lex_state = 12},
  [18666] = {.lex_state = 363, .external_lex_state = 12},
  [18667] = {.lex_state = 363, .external_lex_state = 12},
  [18668] = {.lex_state = 0, .external_lex_state = 12},
  [18669] = {.lex_state = 0, .external_lex_state = 12},
  [18670] = {.lex_state = 363, .external_lex_state = 12},
  [18671] = {.lex_state = 363, .external_lex_state = 12},
  [18672] = {.lex_state = 363, .external_lex_state = 12},
  [18673] = {.lex_state = 363, .external_lex_state = 12},
  [18674] = {.lex_state = 363, .external_lex_state = 12},
  [18675] = {.lex_state = 363, .external_lex_state = 12},
  [18676] = {.lex_state = 0, .external_lex_state = 12},
  [18677] = {.lex_state = 363, .external_lex_state = 12},
  [18678] = {.lex_state = 363, .external_lex_state = 12},
  [18679] = {.lex_state = 0, .external_lex_state = 12},
  [18680] = {.lex_state = 0, .external_lex_state = 12},
  [18681] = {.lex_state = 0, .external_lex_state = 12},
  [18682] = {.lex_state = 343, .external_lex_state = 12},
  [18683] = {.lex_state = 363, .external_lex_state = 12},
  [18684] = {.lex_state = 0, .external_lex_state = 12},
  [18685] = {.lex_state = 0, .external_lex_state = 12},
  [18686] = {.lex_state = 0, .external_lex_state = 12},
  [18687] = {.lex_state = 0, .external_lex_state = 12},
  [18688] = {.lex_state = 0, .external_lex_state = 12},
  [18689] = {.lex_state = 0, .external_lex_state = 12},
  [18690] = {.lex_state = 0, .external_lex_state = 12},
  [18691] = {.lex_state = 409, .external_lex_state = 12},
  [18692] = {.lex_state = 0, .external_lex_state = 12},
  [18693] = {.lex_state = 363, .external_lex_state = 12},
  [18694] = {.lex_state = 363, .external_lex_state = 12},
  [18695] = {.lex_state = 0, .external_lex_state = 12},
  [18696] = {.lex_state = 0, .external_lex_state = 12},
  [18697] = {.lex_state = 0, .external_lex_state = 12},
  [18698] = {.lex_state = 363, .external_lex_state = 12},
  [18699] = {.lex_state = 363, .external_lex_state = 12},
  [18700] = {.lex_state = 363, .external_lex_state = 12},
  [18701] = {.lex_state = 363, .external_lex_state = 12},
  [18702] = {.lex_state = 363, .external_lex_state = 12},
  [18703] = {.lex_state = 0, .external_lex_state = 12},
  [18704] = {.lex_state = 363, .external_lex_state = 12},
  [18705] = {.lex_state = 363, .external_lex_state = 12},
  [18706] = {.lex_state = 363, .external_lex_state = 12},
  [18707] = {.lex_state = 363, .external_lex_state = 12},
  [18708] = {.lex_state = 363, .external_lex_state = 12},
  [18709] = {.lex_state = 363, .external_lex_state = 12},
  [18710] = {.lex_state = 363, .external_lex_state = 12},
  [18711] = {.lex_state = 0, .external_lex_state = 12},
  [18712] = {.lex_state = 0, .external_lex_state = 12},
  [18713] = {.lex_state = 0, .external_lex_state = 12},
  [18714] = {.lex_state = 0, .external_lex_state = 12},
  [18715] = {.lex_state = 0, .external_lex_state = 12},
  [18716] = {.lex_state = 363, .external_lex_state = 12},
  [18717] = {.lex_state = 363, .external_lex_state = 12},
  [18718] = {.lex_state = 0, .external_lex_state = 12},
  [18719] = {.lex_state = 363, .external_lex_state = 12},
  [18720] = {.lex_state = 363, .external_lex_state = 12},
  [18721] = {.lex_state = 363, .external_lex_state = 12},
  [18722] = {.lex_state = 363, .external_lex_state = 12},
  [18723] = {.lex_state = 363, .external_lex_state = 12},
  [18724] = {.lex_state = 363, .external_lex_state = 12},
  [18725] = {.lex_state = 363, .external_lex_state = 12},
  [18726] = {.lex_state = 0, .external_lex_state = 12},
  [18727] = {.lex_state = 0, .external_lex_state = 12},
  [18728] = {.lex_state = 0, .external_lex_state = 12},
  [18729] = {.lex_state = 0, .external_lex_state = 12},
  [18730] = {.lex_state = 363, .external_lex_state = 12},
  [18731] = {.lex_state = 0, .external_lex_state = 12},
  [18732] = {.lex_state = 409, .external_lex_state = 12},
  [18733] = {.lex_state = 0, .external_lex_state = 12},
  [18734] = {.lex_state = 0, .external_lex_state = 12},
  [18735] = {.lex_state = 0, .external_lex_state = 12},
  [18736] = {.lex_state = 0, .external_lex_state = 12},
  [18737] = {.lex_state = 0, .external_lex_state = 12},
  [18738] = {.lex_state = 0, .external_lex_state = 12},
  [18739] = {.lex_state = 0, .external_lex_state = 12},
  [18740] = {.lex_state = 0, .external_lex_state = 12},
  [18741] = {.lex_state = 0, .external_lex_state = 13},
  [18742] = {.lex_state = 0, .external_lex_state = 12},
  [18743] = {.lex_state = 0, .external_lex_state = 12},
  [18744] = {.lex_state = 0, .external_lex_state = 12},
  [18745] = {.lex_state = 0, .external_lex_state = 12},
  [18746] = {.lex_state = 0, .external_lex_state = 12},
  [18747] = {.lex_state = 0, .external_lex_state = 12},
  [18748] = {.lex_state = 0, .external_lex_state = 12},
  [18749] = {.lex_state = 363, .external_lex_state = 12},
  [18750] = {.lex_state = 363, .external_lex_state = 12},
  [18751] = {.lex_state = 363, .external_lex_state = 12},
  [18752] = {.lex_state = 0, .external_lex_state = 12},
  [18753] = {.lex_state = 0, .external_lex_state = 12},
  [18754] = {.lex_state = 343, .external_lex_state = 12},
  [18755] = {.lex_state = 0, .external_lex_state = 12},
  [18756] = {.lex_state = 0, .external_lex_state = 12},
  [18757] = {.lex_state = 0, .external_lex_state = 12},
  [18758] = {.lex_state = 0, .external_lex_state = 12},
  [18759] = {.lex_state = 0, .external_lex_state = 12},
  [18760] = {.lex_state = 0, .external_lex_state = 12},
  [18761] = {.lex_state = 0, .external_lex_state = 12},
  [18762] = {.lex_state = 363, .external_lex_state = 12},
  [18763] = {.lex_state = 363, .external_lex_state = 12},
  [18764] = {.lex_state = 363, .external_lex_state = 12},
  [18765] = {.lex_state = 363, .external_lex_state = 12},
  [18766] = {.lex_state = 363, .external_lex_state = 12},
  [18767] = {.lex_state = 363, .external_lex_state = 12},
  [18768] = {.lex_state = 363, .external_lex_state = 12},
  [18769] = {.lex_state = 363, .external_lex_state = 12},
  [18770] = {.lex_state = 363, .external_lex_state = 12},
  [18771] = {.lex_state = 363, .external_lex_state = 12},
  [18772] = {.lex_state = 363, .external_lex_state = 12},
  [18773] = {.lex_state = 0, .external_lex_state = 12},
  [18774] = {.lex_state = 0, .external_lex_state = 12},
  [18775] = {.lex_state = 0, .external_lex_state = 12},
  [18776] = {.lex_state = 0, .external_lex_state = 12},
  [18777] = {.lex_state = 343, .external_lex_state = 12},
  [18778] = {.lex_state = 0, .external_lex_state = 12},
  [18779] = {.lex_state = 0, .external_lex_state = 12},
  [18780] = {.lex_state = 0, .external_lex_state = 12},
  [18781] = {.lex_state = 0, .external_lex_state = 12},
  [18782] = {.lex_state = 0, .external_lex_state = 12},
  [18783] = {.lex_state = 0, .external_lex_state = 12},
  [18784] = {.lex_state = 0, .external_lex_state = 12},
  [18785] = {.lex_state = 363, .external_lex_state = 12},
  [18786] = {.lex_state = 0, .external_lex_state = 12},
  [18787] = {.lex_state = 0, .external_lex_state = 12},
  [18788] = {.lex_state = 409, .external_lex_state = 12},
  [18789] = {.lex_state = 0, .external_lex_state = 12},
  [18790] = {.lex_state = 0, .external_lex_state = 12},
  [18791] = {.lex_state = 363, .external_lex_state = 12},
  [18792] = {.lex_state = 0, .external_lex_state = 12},
  [18793] = {.lex_state = 0, .external_lex_state = 12},
  [18794] = {.lex_state = 363, .external_lex_state = 12},
  [18795] = {.lex_state = 363, .external_lex_state = 12},
  [18796] = {.lex_state = 0, .external_lex_state = 12},
  [18797] = {.lex_state = 0, .external_lex_state = 12},
  [18798] = {.lex_state = 363, .external_lex_state = 12},
  [18799] = {.lex_state = 363, .external_lex_state = 12},
  [18800] = {.lex_state = 363, .external_lex_state = 12},
  [18801] = {.lex_state = 363, .external_lex_state = 12},
  [18802] = {.lex_state = 0, .external_lex_state = 12},
  [18803] = {.lex_state = 0, .external_lex_state = 12},
  [18804] = {.lex_state = 0, .external_lex_state = 12},
  [18805] = {.lex_state = 0, .external_lex_state = 13},
  [18806] = {.lex_state = 0, .external_lex_state = 12},
  [18807] = {.lex_state = 363, .external_lex_state = 12},
  [18808] = {.lex_state = 363, .external_lex_state = 12},
  [18809] = {.lex_state = 0, .external_lex_state = 12},
  [18810] = {.lex_state = 0, .external_lex_state = 12},
  [18811] = {.lex_state = 343, .external_lex_state = 12},
  [18812] = {.lex_state = 363, .external_lex_state = 12},
  [18813] = {.lex_state = 363, .external_lex_state = 12},
  [18814] = {.lex_state = 0, .external_lex_state = 12},
  [18815] = {.lex_state = 0, .external_lex_state = 12},
  [18816] = {.lex_state = 0, .external_lex_state = 12},
  [18817] = {.lex_state = 0, .external_lex_state = 12},
  [18818] = {.lex_state = 0, .external_lex_state = 12},
  [18819] = {.lex_state = 0, .external_lex_state = 12},
  [18820] = {.lex_state = 0, .external_lex_state = 12},
  [18821] = {.lex_state = 0, .external_lex_state = 12},
  [18822] = {.lex_state = 363, .external_lex_state = 12},
  [18823] = {.lex_state = 0, .external_lex_state = 12},
  [18824] = {.lex_state = 0, .external_lex_state = 12},
  [18825] = {.lex_state = 0, .external_lex_state = 12},
  [18826] = {.lex_state = 0, .external_lex_state = 12},
  [18827] = {.lex_state = 0, .external_lex_state = 12},
  [18828] = {.lex_state = 0, .external_lex_state = 12},
  [18829] = {.lex_state = 0, .external_lex_state = 12},
  [18830] = {.lex_state = 0, .external_lex_state = 12},
  [18831] = {.lex_state = 0, .external_lex_state = 12},
  [18832] = {.lex_state = 363, .external_lex_state = 12},
  [18833] = {.lex_state = 0, .external_lex_state = 12},
  [18834] = {.lex_state = 409, .external_lex_state = 12},
  [18835] = {.lex_state = 0, .external_lex_state = 12},
  [18836] = {.lex_state = 363, .external_lex_state = 12},
  [18837] = {.lex_state = 363, .external_lex_state = 12},
  [18838] = {.lex_state = 409, .external_lex_state = 12},
  [18839] = {.lex_state = 0, .external_lex_state = 12},
  [18840] = {.lex_state = 0, .external_lex_state = 12},
  [18841] = {.lex_state = 363, .external_lex_state = 12},
  [18842] = {.lex_state = 363, .external_lex_state = 12},
  [18843] = {.lex_state = 363, .external_lex_state = 12},
  [18844] = {.lex_state = 363, .external_lex_state = 12},
  [18845] = {.lex_state = 363, .external_lex_state = 12},
  [18846] = {.lex_state = 0, .external_lex_state = 12},
  [18847] = {.lex_state = 363, .external_lex_state = 12},
  [18848] = {.lex_state = 0, .external_lex_state = 12},
  [18849] = {.lex_state = 0, .external_lex_state = 12},
  [18850] = {.lex_state = 363, .external_lex_state = 12},
  [18851] = {.lex_state = 0, .external_lex_state = 12},
  [18852] = {.lex_state = 363, .external_lex_state = 12},
  [18853] = {.lex_state = 363, .external_lex_state = 12},
  [18854] = {.lex_state = 363, .external_lex_state = 12},
  [18855] = {.lex_state = 363, .external_lex_state = 12},
  [18856] = {.lex_state = 0, .external_lex_state = 12},
  [18857] = {.lex_state = 0, .external_lex_state = 12},
  [18858] = {.lex_state = 0, .external_lex_state = 12},
  [18859] = {.lex_state = 0, .external_lex_state = 12},
  [18860] = {.lex_state = 0, .external_lex_state = 12},
  [18861] = {.lex_state = 0, .external_lex_state = 13},
  [18862] = {.lex_state = 0, .external_lex_state = 12},
  [18863] = {.lex_state = 0, .external_lex_state = 12},
  [18864] = {.lex_state = 0, .external_lex_state = 12},
  [18865] = {.lex_state = 0, .external_lex_state = 12},
  [18866] = {.lex_state = 0, .external_lex_state = 12},
  [18867] = {.lex_state = 0, .external_lex_state = 12},
  [18868] = {.lex_state = 363, .external_lex_state = 12},
  [18869] = {.lex_state = 363, .external_lex_state = 12},
  [18870] = {.lex_state = 0, .external_lex_state = 12},
  [18871] = {.lex_state = 363, .external_lex_state = 12},
  [18872] = {.lex_state = 343, .external_lex_state = 12},
  [18873] = {.lex_state = 0, .external_lex_state = 12},
  [18874] = {.lex_state = 0, .external_lex_state = 12},
  [18875] = {.lex_state = 0, .external_lex_state = 12},
  [18876] = {.lex_state = 0, .external_lex_state = 12},
  [18877] = {.lex_state = 0, .external_lex_state = 12},
  [18878] = {.lex_state = 363, .external_lex_state = 12},
  [18879] = {.lex_state = 0, .external_lex_state = 12},
  [18880] = {.lex_state = 0, .external_lex_state = 12},
  [18881] = {.lex_state = 363, .external_lex_state = 12},
  [18882] = {.lex_state = 363, .external_lex_state = 12},
  [18883] = {.lex_state = 363, .external_lex_state = 12},
  [18884] = {.lex_state = 363, .external_lex_state = 12},
  [18885] = {.lex_state = 363, .external_lex_state = 12},
  [18886] = {.lex_state = 363, .external_lex_state = 12},
  [18887] = {.lex_state = 0, .external_lex_state = 12},
  [18888] = {.lex_state = 0, .external_lex_state = 12},
  [18889] = {.lex_state = 0, .external_lex_state = 12},
  [18890] = {.lex_state = 0, .external_lex_state = 12},
  [18891] = {.lex_state = 0, .external_lex_state = 12},
  [18892] = {.lex_state = 0, .external_lex_state = 12},
  [18893] = {.lex_state = 0, .external_lex_state = 12},
  [18894] = {.lex_state = 0, .external_lex_state = 12},
  [18895] = {.lex_state = 0, .external_lex_state = 12},
  [18896] = {.lex_state = 0, .external_lex_state = 12},
  [18897] = {.lex_state = 0, .external_lex_state = 12},
  [18898] = {.lex_state = 363, .external_lex_state = 12},
  [18899] = {.lex_state = 0, .external_lex_state = 12},
  [18900] = {.lex_state = 363, .external_lex_state = 12},
  [18901] = {.lex_state = 363, .external_lex_state = 12},
  [18902] = {.lex_state = 409, .external_lex_state = 12},
  [18903] = {.lex_state = 0, .external_lex_state = 12},
  [18904] = {.lex_state = 363, .external_lex_state = 12},
  [18905] = {.lex_state = 0, .external_lex_state = 12},
  [18906] = {.lex_state = 0, .external_lex_state = 12},
  [18907] = {.lex_state = 363, .external_lex_state = 12},
  [18908] = {.lex_state = 363, .external_lex_state = 12},
  [18909] = {.lex_state = 363, .external_lex_state = 12},
  [18910] = {.lex_state = 363, .external_lex_state = 12},
  [18911] = {.lex_state = 0, .external_lex_state = 12},
  [18912] = {.lex_state = 0, .external_lex_state = 12},
  [18913] = {.lex_state = 0, .external_lex_state = 12},
  [18914] = {.lex_state = 0, .external_lex_state = 13},
  [18915] = {.lex_state = 0, .external_lex_state = 12},
  [18916] = {.lex_state = 363, .external_lex_state = 12},
  [18917] = {.lex_state = 363, .external_lex_state = 12},
  [18918] = {.lex_state = 0, .external_lex_state = 12},
  [18919] = {.lex_state = 0, .external_lex_state = 12},
  [18920] = {.lex_state = 363, .external_lex_state = 12},
  [18921] = {.lex_state = 363, .external_lex_state = 12},
  [18922] = {.lex_state = 363, .external_lex_state = 12},
  [18923] = {.lex_state = 0, .external_lex_state = 12},
  [18924] = {.lex_state = 0, .external_lex_state = 12},
  [18925] = {.lex_state = 0, .external_lex_state = 12},
  [18926] = {.lex_state = 343, .external_lex_state = 12},
  [18927] = {.lex_state = 0, .external_lex_state = 12},
  [18928] = {.lex_state = 0, .external_lex_state = 12},
  [18929] = {.lex_state = 363, .external_lex_state = 12},
  [18930] = {.lex_state = 0, .external_lex_state = 12},
  [18931] = {.lex_state = 0, .external_lex_state = 12},
  [18932] = {.lex_state = 363, .external_lex_state = 12},
  [18933] = {.lex_state = 0, .external_lex_state = 12},
  [18934] = {.lex_state = 0, .external_lex_state = 12},
  [18935] = {.lex_state = 0, .external_lex_state = 12},
  [18936] = {.lex_state = 0, .external_lex_state = 12},
  [18937] = {.lex_state = 343, .external_lex_state = 12},
  [18938] = {.lex_state = 0, .external_lex_state = 12},
  [18939] = {.lex_state = 0, .external_lex_state = 12},
  [18940] = {.lex_state = 0, .external_lex_state = 12},
  [18941] = {.lex_state = 0, .external_lex_state = 12},
  [18942] = {.lex_state = 0, .external_lex_state = 12},
  [18943] = {.lex_state = 0, .external_lex_state = 12},
  [18944] = {.lex_state = 0, .external_lex_state = 12},
  [18945] = {.lex_state = 0, .external_lex_state = 12},
  [18946] = {.lex_state = 0, .external_lex_state = 12},
  [18947] = {.lex_state = 363, .external_lex_state = 12},
  [18948] = {.lex_state = 363, .external_lex_state = 12},
  [18949] = {.lex_state = 0, .external_lex_state = 12},
  [18950] = {.lex_state = 0, .external_lex_state = 12},
  [18951] = {.lex_state = 0, .external_lex_state = 13},
  [18952] = {.lex_state = 0, .external_lex_state = 12},
  [18953] = {.lex_state = 0, .external_lex_state = 12},
  [18954] = {.lex_state = 0, .external_lex_state = 12},
  [18955] = {.lex_state = 0, .external_lex_state = 12},
  [18956] = {.lex_state = 0, .external_lex_state = 12},
  [18957] = {.lex_state = 0, .external_lex_state = 12},
  [18958] = {.lex_state = 0, .external_lex_state = 12},
  [18959] = {.lex_state = 363, .external_lex_state = 12},
  [18960] = {.lex_state = 0, .external_lex_state = 12},
  [18961] = {.lex_state = 0, .external_lex_state = 12},
  [18962] = {.lex_state = 0, .external_lex_state = 12},
  [18963] = {.lex_state = 0, .external_lex_state = 12},
  [18964] = {.lex_state = 0, .external_lex_state = 12},
  [18965] = {.lex_state = 0, .external_lex_state = 12},
  [18966] = {.lex_state = 363, .external_lex_state = 12},
  [18967] = {.lex_state = 0, .external_lex_state = 12},
  [18968] = {.lex_state = 0, .external_lex_state = 12},
  [18969] = {.lex_state = 363, .external_lex_state = 12},
  [18970] = {.lex_state = 409, .external_lex_state = 12},
  [18971] = {.lex_state = 0, .external_lex_state = 12},
  [18972] = {.lex_state = 363, .external_lex_state = 12},
  [18973] = {.lex_state = 363, .external_lex_state = 12},
  [18974] = {.lex_state = 363, .external_lex_state = 12},
  [18975] = {.lex_state = 363, .external_lex_state = 12},
  [18976] = {.lex_state = 0, .external_lex_state = 12},
  [18977] = {.lex_state = 0, .external_lex_state = 12},
  [18978] = {.lex_state = 363, .external_lex_state = 12},
  [18979] = {.lex_state = 0, .external_lex_state = 12},
  [18980] = {.lex_state = 0, .external_lex_state = 12},
  [18981] = {.lex_state = 363, .external_lex_state = 12},
  [18982] = {.lex_state = 363, .external_lex_state = 12},
  [18983] = {.lex_state = 0, .external_lex_state = 12},
  [18984] = {.lex_state = 0, .external_lex_state = 12},
  [18985] = {.lex_state = 0, .external_lex_state = 12},
  [18986] = {.lex_state = 0, .external_lex_state = 12},
  [18987] = {.lex_state = 0, .external_lex_state = 12},
  [18988] = {.lex_state = 0, .external_lex_state = 13},
  [18989] = {.lex_state = 0, .external_lex_state = 12},
  [18990] = {.lex_state = 0, .external_lex_state = 12},
  [18991] = {.lex_state = 0, .external_lex_state = 12},
  [18992] = {.lex_state = 0, .external_lex_state = 12},
  [18993] = {.lex_state = 0, .external_lex_state = 12},
  [18994] = {.lex_state = 363, .external_lex_state = 12},
  [18995] = {.lex_state = 0, .external_lex_state = 12},
  [18996] = {.lex_state = 0, .external_lex_state = 12},
  [18997] = {.lex_state = 0, .external_lex_state = 12},
  [18998] = {.lex_state = 409, .external_lex_state = 12},
  [18999] = {.lex_state = 0, .external_lex_state = 12},
  [19000] = {.lex_state = 0, .external_lex_state = 12},
  [19001] = {.lex_state = 0, .external_lex_state = 12},
  [19002] = {.lex_state = 0, .external_lex_state = 12},
  [19003] = {.lex_state = 0, .external_lex_state = 12},
  [19004] = {.lex_state = 0, .external_lex_state = 12},
  [19005] = {.lex_state = 343, .external_lex_state = 12},
  [19006] = {.lex_state = 0, .external_lex_state = 12},
  [19007] = {.lex_state = 0, .external_lex_state = 12},
  [19008] = {.lex_state = 0, .external_lex_state = 12},
  [19009] = {.lex_state = 0, .external_lex_state = 12},
  [19010] = {.lex_state = 409, .external_lex_state = 12},
  [19011] = {.lex_state = 0, .external_lex_state = 12},
  [19012] = {.lex_state = 363, .external_lex_state = 12},
  [19013] = {.lex_state = 343, .external_lex_state = 12},
  [19014] = {.lex_state = 0, .external_lex_state = 12},
  [19015] = {.lex_state = 363, .external_lex_state = 12},
  [19016] = {.lex_state = 0, .external_lex_state = 12},
  [19017] = {.lex_state = 0, .external_lex_state = 12},
  [19018] = {.lex_state = 0, .external_lex_state = 12},
  [19019] = {.lex_state = 363, .external_lex_state = 12},
  [19020] = {.lex_state = 363, .external_lex_state = 12},
  [19021] = {.lex_state = 363, .external_lex_state = 12},
  [19022] = {.lex_state = 0, .external_lex_state = 12},
  [19023] = {.lex_state = 0, .external_lex_state = 12},
  [19024] = {.lex_state = 0, .external_lex_state = 12},
  [19025] = {.lex_state = 0, .external_lex_state = 13},
  [19026] = {.lex_state = 0, .external_lex_state = 12},
  [19027] = {.lex_state = 363, .external_lex_state = 12},
  [19028] = {.lex_state = 363, .external_lex_state = 12},
  [19029] = {.lex_state = 0, .external_lex_state = 12},
  [19030] = {.lex_state = 0, .external_lex_state = 12},
  [19031] = {.lex_state = 0, .external_lex_state = 12},
  [19032] = {.lex_state = 363, .external_lex_state = 12},
  [19033] = {.lex_state = 363, .external_lex_state = 12},
  [19034] = {.lex_state = 0, .external_lex_state = 12},
  [19035] = {.lex_state = 0, .external_lex_state = 12},
  [19036] = {.lex_state = 0, .external_lex_state = 12},
  [19037] = {.lex_state = 0, .external_lex_state = 12},
  [19038] = {.lex_state = 0, .external_lex_state = 12},
  [19039] = {.lex_state = 0, .external_lex_state = 12},
  [19040] = {.lex_state = 363, .external_lex_state = 12},
  [19041] = {.lex_state = 0, .external_lex_state = 12},
  [19042] = {.lex_state = 363, .external_lex_state = 12},
  [19043] = {.lex_state = 363, .external_lex_state = 12},
  [19044] = {.lex_state = 363, .external_lex_state = 12},
  [19045] = {.lex_state = 363, .external_lex_state = 12},
  [19046] = {.lex_state = 363, .external_lex_state = 12},
  [19047] = {.lex_state = 0, .external_lex_state = 12},
  [19048] = {.lex_state = 0, .external_lex_state = 12},
  [19049] = {.lex_state = 0, .external_lex_state = 12},
  [19050] = {.lex_state = 409, .external_lex_state = 12},
  [19051] = {.lex_state = 0, .external_lex_state = 12},
  [19052] = {.lex_state = 0, .external_lex_state = 12},
  [19053] = {.lex_state = 0, .external_lex_state = 12},
  [19054] = {.lex_state = 363, .external_lex_state = 12},
  [19055] = {.lex_state = 363, .external_lex_state = 12},
  [19056] = {.lex_state = 0, .external_lex_state = 12},
  [19057] = {.lex_state = 363, .external_lex_state = 12},
  [19058] = {.lex_state = 363, .external_lex_state = 12},
  [19059] = {.lex_state = 0, .external_lex_state = 12},
  [19060] = {.lex_state = 0, .external_lex_state = 12},
  [19061] = {.lex_state = 0, .external_lex_state = 12},
  [19062] = {.lex_state = 0, .external_lex_state = 13},
  [19063] = {.lex_state = 0, .external_lex_state = 12},
  [19064] = {.lex_state = 363, .external_lex_state = 12},
  [19065] = {.lex_state = 363, .external_lex_state = 12},
  [19066] = {.lex_state = 0, .external_lex_state = 12},
  [19067] = {.lex_state = 0, .external_lex_state = 12},
  [19068] = {.lex_state = 363, .external_lex_state = 12},
  [19069] = {.lex_state = 363, .external_lex_state = 12},
  [19070] = {.lex_state = 363, .external_lex_state = 12},
  [19071] = {.lex_state = 0, .external_lex_state = 12},
  [19072] = {.lex_state = 0, .external_lex_state = 12},
  [19073] = {.lex_state = 343, .external_lex_state = 12},
  [19074] = {.lex_state = 0, .external_lex_state = 12},
  [19075] = {.lex_state = 343, .external_lex_state = 12},
  [19076] = {.lex_state = 0, .external_lex_state = 12},
  [19077] = {.lex_state = 363, .external_lex_state = 12},
  [19078] = {.lex_state = 0, .external_lex_state = 12},
  [19079] = {.lex_state = 0, .external_lex_state = 12},
  [19080] = {.lex_state = 0, .external_lex_state = 12},
  [19081] = {.lex_state = 0, .external_lex_state = 12},
  [19082] = {.lex_state = 0, .external_lex_state = 12},
  [19083] = {.lex_state = 0, .external_lex_state = 12},
  [19084] = {.lex_state = 363, .external_lex_state = 12},
  [19085] = {.lex_state = 0, .external_lex_state = 12},
  [19086] = {.lex_state = 0, .external_lex_state = 12},
  [19087] = {.lex_state = 0, .external_lex_state = 12},
  [19088] = {.lex_state = 0, .external_lex_state = 12},
  [19089] = {.lex_state = 0, .external_lex_state = 12},
  [19090] = {.lex_state = 0, .external_lex_state = 12},
  [19091] = {.lex_state = 0, .external_lex_state = 12},
  [19092] = {.lex_state = 0, .external_lex_state = 12},
  [19093] = {.lex_state = 0, .external_lex_state = 12},
  [19094] = {.lex_state = 0, .external_lex_state = 12},
  [19095] = {.lex_state = 363, .external_lex_state = 12},
  [19096] = {.lex_state = 363, .external_lex_state = 12},
  [19097] = {.lex_state = 0, .external_lex_state = 12},
  [19098] = {.lex_state = 0, .external_lex_state = 12},
  [19099] = {.lex_state = 0, .external_lex_state = 13},
  [19100] = {.lex_state = 0, .external_lex_state = 12},
  [19101] = {.lex_state = 363, .external_lex_state = 12},
  [19102] = {.lex_state = 363, .external_lex_state = 12},
  [19103] = {.lex_state = 409, .external_lex_state = 12},
  [19104] = {.lex_state = 0, .external_lex_state = 12},
  [19105] = {.lex_state = 0, .external_lex_state = 12},
  [19106] = {.lex_state = 0, .external_lex_state = 12},
  [19107] = {.lex_state = 0, .external_lex_state = 12},
  [19108] = {.lex_state = 343, .external_lex_state = 12},
  [19109] = {.lex_state = 0, .external_lex_state = 12},
  [19110] = {.lex_state = 0, .external_lex_state = 12},
  [19111] = {.lex_state = 0, .external_lex_state = 12},
  [19112] = {.lex_state = 0, .external_lex_state = 12},
  [19113] = {.lex_state = 0, .external_lex_state = 12},
  [19114] = {.lex_state = 363, .external_lex_state = 12},
  [19115] = {.lex_state = 0, .external_lex_state = 12},
  [19116] = {.lex_state = 0, .external_lex_state = 12},
  [19117] = {.lex_state = 363, .external_lex_state = 12},
  [19118] = {.lex_state = 363, .external_lex_state = 12},
  [19119] = {.lex_state = 363, .external_lex_state = 12},
  [19120] = {.lex_state = 363, .external_lex_state = 12},
  [19121] = {.lex_state = 363, .external_lex_state = 12},
  [19122] = {.lex_state = 363, .external_lex_state = 12},
  [19123] = {.lex_state = 363, .external_lex_state = 12},
  [19124] = {.lex_state = 343, .external_lex_state = 12},
  [19125] = {.lex_state = 0, .external_lex_state = 13},
  [19126] = {.lex_state = 0, .external_lex_state = 12},
  [19127] = {.lex_state = 363, .external_lex_state = 12},
  [19128] = {.lex_state = 363, .external_lex_state = 12},
  [19129] = {.lex_state = 0, .external_lex_state = 12},
  [19130] = {.lex_state = 0, .external_lex_state = 12},
  [19131] = {.lex_state = 0, .external_lex_state = 12},
  [19132] = {.lex_state = 0, .external_lex_state = 12},
  [19133] = {.lex_state = 0, .external_lex_state = 12},
  [19134] = {.lex_state = 0, .external_lex_state = 12},
  [19135] = {.lex_state = 343, .external_lex_state = 12},
  [19136] = {.lex_state = 0, .external_lex_state = 12},
  [19137] = {.lex_state = 0, .external_lex_state = 13},
  [19138] = {.lex_state = 0, .external_lex_state = 12},
  [19139] = {.lex_state = 0, .external_lex_state = 12},
  [19140] = {.lex_state = 0, .external_lex_state = 12},
  [19141] = {.lex_state = 343, .external_lex_state = 12},
  [19142] = {.lex_state = 0, .external_lex_state = 12},
  [19143] = {.lex_state = 0, .external_lex_state = 12},
  [19144] = {.lex_state = 0, .external_lex_state = 12},
  [19145] = {.lex_state = 0, .external_lex_state = 13},
  [19146] = {.lex_state = 0, .external_lex_state = 12},
  [19147] = {.lex_state = 0, .external_lex_state = 12},
  [19148] = {.lex_state = 0, .external_lex_state = 12},
  [19149] = {.lex_state = 363, .external_lex_state = 12},
  [19150] = {.lex_state = 0, .external_lex_state = 12},
  [19151] = {.lex_state = 409, .external_lex_state = 12},
  [19152] = {.lex_state = 0, .external_lex_state = 12},
  [19153] = {.lex_state = 0, .external_lex_state = 13},
  [19154] = {.lex_state = 0, .external_lex_state = 12},
  [19155] = {.lex_state = 0, .external_lex_state = 12},
  [19156] = {.lex_state = 0, .external_lex_state = 12},
  [19157] = {.lex_state = 0, .external_lex_state = 12},
  [19158] = {.lex_state = 0, .external_lex_state = 12},
  [19159] = {.lex_state = 0, .external_lex_state = 12},
  [19160] = {.lex_state = 0, .external_lex_state = 12},
  [19161] = {.lex_state = 0, .external_lex_state = 13},
  [19162] = {.lex_state = 0, .external_lex_state = 12},
  [19163] = {.lex_state = 0, .external_lex_state = 12},
  [19164] = {.lex_state = 0, .external_lex_state = 12},
  [19165] = {.lex_state = 0, .external_lex_state = 12},
  [19166] = {.lex_state = 0, .external_lex_state = 12},
  [19167] = {.lex_state = 0, .external_lex_state = 12},
  [19168] = {.lex_state = 0, .external_lex_state = 12},
  [19169] = {.lex_state = 0, .external_lex_state = 13},
  [19170] = {.lex_state = 343, .external_lex_state = 12},
  [19171] = {.lex_state = 363, .external_lex_state = 12},
  [19172] = {.lex_state = 363, .external_lex_state = 12},
  [19173] = {.lex_state = 0, .external_lex_state = 12},
  [19174] = {.lex_state = 343, .external_lex_state = 12},
  [19175] = {.lex_state = 363, .external_lex_state = 12},
  [19176] = {.lex_state = 0, .external_lex_state = 12},
  [19177] = {.lex_state = 0, .external_lex_state = 13},
  [19178] = {.lex_state = 0, .external_lex_state = 12},
  [19179] = {.lex_state = 0, .external_lex_state = 12},
  [19180] = {.lex_state = 0, .external_lex_state = 12},
  [19181] = {.lex_state = 0, .external_lex_state = 12},
  [19182] = {.lex_state = 0, .external_lex_state = 12},
  [19183] = {.lex_state = 363, .external_lex_state = 12},
  [19184] = {.lex_state = 0, .external_lex_state = 12},
  [19185] = {.lex_state = 0, .external_lex_state = 13},
  [19186] = {.lex_state = 0, .external_lex_state = 12},
  [19187] = {.lex_state = 363, .external_lex_state = 12},
  [19188] = {.lex_state = 363, .external_lex_state = 12},
  [19189] = {.lex_state = 0, .external_lex_state = 12},
  [19190] = {.lex_state = 0, .external_lex_state = 12},
  [19191] = {.lex_state = 363, .external_lex_state = 12},
  [19192] = {.lex_state = 0, .external_lex_state = 12},
  [19193] = {.lex_state = 0, .external_lex_state = 13},
  [19194] = {.lex_state = 0, .external_lex_state = 12},
  [19195] = {.lex_state = 363, .external_lex_state = 12},
  [19196] = {.lex_state = 363, .external_lex_state = 12},
  [19197] = {.lex_state = 363, .external_lex_state = 12},
  [19198] = {.lex_state = 0, .external_lex_state = 12},
  [19199] = {.lex_state = 409, .external_lex_state = 12},
  [19200] = {.lex_state = 0, .external_lex_state = 12},
  [19201] = {.lex_state = 0, .external_lex_state = 13},
  [19202] = {.lex_state = 0, .external_lex_state = 12},
  [19203] = {.lex_state = 363, .external_lex_state = 12},
  [19204] = {.lex_state = 0, .external_lex_state = 12},
  [19205] = {.lex_state = 0, .external_lex_state = 12},
  [19206] = {.lex_state = 363, .external_lex_state = 12},
  [19207] = {.lex_state = 0, .external_lex_state = 12},
  [19208] = {.lex_state = 0, .external_lex_state = 13},
  [19209] = {.lex_state = 0, .external_lex_state = 12},
  [19210] = {.lex_state = 0, .external_lex_state = 12},
  [19211] = {.lex_state = 0, .external_lex_state = 12},
  [19212] = {.lex_state = 0, .external_lex_state = 12},
  [19213] = {.lex_state = 0, .external_lex_state = 12},
  [19214] = {.lex_state = 343, .external_lex_state = 12},
  [19215] = {.lex_state = 0, .external_lex_state = 13},
  [19216] = {.lex_state = 0, .external_lex_state = 12},
  [19217] = {.lex_state = 0, .external_lex_state = 12},
  [19218] = {.lex_state = 0, .external_lex_state = 12},
  [19219] = {.lex_state = 343, .external_lex_state = 12},
  [19220] = {.lex_state = 0, .external_lex_state = 12},
  [19221] = {.lex_state = 0, .external_lex_state = 12},
  [19222] = {.lex_state = 0, .external_lex_state = 13},
  [19223] = {.lex_state = 0, .external_lex_state = 12},
  [19224] = {.lex_state = 0, .external_lex_state = 12},
  [19225] = {.lex_state = 0, .external_lex_state = 12},
  [19226] = {.lex_state = 0, .external_lex_state = 12},
  [19227] = {.lex_state = 0, .external_lex_state = 12},
  [19228] = {.lex_state = 0, .external_lex_state = 12},
  [19229] = {.lex_state = 0, .external_lex_state = 13},
  [19230] = {.lex_state = 0, .external_lex_state = 12},
  [19231] = {.lex_state = 0, .external_lex_state = 12},
  [19232] = {.lex_state = 0, .external_lex_state = 12},
  [19233] = {.lex_state = 0, .external_lex_state = 12},
  [19234] = {.lex_state = 0, .external_lex_state = 12},
  [19235] = {.lex_state = 0, .external_lex_state = 12},
  [19236] = {.lex_state = 0, .external_lex_state = 13},
  [19237] = {.lex_state = 0, .external_lex_state = 12},
  [19238] = {.lex_state = 0, .external_lex_state = 12},
  [19239] = {.lex_state = 0, .external_lex_state = 12},
  [19240] = {.lex_state = 0, .external_lex_state = 12},
  [19241] = {.lex_state = 0, .external_lex_state = 12},
  [19242] = {.lex_state = 0, .external_lex_state = 12},
  [19243] = {.lex_state = 0, .external_lex_state = 13},
  [19244] = {.lex_state = 363, .external_lex_state = 12},
  [19245] = {.lex_state = 409, .external_lex_state = 12},
  [19246] = {.lex_state = 0, .external_lex_state = 12},
  [19247] = {.lex_state = 0, .external_lex_state = 12},
  [19248] = {.lex_state = 0, .external_lex_state = 12},
  [19249] = {.lex_state = 0, .external_lex_state = 12},
  [19250] = {.lex_state = 0, .external_lex_state = 13},
  [19251] = {.lex_state = 0, .external_lex_state = 12},
  [19252] = {.lex_state = 409, .external_lex_state = 12},
  [19253] = {.lex_state = 0, .external_lex_state = 12},
  [19254] = {.lex_state = 0, .external_lex_state = 12},
  [19255] = {.lex_state = 0, .external_lex_state = 12},
  [19256] = {.lex_state = 0, .external_lex_state = 12},
  [19257] = {.lex_state = 363, .external_lex_state = 12},
  [19258] = {.lex_state = 0, .external_lex_state = 12},
  [19259] = {.lex_state = 363, .external_lex_state = 12},
  [19260] = {.lex_state = 0, .external_lex_state = 12},
  [19261] = {.lex_state = 0, .external_lex_state = 12},
  [19262] = {.lex_state = 343, .external_lex_state = 12},
  [19263] = {.lex_state = 0, .external_lex_state = 12},
  [19264] = {.lex_state = 0, .external_lex_state = 12},
  [19265] = {.lex_state = 0, .external_lex_state = 12},
  [19266] = {.lex_state = 0, .external_lex_state = 12},
  [19267] = {.lex_state = 363, .external_lex_state = 12},
  [19268] = {.lex_state = 0, .external_lex_state = 12},
  [19269] = {.lex_state = 363, .external_lex_state = 12},
  [19270] = {.lex_state = 0, .external_lex_state = 12},
  [19271] = {.lex_state = 363, .external_lex_state = 12},
  [19272] = {.lex_state = 0, .external_lex_state = 12},
  [19273] = {.lex_state = 363, .external_lex_state = 12},
  [19274] = {.lex_state = 0, .external_lex_state = 12},
  [19275] = {.lex_state = 363, .external_lex_state = 12},
  [19276] = {.lex_state = 0, .external_lex_state = 12},
  [19277] = {.lex_state = 0, .external_lex_state = 12},
  [19278] = {.lex_state = 343, .external_lex_state = 12},
  [19279] = {.lex_state = 363, .external_lex_state = 12},
  [19280] = {.lex_state = 0, .external_lex_state = 12},
  [19281] = {.lex_state = 363, .external_lex_state = 12},
  [19282] = {.lex_state = 0, .external_lex_state = 12},
  [19283] = {.lex_state = 363, .external_lex_state = 12},
  [19284] = {.lex_state = 0, .external_lex_state = 12},
  [19285] = {.lex_state = 363, .external_lex_state = 12},
  [19286] = {.lex_state = 0, .external_lex_state = 12},
  [19287] = {.lex_state = 363, .external_lex_state = 12},
  [19288] = {.lex_state = 0, .external_lex_state = 12},
  [19289] = {.lex_state = 363, .external_lex_state = 12},
  [19290] = {.lex_state = 0, .external_lex_state = 12},
  [19291] = {.lex_state = 363, .external_lex_state = 12},
  [19292] = {.lex_state = 0, .external_lex_state = 12},
  [19293] = {.lex_state = 363, .external_lex_state = 12},
  [19294] = {.lex_state = 0, .external_lex_state = 12},
  [19295] = {.lex_state = 0, .external_lex_state = 12},
  [19296] = {.lex_state = 0, .external_lex_state = 12},
  [19297] = {.lex_state = 409, .external_lex_state = 12},
  [19298] = {.lex_state = 0, .external_lex_state = 12},
  [19299] = {.lex_state = 0, .external_lex_state = 12},
  [19300] = {.lex_state = 0, .external_lex_state = 12},
  [19301] = {.lex_state = 0, .external_lex_state = 12},
  [19302] = {.lex_state = 0, .external_lex_state = 12},
  [19303] = {.lex_state = 363, .external_lex_state = 12},
  [19304] = {.lex_state = 0, .external_lex_state = 12},
  [19305] = {.lex_state = 363, .external_lex_state = 12},
  [19306] = {.lex_state = 0, .external_lex_state = 12},
  [19307] = {.lex_state = 0, .external_lex_state = 12},
  [19308] = {.lex_state = 0, .external_lex_state = 12},
  [19309] = {.lex_state = 363, .external_lex_state = 12},
  [19310] = {.lex_state = 0, .external_lex_state = 12},
  [19311] = {.lex_state = 0, .external_lex_state = 12},
  [19312] = {.lex_state = 363, .external_lex_state = 12},
  [19313] = {.lex_state = 0, .external_lex_state = 12},
  [19314] = {.lex_state = 0, .external_lex_state = 12},
  [19315] = {.lex_state = 363, .external_lex_state = 12},
  [19316] = {.lex_state = 343, .external_lex_state = 12},
  [19317] = {.lex_state = 0, .external_lex_state = 12},
  [19318] = {.lex_state = 363, .external_lex_state = 12},
  [19319] = {.lex_state = 343, .external_lex_state = 12},
  [19320] = {.lex_state = 0, .external_lex_state = 12},
  [19321] = {.lex_state = 363, .external_lex_state = 12},
  [19322] = {.lex_state = 0, .external_lex_state = 12},
  [19323] = {.lex_state = 0, .external_lex_state = 12},
  [19324] = {.lex_state = 363, .external_lex_state = 12},
  [19325] = {.lex_state = 0, .external_lex_state = 12},
  [19326] = {.lex_state = 0, .external_lex_state = 12},
  [19327] = {.lex_state = 363, .external_lex_state = 12},
  [19328] = {.lex_state = 0, .external_lex_state = 12},
  [19329] = {.lex_state = 0, .external_lex_state = 12},
  [19330] = {.lex_state = 363, .external_lex_state = 12},
  [19331] = {.lex_state = 0, .external_lex_state = 12},
  [19332] = {.lex_state = 0, .external_lex_state = 12},
  [19333] = {.lex_state = 0, .external_lex_state = 12},
  [19334] = {.lex_state = 0, .external_lex_state = 12},
  [19335] = {.lex_state = 0, .external_lex_state = 12},
  [19336] = {.lex_state = 0, .external_lex_state = 12},
  [19337] = {.lex_state = 0, .external_lex_state = 12},
  [19338] = {.lex_state = 363, .external_lex_state = 12},
  [19339] = {.lex_state = 0, .external_lex_state = 12},
  [19340] = {.lex_state = 0, .external_lex_state = 12},
  [19341] = {.lex_state = 0, .external_lex_state = 12},
  [19342] = {.lex_state = 409, .external_lex_state = 12},
  [19343] = {.lex_state = 0, .external_lex_state = 12},
  [19344] = {.lex_state = 0, .external_lex_state = 12},
  [19345] = {.lex_state = 0, .external_lex_state = 12},
  [19346] = {.lex_state = 0, .external_lex_state = 12},
  [19347] = {.lex_state = 343, .external_lex_state = 12},
  [19348] = {.lex_state = 0, .external_lex_state = 12},
  [19349] = {.lex_state = 0, .external_lex_state = 12},
  [19350] = {.lex_state = 0, .external_lex_state = 12},
  [19351] = {.lex_state = 0, .external_lex_state = 12},
  [19352] = {.lex_state = 0, .external_lex_state = 12},
  [19353] = {.lex_state = 0, .external_lex_state = 12},
  [19354] = {.lex_state = 0, .external_lex_state = 12},
  [19355] = {.lex_state = 0, .external_lex_state = 12},
  [19356] = {.lex_state = 343, .external_lex_state = 12},
  [19357] = {.lex_state = 0, .external_lex_state = 12},
  [19358] = {.lex_state = 0, .external_lex_state = 12},
  [19359] = {.lex_state = 0, .external_lex_state = 12},
  [19360] = {.lex_state = 0, .external_lex_state = 12},
  [19361] = {.lex_state = 0, .external_lex_state = 12},
  [19362] = {.lex_state = 0, .external_lex_state = 12},
  [19363] = {.lex_state = 0, .external_lex_state = 12},
  [19364] = {.lex_state = 0, .external_lex_state = 12},
  [19365] = {.lex_state = 0, .external_lex_state = 12},
  [19366] = {.lex_state = 0, .external_lex_state = 12},
  [19367] = {.lex_state = 0, .external_lex_state = 12},
  [19368] = {.lex_state = 343, .external_lex_state = 12},
  [19369] = {.lex_state = 0, .external_lex_state = 12},
  [19370] = {.lex_state = 0, .external_lex_state = 12},
  [19371] = {.lex_state = 0, .external_lex_state = 12},
  [19372] = {.lex_state = 0, .external_lex_state = 12},
  [19373] = {.lex_state = 363, .external_lex_state = 12},
  [19374] = {.lex_state = 0, .external_lex_state = 12},
  [19375] = {.lex_state = 409, .external_lex_state = 12},
  [19376] = {.lex_state = 343, .external_lex_state = 12},
  [19377] = {.lex_state = 343, .external_lex_state = 12},
  [19378] = {.lex_state = 0, .external_lex_state = 12},
  [19379] = {.lex_state = 0, .external_lex_state = 12},
  [19380] = {.lex_state = 0, .external_lex_state = 12},
  [19381] = {.lex_state = 0, .external_lex_state = 12},
  [19382] = {.lex_state = 0, .external_lex_state = 12},
  [19383] = {.lex_state = 0, .external_lex_state = 12},
  [19384] = {.lex_state = 0, .external_lex_state = 12},
  [19385] = {.lex_state = 0, .external_lex_state = 12},
  [19386] = {.lex_state = 363, .external_lex_state = 12},
  [19387] = {.lex_state = 363, .external_lex_state = 12},
  [19388] = {.lex_state = 363, .external_lex_state = 12},
  [19389] = {.lex_state = 0, .external_lex_state = 12},
  [19390] = {.lex_state = 0, .external_lex_state = 12},
  [19391] = {.lex_state = 0, .external_lex_state = 12},
  [19392] = {.lex_state = 363, .external_lex_state = 12},
  [19393] = {.lex_state = 363, .external_lex_state = 12},
  [19394] = {.lex_state = 363, .external_lex_state = 12},
  [19395] = {.lex_state = 363, .external_lex_state = 12},
  [19396] = {.lex_state = 363, .external_lex_state = 12},
  [19397] = {.lex_state = 363, .external_lex_state = 12},
  [19398] = {.lex_state = 363, .external_lex_state = 12},
  [19399] = {.lex_state = 363, .external_lex_state = 12},
  [19400] = {.lex_state = 363, .external_lex_state = 12},
  [19401] = {.lex_state = 363, .external_lex_state = 12},
  [19402] = {.lex_state = 363, .external_lex_state = 12},
  [19403] = {.lex_state = 0, .external_lex_state = 12},
  [19404] = {.lex_state = 0, .external_lex_state = 12},
  [19405] = {.lex_state = 0, .external_lex_state = 12},
  [19406] = {.lex_state = 0, .external_lex_state = 12},
  [19407] = {.lex_state = 0, .external_lex_state = 12},
  [19408] = {.lex_state = 343, .external_lex_state = 12},
  [19409] = {.lex_state = 0, .external_lex_state = 12},
  [19410] = {.lex_state = 0, .external_lex_state = 12},
  [19411] = {.lex_state = 0, .external_lex_state = 12},
  [19412] = {.lex_state = 0, .external_lex_state = 12},
  [19413] = {.lex_state = 343, .external_lex_state = 12},
  [19414] = {.lex_state = 0, .external_lex_state = 12},
  [19415] = {.lex_state = 0, .external_lex_state = 12},
  [19416] = {.lex_state = 0, .external_lex_state = 12},
  [19417] = {.lex_state = 0, .external_lex_state = 12},
  [19418] = {.lex_state = 0, .external_lex_state = 12},
  [19419] = {.lex_state = 0, .external_lex_state = 12},
  [19420] = {.lex_state = 363, .external_lex_state = 12},
  [19421] = {.lex_state = 363, .external_lex_state = 12},
  [19422] = {.lex_state = 363, .external_lex_state = 12},
  [19423] = {.lex_state = 0, .external_lex_state = 12},
  [19424] = {.lex_state = 0, .external_lex_state = 12},
  [19425] = {.lex_state = 363, .external_lex_state = 12},
  [19426] = {.lex_state = 363, .external_lex_state = 12},
  [19427] = {.lex_state = 363, .external_lex_state = 12},
  [19428] = {.lex_state = 363, .external_lex_state = 12},
  [19429] = {.lex_state = 363, .external_lex_state = 12},
  [19430] = {.lex_state = 363, .external_lex_state = 12},
  [19431] = {.lex_state = 409, .external_lex_state = 12},
  [19432] = {.lex_state = 363, .external_lex_state = 12},
  [19433] = {.lex_state = 363, .external_lex_state = 12},
  [19434] = {.lex_state = 0, .external_lex_state = 12},
  [19435] = {.lex_state = 0, .external_lex_state = 12},
  [19436] = {.lex_state = 0, .external_lex_state = 12},
  [19437] = {.lex_state = 0, .external_lex_state = 12},
  [19438] = {.lex_state = 363, .external_lex_state = 12},
  [19439] = {.lex_state = 0, .external_lex_state = 12},
  [19440] = {.lex_state = 409, .external_lex_state = 12},
  [19441] = {.lex_state = 0, .external_lex_state = 12},
  [19442] = {.lex_state = 0, .external_lex_state = 12},
  [19443] = {.lex_state = 0, .external_lex_state = 12},
  [19444] = {.lex_state = 0, .external_lex_state = 12},
  [19445] = {.lex_state = 0, .external_lex_state = 12},
  [19446] = {.lex_state = 409, .external_lex_state = 12},
  [19447] = {.lex_state = 0, .external_lex_state = 12},
  [19448] = {.lex_state = 363, .external_lex_state = 12},
  [19449] = {.lex_state = 363, .external_lex_state = 12},
  [19450] = {.lex_state = 0, .external_lex_state = 12},
  [19451] = {.lex_state = 0, .external_lex_state = 12},
  [19452] = {.lex_state = 0, .external_lex_state = 12},
  [19453] = {.lex_state = 0, .external_lex_state = 12},
  [19454] = {.lex_state = 0, .external_lex_state = 12},
  [19455] = {.lex_state = 363, .external_lex_state = 12},
  [19456] = {.lex_state = 363, .external_lex_state = 12},
  [19457] = {.lex_state = 363, .external_lex_state = 12},
  [19458] = {.lex_state = 363, .external_lex_state = 12},
  [19459] = {.lex_state = 363, .external_lex_state = 12},
  [19460] = {.lex_state = 0, .external_lex_state = 12},
  [19461] = {.lex_state = 363, .external_lex_state = 12},
  [19462] = {.lex_state = 363, .external_lex_state = 12},
  [19463] = {.lex_state = 363, .external_lex_state = 12},
  [19464] = {.lex_state = 363, .external_lex_state = 12},
  [19465] = {.lex_state = 363, .external_lex_state = 12},
  [19466] = {.lex_state = 363, .external_lex_state = 12},
  [19467] = {.lex_state = 363, .external_lex_state = 12},
  [19468] = {.lex_state = 0, .external_lex_state = 12},
  [19469] = {.lex_state = 0, .external_lex_state = 12},
  [19470] = {.lex_state = 0, .external_lex_state = 12},
  [19471] = {.lex_state = 0, .external_lex_state = 12},
  [19472] = {.lex_state = 0, .external_lex_state = 12},
  [19473] = {.lex_state = 363, .external_lex_state = 12},
  [19474] = {.lex_state = 363, .external_lex_state = 12},
  [19475] = {.lex_state = 343, .external_lex_state = 12},
  [19476] = {.lex_state = 363, .external_lex_state = 12},
  [19477] = {.lex_state = 363, .external_lex_state = 12},
  [19478] = {.lex_state = 363, .external_lex_state = 12},
  [19479] = {.lex_state = 363, .external_lex_state = 12},
  [19480] = {.lex_state = 363, .external_lex_state = 12},
  [19481] = {.lex_state = 363, .external_lex_state = 12},
  [19482] = {.lex_state = 363, .external_lex_state = 12},
  [19483] = {.lex_state = 363, .external_lex_state = 12},
  [19484] = {.lex_state = 0, .external_lex_state = 12},
  [19485] = {.lex_state = 0, .external_lex_state = 12},
  [19486] = {.lex_state = 0, .external_lex_state = 12},
  [19487] = {.lex_state = 0, .external_lex_state = 12},
  [19488] = {.lex_state = 0, .external_lex_state = 12},
  [19489] = {.lex_state = 343, .external_lex_state = 12},
  [19490] = {.lex_state = 0, .external_lex_state = 12},
  [19491] = {.lex_state = 363, .external_lex_state = 12},
  [19492] = {.lex_state = 0, .external_lex_state = 12},
  [19493] = {.lex_state = 0, .external_lex_state = 12},
  [19494] = {.lex_state = 0, .external_lex_state = 12},
  [19495] = {.lex_state = 409, .external_lex_state = 12},
  [19496] = {.lex_state = 0, .external_lex_state = 12},
  [19497] = {.lex_state = 343, .external_lex_state = 12},
  [19498] = {.lex_state = 363, .external_lex_state = 12},
  [19499] = {.lex_state = 363, .external_lex_state = 12},
  [19500] = {.lex_state = 363, .external_lex_state = 12},
  [19501] = {.lex_state = 0, .external_lex_state = 12},
  [19502] = {.lex_state = 0, .external_lex_state = 12},
  [19503] = {.lex_state = 363, .external_lex_state = 12},
  [19504] = {.lex_state = 363, .external_lex_state = 12},
  [19505] = {.lex_state = 363, .external_lex_state = 12},
  [19506] = {.lex_state = 363, .external_lex_state = 12},
  [19507] = {.lex_state = 363, .external_lex_state = 12},
  [19508] = {.lex_state = 363, .external_lex_state = 12},
  [19509] = {.lex_state = 363, .external_lex_state = 12},
  [19510] = {.lex_state = 363, .external_lex_state = 12},
  [19511] = {.lex_state = 363, .external_lex_state = 12},
  [19512] = {.lex_state = 363, .external_lex_state = 12},
  [19513] = {.lex_state = 363, .external_lex_state = 12},
  [19514] = {.lex_state = 0, .external_lex_state = 12},
  [19515] = {.lex_state = 0, .external_lex_state = 12},
  [19516] = {.lex_state = 343, .external_lex_state = 12},
  [19517] = {.lex_state = 0, .external_lex_state = 12},
  [19518] = {.lex_state = 343, .external_lex_state = 12},
  [19519] = {.lex_state = 0, .external_lex_state = 12},
  [19520] = {.lex_state = 0, .external_lex_state = 12},
  [19521] = {.lex_state = 0, .external_lex_state = 12},
  [19522] = {.lex_state = 0, .external_lex_state = 12},
  [19523] = {.lex_state = 0, .external_lex_state = 12},
  [19524] = {.lex_state = 0, .external_lex_state = 12},
  [19525] = {.lex_state = 0, .external_lex_state = 12},
  [19526] = {.lex_state = 0, .external_lex_state = 12},
  [19527] = {.lex_state = 0, .external_lex_state = 12},
  [19528] = {.lex_state = 363, .external_lex_state = 12},
  [19529] = {.lex_state = 0, .external_lex_state = 12},
  [19530] = {.lex_state = 0, .external_lex_state = 12},
  [19531] = {.lex_state = 0, .external_lex_state = 12},
  [19532] = {.lex_state = 363, .external_lex_state = 12},
  [19533] = {.lex_state = 363, .external_lex_state = 12},
  [19534] = {.lex_state = 363, .external_lex_state = 12},
  [19535] = {.lex_state = 409, .external_lex_state = 12},
  [19536] = {.lex_state = 0, .external_lex_state = 12},
  [19537] = {.lex_state = 0, .external_lex_state = 12},
  [19538] = {.lex_state = 363, .external_lex_state = 12},
  [19539] = {.lex_state = 363, .external_lex_state = 12},
  [19540] = {.lex_state = 363, .external_lex_state = 12},
  [19541] = {.lex_state = 363, .external_lex_state = 12},
  [19542] = {.lex_state = 363, .external_lex_state = 12},
  [19543] = {.lex_state = 0, .external_lex_state = 12},
  [19544] = {.lex_state = 363, .external_lex_state = 12},
  [19545] = {.lex_state = 363, .external_lex_state = 12},
  [19546] = {.lex_state = 0, .external_lex_state = 12},
  [19547] = {.lex_state = 0, .external_lex_state = 12},
  [19548] = {.lex_state = 0, .external_lex_state = 12},
  [19549] = {.lex_state = 0, .external_lex_state = 12},
  [19550] = {.lex_state = 0, .external_lex_state = 12},
  [19551] = {.lex_state = 0, .external_lex_state = 12},
  [19552] = {.lex_state = 0, .external_lex_state = 12},
  [19553] = {.lex_state = 0, .external_lex_state = 12},
  [19554] = {.lex_state = 0, .external_lex_state = 12},
  [19555] = {.lex_state = 409, .external_lex_state = 12},
  [19556] = {.lex_state = 0, .external_lex_state = 12},
  [19557] = {.lex_state = 0, .external_lex_state = 12},
  [19558] = {.lex_state = 0, .external_lex_state = 12},
  [19559] = {.lex_state = 409, .external_lex_state = 12},
  [19560] = {.lex_state = 0, .external_lex_state = 12},
  [19561] = {.lex_state = 363, .external_lex_state = 12},
  [19562] = {.lex_state = 363, .external_lex_state = 12},
  [19563] = {.lex_state = 343, .external_lex_state = 12},
  [19564] = {.lex_state = 0, .external_lex_state = 12},
  [19565] = {.lex_state = 0, .external_lex_state = 12},
  [19566] = {.lex_state = 0, .external_lex_state = 12},
  [19567] = {.lex_state = 0, .external_lex_state = 12},
  [19568] = {.lex_state = 0, .external_lex_state = 12},
  [19569] = {.lex_state = 0, .external_lex_state = 12},
  [19570] = {.lex_state = 0, .external_lex_state = 12},
  [19571] = {.lex_state = 0, .external_lex_state = 12},
  [19572] = {.lex_state = 0, .external_lex_state = 12},
  [19573] = {.lex_state = 0, .external_lex_state = 12},
  [19574] = {.lex_state = 0, .external_lex_state = 12},
  [19575] = {.lex_state = 0, .external_lex_state = 12},
  [19576] = {.lex_state = 0, .external_lex_state = 12},
  [19577] = {.lex_state = 0, .external_lex_state = 12},
  [19578] = {.lex_state = 0, .external_lex_state = 12},
  [19579] = {.lex_state = 343, .external_lex_state = 12},
  [19580] = {.lex_state = 363, .external_lex_state = 12},
  [19581] = {.lex_state = 0, .external_lex_state = 12},
  [19582] = {.lex_state = 409, .external_lex_state = 12},
  [19583] = {.lex_state = 0, .external_lex_state = 12},
  [19584] = {.lex_state = 0, .external_lex_state = 12},
  [19585] = {.lex_state = 0, .external_lex_state = 12},
  [19586] = {.lex_state = 0, .external_lex_state = 12},
  [19587] = {.lex_state = 0, .external_lex_state = 12},
  [19588] = {.lex_state = 0, .external_lex_state = 12},
  [19589] = {.lex_state = 0, .external_lex_state = 12},
  [19590] = {.lex_state = 0, .external_lex_state = 12},
  [19591] = {.lex_state = 409, .external_lex_state = 12},
  [19592] = {.lex_state = 0, .external_lex_state = 12},
  [19593] = {.lex_state = 0, .external_lex_state = 12},
  [19594] = {.lex_state = 0, .external_lex_state = 12},
  [19595] = {.lex_state = 363, .external_lex_state = 12},
  [19596] = {.lex_state = 0, .external_lex_state = 12},
  [19597] = {.lex_state = 343, .external_lex_state = 12},
  [19598] = {.lex_state = 0, .external_lex_state = 12},
  [19599] = {.lex_state = 0, .external_lex_state = 12},
  [19600] = {.lex_state = 0, .external_lex_state = 12},
  [19601] = {.lex_state = 0, .external_lex_state = 12},
  [19602] = {.lex_state = 0, .external_lex_state = 12},
  [19603] = {.lex_state = 0, .external_lex_state = 12},
  [19604] = {.lex_state = 0, .external_lex_state = 12},
  [19605] = {.lex_state = 0, .external_lex_state = 12},
  [19606] = {.lex_state = 0, .external_lex_state = 12},
  [19607] = {.lex_state = 0, .external_lex_state = 12},
  [19608] = {.lex_state = 0, .external_lex_state = 12},
  [19609] = {.lex_state = 0, .external_lex_state = 12},
  [19610] = {.lex_state = 0, .external_lex_state = 12},
  [19611] = {.lex_state = 343, .external_lex_state = 12},
  [19612] = {.lex_state = 343, .external_lex_state = 12},
  [19613] = {.lex_state = 343, .external_lex_state = 12},
  [19614] = {.lex_state = 363, .external_lex_state = 12},
  [19615] = {.lex_state = 0, .external_lex_state = 12},
  [19616] = {.lex_state = 409, .external_lex_state = 12},
  [19617] = {.lex_state = 0, .external_lex_state = 12},
  [19618] = {.lex_state = 0, .external_lex_state = 12},
  [19619] = {.lex_state = 0, .external_lex_state = 12},
  [19620] = {.lex_state = 0, .external_lex_state = 12},
  [19621] = {.lex_state = 0, .external_lex_state = 12},
  [19622] = {.lex_state = 0, .external_lex_state = 12},
  [19623] = {.lex_state = 0, .external_lex_state = 12},
  [19624] = {.lex_state = 0, .external_lex_state = 12},
  [19625] = {.lex_state = 343, .external_lex_state = 12},
  [19626] = {.lex_state = 0, .external_lex_state = 12},
  [19627] = {.lex_state = 409, .external_lex_state = 12},
  [19628] = {.lex_state = 0, .external_lex_state = 12},
  [19629] = {.lex_state = 0, .external_lex_state = 12},
  [19630] = {.lex_state = 343, .external_lex_state = 12},
  [19631] = {.lex_state = 363, .external_lex_state = 12},
  [19632] = {.lex_state = 0, .external_lex_state = 12},
  [19633] = {.lex_state = 0, .external_lex_state = 12},
  [19634] = {.lex_state = 0, .external_lex_state = 12},
  [19635] = {.lex_state = 0, .external_lex_state = 12},
  [19636] = {.lex_state = 0, .external_lex_state = 12},
  [19637] = {.lex_state = 0, .external_lex_state = 12},
  [19638] = {.lex_state = 0, .external_lex_state = 12},
  [19639] = {.lex_state = 0, .external_lex_state = 12},
  [19640] = {.lex_state = 343, .external_lex_state = 12},
  [19641] = {.lex_state = 343, .external_lex_state = 12},
  [19642] = {.lex_state = 363, .external_lex_state = 12},
  [19643] = {.lex_state = 0, .external_lex_state = 12},
  [19644] = {.lex_state = 0, .external_lex_state = 12},
  [19645] = {.lex_state = 0, .external_lex_state = 12},
  [19646] = {.lex_state = 0, .external_lex_state = 12},
  [19647] = {.lex_state = 363, .external_lex_state = 12},
  [19648] = {.lex_state = 363, .external_lex_state = 12},
  [19649] = {.lex_state = 363, .external_lex_state = 12},
  [19650] = {.lex_state = 363, .external_lex_state = 12},
  [19651] = {.lex_state = 0, .external_lex_state = 12},
  [19652] = {.lex_state = 0, .external_lex_state = 12},
  [19653] = {.lex_state = 0, .external_lex_state = 12},
  [19654] = {.lex_state = 0, .external_lex_state = 12},
  [19655] = {.lex_state = 363, .external_lex_state = 12},
  [19656] = {.lex_state = 363, .external_lex_state = 12},
  [19657] = {.lex_state = 0, .external_lex_state = 12},
  [19658] = {.lex_state = 363, .external_lex_state = 12},
  [19659] = {.lex_state = 0, .external_lex_state = 12},
  [19660] = {.lex_state = 363, .external_lex_state = 12},
  [19661] = {.lex_state = 363, .external_lex_state = 12},
  [19662] = {.lex_state = 363, .external_lex_state = 12},
  [19663] = {.lex_state = 363, .external_lex_state = 12},
  [19664] = {.lex_state = 363, .external_lex_state = 12},
  [19665] = {.lex_state = 0, .external_lex_state = 12},
  [19666] = {.lex_state = 343, .external_lex_state = 12},
  [19667] = {.lex_state = 343, .external_lex_state = 12},
  [19668] = {.lex_state = 343, .external_lex_state = 12},
  [19669] = {.lex_state = 0, .external_lex_state = 12},
  [19670] = {.lex_state = 409, .external_lex_state = 12},
  [19671] = {.lex_state = 0, .external_lex_state = 12},
  [19672] = {.lex_state = 0, .external_lex_state = 12},
  [19673] = {.lex_state = 0, .external_lex_state = 12},
  [19674] = {.lex_state = 0, .external_lex_state = 12},
  [19675] = {.lex_state = 0, .external_lex_state = 12},
  [19676] = {.lex_state = 0, .external_lex_state = 12},
  [19677] = {.lex_state = 0, .external_lex_state = 12},
  [19678] = {.lex_state = 0, .external_lex_state = 12},
  [19679] = {.lex_state = 0, .external_lex_state = 12},
  [19680] = {.lex_state = 0, .external_lex_state = 12},
  [19681] = {.lex_state = 363, .external_lex_state = 12},
  [19682] = {.lex_state = 363, .external_lex_state = 12},
  [19683] = {.lex_state = 0, .external_lex_state = 12},
  [19684] = {.lex_state = 0, .external_lex_state = 12},
  [19685] = {.lex_state = 363, .external_lex_state = 12},
  [19686] = {.lex_state = 0, .external_lex_state = 12},
  [19687] = {.lex_state = 363, .external_lex_state = 12},
  [19688] = {.lex_state = 409, .external_lex_state = 12},
  [19689] = {.lex_state = 0, .external_lex_state = 12},
  [19690] = {.lex_state = 363, .external_lex_state = 12},
  [19691] = {.lex_state = 363, .external_lex_state = 12},
  [19692] = {.lex_state = 343, .external_lex_state = 12},
  [19693] = {.lex_state = 343, .external_lex_state = 12},
  [19694] = {.lex_state = 363, .external_lex_state = 12},
  [19695] = {.lex_state = 363, .external_lex_state = 12},
  [19696] = {.lex_state = 363, .external_lex_state = 12},
  [19697] = {.lex_state = 363, .external_lex_state = 12},
  [19698] = {.lex_state = 0, .external_lex_state = 12},
  [19699] = {.lex_state = 343, .external_lex_state = 12},
  [19700] = {.lex_state = 0, .external_lex_state = 12},
  [19701] = {.lex_state = 363, .external_lex_state = 12},
  [19702] = {.lex_state = 363, .external_lex_state = 12},
  [19703] = {.lex_state = 0, .external_lex_state = 12},
  [19704] = {.lex_state = 0, .external_lex_state = 12},
  [19705] = {.lex_state = 0, .external_lex_state = 12},
  [19706] = {.lex_state = 0, .external_lex_state = 12},
  [19707] = {.lex_state = 0, .external_lex_state = 12},
  [19708] = {.lex_state = 0, .external_lex_state = 12},
  [19709] = {.lex_state = 0, .external_lex_state = 12},
  [19710] = {.lex_state = 0, .external_lex_state = 12},
  [19711] = {.lex_state = 0, .external_lex_state = 12},
  [19712] = {.lex_state = 0, .external_lex_state = 12},
  [19713] = {.lex_state = 0, .external_lex_state = 12},
  [19714] = {.lex_state = 0, .external_lex_state = 12},
  [19715] = {.lex_state = 0, .external_lex_state = 12},
  [19716] = {.lex_state = 0, .external_lex_state = 12},
  [19717] = {.lex_state = 343, .external_lex_state = 12},
  [19718] = {.lex_state = 343, .external_lex_state = 12},
  [19719] = {.lex_state = 363, .external_lex_state = 12},
  [19720] = {.lex_state = 0, .external_lex_state = 12},
  [19721] = {.lex_state = 0, .external_lex_state = 12},
  [19722] = {.lex_state = 0, .external_lex_state = 12},
  [19723] = {.lex_state = 409, .external_lex_state = 12},
  [19724] = {.lex_state = 0, .external_lex_state = 12},
  [19725] = {.lex_state = 343, .external_lex_state = 12},
  [19726] = {.lex_state = 0, .external_lex_state = 12},
  [19727] = {.lex_state = 0, .external_lex_state = 12},
  [19728] = {.lex_state = 0, .external_lex_state = 12},
  [19729] = {.lex_state = 0, .external_lex_state = 12},
  [19730] = {.lex_state = 0, .external_lex_state = 12},
  [19731] = {.lex_state = 363, .external_lex_state = 12},
  [19732] = {.lex_state = 363, .external_lex_state = 12},
  [19733] = {.lex_state = 363, .external_lex_state = 12},
  [19734] = {.lex_state = 0, .external_lex_state = 12},
  [19735] = {.lex_state = 0, .external_lex_state = 12},
  [19736] = {.lex_state = 0, .external_lex_state = 12},
  [19737] = {.lex_state = 0, .external_lex_state = 12},
  [19738] = {.lex_state = 0, .external_lex_state = 12},
  [19739] = {.lex_state = 363, .external_lex_state = 12},
  [19740] = {.lex_state = 343, .external_lex_state = 12},
  [19741] = {.lex_state = 343, .external_lex_state = 12},
  [19742] = {.lex_state = 0, .external_lex_state = 12},
  [19743] = {.lex_state = 363, .external_lex_state = 12},
  [19744] = {.lex_state = 409, .external_lex_state = 12},
  [19745] = {.lex_state = 0, .external_lex_state = 12},
  [19746] = {.lex_state = 343, .external_lex_state = 12},
  [19747] = {.lex_state = 343, .external_lex_state = 12},
  [19748] = {.lex_state = 0, .external_lex_state = 12},
  [19749] = {.lex_state = 363, .external_lex_state = 12},
  [19750] = {.lex_state = 343, .external_lex_state = 12},
  [19751] = {.lex_state = 0, .external_lex_state = 12},
  [19752] = {.lex_state = 343, .external_lex_state = 12},
  [19753] = {.lex_state = 343, .external_lex_state = 12},
  [19754] = {.lex_state = 0, .external_lex_state = 12},
  [19755] = {.lex_state = 363, .external_lex_state = 12},
  [19756] = {.lex_state = 0, .external_lex_state = 12},
  [19757] = {.lex_state = 363, .external_lex_state = 12},
  [19758] = {.lex_state = 343, .external_lex_state = 12},
  [19759] = {.lex_state = 343, .external_lex_state = 12},
  [19760] = {.lex_state = 0, .external_lex_state = 12},
  [19761] = {.lex_state = 0, .external_lex_state = 12},
  [19762] = {.lex_state = 0, .external_lex_state = 12},
  [19763] = {.lex_state = 363, .external_lex_state = 12},
  [19764] = {.lex_state = 343, .external_lex_state = 12},
  [19765] = {.lex_state = 343, .external_lex_state = 12},
  [19766] = {.lex_state = 0, .external_lex_state = 12},
  [19767] = {.lex_state = 0, .external_lex_state = 12},
  [19768] = {.lex_state = 0, .external_lex_state = 12},
  [19769] = {.lex_state = 363, .external_lex_state = 12},
  [19770] = {.lex_state = 343, .external_lex_state = 12},
  [19771] = {.lex_state = 343, .external_lex_state = 12},
  [19772] = {.lex_state = 0, .external_lex_state = 12},
  [19773] = {.lex_state = 0, .external_lex_state = 12},
  [19774] = {.lex_state = 0, .external_lex_state = 12},
  [19775] = {.lex_state = 363, .external_lex_state = 12},
  [19776] = {.lex_state = 363, .external_lex_state = 12},
  [19777] = {.lex_state = 343, .external_lex_state = 12},
  [19778] = {.lex_state = 363, .external_lex_state = 12},
  [19779] = {.lex_state = 0, .external_lex_state = 12},
  [19780] = {.lex_state = 363, .external_lex_state = 12},
  [19781] = {.lex_state = 0, .external_lex_state = 12},
  [19782] = {.lex_state = 363, .external_lex_state = 12},
  [19783] = {.lex_state = 0, .external_lex_state = 12},
  [19784] = {.lex_state = 409, .external_lex_state = 12},
  [19785] = {.lex_state = 0, .external_lex_state = 12},
  [19786] = {.lex_state = 0, .external_lex_state = 12},
  [19787] = {.lex_state = 343, .external_lex_state = 12},
  [19788] = {.lex_state = 0, .external_lex_state = 12},
  [19789] = {.lex_state = 343, .external_lex_state = 12},
  [19790] = {.lex_state = 0, .external_lex_state = 12},
  [19791] = {.lex_state = 0, .external_lex_state = 12},
  [19792] = {.lex_state = 0, .external_lex_state = 12},
  [19793] = {.lex_state = 0, .external_lex_state = 12},
  [19794] = {.lex_state = 0, .external_lex_state = 12},
  [19795] = {.lex_state = 0, .external_lex_state = 12},
  [19796] = {.lex_state = 0, .external_lex_state = 12},
  [19797] = {.lex_state = 0, .external_lex_state = 12},
  [19798] = {.lex_state = 0, .external_lex_state = 12},
  [19799] = {.lex_state = 0, .external_lex_state = 12},
  [19800] = {.lex_state = 409, .external_lex_state = 12},
  [19801] = {.lex_state = 343, .external_lex_state = 12},
  [19802] = {.lex_state = 0, .external_lex_state = 12},
  [19803] = {.lex_state = 0, .external_lex_state = 12},
  [19804] = {.lex_state = 0, .external_lex_state = 12},
  [19805] = {.lex_state = 0, .external_lex_state = 12},
  [19806] = {.lex_state = 363, .external_lex_state = 12},
  [19807] = {.lex_state = 363, .external_lex_state = 12},
  [19808] = {.lex_state = 343, .external_lex_state = 12},
  [19809] = {.lex_state = 363, .external_lex_state = 12},
  [19810] = {.lex_state = 0, .external_lex_state = 12},
  [19811] = {.lex_state = 0, .external_lex_state = 12},
  [19812] = {.lex_state = 363, .external_lex_state = 12},
  [19813] = {.lex_state = 0, .external_lex_state = 12},
  [19814] = {.lex_state = 0, .external_lex_state = 12},
  [19815] = {.lex_state = 363, .external_lex_state = 12},
  [19816] = {.lex_state = 0, .external_lex_state = 12},
  [19817] = {.lex_state = 0, .external_lex_state = 12},
  [19818] = {.lex_state = 363, .external_lex_state = 12},
  [19819] = {.lex_state = 343, .external_lex_state = 12},
  [19820] = {.lex_state = 363, .external_lex_state = 12},
  [19821] = {.lex_state = 363, .external_lex_state = 12},
  [19822] = {.lex_state = 363, .external_lex_state = 12},
  [19823] = {.lex_state = 363, .external_lex_state = 12},
  [19824] = {.lex_state = 0, .external_lex_state = 12},
  [19825] = {.lex_state = 0, .external_lex_state = 12},
  [19826] = {.lex_state = 363, .external_lex_state = 12},
  [19827] = {.lex_state = 363, .external_lex_state = 12},
  [19828] = {.lex_state = 0, .external_lex_state = 12},
  [19829] = {.lex_state = 0, .external_lex_state = 12},
  [19830] = {.lex_state = 343, .external_lex_state = 12},
  [19831] = {.lex_state = 0, .external_lex_state = 12},
  [19832] = {.lex_state = 0, .external_lex_state = 12},
  [19833] = {.lex_state = 363, .external_lex_state = 12},
  [19834] = {.lex_state = 0, .external_lex_state = 12},
  [19835] = {.lex_state = 0, .external_lex_state = 12},
  [19836] = {.lex_state = 0, .external_lex_state = 12},
  [19837] = {.lex_state = 409, .external_lex_state = 12},
  [19838] = {.lex_state = 0, .external_lex_state = 12},
  [19839] = {.lex_state = 343, .external_lex_state = 12},
  [19840] = {.lex_state = 0, .external_lex_state = 12},
  [19841] = {.lex_state = 0, .external_lex_state = 12},
  [19842] = {.lex_state = 0, .external_lex_state = 12},
  [19843] = {.lex_state = 0, .external_lex_state = 12},
  [19844] = {.lex_state = 0, .external_lex_state = 12},
  [19845] = {.lex_state = 0, .external_lex_state = 12},
  [19846] = {.lex_state = 409, .external_lex_state = 12},
  [19847] = {.lex_state = 343, .external_lex_state = 12},
  [19848] = {.lex_state = 343, .external_lex_state = 12},
  [19849] = {.lex_state = 0, .external_lex_state = 12},
  [19850] = {.lex_state = 0, .external_lex_state = 12},
  [19851] = {.lex_state = 363, .external_lex_state = 12},
  [19852] = {.lex_state = 0, .external_lex_state = 13},
  [19853] = {.lex_state = 0, .external_lex_state = 12},
  [19854] = {.lex_state = 0, .external_lex_state = 12},
  [19855] = {.lex_state = 0, .external_lex_state = 12},
  [19856] = {.lex_state = 343, .external_lex_state = 12},
  [19857] = {.lex_state = 343, .external_lex_state = 12},
  [19858] = {.lex_state = 363, .external_lex_state = 12},
  [19859] = {.lex_state = 0, .external_lex_state = 12},
  [19860] = {.lex_state = 343, .external_lex_state = 12},
  [19861] = {.lex_state = 0, .external_lex_state = 12},
  [19862] = {.lex_state = 409, .external_lex_state = 12},
  [19863] = {.lex_state = 343, .external_lex_state = 12},
  [19864] = {.lex_state = 0, .external_lex_state = 12},
  [19865] = {.lex_state = 0, .external_lex_state = 12},
  [19866] = {.lex_state = 343, .external_lex_state = 12},
  [19867] = {.lex_state = 0, .external_lex_state = 12},
  [19868] = {.lex_state = 0, .external_lex_state = 12},
  [19869] = {.lex_state = 343, .external_lex_state = 12},
  [19870] = {.lex_state = 363, .external_lex_state = 12},
  [19871] = {.lex_state = 343, .external_lex_state = 12},
  [19872] = {.lex_state = 343, .external_lex_state = 12},
  [19873] = {.lex_state = 343, .external_lex_state = 12},
  [19874] = {.lex_state = 343, .external_lex_state = 12},
  [19875] = {.lex_state = 0, .external_lex_state = 12},
  [19876] = {.lex_state = 0, .external_lex_state = 12},
  [19877] = {.lex_state = 0, .external_lex_state = 12},
  [19878] = {.lex_state = 0, .external_lex_state = 12},
  [19879] = {.lex_state = 0, .external_lex_state = 12},
  [19880] = {.lex_state = 0, .external_lex_state = 12},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__word_identifier] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_baremodule] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_primitive] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_LT_COLON] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_macro] = ACTIONS(1),
    [anon_sym_where] = ACTIONS(1),
    [anon_sym_quote] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_elseif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [sym_break_statement] = ACTIONS(1),
    [sym_continue_statement] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_outer] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_u2208] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_quote_expression_token1] = ACTIONS(1),
    [anon_sym_isa] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [aux_sym_integer_literal_token1] = ACTIONS(1),
    [aux_sym_integer_literal_token2] = ACTIONS(1),
    [aux_sym_integer_literal_token3] = ACTIONS(1),
    [aux_sym_integer_literal_token4] = ACTIONS(1),
    [aux_sym_float_literal_token1] = ACTIONS(1),
    [aux_sym_float_literal_token2] = ACTIONS(1),
    [aux_sym_float_literal_token3] = ACTIONS(1),
    [aux_sym_float_literal_token4] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [sym__assignment_operator] = ACTIONS(1),
    [sym__pair_operator] = ACTIONS(1),
    [sym__arrow_operator] = ACTIONS(1),
    [sym__lazy_or_operator] = ACTIONS(1),
    [sym__lazy_and_operator] = ACTIONS(1),
    [sym__comparison_operator] = ACTIONS(1),
    [sym__pipe_right_operator] = ACTIONS(1),
    [sym__pipe_left_operator] = ACTIONS(1),
    [sym__ellipsis_operator] = ACTIONS(1),
    [sym__plus_operator] = ACTIONS(1),
    [sym__times_operator] = ACTIONS(1),
    [sym__rational_operator] = ACTIONS(1),
    [sym__bitshift_operator] = ACTIONS(1),
    [sym__power_operator] = ACTIONS(1),
    [sym__tilde_operator] = ACTIONS(1),
    [sym__type_order_operator] = ACTIONS(1),
    [sym__unary_operator] = ACTIONS(1),
    [sym__unary_plus_operator] = ACTIONS(1),
    [aux_sym__terminator_token1] = ACTIONS(1),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1),
    [sym__immediate_bracket] = ACTIONS(1),
    [sym__immediate_brace] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__command_start] = ACTIONS(1),
    [sym__immediate_string_start] = ACTIONS(1),
    [sym__immediate_command_start] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
    [sym__command_end] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_content_no_interp] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(19868),
    [sym__block] = STATE(19867),
    [sym_assignment] = STATE(15488),
    [sym_open_tuple] = STATE(15451),
    [sym__expression] = STATE(12958),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11203),
    [sym__array] = STATE(11203),
    [sym_comprehension_expression] = STATE(11203),
    [sym_matrix_expression] = STATE(11203),
    [sym_vector_expression] = STATE(11203),
    [sym_parenthesized_expression] = STATE(11203),
    [sym_tuple_expression] = STATE(11203),
    [sym_curly_expression] = STATE(11203),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11203),
    [sym_index_expression] = STATE(11203),
    [sym_parametrized_type_expression] = STATE(11203),
    [sym_call_expression] = STATE(11203),
    [sym_broadcast_call_expression] = STATE(11203),
    [sym__closed_macrocall_expression] = STATE(11203),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11203),
    [sym_quote_expression] = STATE(11203),
    [sym_binary_expression] = STATE(13178),
    [sym_unary_expression] = STATE(13178),
    [sym_range_expression] = STATE(13178),
    [sym_splat_expression] = STATE(13178),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12969),
    [sym_unary_typed_expression] = STATE(13178),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13178),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11203),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11203),
    [sym_string_literal] = STATE(11203),
    [sym_command_literal] = STATE(11203),
    [sym_prefixed_string_literal] = STATE(11203),
    [sym_prefixed_command_literal] = STATE(11203),
    [sym_operator] = STATE(12975),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(75),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2] = {
    [sym__block] = STATE(17206),
    [sym_assignment] = STATE(15122),
    [sym_open_tuple] = STATE(14538),
    [sym__expression] = STATE(12025),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10762),
    [sym__array] = STATE(10762),
    [sym_comprehension_expression] = STATE(10762),
    [sym_matrix_expression] = STATE(10762),
    [sym_vector_expression] = STATE(10762),
    [sym_parenthesized_expression] = STATE(10762),
    [sym_tuple_expression] = STATE(10762),
    [sym_curly_expression] = STATE(10762),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10762),
    [sym_index_expression] = STATE(10762),
    [sym_parametrized_type_expression] = STATE(10762),
    [sym_call_expression] = STATE(10762),
    [sym_broadcast_call_expression] = STATE(10762),
    [sym__closed_macrocall_expression] = STATE(10762),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10762),
    [sym_quote_expression] = STATE(10762),
    [sym_binary_expression] = STATE(12798),
    [sym_unary_expression] = STATE(12798),
    [sym_range_expression] = STATE(12798),
    [sym_splat_expression] = STATE(12798),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11907),
    [sym_unary_typed_expression] = STATE(12798),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12798),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10762),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10762),
    [sym_string_literal] = STATE(10762),
    [sym_command_literal] = STATE(10762),
    [sym_prefixed_string_literal] = STATE(10762),
    [sym_prefixed_command_literal] = STATE(10762),
    [sym_operator] = STATE(11947),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_end] = ACTIONS(99),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_else] = ACTIONS(99),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_finally] = ACTIONS(99),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LF] = ACTIONS(143),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(147),
    [anon_sym_COLON_COLON] = ACTIONS(149),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(151),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(157),
    [aux_sym_integer_literal_token2] = ACTIONS(157),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(161),
    [aux_sym_float_literal_token3] = ACTIONS(161),
    [aux_sym_float_literal_token4] = ACTIONS(161),
    [sym_character_literal] = ACTIONS(163),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(165),
    [sym__type_order_operator] = ACTIONS(165),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [aux_sym__terminator_token1] = ACTIONS(167),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
    [sym__immediate_string_start] = ACTIONS(177),
    [sym__immediate_command_start] = ACTIONS(179),
  },
  [3] = {
    [sym__block] = STATE(17206),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(99),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(199),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(207),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(221),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
    [sym__immediate_string_start] = ACTIONS(223),
    [sym__immediate_command_start] = ACTIONS(225),
  },
  [4] = {
    [sym_assignment] = STATE(108),
    [sym_open_tuple] = STATE(7453),
    [sym__expression] = STATE(7143),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [aux_sym_macro_argument_list_repeat1] = STATE(108),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(229),
    [anon_sym_else] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(297),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [5] = {
    [sym_assignment] = STATE(128),
    [sym_open_tuple] = STATE(7783),
    [sym__expression] = STATE(7108),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_macro_argument_list] = STATE(12427),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [aux_sym_macro_argument_list_repeat1] = STATE(128),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(315),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(381),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(385),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(387),
    [sym__immediate_bracket] = ACTIONS(389),
    [sym__immediate_brace] = ACTIONS(391),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [6] = {
    [sym_assignment] = STATE(127),
    [sym_open_tuple] = STATE(7453),
    [sym__expression] = STATE(7143),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_macro_argument_list] = STATE(7793),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [aux_sym_macro_argument_list_repeat1] = STATE(127),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(315),
    [anon_sym_else] = ACTIONS(315),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(297),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(397),
    [sym__immediate_bracket] = ACTIONS(399),
    [sym__immediate_brace] = ACTIONS(401),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [7] = {
    [sym_assignment] = STATE(127),
    [sym_open_tuple] = STATE(7453),
    [sym__expression] = STATE(7143),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_macro_argument_list] = STATE(7944),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [aux_sym_macro_argument_list_repeat1] = STATE(127),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(229),
    [anon_sym_else] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(297),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(403),
    [sym__immediate_bracket] = ACTIONS(405),
    [sym__immediate_brace] = ACTIONS(407),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [8] = {
    [sym_assignment] = STATE(123),
    [sym_open_tuple] = STATE(7968),
    [sym__expression] = STATE(7075),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(7717),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [aux_sym_macro_argument_list_repeat1] = STATE(123),
    [ts_builtin_sym_end] = ACTIONS(279),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(229),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(475),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(481),
    [sym__immediate_bracket] = ACTIONS(483),
    [sym__immediate_brace] = ACTIONS(485),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [9] = {
    [sym_assignment] = STATE(108),
    [sym_open_tuple] = STATE(7453),
    [sym__expression] = STATE(7143),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [aux_sym_macro_argument_list_repeat1] = STATE(108),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(315),
    [anon_sym_else] = ACTIONS(315),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(297),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [10] = {
    [sym_assignment] = STATE(128),
    [sym_open_tuple] = STATE(7783),
    [sym__expression] = STATE(7108),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_macro_argument_list] = STATE(12325),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [aux_sym_macro_argument_list_repeat1] = STATE(128),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(381),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(385),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(497),
    [sym__immediate_bracket] = ACTIONS(499),
    [sym__immediate_brace] = ACTIONS(501),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [11] = {
    [sym_assignment] = STATE(123),
    [sym_open_tuple] = STATE(7968),
    [sym__expression] = STATE(7075),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(7962),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [aux_sym_macro_argument_list_repeat1] = STATE(123),
    [ts_builtin_sym_end] = ACTIONS(365),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(315),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(315),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(475),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(503),
    [sym__immediate_bracket] = ACTIONS(505),
    [sym__immediate_brace] = ACTIONS(507),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [12] = {
    [sym_assignment] = STATE(103),
    [sym_open_tuple] = STATE(7783),
    [sym__expression] = STATE(7108),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_macro_argument_list] = STATE(8102),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [aux_sym_macro_argument_list_repeat1] = STATE(103),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(381),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(385),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(509),
    [sym__immediate_bracket] = ACTIONS(511),
    [sym__immediate_brace] = ACTIONS(513),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [13] = {
    [sym_assignment] = STATE(103),
    [sym_open_tuple] = STATE(7783),
    [sym__expression] = STATE(7108),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_macro_argument_list] = STATE(7614),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [aux_sym_macro_argument_list_repeat1] = STATE(103),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(315),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(381),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(385),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(515),
    [sym__immediate_bracket] = ACTIONS(517),
    [sym__immediate_brace] = ACTIONS(519),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [14] = {
    [sym_assignment] = STATE(154),
    [sym_open_tuple] = STATE(7777),
    [sym__expression] = STATE(7780),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_macro_argument_list] = STATE(7944),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [aux_sym_macro_argument_list_repeat1] = STATE(154),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(229),
    [anon_sym_else] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(529),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(403),
    [sym__immediate_bracket] = ACTIONS(405),
    [sym__immediate_brace] = ACTIONS(407),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [15] = {
    [sym_assignment] = STATE(136),
    [sym_open_tuple] = STATE(8514),
    [sym__expression] = STATE(7493),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_macro_argument_list] = STATE(8377),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [aux_sym_macro_argument_list_repeat1] = STATE(136),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(597),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(601),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(603),
    [sym__immediate_bracket] = ACTIONS(605),
    [sym__immediate_brace] = ACTIONS(607),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [16] = {
    [sym_assignment] = STATE(144),
    [sym_open_tuple] = STATE(7518),
    [sym__expression] = STATE(7507),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_macro_argument_list] = STATE(12325),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [aux_sym_macro_argument_list_repeat1] = STATE(144),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(621),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(385),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(497),
    [sym__immediate_bracket] = ACTIONS(499),
    [sym__immediate_brace] = ACTIONS(501),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [17] = {
    [sym_assignment] = STATE(138),
    [sym_open_tuple] = STATE(8514),
    [sym__expression] = STATE(7493),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [aux_sym_macro_argument_list_repeat1] = STATE(138),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(597),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(601),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [18] = {
    [sym_assignment] = STATE(138),
    [sym_open_tuple] = STATE(8514),
    [sym__expression] = STATE(7493),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [aux_sym_macro_argument_list_repeat1] = STATE(138),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(597),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(601),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [19] = {
    [sym_assignment] = STATE(145),
    [sym_open_tuple] = STATE(8137),
    [sym__expression] = STATE(7504),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_macro_argument_list] = STATE(8212),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [aux_sym_macro_argument_list_repeat1] = STATE(145),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(689),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(693),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(695),
    [sym__immediate_bracket] = ACTIONS(697),
    [sym__immediate_brace] = ACTIONS(699),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [20] = {
    [sym_assignment] = STATE(141),
    [sym_open_tuple] = STATE(8137),
    [sym__expression] = STATE(7504),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [aux_sym_macro_argument_list_repeat1] = STATE(141),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(689),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(693),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [21] = {
    [sym_assignment] = STATE(145),
    [sym_open_tuple] = STATE(8137),
    [sym__expression] = STATE(7504),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_macro_argument_list] = STATE(8181),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [aux_sym_macro_argument_list_repeat1] = STATE(145),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(689),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(693),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(705),
    [sym__immediate_bracket] = ACTIONS(707),
    [sym__immediate_brace] = ACTIONS(709),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [22] = {
    [sym_assignment] = STATE(154),
    [sym_open_tuple] = STATE(7777),
    [sym__expression] = STATE(7780),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_macro_argument_list] = STATE(7793),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [aux_sym_macro_argument_list_repeat1] = STATE(154),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(315),
    [anon_sym_else] = ACTIONS(315),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(529),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(397),
    [sym__immediate_bracket] = ACTIONS(399),
    [sym__immediate_brace] = ACTIONS(401),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [23] = {
    [sym_assignment] = STATE(156),
    [sym_open_tuple] = STATE(8657),
    [sym__expression] = STATE(7691),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [aux_sym_macro_argument_list_repeat1] = STATE(156),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(315),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [24] = {
    [sym_assignment] = STATE(151),
    [sym_open_tuple] = STATE(7777),
    [sym__expression] = STATE(7780),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [aux_sym_macro_argument_list_repeat1] = STATE(151),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(229),
    [anon_sym_else] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(529),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [25] = {
    [sym_assignment] = STATE(151),
    [sym_open_tuple] = STATE(7777),
    [sym__expression] = STATE(7780),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [aux_sym_macro_argument_list_repeat1] = STATE(151),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(315),
    [anon_sym_else] = ACTIONS(315),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(529),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [26] = {
    [sym_assignment] = STATE(141),
    [sym_open_tuple] = STATE(8137),
    [sym__expression] = STATE(7504),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [aux_sym_macro_argument_list_repeat1] = STATE(141),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(689),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(693),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [27] = {
    [sym_assignment] = STATE(136),
    [sym_open_tuple] = STATE(8514),
    [sym__expression] = STATE(7493),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_macro_argument_list] = STATE(8298),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [aux_sym_macro_argument_list_repeat1] = STATE(136),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(597),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(601),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(787),
    [sym__immediate_bracket] = ACTIONS(789),
    [sym__immediate_brace] = ACTIONS(791),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [28] = {
    [sym_assignment] = STATE(146),
    [sym_open_tuple] = STATE(7518),
    [sym__expression] = STATE(7507),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_macro_argument_list] = STATE(7614),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [aux_sym_macro_argument_list_repeat1] = STATE(146),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(315),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(621),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(385),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(515),
    [sym__immediate_bracket] = ACTIONS(517),
    [sym__immediate_brace] = ACTIONS(519),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [29] = {
    [sym_assignment] = STATE(143),
    [sym_open_tuple] = STATE(8066),
    [sym__expression] = STATE(8062),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(7717),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [aux_sym_macro_argument_list_repeat1] = STATE(143),
    [ts_builtin_sym_end] = ACTIONS(279),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(229),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(801),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(481),
    [sym__immediate_bracket] = ACTIONS(483),
    [sym__immediate_brace] = ACTIONS(485),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [30] = {
    [sym_assignment] = STATE(150),
    [sym_open_tuple] = STATE(8657),
    [sym__expression] = STATE(7691),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_macro_argument_list] = STATE(8608),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [aux_sym_macro_argument_list_repeat1] = STATE(150),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(229),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(803),
    [sym__immediate_bracket] = ACTIONS(805),
    [sym__immediate_brace] = ACTIONS(807),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [31] = {
    [sym_assignment] = STATE(150),
    [sym_open_tuple] = STATE(8657),
    [sym__expression] = STATE(7691),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_macro_argument_list] = STATE(8602),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [aux_sym_macro_argument_list_repeat1] = STATE(150),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(315),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(809),
    [sym__immediate_bracket] = ACTIONS(811),
    [sym__immediate_brace] = ACTIONS(813),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [32] = {
    [sym_assignment] = STATE(143),
    [sym_open_tuple] = STATE(8066),
    [sym__expression] = STATE(8062),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(7962),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [aux_sym_macro_argument_list_repeat1] = STATE(143),
    [ts_builtin_sym_end] = ACTIONS(365),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(315),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(315),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(801),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(503),
    [sym__immediate_bracket] = ACTIONS(505),
    [sym__immediate_brace] = ACTIONS(507),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [33] = {
    [sym_assignment] = STATE(144),
    [sym_open_tuple] = STATE(7518),
    [sym__expression] = STATE(7507),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_macro_argument_list] = STATE(12427),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [aux_sym_macro_argument_list_repeat1] = STATE(144),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(315),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(621),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(385),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(387),
    [sym__immediate_bracket] = ACTIONS(389),
    [sym__immediate_brace] = ACTIONS(391),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [34] = {
    [sym_assignment] = STATE(146),
    [sym_open_tuple] = STATE(7518),
    [sym__expression] = STATE(7507),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_macro_argument_list] = STATE(8102),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [aux_sym_macro_argument_list_repeat1] = STATE(146),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(229),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(621),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(385),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(509),
    [sym__immediate_bracket] = ACTIONS(511),
    [sym__immediate_brace] = ACTIONS(513),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [35] = {
    [sym_assignment] = STATE(156),
    [sym_open_tuple] = STATE(8657),
    [sym__expression] = STATE(7691),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [aux_sym_macro_argument_list_repeat1] = STATE(156),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(229),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [36] = {
    [sym_assignment] = STATE(198),
    [sym_open_tuple] = STATE(8869),
    [sym__expression] = STATE(8406),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_macro_argument_list] = STATE(8935),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [aux_sym_macro_argument_list_repeat1] = STATE(198),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(879),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(885),
    [sym__immediate_bracket] = ACTIONS(887),
    [sym__immediate_brace] = ACTIONS(889),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [37] = {
    [sym_assignment] = STATE(170),
    [sym_open_tuple] = STATE(7968),
    [sym__expression] = STATE(7075),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [aux_sym_macro_argument_list_repeat1] = STATE(170),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(315),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(315),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(475),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [38] = {
    [sym_assignment] = STATE(193),
    [sym_open_tuple] = STATE(8558),
    [sym__expression] = STATE(8561),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_macro_argument_list] = STATE(8608),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [aux_sym_macro_argument_list_repeat1] = STATE(193),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(229),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(903),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(803),
    [sym__immediate_bracket] = ACTIONS(805),
    [sym__immediate_brace] = ACTIONS(807),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [39] = {
    [sym_assignment] = STATE(193),
    [sym_open_tuple] = STATE(8558),
    [sym__expression] = STATE(8561),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_macro_argument_list] = STATE(8602),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [aux_sym_macro_argument_list_repeat1] = STATE(193),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(315),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(903),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(809),
    [sym__immediate_bracket] = ACTIONS(811),
    [sym__immediate_brace] = ACTIONS(813),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [40] = {
    [sym_assignment] = STATE(189),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(8518),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(189),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(983),
    [sym__immediate_bracket] = ACTIONS(985),
    [sym__immediate_brace] = ACTIONS(987),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [41] = {
    [sym_assignment] = STATE(164),
    [sym_open_tuple] = STATE(8558),
    [sym__expression] = STATE(8561),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [aux_sym_macro_argument_list_repeat1] = STATE(164),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(315),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(903),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [42] = {
    [sym_assignment] = STATE(194),
    [sym_open_tuple] = STATE(8606),
    [sym__expression] = STATE(8607),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [aux_sym_macro_argument_list_repeat1] = STATE(194),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(1001),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(693),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [43] = {
    [sym_assignment] = STATE(204),
    [sym_open_tuple] = STATE(7968),
    [sym__expression] = STATE(7075),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [aux_sym_macro_argument_list_repeat1] = STATE(204),
    [ts_builtin_sym_end] = ACTIONS(365),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(475),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [44] = {
    [sym_assignment] = STATE(190),
    [sym_open_tuple] = STATE(8891),
    [sym__expression] = STATE(8741),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_macro_argument_list] = STATE(8843),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [aux_sym_macro_argument_list_repeat1] = STATE(190),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(315),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1069),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1073),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1075),
    [sym__immediate_bracket] = ACTIONS(1077),
    [sym__immediate_brace] = ACTIONS(1079),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [45] = {
    [sym_assignment] = STATE(190),
    [sym_open_tuple] = STATE(8891),
    [sym__expression] = STATE(8741),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_macro_argument_list] = STATE(8962),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [aux_sym_macro_argument_list_repeat1] = STATE(190),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(229),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1069),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1073),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1085),
    [sym__immediate_bracket] = ACTIONS(1087),
    [sym__immediate_brace] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [46] = {
    [sym_assignment] = STATE(185),
    [sym_open_tuple] = STATE(8891),
    [sym__expression] = STATE(8741),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_macro_argument_list] = STATE(12734),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [aux_sym_macro_argument_list_repeat1] = STATE(185),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(315),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1069),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1073),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1091),
    [sym__immediate_bracket] = ACTIONS(1093),
    [sym__immediate_brace] = ACTIONS(1095),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [47] = {
    [sym_assignment] = STATE(210),
    [sym_open_tuple] = STATE(8126),
    [sym__expression] = STATE(8314),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [aux_sym_macro_argument_list_repeat1] = STATE(210),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(1105),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(601),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [48] = {
    [sym_assignment] = STATE(170),
    [sym_open_tuple] = STATE(7968),
    [sym__expression] = STATE(7075),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [aux_sym_macro_argument_list_repeat1] = STATE(170),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(229),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(475),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [49] = {
    [sym_assignment] = STATE(185),
    [sym_open_tuple] = STATE(8891),
    [sym__expression] = STATE(8741),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_macro_argument_list] = STATE(12702),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [aux_sym_macro_argument_list_repeat1] = STATE(185),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(229),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1069),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1073),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1107),
    [sym__immediate_bracket] = ACTIONS(1109),
    [sym__immediate_brace] = ACTIONS(1111),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [50] = {
    [sym_assignment] = STATE(210),
    [sym_open_tuple] = STATE(8126),
    [sym__expression] = STATE(8314),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [aux_sym_macro_argument_list_repeat1] = STATE(210),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(1105),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(601),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [51] = {
    [sym_assignment] = STATE(165),
    [sym_open_tuple] = STATE(8126),
    [sym__expression] = STATE(8314),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_macro_argument_list] = STATE(8377),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [aux_sym_macro_argument_list_repeat1] = STATE(165),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(1105),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(601),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(603),
    [sym__immediate_bracket] = ACTIONS(605),
    [sym__immediate_brace] = ACTIONS(607),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [52] = {
    [sym_assignment] = STATE(204),
    [sym_open_tuple] = STATE(7968),
    [sym__expression] = STATE(7075),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [aux_sym_macro_argument_list_repeat1] = STATE(204),
    [ts_builtin_sym_end] = ACTIONS(279),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(475),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [53] = {
    [sym_assignment] = STATE(188),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12221),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(188),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1113),
    [sym__immediate_bracket] = ACTIONS(1115),
    [sym__immediate_brace] = ACTIONS(1117),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [54] = {
    [sym_assignment] = STATE(207),
    [sym_open_tuple] = STATE(8869),
    [sym__expression] = STATE(8406),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [aux_sym_macro_argument_list_repeat1] = STATE(207),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(879),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [55] = {
    [sym_assignment] = STATE(165),
    [sym_open_tuple] = STATE(8126),
    [sym__expression] = STATE(8314),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_macro_argument_list] = STATE(8298),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [aux_sym_macro_argument_list_repeat1] = STATE(165),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(1105),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(601),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(787),
    [sym__immediate_bracket] = ACTIONS(789),
    [sym__immediate_brace] = ACTIONS(791),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [56] = {
    [sym_assignment] = STATE(198),
    [sym_open_tuple] = STATE(8869),
    [sym__expression] = STATE(8406),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_macro_argument_list] = STATE(9022),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [aux_sym_macro_argument_list_repeat1] = STATE(198),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(879),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1119),
    [sym__immediate_bracket] = ACTIONS(1121),
    [sym__immediate_brace] = ACTIONS(1123),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [57] = {
    [sym_assignment] = STATE(180),
    [sym_open_tuple] = STATE(8606),
    [sym__expression] = STATE(8607),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_macro_argument_list] = STATE(8212),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [aux_sym_macro_argument_list_repeat1] = STATE(180),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(1001),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(693),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(695),
    [sym__immediate_bracket] = ACTIONS(697),
    [sym__immediate_brace] = ACTIONS(699),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [58] = {
    [sym_assignment] = STATE(194),
    [sym_open_tuple] = STATE(8606),
    [sym__expression] = STATE(8607),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [aux_sym_macro_argument_list_repeat1] = STATE(194),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(1001),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(693),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [59] = {
    [sym_assignment] = STATE(189),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(8324),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(189),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1125),
    [sym__immediate_bracket] = ACTIONS(1127),
    [sym__immediate_brace] = ACTIONS(1129),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [60] = {
    [sym_assignment] = STATE(180),
    [sym_open_tuple] = STATE(8606),
    [sym__expression] = STATE(8607),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_macro_argument_list] = STATE(8181),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [aux_sym_macro_argument_list_repeat1] = STATE(180),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(315),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(1001),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(693),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(705),
    [sym__immediate_bracket] = ACTIONS(707),
    [sym__immediate_brace] = ACTIONS(709),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [61] = {
    [sym_assignment] = STATE(207),
    [sym_open_tuple] = STATE(8869),
    [sym__expression] = STATE(8406),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [aux_sym_macro_argument_list_repeat1] = STATE(207),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(879),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [62] = {
    [sym_assignment] = STATE(188),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12096),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(188),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1131),
    [sym__immediate_bracket] = ACTIONS(1133),
    [sym__immediate_brace] = ACTIONS(1135),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [63] = {
    [sym_assignment] = STATE(164),
    [sym_open_tuple] = STATE(8558),
    [sym__expression] = STATE(8561),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [aux_sym_macro_argument_list_repeat1] = STATE(164),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(229),
    [anon_sym_finally] = ACTIONS(229),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(903),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [64] = {
    [sym_assignment] = STATE(239),
    [sym_open_tuple] = STATE(9140),
    [sym__expression] = STATE(9134),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12221),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(239),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1113),
    [sym__immediate_bracket] = ACTIONS(1115),
    [sym__immediate_brace] = ACTIONS(1117),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [65] = {
    [sym_assignment] = STATE(222),
    [sym_open_tuple] = STATE(9108),
    [sym__expression] = STATE(8770),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_macro_argument_list] = STATE(8843),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [aux_sym_macro_argument_list_repeat1] = STATE(222),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(315),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1161),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1073),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1075),
    [sym__immediate_bracket] = ACTIONS(1077),
    [sym__immediate_brace] = ACTIONS(1079),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [66] = {
    [sym_assignment] = STATE(232),
    [sym_open_tuple] = STATE(8066),
    [sym__expression] = STATE(8062),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [aux_sym_macro_argument_list_repeat1] = STATE(232),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(229),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(801),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [67] = {
    [sym_assignment] = STATE(239),
    [sym_open_tuple] = STATE(9140),
    [sym__expression] = STATE(9134),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12096),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(239),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1131),
    [sym__immediate_bracket] = ACTIONS(1133),
    [sym__immediate_brace] = ACTIONS(1135),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [68] = {
    [sym_assignment] = STATE(218),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12221),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(218),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1113),
    [sym__immediate_bracket] = ACTIONS(1115),
    [sym__immediate_brace] = ACTIONS(1117),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [69] = {
    [sym_assignment] = STATE(214),
    [sym_open_tuple] = STATE(8813),
    [sym__expression] = STATE(8876),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [aux_sym_macro_argument_list_repeat1] = STATE(214),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(1181),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [70] = {
    [sym__block] = STATE(14880),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14941),
    [sym_else_clause] = STATE(18545),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14941),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1187),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1209),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1261),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [71] = {
    [sym_assignment] = STATE(232),
    [sym_open_tuple] = STATE(8066),
    [sym__expression] = STATE(8062),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [aux_sym_macro_argument_list_repeat1] = STATE(232),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(315),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(315),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(801),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [72] = {
    [sym_assignment] = STATE(243),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(8324),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(243),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1125),
    [sym__immediate_bracket] = ACTIONS(1127),
    [sym__immediate_brace] = ACTIONS(1129),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [73] = {
    [sym__block] = STATE(19562),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_RBRACK] = ACTIONS(1263),
    [anon_sym_LF] = ACTIONS(1267),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1269),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [74] = {
    [sym__block] = STATE(14749),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14750),
    [sym_else_clause] = STATE(19491),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14750),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1271),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1273),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1275),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [75] = {
    [sym__block] = STATE(14907),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14909),
    [sym_else_clause] = STATE(18412),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14909),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1277),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1279),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1281),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [76] = {
    [sym_assignment] = STATE(218),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12096),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(218),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1131),
    [sym__immediate_bracket] = ACTIONS(1133),
    [sym__immediate_brace] = ACTIONS(1135),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [77] = {
    [sym_assignment] = STATE(238),
    [sym_open_tuple] = STATE(8813),
    [sym__expression] = STATE(8876),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_macro_argument_list] = STATE(9022),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [aux_sym_macro_argument_list_repeat1] = STATE(238),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(315),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(1181),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1119),
    [sym__immediate_bracket] = ACTIONS(1121),
    [sym__immediate_brace] = ACTIONS(1123),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [78] = {
    [sym_assignment] = STATE(222),
    [sym_open_tuple] = STATE(9108),
    [sym__expression] = STATE(8770),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_macro_argument_list] = STATE(8962),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [aux_sym_macro_argument_list_repeat1] = STATE(222),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(229),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1161),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1073),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1085),
    [sym__immediate_bracket] = ACTIONS(1087),
    [sym__immediate_brace] = ACTIONS(1089),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [79] = {
    [sym_assignment] = STATE(226),
    [sym_open_tuple] = STATE(9140),
    [sym__expression] = STATE(9134),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12221),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(226),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1113),
    [sym__immediate_bracket] = ACTIONS(1115),
    [sym__immediate_brace] = ACTIONS(1117),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [80] = {
    [sym_assignment] = STATE(215),
    [sym_open_tuple] = STATE(9140),
    [sym__expression] = STATE(9134),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(8324),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(215),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1125),
    [sym__immediate_bracket] = ACTIONS(1127),
    [sym__immediate_brace] = ACTIONS(1129),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [81] = {
    [sym__block] = STATE(14583),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14580),
    [sym_else_clause] = STATE(18203),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14580),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1283),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1285),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1287),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [82] = {
    [sym_assignment] = STATE(219),
    [sym_open_tuple] = STATE(8066),
    [sym__expression] = STATE(8062),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [aux_sym_macro_argument_list_repeat1] = STATE(219),
    [ts_builtin_sym_end] = ACTIONS(279),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(801),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [83] = {
    [sym_assignment] = STATE(238),
    [sym_open_tuple] = STATE(8813),
    [sym__expression] = STATE(8876),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_macro_argument_list] = STATE(8935),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [aux_sym_macro_argument_list_repeat1] = STATE(238),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(1181),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(885),
    [sym__immediate_bracket] = ACTIONS(887),
    [sym__immediate_brace] = ACTIONS(889),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [84] = {
    [sym_assignment] = STATE(243),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(8518),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(243),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(279),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(983),
    [sym__immediate_bracket] = ACTIONS(985),
    [sym__immediate_brace] = ACTIONS(987),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [85] = {
    [sym_assignment] = STATE(236),
    [sym_open_tuple] = STATE(9108),
    [sym__expression] = STATE(8770),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_macro_argument_list] = STATE(12702),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [aux_sym_macro_argument_list_repeat1] = STATE(236),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(229),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1161),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1073),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1107),
    [sym__immediate_bracket] = ACTIONS(1109),
    [sym__immediate_brace] = ACTIONS(1111),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [86] = {
    [sym_assignment] = STATE(226),
    [sym_open_tuple] = STATE(9140),
    [sym__expression] = STATE(9134),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12096),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(226),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1131),
    [sym__immediate_bracket] = ACTIONS(1133),
    [sym__immediate_brace] = ACTIONS(1135),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [87] = {
    [sym__block] = STATE(14808),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14803),
    [sym_else_clause] = STATE(18420),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14803),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1289),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1293),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [88] = {
    [sym__block] = STATE(14916),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14919),
    [sym_else_clause] = STATE(19425),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14919),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1295),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1297),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1299),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [89] = {
    [sym__block] = STATE(15012),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(15013),
    [sym_else_clause] = STATE(19183),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(15013),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1301),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [90] = {
    [sym__block] = STATE(19015),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1309),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_RBRACK] = ACTIONS(1263),
    [anon_sym_LF] = ACTIONS(1311),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1313),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [91] = {
    [sym__block] = STATE(14783),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14786),
    [sym_else_clause] = STATE(19815),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14786),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1315),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1317),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1319),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [92] = {
    [sym__block] = STATE(15019),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(15014),
    [sym_else_clause] = STATE(18670),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(15014),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1321),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1323),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1325),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [93] = {
    [sym_assignment] = STATE(215),
    [sym_open_tuple] = STATE(9140),
    [sym__expression] = STATE(9134),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(8518),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(215),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(983),
    [sym__immediate_bracket] = ACTIONS(985),
    [sym__immediate_brace] = ACTIONS(987),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [94] = {
    [sym__block] = STATE(14704),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14705),
    [sym_else_clause] = STATE(18260),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14705),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1327),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1329),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1331),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [95] = {
    [sym__block] = STATE(18837),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1333),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_RBRACK] = ACTIONS(1263),
    [anon_sym_LF] = ACTIONS(1335),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_RBRACE] = ACTIONS(1263),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1337),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [96] = {
    [sym_assignment] = STATE(236),
    [sym_open_tuple] = STATE(9108),
    [sym__expression] = STATE(8770),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_macro_argument_list] = STATE(12734),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [aux_sym_macro_argument_list_repeat1] = STATE(236),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(315),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1161),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1073),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1091),
    [sym__immediate_bracket] = ACTIONS(1093),
    [sym__immediate_brace] = ACTIONS(1095),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [97] = {
    [sym__block] = STATE(15134),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(15132),
    [sym_else_clause] = STATE(18798),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(15132),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1339),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1341),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1343),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [98] = {
    [sym__block] = STATE(14686),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14685),
    [sym_else_clause] = STATE(18311),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14685),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1345),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1347),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1349),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [99] = {
    [sym__block] = STATE(19858),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1351),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_RBRACK] = ACTIONS(1263),
    [anon_sym_LF] = ACTIONS(1353),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1355),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [100] = {
    [sym__block] = STATE(15103),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(15108),
    [sym_else_clause] = STATE(18972),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(15108),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1357),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1359),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(1361),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [101] = {
    [sym_assignment] = STATE(214),
    [sym_open_tuple] = STATE(8813),
    [sym__expression] = STATE(8876),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_macro_argument_list] = STATE(10676),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [aux_sym_macro_argument_list_repeat1] = STATE(214),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(229),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(229),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(229),
    [anon_sym_QMARK] = ACTIONS(229),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(1181),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(229),
    [sym__lazy_and_operator] = ACTIONS(229),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(229),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(303),
    [sym__immediate_bracket] = ACTIONS(305),
    [sym__immediate_brace] = ACTIONS(307),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [102] = {
    [sym_assignment] = STATE(219),
    [sym_open_tuple] = STATE(8066),
    [sym__expression] = STATE(8062),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_macro_argument_list] = STATE(10783),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [aux_sym_macro_argument_list_repeat1] = STATE(219),
    [ts_builtin_sym_end] = ACTIONS(365),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LF] = ACTIONS(365),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(315),
    [anon_sym_QMARK] = ACTIONS(315),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(801),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(315),
    [sym__lazy_and_operator] = ACTIONS(315),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [aux_sym__terminator_token1] = ACTIONS(315),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(491),
    [sym__immediate_bracket] = ACTIONS(493),
    [sym__immediate_brace] = ACTIONS(495),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [103] = {
    [sym_assignment] = STATE(118),
    [sym_open_tuple] = STATE(7783),
    [sym__expression] = STATE(7108),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [aux_sym_macro_argument_list_repeat1] = STATE(118),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_else] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [104] = {
    [sym__block] = STATE(18569),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1367),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1263),
    [anon_sym_finally] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1369),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1371),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [105] = {
    [sym_assignment] = STATE(289),
    [sym_open_tuple] = STATE(9237),
    [sym__expression] = STATE(9236),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12221),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [aux_sym_macro_argument_list_repeat1] = STATE(289),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1113),
    [sym__immediate_bracket] = ACTIONS(1115),
    [sym__immediate_brace] = ACTIONS(1117),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [106] = {
    [sym__block] = STATE(18380),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1383),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1385),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1387),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [107] = {
    [sym__block] = STATE(18444),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1389),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_else] = ACTIONS(1263),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1391),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1393),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [108] = {
    [sym_assignment] = STATE(120),
    [sym_open_tuple] = STATE(7453),
    [sym__expression] = STATE(7143),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [aux_sym_macro_argument_list_repeat1] = STATE(120),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(1363),
    [anon_sym_else] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(297),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [109] = {
    [sym__block] = STATE(19858),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1351),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1263),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1353),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1355),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [110] = {
    [sym_assignment] = STATE(305),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12096),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(305),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1131),
    [sym__immediate_bracket] = ACTIONS(1133),
    [sym__immediate_brace] = ACTIONS(1135),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [111] = {
    [sym_assignment] = STATE(289),
    [sym_open_tuple] = STATE(9237),
    [sym__expression] = STATE(9236),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12096),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [aux_sym_macro_argument_list_repeat1] = STATE(289),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1131),
    [sym__immediate_bracket] = ACTIONS(1133),
    [sym__immediate_brace] = ACTIONS(1135),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [112] = {
    [sym__block] = STATE(18694),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_else] = ACTIONS(1263),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1397),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1399),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [113] = {
    [sym__block] = STATE(19449),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1401),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1263),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1403),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1405),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [114] = {
    [sym_assignment] = STATE(259),
    [sym_open_tuple] = STATE(9237),
    [sym__expression] = STATE(9236),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(8324),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [aux_sym_macro_argument_list_repeat1] = STATE(259),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1125),
    [sym__immediate_bracket] = ACTIONS(1127),
    [sym__immediate_brace] = ACTIONS(1129),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [115] = {
    [sym_assignment] = STATE(305),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12221),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(305),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1113),
    [sym__immediate_bracket] = ACTIONS(1115),
    [sym__immediate_brace] = ACTIONS(1117),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [116] = {
    [sym__block] = STATE(19562),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1265),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1267),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1269),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [117] = {
    [sym_assignment] = STATE(259),
    [sym_open_tuple] = STATE(9237),
    [sym__expression] = STATE(9236),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(8518),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [aux_sym_macro_argument_list_repeat1] = STATE(259),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(983),
    [sym__immediate_bracket] = ACTIONS(985),
    [sym__immediate_brace] = ACTIONS(987),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [118] = {
    [sym_assignment] = STATE(118),
    [sym_open_tuple] = STATE(7783),
    [sym__expression] = STATE(7108),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [aux_sym_macro_argument_list_repeat1] = STATE(118),
    [sym__word_identifier] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1412),
    [anon_sym_begin] = ACTIONS(1415),
    [anon_sym_module] = ACTIONS(1418),
    [anon_sym_baremodule] = ACTIONS(1418),
    [anon_sym_end] = ACTIONS(1410),
    [anon_sym_abstract] = ACTIONS(1421),
    [anon_sym_primitive] = ACTIONS(1424),
    [anon_sym_mutable] = ACTIONS(1427),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_function] = ACTIONS(1433),
    [anon_sym_macro] = ACTIONS(1436),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(1439),
    [anon_sym_let] = ACTIONS(1442),
    [anon_sym_if] = ACTIONS(1445),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1448),
    [anon_sym_finally] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1454),
    [sym_break_statement] = ACTIONS(1457),
    [sym_continue_statement] = ACTIONS(1457),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1463),
    [anon_sym_global] = ACTIONS(1466),
    [anon_sym_local] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_import] = ACTIONS(1478),
    [anon_sym_using] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1489),
    [anon_sym_COLON_COLON] = ACTIONS(1492),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1495),
    [anon_sym_true] = ACTIONS(1498),
    [anon_sym_false] = ACTIONS(1498),
    [aux_sym_integer_literal_token1] = ACTIONS(1501),
    [aux_sym_integer_literal_token2] = ACTIONS(1501),
    [aux_sym_integer_literal_token3] = ACTIONS(1501),
    [aux_sym_integer_literal_token4] = ACTIONS(1504),
    [aux_sym_float_literal_token1] = ACTIONS(1507),
    [aux_sym_float_literal_token3] = ACTIONS(1507),
    [aux_sym_float_literal_token4] = ACTIONS(1507),
    [sym_character_literal] = ACTIONS(1510),
    [sym__pair_operator] = ACTIONS(1513),
    [sym__arrow_operator] = ACTIONS(1513),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(1513),
    [sym__pipe_right_operator] = ACTIONS(1513),
    [sym__pipe_left_operator] = ACTIONS(1513),
    [sym__ellipsis_operator] = ACTIONS(1513),
    [sym__plus_operator] = ACTIONS(1513),
    [sym__times_operator] = ACTIONS(1513),
    [sym__rational_operator] = ACTIONS(1513),
    [sym__bitshift_operator] = ACTIONS(1513),
    [sym__power_operator] = ACTIONS(1513),
    [sym__tilde_operator] = ACTIONS(1516),
    [sym__type_order_operator] = ACTIONS(1516),
    [sym__unary_operator] = ACTIONS(1516),
    [sym__unary_plus_operator] = ACTIONS(1516),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1519),
    [sym__command_start] = ACTIONS(1522),
  },
  [119] = {
    [sym_assignment] = STATE(254),
    [sym_open_tuple] = STATE(9237),
    [sym__expression] = STATE(9236),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12221),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [aux_sym_macro_argument_list_repeat1] = STATE(254),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1113),
    [sym__immediate_bracket] = ACTIONS(1115),
    [sym__immediate_brace] = ACTIONS(1117),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [120] = {
    [sym_assignment] = STATE(120),
    [sym_open_tuple] = STATE(7453),
    [sym__expression] = STATE(7143),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [aux_sym_macro_argument_list_repeat1] = STATE(120),
    [sym__word_identifier] = ACTIONS(1525),
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1528),
    [anon_sym_begin] = ACTIONS(1531),
    [anon_sym_module] = ACTIONS(1534),
    [anon_sym_baremodule] = ACTIONS(1534),
    [anon_sym_end] = ACTIONS(1410),
    [anon_sym_abstract] = ACTIONS(1537),
    [anon_sym_primitive] = ACTIONS(1540),
    [anon_sym_mutable] = ACTIONS(1543),
    [anon_sym_struct] = ACTIONS(1546),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_macro] = ACTIONS(1552),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(1555),
    [anon_sym_let] = ACTIONS(1558),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_elseif] = ACTIONS(1410),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_while] = ACTIONS(1570),
    [sym_break_statement] = ACTIONS(1573),
    [sym_continue_statement] = ACTIONS(1573),
    [anon_sym_return] = ACTIONS(1576),
    [anon_sym_const] = ACTIONS(1579),
    [anon_sym_global] = ACTIONS(1582),
    [anon_sym_local] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1588),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_import] = ACTIONS(1594),
    [anon_sym_using] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_DOLLAR] = ACTIONS(1603),
    [anon_sym_COLON_COLON] = ACTIONS(1606),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1609),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [aux_sym_integer_literal_token1] = ACTIONS(1615),
    [aux_sym_integer_literal_token2] = ACTIONS(1615),
    [aux_sym_integer_literal_token3] = ACTIONS(1615),
    [aux_sym_integer_literal_token4] = ACTIONS(1618),
    [aux_sym_float_literal_token1] = ACTIONS(1621),
    [aux_sym_float_literal_token3] = ACTIONS(1621),
    [aux_sym_float_literal_token4] = ACTIONS(1621),
    [sym_character_literal] = ACTIONS(1624),
    [sym__pair_operator] = ACTIONS(1627),
    [sym__arrow_operator] = ACTIONS(1627),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(1627),
    [sym__pipe_right_operator] = ACTIONS(1627),
    [sym__pipe_left_operator] = ACTIONS(1627),
    [sym__ellipsis_operator] = ACTIONS(1627),
    [sym__plus_operator] = ACTIONS(1627),
    [sym__times_operator] = ACTIONS(1627),
    [sym__rational_operator] = ACTIONS(1627),
    [sym__bitshift_operator] = ACTIONS(1627),
    [sym__power_operator] = ACTIONS(1627),
    [sym__tilde_operator] = ACTIONS(1630),
    [sym__type_order_operator] = ACTIONS(1630),
    [sym__unary_operator] = ACTIONS(1630),
    [sym__unary_plus_operator] = ACTIONS(1630),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1633),
    [sym__command_start] = ACTIONS(1636),
  },
  [121] = {
    [sym_assignment] = STATE(254),
    [sym_open_tuple] = STATE(9237),
    [sym__expression] = STATE(9236),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12096),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [aux_sym_macro_argument_list_repeat1] = STATE(254),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1131),
    [sym__immediate_bracket] = ACTIONS(1133),
    [sym__immediate_brace] = ACTIONS(1135),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [122] = {
    [sym__block] = STATE(19858),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1351),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1263),
    [anon_sym_finally] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1353),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1355),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [123] = {
    [sym_assignment] = STATE(125),
    [sym_open_tuple] = STATE(7968),
    [sym__expression] = STATE(7075),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [aux_sym_macro_argument_list_repeat1] = STATE(125),
    [ts_builtin_sym_end] = ACTIONS(1365),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_RBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [124] = {
    [sym__block] = STATE(18215),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1639),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1641),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1643),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [125] = {
    [sym_assignment] = STATE(125),
    [sym_open_tuple] = STATE(7968),
    [sym__expression] = STATE(7075),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [aux_sym_macro_argument_list_repeat1] = STATE(125),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym__word_identifier] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1648),
    [anon_sym_begin] = ACTIONS(1651),
    [anon_sym_module] = ACTIONS(1654),
    [anon_sym_baremodule] = ACTIONS(1654),
    [anon_sym_abstract] = ACTIONS(1657),
    [anon_sym_primitive] = ACTIONS(1660),
    [anon_sym_mutable] = ACTIONS(1663),
    [anon_sym_struct] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1669),
    [anon_sym_macro] = ACTIONS(1672),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_try] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_while] = ACTIONS(1690),
    [sym_break_statement] = ACTIONS(1693),
    [sym_continue_statement] = ACTIONS(1693),
    [anon_sym_return] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1699),
    [anon_sym_global] = ACTIONS(1702),
    [anon_sym_local] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [anon_sym_RPAREN] = ACTIONS(1410),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(1711),
    [anon_sym_import] = ACTIONS(1714),
    [anon_sym_using] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1717),
    [anon_sym_RBRACK] = ACTIONS(1410),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(1726),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1732),
    [anon_sym_false] = ACTIONS(1732),
    [aux_sym_integer_literal_token1] = ACTIONS(1735),
    [aux_sym_integer_literal_token2] = ACTIONS(1735),
    [aux_sym_integer_literal_token3] = ACTIONS(1735),
    [aux_sym_integer_literal_token4] = ACTIONS(1738),
    [aux_sym_float_literal_token1] = ACTIONS(1741),
    [aux_sym_float_literal_token3] = ACTIONS(1741),
    [aux_sym_float_literal_token4] = ACTIONS(1741),
    [sym_character_literal] = ACTIONS(1744),
    [sym__pair_operator] = ACTIONS(1747),
    [sym__arrow_operator] = ACTIONS(1747),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(1747),
    [sym__pipe_right_operator] = ACTIONS(1747),
    [sym__pipe_left_operator] = ACTIONS(1747),
    [sym__ellipsis_operator] = ACTIONS(1747),
    [sym__plus_operator] = ACTIONS(1747),
    [sym__times_operator] = ACTIONS(1747),
    [sym__rational_operator] = ACTIONS(1747),
    [sym__bitshift_operator] = ACTIONS(1747),
    [sym__power_operator] = ACTIONS(1747),
    [sym__tilde_operator] = ACTIONS(1750),
    [sym__type_order_operator] = ACTIONS(1750),
    [sym__unary_operator] = ACTIONS(1750),
    [sym__unary_plus_operator] = ACTIONS(1750),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1753),
    [sym__command_start] = ACTIONS(1756),
  },
  [126] = {
    [sym__block] = STATE(18837),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1333),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1335),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1337),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [127] = {
    [sym_assignment] = STATE(120),
    [sym_open_tuple] = STATE(7453),
    [sym__expression] = STATE(7143),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [aux_sym_macro_argument_list_repeat1] = STATE(120),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_elseif] = ACTIONS(1363),
    [anon_sym_else] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [128] = {
    [sym_assignment] = STATE(118),
    [sym_open_tuple] = STATE(7783),
    [sym__expression] = STATE(7108),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [aux_sym_macro_argument_list_repeat1] = STATE(118),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(381),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [129] = {
    [sym_assignment] = STATE(129),
    [sym_open_tuple] = STATE(8137),
    [sym__expression] = STATE(7504),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [aux_sym_macro_argument_list_repeat1] = STATE(129),
    [sym__word_identifier] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1762),
    [anon_sym_begin] = ACTIONS(1765),
    [anon_sym_module] = ACTIONS(1768),
    [anon_sym_baremodule] = ACTIONS(1768),
    [anon_sym_end] = ACTIONS(1410),
    [anon_sym_abstract] = ACTIONS(1771),
    [anon_sym_primitive] = ACTIONS(1774),
    [anon_sym_mutable] = ACTIONS(1777),
    [anon_sym_struct] = ACTIONS(1780),
    [anon_sym_function] = ACTIONS(1783),
    [anon_sym_macro] = ACTIONS(1786),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(1789),
    [anon_sym_let] = ACTIONS(1792),
    [anon_sym_if] = ACTIONS(1795),
    [anon_sym_try] = ACTIONS(1798),
    [anon_sym_catch] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1801),
    [anon_sym_while] = ACTIONS(1804),
    [sym_break_statement] = ACTIONS(1807),
    [sym_continue_statement] = ACTIONS(1807),
    [anon_sym_return] = ACTIONS(1810),
    [anon_sym_const] = ACTIONS(1813),
    [anon_sym_global] = ACTIONS(1816),
    [anon_sym_local] = ACTIONS(1819),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(1825),
    [anon_sym_import] = ACTIONS(1828),
    [anon_sym_using] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1831),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1837),
    [anon_sym_COLON_COLON] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1846),
    [anon_sym_false] = ACTIONS(1846),
    [aux_sym_integer_literal_token1] = ACTIONS(1849),
    [aux_sym_integer_literal_token2] = ACTIONS(1849),
    [aux_sym_integer_literal_token3] = ACTIONS(1849),
    [aux_sym_integer_literal_token4] = ACTIONS(1852),
    [aux_sym_float_literal_token1] = ACTIONS(1855),
    [aux_sym_float_literal_token3] = ACTIONS(1855),
    [aux_sym_float_literal_token4] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(1858),
    [sym__pair_operator] = ACTIONS(1861),
    [sym__arrow_operator] = ACTIONS(1861),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(1861),
    [sym__pipe_right_operator] = ACTIONS(1861),
    [sym__pipe_left_operator] = ACTIONS(1861),
    [sym__ellipsis_operator] = ACTIONS(1861),
    [sym__plus_operator] = ACTIONS(1861),
    [sym__times_operator] = ACTIONS(1861),
    [sym__rational_operator] = ACTIONS(1861),
    [sym__bitshift_operator] = ACTIONS(1861),
    [sym__power_operator] = ACTIONS(1861),
    [sym__tilde_operator] = ACTIONS(1864),
    [sym__type_order_operator] = ACTIONS(1864),
    [sym__unary_operator] = ACTIONS(1864),
    [sym__unary_plus_operator] = ACTIONS(1864),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1867),
    [sym__command_start] = ACTIONS(1870),
  },
  [130] = {
    [sym_assignment] = STATE(130),
    [sym_open_tuple] = STATE(7777),
    [sym__expression] = STATE(7780),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [aux_sym_macro_argument_list_repeat1] = STATE(130),
    [sym__word_identifier] = ACTIONS(1525),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1528),
    [anon_sym_begin] = ACTIONS(1531),
    [anon_sym_module] = ACTIONS(1534),
    [anon_sym_baremodule] = ACTIONS(1534),
    [anon_sym_end] = ACTIONS(1410),
    [anon_sym_abstract] = ACTIONS(1537),
    [anon_sym_primitive] = ACTIONS(1540),
    [anon_sym_mutable] = ACTIONS(1543),
    [anon_sym_struct] = ACTIONS(1546),
    [anon_sym_function] = ACTIONS(1549),
    [anon_sym_macro] = ACTIONS(1552),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(1555),
    [anon_sym_let] = ACTIONS(1558),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_elseif] = ACTIONS(1410),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1564),
    [anon_sym_for] = ACTIONS(1567),
    [anon_sym_while] = ACTIONS(1570),
    [sym_break_statement] = ACTIONS(1573),
    [sym_continue_statement] = ACTIONS(1573),
    [anon_sym_return] = ACTIONS(1873),
    [anon_sym_const] = ACTIONS(1876),
    [anon_sym_global] = ACTIONS(1879),
    [anon_sym_local] = ACTIONS(1882),
    [anon_sym_LPAREN] = ACTIONS(1588),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_import] = ACTIONS(1594),
    [anon_sym_using] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_DOLLAR] = ACTIONS(1603),
    [anon_sym_COLON_COLON] = ACTIONS(1606),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1609),
    [anon_sym_true] = ACTIONS(1612),
    [anon_sym_false] = ACTIONS(1612),
    [aux_sym_integer_literal_token1] = ACTIONS(1615),
    [aux_sym_integer_literal_token2] = ACTIONS(1615),
    [aux_sym_integer_literal_token3] = ACTIONS(1615),
    [aux_sym_integer_literal_token4] = ACTIONS(1618),
    [aux_sym_float_literal_token1] = ACTIONS(1621),
    [aux_sym_float_literal_token3] = ACTIONS(1621),
    [aux_sym_float_literal_token4] = ACTIONS(1621),
    [sym_character_literal] = ACTIONS(1885),
    [sym__pair_operator] = ACTIONS(1627),
    [sym__arrow_operator] = ACTIONS(1627),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(1627),
    [sym__pipe_right_operator] = ACTIONS(1627),
    [sym__pipe_left_operator] = ACTIONS(1627),
    [sym__ellipsis_operator] = ACTIONS(1627),
    [sym__plus_operator] = ACTIONS(1627),
    [sym__times_operator] = ACTIONS(1627),
    [sym__rational_operator] = ACTIONS(1627),
    [sym__bitshift_operator] = ACTIONS(1627),
    [sym__power_operator] = ACTIONS(1627),
    [sym__tilde_operator] = ACTIONS(1630),
    [sym__type_order_operator] = ACTIONS(1630),
    [sym__unary_operator] = ACTIONS(1630),
    [sym__unary_plus_operator] = ACTIONS(1630),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1633),
    [sym__command_start] = ACTIONS(1636),
  },
  [131] = {
    [sym_assignment] = STATE(131),
    [sym_open_tuple] = STATE(8657),
    [sym__expression] = STATE(7691),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [aux_sym_macro_argument_list_repeat1] = STATE(131),
    [sym__word_identifier] = ACTIONS(1888),
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1891),
    [anon_sym_begin] = ACTIONS(1894),
    [anon_sym_module] = ACTIONS(1897),
    [anon_sym_baremodule] = ACTIONS(1897),
    [anon_sym_abstract] = ACTIONS(1900),
    [anon_sym_primitive] = ACTIONS(1903),
    [anon_sym_mutable] = ACTIONS(1906),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1912),
    [anon_sym_macro] = ACTIONS(1915),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(1918),
    [anon_sym_let] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1927),
    [anon_sym_catch] = ACTIONS(1410),
    [anon_sym_finally] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_while] = ACTIONS(1933),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1942),
    [anon_sym_global] = ACTIONS(1945),
    [anon_sym_local] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(1954),
    [anon_sym_import] = ACTIONS(1957),
    [anon_sym_using] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1963),
    [anon_sym_DOLLAR] = ACTIONS(1966),
    [anon_sym_COLON_COLON] = ACTIONS(1969),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1972),
    [anon_sym_true] = ACTIONS(1975),
    [anon_sym_false] = ACTIONS(1975),
    [aux_sym_integer_literal_token1] = ACTIONS(1978),
    [aux_sym_integer_literal_token2] = ACTIONS(1978),
    [aux_sym_integer_literal_token3] = ACTIONS(1978),
    [aux_sym_integer_literal_token4] = ACTIONS(1981),
    [aux_sym_float_literal_token1] = ACTIONS(1984),
    [aux_sym_float_literal_token3] = ACTIONS(1984),
    [aux_sym_float_literal_token4] = ACTIONS(1984),
    [sym_character_literal] = ACTIONS(1987),
    [sym__pair_operator] = ACTIONS(1990),
    [sym__arrow_operator] = ACTIONS(1990),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(1990),
    [sym__pipe_right_operator] = ACTIONS(1990),
    [sym__pipe_left_operator] = ACTIONS(1990),
    [sym__ellipsis_operator] = ACTIONS(1990),
    [sym__plus_operator] = ACTIONS(1990),
    [sym__times_operator] = ACTIONS(1990),
    [sym__rational_operator] = ACTIONS(1990),
    [sym__bitshift_operator] = ACTIONS(1990),
    [sym__power_operator] = ACTIONS(1990),
    [sym__tilde_operator] = ACTIONS(1993),
    [sym__type_order_operator] = ACTIONS(1993),
    [sym__unary_operator] = ACTIONS(1993),
    [sym__unary_plus_operator] = ACTIONS(1993),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1996),
    [sym__command_start] = ACTIONS(1999),
  },
  [132] = {
    [sym__block] = STATE(19858),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1351),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1353),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1355),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [133] = {
    [sym__block] = STATE(18227),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2002),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2004),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(2006),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [134] = {
    [sym_assignment] = STATE(313),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12221),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(313),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(315),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1113),
    [sym__immediate_bracket] = ACTIONS(1115),
    [sym__immediate_brace] = ACTIONS(1117),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [135] = {
    [sym_assignment] = STATE(313),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12096),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(313),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1131),
    [sym__immediate_bracket] = ACTIONS(1133),
    [sym__immediate_brace] = ACTIONS(1135),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [136] = {
    [sym_assignment] = STATE(157),
    [sym_open_tuple] = STATE(8514),
    [sym__expression] = STATE(7493),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [aux_sym_macro_argument_list_repeat1] = STATE(157),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [137] = {
    [sym_assignment] = STATE(7835),
    [sym_open_tuple] = STATE(7676),
    [sym__expression] = STATE(7203),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [ts_builtin_sym_end] = ACTIONS(2008),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(2010),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(2010),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(475),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [138] = {
    [sym_assignment] = STATE(157),
    [sym_open_tuple] = STATE(8514),
    [sym__expression] = STATE(7493),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [aux_sym_macro_argument_list_repeat1] = STATE(157),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(597),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [139] = {
    [sym__block] = STATE(19858),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1351),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(1353),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(1355),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [140] = {
    [sym_assignment] = STATE(140),
    [sym_open_tuple] = STATE(7518),
    [sym__expression] = STATE(7507),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [aux_sym_macro_argument_list_repeat1] = STATE(140),
    [sym__word_identifier] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1412),
    [anon_sym_begin] = ACTIONS(1415),
    [anon_sym_module] = ACTIONS(1418),
    [anon_sym_baremodule] = ACTIONS(1418),
    [anon_sym_end] = ACTIONS(1410),
    [anon_sym_abstract] = ACTIONS(1421),
    [anon_sym_primitive] = ACTIONS(1424),
    [anon_sym_mutable] = ACTIONS(1427),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_function] = ACTIONS(1433),
    [anon_sym_macro] = ACTIONS(1436),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(1439),
    [anon_sym_let] = ACTIONS(1442),
    [anon_sym_if] = ACTIONS(1445),
    [anon_sym_else] = ACTIONS(1410),
    [anon_sym_try] = ACTIONS(1448),
    [anon_sym_finally] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1451),
    [anon_sym_while] = ACTIONS(1454),
    [sym_break_statement] = ACTIONS(1457),
    [sym_continue_statement] = ACTIONS(1457),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_const] = ACTIONS(2015),
    [anon_sym_global] = ACTIONS(2018),
    [anon_sym_local] = ACTIONS(2021),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(1475),
    [anon_sym_import] = ACTIONS(1478),
    [anon_sym_using] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1489),
    [anon_sym_COLON_COLON] = ACTIONS(1492),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1495),
    [anon_sym_true] = ACTIONS(1498),
    [anon_sym_false] = ACTIONS(1498),
    [aux_sym_integer_literal_token1] = ACTIONS(1501),
    [aux_sym_integer_literal_token2] = ACTIONS(1501),
    [aux_sym_integer_literal_token3] = ACTIONS(1501),
    [aux_sym_integer_literal_token4] = ACTIONS(1504),
    [aux_sym_float_literal_token1] = ACTIONS(1507),
    [aux_sym_float_literal_token3] = ACTIONS(1507),
    [aux_sym_float_literal_token4] = ACTIONS(1507),
    [sym_character_literal] = ACTIONS(2024),
    [sym__pair_operator] = ACTIONS(1513),
    [sym__arrow_operator] = ACTIONS(1513),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(1513),
    [sym__pipe_right_operator] = ACTIONS(1513),
    [sym__pipe_left_operator] = ACTIONS(1513),
    [sym__ellipsis_operator] = ACTIONS(1513),
    [sym__plus_operator] = ACTIONS(1513),
    [sym__times_operator] = ACTIONS(1513),
    [sym__rational_operator] = ACTIONS(1513),
    [sym__bitshift_operator] = ACTIONS(1513),
    [sym__power_operator] = ACTIONS(1513),
    [sym__tilde_operator] = ACTIONS(1516),
    [sym__type_order_operator] = ACTIONS(1516),
    [sym__unary_operator] = ACTIONS(1516),
    [sym__unary_plus_operator] = ACTIONS(1516),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1519),
    [sym__command_start] = ACTIONS(1522),
  },
  [141] = {
    [sym_assignment] = STATE(129),
    [sym_open_tuple] = STATE(8137),
    [sym__expression] = STATE(7504),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [aux_sym_macro_argument_list_repeat1] = STATE(129),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(689),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [142] = {
    [sym_assignment] = STATE(12300),
    [sym_open_tuple] = STATE(12372),
    [sym__expression] = STATE(12215),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10563),
    [sym__array] = STATE(10563),
    [sym_comprehension_expression] = STATE(10563),
    [sym_matrix_expression] = STATE(10563),
    [sym_vector_expression] = STATE(10563),
    [sym_parenthesized_expression] = STATE(10563),
    [sym_tuple_expression] = STATE(10563),
    [sym_curly_expression] = STATE(10563),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10563),
    [sym_index_expression] = STATE(10563),
    [sym_parametrized_type_expression] = STATE(10563),
    [sym_call_expression] = STATE(10563),
    [sym_broadcast_call_expression] = STATE(10563),
    [sym__closed_macrocall_expression] = STATE(10563),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10563),
    [sym_quote_expression] = STATE(10563),
    [sym_binary_expression] = STATE(12790),
    [sym_unary_expression] = STATE(12790),
    [sym_range_expression] = STATE(12790),
    [sym_splat_expression] = STATE(12790),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12012),
    [sym_unary_typed_expression] = STATE(12790),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12790),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10563),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10563),
    [sym_string_literal] = STATE(10563),
    [sym_command_literal] = STATE(10563),
    [sym_prefixed_string_literal] = STATE(10563),
    [sym_prefixed_command_literal] = STATE(10563),
    [sym_operator] = STATE(11946),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_else] = ACTIONS(2010),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_DOLLAR] = ACTIONS(147),
    [anon_sym_COLON_COLON] = ACTIONS(149),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(157),
    [aux_sym_integer_literal_token2] = ACTIONS(157),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(161),
    [aux_sym_float_literal_token3] = ACTIONS(161),
    [aux_sym_float_literal_token4] = ACTIONS(161),
    [sym_character_literal] = ACTIONS(2035),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(165),
    [sym__type_order_operator] = ACTIONS(165),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [143] = {
    [sym_assignment] = STATE(148),
    [sym_open_tuple] = STATE(8066),
    [sym__expression] = STATE(8062),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [aux_sym_macro_argument_list_repeat1] = STATE(148),
    [ts_builtin_sym_end] = ACTIONS(1365),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_RBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [144] = {
    [sym_assignment] = STATE(140),
    [sym_open_tuple] = STATE(7518),
    [sym__expression] = STATE(7507),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [aux_sym_macro_argument_list_repeat1] = STATE(140),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(621),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [145] = {
    [sym_assignment] = STATE(129),
    [sym_open_tuple] = STATE(8137),
    [sym__expression] = STATE(7504),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [aux_sym_macro_argument_list_repeat1] = STATE(129),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_catch] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [146] = {
    [sym_assignment] = STATE(140),
    [sym_open_tuple] = STATE(7518),
    [sym__expression] = STATE(7507),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [aux_sym_macro_argument_list_repeat1] = STATE(140),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_else] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [147] = {
    [sym__block] = STATE(18335),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2037),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2039),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(2041),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [148] = {
    [sym_assignment] = STATE(148),
    [sym_open_tuple] = STATE(8066),
    [sym__expression] = STATE(8062),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [aux_sym_macro_argument_list_repeat1] = STATE(148),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym__word_identifier] = ACTIONS(1645),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1648),
    [anon_sym_begin] = ACTIONS(1651),
    [anon_sym_module] = ACTIONS(1654),
    [anon_sym_baremodule] = ACTIONS(1654),
    [anon_sym_abstract] = ACTIONS(1657),
    [anon_sym_primitive] = ACTIONS(1660),
    [anon_sym_mutable] = ACTIONS(1663),
    [anon_sym_struct] = ACTIONS(1666),
    [anon_sym_function] = ACTIONS(1669),
    [anon_sym_macro] = ACTIONS(1672),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1681),
    [anon_sym_try] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_while] = ACTIONS(1690),
    [sym_break_statement] = ACTIONS(1693),
    [sym_continue_statement] = ACTIONS(1693),
    [anon_sym_return] = ACTIONS(2043),
    [anon_sym_const] = ACTIONS(2046),
    [anon_sym_global] = ACTIONS(2049),
    [anon_sym_local] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(1708),
    [anon_sym_RPAREN] = ACTIONS(1410),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(1711),
    [anon_sym_import] = ACTIONS(1714),
    [anon_sym_using] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1717),
    [anon_sym_RBRACK] = ACTIONS(1410),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1720),
    [anon_sym_DOLLAR] = ACTIONS(1723),
    [anon_sym_COLON_COLON] = ACTIONS(1726),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1729),
    [anon_sym_true] = ACTIONS(1732),
    [anon_sym_false] = ACTIONS(1732),
    [aux_sym_integer_literal_token1] = ACTIONS(1735),
    [aux_sym_integer_literal_token2] = ACTIONS(1735),
    [aux_sym_integer_literal_token3] = ACTIONS(1735),
    [aux_sym_integer_literal_token4] = ACTIONS(1738),
    [aux_sym_float_literal_token1] = ACTIONS(1741),
    [aux_sym_float_literal_token3] = ACTIONS(1741),
    [aux_sym_float_literal_token4] = ACTIONS(1741),
    [sym_character_literal] = ACTIONS(2055),
    [sym__pair_operator] = ACTIONS(1747),
    [sym__arrow_operator] = ACTIONS(1747),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(1747),
    [sym__pipe_right_operator] = ACTIONS(1747),
    [sym__pipe_left_operator] = ACTIONS(1747),
    [sym__ellipsis_operator] = ACTIONS(1747),
    [sym__plus_operator] = ACTIONS(1747),
    [sym__times_operator] = ACTIONS(1747),
    [sym__rational_operator] = ACTIONS(1747),
    [sym__bitshift_operator] = ACTIONS(1747),
    [sym__power_operator] = ACTIONS(1747),
    [sym__tilde_operator] = ACTIONS(1750),
    [sym__type_order_operator] = ACTIONS(1750),
    [sym__unary_operator] = ACTIONS(1750),
    [sym__unary_plus_operator] = ACTIONS(1750),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1753),
    [sym__command_start] = ACTIONS(1756),
  },
  [149] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(12759),
    [sym__expression] = STATE(11979),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10560),
    [sym__array] = STATE(10560),
    [sym_comprehension_expression] = STATE(10560),
    [sym_matrix_expression] = STATE(10560),
    [sym_vector_expression] = STATE(10560),
    [sym_parenthesized_expression] = STATE(10560),
    [sym_tuple_expression] = STATE(10560),
    [sym_curly_expression] = STATE(10560),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10560),
    [sym_index_expression] = STATE(10560),
    [sym_parametrized_type_expression] = STATE(10560),
    [sym_call_expression] = STATE(10560),
    [sym_broadcast_call_expression] = STATE(10560),
    [sym__closed_macrocall_expression] = STATE(10560),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10560),
    [sym_quote_expression] = STATE(10560),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12020),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10560),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10560),
    [sym_string_literal] = STATE(10560),
    [sym_command_literal] = STATE(10560),
    [sym_prefixed_string_literal] = STATE(10560),
    [sym_prefixed_command_literal] = STATE(10560),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(2010),
    [anon_sym_else] = ACTIONS(2010),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(2066),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(2068),
    [sym__pair_operator] = ACTIONS(2070),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(2070),
    [sym__pipe_left_operator] = ACTIONS(2070),
    [sym__ellipsis_operator] = ACTIONS(2070),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(2070),
    [sym__bitshift_operator] = ACTIONS(2070),
    [sym__power_operator] = ACTIONS(2070),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1255),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [150] = {
    [sym_assignment] = STATE(131),
    [sym_open_tuple] = STATE(8657),
    [sym__expression] = STATE(7691),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [aux_sym_macro_argument_list_repeat1] = STATE(131),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_catch] = ACTIONS(1363),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [151] = {
    [sym_assignment] = STATE(130),
    [sym_open_tuple] = STATE(7777),
    [sym__expression] = STATE(7780),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [aux_sym_macro_argument_list_repeat1] = STATE(130),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(1363),
    [anon_sym_else] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(529),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [152] = {
    [sym_assignment] = STATE(7987),
    [sym_open_tuple] = STATE(7666),
    [sym__expression] = STATE(7022),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2010),
    [anon_sym_else] = ACTIONS(2010),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(297),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [153] = {
    [sym_assignment] = STATE(319),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12096),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(319),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(279),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1131),
    [sym__immediate_bracket] = ACTIONS(1133),
    [sym__immediate_brace] = ACTIONS(1135),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [154] = {
    [sym_assignment] = STATE(130),
    [sym_open_tuple] = STATE(7777),
    [sym__expression] = STATE(7780),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [aux_sym_macro_argument_list_repeat1] = STATE(130),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_elseif] = ACTIONS(1363),
    [anon_sym_else] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [155] = {
    [sym_assignment] = STATE(7929),
    [sym_open_tuple] = STATE(7316),
    [sym__expression] = STATE(7119),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(2010),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(381),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(385),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [156] = {
    [sym_assignment] = STATE(131),
    [sym_open_tuple] = STATE(8657),
    [sym__expression] = STATE(7691),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [aux_sym_macro_argument_list_repeat1] = STATE(131),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(1363),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [157] = {
    [sym_assignment] = STATE(157),
    [sym_open_tuple] = STATE(8514),
    [sym__expression] = STATE(7493),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [aux_sym_macro_argument_list_repeat1] = STATE(157),
    [sym__word_identifier] = ACTIONS(2072),
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(2075),
    [anon_sym_begin] = ACTIONS(2078),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_baremodule] = ACTIONS(2081),
    [anon_sym_end] = ACTIONS(1410),
    [anon_sym_abstract] = ACTIONS(2084),
    [anon_sym_primitive] = ACTIONS(2087),
    [anon_sym_mutable] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2096),
    [anon_sym_macro] = ACTIONS(2099),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(2102),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2111),
    [anon_sym_finally] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2117),
    [sym_break_statement] = ACTIONS(2120),
    [sym_continue_statement] = ACTIONS(2120),
    [anon_sym_return] = ACTIONS(2123),
    [anon_sym_const] = ACTIONS(2126),
    [anon_sym_global] = ACTIONS(2129),
    [anon_sym_local] = ACTIONS(2132),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(2138),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2144),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_DOLLAR] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2153),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(2156),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [aux_sym_integer_literal_token1] = ACTIONS(2162),
    [aux_sym_integer_literal_token2] = ACTIONS(2162),
    [aux_sym_integer_literal_token3] = ACTIONS(2162),
    [aux_sym_integer_literal_token4] = ACTIONS(2165),
    [aux_sym_float_literal_token1] = ACTIONS(2168),
    [aux_sym_float_literal_token3] = ACTIONS(2168),
    [aux_sym_float_literal_token4] = ACTIONS(2168),
    [sym_character_literal] = ACTIONS(2171),
    [sym__pair_operator] = ACTIONS(2174),
    [sym__arrow_operator] = ACTIONS(2174),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(2174),
    [sym__pipe_right_operator] = ACTIONS(2174),
    [sym__pipe_left_operator] = ACTIONS(2174),
    [sym__ellipsis_operator] = ACTIONS(2174),
    [sym__plus_operator] = ACTIONS(2174),
    [sym__times_operator] = ACTIONS(2174),
    [sym__rational_operator] = ACTIONS(2174),
    [sym__bitshift_operator] = ACTIONS(2174),
    [sym__power_operator] = ACTIONS(2174),
    [sym__tilde_operator] = ACTIONS(2177),
    [sym__type_order_operator] = ACTIONS(2177),
    [sym__unary_operator] = ACTIONS(2177),
    [sym__unary_plus_operator] = ACTIONS(2177),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2180),
    [sym__command_start] = ACTIONS(2183),
  },
  [158] = {
    [sym_assignment] = STATE(319),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12221),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(319),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(365),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1113),
    [sym__immediate_bracket] = ACTIONS(1115),
    [sym__immediate_brace] = ACTIONS(1117),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [159] = {
    [sym_assignment] = STATE(337),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12221),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(337),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(315),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_COLON2] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(315),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(365),
    [anon_sym_QMARK] = ACTIONS(365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(365),
    [sym__lazy_and_operator] = ACTIONS(365),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1113),
    [sym__immediate_bracket] = ACTIONS(1115),
    [sym__immediate_brace] = ACTIONS(1117),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [160] = {
    [sym__expression] = STATE(7722),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [ts_builtin_sym_end] = ACTIONS(2186),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(2190),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [161] = {
    [sym_assignment] = STATE(8479),
    [sym_open_tuple] = STATE(8744),
    [sym__expression] = STATE(7430),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(689),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(693),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [162] = {
    [sym__expression] = STATE(8874),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [163] = {
    [sym__expression] = STATE(8097),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(2196),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(385),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [164] = {
    [sym_assignment] = STATE(205),
    [sym_open_tuple] = STATE(8558),
    [sym__expression] = STATE(8561),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [aux_sym_macro_argument_list_repeat1] = STATE(205),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(1363),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(903),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [165] = {
    [sym_assignment] = STATE(192),
    [sym_open_tuple] = STATE(8126),
    [sym__expression] = STATE(8314),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [aux_sym_macro_argument_list_repeat1] = STATE(192),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [166] = {
    [sym__expression] = STATE(12475),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(2066),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(2198),
    [sym__pair_operator] = ACTIONS(2070),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(2070),
    [sym__pipe_left_operator] = ACTIONS(2070),
    [sym__ellipsis_operator] = ACTIONS(2070),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(2070),
    [sym__bitshift_operator] = ACTIONS(2070),
    [sym__power_operator] = ACTIONS(2070),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1255),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [167] = {
    [sym_assignment] = STATE(167),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(167),
    [sym__word_identifier] = ACTIONS(2200),
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(2203),
    [anon_sym_begin] = ACTIONS(2206),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_baremodule] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_primitive] = ACTIONS(2215),
    [anon_sym_mutable] = ACTIONS(2218),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2224),
    [anon_sym_macro] = ACTIONS(2227),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2233),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2239),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2245),
    [sym_break_statement] = ACTIONS(2248),
    [sym_continue_statement] = ACTIONS(2248),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2254),
    [anon_sym_global] = ACTIONS(2257),
    [anon_sym_local] = ACTIONS(2260),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_RPAREN] = ACTIONS(1484),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2269),
    [anon_sym_using] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2275),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(2278),
    [anon_sym_COLON_COLON] = ACTIONS(2281),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(2284),
    [anon_sym_true] = ACTIONS(2287),
    [anon_sym_false] = ACTIONS(2287),
    [aux_sym_integer_literal_token1] = ACTIONS(2290),
    [aux_sym_integer_literal_token2] = ACTIONS(2290),
    [aux_sym_integer_literal_token3] = ACTIONS(2293),
    [aux_sym_integer_literal_token4] = ACTIONS(2296),
    [aux_sym_float_literal_token1] = ACTIONS(2299),
    [aux_sym_float_literal_token3] = ACTIONS(2299),
    [aux_sym_float_literal_token4] = ACTIONS(2299),
    [sym_character_literal] = ACTIONS(2302),
    [sym__pair_operator] = ACTIONS(2305),
    [sym__arrow_operator] = ACTIONS(2308),
    [sym__lazy_or_operator] = ACTIONS(1484),
    [sym__lazy_and_operator] = ACTIONS(1484),
    [sym__comparison_operator] = ACTIONS(2308),
    [sym__pipe_right_operator] = ACTIONS(2305),
    [sym__pipe_left_operator] = ACTIONS(2305),
    [sym__ellipsis_operator] = ACTIONS(2308),
    [sym__plus_operator] = ACTIONS(2308),
    [sym__times_operator] = ACTIONS(2308),
    [sym__rational_operator] = ACTIONS(2305),
    [sym__bitshift_operator] = ACTIONS(2305),
    [sym__power_operator] = ACTIONS(2305),
    [sym__tilde_operator] = ACTIONS(2311),
    [sym__type_order_operator] = ACTIONS(2311),
    [sym__unary_operator] = ACTIONS(2314),
    [sym__unary_plus_operator] = ACTIONS(2314),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2317),
    [sym__command_start] = ACTIONS(2320),
  },
  [168] = {
    [sym__expression] = STATE(8920),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [169] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(12465),
    [sym__expression] = STATE(12467),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10785),
    [sym__array] = STATE(10785),
    [sym_comprehension_expression] = STATE(10785),
    [sym_matrix_expression] = STATE(10785),
    [sym_vector_expression] = STATE(10785),
    [sym_parenthesized_expression] = STATE(10785),
    [sym_tuple_expression] = STATE(10785),
    [sym_curly_expression] = STATE(10785),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10785),
    [sym_index_expression] = STATE(10785),
    [sym_parametrized_type_expression] = STATE(10785),
    [sym_call_expression] = STATE(10785),
    [sym_broadcast_call_expression] = STATE(10785),
    [sym__closed_macrocall_expression] = STATE(10785),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10785),
    [sym_quote_expression] = STATE(10785),
    [sym_binary_expression] = STATE(12672),
    [sym_unary_expression] = STATE(12672),
    [sym_range_expression] = STATE(12672),
    [sym_splat_expression] = STATE(12672),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12051),
    [sym_unary_typed_expression] = STATE(12672),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12672),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10785),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10785),
    [sym_string_literal] = STATE(10785),
    [sym_command_literal] = STATE(10785),
    [sym_prefixed_string_literal] = STATE(10785),
    [sym_prefixed_command_literal] = STATE(10785),
    [sym_operator] = STATE(11977),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(2010),
    [anon_sym_else] = ACTIONS(2010),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(2066),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(2323),
    [sym__pair_operator] = ACTIONS(2070),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(2070),
    [sym__pipe_left_operator] = ACTIONS(2070),
    [sym__ellipsis_operator] = ACTIONS(2070),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(2070),
    [sym__bitshift_operator] = ACTIONS(2070),
    [sym__power_operator] = ACTIONS(2070),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1255),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [170] = {
    [sym_assignment] = STATE(125),
    [sym_open_tuple] = STATE(7968),
    [sym__expression] = STATE(7075),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [aux_sym_macro_argument_list_repeat1] = STATE(125),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(475),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [171] = {
    [sym__expression] = STATE(8992),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [172] = {
    [sym__expression] = STATE(7644),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2325),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [173] = {
    [sym_assignment] = STATE(8559),
    [sym_open_tuple] = STATE(8127),
    [sym__expression] = STATE(7520),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(2010),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [174] = {
    [sym__block] = STATE(17152),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2327),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(2327),
    [anon_sym_else] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2329),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [sym__pair_operator] = ACTIONS(1229),
    [sym__arrow_operator] = ACTIONS(1231),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1237),
    [sym__pipe_right_operator] = ACTIONS(1239),
    [sym__pipe_left_operator] = ACTIONS(1241),
    [sym__ellipsis_operator] = ACTIONS(1243),
    [sym__plus_operator] = ACTIONS(1245),
    [sym__times_operator] = ACTIONS(1247),
    [sym__rational_operator] = ACTIONS(1249),
    [sym__bitshift_operator] = ACTIONS(1251),
    [sym__power_operator] = ACTIONS(1253),
    [sym__tilde_operator] = ACTIONS(1255),
    [sym__type_order_operator] = ACTIONS(1257),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1259),
    [aux_sym__terminator_token1] = ACTIONS(2331),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [175] = {
    [sym_assignment] = STATE(337),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_macro_argument_list] = STATE(12096),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(337),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(229),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_COLON2] = ACTIONS(229),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(279),
    [anon_sym_QMARK] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(279),
    [sym__lazy_and_operator] = ACTIONS(279),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(1131),
    [sym__immediate_bracket] = ACTIONS(1133),
    [sym__immediate_brace] = ACTIONS(1135),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [176] = {
    [sym__expression] = STATE(8855),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [177] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(13030),
    [sym__expression] = STATE(12690),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10974),
    [sym__array] = STATE(10974),
    [sym_comprehension_expression] = STATE(10974),
    [sym_matrix_expression] = STATE(10974),
    [sym_vector_expression] = STATE(10974),
    [sym_parenthesized_expression] = STATE(10974),
    [sym_tuple_expression] = STATE(10974),
    [sym_curly_expression] = STATE(10974),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10974),
    [sym_index_expression] = STATE(10974),
    [sym_parametrized_type_expression] = STATE(10974),
    [sym_call_expression] = STATE(10974),
    [sym_broadcast_call_expression] = STATE(10974),
    [sym__closed_macrocall_expression] = STATE(10974),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10974),
    [sym_quote_expression] = STATE(10974),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12727),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10974),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10974),
    [sym_string_literal] = STATE(10974),
    [sym_command_literal] = STATE(10974),
    [sym_prefixed_string_literal] = STATE(10974),
    [sym_prefixed_command_literal] = STATE(10974),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2349),
    [anon_sym_COLON_COLON] = ACTIONS(2351),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2353),
    [aux_sym_integer_literal_token2] = ACTIONS(2353),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(2357),
    [aux_sym_float_literal_token3] = ACTIONS(2357),
    [aux_sym_float_literal_token4] = ACTIONS(2357),
    [sym_character_literal] = ACTIONS(2359),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2361),
    [sym__type_order_operator] = ACTIONS(2361),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [178] = {
    [sym_assignment] = STATE(12300),
    [sym_open_tuple] = STATE(12570),
    [sym__expression] = STATE(12301),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10889),
    [sym__array] = STATE(10889),
    [sym_comprehension_expression] = STATE(10889),
    [sym_matrix_expression] = STATE(10889),
    [sym_vector_expression] = STATE(10889),
    [sym_parenthesized_expression] = STATE(10889),
    [sym_tuple_expression] = STATE(10889),
    [sym_curly_expression] = STATE(10889),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10889),
    [sym_index_expression] = STATE(10889),
    [sym_parametrized_type_expression] = STATE(10889),
    [sym_call_expression] = STATE(10889),
    [sym_broadcast_call_expression] = STATE(10889),
    [sym__closed_macrocall_expression] = STATE(10889),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10889),
    [sym_quote_expression] = STATE(10889),
    [sym_binary_expression] = STATE(12302),
    [sym_unary_expression] = STATE(12302),
    [sym_range_expression] = STATE(12302),
    [sym_splat_expression] = STATE(12302),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12241),
    [sym_unary_typed_expression] = STATE(12302),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12302),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10889),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10889),
    [sym_string_literal] = STATE(10889),
    [sym_command_literal] = STATE(10889),
    [sym_prefixed_string_literal] = STATE(10889),
    [sym_prefixed_command_literal] = STATE(10889),
    [sym_operator] = STATE(12212),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_else] = ACTIONS(2010),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_DOLLAR] = ACTIONS(147),
    [anon_sym_COLON_COLON] = ACTIONS(149),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(157),
    [aux_sym_integer_literal_token2] = ACTIONS(157),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(161),
    [aux_sym_float_literal_token3] = ACTIONS(161),
    [aux_sym_float_literal_token4] = ACTIONS(161),
    [sym_character_literal] = ACTIONS(2363),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(165),
    [sym__type_order_operator] = ACTIONS(165),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [179] = {
    [sym__expression] = STATE(8921),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [180] = {
    [sym_assignment] = STATE(208),
    [sym_open_tuple] = STATE(8606),
    [sym__expression] = STATE(8607),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [aux_sym_macro_argument_list_repeat1] = STATE(208),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_catch] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [181] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(13064),
    [sym__expression] = STATE(12679),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10964),
    [sym__array] = STATE(10964),
    [sym_comprehension_expression] = STATE(10964),
    [sym_matrix_expression] = STATE(10964),
    [sym_vector_expression] = STATE(10964),
    [sym_parenthesized_expression] = STATE(10964),
    [sym_tuple_expression] = STATE(10964),
    [sym_curly_expression] = STATE(10964),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10964),
    [sym_index_expression] = STATE(10964),
    [sym_parametrized_type_expression] = STATE(10964),
    [sym_call_expression] = STATE(10964),
    [sym_broadcast_call_expression] = STATE(10964),
    [sym__closed_macrocall_expression] = STATE(10964),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(10964),
    [sym_quote_expression] = STATE(10964),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12795),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(10964),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10964),
    [sym_string_literal] = STATE(10964),
    [sym_command_literal] = STATE(10964),
    [sym_prefixed_string_literal] = STATE(10964),
    [sym_prefixed_command_literal] = STATE(10964),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2381),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2385),
    [aux_sym_integer_literal_token2] = ACTIONS(2385),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(2389),
    [aux_sym_float_literal_token3] = ACTIONS(2389),
    [aux_sym_float_literal_token4] = ACTIONS(2389),
    [sym_character_literal] = ACTIONS(2391),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2393),
    [sym__type_order_operator] = ACTIONS(2393),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [182] = {
    [sym__expression] = STATE(8878),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [183] = {
    [sym__expression] = STATE(9018),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [184] = {
    [sym__expression] = STATE(7885),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [185] = {
    [sym_assignment] = STATE(201),
    [sym_open_tuple] = STATE(8891),
    [sym__expression] = STATE(8741),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [aux_sym_macro_argument_list_repeat1] = STATE(201),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1069),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [186] = {
    [sym__expression] = STATE(9122),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [187] = {
    [sym__expression] = STATE(8791),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [188] = {
    [sym_assignment] = STATE(167),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(167),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(1365),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [189] = {
    [sym_assignment] = STATE(167),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(167),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_RBRACK] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1365),
    [anon_sym_RBRACE] = ACTIONS(1365),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1365),
    [aux_sym_integer_literal_token2] = ACTIONS(1365),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1365),
    [aux_sym_float_literal_token3] = ACTIONS(1365),
    [aux_sym_float_literal_token4] = ACTIONS(1365),
    [sym_character_literal] = ACTIONS(1365),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(1365),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [190] = {
    [sym_assignment] = STATE(201),
    [sym_open_tuple] = STATE(8891),
    [sym__expression] = STATE(8741),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [aux_sym_macro_argument_list_repeat1] = STATE(201),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [191] = {
    [sym__expression] = STATE(9053),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [192] = {
    [sym_assignment] = STATE(192),
    [sym_open_tuple] = STATE(8126),
    [sym__expression] = STATE(8314),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [aux_sym_macro_argument_list_repeat1] = STATE(192),
    [sym__word_identifier] = ACTIONS(2072),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(2075),
    [anon_sym_begin] = ACTIONS(2078),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_baremodule] = ACTIONS(2081),
    [anon_sym_end] = ACTIONS(1410),
    [anon_sym_abstract] = ACTIONS(2084),
    [anon_sym_primitive] = ACTIONS(2087),
    [anon_sym_mutable] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2096),
    [anon_sym_macro] = ACTIONS(2099),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(2102),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2111),
    [anon_sym_finally] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2117),
    [sym_break_statement] = ACTIONS(2120),
    [sym_continue_statement] = ACTIONS(2120),
    [anon_sym_return] = ACTIONS(2395),
    [anon_sym_const] = ACTIONS(2398),
    [anon_sym_global] = ACTIONS(2401),
    [anon_sym_local] = ACTIONS(2404),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(2138),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_using] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2144),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_DOLLAR] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2153),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(2156),
    [anon_sym_true] = ACTIONS(2159),
    [anon_sym_false] = ACTIONS(2159),
    [aux_sym_integer_literal_token1] = ACTIONS(2162),
    [aux_sym_integer_literal_token2] = ACTIONS(2162),
    [aux_sym_integer_literal_token3] = ACTIONS(2162),
    [aux_sym_integer_literal_token4] = ACTIONS(2165),
    [aux_sym_float_literal_token1] = ACTIONS(2168),
    [aux_sym_float_literal_token3] = ACTIONS(2168),
    [aux_sym_float_literal_token4] = ACTIONS(2168),
    [sym_character_literal] = ACTIONS(2407),
    [sym__pair_operator] = ACTIONS(2174),
    [sym__arrow_operator] = ACTIONS(2174),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(2174),
    [sym__pipe_right_operator] = ACTIONS(2174),
    [sym__pipe_left_operator] = ACTIONS(2174),
    [sym__ellipsis_operator] = ACTIONS(2174),
    [sym__plus_operator] = ACTIONS(2174),
    [sym__times_operator] = ACTIONS(2174),
    [sym__rational_operator] = ACTIONS(2174),
    [sym__bitshift_operator] = ACTIONS(2174),
    [sym__power_operator] = ACTIONS(2174),
    [sym__tilde_operator] = ACTIONS(2177),
    [sym__type_order_operator] = ACTIONS(2177),
    [sym__unary_operator] = ACTIONS(2177),
    [sym__unary_plus_operator] = ACTIONS(2177),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2180),
    [sym__command_start] = ACTIONS(2183),
  },
  [193] = {
    [sym_assignment] = STATE(205),
    [sym_open_tuple] = STATE(8558),
    [sym__expression] = STATE(8561),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [aux_sym_macro_argument_list_repeat1] = STATE(205),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_catch] = ACTIONS(1363),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [194] = {
    [sym_assignment] = STATE(208),
    [sym_open_tuple] = STATE(8606),
    [sym__expression] = STATE(8607),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [aux_sym_macro_argument_list_repeat1] = STATE(208),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(1001),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [195] = {
    [sym__block] = STATE(19259),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2410),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(1263),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(1263),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(1263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(1263),
    [sym__lazy_and_operator] = ACTIONS(1263),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(2414),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [196] = {
    [sym__expression] = STATE(7312),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2325),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [197] = {
    [sym_assignment] = STATE(8270),
    [sym_open_tuple] = STATE(8737),
    [sym__expression] = STATE(7444),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(597),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(601),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [198] = {
    [sym_assignment] = STATE(211),
    [sym_open_tuple] = STATE(8869),
    [sym__expression] = STATE(8406),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [aux_sym_macro_argument_list_repeat1] = STATE(211),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [199] = {
    [sym_assignment] = STATE(7987),
    [sym_open_tuple] = STATE(7986),
    [sym__expression] = STATE(7985),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2010),
    [anon_sym_else] = ACTIONS(2010),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(529),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [200] = {
    [sym_assignment] = STATE(7835),
    [sym_open_tuple] = STATE(7827),
    [sym__expression] = STATE(7808),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [ts_builtin_sym_end] = ACTIONS(2008),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(2010),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(2010),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(801),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(479),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [201] = {
    [sym_assignment] = STATE(201),
    [sym_open_tuple] = STATE(8891),
    [sym__expression] = STATE(8741),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [aux_sym_macro_argument_list_repeat1] = STATE(201),
    [sym__word_identifier] = ACTIONS(2416),
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(2419),
    [anon_sym_begin] = ACTIONS(2422),
    [anon_sym_module] = ACTIONS(2425),
    [anon_sym_baremodule] = ACTIONS(2425),
    [anon_sym_abstract] = ACTIONS(2428),
    [anon_sym_primitive] = ACTIONS(2431),
    [anon_sym_mutable] = ACTIONS(2434),
    [anon_sym_struct] = ACTIONS(2437),
    [anon_sym_function] = ACTIONS(2440),
    [anon_sym_macro] = ACTIONS(2443),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(2446),
    [anon_sym_let] = ACTIONS(2449),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2461),
    [sym_break_statement] = ACTIONS(2464),
    [sym_continue_statement] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2467),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_global] = ACTIONS(2473),
    [anon_sym_local] = ACTIONS(2476),
    [anon_sym_LPAREN] = ACTIONS(2479),
    [anon_sym_RPAREN] = ACTIONS(1410),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(2482),
    [anon_sym_import] = ACTIONS(2485),
    [anon_sym_using] = ACTIONS(2485),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_DOLLAR] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_true] = ACTIONS(2503),
    [anon_sym_false] = ACTIONS(2503),
    [aux_sym_integer_literal_token1] = ACTIONS(2506),
    [aux_sym_integer_literal_token2] = ACTIONS(2506),
    [aux_sym_integer_literal_token3] = ACTIONS(2506),
    [aux_sym_integer_literal_token4] = ACTIONS(2509),
    [aux_sym_float_literal_token1] = ACTIONS(2512),
    [aux_sym_float_literal_token3] = ACTIONS(2512),
    [aux_sym_float_literal_token4] = ACTIONS(2512),
    [sym_character_literal] = ACTIONS(2515),
    [sym__pair_operator] = ACTIONS(2518),
    [sym__arrow_operator] = ACTIONS(2518),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(2518),
    [sym__pipe_right_operator] = ACTIONS(2518),
    [sym__pipe_left_operator] = ACTIONS(2518),
    [sym__ellipsis_operator] = ACTIONS(2518),
    [sym__plus_operator] = ACTIONS(2518),
    [sym__times_operator] = ACTIONS(2518),
    [sym__rational_operator] = ACTIONS(2518),
    [sym__bitshift_operator] = ACTIONS(2518),
    [sym__power_operator] = ACTIONS(2518),
    [sym__tilde_operator] = ACTIONS(2521),
    [sym__type_order_operator] = ACTIONS(2521),
    [sym__unary_operator] = ACTIONS(2521),
    [sym__unary_plus_operator] = ACTIONS(2521),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2524),
    [sym__command_start] = ACTIONS(2527),
  },
  [202] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(12911),
    [sym__expression] = STATE(12660),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10943),
    [sym__array] = STATE(10943),
    [sym_comprehension_expression] = STATE(10943),
    [sym_matrix_expression] = STATE(10943),
    [sym_vector_expression] = STATE(10943),
    [sym_parenthesized_expression] = STATE(10943),
    [sym_tuple_expression] = STATE(10943),
    [sym_curly_expression] = STATE(10943),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10943),
    [sym_index_expression] = STATE(10943),
    [sym_parametrized_type_expression] = STATE(10943),
    [sym_call_expression] = STATE(10943),
    [sym_broadcast_call_expression] = STATE(10943),
    [sym__closed_macrocall_expression] = STATE(10943),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10943),
    [sym_quote_expression] = STATE(10943),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12904),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10943),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10943),
    [sym_string_literal] = STATE(10943),
    [sym_command_literal] = STATE(10943),
    [sym_prefixed_string_literal] = STATE(10943),
    [sym_prefixed_command_literal] = STATE(10943),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(2010),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(2556),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [203] = {
    [sym__expression] = STATE(12318),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_DOLLAR] = ACTIONS(147),
    [anon_sym_COLON_COLON] = ACTIONS(149),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(157),
    [aux_sym_integer_literal_token2] = ACTIONS(157),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(161),
    [aux_sym_float_literal_token3] = ACTIONS(161),
    [aux_sym_float_literal_token4] = ACTIONS(161),
    [sym_character_literal] = ACTIONS(2560),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(165),
    [sym__type_order_operator] = ACTIONS(165),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [204] = {
    [sym_assignment] = STATE(125),
    [sym_open_tuple] = STATE(7968),
    [sym__expression] = STATE(7075),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [aux_sym_macro_argument_list_repeat1] = STATE(125),
    [ts_builtin_sym_end] = ACTIONS(1365),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(475),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [205] = {
    [sym_assignment] = STATE(205),
    [sym_open_tuple] = STATE(8558),
    [sym__expression] = STATE(8561),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [aux_sym_macro_argument_list_repeat1] = STATE(205),
    [sym__word_identifier] = ACTIONS(1888),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1891),
    [anon_sym_begin] = ACTIONS(1894),
    [anon_sym_module] = ACTIONS(1897),
    [anon_sym_baremodule] = ACTIONS(1897),
    [anon_sym_abstract] = ACTIONS(1900),
    [anon_sym_primitive] = ACTIONS(1903),
    [anon_sym_mutable] = ACTIONS(1906),
    [anon_sym_struct] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1912),
    [anon_sym_macro] = ACTIONS(1915),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(1918),
    [anon_sym_let] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1927),
    [anon_sym_catch] = ACTIONS(1410),
    [anon_sym_finally] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1930),
    [anon_sym_while] = ACTIONS(1933),
    [sym_break_statement] = ACTIONS(1936),
    [sym_continue_statement] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(2562),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_global] = ACTIONS(2568),
    [anon_sym_local] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(1954),
    [anon_sym_import] = ACTIONS(1957),
    [anon_sym_using] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1963),
    [anon_sym_DOLLAR] = ACTIONS(1966),
    [anon_sym_COLON_COLON] = ACTIONS(1969),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1972),
    [anon_sym_true] = ACTIONS(1975),
    [anon_sym_false] = ACTIONS(1975),
    [aux_sym_integer_literal_token1] = ACTIONS(1978),
    [aux_sym_integer_literal_token2] = ACTIONS(1978),
    [aux_sym_integer_literal_token3] = ACTIONS(1978),
    [aux_sym_integer_literal_token4] = ACTIONS(1981),
    [aux_sym_float_literal_token1] = ACTIONS(1984),
    [aux_sym_float_literal_token3] = ACTIONS(1984),
    [aux_sym_float_literal_token4] = ACTIONS(1984),
    [sym_character_literal] = ACTIONS(2574),
    [sym__pair_operator] = ACTIONS(1990),
    [sym__arrow_operator] = ACTIONS(1990),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(1990),
    [sym__pipe_right_operator] = ACTIONS(1990),
    [sym__pipe_left_operator] = ACTIONS(1990),
    [sym__ellipsis_operator] = ACTIONS(1990),
    [sym__plus_operator] = ACTIONS(1990),
    [sym__times_operator] = ACTIONS(1990),
    [sym__rational_operator] = ACTIONS(1990),
    [sym__bitshift_operator] = ACTIONS(1990),
    [sym__power_operator] = ACTIONS(1990),
    [sym__tilde_operator] = ACTIONS(1993),
    [sym__type_order_operator] = ACTIONS(1993),
    [sym__unary_operator] = ACTIONS(1993),
    [sym__unary_plus_operator] = ACTIONS(1993),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1996),
    [sym__command_start] = ACTIONS(1999),
  },
  [206] = {
    [sym_assignment] = STATE(7929),
    [sym_open_tuple] = STATE(7756),
    [sym__expression] = STATE(7936),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(2010),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(621),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(385),
    [sym__type_order_operator] = ACTIONS(385),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [207] = {
    [sym_assignment] = STATE(211),
    [sym_open_tuple] = STATE(8869),
    [sym__expression] = STATE(8406),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [aux_sym_macro_argument_list_repeat1] = STATE(211),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(879),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [208] = {
    [sym_assignment] = STATE(208),
    [sym_open_tuple] = STATE(8606),
    [sym__expression] = STATE(8607),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [aux_sym_macro_argument_list_repeat1] = STATE(208),
    [sym__word_identifier] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(1762),
    [anon_sym_begin] = ACTIONS(1765),
    [anon_sym_module] = ACTIONS(1768),
    [anon_sym_baremodule] = ACTIONS(1768),
    [anon_sym_end] = ACTIONS(1410),
    [anon_sym_abstract] = ACTIONS(1771),
    [anon_sym_primitive] = ACTIONS(1774),
    [anon_sym_mutable] = ACTIONS(1777),
    [anon_sym_struct] = ACTIONS(1780),
    [anon_sym_function] = ACTIONS(1783),
    [anon_sym_macro] = ACTIONS(1786),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(1789),
    [anon_sym_let] = ACTIONS(1792),
    [anon_sym_if] = ACTIONS(1795),
    [anon_sym_try] = ACTIONS(1798),
    [anon_sym_catch] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1801),
    [anon_sym_while] = ACTIONS(1804),
    [sym_break_statement] = ACTIONS(1807),
    [sym_continue_statement] = ACTIONS(1807),
    [anon_sym_return] = ACTIONS(2577),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_global] = ACTIONS(2583),
    [anon_sym_local] = ACTIONS(2586),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(1825),
    [anon_sym_import] = ACTIONS(1828),
    [anon_sym_using] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1831),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_DOLLAR] = ACTIONS(1837),
    [anon_sym_COLON_COLON] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_true] = ACTIONS(1846),
    [anon_sym_false] = ACTIONS(1846),
    [aux_sym_integer_literal_token1] = ACTIONS(1849),
    [aux_sym_integer_literal_token2] = ACTIONS(1849),
    [aux_sym_integer_literal_token3] = ACTIONS(1849),
    [aux_sym_integer_literal_token4] = ACTIONS(1852),
    [aux_sym_float_literal_token1] = ACTIONS(1855),
    [aux_sym_float_literal_token3] = ACTIONS(1855),
    [aux_sym_float_literal_token4] = ACTIONS(1855),
    [sym_character_literal] = ACTIONS(2589),
    [sym__pair_operator] = ACTIONS(1861),
    [sym__arrow_operator] = ACTIONS(1861),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(1861),
    [sym__pipe_right_operator] = ACTIONS(1861),
    [sym__pipe_left_operator] = ACTIONS(1861),
    [sym__ellipsis_operator] = ACTIONS(1861),
    [sym__plus_operator] = ACTIONS(1861),
    [sym__times_operator] = ACTIONS(1861),
    [sym__rational_operator] = ACTIONS(1861),
    [sym__bitshift_operator] = ACTIONS(1861),
    [sym__power_operator] = ACTIONS(1861),
    [sym__tilde_operator] = ACTIONS(1864),
    [sym__type_order_operator] = ACTIONS(1864),
    [sym__unary_operator] = ACTIONS(1864),
    [sym__unary_plus_operator] = ACTIONS(1864),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1867),
    [sym__command_start] = ACTIONS(1870),
  },
  [209] = {
    [sym__expression] = STATE(7326),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2325),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(301),
    [sym__type_order_operator] = ACTIONS(301),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [210] = {
    [sym_assignment] = STATE(192),
    [sym_open_tuple] = STATE(8126),
    [sym__expression] = STATE(8314),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [aux_sym_macro_argument_list_repeat1] = STATE(192),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(1105),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [211] = {
    [sym_assignment] = STATE(211),
    [sym_open_tuple] = STATE(8869),
    [sym__expression] = STATE(8406),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [aux_sym_macro_argument_list_repeat1] = STATE(211),
    [sym__word_identifier] = ACTIONS(2592),
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(2595),
    [anon_sym_begin] = ACTIONS(2598),
    [anon_sym_module] = ACTIONS(2601),
    [anon_sym_baremodule] = ACTIONS(2601),
    [anon_sym_end] = ACTIONS(1410),
    [anon_sym_abstract] = ACTIONS(2604),
    [anon_sym_primitive] = ACTIONS(2607),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2616),
    [anon_sym_macro] = ACTIONS(2619),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(2622),
    [anon_sym_let] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2637),
    [sym_break_statement] = ACTIONS(2640),
    [sym_continue_statement] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_const] = ACTIONS(2646),
    [anon_sym_global] = ACTIONS(2649),
    [anon_sym_local] = ACTIONS(2652),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(2658),
    [anon_sym_import] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_DOLLAR] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(2676),
    [anon_sym_true] = ACTIONS(2679),
    [anon_sym_false] = ACTIONS(2679),
    [aux_sym_integer_literal_token1] = ACTIONS(2682),
    [aux_sym_integer_literal_token2] = ACTIONS(2682),
    [aux_sym_integer_literal_token3] = ACTIONS(2682),
    [aux_sym_integer_literal_token4] = ACTIONS(2685),
    [aux_sym_float_literal_token1] = ACTIONS(2688),
    [aux_sym_float_literal_token3] = ACTIONS(2688),
    [aux_sym_float_literal_token4] = ACTIONS(2688),
    [sym_character_literal] = ACTIONS(2691),
    [sym__pair_operator] = ACTIONS(2694),
    [sym__arrow_operator] = ACTIONS(2694),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(2694),
    [sym__pipe_right_operator] = ACTIONS(2694),
    [sym__pipe_left_operator] = ACTIONS(2694),
    [sym__ellipsis_operator] = ACTIONS(2694),
    [sym__plus_operator] = ACTIONS(2694),
    [sym__times_operator] = ACTIONS(2694),
    [sym__rational_operator] = ACTIONS(2694),
    [sym__bitshift_operator] = ACTIONS(2694),
    [sym__power_operator] = ACTIONS(2694),
    [sym__tilde_operator] = ACTIONS(2697),
    [sym__type_order_operator] = ACTIONS(2697),
    [sym__unary_operator] = ACTIONS(2697),
    [sym__unary_plus_operator] = ACTIONS(2697),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2700),
    [sym__command_start] = ACTIONS(2703),
  },
  [212] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(12337),
    [sym__expression] = STATE(12013),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10804),
    [sym__array] = STATE(10804),
    [sym_comprehension_expression] = STATE(10804),
    [sym_matrix_expression] = STATE(10804),
    [sym_vector_expression] = STATE(10804),
    [sym_parenthesized_expression] = STATE(10804),
    [sym_tuple_expression] = STATE(10804),
    [sym_curly_expression] = STATE(10804),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10804),
    [sym_index_expression] = STATE(10804),
    [sym_parametrized_type_expression] = STATE(10804),
    [sym_call_expression] = STATE(10804),
    [sym_broadcast_call_expression] = STATE(10804),
    [sym__closed_macrocall_expression] = STATE(10804),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10804),
    [sym_quote_expression] = STATE(10804),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11877),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10804),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10804),
    [sym_string_literal] = STATE(10804),
    [sym_command_literal] = STATE(10804),
    [sym_prefixed_string_literal] = STATE(10804),
    [sym_prefixed_command_literal] = STATE(10804),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(2010),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_RBRACK] = ACTIONS(2010),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(2724),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2726),
    [sym__type_order_operator] = ACTIONS(2726),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [213] = {
    [sym__expression] = STATE(8375),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [ts_builtin_sym_end] = ACTIONS(2186),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(2728),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(2730),
    [sym__type_order_operator] = ACTIONS(2730),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [214] = {
    [sym_assignment] = STATE(244),
    [sym_open_tuple] = STATE(8813),
    [sym__expression] = STATE(8876),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [aux_sym_macro_argument_list_repeat1] = STATE(244),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(1181),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [215] = {
    [sym_assignment] = STATE(231),
    [sym_open_tuple] = STATE(9140),
    [sym__expression] = STATE(9134),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(231),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1365),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1365),
    [aux_sym_integer_literal_token2] = ACTIONS(1365),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1365),
    [aux_sym_float_literal_token3] = ACTIONS(1365),
    [aux_sym_float_literal_token4] = ACTIONS(1365),
    [sym_character_literal] = ACTIONS(1365),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(1365),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [216] = {
    [sym__expression] = STATE(8399),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(357),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(363),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_DOLLAR] = ACTIONS(369),
    [anon_sym_COLON_COLON] = ACTIONS(371),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(375),
    [aux_sym_integer_literal_token2] = ACTIONS(375),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(379),
    [aux_sym_float_literal_token3] = ACTIONS(379),
    [aux_sym_float_literal_token4] = ACTIONS(379),
    [sym_character_literal] = ACTIONS(2732),
    [sym__pair_operator] = ACTIONS(383),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(383),
    [sym__pipe_left_operator] = ACTIONS(383),
    [sym__ellipsis_operator] = ACTIONS(383),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(383),
    [sym__bitshift_operator] = ACTIONS(383),
    [sym__power_operator] = ACTIONS(383),
    [sym__tilde_operator] = ACTIONS(2734),
    [sym__type_order_operator] = ACTIONS(2734),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [217] = {
    [sym_assignment] = STATE(8398),
    [sym_open_tuple] = STATE(8793),
    [sym__expression] = STATE(8697),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(2008),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [218] = {
    [sym_assignment] = STATE(225),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(225),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(1365),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [219] = {
    [sym_assignment] = STATE(148),
    [sym_open_tuple] = STATE(8066),
    [sym__expression] = STATE(8062),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [aux_sym_macro_argument_list_repeat1] = STATE(148),
    [ts_builtin_sym_end] = ACTIONS(1365),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(801),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [220] = {
    [sym__expression] = STATE(13019),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(2736),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [221] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(13195),
    [sym__expression] = STATE(13009),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11207),
    [sym__array] = STATE(11207),
    [sym_comprehension_expression] = STATE(11207),
    [sym_matrix_expression] = STATE(11207),
    [sym_vector_expression] = STATE(11207),
    [sym_parenthesized_expression] = STATE(11207),
    [sym_tuple_expression] = STATE(11207),
    [sym_curly_expression] = STATE(11207),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11207),
    [sym_index_expression] = STATE(11207),
    [sym_parametrized_type_expression] = STATE(11207),
    [sym_call_expression] = STATE(11207),
    [sym_broadcast_call_expression] = STATE(11207),
    [sym__closed_macrocall_expression] = STATE(11207),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11207),
    [sym_quote_expression] = STATE(11207),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13172),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11207),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11207),
    [sym_string_literal] = STATE(11207),
    [sym_command_literal] = STATE(11207),
    [sym_prefixed_string_literal] = STATE(11207),
    [sym_prefixed_command_literal] = STATE(11207),
    [sym_operator] = STATE(10520),
    [ts_builtin_sym_end] = ACTIONS(2008),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2746),
    [anon_sym_COLON_COLON] = ACTIONS(2748),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(69),
    [aux_sym_integer_literal_token2] = ACTIONS(69),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(2750),
    [aux_sym_float_literal_token3] = ACTIONS(2750),
    [aux_sym_float_literal_token4] = ACTIONS(2750),
    [sym_character_literal] = ACTIONS(2752),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(83),
    [sym__type_order_operator] = ACTIONS(83),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [222] = {
    [sym_assignment] = STATE(223),
    [sym_open_tuple] = STATE(9108),
    [sym__expression] = STATE(8770),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [aux_sym_macro_argument_list_repeat1] = STATE(223),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [223] = {
    [sym_assignment] = STATE(223),
    [sym_open_tuple] = STATE(9108),
    [sym__expression] = STATE(8770),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [aux_sym_macro_argument_list_repeat1] = STATE(223),
    [sym__word_identifier] = ACTIONS(2416),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(2419),
    [anon_sym_begin] = ACTIONS(2422),
    [anon_sym_module] = ACTIONS(2425),
    [anon_sym_baremodule] = ACTIONS(2425),
    [anon_sym_abstract] = ACTIONS(2428),
    [anon_sym_primitive] = ACTIONS(2431),
    [anon_sym_mutable] = ACTIONS(2434),
    [anon_sym_struct] = ACTIONS(2437),
    [anon_sym_function] = ACTIONS(2440),
    [anon_sym_macro] = ACTIONS(2443),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(2446),
    [anon_sym_let] = ACTIONS(2449),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2455),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2461),
    [sym_break_statement] = ACTIONS(2464),
    [sym_continue_statement] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_global] = ACTIONS(2760),
    [anon_sym_local] = ACTIONS(2763),
    [anon_sym_LPAREN] = ACTIONS(2479),
    [anon_sym_RPAREN] = ACTIONS(1410),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(2482),
    [anon_sym_import] = ACTIONS(2485),
    [anon_sym_using] = ACTIONS(2485),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_DOLLAR] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_true] = ACTIONS(2503),
    [anon_sym_false] = ACTIONS(2503),
    [aux_sym_integer_literal_token1] = ACTIONS(2506),
    [aux_sym_integer_literal_token2] = ACTIONS(2506),
    [aux_sym_integer_literal_token3] = ACTIONS(2506),
    [aux_sym_integer_literal_token4] = ACTIONS(2509),
    [aux_sym_float_literal_token1] = ACTIONS(2512),
    [aux_sym_float_literal_token3] = ACTIONS(2512),
    [aux_sym_float_literal_token4] = ACTIONS(2512),
    [sym_character_literal] = ACTIONS(2766),
    [sym__pair_operator] = ACTIONS(2518),
    [sym__arrow_operator] = ACTIONS(2518),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(2518),
    [sym__pipe_right_operator] = ACTIONS(2518),
    [sym__pipe_left_operator] = ACTIONS(2518),
    [sym__ellipsis_operator] = ACTIONS(2518),
    [sym__plus_operator] = ACTIONS(2518),
    [sym__times_operator] = ACTIONS(2518),
    [sym__rational_operator] = ACTIONS(2518),
    [sym__bitshift_operator] = ACTIONS(2518),
    [sym__power_operator] = ACTIONS(2518),
    [sym__tilde_operator] = ACTIONS(2521),
    [sym__type_order_operator] = ACTIONS(2521),
    [sym__unary_operator] = ACTIONS(2521),
    [sym__unary_plus_operator] = ACTIONS(2521),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2524),
    [sym__command_start] = ACTIONS(2527),
  },
  [224] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(13004),
    [sym__expression] = STATE(13006),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11092),
    [sym__array] = STATE(11092),
    [sym_comprehension_expression] = STATE(11092),
    [sym_matrix_expression] = STATE(11092),
    [sym_vector_expression] = STATE(11092),
    [sym_parenthesized_expression] = STATE(11092),
    [sym_tuple_expression] = STATE(11092),
    [sym_curly_expression] = STATE(11092),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11092),
    [sym_index_expression] = STATE(11092),
    [sym_parametrized_type_expression] = STATE(11092),
    [sym_call_expression] = STATE(11092),
    [sym_broadcast_call_expression] = STATE(11092),
    [sym__closed_macrocall_expression] = STATE(11092),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11092),
    [sym_quote_expression] = STATE(11092),
    [sym_binary_expression] = STATE(12998),
    [sym_unary_expression] = STATE(12998),
    [sym_range_expression] = STATE(12998),
    [sym_splat_expression] = STATE(12998),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12780),
    [sym_unary_typed_expression] = STATE(12998),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12998),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11092),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11092),
    [sym_string_literal] = STATE(11092),
    [sym_command_literal] = STATE(11092),
    [sym_prefixed_string_literal] = STATE(11092),
    [sym_prefixed_command_literal] = STATE(11092),
    [sym_operator] = STATE(12747),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(2010),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(2777),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [225] = {
    [sym_assignment] = STATE(225),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(225),
    [sym__word_identifier] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(2203),
    [anon_sym_begin] = ACTIONS(2206),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_baremodule] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_primitive] = ACTIONS(2215),
    [anon_sym_mutable] = ACTIONS(2218),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2224),
    [anon_sym_macro] = ACTIONS(2227),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2233),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2239),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2245),
    [sym_break_statement] = ACTIONS(2248),
    [sym_continue_statement] = ACTIONS(2248),
    [anon_sym_return] = ACTIONS(2779),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_global] = ACTIONS(2785),
    [anon_sym_local] = ACTIONS(2788),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_RPAREN] = ACTIONS(1484),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2269),
    [anon_sym_using] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2275),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(2278),
    [anon_sym_COLON_COLON] = ACTIONS(2281),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(2284),
    [anon_sym_true] = ACTIONS(2287),
    [anon_sym_false] = ACTIONS(2287),
    [aux_sym_integer_literal_token1] = ACTIONS(2290),
    [aux_sym_integer_literal_token2] = ACTIONS(2290),
    [aux_sym_integer_literal_token3] = ACTIONS(2293),
    [aux_sym_integer_literal_token4] = ACTIONS(2296),
    [aux_sym_float_literal_token1] = ACTIONS(2299),
    [aux_sym_float_literal_token3] = ACTIONS(2299),
    [aux_sym_float_literal_token4] = ACTIONS(2299),
    [sym_character_literal] = ACTIONS(2791),
    [sym__pair_operator] = ACTIONS(2305),
    [sym__arrow_operator] = ACTIONS(2308),
    [sym__lazy_or_operator] = ACTIONS(1484),
    [sym__lazy_and_operator] = ACTIONS(1484),
    [sym__comparison_operator] = ACTIONS(2308),
    [sym__pipe_right_operator] = ACTIONS(2305),
    [sym__pipe_left_operator] = ACTIONS(2305),
    [sym__ellipsis_operator] = ACTIONS(2308),
    [sym__plus_operator] = ACTIONS(2308),
    [sym__times_operator] = ACTIONS(2308),
    [sym__rational_operator] = ACTIONS(2305),
    [sym__bitshift_operator] = ACTIONS(2305),
    [sym__power_operator] = ACTIONS(2305),
    [sym__tilde_operator] = ACTIONS(2311),
    [sym__type_order_operator] = ACTIONS(2311),
    [sym__unary_operator] = ACTIONS(2314),
    [sym__unary_plus_operator] = ACTIONS(2314),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2317),
    [sym__command_start] = ACTIONS(2320),
  },
  [226] = {
    [sym_assignment] = STATE(231),
    [sym_open_tuple] = STATE(9140),
    [sym__expression] = STATE(9134),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(231),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [227] = {
    [sym__expression] = STATE(12915),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_DOLLAR] = ACTIONS(147),
    [anon_sym_COLON_COLON] = ACTIONS(149),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(157),
    [aux_sym_integer_literal_token2] = ACTIONS(157),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(161),
    [aux_sym_float_literal_token3] = ACTIONS(161),
    [aux_sym_float_literal_token4] = ACTIONS(161),
    [sym_character_literal] = ACTIONS(2794),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2796),
    [sym__type_order_operator] = ACTIONS(2796),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [228] = {
    [sym__expression] = STATE(13026),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2349),
    [anon_sym_COLON_COLON] = ACTIONS(2351),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2353),
    [aux_sym_integer_literal_token2] = ACTIONS(2353),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(2357),
    [aux_sym_float_literal_token3] = ACTIONS(2357),
    [aux_sym_float_literal_token4] = ACTIONS(2357),
    [sym_character_literal] = ACTIONS(2798),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2361),
    [sym__type_order_operator] = ACTIONS(2361),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [229] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(13151),
    [sym__expression] = STATE(12909),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10948),
    [sym__array] = STATE(10948),
    [sym_comprehension_expression] = STATE(10948),
    [sym_matrix_expression] = STATE(10948),
    [sym_vector_expression] = STATE(10948),
    [sym_parenthesized_expression] = STATE(10948),
    [sym_tuple_expression] = STATE(10948),
    [sym_curly_expression] = STATE(10948),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10948),
    [sym_index_expression] = STATE(10948),
    [sym_parametrized_type_expression] = STATE(10948),
    [sym_call_expression] = STATE(10948),
    [sym_broadcast_call_expression] = STATE(10948),
    [sym__closed_macrocall_expression] = STATE(10948),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(10948),
    [sym_quote_expression] = STATE(10948),
    [sym_binary_expression] = STATE(12981),
    [sym_unary_expression] = STATE(12981),
    [sym_range_expression] = STATE(12981),
    [sym_splat_expression] = STATE(12981),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12321),
    [sym_unary_typed_expression] = STATE(12981),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12981),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(10948),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10948),
    [sym_string_literal] = STATE(10948),
    [sym_command_literal] = STATE(10948),
    [sym_prefixed_string_literal] = STATE(10948),
    [sym_prefixed_command_literal] = STATE(10948),
    [sym_operator] = STATE(12319),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2349),
    [anon_sym_COLON_COLON] = ACTIONS(2351),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2353),
    [aux_sym_integer_literal_token2] = ACTIONS(2353),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(2357),
    [aux_sym_float_literal_token3] = ACTIONS(2357),
    [aux_sym_float_literal_token4] = ACTIONS(2357),
    [sym_character_literal] = ACTIONS(2808),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2361),
    [sym__type_order_operator] = ACTIONS(2361),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [230] = {
    [sym__expression] = STATE(13084),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(2066),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(1221),
    [aux_sym_integer_literal_token2] = ACTIONS(1221),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(1225),
    [aux_sym_float_literal_token3] = ACTIONS(1225),
    [aux_sym_float_literal_token4] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(2810),
    [sym__pair_operator] = ACTIONS(2070),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(2070),
    [sym__pipe_left_operator] = ACTIONS(2070),
    [sym__ellipsis_operator] = ACTIONS(2070),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(2070),
    [sym__bitshift_operator] = ACTIONS(2070),
    [sym__power_operator] = ACTIONS(2070),
    [sym__tilde_operator] = ACTIONS(2812),
    [sym__type_order_operator] = ACTIONS(2812),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [231] = {
    [sym_assignment] = STATE(231),
    [sym_open_tuple] = STATE(9140),
    [sym__expression] = STATE(9134),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(231),
    [sym__word_identifier] = ACTIONS(2200),
    [anon_sym_EQ] = ACTIONS(1410),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(2203),
    [anon_sym_begin] = ACTIONS(2814),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_baremodule] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_primitive] = ACTIONS(2215),
    [anon_sym_mutable] = ACTIONS(2218),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2224),
    [anon_sym_macro] = ACTIONS(2227),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2233),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2239),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2245),
    [sym_break_statement] = ACTIONS(2248),
    [sym_continue_statement] = ACTIONS(2248),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_global] = ACTIONS(2823),
    [anon_sym_local] = ACTIONS(2826),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_RPAREN] = ACTIONS(1484),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2269),
    [anon_sym_using] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2275),
    [anon_sym_DOLLAR] = ACTIONS(2278),
    [anon_sym_COLON_COLON] = ACTIONS(2281),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(2284),
    [anon_sym_true] = ACTIONS(2287),
    [anon_sym_false] = ACTIONS(2287),
    [aux_sym_integer_literal_token1] = ACTIONS(2290),
    [aux_sym_integer_literal_token2] = ACTIONS(2290),
    [aux_sym_integer_literal_token3] = ACTIONS(2293),
    [aux_sym_integer_literal_token4] = ACTIONS(2296),
    [aux_sym_float_literal_token1] = ACTIONS(2299),
    [aux_sym_float_literal_token3] = ACTIONS(2299),
    [aux_sym_float_literal_token4] = ACTIONS(2299),
    [sym_character_literal] = ACTIONS(2829),
    [sym__pair_operator] = ACTIONS(2305),
    [sym__arrow_operator] = ACTIONS(2308),
    [sym__lazy_or_operator] = ACTIONS(1484),
    [sym__lazy_and_operator] = ACTIONS(1484),
    [sym__comparison_operator] = ACTIONS(2308),
    [sym__pipe_right_operator] = ACTIONS(2305),
    [sym__pipe_left_operator] = ACTIONS(2305),
    [sym__ellipsis_operator] = ACTIONS(2308),
    [sym__plus_operator] = ACTIONS(2308),
    [sym__times_operator] = ACTIONS(2308),
    [sym__rational_operator] = ACTIONS(2305),
    [sym__bitshift_operator] = ACTIONS(2305),
    [sym__power_operator] = ACTIONS(2305),
    [sym__tilde_operator] = ACTIONS(2832),
    [sym__type_order_operator] = ACTIONS(2832),
    [sym__unary_operator] = ACTIONS(2835),
    [sym__unary_plus_operator] = ACTIONS(2835),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2317),
    [sym__command_start] = ACTIONS(2320),
  },
  [232] = {
    [sym_assignment] = STATE(148),
    [sym_open_tuple] = STATE(8066),
    [sym__expression] = STATE(8062),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [aux_sym_macro_argument_list_repeat1] = STATE(148),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(801),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(479),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [233] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(13218),
    [sym__expression] = STATE(13147),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11198),
    [sym__array] = STATE(11198),
    [sym_comprehension_expression] = STATE(11198),
    [sym_matrix_expression] = STATE(11198),
    [sym_vector_expression] = STATE(11198),
    [sym_parenthesized_expression] = STATE(11198),
    [sym_tuple_expression] = STATE(11198),
    [sym_curly_expression] = STATE(11198),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11198),
    [sym_index_expression] = STATE(11198),
    [sym_parametrized_type_expression] = STATE(11198),
    [sym_call_expression] = STATE(11198),
    [sym_broadcast_call_expression] = STATE(11198),
    [sym__closed_macrocall_expression] = STATE(11198),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11198),
    [sym_quote_expression] = STATE(11198),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13153),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11198),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11198),
    [sym_string_literal] = STATE(11198),
    [sym_command_literal] = STATE(11198),
    [sym_prefixed_string_literal] = STATE(11198),
    [sym_prefixed_command_literal] = STATE(11198),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(2846),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [234] = {
    [sym_assignment] = STATE(9069),
    [sym_open_tuple] = STATE(9102),
    [sym__expression] = STATE(8517),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(879),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [235] = {
    [sym__expression] = STATE(8598),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(2848),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [236] = {
    [sym_assignment] = STATE(223),
    [sym_open_tuple] = STATE(9108),
    [sym__expression] = STATE(8770),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [aux_sym_macro_argument_list_repeat1] = STATE(223),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1161),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [237] = {
    [sym_assignment] = STATE(8559),
    [sym_open_tuple] = STATE(8563),
    [sym__expression] = STATE(8566),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(2010),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(903),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [238] = {
    [sym_assignment] = STATE(244),
    [sym_open_tuple] = STATE(8813),
    [sym__expression] = STATE(8876),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [aux_sym_macro_argument_list_repeat1] = STATE(244),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1363),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_end] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_LF] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_DOLLAR] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1363),
    [aux_sym_integer_literal_token2] = ACTIONS(1363),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1363),
    [aux_sym_float_literal_token3] = ACTIONS(1363),
    [aux_sym_float_literal_token4] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [sym__pair_operator] = ACTIONS(1363),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1363),
    [sym__lazy_and_operator] = ACTIONS(1363),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1363),
    [sym__pipe_left_operator] = ACTIONS(1363),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1363),
    [sym__bitshift_operator] = ACTIONS(1363),
    [sym__power_operator] = ACTIONS(1363),
    [sym__tilde_operator] = ACTIONS(1363),
    [sym__type_order_operator] = ACTIONS(1363),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [aux_sym__terminator_token1] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [239] = {
    [sym_assignment] = STATE(231),
    [sym_open_tuple] = STATE(9140),
    [sym__expression] = STATE(9134),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(231),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [240] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(13077),
    [sym__expression] = STATE(13076),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11065),
    [sym__array] = STATE(11065),
    [sym_comprehension_expression] = STATE(11065),
    [sym_matrix_expression] = STATE(11065),
    [sym_vector_expression] = STATE(11065),
    [sym_parenthesized_expression] = STATE(11065),
    [sym_tuple_expression] = STATE(11065),
    [sym_curly_expression] = STATE(11065),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11065),
    [sym_index_expression] = STATE(11065),
    [sym_parametrized_type_expression] = STATE(11065),
    [sym_call_expression] = STATE(11065),
    [sym_broadcast_call_expression] = STATE(11065),
    [sym__closed_macrocall_expression] = STATE(11065),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11065),
    [sym_quote_expression] = STATE(11065),
    [sym_binary_expression] = STATE(13159),
    [sym_unary_expression] = STATE(13159),
    [sym_range_expression] = STATE(13159),
    [sym_splat_expression] = STATE(13159),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12546),
    [sym_unary_typed_expression] = STATE(13159),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13159),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11065),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11065),
    [sym_string_literal] = STATE(11065),
    [sym_command_literal] = STATE(11065),
    [sym_prefixed_string_literal] = STATE(11065),
    [sym_prefixed_command_literal] = STATE(11065),
    [sym_operator] = STATE(12545),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2381),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2385),
    [aux_sym_integer_literal_token2] = ACTIONS(2385),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(2389),
    [aux_sym_float_literal_token3] = ACTIONS(2389),
    [aux_sym_float_literal_token4] = ACTIONS(2389),
    [sym_character_literal] = ACTIONS(2858),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2393),
    [sym__type_order_operator] = ACTIONS(2393),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [241] = {
    [sym_assignment] = STATE(12614),
    [sym_open_tuple] = STATE(12363),
    [sym__expression] = STATE(12228),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10879),
    [sym__array] = STATE(10879),
    [sym_comprehension_expression] = STATE(10879),
    [sym_matrix_expression] = STATE(10879),
    [sym_vector_expression] = STATE(10879),
    [sym_parenthesized_expression] = STATE(10879),
    [sym_tuple_expression] = STATE(10879),
    [sym_curly_expression] = STATE(10879),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10879),
    [sym_index_expression] = STATE(10879),
    [sym_parametrized_type_expression] = STATE(10879),
    [sym_call_expression] = STATE(10879),
    [sym_broadcast_call_expression] = STATE(10879),
    [sym__closed_macrocall_expression] = STATE(10879),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10879),
    [sym_quote_expression] = STATE(10879),
    [sym_binary_expression] = STATE(12818),
    [sym_unary_expression] = STATE(12818),
    [sym_range_expression] = STATE(12818),
    [sym_splat_expression] = STATE(12818),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12116),
    [sym_unary_typed_expression] = STATE(12818),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12818),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10879),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10879),
    [sym_string_literal] = STATE(10879),
    [sym_command_literal] = STATE(10879),
    [sym_prefixed_string_literal] = STATE(10879),
    [sym_prefixed_command_literal] = STATE(10879),
    [sym_operator] = STATE(12011),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2902),
    [anon_sym_RPAREN] = ACTIONS(2010),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(2918),
    [sym__pair_operator] = ACTIONS(2920),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(2920),
    [sym__pipe_left_operator] = ACTIONS(2920),
    [sym__ellipsis_operator] = ACTIONS(2920),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(2920),
    [sym__bitshift_operator] = ACTIONS(2920),
    [sym__power_operator] = ACTIONS(2920),
    [sym__tilde_operator] = ACTIONS(2922),
    [sym__type_order_operator] = ACTIONS(2922),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [242] = {
    [sym__expression] = STATE(13063),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2381),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2385),
    [aux_sym_integer_literal_token2] = ACTIONS(2385),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(2389),
    [aux_sym_float_literal_token3] = ACTIONS(2389),
    [aux_sym_float_literal_token4] = ACTIONS(2389),
    [sym_character_literal] = ACTIONS(2928),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2393),
    [sym__type_order_operator] = ACTIONS(2393),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [243] = {
    [sym_assignment] = STATE(225),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(225),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_RBRACK] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1365),
    [anon_sym_RBRACE] = ACTIONS(1365),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1365),
    [aux_sym_integer_literal_token2] = ACTIONS(1365),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1365),
    [aux_sym_float_literal_token3] = ACTIONS(1365),
    [aux_sym_float_literal_token4] = ACTIONS(1365),
    [sym_character_literal] = ACTIONS(1365),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(1365),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [244] = {
    [sym_assignment] = STATE(244),
    [sym_open_tuple] = STATE(8813),
    [sym__expression] = STATE(8876),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [aux_sym_macro_argument_list_repeat1] = STATE(244),
    [sym__word_identifier] = ACTIONS(2592),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON] = ACTIONS(2595),
    [anon_sym_begin] = ACTIONS(2598),
    [anon_sym_module] = ACTIONS(2601),
    [anon_sym_baremodule] = ACTIONS(2601),
    [anon_sym_end] = ACTIONS(1410),
    [anon_sym_abstract] = ACTIONS(2604),
    [anon_sym_primitive] = ACTIONS(2607),
    [anon_sym_mutable] = ACTIONS(2610),
    [anon_sym_struct] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2616),
    [anon_sym_macro] = ACTIONS(2619),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(2622),
    [anon_sym_let] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2628),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2637),
    [sym_break_statement] = ACTIONS(2640),
    [sym_continue_statement] = ACTIONS(2640),
    [anon_sym_return] = ACTIONS(2930),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_global] = ACTIONS(2936),
    [anon_sym_local] = ACTIONS(2939),
    [anon_sym_LPAREN] = ACTIONS(2655),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(2658),
    [anon_sym_import] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym_LF] = ACTIONS(1484),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_DOLLAR] = ACTIONS(2670),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_QMARK] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(2676),
    [anon_sym_true] = ACTIONS(2679),
    [anon_sym_false] = ACTIONS(2679),
    [aux_sym_integer_literal_token1] = ACTIONS(2682),
    [aux_sym_integer_literal_token2] = ACTIONS(2682),
    [aux_sym_integer_literal_token3] = ACTIONS(2682),
    [aux_sym_integer_literal_token4] = ACTIONS(2685),
    [aux_sym_float_literal_token1] = ACTIONS(2688),
    [aux_sym_float_literal_token3] = ACTIONS(2688),
    [aux_sym_float_literal_token4] = ACTIONS(2688),
    [sym_character_literal] = ACTIONS(2942),
    [sym__pair_operator] = ACTIONS(2694),
    [sym__arrow_operator] = ACTIONS(2694),
    [sym__lazy_or_operator] = ACTIONS(1410),
    [sym__lazy_and_operator] = ACTIONS(1410),
    [sym__comparison_operator] = ACTIONS(2694),
    [sym__pipe_right_operator] = ACTIONS(2694),
    [sym__pipe_left_operator] = ACTIONS(2694),
    [sym__ellipsis_operator] = ACTIONS(2694),
    [sym__plus_operator] = ACTIONS(2694),
    [sym__times_operator] = ACTIONS(2694),
    [sym__rational_operator] = ACTIONS(2694),
    [sym__bitshift_operator] = ACTIONS(2694),
    [sym__power_operator] = ACTIONS(2694),
    [sym__tilde_operator] = ACTIONS(2697),
    [sym__type_order_operator] = ACTIONS(2697),
    [sym__unary_operator] = ACTIONS(2697),
    [sym__unary_plus_operator] = ACTIONS(2697),
    [aux_sym__terminator_token1] = ACTIONS(1410),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2700),
    [sym__command_start] = ACTIONS(2703),
  },
  [245] = {
    [sym__expression] = STATE(8483),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2945),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2947),
    [sym__type_order_operator] = ACTIONS(2947),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [246] = {
    [sym_assignment] = STATE(8479),
    [sym_open_tuple] = STATE(8271),
    [sym__expression] = STATE(8465),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(1001),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(693),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [247] = {
    [sym__expression] = STATE(8292),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(2949),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(693),
    [sym__type_order_operator] = ACTIONS(693),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [248] = {
    [sym_assignment] = STATE(8993),
    [sym_open_tuple] = STATE(8775),
    [sym__expression] = STATE(8749),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(2010),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1069),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1073),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [249] = {
    [sym__expression] = STATE(8295),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(2951),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(601),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [250] = {
    [sym_assignment] = STATE(8270),
    [sym_open_tuple] = STATE(8472),
    [sym__expression] = STATE(8272),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(2010),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(1105),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(601),
    [sym__type_order_operator] = ACTIONS(601),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [251] = {
    [sym_assignment] = STATE(12045),
    [sym_open_tuple] = STATE(13211),
    [sym__expression] = STATE(13034),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(11201),
    [sym_comprehension_expression] = STATE(11201),
    [sym_matrix_expression] = STATE(11201),
    [sym_vector_expression] = STATE(11201),
    [sym_parenthesized_expression] = STATE(11201),
    [sym_tuple_expression] = STATE(11201),
    [sym_curly_expression] = STATE(11201),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11201),
    [sym_index_expression] = STATE(11201),
    [sym_parametrized_type_expression] = STATE(11201),
    [sym_call_expression] = STATE(11201),
    [sym_broadcast_call_expression] = STATE(11201),
    [sym__closed_macrocall_expression] = STATE(11201),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11201),
    [sym_quote_expression] = STATE(11201),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13001),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11201),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11201),
    [sym_string_literal] = STATE(11201),
    [sym_command_literal] = STATE(11201),
    [sym_prefixed_string_literal] = STATE(11201),
    [sym_prefixed_command_literal] = STATE(11201),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(2008),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3019),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [252] = {
    [sym__block] = STATE(18791),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3033),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3039),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3079),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [253] = {
    [sym__expression] = STATE(8784),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(579),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(581),
    [anon_sym_DOLLAR] = ACTIONS(583),
    [anon_sym_COLON_COLON] = ACTIONS(585),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(591),
    [aux_sym_integer_literal_token2] = ACTIONS(591),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(595),
    [aux_sym_float_literal_token3] = ACTIONS(595),
    [aux_sym_float_literal_token4] = ACTIONS(595),
    [sym_character_literal] = ACTIONS(3081),
    [sym__pair_operator] = ACTIONS(599),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(599),
    [sym__pipe_left_operator] = ACTIONS(599),
    [sym__ellipsis_operator] = ACTIONS(599),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(599),
    [sym__bitshift_operator] = ACTIONS(599),
    [sym__power_operator] = ACTIONS(599),
    [sym__tilde_operator] = ACTIONS(3083),
    [sym__type_order_operator] = ACTIONS(3083),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [254] = {
    [sym_assignment] = STATE(268),
    [sym_open_tuple] = STATE(9237),
    [sym__expression] = STATE(9236),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [aux_sym_macro_argument_list_repeat1] = STATE(268),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [255] = {
    [sym__expression] = STATE(9041),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(271),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(277),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_DOLLAR] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(285),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(291),
    [aux_sym_integer_literal_token2] = ACTIONS(291),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(295),
    [aux_sym_float_literal_token3] = ACTIONS(295),
    [aux_sym_float_literal_token4] = ACTIONS(295),
    [sym_character_literal] = ACTIONS(2192),
    [sym__pair_operator] = ACTIONS(299),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(299),
    [sym__pipe_left_operator] = ACTIONS(299),
    [sym__ellipsis_operator] = ACTIONS(299),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(299),
    [sym__bitshift_operator] = ACTIONS(299),
    [sym__power_operator] = ACTIONS(299),
    [sym__tilde_operator] = ACTIONS(2194),
    [sym__type_order_operator] = ACTIONS(2194),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [256] = {
    [sym__block] = STATE(18959),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3085),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3087),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3089),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [257] = {
    [sym__expression] = STATE(13189),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(3091),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [258] = {
    [sym__block] = STATE(19420),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3093),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3095),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3097),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [259] = {
    [sym_assignment] = STATE(268),
    [sym_open_tuple] = STATE(9237),
    [sym__expression] = STATE(9236),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [aux_sym_macro_argument_list_repeat1] = STATE(268),
    [sym__word_identifier] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_baremodule] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_primitive] = ACTIONS(1363),
    [anon_sym_mutable] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_macro] = ACTIONS(1363),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(1363),
    [anon_sym_let] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [sym_break_statement] = ACTIONS(1363),
    [sym_continue_statement] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_const] = ACTIONS(1363),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_using] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1365),
    [anon_sym_DOLLAR] = ACTIONS(1365),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_true] = ACTIONS(1363),
    [anon_sym_false] = ACTIONS(1363),
    [aux_sym_integer_literal_token1] = ACTIONS(1365),
    [aux_sym_integer_literal_token2] = ACTIONS(1365),
    [aux_sym_integer_literal_token3] = ACTIONS(1363),
    [aux_sym_integer_literal_token4] = ACTIONS(1363),
    [aux_sym_float_literal_token1] = ACTIONS(1365),
    [aux_sym_float_literal_token3] = ACTIONS(1365),
    [aux_sym_float_literal_token4] = ACTIONS(1365),
    [sym_character_literal] = ACTIONS(1365),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(1365),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(1363),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1365),
    [sym__command_start] = ACTIONS(1365),
  },
  [260] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(13413),
    [sym__expression] = STATE(13415),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11368),
    [sym__array] = STATE(11368),
    [sym_comprehension_expression] = STATE(11368),
    [sym_matrix_expression] = STATE(11368),
    [sym_vector_expression] = STATE(11368),
    [sym_parenthesized_expression] = STATE(11368),
    [sym_tuple_expression] = STATE(11368),
    [sym_curly_expression] = STATE(11368),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11368),
    [sym_index_expression] = STATE(11368),
    [sym_parametrized_type_expression] = STATE(11368),
    [sym_call_expression] = STATE(11368),
    [sym_broadcast_call_expression] = STATE(11368),
    [sym__closed_macrocall_expression] = STATE(11368),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11368),
    [sym_quote_expression] = STATE(11368),
    [sym_binary_expression] = STATE(13272),
    [sym_unary_expression] = STATE(13272),
    [sym_range_expression] = STATE(13272),
    [sym_splat_expression] = STATE(13272),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13111),
    [sym_unary_typed_expression] = STATE(13272),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13272),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11368),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11368),
    [sym_string_literal] = STATE(11368),
    [sym_command_literal] = STATE(11368),
    [sym_prefixed_string_literal] = STATE(11368),
    [sym_prefixed_command_literal] = STATE(11368),
    [sym_operator] = STATE(13113),
    [ts_builtin_sym_end] = ACTIONS(2008),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2746),
    [anon_sym_COLON_COLON] = ACTIONS(2748),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(69),
    [aux_sym_integer_literal_token2] = ACTIONS(69),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(2750),
    [aux_sym_float_literal_token3] = ACTIONS(2750),
    [aux_sym_float_literal_token4] = ACTIONS(2750),
    [sym_character_literal] = ACTIONS(3099),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(83),
    [sym__type_order_operator] = ACTIONS(83),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [261] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(13185),
    [sym__expression] = STATE(13395),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(11260),
    [sym_comprehension_expression] = STATE(11260),
    [sym_matrix_expression] = STATE(11260),
    [sym_vector_expression] = STATE(11260),
    [sym_parenthesized_expression] = STATE(11260),
    [sym_tuple_expression] = STATE(11260),
    [sym_curly_expression] = STATE(11260),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11260),
    [sym_index_expression] = STATE(11260),
    [sym_parametrized_type_expression] = STATE(11260),
    [sym_call_expression] = STATE(11260),
    [sym_broadcast_call_expression] = STATE(11260),
    [sym__closed_macrocall_expression] = STATE(11260),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11260),
    [sym_quote_expression] = STATE(11260),
    [sym_binary_expression] = STATE(13267),
    [sym_unary_expression] = STATE(13267),
    [sym_range_expression] = STATE(13267),
    [sym_splat_expression] = STATE(13267),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13115),
    [sym_unary_typed_expression] = STATE(13267),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13267),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11260),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11260),
    [sym_string_literal] = STATE(11260),
    [sym_command_literal] = STATE(11260),
    [sym_prefixed_string_literal] = STATE(11260),
    [sym_prefixed_command_literal] = STATE(11260),
    [sym_operator] = STATE(13116),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(3101),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [262] = {
    [sym__expression] = STATE(9279),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [263] = {
    [sym__expression] = STATE(8839),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3107),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [264] = {
    [sym__expression] = STATE(9290),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [265] = {
    [sym__expression] = STATE(8858),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3107),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [266] = {
    [sym_assignment] = STATE(10701),
    [sym_open_tuple] = STATE(12311),
    [sym__expression] = STATE(12757),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10630),
    [sym__array] = STATE(10630),
    [sym_comprehension_expression] = STATE(10630),
    [sym_matrix_expression] = STATE(10630),
    [sym_vector_expression] = STATE(10630),
    [sym_parenthesized_expression] = STATE(10630),
    [sym_tuple_expression] = STATE(10630),
    [sym_curly_expression] = STATE(10630),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10630),
    [sym_index_expression] = STATE(10630),
    [sym_parametrized_type_expression] = STATE(10630),
    [sym_call_expression] = STATE(10630),
    [sym_broadcast_call_expression] = STATE(10630),
    [sym__closed_macrocall_expression] = STATE(10630),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(10630),
    [sym_quote_expression] = STATE(10630),
    [sym_binary_expression] = STATE(12313),
    [sym_unary_expression] = STATE(12313),
    [sym_range_expression] = STATE(12313),
    [sym_splat_expression] = STATE(12313),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12077),
    [sym_unary_typed_expression] = STATE(12313),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12313),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(10630),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10630),
    [sym_string_literal] = STATE(10630),
    [sym_command_literal] = STATE(10630),
    [sym_prefixed_string_literal] = STATE(10630),
    [sym_prefixed_command_literal] = STATE(10630),
    [sym_operator] = STATE(12075),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(2010),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_RBRACK] = ACTIONS(2010),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(3117),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2726),
    [sym__type_order_operator] = ACTIONS(2726),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [267] = {
    [sym__expression] = STATE(9260),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [268] = {
    [sym_assignment] = STATE(268),
    [sym_open_tuple] = STATE(9237),
    [sym__expression] = STATE(9236),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [aux_sym_macro_argument_list_repeat1] = STATE(268),
    [sym__word_identifier] = ACTIONS(2200),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(2203),
    [anon_sym_begin] = ACTIONS(2814),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_baremodule] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2212),
    [anon_sym_primitive] = ACTIONS(2215),
    [anon_sym_mutable] = ACTIONS(2218),
    [anon_sym_struct] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2224),
    [anon_sym_macro] = ACTIONS(2227),
    [anon_sym_where] = ACTIONS(1410),
    [anon_sym_quote] = ACTIONS(2230),
    [anon_sym_let] = ACTIONS(2233),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2239),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2245),
    [sym_break_statement] = ACTIONS(2248),
    [sym_continue_statement] = ACTIONS(2248),
    [anon_sym_return] = ACTIONS(3119),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_global] = ACTIONS(3125),
    [anon_sym_local] = ACTIONS(3128),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_RPAREN] = ACTIONS(1484),
    [anon_sym_COLON2] = ACTIONS(1410),
    [anon_sym_export] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2269),
    [anon_sym_using] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_in] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(2275),
    [anon_sym_DOLLAR] = ACTIONS(2278),
    [anon_sym_COLON_COLON] = ACTIONS(2281),
    [anon_sym_isa] = ACTIONS(1410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(2284),
    [anon_sym_true] = ACTIONS(2287),
    [anon_sym_false] = ACTIONS(2287),
    [aux_sym_integer_literal_token1] = ACTIONS(2290),
    [aux_sym_integer_literal_token2] = ACTIONS(2290),
    [aux_sym_integer_literal_token3] = ACTIONS(2293),
    [aux_sym_integer_literal_token4] = ACTIONS(2296),
    [aux_sym_float_literal_token1] = ACTIONS(2299),
    [aux_sym_float_literal_token3] = ACTIONS(2299),
    [aux_sym_float_literal_token4] = ACTIONS(2299),
    [sym_character_literal] = ACTIONS(3131),
    [sym__pair_operator] = ACTIONS(2305),
    [sym__arrow_operator] = ACTIONS(2308),
    [sym__lazy_or_operator] = ACTIONS(1484),
    [sym__lazy_and_operator] = ACTIONS(1484),
    [sym__comparison_operator] = ACTIONS(2308),
    [sym__pipe_right_operator] = ACTIONS(2305),
    [sym__pipe_left_operator] = ACTIONS(2305),
    [sym__ellipsis_operator] = ACTIONS(2308),
    [sym__plus_operator] = ACTIONS(2308),
    [sym__times_operator] = ACTIONS(2308),
    [sym__rational_operator] = ACTIONS(2305),
    [sym__bitshift_operator] = ACTIONS(2305),
    [sym__power_operator] = ACTIONS(2305),
    [sym__tilde_operator] = ACTIONS(2832),
    [sym__type_order_operator] = ACTIONS(2832),
    [sym__unary_operator] = ACTIONS(2835),
    [sym__unary_plus_operator] = ACTIONS(2835),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2317),
    [sym__command_start] = ACTIONS(2320),
  },
  [269] = {
    [sym__block] = STATE(18198),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3134),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3136),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3138),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [270] = {
    [sym_assignment] = STATE(8398),
    [sym_open_tuple] = STATE(8932),
    [sym__expression] = STATE(8939),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(2008),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [271] = {
    [sym__expression] = STATE(8815),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3107),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [272] = {
    [sym__block] = STATE(18429),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3140),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3142),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3144),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [273] = {
    [sym__expression] = STATE(9020),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [274] = {
    [sym__expression] = STATE(13393),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [ts_builtin_sym_end] = ACTIONS(2186),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2746),
    [anon_sym_COLON_COLON] = ACTIONS(2748),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(69),
    [aux_sym_integer_literal_token2] = ACTIONS(69),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(2750),
    [aux_sym_float_literal_token3] = ACTIONS(2750),
    [aux_sym_float_literal_token4] = ACTIONS(2750),
    [sym_character_literal] = ACTIONS(3146),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(83),
    [sym__type_order_operator] = ACTIONS(83),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [275] = {
    [sym__block] = STATE(18306),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3148),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3150),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [276] = {
    [sym__block] = STATE(18540),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3154),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3156),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3158),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [277] = {
    [sym__expression] = STATE(9077),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [278] = {
    [sym__block] = STATE(19171),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3162),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3164),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3166),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [279] = {
    [sym_assignment] = STATE(12045),
    [sym_open_tuple] = STATE(13344),
    [sym__expression] = STATE(13118),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11306),
    [sym__array] = STATE(11306),
    [sym_comprehension_expression] = STATE(11306),
    [sym_matrix_expression] = STATE(11306),
    [sym_vector_expression] = STATE(11306),
    [sym_parenthesized_expression] = STATE(11306),
    [sym_tuple_expression] = STATE(11306),
    [sym_curly_expression] = STATE(11306),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11306),
    [sym_index_expression] = STATE(11306),
    [sym_parametrized_type_expression] = STATE(11306),
    [sym_call_expression] = STATE(11306),
    [sym_broadcast_call_expression] = STATE(11306),
    [sym__closed_macrocall_expression] = STATE(11306),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11306),
    [sym_quote_expression] = STATE(11306),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12948),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11306),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11306),
    [sym_string_literal] = STATE(11306),
    [sym_command_literal] = STATE(11306),
    [sym_prefixed_string_literal] = STATE(11306),
    [sym_prefixed_command_literal] = STATE(11306),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3196),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [280] = {
    [sym__block] = STATE(18414),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3202),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3204),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3206),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [281] = {
    [sym__expression] = STATE(9300),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [282] = {
    [sym_assignment] = STATE(8993),
    [sym_open_tuple] = STATE(8922),
    [sym__expression] = STATE(8991),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(2010),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(1161),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1073),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [283] = {
    [sym__expression] = STATE(8966),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(3208),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(1073),
    [sym__type_order_operator] = ACTIONS(1073),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [284] = {
    [sym__expression] = STATE(12354),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(3210),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2726),
    [sym__type_order_operator] = ACTIONS(2726),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [285] = {
    [sym__expression] = STATE(9306),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [286] = {
    [sym__expression] = STATE(13407),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2349),
    [anon_sym_COLON_COLON] = ACTIONS(2351),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2353),
    [aux_sym_integer_literal_token2] = ACTIONS(2353),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(2357),
    [aux_sym_float_literal_token3] = ACTIONS(2357),
    [aux_sym_float_literal_token4] = ACTIONS(2357),
    [sym_character_literal] = ACTIONS(3212),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(3214),
    [sym__type_order_operator] = ACTIONS(3214),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [287] = {
    [sym__expression] = STATE(9302),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [288] = {
    [sym__expression] = STATE(9298),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [289] = {
    [sym_assignment] = STATE(268),
    [sym_open_tuple] = STATE(9237),
    [sym__expression] = STATE(9236),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [aux_sym_macro_argument_list_repeat1] = STATE(268),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [290] = {
    [sym__expression] = STATE(12355),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(2902),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(3216),
    [sym__pair_operator] = ACTIONS(2920),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(2920),
    [sym__pipe_left_operator] = ACTIONS(2920),
    [sym__ellipsis_operator] = ACTIONS(2920),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(2920),
    [sym__bitshift_operator] = ACTIONS(2920),
    [sym__power_operator] = ACTIONS(2920),
    [sym__tilde_operator] = ACTIONS(2922),
    [sym__type_order_operator] = ACTIONS(2922),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [291] = {
    [sym__expression] = STATE(9296),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [292] = {
    [sym__expression] = STATE(13205),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2381),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2385),
    [aux_sym_integer_literal_token2] = ACTIONS(2385),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(2389),
    [aux_sym_float_literal_token3] = ACTIONS(2389),
    [aux_sym_float_literal_token4] = ACTIONS(2389),
    [sym_character_literal] = ACTIONS(3218),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(3220),
    [sym__type_order_operator] = ACTIONS(3220),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [293] = {
    [sym_assignment] = STATE(9069),
    [sym_open_tuple] = STATE(9071),
    [sym__expression] = STATE(9074),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2010),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(1181),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(883),
    [sym__type_order_operator] = ACTIONS(883),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [aux_sym__terminator_token1] = ACTIONS(2010),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [294] = {
    [sym__block] = STATE(19532),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3224),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [295] = {
    [sym_assignment] = STATE(12045),
    [sym_open_tuple] = STATE(13473),
    [sym__expression] = STATE(13360),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11399),
    [sym__array] = STATE(11399),
    [sym_comprehension_expression] = STATE(11399),
    [sym_matrix_expression] = STATE(11399),
    [sym_vector_expression] = STATE(11399),
    [sym_parenthesized_expression] = STATE(11399),
    [sym_tuple_expression] = STATE(11399),
    [sym_curly_expression] = STATE(11399),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11399),
    [sym_index_expression] = STATE(11399),
    [sym_parametrized_type_expression] = STATE(11399),
    [sym_call_expression] = STATE(11399),
    [sym_broadcast_call_expression] = STATE(11399),
    [sym__closed_macrocall_expression] = STATE(11399),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11399),
    [sym_quote_expression] = STATE(11399),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13432),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11399),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11399),
    [sym_string_literal] = STATE(11399),
    [sym_command_literal] = STATE(11399),
    [sym_prefixed_string_literal] = STATE(11399),
    [sym_prefixed_command_literal] = STATE(11399),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3236),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [296] = {
    [sym__expression] = STATE(9292),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [297] = {
    [sym__block] = STATE(18665),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3242),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3244),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [298] = {
    [sym_assignment] = STATE(12614),
    [sym_open_tuple] = STATE(12347),
    [sym__expression] = STATE(12615),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10777),
    [sym_comprehension_expression] = STATE(10777),
    [sym_matrix_expression] = STATE(10777),
    [sym_vector_expression] = STATE(10777),
    [sym_parenthesized_expression] = STATE(10777),
    [sym_tuple_expression] = STATE(10777),
    [sym_curly_expression] = STATE(10777),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10777),
    [sym_index_expression] = STATE(10777),
    [sym_parametrized_type_expression] = STATE(10777),
    [sym_call_expression] = STATE(10777),
    [sym_broadcast_call_expression] = STATE(10777),
    [sym__closed_macrocall_expression] = STATE(10777),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(10777),
    [sym_quote_expression] = STATE(10777),
    [sym_binary_expression] = STATE(12854),
    [sym_unary_expression] = STATE(12854),
    [sym_range_expression] = STATE(12854),
    [sym_splat_expression] = STATE(12854),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(11884),
    [sym_unary_typed_expression] = STATE(12854),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12854),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(10777),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10777),
    [sym_string_literal] = STATE(10777),
    [sym_command_literal] = STATE(10777),
    [sym_prefixed_string_literal] = STATE(10777),
    [sym_prefixed_command_literal] = STATE(10777),
    [sym_operator] = STATE(12031),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2010),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(2902),
    [anon_sym_RPAREN] = ACTIONS(2010),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LF] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2010),
    [anon_sym_QMARK] = ACTIONS(2010),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(3256),
    [sym__pair_operator] = ACTIONS(2920),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__lazy_or_operator] = ACTIONS(2010),
    [sym__lazy_and_operator] = ACTIONS(2010),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(2920),
    [sym__pipe_left_operator] = ACTIONS(2920),
    [sym__ellipsis_operator] = ACTIONS(2920),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(2920),
    [sym__bitshift_operator] = ACTIONS(2920),
    [sym__power_operator] = ACTIONS(2920),
    [sym__tilde_operator] = ACTIONS(2922),
    [sym__type_order_operator] = ACTIONS(2922),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [299] = {
    [sym__expression] = STATE(8772),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(761),
    [anon_sym_DOLLAR] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(3258),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(3260),
    [sym__type_order_operator] = ACTIONS(3260),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [300] = {
    [sym__block] = STATE(18263),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3262),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3264),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3266),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [301] = {
    [sym_assignment] = STATE(12045),
    [sym_open_tuple] = STATE(13386),
    [sym__expression] = STATE(13385),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11355),
    [sym__array] = STATE(11355),
    [sym_comprehension_expression] = STATE(11355),
    [sym_matrix_expression] = STATE(11355),
    [sym_vector_expression] = STATE(11355),
    [sym_parenthesized_expression] = STATE(11355),
    [sym_tuple_expression] = STATE(11355),
    [sym_curly_expression] = STATE(11355),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11355),
    [sym_index_expression] = STATE(11355),
    [sym_parametrized_type_expression] = STATE(11355),
    [sym_call_expression] = STATE(11355),
    [sym_broadcast_call_expression] = STATE(11355),
    [sym__closed_macrocall_expression] = STATE(11355),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11355),
    [sym_quote_expression] = STATE(11355),
    [sym_binary_expression] = STATE(13417),
    [sym_unary_expression] = STATE(13417),
    [sym_range_expression] = STATE(13417),
    [sym_splat_expression] = STATE(13417),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13020),
    [sym_unary_typed_expression] = STATE(13417),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13417),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11355),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11355),
    [sym_string_literal] = STATE(11355),
    [sym_command_literal] = STATE(11355),
    [sym_prefixed_string_literal] = STATE(11355),
    [sym_prefixed_command_literal] = STATE(11355),
    [sym_operator] = STATE(13021),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(2008),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(2008),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3276),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [302] = {
    [sym__expression] = STATE(9294),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [303] = {
    [sym_assignment] = STATE(8398),
    [sym_open_tuple] = STATE(9174),
    [sym__expression] = STATE(8845),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [304] = {
    [sym__block] = STATE(19806),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3278),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(3280),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(3043),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(3049),
    [sym__arrow_operator] = ACTIONS(3051),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3057),
    [sym__pipe_right_operator] = ACTIONS(3059),
    [sym__pipe_left_operator] = ACTIONS(3061),
    [sym__ellipsis_operator] = ACTIONS(3063),
    [sym__plus_operator] = ACTIONS(3065),
    [sym__times_operator] = ACTIONS(3067),
    [sym__rational_operator] = ACTIONS(3069),
    [sym__bitshift_operator] = ACTIONS(3071),
    [sym__power_operator] = ACTIONS(3073),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(3075),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(3077),
    [aux_sym__terminator_token1] = ACTIONS(3282),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [305] = {
    [sym_assignment] = STATE(167),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(167),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [306] = {
    [sym__expression] = STATE(13190),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(3284),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(3286),
    [sym__type_order_operator] = ACTIONS(3286),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [307] = {
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [308] = {
    [sym__expression] = STATE(8892),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(671),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_COLON_COLON] = ACTIONS(677),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(683),
    [aux_sym_integer_literal_token2] = ACTIONS(683),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(687),
    [aux_sym_float_literal_token3] = ACTIONS(687),
    [aux_sym_float_literal_token4] = ACTIONS(687),
    [sym_character_literal] = ACTIONS(3290),
    [sym__pair_operator] = ACTIONS(691),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(691),
    [sym__pipe_left_operator] = ACTIONS(691),
    [sym__ellipsis_operator] = ACTIONS(691),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(691),
    [sym__bitshift_operator] = ACTIONS(691),
    [sym__power_operator] = ACTIONS(691),
    [sym__tilde_operator] = ACTIONS(3292),
    [sym__type_order_operator] = ACTIONS(3292),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [309] = {
    [sym__expression] = STATE(9155),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3294),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3296),
    [sym__type_order_operator] = ACTIONS(3296),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [310] = {
    [sym__expression] = STATE(13441),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [311] = {
    [sym_assignment] = STATE(8398),
    [sym_open_tuple] = STATE(9169),
    [sym__expression] = STATE(9163),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [312] = {
    [sym_assignment] = STATE(12045),
    [sym_open_tuple] = STATE(13496),
    [sym__expression] = STATE(13317),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11400),
    [sym__array] = STATE(11400),
    [sym_comprehension_expression] = STATE(11400),
    [sym_matrix_expression] = STATE(11400),
    [sym_vector_expression] = STATE(11400),
    [sym_parenthesized_expression] = STATE(11400),
    [sym_tuple_expression] = STATE(11400),
    [sym_curly_expression] = STATE(11400),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11400),
    [sym_index_expression] = STATE(11400),
    [sym_parametrized_type_expression] = STATE(11400),
    [sym_call_expression] = STATE(11400),
    [sym_broadcast_call_expression] = STATE(11400),
    [sym__closed_macrocall_expression] = STATE(11400),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11400),
    [sym_quote_expression] = STATE(11400),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13433),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11400),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11400),
    [sym_string_literal] = STATE(11400),
    [sym_command_literal] = STATE(11400),
    [sym_prefixed_string_literal] = STATE(11400),
    [sym_prefixed_command_literal] = STATE(11400),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3312),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [313] = {
    [sym_assignment] = STATE(167),
    [sym_open_tuple] = STATE(8856),
    [sym__expression] = STATE(8492),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [aux_sym_macro_argument_list_repeat1] = STATE(167),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [314] = {
    [sym__expression] = STATE(13299),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [315] = {
    [sym__expression] = STATE(9139),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [316] = {
    [sym_assignment] = STATE(12045),
    [sym_open_tuple] = STATE(13291),
    [sym__expression] = STATE(13292),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11301),
    [sym__array] = STATE(11301),
    [sym_comprehension_expression] = STATE(11301),
    [sym_matrix_expression] = STATE(11301),
    [sym_vector_expression] = STATE(11301),
    [sym_parenthesized_expression] = STATE(11301),
    [sym_tuple_expression] = STATE(11301),
    [sym_curly_expression] = STATE(11301),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11301),
    [sym_index_expression] = STATE(11301),
    [sym_parametrized_type_expression] = STATE(11301),
    [sym_call_expression] = STATE(11301),
    [sym_broadcast_call_expression] = STATE(11301),
    [sym__closed_macrocall_expression] = STATE(11301),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11301),
    [sym_quote_expression] = STATE(11301),
    [sym_binary_expression] = STATE(13300),
    [sym_unary_expression] = STATE(13300),
    [sym_range_expression] = STATE(13300),
    [sym_splat_expression] = STATE(13300),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12989),
    [sym_unary_typed_expression] = STATE(13300),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13300),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11301),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11301),
    [sym_string_literal] = STATE(11301),
    [sym_command_literal] = STATE(11301),
    [sym_prefixed_string_literal] = STATE(11301),
    [sym_prefixed_command_literal] = STATE(11301),
    [sym_operator] = STATE(13086),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3334),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [317] = {
    [sym__expression] = STATE(13561),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(3336),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(3338),
    [sym__type_order_operator] = ACTIONS(3338),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [318] = {
    [sym__expression] = STATE(13601),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [ts_builtin_sym_end] = ACTIONS(2186),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2746),
    [anon_sym_COLON_COLON] = ACTIONS(2748),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(69),
    [aux_sym_integer_literal_token2] = ACTIONS(69),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(2750),
    [aux_sym_float_literal_token3] = ACTIONS(2750),
    [aux_sym_float_literal_token4] = ACTIONS(2750),
    [sym_character_literal] = ACTIONS(3340),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(3342),
    [sym__type_order_operator] = ACTIONS(3342),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [319] = {
    [sym_assignment] = STATE(225),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(225),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [320] = {
    [sym__expression] = STATE(9195),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(3344),
    [sym__pair_operator] = ACTIONS(1071),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(1071),
    [sym__pipe_left_operator] = ACTIONS(1071),
    [sym__ellipsis_operator] = ACTIONS(1071),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(1071),
    [sym__bitshift_operator] = ACTIONS(1071),
    [sym__power_operator] = ACTIONS(1071),
    [sym__tilde_operator] = ACTIONS(3346),
    [sym__type_order_operator] = ACTIONS(3346),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [321] = {
    [sym__expression] = STATE(13171),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(3348),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(3350),
    [sym__type_order_operator] = ACTIONS(3350),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [322] = {
    [sym__expression] = STATE(13591),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [323] = {
    [sym__expression] = STATE(9160),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [324] = {
    [sym__expression] = STATE(13110),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(2902),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(3356),
    [sym__pair_operator] = ACTIONS(2920),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(2920),
    [sym__pipe_left_operator] = ACTIONS(2920),
    [sym__ellipsis_operator] = ACTIONS(2920),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(2920),
    [sym__bitshift_operator] = ACTIONS(2920),
    [sym__power_operator] = ACTIONS(2920),
    [sym__tilde_operator] = ACTIONS(3358),
    [sym__type_order_operator] = ACTIONS(3358),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [325] = {
    [sym__expression] = STATE(9170),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(3360),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [326] = {
    [sym_assignment] = STATE(12045),
    [sym_open_tuple] = STATE(13485),
    [sym__expression] = STATE(13598),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11371),
    [sym__array] = STATE(11371),
    [sym_comprehension_expression] = STATE(11371),
    [sym_matrix_expression] = STATE(11371),
    [sym_vector_expression] = STATE(11371),
    [sym_parenthesized_expression] = STATE(11371),
    [sym_tuple_expression] = STATE(11371),
    [sym_curly_expression] = STATE(11371),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11371),
    [sym_index_expression] = STATE(11371),
    [sym_parametrized_type_expression] = STATE(11371),
    [sym_call_expression] = STATE(11371),
    [sym_broadcast_call_expression] = STATE(11371),
    [sym__closed_macrocall_expression] = STATE(11371),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11371),
    [sym_quote_expression] = STATE(11371),
    [sym_binary_expression] = STATE(13532),
    [sym_unary_expression] = STATE(13532),
    [sym_range_expression] = STATE(13532),
    [sym_splat_expression] = STATE(13532),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13434),
    [sym_unary_typed_expression] = STATE(13532),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13532),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11371),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11371),
    [sym_string_literal] = STATE(11371),
    [sym_command_literal] = STATE(11371),
    [sym_prefixed_string_literal] = STATE(11371),
    [sym_prefixed_command_literal] = STATE(11371),
    [sym_operator] = STATE(13314),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_SEMI] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3372),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [327] = {
    [sym__expression] = STATE(13427),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2720),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(3374),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(3376),
    [sym__type_order_operator] = ACTIONS(3376),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [328] = {
    [sym_assignment] = STATE(12045),
    [sym_open_tuple] = STATE(13847),
    [sym__expression] = STATE(13455),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11532),
    [sym__array] = STATE(11532),
    [sym_comprehension_expression] = STATE(11532),
    [sym_matrix_expression] = STATE(11532),
    [sym_vector_expression] = STATE(11532),
    [sym_parenthesized_expression] = STATE(11532),
    [sym_tuple_expression] = STATE(11532),
    [sym_curly_expression] = STATE(11532),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11532),
    [sym_index_expression] = STATE(11532),
    [sym_parametrized_type_expression] = STATE(11532),
    [sym_call_expression] = STATE(11532),
    [sym_broadcast_call_expression] = STATE(11532),
    [sym__closed_macrocall_expression] = STATE(11532),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11532),
    [sym_quote_expression] = STATE(11532),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13475),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11532),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11532),
    [sym_string_literal] = STATE(11532),
    [sym_command_literal] = STATE(11532),
    [sym_prefixed_string_literal] = STATE(11532),
    [sym_prefixed_command_literal] = STATE(11532),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2010),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3386),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [329] = {
    [sym__expression] = STATE(9299),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(3392),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3394),
    [sym__type_order_operator] = ACTIONS(3394),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [330] = {
    [sym__expression] = STATE(13437),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [331] = {
    [sym__expression] = STATE(9273),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(869),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(873),
    [aux_sym_integer_literal_token2] = ACTIONS(873),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(877),
    [aux_sym_float_literal_token3] = ACTIONS(877),
    [aux_sym_float_literal_token4] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(3103),
    [sym__pair_operator] = ACTIONS(881),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(881),
    [sym__pipe_left_operator] = ACTIONS(881),
    [sym__ellipsis_operator] = ACTIONS(881),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(881),
    [sym__bitshift_operator] = ACTIONS(881),
    [sym__power_operator] = ACTIONS(881),
    [sym__tilde_operator] = ACTIONS(3105),
    [sym__type_order_operator] = ACTIONS(3105),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [332] = {
    [sym__expression] = STATE(13593),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [333] = {
    [sym__expression] = STATE(13886),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [334] = {
    [sym__expression] = STATE(13301),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(2902),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(2908),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2910),
    [anon_sym_DOLLAR] = ACTIONS(2912),
    [anon_sym_COLON_COLON] = ACTIONS(2914),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(1063),
    [aux_sym_integer_literal_token2] = ACTIONS(1063),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(1067),
    [aux_sym_float_literal_token3] = ACTIONS(1067),
    [aux_sym_float_literal_token4] = ACTIONS(1067),
    [sym_character_literal] = ACTIONS(3410),
    [sym__pair_operator] = ACTIONS(2920),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(2920),
    [sym__pipe_left_operator] = ACTIONS(2920),
    [sym__ellipsis_operator] = ACTIONS(2920),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(2920),
    [sym__bitshift_operator] = ACTIONS(2920),
    [sym__power_operator] = ACTIONS(2920),
    [sym__tilde_operator] = ACTIONS(3412),
    [sym__type_order_operator] = ACTIONS(3412),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [335] = {
    [sym_assignment] = STATE(12045),
    [sym_open_tuple] = STATE(13599),
    [sym__expression] = STATE(13516),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11407),
    [sym__array] = STATE(11407),
    [sym_comprehension_expression] = STATE(11407),
    [sym_matrix_expression] = STATE(11407),
    [sym_vector_expression] = STATE(11407),
    [sym_parenthesized_expression] = STATE(11407),
    [sym_tuple_expression] = STATE(11407),
    [sym_curly_expression] = STATE(11407),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11407),
    [sym_index_expression] = STATE(11407),
    [sym_parametrized_type_expression] = STATE(11407),
    [sym_call_expression] = STATE(11407),
    [sym_broadcast_call_expression] = STATE(11407),
    [sym__closed_macrocall_expression] = STATE(11407),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11407),
    [sym_quote_expression] = STATE(11407),
    [sym_binary_expression] = STATE(13447),
    [sym_unary_expression] = STATE(13447),
    [sym_range_expression] = STATE(13447),
    [sym_splat_expression] = STATE(13447),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13435),
    [sym_unary_typed_expression] = STATE(13447),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13447),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11407),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11407),
    [sym_string_literal] = STATE(11407),
    [sym_command_literal] = STATE(11407),
    [sym_prefixed_string_literal] = STATE(11407),
    [sym_prefixed_command_literal] = STATE(11407),
    [sym_operator] = STATE(13430),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2008),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3422),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [336] = {
    [sym__expression] = STATE(13463),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [337] = {
    [sym_assignment] = STATE(225),
    [sym_open_tuple] = STATE(9044),
    [sym__expression] = STATE(9048),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [aux_sym_macro_argument_list_repeat1] = STATE(225),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1363),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(1363),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_COLON2] = ACTIONS(1363),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_isa] = ACTIONS(1363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(1365),
    [sym__arrow_operator] = ACTIONS(1363),
    [sym__lazy_or_operator] = ACTIONS(1365),
    [sym__lazy_and_operator] = ACTIONS(1365),
    [sym__comparison_operator] = ACTIONS(1363),
    [sym__pipe_right_operator] = ACTIONS(1365),
    [sym__pipe_left_operator] = ACTIONS(1365),
    [sym__ellipsis_operator] = ACTIONS(1363),
    [sym__plus_operator] = ACTIONS(1363),
    [sym__times_operator] = ACTIONS(1363),
    [sym__rational_operator] = ACTIONS(1365),
    [sym__bitshift_operator] = ACTIONS(1365),
    [sym__power_operator] = ACTIONS(1365),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(1365),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [338] = {
    [sym__expression] = STATE(9288),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(977),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [339] = {
    [sym__closed_assignment] = STATE(15159),
    [sym__expression] = STATE(12017),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17799),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3436),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3438),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3440),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3444),
    [anon_sym_COLON_EQ] = ACTIONS(3446),
    [anon_sym_DOT_EQ] = ACTIONS(3436),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3436),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3446),
    [sym__lazy_and_operator] = ACTIONS(3446),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3436),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [340] = {
    [sym__closed_assignment] = STATE(14650),
    [sym__expression] = STATE(11868),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17680),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3450),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3452),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3454),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3456),
    [anon_sym_COLON_EQ] = ACTIONS(3458),
    [anon_sym_DOT_EQ] = ACTIONS(3450),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3450),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3458),
    [sym__lazy_and_operator] = ACTIONS(3458),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3450),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [341] = {
    [sym__closed_assignment] = STATE(15091),
    [sym__expression] = STATE(11896),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17380),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3460),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3462),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3464),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3466),
    [anon_sym_COLON_EQ] = ACTIONS(3468),
    [anon_sym_DOT_EQ] = ACTIONS(3460),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3460),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3468),
    [sym__lazy_and_operator] = ACTIONS(3468),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3460),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [342] = {
    [sym__closed_assignment] = STATE(14896),
    [sym__expression] = STATE(12038),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17580),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3470),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3472),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3474),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3476),
    [anon_sym_COLON_EQ] = ACTIONS(3478),
    [anon_sym_DOT_EQ] = ACTIONS(3470),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3470),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3478),
    [sym__lazy_and_operator] = ACTIONS(3478),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3470),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [343] = {
    [sym__closed_assignment] = STATE(14897),
    [sym__expression] = STATE(12227),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17785),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3480),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3482),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3484),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3486),
    [anon_sym_COLON_EQ] = ACTIONS(3488),
    [anon_sym_DOT_EQ] = ACTIONS(3480),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3480),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3488),
    [sym__lazy_and_operator] = ACTIONS(3488),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3480),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [344] = {
    [sym__closed_assignment] = STATE(14733),
    [sym__expression] = STATE(12140),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17668),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3490),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3492),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3494),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_COLON_EQ] = ACTIONS(3498),
    [anon_sym_DOT_EQ] = ACTIONS(3490),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3490),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3498),
    [sym__lazy_and_operator] = ACTIONS(3498),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3490),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [345] = {
    [sym__closed_assignment] = STATE(15022),
    [sym__expression] = STATE(12190),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17709),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3500),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3502),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3504),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3506),
    [anon_sym_COLON_EQ] = ACTIONS(3508),
    [anon_sym_DOT_EQ] = ACTIONS(3500),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3500),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3508),
    [sym__lazy_and_operator] = ACTIONS(3508),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3500),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [346] = {
    [sym__closed_assignment] = STATE(14581),
    [sym__expression] = STATE(12135),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17746),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3510),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3512),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3514),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3516),
    [anon_sym_COLON_EQ] = ACTIONS(3518),
    [anon_sym_DOT_EQ] = ACTIONS(3510),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3510),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3518),
    [sym__lazy_and_operator] = ACTIONS(3518),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3510),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [347] = {
    [sym__closed_assignment] = STATE(14603),
    [sym__expression] = STATE(12023),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17741),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3520),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3522),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3526),
    [anon_sym_COLON_EQ] = ACTIONS(3528),
    [anon_sym_DOT_EQ] = ACTIONS(3520),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3520),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3528),
    [sym__lazy_and_operator] = ACTIONS(3528),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3520),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [348] = {
    [sym__closed_assignment] = STATE(14688),
    [sym__expression] = STATE(12152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17722),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3530),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3532),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3534),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3536),
    [anon_sym_COLON_EQ] = ACTIONS(3538),
    [anon_sym_DOT_EQ] = ACTIONS(3530),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3530),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3538),
    [sym__lazy_and_operator] = ACTIONS(3538),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3530),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [349] = {
    [sym__closed_assignment] = STATE(14917),
    [sym__expression] = STATE(11930),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17708),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3540),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3542),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3546),
    [anon_sym_COLON_EQ] = ACTIONS(3548),
    [anon_sym_DOT_EQ] = ACTIONS(3540),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3540),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3548),
    [sym__lazy_and_operator] = ACTIONS(3548),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3540),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [350] = {
    [sym__closed_assignment] = STATE(14622),
    [sym__expression] = STATE(12237),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17756),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3550),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3552),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3556),
    [anon_sym_COLON_EQ] = ACTIONS(3558),
    [anon_sym_DOT_EQ] = ACTIONS(3550),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3550),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3558),
    [sym__lazy_and_operator] = ACTIONS(3558),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3550),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [351] = {
    [sym__closed_assignment] = STATE(14596),
    [sym__expression] = STATE(12086),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17698),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3560),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3562),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3564),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3566),
    [anon_sym_COLON_EQ] = ACTIONS(3568),
    [anon_sym_DOT_EQ] = ACTIONS(3560),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3560),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3568),
    [sym__lazy_and_operator] = ACTIONS(3568),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3560),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [352] = {
    [sym__closed_assignment] = STATE(14811),
    [sym__expression] = STATE(12089),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3570),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3572),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3574),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3576),
    [anon_sym_COLON_EQ] = ACTIONS(3578),
    [anon_sym_DOT_EQ] = ACTIONS(3570),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3570),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3578),
    [sym__lazy_and_operator] = ACTIONS(3578),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3570),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [353] = {
    [sym__closed_assignment] = STATE(15125),
    [sym__expression] = STATE(11899),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17975),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3580),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3584),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3586),
    [anon_sym_COLON_EQ] = ACTIONS(3588),
    [anon_sym_DOT_EQ] = ACTIONS(3580),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3580),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3588),
    [sym__lazy_and_operator] = ACTIONS(3588),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3580),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [354] = {
    [sym__closed_assignment] = STATE(14810),
    [sym__expression] = STATE(11883),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17706),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3590),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3592),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3596),
    [anon_sym_COLON_EQ] = ACTIONS(3598),
    [anon_sym_DOT_EQ] = ACTIONS(3590),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3590),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3598),
    [sym__lazy_and_operator] = ACTIONS(3598),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3590),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [355] = {
    [sym__closed_assignment] = STATE(15095),
    [sym__expression] = STATE(11919),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17715),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3600),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3602),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3604),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3606),
    [anon_sym_COLON_EQ] = ACTIONS(3608),
    [anon_sym_DOT_EQ] = ACTIONS(3600),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3600),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3608),
    [sym__lazy_and_operator] = ACTIONS(3608),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3600),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [356] = {
    [sym__closed_assignment] = STATE(14562),
    [sym__expression] = STATE(12144),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17597),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3610),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3616),
    [anon_sym_COLON_EQ] = ACTIONS(3618),
    [anon_sym_DOT_EQ] = ACTIONS(3610),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3610),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3618),
    [sym__lazy_and_operator] = ACTIONS(3618),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3610),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [357] = {
    [sym__closed_assignment] = STATE(14889),
    [sym__expression] = STATE(12046),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17718),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3620),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3622),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3624),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3626),
    [anon_sym_COLON_EQ] = ACTIONS(3628),
    [anon_sym_DOT_EQ] = ACTIONS(3620),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3620),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3628),
    [sym__lazy_and_operator] = ACTIONS(3628),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3620),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [358] = {
    [sym__closed_assignment] = STATE(14643),
    [sym__expression] = STATE(12220),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17758),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3630),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3632),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3634),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3636),
    [anon_sym_COLON_EQ] = ACTIONS(3638),
    [anon_sym_DOT_EQ] = ACTIONS(3630),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3630),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3638),
    [sym__lazy_and_operator] = ACTIONS(3638),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3630),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [359] = {
    [sym__closed_assignment] = STATE(14846),
    [sym__expression] = STATE(11908),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17781),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3640),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3642),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3644),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3646),
    [anon_sym_COLON_EQ] = ACTIONS(3648),
    [anon_sym_DOT_EQ] = ACTIONS(3640),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3640),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3648),
    [sym__lazy_and_operator] = ACTIONS(3648),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3640),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [360] = {
    [sym__closed_assignment] = STATE(15123),
    [sym__expression] = STATE(11891),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17798),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3650),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3656),
    [anon_sym_COLON_EQ] = ACTIONS(3658),
    [anon_sym_DOT_EQ] = ACTIONS(3650),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3650),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3658),
    [sym__lazy_and_operator] = ACTIONS(3658),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3650),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [361] = {
    [sym__closed_assignment] = STATE(14599),
    [sym__expression] = STATE(11940),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17689),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3660),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3662),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3664),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3666),
    [anon_sym_COLON_EQ] = ACTIONS(3668),
    [anon_sym_DOT_EQ] = ACTIONS(3660),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3660),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3668),
    [sym__lazy_and_operator] = ACTIONS(3668),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3660),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [362] = {
    [sym__closed_assignment] = STATE(14858),
    [sym__expression] = STATE(12216),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17736),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3670),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3672),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3674),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3676),
    [anon_sym_COLON_EQ] = ACTIONS(3678),
    [anon_sym_DOT_EQ] = ACTIONS(3670),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3670),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3678),
    [sym__lazy_and_operator] = ACTIONS(3678),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3670),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [363] = {
    [sym__closed_assignment] = STATE(14682),
    [sym__expression] = STATE(11975),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17738),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3680),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3682),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3684),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3686),
    [anon_sym_COLON_EQ] = ACTIONS(3688),
    [anon_sym_DOT_EQ] = ACTIONS(3680),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3680),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3688),
    [sym__lazy_and_operator] = ACTIONS(3688),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3680),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [364] = {
    [sym__closed_assignment] = STATE(14778),
    [sym__expression] = STATE(12113),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17656),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3690),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3692),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3694),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3696),
    [anon_sym_COLON_EQ] = ACTIONS(3698),
    [anon_sym_DOT_EQ] = ACTIONS(3690),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3690),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3698),
    [sym__lazy_and_operator] = ACTIONS(3698),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3690),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [365] = {
    [sym_assignment] = STATE(12045),
    [sym_open_tuple] = STATE(13777),
    [sym__expression] = STATE(13715),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11461),
    [sym__array] = STATE(11461),
    [sym_comprehension_expression] = STATE(11461),
    [sym_matrix_expression] = STATE(11461),
    [sym_vector_expression] = STATE(11461),
    [sym_parenthesized_expression] = STATE(11461),
    [sym_tuple_expression] = STATE(11461),
    [sym_curly_expression] = STATE(11461),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11461),
    [sym_index_expression] = STATE(11461),
    [sym_parametrized_type_expression] = STATE(11461),
    [sym_call_expression] = STATE(11461),
    [sym_broadcast_call_expression] = STATE(11461),
    [sym__closed_macrocall_expression] = STATE(11461),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11461),
    [sym_quote_expression] = STATE(11461),
    [sym_binary_expression] = STATE(13851),
    [sym_unary_expression] = STATE(13851),
    [sym_range_expression] = STATE(13851),
    [sym_splat_expression] = STATE(13851),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13520),
    [sym_unary_typed_expression] = STATE(13851),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13851),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11461),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11461),
    [sym_string_literal] = STATE(11461),
    [sym_command_literal] = STATE(11461),
    [sym_prefixed_string_literal] = STATE(11461),
    [sym_prefixed_command_literal] = STATE(11461),
    [sym_operator] = STATE(13439),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2008),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2010),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_COLON2] = ACTIONS(2010),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_QMARK] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3708),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2008),
    [sym__lazy_and_operator] = ACTIONS(2008),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [366] = {
    [sym__closed_assignment] = STATE(15105),
    [sym__expression] = STATE(12070),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17819),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3710),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3712),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3714),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3716),
    [anon_sym_COLON_EQ] = ACTIONS(3718),
    [anon_sym_DOT_EQ] = ACTIONS(3710),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3710),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3718),
    [sym__lazy_and_operator] = ACTIONS(3718),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3710),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [367] = {
    [sym__closed_assignment] = STATE(15124),
    [sym__expression] = STATE(12001),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17711),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3720),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3722),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3724),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3726),
    [anon_sym_COLON_EQ] = ACTIONS(3728),
    [anon_sym_DOT_EQ] = ACTIONS(3720),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3720),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3728),
    [sym__lazy_and_operator] = ACTIONS(3728),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3720),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [368] = {
    [sym__closed_assignment] = STATE(14776),
    [sym__expression] = STATE(12057),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17570),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3730),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3732),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3734),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_COLON_EQ] = ACTIONS(3738),
    [anon_sym_DOT_EQ] = ACTIONS(3730),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3730),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3738),
    [sym__lazy_and_operator] = ACTIONS(3738),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [369] = {
    [sym__closed_assignment] = STATE(14690),
    [sym__expression] = STATE(11933),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17766),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3740),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3742),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3746),
    [anon_sym_COLON_EQ] = ACTIONS(3748),
    [anon_sym_DOT_EQ] = ACTIONS(3740),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3740),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3748),
    [sym__lazy_and_operator] = ACTIONS(3748),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3740),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [370] = {
    [sym__closed_assignment] = STATE(14812),
    [sym__expression] = STATE(12026),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17541),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3750),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3752),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3754),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3756),
    [anon_sym_COLON_EQ] = ACTIONS(3758),
    [anon_sym_DOT_EQ] = ACTIONS(3750),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3750),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3758),
    [sym__lazy_and_operator] = ACTIONS(3758),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3750),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [371] = {
    [sym__closed_assignment] = STATE(15052),
    [sym__expression] = STATE(11880),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17796),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3760),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3762),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3766),
    [anon_sym_COLON_EQ] = ACTIONS(3768),
    [anon_sym_DOT_EQ] = ACTIONS(3760),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3760),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3768),
    [sym__lazy_and_operator] = ACTIONS(3768),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3760),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [372] = {
    [sym__closed_assignment] = STATE(14723),
    [sym__expression] = STATE(12124),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17768),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3770),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3772),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3774),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3776),
    [anon_sym_COLON_EQ] = ACTIONS(3778),
    [anon_sym_DOT_EQ] = ACTIONS(3770),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3770),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3778),
    [sym__lazy_and_operator] = ACTIONS(3778),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3770),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [373] = {
    [sym__expression] = STATE(13603),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [374] = {
    [sym__expression] = STATE(13753),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [375] = {
    [sym__closed_assignment] = STATE(14558),
    [sym__expression] = STATE(12184),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17364),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3788),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3790),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3792),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3794),
    [anon_sym_COLON_EQ] = ACTIONS(3796),
    [anon_sym_DOT_EQ] = ACTIONS(3788),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3788),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3796),
    [sym__lazy_and_operator] = ACTIONS(3796),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3788),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [376] = {
    [sym__closed_assignment] = STATE(15083),
    [sym__expression] = STATE(12098),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17734),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3798),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3800),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3804),
    [anon_sym_COLON_EQ] = ACTIONS(3806),
    [anon_sym_DOT_EQ] = ACTIONS(3798),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3798),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3806),
    [sym__lazy_and_operator] = ACTIONS(3806),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3798),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [377] = {
    [sym__closed_assignment] = STATE(14962),
    [sym__expression] = STATE(11903),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17789),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3808),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3810),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3812),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3814),
    [anon_sym_COLON_EQ] = ACTIONS(3816),
    [anon_sym_DOT_EQ] = ACTIONS(3808),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3808),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3816),
    [sym__lazy_and_operator] = ACTIONS(3816),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3808),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [378] = {
    [sym__closed_assignment] = STATE(14936),
    [sym__expression] = STATE(12203),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17788),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3818),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3820),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3822),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3824),
    [anon_sym_COLON_EQ] = ACTIONS(3826),
    [anon_sym_DOT_EQ] = ACTIONS(3818),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3818),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3826),
    [sym__lazy_and_operator] = ACTIONS(3826),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3818),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [379] = {
    [sym__closed_assignment] = STATE(14944),
    [sym__expression] = STATE(12035),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17724),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3828),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3830),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3832),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3834),
    [anon_sym_COLON_EQ] = ACTIONS(3836),
    [anon_sym_DOT_EQ] = ACTIONS(3828),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3828),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3836),
    [sym__lazy_and_operator] = ACTIONS(3836),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3828),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [380] = {
    [sym__closed_assignment] = STATE(14665),
    [sym__expression] = STATE(12169),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17764),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3838),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3840),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3842),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3844),
    [anon_sym_COLON_EQ] = ACTIONS(3846),
    [anon_sym_DOT_EQ] = ACTIONS(3838),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3838),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3846),
    [sym__lazy_and_operator] = ACTIONS(3846),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3838),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [381] = {
    [sym__closed_assignment] = STATE(15088),
    [sym__expression] = STATE(11886),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17622),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3848),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3854),
    [anon_sym_COLON_EQ] = ACTIONS(3856),
    [anon_sym_DOT_EQ] = ACTIONS(3848),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3848),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3856),
    [sym__lazy_and_operator] = ACTIONS(3856),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3848),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [382] = {
    [sym__closed_assignment] = STATE(14777),
    [sym__expression] = STATE(12064),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17696),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3858),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3860),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3862),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3864),
    [anon_sym_COLON_EQ] = ACTIONS(3866),
    [anon_sym_DOT_EQ] = ACTIONS(3858),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3858),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3866),
    [sym__lazy_and_operator] = ACTIONS(3866),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3858),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [383] = {
    [sym__closed_assignment] = STATE(14623),
    [sym__expression] = STATE(12232),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17588),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3868),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3870),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3872),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3874),
    [anon_sym_COLON_EQ] = ACTIONS(3876),
    [anon_sym_DOT_EQ] = ACTIONS(3868),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3868),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3876),
    [sym__lazy_and_operator] = ACTIONS(3876),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3868),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [384] = {
    [sym__closed_assignment] = STATE(14863),
    [sym__expression] = STATE(12059),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17782),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3878),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3880),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3882),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3884),
    [anon_sym_COLON_EQ] = ACTIONS(3886),
    [anon_sym_DOT_EQ] = ACTIONS(3878),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3878),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3886),
    [sym__lazy_and_operator] = ACTIONS(3886),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3878),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [385] = {
    [sym__closed_assignment] = STATE(15144),
    [sym__expression] = STATE(12236),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17802),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3888),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3890),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3892),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3894),
    [anon_sym_COLON_EQ] = ACTIONS(3896),
    [anon_sym_DOT_EQ] = ACTIONS(3888),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3888),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3896),
    [sym__lazy_and_operator] = ACTIONS(3896),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3888),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [386] = {
    [sym__closed_assignment] = STATE(14745),
    [sym__expression] = STATE(11885),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17602),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3898),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3900),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3902),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3904),
    [anon_sym_COLON_EQ] = ACTIONS(3906),
    [anon_sym_DOT_EQ] = ACTIONS(3898),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3898),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3906),
    [sym__lazy_and_operator] = ACTIONS(3906),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3898),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [387] = {
    [sym__expression] = STATE(13783),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [388] = {
    [sym__closed_assignment] = STATE(15158),
    [sym__expression] = STATE(12014),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17617),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3914),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3916),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3918),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3920),
    [anon_sym_COLON_EQ] = ACTIONS(3922),
    [anon_sym_DOT_EQ] = ACTIONS(3914),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3914),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3922),
    [sym__lazy_and_operator] = ACTIONS(3922),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3914),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [389] = {
    [sym__closed_assignment] = STATE(14557),
    [sym__expression] = STATE(12111),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17743),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3924),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3926),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3930),
    [anon_sym_COLON_EQ] = ACTIONS(3932),
    [anon_sym_DOT_EQ] = ACTIONS(3924),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3924),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3932),
    [sym__lazy_and_operator] = ACTIONS(3932),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3924),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [390] = {
    [sym__closed_assignment] = STATE(14839),
    [sym__expression] = STATE(11895),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17649),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3934),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3936),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3938),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3940),
    [anon_sym_COLON_EQ] = ACTIONS(3942),
    [anon_sym_DOT_EQ] = ACTIONS(3934),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3934),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3942),
    [sym__lazy_and_operator] = ACTIONS(3942),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3934),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [391] = {
    [sym__closed_assignment] = STATE(14965),
    [sym__expression] = STATE(12036),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17693),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3946),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3948),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3950),
    [anon_sym_COLON_EQ] = ACTIONS(3952),
    [anon_sym_DOT_EQ] = ACTIONS(3944),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3944),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3952),
    [sym__lazy_and_operator] = ACTIONS(3952),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3944),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [392] = {
    [sym__closed_assignment] = STATE(14966),
    [sym__expression] = STATE(11901),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17636),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3954),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3956),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3958),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3960),
    [anon_sym_COLON_EQ] = ACTIONS(3962),
    [anon_sym_DOT_EQ] = ACTIONS(3954),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3954),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3962),
    [sym__lazy_and_operator] = ACTIONS(3962),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3954),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [393] = {
    [sym__closed_assignment] = STATE(15010),
    [sym__expression] = STATE(11882),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17779),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3964),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3966),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3968),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3970),
    [anon_sym_COLON_EQ] = ACTIONS(3972),
    [anon_sym_DOT_EQ] = ACTIONS(3964),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3964),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3972),
    [sym__lazy_and_operator] = ACTIONS(3972),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3964),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [394] = {
    [sym__closed_assignment] = STATE(14548),
    [sym__expression] = STATE(12242),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17601),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3974),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3976),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3978),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3980),
    [anon_sym_COLON_EQ] = ACTIONS(3982),
    [anon_sym_DOT_EQ] = ACTIONS(3974),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3974),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3982),
    [sym__lazy_and_operator] = ACTIONS(3982),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3974),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [395] = {
    [sym__closed_assignment] = STATE(14600),
    [sym__expression] = STATE(11866),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17752),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3984),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3986),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3988),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(3990),
    [anon_sym_COLON_EQ] = ACTIONS(3992),
    [anon_sym_DOT_EQ] = ACTIONS(3984),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3984),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(3992),
    [sym__lazy_and_operator] = ACTIONS(3992),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3984),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [396] = {
    [sym__closed_assignment] = STATE(15172),
    [sym__expression] = STATE(11879),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17729),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(3994),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3996),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3998),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4000),
    [anon_sym_COLON_EQ] = ACTIONS(4002),
    [anon_sym_DOT_EQ] = ACTIONS(3994),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(3994),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4002),
    [sym__lazy_and_operator] = ACTIONS(4002),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(3994),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [397] = {
    [sym__closed_assignment] = STATE(14827),
    [sym__expression] = STATE(11909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17776),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4004),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4006),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4008),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4010),
    [anon_sym_COLON_EQ] = ACTIONS(4012),
    [anon_sym_DOT_EQ] = ACTIONS(4004),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4004),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4012),
    [sym__lazy_and_operator] = ACTIONS(4012),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4004),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [398] = {
    [sym__closed_assignment] = STATE(14892),
    [sym__expression] = STATE(12040),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(18132),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4014),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4016),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4018),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4020),
    [anon_sym_COLON_EQ] = ACTIONS(4022),
    [anon_sym_DOT_EQ] = ACTIONS(4014),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4022),
    [sym__lazy_and_operator] = ACTIONS(4022),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4014),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [399] = {
    [sym__closed_assignment] = STATE(14640),
    [sym__expression] = STATE(12187),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17719),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4024),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4026),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4028),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4030),
    [anon_sym_COLON_EQ] = ACTIONS(4032),
    [anon_sym_DOT_EQ] = ACTIONS(4024),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4024),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4032),
    [sym__lazy_and_operator] = ACTIONS(4032),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4024),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [400] = {
    [sym__closed_assignment] = STATE(14655),
    [sym__expression] = STATE(12181),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17686),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4036),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4038),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4040),
    [anon_sym_COLON_EQ] = ACTIONS(4042),
    [anon_sym_DOT_EQ] = ACTIONS(4034),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4034),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4042),
    [sym__lazy_and_operator] = ACTIONS(4042),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4034),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [401] = {
    [sym__closed_assignment] = STATE(14780),
    [sym__expression] = STATE(12235),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17773),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4044),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4046),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4048),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4050),
    [anon_sym_COLON_EQ] = ACTIONS(4052),
    [anon_sym_DOT_EQ] = ACTIONS(4044),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4044),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4052),
    [sym__lazy_and_operator] = ACTIONS(4052),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4044),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [402] = {
    [sym__closed_assignment] = STATE(14762),
    [sym__expression] = STATE(12183),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17420),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4054),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4056),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4058),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4060),
    [anon_sym_COLON_EQ] = ACTIONS(4062),
    [anon_sym_DOT_EQ] = ACTIONS(4054),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4054),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4062),
    [sym__lazy_and_operator] = ACTIONS(4062),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4054),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [403] = {
    [sym__closed_assignment] = STATE(15051),
    [sym__expression] = STATE(11867),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17794),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4064),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4066),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4070),
    [anon_sym_COLON_EQ] = ACTIONS(4072),
    [anon_sym_DOT_EQ] = ACTIONS(4064),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4064),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4072),
    [sym__lazy_and_operator] = ACTIONS(4072),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4064),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [404] = {
    [sym__closed_assignment] = STATE(14926),
    [sym__expression] = STATE(12205),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17639),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4074),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4078),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4080),
    [anon_sym_COLON_EQ] = ACTIONS(4082),
    [anon_sym_DOT_EQ] = ACTIONS(4074),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4074),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4082),
    [sym__lazy_and_operator] = ACTIONS(4082),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4074),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [405] = {
    [sym__closed_assignment] = STATE(14943),
    [sym__expression] = STATE(11887),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17605),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4084),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4088),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4090),
    [anon_sym_COLON_EQ] = ACTIONS(4092),
    [anon_sym_DOT_EQ] = ACTIONS(4084),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4084),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4092),
    [sym__lazy_and_operator] = ACTIONS(4092),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4084),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [406] = {
    [sym__closed_assignment] = STATE(14748),
    [sym__expression] = STATE(12165),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17739),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4094),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4096),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4098),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4100),
    [anon_sym_COLON_EQ] = ACTIONS(4102),
    [anon_sym_DOT_EQ] = ACTIONS(4094),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4094),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4102),
    [sym__lazy_and_operator] = ACTIONS(4102),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4094),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [407] = {
    [sym__closed_assignment] = STATE(14703),
    [sym__expression] = STATE(11928),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17705),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4104),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4106),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4108),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4110),
    [anon_sym_COLON_EQ] = ACTIONS(4112),
    [anon_sym_DOT_EQ] = ACTIONS(4104),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4104),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4112),
    [sym__lazy_and_operator] = ACTIONS(4112),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4104),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [408] = {
    [sym__closed_assignment] = STATE(14995),
    [sym__expression] = STATE(12198),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17516),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(4114),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4116),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4118),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3442),
    [anon_sym_COLON_COLON] = ACTIONS(4120),
    [anon_sym_COLON_EQ] = ACTIONS(4122),
    [anon_sym_DOT_EQ] = ACTIONS(4114),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__assignment_operator] = ACTIONS(4114),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(4122),
    [sym__lazy_and_operator] = ACTIONS(4122),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym__syntactic_operator] = ACTIONS(4114),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [409] = {
    [sym__expression] = STATE(14175),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [410] = {
    [sym__expression] = STATE(14142),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [411] = {
    [sym__expression] = STATE(14027),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [412] = {
    [sym__block] = STATE(19196),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(752),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4142),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4150),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [413] = {
    [sym__block] = STATE(16330),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15427),
    [sym_finally_clause] = STATE(17285),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4160),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [414] = {
    [sym__block] = STATE(15895),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15234),
    [sym_finally_clause] = STATE(16974),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4162),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [415] = {
    [sym__block] = STATE(18229),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(717),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4166),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4168),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4172),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [416] = {
    [sym__block] = STATE(19775),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(570),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4174),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4176),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4178),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4180),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [417] = {
    [sym__block] = STATE(15137),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(15138),
    [sym_else_clause] = STATE(18908),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(15138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4182),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [418] = {
    [sym__block] = STATE(18425),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(726),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4200),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4202),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4204),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4206),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [419] = {
    [sym__block] = STATE(16233),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15440),
    [sym_finally_clause] = STATE(17266),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4208),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [420] = {
    [sym__block] = STATE(15614),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15256),
    [sym_finally_clause] = STATE(16985),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4212),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [421] = {
    [sym__block] = STATE(14746),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14769),
    [sym_else_clause] = STATE(18299),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14769),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4216),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [422] = {
    [sym__block] = STATE(18316),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(757),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4218),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4220),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4222),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4224),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [423] = {
    [sym__block] = STATE(14773),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14770),
    [sym_else_clause] = STATE(18387),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14770),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4226),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [424] = {
    [sym__block] = STATE(19399),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(725),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4228),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4230),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4232),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4234),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [425] = {
    [sym__block] = STATE(18550),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(738),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4236),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4238),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4240),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4242),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [426] = {
    [sym__block] = STATE(15881),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15386),
    [sym_finally_clause] = STATE(17025),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4244),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [427] = {
    [sym__block] = STATE(14940),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14942),
    [sym_else_clause] = STATE(19393),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14942),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4248),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [428] = {
    [sym__block] = STATE(18921),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(748),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4250),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4252),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4256),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [429] = {
    [sym__block] = STATE(18504),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(709),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4258),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4260),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4264),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [430] = {
    [sym__block] = STATE(19823),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(719),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4266),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4268),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4270),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4272),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [431] = {
    [sym__block] = STATE(18634),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(781),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4274),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4276),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4278),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4280),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [432] = {
    [sym__block] = STATE(14893),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14890),
    [sym_else_clause] = STATE(18496),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14890),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4282),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [433] = {
    [sym__block] = STATE(16440),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15338),
    [sym_finally_clause] = STATE(17151),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4284),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4286),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [434] = {
    [sym__block] = STATE(19122),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(684),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4288),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4290),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4292),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4294),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [435] = {
    [sym__block] = STATE(14771),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14772),
    [sym_else_clause] = STATE(19504),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14772),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4296),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [436] = {
    [sym__block] = STATE(18947),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(720),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4298),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4300),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4302),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4304),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [437] = {
    [sym__block] = STATE(14994),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14986),
    [sym_else_clause] = STATE(18623),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14986),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4306),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [438] = {
    [sym__block] = STATE(15028),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(15030),
    [sym_else_clause] = STATE(19114),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(15030),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4308),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [439] = {
    [sym__block] = STATE(18446),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(609),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4310),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4312),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4314),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4316),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [440] = {
    [sym__block] = STATE(16481),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15278),
    [sym_finally_clause] = STATE(16769),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4318),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4320),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [441] = {
    [sym__block] = STATE(18177),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(688),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4322),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4324),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4328),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [442] = {
    [sym__block] = STATE(19542),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(594),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4330),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4332),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4334),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4336),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [443] = {
    [sym__block] = STATE(18285),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(638),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4338),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4340),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4344),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [444] = {
    [sym__block] = STATE(18407),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(694),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4346),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4348),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4352),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [445] = {
    [sym__block] = STATE(18808),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(764),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4354),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4356),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4358),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4360),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [446] = {
    [sym__block] = STATE(16072),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15396),
    [sym_finally_clause] = STATE(17171),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4362),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4364),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [447] = {
    [sym__block] = STATE(15901),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15354),
    [sym_finally_clause] = STATE(17067),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4366),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4368),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [448] = {
    [sym__block] = STATE(15101),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(15098),
    [sym_else_clause] = STATE(18763),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(15098),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4370),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [449] = {
    [sym__block] = STATE(15521),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15425),
    [sym_finally_clause] = STATE(17305),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4372),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4374),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [450] = {
    [sym__block] = STATE(15504),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15189),
    [sym_finally_clause] = STATE(17275),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4376),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4378),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [451] = {
    [sym__block] = STATE(16209),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15320),
    [sym_finally_clause] = STATE(16961),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4380),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4382),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [452] = {
    [sym__block] = STATE(18393),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(730),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4384),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4386),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4388),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4390),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [453] = {
    [sym__block] = STATE(19430),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(613),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4392),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4394),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4396),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4398),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [454] = {
    [sym__block] = STATE(18769),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(733),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4400),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4402),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4406),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [455] = {
    [sym__block] = STATE(18208),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(769),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4408),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4410),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4412),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4414),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [456] = {
    [sym__block] = STATE(15048),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(15053),
    [sym_else_clause] = STATE(19743),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(15053),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4416),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [457] = {
    [sym__block] = STATE(18290),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(627),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4418),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4420),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4422),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4424),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [458] = {
    [sym__block] = STATE(19510),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(534),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4426),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4428),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4430),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4432),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [459] = {
    [sym__block] = STATE(18675),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(591),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4434),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4436),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4438),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(4440),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [460] = {
    [sym__block] = STATE(15774),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15295),
    [sym_finally_clause] = STATE(16709),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4442),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2548),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2550),
    [aux_sym_integer_literal_token2] = ACTIONS(2550),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(2554),
    [aux_sym_float_literal_token3] = ACTIONS(2554),
    [aux_sym_float_literal_token4] = ACTIONS(2554),
    [sym_character_literal] = ACTIONS(4158),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2558),
    [sym__type_order_operator] = ACTIONS(2558),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [aux_sym__terminator_token1] = ACTIONS(4444),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [461] = {
    [sym__block] = STATE(14662),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14654),
    [sym_else_clause] = STATE(18279),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14654),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4446),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [462] = {
    [sym__block] = STATE(14959),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14964),
    [sym_else_clause] = STATE(18478),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14964),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4448),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [463] = {
    [sym__block] = STATE(14559),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_elseif_clause] = STATE(14563),
    [sym_else_clause] = STATE(18171),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [aux_sym_if_statement_repeat1] = STATE(14563),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4450),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1193),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [464] = {
    [sym__block] = STATE(18966),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(505),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4454),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4456),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4458),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [465] = {
    [sym__block] = STATE(19732),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4460),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4462),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4464),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [466] = {
    [sym__block] = STATE(19421),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(472),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4466),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4468),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4470),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [467] = {
    [sym__block] = STATE(18426),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(497),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4472),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4474),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4476),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [468] = {
    [sym__block] = STATE(18415),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(495),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4478),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4480),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4482),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [469] = {
    [sym__block] = STATE(18302),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4484),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4486),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4488),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [470] = {
    [sym__block] = STATE(18458),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(553),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4490),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4492),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4494),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [471] = {
    [sym__block] = STATE(18240),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(494),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4496),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4498),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4500),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [472] = {
    [sym__block] = STATE(19387),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4502),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4504),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4506),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [473] = {
    [sym__block] = STATE(18853),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(597),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4508),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4510),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4512),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [474] = {
    [sym__block] = STATE(18616),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4514),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4516),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4518),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [475] = {
    [sym__block] = STATE(18161),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(653),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4520),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4522),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4524),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [476] = {
    [sym__block] = STATE(19069),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(539),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4526),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4528),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4530),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [477] = {
    [sym__block] = STATE(19465),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(710),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4532),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4534),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4536),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [478] = {
    [sym__block] = STATE(18192),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(780),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4538),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4540),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4542),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [479] = {
    [sym__block] = STATE(18474),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(621),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4544),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4546),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4548),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [480] = {
    [sym__block] = STATE(17273),
    [sym_assignment] = STATE(15122),
    [sym_open_tuple] = STATE(14538),
    [sym__expression] = STATE(12025),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10762),
    [sym__array] = STATE(10762),
    [sym_comprehension_expression] = STATE(10762),
    [sym_matrix_expression] = STATE(10762),
    [sym_vector_expression] = STATE(10762),
    [sym_parenthesized_expression] = STATE(10762),
    [sym_tuple_expression] = STATE(10762),
    [sym_curly_expression] = STATE(10762),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10762),
    [sym_index_expression] = STATE(10762),
    [sym_parametrized_type_expression] = STATE(10762),
    [sym_call_expression] = STATE(10762),
    [sym_broadcast_call_expression] = STATE(10762),
    [sym__closed_macrocall_expression] = STATE(10762),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10762),
    [sym_quote_expression] = STATE(10762),
    [sym_binary_expression] = STATE(12798),
    [sym_unary_expression] = STATE(12798),
    [sym_range_expression] = STATE(12798),
    [sym_splat_expression] = STATE(12798),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11907),
    [sym_unary_typed_expression] = STATE(12798),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12798),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(2),
    [sym_boolean_literal] = STATE(10762),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10762),
    [sym_string_literal] = STATE(10762),
    [sym_command_literal] = STATE(10762),
    [sym_prefixed_string_literal] = STATE(10762),
    [sym_prefixed_command_literal] = STATE(10762),
    [sym_operator] = STATE(11947),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_end] = ACTIONS(4550),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_else] = ACTIONS(4550),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_finally] = ACTIONS(4550),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(141),
    [anon_sym_LF] = ACTIONS(4552),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_DOLLAR] = ACTIONS(147),
    [anon_sym_COLON_COLON] = ACTIONS(149),
    [anon_sym_AT] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(157),
    [aux_sym_integer_literal_token2] = ACTIONS(157),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(161),
    [aux_sym_float_literal_token3] = ACTIONS(161),
    [aux_sym_float_literal_token4] = ACTIONS(161),
    [sym_character_literal] = ACTIONS(163),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(165),
    [sym__type_order_operator] = ACTIONS(165),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [aux_sym__terminator_token1] = ACTIONS(4554),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [481] = {
    [sym__block] = STATE(19695),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(549),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4556),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4558),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4560),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [482] = {
    [sym__block] = STATE(19499),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4562),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4564),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4566),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [483] = {
    [sym__block] = STATE(19807),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(465),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4568),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4570),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4572),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [484] = {
    [sym__block] = STATE(19481),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(700),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4574),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4576),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4578),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [485] = {
    [sym__block] = STATE(19044),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(550),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4580),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4582),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4584),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [486] = {
    [sym__block] = STATE(19324),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(750),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4586),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4588),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4590),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [487] = {
    [sym__block] = STATE(18794),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(500),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4592),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4594),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4596),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [488] = {
    [sym__block] = STATE(18166),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4598),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4600),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4602),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [489] = {
    [sym__block] = STATE(19661),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(628),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4604),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4606),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4608),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [490] = {
    [sym__block] = STATE(18884),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(659),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4610),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4612),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4614),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [491] = {
    [sym__block] = STATE(19172),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(498),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4616),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4618),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4620),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [492] = {
    [sym__block] = STATE(18241),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(624),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4622),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4624),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4626),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [493] = {
    [sym__block] = STATE(18666),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(474),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4628),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4630),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4632),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [494] = {
    [sym__block] = STATE(18274),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4634),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4636),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4638),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [495] = {
    [sym__block] = STATE(18382),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4640),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4642),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4644),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [496] = {
    [sym__block] = STATE(18520),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(566),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4646),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4648),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4650),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [497] = {
    [sym__block] = STATE(18481),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4652),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4654),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4656),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [498] = {
    [sym__block] = STATE(19101),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4658),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4660),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4662),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [499] = {
    [sym__block] = STATE(18583),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(545),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4664),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4666),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4668),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [500] = {
    [sym__block] = STATE(18750),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4670),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4672),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [501] = {
    [sym__block] = STATE(18599),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(690),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4676),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4678),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4680),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [502] = {
    [sym__block] = STATE(18257),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(589),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4682),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4684),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4686),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [503] = {
    [sym__block] = STATE(18491),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4688),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4690),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4692),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [504] = {
    [sym__block] = STATE(19287),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(745),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4694),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4696),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4698),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [505] = {
    [sym__block] = STATE(18901),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4700),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4702),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4704),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [506] = {
    [sym__block] = STATE(18336),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(642),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4706),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4708),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4710),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [507] = {
    [sym__block] = STATE(18365),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(652),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4712),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4714),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4716),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [508] = {
    [sym__block] = STATE(18724),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(693),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4718),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4720),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4722),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [509] = {
    [sym__block] = STATE(18199),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(488),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4724),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4726),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4728),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [510] = {
    [sym__block] = STATE(18494),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(763),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4730),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4732),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4734),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [511] = {
    [sym__block] = STATE(18321),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(766),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4736),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4738),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4740),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [512] = {
    [sym__block] = STATE(18708),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(665),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4742),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4744),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [513] = {
    [sym__block] = STATE(18262),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(469),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4748),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4750),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4752),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [514] = {
    [sym__block] = STATE(18541),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(503),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4754),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4756),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4758),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [515] = {
    [sym__block] = STATE(18349),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_type_clause] = STATE(615),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4760),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_LT_COLON] = ACTIONS(4144),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4762),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4764),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [516] = {
    [sym__block] = STATE(19533),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [aux_sym_for_statement_repeat1] = STATE(482),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COMMA] = ACTIONS(4452),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4766),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4768),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4770),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [517] = {
    [sym__block] = STATE(16113),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15408),
    [sym_finally_clause] = STATE(17190),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [518] = {
    [sym__block] = STATE(15735),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15216),
    [sym_finally_clause] = STATE(17050),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [519] = {
    [sym__block] = STATE(15932),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15360),
    [sym_finally_clause] = STATE(17106),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [520] = {
    [sym__block] = STATE(16437),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15266),
    [sym_finally_clause] = STATE(16681),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [521] = {
    [sym__block] = STATE(15827),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15378),
    [sym_finally_clause] = STATE(17004),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [522] = {
    [sym__block] = STATE(15545),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15207),
    [sym_finally_clause] = STATE(17320),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [523] = {
    [sym__block] = STATE(18059),
    [sym_assignment] = STATE(15185),
    [sym_open_tuple] = STATE(15167),
    [sym__expression] = STATE(12876),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11014),
    [sym__array] = STATE(11014),
    [sym_comprehension_expression] = STATE(11014),
    [sym_matrix_expression] = STATE(11014),
    [sym_vector_expression] = STATE(11014),
    [sym_parenthesized_expression] = STATE(11014),
    [sym_tuple_expression] = STATE(11014),
    [sym_curly_expression] = STATE(11014),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11014),
    [sym_index_expression] = STATE(11014),
    [sym_parametrized_type_expression] = STATE(11014),
    [sym_call_expression] = STATE(11014),
    [sym_broadcast_call_expression] = STATE(11014),
    [sym__closed_macrocall_expression] = STATE(11014),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11014),
    [sym_quote_expression] = STATE(11014),
    [sym_binary_expression] = STATE(13044),
    [sym_unary_expression] = STATE(13044),
    [sym_range_expression] = STATE(13044),
    [sym_splat_expression] = STATE(13044),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12404),
    [sym_unary_typed_expression] = STATE(13044),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13044),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11014),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11014),
    [sym_string_literal] = STATE(11014),
    [sym_command_literal] = STATE(11014),
    [sym_prefixed_string_literal] = STATE(11014),
    [sym_prefixed_command_literal] = STATE(11014),
    [sym_operator] = STATE(12400),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4786),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(4786),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4788),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2349),
    [anon_sym_COLON_COLON] = ACTIONS(2351),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2353),
    [aux_sym_integer_literal_token2] = ACTIONS(2353),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(2357),
    [aux_sym_float_literal_token3] = ACTIONS(2357),
    [aux_sym_float_literal_token4] = ACTIONS(2357),
    [sym_character_literal] = ACTIONS(4790),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2361),
    [sym__type_order_operator] = ACTIONS(2361),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [aux_sym__terminator_token1] = ACTIONS(4792),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [524] = {
    [sym__block] = STATE(15796),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15303),
    [sym_finally_clause] = STATE(16809),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [525] = {
    [sym__block] = STATE(16278),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15452),
    [sym_finally_clause] = STATE(17289),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [526] = {
    [sym__block] = STATE(16310),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15314),
    [sym_finally_clause] = STATE(16953),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [527] = {
    [sym__block] = STATE(15576),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15337),
    [sym_finally_clause] = STATE(17232),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [528] = {
    [sym__block] = STATE(18105),
    [sym_assignment] = STATE(15209),
    [sym_open_tuple] = STATE(15073),
    [sym__expression] = STATE(12657),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10953),
    [sym__array] = STATE(10953),
    [sym_comprehension_expression] = STATE(10953),
    [sym_matrix_expression] = STATE(10953),
    [sym_vector_expression] = STATE(10953),
    [sym_parenthesized_expression] = STATE(10953),
    [sym_tuple_expression] = STATE(10953),
    [sym_curly_expression] = STATE(10953),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10953),
    [sym_index_expression] = STATE(10953),
    [sym_parametrized_type_expression] = STATE(10953),
    [sym_call_expression] = STATE(10953),
    [sym_broadcast_call_expression] = STATE(10953),
    [sym__closed_macrocall_expression] = STATE(10953),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(10953),
    [sym_quote_expression] = STATE(10953),
    [sym_binary_expression] = STATE(12926),
    [sym_unary_expression] = STATE(12926),
    [sym_range_expression] = STATE(12926),
    [sym_splat_expression] = STATE(12926),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12246),
    [sym_unary_typed_expression] = STATE(12926),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12926),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(10953),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10953),
    [sym_string_literal] = STATE(10953),
    [sym_command_literal] = STATE(10953),
    [sym_prefixed_string_literal] = STATE(10953),
    [sym_prefixed_command_literal] = STATE(10953),
    [sym_operator] = STATE(12887),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4794),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4794),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4796),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(2381),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [anon_sym_AT] = ACTIONS(679),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(2385),
    [aux_sym_integer_literal_token2] = ACTIONS(2385),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(2389),
    [aux_sym_float_literal_token3] = ACTIONS(2389),
    [aux_sym_float_literal_token4] = ACTIONS(2389),
    [sym_character_literal] = ACTIONS(4798),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(2393),
    [sym__type_order_operator] = ACTIONS(2393),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [aux_sym__terminator_token1] = ACTIONS(4800),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [529] = {
    [sym__block] = STATE(16355),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15397),
    [sym_finally_clause] = STATE(17252),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [530] = {
    [sym__block] = STATE(15670),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15265),
    [sym_finally_clause] = STATE(16927),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [531] = {
    [sym__block] = STATE(16490),
    [sym_assignment] = STATE(15329),
    [sym_open_tuple] = STATE(14891),
    [sym__expression] = STATE(12350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_catch_clause] = STATE(15318),
    [sym_finally_clause] = STATE(17111),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4152),
    [anon_sym_finally] = ACTIONS(4154),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [532] = {
    [sym__block] = STATE(18801),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4802),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4804),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4806),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [533] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4808),
    [anon_sym_LF] = ACTIONS(4810),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4814),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [534] = {
    [sym__block] = STATE(19482),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4816),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4818),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4820),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [535] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4822),
    [anon_sym_LF] = ACTIONS(4824),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4826),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [536] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4828),
    [anon_sym_LF] = ACTIONS(4830),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4832),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [537] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4834),
    [anon_sym_LF] = ACTIONS(4836),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4838),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [538] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4840),
    [anon_sym_LF] = ACTIONS(4842),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4844),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [539] = {
    [sym__block] = STATE(19040),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4846),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4848),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4850),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [540] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4852),
    [anon_sym_LF] = ACTIONS(4854),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4856),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [541] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4858),
    [anon_sym_LF] = ACTIONS(4860),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4862),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [542] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4864),
    [anon_sym_LF] = ACTIONS(4866),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [543] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4870),
    [anon_sym_LF] = ACTIONS(4872),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4874),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [544] = {
    [sym__block] = STATE(18314),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4876),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4878),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [545] = {
    [sym__block] = STATE(18575),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4882),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4884),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4886),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [546] = {
    [sym__block] = STATE(18315),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4888),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4890),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [547] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4894),
    [anon_sym_LF] = ACTIONS(4896),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4898),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [548] = {
    [sym__block] = STATE(19428),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4900),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4902),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4904),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [549] = {
    [sym__block] = STATE(19658),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4906),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4908),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4910),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [550] = {
    [sym__block] = STATE(19021),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4912),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4914),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4916),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [551] = {
    [sym__block] = STATE(19191),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4918),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4920),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4922),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [552] = {
    [sym__block] = STATE(18318),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4924),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4926),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4928),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [553] = {
    [sym__block] = STATE(18450),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4930),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4932),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4934),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [554] = {
    [sym__block] = STATE(19195),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4936),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4940),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [555] = {
    [sym__block] = STATE(19429),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4942),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4944),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4946),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [556] = {
    [sym__block] = STATE(19851),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4948),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4950),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4952),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [557] = {
    [sym__block] = STATE(17117),
    [sym_assignment] = STATE(14970),
    [sym_open_tuple] = STATE(14507),
    [sym__expression] = STATE(11894),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4954),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(4954),
    [anon_sym_else] = ACTIONS(4954),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [558] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4956),
    [anon_sym_LF] = ACTIONS(4958),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4960),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [559] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4962),
    [anon_sym_LF] = ACTIONS(4964),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [560] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4968),
    [anon_sym_LF] = ACTIONS(4970),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4972),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [561] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4974),
    [anon_sym_LF] = ACTIONS(4976),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(4978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [562] = {
    [sym__block] = STATE(19432),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4980),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4982),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4984),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [563] = {
    [sym__block] = STATE(19203),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4986),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4988),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4990),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [564] = {
    [sym__block] = STATE(18409),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4992),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(4994),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(4996),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [565] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4998),
    [anon_sym_LF] = ACTIONS(5000),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [566] = {
    [sym__block] = STATE(18530),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5004),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5006),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5008),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [567] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5010),
    [anon_sym_LF] = ACTIONS(5012),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [568] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5016),
    [anon_sym_LF] = ACTIONS(5018),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [569] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5022),
    [anon_sym_LF] = ACTIONS(5024),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [570] = {
    [sym__block] = STATE(19696),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5028),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5030),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [571] = {
    [sym__block] = STATE(18228),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5034),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5036),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [572] = {
    [sym__block] = STATE(18408),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5040),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5042),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5044),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [573] = {
    [sym__block] = STATE(18404),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5046),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5048),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5050),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [574] = {
    [sym__block] = STATE(18334),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5052),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5054),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5056),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [575] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5058),
    [anon_sym_LF] = ACTIONS(5060),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [576] = {
    [sym__block] = STATE(18443),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5064),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5066),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5068),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [577] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5070),
    [anon_sym_LF] = ACTIONS(5072),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5074),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [578] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5076),
    [anon_sym_LF] = ACTIONS(5078),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5080),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [579] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5082),
    [anon_sym_LF] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5086),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [580] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5088),
    [anon_sym_LF] = ACTIONS(5090),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [581] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5094),
    [anon_sym_LF] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5098),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [582] = {
    [sym__block] = STATE(19448),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5100),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5102),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5104),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [583] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5106),
    [anon_sym_LF] = ACTIONS(5108),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5110),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [584] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5112),
    [anon_sym_LF] = ACTIONS(5114),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5116),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [585] = {
    [sym__block] = STATE(18384),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5118),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5120),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [586] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5124),
    [anon_sym_LF] = ACTIONS(5126),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5128),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [587] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5130),
    [anon_sym_LF] = ACTIONS(5132),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5134),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [588] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5136),
    [anon_sym_LF] = ACTIONS(5138),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [589] = {
    [sym__block] = STATE(18239),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5142),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5144),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5146),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [590] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5148),
    [anon_sym_LF] = ACTIONS(5150),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [591] = {
    [sym__block] = STATE(18633),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5154),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5156),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5158),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [592] = {
    [sym__block] = STATE(18568),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5160),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5162),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [593] = {
    [sym__block] = STATE(18673),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5166),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5168),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [594] = {
    [sym__block] = STATE(19509),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5172),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5174),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [595] = {
    [sym__block] = STATE(18674),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5178),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5180),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5182),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [596] = {
    [sym__block] = STATE(18427),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5184),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5186),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [597] = {
    [sym__block] = STATE(18822),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5190),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5192),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5194),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [598] = {
    [sym__block] = STATE(18424),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5196),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5198),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5200),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [599] = {
    [sym__block] = STATE(19257),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5202),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5204),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5206),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [600] = {
    [sym__block] = STATE(18356),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5208),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5210),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5212),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [601] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5214),
    [anon_sym_LF] = ACTIONS(5216),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [602] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5220),
    [anon_sym_LF] = ACTIONS(5222),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5224),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [603] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5226),
    [anon_sym_LF] = ACTIONS(5228),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [604] = {
    [sym__block] = STATE(18677),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5232),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5234),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5236),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [605] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5238),
    [anon_sym_LF] = ACTIONS(5240),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [606] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5244),
    [anon_sym_LF] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5248),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [607] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5250),
    [anon_sym_LF] = ACTIONS(5252),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [608] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5256),
    [anon_sym_LF] = ACTIONS(5258),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5260),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [609] = {
    [sym__block] = STATE(18477),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5262),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5264),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5266),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [610] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5268),
    [anon_sym_LF] = ACTIONS(5270),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5272),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [611] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5274),
    [anon_sym_LF] = ACTIONS(5276),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5278),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [612] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5280),
    [anon_sym_LF] = ACTIONS(5282),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5284),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [613] = {
    [sym__block] = STATE(19398),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5286),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5288),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5290),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [614] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5292),
    [anon_sym_LF] = ACTIONS(5294),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [615] = {
    [sym__block] = STATE(18341),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5298),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5300),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5302),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [616] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5304),
    [anon_sym_LF] = ACTIONS(5306),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5308),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [617] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5310),
    [anon_sym_LF] = ACTIONS(5312),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5314),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [618] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5316),
    [anon_sym_LF] = ACTIONS(5318),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5320),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [619] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5322),
    [anon_sym_LF] = ACTIONS(5324),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [620] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5328),
    [anon_sym_LF] = ACTIONS(5330),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5332),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [621] = {
    [sym__block] = STATE(18456),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5334),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5336),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [622] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5340),
    [anon_sym_LF] = ACTIONS(5342),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5344),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [623] = {
    [sym__block] = STATE(18693),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5346),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5348),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [624] = {
    [sym__block] = STATE(18233),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5352),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5354),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5356),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [625] = {
    [sym__block] = STATE(18552),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5358),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5360),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [626] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5364),
    [anon_sym_LF] = ACTIONS(5366),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5368),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [627] = {
    [sym__block] = STATE(18320),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5370),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5372),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5374),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [628] = {
    [sym__block] = STATE(19648),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5376),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5378),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5380),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [629] = {
    [sym__block] = STATE(17146),
    [sym_assignment] = STATE(15122),
    [sym_open_tuple] = STATE(14538),
    [sym__expression] = STATE(12025),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10762),
    [sym__array] = STATE(10762),
    [sym_comprehension_expression] = STATE(10762),
    [sym_matrix_expression] = STATE(10762),
    [sym_vector_expression] = STATE(10762),
    [sym_parenthesized_expression] = STATE(10762),
    [sym_tuple_expression] = STATE(10762),
    [sym_curly_expression] = STATE(10762),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10762),
    [sym_index_expression] = STATE(10762),
    [sym_parametrized_type_expression] = STATE(10762),
    [sym_call_expression] = STATE(10762),
    [sym_broadcast_call_expression] = STATE(10762),
    [sym__closed_macrocall_expression] = STATE(10762),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10762),
    [sym_quote_expression] = STATE(10762),
    [sym_binary_expression] = STATE(12798),
    [sym_unary_expression] = STATE(12798),
    [sym_range_expression] = STATE(12798),
    [sym_splat_expression] = STATE(12798),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11907),
    [sym_unary_typed_expression] = STATE(12798),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12798),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10762),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10762),
    [sym_string_literal] = STATE(10762),
    [sym_command_literal] = STATE(10762),
    [sym_prefixed_string_literal] = STATE(10762),
    [sym_prefixed_command_literal] = STATE(10762),
    [sym_operator] = STATE(11947),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_end] = ACTIONS(5382),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_else] = ACTIONS(5382),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_finally] = ACTIONS(5382),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(5400),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [630] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5404),
    [anon_sym_LF] = ACTIONS(5406),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5408),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [631] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5410),
    [anon_sym_LF] = ACTIONS(5412),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5414),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [632] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5416),
    [anon_sym_LF] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5420),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [633] = {
    [sym__block] = STATE(18549),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5422),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5424),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5426),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [634] = {
    [sym__block] = STATE(18548),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5428),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5430),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5432),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [635] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5434),
    [anon_sym_LF] = ACTIONS(5436),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5438),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [636] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5440),
    [anon_sym_LF] = ACTIONS(5442),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5444),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [637] = {
    [sym__block] = STATE(18836),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5446),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5448),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5450),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [638] = {
    [sym__block] = STATE(18258),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5452),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5454),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5456),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [639] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5458),
    [anon_sym_LF] = ACTIONS(5460),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5462),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [640] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5464),
    [anon_sym_LF] = ACTIONS(5466),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5468),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [641] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_LF] = ACTIONS(5472),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [642] = {
    [sym__block] = STATE(18375),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5476),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5478),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5480),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [643] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_LF] = ACTIONS(5484),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5486),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [644] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5488),
    [anon_sym_LF] = ACTIONS(5490),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5492),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [645] = {
    [sym__block] = STATE(19540),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5494),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5496),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5498),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [646] = {
    [sym__block] = STATE(19541),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5500),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5502),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5504),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [647] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_LF] = ACTIONS(5508),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5510),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [648] = {
    [sym__block] = STATE(19544),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5512),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5514),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5516),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [649] = {
    [sym__block] = STATE(19826),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5518),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5520),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5522),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [650] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5524),
    [anon_sym_LF] = ACTIONS(5526),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5528),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [651] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5530),
    [anon_sym_LF] = ACTIONS(5532),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5534),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [652] = {
    [sym__block] = STATE(18347),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5536),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5538),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5540),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [653] = {
    [sym__block] = STATE(18194),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5542),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5544),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5546),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [654] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_LF] = ACTIONS(5550),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5552),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [655] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5554),
    [anon_sym_LF] = ACTIONS(5556),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5558),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [656] = {
    [sym__block] = STATE(19012),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5560),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5562),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5564),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [657] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5566),
    [anon_sym_LF] = ACTIONS(5568),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5570),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [658] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5572),
    [anon_sym_LF] = ACTIONS(5574),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5576),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [659] = {
    [sym__block] = STATE(18843),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5578),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5580),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5582),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [660] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5584),
    [anon_sym_LF] = ACTIONS(5586),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5588),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [661] = {
    [sym__block] = STATE(19822),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5590),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5592),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5594),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [662] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5596),
    [anon_sym_LF] = ACTIONS(5598),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5600),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [663] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5602),
    [anon_sym_LF] = ACTIONS(5604),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5606),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [664] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5608),
    [anon_sym_LF] = ACTIONS(5610),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5612),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [665] = {
    [sym__block] = STATE(18700),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5614),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5616),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5618),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [666] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5620),
    [anon_sym_LF] = ACTIONS(5622),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5624),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [667] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5626),
    [anon_sym_LF] = ACTIONS(5628),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5630),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [668] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5632),
    [anon_sym_LF] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5636),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [669] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5638),
    [anon_sym_LF] = ACTIONS(5640),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5642),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [670] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5644),
    [anon_sym_LF] = ACTIONS(5646),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5648),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [671] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5650),
    [anon_sym_LF] = ACTIONS(5652),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5654),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [672] = {
    [sym__block] = STATE(18246),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5656),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5658),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5660),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [673] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5662),
    [anon_sym_LF] = ACTIONS(5664),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5666),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [674] = {
    [sym__block] = STATE(18244),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5668),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5670),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5672),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [675] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5674),
    [anon_sym_LF] = ACTIONS(5676),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5678),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [676] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5680),
    [anon_sym_LF] = ACTIONS(5682),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5684),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [677] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5686),
    [anon_sym_LF] = ACTIONS(5688),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5690),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [678] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5692),
    [anon_sym_LF] = ACTIONS(5694),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5696),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [679] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5698),
    [anon_sym_LF] = ACTIONS(5700),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5702),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [680] = {
    [sym__block] = STATE(18981),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5704),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5708),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [681] = {
    [sym__block] = STATE(19821),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5710),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5714),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [682] = {
    [sym__block] = STATE(18226),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5716),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5718),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5720),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [683] = {
    [sym__block] = STATE(19561),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5722),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5724),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5726),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [684] = {
    [sym__block] = STATE(19070),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5728),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5730),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5732),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [685] = {
    [sym__block] = STATE(18978),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5734),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5736),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5738),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [686] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5740),
    [anon_sym_LF] = ACTIONS(5742),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5744),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [687] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5746),
    [anon_sym_LF] = ACTIONS(5748),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5750),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [688] = {
    [sym__block] = STATE(18155),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5752),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5756),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [689] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5758),
    [anon_sym_LF] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5762),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [690] = {
    [sym__block] = STATE(18581),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5764),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5766),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5768),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [691] = {
    [sym__block] = STATE(18812),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5770),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5772),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5774),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [692] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5776),
    [anon_sym_LF] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5780),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [693] = {
    [sym__block] = STATE(18706),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5782),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5784),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5786),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [694] = {
    [sym__block] = STATE(18461),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5788),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5790),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5792),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [695] = {
    [sym__block] = STATE(18975),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5794),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5796),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5798),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [696] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5800),
    [anon_sym_LF] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5804),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [697] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5806),
    [anon_sym_LF] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5810),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [698] = {
    [sym__block] = STATE(17206),
    [sym_assignment] = STATE(15122),
    [sym_open_tuple] = STATE(14538),
    [sym__expression] = STATE(12025),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10762),
    [sym__array] = STATE(10762),
    [sym_comprehension_expression] = STATE(10762),
    [sym_matrix_expression] = STATE(10762),
    [sym_vector_expression] = STATE(10762),
    [sym_parenthesized_expression] = STATE(10762),
    [sym_tuple_expression] = STATE(10762),
    [sym_curly_expression] = STATE(10762),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10762),
    [sym_index_expression] = STATE(10762),
    [sym_parametrized_type_expression] = STATE(10762),
    [sym_call_expression] = STATE(10762),
    [sym_broadcast_call_expression] = STATE(10762),
    [sym__closed_macrocall_expression] = STATE(10762),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10762),
    [sym_quote_expression] = STATE(10762),
    [sym_binary_expression] = STATE(12798),
    [sym_unary_expression] = STATE(12798),
    [sym_range_expression] = STATE(12798),
    [sym_splat_expression] = STATE(12798),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11907),
    [sym_unary_typed_expression] = STATE(12798),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12798),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10762),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10762),
    [sym_string_literal] = STATE(10762),
    [sym_command_literal] = STATE(10762),
    [sym_prefixed_string_literal] = STATE(10762),
    [sym_prefixed_command_literal] = STATE(10762),
    [sym_operator] = STATE(11947),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_end] = ACTIONS(99),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_else] = ACTIONS(99),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_finally] = ACTIONS(99),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(5400),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [699] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5812),
    [anon_sym_LF] = ACTIONS(5814),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5816),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [700] = {
    [sym__block] = STATE(19463),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5818),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5820),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5822),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [701] = {
    [sym__block] = STATE(18059),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4786),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5824),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5826),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [702] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5828),
    [anon_sym_LF] = ACTIONS(5830),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5832),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [703] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5834),
    [anon_sym_LF] = ACTIONS(5836),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5838),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [704] = {
    [sym__block] = STATE(18210),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5840),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5842),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5844),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [705] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5846),
    [anon_sym_LF] = ACTIONS(5848),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5850),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [706] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5852),
    [anon_sym_LF] = ACTIONS(5854),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5856),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [707] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5858),
    [anon_sym_LF] = ACTIONS(5860),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5862),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [708] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5864),
    [anon_sym_LF] = ACTIONS(5866),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [709] = {
    [sym__block] = STATE(18475),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5870),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5872),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5874),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [710] = {
    [sym__block] = STATE(19457),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5876),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5878),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [711] = {
    [sym__block] = STATE(18207),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5882),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5884),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5886),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [712] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5888),
    [anon_sym_LF] = ACTIONS(5890),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [713] = {
    [sym__block] = STATE(18206),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5894),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5896),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5898),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [714] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5900),
    [anon_sym_LF] = ACTIONS(5902),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5904),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [715] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5906),
    [anon_sym_LF] = ACTIONS(5908),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5910),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [716] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5912),
    [anon_sym_LF] = ACTIONS(5914),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5916),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [717] = {
    [sym__block] = STATE(18291),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5918),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5920),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5922),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [718] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5924),
    [anon_sym_LF] = ACTIONS(5926),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5928),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [719] = {
    [sym__block] = STATE(19749),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5930),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5932),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5934),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [720] = {
    [sym__block] = STATE(18920),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5936),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5938),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5940),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [721] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5942),
    [anon_sym_LF] = ACTIONS(5944),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5946),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [722] = {
    [sym__block] = STATE(18807),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5948),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5950),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5952),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [723] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5954),
    [anon_sym_LF] = ACTIONS(5956),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [724] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_LF] = ACTIONS(5962),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5964),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [725] = {
    [sym__block] = STATE(19327),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5966),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5968),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [726] = {
    [sym__block] = STATE(18392),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5972),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5974),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [727] = {
    [sym__block] = STATE(17273),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(3),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4550),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5978),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5980),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [728] = {
    [sym__block] = STATE(18105),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4794),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5982),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5984),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [729] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5986),
    [anon_sym_LF] = ACTIONS(5988),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(5990),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [730] = {
    [sym__block] = STATE(18366),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5992),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(5994),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(5996),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [731] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5998),
    [anon_sym_LF] = ACTIONS(6000),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [732] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6004),
    [anon_sym_LF] = ACTIONS(6006),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6008),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [733] = {
    [sym__block] = STATE(18725),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6010),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6012),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [734] = {
    [sym__block] = STATE(18216),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6016),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6018),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [735] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6022),
    [anon_sym_LF] = ACTIONS(6024),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [736] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6028),
    [anon_sym_LF] = ACTIONS(6030),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [737] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6034),
    [anon_sym_LF] = ACTIONS(6036),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [738] = {
    [sym__block] = STATE(18503),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6040),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6042),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6044),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [739] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6046),
    [anon_sym_LF] = ACTIONS(6048),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6050),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [740] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6052),
    [anon_sym_LF] = ACTIONS(6054),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6056),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [741] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6058),
    [anon_sym_LF] = ACTIONS(6060),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [742] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6064),
    [anon_sym_LF] = ACTIONS(6066),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6068),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [743] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6070),
    [anon_sym_LF] = ACTIONS(6072),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6074),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [744] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6076),
    [anon_sym_LF] = ACTIONS(6078),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6080),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [745] = {
    [sym__block] = STATE(19271),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6082),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6084),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6086),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [746] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6088),
    [anon_sym_LF] = ACTIONS(6090),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [747] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6094),
    [anon_sym_LF] = ACTIONS(6096),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6098),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [748] = {
    [sym__block] = STATE(18885),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6100),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6102),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6104),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [749] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6106),
    [anon_sym_LF] = ACTIONS(6108),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6110),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [750] = {
    [sym__block] = STATE(19283),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6112),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6114),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6116),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [751] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6118),
    [anon_sym_LF] = ACTIONS(6120),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [752] = {
    [sym__block] = STATE(19121),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6124),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6126),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6128),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [753] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6130),
    [anon_sym_LF] = ACTIONS(6132),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6134),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [754] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6136),
    [anon_sym_LF] = ACTIONS(6138),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [755] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6142),
    [anon_sym_LF] = ACTIONS(6144),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6146),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [756] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6148),
    [anon_sym_LF] = ACTIONS(6150),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [757] = {
    [sym__block] = STATE(18284),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6154),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6156),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6158),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [758] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6160),
    [anon_sym_LF] = ACTIONS(6162),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [759] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6166),
    [anon_sym_LF] = ACTIONS(6168),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [760] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6172),
    [anon_sym_LF] = ACTIONS(6174),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [761] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6178),
    [anon_sym_LF] = ACTIONS(6180),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6182),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [762] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6184),
    [anon_sym_LF] = ACTIONS(6186),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [763] = {
    [sym__block] = STATE(18522),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6192),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6194),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [764] = {
    [sym__block] = STATE(18768),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6196),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6198),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6200),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [765] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6202),
    [anon_sym_LF] = ACTIONS(6204),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6206),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [766] = {
    [sym__block] = STATE(18359),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6208),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6210),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6212),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [767] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6214),
    [anon_sym_LF] = ACTIONS(6216),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [768] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6220),
    [anon_sym_LF] = ACTIONS(6222),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6224),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [769] = {
    [sym__block] = STATE(18176),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6226),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6228),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [770] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6232),
    [anon_sym_LF] = ACTIONS(6234),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6236),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [771] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6238),
    [anon_sym_LF] = ACTIONS(6240),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [772] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6244),
    [anon_sym_LF] = ACTIONS(6246),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6248),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [773] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6250),
    [anon_sym_LF] = ACTIONS(6252),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [774] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6256),
    [anon_sym_LF] = ACTIONS(6258),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6260),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [775] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6262),
    [anon_sym_LF] = ACTIONS(6264),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6266),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [776] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6268),
    [anon_sym_LF] = ACTIONS(6270),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6272),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [777] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6274),
    [anon_sym_LF] = ACTIONS(6276),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6278),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [778] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6280),
    [anon_sym_LF] = ACTIONS(6282),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6284),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [779] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6286),
    [anon_sym_LF] = ACTIONS(6288),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6290),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [780] = {
    [sym__block] = STATE(18212),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6292),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6294),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [781] = {
    [sym__block] = STATE(18600),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6298),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_LF] = ACTIONS(6300),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_DOLLAR] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(211),
    [aux_sym_integer_literal_token2] = ACTIONS(211),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(215),
    [aux_sym_float_literal_token3] = ACTIONS(215),
    [aux_sym_float_literal_token4] = ACTIONS(215),
    [sym_character_literal] = ACTIONS(217),
    [sym__pair_operator] = ACTIONS(79),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(79),
    [sym__pipe_left_operator] = ACTIONS(79),
    [sym__ellipsis_operator] = ACTIONS(79),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(79),
    [sym__bitshift_operator] = ACTIONS(79),
    [sym__power_operator] = ACTIONS(79),
    [sym__tilde_operator] = ACTIONS(219),
    [sym__type_order_operator] = ACTIONS(219),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [aux_sym__terminator_token1] = ACTIONS(6302),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [782] = {
    [sym__closed_assignment] = STATE(9530),
    [sym__expression] = STATE(7421),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15475),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6304),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6310),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [783] = {
    [sym__closed_assignment] = STATE(9545),
    [sym__expression] = STATE(8083),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15859),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6328),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6330),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [784] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6286),
    [anon_sym_LF] = ACTIONS(6332),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [785] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6220),
    [anon_sym_LF] = ACTIONS(6334),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [786] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6238),
    [anon_sym_LF] = ACTIONS(6336),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [787] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6214),
    [anon_sym_LF] = ACTIONS(6338),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [788] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6280),
    [anon_sym_LF] = ACTIONS(6340),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [789] = {
    [sym__closed_assignment] = STATE(9484),
    [sym__expression] = STATE(7476),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16645),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6342),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6344),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [790] = {
    [sym__closed_assignment] = STATE(9483),
    [sym__expression] = STATE(7770),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16650),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6346),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6348),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [791] = {
    [sym__closed_assignment] = STATE(9506),
    [sym__expression] = STATE(7647),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15824),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6350),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6352),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [792] = {
    [sym__closed_assignment] = STATE(9510),
    [sym__expression] = STATE(7882),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16368),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6354),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6356),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [793] = {
    [sym__closed_assignment] = STATE(9489),
    [sym__expression] = STATE(7813),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15562),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6358),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6360),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [794] = {
    [sym__closed_assignment] = STATE(9495),
    [sym__expression] = STATE(7534),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16280),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6362),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6364),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [795] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6178),
    [anon_sym_LF] = ACTIONS(6366),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [796] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6184),
    [anon_sym_LF] = ACTIONS(6368),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [797] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6130),
    [anon_sym_LF] = ACTIONS(6370),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [798] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6142),
    [anon_sym_LF] = ACTIONS(6372),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [799] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6136),
    [anon_sym_LF] = ACTIONS(6374),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [800] = {
    [sym__closed_assignment] = STATE(9529),
    [sym__expression] = STATE(8092),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16418),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6376),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6378),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [801] = {
    [sym__closed_assignment] = STATE(9519),
    [sym__expression] = STATE(8078),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15539),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6380),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6382),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [802] = {
    [sym__closed_assignment] = STATE(880),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(880),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6384),
    [anon_sym_LF] = ACTIONS(6386),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [aux_sym__terminator_token1] = ACTIONS(6384),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [803] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5776),
    [anon_sym_LF] = ACTIONS(6388),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [804] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5806),
    [anon_sym_LF] = ACTIONS(6390),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [805] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6004),
    [anon_sym_LF] = ACTIONS(6392),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [806] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5626),
    [anon_sym_LF] = ACTIONS(6394),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [807] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6058),
    [anon_sym_LF] = ACTIONS(6396),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [808] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5572),
    [anon_sym_LF] = ACTIONS(6398),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [809] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6046),
    [anon_sym_LF] = ACTIONS(6400),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [810] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6028),
    [anon_sym_LF] = ACTIONS(6402),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [811] = {
    [sym__closed_assignment] = STATE(14467),
    [sym__expression] = STATE(11575),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17779),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6406),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6408),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [812] = {
    [sym__closed_assignment] = STATE(9507),
    [sym__expression] = STATE(7739),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16649),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6412),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6414),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [813] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6022),
    [anon_sym_LF] = ACTIONS(6416),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [814] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4834),
    [anon_sym_LF] = ACTIONS(6418),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [815] = {
    [sym__closed_assignment] = STATE(9538),
    [sym__expression] = STATE(8105),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16610),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6420),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6422),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [816] = {
    [sym__closed_assignment] = STATE(9527),
    [sym__expression] = STATE(7911),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15574),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6424),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6426),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [817] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6088),
    [anon_sym_LF] = ACTIONS(6428),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [818] = {
    [sym__closed_assignment] = STATE(9500),
    [sym__expression] = STATE(7902),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16108),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6430),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6432),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [819] = {
    [sym__closed_assignment] = STATE(14455),
    [sym__expression] = STATE(11661),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17696),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6434),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6436),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [820] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5998),
    [anon_sym_LF] = ACTIONS(6438),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [821] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5942),
    [anon_sym_LF] = ACTIONS(6440),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [822] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_LF] = ACTIONS(6442),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [823] = {
    [sym__closed_assignment] = STATE(9525),
    [sym__expression] = STATE(7940),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16573),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6444),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6446),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [824] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(6148),
    [anon_sym_LF] = ACTIONS(6448),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [825] = {
    [sym__closed_assignment] = STATE(9494),
    [sym__expression] = STATE(7422),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15566),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6450),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6452),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [826] = {
    [sym__closed_assignment] = STATE(9521),
    [sym__expression] = STATE(7791),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16291),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6454),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6456),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [827] = {
    [sym__closed_assignment] = STATE(9496),
    [sym__expression] = STATE(7532),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16298),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6458),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6460),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [828] = {
    [sym__closed_assignment] = STATE(9503),
    [sym__expression] = STATE(7765),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16106),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6462),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6464),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [829] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5924),
    [anon_sym_LF] = ACTIONS(6466),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [830] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5852),
    [anon_sym_LF] = ACTIONS(6468),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [831] = {
    [sym__closed_assignment] = STATE(9486),
    [sym__expression] = STATE(7781),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15699),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6470),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6472),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [832] = {
    [sym__closed_assignment] = STATE(9487),
    [sym__expression] = STATE(7495),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16081),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6474),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6476),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [833] = {
    [sym__closed_assignment] = STATE(9531),
    [sym__expression] = STATE(7426),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16378),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6478),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6480),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [834] = {
    [sym__closed_assignment] = STATE(14429),
    [sym__expression] = STATE(11722),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17438),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6482),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6484),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [835] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5864),
    [anon_sym_LF] = ACTIONS(6486),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [836] = {
    [sym__closed_assignment] = STATE(9540),
    [sym__expression] = STATE(7627),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15800),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6488),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6490),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [837] = {
    [sym__closed_assignment] = STATE(9514),
    [sym__expression] = STATE(7937),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16575),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6492),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6494),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [838] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5680),
    [anon_sym_LF] = ACTIONS(6496),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [839] = {
    [sym__closed_assignment] = STATE(9542),
    [sym__expression] = STATE(8030),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15891),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6498),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6500),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [840] = {
    [sym__closed_assignment] = STATE(9478),
    [sym__expression] = STATE(7890),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15568),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6502),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6504),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [841] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5758),
    [anon_sym_LF] = ACTIONS(6506),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [842] = {
    [sym__block] = STATE(18055),
    [sym_assignment] = STATE(15209),
    [sym_open_tuple] = STATE(15073),
    [sym__expression] = STATE(12657),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10953),
    [sym__array] = STATE(10953),
    [sym_comprehension_expression] = STATE(10953),
    [sym_matrix_expression] = STATE(10953),
    [sym_vector_expression] = STATE(10953),
    [sym_parenthesized_expression] = STATE(10953),
    [sym_tuple_expression] = STATE(10953),
    [sym_curly_expression] = STATE(10953),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10953),
    [sym_index_expression] = STATE(10953),
    [sym_parametrized_type_expression] = STATE(10953),
    [sym_call_expression] = STATE(10953),
    [sym_broadcast_call_expression] = STATE(10953),
    [sym__closed_macrocall_expression] = STATE(10953),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(10953),
    [sym_quote_expression] = STATE(10953),
    [sym_binary_expression] = STATE(12926),
    [sym_unary_expression] = STATE(12926),
    [sym_range_expression] = STATE(12926),
    [sym_splat_expression] = STATE(12926),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12246),
    [sym_unary_typed_expression] = STATE(12926),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12926),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(10953),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10953),
    [sym_string_literal] = STATE(10953),
    [sym_command_literal] = STATE(10953),
    [sym_prefixed_string_literal] = STATE(10953),
    [sym_prefixed_command_literal] = STATE(10953),
    [sym_operator] = STATE(12887),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6508),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(6508),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(6520),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [843] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5746),
    [anon_sym_LF] = ACTIONS(6524),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [844] = {
    [sym__closed_assignment] = STATE(9499),
    [sym__expression] = STATE(7738),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16646),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6526),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6528),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [845] = {
    [sym__closed_assignment] = STATE(14463),
    [sym__expression] = STATE(11840),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17693),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6530),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6532),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [846] = {
    [sym__closed_assignment] = STATE(9528),
    [sym__expression] = STATE(7838),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15570),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6534),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6536),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [847] = {
    [sym__closed_assignment] = STATE(9509),
    [sym__expression] = STATE(7742),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16161),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6538),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6540),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [848] = {
    [sym_assignment] = STATE(15238),
    [sym_open_tuple] = STATE(14867),
    [sym__expression] = STATE(12257),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10762),
    [sym__array] = STATE(10762),
    [sym_comprehension_expression] = STATE(10762),
    [sym_matrix_expression] = STATE(10762),
    [sym_vector_expression] = STATE(10762),
    [sym_parenthesized_expression] = STATE(10762),
    [sym_tuple_expression] = STATE(10762),
    [sym_curly_expression] = STATE(10762),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10762),
    [sym_index_expression] = STATE(10762),
    [sym_parametrized_type_expression] = STATE(10762),
    [sym_call_expression] = STATE(10762),
    [sym_broadcast_call_expression] = STATE(10762),
    [sym__closed_macrocall_expression] = STATE(10762),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10762),
    [sym_quote_expression] = STATE(10762),
    [sym_binary_expression] = STATE(12798),
    [sym_unary_expression] = STATE(12798),
    [sym_range_expression] = STATE(12798),
    [sym_splat_expression] = STATE(12798),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11907),
    [sym_unary_typed_expression] = STATE(12798),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12798),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10762),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10762),
    [sym_string_literal] = STATE(10762),
    [sym_command_literal] = STATE(10762),
    [sym_prefixed_string_literal] = STATE(10762),
    [sym_prefixed_command_literal] = STATE(10762),
    [sym_operator] = STATE(11947),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_end] = ACTIONS(6542),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_else] = ACTIONS(6542),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_finally] = ACTIONS(6542),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(5400),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [849] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5256),
    [anon_sym_LF] = ACTIONS(6544),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [850] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5596),
    [anon_sym_LF] = ACTIONS(6546),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [851] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5698),
    [anon_sym_LF] = ACTIONS(6548),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [852] = {
    [sym__closed_assignment] = STATE(9482),
    [sym__expression] = STATE(7491),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16024),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6550),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6552),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [853] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5662),
    [anon_sym_LF] = ACTIONS(6554),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [854] = {
    [sym__closed_assignment] = STATE(9513),
    [sym__expression] = STATE(7548),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16165),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6556),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6558),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [855] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5608),
    [anon_sym_LF] = ACTIONS(6560),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [856] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5674),
    [anon_sym_LF] = ACTIONS(6562),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [857] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5686),
    [anon_sym_LF] = ACTIONS(6564),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [858] = {
    [sym__closed_assignment] = STATE(14412),
    [sym__expression] = STATE(11635),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17975),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6566),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6568),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6570),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [859] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5322),
    [anon_sym_LF] = ACTIONS(6572),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [860] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5584),
    [anon_sym_LF] = ACTIONS(6574),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [861] = {
    [sym__closed_assignment] = STATE(9517),
    [sym__expression] = STATE(7367),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16075),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6576),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6578),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [862] = {
    [sym__closed_assignment] = STATE(9515),
    [sym__expression] = STATE(8006),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15497),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6580),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6582),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [863] = {
    [sym__closed_assignment] = STATE(9488),
    [sym__expression] = STATE(7560),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16288),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6584),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6586),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [864] = {
    [sym__closed_assignment] = STATE(9548),
    [sym__expression] = STATE(7832),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15971),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6588),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6590),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [865] = {
    [sym__closed_assignment] = STATE(9537),
    [sym__expression] = STATE(7416),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16475),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6592),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6594),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [866] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5554),
    [anon_sym_LF] = ACTIONS(6596),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [867] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5548),
    [anon_sym_LF] = ACTIONS(6598),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [868] = {
    [sym__closed_assignment] = STATE(9497),
    [sym__expression] = STATE(7735),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16144),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6600),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6602),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [869] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5530),
    [anon_sym_LF] = ACTIONS(6604),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [870] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5022),
    [anon_sym_LF] = ACTIONS(6606),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [871] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5488),
    [anon_sym_LF] = ACTIONS(6608),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [872] = {
    [sym__closed_assignment] = STATE(9522),
    [sym__expression] = STATE(7807),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15646),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6610),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6612),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [873] = {
    [sym__closed_assignment] = STATE(9543),
    [sym__expression] = STATE(7581),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15598),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6614),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6616),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [874] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5482),
    [anon_sym_LF] = ACTIONS(6618),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [875] = {
    [sym__closed_assignment] = STATE(14457),
    [sym__expression] = STATE(11810),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17364),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6620),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6622),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [876] = {
    [sym__closed_assignment] = STATE(9539),
    [sym__expression] = STATE(7353),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16558),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6624),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6626),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [877] = {
    [sym__closed_assignment] = STATE(9520),
    [sym__expression] = STATE(7371),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16495),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6628),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6630),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [878] = {
    [sym__closed_assignment] = STATE(9481),
    [sym__expression] = STATE(7726),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16201),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6632),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6634),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [879] = {
    [sym__closed_assignment] = STATE(9504),
    [sym__expression] = STATE(7716),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16226),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6636),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6638),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [880] = {
    [sym__closed_assignment] = STATE(880),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(880),
    [sym__word_identifier] = ACTIONS(6640),
    [anon_sym_COLON] = ACTIONS(6643),
    [anon_sym_begin] = ACTIONS(6646),
    [anon_sym_module] = ACTIONS(6649),
    [anon_sym_baremodule] = ACTIONS(6649),
    [anon_sym_abstract] = ACTIONS(6652),
    [anon_sym_primitive] = ACTIONS(6655),
    [anon_sym_mutable] = ACTIONS(6658),
    [anon_sym_struct] = ACTIONS(6661),
    [anon_sym_function] = ACTIONS(6664),
    [anon_sym_macro] = ACTIONS(6667),
    [anon_sym_quote] = ACTIONS(6670),
    [anon_sym_let] = ACTIONS(6673),
    [anon_sym_if] = ACTIONS(6676),
    [anon_sym_try] = ACTIONS(6679),
    [anon_sym_for] = ACTIONS(6682),
    [anon_sym_while] = ACTIONS(6685),
    [sym_break_statement] = ACTIONS(6688),
    [sym_continue_statement] = ACTIONS(6688),
    [anon_sym_return] = ACTIONS(6691),
    [anon_sym_const] = ACTIONS(6694),
    [anon_sym_global] = ACTIONS(6697),
    [anon_sym_local] = ACTIONS(6700),
    [anon_sym_LPAREN] = ACTIONS(6703),
    [anon_sym_export] = ACTIONS(6706),
    [anon_sym_import] = ACTIONS(6709),
    [anon_sym_using] = ACTIONS(6709),
    [anon_sym_LBRACK] = ACTIONS(6712),
    [anon_sym_RBRACK] = ACTIONS(6715),
    [anon_sym_LF] = ACTIONS(6717),
    [anon_sym_LBRACE] = ACTIONS(6719),
    [anon_sym_DOLLAR] = ACTIONS(6722),
    [anon_sym_COLON_COLON] = ACTIONS(6725),
    [anon_sym_AT] = ACTIONS(6728),
    [anon_sym_true] = ACTIONS(6731),
    [anon_sym_false] = ACTIONS(6731),
    [aux_sym_integer_literal_token1] = ACTIONS(6734),
    [aux_sym_integer_literal_token2] = ACTIONS(6734),
    [aux_sym_integer_literal_token3] = ACTIONS(6734),
    [aux_sym_integer_literal_token4] = ACTIONS(6737),
    [aux_sym_float_literal_token1] = ACTIONS(6740),
    [aux_sym_float_literal_token3] = ACTIONS(6740),
    [aux_sym_float_literal_token4] = ACTIONS(6740),
    [sym_character_literal] = ACTIONS(6743),
    [sym__pair_operator] = ACTIONS(6746),
    [sym__arrow_operator] = ACTIONS(6746),
    [sym__comparison_operator] = ACTIONS(6746),
    [sym__pipe_right_operator] = ACTIONS(6746),
    [sym__pipe_left_operator] = ACTIONS(6746),
    [sym__ellipsis_operator] = ACTIONS(6746),
    [sym__plus_operator] = ACTIONS(6746),
    [sym__times_operator] = ACTIONS(6746),
    [sym__rational_operator] = ACTIONS(6746),
    [sym__bitshift_operator] = ACTIONS(6746),
    [sym__power_operator] = ACTIONS(6746),
    [sym__tilde_operator] = ACTIONS(6749),
    [sym__type_order_operator] = ACTIONS(6749),
    [sym__unary_operator] = ACTIONS(6749),
    [sym__unary_plus_operator] = ACTIONS(6749),
    [aux_sym__terminator_token1] = ACTIONS(6715),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(6752),
    [sym__command_start] = ACTIONS(6755),
  },
  [881] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5434),
    [anon_sym_LF] = ACTIONS(6758),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [882] = {
    [sym__closed_assignment] = STATE(9535),
    [sym__expression] = STATE(7417),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16354),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6760),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6762),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [883] = {
    [sym__closed_assignment] = STATE(14458),
    [sym__expression] = STATE(11610),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17380),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6764),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6766),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [884] = {
    [sym__closed_assignment] = STATE(9502),
    [sym__expression] = STATE(7815),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15749),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6768),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6770),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [885] = {
    [sym__closed_assignment] = STATE(9544),
    [sym__expression] = STATE(7390),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15748),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6772),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6774),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [886] = {
    [sym__block] = STATE(18009),
    [sym_assignment] = STATE(15185),
    [sym_open_tuple] = STATE(15167),
    [sym__expression] = STATE(12876),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11014),
    [sym__array] = STATE(11014),
    [sym_comprehension_expression] = STATE(11014),
    [sym_matrix_expression] = STATE(11014),
    [sym_vector_expression] = STATE(11014),
    [sym_parenthesized_expression] = STATE(11014),
    [sym_tuple_expression] = STATE(11014),
    [sym_curly_expression] = STATE(11014),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11014),
    [sym_index_expression] = STATE(11014),
    [sym_parametrized_type_expression] = STATE(11014),
    [sym_call_expression] = STATE(11014),
    [sym_broadcast_call_expression] = STATE(11014),
    [sym__closed_macrocall_expression] = STATE(11014),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11014),
    [sym_quote_expression] = STATE(11014),
    [sym_binary_expression] = STATE(13044),
    [sym_unary_expression] = STATE(13044),
    [sym_range_expression] = STATE(13044),
    [sym_splat_expression] = STATE(13044),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12404),
    [sym_unary_typed_expression] = STATE(13044),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13044),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11014),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11014),
    [sym_string_literal] = STATE(11014),
    [sym_command_literal] = STATE(11014),
    [sym_prefixed_string_literal] = STATE(11014),
    [sym_prefixed_command_literal] = STATE(11014),
    [sym_operator] = STATE(12400),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6776),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(6776),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(6788),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [887] = {
    [sym__closed_assignment] = STATE(9477),
    [sym__expression] = STATE(7799),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16176),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6792),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6794),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [888] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5316),
    [anon_sym_LF] = ACTIONS(6796),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [889] = {
    [sym__closed_assignment] = STATE(9532),
    [sym__expression] = STATE(7439),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16381),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6798),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6800),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [890] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5470),
    [anon_sym_LF] = ACTIONS(6802),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [891] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5310),
    [anon_sym_LF] = ACTIONS(6804),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [892] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5280),
    [anon_sym_LF] = ACTIONS(6806),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [893] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5464),
    [anon_sym_LF] = ACTIONS(6808),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [894] = {
    [sym__closed_assignment] = STATE(9536),
    [sym__expression] = STATE(7412),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16546),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6810),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6812),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [895] = {
    [sym__closed_assignment] = STATE(9526),
    [sym__expression] = STATE(7875),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15921),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6814),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6816),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [896] = {
    [sym__closed_assignment] = STATE(14425),
    [sym__expression] = STATE(11742),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6818),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6820),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [897] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5238),
    [anon_sym_LF] = ACTIONS(6822),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [898] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5226),
    [anon_sym_LF] = ACTIONS(6824),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [899] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5244),
    [anon_sym_LF] = ACTIONS(6826),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [900] = {
    [sym__closed_assignment] = STATE(9491),
    [sym__expression] = STATE(7544),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15633),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6828),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6830),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [901] = {
    [sym__closed_assignment] = STATE(9492),
    [sym__expression] = STATE(7916),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16596),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6832),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6834),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [902] = {
    [sym__closed_assignment] = STATE(9524),
    [sym__expression] = STATE(8001),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16482),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6836),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6838),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [903] = {
    [sym__closed_assignment] = STATE(14469),
    [sym__expression] = STATE(11838),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17580),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6840),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6842),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [904] = {
    [sym__closed_assignment] = STATE(14413),
    [sym__expression] = STATE(11792),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17541),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6844),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6846),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [905] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5148),
    [anon_sym_LF] = ACTIONS(6848),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [906] = {
    [sym__closed_assignment] = STATE(9493),
    [sym__expression] = STATE(7445),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16592),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6850),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6852),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [907] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5112),
    [anon_sym_LF] = ACTIONS(6854),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [908] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5250),
    [anon_sym_LF] = ACTIONS(6856),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [909] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(14872),
    [sym__expression] = STATE(12299),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6858),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(6858),
    [anon_sym_else] = ACTIONS(6858),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [910] = {
    [sym__closed_assignment] = STATE(9523),
    [sym__expression] = STATE(8079),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15544),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6860),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6862),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [911] = {
    [sym__closed_assignment] = STATE(14468),
    [sym__expression] = STATE(11763),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17739),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6864),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6866),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [912] = {
    [sym__closed_assignment] = STATE(9490),
    [sym__expression] = STATE(7927),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15808),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6868),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6870),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [913] = {
    [sym__closed_assignment] = STATE(9480),
    [sym__expression] = STATE(7802),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15947),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6872),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6874),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [914] = {
    [sym__closed_assignment] = STATE(14439),
    [sym__expression] = STATE(11790),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17588),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6876),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6878),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [915] = {
    [sym__closed_assignment] = STATE(14472),
    [sym__expression] = STATE(11627),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(18132),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6880),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6882),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [916] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5106),
    [anon_sym_LF] = ACTIONS(6884),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [917] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5076),
    [anon_sym_LF] = ACTIONS(6886),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [918] = {
    [sym__closed_assignment] = STATE(9498),
    [sym__expression] = STATE(7862),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15900),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6888),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6890),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [919] = {
    [sym__closed_assignment] = STATE(14429),
    [sym__expression] = STATE(11668),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17819),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6892),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6894),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [920] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5016),
    [anon_sym_LF] = ACTIONS(6896),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [921] = {
    [sym__closed_assignment] = STATE(9505),
    [sym__expression] = STATE(7447),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16287),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6898),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6900),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [922] = {
    [sym__closed_assignment] = STATE(9512),
    [sym__expression] = STATE(7747),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15951),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6902),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6904),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [923] = {
    [sym__closed_assignment] = STATE(9485),
    [sym__expression] = STATE(7542),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16290),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6906),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6908),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [924] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5136),
    [anon_sym_LF] = ACTIONS(6910),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [925] = {
    [sym__closed_assignment] = STATE(9516),
    [sym__expression] = STATE(7330),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15485),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6912),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6914),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [926] = {
    [sym__closed_assignment] = STATE(14416),
    [sym__expression] = STATE(11621),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17597),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(6404),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(6916),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(6918),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [927] = {
    [sym__closed_assignment] = STATE(9546),
    [sym__expression] = STATE(8080),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15736),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6920),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6922),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [928] = {
    [sym__closed_assignment] = STATE(9541),
    [sym__expression] = STATE(7746),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16015),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6924),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6926),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [929] = {
    [sym__closed_assignment] = STATE(9501),
    [sym__expression] = STATE(7299),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15726),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6928),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6930),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [930] = {
    [sym__closed_assignment] = STATE(9518),
    [sym__expression] = STATE(7294),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16450),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6932),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6934),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [931] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5094),
    [anon_sym_LF] = ACTIONS(6936),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [932] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4968),
    [anon_sym_LF] = ACTIONS(6938),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [933] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4962),
    [anon_sym_LF] = ACTIONS(6940),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [934] = {
    [sym__closed_assignment] = STATE(9534),
    [sym__expression] = STATE(7427),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16383),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6942),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6944),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [935] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4894),
    [anon_sym_LF] = ACTIONS(6946),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [936] = {
    [sym__closed_assignment] = STATE(9533),
    [sym__expression] = STATE(7865),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(15730),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6948),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6950),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [937] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4858),
    [anon_sym_LF] = ACTIONS(6952),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [938] = {
    [sym__closed_assignment] = STATE(9508),
    [sym__expression] = STATE(7567),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16000),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6954),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6956),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [939] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4870),
    [anon_sym_LF] = ACTIONS(6958),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [940] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(14872),
    [sym__expression] = STATE(12299),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6542),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(6542),
    [anon_sym_else] = ACTIONS(6542),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [941] = {
    [sym_assignment] = STATE(15238),
    [sym_open_tuple] = STATE(14867),
    [sym__expression] = STATE(12257),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10762),
    [sym__array] = STATE(10762),
    [sym_comprehension_expression] = STATE(10762),
    [sym_matrix_expression] = STATE(10762),
    [sym_vector_expression] = STATE(10762),
    [sym_parenthesized_expression] = STATE(10762),
    [sym_tuple_expression] = STATE(10762),
    [sym_curly_expression] = STATE(10762),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10762),
    [sym_index_expression] = STATE(10762),
    [sym_parametrized_type_expression] = STATE(10762),
    [sym_call_expression] = STATE(10762),
    [sym_broadcast_call_expression] = STATE(10762),
    [sym__closed_macrocall_expression] = STATE(10762),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10762),
    [sym_quote_expression] = STATE(10762),
    [sym_binary_expression] = STATE(12798),
    [sym_unary_expression] = STATE(12798),
    [sym_range_expression] = STATE(12798),
    [sym_splat_expression] = STATE(12798),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11907),
    [sym_unary_typed_expression] = STATE(12798),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12798),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10762),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10762),
    [sym_string_literal] = STATE(10762),
    [sym_command_literal] = STATE(10762),
    [sym_prefixed_string_literal] = STATE(10762),
    [sym_prefixed_command_literal] = STATE(10762),
    [sym_operator] = STATE(11947),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_end] = ACTIONS(6858),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_else] = ACTIONS(6858),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_finally] = ACTIONS(6858),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(5400),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [942] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(4822),
    [anon_sym_LF] = ACTIONS(6960),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [943] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_RBRACK] = ACTIONS(5364),
    [anon_sym_LF] = ACTIONS(6962),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [944] = {
    [sym__closed_assignment] = STATE(9479),
    [sym__expression] = STATE(7409),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_matrix_row] = STATE(16421),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COMMA] = ACTIONS(6964),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6966),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [945] = {
    [sym__block] = STATE(19128),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6968),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [946] = {
    [sym__block] = STATE(18768),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6196),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [947] = {
    [sym__closed_assignment] = STATE(14897),
    [sym__expression] = STATE(12227),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17785),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3482),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3484),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [948] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(6984),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [949] = {
    [sym__block] = STATE(18403),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6990),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [950] = {
    [sym__block] = STATE(18450),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4930),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [951] = {
    [sym__block] = STATE(19427),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6992),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [952] = {
    [sym__block] = STATE(19426),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6994),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [953] = {
    [sym__block] = STATE(18452),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6996),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [954] = {
    [sym__block] = STATE(19580),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6998),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [955] = {
    [sym__block] = STATE(18898),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7000),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [956] = {
    [sym__block] = STATE(18411),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7002),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [957] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7004),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [958] = {
    [sym__block] = STATE(19293),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7006),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [959] = {
    [sym__closed_assignment] = STATE(16455),
    [sym__expression] = STATE(12801),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7008),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7010),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7012),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [960] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7016),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [961] = {
    [sym__block] = STATE(18428),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7018),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [962] = {
    [sym__closed_assignment] = STATE(14965),
    [sym__expression] = STATE(12036),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17693),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3946),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3948),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [963] = {
    [sym__closed_assignment] = STATE(15022),
    [sym__expression] = STATE(12190),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17709),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3502),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3504),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [964] = {
    [sym__block] = STATE(18410),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7020),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [965] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(12208),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(16950),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7024),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [966] = {
    [sym__block] = STATE(18448),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7026),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [967] = {
    [sym__closed_assignment] = STATE(14932),
    [sym__expression] = STATE(12192),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17444),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7028),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7030),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [968] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7032),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [969] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7034),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [970] = {
    [sym__block] = STATE(19433),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7036),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [971] = {
    [sym__closed_assignment] = STATE(14548),
    [sym__expression] = STATE(12242),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17601),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3976),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3978),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [972] = {
    [sym__block] = STATE(18449),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7038),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [973] = {
    [sym__closed_assignment] = STATE(15858),
    [sym__expression] = STATE(12628),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7040),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7042),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7044),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [974] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7046),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [975] = {
    [sym__block] = STATE(18422),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7048),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [976] = {
    [sym__block] = STATE(19402),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7050),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [977] = {
    [sym__closed_assignment] = STATE(14622),
    [sym__expression] = STATE(12237),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17756),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3552),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3554),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [978] = {
    [sym__block] = STATE(19631),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7052),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [979] = {
    [sym__block] = STATE(18421),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7054),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [980] = {
    [sym__closed_assignment] = STATE(15159),
    [sym__expression] = STATE(12017),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17799),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3438),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3440),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [981] = {
    [sym__block] = STATE(19398),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5286),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [982] = {
    [sym__block] = STATE(17146),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5382),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [983] = {
    [sym__block] = STATE(18378),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7056),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [984] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(11869),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(16949),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7058),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [985] = {
    [sym__block] = STATE(18456),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5334),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [986] = {
    [sym__block] = STATE(18457),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7060),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [987] = {
    [sym__block] = STATE(18841),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7062),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [988] = {
    [sym__block] = STATE(19397),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7064),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [989] = {
    [sym__closed_assignment] = STATE(14943),
    [sym__expression] = STATE(11887),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17605),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4086),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4088),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [990] = {
    [sym__block] = STATE(18842),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7066),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [991] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7068),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [992] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7070),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [993] = {
    [sym__closed_assignment] = STATE(15826),
    [sym__expression] = STATE(12255),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7072),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7074),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7076),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [994] = {
    [sym__block] = STATE(19396),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7078),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [995] = {
    [sym__block] = STATE(19395),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7080),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [996] = {
    [sym__block] = STATE(19394),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7082),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [997] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(12082),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(16827),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7084),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [998] = {
    [sym__block] = STATE(19614),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7086),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [999] = {
    [sym__block] = STATE(18377),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7088),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1000] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7090),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1001] = {
    [sym__closed_assignment] = STATE(15961),
    [sym__expression] = STATE(12409),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7092),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7094),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7096),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1002] = {
    [sym__closed_assignment] = STATE(16498),
    [sym__expression] = STATE(12711),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7098),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7100),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7102),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1003] = {
    [sym__block] = STATE(19387),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4502),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1004] = {
    [sym__closed_assignment] = STATE(14776),
    [sym__expression] = STATE(12057),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17570),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3732),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3734),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1005] = {
    [sym__block] = STATE(19386),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7104),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1006] = {
    [sym__closed_assignment] = STATE(15675),
    [sym__expression] = STATE(12388),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7106),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7108),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7110),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1007] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7112),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1008] = {
    [sym__closed_assignment] = STATE(14936),
    [sym__expression] = STATE(12203),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17788),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3820),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3822),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1009] = {
    [sym__block] = STATE(18375),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5476),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1010] = {
    [sym__block] = STATE(18822),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5190),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1011] = {
    [sym__closed_assignment] = STATE(14643),
    [sym__expression] = STATE(12220),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17758),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3632),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3634),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1012] = {
    [sym__block] = STATE(18439),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7114),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1013] = {
    [sym__closed_assignment] = STATE(14623),
    [sym__expression] = STATE(12232),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17588),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3870),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3872),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1014] = {
    [sym__block] = STATE(19870),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7116),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1015] = {
    [sym__block] = STATE(18183),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7118),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1016] = {
    [sym__block] = STATE(18466),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7120),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1017] = {
    [sym__closed_assignment] = STATE(14863),
    [sym__expression] = STATE(12059),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17782),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3880),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3882),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1018] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7122),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1019] = {
    [sym__block] = STATE(18461),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5788),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1020] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7124),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1021] = {
    [sym__block] = STATE(18463),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7126),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1022] = {
    [sym__block] = STATE(18948),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7128),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1023] = {
    [sym__block] = STATE(18465),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7130),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1024] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7132),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1025] = {
    [sym__closed_assignment] = STATE(16385),
    [sym__expression] = STATE(12428),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7134),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7136),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7138),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1026] = {
    [sym__block] = STATE(18845),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7140),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1027] = {
    [sym__block] = STATE(18471),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7142),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1028] = {
    [sym__block] = STATE(18472),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7144),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1029] = {
    [sym__block] = STATE(18467),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7146),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1030] = {
    [sym__block] = STATE(19827),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7148),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1031] = {
    [sym__block] = STATE(19244),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7150),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1032] = {
    [sym__block] = STATE(19664),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7152),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1033] = {
    [sym__closed_assignment] = STATE(15861),
    [sym__expression] = STATE(12610),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7154),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7156),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7158),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1034] = {
    [sym__block] = STATE(18396),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7160),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1035] = {
    [sym__block] = STATE(18475),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5870),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1036] = {
    [sym__block] = STATE(18359),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6208),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1037] = {
    [sym__block] = STATE(19327),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5966),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1038] = {
    [sym__closed_assignment] = STATE(14839),
    [sym__expression] = STATE(11895),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17649),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3936),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3938),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1039] = {
    [sym__block] = STATE(18392),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5972),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1040] = {
    [sym__block] = STATE(18371),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7162),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1041] = {
    [sym__closed_assignment] = STATE(15959),
    [sym__expression] = STATE(12586),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7164),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7166),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7168),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1042] = {
    [sym__block] = STATE(18468),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7170),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1043] = {
    [sym__block] = STATE(18391),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7172),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1044] = {
    [sym__block] = STATE(18517),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7174),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1045] = {
    [sym__block] = STATE(18055),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6508),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1046] = {
    [sym__block] = STATE(17206),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(99),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1047] = {
    [sym__block] = STATE(19321),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7176),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1048] = {
    [sym__block] = STATE(18390),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7178),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1049] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7180),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1050] = {
    [sym__block] = STATE(18389),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7182),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1051] = {
    [sym__block] = STATE(19318),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7184),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1052] = {
    [sym__block] = STATE(18388),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7186),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1053] = {
    [sym__closed_assignment] = STATE(14926),
    [sym__expression] = STATE(12205),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17639),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4078),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1054] = {
    [sym__block] = STATE(19315),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7188),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1055] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7190),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1056] = {
    [sym__block] = STATE(18481),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4652),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1057] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7192),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1058] = {
    [sym__block] = STATE(18382),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4640),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1059] = {
    [sym__block] = STATE(18484),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7194),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1060] = {
    [sym__block] = STATE(19303),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7196),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1061] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7198),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1062] = {
    [sym__closed_assignment] = STATE(14599),
    [sym__expression] = STATE(11940),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17689),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3662),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3664),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1063] = {
    [sym__closed_assignment] = STATE(15479),
    [sym__expression] = STATE(12254),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7200),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7202),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7204),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1064] = {
    [sym__block] = STATE(18381),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7206),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1065] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7208),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1066] = {
    [sym__block] = STATE(18194),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5542),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1067] = {
    [sym__block] = STATE(19528),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7210),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1068] = {
    [sym__block] = STATE(18490),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7212),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1069] = {
    [sym__block] = STATE(18354),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7214),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1070] = {
    [sym__block] = STATE(18491),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4688),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1071] = {
    [sym__block] = STATE(18843),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5578),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1072] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7216),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1073] = {
    [sym__block] = STATE(19285),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7218),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1074] = {
    [sym__block] = STATE(18852),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7220),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1075] = {
    [sym__block] = STATE(18497),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7222),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1076] = {
    [sym__block] = STATE(18500),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7224),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1077] = {
    [sym__block] = STATE(19283),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6112),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1078] = {
    [sym__block] = STATE(18164),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7226),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1079] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7228),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1080] = {
    [sym__block] = STATE(18501),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7230),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1081] = {
    [sym__closed_assignment] = STATE(16020),
    [sym__expression] = STATE(12286),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7232),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7234),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7236),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1082] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15300),
    [sym__expression] = STATE(13056),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(6542),
    [anon_sym_finally] = ACTIONS(6542),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1083] = {
    [sym__block] = STATE(18163),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7238),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1084] = {
    [sym__block] = STATE(18193),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7240),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1085] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7242),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1086] = {
    [sym__block] = STATE(18868),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7244),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1087] = {
    [sym__closed_assignment] = STATE(14846),
    [sym__expression] = STATE(11908),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17781),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3642),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3644),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1088] = {
    [sym__block] = STATE(18502),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7246),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1089] = {
    [sym__block] = STATE(18162),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7248),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1090] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7250),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1091] = {
    [sym__block] = STATE(19820),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7252),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1092] = {
    [sym__block] = STATE(18651),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7254),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1093] = {
    [sym__block] = STATE(19275),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7256),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1094] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7258),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1095] = {
    [sym__block] = STATE(19271),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6082),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1096] = {
    [sym__block] = STATE(19818),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7260),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1097] = {
    [sym__block] = STATE(18155),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5752),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1098] = {
    [sym__block] = STATE(19269),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7262),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1099] = {
    [sym__closed_assignment] = STATE(15158),
    [sym__expression] = STATE(12014),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17617),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3916),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3918),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1100] = {
    [sym__closed_assignment] = STATE(15478),
    [sym__expression] = STATE(12464),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7264),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7266),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7268),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1101] = {
    [sym__block] = STATE(18813),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7270),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1102] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7272),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1103] = {
    [sym__block] = STATE(19267),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7274),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1104] = {
    [sym__closed_assignment] = STATE(15764),
    [sym__expression] = STATE(12459),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7276),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7278),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7280),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1105] = {
    [sym__closed_assignment] = STATE(14688),
    [sym__expression] = STATE(12152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17722),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3532),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3534),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1106] = {
    [sym__block] = STATE(18503),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6040),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1107] = {
    [sym__closed_assignment] = STATE(15124),
    [sym__expression] = STATE(12001),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17711),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3722),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3724),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1108] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7282),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1109] = {
    [sym__closed_assignment] = STATE(15083),
    [sym__expression] = STATE(12098),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17734),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3800),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1110] = {
    [sym__block] = STATE(18366),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5992),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1111] = {
    [sym__block] = STATE(18507),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7284),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1112] = {
    [sym__block] = STATE(18832),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7286),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1113] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7288),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1114] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7290),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1115] = {
    [sym__block] = STATE(18364),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7292),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1116] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7294),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1117] = {
    [sym__block] = STATE(18363),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7296),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1118] = {
    [sym__block] = STATE(18362),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7298),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1119] = {
    [sym__block] = STATE(18994),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7300),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1120] = {
    [sym__block] = STATE(18800),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7302),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1121] = {
    [sym__block] = STATE(18799),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7304),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1122] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(12032),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17059),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7306),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1123] = {
    [sym__block] = STATE(18357),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7308),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1124] = {
    [sym__closed_assignment] = STATE(14962),
    [sym__expression] = STATE(11903),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17789),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3810),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3812),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1125] = {
    [sym__closed_assignment] = STATE(14896),
    [sym__expression] = STATE(12038),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17580),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3472),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3474),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1126] = {
    [sym__closed_assignment] = STATE(15972),
    [sym__expression] = STATE(12713),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7310),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7312),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7314),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1127] = {
    [sym__closed_assignment] = STATE(15144),
    [sym__expression] = STATE(12236),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17802),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3890),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3892),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1128] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7316),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1129] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(12055),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17267),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7318),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1130] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(11865),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17243),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7320),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1131] = {
    [sym__closed_assignment] = STATE(14812),
    [sym__expression] = STATE(12026),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17541),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3752),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3754),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1132] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7322),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1133] = {
    [sym__closed_assignment] = STATE(16591),
    [sym__expression] = STATE(12816),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7324),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7326),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7328),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1134] = {
    [sym__closed_assignment] = STATE(15761),
    [sym__expression] = STATE(12833),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7330),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7332),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7334),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1135] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(11917),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17335),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7336),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1136] = {
    [sym__closed_assignment] = STATE(16141),
    [sym__expression] = STATE(12590),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7338),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7340),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7342),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1137] = {
    [sym__closed_assignment] = STATE(14682),
    [sym__expression] = STATE(11975),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17738),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3682),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3684),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1138] = {
    [sym__closed_assignment] = STATE(14665),
    [sym__expression] = STATE(12169),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17764),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3840),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3842),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1139] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15300),
    [sym__expression] = STATE(13056),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(6858),
    [anon_sym_finally] = ACTIONS(6858),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1140] = {
    [sym__block] = STATE(19642),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7344),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1141] = {
    [sym__closed_assignment] = STATE(14827),
    [sym__expression] = STATE(11909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17776),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4006),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4008),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1142] = {
    [sym__block] = STATE(18330),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7346),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1143] = {
    [sym__block] = STATE(18165),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7348),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1144] = {
    [sym__block] = STATE(18348),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7350),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1145] = {
    [sym__block] = STATE(18881),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7352),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1146] = {
    [sym__block] = STATE(18347),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5536),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1147] = {
    [sym__block] = STATE(19701),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7354),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1148] = {
    [sym__closed_assignment] = STATE(14810),
    [sym__expression] = STATE(11883),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17706),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3592),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3594),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1149] = {
    [sym__block] = STATE(18166),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4598),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1150] = {
    [sym__closed_assignment] = STATE(15105),
    [sym__expression] = STATE(12070),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17819),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3712),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3714),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1151] = {
    [sym__closed_assignment] = STATE(14703),
    [sym__expression] = STATE(11928),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17705),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4106),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4108),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1152] = {
    [sym__closed_assignment] = STATE(15548),
    [sym__expression] = STATE(12439),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7356),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7358),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7360),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1153] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7362),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1154] = {
    [sym__block] = STATE(18546),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7364),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1155] = {
    [sym__block] = STATE(18324),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7366),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1156] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7368),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1157] = {
    [sym__closed_assignment] = STATE(14640),
    [sym__expression] = STATE(12187),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17719),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4026),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4028),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1158] = {
    [sym__closed_assignment] = STATE(15955),
    [sym__expression] = STATE(12430),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7370),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7372),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7374),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1159] = {
    [sym__block] = STATE(18323),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7376),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1160] = {
    [sym__block] = STATE(19595),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7378),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1161] = {
    [sym__block] = STATE(18547),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7380),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1162] = {
    [sym__block] = STATE(19438),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7382),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1163] = {
    [sym__closed_assignment] = STATE(14557),
    [sym__expression] = STATE(12111),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17743),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3926),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3928),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1164] = {
    [sym__block] = STATE(19647),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7384),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1165] = {
    [sym__block] = STATE(18322),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7386),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1166] = {
    [sym__block] = STATE(19648),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5376),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1167] = {
    [sym__block] = STATE(18320),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5370),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1168] = {
    [sym__block] = STATE(18473),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7388),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1169] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7390),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1170] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7392),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1171] = {
    [sym__block] = STATE(18477),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5262),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1172] = {
    [sym__closed_assignment] = STATE(15709),
    [sym__expression] = STATE(12481),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7394),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7396),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7398),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1173] = {
    [sym__block] = STATE(18343),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7400),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1174] = {
    [sym__block] = STATE(18341),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5298),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1175] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7402),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1176] = {
    [sym__block] = STATE(18340),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7404),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1177] = {
    [sym__closed_assignment] = STATE(16245),
    [sym__expression] = STATE(12421),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7406),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7408),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7410),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1178] = {
    [sym__block] = STATE(19650),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7412),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1179] = {
    [sym__block] = STATE(18882),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7414),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1180] = {
    [sym__closed_assignment] = STATE(14603),
    [sym__expression] = STATE(12023),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17741),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3522),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3524),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1181] = {
    [sym__block] = STATE(18498),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7416),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1182] = {
    [sym__block] = STATE(18593),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7418),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1183] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17162),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(457),
    [anon_sym_LF] = ACTIONS(7420),
    [anon_sym_LBRACE] = ACTIONS(459),
    [anon_sym_DOLLAR] = ACTIONS(461),
    [anon_sym_COLON_COLON] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(465),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(469),
    [aux_sym_integer_literal_token2] = ACTIONS(469),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(473),
    [aux_sym_float_literal_token3] = ACTIONS(473),
    [aux_sym_float_literal_token4] = ACTIONS(473),
    [sym_character_literal] = ACTIONS(4812),
    [sym__pair_operator] = ACTIONS(477),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(477),
    [sym__pipe_left_operator] = ACTIONS(477),
    [sym__ellipsis_operator] = ACTIONS(477),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(477),
    [sym__bitshift_operator] = ACTIONS(477),
    [sym__power_operator] = ACTIONS(477),
    [sym__tilde_operator] = ACTIONS(3362),
    [sym__type_order_operator] = ACTIONS(3362),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1184] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7422),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1185] = {
    [sym__block] = STATE(18883),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7424),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1186] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7426),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1187] = {
    [sym__closed_assignment] = STATE(15558),
    [sym__expression] = STATE(12483),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7428),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7430),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7432),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1188] = {
    [sym__block] = STATE(18307),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7434),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1189] = {
    [sym__closed_assignment] = STATE(14655),
    [sym__expression] = STATE(12181),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17686),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4036),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4038),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1190] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7436),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1191] = {
    [sym__block] = STATE(18499),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7438),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1192] = {
    [sym__closed_assignment] = STATE(16229),
    [sym__expression] = STATE(12726),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7440),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7442),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7444),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1193] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7446),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1194] = {
    [sym__block] = STATE(18508),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7448),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1195] = {
    [sym__closed_assignment] = STATE(14892),
    [sym__expression] = STATE(12040),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(18132),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4016),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4018),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1196] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7450),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1197] = {
    [sym__block] = STATE(18885),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6100),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1198] = {
    [sym__closed_assignment] = STATE(14596),
    [sym__expression] = STATE(12086),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17698),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3562),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3564),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1199] = {
    [sym__block] = STATE(18172),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7452),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1200] = {
    [sym__block] = STATE(18173),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7454),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1201] = {
    [sym__block] = STATE(19206),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7456),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1202] = {
    [sym__block] = STATE(19719),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7458),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1203] = {
    [sym__block] = STATE(18772),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7460),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1204] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7462),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1205] = {
    [sym__block] = STATE(18319),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7464),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1206] = {
    [sym__block] = STATE(18573),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7466),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1207] = {
    [sym__block] = STATE(19188),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7468),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1208] = {
    [sym__block] = STATE(19757),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7470),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1209] = {
    [sym__block] = STATE(19187),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7472),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1210] = {
    [sym__block] = STATE(18514),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7474),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1211] = {
    [sym__closed_assignment] = STATE(14966),
    [sym__expression] = STATE(11901),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17636),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3956),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3958),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1212] = {
    [sym__block] = STATE(18574),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7476),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1213] = {
    [sym__closed_assignment] = STATE(15010),
    [sym__expression] = STATE(11882),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17779),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3966),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3968),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1214] = {
    [sym__closed_assignment] = STATE(14811),
    [sym__expression] = STATE(12089),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3572),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3574),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1215] = {
    [sym__block] = STATE(19658),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4906),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1216] = {
    [sym__block] = STATE(19660),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7478),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1217] = {
    [sym__block] = STATE(18174),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7480),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1218] = {
    [sym__block] = STATE(18313),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7482),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1219] = {
    [sym__block] = STATE(18312),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7484),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1220] = {
    [sym__block] = STATE(18212),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6292),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1221] = {
    [sym__block] = STATE(18767),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7486),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1222] = {
    [sym__block] = STATE(18575),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4882),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1223] = {
    [sym__block] = STATE(18303),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7488),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1224] = {
    [sym__block] = STATE(18302),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4484),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1225] = {
    [sym__block] = STATE(18577),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7490),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1226] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(11881),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(16713),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7492),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1227] = {
    [sym__block] = STATE(18175),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7494),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1228] = {
    [sym__closed_assignment] = STATE(15760),
    [sym__expression] = STATE(12803),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7496),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7498),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7500),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1229] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7502),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1230] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7504),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1231] = {
    [sym__block] = STATE(19197),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7506),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1232] = {
    [sym__block] = STATE(18766),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7508),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1233] = {
    [sym__closed_assignment] = STATE(15695),
    [sym__expression] = STATE(12787),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7510),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7512),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7514),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1234] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(11916),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(16824),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7516),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1235] = {
    [sym__block] = STATE(18296),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7518),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1236] = {
    [sym__block] = STATE(18581),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5764),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1237] = {
    [sym__block] = STATE(18582),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7520),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1238] = {
    [sym__closed_assignment] = STATE(14666),
    [sym__expression] = STATE(11943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17438),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7522),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7524),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1239] = {
    [sym__block] = STATE(18295),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7526),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1240] = {
    [sym__closed_assignment] = STATE(14777),
    [sym__expression] = STATE(12064),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17696),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3860),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3862),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1241] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7528),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1242] = {
    [sym__closed_assignment] = STATE(15172),
    [sym__expression] = STATE(11879),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17729),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3996),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3998),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1243] = {
    [sym__block] = STATE(18294),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7530),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1244] = {
    [sym__closed_assignment] = STATE(15021),
    [sym__expression] = STATE(11871),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17484),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7532),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7534),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1245] = {
    [sym__block] = STATE(18765),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7536),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1246] = {
    [sym__block] = STATE(18764),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7538),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1247] = {
    [sym__closed_assignment] = STATE(14690),
    [sym__expression] = STATE(11933),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17766),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3742),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3744),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1248] = {
    [sym__closed_assignment] = STATE(16407),
    [sym__expression] = STATE(12519),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7540),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7542),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7544),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1249] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15289),
    [sym__expression] = STATE(13083),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11014),
    [sym__array] = STATE(11014),
    [sym_comprehension_expression] = STATE(11014),
    [sym_matrix_expression] = STATE(11014),
    [sym_vector_expression] = STATE(11014),
    [sym_parenthesized_expression] = STATE(11014),
    [sym_tuple_expression] = STATE(11014),
    [sym_curly_expression] = STATE(11014),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11014),
    [sym_index_expression] = STATE(11014),
    [sym_parametrized_type_expression] = STATE(11014),
    [sym_call_expression] = STATE(11014),
    [sym_broadcast_call_expression] = STATE(11014),
    [sym__closed_macrocall_expression] = STATE(11014),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11014),
    [sym_quote_expression] = STATE(11014),
    [sym_binary_expression] = STATE(13044),
    [sym_unary_expression] = STATE(13044),
    [sym_range_expression] = STATE(13044),
    [sym_splat_expression] = STATE(13044),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12404),
    [sym_unary_typed_expression] = STATE(13044),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13044),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11014),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11014),
    [sym_string_literal] = STATE(11014),
    [sym_command_literal] = STATE(11014),
    [sym_prefixed_string_literal] = STATE(11014),
    [sym_prefixed_command_literal] = STATE(11014),
    [sym_operator] = STATE(12400),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6858),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(6858),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(6788),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1250] = {
    [sym__block] = STATE(18750),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4670),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1251] = {
    [sym__closed_assignment] = STATE(14600),
    [sym__expression] = STATE(11866),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17752),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3986),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3988),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1252] = {
    [sym__block] = STATE(18292),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7546),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1253] = {
    [sym__block] = STATE(19042),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7548),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1254] = {
    [sym__closed_assignment] = STATE(16647),
    [sym__expression] = STATE(12825),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7550),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7552),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7554),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1255] = {
    [sym__block] = STATE(18288),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7556),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1256] = {
    [sym__block] = STATE(19121),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6124),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1257] = {
    [sym__block] = STATE(18785),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7558),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1258] = {
    [sym__block] = STATE(18749),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7560),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1259] = {
    [sym__block] = STATE(18202),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7562),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1260] = {
    [sym__block] = STATE(18900),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7564),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1261] = {
    [sym__block] = STATE(19120),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7566),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1262] = {
    [sym__block] = STATE(18180),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7568),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1263] = {
    [sym__block] = STATE(19119),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7570),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1264] = {
    [sym__block] = STATE(18591),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7572),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1265] = {
    [sym__block] = STATE(18284),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6154),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1266] = {
    [sym__block] = STATE(18213),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7574),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1267] = {
    [sym__block] = STATE(18283),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7576),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1268] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7578),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1269] = {
    [sym__block] = STATE(19118),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7580),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1270] = {
    [sym__block] = STATE(18596),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7582),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1271] = {
    [sym__block] = STATE(19117),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7584),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1272] = {
    [sym__block] = STATE(18597),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7586),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1273] = {
    [sym__closed_assignment] = STATE(15095),
    [sym__expression] = STATE(11919),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17715),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3602),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3604),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1274] = {
    [sym__closed_assignment] = STATE(14778),
    [sym__expression] = STATE(12113),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17656),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3692),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3694),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1275] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7588),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1276] = {
    [sym__block] = STATE(18598),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7590),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1277] = {
    [sym__block] = STATE(18291),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5918),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1278] = {
    [sym__block] = STATE(18282),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7592),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1279] = {
    [sym__block] = STATE(18600),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6298),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1280] = {
    [sym__block] = STATE(18281),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7594),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1281] = {
    [sym__closed_assignment] = STATE(15088),
    [sym__expression] = STATE(11886),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17622),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3850),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3852),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1282] = {
    [sym__block] = STATE(18280),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7596),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1283] = {
    [sym__block] = STATE(18901),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4700),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1284] = {
    [sym__block] = STATE(19101),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4658),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1285] = {
    [sym__closed_assignment] = STATE(16648),
    [sym__expression] = STATE(12654),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7598),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7600),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7602),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1286] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7604),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1287] = {
    [sym__closed_assignment] = STATE(15123),
    [sym__expression] = STATE(11891),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17798),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3652),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3654),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1288] = {
    [sym__block] = STATE(19095),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7606),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1289] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15289),
    [sym__expression] = STATE(13083),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11014),
    [sym__array] = STATE(11014),
    [sym_comprehension_expression] = STATE(11014),
    [sym_matrix_expression] = STATE(11014),
    [sym_vector_expression] = STATE(11014),
    [sym_parenthesized_expression] = STATE(11014),
    [sym_tuple_expression] = STATE(11014),
    [sym_curly_expression] = STATE(11014),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11014),
    [sym_index_expression] = STATE(11014),
    [sym_parametrized_type_expression] = STATE(11014),
    [sym_call_expression] = STATE(11014),
    [sym_broadcast_call_expression] = STATE(11014),
    [sym__closed_macrocall_expression] = STATE(11014),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11014),
    [sym_quote_expression] = STATE(11014),
    [sym_binary_expression] = STATE(13044),
    [sym_unary_expression] = STATE(13044),
    [sym_range_expression] = STATE(13044),
    [sym_splat_expression] = STATE(13044),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12404),
    [sym_unary_typed_expression] = STATE(13044),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13044),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11014),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11014),
    [sym_string_literal] = STATE(11014),
    [sym_command_literal] = STATE(11014),
    [sym_prefixed_string_literal] = STATE(11014),
    [sym_prefixed_command_literal] = STATE(11014),
    [sym_operator] = STATE(12400),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6542),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(6542),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(6788),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1290] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7608),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1291] = {
    [sym__block] = STATE(19338),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7610),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1292] = {
    [sym__block] = STATE(19499),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4562),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1293] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7612),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1294] = {
    [sym__closed_assignment] = STATE(16048),
    [sym__expression] = STATE(12248),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7614),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7616),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7618),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1295] = {
    [sym__block] = STATE(18214),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7620),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1296] = {
    [sym__block] = STATE(18521),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7622),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1297] = {
    [sym__block] = STATE(18522),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6190),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1298] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7624),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1299] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7626),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1300] = {
    [sym__block] = STATE(18274),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4634),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1301] = {
    [sym__block] = STATE(18273),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7628),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1302] = {
    [sym__block] = STATE(19373),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7630),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1303] = {
    [sym__block] = STATE(18272),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7632),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1304] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7634),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1305] = {
    [sym__closed_assignment] = STATE(14558),
    [sym__expression] = STATE(12184),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17364),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3790),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3792),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1306] = {
    [sym__block] = STATE(19455),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7636),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1307] = {
    [sym__closed_assignment] = STATE(15956),
    [sym__expression] = STATE(12834),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7638),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7640),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7642),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1308] = {
    [sym__block] = STATE(19456),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7644),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1309] = {
    [sym__block] = STATE(19782),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7646),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1310] = {
    [sym__block] = STATE(18909),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7648),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1311] = {
    [sym__closed_assignment] = STATE(15665),
    [sym__expression] = STATE(12746),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7650),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7652),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7654),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1312] = {
    [sym__block] = STATE(19457),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5876),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1313] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7656),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1314] = {
    [sym__closed_assignment] = STATE(16398),
    [sym__expression] = STATE(12599),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7658),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7660),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7662),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1315] = {
    [sym__closed_assignment] = STATE(14858),
    [sym__expression] = STATE(12216),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17736),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3672),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3674),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1316] = {
    [sym__block] = STATE(19459),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7664),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1317] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7666),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1318] = {
    [sym__block] = STATE(18910),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7668),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1319] = {
    [sym__closed_assignment] = STATE(14917),
    [sym__expression] = STATE(11930),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17708),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3542),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3544),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1320] = {
    [sym__block] = STATE(18916),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7670),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1321] = {
    [sym__block] = STATE(19070),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5728),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1322] = {
    [sym__block] = STATE(19463),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5818),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1323] = {
    [sym__block] = STATE(19464),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7672),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1324] = {
    [sym__block] = STATE(18615),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7674),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1325] = {
    [sym__block] = STATE(18725),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6010),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1326] = {
    [sym__block] = STATE(19068),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7676),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1327] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(12157),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(16933),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7678),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1328] = {
    [sym__block] = STATE(18616),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4514),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1329] = {
    [sym__closed_assignment] = STATE(16400),
    [sym__expression] = STATE(12473),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7680),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7682),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7684),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1330] = {
    [sym__block] = STATE(19749),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5930),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1331] = {
    [sym__block] = STATE(19065),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7686),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1332] = {
    [sym__block] = STATE(18683),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7688),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1333] = {
    [sym__block] = STATE(19064),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7690),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1334] = {
    [sym__block] = STATE(19473),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7692),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1335] = {
    [sym__block] = STATE(18722),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7694),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1336] = {
    [sym__closed_assignment] = STATE(14745),
    [sym__expression] = STATE(11885),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17602),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3900),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3902),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1337] = {
    [sym__block] = STATE(18624),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7696),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1338] = {
    [sym__block] = STATE(18625),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7698),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1339] = {
    [sym__block] = STATE(19681),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7700),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1340] = {
    [sym__closed_assignment] = STATE(15682),
    [sym__expression] = STATE(12524),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7702),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7704),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7706),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1341] = {
    [sym__block] = STATE(19755),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7708),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1342] = {
    [sym__block] = STATE(18626),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7710),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1343] = {
    [sym__block] = STATE(19054),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7712),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1344] = {
    [sym__closed_assignment] = STATE(14780),
    [sym__expression] = STATE(12235),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17773),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4046),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4048),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1345] = {
    [sym__block] = STATE(18627),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7714),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1346] = {
    [sym__block] = STATE(19478),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7716),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1347] = {
    [sym__block] = STATE(18917),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7718),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1348] = {
    [sym__block] = STATE(18721),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7720),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1349] = {
    [sym__block] = STATE(18633),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5154),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1350] = {
    [sym__closed_assignment] = STATE(15622),
    [sym__expression] = STATE(12338),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7722),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7724),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7726),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1351] = {
    [sym__block] = STATE(19479),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7728),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1352] = {
    [sym__block] = STATE(18639),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7730),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1353] = {
    [sym__block] = STATE(19480),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7732),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1354] = {
    [sym__block] = STATE(18258),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5452),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1355] = {
    [sym__block] = STATE(19769),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7734),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1356] = {
    [sym__block] = STATE(18256),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7736),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1357] = {
    [sym__closed_assignment] = STATE(15051),
    [sym__expression] = STATE(11867),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17794),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4066),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4068),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1358] = {
    [sym__block] = STATE(18920),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5936),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1359] = {
    [sym__block] = STATE(19482),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4816),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1360] = {
    [sym__block] = STATE(18255),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7738),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1361] = {
    [sym__block] = STATE(18254),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7740),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1362] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7742),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1363] = {
    [sym__block] = STATE(19043),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7744),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1364] = {
    [sym__block] = STATE(19040),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4846),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1365] = {
    [sym__block] = STATE(18249),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7746),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1366] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7748),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1367] = {
    [sym__closed_assignment] = STATE(16195),
    [sym__expression] = STATE(12441),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7750),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7752),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7754),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1368] = {
    [sym__closed_assignment] = STATE(16597),
    [sym__expression] = STATE(12868),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7756),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7758),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7760),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1369] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7762),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1370] = {
    [sym__block] = STATE(19028),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7764),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1371] = {
    [sym__block] = STATE(18009),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6776),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1372] = {
    [sym__block] = STATE(19021),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4912),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1373] = {
    [sym__block] = STATE(19833),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7766),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1374] = {
    [sym__block] = STATE(19690),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7768),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1375] = {
    [sym__block] = STATE(19020),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7770),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1376] = {
    [sym__block] = STATE(18716),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7772),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1377] = {
    [sym__block] = STATE(19691),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7774),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1378] = {
    [sym__block] = STATE(19019),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7776),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1379] = {
    [sym__block] = STATE(18932),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7778),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1380] = {
    [sym__block] = STATE(18204),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7780),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1381] = {
    [sym__block] = STATE(18528),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7782),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1382] = {
    [sym__block] = STATE(18205),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7784),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1383] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7786),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1384] = {
    [sym__closed_assignment] = STATE(15039),
    [sym__expression] = STATE(11860),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17623),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7788),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7790),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1385] = {
    [sym__closed_assignment] = STATE(14995),
    [sym__expression] = STATE(12198),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17516),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4116),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4118),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1386] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7792),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1387] = {
    [sym__block] = STATE(19096),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7794),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1388] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(11864),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(16969),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7796),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1389] = {
    [sym__block] = STATE(19763),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7798),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1390] = {
    [sym__block] = STATE(19498),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7800),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1391] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7802),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1392] = {
    [sym__block] = STATE(18530),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5004),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1393] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(12087),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(16897),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7804),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1394] = {
    [sym__block] = STATE(19694),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7806),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1395] = {
    [sym__closed_assignment] = STATE(14650),
    [sym__expression] = STATE(11868),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17680),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3452),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3454),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1396] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7808),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1397] = {
    [sym__closed_assignment] = STATE(15125),
    [sym__expression] = STATE(11899),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17975),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3582),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3584),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1398] = {
    [sym__block] = STATE(18531),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7810),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1399] = {
    [sym__closed_assignment] = STATE(16074),
    [sym__expression] = STATE(12651),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7812),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7814),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7816),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1400] = {
    [sym__block] = STATE(18730),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7818),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1401] = {
    [sym__block] = STATE(19696),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5028),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1402] = {
    [sym__closed_assignment] = STATE(14723),
    [sym__expression] = STATE(12124),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17768),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3772),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3774),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1403] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7820),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1404] = {
    [sym__block] = STATE(19776),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7822),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1405] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(11863),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17095),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7824),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1406] = {
    [sym__block] = STATE(19505),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7826),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1407] = {
    [sym__block] = STATE(18671),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7828),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1408] = {
    [sym__block] = STATE(18532),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7830),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1409] = {
    [sym__block] = STATE(18672),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7832),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1410] = {
    [sym__block] = STATE(19506),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7834),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1411] = {
    [sym__block] = STATE(19507),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7836),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1412] = {
    [sym__block] = STATE(18211),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7838),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1413] = {
    [sym__block] = STATE(18239),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5142),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1414] = {
    [sym__block] = STATE(19508),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7840),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1415] = {
    [sym__block] = STATE(19509),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5172),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1416] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7842),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1417] = {
    [sym__closed_assignment] = STATE(15771),
    [sym__expression] = STATE(12894),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7844),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7846),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7848),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1418] = {
    [sym__block] = STATE(18678),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7850),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1419] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7852),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1420] = {
    [sym__block] = STATE(19513),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7854),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1421] = {
    [sym__closed_assignment] = STATE(14733),
    [sym__expression] = STATE(12140),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17668),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3492),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3494),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1422] = {
    [sym__closed_assignment] = STATE(15659),
    [sym__expression] = STATE(12744),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7856),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7858),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7860),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1423] = {
    [sym__block] = STATE(18235),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7862),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1424] = {
    [sym__closed_assignment] = STATE(14889),
    [sym__expression] = STATE(12046),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17718),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3622),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3624),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1425] = {
    [sym__block] = STATE(18233),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5352),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1426] = {
    [sym__closed_assignment] = STATE(14762),
    [sym__expression] = STATE(12183),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17420),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4056),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4058),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1427] = {
    [sym__closed_assignment] = STATE(14944),
    [sym__expression] = STATE(12035),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17724),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3830),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3832),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1428] = {
    [sym__closed_assignment] = STATE(14748),
    [sym__expression] = STATE(12165),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17739),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(4096),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(4098),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1429] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7864),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1430] = {
    [sym__closed_assignment] = STATE(15584),
    [sym__expression] = STATE(12100),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(16803),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7022),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7866),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1431] = {
    [sym__closed_assignment] = STATE(16115),
    [sym__expression] = STATE(12170),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(16996),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7868),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7870),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1432] = {
    [sym__closed_assignment] = STATE(16320),
    [sym__expression] = STATE(12296),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7872),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7874),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7876),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1433] = {
    [sym__block] = STATE(18232),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7878),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1434] = {
    [sym__closed_assignment] = STATE(16543),
    [sym__expression] = STATE(12635),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7880),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7882),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7884),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1435] = {
    [sym__closed_assignment] = STATE(15571),
    [sym__expression] = STATE(12503),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7886),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7888),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(7890),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1436] = {
    [sym__block] = STATE(19538),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7892),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1437] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7894),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1438] = {
    [sym__closed_assignment] = STATE(15052),
    [sym__expression] = STATE(11880),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17796),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3762),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3764),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1439] = {
    [sym__block] = STATE(19539),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7896),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1440] = {
    [sym__closed_assignment] = STATE(15091),
    [sym__expression] = STATE(11896),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17380),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3462),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3464),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1441] = {
    [sym__block] = STATE(18231),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7898),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1442] = {
    [sym__block] = STATE(19545),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7900),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1443] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15357),
    [sym__expression] = STATE(13052),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10953),
    [sym__array] = STATE(10953),
    [sym_comprehension_expression] = STATE(10953),
    [sym_matrix_expression] = STATE(10953),
    [sym_vector_expression] = STATE(10953),
    [sym_parenthesized_expression] = STATE(10953),
    [sym_tuple_expression] = STATE(10953),
    [sym_curly_expression] = STATE(10953),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10953),
    [sym_index_expression] = STATE(10953),
    [sym_parametrized_type_expression] = STATE(10953),
    [sym_call_expression] = STATE(10953),
    [sym_broadcast_call_expression] = STATE(10953),
    [sym__closed_macrocall_expression] = STATE(10953),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(10953),
    [sym_quote_expression] = STATE(10953),
    [sym_binary_expression] = STATE(12926),
    [sym_unary_expression] = STATE(12926),
    [sym_range_expression] = STATE(12926),
    [sym_splat_expression] = STATE(12926),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12246),
    [sym_unary_typed_expression] = STATE(12926),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12926),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(10953),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10953),
    [sym_string_literal] = STATE(10953),
    [sym_command_literal] = STATE(10953),
    [sym_prefixed_string_literal] = STATE(10953),
    [sym_prefixed_command_literal] = STATE(10953),
    [sym_operator] = STATE(12887),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6858),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(6858),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(6520),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1444] = {
    [sym__block] = STATE(19812),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7902),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1445] = {
    [sym__block] = STATE(18698),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7904),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1446] = {
    [sym__block] = STATE(18699),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7906),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1447] = {
    [sym__closed_assignment] = STATE(14581),
    [sym__expression] = STATE(12135),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17746),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3512),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3514),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1448] = {
    [sym__block] = STATE(18700),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5614),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1449] = {
    [sym__block] = STATE(18702),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7908),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1450] = {
    [sym__block] = STATE(18251),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7910),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1451] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7912),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1452] = {
    [sym__block] = STATE(18248),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7914),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1453] = {
    [sym__closed_assignment] = STATE(14562),
    [sym__expression] = STATE(12144),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11205),
    [sym__array] = STATE(11205),
    [sym_comprehension_expression] = STATE(11205),
    [sym_matrix_expression] = STATE(11205),
    [sym_vector_expression] = STATE(11205),
    [sym_parenthesized_expression] = STATE(11205),
    [sym_tuple_expression] = STATE(11205),
    [sym_curly_expression] = STATE(11205),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11205),
    [sym_index_expression] = STATE(11205),
    [sym_parametrized_type_expression] = STATE(11205),
    [sym_call_expression] = STATE(11205),
    [sym_broadcast_call_expression] = STATE(11205),
    [sym__closed_macrocall_expression] = STATE(11205),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17597),
    [sym_interpolation_expression] = STATE(11205),
    [sym_quote_expression] = STATE(11205),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13145),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11205),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11205),
    [sym_string_literal] = STATE(11205),
    [sym_command_literal] = STATE(11205),
    [sym_prefixed_string_literal] = STATE(11205),
    [sym_prefixed_command_literal] = STATE(11205),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3614),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3448),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1454] = {
    [sym__block] = STATE(19731),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7916),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1455] = {
    [sym__block] = STATE(18982),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7918),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1456] = {
    [sym__block] = STATE(19732),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4460),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1457] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7920),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1458] = {
    [sym__block] = STATE(18176),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6226),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1459] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7922),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1460] = {
    [sym__block] = STATE(18706),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5782),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1461] = {
    [sym__block] = STATE(18707),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7924),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1462] = {
    [sym__block] = STATE(18974),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7926),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1463] = {
    [sym__block] = STATE(18973),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7928),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1464] = {
    [sym__block] = STATE(18225),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7930),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1465] = {
    [sym__block] = STATE(19149),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7932),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1466] = {
    [sym__block] = STATE(18191),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7934),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1467] = {
    [sym__block] = STATE(19702),
    [sym_assignment] = STATE(16110),
    [sym_open_tuple] = STATE(15390),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(7936),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1468] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_RBRACK] = ACTIONS(7938),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1469] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15357),
    [sym__expression] = STATE(13052),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10953),
    [sym__array] = STATE(10953),
    [sym_comprehension_expression] = STATE(10953),
    [sym_matrix_expression] = STATE(10953),
    [sym_vector_expression] = STATE(10953),
    [sym_parenthesized_expression] = STATE(10953),
    [sym_tuple_expression] = STATE(10953),
    [sym_curly_expression] = STATE(10953),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10953),
    [sym_index_expression] = STATE(10953),
    [sym_parametrized_type_expression] = STATE(10953),
    [sym_call_expression] = STATE(10953),
    [sym_broadcast_call_expression] = STATE(10953),
    [sym__closed_macrocall_expression] = STATE(10953),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(10953),
    [sym_quote_expression] = STATE(10953),
    [sym_binary_expression] = STATE(12926),
    [sym_unary_expression] = STATE(12926),
    [sym_range_expression] = STATE(12926),
    [sym_splat_expression] = STATE(12926),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12246),
    [sym_unary_typed_expression] = STATE(12926),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12926),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(10953),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10953),
    [sym_string_literal] = STATE(10953),
    [sym_command_literal] = STATE(10953),
    [sym_prefixed_string_literal] = STATE(10953),
    [sym_prefixed_command_literal] = STATE(10953),
    [sym_operator] = STATE(12887),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6542),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(6542),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(6520),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1470] = {
    [sym__closed_assignment] = STATE(15763),
    [sym__expression] = STATE(12435),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7940),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7942),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1471] = {
    [sym__closed_assignment] = STATE(17014),
    [sym__expression] = STATE(13924),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7944),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(7946),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1472] = {
    [sym__closed_assignment] = STATE(16879),
    [sym__expression] = STATE(13674),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7950),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(7952),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1473] = {
    [sym__closed_assignment] = STATE(16181),
    [sym__expression] = STATE(12271),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7954),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7956),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1474] = {
    [sym__closed_assignment] = STATE(15492),
    [sym__expression] = STATE(12646),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7958),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7960),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1475] = {
    [sym__closed_assignment] = STATE(16804),
    [sym__expression] = STATE(13925),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7962),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(7964),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1476] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15623),
    [sym__expression] = STATE(13188),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11203),
    [sym__array] = STATE(11203),
    [sym_comprehension_expression] = STATE(11203),
    [sym_matrix_expression] = STATE(11203),
    [sym_vector_expression] = STATE(11203),
    [sym_parenthesized_expression] = STATE(11203),
    [sym_tuple_expression] = STATE(11203),
    [sym_curly_expression] = STATE(11203),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11203),
    [sym_index_expression] = STATE(11203),
    [sym_parametrized_type_expression] = STATE(11203),
    [sym_call_expression] = STATE(11203),
    [sym_broadcast_call_expression] = STATE(11203),
    [sym__closed_macrocall_expression] = STATE(11203),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11203),
    [sym_quote_expression] = STATE(11203),
    [sym_binary_expression] = STATE(13178),
    [sym_unary_expression] = STATE(13178),
    [sym_range_expression] = STATE(13178),
    [sym_splat_expression] = STATE(13178),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12969),
    [sym_unary_typed_expression] = STATE(13178),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13178),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11203),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11203),
    [sym_string_literal] = STATE(11203),
    [sym_command_literal] = STATE(11203),
    [sym_prefixed_string_literal] = STATE(11203),
    [sym_prefixed_command_literal] = STATE(11203),
    [sym_operator] = STATE(12975),
    [ts_builtin_sym_end] = ACTIONS(7966),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(75),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1477] = {
    [sym__closed_assignment] = STATE(17015),
    [sym__expression] = STATE(13990),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7968),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(7970),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1478] = {
    [sym__closed_assignment] = STATE(17281),
    [sym__expression] = STATE(13641),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7972),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(7974),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1479] = {
    [sym__closed_assignment] = STATE(16630),
    [sym__expression] = STATE(12655),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7976),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7978),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1480] = {
    [sym__closed_assignment] = STATE(16999),
    [sym__expression] = STATE(13853),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7980),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(7982),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1481] = {
    [sym__closed_assignment] = STATE(16870),
    [sym__expression] = STATE(13681),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7984),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(7986),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1482] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7988),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1483] = {
    [sym__closed_assignment] = STATE(16427),
    [sym__expression] = STATE(12817),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(7990),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(7992),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1484] = {
    [sym__closed_assignment] = STATE(16218),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10424),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(7998),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8012),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1485] = {
    [sym__closed_assignment] = STATE(16732),
    [sym__expression] = STATE(13983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8014),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8016),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1486] = {
    [sym__closed_assignment] = STATE(15714),
    [sym__expression] = STATE(12539),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8018),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8020),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1487] = {
    [sym__closed_assignment] = STATE(16861),
    [sym__expression] = STATE(13881),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8022),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8024),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1488] = {
    [sym__closed_assignment] = STATE(15914),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10523),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8026),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8028),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1489] = {
    [sym__closed_assignment] = STATE(17258),
    [sym__expression] = STATE(13748),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8030),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8032),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1490] = {
    [sym__closed_assignment] = STATE(15512),
    [sym__expression] = STATE(12466),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8034),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8036),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1491] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8038),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1492] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8040),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1493] = {
    [sym__closed_assignment] = STATE(15625),
    [sym__expression] = STATE(12334),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8042),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8044),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1494] = {
    [sym__closed_assignment] = STATE(16823),
    [sym__expression] = STATE(13911),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8046),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8048),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1495] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1423),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1496] = {
    [sym__closed_assignment] = STATE(17028),
    [sym__expression] = STATE(13979),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8056),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8058),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1497] = {
    [sym__closed_assignment] = STATE(17239),
    [sym__expression] = STATE(13754),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8060),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8062),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1498] = {
    [sym__closed_assignment] = STATE(15815),
    [sym__expression] = STATE(12776),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8064),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8066),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1499] = {
    [sym__closed_assignment] = STATE(17083),
    [sym__expression] = STATE(13962),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8068),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8070),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1500] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8072),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1501] = {
    [sym__closed_assignment] = STATE(15520),
    [sym__expression] = STATE(12729),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8074),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8076),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1502] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8078),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1503] = {
    [sym__closed_assignment] = STATE(16740),
    [sym__expression] = STATE(13986),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8080),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8082),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1504] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8084),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1505] = {
    [sym__closed_assignment] = STATE(16868),
    [sym__expression] = STATE(13845),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8086),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8088),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1506] = {
    [sym__closed_assignment] = STATE(16060),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10518),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8090),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1507] = {
    [sym__closed_assignment] = STATE(16589),
    [sym__expression] = STATE(12477),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8094),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8096),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1508] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1259),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1509] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1026),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1510] = {
    [sym__closed_assignment] = STATE(16327),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10392),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8098),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8100),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1511] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1040),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1512] = {
    [sym__closed_assignment] = STATE(15474),
    [sym__expression] = STATE(12647),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8102),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8104),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1513] = {
    [sym__closed_assignment] = STATE(16439),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10353),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8106),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8108),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1514] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8110),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1515] = {
    [sym__closed_assignment] = STATE(17278),
    [sym__expression] = STATE(13670),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8112),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8114),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1516] = {
    [sym__closed_assignment] = STATE(17163),
    [sym__expression] = STATE(13946),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8116),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8118),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1517] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8120),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1518] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1022),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1519] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1381),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1520] = {
    [sym__closed_assignment] = STATE(16607),
    [sym__expression] = STATE(12446),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8122),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8124),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1521] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8126),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1522] = {
    [sym__closed_assignment] = STATE(16913),
    [sym__expression] = STATE(13978),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8128),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8130),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1523] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8132),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1524] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1182),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1525] = {
    [sym__closed_assignment] = STATE(17202),
    [sym__expression] = STATE(13908),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8134),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8136),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1526] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8138),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1527] = {
    [sym__closed_assignment] = STATE(16722),
    [sym__expression] = STATE(13897),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8140),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8142),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1528] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1092),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1529] = {
    [sym__closed_assignment] = STATE(15606),
    [sym__expression] = STATE(12500),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8144),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8146),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1530] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1400),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1531] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8148),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1532] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1257),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1533] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1112),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1534] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1370),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1535] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1173),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1536] = {
    [sym__closed_assignment] = STATE(17013),
    [sym__expression] = STATE(13790),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8150),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8152),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1537] = {
    [sym__closed_assignment] = STATE(16924),
    [sym__expression] = STATE(13667),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8154),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8156),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1538] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(955),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1539] = {
    [sym__closed_assignment] = STATE(17298),
    [sym__expression] = STATE(13675),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8158),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8160),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1540] = {
    [sym__closed_assignment] = STATE(16612),
    [sym__expression] = STATE(12742),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8162),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8164),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1541] = {
    [sym__closed_assignment] = STATE(16531),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10365),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8166),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8168),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1542] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8170),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1543] = {
    [sym__closed_assignment] = STATE(16843),
    [sym__expression] = STATE(13730),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8172),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8174),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1544] = {
    [sym__closed_assignment] = STATE(16483),
    [sym__expression] = STATE(12429),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8176),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8178),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1545] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1119),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1546] = {
    [sym__closed_assignment] = STATE(16274),
    [sym__expression] = STATE(12498),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8180),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8182),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1547] = {
    [sym__closed_assignment] = STATE(16284),
    [sym__expression] = STATE(12880),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8184),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8186),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1548] = {
    [sym__closed_assignment] = STATE(16931),
    [sym__expression] = STATE(13764),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8188),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8190),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1549] = {
    [sym__closed_assignment] = STATE(16915),
    [sym__expression] = STATE(13802),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8192),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8194),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1550] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8196),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1551] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1253),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1552] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1387),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1553] = {
    [sym__closed_assignment] = STATE(15503),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10347),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8198),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8200),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1554] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1465),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1555] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8202),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1556] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1231),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1557] = {
    [sym__closed_assignment] = STATE(15888),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8204),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8206),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1558] = {
    [sym__closed_assignment] = STATE(16538),
    [sym__expression] = STATE(12851),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8208),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8210),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1559] = {
    [sym__closed_assignment] = STATE(16227),
    [sym__expression] = STATE(12810),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8212),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8214),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1560] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1178),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1561] = {
    [sym__closed_assignment] = STATE(17042),
    [sym__expression] = STATE(13672),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8216),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8218),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1562] = {
    [sym__closed_assignment] = STATE(16676),
    [sym__expression] = STATE(13951),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8220),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8222),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1563] = {
    [sym__closed_assignment] = STATE(15865),
    [sym__expression] = STATE(12697),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8224),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8226),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1564] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1031),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1565] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(958),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1566] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1291),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1567] = {
    [sym__closed_assignment] = STATE(17328),
    [sym__expression] = STATE(13856),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8228),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8230),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1568] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15623),
    [sym__expression] = STATE(13188),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11203),
    [sym__array] = STATE(11203),
    [sym_comprehension_expression] = STATE(11203),
    [sym_matrix_expression] = STATE(11203),
    [sym_vector_expression] = STATE(11203),
    [sym_parenthesized_expression] = STATE(11203),
    [sym_tuple_expression] = STATE(11203),
    [sym_curly_expression] = STATE(11203),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11203),
    [sym_index_expression] = STATE(11203),
    [sym_parametrized_type_expression] = STATE(11203),
    [sym_call_expression] = STATE(11203),
    [sym_broadcast_call_expression] = STATE(11203),
    [sym__closed_macrocall_expression] = STATE(11203),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11203),
    [sym_quote_expression] = STATE(11203),
    [sym_binary_expression] = STATE(13178),
    [sym_unary_expression] = STATE(13178),
    [sym_range_expression] = STATE(13178),
    [sym_splat_expression] = STATE(13178),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12969),
    [sym_unary_typed_expression] = STATE(13178),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13178),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11203),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11203),
    [sym_string_literal] = STATE(11203),
    [sym_command_literal] = STATE(11203),
    [sym_prefixed_string_literal] = STATE(11203),
    [sym_prefixed_command_literal] = STATE(11203),
    [sym_operator] = STATE(12975),
    [ts_builtin_sym_end] = ACTIONS(8232),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(75),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1569] = {
    [sym__closed_assignment] = STATE(16893),
    [sym__expression] = STATE(13971),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8234),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8236),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1570] = {
    [sym__closed_assignment] = STATE(17185),
    [sym__expression] = STATE(13912),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8238),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8240),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1571] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1302),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1572] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8242),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1573] = {
    [sym__closed_assignment] = STATE(16670),
    [sym__expression] = STATE(13930),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8244),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8246),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1574] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1162),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1575] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(953),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1576] = {
    [sym__closed_assignment] = STATE(15799),
    [sym__expression] = STATE(12440),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8248),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8250),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1577] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8252),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1578] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1067),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1579] = {
    [sym__closed_assignment] = STATE(17177),
    [sym__expression] = STATE(13676),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8254),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8256),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1580] = {
    [sym__closed_assignment] = STATE(16919),
    [sym__expression] = STATE(13628),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8258),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8260),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1581] = {
    [sym__closed_assignment] = STATE(17327),
    [sym__expression] = STATE(13857),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8262),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8264),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1582] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(954),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1583] = {
    [sym__closed_assignment] = STATE(16818),
    [sym__expression] = STATE(13747),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8266),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8268),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1584] = {
    [sym__closed_assignment] = STATE(16724),
    [sym__expression] = STATE(13939),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8270),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8272),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1585] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1449),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1586] = {
    [sym__closed_assignment] = STATE(15915),
    [sym__expression] = STATE(12762),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8274),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8276),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1587] = {
    [sym__closed_assignment] = STATE(15615),
    [sym__expression] = STATE(12874),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8278),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8280),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1588] = {
    [sym__closed_assignment] = STATE(16719),
    [sym__expression] = STATE(13761),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8282),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8284),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1589] = {
    [sym__closed_assignment] = STATE(16088),
    [sym__expression] = STATE(12750),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8286),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8288),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1590] = {
    [sym__closed_assignment] = STATE(16963),
    [sym__expression] = STATE(13937),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8290),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8292),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1591] = {
    [sym__closed_assignment] = STATE(16951),
    [sym__expression] = STATE(13809),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8294),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8296),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1592] = {
    [sym__closed_assignment] = STATE(16090),
    [sym__expression] = STATE(12393),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8298),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8300),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1593] = {
    [sym__closed_assignment] = STATE(17039),
    [sym__expression] = STATE(13661),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8302),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8304),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1594] = {
    [sym__closed_assignment] = STATE(802),
    [sym__expression] = STATE(9267),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_matrix_row] = STATE(17123),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [aux_sym_matrix_row_repeat1] = STATE(802),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1595] = {
    [sym__closed_assignment] = STATE(16992),
    [sym__expression] = STATE(13699),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8306),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8308),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1596] = {
    [sym__closed_assignment] = STATE(15534),
    [sym__expression] = STATE(12436),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8310),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8312),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1597] = {
    [sym__closed_assignment] = STATE(16980),
    [sym__expression] = STATE(13974),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8314),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8316),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1598] = {
    [sym__closed_assignment] = STATE(16673),
    [sym__expression] = STATE(13929),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8318),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8320),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1599] = {
    [sym__closed_assignment] = STATE(15990),
    [sym__expression] = STATE(12542),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8322),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8324),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1600] = {
    [sym__closed_assignment] = STATE(15772),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10501),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8326),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1601] = {
    [sym__closed_assignment] = STATE(15904),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10416),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8330),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8332),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1602] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8334),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1603] = {
    [sym__closed_assignment] = STATE(17092),
    [sym__expression] = STATE(13868),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8336),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8338),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1604] = {
    [sym__closed_assignment] = STATE(16701),
    [sym__expression] = STATE(13910),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8340),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8342),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1605] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8344),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1606] = {
    [sym__closed_assignment] = STATE(17140),
    [sym__expression] = STATE(13984),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8346),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8348),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1607] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8350),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1608] = {
    [sym__closed_assignment] = STATE(17002),
    [sym__expression] = STATE(13692),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8352),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8354),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1609] = {
    [sym__closed_assignment] = STATE(16325),
    [sym__expression] = STATE(12322),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8356),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8358),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1610] = {
    [sym__closed_assignment] = STATE(16454),
    [sym__expression] = STATE(12796),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8360),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8362),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1611] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(998),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1612] = {
    [sym__closed_assignment] = STATE(16448),
    [sym__expression] = STATE(12510),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8364),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8366),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1613] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1032),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1614] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1202),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1615] = {
    [sym__closed_assignment] = STATE(16668),
    [sym__expression] = STATE(13927),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8368),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8370),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1616] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1404),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1617] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1373),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1618] = {
    [sym__closed_assignment] = STATE(17053),
    [sym__expression] = STATE(13620),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8372),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8374),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1619] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1014),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1620] = {
    [sym__closed_assignment] = STATE(17279),
    [sym__expression] = STATE(13918),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8376),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8378),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1621] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1444),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1622] = {
    [sym__closed_assignment] = STATE(17268),
    [sym__expression] = STATE(13756),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8380),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8382),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1623] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1341),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1624] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8384),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1625] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1147),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1626] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(978),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1627] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1160),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1628] = {
    [sym__closed_assignment] = STATE(16301),
    [sym__expression] = STATE(12806),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8386),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8388),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1629] = {
    [sym__closed_assignment] = STATE(17284),
    [sym__expression] = STATE(13795),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8390),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8392),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1630] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8394),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1631] = {
    [sym__closed_assignment] = STATE(17134),
    [sym__expression] = STATE(13742),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8396),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8398),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1632] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15854),
    [sym__expression] = STATE(13285),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6542),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1633] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8400),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1634] = {
    [sym__closed_assignment] = STATE(15919),
    [sym__expression] = STATE(12431),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8402),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8404),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1635] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1225),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1636] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8406),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1637] = {
    [sym__closed_assignment] = STATE(15871),
    [sym__expression] = STATE(12785),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8408),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8410),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1638] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1093),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1639] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8412),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1640] = {
    [sym__closed_assignment] = STATE(17129),
    [sym__expression] = STATE(13985),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8414),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8416),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1641] = {
    [sym__closed_assignment] = STATE(17316),
    [sym__expression] = STATE(13656),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8418),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8420),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1642] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15854),
    [sym__expression] = STATE(13285),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6858),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1643] = {
    [sym__closed_assignment] = STATE(16104),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10484),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8422),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8424),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1644] = {
    [sym__closed_assignment] = STATE(17114),
    [sym__expression] = STATE(13625),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8426),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8428),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1645] = {
    [sym__closed_assignment] = STATE(16761),
    [sym__expression] = STATE(13854),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8430),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8432),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1646] = {
    [sym__closed_assignment] = STATE(17096),
    [sym__expression] = STATE(13606),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8434),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8436),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1647] = {
    [sym__closed_assignment] = STATE(15705),
    [sym__expression] = STATE(12649),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8438),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8440),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1648] = {
    [sym__closed_assignment] = STATE(17006),
    [sym__expression] = STATE(13824),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8442),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8444),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1649] = {
    [sym__closed_assignment] = STATE(16149),
    [sym__expression] = STATE(12253),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8446),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8448),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1650] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8450),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1651] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8452),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1652] = {
    [sym__closed_assignment] = STATE(16764),
    [sym__expression] = STATE(13852),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8454),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8456),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1653] = {
    [sym__closed_assignment] = STATE(16009),
    [sym__expression] = STATE(12589),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8458),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8460),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1654] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8462),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1655] = {
    [sym__closed_assignment] = STATE(15597),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10471),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8464),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8466),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1656] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10502),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8468),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1657] = {
    [sym__closed_assignment] = STATE(17236),
    [sym__expression] = STATE(13720),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8470),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8472),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1658] = {
    [sym__closed_assignment] = STATE(16808),
    [sym__expression] = STATE(13604),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8474),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8476),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1659] = {
    [sym__closed_assignment] = STATE(16798),
    [sym__expression] = STATE(13950),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8478),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8480),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1660] = {
    [sym__closed_assignment] = STATE(17293),
    [sym__expression] = STATE(13680),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8482),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8484),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1661] = {
    [sym__closed_assignment] = STATE(16361),
    [sym__expression] = STATE(12670),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8486),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8488),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1662] = {
    [sym__closed_assignment] = STATE(15706),
    [sym__expression] = STATE(12568),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8490),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8492),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1663] = {
    [sym__closed_assignment] = STATE(17175),
    [sym__expression] = STATE(13653),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8494),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8496),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1664] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11411),
    [sym_tuple_expression] = STATE(11411),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym__do_parameter_list] = STATE(1316),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13465),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13416),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10805),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8050),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8052),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4134),
    [sym__type_order_operator] = ACTIONS(4134),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [aux_sym__terminator_token1] = ACTIONS(8054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1665] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10499),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8498),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1666] = {
    [sym__closed_assignment] = STATE(17085),
    [sym__expression] = STATE(13861),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8500),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8502),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1667] = {
    [sym__closed_assignment] = STATE(15931),
    [sym__expression] = STATE(12368),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8504),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8506),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1668] = {
    [sym__closed_assignment] = STATE(17183),
    [sym__expression] = STATE(13655),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8508),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8510),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1669] = {
    [sym__closed_assignment] = STATE(15511),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10494),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(7994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_LF] = ACTIONS(8512),
    [anon_sym_LBRACE] = ACTIONS(8000),
    [anon_sym_DOLLAR] = ACTIONS(8002),
    [anon_sym_COLON_COLON] = ACTIONS(8004),
    [anon_sym_AT] = ACTIONS(8006),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3013),
    [aux_sym_integer_literal_token2] = ACTIONS(3013),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(8008),
    [aux_sym_float_literal_token3] = ACTIONS(8008),
    [aux_sym_float_literal_token4] = ACTIONS(8008),
    [sym_character_literal] = ACTIONS(8010),
    [sym__pair_operator] = ACTIONS(3023),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3023),
    [sym__pipe_left_operator] = ACTIONS(3023),
    [sym__ellipsis_operator] = ACTIONS(3023),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3023),
    [sym__bitshift_operator] = ACTIONS(3023),
    [sym__power_operator] = ACTIONS(3023),
    [sym__tilde_operator] = ACTIONS(4128),
    [sym__type_order_operator] = ACTIONS(4128),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [aux_sym__terminator_token1] = ACTIONS(8514),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1670] = {
    [sym__closed_assignment] = STATE(17076),
    [sym__expression] = STATE(13716),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8516),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8518),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1671] = {
    [sym__closed_assignment] = STATE(16958),
    [sym__expression] = STATE(13690),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8520),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8522),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1672] = {
    [sym__closed_assignment] = STATE(15613),
    [sym__expression] = STATE(12312),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8524),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8526),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1673] = {
    [sym__closed_assignment] = STATE(15894),
    [sym__expression] = STATE(12250),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8528),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8530),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1674] = {
    [sym__closed_assignment] = STATE(15897),
    [sym__expression] = STATE(12270),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(8532),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8534),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1675] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8536),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1676] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8540),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1677] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8542),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1678] = {
    [sym_assignment] = STATE(8525),
    [sym_open_tuple] = STATE(8511),
    [sym__expression] = STATE(8523),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(8558),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [1679] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(13148),
    [sym__expression] = STATE(12907),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10948),
    [sym__array] = STATE(10948),
    [sym_comprehension_expression] = STATE(10948),
    [sym_matrix_expression] = STATE(10948),
    [sym_vector_expression] = STATE(10948),
    [sym_parenthesized_expression] = STATE(10948),
    [sym_tuple_expression] = STATE(10948),
    [sym_curly_expression] = STATE(10948),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10948),
    [sym_index_expression] = STATE(10948),
    [sym_parametrized_type_expression] = STATE(10948),
    [sym_call_expression] = STATE(10948),
    [sym_broadcast_call_expression] = STATE(10948),
    [sym__closed_macrocall_expression] = STATE(10948),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(10948),
    [sym_quote_expression] = STATE(10948),
    [sym_binary_expression] = STATE(12981),
    [sym_unary_expression] = STATE(12981),
    [sym_range_expression] = STATE(12981),
    [sym_splat_expression] = STATE(12981),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12321),
    [sym_unary_typed_expression] = STATE(12981),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12981),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(10948),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10948),
    [sym_string_literal] = STATE(10948),
    [sym_command_literal] = STATE(10948),
    [sym_prefixed_string_literal] = STATE(10948),
    [sym_prefixed_command_literal] = STATE(10948),
    [sym_operator] = STATE(12319),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(8564),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1680] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(13149),
    [sym__expression] = STATE(13158),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10948),
    [sym__array] = STATE(10948),
    [sym_comprehension_expression] = STATE(10948),
    [sym_matrix_expression] = STATE(10948),
    [sym_vector_expression] = STATE(10948),
    [sym_parenthesized_expression] = STATE(10948),
    [sym_tuple_expression] = STATE(10948),
    [sym_curly_expression] = STATE(10948),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10948),
    [sym_index_expression] = STATE(10948),
    [sym_parametrized_type_expression] = STATE(10948),
    [sym_call_expression] = STATE(10948),
    [sym_broadcast_call_expression] = STATE(10948),
    [sym__closed_macrocall_expression] = STATE(10948),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(10948),
    [sym_quote_expression] = STATE(10948),
    [sym_binary_expression] = STATE(12981),
    [sym_unary_expression] = STATE(12981),
    [sym_range_expression] = STATE(12981),
    [sym_splat_expression] = STATE(12981),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12321),
    [sym_unary_typed_expression] = STATE(12981),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12981),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(10948),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10948),
    [sym_string_literal] = STATE(10948),
    [sym_command_literal] = STATE(10948),
    [sym_prefixed_string_literal] = STATE(10948),
    [sym_prefixed_command_literal] = STATE(10948),
    [sym_operator] = STATE(12319),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(8564),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1681] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8566),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1682] = {
    [sym_assignment] = STATE(12047),
    [sym_open_tuple] = STATE(19591),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11746),
    [sym__array] = STATE(11746),
    [sym_comprehension_expression] = STATE(11746),
    [sym_matrix_expression] = STATE(11746),
    [sym_vector_expression] = STATE(11746),
    [sym_parenthesized_expression] = STATE(11746),
    [sym_tuple_expression] = STATE(11746),
    [sym_curly_expression] = STATE(11746),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11746),
    [sym_index_expression] = STATE(11746),
    [sym_parametrized_type_expression] = STATE(11746),
    [sym_call_expression] = STATE(11746),
    [sym_broadcast_call_expression] = STATE(11746),
    [sym__closed_macrocall_expression] = STATE(11746),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11746),
    [sym_quote_expression] = STATE(11746),
    [sym_binary_expression] = STATE(14028),
    [sym_unary_expression] = STATE(14028),
    [sym_range_expression] = STATE(14028),
    [sym_splat_expression] = STATE(14028),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13900),
    [sym_unary_typed_expression] = STATE(14028),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14028),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11746),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11746),
    [sym_string_literal] = STATE(11746),
    [sym_command_literal] = STATE(11746),
    [sym_prefixed_string_literal] = STATE(11746),
    [sym_prefixed_command_literal] = STATE(11746),
    [sym_operator] = STATE(13904),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8568),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1683] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8570),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1684] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8572),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1685] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(19375),
    [sym__expression] = STATE(12949),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10948),
    [sym__array] = STATE(10948),
    [sym_comprehension_expression] = STATE(10948),
    [sym_matrix_expression] = STATE(10948),
    [sym_vector_expression] = STATE(10948),
    [sym_parenthesized_expression] = STATE(10948),
    [sym_tuple_expression] = STATE(10948),
    [sym_curly_expression] = STATE(10948),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10948),
    [sym_index_expression] = STATE(10948),
    [sym_parametrized_type_expression] = STATE(10948),
    [sym_call_expression] = STATE(10948),
    [sym_broadcast_call_expression] = STATE(10948),
    [sym__closed_macrocall_expression] = STATE(10948),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(10948),
    [sym_quote_expression] = STATE(10948),
    [sym_binary_expression] = STATE(12981),
    [sym_unary_expression] = STATE(12981),
    [sym_range_expression] = STATE(12981),
    [sym_splat_expression] = STATE(12981),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12321),
    [sym_unary_typed_expression] = STATE(12981),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12981),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(10948),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10948),
    [sym_string_literal] = STATE(10948),
    [sym_command_literal] = STATE(10948),
    [sym_prefixed_string_literal] = STATE(10948),
    [sym_prefixed_command_literal] = STATE(10948),
    [sym_operator] = STATE(12319),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(8564),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1686] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8574),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1687] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8576),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1688] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8578),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1689] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8580),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1690] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8582),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1691] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8584),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1692] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8586),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1693] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8588),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1694] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8590),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1695] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8592),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1696] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8594),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1697] = {
    [sym_assignment] = STATE(12047),
    [sym_open_tuple] = STATE(19535),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11787),
    [sym__array] = STATE(11787),
    [sym_comprehension_expression] = STATE(11787),
    [sym_matrix_expression] = STATE(11787),
    [sym_vector_expression] = STATE(11787),
    [sym_parenthesized_expression] = STATE(11787),
    [sym_tuple_expression] = STATE(11787),
    [sym_curly_expression] = STATE(11787),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11787),
    [sym_index_expression] = STATE(11787),
    [sym_parametrized_type_expression] = STATE(11787),
    [sym_call_expression] = STATE(11787),
    [sym_broadcast_call_expression] = STATE(11787),
    [sym__closed_macrocall_expression] = STATE(11787),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11787),
    [sym_quote_expression] = STATE(11787),
    [sym_binary_expression] = STATE(13447),
    [sym_unary_expression] = STATE(13447),
    [sym_range_expression] = STATE(13447),
    [sym_splat_expression] = STATE(13447),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13684),
    [sym_unary_typed_expression] = STATE(13447),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13447),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11787),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11787),
    [sym_string_literal] = STATE(11787),
    [sym_command_literal] = STATE(11787),
    [sym_prefixed_string_literal] = STATE(11787),
    [sym_prefixed_command_literal] = STATE(11787),
    [sym_operator] = STATE(13430),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8596),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1698] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8598),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1699] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8600),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1700] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8602),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1701] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(483),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1702] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8612),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1703] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(18902),
    [sym__expression] = STATE(13701),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11461),
    [sym__array] = STATE(11461),
    [sym_comprehension_expression] = STATE(11461),
    [sym_matrix_expression] = STATE(11461),
    [sym_vector_expression] = STATE(11461),
    [sym_parenthesized_expression] = STATE(11461),
    [sym_tuple_expression] = STATE(11461),
    [sym_curly_expression] = STATE(11461),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11461),
    [sym_index_expression] = STATE(11461),
    [sym_parametrized_type_expression] = STATE(11461),
    [sym_call_expression] = STATE(11461),
    [sym_broadcast_call_expression] = STATE(11461),
    [sym__closed_macrocall_expression] = STATE(11461),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11461),
    [sym_quote_expression] = STATE(11461),
    [sym_binary_expression] = STATE(13851),
    [sym_unary_expression] = STATE(13851),
    [sym_range_expression] = STATE(13851),
    [sym_splat_expression] = STATE(13851),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13520),
    [sym_unary_typed_expression] = STATE(13851),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13851),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11461),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11461),
    [sym_string_literal] = STATE(11461),
    [sym_command_literal] = STATE(11461),
    [sym_prefixed_string_literal] = STATE(11461),
    [sym_prefixed_command_literal] = STATE(11461),
    [sym_operator] = STATE(13439),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3708),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1704] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8614),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1705] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(19846),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11734),
    [sym__array] = STATE(11734),
    [sym_comprehension_expression] = STATE(11734),
    [sym_matrix_expression] = STATE(11734),
    [sym_vector_expression] = STATE(11734),
    [sym_parenthesized_expression] = STATE(11734),
    [sym_tuple_expression] = STATE(11734),
    [sym_curly_expression] = STATE(11734),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11734),
    [sym_index_expression] = STATE(11734),
    [sym_parametrized_type_expression] = STATE(11734),
    [sym_call_expression] = STATE(11734),
    [sym_broadcast_call_expression] = STATE(11734),
    [sym__closed_macrocall_expression] = STATE(11734),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11734),
    [sym_quote_expression] = STATE(11734),
    [sym_binary_expression] = STATE(14037),
    [sym_unary_expression] = STATE(14037),
    [sym_range_expression] = STATE(14037),
    [sym_splat_expression] = STATE(14037),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13968),
    [sym_unary_typed_expression] = STATE(14037),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14037),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11734),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11734),
    [sym_string_literal] = STATE(11734),
    [sym_command_literal] = STATE(11734),
    [sym_prefixed_string_literal] = STATE(11734),
    [sym_prefixed_command_literal] = STATE(11734),
    [sym_operator] = STATE(13975),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8616),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1706] = {
    [sym_assignment] = STATE(12047),
    [sym_open_tuple] = STATE(19837),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11577),
    [sym__array] = STATE(11577),
    [sym_comprehension_expression] = STATE(11577),
    [sym_matrix_expression] = STATE(11577),
    [sym_vector_expression] = STATE(11577),
    [sym_parenthesized_expression] = STATE(11577),
    [sym_tuple_expression] = STATE(11577),
    [sym_curly_expression] = STATE(11577),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11577),
    [sym_index_expression] = STATE(11577),
    [sym_parametrized_type_expression] = STATE(11577),
    [sym_call_expression] = STATE(11577),
    [sym_broadcast_call_expression] = STATE(11577),
    [sym__closed_macrocall_expression] = STATE(11577),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11577),
    [sym_quote_expression] = STATE(11577),
    [sym_binary_expression] = STATE(13532),
    [sym_unary_expression] = STATE(13532),
    [sym_range_expression] = STATE(13532),
    [sym_splat_expression] = STATE(13532),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13993),
    [sym_unary_typed_expression] = STATE(13532),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13532),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11577),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11577),
    [sym_string_literal] = STATE(11577),
    [sym_command_literal] = STATE(11577),
    [sym_prefixed_string_literal] = STATE(11577),
    [sym_prefixed_command_literal] = STATE(11577),
    [sym_operator] = STATE(13314),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8618),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1707] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8620),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1708] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8622),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1709] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8624),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1710] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8626),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1711] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8628),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1712] = {
    [sym__expression] = STATE(13855),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17318),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8630),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1713] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8632),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1714] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8634),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1715] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8636),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1716] = {
    [sym__expression] = STATE(13987),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16781),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8638),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1717] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8640),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1718] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8642),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1719] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8644),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1720] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8646),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1721] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8648),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1722] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8650),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1723] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(18902),
    [sym__expression] = STATE(13700),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11461),
    [sym__array] = STATE(11461),
    [sym_comprehension_expression] = STATE(11461),
    [sym_matrix_expression] = STATE(11461),
    [sym_vector_expression] = STATE(11461),
    [sym_parenthesized_expression] = STATE(11461),
    [sym_tuple_expression] = STATE(11461),
    [sym_curly_expression] = STATE(11461),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11461),
    [sym_index_expression] = STATE(11461),
    [sym_parametrized_type_expression] = STATE(11461),
    [sym_call_expression] = STATE(11461),
    [sym_broadcast_call_expression] = STATE(11461),
    [sym__closed_macrocall_expression] = STATE(11461),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11461),
    [sym_quote_expression] = STATE(11461),
    [sym_binary_expression] = STATE(13851),
    [sym_unary_expression] = STATE(13851),
    [sym_range_expression] = STATE(13851),
    [sym_splat_expression] = STATE(13851),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13520),
    [sym_unary_typed_expression] = STATE(13851),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13851),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11461),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11461),
    [sym_string_literal] = STATE(11461),
    [sym_command_literal] = STATE(11461),
    [sym_prefixed_string_literal] = STATE(11461),
    [sym_prefixed_command_literal] = STATE(11461),
    [sym_operator] = STATE(13439),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3708),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1724] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8652),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1725] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8654),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1726] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8656),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1727] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8658),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1728] = {
    [sym_assignment] = STATE(12073),
    [sym_open_tuple] = STATE(13772),
    [sym__expression] = STATE(13514),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11532),
    [sym__array] = STATE(11532),
    [sym_comprehension_expression] = STATE(11532),
    [sym_matrix_expression] = STATE(11532),
    [sym_vector_expression] = STATE(11532),
    [sym_parenthesized_expression] = STATE(11532),
    [sym_tuple_expression] = STATE(11532),
    [sym_curly_expression] = STATE(11532),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11532),
    [sym_index_expression] = STATE(11532),
    [sym_parametrized_type_expression] = STATE(11532),
    [sym_call_expression] = STATE(11532),
    [sym_broadcast_call_expression] = STATE(11532),
    [sym__closed_macrocall_expression] = STATE(11532),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11532),
    [sym_quote_expression] = STATE(11532),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13475),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11532),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11532),
    [sym_string_literal] = STATE(11532),
    [sym_command_literal] = STATE(11532),
    [sym_prefixed_string_literal] = STATE(11532),
    [sym_prefixed_command_literal] = STATE(11532),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3386),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1729] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8660),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1730] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(19010),
    [sym__expression] = STATE(12910),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11092),
    [sym__array] = STATE(11092),
    [sym_comprehension_expression] = STATE(11092),
    [sym_matrix_expression] = STATE(11092),
    [sym_vector_expression] = STATE(11092),
    [sym_parenthesized_expression] = STATE(11092),
    [sym_tuple_expression] = STATE(11092),
    [sym_curly_expression] = STATE(11092),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11092),
    [sym_index_expression] = STATE(11092),
    [sym_parametrized_type_expression] = STATE(11092),
    [sym_call_expression] = STATE(11092),
    [sym_broadcast_call_expression] = STATE(11092),
    [sym__closed_macrocall_expression] = STATE(11092),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11092),
    [sym_quote_expression] = STATE(11092),
    [sym_binary_expression] = STATE(12998),
    [sym_unary_expression] = STATE(12998),
    [sym_range_expression] = STATE(12998),
    [sym_splat_expression] = STATE(12998),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12780),
    [sym_unary_typed_expression] = STATE(12998),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12998),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11092),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11092),
    [sym_string_literal] = STATE(11092),
    [sym_command_literal] = STATE(11092),
    [sym_prefixed_string_literal] = STATE(11092),
    [sym_prefixed_command_literal] = STATE(11092),
    [sym_operator] = STATE(12747),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(8662),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1731] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(493),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1732] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8664),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1733] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8666),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1734] = {
    [sym_assignment] = STATE(9075),
    [sym_open_tuple] = STATE(18834),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11780),
    [sym__array] = STATE(11780),
    [sym_comprehension_expression] = STATE(11780),
    [sym_matrix_expression] = STATE(11780),
    [sym_vector_expression] = STATE(11780),
    [sym_parenthesized_expression] = STATE(11780),
    [sym_tuple_expression] = STATE(11780),
    [sym_curly_expression] = STATE(11780),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11780),
    [sym_index_expression] = STATE(11780),
    [sym_parametrized_type_expression] = STATE(11780),
    [sym_call_expression] = STATE(11780),
    [sym_broadcast_call_expression] = STATE(11780),
    [sym__closed_macrocall_expression] = STATE(11780),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11780),
    [sym_quote_expression] = STATE(11780),
    [sym_binary_expression] = STATE(14112),
    [sym_unary_expression] = STATE(14112),
    [sym_range_expression] = STATE(14112),
    [sym_splat_expression] = STATE(14112),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13935),
    [sym_unary_typed_expression] = STATE(14112),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14112),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11780),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11780),
    [sym_string_literal] = STATE(11780),
    [sym_command_literal] = STATE(11780),
    [sym_prefixed_string_literal] = STATE(11780),
    [sym_prefixed_command_literal] = STATE(11780),
    [sym_operator] = STATE(13936),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8668),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1735] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8670),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1736] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8672),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1737] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8674),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1738] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(13419),
    [sym__expression] = STATE(13423),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11368),
    [sym__array] = STATE(11368),
    [sym_comprehension_expression] = STATE(11368),
    [sym_matrix_expression] = STATE(11368),
    [sym_vector_expression] = STATE(11368),
    [sym_parenthesized_expression] = STATE(11368),
    [sym_tuple_expression] = STATE(11368),
    [sym_curly_expression] = STATE(11368),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11368),
    [sym_index_expression] = STATE(11368),
    [sym_parametrized_type_expression] = STATE(11368),
    [sym_call_expression] = STATE(11368),
    [sym_broadcast_call_expression] = STATE(11368),
    [sym__closed_macrocall_expression] = STATE(11368),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11368),
    [sym_quote_expression] = STATE(11368),
    [sym_binary_expression] = STATE(13272),
    [sym_unary_expression] = STATE(13272),
    [sym_range_expression] = STATE(13272),
    [sym_splat_expression] = STATE(13272),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13111),
    [sym_unary_typed_expression] = STATE(13272),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13272),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11368),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11368),
    [sym_string_literal] = STATE(11368),
    [sym_command_literal] = STATE(11368),
    [sym_prefixed_string_literal] = STATE(11368),
    [sym_prefixed_command_literal] = STATE(11368),
    [sym_operator] = STATE(13113),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(8676),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1739] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8678),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1740] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8680),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1741] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8682),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1742] = {
    [sym_assignment] = STATE(18652),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13841),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1743] = {
    [sym_assignment] = STATE(8210),
    [sym_open_tuple] = STATE(19297),
    [sym__expression] = STATE(8499),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(8700),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [1744] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8706),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1745] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8708),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1746] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(19375),
    [sym__expression] = STATE(12908),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10948),
    [sym__array] = STATE(10948),
    [sym_comprehension_expression] = STATE(10948),
    [sym_matrix_expression] = STATE(10948),
    [sym_vector_expression] = STATE(10948),
    [sym_parenthesized_expression] = STATE(10948),
    [sym_tuple_expression] = STATE(10948),
    [sym_curly_expression] = STATE(10948),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10948),
    [sym_index_expression] = STATE(10948),
    [sym_parametrized_type_expression] = STATE(10948),
    [sym_call_expression] = STATE(10948),
    [sym_broadcast_call_expression] = STATE(10948),
    [sym__closed_macrocall_expression] = STATE(10948),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(10948),
    [sym_quote_expression] = STATE(10948),
    [sym_binary_expression] = STATE(12981),
    [sym_unary_expression] = STATE(12981),
    [sym_range_expression] = STATE(12981),
    [sym_splat_expression] = STATE(12981),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12321),
    [sym_unary_typed_expression] = STATE(12981),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12981),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(10948),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10948),
    [sym_string_literal] = STATE(10948),
    [sym_command_literal] = STATE(10948),
    [sym_prefixed_string_literal] = STATE(10948),
    [sym_prefixed_command_literal] = STATE(10948),
    [sym_operator] = STATE(12319),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(8564),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1747] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8710),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1748] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(13426),
    [sym__expression] = STATE(13429),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11368),
    [sym__array] = STATE(11368),
    [sym_comprehension_expression] = STATE(11368),
    [sym_matrix_expression] = STATE(11368),
    [sym_vector_expression] = STATE(11368),
    [sym_parenthesized_expression] = STATE(11368),
    [sym_tuple_expression] = STATE(11368),
    [sym_curly_expression] = STATE(11368),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11368),
    [sym_index_expression] = STATE(11368),
    [sym_parametrized_type_expression] = STATE(11368),
    [sym_call_expression] = STATE(11368),
    [sym_broadcast_call_expression] = STATE(11368),
    [sym__closed_macrocall_expression] = STATE(11368),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11368),
    [sym_quote_expression] = STATE(11368),
    [sym_binary_expression] = STATE(13272),
    [sym_unary_expression] = STATE(13272),
    [sym_range_expression] = STATE(13272),
    [sym_splat_expression] = STATE(13272),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13111),
    [sym_unary_typed_expression] = STATE(13272),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13272),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11368),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11368),
    [sym_string_literal] = STATE(11368),
    [sym_command_literal] = STATE(11368),
    [sym_prefixed_string_literal] = STATE(11368),
    [sym_prefixed_command_literal] = STATE(11368),
    [sym_operator] = STATE(13113),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(8676),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1749] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8712),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1750] = {
    [sym_assignment] = STATE(12049),
    [sym_open_tuple] = STATE(13597),
    [sym__expression] = STATE(13596),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11407),
    [sym__array] = STATE(11407),
    [sym_comprehension_expression] = STATE(11407),
    [sym_matrix_expression] = STATE(11407),
    [sym_vector_expression] = STATE(11407),
    [sym_parenthesized_expression] = STATE(11407),
    [sym_tuple_expression] = STATE(11407),
    [sym_curly_expression] = STATE(11407),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11407),
    [sym_index_expression] = STATE(11407),
    [sym_parametrized_type_expression] = STATE(11407),
    [sym_call_expression] = STATE(11407),
    [sym_broadcast_call_expression] = STATE(11407),
    [sym__closed_macrocall_expression] = STATE(11407),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11407),
    [sym_quote_expression] = STATE(11407),
    [sym_binary_expression] = STATE(13447),
    [sym_unary_expression] = STATE(13447),
    [sym_range_expression] = STATE(13447),
    [sym_splat_expression] = STATE(13447),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13435),
    [sym_unary_typed_expression] = STATE(13447),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13447),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11407),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11407),
    [sym_string_literal] = STATE(11407),
    [sym_command_literal] = STATE(11407),
    [sym_prefixed_string_literal] = STATE(11407),
    [sym_prefixed_command_literal] = STATE(11407),
    [sym_operator] = STATE(13430),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3422),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1751] = {
    [sym_assignment] = STATE(15238),
    [sym_open_tuple] = STATE(14867),
    [sym__expression] = STATE(12257),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10762),
    [sym__array] = STATE(10762),
    [sym_comprehension_expression] = STATE(10762),
    [sym_matrix_expression] = STATE(10762),
    [sym_vector_expression] = STATE(10762),
    [sym_parenthesized_expression] = STATE(10762),
    [sym_tuple_expression] = STATE(10762),
    [sym_curly_expression] = STATE(10762),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10762),
    [sym_index_expression] = STATE(10762),
    [sym_parametrized_type_expression] = STATE(10762),
    [sym_call_expression] = STATE(10762),
    [sym_broadcast_call_expression] = STATE(10762),
    [sym__closed_macrocall_expression] = STATE(10762),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10762),
    [sym_quote_expression] = STATE(10762),
    [sym_binary_expression] = STATE(12798),
    [sym_unary_expression] = STATE(12798),
    [sym_range_expression] = STATE(12798),
    [sym_splat_expression] = STATE(12798),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11907),
    [sym_unary_typed_expression] = STATE(12798),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12798),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10762),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10762),
    [sym_string_literal] = STATE(10762),
    [sym_command_literal] = STATE(10762),
    [sym_prefixed_string_literal] = STATE(10762),
    [sym_prefixed_command_literal] = STATE(10762),
    [sym_operator] = STATE(11947),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(5400),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [1752] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(19010),
    [sym__expression] = STATE(12994),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11092),
    [sym__array] = STATE(11092),
    [sym_comprehension_expression] = STATE(11092),
    [sym_matrix_expression] = STATE(11092),
    [sym_vector_expression] = STATE(11092),
    [sym_parenthesized_expression] = STATE(11092),
    [sym_tuple_expression] = STATE(11092),
    [sym_curly_expression] = STATE(11092),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11092),
    [sym_index_expression] = STATE(11092),
    [sym_parametrized_type_expression] = STATE(11092),
    [sym_call_expression] = STATE(11092),
    [sym_broadcast_call_expression] = STATE(11092),
    [sym__closed_macrocall_expression] = STATE(11092),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11092),
    [sym_quote_expression] = STATE(11092),
    [sym_binary_expression] = STATE(12998),
    [sym_unary_expression] = STATE(12998),
    [sym_range_expression] = STATE(12998),
    [sym_splat_expression] = STATE(12998),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12780),
    [sym_unary_typed_expression] = STATE(12998),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12998),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11092),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11092),
    [sym_string_literal] = STATE(11092),
    [sym_command_literal] = STATE(11092),
    [sym_prefixed_string_literal] = STATE(11092),
    [sym_prefixed_command_literal] = STATE(11092),
    [sym_operator] = STATE(12747),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(8662),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1753] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8714),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1754] = {
    [sym_assignment] = STATE(11858),
    [sym_open_tuple] = STATE(13595),
    [sym__expression] = STATE(13602),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11407),
    [sym__array] = STATE(11407),
    [sym_comprehension_expression] = STATE(11407),
    [sym_matrix_expression] = STATE(11407),
    [sym_vector_expression] = STATE(11407),
    [sym_parenthesized_expression] = STATE(11407),
    [sym_tuple_expression] = STATE(11407),
    [sym_curly_expression] = STATE(11407),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11407),
    [sym_index_expression] = STATE(11407),
    [sym_parametrized_type_expression] = STATE(11407),
    [sym_call_expression] = STATE(11407),
    [sym_broadcast_call_expression] = STATE(11407),
    [sym__closed_macrocall_expression] = STATE(11407),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11407),
    [sym_quote_expression] = STATE(11407),
    [sym_binary_expression] = STATE(13447),
    [sym_unary_expression] = STATE(13447),
    [sym_range_expression] = STATE(13447),
    [sym_splat_expression] = STATE(13447),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13435),
    [sym_unary_typed_expression] = STATE(13447),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13447),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11407),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11407),
    [sym_string_literal] = STATE(11407),
    [sym_command_literal] = STATE(11407),
    [sym_prefixed_string_literal] = STATE(11407),
    [sym_prefixed_command_literal] = STATE(11407),
    [sym_operator] = STATE(13430),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3422),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1755] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8716),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1756] = {
    [sym_assignment] = STATE(12073),
    [sym_open_tuple] = STATE(13524),
    [sym__expression] = STATE(13442),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11407),
    [sym__array] = STATE(11407),
    [sym_comprehension_expression] = STATE(11407),
    [sym_matrix_expression] = STATE(11407),
    [sym_vector_expression] = STATE(11407),
    [sym_parenthesized_expression] = STATE(11407),
    [sym_tuple_expression] = STATE(11407),
    [sym_curly_expression] = STATE(11407),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11407),
    [sym_index_expression] = STATE(11407),
    [sym_parametrized_type_expression] = STATE(11407),
    [sym_call_expression] = STATE(11407),
    [sym_broadcast_call_expression] = STATE(11407),
    [sym__closed_macrocall_expression] = STATE(11407),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11407),
    [sym_quote_expression] = STATE(11407),
    [sym_binary_expression] = STATE(13447),
    [sym_unary_expression] = STATE(13447),
    [sym_range_expression] = STATE(13447),
    [sym_splat_expression] = STATE(13447),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13435),
    [sym_unary_typed_expression] = STATE(13447),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13447),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11407),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11407),
    [sym_string_literal] = STATE(11407),
    [sym_command_literal] = STATE(11407),
    [sym_prefixed_string_literal] = STATE(11407),
    [sym_prefixed_command_literal] = STATE(11407),
    [sym_operator] = STATE(13430),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3422),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1757] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8718),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1758] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(19535),
    [sym__expression] = STATE(13588),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11407),
    [sym__array] = STATE(11407),
    [sym_comprehension_expression] = STATE(11407),
    [sym_matrix_expression] = STATE(11407),
    [sym_vector_expression] = STATE(11407),
    [sym_parenthesized_expression] = STATE(11407),
    [sym_tuple_expression] = STATE(11407),
    [sym_curly_expression] = STATE(11407),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11407),
    [sym_index_expression] = STATE(11407),
    [sym_parametrized_type_expression] = STATE(11407),
    [sym_call_expression] = STATE(11407),
    [sym_broadcast_call_expression] = STATE(11407),
    [sym__closed_macrocall_expression] = STATE(11407),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11407),
    [sym_quote_expression] = STATE(11407),
    [sym_binary_expression] = STATE(13447),
    [sym_unary_expression] = STATE(13447),
    [sym_range_expression] = STATE(13447),
    [sym_splat_expression] = STATE(13447),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13435),
    [sym_unary_typed_expression] = STATE(13447),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13447),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11407),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11407),
    [sym_string_literal] = STATE(11407),
    [sym_command_literal] = STATE(11407),
    [sym_prefixed_string_literal] = STATE(11407),
    [sym_prefixed_command_literal] = STATE(11407),
    [sym_operator] = STATE(13430),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3422),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1759] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8720),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1760] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8722),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1761] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8724),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1762] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8726),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1763] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8728),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1764] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8730),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1765] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8732),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1766] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8734),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1767] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8730),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1768] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8736),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1769] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8738),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1770] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8740),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1771] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8742),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1772] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8744),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1773] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8746),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1774] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8748),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1775] = {
    [sym__expression] = STATE(13710),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16698),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8750),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1776] = {
    [sym_assignment] = STATE(9119),
    [sym_open_tuple] = STATE(8960),
    [sym__expression] = STATE(8924),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(8766),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [1777] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8772),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1778] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8774),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1779] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8776),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1780] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8778),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1781] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8780),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1782] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8782),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1783] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8784),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1784] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8786),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1785] = {
    [sym_assignment] = STATE(8419),
    [sym_open_tuple] = STATE(18788),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11708),
    [sym__array] = STATE(11708),
    [sym_comprehension_expression] = STATE(11708),
    [sym_matrix_expression] = STATE(11708),
    [sym_vector_expression] = STATE(11708),
    [sym_parenthesized_expression] = STATE(11708),
    [sym_tuple_expression] = STATE(11708),
    [sym_curly_expression] = STATE(11708),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11708),
    [sym_index_expression] = STATE(11708),
    [sym_parametrized_type_expression] = STATE(11708),
    [sym_call_expression] = STATE(11708),
    [sym_broadcast_call_expression] = STATE(11708),
    [sym__closed_macrocall_expression] = STATE(11708),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11708),
    [sym_quote_expression] = STATE(11708),
    [sym_binary_expression] = STATE(14110),
    [sym_unary_expression] = STATE(14110),
    [sym_range_expression] = STATE(14110),
    [sym_splat_expression] = STATE(14110),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13691),
    [sym_unary_typed_expression] = STATE(14110),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14110),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11708),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11708),
    [sym_string_literal] = STATE(11708),
    [sym_command_literal] = STATE(11708),
    [sym_prefixed_string_literal] = STATE(11708),
    [sym_prefixed_command_literal] = STATE(11708),
    [sym_operator] = STATE(13687),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8788),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1786] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8790),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1787] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8792),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1788] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(514),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1789] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8794),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1790] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8796),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1791] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8798),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1792] = {
    [sym__expression] = STATE(13952),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16998),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8800),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1793] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8802),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1794] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8804),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1795] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8806),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1796] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8648),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1797] = {
    [sym_assignment] = STATE(18519),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13746),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1798] = {
    [sym_assignment] = STATE(7753),
    [sym_open_tuple] = STATE(18838),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11796),
    [sym__array] = STATE(11796),
    [sym_comprehension_expression] = STATE(11796),
    [sym_matrix_expression] = STATE(11796),
    [sym_vector_expression] = STATE(11796),
    [sym_parenthesized_expression] = STATE(11796),
    [sym_tuple_expression] = STATE(11796),
    [sym_curly_expression] = STATE(11796),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11796),
    [sym_index_expression] = STATE(11796),
    [sym_parametrized_type_expression] = STATE(11796),
    [sym_call_expression] = STATE(11796),
    [sym_broadcast_call_expression] = STATE(11796),
    [sym__closed_macrocall_expression] = STATE(11796),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11796),
    [sym_quote_expression] = STATE(11796),
    [sym_binary_expression] = STATE(14111),
    [sym_unary_expression] = STATE(14111),
    [sym_range_expression] = STATE(14111),
    [sym_splat_expression] = STATE(14111),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14111),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14111),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11796),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11796),
    [sym_string_literal] = STATE(11796),
    [sym_command_literal] = STATE(11796),
    [sym_prefixed_string_literal] = STATE(11796),
    [sym_prefixed_command_literal] = STATE(11796),
    [sym_operator] = STATE(13828),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8808),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1799] = {
    [sym_assignment] = STATE(18777),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13902),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1800] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8810),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1801] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(13013),
    [sym__expression] = STATE(13014),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11092),
    [sym__array] = STATE(11092),
    [sym_comprehension_expression] = STATE(11092),
    [sym_matrix_expression] = STATE(11092),
    [sym_vector_expression] = STATE(11092),
    [sym_parenthesized_expression] = STATE(11092),
    [sym_tuple_expression] = STATE(11092),
    [sym_curly_expression] = STATE(11092),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11092),
    [sym_index_expression] = STATE(11092),
    [sym_parametrized_type_expression] = STATE(11092),
    [sym_call_expression] = STATE(11092),
    [sym_broadcast_call_expression] = STATE(11092),
    [sym__closed_macrocall_expression] = STATE(11092),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11092),
    [sym_quote_expression] = STATE(11092),
    [sym_binary_expression] = STATE(12998),
    [sym_unary_expression] = STATE(12998),
    [sym_range_expression] = STATE(12998),
    [sym_splat_expression] = STATE(12998),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12780),
    [sym_unary_typed_expression] = STATE(12998),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12998),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11092),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11092),
    [sym_string_literal] = STATE(11092),
    [sym_command_literal] = STATE(11092),
    [sym_prefixed_string_literal] = STATE(11092),
    [sym_prefixed_command_literal] = STATE(11092),
    [sym_operator] = STATE(12747),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(8662),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1802] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(13008),
    [sym__expression] = STATE(13010),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11092),
    [sym__array] = STATE(11092),
    [sym_comprehension_expression] = STATE(11092),
    [sym_matrix_expression] = STATE(11092),
    [sym_vector_expression] = STATE(11092),
    [sym_parenthesized_expression] = STATE(11092),
    [sym_tuple_expression] = STATE(11092),
    [sym_curly_expression] = STATE(11092),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11092),
    [sym_index_expression] = STATE(11092),
    [sym_parametrized_type_expression] = STATE(11092),
    [sym_call_expression] = STATE(11092),
    [sym_broadcast_call_expression] = STATE(11092),
    [sym__closed_macrocall_expression] = STATE(11092),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11092),
    [sym_quote_expression] = STATE(11092),
    [sym_binary_expression] = STATE(12998),
    [sym_unary_expression] = STATE(12998),
    [sym_range_expression] = STATE(12998),
    [sym_splat_expression] = STATE(12998),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12780),
    [sym_unary_typed_expression] = STATE(12998),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12998),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11092),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11092),
    [sym_string_literal] = STATE(11092),
    [sym_command_literal] = STATE(11092),
    [sym_prefixed_string_literal] = STATE(11092),
    [sym_prefixed_command_literal] = STATE(11092),
    [sym_operator] = STATE(12747),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(8662),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1803] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8812),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1804] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8814),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1805] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8816),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1806] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8818),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1807] = {
    [sym__expression] = STATE(13695),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16996),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8820),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1808] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8822),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1809] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8824),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1810] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8826),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1811] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8828),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1812] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8830),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1813] = {
    [sym__expression] = STATE(13964),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16899),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8832),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1814] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(487),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1815] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8834),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1816] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8836),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1817] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8838),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1818] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8840),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1819] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8842),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1820] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(468),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1821] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8844),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1822] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8846),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1823] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8848),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1824] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8850),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1825] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8852),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1826] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8854),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1827] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8856),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1828] = {
    [sym_assignment] = STATE(18401),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13707),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1829] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8858),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1830] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8860),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1831] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8862),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1832] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8864),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1833] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8866),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1834] = {
    [sym_assignment] = STATE(9076),
    [sym_open_tuple] = STATE(9103),
    [sym__expression] = STATE(9104),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(8766),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [1835] = {
    [sym_assignment] = STATE(9105),
    [sym_open_tuple] = STATE(9106),
    [sym__expression] = STATE(9111),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(8766),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [1836] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8868),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1837] = {
    [sym_assignment] = STATE(7413),
    [sym_open_tuple] = STATE(19252),
    [sym__expression] = STATE(7701),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(8884),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [1838] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8890),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1839] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8892),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1840] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8894),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1841] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8896),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1842] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8898),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1843] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8900),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1844] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(19535),
    [sym__expression] = STATE(13587),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11407),
    [sym__array] = STATE(11407),
    [sym_comprehension_expression] = STATE(11407),
    [sym_matrix_expression] = STATE(11407),
    [sym_vector_expression] = STATE(11407),
    [sym_parenthesized_expression] = STATE(11407),
    [sym_tuple_expression] = STATE(11407),
    [sym_curly_expression] = STATE(11407),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11407),
    [sym_index_expression] = STATE(11407),
    [sym_parametrized_type_expression] = STATE(11407),
    [sym_call_expression] = STATE(11407),
    [sym_broadcast_call_expression] = STATE(11407),
    [sym__closed_macrocall_expression] = STATE(11407),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11407),
    [sym_quote_expression] = STATE(11407),
    [sym_binary_expression] = STATE(13447),
    [sym_unary_expression] = STATE(13447),
    [sym_range_expression] = STATE(13447),
    [sym_splat_expression] = STATE(13447),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13435),
    [sym_unary_typed_expression] = STATE(13447),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13447),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11407),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11407),
    [sym_string_literal] = STATE(11407),
    [sym_command_literal] = STATE(11407),
    [sym_prefixed_string_literal] = STATE(11407),
    [sym_prefixed_command_literal] = STATE(11407),
    [sym_operator] = STATE(13430),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3422),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1845] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8902),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1846] = {
    [sym__expression] = STATE(13963),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16950),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8904),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1847] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8906),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1848] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8908),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1849] = {
    [sym_assignment] = STATE(8274),
    [sym_open_tuple] = STATE(8473),
    [sym__expression] = STATE(8276),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(8558),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [1850] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8910),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1851] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8912),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1852] = {
    [sym_assignment] = STATE(8277),
    [sym_open_tuple] = STATE(8475),
    [sym__expression] = STATE(8279),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(8558),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [1853] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8914),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1854] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8916),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1855] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8918),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1856] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8920),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1857] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8922),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1858] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8924),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1859] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8926),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1860] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8928),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1861] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8922),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1862] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8930),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1863] = {
    [sym__expression] = STATE(13723),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16897),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8932),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1864] = {
    [sym_assignment] = STATE(18937),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13961),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1865] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8934),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1866] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8936),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1867] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8930),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1868] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(471),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1869] = {
    [sym_assignment] = STATE(8125),
    [sym_open_tuple] = STATE(19297),
    [sym__expression] = STATE(8570),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(8700),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [1870] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8938),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1871] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8940),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1872] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8736),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1873] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8942),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1874] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8944),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1875] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8946),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1876] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8948),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1877] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(464),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1878] = {
    [sym__expression] = STATE(13914),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17255),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8950),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1879] = {
    [sym_assignment] = STATE(18293),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13665),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1880] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8952),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1881] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8954),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1882] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8956),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1883] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8958),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1884] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8960),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1885] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8948),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1886] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(15417),
    [sym__expression] = STATE(13100),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11014),
    [sym__array] = STATE(11014),
    [sym_comprehension_expression] = STATE(11014),
    [sym_matrix_expression] = STATE(11014),
    [sym_vector_expression] = STATE(11014),
    [sym_parenthesized_expression] = STATE(11014),
    [sym_tuple_expression] = STATE(11014),
    [sym_curly_expression] = STATE(11014),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11014),
    [sym_index_expression] = STATE(11014),
    [sym_parametrized_type_expression] = STATE(11014),
    [sym_call_expression] = STATE(11014),
    [sym_broadcast_call_expression] = STATE(11014),
    [sym__closed_macrocall_expression] = STATE(11014),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11014),
    [sym_quote_expression] = STATE(11014),
    [sym_binary_expression] = STATE(13044),
    [sym_unary_expression] = STATE(13044),
    [sym_range_expression] = STATE(13044),
    [sym_splat_expression] = STATE(13044),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12404),
    [sym_unary_typed_expression] = STATE(13044),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13044),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11014),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11014),
    [sym_string_literal] = STATE(11014),
    [sym_command_literal] = STATE(11014),
    [sym_prefixed_string_literal] = STATE(11014),
    [sym_prefixed_command_literal] = STATE(11014),
    [sym_operator] = STATE(12400),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(6788),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1887] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8962),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1888] = {
    [sym_assignment] = STATE(12073),
    [sym_open_tuple] = STATE(13283),
    [sym__expression] = STATE(13414),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11355),
    [sym__array] = STATE(11355),
    [sym_comprehension_expression] = STATE(11355),
    [sym_matrix_expression] = STATE(11355),
    [sym_vector_expression] = STATE(11355),
    [sym_parenthesized_expression] = STATE(11355),
    [sym_tuple_expression] = STATE(11355),
    [sym_curly_expression] = STATE(11355),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11355),
    [sym_index_expression] = STATE(11355),
    [sym_parametrized_type_expression] = STATE(11355),
    [sym_call_expression] = STATE(11355),
    [sym_broadcast_call_expression] = STATE(11355),
    [sym__closed_macrocall_expression] = STATE(11355),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11355),
    [sym_quote_expression] = STATE(11355),
    [sym_binary_expression] = STATE(13417),
    [sym_unary_expression] = STATE(13417),
    [sym_range_expression] = STATE(13417),
    [sym_splat_expression] = STATE(13417),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13020),
    [sym_unary_typed_expression] = STATE(13417),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13417),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11355),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11355),
    [sym_string_literal] = STATE(11355),
    [sym_command_literal] = STATE(11355),
    [sym_prefixed_string_literal] = STATE(11355),
    [sym_prefixed_command_literal] = STATE(11355),
    [sym_operator] = STATE(13021),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3276),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1889] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8964),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1890] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8966),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1891] = {
    [sym_assignment] = STATE(12073),
    [sym_open_tuple] = STATE(13507),
    [sym__expression] = STATE(13443),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11371),
    [sym__array] = STATE(11371),
    [sym_comprehension_expression] = STATE(11371),
    [sym_matrix_expression] = STATE(11371),
    [sym_vector_expression] = STATE(11371),
    [sym_parenthesized_expression] = STATE(11371),
    [sym_tuple_expression] = STATE(11371),
    [sym_curly_expression] = STATE(11371),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11371),
    [sym_index_expression] = STATE(11371),
    [sym_parametrized_type_expression] = STATE(11371),
    [sym_call_expression] = STATE(11371),
    [sym_broadcast_call_expression] = STATE(11371),
    [sym__closed_macrocall_expression] = STATE(11371),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11371),
    [sym_quote_expression] = STATE(11371),
    [sym_binary_expression] = STATE(13532),
    [sym_unary_expression] = STATE(13532),
    [sym_range_expression] = STATE(13532),
    [sym_splat_expression] = STATE(13532),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13434),
    [sym_unary_typed_expression] = STATE(13532),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13532),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11371),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11371),
    [sym_string_literal] = STATE(11371),
    [sym_command_literal] = STATE(11371),
    [sym_prefixed_string_literal] = STATE(11371),
    [sym_prefixed_command_literal] = STATE(11371),
    [sym_operator] = STATE(13314),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3372),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1892] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8968),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1893] = {
    [sym_assignment] = STATE(8331),
    [sym_open_tuple] = STATE(19784),
    [sym__expression] = STATE(8265),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(8558),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [1894] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8970),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1895] = {
    [sym_assignment] = STATE(8434),
    [sym_open_tuple] = STATE(8278),
    [sym__expression] = STATE(8417),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(8700),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [1896] = {
    [sym_assignment] = STATE(8455),
    [sym_open_tuple] = STATE(8275),
    [sym__expression] = STATE(8436),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(8700),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [1897] = {
    [sym__expression] = STATE(13942),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16827),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8972),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1898] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8974),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1899] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(8976),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1900] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8978),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1901] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8980),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1902] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8982),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1903] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8984),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1904] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8986),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1905] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8988),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1906] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8990),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1907] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8992),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1908] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8994),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1909] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8996),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1910] = {
    [sym_assignment] = STATE(9010),
    [sym_open_tuple] = STATE(18834),
    [sym__expression] = STATE(8976),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(8766),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [1911] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8818),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1912] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(8998),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1913] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(14872),
    [sym__expression] = STATE(12299),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [1914] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9000),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1915] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9002),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1916] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8632),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1917] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9004),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1918] = {
    [sym__expression] = STATE(13917),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17020),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9006),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1919] = {
    [sym__expression] = STATE(13923),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17011),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9008),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1920] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9010),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1921] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9004),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1922] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9012),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1923] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9014),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1924] = {
    [sym_assignment] = STATE(12047),
    [sym_open_tuple] = STATE(19582),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(11774),
    [sym_comprehension_expression] = STATE(11774),
    [sym_matrix_expression] = STATE(11774),
    [sym_vector_expression] = STATE(11774),
    [sym_parenthesized_expression] = STATE(11774),
    [sym_tuple_expression] = STATE(11774),
    [sym_curly_expression] = STATE(11774),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11774),
    [sym_index_expression] = STATE(11774),
    [sym_parametrized_type_expression] = STATE(11774),
    [sym_call_expression] = STATE(11774),
    [sym_broadcast_call_expression] = STATE(11774),
    [sym__closed_macrocall_expression] = STATE(11774),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11774),
    [sym_quote_expression] = STATE(11774),
    [sym_binary_expression] = STATE(14041),
    [sym_unary_expression] = STATE(14041),
    [sym_range_expression] = STATE(14041),
    [sym_splat_expression] = STATE(14041),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13921),
    [sym_unary_typed_expression] = STATE(14041),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14041),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11774),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11774),
    [sym_string_literal] = STATE(11774),
    [sym_command_literal] = STATE(11774),
    [sym_prefixed_string_literal] = STATE(11774),
    [sym_prefixed_command_literal] = STATE(11774),
    [sym_operator] = STATE(13901),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9016),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1925] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9018),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1926] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9020),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1927] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9022),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1928] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9014),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1929] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9024),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1930] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9026),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1931] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9028),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1932] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9030),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1933] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9032),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1934] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9034),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1935] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9036),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1936] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9038),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1937] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9040),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1938] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9042),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1939] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9044),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1940] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9046),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1941] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(19010),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11688),
    [sym__array] = STATE(11688),
    [sym_comprehension_expression] = STATE(11688),
    [sym_matrix_expression] = STATE(11688),
    [sym_vector_expression] = STATE(11688),
    [sym_parenthesized_expression] = STATE(11688),
    [sym_tuple_expression] = STATE(11688),
    [sym_curly_expression] = STATE(11688),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11688),
    [sym_index_expression] = STATE(11688),
    [sym_parametrized_type_expression] = STATE(11688),
    [sym_call_expression] = STATE(11688),
    [sym_broadcast_call_expression] = STATE(11688),
    [sym__closed_macrocall_expression] = STATE(11688),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11688),
    [sym_quote_expression] = STATE(11688),
    [sym_binary_expression] = STATE(14119),
    [sym_unary_expression] = STATE(14119),
    [sym_range_expression] = STATE(14119),
    [sym_splat_expression] = STATE(14119),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13839),
    [sym_unary_typed_expression] = STATE(14119),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14119),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11688),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11688),
    [sym_string_literal] = STATE(11688),
    [sym_command_literal] = STATE(11688),
    [sym_prefixed_string_literal] = STATE(11688),
    [sym_prefixed_command_literal] = STATE(11688),
    [sym_operator] = STATE(13843),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9048),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1942] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9046),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1943] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9050),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1944] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9052),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1945] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9054),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1946] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9052),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1947] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9056),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1948] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9058),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1949] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9060),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1950] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(19582),
    [sym__expression] = STATE(13543),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11532),
    [sym__array] = STATE(11532),
    [sym_comprehension_expression] = STATE(11532),
    [sym_matrix_expression] = STATE(11532),
    [sym_vector_expression] = STATE(11532),
    [sym_parenthesized_expression] = STATE(11532),
    [sym_tuple_expression] = STATE(11532),
    [sym_curly_expression] = STATE(11532),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11532),
    [sym_index_expression] = STATE(11532),
    [sym_parametrized_type_expression] = STATE(11532),
    [sym_call_expression] = STATE(11532),
    [sym_broadcast_call_expression] = STATE(11532),
    [sym__closed_macrocall_expression] = STATE(11532),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11532),
    [sym_quote_expression] = STATE(11532),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13475),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11532),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11532),
    [sym_string_literal] = STATE(11532),
    [sym_command_literal] = STATE(11532),
    [sym_prefixed_string_literal] = STATE(11532),
    [sym_prefixed_command_literal] = STATE(11532),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3386),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1951] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9062),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1952] = {
    [sym_assignment] = STATE(8402),
    [sym_open_tuple] = STATE(19784),
    [sym__expression] = STATE(8286),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5465),
    [sym_comprehension_expression] = STATE(5465),
    [sym_matrix_expression] = STATE(5465),
    [sym_vector_expression] = STATE(5465),
    [sym_parenthesized_expression] = STATE(5465),
    [sym_tuple_expression] = STATE(5465),
    [sym_curly_expression] = STATE(5465),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5465),
    [sym_index_expression] = STATE(5465),
    [sym_parametrized_type_expression] = STATE(5465),
    [sym_call_expression] = STATE(5465),
    [sym_broadcast_call_expression] = STATE(5465),
    [sym__closed_macrocall_expression] = STATE(5465),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(5465),
    [sym_quote_expression] = STATE(5465),
    [sym_binary_expression] = STATE(8391),
    [sym_unary_expression] = STATE(8391),
    [sym_range_expression] = STATE(8391),
    [sym_splat_expression] = STATE(8391),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7537),
    [sym_unary_typed_expression] = STATE(8391),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8391),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(5465),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5465),
    [sym_string_literal] = STATE(5465),
    [sym_command_literal] = STATE(5465),
    [sym_prefixed_string_literal] = STATE(5465),
    [sym_prefixed_command_literal] = STATE(5465),
    [sym_operator] = STATE(7761),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(8558),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [1953] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(19582),
    [sym__expression] = STATE(13547),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11532),
    [sym__array] = STATE(11532),
    [sym_comprehension_expression] = STATE(11532),
    [sym_matrix_expression] = STATE(11532),
    [sym_vector_expression] = STATE(11532),
    [sym_parenthesized_expression] = STATE(11532),
    [sym_tuple_expression] = STATE(11532),
    [sym_curly_expression] = STATE(11532),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11532),
    [sym_index_expression] = STATE(11532),
    [sym_parametrized_type_expression] = STATE(11532),
    [sym_call_expression] = STATE(11532),
    [sym_broadcast_call_expression] = STATE(11532),
    [sym__closed_macrocall_expression] = STATE(11532),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11532),
    [sym_quote_expression] = STATE(11532),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13475),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11532),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11532),
    [sym_string_literal] = STATE(11532),
    [sym_command_literal] = STATE(11532),
    [sym_prefixed_string_literal] = STATE(11532),
    [sym_prefixed_command_literal] = STATE(11532),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3386),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1954] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9064),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1955] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9064),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1956] = {
    [sym_assignment] = STATE(8061),
    [sym_open_tuple] = STATE(18838),
    [sym__expression] = STATE(8729),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9066),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1957] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9068),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1958] = {
    [sym_assignment] = STATE(7450),
    [sym_open_tuple] = STATE(18838),
    [sym__expression] = STATE(8731),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9066),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [1959] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9070),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1960] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(18732),
    [sym__expression] = STATE(13156),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11306),
    [sym__array] = STATE(11306),
    [sym_comprehension_expression] = STATE(11306),
    [sym_matrix_expression] = STATE(11306),
    [sym_vector_expression] = STATE(11306),
    [sym_parenthesized_expression] = STATE(11306),
    [sym_tuple_expression] = STATE(11306),
    [sym_curly_expression] = STATE(11306),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11306),
    [sym_index_expression] = STATE(11306),
    [sym_parametrized_type_expression] = STATE(11306),
    [sym_call_expression] = STATE(11306),
    [sym_broadcast_call_expression] = STATE(11306),
    [sym__closed_macrocall_expression] = STATE(11306),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11306),
    [sym_quote_expression] = STATE(11306),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12948),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11306),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11306),
    [sym_string_literal] = STATE(11306),
    [sym_command_literal] = STATE(11306),
    [sym_prefixed_string_literal] = STATE(11306),
    [sym_prefixed_command_literal] = STATE(11306),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3196),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1961] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9072),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1962] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9074),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1963] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(18732),
    [sym__expression] = STATE(13150),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11306),
    [sym__array] = STATE(11306),
    [sym_comprehension_expression] = STATE(11306),
    [sym_matrix_expression] = STATE(11306),
    [sym_vector_expression] = STATE(11306),
    [sym_parenthesized_expression] = STATE(11306),
    [sym_tuple_expression] = STATE(11306),
    [sym_curly_expression] = STATE(11306),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11306),
    [sym_index_expression] = STATE(11306),
    [sym_parametrized_type_expression] = STATE(11306),
    [sym_call_expression] = STATE(11306),
    [sym_broadcast_call_expression] = STATE(11306),
    [sym__closed_macrocall_expression] = STATE(11306),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11306),
    [sym_quote_expression] = STATE(11306),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12948),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11306),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11306),
    [sym_string_literal] = STATE(11306),
    [sym_command_literal] = STATE(11306),
    [sym_prefixed_string_literal] = STATE(11306),
    [sym_prefixed_command_literal] = STATE(11306),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3196),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1964] = {
    [sym_assignment] = STATE(12047),
    [sym_open_tuple] = STATE(18691),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11805),
    [sym__array] = STATE(11805),
    [sym_comprehension_expression] = STATE(11805),
    [sym_matrix_expression] = STATE(11805),
    [sym_vector_expression] = STATE(11805),
    [sym_parenthesized_expression] = STATE(11805),
    [sym_tuple_expression] = STATE(11805),
    [sym_curly_expression] = STATE(11805),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11805),
    [sym_index_expression] = STATE(11805),
    [sym_parametrized_type_expression] = STATE(11805),
    [sym_call_expression] = STATE(11805),
    [sym_broadcast_call_expression] = STATE(11805),
    [sym__closed_macrocall_expression] = STATE(11805),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11805),
    [sym_quote_expression] = STATE(11805),
    [sym_binary_expression] = STATE(13300),
    [sym_unary_expression] = STATE(13300),
    [sym_range_expression] = STATE(13300),
    [sym_splat_expression] = STATE(13300),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13811),
    [sym_unary_typed_expression] = STATE(13300),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13300),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11805),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11805),
    [sym_string_literal] = STATE(11805),
    [sym_command_literal] = STATE(11805),
    [sym_prefixed_string_literal] = STATE(11805),
    [sym_prefixed_command_literal] = STATE(11805),
    [sym_operator] = STATE(13086),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9076),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1965] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9078),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1966] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9078),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1967] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9080),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1968] = {
    [sym_assignment] = STATE(12073),
    [sym_open_tuple] = STATE(13724),
    [sym__expression] = STATE(13812),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11461),
    [sym__array] = STATE(11461),
    [sym_comprehension_expression] = STATE(11461),
    [sym_matrix_expression] = STATE(11461),
    [sym_vector_expression] = STATE(11461),
    [sym_parenthesized_expression] = STATE(11461),
    [sym_tuple_expression] = STATE(11461),
    [sym_curly_expression] = STATE(11461),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11461),
    [sym_index_expression] = STATE(11461),
    [sym_parametrized_type_expression] = STATE(11461),
    [sym_call_expression] = STATE(11461),
    [sym_broadcast_call_expression] = STATE(11461),
    [sym__closed_macrocall_expression] = STATE(11461),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11461),
    [sym_quote_expression] = STATE(11461),
    [sym_binary_expression] = STATE(13851),
    [sym_unary_expression] = STATE(13851),
    [sym_range_expression] = STATE(13851),
    [sym_splat_expression] = STATE(13851),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13520),
    [sym_unary_typed_expression] = STATE(13851),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13851),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11461),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11461),
    [sym_string_literal] = STATE(11461),
    [sym_command_literal] = STATE(11461),
    [sym_prefixed_string_literal] = STATE(11461),
    [sym_prefixed_command_literal] = STATE(11461),
    [sym_operator] = STATE(13439),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3708),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1969] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9082),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1970] = {
    [sym_assignment] = STATE(12047),
    [sym_open_tuple] = STATE(18732),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11813),
    [sym__array] = STATE(11813),
    [sym_comprehension_expression] = STATE(11813),
    [sym_matrix_expression] = STATE(11813),
    [sym_vector_expression] = STATE(11813),
    [sym_parenthesized_expression] = STATE(11813),
    [sym_tuple_expression] = STATE(11813),
    [sym_curly_expression] = STATE(11813),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11813),
    [sym_index_expression] = STATE(11813),
    [sym_parametrized_type_expression] = STATE(11813),
    [sym_call_expression] = STATE(11813),
    [sym_broadcast_call_expression] = STATE(11813),
    [sym__closed_macrocall_expression] = STATE(11813),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11813),
    [sym_quote_expression] = STATE(11813),
    [sym_binary_expression] = STATE(14018),
    [sym_unary_expression] = STATE(14018),
    [sym_range_expression] = STATE(14018),
    [sym_splat_expression] = STATE(14018),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13733),
    [sym_unary_typed_expression] = STATE(14018),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14018),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11813),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11813),
    [sym_string_literal] = STATE(11813),
    [sym_command_literal] = STATE(11813),
    [sym_prefixed_string_literal] = STATE(11813),
    [sym_prefixed_command_literal] = STATE(11813),
    [sym_operator] = STATE(13732),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9084),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1971] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9086),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1972] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9088),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1973] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9090),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1974] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9082),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1975] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9092),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1976] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9094),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1977] = {
    [sym_assignment] = STATE(8676),
    [sym_open_tuple] = STATE(8888),
    [sym__expression] = STATE(8717),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [1978] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9096),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1979] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(18332),
    [sym__expression] = STATE(13102),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(11201),
    [sym_comprehension_expression] = STATE(11201),
    [sym_matrix_expression] = STATE(11201),
    [sym_vector_expression] = STATE(11201),
    [sym_parenthesized_expression] = STATE(11201),
    [sym_tuple_expression] = STATE(11201),
    [sym_curly_expression] = STATE(11201),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11201),
    [sym_index_expression] = STATE(11201),
    [sym_parametrized_type_expression] = STATE(11201),
    [sym_call_expression] = STATE(11201),
    [sym_broadcast_call_expression] = STATE(11201),
    [sym__closed_macrocall_expression] = STATE(11201),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11201),
    [sym_quote_expression] = STATE(11201),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13001),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11201),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11201),
    [sym_string_literal] = STATE(11201),
    [sym_command_literal] = STATE(11201),
    [sym_prefixed_string_literal] = STATE(11201),
    [sym_prefixed_command_literal] = STATE(11201),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3019),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1980] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9096),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1981] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9098),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1982] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9100),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1983] = {
    [sym__expression] = STATE(13745),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16682),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9102),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1984] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9104),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1985] = {
    [sym_assignment] = STATE(9075),
    [sym_open_tuple] = STATE(18970),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11788),
    [sym__array] = STATE(11788),
    [sym_comprehension_expression] = STATE(11788),
    [sym_matrix_expression] = STATE(11788),
    [sym_vector_expression] = STATE(11788),
    [sym_parenthesized_expression] = STATE(11788),
    [sym_tuple_expression] = STATE(11788),
    [sym_curly_expression] = STATE(11788),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11788),
    [sym_index_expression] = STATE(11788),
    [sym_parametrized_type_expression] = STATE(11788),
    [sym_call_expression] = STATE(11788),
    [sym_broadcast_call_expression] = STATE(11788),
    [sym__closed_macrocall_expression] = STATE(11788),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11788),
    [sym_quote_expression] = STATE(11788),
    [sym_binary_expression] = STATE(14023),
    [sym_unary_expression] = STATE(14023),
    [sym_range_expression] = STATE(14023),
    [sym_splat_expression] = STATE(14023),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13658),
    [sym_unary_typed_expression] = STATE(14023),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14023),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11788),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11788),
    [sym_string_literal] = STATE(11788),
    [sym_command_literal] = STATE(11788),
    [sym_prefixed_string_literal] = STATE(11788),
    [sym_prefixed_command_literal] = STATE(11788),
    [sym_operator] = STATE(13657),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9106),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1986] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9108),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1987] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9108),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1988] = {
    [sym_assignment] = STATE(12049),
    [sym_open_tuple] = STATE(13488),
    [sym__expression] = STATE(13438),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11371),
    [sym__array] = STATE(11371),
    [sym_comprehension_expression] = STATE(11371),
    [sym_matrix_expression] = STATE(11371),
    [sym_vector_expression] = STATE(11371),
    [sym_parenthesized_expression] = STATE(11371),
    [sym_tuple_expression] = STATE(11371),
    [sym_curly_expression] = STATE(11371),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11371),
    [sym_index_expression] = STATE(11371),
    [sym_parametrized_type_expression] = STATE(11371),
    [sym_call_expression] = STATE(11371),
    [sym_broadcast_call_expression] = STATE(11371),
    [sym__closed_macrocall_expression] = STATE(11371),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11371),
    [sym_quote_expression] = STATE(11371),
    [sym_binary_expression] = STATE(13532),
    [sym_unary_expression] = STATE(13532),
    [sym_range_expression] = STATE(13532),
    [sym_splat_expression] = STATE(13532),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13434),
    [sym_unary_typed_expression] = STATE(13532),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13532),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11371),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11371),
    [sym_string_literal] = STATE(11371),
    [sym_command_literal] = STATE(11371),
    [sym_prefixed_string_literal] = STATE(11371),
    [sym_prefixed_command_literal] = STATE(11371),
    [sym_operator] = STATE(13314),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3372),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1989] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9110),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1990] = {
    [sym_assignment] = STATE(11858),
    [sym_open_tuple] = STATE(13489),
    [sym__expression] = STATE(13592),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11371),
    [sym__array] = STATE(11371),
    [sym_comprehension_expression] = STATE(11371),
    [sym_matrix_expression] = STATE(11371),
    [sym_vector_expression] = STATE(11371),
    [sym_parenthesized_expression] = STATE(11371),
    [sym_tuple_expression] = STATE(11371),
    [sym_curly_expression] = STATE(11371),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11371),
    [sym_index_expression] = STATE(11371),
    [sym_parametrized_type_expression] = STATE(11371),
    [sym_call_expression] = STATE(11371),
    [sym_broadcast_call_expression] = STATE(11371),
    [sym__closed_macrocall_expression] = STATE(11371),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11371),
    [sym_quote_expression] = STATE(11371),
    [sym_binary_expression] = STATE(13532),
    [sym_unary_expression] = STATE(13532),
    [sym_range_expression] = STATE(13532),
    [sym_splat_expression] = STATE(13532),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13434),
    [sym_unary_typed_expression] = STATE(13532),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13532),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11371),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11371),
    [sym_string_literal] = STATE(11371),
    [sym_command_literal] = STATE(11371),
    [sym_prefixed_string_literal] = STATE(11371),
    [sym_prefixed_command_literal] = STATE(11371),
    [sym_operator] = STATE(13314),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3372),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1991] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9112),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1992] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(18332),
    [sym__expression] = STATE(13097),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(11201),
    [sym_comprehension_expression] = STATE(11201),
    [sym_matrix_expression] = STATE(11201),
    [sym_vector_expression] = STATE(11201),
    [sym_parenthesized_expression] = STATE(11201),
    [sym_tuple_expression] = STATE(11201),
    [sym_curly_expression] = STATE(11201),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11201),
    [sym_index_expression] = STATE(11201),
    [sym_parametrized_type_expression] = STATE(11201),
    [sym_call_expression] = STATE(11201),
    [sym_broadcast_call_expression] = STATE(11201),
    [sym__closed_macrocall_expression] = STATE(11201),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11201),
    [sym_quote_expression] = STATE(11201),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13001),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11201),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11201),
    [sym_string_literal] = STATE(11201),
    [sym_command_literal] = STATE(11201),
    [sym_prefixed_string_literal] = STATE(11201),
    [sym_prefixed_command_literal] = STATE(11201),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3019),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1993] = {
    [sym_assignment] = STATE(12821),
    [sym_open_tuple] = STATE(12799),
    [sym__expression] = STATE(12807),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10777),
    [sym_comprehension_expression] = STATE(10777),
    [sym_matrix_expression] = STATE(10777),
    [sym_vector_expression] = STATE(10777),
    [sym_parenthesized_expression] = STATE(10777),
    [sym_tuple_expression] = STATE(10777),
    [sym_curly_expression] = STATE(10777),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10777),
    [sym_index_expression] = STATE(10777),
    [sym_parametrized_type_expression] = STATE(10777),
    [sym_call_expression] = STATE(10777),
    [sym_broadcast_call_expression] = STATE(10777),
    [sym__closed_macrocall_expression] = STATE(10777),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(10777),
    [sym_quote_expression] = STATE(10777),
    [sym_binary_expression] = STATE(12854),
    [sym_unary_expression] = STATE(12854),
    [sym_range_expression] = STATE(12854),
    [sym_splat_expression] = STATE(12854),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(11884),
    [sym_unary_typed_expression] = STATE(12854),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12854),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(10777),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10777),
    [sym_string_literal] = STATE(10777),
    [sym_command_literal] = STATE(10777),
    [sym_prefixed_string_literal] = STATE(10777),
    [sym_prefixed_command_literal] = STATE(10777),
    [sym_operator] = STATE(12031),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9130),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [1994] = {
    [sym_assignment] = STATE(7414),
    [sym_open_tuple] = STATE(19199),
    [sym__expression] = STATE(7408),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(9150),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [1995] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(19837),
    [sym__expression] = STATE(13576),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11371),
    [sym__array] = STATE(11371),
    [sym_comprehension_expression] = STATE(11371),
    [sym_matrix_expression] = STATE(11371),
    [sym_vector_expression] = STATE(11371),
    [sym_parenthesized_expression] = STATE(11371),
    [sym_tuple_expression] = STATE(11371),
    [sym_curly_expression] = STATE(11371),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11371),
    [sym_index_expression] = STATE(11371),
    [sym_parametrized_type_expression] = STATE(11371),
    [sym_call_expression] = STATE(11371),
    [sym_broadcast_call_expression] = STATE(11371),
    [sym__closed_macrocall_expression] = STATE(11371),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11371),
    [sym_quote_expression] = STATE(11371),
    [sym_binary_expression] = STATE(13532),
    [sym_unary_expression] = STATE(13532),
    [sym_range_expression] = STATE(13532),
    [sym_splat_expression] = STATE(13532),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13434),
    [sym_unary_typed_expression] = STATE(13532),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13532),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11371),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11371),
    [sym_string_literal] = STATE(11371),
    [sym_command_literal] = STATE(11371),
    [sym_prefixed_string_literal] = STATE(11371),
    [sym_prefixed_command_literal] = STATE(11371),
    [sym_operator] = STATE(13314),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3372),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1996] = {
    [sym_assignment] = STATE(8419),
    [sym_open_tuple] = STATE(19440),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11745),
    [sym__array] = STATE(11745),
    [sym_comprehension_expression] = STATE(11745),
    [sym_matrix_expression] = STATE(11745),
    [sym_vector_expression] = STATE(11745),
    [sym_parenthesized_expression] = STATE(11745),
    [sym_tuple_expression] = STATE(11745),
    [sym_curly_expression] = STATE(11745),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11745),
    [sym_index_expression] = STATE(11745),
    [sym_parametrized_type_expression] = STATE(11745),
    [sym_call_expression] = STATE(11745),
    [sym_broadcast_call_expression] = STATE(11745),
    [sym__closed_macrocall_expression] = STATE(11745),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11745),
    [sym_quote_expression] = STATE(11745),
    [sym_binary_expression] = STATE(13996),
    [sym_unary_expression] = STATE(13996),
    [sym_range_expression] = STATE(13996),
    [sym_splat_expression] = STATE(13996),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13776),
    [sym_unary_typed_expression] = STATE(13996),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13996),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11745),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11745),
    [sym_string_literal] = STATE(11745),
    [sym_command_literal] = STATE(11745),
    [sym_prefixed_string_literal] = STATE(11745),
    [sym_prefixed_command_literal] = STATE(11745),
    [sym_operator] = STATE(13775),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9156),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1997] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9158),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1998] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9160),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [1999] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9162),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2000] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9164),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2001] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9166),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2002] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8836),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2003] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9168),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2004] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9170),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2005] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9172),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2006] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9174),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2007] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9176),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2008] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9178),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2009] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(19837),
    [sym__expression] = STATE(13564),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11371),
    [sym__array] = STATE(11371),
    [sym_comprehension_expression] = STATE(11371),
    [sym_matrix_expression] = STATE(11371),
    [sym_vector_expression] = STATE(11371),
    [sym_parenthesized_expression] = STATE(11371),
    [sym_tuple_expression] = STATE(11371),
    [sym_curly_expression] = STATE(11371),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11371),
    [sym_index_expression] = STATE(11371),
    [sym_parametrized_type_expression] = STATE(11371),
    [sym_call_expression] = STATE(11371),
    [sym_broadcast_call_expression] = STATE(11371),
    [sym__closed_macrocall_expression] = STATE(11371),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11371),
    [sym_quote_expression] = STATE(11371),
    [sym_binary_expression] = STATE(13532),
    [sym_unary_expression] = STATE(13532),
    [sym_range_expression] = STATE(13532),
    [sym_splat_expression] = STATE(13532),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13434),
    [sym_unary_typed_expression] = STATE(13532),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13532),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11371),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11371),
    [sym_string_literal] = STATE(11371),
    [sym_command_literal] = STATE(11371),
    [sym_prefixed_string_literal] = STATE(11371),
    [sym_prefixed_command_literal] = STATE(11371),
    [sym_operator] = STATE(13314),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3372),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2010] = {
    [sym__expression] = STATE(13773),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17248),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9180),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2011] = {
    [sym_assignment] = STATE(11858),
    [sym_open_tuple] = STATE(13849),
    [sym__expression] = STATE(13518),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11532),
    [sym__array] = STATE(11532),
    [sym_comprehension_expression] = STATE(11532),
    [sym_matrix_expression] = STATE(11532),
    [sym_vector_expression] = STATE(11532),
    [sym_parenthesized_expression] = STATE(11532),
    [sym_tuple_expression] = STATE(11532),
    [sym_curly_expression] = STATE(11532),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11532),
    [sym_index_expression] = STATE(11532),
    [sym_parametrized_type_expression] = STATE(11532),
    [sym_call_expression] = STATE(11532),
    [sym_broadcast_call_expression] = STATE(11532),
    [sym__closed_macrocall_expression] = STATE(11532),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11532),
    [sym_quote_expression] = STATE(11532),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13475),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11532),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11532),
    [sym_string_literal] = STATE(11532),
    [sym_command_literal] = STATE(11532),
    [sym_prefixed_string_literal] = STATE(11532),
    [sym_prefixed_command_literal] = STATE(11532),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3386),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2012] = {
    [sym_assignment] = STATE(12049),
    [sym_open_tuple] = STATE(13848),
    [sym__expression] = STATE(13452),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11532),
    [sym__array] = STATE(11532),
    [sym_comprehension_expression] = STATE(11532),
    [sym_matrix_expression] = STATE(11532),
    [sym_vector_expression] = STATE(11532),
    [sym_parenthesized_expression] = STATE(11532),
    [sym_tuple_expression] = STATE(11532),
    [sym_curly_expression] = STATE(11532),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11532),
    [sym_index_expression] = STATE(11532),
    [sym_parametrized_type_expression] = STATE(11532),
    [sym_call_expression] = STATE(11532),
    [sym_broadcast_call_expression] = STATE(11532),
    [sym__closed_macrocall_expression] = STATE(11532),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11532),
    [sym_quote_expression] = STATE(11532),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13475),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11532),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11532),
    [sym_string_literal] = STATE(11532),
    [sym_command_literal] = STATE(11532),
    [sym_prefixed_string_literal] = STATE(11532),
    [sym_prefixed_command_literal] = STATE(11532),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3386),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2013] = {
    [sym_assignment] = STATE(12626),
    [sym_open_tuple] = STATE(12341),
    [sym__expression] = STATE(12629),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10777),
    [sym_comprehension_expression] = STATE(10777),
    [sym_matrix_expression] = STATE(10777),
    [sym_vector_expression] = STATE(10777),
    [sym_parenthesized_expression] = STATE(10777),
    [sym_tuple_expression] = STATE(10777),
    [sym_curly_expression] = STATE(10777),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10777),
    [sym_index_expression] = STATE(10777),
    [sym_parametrized_type_expression] = STATE(10777),
    [sym_call_expression] = STATE(10777),
    [sym_broadcast_call_expression] = STATE(10777),
    [sym__closed_macrocall_expression] = STATE(10777),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(10777),
    [sym_quote_expression] = STATE(10777),
    [sym_binary_expression] = STATE(12854),
    [sym_unary_expression] = STATE(12854),
    [sym_range_expression] = STATE(12854),
    [sym_splat_expression] = STATE(12854),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(11884),
    [sym_unary_typed_expression] = STATE(12854),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12854),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(10777),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10777),
    [sym_string_literal] = STATE(10777),
    [sym_command_literal] = STATE(10777),
    [sym_prefixed_string_literal] = STATE(10777),
    [sym_prefixed_command_literal] = STATE(10777),
    [sym_operator] = STATE(12031),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9130),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [2014] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15357),
    [sym__expression] = STATE(13052),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10953),
    [sym__array] = STATE(10953),
    [sym_comprehension_expression] = STATE(10953),
    [sym_matrix_expression] = STATE(10953),
    [sym_vector_expression] = STATE(10953),
    [sym_parenthesized_expression] = STATE(10953),
    [sym_tuple_expression] = STATE(10953),
    [sym_curly_expression] = STATE(10953),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10953),
    [sym_index_expression] = STATE(10953),
    [sym_parametrized_type_expression] = STATE(10953),
    [sym_call_expression] = STATE(10953),
    [sym_broadcast_call_expression] = STATE(10953),
    [sym__closed_macrocall_expression] = STATE(10953),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(10953),
    [sym_quote_expression] = STATE(10953),
    [sym_binary_expression] = STATE(12926),
    [sym_unary_expression] = STATE(12926),
    [sym_range_expression] = STATE(12926),
    [sym_splat_expression] = STATE(12926),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12246),
    [sym_unary_typed_expression] = STATE(12926),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12926),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(10953),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10953),
    [sym_string_literal] = STATE(10953),
    [sym_command_literal] = STATE(10953),
    [sym_prefixed_string_literal] = STATE(10953),
    [sym_prefixed_command_literal] = STATE(10953),
    [sym_operator] = STATE(12887),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(6520),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2015] = {
    [sym_assignment] = STATE(9030),
    [sym_open_tuple] = STATE(18834),
    [sym__expression] = STATE(8794),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(8766),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [2016] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9182),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2017] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9184),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2018] = {
    [sym_assignment] = STATE(12633),
    [sym_open_tuple] = STATE(12331),
    [sym__expression] = STATE(12641),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10777),
    [sym_comprehension_expression] = STATE(10777),
    [sym_matrix_expression] = STATE(10777),
    [sym_vector_expression] = STATE(10777),
    [sym_parenthesized_expression] = STATE(10777),
    [sym_tuple_expression] = STATE(10777),
    [sym_curly_expression] = STATE(10777),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10777),
    [sym_index_expression] = STATE(10777),
    [sym_parametrized_type_expression] = STATE(10777),
    [sym_call_expression] = STATE(10777),
    [sym_broadcast_call_expression] = STATE(10777),
    [sym__closed_macrocall_expression] = STATE(10777),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(10777),
    [sym_quote_expression] = STATE(10777),
    [sym_binary_expression] = STATE(12854),
    [sym_unary_expression] = STATE(12854),
    [sym_range_expression] = STATE(12854),
    [sym_splat_expression] = STATE(12854),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(11884),
    [sym_unary_typed_expression] = STATE(12854),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12854),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(10777),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10777),
    [sym_string_literal] = STATE(10777),
    [sym_command_literal] = STATE(10777),
    [sym_prefixed_string_literal] = STATE(10777),
    [sym_prefixed_command_literal] = STATE(10777),
    [sym_operator] = STATE(12031),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9130),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [2019] = {
    [sym__expression] = STATE(13693),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17335),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9186),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2020] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9188),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2021] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9190),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2022] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9190),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2023] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9192),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2024] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9194),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2025] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9196),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2026] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9198),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2027] = {
    [sym_assignment] = STATE(9016),
    [sym_open_tuple] = STATE(8970),
    [sym__expression] = STATE(8916),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9210),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [2028] = {
    [sym_assignment] = STATE(7909),
    [sym_open_tuple] = STATE(19199),
    [sym__expression] = STATE(7465),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(9150),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [2029] = {
    [sym_assignment] = STATE(7892),
    [sym_open_tuple] = STATE(19252),
    [sym__expression] = STATE(7621),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(8884),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [2030] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(509),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2031] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9216),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2032] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9218),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2033] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9220),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2034] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9222),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2035] = {
    [sym_assignment] = STATE(18185),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13671),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2036] = {
    [sym_assignment] = STATE(8322),
    [sym_open_tuple] = STATE(8222),
    [sym__expression] = STATE(8550),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5335),
    [sym__array] = STATE(5335),
    [sym_comprehension_expression] = STATE(5335),
    [sym_matrix_expression] = STATE(5335),
    [sym_vector_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_tuple_expression] = STATE(5335),
    [sym_curly_expression] = STATE(5335),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_parametrized_type_expression] = STATE(5335),
    [sym_call_expression] = STATE(5335),
    [sym_broadcast_call_expression] = STATE(5335),
    [sym__closed_macrocall_expression] = STATE(5335),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(5335),
    [sym_quote_expression] = STATE(5335),
    [sym_binary_expression] = STATE(8720),
    [sym_unary_expression] = STATE(8720),
    [sym_range_expression] = STATE(8720),
    [sym_splat_expression] = STATE(8720),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8007),
    [sym_unary_typed_expression] = STATE(8720),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8720),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(5335),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5335),
    [sym_string_literal] = STATE(5335),
    [sym_command_literal] = STATE(5335),
    [sym_prefixed_string_literal] = STATE(5335),
    [sym_prefixed_command_literal] = STATE(5335),
    [sym_operator] = STATE(7292),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(8700),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [2037] = {
    [sym__expression] = STATE(13780),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17144),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9224),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2038] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9226),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2039] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9228),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2040] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9230),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2041] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9232),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2042] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9234),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2043] = {
    [sym_assignment] = STATE(12866),
    [sym_open_tuple] = STATE(19862),
    [sym__expression] = STATE(12860),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10777),
    [sym_comprehension_expression] = STATE(10777),
    [sym_matrix_expression] = STATE(10777),
    [sym_vector_expression] = STATE(10777),
    [sym_parenthesized_expression] = STATE(10777),
    [sym_tuple_expression] = STATE(10777),
    [sym_curly_expression] = STATE(10777),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10777),
    [sym_index_expression] = STATE(10777),
    [sym_parametrized_type_expression] = STATE(10777),
    [sym_call_expression] = STATE(10777),
    [sym_broadcast_call_expression] = STATE(10777),
    [sym__closed_macrocall_expression] = STATE(10777),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(10777),
    [sym_quote_expression] = STATE(10777),
    [sym_binary_expression] = STATE(12854),
    [sym_unary_expression] = STATE(12854),
    [sym_range_expression] = STATE(12854),
    [sym_splat_expression] = STATE(12854),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(11884),
    [sym_unary_typed_expression] = STATE(12854),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12854),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(10777),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10777),
    [sym_string_literal] = STATE(10777),
    [sym_command_literal] = STATE(10777),
    [sym_prefixed_string_literal] = STATE(10777),
    [sym_prefixed_command_literal] = STATE(10777),
    [sym_operator] = STATE(12031),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9130),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [2044] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9236),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2045] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9238),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2046] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9240),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2047] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9242),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2048] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9244),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2049] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9246),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2050] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9248),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2051] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9250),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2052] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9252),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2053] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9254),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2054] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9256),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2055] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9258),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2056] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9260),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2057] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(513),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2058] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9262),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2059] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9264),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2060] = {
    [sym_assignment] = STATE(7957),
    [sym_open_tuple] = STATE(7779),
    [sym__expression] = STATE(7961),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(9150),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [2061] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9266),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2062] = {
    [sym_assignment] = STATE(7942),
    [sym_open_tuple] = STATE(7766),
    [sym__expression] = STATE(7954),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(9150),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [2063] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9268),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2064] = {
    [sym_assignment] = STATE(18379),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13694),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2065] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9270),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2066] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9272),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2067] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9274),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2068] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9276),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2069] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9278),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2070] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9280),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2071] = {
    [sym__expression] = STATE(13954),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17164),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9282),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2072] = {
    [sym_assignment] = STATE(7789),
    [sym_open_tuple] = STATE(7530),
    [sym__expression] = STATE(7949),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9284),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [2073] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9286),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2074] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9218),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2075] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9288),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2076] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9290),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2077] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9292),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2078] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9294),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2079] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9296),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2080] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9292),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2081] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9298),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2082] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9300),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2083] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9302),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2084] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9304),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2085] = {
    [sym_assignment] = STATE(12632),
    [sym_open_tuple] = STATE(19862),
    [sym__expression] = STATE(12857),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10777),
    [sym_comprehension_expression] = STATE(10777),
    [sym_matrix_expression] = STATE(10777),
    [sym_vector_expression] = STATE(10777),
    [sym_parenthesized_expression] = STATE(10777),
    [sym_tuple_expression] = STATE(10777),
    [sym_curly_expression] = STATE(10777),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10777),
    [sym_index_expression] = STATE(10777),
    [sym_parametrized_type_expression] = STATE(10777),
    [sym_call_expression] = STATE(10777),
    [sym_broadcast_call_expression] = STATE(10777),
    [sym__closed_macrocall_expression] = STATE(10777),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(10777),
    [sym_quote_expression] = STATE(10777),
    [sym_binary_expression] = STATE(12854),
    [sym_unary_expression] = STATE(12854),
    [sym_range_expression] = STATE(12854),
    [sym_splat_expression] = STATE(12854),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(11884),
    [sym_unary_typed_expression] = STATE(12854),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12854),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(10777),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10777),
    [sym_string_literal] = STATE(10777),
    [sym_command_literal] = STATE(10777),
    [sym_prefixed_string_literal] = STATE(10777),
    [sym_prefixed_command_literal] = STATE(10777),
    [sym_operator] = STATE(12031),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9130),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [2086] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9306),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2087] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(467),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2088] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9308),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2089] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(12309),
    [sym__expression] = STATE(12754),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10630),
    [sym__array] = STATE(10630),
    [sym_comprehension_expression] = STATE(10630),
    [sym_matrix_expression] = STATE(10630),
    [sym_vector_expression] = STATE(10630),
    [sym_parenthesized_expression] = STATE(10630),
    [sym_tuple_expression] = STATE(10630),
    [sym_curly_expression] = STATE(10630),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10630),
    [sym_index_expression] = STATE(10630),
    [sym_parametrized_type_expression] = STATE(10630),
    [sym_call_expression] = STATE(10630),
    [sym_broadcast_call_expression] = STATE(10630),
    [sym__closed_macrocall_expression] = STATE(10630),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(10630),
    [sym_quote_expression] = STATE(10630),
    [sym_binary_expression] = STATE(12313),
    [sym_unary_expression] = STATE(12313),
    [sym_range_expression] = STATE(12313),
    [sym_splat_expression] = STATE(12313),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12077),
    [sym_unary_typed_expression] = STATE(12313),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12313),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(10630),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10630),
    [sym_string_literal] = STATE(10630),
    [sym_command_literal] = STATE(10630),
    [sym_prefixed_string_literal] = STATE(10630),
    [sym_prefixed_command_literal] = STATE(10630),
    [sym_operator] = STATE(12075),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9314),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2090] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9288),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2091] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(12307),
    [sym__expression] = STATE(12751),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10630),
    [sym__array] = STATE(10630),
    [sym_comprehension_expression] = STATE(10630),
    [sym_matrix_expression] = STATE(10630),
    [sym_vector_expression] = STATE(10630),
    [sym_parenthesized_expression] = STATE(10630),
    [sym_tuple_expression] = STATE(10630),
    [sym_curly_expression] = STATE(10630),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10630),
    [sym_index_expression] = STATE(10630),
    [sym_parametrized_type_expression] = STATE(10630),
    [sym_call_expression] = STATE(10630),
    [sym_broadcast_call_expression] = STATE(10630),
    [sym__closed_macrocall_expression] = STATE(10630),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(10630),
    [sym_quote_expression] = STATE(10630),
    [sym_binary_expression] = STATE(12313),
    [sym_unary_expression] = STATE(12313),
    [sym_range_expression] = STATE(12313),
    [sym_splat_expression] = STATE(12313),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12077),
    [sym_unary_typed_expression] = STATE(12313),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12313),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(10630),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10630),
    [sym_string_literal] = STATE(10630),
    [sym_command_literal] = STATE(10630),
    [sym_prefixed_string_literal] = STATE(10630),
    [sym_prefixed_command_literal] = STATE(10630),
    [sym_operator] = STATE(12075),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9314),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2092] = {
    [sym_assignment] = STATE(18435),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13758),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2093] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9318),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2094] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9320),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2095] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(12791),
    [sym__expression] = STATE(12903),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10630),
    [sym__array] = STATE(10630),
    [sym_comprehension_expression] = STATE(10630),
    [sym_matrix_expression] = STATE(10630),
    [sym_vector_expression] = STATE(10630),
    [sym_parenthesized_expression] = STATE(10630),
    [sym_tuple_expression] = STATE(10630),
    [sym_curly_expression] = STATE(10630),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10630),
    [sym_index_expression] = STATE(10630),
    [sym_parametrized_type_expression] = STATE(10630),
    [sym_call_expression] = STATE(10630),
    [sym_broadcast_call_expression] = STATE(10630),
    [sym__closed_macrocall_expression] = STATE(10630),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(10630),
    [sym_quote_expression] = STATE(10630),
    [sym_binary_expression] = STATE(12313),
    [sym_unary_expression] = STATE(12313),
    [sym_range_expression] = STATE(12313),
    [sym_splat_expression] = STATE(12313),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12077),
    [sym_unary_typed_expression] = STATE(12313),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12313),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(10630),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10630),
    [sym_string_literal] = STATE(10630),
    [sym_command_literal] = STATE(10630),
    [sym_prefixed_string_literal] = STATE(10630),
    [sym_prefixed_command_literal] = STATE(10630),
    [sym_operator] = STATE(12075),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9314),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2096] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9322),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2097] = {
    [sym_assignment] = STATE(12049),
    [sym_open_tuple] = STATE(13293),
    [sym__expression] = STATE(13294),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11301),
    [sym__array] = STATE(11301),
    [sym_comprehension_expression] = STATE(11301),
    [sym_matrix_expression] = STATE(11301),
    [sym_vector_expression] = STATE(11301),
    [sym_parenthesized_expression] = STATE(11301),
    [sym_tuple_expression] = STATE(11301),
    [sym_curly_expression] = STATE(11301),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11301),
    [sym_index_expression] = STATE(11301),
    [sym_parametrized_type_expression] = STATE(11301),
    [sym_call_expression] = STATE(11301),
    [sym_broadcast_call_expression] = STATE(11301),
    [sym__closed_macrocall_expression] = STATE(11301),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11301),
    [sym_quote_expression] = STATE(11301),
    [sym_binary_expression] = STATE(13300),
    [sym_unary_expression] = STATE(13300),
    [sym_range_expression] = STATE(13300),
    [sym_splat_expression] = STATE(13300),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12989),
    [sym_unary_typed_expression] = STATE(13300),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13300),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11301),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11301),
    [sym_string_literal] = STATE(11301),
    [sym_command_literal] = STATE(11301),
    [sym_prefixed_string_literal] = STATE(11301),
    [sym_prefixed_command_literal] = STATE(11301),
    [sym_operator] = STATE(13086),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3334),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2098] = {
    [sym_assignment] = STATE(11858),
    [sym_open_tuple] = STATE(13296),
    [sym__expression] = STATE(13297),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11301),
    [sym__array] = STATE(11301),
    [sym_comprehension_expression] = STATE(11301),
    [sym_matrix_expression] = STATE(11301),
    [sym_vector_expression] = STATE(11301),
    [sym_parenthesized_expression] = STATE(11301),
    [sym_tuple_expression] = STATE(11301),
    [sym_curly_expression] = STATE(11301),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11301),
    [sym_index_expression] = STATE(11301),
    [sym_parametrized_type_expression] = STATE(11301),
    [sym_call_expression] = STATE(11301),
    [sym_broadcast_call_expression] = STATE(11301),
    [sym__closed_macrocall_expression] = STATE(11301),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11301),
    [sym_quote_expression] = STATE(11301),
    [sym_binary_expression] = STATE(13300),
    [sym_unary_expression] = STATE(13300),
    [sym_range_expression] = STATE(13300),
    [sym_splat_expression] = STATE(13300),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12989),
    [sym_unary_typed_expression] = STATE(13300),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13300),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11301),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11301),
    [sym_string_literal] = STATE(11301),
    [sym_command_literal] = STATE(11301),
    [sym_prefixed_string_literal] = STATE(11301),
    [sym_prefixed_command_literal] = STATE(11301),
    [sym_operator] = STATE(13086),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3334),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2099] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9324),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2100] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9326),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2101] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9328),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2102] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(19800),
    [sym__expression] = STATE(12823),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10630),
    [sym__array] = STATE(10630),
    [sym_comprehension_expression] = STATE(10630),
    [sym_matrix_expression] = STATE(10630),
    [sym_vector_expression] = STATE(10630),
    [sym_parenthesized_expression] = STATE(10630),
    [sym_tuple_expression] = STATE(10630),
    [sym_curly_expression] = STATE(10630),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10630),
    [sym_index_expression] = STATE(10630),
    [sym_parametrized_type_expression] = STATE(10630),
    [sym_call_expression] = STATE(10630),
    [sym_broadcast_call_expression] = STATE(10630),
    [sym__closed_macrocall_expression] = STATE(10630),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(10630),
    [sym_quote_expression] = STATE(10630),
    [sym_binary_expression] = STATE(12313),
    [sym_unary_expression] = STATE(12313),
    [sym_range_expression] = STATE(12313),
    [sym_splat_expression] = STATE(12313),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12077),
    [sym_unary_typed_expression] = STATE(12313),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12313),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(10630),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10630),
    [sym_string_literal] = STATE(10630),
    [sym_command_literal] = STATE(10630),
    [sym_prefixed_string_literal] = STATE(10630),
    [sym_prefixed_command_literal] = STATE(10630),
    [sym_operator] = STATE(12075),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9314),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2103] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9330),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2104] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9332),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2105] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9334),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2106] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9336),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2107] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9338),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2108] = {
    [sym__expression] = STATE(13992),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16826),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9340),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2109] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9326),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2110] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9342),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2111] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9344),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2112] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9346),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2113] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9348),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2114] = {
    [sym_assignment] = STATE(18554),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13895),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2115] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9350),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2116] = {
    [sym_assignment] = STATE(8553),
    [sym_open_tuple] = STATE(18788),
    [sym__expression] = STATE(9220),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2117] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9352),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2118] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9354),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2119] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9342),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2120] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9356),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2121] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9358),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2122] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9360),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2123] = {
    [sym__expression] = STATE(13789),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17198),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9362),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2124] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9364),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2125] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9366),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2126] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9360),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2127] = {
    [sym_assignment] = STATE(18630),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13947),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2128] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9368),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2129] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9370),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2130] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9368),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2131] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9372),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2132] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9374),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2133] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9376),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2134] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9378),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2135] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9380),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2136] = {
    [sym_assignment] = STATE(18682),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13991),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2137] = {
    [sym_assignment] = STATE(7978),
    [sym_open_tuple] = STATE(7977),
    [sym__expression] = STATE(7976),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(8884),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [2138] = {
    [sym_assignment] = STATE(7983),
    [sym_open_tuple] = STATE(7982),
    [sym__expression] = STATE(7981),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(8884),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [2139] = {
    [sym__expression] = STATE(13696),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17191),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9382),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2140] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9384),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2141] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9386),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2142] = {
    [sym_assignment] = STATE(18754),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13940),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2143] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9056),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2144] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9388),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2145] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9374),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2146] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9390),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2147] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9392),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2148] = {
    [sym_assignment] = STATE(18811),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13823),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2149] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9222),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2150] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9394),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2151] = {
    [sym_assignment] = STATE(7307),
    [sym_open_tuple] = STATE(7854),
    [sym__expression] = STATE(7995),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(8884),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [2152] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9396),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2153] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9398),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2154] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9400),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2155] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9402),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2156] = {
    [sym__expression] = STATE(13949),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17299),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9404),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2157] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9406),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2158] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9408),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2159] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9410),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2160] = {
    [sym__expression] = STATE(13842),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16746),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9412),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2161] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(19800),
    [sym__expression] = STATE(12822),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10630),
    [sym__array] = STATE(10630),
    [sym_comprehension_expression] = STATE(10630),
    [sym_matrix_expression] = STATE(10630),
    [sym_vector_expression] = STATE(10630),
    [sym_parenthesized_expression] = STATE(10630),
    [sym_tuple_expression] = STATE(10630),
    [sym_curly_expression] = STATE(10630),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10630),
    [sym_index_expression] = STATE(10630),
    [sym_parametrized_type_expression] = STATE(10630),
    [sym_call_expression] = STATE(10630),
    [sym_broadcast_call_expression] = STATE(10630),
    [sym__closed_macrocall_expression] = STATE(10630),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(10630),
    [sym_quote_expression] = STATE(10630),
    [sym_binary_expression] = STATE(12313),
    [sym_unary_expression] = STATE(12313),
    [sym_range_expression] = STATE(12313),
    [sym_splat_expression] = STATE(12313),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12077),
    [sym_unary_typed_expression] = STATE(12313),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12313),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(10630),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10630),
    [sym_string_literal] = STATE(10630),
    [sym_command_literal] = STATE(10630),
    [sym_prefixed_string_literal] = STATE(10630),
    [sym_prefixed_command_literal] = STATE(10630),
    [sym_operator] = STATE(12075),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9314),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2162] = {
    [sym_assignment] = STATE(8989),
    [sym_open_tuple] = STATE(8926),
    [sym__expression] = STATE(8987),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9210),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [2163] = {
    [sym_assignment] = STATE(8986),
    [sym_open_tuple] = STATE(8928),
    [sym__expression] = STATE(8984),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9210),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [2164] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9414),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2165] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9416),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2166] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9418),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2167] = {
    [sym_assignment] = STATE(8918),
    [sym_open_tuple] = STATE(19627),
    [sym__expression] = STATE(9050),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9210),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [2168] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9420),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2169] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9422),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2170] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9424),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2171] = {
    [sym_assignment] = STATE(8774),
    [sym_open_tuple] = STATE(19627),
    [sym__expression] = STATE(9013),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6255),
    [sym__array] = STATE(6255),
    [sym_comprehension_expression] = STATE(6255),
    [sym_matrix_expression] = STATE(6255),
    [sym_vector_expression] = STATE(6255),
    [sym_parenthesized_expression] = STATE(6255),
    [sym_tuple_expression] = STATE(6255),
    [sym_curly_expression] = STATE(6255),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6255),
    [sym_index_expression] = STATE(6255),
    [sym_parametrized_type_expression] = STATE(6255),
    [sym_call_expression] = STATE(6255),
    [sym_broadcast_call_expression] = STATE(6255),
    [sym__closed_macrocall_expression] = STATE(6255),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6255),
    [sym_quote_expression] = STATE(6255),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8129),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6255),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6255),
    [sym_string_literal] = STATE(6255),
    [sym_command_literal] = STATE(6255),
    [sym_prefixed_string_literal] = STATE(6255),
    [sym_prefixed_command_literal] = STATE(6255),
    [sym_operator] = STATE(8534),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9210),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [2172] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9426),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2173] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(18691),
    [sym__expression] = STATE(13281),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11301),
    [sym__array] = STATE(11301),
    [sym_comprehension_expression] = STATE(11301),
    [sym_matrix_expression] = STATE(11301),
    [sym_vector_expression] = STATE(11301),
    [sym_parenthesized_expression] = STATE(11301),
    [sym_tuple_expression] = STATE(11301),
    [sym_curly_expression] = STATE(11301),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11301),
    [sym_index_expression] = STATE(11301),
    [sym_parametrized_type_expression] = STATE(11301),
    [sym_call_expression] = STATE(11301),
    [sym_broadcast_call_expression] = STATE(11301),
    [sym__closed_macrocall_expression] = STATE(11301),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11301),
    [sym_quote_expression] = STATE(11301),
    [sym_binary_expression] = STATE(13300),
    [sym_unary_expression] = STATE(13300),
    [sym_range_expression] = STATE(13300),
    [sym_splat_expression] = STATE(13300),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12989),
    [sym_unary_typed_expression] = STATE(13300),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13300),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11301),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11301),
    [sym_string_literal] = STATE(11301),
    [sym_command_literal] = STATE(11301),
    [sym_prefixed_string_literal] = STATE(11301),
    [sym_prefixed_command_literal] = STATE(11301),
    [sym_operator] = STATE(13086),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3334),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2174] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9424),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2175] = {
    [sym_assignment] = STATE(18872),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13719),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2176] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9422),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2177] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9428),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2178] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9430),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2179] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9196),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2180] = {
    [sym_assignment] = STATE(18926),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13643),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2181] = {
    [sym_assignment] = STATE(19135),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13916),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2182] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9432),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2183] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(491),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2184] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9434),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2185] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9436),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2186] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9438),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2187] = {
    [sym_assignment] = STATE(19005),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13617),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2188] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9440),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2189] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2190] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9444),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2191] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9440),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2192] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9446),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2193] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9448),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2194] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8846),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2195] = {
    [sym_assignment] = STATE(19013),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13727),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2196] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9450),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2197] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9452),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2198] = {
    [sym_assignment] = STATE(19075),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13836),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2199] = {
    [sym_assignment] = STATE(12047),
    [sym_open_tuple] = STATE(18902),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11794),
    [sym__array] = STATE(11794),
    [sym_comprehension_expression] = STATE(11794),
    [sym_matrix_expression] = STATE(11794),
    [sym_vector_expression] = STATE(11794),
    [sym_parenthesized_expression] = STATE(11794),
    [sym_tuple_expression] = STATE(11794),
    [sym_curly_expression] = STATE(11794),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11794),
    [sym_index_expression] = STATE(11794),
    [sym_parametrized_type_expression] = STATE(11794),
    [sym_call_expression] = STATE(11794),
    [sym_broadcast_call_expression] = STATE(11794),
    [sym__closed_macrocall_expression] = STATE(11794),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11794),
    [sym_quote_expression] = STATE(11794),
    [sym_binary_expression] = STATE(13851),
    [sym_unary_expression] = STATE(13851),
    [sym_range_expression] = STATE(13851),
    [sym_splat_expression] = STATE(13851),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13899),
    [sym_unary_typed_expression] = STATE(13851),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13851),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11794),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11794),
    [sym_string_literal] = STATE(11794),
    [sym_command_literal] = STATE(11794),
    [sym_prefixed_string_literal] = STATE(11794),
    [sym_prefixed_command_literal] = STATE(11794),
    [sym_operator] = STATE(13439),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9454),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2200] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9456),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2201] = {
    [sym_assignment] = STATE(19124),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13945),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2202] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9458),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2203] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8916),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2204] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9460),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2205] = {
    [sym_assignment] = STATE(19170),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13958),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2206] = {
    [sym__expression] = STATE(13766),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17059),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9462),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2207] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9464),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2208] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9466),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2209] = {
    [sym__expression] = STATE(13865),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17097),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9468),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2210] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9470),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2211] = {
    [sym_assignment] = STATE(19219),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13907),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2212] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9472),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2213] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9474),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2214] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9476),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2215] = {
    [sym_assignment] = STATE(8419),
    [sym_open_tuple] = STATE(18998),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11825),
    [sym__array] = STATE(11825),
    [sym_comprehension_expression] = STATE(11825),
    [sym_matrix_expression] = STATE(11825),
    [sym_vector_expression] = STATE(11825),
    [sym_parenthesized_expression] = STATE(11825),
    [sym_tuple_expression] = STATE(11825),
    [sym_curly_expression] = STATE(11825),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11825),
    [sym_index_expression] = STATE(11825),
    [sym_parametrized_type_expression] = STATE(11825),
    [sym_call_expression] = STATE(11825),
    [sym_broadcast_call_expression] = STATE(11825),
    [sym__closed_macrocall_expression] = STATE(11825),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11825),
    [sym_quote_expression] = STATE(11825),
    [sym_binary_expression] = STATE(14022),
    [sym_unary_expression] = STATE(14022),
    [sym_range_expression] = STATE(14022),
    [sym_splat_expression] = STATE(14022),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13981),
    [sym_unary_typed_expression] = STATE(14022),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14022),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11825),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11825),
    [sym_string_literal] = STATE(11825),
    [sym_command_literal] = STATE(11825),
    [sym_prefixed_string_literal] = STATE(11825),
    [sym_prefixed_command_literal] = STATE(11825),
    [sym_operator] = STATE(13980),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9478),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2216] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9480),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2217] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9448),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2218] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9482),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2219] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9484),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2220] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9486),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2221] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9488),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2222] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9490),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2223] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8918),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2224] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9492),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2225] = {
    [sym_assignment] = STATE(19262),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13837),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2226] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9494),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2227] = {
    [sym_assignment] = STATE(19319),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13735),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2228] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9496),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2229] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9498),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2230] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9488),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2231] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9500),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2232] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9502),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2233] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9504),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2234] = {
    [sym_assignment] = STATE(19356),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13659),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2235] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9506),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2236] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9508),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2237] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9508),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2238] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9510),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2239] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9512),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2240] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9514),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2241] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(19446),
    [sym__expression] = STATE(13683),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11355),
    [sym__array] = STATE(11355),
    [sym_comprehension_expression] = STATE(11355),
    [sym_matrix_expression] = STATE(11355),
    [sym_vector_expression] = STATE(11355),
    [sym_parenthesized_expression] = STATE(11355),
    [sym_tuple_expression] = STATE(11355),
    [sym_curly_expression] = STATE(11355),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11355),
    [sym_index_expression] = STATE(11355),
    [sym_parametrized_type_expression] = STATE(11355),
    [sym_call_expression] = STATE(11355),
    [sym_broadcast_call_expression] = STATE(11355),
    [sym__closed_macrocall_expression] = STATE(11355),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11355),
    [sym_quote_expression] = STATE(11355),
    [sym_binary_expression] = STATE(13417),
    [sym_unary_expression] = STATE(13417),
    [sym_range_expression] = STATE(13417),
    [sym_splat_expression] = STATE(13417),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13020),
    [sym_unary_typed_expression] = STATE(13417),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13417),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11355),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11355),
    [sym_string_literal] = STATE(11355),
    [sym_command_literal] = STATE(11355),
    [sym_prefixed_string_literal] = STATE(11355),
    [sym_prefixed_command_literal] = STATE(11355),
    [sym_operator] = STATE(13021),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3276),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2242] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15300),
    [sym__expression] = STATE(13056),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2243] = {
    [sym_assignment] = STATE(19489),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13738),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2244] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9516),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2245] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9334),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2246] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9518),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2247] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9520),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2248] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9518),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2249] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9522),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2250] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9524),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2251] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9526),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2252] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9528),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2253] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9530),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2254] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9532),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2255] = {
    [sym_assignment] = STATE(19516),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13982),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2256] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9532),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2257] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9534),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2258] = {
    [sym_assignment] = STATE(19563),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13717),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2259] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9534),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2260] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9536),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2261] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9538),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2262] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9536),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2263] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9540),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2264] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9542),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2265] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9544),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2266] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9546),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2267] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9548),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2268] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9550),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2269] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9540),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2270] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9552),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2271] = {
    [sym_assignment] = STATE(7753),
    [sym_open_tuple] = STATE(18566),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11769),
    [sym__array] = STATE(11769),
    [sym_comprehension_expression] = STATE(11769),
    [sym_matrix_expression] = STATE(11769),
    [sym_vector_expression] = STATE(11769),
    [sym_parenthesized_expression] = STATE(11769),
    [sym_tuple_expression] = STATE(11769),
    [sym_curly_expression] = STATE(11769),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11769),
    [sym_index_expression] = STATE(11769),
    [sym_parametrized_type_expression] = STATE(11769),
    [sym_call_expression] = STATE(11769),
    [sym_broadcast_call_expression] = STATE(11769),
    [sym__closed_macrocall_expression] = STATE(11769),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11769),
    [sym_quote_expression] = STATE(11769),
    [sym_binary_expression] = STATE(14097),
    [sym_unary_expression] = STATE(14097),
    [sym_range_expression] = STATE(14097),
    [sym_splat_expression] = STATE(14097),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13737),
    [sym_unary_typed_expression] = STATE(14097),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14097),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11769),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11769),
    [sym_string_literal] = STATE(11769),
    [sym_command_literal] = STATE(11769),
    [sym_prefixed_string_literal] = STATE(11769),
    [sym_prefixed_command_literal] = STATE(11769),
    [sym_operator] = STATE(13636),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9554),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2272] = {
    [sym_assignment] = STATE(7984),
    [sym_open_tuple] = STATE(19252),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11696),
    [sym__array] = STATE(11696),
    [sym_comprehension_expression] = STATE(11696),
    [sym_matrix_expression] = STATE(11696),
    [sym_vector_expression] = STATE(11696),
    [sym_parenthesized_expression] = STATE(11696),
    [sym_tuple_expression] = STATE(11696),
    [sym_curly_expression] = STATE(11696),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11696),
    [sym_index_expression] = STATE(11696),
    [sym_parametrized_type_expression] = STATE(11696),
    [sym_call_expression] = STATE(11696),
    [sym_broadcast_call_expression] = STATE(11696),
    [sym__closed_macrocall_expression] = STATE(11696),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11696),
    [sym_quote_expression] = STATE(11696),
    [sym_binary_expression] = STATE(14005),
    [sym_unary_expression] = STATE(14005),
    [sym_range_expression] = STATE(14005),
    [sym_splat_expression] = STATE(14005),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13728),
    [sym_unary_typed_expression] = STATE(14005),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14005),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11696),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11696),
    [sym_string_literal] = STATE(11696),
    [sym_command_literal] = STATE(11696),
    [sym_prefixed_string_literal] = STATE(11696),
    [sym_prefixed_command_literal] = STATE(11696),
    [sym_operator] = STATE(13726),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9556),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2273] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9552),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2274] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9558),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2275] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9560),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2276] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(19375),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11568),
    [sym__array] = STATE(11568),
    [sym_comprehension_expression] = STATE(11568),
    [sym_matrix_expression] = STATE(11568),
    [sym_vector_expression] = STATE(11568),
    [sym_parenthesized_expression] = STATE(11568),
    [sym_tuple_expression] = STATE(11568),
    [sym_curly_expression] = STATE(11568),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11568),
    [sym_index_expression] = STATE(11568),
    [sym_parametrized_type_expression] = STATE(11568),
    [sym_call_expression] = STATE(11568),
    [sym_broadcast_call_expression] = STATE(11568),
    [sym__closed_macrocall_expression] = STATE(11568),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11568),
    [sym_quote_expression] = STATE(11568),
    [sym_binary_expression] = STATE(14078),
    [sym_unary_expression] = STATE(14078),
    [sym_range_expression] = STATE(14078),
    [sym_splat_expression] = STATE(14078),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13871),
    [sym_unary_typed_expression] = STATE(14078),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14078),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11568),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11568),
    [sym_string_literal] = STATE(11568),
    [sym_command_literal] = STATE(11568),
    [sym_prefixed_string_literal] = STATE(11568),
    [sym_prefixed_command_literal] = STATE(11568),
    [sym_operator] = STATE(13870),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9562),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2277] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(18691),
    [sym__expression] = STATE(13270),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11301),
    [sym__array] = STATE(11301),
    [sym_comprehension_expression] = STATE(11301),
    [sym_matrix_expression] = STATE(11301),
    [sym_vector_expression] = STATE(11301),
    [sym_parenthesized_expression] = STATE(11301),
    [sym_tuple_expression] = STATE(11301),
    [sym_curly_expression] = STATE(11301),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11301),
    [sym_index_expression] = STATE(11301),
    [sym_parametrized_type_expression] = STATE(11301),
    [sym_call_expression] = STATE(11301),
    [sym_broadcast_call_expression] = STATE(11301),
    [sym__closed_macrocall_expression] = STATE(11301),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11301),
    [sym_quote_expression] = STATE(11301),
    [sym_binary_expression] = STATE(13300),
    [sym_unary_expression] = STATE(13300),
    [sym_range_expression] = STATE(13300),
    [sym_splat_expression] = STATE(13300),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12989),
    [sym_unary_typed_expression] = STATE(13300),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13300),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11301),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11301),
    [sym_string_literal] = STATE(11301),
    [sym_command_literal] = STATE(11301),
    [sym_prefixed_string_literal] = STATE(11301),
    [sym_prefixed_command_literal] = STATE(11301),
    [sym_operator] = STATE(13086),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3334),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2278] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(19431),
    [sym__expression] = STATE(12147),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10804),
    [sym__array] = STATE(10804),
    [sym_comprehension_expression] = STATE(10804),
    [sym_matrix_expression] = STATE(10804),
    [sym_vector_expression] = STATE(10804),
    [sym_parenthesized_expression] = STATE(10804),
    [sym_tuple_expression] = STATE(10804),
    [sym_curly_expression] = STATE(10804),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10804),
    [sym_index_expression] = STATE(10804),
    [sym_parametrized_type_expression] = STATE(10804),
    [sym_call_expression] = STATE(10804),
    [sym_broadcast_call_expression] = STATE(10804),
    [sym__closed_macrocall_expression] = STATE(10804),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10804),
    [sym_quote_expression] = STATE(10804),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11877),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10804),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10804),
    [sym_string_literal] = STATE(10804),
    [sym_command_literal] = STATE(10804),
    [sym_prefixed_string_literal] = STATE(10804),
    [sym_prefixed_command_literal] = STATE(10804),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9564),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2279] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(19431),
    [sym__expression] = STATE(12148),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10804),
    [sym__array] = STATE(10804),
    [sym_comprehension_expression] = STATE(10804),
    [sym_matrix_expression] = STATE(10804),
    [sym_vector_expression] = STATE(10804),
    [sym_parenthesized_expression] = STATE(10804),
    [sym_tuple_expression] = STATE(10804),
    [sym_curly_expression] = STATE(10804),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10804),
    [sym_index_expression] = STATE(10804),
    [sym_parametrized_type_expression] = STATE(10804),
    [sym_call_expression] = STATE(10804),
    [sym_broadcast_call_expression] = STATE(10804),
    [sym__closed_macrocall_expression] = STATE(10804),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10804),
    [sym_quote_expression] = STATE(10804),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11877),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10804),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10804),
    [sym_string_literal] = STATE(10804),
    [sym_command_literal] = STATE(10804),
    [sym_prefixed_string_literal] = STATE(10804),
    [sym_prefixed_command_literal] = STATE(10804),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9564),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2280] = {
    [sym_assignment] = STATE(12632),
    [sym_open_tuple] = STATE(19555),
    [sym__expression] = STATE(12158),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10879),
    [sym__array] = STATE(10879),
    [sym_comprehension_expression] = STATE(10879),
    [sym_matrix_expression] = STATE(10879),
    [sym_vector_expression] = STATE(10879),
    [sym_parenthesized_expression] = STATE(10879),
    [sym_tuple_expression] = STATE(10879),
    [sym_curly_expression] = STATE(10879),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10879),
    [sym_index_expression] = STATE(10879),
    [sym_parametrized_type_expression] = STATE(10879),
    [sym_call_expression] = STATE(10879),
    [sym_broadcast_call_expression] = STATE(10879),
    [sym__closed_macrocall_expression] = STATE(10879),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10879),
    [sym_quote_expression] = STATE(10879),
    [sym_binary_expression] = STATE(12818),
    [sym_unary_expression] = STATE(12818),
    [sym_range_expression] = STATE(12818),
    [sym_splat_expression] = STATE(12818),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12116),
    [sym_unary_typed_expression] = STATE(12818),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12818),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10879),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10879),
    [sym_string_literal] = STATE(10879),
    [sym_command_literal] = STATE(10879),
    [sym_prefixed_string_literal] = STATE(10879),
    [sym_prefixed_command_literal] = STATE(10879),
    [sym_operator] = STATE(12011),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9566),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [2281] = {
    [sym_assignment] = STATE(12866),
    [sym_open_tuple] = STATE(19555),
    [sym__expression] = STATE(12162),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10879),
    [sym__array] = STATE(10879),
    [sym_comprehension_expression] = STATE(10879),
    [sym_matrix_expression] = STATE(10879),
    [sym_vector_expression] = STATE(10879),
    [sym_parenthesized_expression] = STATE(10879),
    [sym_tuple_expression] = STATE(10879),
    [sym_curly_expression] = STATE(10879),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10879),
    [sym_index_expression] = STATE(10879),
    [sym_parametrized_type_expression] = STATE(10879),
    [sym_call_expression] = STATE(10879),
    [sym_broadcast_call_expression] = STATE(10879),
    [sym__closed_macrocall_expression] = STATE(10879),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10879),
    [sym_quote_expression] = STATE(10879),
    [sym_binary_expression] = STATE(12818),
    [sym_unary_expression] = STATE(12818),
    [sym_range_expression] = STATE(12818),
    [sym_splat_expression] = STATE(12818),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12116),
    [sym_unary_typed_expression] = STATE(12818),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12818),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10879),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10879),
    [sym_string_literal] = STATE(10879),
    [sym_command_literal] = STATE(10879),
    [sym_prefixed_string_literal] = STATE(10879),
    [sym_prefixed_command_literal] = STATE(10879),
    [sym_operator] = STATE(12011),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9566),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [2282] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(13144),
    [sym__expression] = STATE(12659),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10974),
    [sym__array] = STATE(10974),
    [sym_comprehension_expression] = STATE(10974),
    [sym_matrix_expression] = STATE(10974),
    [sym_vector_expression] = STATE(10974),
    [sym_parenthesized_expression] = STATE(10974),
    [sym_tuple_expression] = STATE(10974),
    [sym_curly_expression] = STATE(10974),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10974),
    [sym_index_expression] = STATE(10974),
    [sym_parametrized_type_expression] = STATE(10974),
    [sym_call_expression] = STATE(10974),
    [sym_broadcast_call_expression] = STATE(10974),
    [sym__closed_macrocall_expression] = STATE(10974),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10974),
    [sym_quote_expression] = STATE(10974),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12727),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10974),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10974),
    [sym_string_literal] = STATE(10974),
    [sym_command_literal] = STATE(10974),
    [sym_prefixed_string_literal] = STATE(10974),
    [sym_prefixed_command_literal] = STATE(10974),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(9568),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2283] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9570),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2284] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9572),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2285] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9558),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2286] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9574),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2287] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(13117),
    [sym__expression] = STATE(12656),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10964),
    [sym__array] = STATE(10964),
    [sym_comprehension_expression] = STATE(10964),
    [sym_matrix_expression] = STATE(10964),
    [sym_vector_expression] = STATE(10964),
    [sym_parenthesized_expression] = STATE(10964),
    [sym_tuple_expression] = STATE(10964),
    [sym_curly_expression] = STATE(10964),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10964),
    [sym_index_expression] = STATE(10964),
    [sym_parametrized_type_expression] = STATE(10964),
    [sym_call_expression] = STATE(10964),
    [sym_broadcast_call_expression] = STATE(10964),
    [sym__closed_macrocall_expression] = STATE(10964),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(10964),
    [sym_quote_expression] = STATE(10964),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12795),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(10964),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10964),
    [sym_string_literal] = STATE(10964),
    [sym_command_literal] = STATE(10964),
    [sym_prefixed_string_literal] = STATE(10964),
    [sym_prefixed_command_literal] = STATE(10964),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(9576),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2288] = {
    [sym__expression] = STATE(13972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17077),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9578),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2289] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9580),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2290] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9582),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2291] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(15632),
    [sym__expression] = STATE(13196),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11203),
    [sym__array] = STATE(11203),
    [sym_comprehension_expression] = STATE(11203),
    [sym_matrix_expression] = STATE(11203),
    [sym_vector_expression] = STATE(11203),
    [sym_parenthesized_expression] = STATE(11203),
    [sym_tuple_expression] = STATE(11203),
    [sym_curly_expression] = STATE(11203),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11203),
    [sym_index_expression] = STATE(11203),
    [sym_parametrized_type_expression] = STATE(11203),
    [sym_call_expression] = STATE(11203),
    [sym_broadcast_call_expression] = STATE(11203),
    [sym__closed_macrocall_expression] = STATE(11203),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11203),
    [sym_quote_expression] = STATE(11203),
    [sym_binary_expression] = STATE(13178),
    [sym_unary_expression] = STATE(13178),
    [sym_range_expression] = STATE(13178),
    [sym_splat_expression] = STATE(13178),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12969),
    [sym_unary_typed_expression] = STATE(13178),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13178),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11203),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11203),
    [sym_string_literal] = STATE(11203),
    [sym_command_literal] = STATE(11203),
    [sym_prefixed_string_literal] = STATE(11203),
    [sym_prefixed_command_literal] = STATE(11203),
    [sym_operator] = STATE(12975),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(75),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2292] = {
    [sym_assignment] = STATE(12578),
    [sym_open_tuple] = STATE(12395),
    [sym__expression] = STATE(11971),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10563),
    [sym__array] = STATE(10563),
    [sym_comprehension_expression] = STATE(10563),
    [sym_matrix_expression] = STATE(10563),
    [sym_vector_expression] = STATE(10563),
    [sym_parenthesized_expression] = STATE(10563),
    [sym_tuple_expression] = STATE(10563),
    [sym_curly_expression] = STATE(10563),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10563),
    [sym_index_expression] = STATE(10563),
    [sym_parametrized_type_expression] = STATE(10563),
    [sym_call_expression] = STATE(10563),
    [sym_broadcast_call_expression] = STATE(10563),
    [sym__closed_macrocall_expression] = STATE(10563),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10563),
    [sym_quote_expression] = STATE(10563),
    [sym_binary_expression] = STATE(12790),
    [sym_unary_expression] = STATE(12790),
    [sym_range_expression] = STATE(12790),
    [sym_splat_expression] = STATE(12790),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12012),
    [sym_unary_typed_expression] = STATE(12790),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12790),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10563),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10563),
    [sym_string_literal] = STATE(10563),
    [sym_command_literal] = STATE(10563),
    [sym_prefixed_string_literal] = STATE(10563),
    [sym_prefixed_command_literal] = STATE(10563),
    [sym_operator] = STATE(11946),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(9584),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [2293] = {
    [sym__expression] = STATE(13898),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17141),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9586),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2294] = {
    [sym_assignment] = STATE(8061),
    [sym_open_tuple] = STATE(18566),
    [sym__expression] = STATE(9056),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9284),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [2295] = {
    [sym_assignment] = STATE(8665),
    [sym_open_tuple] = STATE(18788),
    [sym__expression] = STATE(9156),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2296] = {
    [sym_assignment] = STATE(7450),
    [sym_open_tuple] = STATE(18566),
    [sym__expression] = STATE(9109),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9284),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [2297] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(12367),
    [sym__expression] = STATE(11876),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10560),
    [sym__array] = STATE(10560),
    [sym_comprehension_expression] = STATE(10560),
    [sym_matrix_expression] = STATE(10560),
    [sym_vector_expression] = STATE(10560),
    [sym_parenthesized_expression] = STATE(10560),
    [sym_tuple_expression] = STATE(10560),
    [sym_curly_expression] = STATE(10560),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10560),
    [sym_index_expression] = STATE(10560),
    [sym_parametrized_type_expression] = STATE(10560),
    [sym_call_expression] = STATE(10560),
    [sym_broadcast_call_expression] = STATE(10560),
    [sym__closed_macrocall_expression] = STATE(10560),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10560),
    [sym_quote_expression] = STATE(10560),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12020),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10560),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10560),
    [sym_string_literal] = STATE(10560),
    [sym_command_literal] = STATE(10560),
    [sym_prefixed_string_literal] = STATE(10560),
    [sym_prefixed_command_literal] = STATE(10560),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(9588),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2298] = {
    [sym_assignment] = STATE(8091),
    [sym_open_tuple] = STATE(7750),
    [sym__expression] = STATE(7582),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4891),
    [sym__array] = STATE(4891),
    [sym_comprehension_expression] = STATE(4891),
    [sym_matrix_expression] = STATE(4891),
    [sym_vector_expression] = STATE(4891),
    [sym_parenthesized_expression] = STATE(4891),
    [sym_tuple_expression] = STATE(4891),
    [sym_curly_expression] = STATE(4891),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4891),
    [sym_index_expression] = STATE(4891),
    [sym_parametrized_type_expression] = STATE(4891),
    [sym_call_expression] = STATE(4891),
    [sym_broadcast_call_expression] = STATE(4891),
    [sym__closed_macrocall_expression] = STATE(4891),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(4891),
    [sym_quote_expression] = STATE(4891),
    [sym_binary_expression] = STATE(7580),
    [sym_unary_expression] = STATE(7580),
    [sym_range_expression] = STATE(7580),
    [sym_splat_expression] = STATE(7580),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(6981),
    [sym_unary_typed_expression] = STATE(7580),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7580),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(4891),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4891),
    [sym_string_literal] = STATE(4891),
    [sym_command_literal] = STATE(4891),
    [sym_prefixed_string_literal] = STATE(4891),
    [sym_prefixed_command_literal] = STATE(4891),
    [sym_operator] = STATE(7027),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(9150),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [2299] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(18691),
    [sym__expression] = STATE(13391),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11301),
    [sym__array] = STATE(11301),
    [sym_comprehension_expression] = STATE(11301),
    [sym_matrix_expression] = STATE(11301),
    [sym_vector_expression] = STATE(11301),
    [sym_parenthesized_expression] = STATE(11301),
    [sym_tuple_expression] = STATE(11301),
    [sym_curly_expression] = STATE(11301),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11301),
    [sym_index_expression] = STATE(11301),
    [sym_parametrized_type_expression] = STATE(11301),
    [sym_call_expression] = STATE(11301),
    [sym_broadcast_call_expression] = STATE(11301),
    [sym__closed_macrocall_expression] = STATE(11301),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11301),
    [sym_quote_expression] = STATE(11301),
    [sym_binary_expression] = STATE(13300),
    [sym_unary_expression] = STATE(13300),
    [sym_range_expression] = STATE(13300),
    [sym_splat_expression] = STATE(13300),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12989),
    [sym_unary_typed_expression] = STATE(13300),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13300),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11301),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11301),
    [sym_string_literal] = STATE(11301),
    [sym_command_literal] = STATE(11301),
    [sym_prefixed_string_literal] = STATE(11301),
    [sym_prefixed_command_literal] = STATE(11301),
    [sym_operator] = STATE(13086),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3334),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2300] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9590),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2301] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9592),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2302] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9594),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2303] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9596),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2304] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9598),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2305] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9600),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2306] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(18691),
    [sym__expression] = STATE(13316),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11301),
    [sym__array] = STATE(11301),
    [sym_comprehension_expression] = STATE(11301),
    [sym_matrix_expression] = STATE(11301),
    [sym_vector_expression] = STATE(11301),
    [sym_parenthesized_expression] = STATE(11301),
    [sym_tuple_expression] = STATE(11301),
    [sym_curly_expression] = STATE(11301),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11301),
    [sym_index_expression] = STATE(11301),
    [sym_parametrized_type_expression] = STATE(11301),
    [sym_call_expression] = STATE(11301),
    [sym_broadcast_call_expression] = STATE(11301),
    [sym__closed_macrocall_expression] = STATE(11301),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11301),
    [sym_quote_expression] = STATE(11301),
    [sym_binary_expression] = STATE(13300),
    [sym_unary_expression] = STATE(13300),
    [sym_range_expression] = STATE(13300),
    [sym_splat_expression] = STATE(13300),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12989),
    [sym_unary_typed_expression] = STATE(13300),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13300),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11301),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11301),
    [sym_string_literal] = STATE(11301),
    [sym_command_literal] = STATE(11301),
    [sym_prefixed_string_literal] = STATE(11301),
    [sym_prefixed_command_literal] = STATE(11301),
    [sym_operator] = STATE(13086),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3334),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2307] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9602),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2308] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9604),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2309] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9606),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2310] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2311] = {
    [sym__expression] = STATE(13651),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16763),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9610),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2312] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9612),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2313] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9614),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2314] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9616),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2315] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9618),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2316] = {
    [sym_assignment] = STATE(9030),
    [sym_open_tuple] = STATE(18970),
    [sym__expression] = STATE(8746),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(9620),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [2317] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9622),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2318] = {
    [sym_assignment] = STATE(9010),
    [sym_open_tuple] = STATE(18970),
    [sym__expression] = STATE(8745),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(9620),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [2319] = {
    [sym_assignment] = STATE(12073),
    [sym_open_tuple] = STATE(13422),
    [sym__expression] = STATE(12906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(11201),
    [sym_comprehension_expression] = STATE(11201),
    [sym_matrix_expression] = STATE(11201),
    [sym_vector_expression] = STATE(11201),
    [sym_parenthesized_expression] = STATE(11201),
    [sym_tuple_expression] = STATE(11201),
    [sym_curly_expression] = STATE(11201),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11201),
    [sym_index_expression] = STATE(11201),
    [sym_parametrized_type_expression] = STATE(11201),
    [sym_call_expression] = STATE(11201),
    [sym_broadcast_call_expression] = STATE(11201),
    [sym__closed_macrocall_expression] = STATE(11201),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11201),
    [sym_quote_expression] = STATE(11201),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13001),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11201),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11201),
    [sym_string_literal] = STATE(11201),
    [sym_command_literal] = STATE(11201),
    [sym_prefixed_string_literal] = STATE(11201),
    [sym_prefixed_command_literal] = STATE(11201),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3019),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2320] = {
    [sym__expression] = STATE(13706),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17332),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9624),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2321] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9626),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2322] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9628),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2323] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9330),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2324] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9630),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2325] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9632),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2326] = {
    [sym_assignment] = STATE(7413),
    [sym_open_tuple] = STATE(19050),
    [sym__expression] = STATE(7167),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(9634),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [2327] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9636),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2328] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9638),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2329] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9640),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2330] = {
    [sym_assignment] = STATE(7892),
    [sym_open_tuple] = STATE(19050),
    [sym__expression] = STATE(7165),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(9634),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [2331] = {
    [sym_assignment] = STATE(7789),
    [sym_open_tuple] = STATE(7290),
    [sym__expression] = STATE(7155),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9066),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [2332] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9642),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2333] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(18332),
    [sym__expression] = STATE(13697),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(11201),
    [sym_comprehension_expression] = STATE(11201),
    [sym_matrix_expression] = STATE(11201),
    [sym_vector_expression] = STATE(11201),
    [sym_parenthesized_expression] = STATE(11201),
    [sym_tuple_expression] = STATE(11201),
    [sym_curly_expression] = STATE(11201),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11201),
    [sym_index_expression] = STATE(11201),
    [sym_parametrized_type_expression] = STATE(11201),
    [sym_call_expression] = STATE(11201),
    [sym_broadcast_call_expression] = STATE(11201),
    [sym__closed_macrocall_expression] = STATE(11201),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11201),
    [sym_quote_expression] = STATE(11201),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13001),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11201),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11201),
    [sym_string_literal] = STATE(11201),
    [sym_command_literal] = STATE(11201),
    [sym_prefixed_string_literal] = STATE(11201),
    [sym_prefixed_command_literal] = STATE(11201),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3019),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2334] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9644),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2335] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9646),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2336] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9648),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2337] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9650),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2338] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9652),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2339] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9654),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2340] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9638),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2341] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9656),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2342] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9658),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2343] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9656),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2344] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9660),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2345] = {
    [sym_assignment] = STATE(19787),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13751),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2346] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9662),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2347] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9664),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2348] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9666),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2349] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(18332),
    [sym__expression] = STATE(13702),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(11201),
    [sym_comprehension_expression] = STATE(11201),
    [sym_matrix_expression] = STATE(11201),
    [sym_vector_expression] = STATE(11201),
    [sym_parenthesized_expression] = STATE(11201),
    [sym_tuple_expression] = STATE(11201),
    [sym_curly_expression] = STATE(11201),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11201),
    [sym_index_expression] = STATE(11201),
    [sym_parametrized_type_expression] = STATE(11201),
    [sym_call_expression] = STATE(11201),
    [sym_broadcast_call_expression] = STATE(11201),
    [sym__closed_macrocall_expression] = STATE(11201),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11201),
    [sym_quote_expression] = STATE(11201),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13001),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11201),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11201),
    [sym_string_literal] = STATE(11201),
    [sym_command_literal] = STATE(11201),
    [sym_prefixed_string_literal] = STATE(11201),
    [sym_prefixed_command_literal] = STATE(11201),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3019),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2350] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9668),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2351] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9670),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2352] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9672),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2353] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9674),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2354] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9676),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2355] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9276),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2356] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9678),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2357] = {
    [sym_assignment] = STATE(8430),
    [sym_open_tuple] = STATE(9212),
    [sym__expression] = STATE(9161),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2358] = {
    [sym_assignment] = STATE(8422),
    [sym_open_tuple] = STATE(9193),
    [sym__expression] = STATE(9162),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2359] = {
    [sym_assignment] = STATE(7801),
    [sym_open_tuple] = STATE(7798),
    [sym__expression] = STATE(7797),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9284),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [2360] = {
    [sym_assignment] = STATE(7792),
    [sym_open_tuple] = STATE(7790),
    [sym__expression] = STATE(7786),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9284),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [2361] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9680),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2362] = {
    [sym__expression] = STATE(13876),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16918),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9682),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2363] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9684),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2364] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9686),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2365] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9688),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2366] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9690),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2367] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9692),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2368] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9694),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2369] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9696),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2370] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9698),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2371] = {
    [sym__expression] = STATE(13894),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16810),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9700),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2372] = {
    [sym__expression] = STATE(13883),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16774),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9702),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2373] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8828),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2374] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9414),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2375] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(13018),
    [sym__expression] = STATE(12645),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10943),
    [sym__array] = STATE(10943),
    [sym_comprehension_expression] = STATE(10943),
    [sym_matrix_expression] = STATE(10943),
    [sym_vector_expression] = STATE(10943),
    [sym_parenthesized_expression] = STATE(10943),
    [sym_tuple_expression] = STATE(10943),
    [sym_curly_expression] = STATE(10943),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10943),
    [sym_index_expression] = STATE(10943),
    [sym_parametrized_type_expression] = STATE(10943),
    [sym_call_expression] = STATE(10943),
    [sym_broadcast_call_expression] = STATE(10943),
    [sym__closed_macrocall_expression] = STATE(10943),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10943),
    [sym_quote_expression] = STATE(10943),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12904),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10943),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10943),
    [sym_string_literal] = STATE(10943),
    [sym_command_literal] = STATE(10943),
    [sym_prefixed_string_literal] = STATE(10943),
    [sym_prefixed_command_literal] = STATE(10943),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(9704),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2376] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9706),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2377] = {
    [sym__expression] = STATE(13627),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17115),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9708),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2378] = {
    [sym_assignment] = STATE(11858),
    [sym_open_tuple] = STATE(13752),
    [sym__expression] = STATE(13712),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11461),
    [sym__array] = STATE(11461),
    [sym_comprehension_expression] = STATE(11461),
    [sym_matrix_expression] = STATE(11461),
    [sym_vector_expression] = STATE(11461),
    [sym_parenthesized_expression] = STATE(11461),
    [sym_tuple_expression] = STATE(11461),
    [sym_curly_expression] = STATE(11461),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11461),
    [sym_index_expression] = STATE(11461),
    [sym_parametrized_type_expression] = STATE(11461),
    [sym_call_expression] = STATE(11461),
    [sym_broadcast_call_expression] = STATE(11461),
    [sym__closed_macrocall_expression] = STATE(11461),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11461),
    [sym_quote_expression] = STATE(11461),
    [sym_binary_expression] = STATE(13851),
    [sym_unary_expression] = STATE(13851),
    [sym_range_expression] = STATE(13851),
    [sym_splat_expression] = STATE(13851),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13520),
    [sym_unary_typed_expression] = STATE(13851),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13851),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11461),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11461),
    [sym_string_literal] = STATE(11461),
    [sym_command_literal] = STATE(11461),
    [sym_prefixed_string_literal] = STATE(11461),
    [sym_prefixed_command_literal] = STATE(11461),
    [sym_operator] = STATE(13439),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3708),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2379] = {
    [sym_assignment] = STATE(12049),
    [sym_open_tuple] = STATE(13750),
    [sym__expression] = STATE(13749),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11461),
    [sym__array] = STATE(11461),
    [sym_comprehension_expression] = STATE(11461),
    [sym_matrix_expression] = STATE(11461),
    [sym_vector_expression] = STATE(11461),
    [sym_parenthesized_expression] = STATE(11461),
    [sym_tuple_expression] = STATE(11461),
    [sym_curly_expression] = STATE(11461),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11461),
    [sym_index_expression] = STATE(11461),
    [sym_parametrized_type_expression] = STATE(11461),
    [sym_call_expression] = STATE(11461),
    [sym_broadcast_call_expression] = STATE(11461),
    [sym__closed_macrocall_expression] = STATE(11461),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11461),
    [sym_quote_expression] = STATE(11461),
    [sym_binary_expression] = STATE(13851),
    [sym_unary_expression] = STATE(13851),
    [sym_range_expression] = STATE(13851),
    [sym_splat_expression] = STATE(13851),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13520),
    [sym_unary_typed_expression] = STATE(13851),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13851),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11461),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11461),
    [sym_string_literal] = STATE(11461),
    [sym_command_literal] = STATE(11461),
    [sym_prefixed_string_literal] = STATE(11461),
    [sym_prefixed_command_literal] = STATE(11461),
    [sym_operator] = STATE(13439),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3708),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2380] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9710),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2381] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9712),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2382] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9714),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2383] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9716),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2384] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(13198),
    [sym__expression] = STATE(13099),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11198),
    [sym__array] = STATE(11198),
    [sym_comprehension_expression] = STATE(11198),
    [sym_matrix_expression] = STATE(11198),
    [sym_vector_expression] = STATE(11198),
    [sym_parenthesized_expression] = STATE(11198),
    [sym_tuple_expression] = STATE(11198),
    [sym_curly_expression] = STATE(11198),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11198),
    [sym_index_expression] = STATE(11198),
    [sym_parametrized_type_expression] = STATE(11198),
    [sym_call_expression] = STATE(11198),
    [sym_broadcast_call_expression] = STATE(11198),
    [sym__closed_macrocall_expression] = STATE(11198),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11198),
    [sym_quote_expression] = STATE(11198),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13153),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11198),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11198),
    [sym_string_literal] = STATE(11198),
    [sym_command_literal] = STATE(11198),
    [sym_prefixed_string_literal] = STATE(11198),
    [sym_prefixed_command_literal] = STATE(11198),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(9718),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2385] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9720),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2386] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9722),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2387] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9724),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2388] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9726),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2389] = {
    [sym_assignment] = STATE(7984),
    [sym_open_tuple] = STATE(19050),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11597),
    [sym__array] = STATE(11597),
    [sym_comprehension_expression] = STATE(11597),
    [sym_matrix_expression] = STATE(11597),
    [sym_vector_expression] = STATE(11597),
    [sym_parenthesized_expression] = STATE(11597),
    [sym_tuple_expression] = STATE(11597),
    [sym_curly_expression] = STATE(11597),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11597),
    [sym_index_expression] = STATE(11597),
    [sym_parametrized_type_expression] = STATE(11597),
    [sym_call_expression] = STATE(11597),
    [sym_broadcast_call_expression] = STATE(11597),
    [sym__closed_macrocall_expression] = STATE(11597),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11597),
    [sym_quote_expression] = STATE(11597),
    [sym_binary_expression] = STATE(14072),
    [sym_unary_expression] = STATE(14072),
    [sym_range_expression] = STATE(14072),
    [sym_splat_expression] = STATE(14072),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13652),
    [sym_unary_typed_expression] = STATE(14072),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14072),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11597),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11597),
    [sym_string_literal] = STATE(11597),
    [sym_command_literal] = STATE(11597),
    [sym_prefixed_string_literal] = STATE(11597),
    [sym_prefixed_command_literal] = STATE(11597),
    [sym_operator] = STATE(13650),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9728),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2390] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9730),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2391] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9732),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2392] = {
    [sym_assignment] = STATE(19597),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13714),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2393] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9734),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2394] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(19446),
    [sym__expression] = STATE(13711),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11355),
    [sym__array] = STATE(11355),
    [sym_comprehension_expression] = STATE(11355),
    [sym_matrix_expression] = STATE(11355),
    [sym_vector_expression] = STATE(11355),
    [sym_parenthesized_expression] = STATE(11355),
    [sym_tuple_expression] = STATE(11355),
    [sym_curly_expression] = STATE(11355),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11355),
    [sym_index_expression] = STATE(11355),
    [sym_parametrized_type_expression] = STATE(11355),
    [sym_call_expression] = STATE(11355),
    [sym_broadcast_call_expression] = STATE(11355),
    [sym__closed_macrocall_expression] = STATE(11355),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11355),
    [sym_quote_expression] = STATE(11355),
    [sym_binary_expression] = STATE(13417),
    [sym_unary_expression] = STATE(13417),
    [sym_range_expression] = STATE(13417),
    [sym_splat_expression] = STATE(13417),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13020),
    [sym_unary_typed_expression] = STATE(13417),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13417),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11355),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11355),
    [sym_string_literal] = STATE(11355),
    [sym_command_literal] = STATE(11355),
    [sym_prefixed_string_literal] = STATE(11355),
    [sym_prefixed_command_literal] = STATE(11355),
    [sym_operator] = STATE(13021),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3276),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2395] = {
    [sym_assignment] = STATE(19630),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13928),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2396] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9736),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2397] = {
    [sym_assignment] = STATE(19699),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13965),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2398] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9738),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2399] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9740),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2400] = {
    [sym_assignment] = STATE(19750),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13892),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2401] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9742),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2402] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9744),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2403] = {
    [sym_assignment] = STATE(19801),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13743),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2404] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(19846),
    [sym__expression] = STATE(13424),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11368),
    [sym__array] = STATE(11368),
    [sym_comprehension_expression] = STATE(11368),
    [sym_matrix_expression] = STATE(11368),
    [sym_vector_expression] = STATE(11368),
    [sym_parenthesized_expression] = STATE(11368),
    [sym_tuple_expression] = STATE(11368),
    [sym_curly_expression] = STATE(11368),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11368),
    [sym_index_expression] = STATE(11368),
    [sym_parametrized_type_expression] = STATE(11368),
    [sym_call_expression] = STATE(11368),
    [sym_broadcast_call_expression] = STATE(11368),
    [sym__closed_macrocall_expression] = STATE(11368),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11368),
    [sym_quote_expression] = STATE(11368),
    [sym_binary_expression] = STATE(13272),
    [sym_unary_expression] = STATE(13272),
    [sym_range_expression] = STATE(13272),
    [sym_splat_expression] = STATE(13272),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13111),
    [sym_unary_typed_expression] = STATE(13272),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13272),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11368),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11368),
    [sym_string_literal] = STATE(11368),
    [sym_command_literal] = STATE(11368),
    [sym_prefixed_string_literal] = STATE(11368),
    [sym_prefixed_command_literal] = STATE(11368),
    [sym_operator] = STATE(13113),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(8676),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2405] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9746),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2406] = {
    [sym_assignment] = STATE(19856),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13649),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2407] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9748),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2408] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9750),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2409] = {
    [sym_assignment] = STATE(19847),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13677),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2410] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9752),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2411] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9754),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2412] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(14698),
    [sym__expression] = STATE(12457),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10543),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10543),
    [sym_matrix_expression] = STATE(10543),
    [sym_vector_expression] = STATE(10543),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12658),
    [sym_unary_expression] = STATE(12658),
    [sym_range_expression] = STATE(12658),
    [sym_splat_expression] = STATE(12658),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11874),
    [sym_unary_typed_expression] = STATE(12658),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12658),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10543),
    [sym_string_literal] = STATE(10543),
    [sym_command_literal] = STATE(10543),
    [sym_prefixed_string_literal] = STATE(10543),
    [sym_prefixed_command_literal] = STATE(10543),
    [sym_operator] = STATE(11875),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(4194),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2413] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9756),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2414] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9758),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2415] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9760),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2416] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9762),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2417] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9764),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2418] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9766),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2419] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9768),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2420] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9770),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2421] = {
    [sym_assignment] = STATE(8990),
    [sym_open_tuple] = STATE(19627),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11802),
    [sym__array] = STATE(11802),
    [sym_comprehension_expression] = STATE(11802),
    [sym_matrix_expression] = STATE(11802),
    [sym_vector_expression] = STATE(11802),
    [sym_parenthesized_expression] = STATE(11802),
    [sym_tuple_expression] = STATE(11802),
    [sym_curly_expression] = STATE(11802),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11802),
    [sym_index_expression] = STATE(11802),
    [sym_parametrized_type_expression] = STATE(11802),
    [sym_call_expression] = STATE(11802),
    [sym_broadcast_call_expression] = STATE(11802),
    [sym__closed_macrocall_expression] = STATE(11802),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11802),
    [sym_quote_expression] = STATE(11802),
    [sym_binary_expression] = STATE(14019),
    [sym_unary_expression] = STATE(14019),
    [sym_range_expression] = STATE(14019),
    [sym_splat_expression] = STATE(14019),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13613),
    [sym_unary_typed_expression] = STATE(14019),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14019),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11802),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11802),
    [sym_string_literal] = STATE(11802),
    [sym_command_literal] = STATE(11802),
    [sym_prefixed_string_literal] = STATE(11802),
    [sym_prefixed_command_literal] = STATE(11802),
    [sym_operator] = STATE(13605),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9772),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2422] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9774),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2423] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9776),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2424] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9778),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2425] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9780),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2426] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9782),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2427] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9784),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2428] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9786),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2429] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(18493),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11757),
    [sym__array] = STATE(11757),
    [sym_comprehension_expression] = STATE(11757),
    [sym_matrix_expression] = STATE(11757),
    [sym_vector_expression] = STATE(11757),
    [sym_parenthesized_expression] = STATE(11757),
    [sym_tuple_expression] = STATE(11757),
    [sym_curly_expression] = STATE(11757),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11757),
    [sym_index_expression] = STATE(11757),
    [sym_parametrized_type_expression] = STATE(11757),
    [sym_call_expression] = STATE(11757),
    [sym_broadcast_call_expression] = STATE(11757),
    [sym__closed_macrocall_expression] = STATE(11757),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11757),
    [sym_quote_expression] = STATE(11757),
    [sym_binary_expression] = STATE(14004),
    [sym_unary_expression] = STATE(14004),
    [sym_range_expression] = STATE(14004),
    [sym_splat_expression] = STATE(14004),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13880),
    [sym_unary_typed_expression] = STATE(14004),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14004),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11757),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11757),
    [sym_string_literal] = STATE(11757),
    [sym_command_literal] = STATE(11757),
    [sym_prefixed_string_literal] = STATE(11757),
    [sym_prefixed_command_literal] = STATE(11757),
    [sym_operator] = STATE(13879),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9788),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2430] = {
    [sym_assignment] = STATE(7941),
    [sym_open_tuple] = STATE(19616),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11645),
    [sym__array] = STATE(11645),
    [sym_comprehension_expression] = STATE(11645),
    [sym_matrix_expression] = STATE(11645),
    [sym_vector_expression] = STATE(11645),
    [sym_parenthesized_expression] = STATE(11645),
    [sym_tuple_expression] = STATE(11645),
    [sym_curly_expression] = STATE(11645),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11645),
    [sym_index_expression] = STATE(11645),
    [sym_parametrized_type_expression] = STATE(11645),
    [sym_call_expression] = STATE(11645),
    [sym_broadcast_call_expression] = STATE(11645),
    [sym__closed_macrocall_expression] = STATE(11645),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11645),
    [sym_quote_expression] = STATE(11645),
    [sym_binary_expression] = STATE(14000),
    [sym_unary_expression] = STATE(14000),
    [sym_range_expression] = STATE(14000),
    [sym_splat_expression] = STATE(14000),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13630),
    [sym_unary_typed_expression] = STATE(14000),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14000),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11645),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11645),
    [sym_string_literal] = STATE(11645),
    [sym_command_literal] = STATE(11645),
    [sym_prefixed_string_literal] = STATE(11645),
    [sym_prefixed_command_literal] = STATE(11645),
    [sym_operator] = STATE(13631),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9790),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2431] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9792),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2432] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9794),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2433] = {
    [sym_assignment] = STATE(19789),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13765),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2434] = {
    [sym_assignment] = STATE(7450),
    [sym_open_tuple] = STATE(18566),
    [sym__expression] = STATE(8082),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9284),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [2435] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9796),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2436] = {
    [sym_assignment] = STATE(19725),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13926),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2437] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9798),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2438] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9800),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2439] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9802),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2440] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9804),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2441] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9806),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2442] = {
    [sym_assignment] = STATE(19666),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13988),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2443] = {
    [sym_assignment] = STATE(8488),
    [sym_open_tuple] = STATE(18659),
    [sym__expression] = STATE(8183),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(9822),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [2444] = {
    [sym_assignment] = STATE(19611),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13814),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2445] = {
    [sym_assignment] = STATE(8571),
    [sym_open_tuple] = STATE(19342),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11754),
    [sym__array] = STATE(11754),
    [sym_comprehension_expression] = STATE(11754),
    [sym_matrix_expression] = STATE(11754),
    [sym_vector_expression] = STATE(11754),
    [sym_parenthesized_expression] = STATE(11754),
    [sym_tuple_expression] = STATE(11754),
    [sym_curly_expression] = STATE(11754),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11754),
    [sym_index_expression] = STATE(11754),
    [sym_parametrized_type_expression] = STATE(11754),
    [sym_call_expression] = STATE(11754),
    [sym_broadcast_call_expression] = STATE(11754),
    [sym__closed_macrocall_expression] = STATE(11754),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11754),
    [sym_quote_expression] = STATE(11754),
    [sym_binary_expression] = STATE(14029),
    [sym_unary_expression] = STATE(14029),
    [sym_range_expression] = STATE(14029),
    [sym_splat_expression] = STATE(14029),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13969),
    [sym_unary_typed_expression] = STATE(14029),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14029),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11754),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11754),
    [sym_string_literal] = STATE(11754),
    [sym_command_literal] = STATE(11754),
    [sym_prefixed_string_literal] = STATE(11754),
    [sym_prefixed_command_literal] = STATE(11754),
    [sym_operator] = STATE(13967),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9828),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2446] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9830),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2447] = {
    [sym_assignment] = STATE(19579),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13634),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2448] = {
    [sym_assignment] = STATE(19497),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13840),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2449] = {
    [sym_assignment] = STATE(19475),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13948),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2450] = {
    [sym_assignment] = STATE(19413),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13739),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2451] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(15302),
    [sym__expression] = STATE(13055),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11088),
    [sym__array] = STATE(11088),
    [sym_comprehension_expression] = STATE(11088),
    [sym_matrix_expression] = STATE(11088),
    [sym_vector_expression] = STATE(11088),
    [sym_parenthesized_expression] = STATE(11088),
    [sym_tuple_expression] = STATE(11088),
    [sym_curly_expression] = STATE(11088),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11088),
    [sym_index_expression] = STATE(11088),
    [sym_parametrized_type_expression] = STATE(11088),
    [sym_call_expression] = STATE(11088),
    [sym_broadcast_call_expression] = STATE(11088),
    [sym__closed_macrocall_expression] = STATE(11088),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11088),
    [sym_quote_expression] = STATE(11088),
    [sym_binary_expression] = STATE(12987),
    [sym_unary_expression] = STATE(12987),
    [sym_range_expression] = STATE(12987),
    [sym_splat_expression] = STATE(12987),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12351),
    [sym_unary_typed_expression] = STATE(12987),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12987),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11088),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11088),
    [sym_string_literal] = STATE(11088),
    [sym_command_literal] = STATE(11088),
    [sym_prefixed_string_literal] = STATE(11088),
    [sym_prefixed_command_literal] = STATE(11088),
    [sym_operator] = STATE(12358),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(4782),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2452] = {
    [sym_assignment] = STATE(19368),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13629),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2453] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(516),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2454] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9832),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2455] = {
    [sym_assignment] = STATE(19347),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13686),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2456] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9834),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2457] = {
    [sym_assignment] = STATE(19316),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13741),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2458] = {
    [sym_assignment] = STATE(19278),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13827),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2459] = {
    [sym_assignment] = STATE(18154),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13878),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2460] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9836),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2461] = {
    [sym_assignment] = STATE(19214),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13922),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2462] = {
    [sym_assignment] = STATE(19174),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13957),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2463] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9838),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2464] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9840),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2465] = {
    [sym__expression] = STATE(13698),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16969),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9842),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2466] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9844),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2467] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9846),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2468] = {
    [sym_assignment] = STATE(19141),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13973),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2469] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9848),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2470] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9850),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2471] = {
    [sym_assignment] = STATE(19108),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13905),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2472] = {
    [sym_assignment] = STATE(19073),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13820),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2473] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9852),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2474] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9854),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2475] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9856),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2476] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(18418),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11614),
    [sym__array] = STATE(11614),
    [sym_comprehension_expression] = STATE(11614),
    [sym_matrix_expression] = STATE(11614),
    [sym_vector_expression] = STATE(11614),
    [sym_parenthesized_expression] = STATE(11614),
    [sym_tuple_expression] = STATE(11614),
    [sym_curly_expression] = STATE(11614),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11614),
    [sym_index_expression] = STATE(11614),
    [sym_parametrized_type_expression] = STATE(11614),
    [sym_call_expression] = STATE(11614),
    [sym_broadcast_call_expression] = STATE(11614),
    [sym__closed_macrocall_expression] = STATE(11614),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11614),
    [sym_quote_expression] = STATE(11614),
    [sym_binary_expression] = STATE(13999),
    [sym_unary_expression] = STATE(13999),
    [sym_range_expression] = STATE(13999),
    [sym_splat_expression] = STATE(13999),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13721),
    [sym_unary_typed_expression] = STATE(13999),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13999),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11614),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11614),
    [sym_string_literal] = STATE(11614),
    [sym_command_literal] = STATE(11614),
    [sym_prefixed_string_literal] = STATE(11614),
    [sym_prefixed_command_literal] = STATE(11614),
    [sym_operator] = STATE(13718),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9858),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2477] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9852),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2478] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9026),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2479] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9298),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2480] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9574),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2481] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9860),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2482] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9862),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2483] = {
    [sym_assignment] = STATE(18402),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13744),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2484] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9864),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2485] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9866),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2486] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9868),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2487] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9870),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2488] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9872),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2489] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9874),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2490] = {
    [sym_assignment] = STATE(19408),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13734),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2491] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9876),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2492] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9878),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2493] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9880),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2494] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9882),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2495] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9884),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2496] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9886),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2497] = {
    [sym__expression] = STATE(13882),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16713),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9888),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2498] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9890),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2499] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9600),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2500] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9892),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2501] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(466),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2502] = {
    [sym__expression] = STATE(13647),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17288),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9894),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2503] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9896),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2504] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9898),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2505] = {
    [sym_assignment] = STATE(11858),
    [sym_open_tuple] = STATE(13376),
    [sym__expression] = STATE(13370),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11355),
    [sym__array] = STATE(11355),
    [sym_comprehension_expression] = STATE(11355),
    [sym_matrix_expression] = STATE(11355),
    [sym_vector_expression] = STATE(11355),
    [sym_parenthesized_expression] = STATE(11355),
    [sym_tuple_expression] = STATE(11355),
    [sym_curly_expression] = STATE(11355),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11355),
    [sym_index_expression] = STATE(11355),
    [sym_parametrized_type_expression] = STATE(11355),
    [sym_call_expression] = STATE(11355),
    [sym_broadcast_call_expression] = STATE(11355),
    [sym__closed_macrocall_expression] = STATE(11355),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11355),
    [sym_quote_expression] = STATE(11355),
    [sym_binary_expression] = STATE(13417),
    [sym_unary_expression] = STATE(13417),
    [sym_range_expression] = STATE(13417),
    [sym_splat_expression] = STATE(13417),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13020),
    [sym_unary_typed_expression] = STATE(13417),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13417),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11355),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11355),
    [sym_string_literal] = STATE(11355),
    [sym_command_literal] = STATE(11355),
    [sym_prefixed_string_literal] = STATE(11355),
    [sym_prefixed_command_literal] = STATE(11355),
    [sym_operator] = STATE(13021),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3276),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2506] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9900),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2507] = {
    [sym_assignment] = STATE(12049),
    [sym_open_tuple] = STATE(13382),
    [sym__expression] = STATE(13377),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11355),
    [sym__array] = STATE(11355),
    [sym_comprehension_expression] = STATE(11355),
    [sym_matrix_expression] = STATE(11355),
    [sym_vector_expression] = STATE(11355),
    [sym_parenthesized_expression] = STATE(11355),
    [sym_tuple_expression] = STATE(11355),
    [sym_curly_expression] = STATE(11355),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11355),
    [sym_index_expression] = STATE(11355),
    [sym_parametrized_type_expression] = STATE(11355),
    [sym_call_expression] = STATE(11355),
    [sym_broadcast_call_expression] = STATE(11355),
    [sym__closed_macrocall_expression] = STATE(11355),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11355),
    [sym_quote_expression] = STATE(11355),
    [sym_binary_expression] = STATE(13417),
    [sym_unary_expression] = STATE(13417),
    [sym_range_expression] = STATE(13417),
    [sym_splat_expression] = STATE(13417),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13020),
    [sym_unary_typed_expression] = STATE(13417),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13417),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11355),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11355),
    [sym_string_literal] = STATE(11355),
    [sym_command_literal] = STATE(11355),
    [sym_prefixed_string_literal] = STATE(11355),
    [sym_prefixed_command_literal] = STATE(11355),
    [sym_operator] = STATE(13021),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3276),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2508] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9902),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2509] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9904),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2510] = {
    [sym__expression] = STATE(13769),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17112),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9906),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2511] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9908),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2512] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9910),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2513] = {
    [sym_assignment] = STATE(19518),
    [sym_open_tuple] = STATE(18441),
    [sym__expression] = STATE(13867),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2514] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9912),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2515] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9914),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2516] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8582),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2517] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9916),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2518] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9918),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2519] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9920),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2520] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9922),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2521] = {
    [sym__expression] = STATE(13877),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16984),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9924),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2522] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9926),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2523] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9450),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2524] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(14533),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11573),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11573),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13688),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11197),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(9928),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2525] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9182),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2526] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9930),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2527] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9932),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2528] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9934),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2529] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9936),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2530] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(14516),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11573),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11573),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13688),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11197),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(9928),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2531] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9938),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2532] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9940),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2533] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9942),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2534] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9944),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2535] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9946),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2536] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9948),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2537] = {
    [sym_assignment] = STATE(8061),
    [sym_open_tuple] = STATE(18566),
    [sym__expression] = STATE(8009),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5064),
    [sym__array] = STATE(5064),
    [sym_comprehension_expression] = STATE(5064),
    [sym_matrix_expression] = STATE(5064),
    [sym_vector_expression] = STATE(5064),
    [sym_parenthesized_expression] = STATE(5064),
    [sym_tuple_expression] = STATE(5064),
    [sym_curly_expression] = STATE(5064),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5064),
    [sym_index_expression] = STATE(5064),
    [sym_parametrized_type_expression] = STATE(5064),
    [sym_call_expression] = STATE(5064),
    [sym_broadcast_call_expression] = STATE(5064),
    [sym__closed_macrocall_expression] = STATE(5064),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5064),
    [sym_quote_expression] = STATE(5064),
    [sym_binary_expression] = STATE(8003),
    [sym_unary_expression] = STATE(8003),
    [sym_range_expression] = STATE(8003),
    [sym_splat_expression] = STATE(8003),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7140),
    [sym_unary_typed_expression] = STATE(8003),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(8003),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5064),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5064),
    [sym_string_literal] = STATE(5064),
    [sym_command_literal] = STATE(5064),
    [sym_prefixed_string_literal] = STATE(5064),
    [sym_prefixed_command_literal] = STATE(5064),
    [sym_operator] = STATE(7135),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9284),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [2538] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9950),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2539] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9952),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2540] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9486),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2541] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9954),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2542] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9956),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2543] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9958),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2544] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9960),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2545] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9962),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2546] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9964),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2547] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9966),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2548] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(18603),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11748),
    [sym__array] = STATE(11748),
    [sym_comprehension_expression] = STATE(11748),
    [sym_matrix_expression] = STATE(11748),
    [sym_vector_expression] = STATE(11748),
    [sym_parenthesized_expression] = STATE(11748),
    [sym_tuple_expression] = STATE(11748),
    [sym_curly_expression] = STATE(11748),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11748),
    [sym_index_expression] = STATE(11748),
    [sym_parametrized_type_expression] = STATE(11748),
    [sym_call_expression] = STATE(11748),
    [sym_broadcast_call_expression] = STATE(11748),
    [sym__closed_macrocall_expression] = STATE(11748),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11748),
    [sym_quote_expression] = STATE(11748),
    [sym_binary_expression] = STATE(14015),
    [sym_unary_expression] = STATE(14015),
    [sym_range_expression] = STATE(14015),
    [sym_splat_expression] = STATE(14015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13662),
    [sym_unary_typed_expression] = STATE(14015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11748),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11748),
    [sym_string_literal] = STATE(11748),
    [sym_command_literal] = STATE(11748),
    [sym_prefixed_string_literal] = STATE(11748),
    [sym_prefixed_command_literal] = STATE(11748),
    [sym_operator] = STATE(13663),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9968),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2549] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9970),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2550] = {
    [sym_assignment] = STATE(12622),
    [sym_open_tuple] = STATE(19862),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11569),
    [sym__array] = STATE(11569),
    [sym_comprehension_expression] = STATE(11569),
    [sym_matrix_expression] = STATE(11569),
    [sym_vector_expression] = STATE(11569),
    [sym_parenthesized_expression] = STATE(11569),
    [sym_tuple_expression] = STATE(11569),
    [sym_curly_expression] = STATE(11569),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11569),
    [sym_index_expression] = STATE(11569),
    [sym_parametrized_type_expression] = STATE(11569),
    [sym_call_expression] = STATE(11569),
    [sym_broadcast_call_expression] = STATE(11569),
    [sym__closed_macrocall_expression] = STATE(11569),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11569),
    [sym_quote_expression] = STATE(11569),
    [sym_binary_expression] = STATE(14104),
    [sym_unary_expression] = STATE(14104),
    [sym_range_expression] = STATE(14104),
    [sym_splat_expression] = STATE(14104),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13941),
    [sym_unary_typed_expression] = STATE(14104),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14104),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11569),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11569),
    [sym_string_literal] = STATE(11569),
    [sym_command_literal] = STATE(11569),
    [sym_prefixed_string_literal] = STATE(11569),
    [sym_prefixed_command_literal] = STATE(11569),
    [sym_operator] = STATE(13938),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9972),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2551] = {
    [sym__expression] = STATE(13960),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16933),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9974),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2552] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9976),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2553] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9978),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2554] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(9980),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2555] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9982),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2556] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9984),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2557] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(13418),
    [sym__expression] = STATE(13142),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11207),
    [sym__array] = STATE(11207),
    [sym_comprehension_expression] = STATE(11207),
    [sym_matrix_expression] = STATE(11207),
    [sym_vector_expression] = STATE(11207),
    [sym_parenthesized_expression] = STATE(11207),
    [sym_tuple_expression] = STATE(11207),
    [sym_curly_expression] = STATE(11207),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11207),
    [sym_index_expression] = STATE(11207),
    [sym_parametrized_type_expression] = STATE(11207),
    [sym_call_expression] = STATE(11207),
    [sym_broadcast_call_expression] = STATE(11207),
    [sym__closed_macrocall_expression] = STATE(11207),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11207),
    [sym_quote_expression] = STATE(11207),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13172),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11207),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11207),
    [sym_string_literal] = STATE(11207),
    [sym_command_literal] = STATE(11207),
    [sym_prefixed_string_literal] = STATE(11207),
    [sym_prefixed_command_literal] = STATE(11207),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(9986),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2558] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(9988),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2559] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9990),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2560] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9992),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2561] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9994),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2562] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9996),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2563] = {
    [sym_assignment] = STATE(12047),
    [sym_open_tuple] = STATE(18332),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11566),
    [sym__array] = STATE(11566),
    [sym_comprehension_expression] = STATE(11566),
    [sym_matrix_expression] = STATE(11566),
    [sym_vector_expression] = STATE(11566),
    [sym_parenthesized_expression] = STATE(11566),
    [sym_tuple_expression] = STATE(11566),
    [sym_curly_expression] = STATE(11566),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11566),
    [sym_index_expression] = STATE(11566),
    [sym_parametrized_type_expression] = STATE(11566),
    [sym_call_expression] = STATE(11566),
    [sym_broadcast_call_expression] = STATE(11566),
    [sym__closed_macrocall_expression] = STATE(11566),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11566),
    [sym_quote_expression] = STATE(11566),
    [sym_binary_expression] = STATE(14081),
    [sym_unary_expression] = STATE(14081),
    [sym_range_expression] = STATE(14081),
    [sym_splat_expression] = STATE(14081),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13762),
    [sym_unary_typed_expression] = STATE(14081),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14081),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11566),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11566),
    [sym_string_literal] = STATE(11566),
    [sym_command_literal] = STATE(11566),
    [sym_prefixed_string_literal] = STATE(11566),
    [sym_prefixed_command_literal] = STATE(11566),
    [sym_operator] = STATE(13763),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(9998),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2564] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10000),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2565] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10002),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2566] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10004),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2567] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10006),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2568] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10008),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2569] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10010),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2570] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10012),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2571] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10014),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2572] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10016),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2573] = {
    [sym__expression] = STATE(13932),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16874),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10018),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2574] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10020),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2575] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10022),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2576] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10024),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2577] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10026),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2578] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10028),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2579] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10030),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2580] = {
    [sym_assignment] = STATE(12304),
    [sym_open_tuple] = STATE(18385),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11580),
    [sym__array] = STATE(11580),
    [sym_comprehension_expression] = STATE(11580),
    [sym_matrix_expression] = STATE(11580),
    [sym_vector_expression] = STATE(11580),
    [sym_parenthesized_expression] = STATE(11580),
    [sym_tuple_expression] = STATE(11580),
    [sym_curly_expression] = STATE(11580),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11580),
    [sym_index_expression] = STATE(11580),
    [sym_parametrized_type_expression] = STATE(11580),
    [sym_call_expression] = STATE(11580),
    [sym_broadcast_call_expression] = STATE(11580),
    [sym__closed_macrocall_expression] = STATE(11580),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11580),
    [sym_quote_expression] = STATE(11580),
    [sym_binary_expression] = STATE(14108),
    [sym_unary_expression] = STATE(14108),
    [sym_range_expression] = STATE(14108),
    [sym_splat_expression] = STATE(14108),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13934),
    [sym_unary_typed_expression] = STATE(14108),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14108),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11580),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11580),
    [sym_string_literal] = STATE(11580),
    [sym_command_literal] = STATE(11580),
    [sym_prefixed_string_literal] = STATE(11580),
    [sym_prefixed_command_literal] = STATE(11580),
    [sym_operator] = STATE(13933),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10032),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2581] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(9602),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11620),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11620),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13660),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11215),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(8608),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2582] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9418),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2583] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10034),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2584] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(19103),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11759),
    [sym__array] = STATE(11759),
    [sym_comprehension_expression] = STATE(11759),
    [sym_matrix_expression] = STATE(11759),
    [sym_vector_expression] = STATE(11759),
    [sym_parenthesized_expression] = STATE(11759),
    [sym_tuple_expression] = STATE(11759),
    [sym_curly_expression] = STATE(11759),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11759),
    [sym_index_expression] = STATE(11759),
    [sym_parametrized_type_expression] = STATE(11759),
    [sym_call_expression] = STATE(11759),
    [sym_broadcast_call_expression] = STATE(11759),
    [sym__closed_macrocall_expression] = STATE(11759),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11759),
    [sym_quote_expression] = STATE(11759),
    [sym_binary_expression] = STATE(14071),
    [sym_unary_expression] = STATE(14071),
    [sym_range_expression] = STATE(14071),
    [sym_splat_expression] = STATE(14071),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13635),
    [sym_unary_typed_expression] = STATE(14071),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14071),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11759),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11759),
    [sym_string_literal] = STATE(11759),
    [sym_command_literal] = STATE(11759),
    [sym_prefixed_string_literal] = STATE(11759),
    [sym_prefixed_command_literal] = STATE(11759),
    [sym_operator] = STATE(13639),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10036),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2585] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10038),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2586] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10040),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2587] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10042),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2588] = {
    [sym__expression] = STATE(13633),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17242),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10044),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2589] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10046),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2590] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(19559),
    [sym__expression] = STATE(13258),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(11260),
    [sym_comprehension_expression] = STATE(11260),
    [sym_matrix_expression] = STATE(11260),
    [sym_vector_expression] = STATE(11260),
    [sym_parenthesized_expression] = STATE(11260),
    [sym_tuple_expression] = STATE(11260),
    [sym_curly_expression] = STATE(11260),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11260),
    [sym_index_expression] = STATE(11260),
    [sym_parametrized_type_expression] = STATE(11260),
    [sym_call_expression] = STATE(11260),
    [sym_broadcast_call_expression] = STATE(11260),
    [sym__closed_macrocall_expression] = STATE(11260),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11260),
    [sym_quote_expression] = STATE(11260),
    [sym_binary_expression] = STATE(13267),
    [sym_unary_expression] = STATE(13267),
    [sym_range_expression] = STATE(13267),
    [sym_splat_expression] = STATE(13267),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13115),
    [sym_unary_typed_expression] = STATE(13267),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13267),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11260),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11260),
    [sym_string_literal] = STATE(11260),
    [sym_command_literal] = STATE(11260),
    [sym_prefixed_string_literal] = STATE(11260),
    [sym_prefixed_command_literal] = STATE(11260),
    [sym_operator] = STATE(13116),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(10048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2591] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10050),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2592] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10052),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2593] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15854),
    [sym__expression] = STATE(13285),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2594] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10054),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2595] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10056),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2596] = {
    [sym_assignment] = STATE(12047),
    [sym_open_tuple] = STATE(19446),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11355),
    [sym__array] = STATE(11355),
    [sym_comprehension_expression] = STATE(11355),
    [sym_matrix_expression] = STATE(11355),
    [sym_vector_expression] = STATE(11355),
    [sym_parenthesized_expression] = STATE(11355),
    [sym_tuple_expression] = STATE(11355),
    [sym_curly_expression] = STATE(11355),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11355),
    [sym_index_expression] = STATE(11355),
    [sym_parametrized_type_expression] = STATE(11355),
    [sym_call_expression] = STATE(11355),
    [sym_broadcast_call_expression] = STATE(11355),
    [sym__closed_macrocall_expression] = STATE(11355),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11355),
    [sym_quote_expression] = STATE(11355),
    [sym_binary_expression] = STATE(13417),
    [sym_unary_expression] = STATE(13417),
    [sym_range_expression] = STATE(13417),
    [sym_splat_expression] = STATE(13417),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13020),
    [sym_unary_typed_expression] = STATE(13417),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13417),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11355),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11355),
    [sym_string_literal] = STATE(11355),
    [sym_command_literal] = STATE(11355),
    [sym_prefixed_string_literal] = STATE(11355),
    [sym_prefixed_command_literal] = STATE(11355),
    [sym_operator] = STATE(13021),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3276),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2597] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10058),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2598] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10060),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2599] = {
    [sym_assignment] = STATE(8419),
    [sym_open_tuple] = STATE(18224),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11741),
    [sym__array] = STATE(11741),
    [sym_comprehension_expression] = STATE(11741),
    [sym_matrix_expression] = STATE(11741),
    [sym_vector_expression] = STATE(11741),
    [sym_parenthesized_expression] = STATE(11741),
    [sym_tuple_expression] = STATE(11741),
    [sym_curly_expression] = STATE(11741),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11741),
    [sym_index_expression] = STATE(11741),
    [sym_parametrized_type_expression] = STATE(11741),
    [sym_call_expression] = STATE(11741),
    [sym_broadcast_call_expression] = STATE(11741),
    [sym__closed_macrocall_expression] = STATE(11741),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11741),
    [sym_quote_expression] = STATE(11741),
    [sym_binary_expression] = STATE(14103),
    [sym_unary_expression] = STATE(14103),
    [sym_range_expression] = STATE(14103),
    [sym_splat_expression] = STATE(14103),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13607),
    [sym_unary_typed_expression] = STATE(14103),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14103),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11741),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11741),
    [sym_string_literal] = STATE(11741),
    [sym_command_literal] = STATE(11741),
    [sym_prefixed_string_literal] = STATE(11741),
    [sym_prefixed_command_literal] = STATE(11741),
    [sym_operator] = STATE(13609),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10062),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2600] = {
    [sym_assignment] = STATE(8571),
    [sym_open_tuple] = STATE(18659),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11576),
    [sym__array] = STATE(11576),
    [sym_comprehension_expression] = STATE(11576),
    [sym_matrix_expression] = STATE(11576),
    [sym_vector_expression] = STATE(11576),
    [sym_parenthesized_expression] = STATE(11576),
    [sym_tuple_expression] = STATE(11576),
    [sym_curly_expression] = STATE(11576),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11576),
    [sym_index_expression] = STATE(11576),
    [sym_parametrized_type_expression] = STATE(11576),
    [sym_call_expression] = STATE(11576),
    [sym_broadcast_call_expression] = STATE(11576),
    [sym__closed_macrocall_expression] = STATE(11576),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11576),
    [sym_quote_expression] = STATE(11576),
    [sym_binary_expression] = STATE(14105),
    [sym_unary_expression] = STATE(14105),
    [sym_range_expression] = STATE(14105),
    [sym_splat_expression] = STATE(14105),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13768),
    [sym_unary_typed_expression] = STATE(14105),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14105),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11576),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11576),
    [sym_string_literal] = STATE(11576),
    [sym_command_literal] = STATE(11576),
    [sym_prefixed_string_literal] = STATE(11576),
    [sym_prefixed_command_literal] = STATE(11576),
    [sym_operator] = STATE(13767),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10064),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2601] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8864),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2602] = {
    [sym_assignment] = STATE(8774),
    [sym_open_tuple] = STATE(19495),
    [sym__expression] = STATE(8656),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10066),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [2603] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10068),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2604] = {
    [sym_assignment] = STATE(8918),
    [sym_open_tuple] = STATE(19495),
    [sym__expression] = STATE(8661),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10066),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [2605] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10070),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2606] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(19559),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11665),
    [sym__array] = STATE(11665),
    [sym_comprehension_expression] = STATE(11665),
    [sym_matrix_expression] = STATE(11665),
    [sym_vector_expression] = STATE(11665),
    [sym_parenthesized_expression] = STATE(11665),
    [sym_tuple_expression] = STATE(11665),
    [sym_curly_expression] = STATE(11665),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11665),
    [sym_index_expression] = STATE(11665),
    [sym_parametrized_type_expression] = STATE(11665),
    [sym_call_expression] = STATE(11665),
    [sym_broadcast_call_expression] = STATE(11665),
    [sym__closed_macrocall_expression] = STATE(11665),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11665),
    [sym_quote_expression] = STATE(11665),
    [sym_binary_expression] = STATE(14139),
    [sym_unary_expression] = STATE(14139),
    [sym_range_expression] = STATE(14139),
    [sym_splat_expression] = STATE(14139),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13673),
    [sym_unary_typed_expression] = STATE(14139),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14139),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11665),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11665),
    [sym_string_literal] = STATE(11665),
    [sym_command_literal] = STATE(11665),
    [sym_prefixed_string_literal] = STATE(11665),
    [sym_prefixed_command_literal] = STATE(11665),
    [sym_operator] = STATE(13666),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10072),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2607] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(13192),
    [sym__expression] = STATE(13011),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11207),
    [sym__array] = STATE(11207),
    [sym_comprehension_expression] = STATE(11207),
    [sym_matrix_expression] = STATE(11207),
    [sym_vector_expression] = STATE(11207),
    [sym_parenthesized_expression] = STATE(11207),
    [sym_tuple_expression] = STATE(11207),
    [sym_curly_expression] = STATE(11207),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11207),
    [sym_index_expression] = STATE(11207),
    [sym_parametrized_type_expression] = STATE(11207),
    [sym_call_expression] = STATE(11207),
    [sym_broadcast_call_expression] = STATE(11207),
    [sym__closed_macrocall_expression] = STATE(11207),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11207),
    [sym_quote_expression] = STATE(11207),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13172),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11207),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11207),
    [sym_string_literal] = STATE(11207),
    [sym_command_literal] = STATE(11207),
    [sym_prefixed_string_literal] = STATE(11207),
    [sym_prefixed_command_literal] = STATE(11207),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(9986),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2608] = {
    [sym__expression] = STATE(13678),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16842),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10074),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2609] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10076),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2610] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10078),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2611] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10080),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2612] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10082),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2613] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10084),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2614] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(14488),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11639),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11639),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13944),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11242),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(10086),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2615] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10088),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2616] = {
    [sym__expression] = STATE(13614),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17201),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10090),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2617] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(13191),
    [sym__expression] = STATE(13012),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11207),
    [sym__array] = STATE(11207),
    [sym_comprehension_expression] = STATE(11207),
    [sym_matrix_expression] = STATE(11207),
    [sym_vector_expression] = STATE(11207),
    [sym_parenthesized_expression] = STATE(11207),
    [sym_tuple_expression] = STATE(11207),
    [sym_curly_expression] = STATE(11207),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11207),
    [sym_index_expression] = STATE(11207),
    [sym_parametrized_type_expression] = STATE(11207),
    [sym_call_expression] = STATE(11207),
    [sym_broadcast_call_expression] = STATE(11207),
    [sym__closed_macrocall_expression] = STATE(11207),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11207),
    [sym_quote_expression] = STATE(11207),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13172),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11207),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11207),
    [sym_string_literal] = STATE(11207),
    [sym_command_literal] = STATE(11207),
    [sym_prefixed_string_literal] = STATE(11207),
    [sym_prefixed_command_literal] = STATE(11207),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(9986),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2618] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10092),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2619] = {
    [sym_assignment] = STATE(8422),
    [sym_open_tuple] = STATE(8963),
    [sym__expression] = STATE(8971),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2620] = {
    [sym_assignment] = STATE(8430),
    [sym_open_tuple] = STATE(8972),
    [sym__expression] = STATE(8927),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2621] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10094),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2622] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10096),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2623] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10098),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2624] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10100),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2625] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10102),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2626] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10104),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2627] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10106),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2628] = {
    [sym_assignment] = STATE(8986),
    [sym_open_tuple] = STATE(8833),
    [sym__expression] = STATE(8752),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10066),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [2629] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10108),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2630] = {
    [sym_assignment] = STATE(8989),
    [sym_open_tuple] = STATE(8804),
    [sym__expression] = STATE(8750),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10066),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [2631] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10110),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2632] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10112),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2633] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10114),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2634] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10116),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2635] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(19800),
    [sym__expression] = STATE(12782),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10630),
    [sym__array] = STATE(10630),
    [sym_comprehension_expression] = STATE(10630),
    [sym_matrix_expression] = STATE(10630),
    [sym_vector_expression] = STATE(10630),
    [sym_parenthesized_expression] = STATE(10630),
    [sym_tuple_expression] = STATE(10630),
    [sym_curly_expression] = STATE(10630),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10630),
    [sym_index_expression] = STATE(10630),
    [sym_parametrized_type_expression] = STATE(10630),
    [sym_call_expression] = STATE(10630),
    [sym_broadcast_call_expression] = STATE(10630),
    [sym__closed_macrocall_expression] = STATE(10630),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(10630),
    [sym_quote_expression] = STATE(10630),
    [sym_binary_expression] = STATE(12313),
    [sym_unary_expression] = STATE(12313),
    [sym_range_expression] = STATE(12313),
    [sym_splat_expression] = STATE(12313),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12077),
    [sym_unary_typed_expression] = STATE(12313),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12313),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(10630),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10630),
    [sym_string_literal] = STATE(10630),
    [sym_command_literal] = STATE(10630),
    [sym_prefixed_string_literal] = STATE(10630),
    [sym_prefixed_command_literal] = STATE(10630),
    [sym_operator] = STATE(12075),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9314),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2636] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10118),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2637] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10120),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2638] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10122),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2639] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10124),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2640] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10126),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2641] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10128),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2642] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10130),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2643] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10132),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2644] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10134),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2645] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10136),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2646] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10138),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2647] = {
    [sym__expression] = STATE(13781),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16898),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10140),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2648] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10142),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2649] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10144),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2650] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10146),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2651] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(19800),
    [sym__expression] = STATE(12804),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10630),
    [sym__array] = STATE(10630),
    [sym_comprehension_expression] = STATE(10630),
    [sym_matrix_expression] = STATE(10630),
    [sym_vector_expression] = STATE(10630),
    [sym_parenthesized_expression] = STATE(10630),
    [sym_tuple_expression] = STATE(10630),
    [sym_curly_expression] = STATE(10630),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10630),
    [sym_index_expression] = STATE(10630),
    [sym_parametrized_type_expression] = STATE(10630),
    [sym_call_expression] = STATE(10630),
    [sym_broadcast_call_expression] = STATE(10630),
    [sym__closed_macrocall_expression] = STATE(10630),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(10630),
    [sym_quote_expression] = STATE(10630),
    [sym_binary_expression] = STATE(12313),
    [sym_unary_expression] = STATE(12313),
    [sym_range_expression] = STATE(12313),
    [sym_splat_expression] = STATE(12313),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12077),
    [sym_unary_typed_expression] = STATE(12313),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12313),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(10630),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10630),
    [sym_string_literal] = STATE(10630),
    [sym_command_literal] = STATE(10630),
    [sym_prefixed_string_literal] = STATE(10630),
    [sym_prefixed_command_literal] = STATE(10630),
    [sym_operator] = STATE(12075),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9314),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2652] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10148),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2653] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10150),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2654] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8994),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2655] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10152),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2656] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10154),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2657] = {
    [sym_assignment] = STATE(12622),
    [sym_open_tuple] = STATE(19555),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11725),
    [sym__array] = STATE(11725),
    [sym_comprehension_expression] = STATE(11725),
    [sym_matrix_expression] = STATE(11725),
    [sym_vector_expression] = STATE(11725),
    [sym_parenthesized_expression] = STATE(11725),
    [sym_tuple_expression] = STATE(11725),
    [sym_curly_expression] = STATE(11725),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11725),
    [sym_index_expression] = STATE(11725),
    [sym_parametrized_type_expression] = STATE(11725),
    [sym_call_expression] = STATE(11725),
    [sym_broadcast_call_expression] = STATE(11725),
    [sym__closed_macrocall_expression] = STATE(11725),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11725),
    [sym_quote_expression] = STATE(11725),
    [sym_binary_expression] = STATE(14013),
    [sym_unary_expression] = STATE(14013),
    [sym_range_expression] = STATE(14013),
    [sym_splat_expression] = STATE(14013),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13885),
    [sym_unary_typed_expression] = STATE(14013),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14013),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11725),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11725),
    [sym_string_literal] = STATE(11725),
    [sym_command_literal] = STATE(11725),
    [sym_prefixed_string_literal] = STATE(11725),
    [sym_prefixed_command_literal] = STATE(11725),
    [sym_operator] = STATE(13884),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10156),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2658] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10158),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2659] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10160),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2660] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10162),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2661] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10164),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2662] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10166),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2663] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10168),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2664] = {
    [sym__expression] = STATE(13931),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17307),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10170),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2665] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10172),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2666] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10174),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2667] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10176),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2668] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(12303),
    [sym__expression] = STATE(12166),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10804),
    [sym__array] = STATE(10804),
    [sym_comprehension_expression] = STATE(10804),
    [sym_matrix_expression] = STATE(10804),
    [sym_vector_expression] = STATE(10804),
    [sym_parenthesized_expression] = STATE(10804),
    [sym_tuple_expression] = STATE(10804),
    [sym_curly_expression] = STATE(10804),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10804),
    [sym_index_expression] = STATE(10804),
    [sym_parametrized_type_expression] = STATE(10804),
    [sym_call_expression] = STATE(10804),
    [sym_broadcast_call_expression] = STATE(10804),
    [sym__closed_macrocall_expression] = STATE(10804),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10804),
    [sym_quote_expression] = STATE(10804),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11877),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10804),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10804),
    [sym_string_literal] = STATE(10804),
    [sym_command_literal] = STATE(10804),
    [sym_prefixed_string_literal] = STATE(10804),
    [sym_prefixed_command_literal] = STATE(10804),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9564),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2669] = {
    [sym__expression] = STATE(13774),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16691),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10178),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2670] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(12340),
    [sym__expression] = STATE(12041),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10804),
    [sym__array] = STATE(10804),
    [sym_comprehension_expression] = STATE(10804),
    [sym_matrix_expression] = STATE(10804),
    [sym_vector_expression] = STATE(10804),
    [sym_parenthesized_expression] = STATE(10804),
    [sym_tuple_expression] = STATE(10804),
    [sym_curly_expression] = STATE(10804),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10804),
    [sym_index_expression] = STATE(10804),
    [sym_parametrized_type_expression] = STATE(10804),
    [sym_call_expression] = STATE(10804),
    [sym_broadcast_call_expression] = STATE(10804),
    [sym__closed_macrocall_expression] = STATE(10804),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10804),
    [sym_quote_expression] = STATE(10804),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11877),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10804),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10804),
    [sym_string_literal] = STATE(10804),
    [sym_command_literal] = STATE(10804),
    [sym_prefixed_string_literal] = STATE(10804),
    [sym_prefixed_command_literal] = STATE(10804),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9564),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2671] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(12339),
    [sym__expression] = STATE(12149),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10804),
    [sym__array] = STATE(10804),
    [sym_comprehension_expression] = STATE(10804),
    [sym_matrix_expression] = STATE(10804),
    [sym_vector_expression] = STATE(10804),
    [sym_parenthesized_expression] = STATE(10804),
    [sym_tuple_expression] = STATE(10804),
    [sym_curly_expression] = STATE(10804),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10804),
    [sym_index_expression] = STATE(10804),
    [sym_parametrized_type_expression] = STATE(10804),
    [sym_call_expression] = STATE(10804),
    [sym_broadcast_call_expression] = STATE(10804),
    [sym__closed_macrocall_expression] = STATE(10804),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10804),
    [sym_quote_expression] = STATE(10804),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(11877),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10804),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10804),
    [sym_string_literal] = STATE(10804),
    [sym_command_literal] = STATE(10804),
    [sym_prefixed_string_literal] = STATE(10804),
    [sym_prefixed_command_literal] = STATE(10804),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9564),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2672] = {
    [sym_assignment] = STATE(12578),
    [sym_open_tuple] = STATE(14550),
    [sym__expression] = STATE(12587),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10762),
    [sym__array] = STATE(10762),
    [sym_comprehension_expression] = STATE(10762),
    [sym_matrix_expression] = STATE(10762),
    [sym_vector_expression] = STATE(10762),
    [sym_parenthesized_expression] = STATE(10762),
    [sym_tuple_expression] = STATE(10762),
    [sym_curly_expression] = STATE(10762),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10762),
    [sym_index_expression] = STATE(10762),
    [sym_parametrized_type_expression] = STATE(10762),
    [sym_call_expression] = STATE(10762),
    [sym_broadcast_call_expression] = STATE(10762),
    [sym__closed_macrocall_expression] = STATE(10762),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10762),
    [sym_quote_expression] = STATE(10762),
    [sym_binary_expression] = STATE(12798),
    [sym_unary_expression] = STATE(12798),
    [sym_range_expression] = STATE(12798),
    [sym_splat_expression] = STATE(12798),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11907),
    [sym_unary_typed_expression] = STATE(12798),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12798),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10762),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10762),
    [sym_string_literal] = STATE(10762),
    [sym_command_literal] = STATE(10762),
    [sym_prefixed_string_literal] = STATE(10762),
    [sym_prefixed_command_literal] = STATE(10762),
    [sym_operator] = STATE(11947),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(5400),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [2673] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10180),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2674] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10182),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2675] = {
    [sym__expression] = STATE(13913),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17267),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10184),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2676] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10186),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2677] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10188),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2678] = {
    [sym__expression] = STATE(13759),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16824),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10190),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2679] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10192),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2680] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10194),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2681] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10196),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2682] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10198),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2683] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10200),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2684] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10202),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2685] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10204),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2686] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10206),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2687] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10208),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2688] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10210),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2689] = {
    [sym_assignment] = STATE(8743),
    [sym_open_tuple] = STATE(18659),
    [sym__expression] = STATE(8478),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(9822),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [2690] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10212),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2691] = {
    [sym_assignment] = STATE(12632),
    [sym_open_tuple] = STATE(19862),
    [sym__expression] = STATE(12835),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10777),
    [sym_comprehension_expression] = STATE(10777),
    [sym_matrix_expression] = STATE(10777),
    [sym_vector_expression] = STATE(10777),
    [sym_parenthesized_expression] = STATE(10777),
    [sym_tuple_expression] = STATE(10777),
    [sym_curly_expression] = STATE(10777),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10777),
    [sym_index_expression] = STATE(10777),
    [sym_parametrized_type_expression] = STATE(10777),
    [sym_call_expression] = STATE(10777),
    [sym_broadcast_call_expression] = STATE(10777),
    [sym__closed_macrocall_expression] = STATE(10777),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(10777),
    [sym_quote_expression] = STATE(10777),
    [sym_binary_expression] = STATE(12854),
    [sym_unary_expression] = STATE(12854),
    [sym_range_expression] = STATE(12854),
    [sym_splat_expression] = STATE(12854),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(11884),
    [sym_unary_typed_expression] = STATE(12854),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12854),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(10777),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10777),
    [sym_string_literal] = STATE(10777),
    [sym_command_literal] = STATE(10777),
    [sym_prefixed_string_literal] = STATE(10777),
    [sym_prefixed_command_literal] = STATE(10777),
    [sym_operator] = STATE(12031),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9130),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [2692] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10214),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2693] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10216),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2694] = {
    [sym_assignment] = STATE(8665),
    [sym_open_tuple] = STATE(18224),
    [sym__expression] = STATE(9121),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2695] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10218),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2696] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10220),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2697] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10222),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2698] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10224),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2699] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10226),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2700] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10014),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2701] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9942),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2702] = {
    [sym__expression] = STATE(13645),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17181),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10228),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2703] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10230),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2704] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10232),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2705] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10234),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2706] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10236),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2707] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10238),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2708] = {
    [sym_assignment] = STATE(12866),
    [sym_open_tuple] = STATE(19862),
    [sym__expression] = STATE(12839),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10777),
    [sym_comprehension_expression] = STATE(10777),
    [sym_matrix_expression] = STATE(10777),
    [sym_vector_expression] = STATE(10777),
    [sym_parenthesized_expression] = STATE(10777),
    [sym_tuple_expression] = STATE(10777),
    [sym_curly_expression] = STATE(10777),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10777),
    [sym_index_expression] = STATE(10777),
    [sym_parametrized_type_expression] = STATE(10777),
    [sym_call_expression] = STATE(10777),
    [sym_broadcast_call_expression] = STATE(10777),
    [sym__closed_macrocall_expression] = STATE(10777),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(10777),
    [sym_quote_expression] = STATE(10777),
    [sym_binary_expression] = STATE(12854),
    [sym_unary_expression] = STATE(12854),
    [sym_range_expression] = STATE(12854),
    [sym_splat_expression] = STATE(12854),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(11884),
    [sym_unary_typed_expression] = STATE(12854),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12854),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(10777),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10777),
    [sym_string_literal] = STATE(10777),
    [sym_command_literal] = STATE(10777),
    [sym_prefixed_string_literal] = STATE(10777),
    [sym_prefixed_command_literal] = STATE(10777),
    [sym_operator] = STATE(12031),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9130),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [2709] = {
    [sym_assignment] = STATE(8676),
    [sym_open_tuple] = STATE(9201),
    [sym__expression] = STATE(9173),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6510),
    [sym__array] = STATE(6510),
    [sym_comprehension_expression] = STATE(6510),
    [sym_matrix_expression] = STATE(6510),
    [sym_vector_expression] = STATE(6510),
    [sym_parenthesized_expression] = STATE(6510),
    [sym_tuple_expression] = STATE(6510),
    [sym_curly_expression] = STATE(6510),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6510),
    [sym_index_expression] = STATE(6510),
    [sym_parametrized_type_expression] = STATE(6510),
    [sym_call_expression] = STATE(6510),
    [sym_broadcast_call_expression] = STATE(6510),
    [sym__closed_macrocall_expression] = STATE(6510),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6510),
    [sym_quote_expression] = STATE(6510),
    [sym_binary_expression] = STATE(9227),
    [sym_unary_expression] = STATE(9227),
    [sym_range_expression] = STATE(9227),
    [sym_splat_expression] = STATE(9227),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8890),
    [sym_unary_typed_expression] = STATE(9227),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9227),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6510),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6510),
    [sym_string_literal] = STATE(6510),
    [sym_command_literal] = STATE(6510),
    [sym_prefixed_string_literal] = STATE(6510),
    [sym_prefixed_command_literal] = STATE(6510),
    [sym_operator] = STATE(9005),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1381),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2710] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10240),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2711] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(13406),
    [sym__expression] = STATE(13226),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11368),
    [sym__array] = STATE(11368),
    [sym_comprehension_expression] = STATE(11368),
    [sym_matrix_expression] = STATE(11368),
    [sym_vector_expression] = STATE(11368),
    [sym_parenthesized_expression] = STATE(11368),
    [sym_tuple_expression] = STATE(11368),
    [sym_curly_expression] = STATE(11368),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11368),
    [sym_index_expression] = STATE(11368),
    [sym_parametrized_type_expression] = STATE(11368),
    [sym_call_expression] = STATE(11368),
    [sym_broadcast_call_expression] = STATE(11368),
    [sym__closed_macrocall_expression] = STATE(11368),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11368),
    [sym_quote_expression] = STATE(11368),
    [sym_binary_expression] = STATE(13272),
    [sym_unary_expression] = STATE(13272),
    [sym_range_expression] = STATE(13272),
    [sym_splat_expression] = STATE(13272),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13111),
    [sym_unary_typed_expression] = STATE(13272),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13272),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11368),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11368),
    [sym_string_literal] = STATE(11368),
    [sym_command_literal] = STATE(11368),
    [sym_prefixed_string_literal] = STATE(11368),
    [sym_prefixed_command_literal] = STATE(11368),
    [sym_operator] = STATE(13113),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(8676),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2712] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10242),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2713] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10244),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2714] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10246),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2715] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10248),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2716] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10250),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2717] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10252),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2718] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10254),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2719] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10256),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2720] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(18418),
    [sym__expression] = STATE(13050),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11207),
    [sym__array] = STATE(11207),
    [sym_comprehension_expression] = STATE(11207),
    [sym_matrix_expression] = STATE(11207),
    [sym_vector_expression] = STATE(11207),
    [sym_parenthesized_expression] = STATE(11207),
    [sym_tuple_expression] = STATE(11207),
    [sym_curly_expression] = STATE(11207),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11207),
    [sym_index_expression] = STATE(11207),
    [sym_parametrized_type_expression] = STATE(11207),
    [sym_call_expression] = STATE(11207),
    [sym_broadcast_call_expression] = STATE(11207),
    [sym__closed_macrocall_expression] = STATE(11207),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11207),
    [sym_quote_expression] = STATE(11207),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13172),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11207),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11207),
    [sym_string_literal] = STATE(11207),
    [sym_command_literal] = STATE(11207),
    [sym_prefixed_string_literal] = STATE(11207),
    [sym_prefixed_command_literal] = STATE(11207),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(9986),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2721] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10258),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2722] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10260),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2723] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10262),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2724] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10264),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2725] = {
    [sym_assignment] = STATE(9016),
    [sym_open_tuple] = STATE(8841),
    [sym__expression] = STATE(8705),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6261),
    [sym__array] = STATE(6261),
    [sym_comprehension_expression] = STATE(6261),
    [sym_matrix_expression] = STATE(6261),
    [sym_vector_expression] = STATE(6261),
    [sym_parenthesized_expression] = STATE(6261),
    [sym_tuple_expression] = STATE(6261),
    [sym_curly_expression] = STATE(6261),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6261),
    [sym_index_expression] = STATE(6261),
    [sym_parametrized_type_expression] = STATE(6261),
    [sym_call_expression] = STATE(6261),
    [sym_broadcast_call_expression] = STATE(6261),
    [sym__closed_macrocall_expression] = STATE(6261),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6261),
    [sym_quote_expression] = STATE(6261),
    [sym_binary_expression] = STATE(9004),
    [sym_unary_expression] = STATE(9004),
    [sym_range_expression] = STATE(9004),
    [sym_splat_expression] = STATE(9004),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8521),
    [sym_unary_typed_expression] = STATE(9004),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9004),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6261),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6261),
    [sym_string_literal] = STATE(6261),
    [sym_command_literal] = STATE(6261),
    [sym_prefixed_string_literal] = STATE(6261),
    [sym_prefixed_command_literal] = STATE(6261),
    [sym_operator] = STATE(8637),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10066),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [2726] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10266),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2727] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10268),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2728] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10270),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2729] = {
    [sym_assignment] = STATE(12633),
    [sym_open_tuple] = STATE(12366),
    [sym__expression] = STATE(12222),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10879),
    [sym__array] = STATE(10879),
    [sym_comprehension_expression] = STATE(10879),
    [sym_matrix_expression] = STATE(10879),
    [sym_vector_expression] = STATE(10879),
    [sym_parenthesized_expression] = STATE(10879),
    [sym_tuple_expression] = STATE(10879),
    [sym_curly_expression] = STATE(10879),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10879),
    [sym_index_expression] = STATE(10879),
    [sym_parametrized_type_expression] = STATE(10879),
    [sym_call_expression] = STATE(10879),
    [sym_broadcast_call_expression] = STATE(10879),
    [sym__closed_macrocall_expression] = STATE(10879),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10879),
    [sym_quote_expression] = STATE(10879),
    [sym_binary_expression] = STATE(12818),
    [sym_unary_expression] = STATE(12818),
    [sym_range_expression] = STATE(12818),
    [sym_splat_expression] = STATE(12818),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12116),
    [sym_unary_typed_expression] = STATE(12818),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12818),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10879),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10879),
    [sym_string_literal] = STATE(10879),
    [sym_command_literal] = STATE(10879),
    [sym_prefixed_string_literal] = STATE(10879),
    [sym_prefixed_command_literal] = STATE(10879),
    [sym_operator] = STATE(12011),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9566),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [2730] = {
    [sym_assignment] = STATE(12626),
    [sym_open_tuple] = STATE(12365),
    [sym__expression] = STATE(12224),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10879),
    [sym__array] = STATE(10879),
    [sym_comprehension_expression] = STATE(10879),
    [sym_matrix_expression] = STATE(10879),
    [sym_vector_expression] = STATE(10879),
    [sym_parenthesized_expression] = STATE(10879),
    [sym_tuple_expression] = STATE(10879),
    [sym_curly_expression] = STATE(10879),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10879),
    [sym_index_expression] = STATE(10879),
    [sym_parametrized_type_expression] = STATE(10879),
    [sym_call_expression] = STATE(10879),
    [sym_broadcast_call_expression] = STATE(10879),
    [sym__closed_macrocall_expression] = STATE(10879),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10879),
    [sym_quote_expression] = STATE(10879),
    [sym_binary_expression] = STATE(12818),
    [sym_unary_expression] = STATE(12818),
    [sym_range_expression] = STATE(12818),
    [sym_splat_expression] = STATE(12818),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12116),
    [sym_unary_typed_expression] = STATE(12818),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12818),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10879),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10879),
    [sym_string_literal] = STATE(10879),
    [sym_command_literal] = STATE(10879),
    [sym_prefixed_string_literal] = STATE(10879),
    [sym_prefixed_command_literal] = STATE(10879),
    [sym_operator] = STATE(12011),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9566),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [2731] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9618),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2732] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(19688),
    [sym__expression] = STATE(13201),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11399),
    [sym__array] = STATE(11399),
    [sym_comprehension_expression] = STATE(11399),
    [sym_matrix_expression] = STATE(11399),
    [sym_vector_expression] = STATE(11399),
    [sym_parenthesized_expression] = STATE(11399),
    [sym_tuple_expression] = STATE(11399),
    [sym_curly_expression] = STATE(11399),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11399),
    [sym_index_expression] = STATE(11399),
    [sym_parametrized_type_expression] = STATE(11399),
    [sym_call_expression] = STATE(11399),
    [sym_broadcast_call_expression] = STATE(11399),
    [sym__closed_macrocall_expression] = STATE(11399),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11399),
    [sym_quote_expression] = STATE(11399),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13432),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11399),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11399),
    [sym_string_literal] = STATE(11399),
    [sym_command_literal] = STATE(11399),
    [sym_prefixed_string_literal] = STATE(11399),
    [sym_prefixed_command_literal] = STATE(11399),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3236),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2733] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10272),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2734] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10274),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2735] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10276),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2736] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10278),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2737] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10280),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2738] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10282),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2739] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10284),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2740] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10286),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2741] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9550),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2742] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10288),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2743] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10290),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2744] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10292),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2745] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10294),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2746] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10296),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2747] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10298),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2748] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(19688),
    [sym__expression] = STATE(13202),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11399),
    [sym__array] = STATE(11399),
    [sym_comprehension_expression] = STATE(11399),
    [sym_matrix_expression] = STATE(11399),
    [sym_vector_expression] = STATE(11399),
    [sym_parenthesized_expression] = STATE(11399),
    [sym_tuple_expression] = STATE(11399),
    [sym_curly_expression] = STATE(11399),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11399),
    [sym_index_expression] = STATE(11399),
    [sym_parametrized_type_expression] = STATE(11399),
    [sym_call_expression] = STATE(11399),
    [sym_broadcast_call_expression] = STATE(11399),
    [sym__closed_macrocall_expression] = STATE(11399),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11399),
    [sym_quote_expression] = STATE(11399),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13432),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11399),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11399),
    [sym_string_literal] = STATE(11399),
    [sym_command_literal] = STATE(11399),
    [sym_prefixed_string_literal] = STATE(11399),
    [sym_prefixed_command_literal] = STATE(11399),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3236),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2749] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10300),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2750] = {
    [sym__expression] = STATE(13970),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16949),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10302),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2751] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10304),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2752] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10306),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2753] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10308),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2754] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10310),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2755] = {
    [sym_assignment] = STATE(12047),
    [sym_open_tuple] = STATE(19688),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11755),
    [sym__array] = STATE(11755),
    [sym_comprehension_expression] = STATE(11755),
    [sym_matrix_expression] = STATE(11755),
    [sym_vector_expression] = STATE(11755),
    [sym_parenthesized_expression] = STATE(11755),
    [sym_tuple_expression] = STATE(11755),
    [sym_curly_expression] = STATE(11755),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11755),
    [sym_index_expression] = STATE(11755),
    [sym_parametrized_type_expression] = STATE(11755),
    [sym_call_expression] = STATE(11755),
    [sym_broadcast_call_expression] = STATE(11755),
    [sym__closed_macrocall_expression] = STATE(11755),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11755),
    [sym_quote_expression] = STATE(11755),
    [sym_binary_expression] = STATE(14046),
    [sym_unary_expression] = STATE(14046),
    [sym_range_expression] = STATE(14046),
    [sym_splat_expression] = STATE(14046),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13704),
    [sym_unary_typed_expression] = STATE(14046),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14046),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11755),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11755),
    [sym_string_literal] = STATE(11755),
    [sym_command_literal] = STATE(11755),
    [sym_prefixed_string_literal] = STATE(11755),
    [sym_prefixed_command_literal] = STATE(11755),
    [sym_operator] = STATE(13703),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10312),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2756] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10314),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2757] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10316),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2758] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10318),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2759] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10320),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2760] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10322),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2761] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10102),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2762] = {
    [sym_assignment] = STATE(8580),
    [sym_open_tuple] = STATE(8583),
    [sym__expression] = STATE(8585),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(9822),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [2763] = {
    [sym_assignment] = STATE(8574),
    [sym_open_tuple] = STATE(8578),
    [sym__expression] = STATE(8579),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(9822),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [2764] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10324),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2765] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10326),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2766] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10328),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2767] = {
    [sym_assignment] = STATE(12821),
    [sym_open_tuple] = STATE(12295),
    [sym__expression] = STATE(12229),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10879),
    [sym__array] = STATE(10879),
    [sym_comprehension_expression] = STATE(10879),
    [sym_matrix_expression] = STATE(10879),
    [sym_vector_expression] = STATE(10879),
    [sym_parenthesized_expression] = STATE(10879),
    [sym_tuple_expression] = STATE(10879),
    [sym_curly_expression] = STATE(10879),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10879),
    [sym_index_expression] = STATE(10879),
    [sym_parametrized_type_expression] = STATE(10879),
    [sym_call_expression] = STATE(10879),
    [sym_broadcast_call_expression] = STATE(10879),
    [sym__closed_macrocall_expression] = STATE(10879),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10879),
    [sym_quote_expression] = STATE(10879),
    [sym_binary_expression] = STATE(12818),
    [sym_unary_expression] = STATE(12818),
    [sym_range_expression] = STATE(12818),
    [sym_splat_expression] = STATE(12818),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12116),
    [sym_unary_typed_expression] = STATE(12818),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12818),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10879),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10879),
    [sym_string_literal] = STATE(10879),
    [sym_command_literal] = STATE(10879),
    [sym_prefixed_string_literal] = STATE(10879),
    [sym_prefixed_command_literal] = STATE(10879),
    [sym_operator] = STATE(12011),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(9566),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [2768] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10330),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2769] = {
    [sym_assignment] = STATE(11858),
    [sym_open_tuple] = STATE(13471),
    [sym__expression] = STATE(13367),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11399),
    [sym__array] = STATE(11399),
    [sym_comprehension_expression] = STATE(11399),
    [sym_matrix_expression] = STATE(11399),
    [sym_vector_expression] = STATE(11399),
    [sym_parenthesized_expression] = STATE(11399),
    [sym_tuple_expression] = STATE(11399),
    [sym_curly_expression] = STATE(11399),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11399),
    [sym_index_expression] = STATE(11399),
    [sym_parametrized_type_expression] = STATE(11399),
    [sym_call_expression] = STATE(11399),
    [sym_broadcast_call_expression] = STATE(11399),
    [sym__closed_macrocall_expression] = STATE(11399),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11399),
    [sym_quote_expression] = STATE(11399),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13432),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11399),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11399),
    [sym_string_literal] = STATE(11399),
    [sym_command_literal] = STATE(11399),
    [sym_prefixed_string_literal] = STATE(11399),
    [sym_prefixed_command_literal] = STATE(11399),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3236),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2770] = {
    [sym_assignment] = STATE(12049),
    [sym_open_tuple] = STATE(13472),
    [sym__expression] = STATE(13363),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11399),
    [sym__array] = STATE(11399),
    [sym_comprehension_expression] = STATE(11399),
    [sym_matrix_expression] = STATE(11399),
    [sym_vector_expression] = STATE(11399),
    [sym_parenthesized_expression] = STATE(11399),
    [sym_tuple_expression] = STATE(11399),
    [sym_curly_expression] = STATE(11399),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11399),
    [sym_index_expression] = STATE(11399),
    [sym_parametrized_type_expression] = STATE(11399),
    [sym_call_expression] = STATE(11399),
    [sym_broadcast_call_expression] = STATE(11399),
    [sym__closed_macrocall_expression] = STATE(11399),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11399),
    [sym_quote_expression] = STATE(11399),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13432),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11399),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11399),
    [sym_string_literal] = STATE(11399),
    [sym_command_literal] = STATE(11399),
    [sym_prefixed_string_literal] = STATE(11399),
    [sym_prefixed_command_literal] = STATE(11399),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3236),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2771] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10332),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2772] = {
    [sym_assignment] = STATE(8402),
    [sym_open_tuple] = STATE(19744),
    [sym__expression] = STATE(7301),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(10334),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [2773] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10336),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2774] = {
    [sym_assignment] = STATE(8331),
    [sym_open_tuple] = STATE(19744),
    [sym__expression] = STATE(7300),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(10334),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [2775] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10338),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2776] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10340),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2777] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10342),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2778] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10344),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2779] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10346),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2780] = {
    [sym__expression] = STATE(13626),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17132),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10348),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2781] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_for_binding] = STATE(14516),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11639),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11639),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13944),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11242),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_outer] = ACTIONS(10086),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2782] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10350),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2783] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10352),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2784] = {
    [sym_assignment] = STATE(8463),
    [sym_open_tuple] = STATE(19297),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11809),
    [sym__array] = STATE(11809),
    [sym_comprehension_expression] = STATE(11809),
    [sym_matrix_expression] = STATE(11809),
    [sym_vector_expression] = STATE(11809),
    [sym_parenthesized_expression] = STATE(11809),
    [sym_tuple_expression] = STATE(11809),
    [sym_curly_expression] = STATE(11809),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11809),
    [sym_index_expression] = STATE(11809),
    [sym_parametrized_type_expression] = STATE(11809),
    [sym_call_expression] = STATE(11809),
    [sym_broadcast_call_expression] = STATE(11809),
    [sym__closed_macrocall_expression] = STATE(11809),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11809),
    [sym_quote_expression] = STATE(11809),
    [sym_binary_expression] = STATE(14059),
    [sym_unary_expression] = STATE(14059),
    [sym_range_expression] = STATE(14059),
    [sym_splat_expression] = STATE(14059),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13955),
    [sym_unary_typed_expression] = STATE(14059),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14059),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11809),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11809),
    [sym_string_literal] = STATE(11809),
    [sym_command_literal] = STATE(11809),
    [sym_prefixed_string_literal] = STATE(11809),
    [sym_prefixed_command_literal] = STATE(11809),
    [sym_operator] = STATE(13956),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10354),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2785] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10356),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2786] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9516),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2787] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10358),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2788] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10360),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2789] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10362),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2790] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10364),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2791] = {
    [sym_assignment] = STATE(12073),
    [sym_open_tuple] = STATE(13480),
    [sym__expression] = STATE(13215),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11399),
    [sym__array] = STATE(11399),
    [sym_comprehension_expression] = STATE(11399),
    [sym_matrix_expression] = STATE(11399),
    [sym_vector_expression] = STATE(11399),
    [sym_parenthesized_expression] = STATE(11399),
    [sym_tuple_expression] = STATE(11399),
    [sym_curly_expression] = STATE(11399),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11399),
    [sym_index_expression] = STATE(11399),
    [sym_parametrized_type_expression] = STATE(11399),
    [sym_call_expression] = STATE(11399),
    [sym_broadcast_call_expression] = STATE(11399),
    [sym__closed_macrocall_expression] = STATE(11399),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11399),
    [sym_quote_expression] = STATE(11399),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13432),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11399),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11399),
    [sym_string_literal] = STATE(11399),
    [sym_command_literal] = STATE(11399),
    [sym_prefixed_string_literal] = STATE(11399),
    [sym_prefixed_command_literal] = STATE(11399),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3236),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2792] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10366),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2793] = {
    [sym_assignment] = STATE(8277),
    [sym_open_tuple] = STATE(8683),
    [sym__expression] = STATE(7440),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(10334),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [2794] = {
    [sym_assignment] = STATE(8274),
    [sym_open_tuple] = STATE(8712),
    [sym__expression] = STATE(7442),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(10334),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [2795] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10368),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2796] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(19591),
    [sym__expression] = STATE(13206),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11400),
    [sym__array] = STATE(11400),
    [sym_comprehension_expression] = STATE(11400),
    [sym_matrix_expression] = STATE(11400),
    [sym_vector_expression] = STATE(11400),
    [sym_parenthesized_expression] = STATE(11400),
    [sym_tuple_expression] = STATE(11400),
    [sym_curly_expression] = STATE(11400),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11400),
    [sym_index_expression] = STATE(11400),
    [sym_parametrized_type_expression] = STATE(11400),
    [sym_call_expression] = STATE(11400),
    [sym_broadcast_call_expression] = STATE(11400),
    [sym__closed_macrocall_expression] = STATE(11400),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11400),
    [sym_quote_expression] = STATE(11400),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13433),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11400),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11400),
    [sym_string_literal] = STATE(11400),
    [sym_command_literal] = STATE(11400),
    [sym_prefixed_string_literal] = STATE(11400),
    [sym_prefixed_command_literal] = STATE(11400),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3312),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2797] = {
    [sym_assignment] = STATE(8553),
    [sym_open_tuple] = STATE(18224),
    [sym__expression] = STATE(9054),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2798] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10370),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2799] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10372),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2800] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10374),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2801] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10376),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2802] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9352),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2803] = {
    [sym_assignment] = STATE(12304),
    [sym_open_tuple] = STATE(19151),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11585),
    [sym__array] = STATE(11585),
    [sym_comprehension_expression] = STATE(11585),
    [sym_matrix_expression] = STATE(11585),
    [sym_vector_expression] = STATE(11585),
    [sym_parenthesized_expression] = STATE(11585),
    [sym_tuple_expression] = STATE(11585),
    [sym_curly_expression] = STATE(11585),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11585),
    [sym_index_expression] = STATE(11585),
    [sym_parametrized_type_expression] = STATE(11585),
    [sym_call_expression] = STATE(11585),
    [sym_broadcast_call_expression] = STATE(11585),
    [sym__closed_macrocall_expression] = STATE(11585),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11585),
    [sym_quote_expression] = STATE(11585),
    [sym_binary_expression] = STATE(14003),
    [sym_unary_expression] = STATE(14003),
    [sym_range_expression] = STATE(14003),
    [sym_splat_expression] = STATE(14003),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(14003),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14003),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11585),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11585),
    [sym_string_literal] = STATE(11585),
    [sym_command_literal] = STATE(11585),
    [sym_prefixed_string_literal] = STATE(11585),
    [sym_prefixed_command_literal] = STATE(11585),
    [sym_operator] = STATE(13729),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10378),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2804] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10380),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2805] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10382),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2806] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10384),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2807] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10386),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2808] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10388),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2809] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(19591),
    [sym__expression] = STATE(13207),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11400),
    [sym__array] = STATE(11400),
    [sym_comprehension_expression] = STATE(11400),
    [sym_matrix_expression] = STATE(11400),
    [sym_vector_expression] = STATE(11400),
    [sym_parenthesized_expression] = STATE(11400),
    [sym_tuple_expression] = STATE(11400),
    [sym_curly_expression] = STATE(11400),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11400),
    [sym_index_expression] = STATE(11400),
    [sym_parametrized_type_expression] = STATE(11400),
    [sym_call_expression] = STATE(11400),
    [sym_broadcast_call_expression] = STATE(11400),
    [sym__closed_macrocall_expression] = STATE(11400),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11400),
    [sym_quote_expression] = STATE(11400),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13433),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11400),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11400),
    [sym_string_literal] = STATE(11400),
    [sym_command_literal] = STATE(11400),
    [sym_prefixed_string_literal] = STATE(11400),
    [sym_prefixed_command_literal] = STATE(11400),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3312),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2810] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10390),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2811] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10392),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2812] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10394),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2813] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10396),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2814] = {
    [sym__expression] = STATE(13903),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16852),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10398),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2815] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10400),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2816] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9846),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2817] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10402),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2818] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10404),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2819] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10406),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2820] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10408),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2821] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10410),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2822] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10412),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2823] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10414),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2824] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10416),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2825] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10418),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2826] = {
    [sym_assignment] = STATE(12073),
    [sym_open_tuple] = STATE(13482),
    [sym__expression] = STATE(13219),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11400),
    [sym__array] = STATE(11400),
    [sym_comprehension_expression] = STATE(11400),
    [sym_matrix_expression] = STATE(11400),
    [sym_vector_expression] = STATE(11400),
    [sym_parenthesized_expression] = STATE(11400),
    [sym_tuple_expression] = STATE(11400),
    [sym_curly_expression] = STATE(11400),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11400),
    [sym_index_expression] = STATE(11400),
    [sym_parametrized_type_expression] = STATE(11400),
    [sym_call_expression] = STATE(11400),
    [sym_broadcast_call_expression] = STATE(11400),
    [sym__closed_macrocall_expression] = STATE(11400),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11400),
    [sym_quote_expression] = STATE(11400),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13433),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11400),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11400),
    [sym_string_literal] = STATE(11400),
    [sym_command_literal] = STATE(11400),
    [sym_prefixed_string_literal] = STATE(11400),
    [sym_prefixed_command_literal] = STATE(11400),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3312),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2827] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10420),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2828] = {
    [sym_assignment] = STATE(11858),
    [sym_open_tuple] = STATE(13487),
    [sym__expression] = STATE(13352),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11400),
    [sym__array] = STATE(11400),
    [sym_comprehension_expression] = STATE(11400),
    [sym_matrix_expression] = STATE(11400),
    [sym_vector_expression] = STATE(11400),
    [sym_parenthesized_expression] = STATE(11400),
    [sym_tuple_expression] = STATE(11400),
    [sym_curly_expression] = STATE(11400),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11400),
    [sym_index_expression] = STATE(11400),
    [sym_parametrized_type_expression] = STATE(11400),
    [sym_call_expression] = STATE(11400),
    [sym_broadcast_call_expression] = STATE(11400),
    [sym__closed_macrocall_expression] = STATE(11400),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11400),
    [sym_quote_expression] = STATE(11400),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13433),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11400),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11400),
    [sym_string_literal] = STATE(11400),
    [sym_command_literal] = STATE(11400),
    [sym_prefixed_string_literal] = STATE(11400),
    [sym_prefixed_command_literal] = STATE(11400),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3312),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2829] = {
    [sym_assignment] = STATE(12049),
    [sym_open_tuple] = STATE(13504),
    [sym__expression] = STATE(13322),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11400),
    [sym__array] = STATE(11400),
    [sym_comprehension_expression] = STATE(11400),
    [sym_matrix_expression] = STATE(11400),
    [sym_vector_expression] = STATE(11400),
    [sym_parenthesized_expression] = STATE(11400),
    [sym_tuple_expression] = STATE(11400),
    [sym_curly_expression] = STATE(11400),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11400),
    [sym_index_expression] = STATE(11400),
    [sym_parametrized_type_expression] = STATE(11400),
    [sym_call_expression] = STATE(11400),
    [sym_broadcast_call_expression] = STATE(11400),
    [sym__closed_macrocall_expression] = STATE(11400),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11400),
    [sym_quote_expression] = STATE(11400),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13433),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11400),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11400),
    [sym_string_literal] = STATE(11400),
    [sym_command_literal] = STATE(11400),
    [sym_prefixed_string_literal] = STATE(11400),
    [sym_prefixed_command_literal] = STATE(11400),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3312),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2830] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10422),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2831] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(19723),
    [sym__expression] = STATE(12456),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10974),
    [sym__array] = STATE(10974),
    [sym_comprehension_expression] = STATE(10974),
    [sym_matrix_expression] = STATE(10974),
    [sym_vector_expression] = STATE(10974),
    [sym_parenthesized_expression] = STATE(10974),
    [sym_tuple_expression] = STATE(10974),
    [sym_curly_expression] = STATE(10974),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10974),
    [sym_index_expression] = STATE(10974),
    [sym_parametrized_type_expression] = STATE(10974),
    [sym_call_expression] = STATE(10974),
    [sym_broadcast_call_expression] = STATE(10974),
    [sym__closed_macrocall_expression] = STATE(10974),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10974),
    [sym_quote_expression] = STATE(10974),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12727),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10974),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10974),
    [sym_string_literal] = STATE(10974),
    [sym_command_literal] = STATE(10974),
    [sym_prefixed_string_literal] = STATE(10974),
    [sym_prefixed_command_literal] = STATE(10974),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(9568),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2832] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10424),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2833] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(19800),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11625),
    [sym__array] = STATE(11625),
    [sym_comprehension_expression] = STATE(11625),
    [sym_matrix_expression] = STATE(11625),
    [sym_vector_expression] = STATE(11625),
    [sym_parenthesized_expression] = STATE(11625),
    [sym_tuple_expression] = STATE(11625),
    [sym_curly_expression] = STATE(11625),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11625),
    [sym_index_expression] = STATE(11625),
    [sym_parametrized_type_expression] = STATE(11625),
    [sym_call_expression] = STATE(11625),
    [sym_broadcast_call_expression] = STATE(11625),
    [sym__closed_macrocall_expression] = STATE(11625),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11625),
    [sym_quote_expression] = STATE(11625),
    [sym_binary_expression] = STATE(14087),
    [sym_unary_expression] = STATE(14087),
    [sym_range_expression] = STATE(14087),
    [sym_splat_expression] = STATE(14087),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13873),
    [sym_unary_typed_expression] = STATE(14087),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14087),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11625),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11625),
    [sym_string_literal] = STATE(11625),
    [sym_command_literal] = STATE(11625),
    [sym_prefixed_string_literal] = STATE(11625),
    [sym_prefixed_command_literal] = STATE(11625),
    [sym_operator] = STATE(13869),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10426),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2834] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10428),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2835] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10430),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2836] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10432),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2837] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10434),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2838] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10436),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2839] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10438),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2840] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8896),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2841] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10148),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2842] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10440),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2843] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10442),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2844] = {
    [sym__expression] = STATE(13722),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17120),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10444),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2845] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10446),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2846] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10448),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2847] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(19723),
    [sym__expression] = STATE(12514),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10974),
    [sym__array] = STATE(10974),
    [sym_comprehension_expression] = STATE(10974),
    [sym_matrix_expression] = STATE(10974),
    [sym_vector_expression] = STATE(10974),
    [sym_parenthesized_expression] = STATE(10974),
    [sym_tuple_expression] = STATE(10974),
    [sym_curly_expression] = STATE(10974),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10974),
    [sym_index_expression] = STATE(10974),
    [sym_parametrized_type_expression] = STATE(10974),
    [sym_call_expression] = STATE(10974),
    [sym_broadcast_call_expression] = STATE(10974),
    [sym__closed_macrocall_expression] = STATE(10974),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10974),
    [sym_quote_expression] = STATE(10974),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12727),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10974),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10974),
    [sym_string_literal] = STATE(10974),
    [sym_command_literal] = STATE(10974),
    [sym_prefixed_string_literal] = STATE(10974),
    [sym_prefixed_command_literal] = STATE(10974),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(9568),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2848] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10450),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2849] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10452),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2850] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10454),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2851] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10456),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2852] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10458),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2853] = {
    [sym__expression] = STATE(13736),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17095),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10460),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2854] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10462),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2855] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10464),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2856] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10466),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2857] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10468),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2858] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10470),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2859] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10472),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2860] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10474),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2861] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10476),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2862] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10478),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2863] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10474),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2864] = {
    [sym_assignment] = STATE(8525),
    [sym_open_tuple] = STATE(8762),
    [sym__expression] = STATE(7335),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5216),
    [sym__array] = STATE(5216),
    [sym_comprehension_expression] = STATE(5216),
    [sym_matrix_expression] = STATE(5216),
    [sym_vector_expression] = STATE(5216),
    [sym_parenthesized_expression] = STATE(5216),
    [sym_tuple_expression] = STATE(5216),
    [sym_curly_expression] = STATE(5216),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5216),
    [sym_index_expression] = STATE(5216),
    [sym_parametrized_type_expression] = STATE(5216),
    [sym_call_expression] = STATE(5216),
    [sym_broadcast_call_expression] = STATE(5216),
    [sym__closed_macrocall_expression] = STATE(5216),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5216),
    [sym_quote_expression] = STATE(5216),
    [sym_binary_expression] = STATE(8451),
    [sym_unary_expression] = STATE(8451),
    [sym_range_expression] = STATE(8451),
    [sym_splat_expression] = STATE(8451),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7782),
    [sym_unary_typed_expression] = STATE(8451),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8451),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5216),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5216),
    [sym_string_literal] = STATE(5216),
    [sym_command_literal] = STATE(5216),
    [sym_prefixed_string_literal] = STATE(5216),
    [sym_prefixed_command_literal] = STATE(5216),
    [sym_operator] = STATE(7609),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(10334),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [2865] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10480),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2866] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(13023),
    [sym__expression] = STATE(12695),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10974),
    [sym__array] = STATE(10974),
    [sym_comprehension_expression] = STATE(10974),
    [sym_matrix_expression] = STATE(10974),
    [sym_vector_expression] = STATE(10974),
    [sym_parenthesized_expression] = STATE(10974),
    [sym_tuple_expression] = STATE(10974),
    [sym_curly_expression] = STATE(10974),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10974),
    [sym_index_expression] = STATE(10974),
    [sym_parametrized_type_expression] = STATE(10974),
    [sym_call_expression] = STATE(10974),
    [sym_broadcast_call_expression] = STATE(10974),
    [sym__closed_macrocall_expression] = STATE(10974),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10974),
    [sym_quote_expression] = STATE(10974),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12727),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10974),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10974),
    [sym_string_literal] = STATE(10974),
    [sym_command_literal] = STATE(10974),
    [sym_prefixed_string_literal] = STATE(10974),
    [sym_prefixed_command_literal] = STATE(10974),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(9568),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2867] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(13024),
    [sym__expression] = STATE(12693),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10974),
    [sym__array] = STATE(10974),
    [sym_comprehension_expression] = STATE(10974),
    [sym_matrix_expression] = STATE(10974),
    [sym_vector_expression] = STATE(10974),
    [sym_parenthesized_expression] = STATE(10974),
    [sym_tuple_expression] = STATE(10974),
    [sym_curly_expression] = STATE(10974),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10974),
    [sym_index_expression] = STATE(10974),
    [sym_parametrized_type_expression] = STATE(10974),
    [sym_call_expression] = STATE(10974),
    [sym_broadcast_call_expression] = STATE(10974),
    [sym__closed_macrocall_expression] = STATE(10974),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10974),
    [sym_quote_expression] = STATE(10974),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12727),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10974),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10974),
    [sym_string_literal] = STATE(10974),
    [sym_command_literal] = STATE(10974),
    [sym_prefixed_string_literal] = STATE(10974),
    [sym_prefixed_command_literal] = STATE(10974),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(9568),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2868] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10482),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2869] = {
    [sym_assignment] = STATE(8210),
    [sym_open_tuple] = STATE(19670),
    [sym__expression] = STATE(7308),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(10484),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [2870] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10486),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2871] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10488),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2872] = {
    [sym_assignment] = STATE(8125),
    [sym_open_tuple] = STATE(19670),
    [sym__expression] = STATE(7309),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(10484),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [2873] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10490),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2874] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10492),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2875] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10494),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2876] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10496),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2877] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(18418),
    [sym__expression] = STATE(13038),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11207),
    [sym__array] = STATE(11207),
    [sym_comprehension_expression] = STATE(11207),
    [sym_matrix_expression] = STATE(11207),
    [sym_vector_expression] = STATE(11207),
    [sym_parenthesized_expression] = STATE(11207),
    [sym_tuple_expression] = STATE(11207),
    [sym_curly_expression] = STATE(11207),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11207),
    [sym_index_expression] = STATE(11207),
    [sym_parametrized_type_expression] = STATE(11207),
    [sym_call_expression] = STATE(11207),
    [sym_broadcast_call_expression] = STATE(11207),
    [sym__closed_macrocall_expression] = STATE(11207),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11207),
    [sym_quote_expression] = STATE(11207),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13172),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11207),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11207),
    [sym_string_literal] = STATE(11207),
    [sym_command_literal] = STATE(11207),
    [sym_prefixed_string_literal] = STATE(11207),
    [sym_prefixed_command_literal] = STATE(11207),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(9986),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2878] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10498),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2879] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(12469),
    [sym__expression] = STATE(12470),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10785),
    [sym__array] = STATE(10785),
    [sym_comprehension_expression] = STATE(10785),
    [sym_matrix_expression] = STATE(10785),
    [sym_vector_expression] = STATE(10785),
    [sym_parenthesized_expression] = STATE(10785),
    [sym_tuple_expression] = STATE(10785),
    [sym_curly_expression] = STATE(10785),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10785),
    [sym_index_expression] = STATE(10785),
    [sym_parametrized_type_expression] = STATE(10785),
    [sym_call_expression] = STATE(10785),
    [sym_broadcast_call_expression] = STATE(10785),
    [sym__closed_macrocall_expression] = STATE(10785),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10785),
    [sym_quote_expression] = STATE(10785),
    [sym_binary_expression] = STATE(12672),
    [sym_unary_expression] = STATE(12672),
    [sym_range_expression] = STATE(12672),
    [sym_splat_expression] = STATE(12672),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12051),
    [sym_unary_typed_expression] = STATE(12672),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12672),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10785),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10785),
    [sym_string_literal] = STATE(10785),
    [sym_command_literal] = STATE(10785),
    [sym_prefixed_string_literal] = STATE(10785),
    [sym_prefixed_command_literal] = STATE(10785),
    [sym_operator] = STATE(11977),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(10500),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2880] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(12471),
    [sym__expression] = STATE(12472),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10785),
    [sym__array] = STATE(10785),
    [sym_comprehension_expression] = STATE(10785),
    [sym_matrix_expression] = STATE(10785),
    [sym_vector_expression] = STATE(10785),
    [sym_parenthesized_expression] = STATE(10785),
    [sym_tuple_expression] = STATE(10785),
    [sym_curly_expression] = STATE(10785),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10785),
    [sym_index_expression] = STATE(10785),
    [sym_parametrized_type_expression] = STATE(10785),
    [sym_call_expression] = STATE(10785),
    [sym_broadcast_call_expression] = STATE(10785),
    [sym__closed_macrocall_expression] = STATE(10785),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10785),
    [sym_quote_expression] = STATE(10785),
    [sym_binary_expression] = STATE(12672),
    [sym_unary_expression] = STATE(12672),
    [sym_range_expression] = STATE(12672),
    [sym_splat_expression] = STATE(12672),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12051),
    [sym_unary_typed_expression] = STATE(12672),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12672),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10785),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10785),
    [sym_string_literal] = STATE(10785),
    [sym_command_literal] = STATE(10785),
    [sym_prefixed_string_literal] = STATE(10785),
    [sym_prefixed_command_literal] = STATE(10785),
    [sym_operator] = STATE(11977),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(10500),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2881] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10502),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2882] = {
    [sym__expression] = STATE(13664),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16721),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10504),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2883] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10506),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2884] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10508),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2885] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(18493),
    [sym__expression] = STATE(13168),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11065),
    [sym__array] = STATE(11065),
    [sym_comprehension_expression] = STATE(11065),
    [sym_matrix_expression] = STATE(11065),
    [sym_vector_expression] = STATE(11065),
    [sym_parenthesized_expression] = STATE(11065),
    [sym_tuple_expression] = STATE(11065),
    [sym_curly_expression] = STATE(11065),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11065),
    [sym_index_expression] = STATE(11065),
    [sym_parametrized_type_expression] = STATE(11065),
    [sym_call_expression] = STATE(11065),
    [sym_broadcast_call_expression] = STATE(11065),
    [sym__closed_macrocall_expression] = STATE(11065),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11065),
    [sym_quote_expression] = STATE(11065),
    [sym_binary_expression] = STATE(13159),
    [sym_unary_expression] = STATE(13159),
    [sym_range_expression] = STATE(13159),
    [sym_splat_expression] = STATE(13159),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12546),
    [sym_unary_typed_expression] = STATE(13159),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13159),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11065),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11065),
    [sym_string_literal] = STATE(11065),
    [sym_command_literal] = STATE(11065),
    [sym_prefixed_string_literal] = STATE(11065),
    [sym_prefixed_command_literal] = STATE(11065),
    [sym_operator] = STATE(12545),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(10510),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2886] = {
    [sym__expression] = STATE(13874),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17040),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10512),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2887] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(19559),
    [sym__expression] = STATE(13186),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(11260),
    [sym_comprehension_expression] = STATE(11260),
    [sym_matrix_expression] = STATE(11260),
    [sym_vector_expression] = STATE(11260),
    [sym_parenthesized_expression] = STATE(11260),
    [sym_tuple_expression] = STATE(11260),
    [sym_curly_expression] = STATE(11260),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11260),
    [sym_index_expression] = STATE(11260),
    [sym_parametrized_type_expression] = STATE(11260),
    [sym_call_expression] = STATE(11260),
    [sym_broadcast_call_expression] = STATE(11260),
    [sym__closed_macrocall_expression] = STATE(11260),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11260),
    [sym_quote_expression] = STATE(11260),
    [sym_binary_expression] = STATE(13267),
    [sym_unary_expression] = STATE(13267),
    [sym_range_expression] = STATE(13267),
    [sym_splat_expression] = STATE(13267),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13115),
    [sym_unary_typed_expression] = STATE(13267),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13267),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11260),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11260),
    [sym_string_literal] = STATE(11260),
    [sym_command_literal] = STATE(11260),
    [sym_prefixed_string_literal] = STATE(11260),
    [sym_prefixed_command_literal] = STATE(11260),
    [sym_operator] = STATE(13116),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(10048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2888] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10514),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2889] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10472),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2890] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10516),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2891] = {
    [sym__expression] = STATE(13953),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16937),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10518),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2892] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10520),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2893] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10522),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2894] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10524),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2895] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10526),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2896] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10528),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2897] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(12933),
    [sym__expression] = STATE(12916),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10948),
    [sym__array] = STATE(10948),
    [sym_comprehension_expression] = STATE(10948),
    [sym_matrix_expression] = STATE(10948),
    [sym_vector_expression] = STATE(10948),
    [sym_parenthesized_expression] = STATE(10948),
    [sym_tuple_expression] = STATE(10948),
    [sym_curly_expression] = STATE(10948),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10948),
    [sym_index_expression] = STATE(10948),
    [sym_parametrized_type_expression] = STATE(10948),
    [sym_call_expression] = STATE(10948),
    [sym_broadcast_call_expression] = STATE(10948),
    [sym__closed_macrocall_expression] = STATE(10948),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(10948),
    [sym_quote_expression] = STATE(10948),
    [sym_binary_expression] = STATE(12981),
    [sym_unary_expression] = STATE(12981),
    [sym_range_expression] = STATE(12981),
    [sym_splat_expression] = STATE(12981),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12321),
    [sym_unary_typed_expression] = STATE(12981),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12981),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(10948),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10948),
    [sym_string_literal] = STATE(10948),
    [sym_command_literal] = STATE(10948),
    [sym_prefixed_string_literal] = STATE(10948),
    [sym_prefixed_command_literal] = STATE(10948),
    [sym_operator] = STATE(12319),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(8564),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2898] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10530),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2899] = {
    [sym_assignment] = STATE(8434),
    [sym_open_tuple] = STATE(8756),
    [sym__expression] = STATE(7446),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(10484),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [2900] = {
    [sym_assignment] = STATE(8455),
    [sym_open_tuple] = STATE(8751),
    [sym__expression] = STATE(7451),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(10484),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [2901] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10532),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2902] = {
    [sym_assignment] = STATE(7414),
    [sym_open_tuple] = STATE(19616),
    [sym__expression] = STATE(7234),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10534),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [2903] = {
    [sym_assignment] = STATE(8990),
    [sym_open_tuple] = STATE(19495),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11644),
    [sym__array] = STATE(11644),
    [sym_comprehension_expression] = STATE(11644),
    [sym_matrix_expression] = STATE(11644),
    [sym_vector_expression] = STATE(11644),
    [sym_parenthesized_expression] = STATE(11644),
    [sym_tuple_expression] = STATE(11644),
    [sym_curly_expression] = STATE(11644),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11644),
    [sym_index_expression] = STATE(11644),
    [sym_parametrized_type_expression] = STATE(11644),
    [sym_call_expression] = STATE(11644),
    [sym_broadcast_call_expression] = STATE(11644),
    [sym__closed_macrocall_expression] = STATE(11644),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11644),
    [sym_quote_expression] = STATE(11644),
    [sym_binary_expression] = STATE(14114),
    [sym_unary_expression] = STATE(14114),
    [sym_range_expression] = STATE(14114),
    [sym_splat_expression] = STATE(14114),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13644),
    [sym_unary_typed_expression] = STATE(14114),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14114),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11644),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11644),
    [sym_string_literal] = STATE(11644),
    [sym_command_literal] = STATE(11644),
    [sym_prefixed_string_literal] = STATE(11644),
    [sym_prefixed_command_literal] = STATE(11644),
    [sym_operator] = STATE(13648),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10536),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2904] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10538),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2905] = {
    [sym_assignment] = STATE(7909),
    [sym_open_tuple] = STATE(19616),
    [sym__expression] = STATE(7227),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10534),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [2906] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10540),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2907] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10542),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2908] = {
    [sym__expression] = STATE(13989),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17306),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10544),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2909] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10546),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2910] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10548),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2911] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(13217),
    [sym__expression] = STATE(13175),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11198),
    [sym__array] = STATE(11198),
    [sym_comprehension_expression] = STATE(11198),
    [sym_matrix_expression] = STATE(11198),
    [sym_vector_expression] = STATE(11198),
    [sym_parenthesized_expression] = STATE(11198),
    [sym_tuple_expression] = STATE(11198),
    [sym_curly_expression] = STATE(11198),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11198),
    [sym_index_expression] = STATE(11198),
    [sym_parametrized_type_expression] = STATE(11198),
    [sym_call_expression] = STATE(11198),
    [sym_broadcast_call_expression] = STATE(11198),
    [sym__closed_macrocall_expression] = STATE(11198),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11198),
    [sym_quote_expression] = STATE(11198),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13153),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11198),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11198),
    [sym_string_literal] = STATE(11198),
    [sym_command_literal] = STATE(11198),
    [sym_prefixed_string_literal] = STATE(11198),
    [sym_prefixed_command_literal] = STATE(11198),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(9718),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2912] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(13216),
    [sym__expression] = STATE(13169),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11198),
    [sym__array] = STATE(11198),
    [sym_comprehension_expression] = STATE(11198),
    [sym_matrix_expression] = STATE(11198),
    [sym_vector_expression] = STATE(11198),
    [sym_parenthesized_expression] = STATE(11198),
    [sym_tuple_expression] = STATE(11198),
    [sym_curly_expression] = STATE(11198),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11198),
    [sym_index_expression] = STATE(11198),
    [sym_parametrized_type_expression] = STATE(11198),
    [sym_call_expression] = STATE(11198),
    [sym_broadcast_call_expression] = STATE(11198),
    [sym__closed_macrocall_expression] = STATE(11198),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11198),
    [sym_quote_expression] = STATE(11198),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13153),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11198),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11198),
    [sym_string_literal] = STATE(11198),
    [sym_command_literal] = STATE(11198),
    [sym_prefixed_string_literal] = STATE(11198),
    [sym_prefixed_command_literal] = STATE(11198),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(9718),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2913] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10550),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2914] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10552),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2915] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10554),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2916] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10556),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2917] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10558),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2918] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10560),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2919] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10562),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2920] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10564),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2921] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(13412),
    [sym__expression] = STATE(13304),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(11260),
    [sym_comprehension_expression] = STATE(11260),
    [sym_matrix_expression] = STATE(11260),
    [sym_vector_expression] = STATE(11260),
    [sym_parenthesized_expression] = STATE(11260),
    [sym_tuple_expression] = STATE(11260),
    [sym_curly_expression] = STATE(11260),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11260),
    [sym_index_expression] = STATE(11260),
    [sym_parametrized_type_expression] = STATE(11260),
    [sym_call_expression] = STATE(11260),
    [sym_broadcast_call_expression] = STATE(11260),
    [sym__closed_macrocall_expression] = STATE(11260),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11260),
    [sym_quote_expression] = STATE(11260),
    [sym_binary_expression] = STATE(13267),
    [sym_unary_expression] = STATE(13267),
    [sym_range_expression] = STATE(13267),
    [sym_splat_expression] = STATE(13267),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13115),
    [sym_unary_typed_expression] = STATE(13267),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13267),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11260),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11260),
    [sym_string_literal] = STATE(11260),
    [sym_command_literal] = STATE(11260),
    [sym_prefixed_string_literal] = STATE(11260),
    [sym_prefixed_command_literal] = STATE(11260),
    [sym_operator] = STATE(13116),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(10048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2922] = {
    [sym_assignment] = STATE(8322),
    [sym_open_tuple] = STATE(8634),
    [sym__expression] = STATE(7398),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5758),
    [sym__array] = STATE(5758),
    [sym_comprehension_expression] = STATE(5758),
    [sym_matrix_expression] = STATE(5758),
    [sym_vector_expression] = STATE(5758),
    [sym_parenthesized_expression] = STATE(5758),
    [sym_tuple_expression] = STATE(5758),
    [sym_curly_expression] = STATE(5758),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5758),
    [sym_index_expression] = STATE(5758),
    [sym_parametrized_type_expression] = STATE(5758),
    [sym_call_expression] = STATE(5758),
    [sym_broadcast_call_expression] = STATE(5758),
    [sym__closed_macrocall_expression] = STATE(5758),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5758),
    [sym_quote_expression] = STATE(5758),
    [sym_binary_expression] = STATE(8338),
    [sym_unary_expression] = STATE(8338),
    [sym_range_expression] = STATE(8338),
    [sym_splat_expression] = STATE(8338),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7441),
    [sym_unary_typed_expression] = STATE(8338),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8338),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5758),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5758),
    [sym_string_literal] = STATE(5758),
    [sym_command_literal] = STATE(5758),
    [sym_prefixed_string_literal] = STATE(5758),
    [sym_prefixed_command_literal] = STATE(5758),
    [sym_operator] = STATE(7828),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(10484),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [2923] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10566),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2924] = {
    [sym_assignment] = STATE(7957),
    [sym_open_tuple] = STATE(7314),
    [sym__expression] = STATE(7121),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10534),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [2925] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10568),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2926] = {
    [sym_assignment] = STATE(7942),
    [sym_open_tuple] = STATE(7315),
    [sym__expression] = STATE(7120),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10534),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [2927] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10570),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2928] = {
    [sym_assignment] = STATE(8553),
    [sym_open_tuple] = STATE(19440),
    [sym__expression] = STATE(8838),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2929] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10572),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2930] = {
    [sym_assignment] = STATE(8665),
    [sym_open_tuple] = STATE(19440),
    [sym__expression] = STATE(8834),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2931] = {
    [sym__expression] = STATE(13915),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16877),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10574),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2932] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(15461),
    [sym__expression] = STATE(13094),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10953),
    [sym__array] = STATE(10953),
    [sym_comprehension_expression] = STATE(10953),
    [sym_matrix_expression] = STATE(10953),
    [sym_vector_expression] = STATE(10953),
    [sym_parenthesized_expression] = STATE(10953),
    [sym_tuple_expression] = STATE(10953),
    [sym_curly_expression] = STATE(10953),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10953),
    [sym_index_expression] = STATE(10953),
    [sym_parametrized_type_expression] = STATE(10953),
    [sym_call_expression] = STATE(10953),
    [sym_broadcast_call_expression] = STATE(10953),
    [sym__closed_macrocall_expression] = STATE(10953),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(10953),
    [sym_quote_expression] = STATE(10953),
    [sym_binary_expression] = STATE(12926),
    [sym_unary_expression] = STATE(12926),
    [sym_range_expression] = STATE(12926),
    [sym_splat_expression] = STATE(12926),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12246),
    [sym_unary_typed_expression] = STATE(12926),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12926),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(10953),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10953),
    [sym_string_literal] = STATE(10953),
    [sym_command_literal] = STATE(10953),
    [sym_prefixed_string_literal] = STATE(10953),
    [sym_prefixed_command_literal] = STATE(10953),
    [sym_operator] = STATE(12887),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(6520),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2933] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10576),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2934] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10578),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2935] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10548),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2936] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10580),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2937] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10582),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2938] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10584),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2939] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10586),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2940] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10588),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2941] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(18416),
    [sym__expression] = STATE(13028),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11198),
    [sym__array] = STATE(11198),
    [sym_comprehension_expression] = STATE(11198),
    [sym_matrix_expression] = STATE(11198),
    [sym_vector_expression] = STATE(11198),
    [sym_parenthesized_expression] = STATE(11198),
    [sym_tuple_expression] = STATE(11198),
    [sym_curly_expression] = STATE(11198),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11198),
    [sym_index_expression] = STATE(11198),
    [sym_parametrized_type_expression] = STATE(11198),
    [sym_call_expression] = STATE(11198),
    [sym_broadcast_call_expression] = STATE(11198),
    [sym__closed_macrocall_expression] = STATE(11198),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11198),
    [sym_quote_expression] = STATE(11198),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13153),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11198),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11198),
    [sym_string_literal] = STATE(11198),
    [sym_command_literal] = STATE(11198),
    [sym_prefixed_string_literal] = STATE(11198),
    [sym_prefixed_command_literal] = STATE(11198),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(9718),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2942] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10590),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2943] = {
    [sym_assignment] = STATE(8463),
    [sym_open_tuple] = STATE(19670),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11622),
    [sym__array] = STATE(11622),
    [sym_comprehension_expression] = STATE(11622),
    [sym_matrix_expression] = STATE(11622),
    [sym_vector_expression] = STATE(11622),
    [sym_parenthesized_expression] = STATE(11622),
    [sym_tuple_expression] = STATE(11622),
    [sym_curly_expression] = STATE(11622),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11622),
    [sym_index_expression] = STATE(11622),
    [sym_parametrized_type_expression] = STATE(11622),
    [sym_call_expression] = STATE(11622),
    [sym_broadcast_call_expression] = STATE(11622),
    [sym__closed_macrocall_expression] = STATE(11622),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11622),
    [sym_quote_expression] = STATE(11622),
    [sym_binary_expression] = STATE(14091),
    [sym_unary_expression] = STATE(14091),
    [sym_range_expression] = STATE(14091),
    [sym_splat_expression] = STATE(14091),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13668),
    [sym_unary_typed_expression] = STATE(14091),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14091),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11622),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11622),
    [sym_string_literal] = STATE(11622),
    [sym_command_literal] = STATE(11622),
    [sym_prefixed_string_literal] = STATE(11622),
    [sym_prefixed_command_literal] = STATE(11622),
    [sym_operator] = STATE(13669),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10592),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2944] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10594),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2945] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10596),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2946] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10598),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2947] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10600),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2948] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10602),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2949] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10604),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2950] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10606),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2951] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(19245),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11833),
    [sym__array] = STATE(11833),
    [sym_comprehension_expression] = STATE(11833),
    [sym_matrix_expression] = STATE(11833),
    [sym_vector_expression] = STATE(11833),
    [sym_parenthesized_expression] = STATE(11833),
    [sym_tuple_expression] = STATE(11833),
    [sym_curly_expression] = STATE(11833),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11833),
    [sym_index_expression] = STATE(11833),
    [sym_parametrized_type_expression] = STATE(11833),
    [sym_call_expression] = STATE(11833),
    [sym_broadcast_call_expression] = STATE(11833),
    [sym__closed_macrocall_expression] = STATE(11833),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11833),
    [sym_quote_expression] = STATE(11833),
    [sym_binary_expression] = STATE(14042),
    [sym_unary_expression] = STATE(14042),
    [sym_range_expression] = STATE(14042),
    [sym_splat_expression] = STATE(14042),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13919),
    [sym_unary_typed_expression] = STATE(14042),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14042),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11833),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11833),
    [sym_string_literal] = STATE(11833),
    [sym_command_literal] = STATE(11833),
    [sym_prefixed_string_literal] = STATE(11833),
    [sym_prefixed_command_literal] = STATE(11833),
    [sym_operator] = STATE(13920),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10608),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2952] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10610),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2953] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10088),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2954] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(18159),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10785),
    [sym__array] = STATE(10785),
    [sym_comprehension_expression] = STATE(10785),
    [sym_matrix_expression] = STATE(10785),
    [sym_vector_expression] = STATE(10785),
    [sym_parenthesized_expression] = STATE(10785),
    [sym_tuple_expression] = STATE(10785),
    [sym_curly_expression] = STATE(10785),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10785),
    [sym_index_expression] = STATE(10785),
    [sym_parametrized_type_expression] = STATE(10785),
    [sym_call_expression] = STATE(10785),
    [sym_broadcast_call_expression] = STATE(10785),
    [sym__closed_macrocall_expression] = STATE(10785),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10785),
    [sym_quote_expression] = STATE(10785),
    [sym_binary_expression] = STATE(12672),
    [sym_unary_expression] = STATE(12672),
    [sym_range_expression] = STATE(12672),
    [sym_splat_expression] = STATE(12672),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12051),
    [sym_unary_typed_expression] = STATE(12672),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12672),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10785),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10785),
    [sym_string_literal] = STATE(10785),
    [sym_command_literal] = STATE(10785),
    [sym_prefixed_string_literal] = STATE(10785),
    [sym_prefixed_command_literal] = STATE(10785),
    [sym_operator] = STATE(11977),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(10500),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2955] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10612),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2956] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15623),
    [sym__expression] = STATE(13188),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11203),
    [sym__array] = STATE(11203),
    [sym_comprehension_expression] = STATE(11203),
    [sym_matrix_expression] = STATE(11203),
    [sym_vector_expression] = STATE(11203),
    [sym_parenthesized_expression] = STATE(11203),
    [sym_tuple_expression] = STATE(11203),
    [sym_curly_expression] = STATE(11203),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11203),
    [sym_index_expression] = STATE(11203),
    [sym_parametrized_type_expression] = STATE(11203),
    [sym_call_expression] = STATE(11203),
    [sym_broadcast_call_expression] = STATE(11203),
    [sym__closed_macrocall_expression] = STATE(11203),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11203),
    [sym_quote_expression] = STATE(11203),
    [sym_binary_expression] = STATE(13178),
    [sym_unary_expression] = STATE(13178),
    [sym_range_expression] = STATE(13178),
    [sym_splat_expression] = STATE(13178),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12969),
    [sym_unary_typed_expression] = STATE(13178),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13178),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11203),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11203),
    [sym_string_literal] = STATE(11203),
    [sym_command_literal] = STATE(11203),
    [sym_prefixed_string_literal] = STATE(11203),
    [sym_prefixed_command_literal] = STATE(11203),
    [sym_operator] = STATE(12975),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(75),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2957] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(19846),
    [sym__expression] = STATE(13408),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11368),
    [sym__array] = STATE(11368),
    [sym_comprehension_expression] = STATE(11368),
    [sym_matrix_expression] = STATE(11368),
    [sym_vector_expression] = STATE(11368),
    [sym_parenthesized_expression] = STATE(11368),
    [sym_tuple_expression] = STATE(11368),
    [sym_curly_expression] = STATE(11368),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11368),
    [sym_index_expression] = STATE(11368),
    [sym_parametrized_type_expression] = STATE(11368),
    [sym_call_expression] = STATE(11368),
    [sym_broadcast_call_expression] = STATE(11368),
    [sym__closed_macrocall_expression] = STATE(11368),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11368),
    [sym_quote_expression] = STATE(11368),
    [sym_binary_expression] = STATE(13272),
    [sym_unary_expression] = STATE(13272),
    [sym_range_expression] = STATE(13272),
    [sym_splat_expression] = STATE(13272),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13111),
    [sym_unary_typed_expression] = STATE(13272),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13272),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11368),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11368),
    [sym_string_literal] = STATE(11368),
    [sym_command_literal] = STATE(11368),
    [sym_prefixed_string_literal] = STATE(11368),
    [sym_prefixed_command_literal] = STATE(11368),
    [sym_operator] = STATE(13113),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(8676),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2958] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10614),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2959] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(18416),
    [sym__expression] = STATE(13025),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11198),
    [sym__array] = STATE(11198),
    [sym_comprehension_expression] = STATE(11198),
    [sym_matrix_expression] = STATE(11198),
    [sym_vector_expression] = STATE(11198),
    [sym_parenthesized_expression] = STATE(11198),
    [sym_tuple_expression] = STATE(11198),
    [sym_curly_expression] = STATE(11198),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11198),
    [sym_index_expression] = STATE(11198),
    [sym_parametrized_type_expression] = STATE(11198),
    [sym_call_expression] = STATE(11198),
    [sym_broadcast_call_expression] = STATE(11198),
    [sym__closed_macrocall_expression] = STATE(11198),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11198),
    [sym_quote_expression] = STATE(11198),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13153),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11198),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11198),
    [sym_string_literal] = STATE(11198),
    [sym_command_literal] = STATE(11198),
    [sym_prefixed_string_literal] = STATE(11198),
    [sym_prefixed_command_literal] = STATE(11198),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(9718),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2960] = {
    [sym__expression] = STATE(13731),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17086),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10616),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2961] = {
    [sym_assignment] = STATE(12049),
    [sym_open_tuple] = STATE(13213),
    [sym__expression] = STATE(13033),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(11201),
    [sym_comprehension_expression] = STATE(11201),
    [sym_matrix_expression] = STATE(11201),
    [sym_vector_expression] = STATE(11201),
    [sym_parenthesized_expression] = STATE(11201),
    [sym_tuple_expression] = STATE(11201),
    [sym_curly_expression] = STATE(11201),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11201),
    [sym_index_expression] = STATE(11201),
    [sym_parametrized_type_expression] = STATE(11201),
    [sym_call_expression] = STATE(11201),
    [sym_broadcast_call_expression] = STATE(11201),
    [sym__closed_macrocall_expression] = STATE(11201),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11201),
    [sym_quote_expression] = STATE(11201),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13001),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11201),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11201),
    [sym_string_literal] = STATE(11201),
    [sym_command_literal] = STATE(11201),
    [sym_prefixed_string_literal] = STATE(11201),
    [sym_prefixed_command_literal] = STATE(11201),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3019),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2962] = {
    [sym_assignment] = STATE(11858),
    [sym_open_tuple] = STATE(13214),
    [sym__expression] = STATE(13031),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(11201),
    [sym_comprehension_expression] = STATE(11201),
    [sym_matrix_expression] = STATE(11201),
    [sym_vector_expression] = STATE(11201),
    [sym_parenthesized_expression] = STATE(11201),
    [sym_tuple_expression] = STATE(11201),
    [sym_curly_expression] = STATE(11201),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11201),
    [sym_index_expression] = STATE(11201),
    [sym_parametrized_type_expression] = STATE(11201),
    [sym_call_expression] = STATE(11201),
    [sym_broadcast_call_expression] = STATE(11201),
    [sym__closed_macrocall_expression] = STATE(11201),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11201),
    [sym_quote_expression] = STATE(11201),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13001),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11201),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11201),
    [sym_string_literal] = STATE(11201),
    [sym_command_literal] = STATE(11201),
    [sym_prefixed_string_literal] = STATE(11201),
    [sym_prefixed_command_literal] = STATE(11201),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3019),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2963] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10618),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2964] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10620),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2965] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(13176),
    [sym__expression] = STATE(13037),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11092),
    [sym__array] = STATE(11092),
    [sym_comprehension_expression] = STATE(11092),
    [sym_matrix_expression] = STATE(11092),
    [sym_vector_expression] = STATE(11092),
    [sym_parenthesized_expression] = STATE(11092),
    [sym_tuple_expression] = STATE(11092),
    [sym_curly_expression] = STATE(11092),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11092),
    [sym_index_expression] = STATE(11092),
    [sym_parametrized_type_expression] = STATE(11092),
    [sym_call_expression] = STATE(11092),
    [sym_broadcast_call_expression] = STATE(11092),
    [sym__closed_macrocall_expression] = STATE(11092),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11092),
    [sym_quote_expression] = STATE(11092),
    [sym_binary_expression] = STATE(12998),
    [sym_unary_expression] = STATE(12998),
    [sym_range_expression] = STATE(12998),
    [sym_splat_expression] = STATE(12998),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12780),
    [sym_unary_typed_expression] = STATE(12998),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12998),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11092),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11092),
    [sym_string_literal] = STATE(11092),
    [sym_command_literal] = STATE(11092),
    [sym_prefixed_string_literal] = STATE(11092),
    [sym_prefixed_command_literal] = STATE(11092),
    [sym_operator] = STATE(12747),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(8662),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2966] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(18493),
    [sym__expression] = STATE(13170),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11065),
    [sym__array] = STATE(11065),
    [sym_comprehension_expression] = STATE(11065),
    [sym_matrix_expression] = STATE(11065),
    [sym_vector_expression] = STATE(11065),
    [sym_parenthesized_expression] = STATE(11065),
    [sym_tuple_expression] = STATE(11065),
    [sym_curly_expression] = STATE(11065),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11065),
    [sym_index_expression] = STATE(11065),
    [sym_parametrized_type_expression] = STATE(11065),
    [sym_call_expression] = STATE(11065),
    [sym_broadcast_call_expression] = STATE(11065),
    [sym__closed_macrocall_expression] = STATE(11065),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11065),
    [sym_quote_expression] = STATE(11065),
    [sym_binary_expression] = STATE(13159),
    [sym_unary_expression] = STATE(13159),
    [sym_range_expression] = STATE(13159),
    [sym_splat_expression] = STATE(13159),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12546),
    [sym_unary_typed_expression] = STATE(13159),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13159),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11065),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11065),
    [sym_string_literal] = STATE(11065),
    [sym_command_literal] = STATE(11065),
    [sym_prefixed_string_literal] = STATE(11065),
    [sym_prefixed_command_literal] = STATE(11065),
    [sym_operator] = STATE(12545),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(10510),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [2967] = {
    [sym_assignment] = STATE(8091),
    [sym_open_tuple] = STATE(7974),
    [sym__expression] = STATE(7192),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4803),
    [sym__array] = STATE(4803),
    [sym_comprehension_expression] = STATE(4803),
    [sym_matrix_expression] = STATE(4803),
    [sym_vector_expression] = STATE(4803),
    [sym_parenthesized_expression] = STATE(4803),
    [sym_tuple_expression] = STATE(4803),
    [sym_curly_expression] = STATE(4803),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4803),
    [sym_index_expression] = STATE(4803),
    [sym_parametrized_type_expression] = STATE(4803),
    [sym_call_expression] = STATE(4803),
    [sym_broadcast_call_expression] = STATE(4803),
    [sym__closed_macrocall_expression] = STATE(4803),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4803),
    [sym_quote_expression] = STATE(4803),
    [sym_binary_expression] = STATE(8064),
    [sym_unary_expression] = STATE(8064),
    [sym_range_expression] = STATE(8064),
    [sym_splat_expression] = STATE(8064),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7193),
    [sym_unary_typed_expression] = STATE(8064),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(8064),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4803),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4803),
    [sym_string_literal] = STATE(4803),
    [sym_command_literal] = STATE(4803),
    [sym_prefixed_string_literal] = STATE(4803),
    [sym_prefixed_command_literal] = STATE(4803),
    [sym_operator] = STATE(7212),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10534),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [2968] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10622),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2969] = {
    [sym_assignment] = STATE(12073),
    [sym_open_tuple] = STATE(13250),
    [sym__expression] = STATE(13428),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11301),
    [sym__array] = STATE(11301),
    [sym_comprehension_expression] = STATE(11301),
    [sym_matrix_expression] = STATE(11301),
    [sym_vector_expression] = STATE(11301),
    [sym_parenthesized_expression] = STATE(11301),
    [sym_tuple_expression] = STATE(11301),
    [sym_curly_expression] = STATE(11301),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11301),
    [sym_index_expression] = STATE(11301),
    [sym_parametrized_type_expression] = STATE(11301),
    [sym_call_expression] = STATE(11301),
    [sym_broadcast_call_expression] = STATE(11301),
    [sym__closed_macrocall_expression] = STATE(11301),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11301),
    [sym_quote_expression] = STATE(11301),
    [sym_binary_expression] = STATE(13300),
    [sym_unary_expression] = STATE(13300),
    [sym_range_expression] = STATE(13300),
    [sym_splat_expression] = STATE(13300),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12989),
    [sym_unary_typed_expression] = STATE(13300),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13300),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11301),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11301),
    [sym_string_literal] = STATE(11301),
    [sym_command_literal] = STATE(11301),
    [sym_prefixed_string_literal] = STATE(11301),
    [sym_prefixed_command_literal] = STATE(11301),
    [sym_operator] = STATE(13086),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3334),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2970] = {
    [sym_assignment] = STATE(8430),
    [sym_open_tuple] = STATE(9182),
    [sym__expression] = STATE(9058),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2971] = {
    [sym_assignment] = STATE(8422),
    [sym_open_tuple] = STATE(9181),
    [sym__expression] = STATE(8842),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [2972] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(19446),
    [sym__expression] = STATE(13303),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11355),
    [sym__array] = STATE(11355),
    [sym_comprehension_expression] = STATE(11355),
    [sym_matrix_expression] = STATE(11355),
    [sym_vector_expression] = STATE(11355),
    [sym_parenthesized_expression] = STATE(11355),
    [sym_tuple_expression] = STATE(11355),
    [sym_curly_expression] = STATE(11355),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11355),
    [sym_index_expression] = STATE(11355),
    [sym_parametrized_type_expression] = STATE(11355),
    [sym_call_expression] = STATE(11355),
    [sym_broadcast_call_expression] = STATE(11355),
    [sym__closed_macrocall_expression] = STATE(11355),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11355),
    [sym_quote_expression] = STATE(11355),
    [sym_binary_expression] = STATE(13417),
    [sym_unary_expression] = STATE(13417),
    [sym_range_expression] = STATE(13417),
    [sym_splat_expression] = STATE(13417),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13020),
    [sym_unary_typed_expression] = STATE(13417),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13417),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11355),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11355),
    [sym_string_literal] = STATE(11355),
    [sym_command_literal] = STATE(11355),
    [sym_prefixed_string_literal] = STATE(11355),
    [sym_prefixed_command_literal] = STATE(11355),
    [sym_operator] = STATE(13021),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3276),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2973] = {
    [sym_assignment] = STATE(8488),
    [sym_open_tuple] = STATE(19342),
    [sym__expression] = STATE(7338),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(10624),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [2974] = {
    [sym_assignment] = STATE(8273),
    [sym_open_tuple] = STATE(19744),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11719),
    [sym__array] = STATE(11719),
    [sym_comprehension_expression] = STATE(11719),
    [sym_matrix_expression] = STATE(11719),
    [sym_vector_expression] = STATE(11719),
    [sym_parenthesized_expression] = STATE(11719),
    [sym_tuple_expression] = STATE(11719),
    [sym_curly_expression] = STATE(11719),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11719),
    [sym_index_expression] = STATE(11719),
    [sym_parametrized_type_expression] = STATE(11719),
    [sym_call_expression] = STATE(11719),
    [sym_broadcast_call_expression] = STATE(11719),
    [sym__closed_macrocall_expression] = STATE(11719),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11719),
    [sym_quote_expression] = STATE(11719),
    [sym_binary_expression] = STATE(14076),
    [sym_unary_expression] = STATE(14076),
    [sym_range_expression] = STATE(14076),
    [sym_splat_expression] = STATE(14076),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13757),
    [sym_unary_typed_expression] = STATE(14076),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14076),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11719),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11719),
    [sym_string_literal] = STATE(11719),
    [sym_command_literal] = STATE(11719),
    [sym_prefixed_string_literal] = STATE(11719),
    [sym_prefixed_command_literal] = STATE(11719),
    [sym_operator] = STATE(13755),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10626),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2975] = {
    [sym_assignment] = STATE(8743),
    [sym_open_tuple] = STATE(19342),
    [sym__expression] = STATE(7365),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(10624),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [2976] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10628),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2977] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10630),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2978] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10632),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2979] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10634),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2980] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10636),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2981] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10638),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2982] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10640),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2983] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10642),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2984] = {
    [sym_assignment] = STATE(8273),
    [sym_open_tuple] = STATE(19784),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11685),
    [sym__array] = STATE(11685),
    [sym_comprehension_expression] = STATE(11685),
    [sym_matrix_expression] = STATE(11685),
    [sym_vector_expression] = STATE(11685),
    [sym_parenthesized_expression] = STATE(11685),
    [sym_tuple_expression] = STATE(11685),
    [sym_curly_expression] = STATE(11685),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11685),
    [sym_index_expression] = STATE(11685),
    [sym_parametrized_type_expression] = STATE(11685),
    [sym_call_expression] = STATE(11685),
    [sym_broadcast_call_expression] = STATE(11685),
    [sym__closed_macrocall_expression] = STATE(11685),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11685),
    [sym_quote_expression] = STATE(11685),
    [sym_binary_expression] = STATE(14010),
    [sym_unary_expression] = STATE(14010),
    [sym_range_expression] = STATE(14010),
    [sym_splat_expression] = STATE(14010),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13887),
    [sym_unary_typed_expression] = STATE(14010),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14010),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11685),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11685),
    [sym_string_literal] = STATE(11685),
    [sym_command_literal] = STATE(11685),
    [sym_prefixed_string_literal] = STATE(11685),
    [sym_prefixed_command_literal] = STATE(11685),
    [sym_operator] = STATE(13888),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10644),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2985] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10646),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2986] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(9792),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2987] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10648),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2988] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10650),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2989] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10652),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2990] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10654),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2991] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10656),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2992] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10658),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2993] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10660),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2994] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10662),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2995] = {
    [sym__expression] = STATE(13872),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16803),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10664),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2996] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10370),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2997] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10666),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2998] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10668),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [2999] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10670),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3000] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10672),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3001] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10674),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3002] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(19446),
    [sym__expression] = STATE(13288),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11355),
    [sym__array] = STATE(11355),
    [sym_comprehension_expression] = STATE(11355),
    [sym_matrix_expression] = STATE(11355),
    [sym_vector_expression] = STATE(11355),
    [sym_parenthesized_expression] = STATE(11355),
    [sym_tuple_expression] = STATE(11355),
    [sym_curly_expression] = STATE(11355),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11355),
    [sym_index_expression] = STATE(11355),
    [sym_parametrized_type_expression] = STATE(11355),
    [sym_call_expression] = STATE(11355),
    [sym_broadcast_call_expression] = STATE(11355),
    [sym__closed_macrocall_expression] = STATE(11355),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11355),
    [sym_quote_expression] = STATE(11355),
    [sym_binary_expression] = STATE(13417),
    [sym_unary_expression] = STATE(13417),
    [sym_range_expression] = STATE(13417),
    [sym_splat_expression] = STATE(13417),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13020),
    [sym_unary_typed_expression] = STATE(13417),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13417),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11355),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11355),
    [sym_string_literal] = STATE(11355),
    [sym_command_literal] = STATE(11355),
    [sym_prefixed_string_literal] = STATE(11355),
    [sym_prefixed_command_literal] = STATE(11355),
    [sym_operator] = STATE(13021),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3276),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3003] = {
    [sym_assignment] = STATE(7983),
    [sym_open_tuple] = STATE(7659),
    [sym__expression] = STATE(7025),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(9634),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3004] = {
    [sym_assignment] = STATE(7978),
    [sym_open_tuple] = STATE(7646),
    [sym__expression] = STATE(7034),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(9634),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3005] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10676),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3006] = {
    [sym_assignment] = STATE(8676),
    [sym_open_tuple] = STATE(9186),
    [sym__expression] = STATE(8779),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6615),
    [sym__array] = STATE(6615),
    [sym_comprehension_expression] = STATE(6615),
    [sym_matrix_expression] = STATE(6615),
    [sym_vector_expression] = STATE(6615),
    [sym_parenthesized_expression] = STATE(6615),
    [sym_tuple_expression] = STATE(6615),
    [sym_curly_expression] = STATE(6615),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6615),
    [sym_index_expression] = STATE(6615),
    [sym_parametrized_type_expression] = STATE(6615),
    [sym_call_expression] = STATE(6615),
    [sym_broadcast_call_expression] = STATE(6615),
    [sym__closed_macrocall_expression] = STATE(6615),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6615),
    [sym_quote_expression] = STATE(6615),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9012),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6615),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6615),
    [sym_string_literal] = STATE(6615),
    [sym_command_literal] = STATE(6615),
    [sym_prefixed_string_literal] = STATE(6615),
    [sym_prefixed_command_literal] = STATE(6615),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1147),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3007] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10678),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3008] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10680),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3009] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10682),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3010] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10684),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3011] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10686),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3012] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(15860),
    [sym__expression] = STATE(13284),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11249),
    [sym__array] = STATE(11249),
    [sym_comprehension_expression] = STATE(11249),
    [sym_matrix_expression] = STATE(11249),
    [sym_vector_expression] = STATE(11249),
    [sym_parenthesized_expression] = STATE(11249),
    [sym_tuple_expression] = STATE(11249),
    [sym_curly_expression] = STATE(11249),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11249),
    [sym_index_expression] = STATE(11249),
    [sym_parametrized_type_expression] = STATE(11249),
    [sym_call_expression] = STATE(11249),
    [sym_broadcast_call_expression] = STATE(11249),
    [sym__closed_macrocall_expression] = STATE(11249),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11249),
    [sym_quote_expression] = STATE(11249),
    [sym_binary_expression] = STATE(13248),
    [sym_unary_expression] = STATE(13248),
    [sym_range_expression] = STATE(13248),
    [sym_splat_expression] = STATE(13248),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13123),
    [sym_unary_typed_expression] = STATE(13248),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13248),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11249),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11249),
    [sym_string_literal] = STATE(11249),
    [sym_command_literal] = STATE(11249),
    [sym_prefixed_string_literal] = STATE(11249),
    [sym_prefixed_command_literal] = STATE(11249),
    [sym_operator] = STATE(13141),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(6980),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3013] = {
    [sym_assignment] = STATE(8580),
    [sym_open_tuple] = STATE(8119),
    [sym__expression] = STATE(7508),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(10624),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3014] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10688),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3015] = {
    [sym_assignment] = STATE(8574),
    [sym_open_tuple] = STATE(8124),
    [sym__expression] = STATE(7517),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(10624),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3016] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10690),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3017] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(19245),
    [sym__expression] = STATE(12480),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10964),
    [sym__array] = STATE(10964),
    [sym_comprehension_expression] = STATE(10964),
    [sym_matrix_expression] = STATE(10964),
    [sym_vector_expression] = STATE(10964),
    [sym_parenthesized_expression] = STATE(10964),
    [sym_tuple_expression] = STATE(10964),
    [sym_curly_expression] = STATE(10964),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10964),
    [sym_index_expression] = STATE(10964),
    [sym_parametrized_type_expression] = STATE(10964),
    [sym_call_expression] = STATE(10964),
    [sym_broadcast_call_expression] = STATE(10964),
    [sym__closed_macrocall_expression] = STATE(10964),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(10964),
    [sym_quote_expression] = STATE(10964),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12795),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(10964),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10964),
    [sym_string_literal] = STATE(10964),
    [sym_command_literal] = STATE(10964),
    [sym_prefixed_string_literal] = STATE(10964),
    [sym_prefixed_command_literal] = STATE(10964),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(9576),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3018] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10692),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3019] = {
    [sym__expression] = STATE(13685),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16806),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10694),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3020] = {
    [sym__closed_assignment] = STATE(15739),
    [sym__expression] = STATE(12972),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8600),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3021] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(18416),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11828),
    [sym__array] = STATE(11828),
    [sym_comprehension_expression] = STATE(11828),
    [sym_matrix_expression] = STATE(11828),
    [sym_vector_expression] = STATE(11828),
    [sym_parenthesized_expression] = STATE(11828),
    [sym_tuple_expression] = STATE(11828),
    [sym_curly_expression] = STATE(11828),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11828),
    [sym_index_expression] = STATE(11828),
    [sym_parametrized_type_expression] = STATE(11828),
    [sym_call_expression] = STATE(11828),
    [sym_broadcast_call_expression] = STATE(11828),
    [sym__closed_macrocall_expression] = STATE(11828),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11828),
    [sym_quote_expression] = STATE(11828),
    [sym_binary_expression] = STATE(14128),
    [sym_unary_expression] = STATE(14128),
    [sym_range_expression] = STATE(14128),
    [sym_splat_expression] = STATE(14128),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13682),
    [sym_unary_typed_expression] = STATE(14128),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14128),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11828),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11828),
    [sym_string_literal] = STATE(11828),
    [sym_command_literal] = STATE(11828),
    [sym_prefixed_string_literal] = STATE(11828),
    [sym_prefixed_command_literal] = STATE(11828),
    [sym_operator] = STATE(13679),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10696),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3022] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10698),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3023] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10700),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3024] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10702),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3025] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10704),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3026] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10706),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3027] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10708),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3028] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10710),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3029] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(19245),
    [sym__expression] = STATE(12478),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10964),
    [sym__array] = STATE(10964),
    [sym_comprehension_expression] = STATE(10964),
    [sym_matrix_expression] = STATE(10964),
    [sym_vector_expression] = STATE(10964),
    [sym_parenthesized_expression] = STATE(10964),
    [sym_tuple_expression] = STATE(10964),
    [sym_curly_expression] = STATE(10964),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10964),
    [sym_index_expression] = STATE(10964),
    [sym_parametrized_type_expression] = STATE(10964),
    [sym_call_expression] = STATE(10964),
    [sym_broadcast_call_expression] = STATE(10964),
    [sym__closed_macrocall_expression] = STATE(10964),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(10964),
    [sym_quote_expression] = STATE(10964),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12795),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(10964),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10964),
    [sym_string_literal] = STATE(10964),
    [sym_command_literal] = STATE(10964),
    [sym_prefixed_string_literal] = STATE(10964),
    [sym_prefixed_command_literal] = STATE(10964),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(9576),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3030] = {
    [sym_assignment] = STATE(8676),
    [sym_open_tuple] = STATE(8809),
    [sym__expression] = STATE(8947),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6285),
    [sym__array] = STATE(6285),
    [sym_comprehension_expression] = STATE(6285),
    [sym_matrix_expression] = STATE(6285),
    [sym_vector_expression] = STATE(6285),
    [sym_parenthesized_expression] = STATE(6285),
    [sym_tuple_expression] = STATE(6285),
    [sym_curly_expression] = STATE(6285),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6285),
    [sym_index_expression] = STATE(6285),
    [sym_parametrized_type_expression] = STATE(6285),
    [sym_call_expression] = STATE(6285),
    [sym_broadcast_call_expression] = STATE(6285),
    [sym__closed_macrocall_expression] = STATE(6285),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6285),
    [sym_quote_expression] = STATE(6285),
    [sym_binary_expression] = STATE(9118),
    [sym_unary_expression] = STATE(9118),
    [sym_range_expression] = STATE(9118),
    [sym_splat_expression] = STATE(9118),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8519),
    [sym_unary_typed_expression] = STATE(9118),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(9118),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6285),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6285),
    [sym_string_literal] = STATE(6285),
    [sym_command_literal] = STATE(6285),
    [sym_prefixed_string_literal] = STATE(6285),
    [sym_prefixed_command_literal] = STATE(6285),
    [sym_operator] = STATE(8551),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(1171),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3031] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10712),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3032] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(18159),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11739),
    [sym__array] = STATE(11739),
    [sym_comprehension_expression] = STATE(11739),
    [sym_matrix_expression] = STATE(11739),
    [sym_vector_expression] = STATE(11739),
    [sym_parenthesized_expression] = STATE(11739),
    [sym_tuple_expression] = STATE(11739),
    [sym_curly_expression] = STATE(11739),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11739),
    [sym_index_expression] = STATE(11739),
    [sym_parametrized_type_expression] = STATE(11739),
    [sym_call_expression] = STATE(11739),
    [sym_broadcast_call_expression] = STATE(11739),
    [sym__closed_macrocall_expression] = STATE(11739),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11739),
    [sym_quote_expression] = STATE(11739),
    [sym_binary_expression] = STATE(14026),
    [sym_unary_expression] = STATE(14026),
    [sym_range_expression] = STATE(14026),
    [sym_splat_expression] = STATE(14026),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13976),
    [sym_unary_typed_expression] = STATE(14026),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14026),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11739),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11739),
    [sym_string_literal] = STATE(11739),
    [sym_command_literal] = STATE(11739),
    [sym_prefixed_string_literal] = STATE(11739),
    [sym_prefixed_command_literal] = STATE(11739),
    [sym_operator] = STATE(13977),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10714),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3033] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10716),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3034] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10718),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3035] = {
    [sym_assignment] = STATE(7892),
    [sym_open_tuple] = STATE(19252),
    [sym__expression] = STATE(7527),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(8884),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3036] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(13073),
    [sym__expression] = STATE(13072),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11065),
    [sym__array] = STATE(11065),
    [sym_comprehension_expression] = STATE(11065),
    [sym_matrix_expression] = STATE(11065),
    [sym_vector_expression] = STATE(11065),
    [sym_parenthesized_expression] = STATE(11065),
    [sym_tuple_expression] = STATE(11065),
    [sym_curly_expression] = STATE(11065),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11065),
    [sym_index_expression] = STATE(11065),
    [sym_parametrized_type_expression] = STATE(11065),
    [sym_call_expression] = STATE(11065),
    [sym_broadcast_call_expression] = STATE(11065),
    [sym__closed_macrocall_expression] = STATE(11065),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11065),
    [sym_quote_expression] = STATE(11065),
    [sym_binary_expression] = STATE(13159),
    [sym_unary_expression] = STATE(13159),
    [sym_range_expression] = STATE(13159),
    [sym_splat_expression] = STATE(13159),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12546),
    [sym_unary_typed_expression] = STATE(13159),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13159),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11065),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11065),
    [sym_string_literal] = STATE(11065),
    [sym_command_literal] = STATE(11065),
    [sym_prefixed_string_literal] = STATE(11065),
    [sym_prefixed_command_literal] = STATE(11065),
    [sym_operator] = STATE(12545),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(10510),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3037] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(13075),
    [sym__expression] = STATE(13074),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11065),
    [sym__array] = STATE(11065),
    [sym_comprehension_expression] = STATE(11065),
    [sym_matrix_expression] = STATE(11065),
    [sym_vector_expression] = STATE(11065),
    [sym_parenthesized_expression] = STATE(11065),
    [sym_tuple_expression] = STATE(11065),
    [sym_curly_expression] = STATE(11065),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11065),
    [sym_index_expression] = STATE(11065),
    [sym_parametrized_type_expression] = STATE(11065),
    [sym_call_expression] = STATE(11065),
    [sym_broadcast_call_expression] = STATE(11065),
    [sym__closed_macrocall_expression] = STATE(11065),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11065),
    [sym_quote_expression] = STATE(11065),
    [sym_binary_expression] = STATE(13159),
    [sym_unary_expression] = STATE(13159),
    [sym_range_expression] = STATE(13159),
    [sym_splat_expression] = STATE(13159),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12546),
    [sym_unary_typed_expression] = STATE(13159),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13159),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11065),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11065),
    [sym_string_literal] = STATE(11065),
    [sym_command_literal] = STATE(11065),
    [sym_prefixed_string_literal] = STATE(11065),
    [sym_prefixed_command_literal] = STATE(11065),
    [sym_operator] = STATE(12545),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(10510),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3038] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10720),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3039] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10722),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3040] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10724),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3041] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10726),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3042] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10728),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3043] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10730),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3044] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10732),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3045] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10734),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3046] = {
    [sym_assignment] = STATE(12073),
    [sym_open_tuple] = STATE(13307),
    [sym__expression] = STATE(13114),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11306),
    [sym__array] = STATE(11306),
    [sym_comprehension_expression] = STATE(11306),
    [sym_matrix_expression] = STATE(11306),
    [sym_vector_expression] = STATE(11306),
    [sym_parenthesized_expression] = STATE(11306),
    [sym_tuple_expression] = STATE(11306),
    [sym_curly_expression] = STATE(11306),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11306),
    [sym_index_expression] = STATE(11306),
    [sym_parametrized_type_expression] = STATE(11306),
    [sym_call_expression] = STATE(11306),
    [sym_broadcast_call_expression] = STATE(11306),
    [sym__closed_macrocall_expression] = STATE(11306),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11306),
    [sym_quote_expression] = STATE(11306),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12948),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11306),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11306),
    [sym_string_literal] = STATE(11306),
    [sym_command_literal] = STATE(11306),
    [sym_prefixed_string_literal] = STATE(11306),
    [sym_prefixed_command_literal] = STATE(11306),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3196),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3047] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10736),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3048] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(13068),
    [sym__expression] = STATE(12681),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10964),
    [sym__array] = STATE(10964),
    [sym_comprehension_expression] = STATE(10964),
    [sym_matrix_expression] = STATE(10964),
    [sym_vector_expression] = STATE(10964),
    [sym_parenthesized_expression] = STATE(10964),
    [sym_tuple_expression] = STATE(10964),
    [sym_curly_expression] = STATE(10964),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10964),
    [sym_index_expression] = STATE(10964),
    [sym_parametrized_type_expression] = STATE(10964),
    [sym_call_expression] = STATE(10964),
    [sym_broadcast_call_expression] = STATE(10964),
    [sym__closed_macrocall_expression] = STATE(10964),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(10964),
    [sym_quote_expression] = STATE(10964),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12795),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(10964),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10964),
    [sym_string_literal] = STATE(10964),
    [sym_command_literal] = STATE(10964),
    [sym_prefixed_string_literal] = STATE(10964),
    [sym_prefixed_command_literal] = STATE(10964),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(9576),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3049] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(13067),
    [sym__expression] = STATE(12653),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10964),
    [sym__array] = STATE(10964),
    [sym_comprehension_expression] = STATE(10964),
    [sym_matrix_expression] = STATE(10964),
    [sym_vector_expression] = STATE(10964),
    [sym_parenthesized_expression] = STATE(10964),
    [sym_tuple_expression] = STATE(10964),
    [sym_curly_expression] = STATE(10964),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(10964),
    [sym_index_expression] = STATE(10964),
    [sym_parametrized_type_expression] = STATE(10964),
    [sym_call_expression] = STATE(10964),
    [sym_broadcast_call_expression] = STATE(10964),
    [sym__closed_macrocall_expression] = STATE(10964),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(10964),
    [sym_quote_expression] = STATE(10964),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12795),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(10964),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(10964),
    [sym_string_literal] = STATE(10964),
    [sym_command_literal] = STATE(10964),
    [sym_prefixed_string_literal] = STATE(10964),
    [sym_prefixed_command_literal] = STATE(10964),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(9576),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3050] = {
    [sym__expression] = STATE(13771),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17093),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10738),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3051] = {
    [sym_assignment] = STATE(12517),
    [sym_open_tuple] = STATE(19151),
    [sym__expression] = STATE(12185),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10563),
    [sym__array] = STATE(10563),
    [sym_comprehension_expression] = STATE(10563),
    [sym_matrix_expression] = STATE(10563),
    [sym_vector_expression] = STATE(10563),
    [sym_parenthesized_expression] = STATE(10563),
    [sym_tuple_expression] = STATE(10563),
    [sym_curly_expression] = STATE(10563),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10563),
    [sym_index_expression] = STATE(10563),
    [sym_parametrized_type_expression] = STATE(10563),
    [sym_call_expression] = STATE(10563),
    [sym_broadcast_call_expression] = STATE(10563),
    [sym__closed_macrocall_expression] = STATE(10563),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10563),
    [sym_quote_expression] = STATE(10563),
    [sym_binary_expression] = STATE(12790),
    [sym_unary_expression] = STATE(12790),
    [sym_range_expression] = STATE(12790),
    [sym_splat_expression] = STATE(12790),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12012),
    [sym_unary_typed_expression] = STATE(12790),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12790),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10563),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10563),
    [sym_string_literal] = STATE(10563),
    [sym_command_literal] = STATE(10563),
    [sym_prefixed_string_literal] = STATE(10563),
    [sym_prefixed_command_literal] = STATE(10563),
    [sym_operator] = STATE(11946),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(9584),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3052] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10740),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3053] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10742),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3054] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10744),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3055] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(18159),
    [sym__expression] = STATE(12520),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10785),
    [sym__array] = STATE(10785),
    [sym_comprehension_expression] = STATE(10785),
    [sym_matrix_expression] = STATE(10785),
    [sym_vector_expression] = STATE(10785),
    [sym_parenthesized_expression] = STATE(10785),
    [sym_tuple_expression] = STATE(10785),
    [sym_curly_expression] = STATE(10785),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10785),
    [sym_index_expression] = STATE(10785),
    [sym_parametrized_type_expression] = STATE(10785),
    [sym_call_expression] = STATE(10785),
    [sym_broadcast_call_expression] = STATE(10785),
    [sym__closed_macrocall_expression] = STATE(10785),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10785),
    [sym_quote_expression] = STATE(10785),
    [sym_binary_expression] = STATE(12672),
    [sym_unary_expression] = STATE(12672),
    [sym_range_expression] = STATE(12672),
    [sym_splat_expression] = STATE(12672),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12051),
    [sym_unary_typed_expression] = STATE(12672),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12672),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10785),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10785),
    [sym_string_literal] = STATE(10785),
    [sym_command_literal] = STATE(10785),
    [sym_prefixed_string_literal] = STATE(10785),
    [sym_prefixed_command_literal] = STATE(10785),
    [sym_operator] = STATE(11977),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(10500),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3056] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10746),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3057] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10748),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3058] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10750),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3059] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10752),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3060] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10754),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3061] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10702),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3062] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10756),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3063] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10758),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3064] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10760),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3065] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10762),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3066] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10764),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3067] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10766),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3068] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10768),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3069] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10770),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3070] = {
    [sym_assignment] = STATE(12364),
    [sym_open_tuple] = STATE(19151),
    [sym__expression] = STATE(12186),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10563),
    [sym__array] = STATE(10563),
    [sym_comprehension_expression] = STATE(10563),
    [sym_matrix_expression] = STATE(10563),
    [sym_vector_expression] = STATE(10563),
    [sym_parenthesized_expression] = STATE(10563),
    [sym_tuple_expression] = STATE(10563),
    [sym_curly_expression] = STATE(10563),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10563),
    [sym_index_expression] = STATE(10563),
    [sym_parametrized_type_expression] = STATE(10563),
    [sym_call_expression] = STATE(10563),
    [sym_broadcast_call_expression] = STATE(10563),
    [sym__closed_macrocall_expression] = STATE(10563),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10563),
    [sym_quote_expression] = STATE(10563),
    [sym_binary_expression] = STATE(12790),
    [sym_unary_expression] = STATE(12790),
    [sym_range_expression] = STATE(12790),
    [sym_splat_expression] = STATE(12790),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12012),
    [sym_unary_typed_expression] = STATE(12790),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12790),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10563),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10563),
    [sym_string_literal] = STATE(10563),
    [sym_command_literal] = STATE(10563),
    [sym_prefixed_string_literal] = STATE(10563),
    [sym_prefixed_command_literal] = STATE(10563),
    [sym_operator] = STATE(11946),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(9584),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3071] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10772),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3072] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10774),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3073] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10776),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3074] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10778),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3075] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8850),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3076] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10780),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3077] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10782),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3078] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10784),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3079] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10786),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3080] = {
    [sym_assignment] = STATE(7413),
    [sym_open_tuple] = STATE(19252),
    [sym__expression] = STATE(7410),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5087),
    [sym__array] = STATE(5087),
    [sym_comprehension_expression] = STATE(5087),
    [sym_matrix_expression] = STATE(5087),
    [sym_vector_expression] = STATE(5087),
    [sym_parenthesized_expression] = STATE(5087),
    [sym_tuple_expression] = STATE(5087),
    [sym_curly_expression] = STATE(5087),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5087),
    [sym_index_expression] = STATE(5087),
    [sym_parametrized_type_expression] = STATE(5087),
    [sym_call_expression] = STATE(5087),
    [sym_broadcast_call_expression] = STATE(5087),
    [sym__closed_macrocall_expression] = STATE(5087),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5087),
    [sym_quote_expression] = STATE(5087),
    [sym_binary_expression] = STATE(7850),
    [sym_unary_expression] = STATE(7850),
    [sym_range_expression] = STATE(7850),
    [sym_splat_expression] = STATE(7850),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7038),
    [sym_unary_typed_expression] = STATE(7850),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7850),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5087),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5087),
    [sym_string_literal] = STATE(5087),
    [sym_command_literal] = STATE(5087),
    [sym_prefixed_string_literal] = STATE(5087),
    [sym_prefixed_command_literal] = STATE(5087),
    [sym_operator] = STATE(7053),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(8884),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3081] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10788),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3082] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(12927),
    [sym__expression] = STATE(12662),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10943),
    [sym__array] = STATE(10943),
    [sym_comprehension_expression] = STATE(10943),
    [sym_matrix_expression] = STATE(10943),
    [sym_vector_expression] = STATE(10943),
    [sym_parenthesized_expression] = STATE(10943),
    [sym_tuple_expression] = STATE(10943),
    [sym_curly_expression] = STATE(10943),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10943),
    [sym_index_expression] = STATE(10943),
    [sym_parametrized_type_expression] = STATE(10943),
    [sym_call_expression] = STATE(10943),
    [sym_broadcast_call_expression] = STATE(10943),
    [sym__closed_macrocall_expression] = STATE(10943),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10943),
    [sym_quote_expression] = STATE(10943),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12904),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10943),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10943),
    [sym_string_literal] = STATE(10943),
    [sym_command_literal] = STATE(10943),
    [sym_prefixed_string_literal] = STATE(10943),
    [sym_prefixed_command_literal] = STATE(10943),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(9704),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3083] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(13122),
    [sym__expression] = STATE(12666),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10943),
    [sym__array] = STATE(10943),
    [sym_comprehension_expression] = STATE(10943),
    [sym_matrix_expression] = STATE(10943),
    [sym_vector_expression] = STATE(10943),
    [sym_parenthesized_expression] = STATE(10943),
    [sym_tuple_expression] = STATE(10943),
    [sym_curly_expression] = STATE(10943),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10943),
    [sym_index_expression] = STATE(10943),
    [sym_parametrized_type_expression] = STATE(10943),
    [sym_call_expression] = STATE(10943),
    [sym_broadcast_call_expression] = STATE(10943),
    [sym__closed_macrocall_expression] = STATE(10943),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10943),
    [sym_quote_expression] = STATE(10943),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12904),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10943),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10943),
    [sym_string_literal] = STATE(10943),
    [sym_command_literal] = STATE(10943),
    [sym_prefixed_string_literal] = STATE(10943),
    [sym_prefixed_command_literal] = STATE(10943),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(9704),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3084] = {
    [sym__expression] = STATE(13654),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16928),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10790),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3085] = {
    [sym_assignment] = STATE(9119),
    [sym_open_tuple] = STATE(9129),
    [sym__expression] = STATE(8694),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(9620),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3086] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10766),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3087] = {
    [sym_assignment] = STATE(8667),
    [sym_open_tuple] = STATE(8269),
    [sym__expression] = STATE(7429),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5286),
    [sym__array] = STATE(5286),
    [sym_comprehension_expression] = STATE(5286),
    [sym_matrix_expression] = STATE(5286),
    [sym_vector_expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_tuple_expression] = STATE(5286),
    [sym_curly_expression] = STATE(5286),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5286),
    [sym_index_expression] = STATE(5286),
    [sym_parametrized_type_expression] = STATE(5286),
    [sym_call_expression] = STATE(5286),
    [sym_broadcast_call_expression] = STATE(5286),
    [sym__closed_macrocall_expression] = STATE(5286),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5286),
    [sym_quote_expression] = STATE(5286),
    [sym_binary_expression] = STATE(8459),
    [sym_unary_expression] = STATE(8459),
    [sym_range_expression] = STATE(8459),
    [sym_splat_expression] = STATE(8459),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7829),
    [sym_unary_typed_expression] = STATE(8459),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8459),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5286),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5286),
    [sym_string_literal] = STATE(5286),
    [sym_command_literal] = STATE(5286),
    [sym_prefixed_string_literal] = STATE(5286),
    [sym_prefixed_command_literal] = STATE(5286),
    [sym_operator] = STATE(7636),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(10624),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3088] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10792),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3089] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10794),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3090] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10796),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3091] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10798),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3092] = {
    [sym_assignment] = STATE(12310),
    [sym_open_tuple] = STATE(12374),
    [sym__expression] = STATE(12202),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10563),
    [sym__array] = STATE(10563),
    [sym_comprehension_expression] = STATE(10563),
    [sym_matrix_expression] = STATE(10563),
    [sym_vector_expression] = STATE(10563),
    [sym_parenthesized_expression] = STATE(10563),
    [sym_tuple_expression] = STATE(10563),
    [sym_curly_expression] = STATE(10563),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10563),
    [sym_index_expression] = STATE(10563),
    [sym_parametrized_type_expression] = STATE(10563),
    [sym_call_expression] = STATE(10563),
    [sym_broadcast_call_expression] = STATE(10563),
    [sym__closed_macrocall_expression] = STATE(10563),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10563),
    [sym_quote_expression] = STATE(10563),
    [sym_binary_expression] = STATE(12790),
    [sym_unary_expression] = STATE(12790),
    [sym_range_expression] = STATE(12790),
    [sym_splat_expression] = STATE(12790),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12012),
    [sym_unary_typed_expression] = STATE(12790),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12790),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10563),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10563),
    [sym_string_literal] = STATE(10563),
    [sym_command_literal] = STATE(10563),
    [sym_prefixed_string_literal] = STATE(10563),
    [sym_prefixed_command_literal] = STATE(10563),
    [sym_operator] = STATE(11946),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(9584),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3093] = {
    [sym_assignment] = STATE(12305),
    [sym_open_tuple] = STATE(12373),
    [sym__expression] = STATE(12214),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10563),
    [sym__array] = STATE(10563),
    [sym_comprehension_expression] = STATE(10563),
    [sym_matrix_expression] = STATE(10563),
    [sym_vector_expression] = STATE(10563),
    [sym_parenthesized_expression] = STATE(10563),
    [sym_tuple_expression] = STATE(10563),
    [sym_curly_expression] = STATE(10563),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10563),
    [sym_index_expression] = STATE(10563),
    [sym_parametrized_type_expression] = STATE(10563),
    [sym_call_expression] = STATE(10563),
    [sym_broadcast_call_expression] = STATE(10563),
    [sym__closed_macrocall_expression] = STATE(10563),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10563),
    [sym_quote_expression] = STATE(10563),
    [sym_binary_expression] = STATE(12790),
    [sym_unary_expression] = STATE(12790),
    [sym_range_expression] = STATE(12790),
    [sym_splat_expression] = STATE(12790),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12012),
    [sym_unary_typed_expression] = STATE(12790),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12790),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10563),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10563),
    [sym_string_literal] = STATE(10563),
    [sym_command_literal] = STATE(10563),
    [sym_prefixed_string_literal] = STATE(10563),
    [sym_prefixed_command_literal] = STATE(10563),
    [sym_operator] = STATE(11946),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(9584),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3094] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10258),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3095] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(19103),
    [sym__expression] = STATE(12197),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10560),
    [sym__array] = STATE(10560),
    [sym_comprehension_expression] = STATE(10560),
    [sym_matrix_expression] = STATE(10560),
    [sym_vector_expression] = STATE(10560),
    [sym_parenthesized_expression] = STATE(10560),
    [sym_tuple_expression] = STATE(10560),
    [sym_curly_expression] = STATE(10560),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10560),
    [sym_index_expression] = STATE(10560),
    [sym_parametrized_type_expression] = STATE(10560),
    [sym_call_expression] = STATE(10560),
    [sym_broadcast_call_expression] = STATE(10560),
    [sym__closed_macrocall_expression] = STATE(10560),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10560),
    [sym_quote_expression] = STATE(10560),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12020),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10560),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10560),
    [sym_string_literal] = STATE(10560),
    [sym_command_literal] = STATE(10560),
    [sym_prefixed_string_literal] = STATE(10560),
    [sym_prefixed_command_literal] = STATE(10560),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(9588),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3096] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8944),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3097] = {
    [sym__expression] = STATE(13708),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17012),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10800),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3098] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10802),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3099] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10804),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3100] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10806),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3101] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10440),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3102] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10808),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3103] = {
    [sym_assignment] = STATE(7941),
    [sym_open_tuple] = STATE(19199),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11776),
    [sym__array] = STATE(11776),
    [sym_comprehension_expression] = STATE(11776),
    [sym_matrix_expression] = STATE(11776),
    [sym_vector_expression] = STATE(11776),
    [sym_parenthesized_expression] = STATE(11776),
    [sym_tuple_expression] = STATE(11776),
    [sym_curly_expression] = STATE(11776),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11776),
    [sym_index_expression] = STATE(11776),
    [sym_parametrized_type_expression] = STATE(11776),
    [sym_call_expression] = STATE(11776),
    [sym_broadcast_call_expression] = STATE(11776),
    [sym__closed_macrocall_expression] = STATE(11776),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11776),
    [sym_quote_expression] = STATE(11776),
    [sym_binary_expression] = STATE(14082),
    [sym_unary_expression] = STATE(14082),
    [sym_range_expression] = STATE(14082),
    [sym_splat_expression] = STATE(14082),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13860),
    [sym_unary_typed_expression] = STATE(14082),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14082),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11776),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11776),
    [sym_string_literal] = STATE(11776),
    [sym_command_literal] = STATE(11776),
    [sym_prefixed_string_literal] = STATE(11776),
    [sym_prefixed_command_literal] = STATE(11776),
    [sym_operator] = STATE(13862),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10810),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3104] = {
    [sym__expression] = STATE(13966),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16917),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10812),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3105] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10814),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3106] = {
    [sym__expression] = STATE(13804),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17098),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10816),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3107] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10818),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3108] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10820),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3109] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10822),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3110] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(19103),
    [sym__expression] = STATE(12200),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10560),
    [sym__array] = STATE(10560),
    [sym_comprehension_expression] = STATE(10560),
    [sym_matrix_expression] = STATE(10560),
    [sym_vector_expression] = STATE(10560),
    [sym_parenthesized_expression] = STATE(10560),
    [sym_tuple_expression] = STATE(10560),
    [sym_curly_expression] = STATE(10560),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10560),
    [sym_index_expression] = STATE(10560),
    [sym_parametrized_type_expression] = STATE(10560),
    [sym_call_expression] = STATE(10560),
    [sym_broadcast_call_expression] = STATE(10560),
    [sym__closed_macrocall_expression] = STATE(10560),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10560),
    [sym_quote_expression] = STATE(10560),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12020),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10560),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10560),
    [sym_string_literal] = STATE(10560),
    [sym_command_literal] = STATE(10560),
    [sym_prefixed_string_literal] = STATE(10560),
    [sym_prefixed_command_literal] = STATE(10560),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(9588),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3111] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10824),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3112] = {
    [sym_assignment] = STATE(10566),
    [sym_open_tuple] = STATE(18603),
    [sym__expression] = STATE(12443),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10943),
    [sym__array] = STATE(10943),
    [sym_comprehension_expression] = STATE(10943),
    [sym_matrix_expression] = STATE(10943),
    [sym_vector_expression] = STATE(10943),
    [sym_parenthesized_expression] = STATE(10943),
    [sym_tuple_expression] = STATE(10943),
    [sym_curly_expression] = STATE(10943),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10943),
    [sym_index_expression] = STATE(10943),
    [sym_parametrized_type_expression] = STATE(10943),
    [sym_call_expression] = STATE(10943),
    [sym_broadcast_call_expression] = STATE(10943),
    [sym__closed_macrocall_expression] = STATE(10943),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10943),
    [sym_quote_expression] = STATE(10943),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12904),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10943),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10943),
    [sym_string_literal] = STATE(10943),
    [sym_command_literal] = STATE(10943),
    [sym_prefixed_string_literal] = STATE(10943),
    [sym_prefixed_command_literal] = STATE(10943),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(9704),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3113] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10552),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3114] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10826),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3115] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10828),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3116] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10830),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3117] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10832),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3118] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10834),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3119] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10836),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3120] = {
    [sym_assignment] = STATE(10806),
    [sym_open_tuple] = STATE(18603),
    [sym__expression] = STATE(12444),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10943),
    [sym__array] = STATE(10943),
    [sym_comprehension_expression] = STATE(10943),
    [sym_matrix_expression] = STATE(10943),
    [sym_vector_expression] = STATE(10943),
    [sym_parenthesized_expression] = STATE(10943),
    [sym_tuple_expression] = STATE(10943),
    [sym_curly_expression] = STATE(10943),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10943),
    [sym_index_expression] = STATE(10943),
    [sym_parametrized_type_expression] = STATE(10943),
    [sym_call_expression] = STATE(10943),
    [sym_broadcast_call_expression] = STATE(10943),
    [sym__closed_macrocall_expression] = STATE(10943),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10943),
    [sym_quote_expression] = STATE(10943),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12904),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10943),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10943),
    [sym_string_literal] = STATE(10943),
    [sym_command_literal] = STATE(10943),
    [sym_prefixed_string_literal] = STATE(10943),
    [sym_prefixed_command_literal] = STATE(10943),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(9704),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3121] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10838),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3122] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10840),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3123] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10842),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3124] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10224),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3125] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10360),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3126] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10844),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3127] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(12944),
    [sym__expression] = STATE(12980),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11065),
    [sym__array] = STATE(11065),
    [sym_comprehension_expression] = STATE(11065),
    [sym_matrix_expression] = STATE(11065),
    [sym_vector_expression] = STATE(11065),
    [sym_parenthesized_expression] = STATE(11065),
    [sym_tuple_expression] = STATE(11065),
    [sym_curly_expression] = STATE(11065),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11065),
    [sym_index_expression] = STATE(11065),
    [sym_parametrized_type_expression] = STATE(11065),
    [sym_call_expression] = STATE(11065),
    [sym_broadcast_call_expression] = STATE(11065),
    [sym__closed_macrocall_expression] = STATE(11065),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11065),
    [sym_quote_expression] = STATE(11065),
    [sym_binary_expression] = STATE(13159),
    [sym_unary_expression] = STATE(13159),
    [sym_range_expression] = STATE(13159),
    [sym_splat_expression] = STATE(13159),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12546),
    [sym_unary_typed_expression] = STATE(13159),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13159),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11065),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11065),
    [sym_string_literal] = STATE(11065),
    [sym_command_literal] = STATE(11065),
    [sym_prefixed_string_literal] = STATE(11065),
    [sym_prefixed_command_literal] = STATE(11065),
    [sym_operator] = STATE(12545),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(10510),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3128] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10846),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3129] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10848),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3130] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(12753),
    [sym__expression] = STATE(11990),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10560),
    [sym__array] = STATE(10560),
    [sym_comprehension_expression] = STATE(10560),
    [sym_matrix_expression] = STATE(10560),
    [sym_vector_expression] = STATE(10560),
    [sym_parenthesized_expression] = STATE(10560),
    [sym_tuple_expression] = STATE(10560),
    [sym_curly_expression] = STATE(10560),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10560),
    [sym_index_expression] = STATE(10560),
    [sym_parametrized_type_expression] = STATE(10560),
    [sym_call_expression] = STATE(10560),
    [sym_broadcast_call_expression] = STATE(10560),
    [sym__closed_macrocall_expression] = STATE(10560),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10560),
    [sym_quote_expression] = STATE(10560),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12020),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10560),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10560),
    [sym_string_literal] = STATE(10560),
    [sym_command_literal] = STATE(10560),
    [sym_prefixed_string_literal] = STATE(10560),
    [sym_prefixed_command_literal] = STATE(10560),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(9588),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3131] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(12756),
    [sym__expression] = STATE(11987),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10560),
    [sym__array] = STATE(10560),
    [sym_comprehension_expression] = STATE(10560),
    [sym_matrix_expression] = STATE(10560),
    [sym_vector_expression] = STATE(10560),
    [sym_parenthesized_expression] = STATE(10560),
    [sym_tuple_expression] = STATE(10560),
    [sym_curly_expression] = STATE(10560),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10560),
    [sym_index_expression] = STATE(10560),
    [sym_parametrized_type_expression] = STATE(10560),
    [sym_call_expression] = STATE(10560),
    [sym_broadcast_call_expression] = STATE(10560),
    [sym__closed_macrocall_expression] = STATE(10560),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10560),
    [sym_quote_expression] = STATE(10560),
    [sym_binary_expression] = STATE(10537),
    [sym_unary_expression] = STATE(10537),
    [sym_range_expression] = STATE(10537),
    [sym_splat_expression] = STATE(10537),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12020),
    [sym_unary_typed_expression] = STATE(10537),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10537),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10560),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10560),
    [sym_string_literal] = STATE(10560),
    [sym_command_literal] = STATE(10560),
    [sym_prefixed_string_literal] = STATE(10560),
    [sym_prefixed_command_literal] = STATE(10560),
    [sym_operator] = STATE(10520),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(9588),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3132] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10850),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3133] = {
    [sym_assignment] = STATE(8553),
    [sym_open_tuple] = STATE(18998),
    [sym__expression] = STATE(8748),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3134] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10852),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3135] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10854),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3136] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10856),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3137] = {
    [sym_assignment] = STATE(12305),
    [sym_open_tuple] = STATE(12572),
    [sym__expression] = STATE(12306),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10889),
    [sym__array] = STATE(10889),
    [sym_comprehension_expression] = STATE(10889),
    [sym_matrix_expression] = STATE(10889),
    [sym_vector_expression] = STATE(10889),
    [sym_parenthesized_expression] = STATE(10889),
    [sym_tuple_expression] = STATE(10889),
    [sym_curly_expression] = STATE(10889),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10889),
    [sym_index_expression] = STATE(10889),
    [sym_parametrized_type_expression] = STATE(10889),
    [sym_call_expression] = STATE(10889),
    [sym_broadcast_call_expression] = STATE(10889),
    [sym__closed_macrocall_expression] = STATE(10889),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10889),
    [sym_quote_expression] = STATE(10889),
    [sym_binary_expression] = STATE(12302),
    [sym_unary_expression] = STATE(12302),
    [sym_range_expression] = STATE(12302),
    [sym_splat_expression] = STATE(12302),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12241),
    [sym_unary_typed_expression] = STATE(12302),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12302),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10889),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10889),
    [sym_string_literal] = STATE(10889),
    [sym_command_literal] = STATE(10889),
    [sym_prefixed_string_literal] = STATE(10889),
    [sym_prefixed_command_literal] = STATE(10889),
    [sym_operator] = STATE(12212),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(10858),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3138] = {
    [sym_assignment] = STATE(12310),
    [sym_open_tuple] = STATE(12573),
    [sym__expression] = STATE(12315),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10889),
    [sym__array] = STATE(10889),
    [sym_comprehension_expression] = STATE(10889),
    [sym_matrix_expression] = STATE(10889),
    [sym_vector_expression] = STATE(10889),
    [sym_parenthesized_expression] = STATE(10889),
    [sym_tuple_expression] = STATE(10889),
    [sym_curly_expression] = STATE(10889),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10889),
    [sym_index_expression] = STATE(10889),
    [sym_parametrized_type_expression] = STATE(10889),
    [sym_call_expression] = STATE(10889),
    [sym_broadcast_call_expression] = STATE(10889),
    [sym__closed_macrocall_expression] = STATE(10889),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10889),
    [sym_quote_expression] = STATE(10889),
    [sym_binary_expression] = STATE(12302),
    [sym_unary_expression] = STATE(12302),
    [sym_range_expression] = STATE(12302),
    [sym_splat_expression] = STATE(12302),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12241),
    [sym_unary_typed_expression] = STATE(12302),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12302),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10889),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10889),
    [sym_string_literal] = STATE(10889),
    [sym_command_literal] = STATE(10889),
    [sym_prefixed_string_literal] = STATE(10889),
    [sym_prefixed_command_literal] = STATE(10889),
    [sym_operator] = STATE(12212),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(10858),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3139] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10860),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3140] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10862),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3141] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10864),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3142] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3143] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10868),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3144] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10870),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3145] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(19431),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11837),
    [sym__array] = STATE(11837),
    [sym_comprehension_expression] = STATE(11837),
    [sym_matrix_expression] = STATE(11837),
    [sym_vector_expression] = STATE(11837),
    [sym_parenthesized_expression] = STATE(11837),
    [sym_tuple_expression] = STATE(11837),
    [sym_curly_expression] = STATE(11837),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11837),
    [sym_index_expression] = STATE(11837),
    [sym_parametrized_type_expression] = STATE(11837),
    [sym_call_expression] = STATE(11837),
    [sym_broadcast_call_expression] = STATE(11837),
    [sym__closed_macrocall_expression] = STATE(11837),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11837),
    [sym_quote_expression] = STATE(11837),
    [sym_binary_expression] = STATE(14121),
    [sym_unary_expression] = STATE(14121),
    [sym_range_expression] = STATE(14121),
    [sym_splat_expression] = STATE(14121),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13844),
    [sym_unary_typed_expression] = STATE(14121),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14121),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11837),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11837),
    [sym_string_literal] = STATE(11837),
    [sym_command_literal] = STATE(11837),
    [sym_prefixed_string_literal] = STATE(11837),
    [sym_prefixed_command_literal] = STATE(11837),
    [sym_operator] = STATE(13846),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10872),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3146] = {
    [sym_assignment] = STATE(8665),
    [sym_open_tuple] = STATE(18998),
    [sym__expression] = STATE(8747),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3147] = {
    [sym_assignment] = STATE(9076),
    [sym_open_tuple] = STATE(9032),
    [sym__expression] = STATE(8528),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(9620),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3148] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10874),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3149] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3150] = {
    [sym_assignment] = STATE(9105),
    [sym_open_tuple] = STATE(8886),
    [sym__expression] = STATE(8556),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6082),
    [sym__array] = STATE(6082),
    [sym_comprehension_expression] = STATE(6082),
    [sym_matrix_expression] = STATE(6082),
    [sym_vector_expression] = STATE(6082),
    [sym_parenthesized_expression] = STATE(6082),
    [sym_tuple_expression] = STATE(6082),
    [sym_curly_expression] = STATE(6082),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6082),
    [sym_index_expression] = STATE(6082),
    [sym_parametrized_type_expression] = STATE(6082),
    [sym_call_expression] = STATE(6082),
    [sym_broadcast_call_expression] = STATE(6082),
    [sym__closed_macrocall_expression] = STATE(6082),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6082),
    [sym_quote_expression] = STATE(6082),
    [sym_binary_expression] = STATE(8934),
    [sym_unary_expression] = STATE(8934),
    [sym_range_expression] = STATE(8934),
    [sym_splat_expression] = STATE(8934),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8408),
    [sym_unary_typed_expression] = STATE(8934),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8934),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6082),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6082),
    [sym_string_literal] = STATE(6082),
    [sym_command_literal] = STATE(6082),
    [sym_prefixed_string_literal] = STATE(6082),
    [sym_prefixed_command_literal] = STATE(6082),
    [sym_operator] = STATE(8668),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(9620),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3151] = {
    [sym_assignment] = STATE(10697),
    [sym_open_tuple] = STATE(13182),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(11260),
    [sym_comprehension_expression] = STATE(11260),
    [sym_matrix_expression] = STATE(11260),
    [sym_vector_expression] = STATE(11260),
    [sym_parenthesized_expression] = STATE(11260),
    [sym_tuple_expression] = STATE(11260),
    [sym_curly_expression] = STATE(11260),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11260),
    [sym_index_expression] = STATE(11260),
    [sym_parametrized_type_expression] = STATE(11260),
    [sym_call_expression] = STATE(11260),
    [sym_broadcast_call_expression] = STATE(11260),
    [sym__closed_macrocall_expression] = STATE(11260),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11260),
    [sym_quote_expression] = STATE(11260),
    [sym_binary_expression] = STATE(13267),
    [sym_unary_expression] = STATE(13267),
    [sym_range_expression] = STATE(13267),
    [sym_splat_expression] = STATE(13267),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13115),
    [sym_unary_typed_expression] = STATE(13267),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13267),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11260),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11260),
    [sym_string_literal] = STATE(11260),
    [sym_command_literal] = STATE(11260),
    [sym_prefixed_string_literal] = STATE(11260),
    [sym_prefixed_command_literal] = STATE(11260),
    [sym_operator] = STATE(13116),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(10048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3152] = {
    [sym_assignment] = STATE(10699),
    [sym_open_tuple] = STATE(13179),
    [sym__expression] = STATE(13181),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(11260),
    [sym_comprehension_expression] = STATE(11260),
    [sym_matrix_expression] = STATE(11260),
    [sym_vector_expression] = STATE(11260),
    [sym_parenthesized_expression] = STATE(11260),
    [sym_tuple_expression] = STATE(11260),
    [sym_curly_expression] = STATE(11260),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11260),
    [sym_index_expression] = STATE(11260),
    [sym_parametrized_type_expression] = STATE(11260),
    [sym_call_expression] = STATE(11260),
    [sym_broadcast_call_expression] = STATE(11260),
    [sym__closed_macrocall_expression] = STATE(11260),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11260),
    [sym_quote_expression] = STATE(11260),
    [sym_binary_expression] = STATE(13267),
    [sym_unary_expression] = STATE(13267),
    [sym_range_expression] = STATE(13267),
    [sym_splat_expression] = STATE(13267),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13115),
    [sym_unary_typed_expression] = STATE(13267),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13267),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11260),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11260),
    [sym_string_literal] = STATE(11260),
    [sym_command_literal] = STATE(11260),
    [sym_prefixed_string_literal] = STATE(11260),
    [sym_prefixed_command_literal] = STATE(11260),
    [sym_operator] = STATE(13116),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(10048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3153] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10878),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3154] = {
    [sym__expression] = STATE(13623),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17243),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10880),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3155] = {
    [sym_assignment] = STATE(19625),
    [sym_open_tuple] = STATE(17956),
    [sym__expression] = STATE(13689),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11547),
    [sym__array] = STATE(11547),
    [sym_comprehension_expression] = STATE(11547),
    [sym_matrix_expression] = STATE(11547),
    [sym_vector_expression] = STATE(11547),
    [sym_parenthesized_expression] = STATE(11547),
    [sym_tuple_expression] = STATE(11547),
    [sym_curly_expression] = STATE(11547),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11547),
    [sym_index_expression] = STATE(11547),
    [sym_parametrized_type_expression] = STATE(11547),
    [sym_call_expression] = STATE(11547),
    [sym_broadcast_call_expression] = STATE(11547),
    [sym__closed_macrocall_expression] = STATE(11547),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11547),
    [sym_quote_expression] = STATE(11547),
    [sym_binary_expression] = STATE(13621),
    [sym_unary_expression] = STATE(13621),
    [sym_range_expression] = STATE(13621),
    [sym_splat_expression] = STATE(13621),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13551),
    [sym_unary_typed_expression] = STATE(13621),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13621),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11547),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11547),
    [sym_string_literal] = STATE(11547),
    [sym_command_literal] = STATE(11547),
    [sym_prefixed_string_literal] = STATE(11547),
    [sym_prefixed_command_literal] = STATE(11547),
    [sym_operator] = STATE(13584),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(8684),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3156] = {
    [sym_assignment] = STATE(12517),
    [sym_open_tuple] = STATE(18385),
    [sym__expression] = STATE(12584),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10889),
    [sym__array] = STATE(10889),
    [sym_comprehension_expression] = STATE(10889),
    [sym_matrix_expression] = STATE(10889),
    [sym_vector_expression] = STATE(10889),
    [sym_parenthesized_expression] = STATE(10889),
    [sym_tuple_expression] = STATE(10889),
    [sym_curly_expression] = STATE(10889),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10889),
    [sym_index_expression] = STATE(10889),
    [sym_parametrized_type_expression] = STATE(10889),
    [sym_call_expression] = STATE(10889),
    [sym_broadcast_call_expression] = STATE(10889),
    [sym__closed_macrocall_expression] = STATE(10889),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10889),
    [sym_quote_expression] = STATE(10889),
    [sym_binary_expression] = STATE(12302),
    [sym_unary_expression] = STATE(12302),
    [sym_range_expression] = STATE(12302),
    [sym_splat_expression] = STATE(12302),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12241),
    [sym_unary_typed_expression] = STATE(12302),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12302),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10889),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10889),
    [sym_string_literal] = STATE(10889),
    [sym_command_literal] = STATE(10889),
    [sym_prefixed_string_literal] = STATE(10889),
    [sym_prefixed_command_literal] = STATE(10889),
    [sym_operator] = STATE(12212),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(10858),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3157] = {
    [sym_assignment] = STATE(9010),
    [sym_open_tuple] = STATE(18834),
    [sym__expression] = STATE(8919),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(8766),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3158] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10882),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3159] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10884),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3160] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10886),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3161] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10888),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3162] = {
    [sym_assignment] = STATE(14432),
    [sym_open_tuple] = STATE(15289),
    [sym__expression] = STATE(13083),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11014),
    [sym__array] = STATE(11014),
    [sym_comprehension_expression] = STATE(11014),
    [sym_matrix_expression] = STATE(11014),
    [sym_vector_expression] = STATE(11014),
    [sym_parenthesized_expression] = STATE(11014),
    [sym_tuple_expression] = STATE(11014),
    [sym_curly_expression] = STATE(11014),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11014),
    [sym_index_expression] = STATE(11014),
    [sym_parametrized_type_expression] = STATE(11014),
    [sym_call_expression] = STATE(11014),
    [sym_broadcast_call_expression] = STATE(11014),
    [sym__closed_macrocall_expression] = STATE(11014),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11014),
    [sym_quote_expression] = STATE(11014),
    [sym_binary_expression] = STATE(13044),
    [sym_unary_expression] = STATE(13044),
    [sym_range_expression] = STATE(13044),
    [sym_splat_expression] = STATE(13044),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12404),
    [sym_unary_typed_expression] = STATE(13044),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13044),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11014),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11014),
    [sym_string_literal] = STATE(11014),
    [sym_command_literal] = STATE(11014),
    [sym_prefixed_string_literal] = STATE(11014),
    [sym_prefixed_command_literal] = STATE(11014),
    [sym_operator] = STATE(12400),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(6788),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3163] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10890),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3164] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10892),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3165] = {
    [sym_assignment] = STATE(9030),
    [sym_open_tuple] = STATE(18834),
    [sym__expression] = STATE(8889),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6039),
    [sym__array] = STATE(6039),
    [sym_comprehension_expression] = STATE(6039),
    [sym_matrix_expression] = STATE(6039),
    [sym_vector_expression] = STATE(6039),
    [sym_parenthesized_expression] = STATE(6039),
    [sym_tuple_expression] = STATE(6039),
    [sym_curly_expression] = STATE(6039),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6039),
    [sym_index_expression] = STATE(6039),
    [sym_parametrized_type_expression] = STATE(6039),
    [sym_call_expression] = STATE(6039),
    [sym_broadcast_call_expression] = STATE(6039),
    [sym__closed_macrocall_expression] = STATE(6039),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6039),
    [sym_quote_expression] = STATE(6039),
    [sym_binary_expression] = STATE(8941),
    [sym_unary_expression] = STATE(8941),
    [sym_range_expression] = STATE(8941),
    [sym_splat_expression] = STATE(8941),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8320),
    [sym_unary_typed_expression] = STATE(8941),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8941),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6039),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6039),
    [sym_string_literal] = STATE(6039),
    [sym_command_literal] = STATE(6039),
    [sym_prefixed_string_literal] = STATE(6039),
    [sym_prefixed_command_literal] = STATE(6039),
    [sym_operator] = STATE(8327),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(8766),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3166] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10894),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3167] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10896),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3168] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10898),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3169] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10900),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3170] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10902),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3171] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10904),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3172] = {
    [sym_assignment] = STATE(12049),
    [sym_open_tuple] = STATE(13342),
    [sym__expression] = STATE(13105),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11306),
    [sym__array] = STATE(11306),
    [sym_comprehension_expression] = STATE(11306),
    [sym_matrix_expression] = STATE(11306),
    [sym_vector_expression] = STATE(11306),
    [sym_parenthesized_expression] = STATE(11306),
    [sym_tuple_expression] = STATE(11306),
    [sym_curly_expression] = STATE(11306),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11306),
    [sym_index_expression] = STATE(11306),
    [sym_parametrized_type_expression] = STATE(11306),
    [sym_call_expression] = STATE(11306),
    [sym_broadcast_call_expression] = STATE(11306),
    [sym__closed_macrocall_expression] = STATE(11306),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11306),
    [sym_quote_expression] = STATE(11306),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12948),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11306),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11306),
    [sym_string_literal] = STATE(11306),
    [sym_command_literal] = STATE(11306),
    [sym_prefixed_string_literal] = STATE(11306),
    [sym_prefixed_command_literal] = STATE(11306),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3196),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3173] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10906),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3174] = {
    [sym_assignment] = STATE(11858),
    [sym_open_tuple] = STATE(13335),
    [sym__expression] = STATE(13101),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11306),
    [sym__array] = STATE(11306),
    [sym_comprehension_expression] = STATE(11306),
    [sym_matrix_expression] = STATE(11306),
    [sym_vector_expression] = STATE(11306),
    [sym_parenthesized_expression] = STATE(11306),
    [sym_tuple_expression] = STATE(11306),
    [sym_curly_expression] = STATE(11306),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11306),
    [sym_index_expression] = STATE(11306),
    [sym_parametrized_type_expression] = STATE(11306),
    [sym_call_expression] = STATE(11306),
    [sym_broadcast_call_expression] = STATE(11306),
    [sym__closed_macrocall_expression] = STATE(11306),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11306),
    [sym_quote_expression] = STATE(11306),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12948),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11306),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11306),
    [sym_string_literal] = STATE(11306),
    [sym_command_literal] = STATE(11306),
    [sym_prefixed_string_literal] = STATE(11306),
    [sym_prefixed_command_literal] = STATE(11306),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3196),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3175] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10908),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3176] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8726),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3177] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10910),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3178] = {
    [sym_assignment] = STATE(12578),
    [sym_open_tuple] = STATE(12770),
    [sym__expression] = STATE(12376),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10889),
    [sym__array] = STATE(10889),
    [sym_comprehension_expression] = STATE(10889),
    [sym_matrix_expression] = STATE(10889),
    [sym_vector_expression] = STATE(10889),
    [sym_parenthesized_expression] = STATE(10889),
    [sym_tuple_expression] = STATE(10889),
    [sym_curly_expression] = STATE(10889),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10889),
    [sym_index_expression] = STATE(10889),
    [sym_parametrized_type_expression] = STATE(10889),
    [sym_call_expression] = STATE(10889),
    [sym_broadcast_call_expression] = STATE(10889),
    [sym__closed_macrocall_expression] = STATE(10889),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10889),
    [sym_quote_expression] = STATE(10889),
    [sym_binary_expression] = STATE(12302),
    [sym_unary_expression] = STATE(12302),
    [sym_range_expression] = STATE(12302),
    [sym_splat_expression] = STATE(12302),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12241),
    [sym_unary_typed_expression] = STATE(12302),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12302),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10889),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10889),
    [sym_string_literal] = STATE(10889),
    [sym_command_literal] = STATE(10889),
    [sym_prefixed_string_literal] = STATE(10889),
    [sym_prefixed_command_literal] = STATE(10889),
    [sym_operator] = STATE(12212),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(10858),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3179] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10400),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3180] = {
    [sym__expression] = STATE(13830),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17250),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10912),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3181] = {
    [sym_assignment] = STATE(8430),
    [sym_open_tuple] = STATE(8881),
    [sym__expression] = STATE(8699),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3182] = {
    [sym_assignment] = STATE(8422),
    [sym_open_tuple] = STATE(8796),
    [sym__expression] = STATE(8698),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6420),
    [sym__array] = STATE(6420),
    [sym_comprehension_expression] = STATE(6420),
    [sym_matrix_expression] = STATE(6420),
    [sym_vector_expression] = STATE(6420),
    [sym_parenthesized_expression] = STATE(6420),
    [sym_tuple_expression] = STATE(6420),
    [sym_curly_expression] = STATE(6420),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6420),
    [sym_index_expression] = STATE(6420),
    [sym_parametrized_type_expression] = STATE(6420),
    [sym_call_expression] = STATE(6420),
    [sym_broadcast_call_expression] = STATE(6420),
    [sym__closed_macrocall_expression] = STATE(6420),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6420),
    [sym_quote_expression] = STATE(6420),
    [sym_binary_expression] = STATE(8407),
    [sym_unary_expression] = STATE(8407),
    [sym_range_expression] = STATE(8407),
    [sym_splat_expression] = STATE(8407),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8709),
    [sym_unary_typed_expression] = STATE(8407),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8407),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6420),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6420),
    [sym_string_literal] = STATE(6420),
    [sym_command_literal] = STATE(6420),
    [sym_prefixed_string_literal] = STATE(6420),
    [sym_prefixed_command_literal] = STATE(6420),
    [sym_operator] = STATE(7773),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(973),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3183] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10914),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3184] = {
    [sym_assignment] = STATE(7307),
    [sym_open_tuple] = STATE(7778),
    [sym__expression] = STATE(7129),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(4777),
    [sym__array] = STATE(4777),
    [sym_comprehension_expression] = STATE(4777),
    [sym_matrix_expression] = STATE(4777),
    [sym_vector_expression] = STATE(4777),
    [sym_parenthesized_expression] = STATE(4777),
    [sym_tuple_expression] = STATE(4777),
    [sym_curly_expression] = STATE(4777),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(4777),
    [sym_index_expression] = STATE(4777),
    [sym_parametrized_type_expression] = STATE(4777),
    [sym_call_expression] = STATE(4777),
    [sym_broadcast_call_expression] = STATE(4777),
    [sym__closed_macrocall_expression] = STATE(4777),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(4777),
    [sym_quote_expression] = STATE(4777),
    [sym_binary_expression] = STATE(7879),
    [sym_unary_expression] = STATE(7879),
    [sym_range_expression] = STATE(7879),
    [sym_splat_expression] = STATE(7879),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7110),
    [sym_unary_typed_expression] = STATE(7879),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(7879),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(4777),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(4777),
    [sym_string_literal] = STATE(4777),
    [sym_command_literal] = STATE(4777),
    [sym_prefixed_string_literal] = STATE(4777),
    [sym_prefixed_command_literal] = STATE(4777),
    [sym_operator] = STATE(7101),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(9634),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3185] = {
    [sym_assignment] = STATE(8061),
    [sym_open_tuple] = STATE(18838),
    [sym__expression] = STATE(7149),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9066),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3186] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10916),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3187] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10918),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3188] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8848),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3189] = {
    [sym_assignment] = STATE(8667),
    [sym_open_tuple] = STATE(8444),
    [sym__expression] = STATE(8107),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5935),
    [sym__array] = STATE(5935),
    [sym_comprehension_expression] = STATE(5935),
    [sym_matrix_expression] = STATE(5935),
    [sym_vector_expression] = STATE(5935),
    [sym_parenthesized_expression] = STATE(5935),
    [sym_tuple_expression] = STATE(5935),
    [sym_curly_expression] = STATE(5935),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5935),
    [sym_index_expression] = STATE(5935),
    [sym_parametrized_type_expression] = STATE(5935),
    [sym_call_expression] = STATE(5935),
    [sym_broadcast_call_expression] = STATE(5935),
    [sym__closed_macrocall_expression] = STATE(5935),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5935),
    [sym_quote_expression] = STATE(5935),
    [sym_binary_expression] = STATE(8244),
    [sym_unary_expression] = STATE(8244),
    [sym_range_expression] = STATE(8244),
    [sym_splat_expression] = STATE(8244),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7999),
    [sym_unary_typed_expression] = STATE(8244),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8244),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5935),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5935),
    [sym_string_literal] = STATE(5935),
    [sym_command_literal] = STATE(5935),
    [sym_prefixed_string_literal] = STATE(5935),
    [sym_prefixed_command_literal] = STATE(5935),
    [sym_operator] = STATE(7997),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(9822),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3190] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10920),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3191] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10922),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3192] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10924),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3193] = {
    [sym_assignment] = STATE(10700),
    [sym_open_tuple] = STATE(19723),
    [sym__expression] = STATE(14080),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11760),
    [sym__array] = STATE(11760),
    [sym_comprehension_expression] = STATE(11760),
    [sym_matrix_expression] = STATE(11760),
    [sym_vector_expression] = STATE(11760),
    [sym_parenthesized_expression] = STATE(11760),
    [sym_tuple_expression] = STATE(11760),
    [sym_curly_expression] = STATE(11760),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11760),
    [sym_index_expression] = STATE(11760),
    [sym_parametrized_type_expression] = STATE(11760),
    [sym_call_expression] = STATE(11760),
    [sym_broadcast_call_expression] = STATE(11760),
    [sym__closed_macrocall_expression] = STATE(11760),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11760),
    [sym_quote_expression] = STATE(11760),
    [sym_binary_expression] = STATE(14109),
    [sym_unary_expression] = STATE(14109),
    [sym_range_expression] = STATE(14109),
    [sym_splat_expression] = STATE(14109),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13778),
    [sym_unary_typed_expression] = STATE(14109),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14109),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11760),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11760),
    [sym_string_literal] = STATE(11760),
    [sym_command_literal] = STATE(11760),
    [sym_prefixed_string_literal] = STATE(11760),
    [sym_prefixed_command_literal] = STATE(11760),
    [sym_operator] = STATE(13779),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10926),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3194] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10928),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3195] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10930),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3196] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10932),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3197] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10934),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3198] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10936),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3199] = {
    [sym_assignment] = STATE(12145),
    [sym_open_tuple] = STATE(18732),
    [sym__expression] = STATE(13104),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11306),
    [sym__array] = STATE(11306),
    [sym_comprehension_expression] = STATE(11306),
    [sym_matrix_expression] = STATE(11306),
    [sym_vector_expression] = STATE(11306),
    [sym_parenthesized_expression] = STATE(11306),
    [sym_tuple_expression] = STATE(11306),
    [sym_curly_expression] = STATE(11306),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11306),
    [sym_index_expression] = STATE(11306),
    [sym_parametrized_type_expression] = STATE(11306),
    [sym_call_expression] = STATE(11306),
    [sym_broadcast_call_expression] = STATE(11306),
    [sym__closed_macrocall_expression] = STATE(11306),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11306),
    [sym_quote_expression] = STATE(11306),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12948),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11306),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11306),
    [sym_string_literal] = STATE(11306),
    [sym_command_literal] = STATE(11306),
    [sym_prefixed_string_literal] = STATE(11306),
    [sym_prefixed_command_literal] = STATE(11306),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3196),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3200] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10938),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3201] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10940),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3202] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10942),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3203] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10266),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3204] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10458),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3205] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10944),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3206] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10946),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3207] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10948),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3208] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(8914),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3209] = {
    [sym__expression] = STATE(13705),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(16976),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10950),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3210] = {
    [sym_assignment] = STATE(7450),
    [sym_open_tuple] = STATE(18838),
    [sym__expression] = STATE(7147),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9066),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3211] = {
    [sym_assignment] = STATE(12364),
    [sym_open_tuple] = STATE(18385),
    [sym__expression] = STATE(12582),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10889),
    [sym__array] = STATE(10889),
    [sym_comprehension_expression] = STATE(10889),
    [sym_matrix_expression] = STATE(10889),
    [sym_vector_expression] = STATE(10889),
    [sym_parenthesized_expression] = STATE(10889),
    [sym_tuple_expression] = STATE(10889),
    [sym_curly_expression] = STATE(10889),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10889),
    [sym_index_expression] = STATE(10889),
    [sym_parametrized_type_expression] = STATE(10889),
    [sym_call_expression] = STATE(10889),
    [sym_broadcast_call_expression] = STATE(10889),
    [sym__closed_macrocall_expression] = STATE(10889),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10889),
    [sym_quote_expression] = STATE(10889),
    [sym_binary_expression] = STATE(12302),
    [sym_unary_expression] = STATE(12302),
    [sym_range_expression] = STATE(12302),
    [sym_splat_expression] = STATE(12302),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12241),
    [sym_unary_typed_expression] = STATE(12302),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12302),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10889),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10889),
    [sym_string_literal] = STATE(10889),
    [sym_command_literal] = STATE(10889),
    [sym_prefixed_string_literal] = STATE(10889),
    [sym_prefixed_command_literal] = STATE(10889),
    [sym_operator] = STATE(12212),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(10858),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3212] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10538),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3213] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10952),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3214] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10954),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3215] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10956),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3216] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10958),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3217] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10960),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3218] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10962),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3219] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10964),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3220] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10966),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3221] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10968),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3222] = {
    [sym_assignment] = STATE(10565),
    [sym_open_tuple] = STATE(12716),
    [sym__expression] = STATE(12381),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10785),
    [sym__array] = STATE(10785),
    [sym_comprehension_expression] = STATE(10785),
    [sym_matrix_expression] = STATE(10785),
    [sym_vector_expression] = STATE(10785),
    [sym_parenthesized_expression] = STATE(10785),
    [sym_tuple_expression] = STATE(10785),
    [sym_curly_expression] = STATE(10785),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10785),
    [sym_index_expression] = STATE(10785),
    [sym_parametrized_type_expression] = STATE(10785),
    [sym_call_expression] = STATE(10785),
    [sym_broadcast_call_expression] = STATE(10785),
    [sym__closed_macrocall_expression] = STATE(10785),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10785),
    [sym_quote_expression] = STATE(10785),
    [sym_binary_expression] = STATE(12672),
    [sym_unary_expression] = STATE(12672),
    [sym_range_expression] = STATE(12672),
    [sym_splat_expression] = STATE(12672),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12051),
    [sym_unary_typed_expression] = STATE(12672),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(12672),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10785),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10785),
    [sym_string_literal] = STATE(10785),
    [sym_command_literal] = STATE(10785),
    [sym_prefixed_string_literal] = STATE(10785),
    [sym_prefixed_command_literal] = STATE(10785),
    [sym_operator] = STATE(11977),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(10500),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3223] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(10970),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3224] = {
    [sym__expression] = STATE(13622),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17046),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10972),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3225] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10974),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3226] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10976),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3227] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(10978),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3228] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_RBRACE] = ACTIONS(10980),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3229] = {
    [sym_assignment] = STATE(7792),
    [sym_open_tuple] = STATE(7679),
    [sym__expression] = STATE(7269),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9066),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3230] = {
    [sym_assignment] = STATE(7801),
    [sym_open_tuple] = STATE(7678),
    [sym__expression] = STATE(7206),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(4653),
    [sym__array] = STATE(4653),
    [sym_comprehension_expression] = STATE(4653),
    [sym_matrix_expression] = STATE(4653),
    [sym_vector_expression] = STATE(4653),
    [sym_parenthesized_expression] = STATE(4653),
    [sym_tuple_expression] = STATE(4653),
    [sym_curly_expression] = STATE(4653),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(4653),
    [sym_index_expression] = STATE(4653),
    [sym_parametrized_type_expression] = STATE(4653),
    [sym_call_expression] = STATE(4653),
    [sym_broadcast_call_expression] = STATE(4653),
    [sym__closed_macrocall_expression] = STATE(4653),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(4653),
    [sym_quote_expression] = STATE(4653),
    [sym_binary_expression] = STATE(7771),
    [sym_unary_expression] = STATE(7771),
    [sym_range_expression] = STATE(7771),
    [sym_splat_expression] = STATE(7771),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7094),
    [sym_unary_typed_expression] = STATE(7771),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7771),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(4653),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(4653),
    [sym_string_literal] = STATE(4653),
    [sym_command_literal] = STATE(4653),
    [sym_prefixed_string_literal] = STATE(4653),
    [sym_prefixed_command_literal] = STATE(4653),
    [sym_operator] = STATE(6880),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(9066),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3231] = {
    [sym_assignment] = STATE(12042),
    [sym_open_tuple] = STATE(18732),
    [sym__expression] = STATE(13108),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11306),
    [sym__array] = STATE(11306),
    [sym_comprehension_expression] = STATE(11306),
    [sym_matrix_expression] = STATE(11306),
    [sym_vector_expression] = STATE(11306),
    [sym_parenthesized_expression] = STATE(11306),
    [sym_tuple_expression] = STATE(11306),
    [sym_curly_expression] = STATE(11306),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11306),
    [sym_index_expression] = STATE(11306),
    [sym_parametrized_type_expression] = STATE(11306),
    [sym_call_expression] = STATE(11306),
    [sym_broadcast_call_expression] = STATE(11306),
    [sym__closed_macrocall_expression] = STATE(11306),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11306),
    [sym_quote_expression] = STATE(11306),
    [sym_binary_expression] = STATE(12244),
    [sym_unary_expression] = STATE(12244),
    [sym_range_expression] = STATE(12244),
    [sym_splat_expression] = STATE(12244),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12948),
    [sym_unary_typed_expression] = STATE(12244),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12244),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11306),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11306),
    [sym_string_literal] = STATE(11306),
    [sym_command_literal] = STATE(11306),
    [sym_prefixed_string_literal] = STATE(11306),
    [sym_prefixed_command_literal] = STATE(11306),
    [sym_operator] = STATE(11565),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3196),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3232] = {
    [sym__closed_assignment] = STATE(17170),
    [sym__expression] = STATE(13909),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3233] = {
    [sym__closed_assignment] = STATE(15034),
    [sym__expression] = STATE(13770),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11374),
    [sym__array] = STATE(11374),
    [sym_comprehension_expression] = STATE(11374),
    [sym_matrix_expression] = STATE(11374),
    [sym_vector_expression] = STATE(11374),
    [sym_parenthesized_expression] = STATE(11374),
    [sym_tuple_expression] = STATE(11374),
    [sym_curly_expression] = STATE(11374),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11374),
    [sym_index_expression] = STATE(11374),
    [sym_parametrized_type_expression] = STATE(11374),
    [sym_call_expression] = STATE(11374),
    [sym_broadcast_call_expression] = STATE(11374),
    [sym__closed_macrocall_expression] = STATE(11374),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11374),
    [sym_quote_expression] = STATE(11374),
    [sym_binary_expression] = STATE(13445),
    [sym_unary_expression] = STATE(13445),
    [sym_range_expression] = STATE(13445),
    [sym_splat_expression] = STATE(13445),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13431),
    [sym_unary_typed_expression] = STATE(13445),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13445),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11374),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11374),
    [sym_string_literal] = STATE(11374),
    [sym_command_literal] = STATE(11374),
    [sym_prefixed_string_literal] = STATE(11374),
    [sym_prefixed_command_literal] = STATE(11374),
    [sym_operator] = STATE(13436),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(7948),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3234] = {
    [sym__closed_assignment] = STATE(9609),
    [sym__expression] = STATE(9213),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6075),
    [sym__array] = STATE(6075),
    [sym_comprehension_expression] = STATE(6075),
    [sym_matrix_expression] = STATE(6075),
    [sym_vector_expression] = STATE(6075),
    [sym_parenthesized_expression] = STATE(6075),
    [sym_tuple_expression] = STATE(6075),
    [sym_curly_expression] = STATE(6075),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6075),
    [sym_index_expression] = STATE(6075),
    [sym_parametrized_type_expression] = STATE(6075),
    [sym_call_expression] = STATE(6075),
    [sym_broadcast_call_expression] = STATE(6075),
    [sym__closed_macrocall_expression] = STATE(6075),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(6075),
    [sym_quote_expression] = STATE(6075),
    [sym_binary_expression] = STATE(9036),
    [sym_unary_expression] = STATE(9036),
    [sym_range_expression] = STATE(9036),
    [sym_splat_expression] = STATE(9036),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8468),
    [sym_unary_typed_expression] = STATE(9036),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9036),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(6075),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6075),
    [sym_string_literal] = STATE(6075),
    [sym_command_literal] = STATE(6075),
    [sym_prefixed_string_literal] = STATE(6075),
    [sym_prefixed_command_literal] = STATE(6075),
    [sym_operator] = STATE(8467),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6322),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3235] = {
    [sym__closed_assignment] = STATE(17216),
    [sym__expression] = STATE(13863),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11427),
    [sym__array] = STATE(11427),
    [sym_comprehension_expression] = STATE(11427),
    [sym_matrix_expression] = STATE(11427),
    [sym_vector_expression] = STATE(11427),
    [sym_parenthesized_expression] = STATE(11427),
    [sym_tuple_expression] = STATE(11427),
    [sym_curly_expression] = STATE(11427),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11427),
    [sym_index_expression] = STATE(11427),
    [sym_parametrized_type_expression] = STATE(11427),
    [sym_call_expression] = STATE(11427),
    [sym_broadcast_call_expression] = STATE(11427),
    [sym__closed_macrocall_expression] = STATE(11427),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11427),
    [sym_quote_expression] = STATE(11427),
    [sym_binary_expression] = STATE(13474),
    [sym_unary_expression] = STATE(13474),
    [sym_range_expression] = STATE(13474),
    [sym_splat_expression] = STATE(13474),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13348),
    [sym_unary_typed_expression] = STATE(13474),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(13474),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11427),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11427),
    [sym_string_literal] = STATE(11427),
    [sym_command_literal] = STATE(11427),
    [sym_prefixed_string_literal] = STATE(11427),
    [sym_prefixed_command_literal] = STATE(11427),
    [sym_operator] = STATE(13349),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3236] = {
    [sym__closed_assignment] = STATE(17219),
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12196),
    [sym__array] = STATE(12196),
    [sym_comprehension_expression] = STATE(12196),
    [sym_matrix_expression] = STATE(12196),
    [sym_vector_expression] = STATE(12196),
    [sym_parenthesized_expression] = STATE(12196),
    [sym_tuple_expression] = STATE(12196),
    [sym_curly_expression] = STATE(12196),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12196),
    [sym_index_expression] = STATE(12196),
    [sym_parametrized_type_expression] = STATE(12196),
    [sym_call_expression] = STATE(12196),
    [sym_broadcast_call_expression] = STATE(12196),
    [sym__closed_macrocall_expression] = STATE(12196),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12196),
    [sym_quote_expression] = STATE(12196),
    [sym_binary_expression] = STATE(14145),
    [sym_unary_expression] = STATE(14145),
    [sym_range_expression] = STATE(14145),
    [sym_splat_expression] = STATE(14145),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14133),
    [sym_unary_typed_expression] = STATE(14145),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(14145),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10541),
    [sym_boolean_literal] = STATE(12196),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12196),
    [sym_string_literal] = STATE(12196),
    [sym_command_literal] = STATE(12196),
    [sym_prefixed_string_literal] = STATE(12196),
    [sym_prefixed_command_literal] = STATE(12196),
    [sym_operator] = STATE(14138),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10984),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3237] = {
    [sym__expression] = STATE(14147),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_named_field] = STATE(19485),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11251),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3238] = {
    [sym__expression] = STATE(14144),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_named_field] = STATE(19700),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11251),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3239] = {
    [sym__closed_assignment] = STATE(15034),
    [sym__expression] = STATE(13521),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11246),
    [sym__array] = STATE(11246),
    [sym_comprehension_expression] = STATE(11246),
    [sym_matrix_expression] = STATE(11246),
    [sym_vector_expression] = STATE(11246),
    [sym_parenthesized_expression] = STATE(11246),
    [sym_tuple_expression] = STATE(11246),
    [sym_curly_expression] = STATE(11246),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11246),
    [sym_index_expression] = STATE(11246),
    [sym_parametrized_type_expression] = STATE(11246),
    [sym_call_expression] = STATE(11246),
    [sym_broadcast_call_expression] = STATE(11246),
    [sym__closed_macrocall_expression] = STATE(11246),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11246),
    [sym_quote_expression] = STATE(11246),
    [sym_binary_expression] = STATE(13253),
    [sym_unary_expression] = STATE(13253),
    [sym_range_expression] = STATE(13253),
    [sym_splat_expression] = STATE(13253),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(13253),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13253),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11246),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11246),
    [sym_string_literal] = STATE(11246),
    [sym_command_literal] = STATE(11246),
    [sym_prefixed_string_literal] = STATE(11246),
    [sym_prefixed_command_literal] = STATE(11246),
    [sym_operator] = STATE(13164),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(6410),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3240] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12983),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11263),
    [sym__array] = STATE(11263),
    [sym_comprehension_expression] = STATE(11263),
    [sym_matrix_expression] = STATE(11263),
    [sym_vector_expression] = STATE(11263),
    [sym_parenthesized_expression] = STATE(11263),
    [sym_tuple_expression] = STATE(11263),
    [sym_curly_expression] = STATE(11263),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11263),
    [sym_index_expression] = STATE(11263),
    [sym_parametrized_type_expression] = STATE(11263),
    [sym_call_expression] = STATE(11263),
    [sym_broadcast_call_expression] = STATE(11263),
    [sym__closed_macrocall_expression] = STATE(11263),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11263),
    [sym_quote_expression] = STATE(11263),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12905),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11263),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11263),
    [sym_string_literal] = STATE(11263),
    [sym_command_literal] = STATE(11263),
    [sym_prefixed_string_literal] = STATE(11263),
    [sym_prefixed_command_literal] = STATE(11263),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(7014),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3241] = {
    [sym__closed_assignment] = STATE(15034),
    [sym__expression] = STATE(13760),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3242] = {
    [sym__expression] = STATE(14129),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11194),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3243] = {
    [sym__closed_assignment] = STATE(15034),
    [sym__expression] = STATE(13787),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11392),
    [sym__array] = STATE(11392),
    [sym_comprehension_expression] = STATE(11392),
    [sym_matrix_expression] = STATE(11392),
    [sym_vector_expression] = STATE(11392),
    [sym_parenthesized_expression] = STATE(11392),
    [sym_tuple_expression] = STATE(11392),
    [sym_curly_expression] = STATE(11392),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11392),
    [sym_index_expression] = STATE(11392),
    [sym_parametrized_type_expression] = STATE(11392),
    [sym_call_expression] = STATE(11392),
    [sym_broadcast_call_expression] = STATE(11392),
    [sym__closed_macrocall_expression] = STATE(11392),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11392),
    [sym_quote_expression] = STATE(11392),
    [sym_binary_expression] = STATE(13233),
    [sym_unary_expression] = STATE(13233),
    [sym_range_expression] = STATE(13233),
    [sym_splat_expression] = STATE(13233),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(13233),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13233),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11392),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11392),
    [sym_string_literal] = STATE(11392),
    [sym_command_literal] = STATE(11392),
    [sym_prefixed_string_literal] = STATE(11392),
    [sym_prefixed_command_literal] = STATE(11392),
    [sym_operator] = STATE(13125),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(10986),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3244] = {
    [sym__closed_assignment] = STATE(17128),
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11419),
    [sym__array] = STATE(11419),
    [sym_comprehension_expression] = STATE(11419),
    [sym_matrix_expression] = STATE(11419),
    [sym_vector_expression] = STATE(11419),
    [sym_parenthesized_expression] = STATE(11419),
    [sym_tuple_expression] = STATE(11419),
    [sym_curly_expression] = STATE(11419),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11419),
    [sym_index_expression] = STATE(11419),
    [sym_parametrized_type_expression] = STATE(11419),
    [sym_call_expression] = STATE(11419),
    [sym_broadcast_call_expression] = STATE(11419),
    [sym__closed_macrocall_expression] = STATE(11419),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11419),
    [sym_quote_expression] = STATE(11419),
    [sym_binary_expression] = STATE(13222),
    [sym_unary_expression] = STATE(13222),
    [sym_range_expression] = STATE(13222),
    [sym_splat_expression] = STATE(13222),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13229),
    [sym_unary_typed_expression] = STATE(13222),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(13222),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11419),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11419),
    [sym_string_literal] = STATE(11419),
    [sym_command_literal] = STATE(11419),
    [sym_prefixed_string_literal] = STATE(11419),
    [sym_prefixed_command_literal] = STATE(11419),
    [sym_operator] = STATE(13146),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(8538),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3245] = {
    [sym__closed_assignment] = STATE(9609),
    [sym__expression] = STATE(9293),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6470),
    [sym__array] = STATE(6470),
    [sym_comprehension_expression] = STATE(6470),
    [sym_matrix_expression] = STATE(6470),
    [sym_vector_expression] = STATE(6470),
    [sym_parenthesized_expression] = STATE(6470),
    [sym_tuple_expression] = STATE(6470),
    [sym_curly_expression] = STATE(6470),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6470),
    [sym_index_expression] = STATE(6470),
    [sym_parametrized_type_expression] = STATE(6470),
    [sym_call_expression] = STATE(6470),
    [sym_broadcast_call_expression] = STATE(6470),
    [sym__closed_macrocall_expression] = STATE(6470),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6470),
    [sym_quote_expression] = STATE(6470),
    [sym_binary_expression] = STATE(9210),
    [sym_unary_expression] = STATE(9210),
    [sym_range_expression] = STATE(9210),
    [sym_splat_expression] = STATE(9210),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(8806),
    [sym_unary_typed_expression] = STATE(9210),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(9210),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6470),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6470),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(8875),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(6986),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3246] = {
    [sym__expression] = STATE(13906),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_named_field] = STATE(17173),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3247] = {
    [sym__expression] = STATE(9221),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3248] = {
    [sym__expression] = STATE(8258),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3249] = {
    [sym__expression] = STATE(14179),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(11511),
    [sym_tuple_expression] = STATE(11511),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(13959),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13449),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11046),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3250] = {
    [sym__expression] = STATE(13356),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3251] = {
    [sym__expression] = STATE(13130),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3252] = {
    [sym__expression] = STATE(12936),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3253] = {
    [sym__expression] = STATE(12362),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3254] = {
    [sym__expression] = STATE(12859),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3255] = {
    [sym__expression] = STATE(12855),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3256] = {
    [sym__expression] = STATE(12848),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3257] = {
    [sym__expression] = STATE(13362),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3258] = {
    [sym__expression] = STATE(12843),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3259] = {
    [sym__expression] = STATE(12837),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3260] = {
    [sym__expression] = STATE(12786),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3261] = {
    [sym__expression] = STATE(13365),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3262] = {
    [sym__expression] = STATE(13109),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3263] = {
    [sym__expression] = STATE(12764),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3264] = {
    [sym__expression] = STATE(13420),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3265] = {
    [sym__expression] = STATE(9020),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3266] = {
    [sym__expression] = STATE(9306),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3267] = {
    [sym__expression] = STATE(9302),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3268] = {
    [sym__expression] = STATE(9298),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3269] = {
    [sym__expression] = STATE(9296),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3270] = {
    [sym__expression] = STATE(9294),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3271] = {
    [sym__expression] = STATE(9292),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3272] = {
    [sym__expression] = STATE(9290),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3273] = {
    [sym__expression] = STATE(13478),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3274] = {
    [sym__expression] = STATE(13481),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3275] = {
    [sym__expression] = STATE(12743),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3276] = {
    [sym__expression] = STATE(12741),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3277] = {
    [sym__expression] = STATE(12736),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3278] = {
    [sym__expression] = STATE(9300),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3279] = {
    [sym__expression] = STATE(12735),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3280] = {
    [sym__expression] = STATE(12619),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3281] = {
    [sym__expression] = STATE(13513),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3282] = {
    [sym__expression] = STATE(12732),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3283] = {
    [sym__expression] = STATE(9279),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3284] = {
    [sym__expression] = STATE(12721),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3285] = {
    [sym__expression] = STATE(12717),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3286] = {
    [sym__expression] = STATE(13065),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3287] = {
    [sym__expression] = STATE(13131),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3288] = {
    [sym__expression] = STATE(13369),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3289] = {
    [sym__expression] = STATE(13509),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3290] = {
    [sym__expression] = STATE(13508),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3291] = {
    [sym__expression] = STATE(13497),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3292] = {
    [sym__expression] = STATE(14099),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3293] = {
    [sym__expression] = STATE(13132),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3294] = {
    [sym__expression] = STATE(9202),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3295] = {
    [sym__expression] = STATE(9197),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3296] = {
    [sym__expression] = STATE(9203),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3297] = {
    [sym__expression] = STATE(9053),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3298] = {
    [sym__expression] = STATE(8791),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3299] = {
    [sym__expression] = STATE(9206),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3300] = {
    [sym__expression] = STATE(9207),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3301] = {
    [sym__expression] = STATE(13133),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3302] = {
    [sym__expression] = STATE(8878),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3303] = {
    [sym__expression] = STATE(13134),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3304] = {
    [sym__expression] = STATE(8921),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3305] = {
    [sym__expression] = STATE(8855),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3306] = {
    [sym__expression] = STATE(13112),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3307] = {
    [sym__expression] = STATE(8874),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3308] = {
    [sym__expression] = STATE(12864),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3309] = {
    [sym__expression] = STATE(13135),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3310] = {
    [sym__expression] = STATE(9100),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3311] = {
    [sym__expression] = STATE(9096),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3312] = {
    [sym__expression] = STATE(8920),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3313] = {
    [sym__expression] = STATE(9095),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3314] = {
    [sym__expression] = STATE(9092),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3315] = {
    [sym__expression] = STATE(9049),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3316] = {
    [sym__expression] = STATE(9091),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3317] = {
    [sym__expression] = STATE(8992),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3318] = {
    [sym__expression] = STATE(9018),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3319] = {
    [sym__expression] = STATE(8573),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3320] = {
    [sym__expression] = STATE(13107),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3321] = {
    [sym__expression] = STATE(13106),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3322] = {
    [sym__expression] = STATE(7885),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3323] = {
    [sym__expression] = STATE(14098),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3324] = {
    [sym__expression] = STATE(9024),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3325] = {
    [sym__expression] = STATE(13136),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3326] = {
    [sym__expression] = STATE(13139),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3327] = {
    [sym__expression] = STATE(13103),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3328] = {
    [sym__expression] = STATE(13098),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3329] = {
    [sym__expression] = STATE(14096),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3330] = {
    [sym__expression] = STATE(12778),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3331] = {
    [sym__expression] = STATE(13143),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3332] = {
    [sym__expression] = STATE(13351),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3333] = {
    [sym__expression] = STATE(13003),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3334] = {
    [sym__expression] = STATE(13002),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3335] = {
    [sym__expression] = STATE(13000),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3336] = {
    [sym__expression] = STATE(12999),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3337] = {
    [sym__expression] = STATE(12996),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3338] = {
    [sym__expression] = STATE(12995),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3339] = {
    [sym__expression] = STATE(13095),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3340] = {
    [sym__expression] = STATE(13093),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3341] = {
    [sym__expression] = STATE(12993),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3342] = {
    [sym__expression] = STATE(13035),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3343] = {
    [sym__expression] = STATE(12992),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3344] = {
    [sym__expression] = STATE(13089),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3345] = {
    [sym__expression] = STATE(12914),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3346] = {
    [sym__expression] = STATE(13088),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3347] = {
    [sym__expression] = STATE(12991),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3348] = {
    [sym__expression] = STATE(12988),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3349] = {
    [sym__expression] = STATE(12986),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3350] = {
    [sym__expression] = STATE(12984),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3351] = {
    [sym__expression] = STATE(12982),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3352] = {
    [sym__expression] = STATE(12800),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3353] = {
    [sym__expression] = STATE(13045),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3354] = {
    [sym__expression] = STATE(13380),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3355] = {
    [sym__expression] = STATE(12345),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3356] = {
    [sym__expression] = STATE(13379),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3357] = {
    [sym__expression] = STATE(13347),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3358] = {
    [sym__expression] = STATE(13372),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3359] = {
    [sym__expression] = STATE(13332),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3360] = {
    [sym__expression] = STATE(13336),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3361] = {
    [sym__expression] = STATE(13371),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3362] = {
    [sym__expression] = STATE(13331),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3363] = {
    [sym__expression] = STATE(13326),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3364] = {
    [sym__expression] = STATE(13325),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3365] = {
    [sym__expression] = STATE(12979),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3366] = {
    [sym__expression] = STATE(8490),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3367] = {
    [sym__expression] = STATE(12977),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3368] = {
    [sym__expression] = STATE(13080),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3369] = {
    [sym__expression] = STATE(12976),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3370] = {
    [sym__expression] = STATE(12974),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3371] = {
    [sym__expression] = STATE(12970),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3372] = {
    [sym__expression] = STATE(12968),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3373] = {
    [sym__expression] = STATE(12966),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3374] = {
    [sym__expression] = STATE(12965),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3375] = {
    [sym__expression] = STATE(12963),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3376] = {
    [sym__expression] = STATE(12962),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3377] = {
    [sym__expression] = STATE(12961),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3378] = {
    [sym__expression] = STATE(12953),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3379] = {
    [sym__expression] = STATE(12950),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3380] = {
    [sym__expression] = STATE(12947),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3381] = {
    [sym__expression] = STATE(12362),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10972),
    [sym__array] = STATE(10972),
    [sym_comprehension_expression] = STATE(10972),
    [sym_matrix_expression] = STATE(10972),
    [sym_vector_expression] = STATE(10972),
    [sym_parenthesized_expression] = STATE(10972),
    [sym_tuple_expression] = STATE(10972),
    [sym_curly_expression] = STATE(10972),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10972),
    [sym_index_expression] = STATE(10972),
    [sym_parametrized_type_expression] = STATE(10972),
    [sym_call_expression] = STATE(10972),
    [sym_broadcast_call_expression] = STATE(10972),
    [sym__closed_macrocall_expression] = STATE(10972),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(18653),
    [sym_interpolation_expression] = STATE(10972),
    [sym_quote_expression] = STATE(10972),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(12349),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(16),
    [sym_identifier] = STATE(10189),
    [sym_boolean_literal] = STATE(10972),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10972),
    [sym_string_literal] = STATE(10972),
    [sym_command_literal] = STATE(10972),
    [sym_prefixed_string_literal] = STATE(10972),
    [sym_prefixed_command_literal] = STATE(10972),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(127),
    [anon_sym_const] = ACTIONS(129),
    [anon_sym_global] = ACTIONS(131),
    [anon_sym_local] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11000),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11002),
    [sym__type_order_operator] = ACTIONS(11002),
    [sym__unary_operator] = ACTIONS(2796),
    [sym__unary_plus_operator] = ACTIONS(2796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3382] = {
    [sym__expression] = STATE(12258),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3383] = {
    [sym__expression] = STATE(13309),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3384] = {
    [sym__expression] = STATE(13260),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3385] = {
    [sym__expression] = STATE(13180),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3386] = {
    [sym__expression] = STATE(13183),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3387] = {
    [sym__expression] = STATE(13187),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3388] = {
    [sym__expression] = STATE(13199),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3389] = {
    [sym__expression] = STATE(13200),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3390] = {
    [sym__expression] = STATE(13203),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3391] = {
    [sym__expression] = STATE(13208),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3392] = {
    [sym__expression] = STATE(13210),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3393] = {
    [sym__expression] = STATE(13212),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3394] = {
    [sym__expression] = STATE(13220),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3395] = {
    [sym__expression] = STATE(7637),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3396] = {
    [sym__expression] = STATE(13223),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3397] = {
    [sym__expression] = STATE(13225),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3398] = {
    [sym__expression] = STATE(13227),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3399] = {
    [sym__expression] = STATE(7622),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3400] = {
    [sym__expression] = STATE(12922),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3401] = {
    [sym__expression] = STATE(7620),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3402] = {
    [sym__expression] = STATE(7613),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3403] = {
    [sym__expression] = STATE(7321),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3404] = {
    [sym__expression] = STATE(7610),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3405] = {
    [sym__expression] = STATE(13740),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3406] = {
    [sym__expression] = STATE(12912),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3407] = {
    [sym__expression] = STATE(13282),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3408] = {
    [sym__expression] = STATE(13280),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3409] = {
    [sym__expression] = STATE(8943),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3410] = {
    [sym__expression] = STATE(8944),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3411] = {
    [sym__expression] = STATE(8945),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3412] = {
    [sym__expression] = STATE(13070),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3413] = {
    [sym__expression] = STATE(8959),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3414] = {
    [sym__expression] = STATE(8961),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3415] = {
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3416] = {
    [sym__expression] = STATE(13273),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3417] = {
    [sym__expression] = STATE(13261),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3418] = {
    [sym__expression] = STATE(13259),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3419] = {
    [sym__expression] = STATE(8964),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3420] = {
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3421] = {
    [sym__expression] = STATE(8974),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3422] = {
    [sym__expression] = STATE(8975),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3423] = {
    [sym__expression] = STATE(8988),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3424] = {
    [sym__expression] = STATE(8994),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3425] = {
    [sym__expression] = STATE(8996),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3426] = {
    [sym__expression] = STATE(9003),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3427] = {
    [sym__expression] = STATE(9007),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3428] = {
    [sym__expression] = STATE(8732),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3429] = {
    [sym__expression] = STATE(8316),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3430] = {
    [sym__expression] = STATE(13066),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3431] = {
    [sym__expression] = STATE(13061),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3432] = {
    [sym__expression] = STATE(13246),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3433] = {
    [sym__expression] = STATE(8742),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3434] = {
    [sym__expression] = STATE(13244),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3435] = {
    [sym__expression] = STATE(14164),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3436] = {
    [sym__expression] = STATE(12619),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3437] = {
    [sym__expression] = STATE(14163),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3438] = {
    [sym__expression] = STATE(14165),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3439] = {
    [sym__expression] = STATE(14158),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3440] = {
    [sym__expression] = STATE(14159),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3441] = {
    [sym__expression] = STATE(14143),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3442] = {
    [sym__expression] = STATE(8540),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3443] = {
    [sym__expression] = STATE(14156),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3444] = {
    [sym__expression] = STATE(13389),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3445] = {
    [sym__expression] = STATE(8323),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3446] = {
    [sym__expression] = STATE(12930),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3447] = {
    [sym__expression] = STATE(12932),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3448] = {
    [sym__expression] = STATE(12941),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3449] = {
    [sym__expression] = STATE(14155),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3450] = {
    [sym__expression] = STATE(12943),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3451] = {
    [sym__expression] = STATE(12946),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3452] = {
    [sym__expression] = STATE(12951),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3453] = {
    [sym__expression] = STATE(12952),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3454] = {
    [sym__expression] = STATE(12954),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3455] = {
    [sym__expression] = STATE(12955),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3456] = {
    [sym__expression] = STATE(12956),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3457] = {
    [sym__expression] = STATE(12959),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3458] = {
    [sym__expression] = STATE(12960),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3459] = {
    [sym__expression] = STATE(12967),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3460] = {
    [sym__expression] = STATE(12971),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3461] = {
    [sym__expression] = STATE(12922),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(11155),
    [sym_comprehension_expression] = STATE(11155),
    [sym_matrix_expression] = STATE(11155),
    [sym_vector_expression] = STATE(11155),
    [sym_parenthesized_expression] = STATE(11155),
    [sym_tuple_expression] = STATE(11155),
    [sym_curly_expression] = STATE(11155),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11155),
    [sym_index_expression] = STATE(11155),
    [sym_parametrized_type_expression] = STATE(11155),
    [sym_call_expression] = STATE(11155),
    [sym_broadcast_call_expression] = STATE(11155),
    [sym__closed_macrocall_expression] = STATE(11155),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19529),
    [sym_interpolation_expression] = STATE(11155),
    [sym_quote_expression] = STATE(11155),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12353),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(26),
    [sym_identifier] = STATE(10240),
    [sym_boolean_literal] = STATE(11155),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11155),
    [sym_string_literal] = STATE(11155),
    [sym_command_literal] = STATE(11155),
    [sym_prefixed_string_literal] = STATE(11155),
    [sym_prefixed_command_literal] = STATE(11155),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2369),
    [anon_sym_const] = ACTIONS(2371),
    [anon_sym_global] = ACTIONS(2373),
    [anon_sym_local] = ACTIONS(2375),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11014),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6522),
    [sym__type_order_operator] = ACTIONS(6522),
    [sym__unary_operator] = ACTIONS(2393),
    [sym__unary_plus_operator] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3462] = {
    [sym__expression] = STATE(8704),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3463] = {
    [sym__expression] = STATE(14154),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3464] = {
    [sym__expression] = STATE(13402),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11259),
    [sym__array] = STATE(11259),
    [sym_comprehension_expression] = STATE(11259),
    [sym_matrix_expression] = STATE(11259),
    [sym_vector_expression] = STATE(11259),
    [sym_parenthesized_expression] = STATE(11259),
    [sym_tuple_expression] = STATE(11259),
    [sym_curly_expression] = STATE(11259),
    [sym_adjoint_expression] = STATE(7589),
    [sym_field_expression] = STATE(11259),
    [sym_index_expression] = STATE(11259),
    [sym_parametrized_type_expression] = STATE(11259),
    [sym_call_expression] = STATE(11259),
    [sym_broadcast_call_expression] = STATE(11259),
    [sym__closed_macrocall_expression] = STATE(11259),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18731),
    [sym_interpolation_expression] = STATE(11259),
    [sym_quote_expression] = STATE(11259),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13092),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(42),
    [sym_identifier] = STATE(10243),
    [sym_boolean_literal] = STATE(11259),
    [sym_integer_literal] = STATE(9344),
    [sym_float_literal] = STATE(9344),
    [sym__string] = STATE(11259),
    [sym_string_literal] = STATE(11259),
    [sym_command_literal] = STATE(11259),
    [sym_prefixed_string_literal] = STATE(11259),
    [sym_prefixed_command_literal] = STATE(11259),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_global] = ACTIONS(2854),
    [anon_sym_local] = ACTIONS(2856),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2377),
    [anon_sym_import] = ACTIONS(2379),
    [anon_sym_using] = ACTIONS(2379),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6510),
    [anon_sym_COLON_COLON] = ACTIONS(6512),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6516),
    [aux_sym_integer_literal_token2] = ACTIONS(6516),
    [aux_sym_integer_literal_token3] = ACTIONS(2385),
    [aux_sym_integer_literal_token4] = ACTIONS(2387),
    [aux_sym_float_literal_token1] = ACTIONS(6518),
    [aux_sym_float_literal_token3] = ACTIONS(6518),
    [aux_sym_float_literal_token4] = ACTIONS(6518),
    [sym_character_literal] = ACTIONS(11042),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11044),
    [sym__type_order_operator] = ACTIONS(11044),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3465] = {
    [sym__expression] = STATE(14153),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3466] = {
    [sym__expression] = STATE(9258),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3467] = {
    [sym__expression] = STATE(14152),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3468] = {
    [sym__expression] = STATE(13373),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3469] = {
    [sym__expression] = STATE(14151),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3470] = {
    [sym__expression] = STATE(14150),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3471] = {
    [sym__expression] = STATE(14149),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3472] = {
    [sym__expression] = STATE(14148),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3473] = {
    [sym__expression] = STATE(9262),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3474] = {
    [sym__expression] = STATE(9263),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3475] = {
    [sym__expression] = STATE(13375),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3476] = {
    [sym__expression] = STATE(9264),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3477] = {
    [sym__expression] = STATE(9252),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3478] = {
    [sym__expression] = STATE(9268),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3479] = {
    [sym__expression] = STATE(9269),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3480] = {
    [sym__expression] = STATE(9270),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3481] = {
    [sym__expression] = STATE(9271),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3482] = {
    [sym__expression] = STATE(9272),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3483] = {
    [sym__expression] = STATE(13242),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3484] = {
    [sym__expression] = STATE(9276),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3485] = {
    [sym__expression] = STATE(9259),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3486] = {
    [sym__expression] = STATE(13167),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10966),
    [sym__array] = STATE(10966),
    [sym_comprehension_expression] = STATE(10966),
    [sym_matrix_expression] = STATE(10966),
    [sym_vector_expression] = STATE(10966),
    [sym_parenthesized_expression] = STATE(10966),
    [sym_tuple_expression] = STATE(10966),
    [sym_curly_expression] = STATE(10966),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10966),
    [sym_index_expression] = STATE(10966),
    [sym_parametrized_type_expression] = STATE(10966),
    [sym_call_expression] = STATE(10966),
    [sym_broadcast_call_expression] = STATE(10966),
    [sym__closed_macrocall_expression] = STATE(10966),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18595),
    [sym_interpolation_expression] = STATE(10966),
    [sym_quote_expression] = STATE(10966),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12348),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(24),
    [sym_identifier] = STATE(10192),
    [sym_boolean_literal] = STATE(10966),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10966),
    [sym_string_literal] = STATE(10966),
    [sym_command_literal] = STATE(10966),
    [sym_prefixed_string_literal] = STATE(10966),
    [sym_prefixed_command_literal] = STATE(10966),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_global] = ACTIONS(1199),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11026),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(11028),
    [sym__type_order_operator] = ACTIONS(11028),
    [sym__unary_operator] = ACTIONS(2812),
    [sym__unary_plus_operator] = ACTIONS(2812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3487] = {
    [sym__expression] = STATE(9245),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3488] = {
    [sym__expression] = STATE(8447),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3489] = {
    [sym__expression] = STATE(9285),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3490] = {
    [sym__expression] = STATE(12800),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3491] = {
    [sym__expression] = STATE(12574),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3492] = {
    [sym__expression] = STATE(12571),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3493] = {
    [sym__expression] = STATE(12556),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3494] = {
    [sym__expression] = STATE(12553),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3495] = {
    [sym__expression] = STATE(12543),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3496] = {
    [sym__expression] = STATE(13381),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3497] = {
    [sym__expression] = STATE(8494),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3498] = {
    [sym__expression] = STATE(12529),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3499] = {
    [sym__expression] = STATE(13383),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3500] = {
    [sym__expression] = STATE(12518),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3501] = {
    [sym__expression] = STATE(12513),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3502] = {
    [sym__expression] = STATE(12512),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3503] = {
    [sym__expression] = STATE(12511),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3504] = {
    [sym__expression] = STATE(12507),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3505] = {
    [sym__expression] = STATE(8759),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3506] = {
    [sym__expression] = STATE(12504),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3507] = {
    [sym__expression] = STATE(12492),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3508] = {
    [sym__expression] = STATE(12490),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3509] = {
    [sym__expression] = STATE(12463),
    [sym_module_definition] = STATE(12323),
    [sym_abstract_definition] = STATE(12323),
    [sym_primitive_definition] = STATE(12323),
    [sym_struct_definition] = STATE(12323),
    [sym_function_definition] = STATE(12323),
    [sym_macro_definition] = STATE(12323),
    [sym_compound_statement] = STATE(12323),
    [sym_quote_statement] = STATE(12323),
    [sym_let_statement] = STATE(12323),
    [sym_if_statement] = STATE(12323),
    [sym_try_statement] = STATE(12323),
    [sym_for_statement] = STATE(12323),
    [sym_while_statement] = STATE(12323),
    [sym_return_statement] = STATE(12323),
    [sym_const_statement] = STATE(12323),
    [sym_global_statement] = STATE(12323),
    [sym_local_statement] = STATE(12323),
    [sym_export_statement] = STATE(12323),
    [sym_import_statement] = STATE(12323),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10863),
    [sym_comprehension_expression] = STATE(10863),
    [sym_matrix_expression] = STATE(10863),
    [sym_vector_expression] = STATE(10863),
    [sym_parenthesized_expression] = STATE(10863),
    [sym_tuple_expression] = STATE(10863),
    [sym_curly_expression] = STATE(10863),
    [sym_adjoint_expression] = STATE(6866),
    [sym_field_expression] = STATE(10863),
    [sym_index_expression] = STATE(10863),
    [sym_parametrized_type_expression] = STATE(10863),
    [sym_call_expression] = STATE(10863),
    [sym_broadcast_call_expression] = STATE(10863),
    [sym__closed_macrocall_expression] = STATE(10863),
    [sym_macrocall_expression] = STATE(12323),
    [sym_argument_list] = STATE(19374),
    [sym_interpolation_expression] = STATE(10863),
    [sym_quote_expression] = STATE(10863),
    [sym_binary_expression] = STATE(12323),
    [sym_unary_expression] = STATE(12323),
    [sym_range_expression] = STATE(12323),
    [sym_splat_expression] = STATE(12323),
    [sym_ternary_expression] = STATE(12323),
    [sym_typed_expression] = STATE(11912),
    [sym_unary_typed_expression] = STATE(12323),
    [sym_function_expression] = STATE(12323),
    [sym_juxtaposition_expression] = STATE(12323),
    [sym_compound_assignment_expression] = STATE(12323),
    [sym_where_expression] = STATE(12323),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(10197),
    [sym_boolean_literal] = STATE(10863),
    [sym_integer_literal] = STATE(9336),
    [sym_float_literal] = STATE(9336),
    [sym__string] = STATE(10863),
    [sym_string_literal] = STATE(10863),
    [sym_command_literal] = STATE(10863),
    [sym_prefixed_string_literal] = STATE(10863),
    [sym_prefixed_command_literal] = STATE(10863),
    [sym_operator] = STATE(12163),
    [sym__word_identifier] = ACTIONS(89),
    [anon_sym_COLON] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_baremodule] = ACTIONS(97),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(103),
    [anon_sym_mutable] = ACTIONS(105),
    [anon_sym_struct] = ACTIONS(107),
    [anon_sym_function] = ACTIONS(109),
    [anon_sym_macro] = ACTIONS(111),
    [anon_sym_quote] = ACTIONS(113),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_if] = ACTIONS(117),
    [anon_sym_try] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [sym_break_statement] = ACTIONS(125),
    [sym_continue_statement] = ACTIONS(125),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_global] = ACTIONS(2031),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(5384),
    [anon_sym_export] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(139),
    [anon_sym_LBRACK] = ACTIONS(5386),
    [anon_sym_LBRACE] = ACTIONS(5388),
    [anon_sym_DOLLAR] = ACTIONS(5390),
    [anon_sym_COLON_COLON] = ACTIONS(5392),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(155),
    [anon_sym_false] = ACTIONS(155),
    [aux_sym_integer_literal_token1] = ACTIONS(5396),
    [aux_sym_integer_literal_token2] = ACTIONS(5396),
    [aux_sym_integer_literal_token3] = ACTIONS(157),
    [aux_sym_integer_literal_token4] = ACTIONS(159),
    [aux_sym_float_literal_token1] = ACTIONS(5398),
    [aux_sym_float_literal_token3] = ACTIONS(5398),
    [aux_sym_float_literal_token4] = ACTIONS(5398),
    [sym_character_literal] = ACTIONS(11004),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(5402),
    [sym__type_order_operator] = ACTIONS(5402),
    [sym__unary_operator] = ACTIONS(165),
    [sym__unary_plus_operator] = ACTIONS(165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(173),
    [sym__command_start] = ACTIONS(175),
  },
  [3510] = {
    [sym__expression] = STATE(9176),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3511] = {
    [sym__expression] = STATE(13302),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3512] = {
    [sym__expression] = STATE(8790),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3513] = {
    [sym__expression] = STATE(13341),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3514] = {
    [sym__expression] = STATE(14095),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3515] = {
    [sym__expression] = STATE(13197),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3516] = {
    [sym__expression] = STATE(13374),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3517] = {
    [sym__expression] = STATE(13517),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3518] = {
    [sym__expression] = STATE(13476),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3519] = {
    [sym__expression] = STATE(13490),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3520] = {
    [sym__expression] = STATE(13522),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3521] = {
    [sym__expression] = STATE(13523),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3522] = {
    [sym__expression] = STATE(13525),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3523] = {
    [sym__expression] = STATE(13527),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3524] = {
    [sym__expression] = STATE(13528),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3525] = {
    [sym__expression] = STATE(13529),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3526] = {
    [sym__expression] = STATE(13530),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3527] = {
    [sym__expression] = STATE(13531),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3528] = {
    [sym__expression] = STATE(13515),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3529] = {
    [sym__expression] = STATE(13533),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3530] = {
    [sym__expression] = STATE(13540),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3531] = {
    [sym__expression] = STATE(8268),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3532] = {
    [sym__expression] = STATE(8267),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3533] = {
    [sym__expression] = STATE(8264),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3534] = {
    [sym__expression] = STATE(8263),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3535] = {
    [sym__expression] = STATE(8262),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3536] = {
    [sym__expression] = STATE(8261),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3537] = {
    [sym__expression] = STATE(8260),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3538] = {
    [sym__expression] = STATE(9238),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3539] = {
    [sym__expression] = STATE(13330),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3540] = {
    [sym__expression] = STATE(8257),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3541] = {
    [sym__expression] = STATE(8256),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3542] = {
    [sym__expression] = STATE(8255),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3543] = {
    [sym__expression] = STATE(8254),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3544] = {
    [sym__expression] = STATE(8253),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3545] = {
    [sym__expression] = STATE(8252),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3546] = {
    [sym__expression] = STATE(7917),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3547] = {
    [sym__expression] = STATE(7971),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [3548] = {
    [sym__expression] = STATE(13306),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3549] = {
    [sym__expression] = STATE(13194),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3550] = {
    [sym__expression] = STATE(13193),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3551] = {
    [sym__expression] = STATE(13374),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3552] = {
    [sym__expression] = STATE(9099),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3553] = {
    [sym__expression] = STATE(13329),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3554] = {
    [sym__expression] = STATE(13355),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3555] = {
    [sym__expression] = STATE(9090),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3556] = {
    [sym__expression] = STATE(9089),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3557] = {
    [sym__expression] = STATE(13140),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3558] = {
    [sym__expression] = STATE(13600),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11437),
    [sym__array] = STATE(11437),
    [sym_comprehension_expression] = STATE(11437),
    [sym_matrix_expression] = STATE(11437),
    [sym_vector_expression] = STATE(11437),
    [sym_parenthesized_expression] = STATE(11437),
    [sym_tuple_expression] = STATE(11437),
    [sym_curly_expression] = STATE(11437),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11437),
    [sym_index_expression] = STATE(11437),
    [sym_parametrized_type_expression] = STATE(11437),
    [sym_call_expression] = STATE(11437),
    [sym_broadcast_call_expression] = STATE(11437),
    [sym__closed_macrocall_expression] = STATE(11437),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(11437),
    [sym_quote_expression] = STATE(11437),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13364),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(101),
    [sym_identifier] = STATE(10377),
    [sym_boolean_literal] = STATE(11437),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11437),
    [sym_string_literal] = STATE(11437),
    [sym_command_literal] = STATE(11437),
    [sym_prefixed_string_literal] = STATE(11437),
    [sym_prefixed_command_literal] = STATE(11437),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_global] = ACTIONS(187),
    [anon_sym_local] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11058),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11060),
    [sym__type_order_operator] = ACTIONS(11060),
    [sym__unary_operator] = ACTIONS(3338),
    [sym__unary_plus_operator] = ACTIONS(3338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3559] = {
    [sym__expression] = STATE(9088),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3560] = {
    [sym__expression] = STATE(13328),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3561] = {
    [sym__expression] = STATE(9085),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3562] = {
    [sym__expression] = STATE(9084),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3563] = {
    [sym__expression] = STATE(13327),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3564] = {
    [sym__expression] = STATE(9082),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3565] = {
    [sym__expression] = STATE(9073),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3566] = {
    [sym__expression] = STATE(9072),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3567] = {
    [sym__expression] = STATE(9070),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3568] = {
    [sym__expression] = STATE(13315),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3569] = {
    [sym__expression] = STATE(9068),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3570] = {
    [sym__expression] = STATE(9066),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3571] = {
    [sym__expression] = STATE(8497),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3572] = {
    [sym__expression] = STATE(9065),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3573] = {
    [sym__expression] = STATE(9064),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3574] = {
    [sym__expression] = STATE(8453),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3575] = {
    [sym__expression] = STATE(13058),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3576] = {
    [sym__expression] = STATE(8121),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3577] = {
    [sym__expression] = STATE(8236),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [3578] = {
    [sym__expression] = STATE(8500),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3579] = {
    [sym__expression] = STATE(13232),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3580] = {
    [sym__expression] = STATE(13235),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3581] = {
    [sym__expression] = STATE(13237),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3582] = {
    [sym__expression] = STATE(13238),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3583] = {
    [sym__expression] = STATE(13241),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3584] = {
    [sym__expression] = STATE(13243),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3585] = {
    [sym__expression] = STATE(13245),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3586] = {
    [sym__expression] = STATE(8216),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3587] = {
    [sym__expression] = STATE(13247),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3588] = {
    [sym__expression] = STATE(13249),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3589] = {
    [sym__expression] = STATE(13251),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3590] = {
    [sym__expression] = STATE(13254),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3591] = {
    [sym__expression] = STATE(9180),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3592] = {
    [sym__expression] = STATE(13255),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3593] = {
    [sym__expression] = STATE(13096),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3594] = {
    [sym__expression] = STATE(13256),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3595] = {
    [sym__expression] = STATE(13257),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3596] = {
    [sym__expression] = STATE(13090),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3597] = {
    [sym__expression] = STATE(12945),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3598] = {
    [sym__expression] = STATE(12923),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3599] = {
    [sym__expression] = STATE(13209),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3600] = {
    [sym__expression] = STATE(13062),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3601] = {
    [sym__expression] = STATE(9175),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3602] = {
    [sym__expression] = STATE(9199),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3603] = {
    [sym__expression] = STATE(9198),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3604] = {
    [sym__expression] = STATE(13560),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3605] = {
    [sym__expression] = STATE(13559),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3606] = {
    [sym__expression] = STATE(13558),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3607] = {
    [sym__expression] = STATE(13555),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3608] = {
    [sym__expression] = STATE(13554),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3609] = {
    [sym__expression] = STATE(13553),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3610] = {
    [sym__expression] = STATE(13546),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3611] = {
    [sym__expression] = STATE(13545),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3612] = {
    [sym__expression] = STATE(13544),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3613] = {
    [sym__expression] = STATE(13542),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3614] = {
    [sym__expression] = STATE(13541),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3615] = {
    [sym__expression] = STATE(13538),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3616] = {
    [sym__expression] = STATE(13537),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3617] = {
    [sym__expression] = STATE(13536),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3618] = {
    [sym__expression] = STATE(13409),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3619] = {
    [sym__expression] = STATE(13535),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3620] = {
    [sym__expression] = STATE(9230),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3621] = {
    [sym__expression] = STATE(9188),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3622] = {
    [sym__expression] = STATE(9187),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3623] = {
    [sym__expression] = STATE(13240),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3624] = {
    [sym__expression] = STATE(9185),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3625] = {
    [sym__expression] = STATE(13838),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3626] = {
    [sym__expression] = STATE(8985),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3627] = {
    [sym__expression] = STATE(8983),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3628] = {
    [sym__expression] = STATE(8982),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3629] = {
    [sym__expression] = STATE(8981),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3630] = {
    [sym__expression] = STATE(8978),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3631] = {
    [sym__expression] = STATE(8977),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3632] = {
    [sym__expression] = STATE(8973),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3633] = {
    [sym__expression] = STATE(8967),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3634] = {
    [sym__expression] = STATE(8946),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3635] = {
    [sym__expression] = STATE(13087),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3636] = {
    [sym__expression] = STATE(8942),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3637] = {
    [sym__expression] = STATE(8938),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3638] = {
    [sym__expression] = STATE(8937),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3639] = {
    [sym__expression] = STATE(8936),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3640] = {
    [sym__expression] = STATE(8933),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3641] = {
    [sym__expression] = STATE(8325),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3642] = {
    [sym__expression] = STATE(8157),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3643] = {
    [sym__expression] = STATE(13085),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3644] = {
    [sym__expression] = STATE(13642),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3645] = {
    [sym__expression] = STATE(13608),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3646] = {
    [sym__expression] = STATE(13632),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3647] = {
    [sym__expression] = STATE(13624),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3648] = {
    [sym__expression] = STATE(13619),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3649] = {
    [sym__expression] = STATE(13129),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3650] = {
    [sym__expression] = STATE(13618),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3651] = {
    [sym__expression] = STATE(13616),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3652] = {
    [sym__expression] = STATE(13615),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3653] = {
    [sym__expression] = STATE(13612),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3654] = {
    [sym__expression] = STATE(13611),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3655] = {
    [sym__expression] = STATE(13610),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3656] = {
    [sym__expression] = STATE(13637),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3657] = {
    [sym__expression] = STATE(13082),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3658] = {
    [sym__expression] = STATE(13638),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3659] = {
    [sym__expression] = STATE(9282),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3660] = {
    [sym__expression] = STATE(13640),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3661] = {
    [sym__expression] = STATE(13081),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3662] = {
    [sym__expression] = STATE(12619),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3663] = {
    [sym__expression] = STATE(13526),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3664] = {
    [sym__expression] = STATE(9184),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3665] = {
    [sym__expression] = STATE(12259),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3666] = {
    [sym__expression] = STATE(12260),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3667] = {
    [sym__expression] = STATE(12261),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3668] = {
    [sym__expression] = STATE(12262),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3669] = {
    [sym__expression] = STATE(8759),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3670] = {
    [sym__expression] = STATE(12263),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3671] = {
    [sym__expression] = STATE(13263),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3672] = {
    [sym__expression] = STATE(9164),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3673] = {
    [sym__expression] = STATE(12264),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3674] = {
    [sym__expression] = STATE(12265),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3675] = {
    [sym__expression] = STATE(12266),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3676] = {
    [sym__expression] = STATE(12268),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3677] = {
    [sym__expression] = STATE(12272),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3678] = {
    [sym__expression] = STATE(12273),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3679] = {
    [sym__expression] = STATE(12274),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3680] = {
    [sym__expression] = STATE(13397),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3681] = {
    [sym__expression] = STATE(9172),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3682] = {
    [sym__expression] = STATE(13510),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3683] = {
    [sym__expression] = STATE(13557),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3684] = {
    [sym__expression] = STATE(13562),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3685] = {
    [sym__expression] = STATE(13563),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3686] = {
    [sym__expression] = STATE(12275),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3687] = {
    [sym__expression] = STATE(13568),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3688] = {
    [sym__expression] = STATE(13569),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3689] = {
    [sym__expression] = STATE(13571),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3690] = {
    [sym__expression] = STATE(13573),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3691] = {
    [sym__expression] = STATE(13574),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3692] = {
    [sym__expression] = STATE(13575),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3693] = {
    [sym__expression] = STATE(13579),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3694] = {
    [sym__expression] = STATE(13581),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3695] = {
    [sym__expression] = STATE(13586),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3696] = {
    [sym__expression] = STATE(13589),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3697] = {
    [sym__expression] = STATE(12276),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3698] = {
    [sym__expression] = STATE(12864),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3699] = {
    [sym__expression] = STATE(12277),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3700] = {
    [sym__expression] = STATE(13425),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3701] = {
    [sym__expression] = STATE(8625),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3702] = {
    [sym__expression] = STATE(8624),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3703] = {
    [sym__expression] = STATE(8623),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3704] = {
    [sym__expression] = STATE(9183),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3705] = {
    [sym__expression] = STATE(8621),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3706] = {
    [sym__expression] = STATE(8619),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3707] = {
    [sym__expression] = STATE(8618),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3708] = {
    [sym__expression] = STATE(8617),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3709] = {
    [sym__expression] = STATE(8616),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3710] = {
    [sym__expression] = STATE(8615),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3711] = {
    [sym__expression] = STATE(8614),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3712] = {
    [sym__expression] = STATE(8612),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3713] = {
    [sym__expression] = STATE(8611),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3714] = {
    [sym__expression] = STATE(8610),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3715] = {
    [sym__expression] = STATE(8609),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3716] = {
    [sym__expression] = STATE(8732),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5854),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5854),
    [sym_matrix_expression] = STATE(5854),
    [sym_vector_expression] = STATE(5854),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(19615),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(7561),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(30),
    [sym_identifier] = STATE(4285),
    [sym_boolean_literal] = STATE(5854),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5854),
    [sym_string_literal] = STATE(5854),
    [sym_command_literal] = STATE(5854),
    [sym_prefixed_string_literal] = STATE(5854),
    [sym_prefixed_command_literal] = STATE(5854),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(747),
    [anon_sym_global] = ACTIONS(749),
    [anon_sym_local] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11054),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(9826),
    [sym__type_order_operator] = ACTIONS(9826),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3717] = {
    [sym__expression] = STATE(9020),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3718] = {
    [sym__expression] = STATE(13594),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3719] = {
    [sym__expression] = STATE(9029),
    [sym_module_definition] = STATE(8452),
    [sym_abstract_definition] = STATE(8452),
    [sym_primitive_definition] = STATE(8452),
    [sym_struct_definition] = STATE(8452),
    [sym_function_definition] = STATE(8452),
    [sym_macro_definition] = STATE(8452),
    [sym_compound_statement] = STATE(8452),
    [sym_quote_statement] = STATE(8452),
    [sym_let_statement] = STATE(8452),
    [sym_if_statement] = STATE(8452),
    [sym_try_statement] = STATE(8452),
    [sym_for_statement] = STATE(8452),
    [sym_while_statement] = STATE(8452),
    [sym_return_statement] = STATE(8452),
    [sym_const_statement] = STATE(8452),
    [sym_global_statement] = STATE(8452),
    [sym_local_statement] = STATE(8452),
    [sym_export_statement] = STATE(8452),
    [sym_import_statement] = STATE(8452),
    [sym__primary_expression] = STATE(5999),
    [sym__array] = STATE(5999),
    [sym_comprehension_expression] = STATE(5999),
    [sym_matrix_expression] = STATE(5999),
    [sym_vector_expression] = STATE(5999),
    [sym_parenthesized_expression] = STATE(5999),
    [sym_tuple_expression] = STATE(5999),
    [sym_curly_expression] = STATE(5999),
    [sym_adjoint_expression] = STATE(4247),
    [sym_field_expression] = STATE(5999),
    [sym_index_expression] = STATE(5999),
    [sym_parametrized_type_expression] = STATE(5999),
    [sym_call_expression] = STATE(5999),
    [sym_broadcast_call_expression] = STATE(5999),
    [sym__closed_macrocall_expression] = STATE(5999),
    [sym_macrocall_expression] = STATE(8452),
    [sym_argument_list] = STATE(18835),
    [sym_interpolation_expression] = STATE(5999),
    [sym_quote_expression] = STATE(5999),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8452),
    [sym_typed_expression] = STATE(8485),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_function_expression] = STATE(8452),
    [sym_juxtaposition_expression] = STATE(8452),
    [sym_compound_assignment_expression] = STATE(8452),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(38),
    [sym_identifier] = STATE(4287),
    [sym_boolean_literal] = STATE(5999),
    [sym_integer_literal] = STATE(4258),
    [sym_float_literal] = STATE(4258),
    [sym__string] = STATE(5999),
    [sym_string_literal] = STATE(5999),
    [sym_command_literal] = STATE(5999),
    [sym_prefixed_string_literal] = STATE(5999),
    [sym_prefixed_command_literal] = STATE(5999),
    [sym_operator] = STATE(7719),
    [sym__word_identifier] = ACTIONS(711),
    [anon_sym_COLON] = ACTIONS(713),
    [anon_sym_begin] = ACTIONS(715),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_baremodule] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(719),
    [anon_sym_primitive] = ACTIONS(721),
    [anon_sym_mutable] = ACTIONS(723),
    [anon_sym_struct] = ACTIONS(725),
    [anon_sym_function] = ACTIONS(727),
    [anon_sym_macro] = ACTIONS(729),
    [anon_sym_quote] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(735),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [sym_break_statement] = ACTIONS(743),
    [sym_continue_statement] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(895),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_global] = ACTIONS(899),
    [anon_sym_local] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(9808),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_using] = ACTIONS(757),
    [anon_sym_LBRACK] = ACTIONS(9810),
    [anon_sym_LBRACE] = ACTIONS(9812),
    [anon_sym_DOLLAR] = ACTIONS(9814),
    [anon_sym_COLON_COLON] = ACTIONS(9816),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(9818),
    [aux_sym_integer_literal_token2] = ACTIONS(9818),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(9820),
    [aux_sym_float_literal_token3] = ACTIONS(9820),
    [aux_sym_float_literal_token4] = ACTIONS(9820),
    [sym_character_literal] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(9824),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(9824),
    [sym__pipe_left_operator] = ACTIONS(9824),
    [sym__ellipsis_operator] = ACTIONS(9824),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(9824),
    [sym__bitshift_operator] = ACTIONS(9824),
    [sym__power_operator] = ACTIONS(9824),
    [sym__tilde_operator] = ACTIONS(11052),
    [sym__type_order_operator] = ACTIONS(11052),
    [sym__unary_operator] = ACTIONS(3260),
    [sym__unary_plus_operator] = ACTIONS(3260),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [3720] = {
    [sym__expression] = STATE(9222),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3721] = {
    [sym__expression] = STATE(7885),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3722] = {
    [sym__expression] = STATE(7907),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3723] = {
    [sym__expression] = STATE(7904),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3724] = {
    [sym__expression] = STATE(7903),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3725] = {
    [sym__expression] = STATE(7748),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3726] = {
    [sym__expression] = STATE(7732),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3727] = {
    [sym__expression] = STATE(9178),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3728] = {
    [sym__expression] = STATE(7629),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3729] = {
    [sym__expression] = STATE(7628),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3730] = {
    [sym__expression] = STATE(8847),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3731] = {
    [sym__expression] = STATE(8837),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3732] = {
    [sym__expression] = STATE(9243),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3733] = {
    [sym__expression] = STATE(9196),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3734] = {
    [sym__expression] = STATE(7616),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3735] = {
    [sym__expression] = STATE(7615),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3736] = {
    [sym__expression] = STATE(8646),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3737] = {
    [sym__expression] = STATE(8817),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3738] = {
    [sym__expression] = STATE(8810),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3739] = {
    [sym__expression] = STATE(9209),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3740] = {
    [sym__expression] = STATE(12425),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10922),
    [sym__array] = STATE(10922),
    [sym_comprehension_expression] = STATE(10922),
    [sym_matrix_expression] = STATE(10922),
    [sym_vector_expression] = STATE(10922),
    [sym_parenthesized_expression] = STATE(10922),
    [sym_tuple_expression] = STATE(10922),
    [sym_curly_expression] = STATE(10922),
    [sym_adjoint_expression] = STATE(7136),
    [sym_field_expression] = STATE(10922),
    [sym_index_expression] = STATE(10922),
    [sym_parametrized_type_expression] = STATE(10922),
    [sym_call_expression] = STATE(10922),
    [sym_broadcast_call_expression] = STATE(10922),
    [sym__closed_macrocall_expression] = STATE(10922),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19339),
    [sym_interpolation_expression] = STATE(10922),
    [sym_quote_expression] = STATE(10922),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12016),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(4),
    [sym_identifier] = STATE(10198),
    [sym_boolean_literal] = STATE(10922),
    [sym_integer_literal] = STATE(9325),
    [sym_float_literal] = STATE(9325),
    [sym__string] = STATE(10922),
    [sym_string_literal] = STATE(10922),
    [sym_command_literal] = STATE(10922),
    [sym_prefixed_string_literal] = STATE(10922),
    [sym_prefixed_command_literal] = STATE(10922),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_begin] = ACTIONS(1185),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_global] = ACTIONS(2062),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1207),
    [anon_sym_using] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4184),
    [anon_sym_COLON_COLON] = ACTIONS(4186),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4190),
    [aux_sym_integer_literal_token2] = ACTIONS(4190),
    [aux_sym_integer_literal_token3] = ACTIONS(1221),
    [aux_sym_integer_literal_token4] = ACTIONS(1223),
    [aux_sym_float_literal_token1] = ACTIONS(4192),
    [aux_sym_float_literal_token3] = ACTIONS(4192),
    [aux_sym_float_literal_token4] = ACTIONS(4192),
    [sym_character_literal] = ACTIONS(11036),
    [sym__pair_operator] = ACTIONS(4196),
    [sym__arrow_operator] = ACTIONS(2070),
    [sym__comparison_operator] = ACTIONS(2070),
    [sym__pipe_right_operator] = ACTIONS(4196),
    [sym__pipe_left_operator] = ACTIONS(4196),
    [sym__ellipsis_operator] = ACTIONS(4196),
    [sym__plus_operator] = ACTIONS(2070),
    [sym__times_operator] = ACTIONS(2070),
    [sym__rational_operator] = ACTIONS(4196),
    [sym__bitshift_operator] = ACTIONS(4196),
    [sym__power_operator] = ACTIONS(4196),
    [sym__tilde_operator] = ACTIONS(4198),
    [sym__type_order_operator] = ACTIONS(4198),
    [sym__unary_operator] = ACTIONS(1255),
    [sym__unary_plus_operator] = ACTIONS(1255),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3741] = {
    [sym__expression] = STATE(9265),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3742] = {
    [sym__expression] = STATE(12369),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3743] = {
    [sym__expression] = STATE(9208),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3744] = {
    [sym__expression] = STATE(12278),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3745] = {
    [sym__expression] = STATE(12279),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3746] = {
    [sym__expression] = STATE(9151),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3747] = {
    [sym__expression] = STATE(12280),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3748] = {
    [sym__expression] = STATE(12281),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3749] = {
    [sym__expression] = STATE(12282),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3750] = {
    [sym__expression] = STATE(12283),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3751] = {
    [sym__expression] = STATE(12284),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3752] = {
    [sym__expression] = STATE(9167),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3753] = {
    [sym__expression] = STATE(12285),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3754] = {
    [sym__expression] = STATE(9205),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3755] = {
    [sym__expression] = STATE(9204),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6596),
    [sym__array] = STATE(6596),
    [sym_comprehension_expression] = STATE(6596),
    [sym_matrix_expression] = STATE(6596),
    [sym_vector_expression] = STATE(6596),
    [sym_parenthesized_expression] = STATE(6596),
    [sym_tuple_expression] = STATE(6596),
    [sym_curly_expression] = STATE(6596),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6596),
    [sym_index_expression] = STATE(6596),
    [sym_parametrized_type_expression] = STATE(6596),
    [sym_call_expression] = STATE(6596),
    [sym_broadcast_call_expression] = STATE(6596),
    [sym__closed_macrocall_expression] = STATE(6596),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18432),
    [sym_interpolation_expression] = STATE(6596),
    [sym_quote_expression] = STATE(6596),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8930),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(84),
    [sym_identifier] = STATE(4412),
    [sym_boolean_literal] = STATE(6596),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6596),
    [sym_string_literal] = STATE(6596),
    [sym_command_literal] = STATE(6596),
    [sym_prefixed_string_literal] = STATE(6596),
    [sym_prefixed_command_literal] = STATE(6596),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1165),
    [anon_sym_global] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3320),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3322),
    [sym__type_order_operator] = ACTIONS(3322),
    [sym__unary_operator] = ACTIONS(3324),
    [sym__unary_plus_operator] = ACTIONS(3324),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3756] = {
    [sym__expression] = STATE(12287),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3757] = {
    [sym__expression] = STATE(12288),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3758] = {
    [sym__expression] = STATE(12289),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3759] = {
    [sym__expression] = STATE(12291),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3760] = {
    [sym__expression] = STATE(12292),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3761] = {
    [sym__expression] = STATE(12778),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3762] = {
    [sym__expression] = STATE(12293),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3763] = {
    [sym__expression] = STATE(9295),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3764] = {
    [sym__expression] = STATE(13079),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3765] = {
    [sym__expression] = STATE(14062),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3766] = {
    [sym__expression] = STATE(9261),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3767] = {
    [sym__expression] = STATE(9251),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3768] = {
    [sym__expression] = STATE(13137),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3769] = {
    [sym__expression] = STATE(13022),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3770] = {
    [sym__expression] = STATE(13069),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3771] = {
    [sym__expression] = STATE(9254),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3772] = {
    [sym__expression] = STATE(13059),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3773] = {
    [sym__expression] = STATE(13239),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3774] = {
    [sym__expression] = STATE(9232),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3775] = {
    [sym__expression] = STATE(9239),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3776] = {
    [sym__expression] = STATE(9218),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3777] = {
    [sym__expression] = STATE(9241),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3778] = {
    [sym__expression] = STATE(9244),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3779] = {
    [sym__expression] = STATE(9240),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3780] = {
    [sym__expression] = STATE(9217),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3781] = {
    [sym__expression] = STATE(9233),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3782] = {
    [sym__expression] = STATE(13057),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3783] = {
    [sym__expression] = STATE(9147),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3784] = {
    [sym__expression] = STATE(9229),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3785] = {
    [sym__expression] = STATE(9226),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3786] = {
    [sym__expression] = STATE(13354),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3787] = {
    [sym__expression] = STATE(9200),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3788] = {
    [sym__expression] = STATE(9192),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3789] = {
    [sym__expression] = STATE(9150),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3790] = {
    [sym__expression] = STATE(9145),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3791] = {
    [sym__expression] = STATE(9143),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3792] = {
    [sym__expression] = STATE(8925),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3793] = {
    [sym__expression] = STATE(13204),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11261),
    [sym__array] = STATE(11261),
    [sym_comprehension_expression] = STATE(11261),
    [sym_matrix_expression] = STATE(11261),
    [sym_vector_expression] = STATE(11261),
    [sym_parenthesized_expression] = STATE(11261),
    [sym_tuple_expression] = STATE(11261),
    [sym_curly_expression] = STATE(11261),
    [sym_adjoint_expression] = STATE(8474),
    [sym_field_expression] = STATE(11261),
    [sym_index_expression] = STATE(11261),
    [sym_parametrized_type_expression] = STATE(11261),
    [sym_call_expression] = STATE(11261),
    [sym_broadcast_call_expression] = STATE(11261),
    [sym__closed_macrocall_expression] = STATE(11261),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18338),
    [sym_interpolation_expression] = STATE(11261),
    [sym_quote_expression] = STATE(11261),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12985),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(61),
    [sym_identifier] = STATE(10516),
    [sym_boolean_literal] = STATE(11261),
    [sym_integer_literal] = STATE(9429),
    [sym_float_literal] = STATE(9429),
    [sym__string] = STATE(11261),
    [sym_string_literal] = STATE(11261),
    [sym_command_literal] = STATE(11261),
    [sym_prefixed_string_literal] = STATE(11261),
    [sym_prefixed_command_literal] = STATE(11261),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(181),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2838),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_global] = ACTIONS(2842),
    [anon_sym_local] = ACTIONS(2844),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(195),
    [anon_sym_using] = ACTIONS(195),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6970),
    [anon_sym_COLON_COLON] = ACTIONS(6972),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6976),
    [aux_sym_integer_literal_token2] = ACTIONS(6976),
    [aux_sym_integer_literal_token3] = ACTIONS(211),
    [aux_sym_integer_literal_token4] = ACTIONS(213),
    [aux_sym_float_literal_token1] = ACTIONS(6978),
    [aux_sym_float_literal_token3] = ACTIONS(6978),
    [aux_sym_float_literal_token4] = ACTIONS(6978),
    [sym_character_literal] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6982),
    [sym__type_order_operator] = ACTIONS(6982),
    [sym__unary_operator] = ACTIONS(219),
    [sym__unary_plus_operator] = ACTIONS(219),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3794] = {
    [sym__expression] = STATE(7751),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3795] = {
    [sym__expression] = STATE(8819),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3796] = {
    [sym__expression] = STATE(8603),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3797] = {
    [sym__expression] = STATE(8423),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3798] = {
    [sym__expression] = STATE(8421),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3799] = {
    [sym__expression] = STATE(8577),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3800] = {
    [sym__expression] = STATE(8581),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3801] = {
    [sym__expression] = STATE(13047),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3802] = {
    [sym__expression] = STATE(13042),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3803] = {
    [sym__expression] = STATE(13040),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3804] = {
    [sym__expression] = STATE(12945),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10985),
    [sym__array] = STATE(10985),
    [sym_comprehension_expression] = STATE(10985),
    [sym_matrix_expression] = STATE(10985),
    [sym_vector_expression] = STATE(10985),
    [sym_parenthesized_expression] = STATE(10985),
    [sym_tuple_expression] = STATE(10985),
    [sym_curly_expression] = STATE(10985),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(10985),
    [sym_index_expression] = STATE(10985),
    [sym_parametrized_type_expression] = STATE(10985),
    [sym_call_expression] = STATE(10985),
    [sym_broadcast_call_expression] = STATE(10985),
    [sym__closed_macrocall_expression] = STATE(10985),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19698),
    [sym_interpolation_expression] = STATE(10985),
    [sym_quote_expression] = STATE(10985),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10320),
    [sym_boolean_literal] = STATE(10985),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(10985),
    [sym_string_literal] = STATE(10985),
    [sym_command_literal] = STATE(10985),
    [sym_prefixed_string_literal] = STATE(10985),
    [sym_prefixed_command_literal] = STATE(10985),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2337),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_global] = ACTIONS(2341),
    [anon_sym_local] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11076),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(6790),
    [sym__type_order_operator] = ACTIONS(6790),
    [sym__unary_operator] = ACTIONS(2361),
    [sym__unary_plus_operator] = ACTIONS(2361),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3805] = {
    [sym__expression] = STATE(8597),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3806] = {
    [sym__expression] = STATE(8627),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3807] = {
    [sym__expression] = STATE(8636),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3808] = {
    [sym__expression] = STATE(7885),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5323),
    [sym__array] = STATE(5323),
    [sym_comprehension_expression] = STATE(5323),
    [sym_matrix_expression] = STATE(5323),
    [sym_vector_expression] = STATE(5323),
    [sym_parenthesized_expression] = STATE(5323),
    [sym_tuple_expression] = STATE(5323),
    [sym_curly_expression] = STATE(5323),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5323),
    [sym_index_expression] = STATE(5323),
    [sym_parametrized_type_expression] = STATE(5323),
    [sym_call_expression] = STATE(5323),
    [sym_broadcast_call_expression] = STATE(5323),
    [sym__closed_macrocall_expression] = STATE(5323),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(18533),
    [sym_interpolation_expression] = STATE(5323),
    [sym_quote_expression] = STATE(5323),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7998),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4277),
    [sym_boolean_literal] = STATE(5323),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5323),
    [sym_string_literal] = STATE(5323),
    [sym_command_literal] = STATE(5323),
    [sym_prefixed_string_literal] = STATE(5323),
    [sym_prefixed_command_literal] = STATE(5323),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11022),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(2947),
    [sym__unary_plus_operator] = ACTIONS(2947),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3809] = {
    [sym__expression] = STATE(13041),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11193),
    [sym__array] = STATE(11193),
    [sym_comprehension_expression] = STATE(11193),
    [sym_matrix_expression] = STATE(11193),
    [sym_vector_expression] = STATE(11193),
    [sym_parenthesized_expression] = STATE(11193),
    [sym_tuple_expression] = STATE(11193),
    [sym_curly_expression] = STATE(11193),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11193),
    [sym_index_expression] = STATE(11193),
    [sym_parametrized_type_expression] = STATE(11193),
    [sym_call_expression] = STATE(11193),
    [sym_broadcast_call_expression] = STATE(11193),
    [sym__closed_macrocall_expression] = STATE(11193),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19436),
    [sym_interpolation_expression] = STATE(11193),
    [sym_quote_expression] = STATE(11193),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12379),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10187),
    [sym_boolean_literal] = STATE(11193),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11193),
    [sym_string_literal] = STATE(11193),
    [sym_command_literal] = STATE(11193),
    [sym_prefixed_string_literal] = STATE(11193),
    [sym_prefixed_command_literal] = STATE(11193),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11006),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11008),
    [sym__type_order_operator] = ACTIONS(11008),
    [sym__unary_operator] = ACTIONS(3358),
    [sym__unary_plus_operator] = ACTIONS(3358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [3810] = {
    [sym__expression] = STATE(13126),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3811] = {
    [sym__expression] = STATE(14167),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3812] = {
    [sym__expression] = STATE(13128),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3813] = {
    [sym__expression] = STATE(258),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3814] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11581),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11581),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13713),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11199),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3815] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11623),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11623),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13893),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11218),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3816] = {
    [sym__expression] = STATE(14094),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3817] = {
    [sym__expression] = STATE(294),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3818] = {
    [sym__expression] = STATE(13054),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3819] = {
    [sym__expression] = STATE(14162),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3820] = {
    [sym__expression] = STATE(14166),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3821] = {
    [sym__expression] = STATE(9149),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3822] = {
    [sym__expression] = STATE(14168),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3823] = {
    [sym__expression] = STATE(174),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3824] = {
    [sym__expression] = STATE(13120),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3825] = {
    [sym__expression] = STATE(13221),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3826] = {
    [sym__expression] = STATE(14170),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3827] = {
    [sym__expression] = STATE(14171),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3828] = {
    [sym__expression] = STATE(9274),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3829] = {
    [sym__expression] = STATE(8259),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3830] = {
    [sym__expression] = STATE(14172),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3831] = {
    [sym__expression] = STATE(88),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3832] = {
    [sym__expression] = STATE(8759),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3833] = {
    [sym__expression] = STATE(8871),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3834] = {
    [sym__expression] = STATE(8870),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3835] = {
    [sym__expression] = STATE(8868),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3836] = {
    [sym__expression] = STATE(8866),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3837] = {
    [sym__expression] = STATE(13421),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(11350),
    [sym_comprehension_expression] = STATE(11350),
    [sym_matrix_expression] = STATE(11350),
    [sym_vector_expression] = STATE(11350),
    [sym_parenthesized_expression] = STATE(11350),
    [sym_tuple_expression] = STATE(11350),
    [sym_curly_expression] = STATE(11350),
    [sym_adjoint_expression] = STATE(8101),
    [sym_field_expression] = STATE(11350),
    [sym_index_expression] = STATE(11350),
    [sym_parametrized_type_expression] = STATE(11350),
    [sym_call_expression] = STATE(11350),
    [sym_broadcast_call_expression] = STATE(11350),
    [sym__closed_macrocall_expression] = STATE(11350),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19665),
    [sym_interpolation_expression] = STATE(11350),
    [sym_quote_expression] = STATE(11350),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12990),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10316),
    [sym_boolean_literal] = STATE(11350),
    [sym_integer_literal] = STATE(9410),
    [sym_float_literal] = STATE(9410),
    [sym__string] = STATE(11350),
    [sym_string_literal] = STATE(11350),
    [sym_command_literal] = STATE(11350),
    [sym_prefixed_string_literal] = STATE(11350),
    [sym_prefixed_command_literal] = STATE(11350),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_begin] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2800),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_global] = ACTIONS(2804),
    [anon_sym_local] = ACTIONS(2806),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2345),
    [anon_sym_import] = ACTIONS(2347),
    [anon_sym_using] = ACTIONS(2347),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(6778),
    [anon_sym_COLON_COLON] = ACTIONS(6780),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6784),
    [aux_sym_integer_literal_token2] = ACTIONS(6784),
    [aux_sym_integer_literal_token3] = ACTIONS(2353),
    [aux_sym_integer_literal_token4] = ACTIONS(2355),
    [aux_sym_float_literal_token1] = ACTIONS(6786),
    [aux_sym_float_literal_token3] = ACTIONS(6786),
    [aux_sym_float_literal_token4] = ACTIONS(6786),
    [sym_character_literal] = ACTIONS(11080),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11082),
    [sym__type_order_operator] = ACTIONS(11082),
    [sym__unary_operator] = ACTIONS(3214),
    [sym__unary_plus_operator] = ACTIONS(3214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3838] = {
    [sym__expression] = STATE(8865),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3839] = {
    [sym__expression] = STATE(8864),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3840] = {
    [sym__expression] = STATE(8849),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3841] = {
    [sym__expression] = STATE(7960),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3842] = {
    [sym__expression] = STATE(7963),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3843] = {
    [sym__expression] = STATE(8835),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3844] = {
    [sym__expression] = STATE(8827),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3845] = {
    [sym__expression] = STATE(7979),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3846] = {
    [sym__expression] = STATE(7988),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3847] = {
    [sym__expression] = STATE(7990),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3848] = {
    [sym__expression] = STATE(7994),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(5052),
    [sym__array] = STATE(5052),
    [sym_comprehension_expression] = STATE(5052),
    [sym_matrix_expression] = STATE(5052),
    [sym_vector_expression] = STATE(5052),
    [sym_parenthesized_expression] = STATE(5052),
    [sym_tuple_expression] = STATE(5052),
    [sym_curly_expression] = STATE(5052),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(5052),
    [sym_index_expression] = STATE(5052),
    [sym_parametrized_type_expression] = STATE(5052),
    [sym_call_expression] = STATE(5052),
    [sym_broadcast_call_expression] = STATE(5052),
    [sym__closed_macrocall_expression] = STATE(5052),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19296),
    [sym_interpolation_expression] = STATE(5052),
    [sym_quote_expression] = STATE(5052),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(7123),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4271),
    [sym_boolean_literal] = STATE(5052),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(5052),
    [sym_string_literal] = STATE(5052),
    [sym_command_literal] = STATE(5052),
    [sym_prefixed_string_literal] = STATE(5052),
    [sym_prefixed_command_literal] = STATE(5052),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(263),
    [anon_sym_const] = ACTIONS(265),
    [anon_sym_global] = ACTIONS(267),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11046),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(8888),
    [sym__type_order_operator] = ACTIONS(8888),
    [sym__unary_operator] = ACTIONS(301),
    [sym__unary_plus_operator] = ACTIONS(301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3849] = {
    [sym__expression] = STATE(14174),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3850] = {
    [sym__expression] = STATE(13494),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3851] = {
    [sym__expression] = STATE(14176),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3852] = {
    [sym__expression] = STATE(14093),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3853] = {
    [sym__expression] = STATE(14092),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3854] = {
    [sym__expression] = STATE(91),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3855] = {
    [sym__expression] = STATE(14160),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3856] = {
    [sym__expression] = STATE(14177),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3857] = {
    [sym__expression] = STATE(14161),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3858] = {
    [sym__expression] = STATE(14146),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3859] = {
    [sym__expression] = STATE(14169),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3860] = {
    [sym__expression] = STATE(14090),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3861] = {
    [sym__expression] = STATE(13467),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11426),
    [sym__array] = STATE(11426),
    [sym_comprehension_expression] = STATE(11426),
    [sym_matrix_expression] = STATE(11426),
    [sym_vector_expression] = STATE(11426),
    [sym_parenthesized_expression] = STATE(11426),
    [sym_tuple_expression] = STATE(11426),
    [sym_curly_expression] = STATE(11426),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11426),
    [sym_index_expression] = STATE(11426),
    [sym_parametrized_type_expression] = STATE(11426),
    [sym_call_expression] = STATE(11426),
    [sym_broadcast_call_expression] = STATE(11426),
    [sym__closed_macrocall_expression] = STATE(11426),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19864),
    [sym_interpolation_expression] = STATE(11426),
    [sym_quote_expression] = STATE(11426),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13346),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10458),
    [sym_boolean_literal] = STATE(11426),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11426),
    [sym_string_literal] = STATE(11426),
    [sym_command_literal] = STATE(11426),
    [sym_prefixed_string_literal] = STATE(11426),
    [sym_prefixed_command_literal] = STATE(11426),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11098),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11100),
    [sym__type_order_operator] = ACTIONS(11100),
    [sym__unary_operator] = ACTIONS(3342),
    [sym__unary_plus_operator] = ACTIONS(3342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3862] = {
    [sym__expression] = STATE(14089),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3863] = {
    [sym__expression] = STATE(12619),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3864] = {
    [sym__expression] = STATE(14157),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(12043),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(12043),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14032),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11428),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3865] = {
    [sym__expression] = STATE(13505),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3866] = {
    [sym__expression] = STATE(13503),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3867] = {
    [sym__expression] = STATE(13500),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3868] = {
    [sym__expression] = STATE(13483),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3869] = {
    [sym__expression] = STATE(13498),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3870] = {
    [sym__expression] = STATE(13492),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3871] = {
    [sym__expression] = STATE(13556),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3872] = {
    [sym__expression] = STATE(13121),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3873] = {
    [sym__expression] = STATE(14088),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3874] = {
    [sym__expression] = STATE(13791),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3875] = {
    [sym__expression] = STATE(13484),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3876] = {
    [sym__expression] = STATE(13995),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3877] = {
    [sym__expression] = STATE(13464),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3878] = {
    [sym__expression] = STATE(14085),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3879] = {
    [sym__expression] = STATE(304),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3880] = {
    [sym__expression] = STATE(13792),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3881] = {
    [sym__expression] = STATE(13793),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3882] = {
    [sym__expression] = STATE(14084),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3883] = {
    [sym__expression] = STATE(12619),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3884] = {
    [sym__expression] = STATE(13794),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3885] = {
    [sym__expression] = STATE(13479),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3886] = {
    [sym__expression] = STATE(14102),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3887] = {
    [sym__expression] = STATE(13397),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3888] = {
    [sym__expression] = STATE(13797),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3889] = {
    [sym__expression] = STATE(13387),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3890] = {
    [sym__expression] = STATE(13798),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3891] = {
    [sym__expression] = STATE(13378),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3892] = {
    [sym__expression] = STATE(13799),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3893] = {
    [sym__expression] = STATE(92),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3894] = {
    [sym__expression] = STATE(13800),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3895] = {
    [sym__expression] = STATE(13801),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3896] = {
    [sym__expression] = STATE(13368),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3897] = {
    [sym__expression] = STATE(13803),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3898] = {
    [sym__expression] = STATE(13228),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11327),
    [sym__array] = STATE(11327),
    [sym_comprehension_expression] = STATE(11327),
    [sym_matrix_expression] = STATE(11327),
    [sym_vector_expression] = STATE(11327),
    [sym_parenthesized_expression] = STATE(11327),
    [sym_tuple_expression] = STATE(11327),
    [sym_curly_expression] = STATE(11327),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(11327),
    [sym_index_expression] = STATE(11327),
    [sym_parametrized_type_expression] = STATE(11327),
    [sym_call_expression] = STATE(11327),
    [sym_broadcast_call_expression] = STATE(11327),
    [sym__closed_macrocall_expression] = STATE(11327),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18979),
    [sym_interpolation_expression] = STATE(11327),
    [sym_quote_expression] = STATE(11327),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13043),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(63),
    [sym_identifier] = STATE(10239),
    [sym_boolean_literal] = STATE(11327),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(11327),
    [sym_string_literal] = STATE(11327),
    [sym_command_literal] = STATE(11327),
    [sym_prefixed_string_literal] = STATE(11327),
    [sym_prefixed_command_literal] = STATE(11327),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2771),
    [anon_sym_global] = ACTIONS(2773),
    [anon_sym_local] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11034),
    [sym__type_order_operator] = ACTIONS(11034),
    [sym__unary_operator] = ACTIONS(3286),
    [sym__unary_plus_operator] = ACTIONS(3286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3899] = {
    [sym__expression] = STATE(13350),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3900] = {
    [sym__expression] = STATE(13345),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3901] = {
    [sym__expression] = STATE(74),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3902] = {
    [sym__expression] = STATE(13805),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3903] = {
    [sym__expression] = STATE(13027),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3904] = {
    [sym__expression] = STATE(13409),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3905] = {
    [sym__expression] = STATE(297),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3906] = {
    [sym__expression] = STATE(13311),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3907] = {
    [sym__expression] = STATE(13319),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3908] = {
    [sym__expression] = STATE(13807),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3909] = {
    [sym__expression] = STATE(13340),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3910] = {
    [sym__expression] = STATE(13320),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3911] = {
    [sym__expression] = STATE(13808),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3912] = {
    [sym__expression] = STATE(13810),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3913] = {
    [sym__expression] = STATE(13298),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3914] = {
    [sym__expression] = STATE(13290),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3915] = {
    [sym__expression] = STATE(13278),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3916] = {
    [sym__expression] = STATE(12619),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3917] = {
    [sym__expression] = STATE(13275),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3918] = {
    [sym__expression] = STATE(13274),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3919] = {
    [sym__expression] = STATE(14073),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(11764),
    [sym_comprehension_expression] = STATE(11764),
    [sym_matrix_expression] = STATE(11764),
    [sym_vector_expression] = STATE(11764),
    [sym_parenthesized_expression] = STATE(11764),
    [sym_tuple_expression] = STATE(11764),
    [sym_curly_expression] = STATE(11764),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11764),
    [sym_index_expression] = STATE(11764),
    [sym_parametrized_type_expression] = STATE(11764),
    [sym_call_expression] = STATE(11764),
    [sym_broadcast_call_expression] = STATE(11764),
    [sym__closed_macrocall_expression] = STATE(11764),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19113),
    [sym_interpolation_expression] = STATE(11764),
    [sym_quote_expression] = STATE(11764),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13896),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(175),
    [sym_identifier] = STATE(11180),
    [sym_boolean_literal] = STATE(11764),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11764),
    [sym_string_literal] = STATE(11764),
    [sym_command_literal] = STATE(11764),
    [sym_prefixed_string_literal] = STATE(11764),
    [sym_prefixed_command_literal] = STATE(11764),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3700),
    [anon_sym_const] = ACTIONS(3702),
    [anon_sym_global] = ACTIONS(3704),
    [anon_sym_local] = ACTIONS(3706),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4136),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4138),
    [sym__type_order_operator] = ACTIONS(4138),
    [sym__unary_operator] = ACTIONS(4140),
    [sym__unary_plus_operator] = ACTIONS(4140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3920] = {
    [sym__expression] = STATE(13469),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3921] = {
    [sym__expression] = STATE(13409),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3922] = {
    [sym__expression] = STATE(8496),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3923] = {
    [sym__expression] = STATE(13815),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3924] = {
    [sym__expression] = STATE(13858),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3925] = {
    [sym__expression] = STATE(13816),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3926] = {
    [sym__expression] = STATE(13819),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3927] = {
    [sym__expression] = STATE(13268),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3928] = {
    [sym__expression] = STATE(13866),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3929] = {
    [sym__expression] = STATE(13264),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3930] = {
    [sym__expression] = STATE(13321),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3931] = {
    [sym__expression] = STATE(13224),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11307),
    [sym__array] = STATE(11307),
    [sym_comprehension_expression] = STATE(11307),
    [sym_matrix_expression] = STATE(11307),
    [sym_vector_expression] = STATE(11307),
    [sym_parenthesized_expression] = STATE(11307),
    [sym_tuple_expression] = STATE(11307),
    [sym_curly_expression] = STATE(11307),
    [sym_adjoint_expression] = STATE(8687),
    [sym_field_expression] = STATE(11307),
    [sym_index_expression] = STATE(11307),
    [sym_parametrized_type_expression] = STATE(11307),
    [sym_call_expression] = STATE(11307),
    [sym_broadcast_call_expression] = STATE(11307),
    [sym__closed_macrocall_expression] = STATE(11307),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18434),
    [sym_interpolation_expression] = STATE(11307),
    [sym_quote_expression] = STATE(11307),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(13060),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(10470),
    [sym_boolean_literal] = STATE(11307),
    [sym_integer_literal] = STATE(9426),
    [sym_float_literal] = STATE(9426),
    [sym__string] = STATE(11307),
    [sym_string_literal] = STATE(11307),
    [sym_command_literal] = STATE(11307),
    [sym_prefixed_string_literal] = STATE(11307),
    [sym_prefixed_command_literal] = STATE(11307),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2740),
    [anon_sym_global] = ACTIONS(2742),
    [anon_sym_local] = ACTIONS(2744),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_import] = ACTIONS(53),
    [anon_sym_using] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(59),
    [anon_sym_COLON_COLON] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(67),
    [aux_sym_integer_literal_token2] = ACTIONS(67),
    [aux_sym_integer_literal_token3] = ACTIONS(69),
    [aux_sym_integer_literal_token4] = ACTIONS(71),
    [aux_sym_float_literal_token1] = ACTIONS(73),
    [aux_sym_float_literal_token3] = ACTIONS(73),
    [aux_sym_float_literal_token4] = ACTIONS(73),
    [sym_character_literal] = ACTIONS(11096),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(81),
    [sym__type_order_operator] = ACTIONS(81),
    [sym__unary_operator] = ACTIONS(83),
    [sym__unary_plus_operator] = ACTIONS(83),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3932] = {
    [sym__expression] = STATE(14173),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12141),
    [sym__array] = STATE(12141),
    [sym_comprehension_expression] = STATE(12141),
    [sym_matrix_expression] = STATE(12141),
    [sym_vector_expression] = STATE(12141),
    [sym_parenthesized_expression] = STATE(12141),
    [sym_tuple_expression] = STATE(12141),
    [sym_curly_expression] = STATE(12141),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12141),
    [sym_index_expression] = STATE(12141),
    [sym_parametrized_type_expression] = STATE(12141),
    [sym_call_expression] = STATE(12141),
    [sym_broadcast_call_expression] = STATE(12141),
    [sym__closed_macrocall_expression] = STATE(12141),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18267),
    [sym_interpolation_expression] = STATE(12141),
    [sym_quote_expression] = STATE(12141),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(14125),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11429),
    [sym_boolean_literal] = STATE(12141),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12141),
    [sym_string_literal] = STATE(12141),
    [sym_command_literal] = STATE(12141),
    [sym_prefixed_string_literal] = STATE(12141),
    [sym_prefixed_command_literal] = STATE(12141),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4124),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4126),
    [sym__type_order_operator] = ACTIONS(4126),
    [sym__unary_operator] = ACTIONS(4128),
    [sym__unary_plus_operator] = ACTIONS(4128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3933] = {
    [sym__expression] = STATE(13323),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3934] = {
    [sym__expression] = STATE(13324),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3935] = {
    [sym__expression] = STATE(13333),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3936] = {
    [sym__expression] = STATE(8495),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3937] = {
    [sym__expression] = STATE(9141),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3938] = {
    [sym__expression] = STATE(9144),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3939] = {
    [sym__expression] = STATE(9177),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3940] = {
    [sym__expression] = STATE(9168),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3941] = {
    [sym__expression] = STATE(9211),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3942] = {
    [sym__expression] = STATE(9214),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3943] = {
    [sym__expression] = STATE(9215),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3944] = {
    [sym__expression] = STATE(9159),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3945] = {
    [sym__expression] = STATE(9225),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3946] = {
    [sym__expression] = STATE(9231),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3947] = {
    [sym__expression] = STATE(9190),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3948] = {
    [sym__expression] = STATE(9234),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3949] = {
    [sym__expression] = STATE(9235),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3950] = {
    [sym__expression] = STATE(9224),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3951] = {
    [sym__expression] = STATE(9219),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3952] = {
    [sym__expression] = STATE(8759),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6602),
    [sym__array] = STATE(6602),
    [sym_comprehension_expression] = STATE(6602),
    [sym_matrix_expression] = STATE(6602),
    [sym_vector_expression] = STATE(6602),
    [sym_parenthesized_expression] = STATE(6602),
    [sym_tuple_expression] = STATE(6602),
    [sym_curly_expression] = STATE(6602),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6602),
    [sym_index_expression] = STATE(6602),
    [sym_parametrized_type_expression] = STATE(6602),
    [sym_call_expression] = STATE(6602),
    [sym_broadcast_call_expression] = STATE(6602),
    [sym__closed_macrocall_expression] = STATE(6602),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19721),
    [sym_interpolation_expression] = STATE(6602),
    [sym_quote_expression] = STATE(6602),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9045),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(93),
    [sym_identifier] = STATE(4802),
    [sym_boolean_literal] = STATE(6602),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6602),
    [sym_string_literal] = STATE(6602),
    [sym_command_literal] = STATE(6602),
    [sym_prefixed_string_literal] = STATE(6602),
    [sym_prefixed_command_literal] = STATE(6602),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1141),
    [anon_sym_global] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3354),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(1149),
    [sym__type_order_operator] = ACTIONS(1149),
    [sym__unary_operator] = ACTIONS(1151),
    [sym__unary_plus_operator] = ACTIONS(1151),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3953] = {
    [sym__expression] = STATE(13493),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3954] = {
    [sym__expression] = STATE(12928),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3955] = {
    [sym__expression] = STATE(9289),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6700),
    [sym__array] = STATE(6700),
    [sym_comprehension_expression] = STATE(6700),
    [sym_matrix_expression] = STATE(6700),
    [sym_vector_expression] = STATE(6700),
    [sym_parenthesized_expression] = STATE(6700),
    [sym_tuple_expression] = STATE(6700),
    [sym_curly_expression] = STATE(6700),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6700),
    [sym_index_expression] = STATE(6700),
    [sym_parametrized_type_expression] = STATE(6700),
    [sym_call_expression] = STATE(6700),
    [sym_broadcast_call_expression] = STATE(6700),
    [sym__closed_macrocall_expression] = STATE(6700),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(18996),
    [sym_interpolation_expression] = STATE(6700),
    [sym_quote_expression] = STATE(6700),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(9165),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(117),
    [sym_identifier] = STATE(4580),
    [sym_boolean_literal] = STATE(6700),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6700),
    [sym_string_literal] = STATE(6700),
    [sym_command_literal] = STATE(6700),
    [sym_prefixed_string_literal] = STATE(6700),
    [sym_prefixed_command_literal] = STATE(6700),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_const] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3430),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(3432),
    [sym__type_order_operator] = ACTIONS(3432),
    [sym__unary_operator] = ACTIONS(3434),
    [sym__unary_plus_operator] = ACTIONS(3434),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [3956] = {
    [sym__expression] = STATE(8487),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3957] = {
    [sym__expression] = STATE(8486),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3958] = {
    [sym__expression] = STATE(8454),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3959] = {
    [sym__expression] = STATE(9228),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3960] = {
    [sym__expression] = STATE(12929),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3961] = {
    [sym__expression] = STATE(8462),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3962] = {
    [sym__expression] = STATE(12997),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3963] = {
    [sym__expression] = STATE(13458),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3964] = {
    [sym__expression] = STATE(8504),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3965] = {
    [sym__expression] = STATE(13572),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3966] = {
    [sym__expression] = STATE(8505),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3967] = {
    [sym__expression] = STATE(8506),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3968] = {
    [sym__expression] = STATE(13646),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3969] = {
    [sym__expression] = STATE(8226),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [3970] = {
    [sym__expression] = STATE(7500),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5262),
    [sym__array] = STATE(5262),
    [sym_comprehension_expression] = STATE(5262),
    [sym_matrix_expression] = STATE(5262),
    [sym_vector_expression] = STATE(5262),
    [sym_parenthesized_expression] = STATE(5262),
    [sym_tuple_expression] = STATE(5262),
    [sym_curly_expression] = STATE(5262),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5262),
    [sym_index_expression] = STATE(5262),
    [sym_parametrized_type_expression] = STATE(5262),
    [sym_call_expression] = STATE(5262),
    [sym_broadcast_call_expression] = STATE(5262),
    [sym__closed_macrocall_expression] = STATE(5262),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(18447),
    [sym_interpolation_expression] = STATE(5262),
    [sym_quote_expression] = STATE(5262),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7870),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4270),
    [sym_boolean_literal] = STATE(5262),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5262),
    [sym_string_literal] = STATE(5262),
    [sym_command_literal] = STATE(5262),
    [sym_prefixed_string_literal] = STATE(5262),
    [sym_prefixed_command_literal] = STATE(5262),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(2730),
    [sym__unary_plus_operator] = ACTIONS(2730),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [3971] = {
    [sym__expression] = STATE(89),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [3972] = {
    [sym__expression] = STATE(278),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3973] = {
    [sym__expression] = STATE(13491),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3974] = {
    [sym__expression] = STATE(13539),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3975] = {
    [sym__expression] = STATE(9020),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3976] = {
    [sym__expression] = STATE(13519),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3977] = {
    [sym__expression] = STATE(8893),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3978] = {
    [sym__expression] = STATE(9223),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6539),
    [sym__array] = STATE(6539),
    [sym_comprehension_expression] = STATE(6539),
    [sym_matrix_expression] = STATE(6539),
    [sym_vector_expression] = STATE(6539),
    [sym_parenthesized_expression] = STATE(6539),
    [sym_tuple_expression] = STATE(6539),
    [sym_curly_expression] = STATE(6539),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6539),
    [sym_index_expression] = STATE(6539),
    [sym_parametrized_type_expression] = STATE(6539),
    [sym_call_expression] = STATE(6539),
    [sym_broadcast_call_expression] = STATE(6539),
    [sym__closed_macrocall_expression] = STATE(6539),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19298),
    [sym_interpolation_expression] = STATE(6539),
    [sym_quote_expression] = STATE(6539),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8800),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(78),
    [sym_identifier] = STATE(4437),
    [sym_boolean_literal] = STATE(6539),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6539),
    [sym_string_literal] = STATE(6539),
    [sym_command_literal] = STATE(6539),
    [sym_prefixed_string_literal] = STATE(6539),
    [sym_prefixed_command_literal] = STATE(6539),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1155),
    [anon_sym_global] = ACTIONS(1157),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(10988),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(10990),
    [sym__type_order_operator] = ACTIONS(10990),
    [sym__unary_operator] = ACTIONS(3346),
    [sym__unary_plus_operator] = ACTIONS(3346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3979] = {
    [sym__expression] = STATE(8925),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3980] = {
    [sym__expression] = STATE(9117),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3981] = {
    [sym__expression] = STATE(9120),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3982] = {
    [sym__expression] = STATE(9128),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3983] = {
    [sym__expression] = STATE(9130),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3984] = {
    [sym__expression] = STATE(9133),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3985] = {
    [sym__expression] = STATE(9137),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3986] = {
    [sym__expression] = STATE(9136),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3987] = {
    [sym__expression] = STATE(9114),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3988] = {
    [sym__expression] = STATE(8914),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3989] = {
    [sym__expression] = STATE(9107),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3990] = {
    [sym__expression] = STATE(9063),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3991] = {
    [sym__expression] = STATE(8929),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3992] = {
    [sym__expression] = STATE(9062),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3993] = {
    [sym__expression] = STATE(9057),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3994] = {
    [sym__expression] = STATE(9055),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [3995] = {
    [sym__expression] = STATE(9039),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3996] = {
    [sym__expression] = STATE(12827),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10786),
    [sym__array] = STATE(10786),
    [sym_comprehension_expression] = STATE(10786),
    [sym_matrix_expression] = STATE(10786),
    [sym_vector_expression] = STATE(10786),
    [sym_parenthesized_expression] = STATE(10786),
    [sym_tuple_expression] = STATE(10786),
    [sym_curly_expression] = STATE(10786),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(10786),
    [sym_index_expression] = STATE(10786),
    [sym_parametrized_type_expression] = STATE(10786),
    [sym_call_expression] = STATE(10786),
    [sym_broadcast_call_expression] = STATE(10786),
    [sym__closed_macrocall_expression] = STATE(10786),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19087),
    [sym_interpolation_expression] = STATE(10786),
    [sym_quote_expression] = STATE(10786),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12213),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(10194),
    [sym_boolean_literal] = STATE(10786),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(10786),
    [sym_string_literal] = STATE(10786),
    [sym_command_literal] = STATE(10786),
    [sym_prefixed_string_literal] = STATE(10786),
    [sym_prefixed_command_literal] = STATE(10786),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2708),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_global] = ACTIONS(2712),
    [anon_sym_local] = ACTIONS(2714),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(2726),
    [sym__unary_plus_operator] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [3997] = {
    [sym__expression] = STATE(8923),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [3998] = {
    [sym__expression] = STATE(13486),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [3999] = {
    [sym__expression] = STATE(8931),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4000] = {
    [sym__expression] = STATE(9098),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4001] = {
    [sym__expression] = STATE(13502),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4002] = {
    [sym__expression] = STATE(9097),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4003] = {
    [sym__expression] = STATE(13506),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4004] = {
    [sym__expression] = STATE(13334),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4005] = {
    [sym__expression] = STATE(13357),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4006] = {
    [sym__expression] = STATE(9094),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4007] = {
    [sym__expression] = STATE(9093),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4008] = {
    [sym__expression] = STATE(13366),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4009] = {
    [sym__expression] = STATE(13396),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4010] = {
    [sym__expression] = STATE(13289),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4011] = {
    [sym__expression] = STATE(8811),
    [sym_module_definition] = STATE(8341),
    [sym_abstract_definition] = STATE(8341),
    [sym_primitive_definition] = STATE(8341),
    [sym_struct_definition] = STATE(8341),
    [sym_function_definition] = STATE(8341),
    [sym_macro_definition] = STATE(8341),
    [sym_compound_statement] = STATE(8341),
    [sym_quote_statement] = STATE(8341),
    [sym_let_statement] = STATE(8341),
    [sym_if_statement] = STATE(8341),
    [sym_try_statement] = STATE(8341),
    [sym_for_statement] = STATE(8341),
    [sym_while_statement] = STATE(8341),
    [sym_return_statement] = STATE(8341),
    [sym_const_statement] = STATE(8341),
    [sym_global_statement] = STATE(8341),
    [sym_local_statement] = STATE(8341),
    [sym_export_statement] = STATE(8341),
    [sym_import_statement] = STATE(8341),
    [sym__primary_expression] = STATE(6288),
    [sym__array] = STATE(6288),
    [sym_comprehension_expression] = STATE(6288),
    [sym_matrix_expression] = STATE(6288),
    [sym_vector_expression] = STATE(6288),
    [sym_parenthesized_expression] = STATE(6288),
    [sym_tuple_expression] = STATE(6288),
    [sym_curly_expression] = STATE(6288),
    [sym_adjoint_expression] = STATE(4249),
    [sym_field_expression] = STATE(6288),
    [sym_index_expression] = STATE(6288),
    [sym_parametrized_type_expression] = STATE(6288),
    [sym_call_expression] = STATE(6288),
    [sym_broadcast_call_expression] = STATE(6288),
    [sym__closed_macrocall_expression] = STATE(6288),
    [sym_macrocall_expression] = STATE(8341),
    [sym_argument_list] = STATE(19253),
    [sym_interpolation_expression] = STATE(6288),
    [sym_quote_expression] = STATE(6288),
    [sym_binary_expression] = STATE(8341),
    [sym_unary_expression] = STATE(8341),
    [sym_range_expression] = STATE(8341),
    [sym_splat_expression] = STATE(8341),
    [sym_ternary_expression] = STATE(8341),
    [sym_typed_expression] = STATE(8508),
    [sym_unary_typed_expression] = STATE(8341),
    [sym_function_expression] = STATE(8341),
    [sym_juxtaposition_expression] = STATE(8341),
    [sym_compound_assignment_expression] = STATE(8341),
    [sym_where_expression] = STATE(8341),
    [sym_macro_identifier] = STATE(40),
    [sym_identifier] = STATE(4398),
    [sym_boolean_literal] = STATE(6288),
    [sym_integer_literal] = STATE(4256),
    [sym_float_literal] = STATE(4256),
    [sym__string] = STATE(6288),
    [sym_string_literal] = STATE(6288),
    [sym_command_literal] = STATE(6288),
    [sym_prefixed_string_literal] = STATE(6288),
    [sym_prefixed_command_literal] = STATE(6288),
    [sym_operator] = STATE(7752),
    [sym__word_identifier] = ACTIONS(905),
    [anon_sym_COLON] = ACTIONS(907),
    [anon_sym_begin] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(911),
    [anon_sym_baremodule] = ACTIONS(911),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_primitive] = ACTIONS(915),
    [anon_sym_mutable] = ACTIONS(917),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_macro] = ACTIONS(923),
    [anon_sym_quote] = ACTIONS(925),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(935),
    [sym_break_statement] = ACTIONS(937),
    [sym_continue_statement] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(939),
    [anon_sym_const] = ACTIONS(941),
    [anon_sym_global] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_export] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(951),
    [anon_sym_using] = ACTIONS(951),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [aux_sym_integer_literal_token1] = ACTIONS(965),
    [aux_sym_integer_literal_token2] = ACTIONS(965),
    [aux_sym_integer_literal_token3] = ACTIONS(967),
    [aux_sym_integer_literal_token4] = ACTIONS(969),
    [aux_sym_float_literal_token1] = ACTIONS(971),
    [aux_sym_float_literal_token3] = ACTIONS(971),
    [aux_sym_float_literal_token4] = ACTIONS(971),
    [sym_character_literal] = ACTIONS(3160),
    [sym__pair_operator] = ACTIONS(975),
    [sym__arrow_operator] = ACTIONS(977),
    [sym__comparison_operator] = ACTIONS(977),
    [sym__pipe_right_operator] = ACTIONS(975),
    [sym__pipe_left_operator] = ACTIONS(975),
    [sym__ellipsis_operator] = ACTIONS(975),
    [sym__plus_operator] = ACTIONS(977),
    [sym__times_operator] = ACTIONS(977),
    [sym__rational_operator] = ACTIONS(975),
    [sym__bitshift_operator] = ACTIONS(975),
    [sym__power_operator] = ACTIONS(975),
    [sym__tilde_operator] = ACTIONS(979),
    [sym__type_order_operator] = ACTIONS(979),
    [sym__unary_operator] = ACTIONS(981),
    [sym__unary_plus_operator] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [4012] = {
    [sym__expression] = STATE(13511),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11406),
    [sym__array] = STATE(11406),
    [sym_comprehension_expression] = STATE(11406),
    [sym_matrix_expression] = STATE(11406),
    [sym_vector_expression] = STATE(11406),
    [sym_parenthesized_expression] = STATE(11406),
    [sym_tuple_expression] = STATE(11406),
    [sym_curly_expression] = STATE(11406),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11406),
    [sym_index_expression] = STATE(11406),
    [sym_parametrized_type_expression] = STATE(11406),
    [sym_call_expression] = STATE(11406),
    [sym_broadcast_call_expression] = STATE(11406),
    [sym__closed_macrocall_expression] = STATE(11406),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19258),
    [sym_interpolation_expression] = STATE(11406),
    [sym_quote_expression] = STATE(11406),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13399),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10694),
    [sym_boolean_literal] = STATE(11406),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11406),
    [sym_string_literal] = STATE(11406),
    [sym_command_literal] = STATE(11406),
    [sym_prefixed_string_literal] = STATE(11406),
    [sym_prefixed_command_literal] = STATE(11406),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3424),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3426),
    [sym__type_order_operator] = ACTIONS(3426),
    [sym__unary_operator] = ACTIONS(3428),
    [sym__unary_plus_operator] = ACTIONS(3428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4013] = {
    [sym__expression] = STATE(13835),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4014] = {
    [sym__expression] = STATE(13782),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4015] = {
    [sym__expression] = STATE(13784),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4016] = {
    [sym__expression] = STATE(13785),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4017] = {
    [sym__expression] = STATE(13786),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4018] = {
    [sym__expression] = STATE(13817),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4019] = {
    [sym__expression] = STATE(13818),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4020] = {
    [sym__expression] = STATE(13822),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4021] = {
    [sym__expression] = STATE(13230),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4022] = {
    [sym__expression] = STATE(12778),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4023] = {
    [sym__expression] = STATE(13231),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4024] = {
    [sym__expression] = STATE(13234),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4025] = {
    [sym__expression] = STATE(13236),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4026] = {
    [sym__expression] = STATE(13252),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4027] = {
    [sym__expression] = STATE(13262),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4028] = {
    [sym__expression] = STATE(13265),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4029] = {
    [sym__expression] = STATE(13266),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4030] = {
    [sym__expression] = STATE(13269),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4031] = {
    [sym__expression] = STATE(13271),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4032] = {
    [sym__expression] = STATE(13279),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4033] = {
    [sym__expression] = STATE(13286),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4034] = {
    [sym__expression] = STATE(13305),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4035] = {
    [sym__expression] = STATE(13825),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4036] = {
    [sym__expression] = STATE(13310),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4037] = {
    [sym__expression] = STATE(13312),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11326),
    [sym__array] = STATE(11326),
    [sym_comprehension_expression] = STATE(11326),
    [sym_matrix_expression] = STATE(11326),
    [sym_vector_expression] = STATE(11326),
    [sym_parenthesized_expression] = STATE(11326),
    [sym_tuple_expression] = STATE(11326),
    [sym_curly_expression] = STATE(11326),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11326),
    [sym_index_expression] = STATE(11326),
    [sym_parametrized_type_expression] = STATE(11326),
    [sym_call_expression] = STATE(11326),
    [sym_broadcast_call_expression] = STATE(11326),
    [sym__closed_macrocall_expression] = STATE(11326),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19383),
    [sym_interpolation_expression] = STATE(11326),
    [sym_quote_expression] = STATE(11326),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12939),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10517),
    [sym_boolean_literal] = STATE(11326),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11326),
    [sym_string_literal] = STATE(11326),
    [sym_command_literal] = STATE(11326),
    [sym_prefixed_string_literal] = STATE(11326),
    [sym_prefixed_command_literal] = STATE(11326),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11106),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(11108),
    [sym__type_order_operator] = ACTIONS(11108),
    [sym__unary_operator] = ACTIONS(3376),
    [sym__unary_plus_operator] = ACTIONS(3376),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4038] = {
    [sym__expression] = STATE(9033),
    [sym_module_definition] = STATE(9015),
    [sym_abstract_definition] = STATE(9015),
    [sym_primitive_definition] = STATE(9015),
    [sym_struct_definition] = STATE(9015),
    [sym_function_definition] = STATE(9015),
    [sym_macro_definition] = STATE(9015),
    [sym_compound_statement] = STATE(9015),
    [sym_quote_statement] = STATE(9015),
    [sym_let_statement] = STATE(9015),
    [sym_if_statement] = STATE(9015),
    [sym_try_statement] = STATE(9015),
    [sym_for_statement] = STATE(9015),
    [sym_while_statement] = STATE(9015),
    [sym_return_statement] = STATE(9015),
    [sym_const_statement] = STATE(9015),
    [sym_global_statement] = STATE(9015),
    [sym_local_statement] = STATE(9015),
    [sym_export_statement] = STATE(9015),
    [sym_import_statement] = STATE(9015),
    [sym__primary_expression] = STATE(6273),
    [sym__array] = STATE(6273),
    [sym_comprehension_expression] = STATE(6273),
    [sym_matrix_expression] = STATE(6273),
    [sym_vector_expression] = STATE(6273),
    [sym_parenthesized_expression] = STATE(6273),
    [sym_tuple_expression] = STATE(6273),
    [sym_curly_expression] = STATE(6273),
    [sym_adjoint_expression] = STATE(4250),
    [sym_field_expression] = STATE(6273),
    [sym_index_expression] = STATE(6273),
    [sym_parametrized_type_expression] = STATE(6273),
    [sym_call_expression] = STATE(6273),
    [sym_broadcast_call_expression] = STATE(6273),
    [sym__closed_macrocall_expression] = STATE(6273),
    [sym_macrocall_expression] = STATE(9015),
    [sym_argument_list] = STATE(19116),
    [sym_interpolation_expression] = STATE(6273),
    [sym_quote_expression] = STATE(6273),
    [sym_binary_expression] = STATE(9015),
    [sym_unary_expression] = STATE(9015),
    [sym_range_expression] = STATE(9015),
    [sym_splat_expression] = STATE(9015),
    [sym_ternary_expression] = STATE(9015),
    [sym_typed_expression] = STATE(8123),
    [sym_unary_typed_expression] = STATE(9015),
    [sym_function_expression] = STATE(9015),
    [sym_juxtaposition_expression] = STATE(9015),
    [sym_compound_assignment_expression] = STATE(9015),
    [sym_where_expression] = STATE(9015),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4438),
    [sym_boolean_literal] = STATE(6273),
    [sym_integer_literal] = STATE(4260),
    [sym_float_literal] = STATE(4260),
    [sym__string] = STATE(6273),
    [sym_string_literal] = STATE(6273),
    [sym_command_literal] = STATE(6273),
    [sym_prefixed_string_literal] = STATE(6273),
    [sym_prefixed_command_literal] = STATE(6273),
    [sym_operator] = STATE(8647),
    [sym__word_identifier] = ACTIONS(1003),
    [anon_sym_COLON] = ACTIONS(1005),
    [anon_sym_begin] = ACTIONS(1007),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_baremodule] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1011),
    [anon_sym_primitive] = ACTIONS(1013),
    [anon_sym_mutable] = ACTIONS(1015),
    [anon_sym_struct] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_macro] = ACTIONS(1021),
    [anon_sym_quote] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1031),
    [anon_sym_while] = ACTIONS(1033),
    [sym_break_statement] = ACTIONS(1035),
    [sym_continue_statement] = ACTIONS(1035),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1039),
    [anon_sym_global] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(9200),
    [anon_sym_export] = ACTIONS(1047),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(9202),
    [anon_sym_LBRACE] = ACTIONS(9204),
    [anon_sym_DOLLAR] = ACTIONS(9206),
    [anon_sym_COLON_COLON] = ACTIONS(9208),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(1061),
    [anon_sym_false] = ACTIONS(1061),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11056),
    [sym__pair_operator] = ACTIONS(9212),
    [sym__arrow_operator] = ACTIONS(1071),
    [sym__comparison_operator] = ACTIONS(1071),
    [sym__pipe_right_operator] = ACTIONS(9212),
    [sym__pipe_left_operator] = ACTIONS(9212),
    [sym__ellipsis_operator] = ACTIONS(9212),
    [sym__plus_operator] = ACTIONS(1071),
    [sym__times_operator] = ACTIONS(1071),
    [sym__rational_operator] = ACTIONS(9212),
    [sym__bitshift_operator] = ACTIONS(9212),
    [sym__power_operator] = ACTIONS(9212),
    [sym__tilde_operator] = ACTIONS(9214),
    [sym__type_order_operator] = ACTIONS(9214),
    [sym__unary_operator] = ACTIONS(1073),
    [sym__unary_plus_operator] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [4039] = {
    [sym__expression] = STATE(13859),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4040] = {
    [sym__expression] = STATE(13864),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4041] = {
    [sym__expression] = STATE(13875),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4042] = {
    [sym__expression] = STATE(272),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4043] = {
    [sym__expression] = STATE(13890),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4044] = {
    [sym__expression] = STATE(13891),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4045] = {
    [sym__expression] = STATE(75),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4046] = {
    [sym__expression] = STATE(13409),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11529),
    [sym__array] = STATE(11529),
    [sym_comprehension_expression] = STATE(11529),
    [sym_matrix_expression] = STATE(11529),
    [sym_vector_expression] = STATE(11529),
    [sym_parenthesized_expression] = STATE(11529),
    [sym_tuple_expression] = STATE(11529),
    [sym_curly_expression] = STATE(11529),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11529),
    [sym_index_expression] = STATE(11529),
    [sym_parametrized_type_expression] = STATE(11529),
    [sym_call_expression] = STATE(11529),
    [sym_broadcast_call_expression] = STATE(11529),
    [sym__closed_macrocall_expression] = STATE(11529),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19416),
    [sym_interpolation_expression] = STATE(11529),
    [sym_quote_expression] = STATE(11529),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13440),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10578),
    [sym_boolean_literal] = STATE(11529),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11529),
    [sym_string_literal] = STATE(11529),
    [sym_command_literal] = STATE(11529),
    [sym_prefixed_string_literal] = STATE(11529),
    [sym_prefixed_command_literal] = STATE(11529),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3780),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3782),
    [sym__type_order_operator] = ACTIONS(3782),
    [sym__unary_operator] = ACTIONS(3784),
    [sym__unary_plus_operator] = ACTIONS(3784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4047] = {
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11317),
    [sym__array] = STATE(11317),
    [sym_comprehension_expression] = STATE(11317),
    [sym_matrix_expression] = STATE(11317),
    [sym_vector_expression] = STATE(11317),
    [sym_parenthesized_expression] = STATE(11317),
    [sym_tuple_expression] = STATE(11317),
    [sym_curly_expression] = STATE(11317),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11317),
    [sym_index_expression] = STATE(11317),
    [sym_parametrized_type_expression] = STATE(11317),
    [sym_call_expression] = STATE(11317),
    [sym_broadcast_call_expression] = STATE(11317),
    [sym__closed_macrocall_expression] = STATE(11317),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18903),
    [sym_interpolation_expression] = STATE(11317),
    [sym_quote_expression] = STATE(11317),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(12964),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10466),
    [sym_boolean_literal] = STATE(11317),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11317),
    [sym_string_literal] = STATE(11317),
    [sym_command_literal] = STATE(11317),
    [sym_prefixed_string_literal] = STATE(11317),
    [sym_prefixed_command_literal] = STATE(11317),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_global] = ACTIONS(2991),
    [anon_sym_local] = ACTIONS(2993),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3288),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3025),
    [sym__type_order_operator] = ACTIONS(3025),
    [sym__unary_operator] = ACTIONS(3027),
    [sym__unary_plus_operator] = ACTIONS(3027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4048] = {
    [sym__expression] = STATE(9138),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4049] = {
    [sym__expression] = STATE(9123),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4050] = {
    [sym__expression] = STATE(9122),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4051] = {
    [sym__expression] = STATE(12935),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4052] = {
    [sym__expression] = STATE(13788),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4053] = {
    [sym__expression] = STATE(12931),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4054] = {
    [sym__expression] = STATE(9001),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4055] = {
    [sym__expression] = STATE(8818),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4056] = {
    [sym__expression] = STATE(13477),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4057] = {
    [sym__expression] = STATE(12925),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4058] = {
    [sym__expression] = STATE(300),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4059] = {
    [sym__expression] = STATE(13796),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4060] = {
    [sym__expression] = STATE(13806),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4061] = {
    [sym__expression] = STATE(12924),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4062] = {
    [sym__expression] = STATE(94),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4063] = {
    [sym__expression] = STATE(12921),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4064] = {
    [sym__expression] = STATE(13813),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4065] = {
    [sym__expression] = STATE(13512),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4066] = {
    [sym__expression] = STATE(13409),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11385),
    [sym__array] = STATE(11385),
    [sym_comprehension_expression] = STATE(11385),
    [sym_matrix_expression] = STATE(11385),
    [sym_vector_expression] = STATE(11385),
    [sym_parenthesized_expression] = STATE(11385),
    [sym_tuple_expression] = STATE(11385),
    [sym_curly_expression] = STATE(11385),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11385),
    [sym_index_expression] = STATE(11385),
    [sym_parametrized_type_expression] = STATE(11385),
    [sym_call_expression] = STATE(11385),
    [sym_broadcast_call_expression] = STATE(11385),
    [sym__closed_macrocall_expression] = STATE(11385),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18572),
    [sym_interpolation_expression] = STATE(11385),
    [sym_quote_expression] = STATE(11385),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13353),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(10509),
    [sym_boolean_literal] = STATE(11385),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11385),
    [sym_string_literal] = STATE(11385),
    [sym_command_literal] = STATE(11385),
    [sym_prefixed_string_literal] = STATE(11385),
    [sym_prefixed_command_literal] = STATE(11385),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3326),
    [anon_sym_const] = ACTIONS(3328),
    [anon_sym_global] = ACTIONS(3330),
    [anon_sym_local] = ACTIONS(3332),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3398),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3400),
    [sym__type_order_operator] = ACTIONS(3400),
    [sym__unary_operator] = ACTIONS(3402),
    [sym__unary_plus_operator] = ACTIONS(3402),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4067] = {
    [sym__expression] = STATE(12920),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4068] = {
    [sym__expression] = STATE(13821),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4069] = {
    [sym__expression] = STATE(12919),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4070] = {
    [sym__expression] = STATE(14178),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(12043),
    [sym__array] = STATE(12043),
    [sym_comprehension_expression] = STATE(12043),
    [sym_matrix_expression] = STATE(12043),
    [sym_vector_expression] = STATE(12043),
    [sym_parenthesized_expression] = STATE(12043),
    [sym_tuple_expression] = STATE(11695),
    [sym_curly_expression] = STATE(12043),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(12043),
    [sym_index_expression] = STATE(12043),
    [sym_parametrized_type_expression] = STATE(12043),
    [sym_call_expression] = STATE(12043),
    [sym_broadcast_call_expression] = STATE(12043),
    [sym__closed_macrocall_expression] = STATE(12043),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19442),
    [sym_interpolation_expression] = STATE(11695),
    [sym_quote_expression] = STATE(12043),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13709),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(11308),
    [sym_boolean_literal] = STATE(12043),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(12043),
    [sym_string_literal] = STATE(12043),
    [sym_command_literal] = STATE(12043),
    [sym_prefixed_string_literal] = STATE(12043),
    [sym_prefixed_command_literal] = STATE(12043),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(8604),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(8606),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(8610),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(4130),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(4132),
    [sym__type_order_operator] = ACTIONS(4132),
    [sym__unary_operator] = ACTIONS(4134),
    [sym__unary_plus_operator] = ACTIONS(4134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4071] = {
    [sym__expression] = STATE(12918),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4072] = {
    [sym__expression] = STATE(13337),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4073] = {
    [sym__expression] = STATE(12864),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4074] = {
    [sym__expression] = STATE(13338),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4075] = {
    [sym__expression] = STATE(12917),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4076] = {
    [sym__expression] = STATE(13343),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4077] = {
    [sym__expression] = STATE(13359),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4078] = {
    [sym__expression] = STATE(13384),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4079] = {
    [sym__expression] = STATE(13388),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4080] = {
    [sym__expression] = STATE(13390),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4081] = {
    [sym__expression] = STATE(13826),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4082] = {
    [sym__expression] = STATE(13394),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4083] = {
    [sym__expression] = STATE(13058),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4084] = {
    [sym__expression] = STATE(13177),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4085] = {
    [sym__expression] = STATE(9249),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4086] = {
    [sym__expression] = STATE(7531),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4087] = {
    [sym__expression] = STATE(7576),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4088] = {
    [sym__expression] = STATE(7575),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4089] = {
    [sym__expression] = STATE(7574),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4090] = {
    [sym__expression] = STATE(7573),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4091] = {
    [sym__expression] = STATE(7566),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4092] = {
    [sym__expression] = STATE(7521),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4093] = {
    [sym__expression] = STATE(7494),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4094] = {
    [sym__expression] = STATE(7488),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4095] = {
    [sym__expression] = STATE(7448),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4096] = {
    [sym__expression] = STATE(7437),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4097] = {
    [sym__expression] = STATE(7460),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4098] = {
    [sym__expression] = STATE(7435),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4099] = {
    [sym__expression] = STATE(7434),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4100] = {
    [sym__expression] = STATE(7433),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4101] = {
    [sym__expression] = STATE(7917),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(4630),
    [sym__array] = STATE(4630),
    [sym_comprehension_expression] = STATE(4630),
    [sym_matrix_expression] = STATE(4630),
    [sym_vector_expression] = STATE(4630),
    [sym_parenthesized_expression] = STATE(4630),
    [sym_tuple_expression] = STATE(4630),
    [sym_curly_expression] = STATE(4630),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(4630),
    [sym_index_expression] = STATE(4630),
    [sym_parametrized_type_expression] = STATE(4630),
    [sym_call_expression] = STATE(4630),
    [sym_broadcast_call_expression] = STATE(4630),
    [sym__closed_macrocall_expression] = STATE(4630),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19802),
    [sym_interpolation_expression] = STATE(4630),
    [sym_quote_expression] = STATE(4630),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7271),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(4278),
    [sym_boolean_literal] = STATE(4630),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(4630),
    [sym_string_literal] = STATE(4630),
    [sym_command_literal] = STATE(4630),
    [sym_prefixed_string_literal] = STATE(4630),
    [sym_prefixed_command_literal] = STATE(4630),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(349),
    [anon_sym_const] = ACTIONS(351),
    [anon_sym_global] = ACTIONS(353),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(9154),
    [sym__type_order_operator] = ACTIONS(9154),
    [sym__unary_operator] = ACTIONS(385),
    [sym__unary_plus_operator] = ACTIONS(385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4102] = {
    [sym__expression] = STATE(269),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4103] = {
    [sym__expression] = STATE(13313),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4104] = {
    [sym__expression] = STATE(8605),
    [sym_module_definition] = STATE(7840),
    [sym_abstract_definition] = STATE(7840),
    [sym_primitive_definition] = STATE(7840),
    [sym_struct_definition] = STATE(7840),
    [sym_function_definition] = STATE(7840),
    [sym_macro_definition] = STATE(7840),
    [sym_compound_statement] = STATE(7840),
    [sym_quote_statement] = STATE(7840),
    [sym_let_statement] = STATE(7840),
    [sym_if_statement] = STATE(7840),
    [sym_try_statement] = STATE(7840),
    [sym_for_statement] = STATE(7840),
    [sym_while_statement] = STATE(7840),
    [sym_return_statement] = STATE(7840),
    [sym_const_statement] = STATE(7840),
    [sym_global_statement] = STATE(7840),
    [sym_local_statement] = STATE(7840),
    [sym_export_statement] = STATE(7840),
    [sym_import_statement] = STATE(7840),
    [sym__primary_expression] = STATE(5238),
    [sym__array] = STATE(5238),
    [sym_comprehension_expression] = STATE(5238),
    [sym_matrix_expression] = STATE(5238),
    [sym_vector_expression] = STATE(5238),
    [sym_parenthesized_expression] = STATE(5238),
    [sym_tuple_expression] = STATE(5238),
    [sym_curly_expression] = STATE(5238),
    [sym_adjoint_expression] = STATE(4245),
    [sym_field_expression] = STATE(5238),
    [sym_index_expression] = STATE(5238),
    [sym_parametrized_type_expression] = STATE(5238),
    [sym_call_expression] = STATE(5238),
    [sym_broadcast_call_expression] = STATE(5238),
    [sym__closed_macrocall_expression] = STATE(5238),
    [sym_macrocall_expression] = STATE(7840),
    [sym_argument_list] = STATE(19439),
    [sym_interpolation_expression] = STATE(5238),
    [sym_quote_expression] = STATE(5238),
    [sym_binary_expression] = STATE(7840),
    [sym_unary_expression] = STATE(7840),
    [sym_range_expression] = STATE(7840),
    [sym_splat_expression] = STATE(7840),
    [sym_ternary_expression] = STATE(7840),
    [sym_typed_expression] = STATE(7811),
    [sym_unary_typed_expression] = STATE(7840),
    [sym_function_expression] = STATE(7840),
    [sym_juxtaposition_expression] = STATE(7840),
    [sym_compound_assignment_expression] = STATE(7840),
    [sym_where_expression] = STATE(7840),
    [sym_macro_identifier] = STATE(34),
    [sym_identifier] = STATE(4275),
    [sym_boolean_literal] = STATE(5238),
    [sym_integer_literal] = STATE(4253),
    [sym_float_literal] = STATE(4253),
    [sym__string] = STATE(5238),
    [sym_string_literal] = STATE(5238),
    [sym_command_literal] = STATE(5238),
    [sym_prefixed_string_literal] = STATE(5238),
    [sym_prefixed_command_literal] = STATE(5238),
    [sym_operator] = STATE(7274),
    [sym__word_identifier] = ACTIONS(313),
    [anon_sym_COLON] = ACTIONS(317),
    [anon_sym_begin] = ACTIONS(319),
    [anon_sym_module] = ACTIONS(321),
    [anon_sym_baremodule] = ACTIONS(321),
    [anon_sym_abstract] = ACTIONS(323),
    [anon_sym_primitive] = ACTIONS(325),
    [anon_sym_mutable] = ACTIONS(327),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_macro] = ACTIONS(333),
    [anon_sym_quote] = ACTIONS(335),
    [anon_sym_let] = ACTIONS(337),
    [anon_sym_if] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(343),
    [anon_sym_while] = ACTIONS(345),
    [sym_break_statement] = ACTIONS(347),
    [sym_continue_statement] = ACTIONS(347),
    [anon_sym_return] = ACTIONS(613),
    [anon_sym_const] = ACTIONS(615),
    [anon_sym_global] = ACTIONS(617),
    [anon_sym_local] = ACTIONS(619),
    [anon_sym_LPAREN] = ACTIONS(9136),
    [anon_sym_export] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(361),
    [anon_sym_using] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(9138),
    [anon_sym_LBRACE] = ACTIONS(9140),
    [anon_sym_DOLLAR] = ACTIONS(9142),
    [anon_sym_COLON_COLON] = ACTIONS(9144),
    [anon_sym_AT] = ACTIONS(5394),
    [anon_sym_true] = ACTIONS(373),
    [anon_sym_false] = ACTIONS(373),
    [aux_sym_integer_literal_token1] = ACTIONS(9146),
    [aux_sym_integer_literal_token2] = ACTIONS(9146),
    [aux_sym_integer_literal_token3] = ACTIONS(375),
    [aux_sym_integer_literal_token4] = ACTIONS(377),
    [aux_sym_float_literal_token1] = ACTIONS(9148),
    [aux_sym_float_literal_token3] = ACTIONS(9148),
    [aux_sym_float_literal_token4] = ACTIONS(9148),
    [sym_character_literal] = ACTIONS(10992),
    [sym__pair_operator] = ACTIONS(9152),
    [sym__arrow_operator] = ACTIONS(383),
    [sym__comparison_operator] = ACTIONS(383),
    [sym__pipe_right_operator] = ACTIONS(9152),
    [sym__pipe_left_operator] = ACTIONS(9152),
    [sym__ellipsis_operator] = ACTIONS(9152),
    [sym__plus_operator] = ACTIONS(383),
    [sym__times_operator] = ACTIONS(383),
    [sym__rational_operator] = ACTIONS(9152),
    [sym__bitshift_operator] = ACTIONS(9152),
    [sym__power_operator] = ACTIONS(9152),
    [sym__tilde_operator] = ACTIONS(10994),
    [sym__type_order_operator] = ACTIONS(10994),
    [sym__unary_operator] = ACTIONS(2734),
    [sym__unary_plus_operator] = ACTIONS(2734),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4105] = {
    [sym__expression] = STATE(9250),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4106] = {
    [sym__expression] = STATE(9146),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4107] = {
    [sym__expression] = STATE(13398),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4108] = {
    [sym__expression] = STATE(13400),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4109] = {
    [sym__expression] = STATE(13401),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4110] = {
    [sym__expression] = STATE(13405),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4111] = {
    [sym__expression] = STATE(13410),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(11329),
    [sym__array] = STATE(11329),
    [sym_comprehension_expression] = STATE(11329),
    [sym_matrix_expression] = STATE(11329),
    [sym_vector_expression] = STATE(11329),
    [sym_parenthesized_expression] = STATE(11329),
    [sym_tuple_expression] = STATE(11329),
    [sym_curly_expression] = STATE(11329),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(11329),
    [sym_index_expression] = STATE(11329),
    [sym_parametrized_type_expression] = STATE(11329),
    [sym_call_expression] = STATE(11329),
    [sym_broadcast_call_expression] = STATE(11329),
    [sym__closed_macrocall_expression] = STATE(11329),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19560),
    [sym_interpolation_expression] = STATE(11329),
    [sym_quote_expression] = STATE(11329),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(13174),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(85),
    [sym_identifier] = STATE(10362),
    [sym_boolean_literal] = STATE(11329),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(11329),
    [sym_string_literal] = STATE(11329),
    [sym_command_literal] = STATE(11329),
    [sym_prefixed_string_literal] = STATE(11329),
    [sym_prefixed_command_literal] = STATE(11329),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3250),
    [anon_sym_global] = ACTIONS(3252),
    [anon_sym_local] = ACTIONS(3254),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(11070),
    [sym__type_order_operator] = ACTIONS(11070),
    [sym__unary_operator] = ACTIONS(3412),
    [sym__unary_plus_operator] = ACTIONS(3412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4112] = {
    [sym__expression] = STATE(12625),
    [sym_module_definition] = STATE(12665),
    [sym_abstract_definition] = STATE(12665),
    [sym_primitive_definition] = STATE(12665),
    [sym_struct_definition] = STATE(12665),
    [sym_function_definition] = STATE(12665),
    [sym_macro_definition] = STATE(12665),
    [sym_compound_statement] = STATE(12665),
    [sym_quote_statement] = STATE(12665),
    [sym_let_statement] = STATE(12665),
    [sym_if_statement] = STATE(12665),
    [sym_try_statement] = STATE(12665),
    [sym_for_statement] = STATE(12665),
    [sym_while_statement] = STATE(12665),
    [sym_return_statement] = STATE(12665),
    [sym_const_statement] = STATE(12665),
    [sym_global_statement] = STATE(12665),
    [sym_local_statement] = STATE(12665),
    [sym_export_statement] = STATE(12665),
    [sym_import_statement] = STATE(12665),
    [sym__primary_expression] = STATE(10772),
    [sym__array] = STATE(10772),
    [sym_comprehension_expression] = STATE(10772),
    [sym_matrix_expression] = STATE(10772),
    [sym_vector_expression] = STATE(10772),
    [sym_parenthesized_expression] = STATE(10772),
    [sym_tuple_expression] = STATE(10772),
    [sym_curly_expression] = STATE(10772),
    [sym_adjoint_expression] = STATE(7014),
    [sym_field_expression] = STATE(10772),
    [sym_index_expression] = STATE(10772),
    [sym_parametrized_type_expression] = STATE(10772),
    [sym_call_expression] = STATE(10772),
    [sym_broadcast_call_expression] = STATE(10772),
    [sym__closed_macrocall_expression] = STATE(10772),
    [sym_macrocall_expression] = STATE(12665),
    [sym_argument_list] = STATE(19158),
    [sym_interpolation_expression] = STATE(10772),
    [sym_quote_expression] = STATE(10772),
    [sym_binary_expression] = STATE(12665),
    [sym_unary_expression] = STATE(12665),
    [sym_range_expression] = STATE(12665),
    [sym_splat_expression] = STATE(12665),
    [sym_ternary_expression] = STATE(12665),
    [sym_typed_expression] = STATE(12050),
    [sym_unary_typed_expression] = STATE(12665),
    [sym_function_expression] = STATE(12665),
    [sym_juxtaposition_expression] = STATE(12665),
    [sym_compound_assignment_expression] = STATE(12665),
    [sym_where_expression] = STATE(12665),
    [sym_macro_identifier] = STATE(49),
    [sym_identifier] = STATE(10188),
    [sym_boolean_literal] = STATE(10772),
    [sym_integer_literal] = STATE(9307),
    [sym_float_literal] = STATE(9307),
    [sym__string] = STATE(10772),
    [sym_string_literal] = STATE(10772),
    [sym_command_literal] = STATE(10772),
    [sym_prefixed_string_literal] = STATE(10772),
    [sym_prefixed_command_literal] = STATE(10772),
    [sym_operator] = STATE(11889),
    [sym__word_identifier] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_begin] = ACTIONS(2864),
    [anon_sym_module] = ACTIONS(2866),
    [anon_sym_baremodule] = ACTIONS(2866),
    [anon_sym_abstract] = ACTIONS(2868),
    [anon_sym_primitive] = ACTIONS(2870),
    [anon_sym_mutable] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2874),
    [anon_sym_function] = ACTIONS(2876),
    [anon_sym_macro] = ACTIONS(2878),
    [anon_sym_quote] = ACTIONS(2880),
    [anon_sym_let] = ACTIONS(2882),
    [anon_sym_if] = ACTIONS(2884),
    [anon_sym_try] = ACTIONS(2886),
    [anon_sym_for] = ACTIONS(2888),
    [anon_sym_while] = ACTIONS(2890),
    [sym_break_statement] = ACTIONS(2892),
    [sym_continue_statement] = ACTIONS(2892),
    [anon_sym_return] = ACTIONS(2894),
    [anon_sym_const] = ACTIONS(2896),
    [anon_sym_global] = ACTIONS(2898),
    [anon_sym_local] = ACTIONS(2900),
    [anon_sym_LPAREN] = ACTIONS(9114),
    [anon_sym_export] = ACTIONS(2904),
    [anon_sym_import] = ACTIONS(2906),
    [anon_sym_using] = ACTIONS(2906),
    [anon_sym_LBRACK] = ACTIONS(9116),
    [anon_sym_LBRACE] = ACTIONS(9118),
    [anon_sym_DOLLAR] = ACTIONS(9120),
    [anon_sym_COLON_COLON] = ACTIONS(9122),
    [anon_sym_AT] = ACTIONS(9124),
    [anon_sym_true] = ACTIONS(2916),
    [anon_sym_false] = ACTIONS(2916),
    [aux_sym_integer_literal_token1] = ACTIONS(9126),
    [aux_sym_integer_literal_token2] = ACTIONS(9126),
    [aux_sym_integer_literal_token3] = ACTIONS(1063),
    [aux_sym_integer_literal_token4] = ACTIONS(1065),
    [aux_sym_float_literal_token1] = ACTIONS(9128),
    [aux_sym_float_literal_token3] = ACTIONS(9128),
    [aux_sym_float_literal_token4] = ACTIONS(9128),
    [sym_character_literal] = ACTIONS(11094),
    [sym__pair_operator] = ACTIONS(9132),
    [sym__arrow_operator] = ACTIONS(2920),
    [sym__comparison_operator] = ACTIONS(2920),
    [sym__pipe_right_operator] = ACTIONS(9132),
    [sym__pipe_left_operator] = ACTIONS(9132),
    [sym__ellipsis_operator] = ACTIONS(9132),
    [sym__plus_operator] = ACTIONS(2920),
    [sym__times_operator] = ACTIONS(2920),
    [sym__rational_operator] = ACTIONS(9132),
    [sym__bitshift_operator] = ACTIONS(9132),
    [sym__power_operator] = ACTIONS(9132),
    [sym__tilde_operator] = ACTIONS(9134),
    [sym__type_order_operator] = ACTIONS(9134),
    [sym__unary_operator] = ACTIONS(2922),
    [sym__unary_plus_operator] = ACTIONS(2922),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2924),
    [sym__command_start] = ACTIONS(2926),
  },
  [4113] = {
    [sym__expression] = STATE(81),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4114] = {
    [sym__expression] = STATE(13831),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4115] = {
    [sym__expression] = STATE(13832),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4116] = {
    [sym__expression] = STATE(13833),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4117] = {
    [sym__expression] = STATE(9255),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4118] = {
    [sym__expression] = STATE(9256),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4119] = {
    [sym__expression] = STATE(9297),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4120] = {
    [sym__expression] = STATE(13409),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4121] = {
    [sym__expression] = STATE(9291),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4122] = {
    [sym__expression] = STATE(9287),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4123] = {
    [sym__expression] = STATE(13834),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11534),
    [sym__array] = STATE(11534),
    [sym_comprehension_expression] = STATE(11534),
    [sym_matrix_expression] = STATE(11534),
    [sym_vector_expression] = STATE(11534),
    [sym_parenthesized_expression] = STATE(11534),
    [sym_tuple_expression] = STATE(11534),
    [sym_curly_expression] = STATE(11534),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11534),
    [sym_index_expression] = STATE(11534),
    [sym_parametrized_type_expression] = STATE(11534),
    [sym_call_expression] = STATE(11534),
    [sym_broadcast_call_expression] = STATE(11534),
    [sym__closed_macrocall_expression] = STATE(11534),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19779),
    [sym_interpolation_expression] = STATE(11534),
    [sym_quote_expression] = STATE(11534),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13499),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10925),
    [sym_boolean_literal] = STATE(11534),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11534),
    [sym_string_literal] = STATE(11534),
    [sym_command_literal] = STATE(11534),
    [sym_prefixed_string_literal] = STATE(11534),
    [sym_prefixed_command_literal] = STATE(11534),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3414),
    [anon_sym_const] = ACTIONS(3416),
    [anon_sym_global] = ACTIONS(3418),
    [anon_sym_local] = ACTIONS(3420),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3908),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3910),
    [sym__type_order_operator] = ACTIONS(3910),
    [sym__unary_operator] = ACTIONS(3912),
    [sym__unary_plus_operator] = ACTIONS(3912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4124] = {
    [sym__expression] = STATE(13358),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4125] = {
    [sym__expression] = STATE(9303),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4126] = {
    [sym__expression] = STATE(9191),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4127] = {
    [sym__expression] = STATE(13590),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4128] = {
    [sym__expression] = STATE(13361),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11200),
    [sym__array] = STATE(11200),
    [sym_comprehension_expression] = STATE(11200),
    [sym_matrix_expression] = STATE(11200),
    [sym_vector_expression] = STATE(11200),
    [sym_parenthesized_expression] = STATE(11200),
    [sym_tuple_expression] = STATE(11200),
    [sym_curly_expression] = STATE(11200),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11200),
    [sym_index_expression] = STATE(11200),
    [sym_parametrized_type_expression] = STATE(11200),
    [sym_call_expression] = STATE(11200),
    [sym_broadcast_call_expression] = STATE(11200),
    [sym__closed_macrocall_expression] = STATE(11200),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18949),
    [sym_interpolation_expression] = STATE(11200),
    [sym_quote_expression] = STATE(11200),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13036),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(86),
    [sym_identifier] = STATE(10333),
    [sym_boolean_literal] = STATE(11200),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11200),
    [sym_string_literal] = STATE(11200),
    [sym_command_literal] = STATE(11200),
    [sym_prefixed_string_literal] = STATE(11200),
    [sym_prefixed_command_literal] = STATE(11200),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_global] = ACTIONS(3176),
    [anon_sym_local] = ACTIONS(3178),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3318),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3198),
    [sym__type_order_operator] = ACTIONS(3198),
    [sym__unary_operator] = ACTIONS(3200),
    [sym__unary_plus_operator] = ACTIONS(3200),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4129] = {
    [sym__expression] = STATE(13585),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4130] = {
    [sym__expression] = STATE(13583),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4131] = {
    [sym__expression] = STATE(13580),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4132] = {
    [sym__expression] = STATE(13578),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4133] = {
    [sym__expression] = STATE(9189),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4134] = {
    [sym__expression] = STATE(13577),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4135] = {
    [sym__expression] = STATE(13570),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4136] = {
    [sym__expression] = STATE(7500),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4137] = {
    [sym__expression] = STATE(13567),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4138] = {
    [sym__expression] = STATE(13566),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4139] = {
    [sym__expression] = STATE(13565),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4140] = {
    [sym__expression] = STATE(13552),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4141] = {
    [sym__expression] = STATE(13550),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4142] = {
    [sym__expression] = STATE(13549),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4143] = {
    [sym__expression] = STATE(9179),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4144] = {
    [sym__expression] = STATE(9171),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4145] = {
    [sym__expression] = STATE(13548),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4146] = {
    [sym__expression] = STATE(13889),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11442),
    [sym__array] = STATE(11442),
    [sym_comprehension_expression] = STATE(11442),
    [sym_matrix_expression] = STATE(11442),
    [sym_vector_expression] = STATE(11442),
    [sym_parenthesized_expression] = STATE(11442),
    [sym_tuple_expression] = STATE(11442),
    [sym_curly_expression] = STATE(11442),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11442),
    [sym_index_expression] = STATE(11442),
    [sym_parametrized_type_expression] = STATE(11442),
    [sym_call_expression] = STATE(11442),
    [sym_broadcast_call_expression] = STATE(11442),
    [sym__closed_macrocall_expression] = STATE(11442),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19593),
    [sym_interpolation_expression] = STATE(11442),
    [sym_quote_expression] = STATE(11442),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13534),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(111),
    [sym_identifier] = STATE(10907),
    [sym_boolean_literal] = STATE(11442),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11442),
    [sym_string_literal] = STATE(11442),
    [sym_command_literal] = STATE(11442),
    [sym_prefixed_string_literal] = STATE(11442),
    [sym_prefixed_command_literal] = STATE(11442),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3364),
    [anon_sym_const] = ACTIONS(3366),
    [anon_sym_global] = ACTIONS(3368),
    [anon_sym_local] = ACTIONS(3370),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3404),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3406),
    [sym__type_order_operator] = ACTIONS(3406),
    [sym__unary_operator] = ACTIONS(3408),
    [sym__unary_plus_operator] = ACTIONS(3408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4147] = {
    [sym__expression] = STATE(12619),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4148] = {
    [sym__expression] = STATE(13470),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4149] = {
    [sym__expression] = STATE(13468),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4150] = {
    [sym__expression] = STATE(13466),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4151] = {
    [sym__expression] = STATE(13462),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4152] = {
    [sym__expression] = STATE(13461),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4153] = {
    [sym__expression] = STATE(13460),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4154] = {
    [sym__expression] = STATE(13459),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4155] = {
    [sym__expression] = STATE(13457),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4156] = {
    [sym__expression] = STATE(13453),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4157] = {
    [sym__expression] = STATE(13451),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4158] = {
    [sym__expression] = STATE(13450),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4159] = {
    [sym__expression] = STATE(12619),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11383),
    [sym__array] = STATE(11383),
    [sym_comprehension_expression] = STATE(11383),
    [sym_matrix_expression] = STATE(11383),
    [sym_vector_expression] = STATE(11383),
    [sym_parenthesized_expression] = STATE(11383),
    [sym_tuple_expression] = STATE(11383),
    [sym_curly_expression] = STATE(11383),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11383),
    [sym_index_expression] = STATE(11383),
    [sym_parametrized_type_expression] = STATE(11383),
    [sym_call_expression] = STATE(11383),
    [sym_broadcast_call_expression] = STATE(11383),
    [sym__closed_macrocall_expression] = STATE(11383),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(18697),
    [sym_interpolation_expression] = STATE(11383),
    [sym_quote_expression] = STATE(11383),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13287),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(76),
    [sym_identifier] = STATE(10339),
    [sym_boolean_literal] = STATE(11383),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11383),
    [sym_string_literal] = STATE(11383),
    [sym_command_literal] = STATE(11383),
    [sym_prefixed_string_literal] = STATE(11383),
    [sym_prefixed_command_literal] = STATE(11383),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3270),
    [anon_sym_global] = ACTIONS(3272),
    [anon_sym_local] = ACTIONS(3274),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3298),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3300),
    [sym__type_order_operator] = ACTIONS(3300),
    [sym__unary_operator] = ACTIONS(3302),
    [sym__unary_plus_operator] = ACTIONS(3302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4160] = {
    [sym__expression] = STATE(13448),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4161] = {
    [sym__expression] = STATE(13446),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4162] = {
    [sym__expression] = STATE(13444),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4163] = {
    [sym__expression] = STATE(13582),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11417),
    [sym__array] = STATE(11417),
    [sym_comprehension_expression] = STATE(11417),
    [sym_matrix_expression] = STATE(11417),
    [sym_vector_expression] = STATE(11417),
    [sym_parenthesized_expression] = STATE(11417),
    [sym_tuple_expression] = STATE(11417),
    [sym_curly_expression] = STATE(11417),
    [sym_adjoint_expression] = STATE(8005),
    [sym_field_expression] = STATE(11417),
    [sym_index_expression] = STATE(11417),
    [sym_parametrized_type_expression] = STATE(11417),
    [sym_call_expression] = STATE(11417),
    [sym_broadcast_call_expression] = STATE(11417),
    [sym__closed_macrocall_expression] = STATE(11417),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19331),
    [sym_interpolation_expression] = STATE(11417),
    [sym_quote_expression] = STATE(11417),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13295),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(67),
    [sym_identifier] = STATE(10532),
    [sym_boolean_literal] = STATE(11417),
    [sym_integer_literal] = STATE(9356),
    [sym_float_literal] = STATE(9356),
    [sym__string] = STATE(11417),
    [sym_string_literal] = STATE(11417),
    [sym_command_literal] = STATE(11417),
    [sym_prefixed_string_literal] = STATE(11417),
    [sym_prefixed_command_literal] = STATE(11417),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(3170),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3228),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_global] = ACTIONS(3232),
    [anon_sym_local] = ACTIONS(3234),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3352),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3238),
    [sym__type_order_operator] = ACTIONS(3238),
    [sym__unary_operator] = ACTIONS(3240),
    [sym__unary_plus_operator] = ACTIONS(3240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4164] = {
    [sym__expression] = STATE(13850),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11445),
    [sym__array] = STATE(11445),
    [sym_comprehension_expression] = STATE(11445),
    [sym_matrix_expression] = STATE(11445),
    [sym_vector_expression] = STATE(11445),
    [sym_parenthesized_expression] = STATE(11445),
    [sym_tuple_expression] = STATE(11445),
    [sym_curly_expression] = STATE(11445),
    [sym_adjoint_expression] = STATE(9247),
    [sym_field_expression] = STATE(11445),
    [sym_index_expression] = STATE(11445),
    [sym_parametrized_type_expression] = STATE(11445),
    [sym_call_expression] = STATE(11445),
    [sym_broadcast_call_expression] = STATE(11445),
    [sym__closed_macrocall_expression] = STATE(11445),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19865),
    [sym_interpolation_expression] = STATE(11445),
    [sym_quote_expression] = STATE(11445),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13501),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(135),
    [sym_identifier] = STATE(10965),
    [sym_boolean_literal] = STATE(11445),
    [sym_integer_literal] = STATE(9577),
    [sym_float_literal] = STATE(9577),
    [sym__string] = STATE(11445),
    [sym_string_literal] = STATE(11445),
    [sym_command_literal] = STATE(11445),
    [sym_prefixed_string_literal] = STATE(11445),
    [sym_prefixed_command_literal] = STATE(11445),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3378),
    [anon_sym_const] = ACTIONS(3380),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3384),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(2997),
    [anon_sym_import] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(3007),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3011),
    [aux_sym_integer_literal_token2] = ACTIONS(3011),
    [aux_sym_integer_literal_token3] = ACTIONS(3013),
    [aux_sym_integer_literal_token4] = ACTIONS(3015),
    [aux_sym_float_literal_token1] = ACTIONS(3017),
    [aux_sym_float_literal_token3] = ACTIONS(3017),
    [aux_sym_float_literal_token4] = ACTIONS(3017),
    [sym_character_literal] = ACTIONS(3786),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3388),
    [sym__type_order_operator] = ACTIONS(3388),
    [sym__unary_operator] = ACTIONS(3390),
    [sym__unary_plus_operator] = ACTIONS(3390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4165] = {
    [sym__expression] = STATE(12937),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4166] = {
    [sym__expression] = STATE(9166),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4167] = {
    [sym__expression] = STATE(9158),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4168] = {
    [sym__expression] = STATE(13127),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(11097),
    [sym__array] = STATE(11097),
    [sym_comprehension_expression] = STATE(11097),
    [sym_matrix_expression] = STATE(11097),
    [sym_vector_expression] = STATE(11097),
    [sym_parenthesized_expression] = STATE(11097),
    [sym_tuple_expression] = STATE(11097),
    [sym_curly_expression] = STATE(11097),
    [sym_adjoint_expression] = STATE(7253),
    [sym_field_expression] = STATE(11097),
    [sym_index_expression] = STATE(11097),
    [sym_parametrized_type_expression] = STATE(11097),
    [sym_call_expression] = STATE(11097),
    [sym_broadcast_call_expression] = STATE(11097),
    [sym__closed_macrocall_expression] = STATE(11097),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(19192),
    [sym_interpolation_expression] = STATE(11097),
    [sym_quote_expression] = STATE(11097),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12678),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(66),
    [sym_identifier] = STATE(10186),
    [sym_boolean_literal] = STATE(11097),
    [sym_integer_literal] = STATE(9310),
    [sym_float_literal] = STATE(9310),
    [sym__string] = STATE(11097),
    [sym_string_literal] = STATE(11097),
    [sym_command_literal] = STATE(11097),
    [sym_prefixed_string_literal] = STATE(11097),
    [sym_prefixed_command_literal] = STATE(11097),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2706),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3109),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_global] = ACTIONS(3113),
    [anon_sym_local] = ACTIONS(3115),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2716),
    [anon_sym_import] = ACTIONS(2718),
    [anon_sym_using] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(9310),
    [anon_sym_COLON_COLON] = ACTIONS(9312),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(10996),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(10998),
    [sym__type_order_operator] = ACTIONS(10998),
    [sym__unary_operator] = ACTIONS(3350),
    [sym__unary_plus_operator] = ACTIONS(3350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4169] = {
    [sym__expression] = STATE(9304),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4170] = {
    [sym__expression] = STATE(9154),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4171] = {
    [sym__expression] = STATE(12938),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4172] = {
    [sym__expression] = STATE(7500),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6807),
    [sym__array] = STATE(6807),
    [sym_comprehension_expression] = STATE(6807),
    [sym_matrix_expression] = STATE(6807),
    [sym_vector_expression] = STATE(6807),
    [sym_parenthesized_expression] = STATE(6807),
    [sym_tuple_expression] = STATE(6807),
    [sym_curly_expression] = STATE(6807),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6807),
    [sym_index_expression] = STATE(6807),
    [sym_parametrized_type_expression] = STATE(6807),
    [sym_call_expression] = STATE(6807),
    [sym_broadcast_call_expression] = STATE(6807),
    [sym__closed_macrocall_expression] = STATE(6807),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19097),
    [sym_interpolation_expression] = STATE(6807),
    [sym_quote_expression] = STATE(6807),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9148),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(5031),
    [sym_boolean_literal] = STATE(6807),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6807),
    [sym_string_literal] = STATE(6807),
    [sym_command_literal] = STATE(6807),
    [sym_prefixed_string_literal] = STATE(6807),
    [sym_prefixed_command_literal] = STATE(6807),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_const] = ACTIONS(795),
    [anon_sym_global] = ACTIONS(797),
    [anon_sym_local] = ACTIONS(799),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11090),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(11092),
    [sym__type_order_operator] = ACTIONS(11092),
    [sym__unary_operator] = ACTIONS(3394),
    [sym__unary_plus_operator] = ACTIONS(3394),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4173] = {
    [sym__expression] = STATE(9017),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4174] = {
    [sym__expression] = STATE(12942),
    [sym_module_definition] = STATE(10836),
    [sym_abstract_definition] = STATE(10836),
    [sym_primitive_definition] = STATE(10836),
    [sym_struct_definition] = STATE(10836),
    [sym_function_definition] = STATE(10836),
    [sym_macro_definition] = STATE(10836),
    [sym_compound_statement] = STATE(10836),
    [sym_quote_statement] = STATE(10836),
    [sym_let_statement] = STATE(10836),
    [sym_if_statement] = STATE(10836),
    [sym_try_statement] = STATE(10836),
    [sym_for_statement] = STATE(10836),
    [sym_while_statement] = STATE(10836),
    [sym_return_statement] = STATE(10836),
    [sym_const_statement] = STATE(10836),
    [sym_global_statement] = STATE(10836),
    [sym_local_statement] = STATE(10836),
    [sym_export_statement] = STATE(10836),
    [sym_import_statement] = STATE(10836),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10989),
    [sym_comprehension_expression] = STATE(10989),
    [sym_matrix_expression] = STATE(10989),
    [sym_vector_expression] = STATE(10989),
    [sym_parenthesized_expression] = STATE(10989),
    [sym_tuple_expression] = STATE(10989),
    [sym_curly_expression] = STATE(10989),
    [sym_adjoint_expression] = STATE(7866),
    [sym_field_expression] = STATE(10989),
    [sym_index_expression] = STATE(10989),
    [sym_parametrized_type_expression] = STATE(10989),
    [sym_call_expression] = STATE(10989),
    [sym_broadcast_call_expression] = STATE(10989),
    [sym__closed_macrocall_expression] = STATE(10989),
    [sym_macrocall_expression] = STATE(10836),
    [sym_argument_list] = STATE(18786),
    [sym_interpolation_expression] = STATE(10989),
    [sym_quote_expression] = STATE(10989),
    [sym_binary_expression] = STATE(10836),
    [sym_unary_expression] = STATE(10836),
    [sym_range_expression] = STATE(10836),
    [sym_splat_expression] = STATE(10836),
    [sym_ternary_expression] = STATE(10836),
    [sym_typed_expression] = STATE(12390),
    [sym_unary_typed_expression] = STATE(10836),
    [sym_function_expression] = STATE(10836),
    [sym_juxtaposition_expression] = STATE(10836),
    [sym_compound_assignment_expression] = STATE(10836),
    [sym_where_expression] = STATE(10836),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(10290),
    [sym_boolean_literal] = STATE(10989),
    [sym_integer_literal] = STATE(9364),
    [sym_float_literal] = STATE(9364),
    [sym__string] = STATE(10989),
    [sym_string_literal] = STATE(10989),
    [sym_command_literal] = STATE(10989),
    [sym_prefixed_string_literal] = STATE(10989),
    [sym_prefixed_command_literal] = STATE(10989),
    [sym_operator] = STATE(10338),
    [sym__word_identifier] = ACTIONS(7),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_begin] = ACTIONS(2532),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2534),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_global] = ACTIONS(2538),
    [anon_sym_local] = ACTIONS(2540),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(2542),
    [anon_sym_import] = ACTIONS(2544),
    [anon_sym_using] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_DOLLAR] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4774),
    [anon_sym_AT] = ACTIONS(4776),
    [anon_sym_true] = ACTIONS(65),
    [anon_sym_false] = ACTIONS(65),
    [aux_sym_integer_literal_token1] = ACTIONS(4778),
    [aux_sym_integer_literal_token2] = ACTIONS(4778),
    [aux_sym_integer_literal_token3] = ACTIONS(2550),
    [aux_sym_integer_literal_token4] = ACTIONS(2552),
    [aux_sym_float_literal_token1] = ACTIONS(4780),
    [aux_sym_float_literal_token3] = ACTIONS(4780),
    [aux_sym_float_literal_token4] = ACTIONS(4780),
    [sym_character_literal] = ACTIONS(11030),
    [sym__pair_operator] = ACTIONS(77),
    [sym__arrow_operator] = ACTIONS(79),
    [sym__comparison_operator] = ACTIONS(79),
    [sym__pipe_right_operator] = ACTIONS(77),
    [sym__pipe_left_operator] = ACTIONS(77),
    [sym__ellipsis_operator] = ACTIONS(77),
    [sym__plus_operator] = ACTIONS(79),
    [sym__times_operator] = ACTIONS(79),
    [sym__rational_operator] = ACTIONS(77),
    [sym__bitshift_operator] = ACTIONS(77),
    [sym__power_operator] = ACTIONS(77),
    [sym__tilde_operator] = ACTIONS(4784),
    [sym__type_order_operator] = ACTIONS(4784),
    [sym__unary_operator] = ACTIONS(2558),
    [sym__unary_plus_operator] = ACTIONS(2558),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(85),
    [sym__command_start] = ACTIONS(87),
  },
  [4175] = {
    [sym__expression] = STATE(7529),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4176] = {
    [sym__expression] = STATE(70),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4177] = {
    [sym__expression] = STATE(276),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4178] = {
    [sym__expression] = STATE(252),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4179] = {
    [sym__expression] = STATE(9153),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4180] = {
    [sym__expression] = STATE(87),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4181] = {
    [sym__expression] = STATE(97),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4182] = {
    [sym__expression] = STATE(280),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4183] = {
    [sym__expression] = STATE(9253),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4184] = {
    [sym__expression] = STATE(7500),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4185] = {
    [sym__expression] = STATE(9152),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4186] = {
    [sym__expression] = STATE(7924),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4187] = {
    [sym__expression] = STATE(7943),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4188] = {
    [sym__expression] = STATE(7945),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4189] = {
    [sym__expression] = STATE(9157),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4190] = {
    [sym__expression] = STATE(98),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4191] = {
    [sym__expression] = STATE(9142),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(6546),
    [sym__array] = STATE(6546),
    [sym_comprehension_expression] = STATE(6546),
    [sym_matrix_expression] = STATE(6546),
    [sym_vector_expression] = STATE(6546),
    [sym_parenthesized_expression] = STATE(6546),
    [sym_tuple_expression] = STATE(6546),
    [sym_curly_expression] = STATE(6546),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(6546),
    [sym_index_expression] = STATE(6546),
    [sym_parametrized_type_expression] = STATE(6546),
    [sym_call_expression] = STATE(6546),
    [sym_broadcast_call_expression] = STATE(6546),
    [sym__closed_macrocall_expression] = STATE(6546),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19834),
    [sym_interpolation_expression] = STATE(6546),
    [sym_quote_expression] = STATE(6546),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(9011),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4603),
    [sym_boolean_literal] = STATE(6546),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(6546),
    [sym_string_literal] = STATE(6546),
    [sym_command_literal] = STATE(6546),
    [sym_prefixed_string_literal] = STATE(6546),
    [sym_prefixed_command_literal] = STATE(6546),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6988),
    [sym__type_order_operator] = ACTIONS(6988),
    [sym__unary_operator] = ACTIONS(3362),
    [sym__unary_plus_operator] = ACTIONS(3362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4192] = {
    [sym__expression] = STATE(7947),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4193] = {
    [sym__expression] = STATE(7955),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4194] = {
    [sym__expression] = STATE(7956),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4195] = {
    [sym__expression] = STATE(7959),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4196] = {
    [sym__expression] = STATE(9283),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4197] = {
    [sym__expression] = STATE(9242),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4198] = {
    [sym__expression] = STATE(9280),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4199] = {
    [sym__expression] = STATE(7967),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4200] = {
    [sym__expression] = STATE(7975),
    [sym_module_definition] = STATE(7925),
    [sym_abstract_definition] = STATE(7925),
    [sym_primitive_definition] = STATE(7925),
    [sym_struct_definition] = STATE(7925),
    [sym_function_definition] = STATE(7925),
    [sym_macro_definition] = STATE(7925),
    [sym_compound_statement] = STATE(7925),
    [sym_quote_statement] = STATE(7925),
    [sym_let_statement] = STATE(7925),
    [sym_if_statement] = STATE(7925),
    [sym_try_statement] = STATE(7925),
    [sym_for_statement] = STATE(7925),
    [sym_while_statement] = STATE(7925),
    [sym_return_statement] = STATE(7925),
    [sym_const_statement] = STATE(7925),
    [sym_global_statement] = STATE(7925),
    [sym_local_statement] = STATE(7925),
    [sym_export_statement] = STATE(7925),
    [sym_import_statement] = STATE(7925),
    [sym__primary_expression] = STATE(5102),
    [sym__array] = STATE(5102),
    [sym_comprehension_expression] = STATE(5102),
    [sym_matrix_expression] = STATE(5102),
    [sym_vector_expression] = STATE(5102),
    [sym_parenthesized_expression] = STATE(5102),
    [sym_tuple_expression] = STATE(5102),
    [sym_curly_expression] = STATE(5102),
    [sym_adjoint_expression] = STATE(4243),
    [sym_field_expression] = STATE(5102),
    [sym_index_expression] = STATE(5102),
    [sym_parametrized_type_expression] = STATE(5102),
    [sym_call_expression] = STATE(5102),
    [sym_broadcast_call_expression] = STATE(5102),
    [sym__closed_macrocall_expression] = STATE(5102),
    [sym_macrocall_expression] = STATE(7925),
    [sym_argument_list] = STATE(19049),
    [sym_interpolation_expression] = STATE(5102),
    [sym_quote_expression] = STATE(5102),
    [sym_binary_expression] = STATE(7925),
    [sym_unary_expression] = STATE(7925),
    [sym_range_expression] = STATE(7925),
    [sym_splat_expression] = STATE(7925),
    [sym_ternary_expression] = STATE(7925),
    [sym_typed_expression] = STATE(7102),
    [sym_unary_typed_expression] = STATE(7925),
    [sym_function_expression] = STATE(7925),
    [sym_juxtaposition_expression] = STATE(7925),
    [sym_compound_assignment_expression] = STATE(7925),
    [sym_where_expression] = STATE(7925),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(4272),
    [sym_boolean_literal] = STATE(5102),
    [sym_integer_literal] = STATE(4254),
    [sym_float_literal] = STATE(4254),
    [sym__string] = STATE(5102),
    [sym_string_literal] = STATE(5102),
    [sym_command_literal] = STATE(5102),
    [sym_prefixed_string_literal] = STATE(5102),
    [sym_prefixed_command_literal] = STATE(5102),
    [sym_operator] = STATE(7017),
    [sym__word_identifier] = ACTIONS(409),
    [anon_sym_COLON] = ACTIONS(411),
    [anon_sym_begin] = ACTIONS(413),
    [anon_sym_module] = ACTIONS(415),
    [anon_sym_baremodule] = ACTIONS(415),
    [anon_sym_abstract] = ACTIONS(417),
    [anon_sym_primitive] = ACTIONS(419),
    [anon_sym_mutable] = ACTIONS(421),
    [anon_sym_struct] = ACTIONS(423),
    [anon_sym_function] = ACTIONS(425),
    [anon_sym_macro] = ACTIONS(427),
    [anon_sym_quote] = ACTIONS(429),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(439),
    [sym_break_statement] = ACTIONS(441),
    [sym_continue_statement] = ACTIONS(441),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_global] = ACTIONS(447),
    [anon_sym_local] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(6306),
    [anon_sym_export] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_using] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(6308),
    [anon_sym_LBRACE] = ACTIONS(6312),
    [anon_sym_DOLLAR] = ACTIONS(6314),
    [anon_sym_COLON_COLON] = ACTIONS(6316),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_true] = ACTIONS(467),
    [anon_sym_false] = ACTIONS(467),
    [aux_sym_integer_literal_token1] = ACTIONS(6318),
    [aux_sym_integer_literal_token2] = ACTIONS(6318),
    [aux_sym_integer_literal_token3] = ACTIONS(469),
    [aux_sym_integer_literal_token4] = ACTIONS(471),
    [aux_sym_float_literal_token1] = ACTIONS(6320),
    [aux_sym_float_literal_token3] = ACTIONS(6320),
    [aux_sym_float_literal_token4] = ACTIONS(6320),
    [sym_character_literal] = ACTIONS(11110),
    [sym__pair_operator] = ACTIONS(6324),
    [sym__arrow_operator] = ACTIONS(477),
    [sym__comparison_operator] = ACTIONS(477),
    [sym__pipe_right_operator] = ACTIONS(6324),
    [sym__pipe_left_operator] = ACTIONS(6324),
    [sym__ellipsis_operator] = ACTIONS(6324),
    [sym__plus_operator] = ACTIONS(477),
    [sym__times_operator] = ACTIONS(477),
    [sym__rational_operator] = ACTIONS(6324),
    [sym__bitshift_operator] = ACTIONS(6324),
    [sym__power_operator] = ACTIONS(6324),
    [sym__tilde_operator] = ACTIONS(6326),
    [sym__type_order_operator] = ACTIONS(6326),
    [sym__unary_operator] = ACTIONS(479),
    [sym__unary_plus_operator] = ACTIONS(479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4201] = {
    [sym__expression] = STATE(9216),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6486),
    [sym__array] = STATE(6486),
    [sym_comprehension_expression] = STATE(6486),
    [sym_matrix_expression] = STATE(6486),
    [sym_vector_expression] = STATE(6486),
    [sym_parenthesized_expression] = STATE(6486),
    [sym_tuple_expression] = STATE(6486),
    [sym_curly_expression] = STATE(6486),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6486),
    [sym_index_expression] = STATE(6486),
    [sym_parametrized_type_expression] = STATE(6486),
    [sym_call_expression] = STATE(6486),
    [sym_broadcast_call_expression] = STATE(6486),
    [sym__closed_macrocall_expression] = STATE(6486),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18230),
    [sym_interpolation_expression] = STATE(6486),
    [sym_quote_expression] = STATE(6486),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9019),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(4465),
    [sym_boolean_literal] = STATE(6486),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6486),
    [sym_string_literal] = STATE(6486),
    [sym_command_literal] = STATE(6486),
    [sym_prefixed_string_literal] = STATE(6486),
    [sym_prefixed_command_literal] = STATE(6486),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11062),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11064),
    [sym__type_order_operator] = ACTIONS(11064),
    [sym__unary_operator] = ACTIONS(3296),
    [sym__unary_plus_operator] = ACTIONS(3296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4202] = {
    [sym__expression] = STATE(275),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4203] = {
    [sym__expression] = STATE(8844),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(6348),
    [sym__array] = STATE(6348),
    [sym_comprehension_expression] = STATE(6348),
    [sym_matrix_expression] = STATE(6348),
    [sym_vector_expression] = STATE(6348),
    [sym_parenthesized_expression] = STATE(6348),
    [sym_tuple_expression] = STATE(6348),
    [sym_curly_expression] = STATE(6348),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(6348),
    [sym_index_expression] = STATE(6348),
    [sym_parametrized_type_expression] = STATE(6348),
    [sym_call_expression] = STATE(6348),
    [sym_broadcast_call_expression] = STATE(6348),
    [sym__closed_macrocall_expression] = STATE(6348),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19628),
    [sym_interpolation_expression] = STATE(6348),
    [sym_quote_expression] = STATE(6348),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8165),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(55),
    [sym_identifier] = STATE(4338),
    [sym_boolean_literal] = STATE(6348),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(6348),
    [sym_string_literal] = STATE(6348),
    [sym_command_literal] = STATE(6348),
    [sym_prefixed_string_literal] = STATE(6348),
    [sym_prefixed_command_literal] = STATE(6348),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_global] = ACTIONS(1101),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11084),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(11086),
    [sym__type_order_operator] = ACTIONS(11086),
    [sym__unary_operator] = ACTIONS(3083),
    [sym__unary_plus_operator] = ACTIONS(3083),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4204] = {
    [sym__expression] = STATE(8325),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4205] = {
    [sym__expression] = STATE(8728),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4206] = {
    [sym__expression] = STATE(9260),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4207] = {
    [sym__expression] = STATE(8726),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4208] = {
    [sym__expression] = STATE(9046),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(6328),
    [sym__array] = STATE(6328),
    [sym_comprehension_expression] = STATE(6328),
    [sym_matrix_expression] = STATE(6328),
    [sym_vector_expression] = STATE(6328),
    [sym_parenthesized_expression] = STATE(6328),
    [sym_tuple_expression] = STATE(6328),
    [sym_curly_expression] = STATE(6328),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(6328),
    [sym_index_expression] = STATE(6328),
    [sym_parametrized_type_expression] = STATE(6328),
    [sym_call_expression] = STATE(6328),
    [sym_broadcast_call_expression] = STATE(6328),
    [sym__closed_macrocall_expression] = STATE(6328),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19581),
    [sym_interpolation_expression] = STATE(6328),
    [sym_quote_expression] = STATE(6328),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(8319),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4334),
    [sym_boolean_literal] = STATE(6328),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(6328),
    [sym_string_literal] = STATE(6328),
    [sym_command_literal] = STATE(6328),
    [sym_prefixed_string_literal] = STATE(6328),
    [sym_prefixed_command_literal] = STATE(6328),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_global] = ACTIONS(997),
    [anon_sym_local] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11072),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(11074),
    [sym__type_order_operator] = ACTIONS(11074),
    [sym__unary_operator] = ACTIONS(3292),
    [sym__unary_plus_operator] = ACTIONS(3292),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4209] = {
    [sym__expression] = STATE(8721),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4210] = {
    [sym__expression] = STATE(8719),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4211] = {
    [sym__expression] = STATE(256),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4212] = {
    [sym__expression] = STATE(8718),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4213] = {
    [sym__expression] = STATE(8714),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4214] = {
    [sym__expression] = STATE(8710),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4215] = {
    [sym__expression] = STATE(8700),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4216] = {
    [sym__expression] = STATE(8696),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4217] = {
    [sym__expression] = STATE(8695),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4218] = {
    [sym__expression] = STATE(8693),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4219] = {
    [sym__expression] = STATE(8692),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4220] = {
    [sym__expression] = STATE(8690),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4221] = {
    [sym__expression] = STATE(8686),
    [sym_module_definition] = STATE(8242),
    [sym_abstract_definition] = STATE(8242),
    [sym_primitive_definition] = STATE(8242),
    [sym_struct_definition] = STATE(8242),
    [sym_function_definition] = STATE(8242),
    [sym_macro_definition] = STATE(8242),
    [sym_compound_statement] = STATE(8242),
    [sym_quote_statement] = STATE(8242),
    [sym_let_statement] = STATE(8242),
    [sym_if_statement] = STATE(8242),
    [sym_try_statement] = STATE(8242),
    [sym_for_statement] = STATE(8242),
    [sym_while_statement] = STATE(8242),
    [sym_return_statement] = STATE(8242),
    [sym_const_statement] = STATE(8242),
    [sym_global_statement] = STATE(8242),
    [sym_local_statement] = STATE(8242),
    [sym_export_statement] = STATE(8242),
    [sym_import_statement] = STATE(8242),
    [sym__primary_expression] = STATE(5427),
    [sym__array] = STATE(5427),
    [sym_comprehension_expression] = STATE(5427),
    [sym_matrix_expression] = STATE(5427),
    [sym_vector_expression] = STATE(5427),
    [sym_parenthesized_expression] = STATE(5427),
    [sym_tuple_expression] = STATE(5427),
    [sym_curly_expression] = STATE(5427),
    [sym_adjoint_expression] = STATE(4248),
    [sym_field_expression] = STATE(5427),
    [sym_index_expression] = STATE(5427),
    [sym_parametrized_type_expression] = STATE(5427),
    [sym_call_expression] = STATE(5427),
    [sym_broadcast_call_expression] = STATE(5427),
    [sym__closed_macrocall_expression] = STATE(5427),
    [sym_macrocall_expression] = STATE(8242),
    [sym_argument_list] = STATE(19355),
    [sym_interpolation_expression] = STATE(5427),
    [sym_quote_expression] = STATE(5427),
    [sym_binary_expression] = STATE(8242),
    [sym_unary_expression] = STATE(8242),
    [sym_range_expression] = STATE(8242),
    [sym_splat_expression] = STATE(8242),
    [sym_ternary_expression] = STATE(8242),
    [sym_typed_expression] = STATE(7535),
    [sym_unary_typed_expression] = STATE(8242),
    [sym_function_expression] = STATE(8242),
    [sym_juxtaposition_expression] = STATE(8242),
    [sym_compound_assignment_expression] = STATE(8242),
    [sym_where_expression] = STATE(8242),
    [sym_macro_identifier] = STATE(27),
    [sym_identifier] = STATE(4333),
    [sym_boolean_literal] = STATE(5427),
    [sym_integer_literal] = STATE(4255),
    [sym_float_literal] = STATE(4255),
    [sym__string] = STATE(5427),
    [sym_string_literal] = STATE(5427),
    [sym_command_literal] = STATE(5427),
    [sym_prefixed_string_literal] = STATE(5427),
    [sym_prefixed_command_literal] = STATE(5427),
    [sym_operator] = STATE(7757),
    [sym__word_identifier] = ACTIONS(531),
    [anon_sym_COLON] = ACTIONS(533),
    [anon_sym_begin] = ACTIONS(535),
    [anon_sym_module] = ACTIONS(537),
    [anon_sym_baremodule] = ACTIONS(537),
    [anon_sym_abstract] = ACTIONS(539),
    [anon_sym_primitive] = ACTIONS(541),
    [anon_sym_mutable] = ACTIONS(543),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_function] = ACTIONS(547),
    [anon_sym_macro] = ACTIONS(549),
    [anon_sym_quote] = ACTIONS(551),
    [anon_sym_let] = ACTIONS(553),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_try] = ACTIONS(557),
    [anon_sym_for] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [sym_break_statement] = ACTIONS(563),
    [sym_continue_statement] = ACTIONS(563),
    [anon_sym_return] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(567),
    [anon_sym_global] = ACTIONS(569),
    [anon_sym_local] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(8544),
    [anon_sym_export] = ACTIONS(575),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_using] = ACTIONS(577),
    [anon_sym_LBRACK] = ACTIONS(8546),
    [anon_sym_LBRACE] = ACTIONS(8548),
    [anon_sym_DOLLAR] = ACTIONS(8550),
    [anon_sym_COLON_COLON] = ACTIONS(8552),
    [anon_sym_AT] = ACTIONS(6782),
    [anon_sym_true] = ACTIONS(589),
    [anon_sym_false] = ACTIONS(589),
    [aux_sym_integer_literal_token1] = ACTIONS(8554),
    [aux_sym_integer_literal_token2] = ACTIONS(8554),
    [aux_sym_integer_literal_token3] = ACTIONS(591),
    [aux_sym_integer_literal_token4] = ACTIONS(593),
    [aux_sym_float_literal_token1] = ACTIONS(8556),
    [aux_sym_float_literal_token3] = ACTIONS(8556),
    [aux_sym_float_literal_token4] = ACTIONS(8556),
    [sym_character_literal] = ACTIONS(11088),
    [sym__pair_operator] = ACTIONS(8560),
    [sym__arrow_operator] = ACTIONS(599),
    [sym__comparison_operator] = ACTIONS(599),
    [sym__pipe_right_operator] = ACTIONS(8560),
    [sym__pipe_left_operator] = ACTIONS(8560),
    [sym__ellipsis_operator] = ACTIONS(8560),
    [sym__plus_operator] = ACTIONS(599),
    [sym__times_operator] = ACTIONS(599),
    [sym__rational_operator] = ACTIONS(8560),
    [sym__bitshift_operator] = ACTIONS(8560),
    [sym__power_operator] = ACTIONS(8560),
    [sym__tilde_operator] = ACTIONS(8562),
    [sym__type_order_operator] = ACTIONS(8562),
    [sym__unary_operator] = ACTIONS(601),
    [sym__unary_plus_operator] = ACTIONS(601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4222] = {
    [sym__expression] = STATE(13495),
    [sym_module_definition] = STATE(12015),
    [sym_abstract_definition] = STATE(12015),
    [sym_primitive_definition] = STATE(12015),
    [sym_struct_definition] = STATE(12015),
    [sym_function_definition] = STATE(12015),
    [sym_macro_definition] = STATE(12015),
    [sym_compound_statement] = STATE(12015),
    [sym_quote_statement] = STATE(12015),
    [sym_let_statement] = STATE(12015),
    [sym_if_statement] = STATE(12015),
    [sym_try_statement] = STATE(12015),
    [sym_for_statement] = STATE(12015),
    [sym_while_statement] = STATE(12015),
    [sym_return_statement] = STATE(12015),
    [sym_const_statement] = STATE(12015),
    [sym_global_statement] = STATE(12015),
    [sym_local_statement] = STATE(12015),
    [sym_export_statement] = STATE(12015),
    [sym_import_statement] = STATE(12015),
    [sym__primary_expression] = STATE(11389),
    [sym__array] = STATE(11389),
    [sym_comprehension_expression] = STATE(11389),
    [sym_matrix_expression] = STATE(11389),
    [sym_vector_expression] = STATE(11389),
    [sym_parenthesized_expression] = STATE(11389),
    [sym_tuple_expression] = STATE(11389),
    [sym_curly_expression] = STATE(11389),
    [sym_adjoint_expression] = STATE(8507),
    [sym_field_expression] = STATE(11389),
    [sym_index_expression] = STATE(11389),
    [sym_parametrized_type_expression] = STATE(11389),
    [sym_call_expression] = STATE(11389),
    [sym_broadcast_call_expression] = STATE(11389),
    [sym__closed_macrocall_expression] = STATE(11389),
    [sym_macrocall_expression] = STATE(12015),
    [sym_argument_list] = STATE(19224),
    [sym_interpolation_expression] = STATE(11389),
    [sym_quote_expression] = STATE(11389),
    [sym_binary_expression] = STATE(12015),
    [sym_unary_expression] = STATE(12015),
    [sym_range_expression] = STATE(12015),
    [sym_splat_expression] = STATE(12015),
    [sym_ternary_expression] = STATE(12015),
    [sym_typed_expression] = STATE(13277),
    [sym_unary_typed_expression] = STATE(12015),
    [sym_function_expression] = STATE(12015),
    [sym_juxtaposition_expression] = STATE(12015),
    [sym_compound_assignment_expression] = STATE(12015),
    [sym_where_expression] = STATE(12015),
    [sym_macro_identifier] = STATE(110),
    [sym_identifier] = STATE(10568),
    [sym_boolean_literal] = STATE(11389),
    [sym_integer_literal] = STATE(9475),
    [sym_float_literal] = STATE(9475),
    [sym__string] = STATE(11389),
    [sym_string_literal] = STATE(11389),
    [sym_command_literal] = STATE(11389),
    [sym_prefixed_string_literal] = STATE(11389),
    [sym_prefixed_command_literal] = STATE(11389),
    [sym_operator] = STATE(11562),
    [sym__word_identifier] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_begin] = ACTIONS(2957),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_baremodule] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2961),
    [anon_sym_primitive] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2969),
    [anon_sym_macro] = ACTIONS(2971),
    [anon_sym_quote] = ACTIONS(2973),
    [anon_sym_let] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2983),
    [sym_break_statement] = ACTIONS(2985),
    [sym_continue_statement] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_global] = ACTIONS(3308),
    [anon_sym_local] = ACTIONS(3310),
    [anon_sym_LPAREN] = ACTIONS(2995),
    [anon_sym_export] = ACTIONS(3180),
    [anon_sym_import] = ACTIONS(3182),
    [anon_sym_using] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3001),
    [anon_sym_LBRACE] = ACTIONS(3003),
    [anon_sym_DOLLAR] = ACTIONS(3184),
    [anon_sym_COLON_COLON] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(3009),
    [anon_sym_false] = ACTIONS(3009),
    [aux_sym_integer_literal_token1] = ACTIONS(3188),
    [aux_sym_integer_literal_token2] = ACTIONS(3188),
    [aux_sym_integer_literal_token3] = ACTIONS(3190),
    [aux_sym_integer_literal_token4] = ACTIONS(3192),
    [aux_sym_float_literal_token1] = ACTIONS(3194),
    [aux_sym_float_literal_token3] = ACTIONS(3194),
    [aux_sym_float_literal_token4] = ACTIONS(3194),
    [sym_character_literal] = ACTIONS(3396),
    [sym__pair_operator] = ACTIONS(3021),
    [sym__arrow_operator] = ACTIONS(3023),
    [sym__comparison_operator] = ACTIONS(3023),
    [sym__pipe_right_operator] = ACTIONS(3021),
    [sym__pipe_left_operator] = ACTIONS(3021),
    [sym__ellipsis_operator] = ACTIONS(3021),
    [sym__plus_operator] = ACTIONS(3023),
    [sym__times_operator] = ACTIONS(3023),
    [sym__rational_operator] = ACTIONS(3021),
    [sym__bitshift_operator] = ACTIONS(3021),
    [sym__power_operator] = ACTIONS(3021),
    [sym__tilde_operator] = ACTIONS(3314),
    [sym__type_order_operator] = ACTIONS(3314),
    [sym__unary_operator] = ACTIONS(3316),
    [sym__unary_plus_operator] = ACTIONS(3316),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(3029),
    [sym__command_start] = ACTIONS(3031),
  },
  [4223] = {
    [sym__expression] = STATE(9281),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4224] = {
    [sym__expression] = STATE(9257),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6704),
    [sym__array] = STATE(6704),
    [sym_comprehension_expression] = STATE(6704),
    [sym_matrix_expression] = STATE(6704),
    [sym_vector_expression] = STATE(6704),
    [sym_parenthesized_expression] = STATE(6704),
    [sym_tuple_expression] = STATE(6704),
    [sym_curly_expression] = STATE(6704),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6704),
    [sym_index_expression] = STATE(6704),
    [sym_parametrized_type_expression] = STATE(6704),
    [sym_call_expression] = STATE(6704),
    [sym_broadcast_call_expression] = STATE(6704),
    [sym__closed_macrocall_expression] = STATE(6704),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(18840),
    [sym_interpolation_expression] = STATE(6704),
    [sym_quote_expression] = STATE(6704),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(9194),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(83),
    [sym_identifier] = STATE(5298),
    [sym_boolean_literal] = STATE(6704),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6704),
    [sym_string_literal] = STATE(6704),
    [sym_command_literal] = STATE(6704),
    [sym_prefixed_string_literal] = STATE(6704),
    [sym_prefixed_command_literal] = STATE(6704),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_global] = ACTIONS(1177),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11010),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(11012),
    [sym__type_order_operator] = ACTIONS(11012),
    [sym__unary_operator] = ACTIONS(3105),
    [sym__unary_plus_operator] = ACTIONS(3105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4225] = {
    [sym__expression] = STATE(8917),
    [sym_module_definition] = STATE(8905),
    [sym_abstract_definition] = STATE(8905),
    [sym_primitive_definition] = STATE(8905),
    [sym_struct_definition] = STATE(8905),
    [sym_function_definition] = STATE(8905),
    [sym_macro_definition] = STATE(8905),
    [sym_compound_statement] = STATE(8905),
    [sym_quote_statement] = STATE(8905),
    [sym_let_statement] = STATE(8905),
    [sym_if_statement] = STATE(8905),
    [sym_try_statement] = STATE(8905),
    [sym_for_statement] = STATE(8905),
    [sym_while_statement] = STATE(8905),
    [sym_return_statement] = STATE(8905),
    [sym_const_statement] = STATE(8905),
    [sym_global_statement] = STATE(8905),
    [sym_local_statement] = STATE(8905),
    [sym_export_statement] = STATE(8905),
    [sym_import_statement] = STATE(8905),
    [sym__primary_expression] = STATE(6115),
    [sym__array] = STATE(6115),
    [sym_comprehension_expression] = STATE(6115),
    [sym_matrix_expression] = STATE(6115),
    [sym_vector_expression] = STATE(6115),
    [sym_parenthesized_expression] = STATE(6115),
    [sym_tuple_expression] = STATE(6115),
    [sym_curly_expression] = STATE(6115),
    [sym_adjoint_expression] = STATE(4251),
    [sym_field_expression] = STATE(6115),
    [sym_index_expression] = STATE(6115),
    [sym_parametrized_type_expression] = STATE(6115),
    [sym_call_expression] = STATE(6115),
    [sym_broadcast_call_expression] = STATE(6115),
    [sym__closed_macrocall_expression] = STATE(6115),
    [sym_macrocall_expression] = STATE(8905),
    [sym_argument_list] = STATE(19198),
    [sym_interpolation_expression] = STATE(6115),
    [sym_quote_expression] = STATE(6115),
    [sym_binary_expression] = STATE(8905),
    [sym_unary_expression] = STATE(8905),
    [sym_range_expression] = STATE(8905),
    [sym_splat_expression] = STATE(8905),
    [sym_ternary_expression] = STATE(8905),
    [sym_typed_expression] = STATE(8374),
    [sym_unary_typed_expression] = STATE(8905),
    [sym_function_expression] = STATE(8905),
    [sym_juxtaposition_expression] = STATE(8905),
    [sym_compound_assignment_expression] = STATE(8905),
    [sym_where_expression] = STATE(8905),
    [sym_macro_identifier] = STATE(36),
    [sym_identifier] = STATE(4411),
    [sym_boolean_literal] = STATE(6115),
    [sym_integer_literal] = STATE(4259),
    [sym_float_literal] = STATE(4259),
    [sym__string] = STATE(6115),
    [sym_string_literal] = STATE(6115),
    [sym_command_literal] = STATE(6115),
    [sym_prefixed_string_literal] = STATE(6115),
    [sym_prefixed_command_literal] = STATE(6115),
    [sym_operator] = STATE(8173),
    [sym__word_identifier] = ACTIONS(815),
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_begin] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_baremodule] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(823),
    [anon_sym_primitive] = ACTIONS(825),
    [anon_sym_mutable] = ACTIONS(827),
    [anon_sym_struct] = ACTIONS(829),
    [anon_sym_function] = ACTIONS(831),
    [anon_sym_macro] = ACTIONS(833),
    [anon_sym_quote] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(839),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(845),
    [sym_break_statement] = ACTIONS(847),
    [sym_continue_statement] = ACTIONS(847),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_const] = ACTIONS(851),
    [anon_sym_global] = ACTIONS(853),
    [anon_sym_local] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(8752),
    [anon_sym_export] = ACTIONS(859),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_using] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(8754),
    [anon_sym_LBRACE] = ACTIONS(8756),
    [anon_sym_DOLLAR] = ACTIONS(8758),
    [anon_sym_COLON_COLON] = ACTIONS(8760),
    [anon_sym_AT] = ACTIONS(6974),
    [anon_sym_true] = ACTIONS(871),
    [anon_sym_false] = ACTIONS(871),
    [aux_sym_integer_literal_token1] = ACTIONS(8762),
    [aux_sym_integer_literal_token2] = ACTIONS(8762),
    [aux_sym_integer_literal_token3] = ACTIONS(873),
    [aux_sym_integer_literal_token4] = ACTIONS(875),
    [aux_sym_float_literal_token1] = ACTIONS(8764),
    [aux_sym_float_literal_token3] = ACTIONS(8764),
    [aux_sym_float_literal_token4] = ACTIONS(8764),
    [sym_character_literal] = ACTIONS(11020),
    [sym__pair_operator] = ACTIONS(8768),
    [sym__arrow_operator] = ACTIONS(881),
    [sym__comparison_operator] = ACTIONS(881),
    [sym__pipe_right_operator] = ACTIONS(8768),
    [sym__pipe_left_operator] = ACTIONS(8768),
    [sym__ellipsis_operator] = ACTIONS(8768),
    [sym__plus_operator] = ACTIONS(881),
    [sym__times_operator] = ACTIONS(881),
    [sym__rational_operator] = ACTIONS(8768),
    [sym__bitshift_operator] = ACTIONS(8768),
    [sym__power_operator] = ACTIONS(8768),
    [sym__tilde_operator] = ACTIONS(8770),
    [sym__type_order_operator] = ACTIONS(8770),
    [sym__unary_operator] = ACTIONS(883),
    [sym__unary_plus_operator] = ACTIONS(883),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4226] = {
    [sym__expression] = STATE(8121),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4227] = {
    [sym__expression] = STATE(100),
    [sym_module_definition] = STATE(8044),
    [sym_abstract_definition] = STATE(8044),
    [sym_primitive_definition] = STATE(8044),
    [sym_struct_definition] = STATE(8044),
    [sym_function_definition] = STATE(8044),
    [sym_macro_definition] = STATE(8044),
    [sym_compound_statement] = STATE(8044),
    [sym_quote_statement] = STATE(8044),
    [sym_let_statement] = STATE(8044),
    [sym_if_statement] = STATE(8044),
    [sym_try_statement] = STATE(8044),
    [sym_for_statement] = STATE(8044),
    [sym_while_statement] = STATE(8044),
    [sym_return_statement] = STATE(8044),
    [sym_const_statement] = STATE(8044),
    [sym_global_statement] = STATE(8044),
    [sym_local_statement] = STATE(8044),
    [sym_export_statement] = STATE(8044),
    [sym_import_statement] = STATE(8044),
    [sym__primary_expression] = STATE(6410),
    [sym__array] = STATE(6410),
    [sym_comprehension_expression] = STATE(6410),
    [sym_matrix_expression] = STATE(6410),
    [sym_vector_expression] = STATE(6410),
    [sym_parenthesized_expression] = STATE(6410),
    [sym_tuple_expression] = STATE(6410),
    [sym_curly_expression] = STATE(6410),
    [sym_adjoint_expression] = STATE(4244),
    [sym_field_expression] = STATE(6410),
    [sym_index_expression] = STATE(6410),
    [sym_parametrized_type_expression] = STATE(6410),
    [sym_call_expression] = STATE(6410),
    [sym_broadcast_call_expression] = STATE(6410),
    [sym__closed_macrocall_expression] = STATE(6410),
    [sym_macrocall_expression] = STATE(8044),
    [sym_argument_list] = STATE(19238),
    [sym_interpolation_expression] = STATE(6410),
    [sym_quote_expression] = STATE(6410),
    [sym_binary_expression] = STATE(8044),
    [sym_unary_expression] = STATE(8044),
    [sym_range_expression] = STATE(8044),
    [sym_splat_expression] = STATE(8044),
    [sym_ternary_expression] = STATE(8044),
    [sym_typed_expression] = STATE(8134),
    [sym_unary_typed_expression] = STATE(8044),
    [sym_function_expression] = STATE(8044),
    [sym_juxtaposition_expression] = STATE(8044),
    [sym_compound_assignment_expression] = STATE(8044),
    [sym_where_expression] = STATE(8044),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(4447),
    [sym_boolean_literal] = STATE(6410),
    [sym_integer_literal] = STATE(4252),
    [sym_float_literal] = STATE(4252),
    [sym__string] = STATE(6410),
    [sym_string_literal] = STATE(6410),
    [sym_command_literal] = STATE(6410),
    [sym_prefixed_string_literal] = STATE(6410),
    [sym_prefixed_command_literal] = STATE(6410),
    [sym_operator] = STATE(7264),
    [sym__word_identifier] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(231),
    [anon_sym_begin] = ACTIONS(233),
    [anon_sym_module] = ACTIONS(235),
    [anon_sym_baremodule] = ACTIONS(235),
    [anon_sym_abstract] = ACTIONS(237),
    [anon_sym_primitive] = ACTIONS(239),
    [anon_sym_mutable] = ACTIONS(241),
    [anon_sym_struct] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(245),
    [anon_sym_macro] = ACTIONS(247),
    [anon_sym_quote] = ACTIONS(249),
    [anon_sym_let] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(255),
    [anon_sym_for] = ACTIONS(257),
    [anon_sym_while] = ACTIONS(259),
    [sym_break_statement] = ACTIONS(261),
    [sym_continue_statement] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(521),
    [anon_sym_const] = ACTIONS(523),
    [anon_sym_global] = ACTIONS(525),
    [anon_sym_local] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(8870),
    [anon_sym_export] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(275),
    [anon_sym_using] = ACTIONS(275),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_LBRACE] = ACTIONS(8874),
    [anon_sym_DOLLAR] = ACTIONS(8876),
    [anon_sym_COLON_COLON] = ACTIONS(8878),
    [anon_sym_AT] = ACTIONS(4188),
    [anon_sym_true] = ACTIONS(289),
    [anon_sym_false] = ACTIONS(289),
    [aux_sym_integer_literal_token1] = ACTIONS(8880),
    [aux_sym_integer_literal_token2] = ACTIONS(8880),
    [aux_sym_integer_literal_token3] = ACTIONS(291),
    [aux_sym_integer_literal_token4] = ACTIONS(293),
    [aux_sym_float_literal_token1] = ACTIONS(8882),
    [aux_sym_float_literal_token3] = ACTIONS(8882),
    [aux_sym_float_literal_token4] = ACTIONS(8882),
    [sym_character_literal] = ACTIONS(11016),
    [sym__pair_operator] = ACTIONS(8886),
    [sym__arrow_operator] = ACTIONS(299),
    [sym__comparison_operator] = ACTIONS(299),
    [sym__pipe_right_operator] = ACTIONS(8886),
    [sym__pipe_left_operator] = ACTIONS(8886),
    [sym__ellipsis_operator] = ACTIONS(8886),
    [sym__plus_operator] = ACTIONS(299),
    [sym__times_operator] = ACTIONS(299),
    [sym__rational_operator] = ACTIONS(8886),
    [sym__bitshift_operator] = ACTIONS(8886),
    [sym__power_operator] = ACTIONS(8886),
    [sym__tilde_operator] = ACTIONS(11018),
    [sym__type_order_operator] = ACTIONS(11018),
    [sym__unary_operator] = ACTIONS(2194),
    [sym__unary_plus_operator] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4228] = {
    [sym__expression] = STATE(8626),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4229] = {
    [sym__expression] = STATE(8548),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4230] = {
    [sym__expression] = STATE(8542),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4231] = {
    [sym__expression] = STATE(8541),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4232] = {
    [sym__expression] = STATE(8538),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4233] = {
    [sym__expression] = STATE(8537),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4234] = {
    [sym__expression] = STATE(8536),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4235] = {
    [sym__expression] = STATE(8535),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4236] = {
    [sym__expression] = STATE(8532),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4237] = {
    [sym__expression] = STATE(8530),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4238] = {
    [sym__expression] = STATE(8526),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4239] = {
    [sym__expression] = STATE(8524),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4240] = {
    [sym__expression] = STATE(8509),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4241] = {
    [sym__expression] = STATE(8503),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4242] = {
    [sym__expression] = STATE(8502),
    [sym_module_definition] = STATE(8575),
    [sym_abstract_definition] = STATE(8575),
    [sym_primitive_definition] = STATE(8575),
    [sym_struct_definition] = STATE(8575),
    [sym_function_definition] = STATE(8575),
    [sym_macro_definition] = STATE(8575),
    [sym_compound_statement] = STATE(8575),
    [sym_quote_statement] = STATE(8575),
    [sym_let_statement] = STATE(8575),
    [sym_if_statement] = STATE(8575),
    [sym_try_statement] = STATE(8575),
    [sym_for_statement] = STATE(8575),
    [sym_while_statement] = STATE(8575),
    [sym_return_statement] = STATE(8575),
    [sym_const_statement] = STATE(8575),
    [sym_global_statement] = STATE(8575),
    [sym_local_statement] = STATE(8575),
    [sym_export_statement] = STATE(8575),
    [sym_import_statement] = STATE(8575),
    [sym__primary_expression] = STATE(5564),
    [sym__array] = STATE(5564),
    [sym_comprehension_expression] = STATE(5564),
    [sym_matrix_expression] = STATE(5564),
    [sym_vector_expression] = STATE(5564),
    [sym_parenthesized_expression] = STATE(5564),
    [sym_tuple_expression] = STATE(5564),
    [sym_curly_expression] = STATE(5564),
    [sym_adjoint_expression] = STATE(4246),
    [sym_field_expression] = STATE(5564),
    [sym_index_expression] = STATE(5564),
    [sym_parametrized_type_expression] = STATE(5564),
    [sym_call_expression] = STATE(5564),
    [sym_broadcast_call_expression] = STATE(5564),
    [sym__closed_macrocall_expression] = STATE(5564),
    [sym_macrocall_expression] = STATE(8575),
    [sym_argument_list] = STATE(19748),
    [sym_interpolation_expression] = STATE(5564),
    [sym_quote_expression] = STATE(5564),
    [sym_binary_expression] = STATE(8575),
    [sym_unary_expression] = STATE(8575),
    [sym_range_expression] = STATE(8575),
    [sym_splat_expression] = STATE(8575),
    [sym_ternary_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7490),
    [sym_unary_typed_expression] = STATE(8575),
    [sym_function_expression] = STATE(8575),
    [sym_juxtaposition_expression] = STATE(8575),
    [sym_compound_assignment_expression] = STATE(8575),
    [sym_where_expression] = STATE(8575),
    [sym_macro_identifier] = STATE(19),
    [sym_identifier] = STATE(4332),
    [sym_boolean_literal] = STATE(5564),
    [sym_integer_literal] = STATE(4257),
    [sym_float_literal] = STATE(4257),
    [sym__string] = STATE(5564),
    [sym_string_literal] = STATE(5564),
    [sym_command_literal] = STATE(5564),
    [sym_prefixed_string_literal] = STATE(5564),
    [sym_prefixed_command_literal] = STATE(5564),
    [sym_operator] = STATE(7743),
    [sym__word_identifier] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(625),
    [anon_sym_begin] = ACTIONS(627),
    [anon_sym_module] = ACTIONS(629),
    [anon_sym_baremodule] = ACTIONS(629),
    [anon_sym_abstract] = ACTIONS(631),
    [anon_sym_primitive] = ACTIONS(633),
    [anon_sym_mutable] = ACTIONS(635),
    [anon_sym_struct] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(639),
    [anon_sym_macro] = ACTIONS(641),
    [anon_sym_quote] = ACTIONS(643),
    [anon_sym_let] = ACTIONS(645),
    [anon_sym_if] = ACTIONS(647),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_for] = ACTIONS(651),
    [anon_sym_while] = ACTIONS(653),
    [sym_break_statement] = ACTIONS(655),
    [sym_continue_statement] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(657),
    [anon_sym_const] = ACTIONS(659),
    [anon_sym_global] = ACTIONS(661),
    [anon_sym_local] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(8686),
    [anon_sym_export] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_using] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(8688),
    [anon_sym_LBRACE] = ACTIONS(8690),
    [anon_sym_DOLLAR] = ACTIONS(8692),
    [anon_sym_COLON_COLON] = ACTIONS(8694),
    [anon_sym_AT] = ACTIONS(6514),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [aux_sym_integer_literal_token1] = ACTIONS(8696),
    [aux_sym_integer_literal_token2] = ACTIONS(8696),
    [aux_sym_integer_literal_token3] = ACTIONS(683),
    [aux_sym_integer_literal_token4] = ACTIONS(685),
    [aux_sym_float_literal_token1] = ACTIONS(8698),
    [aux_sym_float_literal_token3] = ACTIONS(8698),
    [aux_sym_float_literal_token4] = ACTIONS(8698),
    [sym_character_literal] = ACTIONS(11078),
    [sym__pair_operator] = ACTIONS(8702),
    [sym__arrow_operator] = ACTIONS(691),
    [sym__comparison_operator] = ACTIONS(691),
    [sym__pipe_right_operator] = ACTIONS(8702),
    [sym__pipe_left_operator] = ACTIONS(8702),
    [sym__ellipsis_operator] = ACTIONS(8702),
    [sym__plus_operator] = ACTIONS(691),
    [sym__times_operator] = ACTIONS(691),
    [sym__rational_operator] = ACTIONS(8702),
    [sym__bitshift_operator] = ACTIONS(8702),
    [sym__power_operator] = ACTIONS(8702),
    [sym__tilde_operator] = ACTIONS(8704),
    [sym__type_order_operator] = ACTIONS(8704),
    [sym__unary_operator] = ACTIONS(693),
    [sym__unary_plus_operator] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4243] = {
    [sym__primary_expression] = STATE(5773),
    [sym__array] = STATE(5773),
    [sym_comprehension_expression] = STATE(5773),
    [sym_matrix_expression] = STATE(5773),
    [sym_vector_expression] = STATE(5773),
    [sym_parenthesized_expression] = STATE(5773),
    [sym_tuple_expression] = STATE(5773),
    [sym_curly_expression] = STATE(5773),
    [sym_adjoint_expression] = STATE(5773),
    [sym_field_expression] = STATE(5773),
    [sym_index_expression] = STATE(5773),
    [sym_parametrized_type_expression] = STATE(5773),
    [sym_call_expression] = STATE(5773),
    [sym_broadcast_call_expression] = STATE(5773),
    [sym__closed_macrocall_expression] = STATE(5773),
    [sym_interpolation_expression] = STATE(5773),
    [sym_quote_expression] = STATE(5773),
    [sym_macro_identifier] = STATE(17313),
    [sym_identifier] = STATE(4549),
    [sym_boolean_literal] = STATE(5773),
    [sym__string] = STATE(5773),
    [sym_string_literal] = STATE(5773),
    [sym_command_literal] = STATE(5773),
    [sym_prefixed_string_literal] = STATE(5773),
    [sym_prefixed_command_literal] = STATE(5773),
    [sym_operator] = STATE(18805),
    [ts_builtin_sym_end] = ACTIONS(171),
    [sym__word_identifier] = ACTIONS(11112),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(11115),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11118),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(11121),
    [anon_sym_RBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(11124),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(11127),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(11130),
    [anon_sym_true] = ACTIONS(11133),
    [anon_sym_false] = ACTIONS(11133),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(11136),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(11139),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(11142),
    [sym__command_start] = ACTIONS(11145),
  },
  [4244] = {
    [sym__primary_expression] = STATE(5319),
    [sym__array] = STATE(5319),
    [sym_comprehension_expression] = STATE(5319),
    [sym_matrix_expression] = STATE(5319),
    [sym_vector_expression] = STATE(5319),
    [sym_parenthesized_expression] = STATE(5319),
    [sym_tuple_expression] = STATE(5319),
    [sym_curly_expression] = STATE(5319),
    [sym_adjoint_expression] = STATE(5319),
    [sym_field_expression] = STATE(5319),
    [sym_index_expression] = STATE(5319),
    [sym_parametrized_type_expression] = STATE(5319),
    [sym_call_expression] = STATE(5319),
    [sym_broadcast_call_expression] = STATE(5319),
    [sym__closed_macrocall_expression] = STATE(5319),
    [sym_interpolation_expression] = STATE(5319),
    [sym_quote_expression] = STATE(5319),
    [sym_macro_identifier] = STATE(16771),
    [sym_identifier] = STATE(4409),
    [sym_boolean_literal] = STATE(5319),
    [sym__string] = STATE(5319),
    [sym_string_literal] = STATE(5319),
    [sym_command_literal] = STATE(5319),
    [sym_prefixed_string_literal] = STATE(5319),
    [sym_prefixed_command_literal] = STATE(5319),
    [sym_operator] = STATE(18631),
    [sym__word_identifier] = ACTIONS(11148),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(11151),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_elseif] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11154),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(11157),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(11160),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(11163),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(11130),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(11169),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(11139),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(11172),
    [sym__command_start] = ACTIONS(11175),
  },
  [4245] = {
    [sym__primary_expression] = STATE(5277),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(5277),
    [sym_matrix_expression] = STATE(5277),
    [sym_vector_expression] = STATE(5277),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(5277),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_macro_identifier] = STATE(16688),
    [sym_identifier] = STATE(4498),
    [sym_boolean_literal] = STATE(5277),
    [sym__string] = STATE(5277),
    [sym_string_literal] = STATE(5277),
    [sym_command_literal] = STATE(5277),
    [sym_prefixed_string_literal] = STATE(5277),
    [sym_prefixed_command_literal] = STATE(5277),
    [sym_operator] = STATE(19177),
    [sym__word_identifier] = ACTIONS(11178),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(11181),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11184),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(11187),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(11190),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(11193),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(11130),
    [anon_sym_true] = ACTIONS(11196),
    [anon_sym_false] = ACTIONS(11196),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(11199),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(11139),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(11202),
    [sym__command_start] = ACTIONS(11205),
  },
  [4246] = {
    [sym__primary_expression] = STATE(6073),
    [sym__array] = STATE(6073),
    [sym_comprehension_expression] = STATE(6073),
    [sym_matrix_expression] = STATE(6073),
    [sym_vector_expression] = STATE(6073),
    [sym_parenthesized_expression] = STATE(6073),
    [sym_tuple_expression] = STATE(6073),
    [sym_curly_expression] = STATE(6073),
    [sym_adjoint_expression] = STATE(6073),
    [sym_field_expression] = STATE(6073),
    [sym_index_expression] = STATE(6073),
    [sym_parametrized_type_expression] = STATE(6073),
    [sym_call_expression] = STATE(6073),
    [sym_broadcast_call_expression] = STATE(6073),
    [sym__closed_macrocall_expression] = STATE(6073),
    [sym_interpolation_expression] = STATE(6073),
    [sym_quote_expression] = STATE(6073),
    [sym_macro_identifier] = STATE(16671),
    [sym_identifier] = STATE(4634),
    [sym_boolean_literal] = STATE(6073),
    [sym__string] = STATE(6073),
    [sym_string_literal] = STATE(6073),
    [sym_command_literal] = STATE(6073),
    [sym_prefixed_string_literal] = STATE(6073),
    [sym_prefixed_command_literal] = STATE(6073),
    [sym_operator] = STATE(19185),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(11211),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11214),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(11217),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(11220),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(11223),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(11130),
    [anon_sym_true] = ACTIONS(11226),
    [anon_sym_false] = ACTIONS(11226),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(11229),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(11139),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(11232),
    [sym__command_start] = ACTIONS(11235),
  },
  [4247] = {
    [sym__primary_expression] = STATE(6142),
    [sym__array] = STATE(6142),
    [sym_comprehension_expression] = STATE(6142),
    [sym_matrix_expression] = STATE(6142),
    [sym_vector_expression] = STATE(6142),
    [sym_parenthesized_expression] = STATE(6142),
    [sym_tuple_expression] = STATE(6142),
    [sym_curly_expression] = STATE(6142),
    [sym_adjoint_expression] = STATE(6142),
    [sym_field_expression] = STATE(6142),
    [sym_index_expression] = STATE(6142),
    [sym_parametrized_type_expression] = STATE(6142),
    [sym_call_expression] = STATE(6142),
    [sym_broadcast_call_expression] = STATE(6142),
    [sym__closed_macrocall_expression] = STATE(6142),
    [sym_interpolation_expression] = STATE(6142),
    [sym_quote_expression] = STATE(6142),
    [sym_macro_identifier] = STATE(16787),
    [sym_identifier] = STATE(4637),
    [sym_boolean_literal] = STATE(6142),
    [sym__string] = STATE(6142),
    [sym_string_literal] = STATE(6142),
    [sym_command_literal] = STATE(6142),
    [sym_prefixed_string_literal] = STATE(6142),
    [sym_prefixed_command_literal] = STATE(6142),
    [sym_operator] = STATE(19099),
    [sym__word_identifier] = ACTIONS(11238),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(11241),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11244),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(11247),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(11250),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(11253),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(11130),
    [anon_sym_true] = ACTIONS(11256),
    [anon_sym_false] = ACTIONS(11256),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(11259),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(11139),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(11262),
    [sym__command_start] = ACTIONS(11265),
  },
  [4248] = {
    [sym__primary_expression] = STATE(6013),
    [sym__array] = STATE(6013),
    [sym_comprehension_expression] = STATE(6013),
    [sym_matrix_expression] = STATE(6013),
    [sym_vector_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_tuple_expression] = STATE(6013),
    [sym_curly_expression] = STATE(6013),
    [sym_adjoint_expression] = STATE(6013),
    [sym_field_expression] = STATE(6013),
    [sym_index_expression] = STATE(6013),
    [sym_parametrized_type_expression] = STATE(6013),
    [sym_call_expression] = STATE(6013),
    [sym_broadcast_call_expression] = STATE(6013),
    [sym__closed_macrocall_expression] = STATE(6013),
    [sym_interpolation_expression] = STATE(6013),
    [sym_quote_expression] = STATE(6013),
    [sym_macro_identifier] = STATE(16685),
    [sym_identifier] = STATE(5171),
    [sym_boolean_literal] = STATE(6013),
    [sym__string] = STATE(6013),
    [sym_string_literal] = STATE(6013),
    [sym_command_literal] = STATE(6013),
    [sym_prefixed_string_literal] = STATE(6013),
    [sym_prefixed_command_literal] = STATE(6013),
    [sym_operator] = STATE(19215),
    [sym__word_identifier] = ACTIONS(11268),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(11271),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11274),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(11277),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(11280),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(11283),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(11130),
    [anon_sym_true] = ACTIONS(11286),
    [anon_sym_false] = ACTIONS(11286),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(11289),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(11139),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(11292),
    [sym__command_start] = ACTIONS(11295),
  },
  [4249] = {
    [sym__primary_expression] = STATE(6057),
    [sym__array] = STATE(6057),
    [sym_comprehension_expression] = STATE(6057),
    [sym_matrix_expression] = STATE(6057),
    [sym_vector_expression] = STATE(6057),
    [sym_parenthesized_expression] = STATE(6057),
    [sym_tuple_expression] = STATE(6057),
    [sym_curly_expression] = STATE(6057),
    [sym_adjoint_expression] = STATE(6057),
    [sym_field_expression] = STATE(6057),
    [sym_index_expression] = STATE(6057),
    [sym_parametrized_type_expression] = STATE(6057),
    [sym_call_expression] = STATE(6057),
    [sym_broadcast_call_expression] = STATE(6057),
    [sym__closed_macrocall_expression] = STATE(6057),
    [sym_interpolation_expression] = STATE(6057),
    [sym_quote_expression] = STATE(6057),
    [sym_macro_identifier] = STATE(16955),
    [sym_identifier] = STATE(5013),
    [sym_boolean_literal] = STATE(6057),
    [sym__string] = STATE(6057),
    [sym_string_literal] = STATE(6057),
    [sym_command_literal] = STATE(6057),
    [sym_prefixed_string_literal] = STATE(6057),
    [sym_prefixed_command_literal] = STATE(6057),
    [sym_operator] = STATE(18988),
    [sym__word_identifier] = ACTIONS(11298),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(11301),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11304),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(11307),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(11310),
    [anon_sym_RBRACE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(11313),
    [anon_sym_COLON_COLON] = ACTIONS(171),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(171),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(11316),
    [anon_sym_true] = ACTIONS(11319),
    [anon_sym_false] = ACTIONS(11319),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(171),
    [aux_sym_float_literal_token3] = ACTIONS(171),
    [aux_sym_float_literal_token4] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(11322),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11325),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(171),
    [sym__lazy_and_operator] = ACTIONS(171),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11325),
    [sym__pipe_left_operator] = ACTIONS(11325),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11325),
    [sym__type_order_operator] = ACTIONS(11325),
    [sym__unary_operator] = ACTIONS(11139),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(11328),
    [sym__command_start] = ACTIONS(11331),
  },
  [4250] = {
    [sym__primary_expression] = STATE(6567),
    [sym__array] = STATE(6567),
    [sym_comprehension_expression] = STATE(6567),
    [sym_matrix_expression] = STATE(6567),
    [sym_vector_expression] = STATE(6567),
    [sym_parenthesized_expression] = STATE(6567),
    [sym_tuple_expression] = STATE(6567),
    [sym_curly_expression] = STATE(6567),
    [sym_adjoint_expression] = STATE(6567),
    [sym_field_expression] = STATE(6567),
    [sym_index_expression] = STATE(6567),
    [sym_parametrized_type_expression] = STATE(6567),
    [sym_call_expression] = STATE(6567),
    [sym_broadcast_call_expression] = STATE(6567),
    [sym__closed_macrocall_expression] = STATE(6567),
    [sym_interpolation_expression] = STATE(6567),
    [sym_quote_expression] = STATE(6567),
    [sym_macro_identifier] = STATE(16741),
    [sym_identifier] = STATE(5571),
    [sym_boolean_literal] = STATE(6567),
    [sym__string] = STATE(6567),
    [sym_string_literal] = STATE(6567),
    [sym_command_literal] = STATE(6567),
    [sym_prefixed_string_literal] = STATE(6567),
    [sym_prefixed_command_literal] = STATE(6567),
    [sym_operator] = STATE(19243),
    [sym__word_identifier] = ACTIONS(11334),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(11337),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11340),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(11343),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(11346),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(11349),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(11130),
    [anon_sym_true] = ACTIONS(11352),
    [anon_sym_false] = ACTIONS(11352),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(11355),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(11139),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(11358),
    [sym__command_start] = ACTIONS(11361),
  },
  [4251] = {
    [sym__primary_expression] = STATE(6614),
    [sym__array] = STATE(6614),
    [sym_comprehension_expression] = STATE(6614),
    [sym_matrix_expression] = STATE(6614),
    [sym_vector_expression] = STATE(6614),
    [sym_parenthesized_expression] = STATE(6614),
    [sym_tuple_expression] = STATE(6614),
    [sym_curly_expression] = STATE(6614),
    [sym_adjoint_expression] = STATE(6614),
    [sym_field_expression] = STATE(6614),
    [sym_index_expression] = STATE(6614),
    [sym_parametrized_type_expression] = STATE(6614),
    [sym_call_expression] = STATE(6614),
    [sym_broadcast_call_expression] = STATE(6614),
    [sym__closed_macrocall_expression] = STATE(6614),
    [sym_interpolation_expression] = STATE(6614),
    [sym_quote_expression] = STATE(6614),
    [sym_macro_identifier] = STATE(17082),
    [sym_identifier] = STATE(5850),
    [sym_boolean_literal] = STATE(6614),
    [sym__string] = STATE(6614),
    [sym_string_literal] = STATE(6614),
    [sym_command_literal] = STATE(6614),
    [sym_prefixed_string_literal] = STATE(6614),
    [sym_prefixed_command_literal] = STATE(6614),
    [sym_operator] = STATE(18741),
    [sym__word_identifier] = ACTIONS(11364),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(11367),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(11370),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(11373),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(11376),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(11379),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(11130),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(11385),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(11139),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(11388),
    [sym__command_start] = ACTIONS(11391),
  },
  [4252] = {
    [sym__primary_expression] = STATE(5319),
    [sym__array] = STATE(5319),
    [sym_comprehension_expression] = STATE(5319),
    [sym_matrix_expression] = STATE(5319),
    [sym_vector_expression] = STATE(5319),
    [sym_parenthesized_expression] = STATE(5319),
    [sym_tuple_expression] = STATE(5319),
    [sym_curly_expression] = STATE(5319),
    [sym_adjoint_expression] = STATE(5319),
    [sym_field_expression] = STATE(5319),
    [sym_index_expression] = STATE(5319),
    [sym_parametrized_type_expression] = STATE(5319),
    [sym_call_expression] = STATE(5319),
    [sym_broadcast_call_expression] = STATE(5319),
    [sym__closed_macrocall_expression] = STATE(5319),
    [sym_interpolation_expression] = STATE(5319),
    [sym_quote_expression] = STATE(5319),
    [sym_macro_identifier] = STATE(16771),
    [sym_identifier] = STATE(4409),
    [sym_boolean_literal] = STATE(5319),
    [sym__string] = STATE(5319),
    [sym_string_literal] = STATE(5319),
    [sym_command_literal] = STATE(5319),
    [sym_prefixed_string_literal] = STATE(5319),
    [sym_prefixed_command_literal] = STATE(5319),
    [sym_operator] = STATE(18631),
    [sym__word_identifier] = ACTIONS(11394),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11399),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11402),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11405),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11410),
    [anon_sym_DOLLAR] = ACTIONS(11413),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11416),
    [anon_sym_true] = ACTIONS(11419),
    [anon_sym_false] = ACTIONS(11419),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11422),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(11425),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(11425),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11428),
    [sym__command_start] = ACTIONS(11431),
  },
  [4253] = {
    [sym__primary_expression] = STATE(5277),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(5277),
    [sym_matrix_expression] = STATE(5277),
    [sym_vector_expression] = STATE(5277),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(5277),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_macro_identifier] = STATE(16688),
    [sym_identifier] = STATE(4498),
    [sym_boolean_literal] = STATE(5277),
    [sym__string] = STATE(5277),
    [sym_string_literal] = STATE(5277),
    [sym_command_literal] = STATE(5277),
    [sym_prefixed_string_literal] = STATE(5277),
    [sym_prefixed_command_literal] = STATE(5277),
    [sym_operator] = STATE(19177),
    [sym__word_identifier] = ACTIONS(11434),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11440),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11443),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11446),
    [anon_sym_DOLLAR] = ACTIONS(11449),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11416),
    [anon_sym_true] = ACTIONS(11452),
    [anon_sym_false] = ACTIONS(11452),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11455),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(11425),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(11425),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11458),
    [sym__command_start] = ACTIONS(11461),
  },
  [4254] = {
    [sym__primary_expression] = STATE(5773),
    [sym__array] = STATE(5773),
    [sym_comprehension_expression] = STATE(5773),
    [sym_matrix_expression] = STATE(5773),
    [sym_vector_expression] = STATE(5773),
    [sym_parenthesized_expression] = STATE(5773),
    [sym_tuple_expression] = STATE(5773),
    [sym_curly_expression] = STATE(5773),
    [sym_adjoint_expression] = STATE(5773),
    [sym_field_expression] = STATE(5773),
    [sym_index_expression] = STATE(5773),
    [sym_parametrized_type_expression] = STATE(5773),
    [sym_call_expression] = STATE(5773),
    [sym_broadcast_call_expression] = STATE(5773),
    [sym__closed_macrocall_expression] = STATE(5773),
    [sym_interpolation_expression] = STATE(5773),
    [sym_quote_expression] = STATE(5773),
    [sym_macro_identifier] = STATE(17313),
    [sym_identifier] = STATE(4549),
    [sym_boolean_literal] = STATE(5773),
    [sym__string] = STATE(5773),
    [sym_string_literal] = STATE(5773),
    [sym_command_literal] = STATE(5773),
    [sym_prefixed_string_literal] = STATE(5773),
    [sym_prefixed_command_literal] = STATE(5773),
    [sym_operator] = STATE(18805),
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11464),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11467),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11470),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11473),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11476),
    [anon_sym_DOLLAR] = ACTIONS(11479),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11416),
    [anon_sym_true] = ACTIONS(11482),
    [anon_sym_false] = ACTIONS(11482),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11485),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(11425),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(11425),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11488),
    [sym__command_start] = ACTIONS(11491),
  },
  [4255] = {
    [sym__primary_expression] = STATE(6013),
    [sym__array] = STATE(6013),
    [sym_comprehension_expression] = STATE(6013),
    [sym_matrix_expression] = STATE(6013),
    [sym_vector_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_tuple_expression] = STATE(6013),
    [sym_curly_expression] = STATE(6013),
    [sym_adjoint_expression] = STATE(6013),
    [sym_field_expression] = STATE(6013),
    [sym_index_expression] = STATE(6013),
    [sym_parametrized_type_expression] = STATE(6013),
    [sym_call_expression] = STATE(6013),
    [sym_broadcast_call_expression] = STATE(6013),
    [sym__closed_macrocall_expression] = STATE(6013),
    [sym_interpolation_expression] = STATE(6013),
    [sym_quote_expression] = STATE(6013),
    [sym_macro_identifier] = STATE(16685),
    [sym_identifier] = STATE(5171),
    [sym_boolean_literal] = STATE(6013),
    [sym__string] = STATE(6013),
    [sym_string_literal] = STATE(6013),
    [sym_command_literal] = STATE(6013),
    [sym_prefixed_string_literal] = STATE(6013),
    [sym_prefixed_command_literal] = STATE(6013),
    [sym_operator] = STATE(19215),
    [sym__word_identifier] = ACTIONS(11494),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11497),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11500),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11503),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11506),
    [anon_sym_DOLLAR] = ACTIONS(11509),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11416),
    [anon_sym_true] = ACTIONS(11512),
    [anon_sym_false] = ACTIONS(11512),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11515),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(11425),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(11425),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11518),
    [sym__command_start] = ACTIONS(11521),
  },
  [4256] = {
    [sym__primary_expression] = STATE(6057),
    [sym__array] = STATE(6057),
    [sym_comprehension_expression] = STATE(6057),
    [sym_matrix_expression] = STATE(6057),
    [sym_vector_expression] = STATE(6057),
    [sym_parenthesized_expression] = STATE(6057),
    [sym_tuple_expression] = STATE(6057),
    [sym_curly_expression] = STATE(6057),
    [sym_adjoint_expression] = STATE(6057),
    [sym_field_expression] = STATE(6057),
    [sym_index_expression] = STATE(6057),
    [sym_parametrized_type_expression] = STATE(6057),
    [sym_call_expression] = STATE(6057),
    [sym_broadcast_call_expression] = STATE(6057),
    [sym__closed_macrocall_expression] = STATE(6057),
    [sym_interpolation_expression] = STATE(6057),
    [sym_quote_expression] = STATE(6057),
    [sym_macro_identifier] = STATE(16955),
    [sym_identifier] = STATE(5013),
    [sym_boolean_literal] = STATE(6057),
    [sym__string] = STATE(6057),
    [sym_string_literal] = STATE(6057),
    [sym_command_literal] = STATE(6057),
    [sym_prefixed_string_literal] = STATE(6057),
    [sym_prefixed_command_literal] = STATE(6057),
    [sym_operator] = STATE(18988),
    [sym__word_identifier] = ACTIONS(11524),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11527),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11530),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11533),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11536),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11539),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11542),
    [anon_sym_true] = ACTIONS(11545),
    [anon_sym_false] = ACTIONS(11545),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11548),
    [sym__pair_operator] = ACTIONS(11551),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11551),
    [sym__pipe_left_operator] = ACTIONS(11551),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11551),
    [sym__bitshift_operator] = ACTIONS(11551),
    [sym__power_operator] = ACTIONS(11551),
    [sym__tilde_operator] = ACTIONS(11551),
    [sym__type_order_operator] = ACTIONS(11551),
    [sym__unary_operator] = ACTIONS(11425),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11554),
    [sym__command_start] = ACTIONS(11557),
  },
  [4257] = {
    [sym__primary_expression] = STATE(6073),
    [sym__array] = STATE(6073),
    [sym_comprehension_expression] = STATE(6073),
    [sym_matrix_expression] = STATE(6073),
    [sym_vector_expression] = STATE(6073),
    [sym_parenthesized_expression] = STATE(6073),
    [sym_tuple_expression] = STATE(6073),
    [sym_curly_expression] = STATE(6073),
    [sym_adjoint_expression] = STATE(6073),
    [sym_field_expression] = STATE(6073),
    [sym_index_expression] = STATE(6073),
    [sym_parametrized_type_expression] = STATE(6073),
    [sym_call_expression] = STATE(6073),
    [sym_broadcast_call_expression] = STATE(6073),
    [sym__closed_macrocall_expression] = STATE(6073),
    [sym_interpolation_expression] = STATE(6073),
    [sym_quote_expression] = STATE(6073),
    [sym_macro_identifier] = STATE(16671),
    [sym_identifier] = STATE(4634),
    [sym_boolean_literal] = STATE(6073),
    [sym__string] = STATE(6073),
    [sym_string_literal] = STATE(6073),
    [sym_command_literal] = STATE(6073),
    [sym_prefixed_string_literal] = STATE(6073),
    [sym_prefixed_command_literal] = STATE(6073),
    [sym_operator] = STATE(19185),
    [sym__word_identifier] = ACTIONS(11560),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11563),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11566),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11569),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11572),
    [anon_sym_DOLLAR] = ACTIONS(11575),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11416),
    [anon_sym_true] = ACTIONS(11578),
    [anon_sym_false] = ACTIONS(11578),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11581),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(11425),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(11425),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11584),
    [sym__command_start] = ACTIONS(11587),
  },
  [4258] = {
    [sym__primary_expression] = STATE(6142),
    [sym__array] = STATE(6142),
    [sym_comprehension_expression] = STATE(6142),
    [sym_matrix_expression] = STATE(6142),
    [sym_vector_expression] = STATE(6142),
    [sym_parenthesized_expression] = STATE(6142),
    [sym_tuple_expression] = STATE(6142),
    [sym_curly_expression] = STATE(6142),
    [sym_adjoint_expression] = STATE(6142),
    [sym_field_expression] = STATE(6142),
    [sym_index_expression] = STATE(6142),
    [sym_parametrized_type_expression] = STATE(6142),
    [sym_call_expression] = STATE(6142),
    [sym_broadcast_call_expression] = STATE(6142),
    [sym__closed_macrocall_expression] = STATE(6142),
    [sym_interpolation_expression] = STATE(6142),
    [sym_quote_expression] = STATE(6142),
    [sym_macro_identifier] = STATE(16787),
    [sym_identifier] = STATE(4637),
    [sym_boolean_literal] = STATE(6142),
    [sym__string] = STATE(6142),
    [sym_string_literal] = STATE(6142),
    [sym_command_literal] = STATE(6142),
    [sym_prefixed_string_literal] = STATE(6142),
    [sym_prefixed_command_literal] = STATE(6142),
    [sym_operator] = STATE(19099),
    [sym__word_identifier] = ACTIONS(11590),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11593),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11596),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11599),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11602),
    [anon_sym_DOLLAR] = ACTIONS(11605),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11416),
    [anon_sym_true] = ACTIONS(11608),
    [anon_sym_false] = ACTIONS(11608),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11611),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(11425),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(11425),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11614),
    [sym__command_start] = ACTIONS(11617),
  },
  [4259] = {
    [sym__primary_expression] = STATE(6614),
    [sym__array] = STATE(6614),
    [sym_comprehension_expression] = STATE(6614),
    [sym_matrix_expression] = STATE(6614),
    [sym_vector_expression] = STATE(6614),
    [sym_parenthesized_expression] = STATE(6614),
    [sym_tuple_expression] = STATE(6614),
    [sym_curly_expression] = STATE(6614),
    [sym_adjoint_expression] = STATE(6614),
    [sym_field_expression] = STATE(6614),
    [sym_index_expression] = STATE(6614),
    [sym_parametrized_type_expression] = STATE(6614),
    [sym_call_expression] = STATE(6614),
    [sym_broadcast_call_expression] = STATE(6614),
    [sym__closed_macrocall_expression] = STATE(6614),
    [sym_interpolation_expression] = STATE(6614),
    [sym_quote_expression] = STATE(6614),
    [sym_macro_identifier] = STATE(17082),
    [sym_identifier] = STATE(5850),
    [sym_boolean_literal] = STATE(6614),
    [sym__string] = STATE(6614),
    [sym_string_literal] = STATE(6614),
    [sym_command_literal] = STATE(6614),
    [sym_prefixed_string_literal] = STATE(6614),
    [sym_prefixed_command_literal] = STATE(6614),
    [sym_operator] = STATE(18741),
    [sym__word_identifier] = ACTIONS(11620),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11623),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11626),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11629),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11632),
    [anon_sym_DOLLAR] = ACTIONS(11635),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11416),
    [anon_sym_true] = ACTIONS(11638),
    [anon_sym_false] = ACTIONS(11638),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11641),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(11425),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(11425),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11644),
    [sym__command_start] = ACTIONS(11647),
  },
  [4260] = {
    [sym__primary_expression] = STATE(6567),
    [sym__array] = STATE(6567),
    [sym_comprehension_expression] = STATE(6567),
    [sym_matrix_expression] = STATE(6567),
    [sym_vector_expression] = STATE(6567),
    [sym_parenthesized_expression] = STATE(6567),
    [sym_tuple_expression] = STATE(6567),
    [sym_curly_expression] = STATE(6567),
    [sym_adjoint_expression] = STATE(6567),
    [sym_field_expression] = STATE(6567),
    [sym_index_expression] = STATE(6567),
    [sym_parametrized_type_expression] = STATE(6567),
    [sym_call_expression] = STATE(6567),
    [sym_broadcast_call_expression] = STATE(6567),
    [sym__closed_macrocall_expression] = STATE(6567),
    [sym_interpolation_expression] = STATE(6567),
    [sym_quote_expression] = STATE(6567),
    [sym_macro_identifier] = STATE(16741),
    [sym_identifier] = STATE(5571),
    [sym_boolean_literal] = STATE(6567),
    [sym__string] = STATE(6567),
    [sym_string_literal] = STATE(6567),
    [sym_command_literal] = STATE(6567),
    [sym_prefixed_string_literal] = STATE(6567),
    [sym_prefixed_command_literal] = STATE(6567),
    [sym_operator] = STATE(19243),
    [sym__word_identifier] = ACTIONS(11650),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11653),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11656),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11659),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11662),
    [anon_sym_DOLLAR] = ACTIONS(11665),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11416),
    [anon_sym_true] = ACTIONS(11668),
    [anon_sym_false] = ACTIONS(11668),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11671),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(11425),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(11425),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11674),
    [sym__command_start] = ACTIONS(11677),
  },
  [4261] = {
    [sym_identifier] = STATE(4286),
    [sym_integer_literal] = STATE(4615),
    [sym_float_literal] = STATE(4615),
    [sym__string] = STATE(4615),
    [sym_string_literal] = STATE(4615),
    [sym_command_literal] = STATE(4615),
    [sym_prefixed_string_literal] = STATE(4615),
    [sym_prefixed_command_literal] = STATE(4615),
    [sym_operator] = STATE(4615),
    [sym__word_identifier] = ACTIONS(11680),
    [anon_sym_EQ] = ACTIONS(11682),
    [anon_sym_COMMA] = ACTIONS(11682),
    [anon_sym_COLON] = ACTIONS(11682),
    [anon_sym_begin] = ACTIONS(11682),
    [anon_sym_module] = ACTIONS(11682),
    [anon_sym_baremodule] = ACTIONS(11682),
    [anon_sym_end] = ACTIONS(11682),
    [anon_sym_abstract] = ACTIONS(11682),
    [anon_sym_primitive] = ACTIONS(11682),
    [anon_sym_mutable] = ACTIONS(11682),
    [anon_sym_struct] = ACTIONS(11682),
    [anon_sym_function] = ACTIONS(11682),
    [anon_sym_macro] = ACTIONS(11682),
    [anon_sym_where] = ACTIONS(11682),
    [anon_sym_quote] = ACTIONS(11682),
    [anon_sym_let] = ACTIONS(11682),
    [anon_sym_if] = ACTIONS(11682),
    [anon_sym_elseif] = ACTIONS(11682),
    [anon_sym_else] = ACTIONS(11682),
    [anon_sym_try] = ACTIONS(11682),
    [anon_sym_for] = ACTIONS(11682),
    [anon_sym_while] = ACTIONS(11682),
    [sym_break_statement] = ACTIONS(11682),
    [sym_continue_statement] = ACTIONS(11682),
    [anon_sym_return] = ACTIONS(11682),
    [anon_sym_const] = ACTIONS(11682),
    [anon_sym_global] = ACTIONS(11682),
    [anon_sym_local] = ACTIONS(11682),
    [anon_sym_LPAREN] = ACTIONS(11682),
    [anon_sym_COLON2] = ACTIONS(11682),
    [anon_sym_export] = ACTIONS(11682),
    [anon_sym_import] = ACTIONS(11682),
    [anon_sym_using] = ACTIONS(11682),
    [anon_sym_LBRACK] = ACTIONS(11682),
    [anon_sym_LF] = ACTIONS(11684),
    [anon_sym_in] = ACTIONS(11682),
    [anon_sym_LBRACE] = ACTIONS(11682),
    [anon_sym_DOLLAR] = ACTIONS(11682),
    [anon_sym_COLON_COLON] = ACTIONS(11682),
    [aux_sym_quote_expression_token1] = ACTIONS(11686),
    [anon_sym_isa] = ACTIONS(11682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11682),
    [anon_sym_QMARK] = ACTIONS(11682),
    [anon_sym_AT] = ACTIONS(11682),
    [anon_sym_true] = ACTIONS(11682),
    [anon_sym_false] = ACTIONS(11682),
    [aux_sym_integer_literal_token1] = ACTIONS(11688),
    [aux_sym_integer_literal_token2] = ACTIONS(11688),
    [aux_sym_integer_literal_token3] = ACTIONS(11688),
    [aux_sym_integer_literal_token4] = ACTIONS(11690),
    [aux_sym_float_literal_token1] = ACTIONS(11692),
    [aux_sym_float_literal_token3] = ACTIONS(11692),
    [aux_sym_float_literal_token4] = ACTIONS(11692),
    [sym_character_literal] = ACTIONS(11686),
    [sym__assignment_operator] = ACTIONS(11686),
    [sym__pair_operator] = ACTIONS(11694),
    [sym__arrow_operator] = ACTIONS(11694),
    [sym__lazy_or_operator] = ACTIONS(11686),
    [sym__lazy_and_operator] = ACTIONS(11686),
    [sym__comparison_operator] = ACTIONS(11694),
    [sym__pipe_right_operator] = ACTIONS(11694),
    [sym__pipe_left_operator] = ACTIONS(11694),
    [sym__ellipsis_operator] = ACTIONS(11694),
    [sym__plus_operator] = ACTIONS(11694),
    [sym__times_operator] = ACTIONS(11694),
    [sym__rational_operator] = ACTIONS(11694),
    [sym__bitshift_operator] = ACTIONS(11694),
    [sym__power_operator] = ACTIONS(11694),
    [sym__tilde_operator] = ACTIONS(11694),
    [sym__type_order_operator] = ACTIONS(11694),
    [sym__unary_operator] = ACTIONS(11694),
    [sym__unary_plus_operator] = ACTIONS(11694),
    [sym__syntactic_operator] = ACTIONS(11686),
    [aux_sym__terminator_token1] = ACTIONS(11682),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11696),
    [sym__immediate_bracket] = ACTIONS(11698),
    [sym__immediate_brace] = ACTIONS(11700),
    [sym__string_start] = ACTIONS(309),
    [sym__command_start] = ACTIONS(311),
  },
  [4262] = {
    [sym_identifier] = STATE(4330),
    [sym_integer_literal] = STATE(5015),
    [sym_float_literal] = STATE(5015),
    [sym__string] = STATE(5015),
    [sym_string_literal] = STATE(5015),
    [sym_command_literal] = STATE(5015),
    [sym_prefixed_string_literal] = STATE(5015),
    [sym_prefixed_command_literal] = STATE(5015),
    [sym_operator] = STATE(5015),
    [ts_builtin_sym_end] = ACTIONS(11684),
    [sym__word_identifier] = ACTIONS(11702),
    [anon_sym_EQ] = ACTIONS(11682),
    [anon_sym_COMMA] = ACTIONS(11682),
    [anon_sym_COLON] = ACTIONS(11682),
    [anon_sym_begin] = ACTIONS(11682),
    [anon_sym_module] = ACTIONS(11682),
    [anon_sym_baremodule] = ACTIONS(11682),
    [anon_sym_abstract] = ACTIONS(11682),
    [anon_sym_primitive] = ACTIONS(11682),
    [anon_sym_mutable] = ACTIONS(11682),
    [anon_sym_struct] = ACTIONS(11682),
    [anon_sym_function] = ACTIONS(11682),
    [anon_sym_macro] = ACTIONS(11682),
    [anon_sym_where] = ACTIONS(11682),
    [anon_sym_quote] = ACTIONS(11682),
    [anon_sym_let] = ACTIONS(11682),
    [anon_sym_if] = ACTIONS(11682),
    [anon_sym_try] = ACTIONS(11682),
    [anon_sym_for] = ACTIONS(11682),
    [anon_sym_while] = ACTIONS(11682),
    [sym_break_statement] = ACTIONS(11682),
    [sym_continue_statement] = ACTIONS(11682),
    [anon_sym_return] = ACTIONS(11682),
    [anon_sym_const] = ACTIONS(11682),
    [anon_sym_global] = ACTIONS(11682),
    [anon_sym_local] = ACTIONS(11682),
    [anon_sym_LPAREN] = ACTIONS(11682),
    [anon_sym_RPAREN] = ACTIONS(11682),
    [anon_sym_COLON2] = ACTIONS(11682),
    [anon_sym_export] = ACTIONS(11682),
    [anon_sym_import] = ACTIONS(11682),
    [anon_sym_using] = ACTIONS(11682),
    [anon_sym_LBRACK] = ACTIONS(11682),
    [anon_sym_RBRACK] = ACTIONS(11682),
    [anon_sym_LF] = ACTIONS(11684),
    [anon_sym_in] = ACTIONS(11682),
    [anon_sym_LBRACE] = ACTIONS(11682),
    [anon_sym_DOLLAR] = ACTIONS(11682),
    [anon_sym_COLON_COLON] = ACTIONS(11682),
    [aux_sym_quote_expression_token1] = ACTIONS(11704),
    [anon_sym_isa] = ACTIONS(11682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11682),
    [anon_sym_QMARK] = ACTIONS(11682),
    [anon_sym_AT] = ACTIONS(11682),
    [anon_sym_true] = ACTIONS(11682),
    [anon_sym_false] = ACTIONS(11682),
    [aux_sym_integer_literal_token1] = ACTIONS(11706),
    [aux_sym_integer_literal_token2] = ACTIONS(11706),
    [aux_sym_integer_literal_token3] = ACTIONS(11706),
    [aux_sym_integer_literal_token4] = ACTIONS(11708),
    [aux_sym_float_literal_token1] = ACTIONS(11710),
    [aux_sym_float_literal_token3] = ACTIONS(11710),
    [aux_sym_float_literal_token4] = ACTIONS(11710),
    [sym_character_literal] = ACTIONS(11704),
    [sym__assignment_operator] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11712),
    [sym__arrow_operator] = ACTIONS(11712),
    [sym__lazy_or_operator] = ACTIONS(11704),
    [sym__lazy_and_operator] = ACTIONS(11704),
    [sym__comparison_operator] = ACTIONS(11712),
    [sym__pipe_right_operator] = ACTIONS(11712),
    [sym__pipe_left_operator] = ACTIONS(11712),
    [sym__ellipsis_operator] = ACTIONS(11712),
    [sym__plus_operator] = ACTIONS(11712),
    [sym__times_operator] = ACTIONS(11712),
    [sym__rational_operator] = ACTIONS(11712),
    [sym__bitshift_operator] = ACTIONS(11712),
    [sym__power_operator] = ACTIONS(11712),
    [sym__tilde_operator] = ACTIONS(11712),
    [sym__type_order_operator] = ACTIONS(11712),
    [sym__unary_operator] = ACTIONS(11712),
    [sym__unary_plus_operator] = ACTIONS(11712),
    [sym__syntactic_operator] = ACTIONS(11704),
    [aux_sym__terminator_token1] = ACTIONS(11682),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11714),
    [sym__immediate_bracket] = ACTIONS(11716),
    [sym__immediate_brace] = ACTIONS(11718),
    [sym__string_start] = ACTIONS(487),
    [sym__command_start] = ACTIONS(489),
  },
  [4263] = {
    [sym_identifier] = STATE(4307),
    [sym_integer_literal] = STATE(4764),
    [sym_float_literal] = STATE(4764),
    [sym__string] = STATE(4764),
    [sym_string_literal] = STATE(4764),
    [sym_command_literal] = STATE(4764),
    [sym_prefixed_string_literal] = STATE(4764),
    [sym_prefixed_command_literal] = STATE(4764),
    [sym_operator] = STATE(4764),
    [sym__word_identifier] = ACTIONS(11720),
    [anon_sym_EQ] = ACTIONS(11682),
    [anon_sym_COMMA] = ACTIONS(11682),
    [anon_sym_COLON] = ACTIONS(11682),
    [anon_sym_begin] = ACTIONS(11682),
    [anon_sym_module] = ACTIONS(11682),
    [anon_sym_baremodule] = ACTIONS(11682),
    [anon_sym_end] = ACTIONS(11682),
    [anon_sym_abstract] = ACTIONS(11682),
    [anon_sym_primitive] = ACTIONS(11682),
    [anon_sym_mutable] = ACTIONS(11682),
    [anon_sym_struct] = ACTIONS(11682),
    [anon_sym_function] = ACTIONS(11682),
    [anon_sym_macro] = ACTIONS(11682),
    [anon_sym_where] = ACTIONS(11682),
    [anon_sym_quote] = ACTIONS(11682),
    [anon_sym_let] = ACTIONS(11682),
    [anon_sym_if] = ACTIONS(11682),
    [anon_sym_else] = ACTIONS(11682),
    [anon_sym_try] = ACTIONS(11682),
    [anon_sym_finally] = ACTIONS(11682),
    [anon_sym_for] = ACTIONS(11682),
    [anon_sym_while] = ACTIONS(11682),
    [sym_break_statement] = ACTIONS(11682),
    [sym_continue_statement] = ACTIONS(11682),
    [anon_sym_return] = ACTIONS(11682),
    [anon_sym_const] = ACTIONS(11682),
    [anon_sym_global] = ACTIONS(11682),
    [anon_sym_local] = ACTIONS(11682),
    [anon_sym_LPAREN] = ACTIONS(11682),
    [anon_sym_COLON2] = ACTIONS(11682),
    [anon_sym_export] = ACTIONS(11682),
    [anon_sym_import] = ACTIONS(11682),
    [anon_sym_using] = ACTIONS(11682),
    [anon_sym_LBRACK] = ACTIONS(11682),
    [anon_sym_LF] = ACTIONS(11684),
    [anon_sym_in] = ACTIONS(11682),
    [anon_sym_LBRACE] = ACTIONS(11682),
    [anon_sym_DOLLAR] = ACTIONS(11682),
    [anon_sym_COLON_COLON] = ACTIONS(11682),
    [aux_sym_quote_expression_token1] = ACTIONS(11722),
    [anon_sym_isa] = ACTIONS(11682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11682),
    [anon_sym_QMARK] = ACTIONS(11682),
    [anon_sym_AT] = ACTIONS(11682),
    [anon_sym_true] = ACTIONS(11682),
    [anon_sym_false] = ACTIONS(11682),
    [aux_sym_integer_literal_token1] = ACTIONS(11724),
    [aux_sym_integer_literal_token2] = ACTIONS(11724),
    [aux_sym_integer_literal_token3] = ACTIONS(11724),
    [aux_sym_integer_literal_token4] = ACTIONS(11726),
    [aux_sym_float_literal_token1] = ACTIONS(11728),
    [aux_sym_float_literal_token3] = ACTIONS(11728),
    [aux_sym_float_literal_token4] = ACTIONS(11728),
    [sym_character_literal] = ACTIONS(11722),
    [sym__assignment_operator] = ACTIONS(11722),
    [sym__pair_operator] = ACTIONS(11730),
    [sym__arrow_operator] = ACTIONS(11730),
    [sym__lazy_or_operator] = ACTIONS(11722),
    [sym__lazy_and_operator] = ACTIONS(11722),
    [sym__comparison_operator] = ACTIONS(11730),
    [sym__pipe_right_operator] = ACTIONS(11730),
    [sym__pipe_left_operator] = ACTIONS(11730),
    [sym__ellipsis_operator] = ACTIONS(11730),
    [sym__plus_operator] = ACTIONS(11730),
    [sym__times_operator] = ACTIONS(11730),
    [sym__rational_operator] = ACTIONS(11730),
    [sym__bitshift_operator] = ACTIONS(11730),
    [sym__power_operator] = ACTIONS(11730),
    [sym__tilde_operator] = ACTIONS(11730),
    [sym__type_order_operator] = ACTIONS(11730),
    [sym__unary_operator] = ACTIONS(11730),
    [sym__unary_plus_operator] = ACTIONS(11730),
    [sym__syntactic_operator] = ACTIONS(11722),
    [aux_sym__terminator_token1] = ACTIONS(11682),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11732),
    [sym__immediate_bracket] = ACTIONS(11734),
    [sym__immediate_brace] = ACTIONS(11736),
    [sym__string_start] = ACTIONS(393),
    [sym__command_start] = ACTIONS(395),
  },
  [4264] = {
    [sym_identifier] = STATE(4532),
    [sym_integer_literal] = STATE(5810),
    [sym_float_literal] = STATE(5810),
    [sym__string] = STATE(5810),
    [sym_string_literal] = STATE(5810),
    [sym_command_literal] = STATE(5810),
    [sym_prefixed_string_literal] = STATE(5810),
    [sym_prefixed_command_literal] = STATE(5810),
    [sym_operator] = STATE(5810),
    [sym__word_identifier] = ACTIONS(11738),
    [anon_sym_EQ] = ACTIONS(11682),
    [anon_sym_COMMA] = ACTIONS(11684),
    [anon_sym_COLON] = ACTIONS(11682),
    [anon_sym_begin] = ACTIONS(11682),
    [anon_sym_module] = ACTIONS(11682),
    [anon_sym_baremodule] = ACTIONS(11682),
    [anon_sym_abstract] = ACTIONS(11682),
    [anon_sym_primitive] = ACTIONS(11682),
    [anon_sym_mutable] = ACTIONS(11682),
    [anon_sym_struct] = ACTIONS(11682),
    [anon_sym_function] = ACTIONS(11682),
    [anon_sym_macro] = ACTIONS(11682),
    [anon_sym_where] = ACTIONS(11682),
    [anon_sym_quote] = ACTIONS(11682),
    [anon_sym_let] = ACTIONS(11682),
    [anon_sym_if] = ACTIONS(11682),
    [anon_sym_try] = ACTIONS(11682),
    [anon_sym_for] = ACTIONS(11682),
    [anon_sym_while] = ACTIONS(11682),
    [sym_break_statement] = ACTIONS(11682),
    [sym_continue_statement] = ACTIONS(11682),
    [anon_sym_return] = ACTIONS(11682),
    [anon_sym_const] = ACTIONS(11682),
    [anon_sym_global] = ACTIONS(11682),
    [anon_sym_local] = ACTIONS(11682),
    [anon_sym_LPAREN] = ACTIONS(11684),
    [anon_sym_RPAREN] = ACTIONS(11684),
    [anon_sym_COLON2] = ACTIONS(11682),
    [anon_sym_export] = ACTIONS(11682),
    [anon_sym_import] = ACTIONS(11682),
    [anon_sym_using] = ACTIONS(11682),
    [anon_sym_LBRACK] = ACTIONS(11684),
    [anon_sym_RBRACK] = ACTIONS(11684),
    [anon_sym_in] = ACTIONS(11682),
    [anon_sym_SEMI] = ACTIONS(11684),
    [anon_sym_LBRACE] = ACTIONS(11684),
    [anon_sym_RBRACE] = ACTIONS(11684),
    [anon_sym_DOLLAR] = ACTIONS(11682),
    [anon_sym_COLON_COLON] = ACTIONS(11684),
    [aux_sym_quote_expression_token1] = ACTIONS(11740),
    [anon_sym_isa] = ACTIONS(11682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11684),
    [anon_sym_QMARK] = ACTIONS(11684),
    [anon_sym_AT] = ACTIONS(11684),
    [anon_sym_true] = ACTIONS(11682),
    [anon_sym_false] = ACTIONS(11682),
    [aux_sym_integer_literal_token1] = ACTIONS(11742),
    [aux_sym_integer_literal_token2] = ACTIONS(11742),
    [aux_sym_integer_literal_token3] = ACTIONS(11744),
    [aux_sym_integer_literal_token4] = ACTIONS(11746),
    [aux_sym_float_literal_token1] = ACTIONS(11748),
    [aux_sym_float_literal_token3] = ACTIONS(11748),
    [aux_sym_float_literal_token4] = ACTIONS(11748),
    [sym_character_literal] = ACTIONS(11750),
    [sym__assignment_operator] = ACTIONS(11740),
    [sym__pair_operator] = ACTIONS(11752),
    [sym__arrow_operator] = ACTIONS(11754),
    [sym__lazy_or_operator] = ACTIONS(11750),
    [sym__lazy_and_operator] = ACTIONS(11750),
    [sym__comparison_operator] = ACTIONS(11754),
    [sym__pipe_right_operator] = ACTIONS(11752),
    [sym__pipe_left_operator] = ACTIONS(11752),
    [sym__ellipsis_operator] = ACTIONS(11754),
    [sym__plus_operator] = ACTIONS(11754),
    [sym__times_operator] = ACTIONS(11754),
    [sym__rational_operator] = ACTIONS(11754),
    [sym__bitshift_operator] = ACTIONS(11754),
    [sym__power_operator] = ACTIONS(11754),
    [sym__tilde_operator] = ACTIONS(11752),
    [sym__type_order_operator] = ACTIONS(11752),
    [sym__unary_operator] = ACTIONS(11754),
    [sym__unary_plus_operator] = ACTIONS(11754),
    [sym__syntactic_operator] = ACTIONS(11740),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11756),
    [sym__immediate_bracket] = ACTIONS(11758),
    [sym__immediate_brace] = ACTIONS(11760),
    [sym__string_start] = ACTIONS(989),
    [sym__command_start] = ACTIONS(991),
  },
  [4265] = {
    [sym_identifier] = STATE(4484),
    [sym_integer_literal] = STATE(5435),
    [sym_float_literal] = STATE(5435),
    [sym__string] = STATE(5435),
    [sym_string_literal] = STATE(5435),
    [sym_command_literal] = STATE(5435),
    [sym_prefixed_string_literal] = STATE(5435),
    [sym_prefixed_command_literal] = STATE(5435),
    [sym_operator] = STATE(5435),
    [sym__word_identifier] = ACTIONS(11762),
    [anon_sym_EQ] = ACTIONS(11682),
    [anon_sym_COMMA] = ACTIONS(11682),
    [anon_sym_COLON] = ACTIONS(11682),
    [anon_sym_begin] = ACTIONS(11682),
    [anon_sym_module] = ACTIONS(11682),
    [anon_sym_baremodule] = ACTIONS(11682),
    [anon_sym_end] = ACTIONS(11682),
    [anon_sym_abstract] = ACTIONS(11682),
    [anon_sym_primitive] = ACTIONS(11682),
    [anon_sym_mutable] = ACTIONS(11682),
    [anon_sym_struct] = ACTIONS(11682),
    [anon_sym_function] = ACTIONS(11682),
    [anon_sym_macro] = ACTIONS(11682),
    [anon_sym_where] = ACTIONS(11682),
    [anon_sym_quote] = ACTIONS(11682),
    [anon_sym_let] = ACTIONS(11682),
    [anon_sym_if] = ACTIONS(11682),
    [anon_sym_try] = ACTIONS(11682),
    [anon_sym_catch] = ACTIONS(11682),
    [anon_sym_for] = ACTIONS(11682),
    [anon_sym_while] = ACTIONS(11682),
    [sym_break_statement] = ACTIONS(11682),
    [sym_continue_statement] = ACTIONS(11682),
    [anon_sym_return] = ACTIONS(11682),
    [anon_sym_const] = ACTIONS(11682),
    [anon_sym_global] = ACTIONS(11682),
    [anon_sym_local] = ACTIONS(11682),
    [anon_sym_LPAREN] = ACTIONS(11682),
    [anon_sym_COLON2] = ACTIONS(11682),
    [anon_sym_export] = ACTIONS(11682),
    [anon_sym_import] = ACTIONS(11682),
    [anon_sym_using] = ACTIONS(11682),
    [anon_sym_LBRACK] = ACTIONS(11682),
    [anon_sym_LF] = ACTIONS(11684),
    [anon_sym_in] = ACTIONS(11682),
    [anon_sym_LBRACE] = ACTIONS(11682),
    [anon_sym_DOLLAR] = ACTIONS(11682),
    [anon_sym_COLON_COLON] = ACTIONS(11682),
    [aux_sym_quote_expression_token1] = ACTIONS(11764),
    [anon_sym_isa] = ACTIONS(11682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11682),
    [anon_sym_QMARK] = ACTIONS(11682),
    [anon_sym_AT] = ACTIONS(11682),
    [anon_sym_true] = ACTIONS(11682),
    [anon_sym_false] = ACTIONS(11682),
    [aux_sym_integer_literal_token1] = ACTIONS(11766),
    [aux_sym_integer_literal_token2] = ACTIONS(11766),
    [aux_sym_integer_literal_token3] = ACTIONS(11766),
    [aux_sym_integer_literal_token4] = ACTIONS(11768),
    [aux_sym_float_literal_token1] = ACTIONS(11770),
    [aux_sym_float_literal_token3] = ACTIONS(11770),
    [aux_sym_float_literal_token4] = ACTIONS(11770),
    [sym_character_literal] = ACTIONS(11764),
    [sym__assignment_operator] = ACTIONS(11764),
    [sym__pair_operator] = ACTIONS(11772),
    [sym__arrow_operator] = ACTIONS(11772),
    [sym__lazy_or_operator] = ACTIONS(11764),
    [sym__lazy_and_operator] = ACTIONS(11764),
    [sym__comparison_operator] = ACTIONS(11772),
    [sym__pipe_right_operator] = ACTIONS(11772),
    [sym__pipe_left_operator] = ACTIONS(11772),
    [sym__ellipsis_operator] = ACTIONS(11772),
    [sym__plus_operator] = ACTIONS(11772),
    [sym__times_operator] = ACTIONS(11772),
    [sym__rational_operator] = ACTIONS(11772),
    [sym__bitshift_operator] = ACTIONS(11772),
    [sym__power_operator] = ACTIONS(11772),
    [sym__tilde_operator] = ACTIONS(11772),
    [sym__type_order_operator] = ACTIONS(11772),
    [sym__unary_operator] = ACTIONS(11772),
    [sym__unary_plus_operator] = ACTIONS(11772),
    [sym__syntactic_operator] = ACTIONS(11764),
    [aux_sym__terminator_token1] = ACTIONS(11682),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11774),
    [sym__immediate_bracket] = ACTIONS(11776),
    [sym__immediate_brace] = ACTIONS(11778),
    [sym__string_start] = ACTIONS(701),
    [sym__command_start] = ACTIONS(703),
  },
  [4266] = {
    [sym_identifier] = STATE(4500),
    [sym_integer_literal] = STATE(5855),
    [sym_float_literal] = STATE(5855),
    [sym__string] = STATE(5855),
    [sym_string_literal] = STATE(5855),
    [sym_command_literal] = STATE(5855),
    [sym_prefixed_string_literal] = STATE(5855),
    [sym_prefixed_command_literal] = STATE(5855),
    [sym_operator] = STATE(5855),
    [sym__word_identifier] = ACTIONS(11780),
    [anon_sym_EQ] = ACTIONS(11682),
    [anon_sym_COMMA] = ACTIONS(11682),
    [anon_sym_COLON] = ACTIONS(11682),
    [anon_sym_begin] = ACTIONS(11682),
    [anon_sym_module] = ACTIONS(11682),
    [anon_sym_baremodule] = ACTIONS(11682),
    [anon_sym_abstract] = ACTIONS(11682),
    [anon_sym_primitive] = ACTIONS(11682),
    [anon_sym_mutable] = ACTIONS(11682),
    [anon_sym_struct] = ACTIONS(11682),
    [anon_sym_function] = ACTIONS(11682),
    [anon_sym_macro] = ACTIONS(11682),
    [anon_sym_where] = ACTIONS(11682),
    [anon_sym_quote] = ACTIONS(11682),
    [anon_sym_let] = ACTIONS(11682),
    [anon_sym_if] = ACTIONS(11682),
    [anon_sym_try] = ACTIONS(11682),
    [anon_sym_catch] = ACTIONS(11682),
    [anon_sym_finally] = ACTIONS(11682),
    [anon_sym_for] = ACTIONS(11682),
    [anon_sym_while] = ACTIONS(11682),
    [sym_break_statement] = ACTIONS(11682),
    [sym_continue_statement] = ACTIONS(11682),
    [anon_sym_return] = ACTIONS(11682),
    [anon_sym_const] = ACTIONS(11682),
    [anon_sym_global] = ACTIONS(11682),
    [anon_sym_local] = ACTIONS(11682),
    [anon_sym_LPAREN] = ACTIONS(11682),
    [anon_sym_COLON2] = ACTIONS(11682),
    [anon_sym_export] = ACTIONS(11682),
    [anon_sym_import] = ACTIONS(11682),
    [anon_sym_using] = ACTIONS(11682),
    [anon_sym_LBRACK] = ACTIONS(11682),
    [anon_sym_LF] = ACTIONS(11684),
    [anon_sym_in] = ACTIONS(11682),
    [anon_sym_LBRACE] = ACTIONS(11682),
    [anon_sym_DOLLAR] = ACTIONS(11682),
    [anon_sym_COLON_COLON] = ACTIONS(11682),
    [aux_sym_quote_expression_token1] = ACTIONS(11782),
    [anon_sym_isa] = ACTIONS(11682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11682),
    [anon_sym_QMARK] = ACTIONS(11682),
    [anon_sym_AT] = ACTIONS(11682),
    [anon_sym_true] = ACTIONS(11682),
    [anon_sym_false] = ACTIONS(11682),
    [aux_sym_integer_literal_token1] = ACTIONS(11784),
    [aux_sym_integer_literal_token2] = ACTIONS(11784),
    [aux_sym_integer_literal_token3] = ACTIONS(11784),
    [aux_sym_integer_literal_token4] = ACTIONS(11786),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11782),
    [sym__assignment_operator] = ACTIONS(11782),
    [sym__pair_operator] = ACTIONS(11790),
    [sym__arrow_operator] = ACTIONS(11790),
    [sym__lazy_or_operator] = ACTIONS(11782),
    [sym__lazy_and_operator] = ACTIONS(11782),
    [sym__comparison_operator] = ACTIONS(11790),
    [sym__pipe_right_operator] = ACTIONS(11790),
    [sym__pipe_left_operator] = ACTIONS(11790),
    [sym__ellipsis_operator] = ACTIONS(11790),
    [sym__plus_operator] = ACTIONS(11790),
    [sym__times_operator] = ACTIONS(11790),
    [sym__rational_operator] = ACTIONS(11790),
    [sym__bitshift_operator] = ACTIONS(11790),
    [sym__power_operator] = ACTIONS(11790),
    [sym__tilde_operator] = ACTIONS(11790),
    [sym__type_order_operator] = ACTIONS(11790),
    [sym__unary_operator] = ACTIONS(11790),
    [sym__unary_plus_operator] = ACTIONS(11790),
    [sym__syntactic_operator] = ACTIONS(11782),
    [aux_sym__terminator_token1] = ACTIONS(11682),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11792),
    [sym__immediate_bracket] = ACTIONS(11794),
    [sym__immediate_brace] = ACTIONS(11796),
    [sym__string_start] = ACTIONS(783),
    [sym__command_start] = ACTIONS(785),
  },
  [4267] = {
    [sym_identifier] = STATE(4562),
    [sym_integer_literal] = STATE(5735),
    [sym_float_literal] = STATE(5735),
    [sym__string] = STATE(5735),
    [sym_string_literal] = STATE(5735),
    [sym_command_literal] = STATE(5735),
    [sym_prefixed_string_literal] = STATE(5735),
    [sym_prefixed_command_literal] = STATE(5735),
    [sym_operator] = STATE(5735),
    [sym__word_identifier] = ACTIONS(11798),
    [anon_sym_EQ] = ACTIONS(11682),
    [anon_sym_COMMA] = ACTIONS(11682),
    [anon_sym_COLON] = ACTIONS(11682),
    [anon_sym_begin] = ACTIONS(11682),
    [anon_sym_module] = ACTIONS(11682),
    [anon_sym_baremodule] = ACTIONS(11682),
    [anon_sym_end] = ACTIONS(11682),
    [anon_sym_abstract] = ACTIONS(11682),
    [anon_sym_primitive] = ACTIONS(11682),
    [anon_sym_mutable] = ACTIONS(11682),
    [anon_sym_struct] = ACTIONS(11682),
    [anon_sym_function] = ACTIONS(11682),
    [anon_sym_macro] = ACTIONS(11682),
    [anon_sym_where] = ACTIONS(11682),
    [anon_sym_quote] = ACTIONS(11682),
    [anon_sym_let] = ACTIONS(11682),
    [anon_sym_if] = ACTIONS(11682),
    [anon_sym_try] = ACTIONS(11682),
    [anon_sym_finally] = ACTIONS(11682),
    [anon_sym_for] = ACTIONS(11682),
    [anon_sym_while] = ACTIONS(11682),
    [sym_break_statement] = ACTIONS(11682),
    [sym_continue_statement] = ACTIONS(11682),
    [anon_sym_return] = ACTIONS(11682),
    [anon_sym_const] = ACTIONS(11682),
    [anon_sym_global] = ACTIONS(11682),
    [anon_sym_local] = ACTIONS(11682),
    [anon_sym_LPAREN] = ACTIONS(11682),
    [anon_sym_COLON2] = ACTIONS(11682),
    [anon_sym_export] = ACTIONS(11682),
    [anon_sym_import] = ACTIONS(11682),
    [anon_sym_using] = ACTIONS(11682),
    [anon_sym_LBRACK] = ACTIONS(11682),
    [anon_sym_LF] = ACTIONS(11684),
    [anon_sym_in] = ACTIONS(11682),
    [anon_sym_LBRACE] = ACTIONS(11682),
    [anon_sym_DOLLAR] = ACTIONS(11682),
    [anon_sym_COLON_COLON] = ACTIONS(11682),
    [aux_sym_quote_expression_token1] = ACTIONS(11800),
    [anon_sym_isa] = ACTIONS(11682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11682),
    [anon_sym_QMARK] = ACTIONS(11682),
    [anon_sym_AT] = ACTIONS(11682),
    [anon_sym_true] = ACTIONS(11682),
    [anon_sym_false] = ACTIONS(11682),
    [aux_sym_integer_literal_token1] = ACTIONS(11802),
    [aux_sym_integer_literal_token2] = ACTIONS(11802),
    [aux_sym_integer_literal_token3] = ACTIONS(11802),
    [aux_sym_integer_literal_token4] = ACTIONS(11804),
    [aux_sym_float_literal_token1] = ACTIONS(11806),
    [aux_sym_float_literal_token3] = ACTIONS(11806),
    [aux_sym_float_literal_token4] = ACTIONS(11806),
    [sym_character_literal] = ACTIONS(11800),
    [sym__assignment_operator] = ACTIONS(11800),
    [sym__pair_operator] = ACTIONS(11808),
    [sym__arrow_operator] = ACTIONS(11808),
    [sym__lazy_or_operator] = ACTIONS(11800),
    [sym__lazy_and_operator] = ACTIONS(11800),
    [sym__comparison_operator] = ACTIONS(11808),
    [sym__pipe_right_operator] = ACTIONS(11808),
    [sym__pipe_left_operator] = ACTIONS(11808),
    [sym__ellipsis_operator] = ACTIONS(11808),
    [sym__plus_operator] = ACTIONS(11808),
    [sym__times_operator] = ACTIONS(11808),
    [sym__rational_operator] = ACTIONS(11808),
    [sym__bitshift_operator] = ACTIONS(11808),
    [sym__power_operator] = ACTIONS(11808),
    [sym__tilde_operator] = ACTIONS(11808),
    [sym__type_order_operator] = ACTIONS(11808),
    [sym__unary_operator] = ACTIONS(11808),
    [sym__unary_plus_operator] = ACTIONS(11808),
    [sym__syntactic_operator] = ACTIONS(11800),
    [aux_sym__terminator_token1] = ACTIONS(11682),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11810),
    [sym__immediate_bracket] = ACTIONS(11812),
    [sym__immediate_brace] = ACTIONS(11814),
    [sym__string_start] = ACTIONS(609),
    [sym__command_start] = ACTIONS(611),
  },
  [4268] = {
    [sym_identifier] = STATE(4975),
    [sym_integer_literal] = STATE(6130),
    [sym_float_literal] = STATE(6130),
    [sym__string] = STATE(6130),
    [sym_string_literal] = STATE(6130),
    [sym_command_literal] = STATE(6130),
    [sym_prefixed_string_literal] = STATE(6130),
    [sym_prefixed_command_literal] = STATE(6130),
    [sym_operator] = STATE(6130),
    [sym__word_identifier] = ACTIONS(11816),
    [anon_sym_EQ] = ACTIONS(11682),
    [anon_sym_COMMA] = ACTIONS(11682),
    [anon_sym_COLON] = ACTIONS(11682),
    [anon_sym_begin] = ACTIONS(11682),
    [anon_sym_module] = ACTIONS(11682),
    [anon_sym_baremodule] = ACTIONS(11682),
    [anon_sym_abstract] = ACTIONS(11682),
    [anon_sym_primitive] = ACTIONS(11682),
    [anon_sym_mutable] = ACTIONS(11682),
    [anon_sym_struct] = ACTIONS(11682),
    [anon_sym_function] = ACTIONS(11682),
    [anon_sym_macro] = ACTIONS(11682),
    [anon_sym_where] = ACTIONS(11682),
    [anon_sym_quote] = ACTIONS(11682),
    [anon_sym_let] = ACTIONS(11682),
    [anon_sym_if] = ACTIONS(11682),
    [anon_sym_try] = ACTIONS(11682),
    [anon_sym_for] = ACTIONS(11682),
    [anon_sym_while] = ACTIONS(11682),
    [sym_break_statement] = ACTIONS(11682),
    [sym_continue_statement] = ACTIONS(11682),
    [anon_sym_return] = ACTIONS(11682),
    [anon_sym_const] = ACTIONS(11682),
    [anon_sym_global] = ACTIONS(11682),
    [anon_sym_local] = ACTIONS(11682),
    [anon_sym_LPAREN] = ACTIONS(11682),
    [anon_sym_RPAREN] = ACTIONS(11682),
    [anon_sym_COLON2] = ACTIONS(11682),
    [anon_sym_export] = ACTIONS(11682),
    [anon_sym_import] = ACTIONS(11682),
    [anon_sym_using] = ACTIONS(11682),
    [anon_sym_LBRACK] = ACTIONS(11682),
    [anon_sym_LF] = ACTIONS(11684),
    [anon_sym_in] = ACTIONS(11682),
    [anon_sym_SEMI] = ACTIONS(11682),
    [anon_sym_LBRACE] = ACTIONS(11682),
    [anon_sym_DOLLAR] = ACTIONS(11682),
    [anon_sym_COLON_COLON] = ACTIONS(11682),
    [aux_sym_quote_expression_token1] = ACTIONS(11818),
    [anon_sym_isa] = ACTIONS(11682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11682),
    [anon_sym_QMARK] = ACTIONS(11682),
    [anon_sym_AT] = ACTIONS(11682),
    [anon_sym_true] = ACTIONS(11682),
    [anon_sym_false] = ACTIONS(11682),
    [aux_sym_integer_literal_token1] = ACTIONS(11820),
    [aux_sym_integer_literal_token2] = ACTIONS(11820),
    [aux_sym_integer_literal_token3] = ACTIONS(11820),
    [aux_sym_integer_literal_token4] = ACTIONS(11822),
    [aux_sym_float_literal_token1] = ACTIONS(11824),
    [aux_sym_float_literal_token3] = ACTIONS(11824),
    [aux_sym_float_literal_token4] = ACTIONS(11824),
    [sym_character_literal] = ACTIONS(11818),
    [sym__assignment_operator] = ACTIONS(11818),
    [sym__pair_operator] = ACTIONS(11826),
    [sym__arrow_operator] = ACTIONS(11826),
    [sym__lazy_or_operator] = ACTIONS(11818),
    [sym__lazy_and_operator] = ACTIONS(11818),
    [sym__comparison_operator] = ACTIONS(11826),
    [sym__pipe_right_operator] = ACTIONS(11826),
    [sym__pipe_left_operator] = ACTIONS(11826),
    [sym__ellipsis_operator] = ACTIONS(11826),
    [sym__plus_operator] = ACTIONS(11826),
    [sym__times_operator] = ACTIONS(11826),
    [sym__rational_operator] = ACTIONS(11826),
    [sym__bitshift_operator] = ACTIONS(11826),
    [sym__power_operator] = ACTIONS(11826),
    [sym__tilde_operator] = ACTIONS(11826),
    [sym__type_order_operator] = ACTIONS(11826),
    [sym__unary_operator] = ACTIONS(11826),
    [sym__unary_plus_operator] = ACTIONS(11826),
    [sym__syntactic_operator] = ACTIONS(11818),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11828),
    [sym__immediate_bracket] = ACTIONS(11830),
    [sym__immediate_brace] = ACTIONS(11832),
    [sym__string_start] = ACTIONS(1081),
    [sym__command_start] = ACTIONS(1083),
  },
  [4269] = {
    [sym_identifier] = STATE(4963),
    [sym_integer_literal] = STATE(6063),
    [sym_float_literal] = STATE(6063),
    [sym__string] = STATE(6063),
    [sym_string_literal] = STATE(6063),
    [sym_command_literal] = STATE(6063),
    [sym_prefixed_string_literal] = STATE(6063),
    [sym_prefixed_command_literal] = STATE(6063),
    [sym_operator] = STATE(6063),
    [sym__word_identifier] = ACTIONS(11834),
    [anon_sym_EQ] = ACTIONS(11682),
    [anon_sym_COMMA] = ACTIONS(11682),
    [anon_sym_COLON] = ACTIONS(11682),
    [anon_sym_begin] = ACTIONS(11682),
    [anon_sym_module] = ACTIONS(11682),
    [anon_sym_baremodule] = ACTIONS(11682),
    [anon_sym_end] = ACTIONS(11682),
    [anon_sym_abstract] = ACTIONS(11682),
    [anon_sym_primitive] = ACTIONS(11682),
    [anon_sym_mutable] = ACTIONS(11682),
    [anon_sym_struct] = ACTIONS(11682),
    [anon_sym_function] = ACTIONS(11682),
    [anon_sym_macro] = ACTIONS(11682),
    [anon_sym_where] = ACTIONS(11682),
    [anon_sym_quote] = ACTIONS(11682),
    [anon_sym_let] = ACTIONS(11682),
    [anon_sym_if] = ACTIONS(11682),
    [anon_sym_try] = ACTIONS(11682),
    [anon_sym_for] = ACTIONS(11682),
    [anon_sym_while] = ACTIONS(11682),
    [sym_break_statement] = ACTIONS(11682),
    [sym_continue_statement] = ACTIONS(11682),
    [anon_sym_return] = ACTIONS(11682),
    [anon_sym_const] = ACTIONS(11682),
    [anon_sym_global] = ACTIONS(11682),
    [anon_sym_local] = ACTIONS(11682),
    [anon_sym_LPAREN] = ACTIONS(11682),
    [anon_sym_COLON2] = ACTIONS(11682),
    [anon_sym_export] = ACTIONS(11682),
    [anon_sym_import] = ACTIONS(11682),
    [anon_sym_using] = ACTIONS(11682),
    [anon_sym_LBRACK] = ACTIONS(11682),
    [anon_sym_LF] = ACTIONS(11684),
    [anon_sym_in] = ACTIONS(11682),
    [anon_sym_LBRACE] = ACTIONS(11682),
    [anon_sym_DOLLAR] = ACTIONS(11682),
    [anon_sym_COLON_COLON] = ACTIONS(11682),
    [aux_sym_quote_expression_token1] = ACTIONS(11836),
    [anon_sym_isa] = ACTIONS(11682),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11682),
    [anon_sym_QMARK] = ACTIONS(11682),
    [anon_sym_AT] = ACTIONS(11682),
    [anon_sym_true] = ACTIONS(11682),
    [anon_sym_false] = ACTIONS(11682),
    [aux_sym_integer_literal_token1] = ACTIONS(11838),
    [aux_sym_integer_literal_token2] = ACTIONS(11838),
    [aux_sym_integer_literal_token3] = ACTIONS(11838),
    [aux_sym_integer_literal_token4] = ACTIONS(11840),
    [aux_sym_float_literal_token1] = ACTIONS(11842),
    [aux_sym_float_literal_token3] = ACTIONS(11842),
    [aux_sym_float_literal_token4] = ACTIONS(11842),
    [sym_character_literal] = ACTIONS(11836),
    [sym__assignment_operator] = ACTIONS(11836),
    [sym__pair_operator] = ACTIONS(11844),
    [sym__arrow_operator] = ACTIONS(11844),
    [sym__lazy_or_operator] = ACTIONS(11836),
    [sym__lazy_and_operator] = ACTIONS(11836),
    [sym__comparison_operator] = ACTIONS(11844),
    [sym__pipe_right_operator] = ACTIONS(11844),
    [sym__pipe_left_operator] = ACTIONS(11844),
    [sym__ellipsis_operator] = ACTIONS(11844),
    [sym__plus_operator] = ACTIONS(11844),
    [sym__times_operator] = ACTIONS(11844),
    [sym__rational_operator] = ACTIONS(11844),
    [sym__bitshift_operator] = ACTIONS(11844),
    [sym__power_operator] = ACTIONS(11844),
    [sym__tilde_operator] = ACTIONS(11844),
    [sym__type_order_operator] = ACTIONS(11844),
    [sym__unary_operator] = ACTIONS(11844),
    [sym__unary_plus_operator] = ACTIONS(11844),
    [sym__syntactic_operator] = ACTIONS(11836),
    [aux_sym__terminator_token1] = ACTIONS(11682),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11846),
    [sym__immediate_bracket] = ACTIONS(11848),
    [sym__immediate_brace] = ACTIONS(11850),
    [sym__string_start] = ACTIONS(891),
    [sym__command_start] = ACTIONS(893),
  },
  [4270] = {
    [ts_builtin_sym_end] = ACTIONS(171),
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_RBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11852),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11854),
    [sym__immediate_command_start] = ACTIONS(11856),
  },
  [4271] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_elseif] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11858),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11860),
    [sym__immediate_command_start] = ACTIONS(11862),
  },
  [4272] = {
    [ts_builtin_sym_end] = ACTIONS(171),
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_RBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11864),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11854),
    [sym__immediate_command_start] = ACTIONS(11856),
  },
  [4273] = {
    [ts_builtin_sym_end] = ACTIONS(11866),
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_RBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4274] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4275] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11870),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11872),
    [sym__immediate_command_start] = ACTIONS(11874),
  },
  [4276] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_elseif] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4277] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_elseif] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11860),
    [sym__immediate_command_start] = ACTIONS(11862),
  },
  [4278] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11878),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11872),
    [sym__immediate_command_start] = ACTIONS(11874),
  },
  [4279] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_elseif] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(11860),
    [sym__immediate_command_start] = ACTIONS(11862),
  },
  [4280] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(11888),
    [sym__immediate_command_start] = ACTIONS(11890),
  },
  [4281] = {
    [sym_do_clause] = STATE(4877),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(11896),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4282] = {
    [sym_do_clause] = STATE(4654),
    [ts_builtin_sym_end] = ACTIONS(11898),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_RPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_RBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(11902),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__assignment_operator] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4283] = {
    [ts_builtin_sym_end] = ACTIONS(171),
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_RBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11904),
    [sym__immediate_command_start] = ACTIONS(11906),
  },
  [4284] = {
    [sym_do_clause] = STATE(5118),
    [ts_builtin_sym_end] = ACTIONS(11894),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_RBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(11902),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4285] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11908),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11910),
    [sym__immediate_command_start] = ACTIONS(11912),
  },
  [4286] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_elseif] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(11860),
    [sym__immediate_command_start] = ACTIONS(11862),
  },
  [4287] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11914),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11910),
    [sym__immediate_command_start] = ACTIONS(11912),
  },
  [4288] = {
    [sym_do_clause] = STATE(5024),
    [ts_builtin_sym_end] = ACTIONS(11916),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_RPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_RBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(11920),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_DASH_GT] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4289] = {
    [ts_builtin_sym_end] = ACTIONS(11882),
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_RBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(11904),
    [sym__immediate_command_start] = ACTIONS(11906),
  },
  [4290] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11888),
    [sym__immediate_command_start] = ACTIONS(11890),
  },
  [4291] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_elseif] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(11922),
    [sym__immediate_command_start] = ACTIONS(11924),
  },
  [4292] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4293] = {
    [sym_do_clause] = STATE(4887),
    [ts_builtin_sym_end] = ACTIONS(11898),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_RPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_RBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(11920),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_DASH_GT] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4294] = {
    [sym_do_clause] = STATE(4873),
    [ts_builtin_sym_end] = ACTIONS(11894),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_RBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(11920),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4295] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11866),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11866),
    [anon_sym_RPAREN] = ACTIONS(11866),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11866),
    [anon_sym_RBRACK] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11866),
    [anon_sym_RBRACE] = ACTIONS(11866),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11866),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11866),
    [anon_sym_QMARK] = ACTIONS(11866),
    [anon_sym_DASH_GT] = ACTIONS(11866),
    [anon_sym_AT] = ACTIONS(11866),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11866),
    [aux_sym_integer_literal_token2] = ACTIONS(11866),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11866),
    [aux_sym_float_literal_token3] = ACTIONS(11866),
    [aux_sym_float_literal_token4] = ACTIONS(11866),
    [sym_character_literal] = ACTIONS(11866),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11866),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11866),
    [sym__lazy_and_operator] = ACTIONS(11866),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11866),
    [sym__pipe_left_operator] = ACTIONS(11866),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11866),
    [sym__type_order_operator] = ACTIONS(11866),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4296] = {
    [ts_builtin_sym_end] = ACTIONS(11886),
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_RBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(11904),
    [sym__immediate_command_start] = ACTIONS(11906),
  },
  [4297] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_elseif] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4298] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_elseif] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(11860),
    [sym__immediate_command_start] = ACTIONS(11862),
  },
  [4299] = {
    [sym_do_clause] = STATE(4775),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_else] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_finally] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(11930),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_DASH_GT] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4300] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(11888),
    [sym__immediate_command_start] = ACTIONS(11890),
  },
  [4301] = {
    [sym_do_clause] = STATE(4776),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(11930),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4302] = {
    [sym_do_clause] = STATE(4849),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(11896),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4303] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(11872),
    [sym__immediate_command_start] = ACTIONS(11874),
  },
  [4304] = {
    [sym_do_clause] = STATE(4811),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_else] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_finally] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(11930),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_DASH_GT] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4305] = {
    [sym_do_clause] = STATE(4847),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(11930),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4306] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_elseif] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(11922),
    [sym__immediate_command_start] = ACTIONS(11924),
  },
  [4307] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(11872),
    [sym__immediate_command_start] = ACTIONS(11874),
  },
  [4308] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4309] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(11872),
    [sym__immediate_command_start] = ACTIONS(11874),
  },
  [4310] = {
    [sym_do_clause] = STATE(4866),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_else] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_finally] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(11896),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__assignment_operator] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4311] = {
    [sym_do_clause] = STATE(4914),
    [ts_builtin_sym_end] = ACTIONS(11934),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_RBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(11902),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4312] = {
    [ts_builtin_sym_end] = ACTIONS(11866),
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_RBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4313] = {
    [ts_builtin_sym_end] = ACTIONS(11928),
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_RBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(11904),
    [sym__immediate_command_start] = ACTIONS(11906),
  },
  [4314] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(11888),
    [sym__immediate_command_start] = ACTIONS(11890),
  },
  [4315] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_elseif] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4316] = {
    [sym_do_clause] = STATE(4919),
    [ts_builtin_sym_end] = ACTIONS(11934),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_RBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(11920),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4317] = {
    [ts_builtin_sym_end] = ACTIONS(11882),
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_RBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(11854),
    [sym__immediate_command_start] = ACTIONS(11856),
  },
  [4318] = {
    [sym_do_clause] = STATE(4972),
    [ts_builtin_sym_end] = ACTIONS(11916),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_RPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_RBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(11902),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__assignment_operator] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4319] = {
    [ts_builtin_sym_end] = ACTIONS(11866),
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_RBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4320] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4321] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4322] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4323] = {
    [sym_do_clause] = STATE(4741),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_elseif] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(11936),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4324] = {
    [sym_do_clause] = STATE(4782),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_elseif] = ACTIONS(11918),
    [anon_sym_else] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__assignment_operator] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4325] = {
    [sym_do_clause] = STATE(4730),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_elseif] = ACTIONS(11900),
    [anon_sym_else] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(11936),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_DASH_GT] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4326] = {
    [sym_do_clause] = STATE(5044),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_elseif] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4327] = {
    [sym_do_clause] = STATE(4577),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_elseif] = ACTIONS(11918),
    [anon_sym_else] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(11936),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_DASH_GT] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4328] = {
    [sym_do_clause] = STATE(4713),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_elseif] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(11936),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4329] = {
    [sym_do_clause] = STATE(5124),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_elseif] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4330] = {
    [ts_builtin_sym_end] = ACTIONS(11886),
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_RBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(11854),
    [sym__immediate_command_start] = ACTIONS(11856),
  },
  [4331] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_elseif] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(11922),
    [sym__immediate_command_start] = ACTIONS(11924),
  },
  [4332] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11940),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11942),
    [sym__immediate_command_start] = ACTIONS(11944),
  },
  [4333] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11946),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11948),
    [sym__immediate_command_start] = ACTIONS(11950),
  },
  [4334] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11952),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11942),
    [sym__immediate_command_start] = ACTIONS(11944),
  },
  [4335] = {
    [sym_do_clause] = STATE(4711),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_else] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_finally] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(11896),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__assignment_operator] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4336] = {
    [ts_builtin_sym_end] = ACTIONS(11928),
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_RBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(11854),
    [sym__immediate_command_start] = ACTIONS(11856),
  },
  [4337] = {
    [sym_do_clause] = STATE(4572),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_elseif] = ACTIONS(11900),
    [anon_sym_else] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(11938),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__assignment_operator] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4338] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(11954),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11948),
    [sym__immediate_command_start] = ACTIONS(11950),
  },
  [4339] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_elseif] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11922),
    [sym__immediate_command_start] = ACTIONS(11924),
  },
  [4340] = {
    [sym_do_clause] = STATE(5364),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(11956),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4341] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(11962),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4342] = {
    [sym_do_clause] = STATE(5433),
    [ts_builtin_sym_end] = ACTIONS(11898),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_RPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_RBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(11964),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4343] = {
    [sym_identifier] = STATE(4790),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_elseif] = ACTIONS(11966),
    [anon_sym_else] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__assignment_operator] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4344] = {
    [sym_identifier] = STATE(4691),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_elseif] = ACTIONS(11966),
    [anon_sym_else] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_DASH_GT] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4345] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4346] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4347] = {
    [sym_identifier] = STATE(4692),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_elseif] = ACTIONS(11978),
    [anon_sym_else] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_DASH_GT] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4348] = {
    [sym_identifier] = STATE(4852),
    [ts_builtin_sym_end] = ACTIONS(11968),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_RPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_RBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_DASH_GT] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4349] = {
    [sym_do_clause] = STATE(5949),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11916),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11916),
    [anon_sym_RPAREN] = ACTIONS(11916),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11916),
    [anon_sym_RBRACK] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_SEMI] = ACTIONS(11916),
    [anon_sym_LBRACE] = ACTIONS(11916),
    [anon_sym_RBRACE] = ACTIONS(11916),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(11982),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11916),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11916),
    [anon_sym_QMARK] = ACTIONS(11916),
    [anon_sym_AT] = ACTIONS(11916),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11916),
    [aux_sym_integer_literal_token2] = ACTIONS(11916),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11916),
    [aux_sym_float_literal_token3] = ACTIONS(11916),
    [aux_sym_float_literal_token4] = ACTIONS(11916),
    [sym_character_literal] = ACTIONS(11916),
    [sym__assignment_operator] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11916),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11916),
    [sym__lazy_and_operator] = ACTIONS(11916),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11916),
    [sym__pipe_left_operator] = ACTIONS(11916),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11916),
    [sym__type_order_operator] = ACTIONS(11916),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4350] = {
    [sym_identifier] = STATE(4853),
    [ts_builtin_sym_end] = ACTIONS(11980),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_RPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_RBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_DASH_GT] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4351] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_elseif] = ACTIONS(11974),
    [anon_sym_else] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__assignment_operator] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4352] = {
    [sym_identifier] = STATE(4915),
    [ts_builtin_sym_end] = ACTIONS(11986),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_RPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_RBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_DASH_GT] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4353] = {
    [sym_identifier] = STATE(4916),
    [ts_builtin_sym_end] = ACTIONS(11990),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_RPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_RBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_DASH_GT] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4354] = {
    [sym_identifier] = STATE(4721),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_elseif] = ACTIONS(11988),
    [anon_sym_else] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_DASH_GT] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4355] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11882),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11882),
    [anon_sym_RPAREN] = ACTIONS(11882),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11882),
    [anon_sym_RBRACK] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11882),
    [anon_sym_LBRACE] = ACTIONS(11882),
    [anon_sym_RBRACE] = ACTIONS(11882),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11882),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11882),
    [anon_sym_QMARK] = ACTIONS(11882),
    [anon_sym_AT] = ACTIONS(11882),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11882),
    [aux_sym_integer_literal_token2] = ACTIONS(11882),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11882),
    [aux_sym_float_literal_token3] = ACTIONS(11882),
    [aux_sym_float_literal_token4] = ACTIONS(11882),
    [sym_character_literal] = ACTIONS(11882),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11882),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11882),
    [sym__lazy_and_operator] = ACTIONS(11882),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11882),
    [sym__pipe_left_operator] = ACTIONS(11882),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11882),
    [sym__type_order_operator] = ACTIONS(11882),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(11994),
    [sym__immediate_command_start] = ACTIONS(11996),
  },
  [4356] = {
    [sym_do_clause] = STATE(5948),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11934),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11934),
    [anon_sym_RPAREN] = ACTIONS(11934),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11934),
    [anon_sym_RBRACK] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11934),
    [anon_sym_LBRACE] = ACTIONS(11934),
    [anon_sym_RBRACE] = ACTIONS(11934),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(11982),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11934),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11934),
    [anon_sym_QMARK] = ACTIONS(11934),
    [anon_sym_AT] = ACTIONS(11934),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11934),
    [aux_sym_integer_literal_token2] = ACTIONS(11934),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11934),
    [aux_sym_float_literal_token3] = ACTIONS(11934),
    [aux_sym_float_literal_token4] = ACTIONS(11934),
    [sym_character_literal] = ACTIONS(11934),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11934),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11934),
    [sym__lazy_and_operator] = ACTIONS(11934),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11934),
    [sym__pipe_left_operator] = ACTIONS(11934),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11934),
    [sym__type_order_operator] = ACTIONS(11934),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4357] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(11998),
    [sym__immediate_command_start] = ACTIONS(12000),
  },
  [4358] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_elseif] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__assignment_operator] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4359] = {
    [sym_identifier] = STATE(4724),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_elseif] = ACTIONS(11992),
    [anon_sym_else] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_DASH_GT] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4360] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12006),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4361] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(171),
    [anon_sym_COLON_COLON] = ACTIONS(171),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(171),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_DASH_GT] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(171),
    [aux_sym_float_literal_token3] = ACTIONS(171),
    [aux_sym_float_literal_token4] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(171),
    [sym__pair_operator] = ACTIONS(171),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(171),
    [sym__lazy_and_operator] = ACTIONS(171),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(171),
    [sym__pipe_left_operator] = ACTIONS(171),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(171),
    [sym__bitshift_operator] = ACTIONS(171),
    [sym__power_operator] = ACTIONS(171),
    [sym__tilde_operator] = ACTIONS(171),
    [sym__type_order_operator] = ACTIONS(171),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12008),
    [sym__immediate_command_start] = ACTIONS(12010),
  },
  [4362] = {
    [sym_identifier] = STATE(4910),
    [ts_builtin_sym_end] = ACTIONS(11990),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_RPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_RBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__assignment_operator] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4363] = {
    [sym_identifier] = STATE(4903),
    [ts_builtin_sym_end] = ACTIONS(11986),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_RPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_RBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__assignment_operator] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4364] = {
    [ts_builtin_sym_end] = ACTIONS(12012),
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_RPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_RBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__assignment_operator] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4365] = {
    [ts_builtin_sym_end] = ACTIONS(12016),
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_RPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_RBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__assignment_operator] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4366] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_elseif] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [4367] = {
    [ts_builtin_sym_end] = ACTIONS(12004),
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_RBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__assignment_operator] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4368] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [4369] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_else] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_finally] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__assignment_operator] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4370] = {
    [ts_builtin_sym_end] = ACTIONS(12028),
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_RBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [4371] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11928),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11928),
    [anon_sym_RPAREN] = ACTIONS(11928),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11928),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11928),
    [anon_sym_RBRACE] = ACTIONS(11928),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11928),
    [anon_sym_COLON_COLON] = ACTIONS(11928),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11928),
    [anon_sym_QMARK] = ACTIONS(11928),
    [anon_sym_DASH_GT] = ACTIONS(11928),
    [anon_sym_AT] = ACTIONS(11928),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11928),
    [aux_sym_integer_literal_token2] = ACTIONS(11928),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11928),
    [aux_sym_float_literal_token3] = ACTIONS(11928),
    [aux_sym_float_literal_token4] = ACTIONS(11928),
    [sym_character_literal] = ACTIONS(11928),
    [sym__pair_operator] = ACTIONS(11928),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11928),
    [sym__lazy_and_operator] = ACTIONS(11928),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11928),
    [sym__pipe_left_operator] = ACTIONS(11928),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11928),
    [sym__bitshift_operator] = ACTIONS(11928),
    [sym__power_operator] = ACTIONS(11928),
    [sym__tilde_operator] = ACTIONS(11928),
    [sym__type_order_operator] = ACTIONS(11928),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12008),
    [sym__immediate_command_start] = ACTIONS(12010),
  },
  [4372] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_else] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_finally] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__assignment_operator] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4373] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_else] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_finally] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__assignment_operator] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [4374] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(11942),
    [sym__immediate_command_start] = ACTIONS(11944),
  },
  [4375] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_else] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_finally] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__assignment_operator] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [4376] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_else] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_finally] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__assignment_operator] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [4377] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_else] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_finally] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__assignment_operator] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [4378] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_else] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_finally] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_DASH_GT] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4379] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_else] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_finally] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_DASH_GT] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4380] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_else] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_finally] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_DASH_GT] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [4381] = {
    [sym_do_clause] = STATE(5939),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11898),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11898),
    [anon_sym_RPAREN] = ACTIONS(11898),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11898),
    [anon_sym_RBRACK] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_SEMI] = ACTIONS(11898),
    [anon_sym_LBRACE] = ACTIONS(11898),
    [anon_sym_RBRACE] = ACTIONS(11898),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(11982),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11898),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11898),
    [anon_sym_QMARK] = ACTIONS(11898),
    [anon_sym_AT] = ACTIONS(11898),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11898),
    [aux_sym_integer_literal_token2] = ACTIONS(11898),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11898),
    [aux_sym_float_literal_token3] = ACTIONS(11898),
    [aux_sym_float_literal_token4] = ACTIONS(11898),
    [sym_character_literal] = ACTIONS(11898),
    [sym__assignment_operator] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11898),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11898),
    [sym__lazy_and_operator] = ACTIONS(11898),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11898),
    [sym__pipe_left_operator] = ACTIONS(11898),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11898),
    [sym__type_order_operator] = ACTIONS(11898),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4382] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_else] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_finally] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_DASH_GT] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [4383] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_else] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_finally] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [4384] = {
    [sym_identifier] = STATE(4664),
    [ts_builtin_sym_end] = ACTIONS(11980),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_RPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_RBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__assignment_operator] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4385] = {
    [sym_identifier] = STATE(4705),
    [ts_builtin_sym_end] = ACTIONS(11968),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_RPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_RBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__assignment_operator] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4386] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_else] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_finally] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_DASH_GT] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [4387] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_finally] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__assignment_operator] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4388] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_else] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_finally] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__assignment_operator] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4389] = {
    [ts_builtin_sym_end] = ACTIONS(12052),
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_RPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_RBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__assignment_operator] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4390] = {
    [ts_builtin_sym_end] = ACTIONS(12050),
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_RPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_RBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__assignment_operator] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [4391] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_else] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_finally] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__assignment_operator] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4392] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_finally] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_DASH_GT] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4393] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_else] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_finally] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_DASH_GT] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4394] = {
    [ts_builtin_sym_end] = ACTIONS(12046),
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_RPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_RBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__assignment_operator] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [4395] = {
    [ts_builtin_sym_end] = ACTIONS(12044),
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_RPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_RBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__assignment_operator] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [4396] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_else] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_finally] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4397] = {
    [sym_do_clause] = STATE(5937),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11894),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11894),
    [anon_sym_RPAREN] = ACTIONS(11894),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11894),
    [anon_sym_RBRACK] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11894),
    [anon_sym_RBRACE] = ACTIONS(11894),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(11982),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11894),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11894),
    [anon_sym_QMARK] = ACTIONS(11894),
    [anon_sym_AT] = ACTIONS(11894),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11894),
    [aux_sym_integer_literal_token2] = ACTIONS(11894),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11894),
    [aux_sym_float_literal_token3] = ACTIONS(11894),
    [aux_sym_float_literal_token4] = ACTIONS(11894),
    [sym_character_literal] = ACTIONS(11894),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11894),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11894),
    [sym__lazy_and_operator] = ACTIONS(11894),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11894),
    [sym__pipe_left_operator] = ACTIONS(11894),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11894),
    [sym__type_order_operator] = ACTIONS(11894),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4398] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(171),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(171),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_DASH_GT] = ACTIONS(12054),
    [anon_sym_AT] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(171),
    [aux_sym_float_literal_token3] = ACTIONS(171),
    [aux_sym_float_literal_token4] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(171),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(171),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(171),
    [sym__lazy_and_operator] = ACTIONS(171),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(171),
    [sym__pipe_left_operator] = ACTIONS(171),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(171),
    [sym__type_order_operator] = ACTIONS(171),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11994),
    [sym__immediate_command_start] = ACTIONS(11996),
  },
  [4399] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4400] = {
    [ts_builtin_sym_end] = ACTIONS(12040),
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_RPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_RBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__assignment_operator] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [4401] = {
    [ts_builtin_sym_end] = ACTIONS(12036),
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_RPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_RBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__assignment_operator] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4402] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_else] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_finally] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4403] = {
    [ts_builtin_sym_end] = ACTIONS(12032),
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_RPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_RBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__assignment_operator] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4404] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_else] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_finally] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__assignment_operator] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4405] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12056),
    [sym__immediate_command_start] = ACTIONS(12058),
  },
  [4406] = {
    [sym_identifier] = STATE(4729),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_elseif] = ACTIONS(11978),
    [anon_sym_else] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__assignment_operator] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4407] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_elseif] = ACTIONS(12030),
    [anon_sym_else] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__assignment_operator] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4408] = {
    [ts_builtin_sym_end] = ACTIONS(12060),
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_RBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [4409] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_elseif] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12066),
    [sym__immediate_command_start] = ACTIONS(12068),
  },
  [4410] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12070),
    [sym__immediate_command_start] = ACTIONS(12072),
  },
  [4411] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(12074),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12076),
    [sym__immediate_command_start] = ACTIONS(12078),
  },
  [4412] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(171),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(171),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_DASH_GT] = ACTIONS(12080),
    [anon_sym_AT] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(171),
    [aux_sym_float_literal_token3] = ACTIONS(171),
    [aux_sym_float_literal_token4] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(171),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(171),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(171),
    [sym__lazy_and_operator] = ACTIONS(171),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(171),
    [sym__pipe_left_operator] = ACTIONS(171),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(171),
    [sym__type_order_operator] = ACTIONS(171),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11994),
    [sym__immediate_command_start] = ACTIONS(11996),
  },
  [4413] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_elseif] = ACTIONS(12034),
    [anon_sym_else] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__assignment_operator] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4414] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_elseif] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12066),
    [sym__immediate_command_start] = ACTIONS(12068),
  },
  [4415] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_elseif] = ACTIONS(12064),
    [anon_sym_else] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__assignment_operator] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4416] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [4417] = {
    [sym_do_clause] = STATE(5429),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_finally] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12084),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_DASH_GT] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4418] = {
    [sym_do_clause] = STATE(5326),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(11956),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4419] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_elseif] = ACTIONS(12030),
    [anon_sym_else] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_DASH_GT] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4420] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4421] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12086),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4422] = {
    [ts_builtin_sym_end] = ACTIONS(11866),
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_RBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4423] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_elseif] = ACTIONS(12034),
    [anon_sym_else] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_DASH_GT] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4424] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_elseif] = ACTIONS(12038),
    [anon_sym_else] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_DASH_GT] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [4425] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [4426] = {
    [sym_do_clause] = STATE(5350),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_catch] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(11956),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_DASH_GT] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4427] = {
    [sym_do_clause] = STATE(5354),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12092),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4428] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12056),
    [sym__immediate_command_start] = ACTIONS(12058),
  },
  [4429] = {
    [sym_do_clause] = STATE(5432),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12084),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4430] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_elseif] = ACTIONS(12042),
    [anon_sym_else] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_DASH_GT] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [4431] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_elseif] = ACTIONS(12024),
    [anon_sym_else] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [4432] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_elseif] = ACTIONS(12048),
    [anon_sym_else] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_DASH_GT] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [4433] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_elseif] = ACTIONS(11976),
    [anon_sym_else] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__assignment_operator] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4434] = {
    [sym_do_clause] = STATE(5371),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_catch] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12092),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__assignment_operator] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4435] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11866),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11866),
    [anon_sym_RPAREN] = ACTIONS(11866),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11866),
    [anon_sym_RBRACK] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11866),
    [anon_sym_RBRACE] = ACTIONS(11866),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11866),
    [anon_sym_COLON_COLON] = ACTIONS(11866),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11866),
    [anon_sym_QMARK] = ACTIONS(11866),
    [anon_sym_DASH_GT] = ACTIONS(11866),
    [anon_sym_AT] = ACTIONS(11866),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11866),
    [aux_sym_integer_literal_token2] = ACTIONS(11866),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11866),
    [aux_sym_float_literal_token3] = ACTIONS(11866),
    [aux_sym_float_literal_token4] = ACTIONS(11866),
    [sym_character_literal] = ACTIONS(11866),
    [sym__pair_operator] = ACTIONS(11866),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11866),
    [sym__lazy_and_operator] = ACTIONS(11866),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11866),
    [sym__pipe_left_operator] = ACTIONS(11866),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11866),
    [sym__bitshift_operator] = ACTIONS(11866),
    [sym__power_operator] = ACTIONS(11866),
    [sym__tilde_operator] = ACTIONS(11866),
    [sym__type_order_operator] = ACTIONS(11866),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4436] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_elseif] = ACTIONS(12038),
    [anon_sym_else] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__assignment_operator] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [4437] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(12094),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12096),
    [sym__immediate_command_start] = ACTIONS(12098),
  },
  [4438] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(12100),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12096),
    [sym__immediate_command_start] = ACTIONS(12098),
  },
  [4439] = {
    [ts_builtin_sym_end] = ACTIONS(11928),
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_RBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12102),
    [sym__immediate_command_start] = ACTIONS(12104),
  },
  [4440] = {
    [sym_do_clause] = STATE(5884),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_elseif] = ACTIONS(11918),
    [anon_sym_else] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12106),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4441] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_elseif] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_DASH_GT] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4442] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12056),
    [sym__immediate_command_start] = ACTIONS(12058),
  },
  [4443] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_elseif] = ACTIONS(12018),
    [anon_sym_else] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_DASH_GT] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4444] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_elseif] = ACTIONS(12014),
    [anon_sym_else] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4445] = {
    [sym_do_clause] = STATE(5385),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12092),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4446] = {
    [ts_builtin_sym_end] = ACTIONS(11972),
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_RBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4447] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_elseif] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(12108),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11860),
    [sym__immediate_command_start] = ACTIONS(11862),
  },
  [4448] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(11942),
    [sym__immediate_command_start] = ACTIONS(11944),
  },
  [4449] = {
    [ts_builtin_sym_end] = ACTIONS(12110),
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_RBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [4450] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(11948),
    [sym__immediate_command_start] = ACTIONS(11950),
  },
  [4451] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12114),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4452] = {
    [sym_do_clause] = STATE(5913),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12116),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4453] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4454] = {
    [ts_builtin_sym_end] = ACTIONS(11972),
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_RBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4455] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4456] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_elseif] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12066),
    [sym__immediate_command_start] = ACTIONS(12068),
  },
  [4457] = {
    [sym_do_clause] = STATE(5880),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_elseif] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12106),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4458] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11866),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11866),
    [anon_sym_RPAREN] = ACTIONS(11866),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11866),
    [anon_sym_RBRACK] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11866),
    [anon_sym_RBRACE] = ACTIONS(11866),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11866),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11866),
    [anon_sym_QMARK] = ACTIONS(11866),
    [anon_sym_AT] = ACTIONS(11866),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11866),
    [aux_sym_integer_literal_token2] = ACTIONS(11866),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11866),
    [aux_sym_float_literal_token3] = ACTIONS(11866),
    [aux_sym_float_literal_token4] = ACTIONS(11866),
    [sym_character_literal] = ACTIONS(11866),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11866),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11866),
    [sym__lazy_and_operator] = ACTIONS(11866),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11866),
    [sym__pipe_left_operator] = ACTIONS(11866),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11866),
    [sym__type_order_operator] = ACTIONS(11866),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4459] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_elseif] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4460] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_elseif] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4461] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_elseif] = ACTIONS(11976),
    [anon_sym_else] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4462] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12070),
    [sym__immediate_command_start] = ACTIONS(12072),
  },
  [4463] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [4464] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_elseif] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [4465] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(12118),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12076),
    [sym__immediate_command_start] = ACTIONS(12078),
  },
  [4466] = {
    [ts_builtin_sym_end] = ACTIONS(12082),
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_RPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_RBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4467] = {
    [sym_do_clause] = STATE(5902),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_catch] = ACTIONS(11900),
    [anon_sym_finally] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12116),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_DASH_GT] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4468] = {
    [sym_do_clause] = STATE(5454),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_finally] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12084),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_DASH_GT] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4469] = {
    [sym_do_clause] = STATE(5366),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_catch] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(11956),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_DASH_GT] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4470] = {
    [sym_do_clause] = STATE(5839),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_elseif] = ACTIONS(11900),
    [anon_sym_else] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12106),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4471] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_elseif] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [4472] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_elseif] = ACTIONS(12018),
    [anon_sym_else] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__assignment_operator] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4473] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11928),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11928),
    [anon_sym_RPAREN] = ACTIONS(11928),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11928),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11928),
    [anon_sym_RBRACE] = ACTIONS(11928),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11928),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11928),
    [anon_sym_QMARK] = ACTIONS(11928),
    [anon_sym_AT] = ACTIONS(11928),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11928),
    [aux_sym_integer_literal_token2] = ACTIONS(11928),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11928),
    [aux_sym_float_literal_token3] = ACTIONS(11928),
    [aux_sym_float_literal_token4] = ACTIONS(11928),
    [sym_character_literal] = ACTIONS(11928),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11928),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11928),
    [sym__lazy_and_operator] = ACTIONS(11928),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11928),
    [sym__pipe_left_operator] = ACTIONS(11928),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11928),
    [sym__type_order_operator] = ACTIONS(11928),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(11994),
    [sym__immediate_command_start] = ACTIONS(11996),
  },
  [4474] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12120),
    [sym__immediate_command_start] = ACTIONS(12122),
  },
  [4475] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [4476] = {
    [sym_identifier] = STATE(5071),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_else] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_DASH_GT] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4477] = {
    [sym_identifier] = STATE(4929),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_else] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_DASH_GT] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4478] = {
    [sym_identifier] = STATE(4979),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_else] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_DASH_GT] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4479] = {
    [sym_identifier] = STATE(4971),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_else] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_DASH_GT] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4480] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4481] = {
    [sym_do_clause] = STATE(5869),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_elseif] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12106),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4482] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_elseif] = ACTIONS(12014),
    [anon_sym_else] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__assignment_operator] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4483] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_elseif] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [4484] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(11942),
    [sym__immediate_command_start] = ACTIONS(11944),
  },
  [4485] = {
    [ts_builtin_sym_end] = ACTIONS(12090),
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_RBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [4486] = {
    [ts_builtin_sym_end] = ACTIONS(11984),
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_RPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_RBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4487] = {
    [sym_do_clause] = STATE(5413),
    [ts_builtin_sym_end] = ACTIONS(11894),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_RBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(11964),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4488] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12056),
    [sym__immediate_command_start] = ACTIONS(12058),
  },
  [4489] = {
    [sym_identifier] = STATE(4611),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_else] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__assignment_operator] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4490] = {
    [sym_do_clause] = STATE(5885),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12116),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4491] = {
    [ts_builtin_sym_end] = ACTIONS(12082),
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_RPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_RBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__assignment_operator] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4492] = {
    [sym_identifier] = STATE(4610),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_else] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__assignment_operator] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4493] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(11998),
    [sym__immediate_command_start] = ACTIONS(12000),
  },
  [4494] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(11998),
    [sym__immediate_command_start] = ACTIONS(12000),
  },
  [4495] = {
    [sym_do_clause] = STATE(5883),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_catch] = ACTIONS(11918),
    [anon_sym_finally] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12116),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_DASH_GT] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4496] = {
    [sym_identifier] = STATE(4591),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_else] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__assignment_operator] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4497] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_elseif] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12066),
    [sym__immediate_command_start] = ACTIONS(12068),
  },
  [4498] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12120),
    [sym__immediate_command_start] = ACTIONS(12122),
  },
  [4499] = {
    [sym_do_clause] = STATE(5520),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12084),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4500] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(11910),
    [sym__immediate_command_start] = ACTIONS(11912),
  },
  [4501] = {
    [sym_identifier] = STATE(4590),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_else] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__assignment_operator] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4502] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_else] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_finally] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__assignment_operator] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4503] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4504] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4505] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_else] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_finally] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__assignment_operator] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4506] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12124),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4507] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4508] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4509] = {
    [sym_do_clause] = STATE(5478),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_catch] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12092),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__assignment_operator] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4510] = {
    [sym_do_clause] = STATE(5519),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11916),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11916),
    [anon_sym_RPAREN] = ACTIONS(11916),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11916),
    [anon_sym_RBRACK] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_SEMI] = ACTIONS(11916),
    [anon_sym_LBRACE] = ACTIONS(11916),
    [anon_sym_RBRACE] = ACTIONS(11916),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12126),
    [anon_sym_DOLLAR] = ACTIONS(11916),
    [anon_sym_COLON_COLON] = ACTIONS(11916),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11916),
    [anon_sym_QMARK] = ACTIONS(11916),
    [anon_sym_DASH_GT] = ACTIONS(11916),
    [anon_sym_AT] = ACTIONS(11916),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11916),
    [aux_sym_integer_literal_token2] = ACTIONS(11916),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11916),
    [aux_sym_float_literal_token3] = ACTIONS(11916),
    [aux_sym_float_literal_token4] = ACTIONS(11916),
    [sym_character_literal] = ACTIONS(11916),
    [sym__pair_operator] = ACTIONS(11916),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11916),
    [sym__lazy_and_operator] = ACTIONS(11916),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11916),
    [sym__pipe_left_operator] = ACTIONS(11916),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11916),
    [sym__bitshift_operator] = ACTIONS(11916),
    [sym__power_operator] = ACTIONS(11916),
    [sym__tilde_operator] = ACTIONS(11916),
    [sym__type_order_operator] = ACTIONS(11916),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4511] = {
    [sym_do_clause] = STATE(5200),
    [ts_builtin_sym_end] = ACTIONS(11934),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_RBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(11964),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4512] = {
    [ts_builtin_sym_end] = ACTIONS(11882),
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_RBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12102),
    [sym__immediate_command_start] = ACTIONS(12104),
  },
  [4513] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11882),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11882),
    [anon_sym_RPAREN] = ACTIONS(11882),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11882),
    [anon_sym_RBRACK] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11882),
    [anon_sym_LBRACE] = ACTIONS(11882),
    [anon_sym_RBRACE] = ACTIONS(11882),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11882),
    [anon_sym_COLON_COLON] = ACTIONS(11882),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11882),
    [anon_sym_QMARK] = ACTIONS(11882),
    [anon_sym_DASH_GT] = ACTIONS(11882),
    [anon_sym_AT] = ACTIONS(11882),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11882),
    [aux_sym_integer_literal_token2] = ACTIONS(11882),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11882),
    [aux_sym_float_literal_token3] = ACTIONS(11882),
    [aux_sym_float_literal_token4] = ACTIONS(11882),
    [sym_character_literal] = ACTIONS(11882),
    [sym__pair_operator] = ACTIONS(11882),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11882),
    [sym__lazy_and_operator] = ACTIONS(11882),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11882),
    [sym__pipe_left_operator] = ACTIONS(11882),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11882),
    [sym__bitshift_operator] = ACTIONS(11882),
    [sym__power_operator] = ACTIONS(11882),
    [sym__tilde_operator] = ACTIONS(11882),
    [sym__type_order_operator] = ACTIONS(11882),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12008),
    [sym__immediate_command_start] = ACTIONS(12010),
  },
  [4514] = {
    [sym_do_clause] = STATE(5521),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11934),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11934),
    [anon_sym_RPAREN] = ACTIONS(11934),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11934),
    [anon_sym_RBRACK] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11934),
    [anon_sym_LBRACE] = ACTIONS(11934),
    [anon_sym_RBRACE] = ACTIONS(11934),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12126),
    [anon_sym_DOLLAR] = ACTIONS(11934),
    [anon_sym_COLON_COLON] = ACTIONS(11934),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11934),
    [anon_sym_QMARK] = ACTIONS(11934),
    [anon_sym_DASH_GT] = ACTIONS(11934),
    [anon_sym_AT] = ACTIONS(11934),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11934),
    [aux_sym_integer_literal_token2] = ACTIONS(11934),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11934),
    [aux_sym_float_literal_token3] = ACTIONS(11934),
    [aux_sym_float_literal_token4] = ACTIONS(11934),
    [sym_character_literal] = ACTIONS(11934),
    [sym__pair_operator] = ACTIONS(11934),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11934),
    [sym__lazy_and_operator] = ACTIONS(11934),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11934),
    [sym__pipe_left_operator] = ACTIONS(11934),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11934),
    [sym__bitshift_operator] = ACTIONS(11934),
    [sym__power_operator] = ACTIONS(11934),
    [sym__tilde_operator] = ACTIONS(11934),
    [sym__type_order_operator] = ACTIONS(11934),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4515] = {
    [sym_do_clause] = STATE(5197),
    [ts_builtin_sym_end] = ACTIONS(11916),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_RPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_RBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(11964),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4516] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12120),
    [sym__immediate_command_start] = ACTIONS(12122),
  },
  [4517] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12128),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4518] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_else] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_finally] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4519] = {
    [ts_builtin_sym_end] = ACTIONS(11984),
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_RPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_RBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__assignment_operator] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4520] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_elseif] = ACTIONS(12042),
    [anon_sym_else] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__assignment_operator] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [4521] = {
    [sym_do_clause] = STATE(5538),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11898),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11898),
    [anon_sym_RPAREN] = ACTIONS(11898),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11898),
    [anon_sym_RBRACK] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_SEMI] = ACTIONS(11898),
    [anon_sym_LBRACE] = ACTIONS(11898),
    [anon_sym_RBRACE] = ACTIONS(11898),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12126),
    [anon_sym_DOLLAR] = ACTIONS(11898),
    [anon_sym_COLON_COLON] = ACTIONS(11898),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11898),
    [anon_sym_QMARK] = ACTIONS(11898),
    [anon_sym_DASH_GT] = ACTIONS(11898),
    [anon_sym_AT] = ACTIONS(11898),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11898),
    [aux_sym_integer_literal_token2] = ACTIONS(11898),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11898),
    [aux_sym_float_literal_token3] = ACTIONS(11898),
    [aux_sym_float_literal_token4] = ACTIONS(11898),
    [sym_character_literal] = ACTIONS(11898),
    [sym__pair_operator] = ACTIONS(11898),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11898),
    [sym__lazy_and_operator] = ACTIONS(11898),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11898),
    [sym__pipe_left_operator] = ACTIONS(11898),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11898),
    [sym__bitshift_operator] = ACTIONS(11898),
    [sym__power_operator] = ACTIONS(11898),
    [sym__tilde_operator] = ACTIONS(11898),
    [sym__type_order_operator] = ACTIONS(11898),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4522] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_elseif] = ACTIONS(12024),
    [anon_sym_else] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__assignment_operator] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [4523] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_elseif] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4524] = {
    [ts_builtin_sym_end] = ACTIONS(12022),
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_RBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [4525] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_elseif] = ACTIONS(12048),
    [anon_sym_else] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__assignment_operator] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [4526] = {
    [sym_do_clause] = STATE(5549),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11894),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11894),
    [anon_sym_RPAREN] = ACTIONS(11894),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11894),
    [anon_sym_RBRACK] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11894),
    [anon_sym_RBRACE] = ACTIONS(11894),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12126),
    [anon_sym_DOLLAR] = ACTIONS(11894),
    [anon_sym_COLON_COLON] = ACTIONS(11894),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11894),
    [anon_sym_QMARK] = ACTIONS(11894),
    [anon_sym_DASH_GT] = ACTIONS(11894),
    [anon_sym_AT] = ACTIONS(11894),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11894),
    [aux_sym_integer_literal_token2] = ACTIONS(11894),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11894),
    [aux_sym_float_literal_token3] = ACTIONS(11894),
    [aux_sym_float_literal_token4] = ACTIONS(11894),
    [sym_character_literal] = ACTIONS(11894),
    [sym__pair_operator] = ACTIONS(11894),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11894),
    [sym__lazy_and_operator] = ACTIONS(11894),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11894),
    [sym__pipe_left_operator] = ACTIONS(11894),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11894),
    [sym__bitshift_operator] = ACTIONS(11894),
    [sym__power_operator] = ACTIONS(11894),
    [sym__tilde_operator] = ACTIONS(11894),
    [sym__type_order_operator] = ACTIONS(11894),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4527] = {
    [ts_builtin_sym_end] = ACTIONS(11886),
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_RBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12102),
    [sym__immediate_command_start] = ACTIONS(12104),
  },
  [4528] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11998),
    [sym__immediate_command_start] = ACTIONS(12000),
  },
  [4529] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_else] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_finally] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4530] = {
    [ts_builtin_sym_end] = ACTIONS(12052),
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_RPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_RBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4531] = {
    [sym_do_clause] = STATE(5610),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_else] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_finally] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12130),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4532] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11886),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11886),
    [anon_sym_RPAREN] = ACTIONS(11886),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11886),
    [anon_sym_RBRACK] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11886),
    [anon_sym_RBRACE] = ACTIONS(11886),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11886),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11886),
    [anon_sym_QMARK] = ACTIONS(11886),
    [anon_sym_AT] = ACTIONS(11886),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11886),
    [aux_sym_integer_literal_token2] = ACTIONS(11886),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11886),
    [aux_sym_float_literal_token3] = ACTIONS(11886),
    [aux_sym_float_literal_token4] = ACTIONS(11886),
    [sym_character_literal] = ACTIONS(11886),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11886),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11886),
    [sym__lazy_and_operator] = ACTIONS(11886),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11886),
    [sym__pipe_left_operator] = ACTIONS(11886),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11886),
    [sym__type_order_operator] = ACTIONS(11886),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(11994),
    [sym__immediate_command_start] = ACTIONS(11996),
  },
  [4533] = {
    [sym_do_clause] = STATE(5822),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12132),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4534] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12120),
    [sym__immediate_command_start] = ACTIONS(12122),
  },
  [4535] = {
    [sym_do_clause] = STATE(5612),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12130),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4536] = {
    [sym_do_clause] = STATE(5769),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_catch] = ACTIONS(11918),
    [anon_sym_finally] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12134),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__assignment_operator] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4537] = {
    [ts_builtin_sym_end] = ACTIONS(12012),
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_RPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_RBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4538] = {
    [ts_builtin_sym_end] = ACTIONS(12016),
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_RPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_RBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_DASH_GT] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4539] = {
    [ts_builtin_sym_end] = ACTIONS(12004),
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_RBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_DASH_GT] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4540] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(11910),
    [sym__immediate_command_start] = ACTIONS(11912),
  },
  [4541] = {
    [sym_do_clause] = STATE(5765),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12134),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4542] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_elseif] = ACTIONS(11974),
    [anon_sym_else] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4543] = {
    [sym_do_clause] = STATE(5811),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_finally] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12132),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__assignment_operator] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4544] = {
    [sym_do_clause] = STATE(5629),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_else] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_finally] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12130),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4545] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_elseif] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [4546] = {
    [sym_identifier] = STATE(4960),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_elseif] = ACTIONS(11988),
    [anon_sym_else] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__assignment_operator] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4547] = {
    [sym_identifier] = STATE(4961),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_elseif] = ACTIONS(11992),
    [anon_sym_else] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__assignment_operator] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4548] = {
    [ts_builtin_sym_end] = ACTIONS(12050),
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_RPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_RBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_DASH_GT] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [4549] = {
    [ts_builtin_sym_end] = ACTIONS(171),
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_RBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12102),
    [sym__immediate_command_start] = ACTIONS(12104),
  },
  [4550] = {
    [ts_builtin_sym_end] = ACTIONS(12046),
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_RPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_RBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [4551] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_elseif] = ACTIONS(12064),
    [anon_sym_else] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4552] = {
    [ts_builtin_sym_end] = ACTIONS(12044),
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_RPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_RBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_DASH_GT] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [4553] = {
    [sym_do_clause] = STATE(5640),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12130),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4554] = {
    [ts_builtin_sym_end] = ACTIONS(12040),
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_RPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_RBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_DASH_GT] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [4555] = {
    [ts_builtin_sym_end] = ACTIONS(12036),
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_RPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_RBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_DASH_GT] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4556] = {
    [ts_builtin_sym_end] = ACTIONS(12032),
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_RPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_RBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_DASH_GT] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4557] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11886),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11886),
    [anon_sym_RPAREN] = ACTIONS(11886),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11886),
    [anon_sym_RBRACK] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11886),
    [anon_sym_RBRACE] = ACTIONS(11886),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11886),
    [anon_sym_COLON_COLON] = ACTIONS(11886),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11886),
    [anon_sym_QMARK] = ACTIONS(11886),
    [anon_sym_DASH_GT] = ACTIONS(11886),
    [anon_sym_AT] = ACTIONS(11886),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11886),
    [aux_sym_integer_literal_token2] = ACTIONS(11886),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11886),
    [aux_sym_float_literal_token3] = ACTIONS(11886),
    [aux_sym_float_literal_token4] = ACTIONS(11886),
    [sym_character_literal] = ACTIONS(11886),
    [sym__pair_operator] = ACTIONS(11886),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11886),
    [sym__lazy_and_operator] = ACTIONS(11886),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11886),
    [sym__pipe_left_operator] = ACTIONS(11886),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11886),
    [sym__bitshift_operator] = ACTIONS(11886),
    [sym__power_operator] = ACTIONS(11886),
    [sym__tilde_operator] = ACTIONS(11886),
    [sym__type_order_operator] = ACTIONS(11886),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12008),
    [sym__immediate_command_start] = ACTIONS(12010),
  },
  [4558] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12070),
    [sym__immediate_command_start] = ACTIONS(12072),
  },
  [4559] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(11910),
    [sym__immediate_command_start] = ACTIONS(11912),
  },
  [4560] = {
    [sym_do_clause] = STATE(5604),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12134),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4561] = {
    [sym_do_clause] = STATE(5794),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12132),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4562] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(11948),
    [sym__immediate_command_start] = ACTIONS(11950),
  },
  [4563] = {
    [sym_do_clause] = STATE(5792),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_finally] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12132),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__assignment_operator] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4564] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(11948),
    [sym__immediate_command_start] = ACTIONS(11950),
  },
  [4565] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12070),
    [sym__immediate_command_start] = ACTIONS(12072),
  },
  [4566] = {
    [sym_do_clause] = STATE(5721),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_catch] = ACTIONS(11900),
    [anon_sym_finally] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12134),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__assignment_operator] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4567] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_elseif] = ACTIONS(12136),
    [anon_sym_else] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_DASH_GT] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [4568] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_else] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_finally] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__assignment_operator] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [4569] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11866),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11866),
    [anon_sym_RPAREN] = ACTIONS(11866),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11866),
    [anon_sym_RBRACK] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11866),
    [anon_sym_RBRACE] = ACTIONS(11866),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11866),
    [anon_sym_COLON_COLON] = ACTIONS(11866),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11866),
    [anon_sym_QMARK] = ACTIONS(11866),
    [anon_sym_AT] = ACTIONS(11866),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11866),
    [aux_sym_integer_literal_token2] = ACTIONS(11866),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11866),
    [aux_sym_float_literal_token3] = ACTIONS(11866),
    [aux_sym_float_literal_token4] = ACTIONS(11866),
    [sym_character_literal] = ACTIONS(11866),
    [sym__pair_operator] = ACTIONS(11866),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11866),
    [sym__lazy_and_operator] = ACTIONS(11866),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11866),
    [sym__pipe_left_operator] = ACTIONS(11866),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11866),
    [sym__bitshift_operator] = ACTIONS(11866),
    [sym__power_operator] = ACTIONS(11866),
    [sym__tilde_operator] = ACTIONS(11866),
    [sym__type_order_operator] = ACTIONS(11866),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4570] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12144),
    [sym__immediate_command_start] = ACTIONS(12146),
  },
  [4571] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_elseif] = ACTIONS(12064),
    [anon_sym_else] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4572] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_elseif] = ACTIONS(12148),
    [anon_sym_else] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__assignment_operator] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [4573] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_elseif] = ACTIONS(12152),
    [anon_sym_else] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__assignment_operator] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [4574] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_else] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__assignment_operator] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [4575] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_else] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_finally] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4576] = {
    [ts_builtin_sym_end] = ACTIONS(12160),
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_RPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_RBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__assignment_operator] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [4577] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_elseif] = ACTIONS(12164),
    [anon_sym_else] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_DASH_GT] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [4578] = {
    [sym_do_clause] = STATE(6252),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11898),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11898),
    [anon_sym_RPAREN] = ACTIONS(11898),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11898),
    [anon_sym_RBRACK] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_SEMI] = ACTIONS(11898),
    [anon_sym_LBRACE] = ACTIONS(11898),
    [anon_sym_RBRACE] = ACTIONS(11898),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12168),
    [anon_sym_DOLLAR] = ACTIONS(11898),
    [anon_sym_COLON_COLON] = ACTIONS(11898),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11898),
    [anon_sym_QMARK] = ACTIONS(11898),
    [anon_sym_AT] = ACTIONS(11898),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11898),
    [aux_sym_integer_literal_token2] = ACTIONS(11898),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11898),
    [aux_sym_float_literal_token3] = ACTIONS(11898),
    [aux_sym_float_literal_token4] = ACTIONS(11898),
    [sym_character_literal] = ACTIONS(11898),
    [sym__pair_operator] = ACTIONS(11898),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11898),
    [sym__lazy_and_operator] = ACTIONS(11898),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11898),
    [sym__pipe_left_operator] = ACTIONS(11898),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11898),
    [sym__bitshift_operator] = ACTIONS(11898),
    [sym__power_operator] = ACTIONS(11898),
    [sym__tilde_operator] = ACTIONS(11898),
    [sym__type_order_operator] = ACTIONS(11898),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4579] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_else] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__assignment_operator] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [4580] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(171),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(171),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_DASH_GT] = ACTIONS(12174),
    [anon_sym_AT] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(171),
    [aux_sym_float_literal_token3] = ACTIONS(171),
    [aux_sym_float_literal_token4] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(171),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(171),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(171),
    [sym__lazy_and_operator] = ACTIONS(171),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(171),
    [sym__pipe_left_operator] = ACTIONS(171),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(171),
    [sym__type_order_operator] = ACTIONS(171),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11994),
    [sym__immediate_command_start] = ACTIONS(11996),
  },
  [4581] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [4582] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_else] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__assignment_operator] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [4583] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12032),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12032),
    [anon_sym_RPAREN] = ACTIONS(12032),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12032),
    [anon_sym_RBRACK] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_SEMI] = ACTIONS(12032),
    [anon_sym_LBRACE] = ACTIONS(12032),
    [anon_sym_RBRACE] = ACTIONS(12032),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12032),
    [anon_sym_COLON_COLON] = ACTIONS(12032),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12032),
    [anon_sym_QMARK] = ACTIONS(12032),
    [anon_sym_DASH_GT] = ACTIONS(12032),
    [anon_sym_AT] = ACTIONS(12032),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12032),
    [aux_sym_integer_literal_token2] = ACTIONS(12032),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12032),
    [aux_sym_float_literal_token3] = ACTIONS(12032),
    [aux_sym_float_literal_token4] = ACTIONS(12032),
    [sym_character_literal] = ACTIONS(12032),
    [sym__pair_operator] = ACTIONS(12032),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12032),
    [sym__lazy_and_operator] = ACTIONS(12032),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12032),
    [sym__pipe_left_operator] = ACTIONS(12032),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12032),
    [sym__bitshift_operator] = ACTIONS(12032),
    [sym__power_operator] = ACTIONS(12032),
    [sym__tilde_operator] = ACTIONS(12032),
    [sym__type_order_operator] = ACTIONS(12032),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4584] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [4585] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_else] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__assignment_operator] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [4586] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_else] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__assignment_operator] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [4587] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_else] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__assignment_operator] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [4588] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12036),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12036),
    [anon_sym_RPAREN] = ACTIONS(12036),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12036),
    [anon_sym_RBRACK] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_SEMI] = ACTIONS(12036),
    [anon_sym_LBRACE] = ACTIONS(12036),
    [anon_sym_RBRACE] = ACTIONS(12036),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12036),
    [anon_sym_COLON_COLON] = ACTIONS(12036),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12036),
    [anon_sym_QMARK] = ACTIONS(12036),
    [anon_sym_DASH_GT] = ACTIONS(12036),
    [anon_sym_AT] = ACTIONS(12036),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12036),
    [aux_sym_integer_literal_token2] = ACTIONS(12036),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12036),
    [aux_sym_float_literal_token3] = ACTIONS(12036),
    [aux_sym_float_literal_token4] = ACTIONS(12036),
    [sym_character_literal] = ACTIONS(12036),
    [sym__pair_operator] = ACTIONS(12036),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12036),
    [sym__lazy_and_operator] = ACTIONS(12036),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12036),
    [sym__pipe_left_operator] = ACTIONS(12036),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12036),
    [sym__bitshift_operator] = ACTIONS(12036),
    [sym__power_operator] = ACTIONS(12036),
    [sym__tilde_operator] = ACTIONS(12036),
    [sym__type_order_operator] = ACTIONS(12036),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4589] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12040),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12040),
    [anon_sym_RPAREN] = ACTIONS(12040),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12040),
    [anon_sym_RBRACK] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_SEMI] = ACTIONS(12040),
    [anon_sym_LBRACE] = ACTIONS(12040),
    [anon_sym_RBRACE] = ACTIONS(12040),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12040),
    [anon_sym_COLON_COLON] = ACTIONS(12040),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12040),
    [anon_sym_QMARK] = ACTIONS(12040),
    [anon_sym_DASH_GT] = ACTIONS(12040),
    [anon_sym_AT] = ACTIONS(12040),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12040),
    [aux_sym_integer_literal_token2] = ACTIONS(12040),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12040),
    [aux_sym_float_literal_token3] = ACTIONS(12040),
    [aux_sym_float_literal_token4] = ACTIONS(12040),
    [sym_character_literal] = ACTIONS(12040),
    [sym__pair_operator] = ACTIONS(12040),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12040),
    [sym__lazy_and_operator] = ACTIONS(12040),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12040),
    [sym__pipe_left_operator] = ACTIONS(12040),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12040),
    [sym__bitshift_operator] = ACTIONS(12040),
    [sym__power_operator] = ACTIONS(12040),
    [sym__tilde_operator] = ACTIONS(12040),
    [sym__type_order_operator] = ACTIONS(12040),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [4590] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_else] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__assignment_operator] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [4591] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_else] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__assignment_operator] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [4592] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_elseif] = ACTIONS(11974),
    [anon_sym_else] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4593] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11928),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11928),
    [anon_sym_RPAREN] = ACTIONS(11928),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11928),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11928),
    [anon_sym_RBRACE] = ACTIONS(11928),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11928),
    [anon_sym_COLON_COLON] = ACTIONS(11928),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11928),
    [anon_sym_QMARK] = ACTIONS(11928),
    [anon_sym_AT] = ACTIONS(11928),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11928),
    [aux_sym_integer_literal_token2] = ACTIONS(11928),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11928),
    [aux_sym_float_literal_token3] = ACTIONS(11928),
    [aux_sym_float_literal_token4] = ACTIONS(11928),
    [sym_character_literal] = ACTIONS(11928),
    [sym__pair_operator] = ACTIONS(11928),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11928),
    [sym__lazy_and_operator] = ACTIONS(11928),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11928),
    [sym__pipe_left_operator] = ACTIONS(11928),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11928),
    [sym__bitshift_operator] = ACTIONS(11928),
    [sym__power_operator] = ACTIONS(11928),
    [sym__tilde_operator] = ACTIONS(11928),
    [sym__type_order_operator] = ACTIONS(11928),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12200),
    [sym__immediate_command_start] = ACTIONS(12202),
  },
  [4594] = {
    [sym_do_clause] = STATE(6020),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12204),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4595] = {
    [sym_do_clause] = STATE(6257),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11894),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11894),
    [anon_sym_RPAREN] = ACTIONS(11894),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11894),
    [anon_sym_RBRACK] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11894),
    [anon_sym_RBRACE] = ACTIONS(11894),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12168),
    [anon_sym_DOLLAR] = ACTIONS(11894),
    [anon_sym_COLON_COLON] = ACTIONS(11894),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11894),
    [anon_sym_QMARK] = ACTIONS(11894),
    [anon_sym_AT] = ACTIONS(11894),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11894),
    [aux_sym_integer_literal_token2] = ACTIONS(11894),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11894),
    [aux_sym_float_literal_token3] = ACTIONS(11894),
    [aux_sym_float_literal_token4] = ACTIONS(11894),
    [sym_character_literal] = ACTIONS(11894),
    [sym__pair_operator] = ACTIONS(11894),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11894),
    [sym__lazy_and_operator] = ACTIONS(11894),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11894),
    [sym__pipe_left_operator] = ACTIONS(11894),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11894),
    [sym__bitshift_operator] = ACTIONS(11894),
    [sym__power_operator] = ACTIONS(11894),
    [sym__tilde_operator] = ACTIONS(11894),
    [sym__type_order_operator] = ACTIONS(11894),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4596] = {
    [ts_builtin_sym_end] = ACTIONS(12206),
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_RPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_RBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__assignment_operator] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [4597] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_elseif] = ACTIONS(12210),
    [anon_sym_else] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_DASH_GT] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [4598] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_else] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_finally] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_DASH_GT] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [4599] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_else] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__assignment_operator] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [4600] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_else] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__assignment_operator] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [4601] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_else] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__assignment_operator] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [4602] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12044),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12044),
    [anon_sym_RPAREN] = ACTIONS(12044),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12044),
    [anon_sym_RBRACK] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_SEMI] = ACTIONS(12044),
    [anon_sym_LBRACE] = ACTIONS(12044),
    [anon_sym_RBRACE] = ACTIONS(12044),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12044),
    [anon_sym_COLON_COLON] = ACTIONS(12044),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12044),
    [anon_sym_QMARK] = ACTIONS(12044),
    [anon_sym_DASH_GT] = ACTIONS(12044),
    [anon_sym_AT] = ACTIONS(12044),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12044),
    [aux_sym_integer_literal_token2] = ACTIONS(12044),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12044),
    [aux_sym_float_literal_token3] = ACTIONS(12044),
    [aux_sym_float_literal_token4] = ACTIONS(12044),
    [sym_character_literal] = ACTIONS(12044),
    [sym__pair_operator] = ACTIONS(12044),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12044),
    [sym__lazy_and_operator] = ACTIONS(12044),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12044),
    [sym__pipe_left_operator] = ACTIONS(12044),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12044),
    [sym__bitshift_operator] = ACTIONS(12044),
    [sym__power_operator] = ACTIONS(12044),
    [sym__tilde_operator] = ACTIONS(12044),
    [sym__type_order_operator] = ACTIONS(12044),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [4603] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_RBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(12222),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11854),
    [sym__immediate_command_start] = ACTIONS(11856),
  },
  [4604] = {
    [ts_builtin_sym_end] = ACTIONS(12216),
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_RPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_RBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__assignment_operator] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [4605] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12224),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4606] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_else] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__assignment_operator] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [4607] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [4608] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12046),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12046),
    [anon_sym_RPAREN] = ACTIONS(12046),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12046),
    [anon_sym_RBRACK] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_SEMI] = ACTIONS(12046),
    [anon_sym_LBRACE] = ACTIONS(12046),
    [anon_sym_RBRACE] = ACTIONS(12046),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12046),
    [anon_sym_COLON_COLON] = ACTIONS(12046),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12046),
    [anon_sym_QMARK] = ACTIONS(12046),
    [anon_sym_DASH_GT] = ACTIONS(12046),
    [anon_sym_AT] = ACTIONS(12046),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12046),
    [aux_sym_integer_literal_token2] = ACTIONS(12046),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12046),
    [aux_sym_float_literal_token3] = ACTIONS(12046),
    [aux_sym_float_literal_token4] = ACTIONS(12046),
    [sym_character_literal] = ACTIONS(12046),
    [sym__pair_operator] = ACTIONS(12046),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12046),
    [sym__lazy_and_operator] = ACTIONS(12046),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12046),
    [sym__pipe_left_operator] = ACTIONS(12046),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12046),
    [sym__bitshift_operator] = ACTIONS(12046),
    [sym__power_operator] = ACTIONS(12046),
    [sym__tilde_operator] = ACTIONS(12046),
    [sym__type_order_operator] = ACTIONS(12046),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [4609] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12050),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12050),
    [anon_sym_RPAREN] = ACTIONS(12050),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12050),
    [anon_sym_RBRACK] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_SEMI] = ACTIONS(12050),
    [anon_sym_LBRACE] = ACTIONS(12050),
    [anon_sym_RBRACE] = ACTIONS(12050),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12050),
    [anon_sym_COLON_COLON] = ACTIONS(12050),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12050),
    [anon_sym_QMARK] = ACTIONS(12050),
    [anon_sym_DASH_GT] = ACTIONS(12050),
    [anon_sym_AT] = ACTIONS(12050),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12050),
    [aux_sym_integer_literal_token2] = ACTIONS(12050),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12050),
    [aux_sym_float_literal_token3] = ACTIONS(12050),
    [aux_sym_float_literal_token4] = ACTIONS(12050),
    [sym_character_literal] = ACTIONS(12050),
    [sym__pair_operator] = ACTIONS(12050),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12050),
    [sym__lazy_and_operator] = ACTIONS(12050),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12050),
    [sym__pipe_left_operator] = ACTIONS(12050),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12050),
    [sym__bitshift_operator] = ACTIONS(12050),
    [sym__power_operator] = ACTIONS(12050),
    [sym__tilde_operator] = ACTIONS(12050),
    [sym__type_order_operator] = ACTIONS(12050),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [4610] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_else] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__assignment_operator] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [4611] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_else] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__assignment_operator] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [4612] = {
    [ts_builtin_sym_end] = ACTIONS(12052),
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_RPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_RBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4613] = {
    [sym_do_clause] = STATE(6024),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_catch] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12204),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4614] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_elseif] = ACTIONS(12238),
    [anon_sym_else] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_DASH_GT] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [4615] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_elseif] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [4616] = {
    [ts_builtin_sym_end] = ACTIONS(12154),
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_RPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_RBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_DASH_GT] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [4617] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_elseif] = ACTIONS(12242),
    [anon_sym_else] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__assignment_operator] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [4618] = {
    [ts_builtin_sym_end] = ACTIONS(12220),
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_RPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_RBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__assignment_operator] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [4619] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_elseif] = ACTIONS(12246),
    [anon_sym_else] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__assignment_operator] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [4620] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_elseif] = ACTIONS(12250),
    [anon_sym_else] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_DASH_GT] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [4621] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_else] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__assignment_operator] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [4622] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_else] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__assignment_operator] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [4623] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_elseif] = ACTIONS(12210),
    [anon_sym_else] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__assignment_operator] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [4624] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_else] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__assignment_operator] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [4625] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [4626] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12004),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12004),
    [anon_sym_RPAREN] = ACTIONS(12004),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12004),
    [anon_sym_RBRACK] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_SEMI] = ACTIONS(12004),
    [anon_sym_LBRACE] = ACTIONS(12004),
    [anon_sym_RBRACE] = ACTIONS(12004),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12004),
    [anon_sym_COLON_COLON] = ACTIONS(12004),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12004),
    [anon_sym_QMARK] = ACTIONS(12004),
    [anon_sym_DASH_GT] = ACTIONS(12004),
    [anon_sym_AT] = ACTIONS(12004),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12004),
    [aux_sym_integer_literal_token2] = ACTIONS(12004),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12004),
    [aux_sym_float_literal_token3] = ACTIONS(12004),
    [aux_sym_float_literal_token4] = ACTIONS(12004),
    [sym_character_literal] = ACTIONS(12004),
    [sym__pair_operator] = ACTIONS(12004),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12004),
    [sym__lazy_and_operator] = ACTIONS(12004),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12004),
    [sym__pipe_left_operator] = ACTIONS(12004),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12004),
    [sym__bitshift_operator] = ACTIONS(12004),
    [sym__power_operator] = ACTIONS(12004),
    [sym__tilde_operator] = ACTIONS(12004),
    [sym__type_order_operator] = ACTIONS(12004),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4627] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [4628] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_elseif] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [4629] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12016),
    [anon_sym_RPAREN] = ACTIONS(12016),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12016),
    [anon_sym_RBRACK] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_SEMI] = ACTIONS(12016),
    [anon_sym_LBRACE] = ACTIONS(12016),
    [anon_sym_RBRACE] = ACTIONS(12016),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12016),
    [anon_sym_COLON_COLON] = ACTIONS(12016),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12016),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_DASH_GT] = ACTIONS(12016),
    [anon_sym_AT] = ACTIONS(12016),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12016),
    [aux_sym_integer_literal_token2] = ACTIONS(12016),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12016),
    [aux_sym_float_literal_token3] = ACTIONS(12016),
    [aux_sym_float_literal_token4] = ACTIONS(12016),
    [sym_character_literal] = ACTIONS(12016),
    [sym__pair_operator] = ACTIONS(12016),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12016),
    [sym__lazy_and_operator] = ACTIONS(12016),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12016),
    [sym__pipe_left_operator] = ACTIONS(12016),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12016),
    [sym__bitshift_operator] = ACTIONS(12016),
    [sym__power_operator] = ACTIONS(12016),
    [sym__tilde_operator] = ACTIONS(12016),
    [sym__type_order_operator] = ACTIONS(12016),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4630] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12266),
    [anon_sym_DOT] = ACTIONS(12268),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12270),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12272),
    [sym__immediate_bracket] = ACTIONS(12274),
    [sym__immediate_brace] = ACTIONS(12276),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [4631] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [4632] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12012),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12012),
    [anon_sym_RPAREN] = ACTIONS(12012),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12012),
    [anon_sym_RBRACK] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_SEMI] = ACTIONS(12012),
    [anon_sym_LBRACE] = ACTIONS(12012),
    [anon_sym_RBRACE] = ACTIONS(12012),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12012),
    [anon_sym_COLON_COLON] = ACTIONS(12012),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12012),
    [anon_sym_QMARK] = ACTIONS(12012),
    [anon_sym_DASH_GT] = ACTIONS(12012),
    [anon_sym_AT] = ACTIONS(12012),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12012),
    [aux_sym_integer_literal_token2] = ACTIONS(12012),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12012),
    [aux_sym_float_literal_token3] = ACTIONS(12012),
    [aux_sym_float_literal_token4] = ACTIONS(12012),
    [sym_character_literal] = ACTIONS(12012),
    [sym__pair_operator] = ACTIONS(12012),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12012),
    [sym__lazy_and_operator] = ACTIONS(12012),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12012),
    [sym__pipe_left_operator] = ACTIONS(12012),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12012),
    [sym__bitshift_operator] = ACTIONS(12012),
    [sym__power_operator] = ACTIONS(12012),
    [sym__tilde_operator] = ACTIONS(12012),
    [sym__type_order_operator] = ACTIONS(12012),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4633] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_else] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_DASH_GT] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [4634] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12278),
    [sym__immediate_command_start] = ACTIONS(12280),
  },
  [4635] = {
    [sym_do_clause] = STATE(6025),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12204),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4636] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12278),
    [sym__immediate_command_start] = ACTIONS(12280),
  },
  [4637] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12282),
    [sym__immediate_command_start] = ACTIONS(12284),
  },
  [4638] = {
    [ts_builtin_sym_end] = ACTIONS(12228),
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_RPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_RBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__assignment_operator] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [4639] = {
    [sym_do_clause] = STATE(6287),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_RPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_SEMI] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12286),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_DASH_GT] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4640] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_catch] = ACTIONS(11976),
    [anon_sym_finally] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4641] = {
    [sym_do_clause] = STATE(6026),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_catch] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12204),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4642] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_elseif] = ACTIONS(12156),
    [anon_sym_else] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_DASH_GT] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [4643] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_else] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__assignment_operator] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [4644] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12292),
    [sym__immediate_command_start] = ACTIONS(12294),
  },
  [4645] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_else] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__assignment_operator] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [4646] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(12052),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(12052),
    [anon_sym_RPAREN] = ACTIONS(12052),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(12052),
    [anon_sym_RBRACK] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_SEMI] = ACTIONS(12052),
    [anon_sym_LBRACE] = ACTIONS(12052),
    [anon_sym_RBRACE] = ACTIONS(12052),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(12052),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12052),
    [anon_sym_QMARK] = ACTIONS(12052),
    [anon_sym_AT] = ACTIONS(12052),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(12052),
    [aux_sym_integer_literal_token2] = ACTIONS(12052),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(12052),
    [aux_sym_float_literal_token3] = ACTIONS(12052),
    [aux_sym_float_literal_token4] = ACTIONS(12052),
    [sym_character_literal] = ACTIONS(12052),
    [sym__assignment_operator] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(12052),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(12052),
    [sym__lazy_and_operator] = ACTIONS(12052),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(12052),
    [sym__pipe_left_operator] = ACTIONS(12052),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(12052),
    [sym__type_order_operator] = ACTIONS(12052),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4647] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [4648] = {
    [sym_do_clause] = STATE(6300),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12286),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4649] = {
    [ts_builtin_sym_end] = ACTIONS(12212),
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_RPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_RBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_DASH_GT] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [4650] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(12052),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(12052),
    [anon_sym_RPAREN] = ACTIONS(12052),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(12052),
    [anon_sym_RBRACK] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_SEMI] = ACTIONS(12052),
    [anon_sym_LBRACE] = ACTIONS(12052),
    [anon_sym_RBRACE] = ACTIONS(12052),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(12052),
    [anon_sym_COLON_COLON] = ACTIONS(12052),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12052),
    [anon_sym_QMARK] = ACTIONS(12052),
    [anon_sym_DASH_GT] = ACTIONS(12052),
    [anon_sym_AT] = ACTIONS(12052),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(12052),
    [aux_sym_integer_literal_token2] = ACTIONS(12052),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(12052),
    [aux_sym_float_literal_token3] = ACTIONS(12052),
    [aux_sym_float_literal_token4] = ACTIONS(12052),
    [sym_character_literal] = ACTIONS(12052),
    [sym__pair_operator] = ACTIONS(12052),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(12052),
    [sym__lazy_and_operator] = ACTIONS(12052),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(12052),
    [sym__pipe_left_operator] = ACTIONS(12052),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(12052),
    [sym__bitshift_operator] = ACTIONS(12052),
    [sym__power_operator] = ACTIONS(12052),
    [sym__tilde_operator] = ACTIONS(12052),
    [sym__type_order_operator] = ACTIONS(12052),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4651] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_else] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__assignment_operator] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [4652] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_else] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__assignment_operator] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [4653] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12304),
    [anon_sym_DOT] = ACTIONS(12306),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12308),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__immediate_bracket] = ACTIONS(12312),
    [sym__immediate_brace] = ACTIONS(12314),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [4654] = {
    [ts_builtin_sym_end] = ACTIONS(12150),
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_RPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_RBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__assignment_operator] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [4655] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_elseif] = ACTIONS(12208),
    [anon_sym_else] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__assignment_operator] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [4656] = {
    [ts_builtin_sym_end] = ACTIONS(12316),
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_RPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_RBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__assignment_operator] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [4657] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_elseif] = ACTIONS(12238),
    [anon_sym_else] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__assignment_operator] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [4658] = {
    [ts_builtin_sym_end] = ACTIONS(12302),
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_RPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_RBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__assignment_operator] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [4659] = {
    [ts_builtin_sym_end] = ACTIONS(11894),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_RBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4660] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12292),
    [sym__immediate_command_start] = ACTIONS(12294),
  },
  [4661] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_elseif] = ACTIONS(12170),
    [anon_sym_else] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_DASH_GT] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [4662] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_elseif] = ACTIONS(12318),
    [anon_sym_else] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_DASH_GT] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [4663] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_else] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__assignment_operator] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [4664] = {
    [ts_builtin_sym_end] = ACTIONS(12198),
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_RPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_RBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__assignment_operator] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [4665] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_else] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_finally] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4666] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_else] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__assignment_operator] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [4667] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_else] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__assignment_operator] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [4668] = {
    [ts_builtin_sym_end] = ACTIONS(12320),
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_RPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_RBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__assignment_operator] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [4669] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4670] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12012),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12012),
    [anon_sym_RPAREN] = ACTIONS(12012),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12012),
    [anon_sym_RBRACK] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_SEMI] = ACTIONS(12012),
    [anon_sym_LBRACE] = ACTIONS(12012),
    [anon_sym_RBRACE] = ACTIONS(12012),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12012),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12012),
    [anon_sym_QMARK] = ACTIONS(12012),
    [anon_sym_AT] = ACTIONS(12012),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12012),
    [aux_sym_integer_literal_token2] = ACTIONS(12012),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12012),
    [aux_sym_float_literal_token3] = ACTIONS(12012),
    [aux_sym_float_literal_token4] = ACTIONS(12012),
    [sym_character_literal] = ACTIONS(12012),
    [sym__assignment_operator] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12012),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12012),
    [sym__lazy_and_operator] = ACTIONS(12012),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12012),
    [sym__pipe_left_operator] = ACTIONS(12012),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12012),
    [sym__type_order_operator] = ACTIONS(12012),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4671] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12016),
    [anon_sym_RPAREN] = ACTIONS(12016),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12016),
    [anon_sym_RBRACK] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_SEMI] = ACTIONS(12016),
    [anon_sym_LBRACE] = ACTIONS(12016),
    [anon_sym_RBRACE] = ACTIONS(12016),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12016),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12016),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_AT] = ACTIONS(12016),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12016),
    [aux_sym_integer_literal_token2] = ACTIONS(12016),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12016),
    [aux_sym_float_literal_token3] = ACTIONS(12016),
    [aux_sym_float_literal_token4] = ACTIONS(12016),
    [sym_character_literal] = ACTIONS(12016),
    [sym__assignment_operator] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12016),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12016),
    [sym__lazy_and_operator] = ACTIONS(12016),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12016),
    [sym__pipe_left_operator] = ACTIONS(12016),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12016),
    [sym__type_order_operator] = ACTIONS(12016),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4672] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [4673] = {
    [ts_builtin_sym_end] = ACTIONS(12324),
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_RBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DASH_GT] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [4674] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12004),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12004),
    [anon_sym_RPAREN] = ACTIONS(12004),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12004),
    [anon_sym_RBRACK] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_SEMI] = ACTIONS(12004),
    [anon_sym_LBRACE] = ACTIONS(12004),
    [anon_sym_RBRACE] = ACTIONS(12004),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12004),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12004),
    [anon_sym_QMARK] = ACTIONS(12004),
    [anon_sym_AT] = ACTIONS(12004),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12004),
    [aux_sym_integer_literal_token2] = ACTIONS(12004),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12004),
    [aux_sym_float_literal_token3] = ACTIONS(12004),
    [aux_sym_float_literal_token4] = ACTIONS(12004),
    [sym_character_literal] = ACTIONS(12004),
    [sym__assignment_operator] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12004),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12004),
    [sym__lazy_and_operator] = ACTIONS(12004),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12004),
    [sym__pipe_left_operator] = ACTIONS(12004),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12004),
    [sym__type_order_operator] = ACTIONS(12004),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4675] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_else] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_finally] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_DASH_GT] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [4676] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12332),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4677] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_else] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_finally] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_DASH_GT] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [4678] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [4679] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_elseif] = ACTIONS(12176),
    [anon_sym_else] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_DASH_GT] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [4680] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12334),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4681] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_elseif] = ACTIONS(12180),
    [anon_sym_else] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_DASH_GT] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [4682] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_elseif] = ACTIONS(12184),
    [anon_sym_else] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_DASH_GT] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [4683] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_catch] = ACTIONS(12064),
    [anon_sym_finally] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__assignment_operator] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4684] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_elseif] = ACTIONS(12188),
    [anon_sym_else] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_DASH_GT] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [4685] = {
    [sym_do_clause] = STATE(6228),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11934),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11934),
    [anon_sym_RPAREN] = ACTIONS(11934),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11934),
    [anon_sym_RBRACK] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11934),
    [anon_sym_LBRACE] = ACTIONS(11934),
    [anon_sym_RBRACE] = ACTIONS(11934),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12168),
    [anon_sym_DOLLAR] = ACTIONS(11934),
    [anon_sym_COLON_COLON] = ACTIONS(11934),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11934),
    [anon_sym_QMARK] = ACTIONS(11934),
    [anon_sym_AT] = ACTIONS(11934),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11934),
    [aux_sym_integer_literal_token2] = ACTIONS(11934),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11934),
    [aux_sym_float_literal_token3] = ACTIONS(11934),
    [aux_sym_float_literal_token4] = ACTIONS(11934),
    [sym_character_literal] = ACTIONS(11934),
    [sym__pair_operator] = ACTIONS(11934),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11934),
    [sym__lazy_and_operator] = ACTIONS(11934),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11934),
    [sym__pipe_left_operator] = ACTIONS(11934),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11934),
    [sym__bitshift_operator] = ACTIONS(11934),
    [sym__power_operator] = ACTIONS(11934),
    [sym__tilde_operator] = ACTIONS(11934),
    [sym__type_order_operator] = ACTIONS(11934),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4686] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_elseif] = ACTIONS(12328),
    [anon_sym_else] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_DASH_GT] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [4687] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_elseif] = ACTIONS(12322),
    [anon_sym_else] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_DASH_GT] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [4688] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_elseif] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [4689] = {
    [sym_do_clause] = STATE(6435),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12336),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__assignment_operator] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4690] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [4691] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_elseif] = ACTIONS(12192),
    [anon_sym_else] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_DASH_GT] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [4692] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_elseif] = ACTIONS(12196),
    [anon_sym_else] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_DASH_GT] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [4693] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_elseif] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4694] = {
    [sym_do_clause] = STATE(6349),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_RPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_SEMI] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12286),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_DASH_GT] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [4695] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_else] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_finally] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4696] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_else] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_finally] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4697] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12076),
    [sym__immediate_command_start] = ACTIONS(12078),
  },
  [4698] = {
    [ts_builtin_sym_end] = ACTIONS(12252),
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_RPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_RBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_DASH_GT] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [4699] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_elseif] = ACTIONS(12208),
    [anon_sym_else] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_DASH_GT] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [4700] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_elseif] = ACTIONS(12214),
    [anon_sym_else] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_DASH_GT] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [4701] = {
    [sym_do_clause] = STATE(6429),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12336),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4702] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_elseif] = ACTIONS(12218),
    [anon_sym_else] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_DASH_GT] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [4703] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11882),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11882),
    [anon_sym_RPAREN] = ACTIONS(11882),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11882),
    [anon_sym_RBRACK] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11882),
    [anon_sym_LBRACE] = ACTIONS(11882),
    [anon_sym_RBRACE] = ACTIONS(11882),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11882),
    [anon_sym_COLON_COLON] = ACTIONS(11882),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11882),
    [anon_sym_QMARK] = ACTIONS(11882),
    [anon_sym_AT] = ACTIONS(11882),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11882),
    [aux_sym_integer_literal_token2] = ACTIONS(11882),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11882),
    [aux_sym_float_literal_token3] = ACTIONS(11882),
    [aux_sym_float_literal_token4] = ACTIONS(11882),
    [sym_character_literal] = ACTIONS(11882),
    [sym__pair_operator] = ACTIONS(11882),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11882),
    [sym__lazy_and_operator] = ACTIONS(11882),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11882),
    [sym__pipe_left_operator] = ACTIONS(11882),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11882),
    [sym__bitshift_operator] = ACTIONS(11882),
    [sym__power_operator] = ACTIONS(11882),
    [sym__tilde_operator] = ACTIONS(11882),
    [sym__type_order_operator] = ACTIONS(11882),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12200),
    [sym__immediate_command_start] = ACTIONS(12202),
  },
  [4704] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_elseif] = ACTIONS(12226),
    [anon_sym_else] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_DASH_GT] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [4705] = {
    [ts_builtin_sym_end] = ACTIONS(12194),
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_RPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_RBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__assignment_operator] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [4706] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_elseif] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [4707] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12050),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12050),
    [anon_sym_RPAREN] = ACTIONS(12050),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12050),
    [anon_sym_RBRACK] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_SEMI] = ACTIONS(12050),
    [anon_sym_LBRACE] = ACTIONS(12050),
    [anon_sym_RBRACE] = ACTIONS(12050),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12050),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12050),
    [anon_sym_QMARK] = ACTIONS(12050),
    [anon_sym_AT] = ACTIONS(12050),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12050),
    [aux_sym_integer_literal_token2] = ACTIONS(12050),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12050),
    [aux_sym_float_literal_token3] = ACTIONS(12050),
    [aux_sym_float_literal_token4] = ACTIONS(12050),
    [sym_character_literal] = ACTIONS(12050),
    [sym__assignment_operator] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12050),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12050),
    [sym__lazy_and_operator] = ACTIONS(12050),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12050),
    [sym__pipe_left_operator] = ACTIONS(12050),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12050),
    [sym__type_order_operator] = ACTIONS(12050),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [4708] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [4709] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12046),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12046),
    [anon_sym_RPAREN] = ACTIONS(12046),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12046),
    [anon_sym_RBRACK] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_SEMI] = ACTIONS(12046),
    [anon_sym_LBRACE] = ACTIONS(12046),
    [anon_sym_RBRACE] = ACTIONS(12046),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12046),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12046),
    [anon_sym_QMARK] = ACTIONS(12046),
    [anon_sym_AT] = ACTIONS(12046),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12046),
    [aux_sym_integer_literal_token2] = ACTIONS(12046),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12046),
    [aux_sym_float_literal_token3] = ACTIONS(12046),
    [aux_sym_float_literal_token4] = ACTIONS(12046),
    [sym_character_literal] = ACTIONS(12046),
    [sym__assignment_operator] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12046),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12046),
    [sym__lazy_and_operator] = ACTIONS(12046),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12046),
    [sym__pipe_left_operator] = ACTIONS(12046),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12046),
    [sym__type_order_operator] = ACTIONS(12046),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [4710] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_finally] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4711] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_else] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_finally] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__assignment_operator] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [4712] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_else] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_DASH_GT] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [4713] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_elseif] = ACTIONS(12338),
    [anon_sym_else] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_DASH_GT] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [4714] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_finally] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4715] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_else] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__assignment_operator] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [4716] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12044),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12044),
    [anon_sym_RPAREN] = ACTIONS(12044),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12044),
    [anon_sym_RBRACK] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_SEMI] = ACTIONS(12044),
    [anon_sym_LBRACE] = ACTIONS(12044),
    [anon_sym_RBRACE] = ACTIONS(12044),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12044),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12044),
    [anon_sym_QMARK] = ACTIONS(12044),
    [anon_sym_AT] = ACTIONS(12044),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12044),
    [aux_sym_integer_literal_token2] = ACTIONS(12044),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12044),
    [aux_sym_float_literal_token3] = ACTIONS(12044),
    [aux_sym_float_literal_token4] = ACTIONS(12044),
    [sym_character_literal] = ACTIONS(12044),
    [sym__assignment_operator] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12044),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12044),
    [sym__lazy_and_operator] = ACTIONS(12044),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12044),
    [sym__pipe_left_operator] = ACTIONS(12044),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12044),
    [sym__type_order_operator] = ACTIONS(12044),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [4717] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [4718] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_elseif] = ACTIONS(12342),
    [anon_sym_else] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_DASH_GT] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [4719] = {
    [ts_builtin_sym_end] = ACTIONS(12346),
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_RPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_RBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_DASH_GT] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [4720] = {
    [sym_identifier] = STATE(5893),
    [ts_builtin_sym_end] = ACTIONS(11968),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_RPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_RBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4721] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_elseif] = ACTIONS(12230),
    [anon_sym_else] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_DASH_GT] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [4722] = {
    [sym_identifier] = STATE(5897),
    [ts_builtin_sym_end] = ACTIONS(11980),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_RPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_RBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4723] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_catch] = ACTIONS(11974),
    [anon_sym_finally] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__assignment_operator] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4724] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_elseif] = ACTIONS(12234),
    [anon_sym_else] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_DASH_GT] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [4725] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_finally] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__assignment_operator] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4726] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_else] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_finally] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4727] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_elseif] = ACTIONS(12254),
    [anon_sym_else] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_DASH_GT] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [4728] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_elseif] = ACTIONS(12258),
    [anon_sym_else] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_DASH_GT] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [4729] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_elseif] = ACTIONS(12196),
    [anon_sym_else] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__assignment_operator] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [4730] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_elseif] = ACTIONS(12148),
    [anon_sym_else] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_DASH_GT] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [4731] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_elseif] = ACTIONS(12262),
    [anon_sym_else] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_DASH_GT] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [4732] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_elseif] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4733] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4734] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_elseif] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [4735] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12040),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12040),
    [anon_sym_RPAREN] = ACTIONS(12040),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12040),
    [anon_sym_RBRACK] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_SEMI] = ACTIONS(12040),
    [anon_sym_LBRACE] = ACTIONS(12040),
    [anon_sym_RBRACE] = ACTIONS(12040),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12040),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12040),
    [anon_sym_QMARK] = ACTIONS(12040),
    [anon_sym_AT] = ACTIONS(12040),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12040),
    [aux_sym_integer_literal_token2] = ACTIONS(12040),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12040),
    [aux_sym_float_literal_token3] = ACTIONS(12040),
    [aux_sym_float_literal_token4] = ACTIONS(12040),
    [sym_character_literal] = ACTIONS(12040),
    [sym__assignment_operator] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12040),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12040),
    [sym__lazy_and_operator] = ACTIONS(12040),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12040),
    [sym__pipe_left_operator] = ACTIONS(12040),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12040),
    [sym__type_order_operator] = ACTIONS(12040),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [4736] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_elseif] = ACTIONS(12218),
    [anon_sym_else] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__assignment_operator] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [4737] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_else] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_DASH_GT] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [4738] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12036),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12036),
    [anon_sym_RPAREN] = ACTIONS(12036),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12036),
    [anon_sym_RBRACK] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_SEMI] = ACTIONS(12036),
    [anon_sym_LBRACE] = ACTIONS(12036),
    [anon_sym_RBRACE] = ACTIONS(12036),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12036),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12036),
    [anon_sym_QMARK] = ACTIONS(12036),
    [anon_sym_AT] = ACTIONS(12036),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12036),
    [aux_sym_integer_literal_token2] = ACTIONS(12036),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12036),
    [aux_sym_float_literal_token3] = ACTIONS(12036),
    [aux_sym_float_literal_token4] = ACTIONS(12036),
    [sym_character_literal] = ACTIONS(12036),
    [sym__assignment_operator] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12036),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12036),
    [sym__lazy_and_operator] = ACTIONS(12036),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12036),
    [sym__pipe_left_operator] = ACTIONS(12036),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12036),
    [sym__type_order_operator] = ACTIONS(12036),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4739] = {
    [sym_do_clause] = STATE(6427),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12286),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4740] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_elseif] = ACTIONS(12140),
    [anon_sym_else] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_DASH_GT] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [4741] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_elseif] = ACTIONS(12350),
    [anon_sym_else] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_DASH_GT] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [4742] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_elseif] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [4743] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_else] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_finally] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [4744] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_elseif] = ACTIONS(12354),
    [anon_sym_else] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_DASH_GT] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [4745] = {
    [ts_builtin_sym_end] = ACTIONS(12158),
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_RPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_RBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_DASH_GT] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [4746] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_else] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_DASH_GT] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [4747] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_else] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_finally] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [4748] = {
    [sym_identifier] = STATE(5921),
    [ts_builtin_sym_end] = ACTIONS(11986),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_RPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_RBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4749] = {
    [sym_identifier] = STATE(5923),
    [ts_builtin_sym_end] = ACTIONS(11990),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_RPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_RBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4750] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_else] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_finally] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__assignment_operator] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [4751] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_else] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_finally] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [4752] = {
    [ts_builtin_sym_end] = ACTIONS(12138),
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_RPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_RBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__assignment_operator] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [4753] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12032),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12032),
    [anon_sym_RPAREN] = ACTIONS(12032),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12032),
    [anon_sym_RBRACK] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_SEMI] = ACTIONS(12032),
    [anon_sym_LBRACE] = ACTIONS(12032),
    [anon_sym_RBRACE] = ACTIONS(12032),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12032),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12032),
    [anon_sym_QMARK] = ACTIONS(12032),
    [anon_sym_AT] = ACTIONS(12032),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12032),
    [aux_sym_integer_literal_token2] = ACTIONS(12032),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12032),
    [aux_sym_float_literal_token3] = ACTIONS(12032),
    [aux_sym_float_literal_token4] = ACTIONS(12032),
    [sym_character_literal] = ACTIONS(12032),
    [sym__assignment_operator] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12032),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12032),
    [sym__lazy_and_operator] = ACTIONS(12032),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12032),
    [sym__pipe_left_operator] = ACTIONS(12032),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12032),
    [sym__type_order_operator] = ACTIONS(12032),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4754] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_else] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__assignment_operator] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [4755] = {
    [sym_identifier] = STATE(5715),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11968),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11968),
    [anon_sym_RPAREN] = ACTIONS(11968),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11968),
    [anon_sym_RBRACK] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_SEMI] = ACTIONS(11968),
    [anon_sym_LBRACE] = ACTIONS(11968),
    [anon_sym_RBRACE] = ACTIONS(11968),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11968),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11968),
    [anon_sym_QMARK] = ACTIONS(11968),
    [anon_sym_AT] = ACTIONS(11968),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11968),
    [aux_sym_integer_literal_token2] = ACTIONS(11968),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11968),
    [aux_sym_float_literal_token3] = ACTIONS(11968),
    [aux_sym_float_literal_token4] = ACTIONS(11968),
    [sym_character_literal] = ACTIONS(11968),
    [sym__assignment_operator] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11968),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11968),
    [sym__lazy_and_operator] = ACTIONS(11968),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11968),
    [sym__pipe_left_operator] = ACTIONS(11968),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11968),
    [sym__type_order_operator] = ACTIONS(11968),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4756] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_finally] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__assignment_operator] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4757] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_catch] = ACTIONS(12014),
    [anon_sym_finally] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4758] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_elseif] = ACTIONS(12288),
    [anon_sym_else] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_DASH_GT] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [4759] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_elseif] = ACTIONS(12296),
    [anon_sym_else] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_DASH_GT] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [4760] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_else] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_finally] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [4761] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_catch] = ACTIONS(12018),
    [anon_sym_finally] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_DASH_GT] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4762] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_elseif] = ACTIONS(12300),
    [anon_sym_else] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_DASH_GT] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [4763] = {
    [ts_builtin_sym_end] = ACTIONS(12090),
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_RBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [4764] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [4765] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12282),
    [sym__immediate_command_start] = ACTIONS(12284),
  },
  [4766] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_catch] = ACTIONS(12002),
    [anon_sym_finally] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_DASH_GT] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4767] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_elseif] = ACTIONS(12162),
    [anon_sym_else] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_DASH_GT] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [4768] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_else] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_finally] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4769] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_elseif] = ACTIONS(12242),
    [anon_sym_else] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_DASH_GT] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [4770] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_else] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_finally] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4771] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4772] = {
    [ts_builtin_sym_end] = ACTIONS(12172),
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_RPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_RBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_DASH_GT] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [4773] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_elseif] = ACTIONS(12246),
    [anon_sym_else] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_DASH_GT] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [4774] = {
    [sym_identifier] = STATE(5716),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11980),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11980),
    [anon_sym_RPAREN] = ACTIONS(11980),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11980),
    [anon_sym_RBRACK] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_SEMI] = ACTIONS(11980),
    [anon_sym_LBRACE] = ACTIONS(11980),
    [anon_sym_RBRACE] = ACTIONS(11980),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11980),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11980),
    [anon_sym_QMARK] = ACTIONS(11980),
    [anon_sym_AT] = ACTIONS(11980),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11980),
    [aux_sym_integer_literal_token2] = ACTIONS(11980),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11980),
    [aux_sym_float_literal_token3] = ACTIONS(11980),
    [aux_sym_float_literal_token4] = ACTIONS(11980),
    [sym_character_literal] = ACTIONS(11980),
    [sym__assignment_operator] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11980),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11980),
    [sym__lazy_and_operator] = ACTIONS(11980),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11980),
    [sym__pipe_left_operator] = ACTIONS(11980),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11980),
    [sym__type_order_operator] = ACTIONS(11980),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4775] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_else] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_finally] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_DASH_GT] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [4776] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_else] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_finally] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_DASH_GT] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [4777] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12358),
    [anon_sym_DOT] = ACTIONS(12360),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12362),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12364),
    [sym__immediate_bracket] = ACTIONS(12366),
    [sym__immediate_brace] = ACTIONS(12368),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [4778] = {
    [sym__word_identifier] = ACTIONS(12370),
    [anon_sym_EQ] = ACTIONS(12370),
    [anon_sym_COMMA] = ACTIONS(12370),
    [anon_sym_COLON] = ACTIONS(12370),
    [anon_sym_begin] = ACTIONS(12370),
    [anon_sym_module] = ACTIONS(12370),
    [anon_sym_baremodule] = ACTIONS(12370),
    [anon_sym_end] = ACTIONS(12370),
    [anon_sym_abstract] = ACTIONS(12370),
    [anon_sym_primitive] = ACTIONS(12370),
    [anon_sym_mutable] = ACTIONS(12370),
    [anon_sym_struct] = ACTIONS(12370),
    [anon_sym_function] = ACTIONS(12370),
    [anon_sym_macro] = ACTIONS(12370),
    [anon_sym_where] = ACTIONS(12370),
    [anon_sym_quote] = ACTIONS(12370),
    [anon_sym_let] = ACTIONS(12370),
    [anon_sym_if] = ACTIONS(12370),
    [anon_sym_elseif] = ACTIONS(12370),
    [anon_sym_else] = ACTIONS(12370),
    [anon_sym_try] = ACTIONS(12370),
    [anon_sym_for] = ACTIONS(12370),
    [anon_sym_while] = ACTIONS(12370),
    [sym_break_statement] = ACTIONS(12370),
    [sym_continue_statement] = ACTIONS(12370),
    [anon_sym_return] = ACTIONS(12370),
    [anon_sym_const] = ACTIONS(12370),
    [anon_sym_global] = ACTIONS(12370),
    [anon_sym_local] = ACTIONS(12370),
    [anon_sym_LPAREN] = ACTIONS(12370),
    [anon_sym_COLON2] = ACTIONS(12370),
    [anon_sym_export] = ACTIONS(12370),
    [anon_sym_import] = ACTIONS(12370),
    [anon_sym_using] = ACTIONS(12370),
    [anon_sym_LBRACK] = ACTIONS(12370),
    [anon_sym_LF] = ACTIONS(12372),
    [anon_sym_in] = ACTIONS(12370),
    [anon_sym_LBRACE] = ACTIONS(12370),
    [anon_sym_SQUOTE] = ACTIONS(12374),
    [anon_sym_DOT] = ACTIONS(12376),
    [anon_sym_DOLLAR] = ACTIONS(12370),
    [anon_sym_COLON_COLON] = ACTIONS(12370),
    [anon_sym_isa] = ACTIONS(12370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12370),
    [anon_sym_QMARK] = ACTIONS(12370),
    [anon_sym_DASH_GT] = ACTIONS(12370),
    [anon_sym_AT] = ACTIONS(12370),
    [anon_sym_true] = ACTIONS(12370),
    [anon_sym_false] = ACTIONS(12370),
    [aux_sym_integer_literal_token1] = ACTIONS(12370),
    [aux_sym_integer_literal_token2] = ACTIONS(12370),
    [aux_sym_integer_literal_token3] = ACTIONS(12370),
    [aux_sym_integer_literal_token4] = ACTIONS(12370),
    [aux_sym_float_literal_token1] = ACTIONS(12370),
    [aux_sym_float_literal_token3] = ACTIONS(12370),
    [aux_sym_float_literal_token4] = ACTIONS(12370),
    [sym_character_literal] = ACTIONS(12370),
    [sym__pair_operator] = ACTIONS(12370),
    [sym__arrow_operator] = ACTIONS(12370),
    [sym__lazy_or_operator] = ACTIONS(12370),
    [sym__lazy_and_operator] = ACTIONS(12370),
    [sym__comparison_operator] = ACTIONS(12370),
    [sym__pipe_right_operator] = ACTIONS(12370),
    [sym__pipe_left_operator] = ACTIONS(12370),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12370),
    [sym__times_operator] = ACTIONS(12370),
    [sym__rational_operator] = ACTIONS(12370),
    [sym__bitshift_operator] = ACTIONS(12370),
    [sym__power_operator] = ACTIONS(12370),
    [sym__tilde_operator] = ACTIONS(12370),
    [sym__type_order_operator] = ACTIONS(12370),
    [sym__unary_operator] = ACTIONS(12370),
    [sym__unary_plus_operator] = ACTIONS(12370),
    [aux_sym__terminator_token1] = ACTIONS(12370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12378),
    [sym__immediate_bracket] = ACTIONS(12380),
    [sym__immediate_brace] = ACTIONS(12382),
    [sym__string_start] = ACTIONS(12372),
    [sym__command_start] = ACTIONS(12372),
  },
  [4779] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_catch] = ACTIONS(12048),
    [anon_sym_finally] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_DASH_GT] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [4780] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_catch] = ACTIONS(12024),
    [anon_sym_finally] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [4781] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_catch] = ACTIONS(12042),
    [anon_sym_finally] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_DASH_GT] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [4782] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_elseif] = ACTIONS(12164),
    [anon_sym_else] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__assignment_operator] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [4783] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_else] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__assignment_operator] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [4784] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4785] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11984),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11984),
    [anon_sym_RPAREN] = ACTIONS(11984),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11984),
    [anon_sym_RBRACK] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_SEMI] = ACTIONS(11984),
    [anon_sym_LBRACE] = ACTIONS(11984),
    [anon_sym_RBRACE] = ACTIONS(11984),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11984),
    [anon_sym_COLON_COLON] = ACTIONS(11984),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11984),
    [anon_sym_QMARK] = ACTIONS(11984),
    [anon_sym_DASH_GT] = ACTIONS(11984),
    [anon_sym_AT] = ACTIONS(11984),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11984),
    [aux_sym_integer_literal_token2] = ACTIONS(11984),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11984),
    [aux_sym_float_literal_token3] = ACTIONS(11984),
    [aux_sym_float_literal_token4] = ACTIONS(11984),
    [sym_character_literal] = ACTIONS(11984),
    [sym__pair_operator] = ACTIONS(11984),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11984),
    [sym__lazy_and_operator] = ACTIONS(11984),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11984),
    [sym__pipe_left_operator] = ACTIONS(11984),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11984),
    [sym__bitshift_operator] = ACTIONS(11984),
    [sym__power_operator] = ACTIONS(11984),
    [sym__tilde_operator] = ACTIONS(11984),
    [sym__type_order_operator] = ACTIONS(11984),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4786] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12144),
    [sym__immediate_command_start] = ACTIONS(12146),
  },
  [4787] = {
    [ts_builtin_sym_end] = ACTIONS(2186),
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [4788] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [4789] = {
    [ts_builtin_sym_end] = ACTIONS(12344),
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_RPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_RBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_DASH_GT] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [4790] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_elseif] = ACTIONS(12192),
    [anon_sym_else] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__assignment_operator] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [4791] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [4792] = {
    [ts_builtin_sym_end] = ACTIONS(12022),
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_RBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [4793] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_elseif] = ACTIONS(12162),
    [anon_sym_else] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__assignment_operator] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [4794] = {
    [ts_builtin_sym_end] = ACTIONS(12178),
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_RPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_RBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_DASH_GT] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [4795] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12082),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12082),
    [anon_sym_RPAREN] = ACTIONS(12082),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12082),
    [anon_sym_RBRACK] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_SEMI] = ACTIONS(12082),
    [anon_sym_LBRACE] = ACTIONS(12082),
    [anon_sym_RBRACE] = ACTIONS(12082),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12082),
    [anon_sym_COLON_COLON] = ACTIONS(12082),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12082),
    [anon_sym_QMARK] = ACTIONS(12082),
    [anon_sym_DASH_GT] = ACTIONS(12082),
    [anon_sym_AT] = ACTIONS(12082),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12082),
    [aux_sym_integer_literal_token2] = ACTIONS(12082),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12082),
    [aux_sym_float_literal_token3] = ACTIONS(12082),
    [aux_sym_float_literal_token4] = ACTIONS(12082),
    [sym_character_literal] = ACTIONS(12082),
    [sym__pair_operator] = ACTIONS(12082),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12082),
    [sym__lazy_and_operator] = ACTIONS(12082),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12082),
    [sym__pipe_left_operator] = ACTIONS(12082),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12082),
    [sym__bitshift_operator] = ACTIONS(12082),
    [sym__power_operator] = ACTIONS(12082),
    [sym__tilde_operator] = ACTIONS(12082),
    [sym__type_order_operator] = ACTIONS(12082),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4796] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_elseif] = ACTIONS(11976),
    [anon_sym_else] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4797] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_elseif] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4798] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_else] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__assignment_operator] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [4799] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_elseif] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [4800] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_finally] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__assignment_operator] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [4801] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_else] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_DASH_GT] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [4802] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(171),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(171),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_DASH_GT] = ACTIONS(12384),
    [anon_sym_AT] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(171),
    [aux_sym_float_literal_token3] = ACTIONS(171),
    [aux_sym_float_literal_token4] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(171),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(171),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(171),
    [sym__lazy_and_operator] = ACTIONS(171),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(171),
    [sym__pipe_left_operator] = ACTIONS(171),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(171),
    [sym__type_order_operator] = ACTIONS(171),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11994),
    [sym__immediate_command_start] = ACTIONS(11996),
  },
  [4803] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12266),
    [anon_sym_DOT] = ACTIONS(12268),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12270),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12272),
    [sym__immediate_bracket] = ACTIONS(12274),
    [sym__immediate_brace] = ACTIONS(12276),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [4804] = {
    [sym_identifier] = STATE(5750),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11986),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11986),
    [anon_sym_RPAREN] = ACTIONS(11986),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11986),
    [anon_sym_RBRACK] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_SEMI] = ACTIONS(11986),
    [anon_sym_LBRACE] = ACTIONS(11986),
    [anon_sym_RBRACE] = ACTIONS(11986),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11986),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11986),
    [anon_sym_QMARK] = ACTIONS(11986),
    [anon_sym_AT] = ACTIONS(11986),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11986),
    [aux_sym_integer_literal_token2] = ACTIONS(11986),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11986),
    [aux_sym_float_literal_token3] = ACTIONS(11986),
    [aux_sym_float_literal_token4] = ACTIONS(11986),
    [sym_character_literal] = ACTIONS(11986),
    [sym__assignment_operator] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11986),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11986),
    [sym__lazy_and_operator] = ACTIONS(11986),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11986),
    [sym__pipe_left_operator] = ACTIONS(11986),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11986),
    [sym__type_order_operator] = ACTIONS(11986),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4805] = {
    [sym_identifier] = STATE(5762),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11990),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11990),
    [anon_sym_RPAREN] = ACTIONS(11990),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11990),
    [anon_sym_RBRACK] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_SEMI] = ACTIONS(11990),
    [anon_sym_LBRACE] = ACTIONS(11990),
    [anon_sym_RBRACE] = ACTIONS(11990),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11990),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11990),
    [anon_sym_QMARK] = ACTIONS(11990),
    [anon_sym_AT] = ACTIONS(11990),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11990),
    [aux_sym_integer_literal_token2] = ACTIONS(11990),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11990),
    [aux_sym_float_literal_token3] = ACTIONS(11990),
    [aux_sym_float_literal_token4] = ACTIONS(11990),
    [sym_character_literal] = ACTIONS(11990),
    [sym__assignment_operator] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11990),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11990),
    [sym__lazy_and_operator] = ACTIONS(11990),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11990),
    [sym__pipe_left_operator] = ACTIONS(11990),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11990),
    [sym__type_order_operator] = ACTIONS(11990),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4806] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [4807] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_elseif] = ACTIONS(12328),
    [anon_sym_else] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__assignment_operator] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [4808] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_elseif] = ACTIONS(12322),
    [anon_sym_else] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__assignment_operator] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [4809] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_elseif] = ACTIONS(12170),
    [anon_sym_else] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__assignment_operator] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [4810] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_else] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_finally] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_DASH_GT] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [4811] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_else] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_finally] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_DASH_GT] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [4812] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_else] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_DASH_GT] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [4813] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_finally] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4814] = {
    [ts_builtin_sym_end] = ACTIONS(12330),
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_RPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_RBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__assignment_operator] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [4815] = {
    [sym_identifier] = STATE(5795),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_catch] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__assignment_operator] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4816] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_elseif] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [4817] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_elseif] = ACTIONS(12014),
    [anon_sym_else] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4818] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_elseif] = ACTIONS(12030),
    [anon_sym_else] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4819] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4820] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12022),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12022),
    [anon_sym_RPAREN] = ACTIONS(12022),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12022),
    [anon_sym_RBRACK] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12022),
    [anon_sym_LBRACE] = ACTIONS(12022),
    [anon_sym_RBRACE] = ACTIONS(12022),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12022),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12022),
    [anon_sym_QMARK] = ACTIONS(12022),
    [anon_sym_DASH_GT] = ACTIONS(12046),
    [anon_sym_AT] = ACTIONS(12022),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12022),
    [aux_sym_integer_literal_token2] = ACTIONS(12022),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12022),
    [aux_sym_float_literal_token3] = ACTIONS(12022),
    [aux_sym_float_literal_token4] = ACTIONS(12022),
    [sym_character_literal] = ACTIONS(12022),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12022),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12022),
    [sym__lazy_and_operator] = ACTIONS(12022),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12022),
    [sym__pipe_left_operator] = ACTIONS(12022),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12022),
    [sym__type_order_operator] = ACTIONS(12022),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [4821] = {
    [sym_identifier] = STATE(5797),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_catch] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__assignment_operator] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4822] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_else] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_finally] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__assignment_operator] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [4823] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_else] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_finally] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__assignment_operator] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [4824] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [4825] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_elseif] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [4826] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4827] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__assignment_operator] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [4828] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4829] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4830] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_elseif] = ACTIONS(12226),
    [anon_sym_else] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__assignment_operator] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [4831] = {
    [ts_builtin_sym_end] = ACTIONS(12182),
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_RPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_RBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_DASH_GT] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [4832] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12386),
    [sym__immediate_command_start] = ACTIONS(12388),
  },
  [4833] = {
    [ts_builtin_sym_end] = ACTIONS(12316),
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_RPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_RBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_DASH_GT] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [4834] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_finally] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_DASH_GT] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4835] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_catch] = ACTIONS(12038),
    [anon_sym_finally] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_DASH_GT] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [4836] = {
    [ts_builtin_sym_end] = ACTIONS(12186),
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_RPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_RBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_DASH_GT] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [4837] = {
    [sym_identifier] = STATE(5634),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_elseif] = ACTIONS(11992),
    [anon_sym_else] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4838] = {
    [ts_builtin_sym_end] = ACTIONS(12190),
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_RPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_RBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_DASH_GT] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [4839] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_catch] = ACTIONS(12034),
    [anon_sym_finally] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_DASH_GT] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4840] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_else] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_finally] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__assignment_operator] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [4841] = {
    [sym_identifier] = STATE(5633),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_elseif] = ACTIONS(11988),
    [anon_sym_else] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4842] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4843] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_else] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_finally] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_DASH_GT] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [4844] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_elseif] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [4845] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_elseif] = ACTIONS(12002),
    [anon_sym_else] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4846] = {
    [ts_builtin_sym_end] = ACTIONS(12012),
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_RPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_RBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [4847] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_else] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_finally] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_DASH_GT] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [4848] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4849] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_else] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_finally] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__assignment_operator] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [4850] = {
    [ts_builtin_sym_end] = ACTIONS(12344),
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_RPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_RBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__assignment_operator] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [4851] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12386),
    [sym__immediate_command_start] = ACTIONS(12388),
  },
  [4852] = {
    [ts_builtin_sym_end] = ACTIONS(12194),
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_RPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_RBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_DASH_GT] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [4853] = {
    [ts_builtin_sym_end] = ACTIONS(12198),
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_RPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_RBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_DASH_GT] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [4854] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_else] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__assignment_operator] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [4855] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_catch] = ACTIONS(12030),
    [anon_sym_finally] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_DASH_GT] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4856] = {
    [ts_builtin_sym_end] = ACTIONS(11886),
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_RBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [4857] = {
    [ts_builtin_sym_end] = ACTIONS(12016),
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_RPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_RBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4858] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_finally] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_DASH_GT] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4859] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_else] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_finally] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_DASH_GT] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [4860] = {
    [sym_identifier] = STATE(5377),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_DASH_GT] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4861] = {
    [sym_identifier] = STATE(5378),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_DASH_GT] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4862] = {
    [sym_identifier] = STATE(5390),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_DASH_GT] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4863] = {
    [sym_identifier] = STATE(5391),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_DASH_GT] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4864] = {
    [ts_builtin_sym_end] = ACTIONS(11882),
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_RBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [4865] = {
    [ts_builtin_sym_end] = ACTIONS(12004),
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_RBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [4866] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_else] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_finally] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__assignment_operator] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [4867] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [4868] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4869] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_finally] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__assignment_operator] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4870] = {
    [sym_identifier] = STATE(5814),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_catch] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__assignment_operator] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4871] = {
    [ts_builtin_sym_end] = ACTIONS(12172),
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_RPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_RBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__assignment_operator] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [4872] = {
    [ts_builtin_sym_end] = ACTIONS(12356),
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_RPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_RBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_DASH_GT] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [4873] = {
    [ts_builtin_sym_end] = ACTIONS(12352),
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_RPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_RBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_DASH_GT] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [4874] = {
    [ts_builtin_sym_end] = ACTIONS(12142),
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_RPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_RBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_DASH_GT] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [4875] = {
    [sym_identifier] = STATE(5815),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_catch] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__assignment_operator] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4876] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_elseif] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4877] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_else] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_finally] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__assignment_operator] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [4878] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11972),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11972),
    [anon_sym_RPAREN] = ACTIONS(11972),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11972),
    [anon_sym_RBRACK] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11972),
    [anon_sym_RBRACE] = ACTIONS(11972),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11972),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11972),
    [anon_sym_QMARK] = ACTIONS(11972),
    [anon_sym_DASH_GT] = ACTIONS(12052),
    [anon_sym_AT] = ACTIONS(11972),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11972),
    [aux_sym_integer_literal_token2] = ACTIONS(11972),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11972),
    [aux_sym_float_literal_token3] = ACTIONS(11972),
    [aux_sym_float_literal_token4] = ACTIONS(11972),
    [sym_character_literal] = ACTIONS(11972),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11972),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11972),
    [sym__lazy_and_operator] = ACTIONS(11972),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11972),
    [sym__pipe_left_operator] = ACTIONS(11972),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11972),
    [sym__type_order_operator] = ACTIONS(11972),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4879] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11972),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11972),
    [anon_sym_RPAREN] = ACTIONS(11972),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11972),
    [anon_sym_RBRACK] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11972),
    [anon_sym_RBRACE] = ACTIONS(11972),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11972),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11972),
    [anon_sym_QMARK] = ACTIONS(11972),
    [anon_sym_DASH_GT] = ACTIONS(11984),
    [anon_sym_AT] = ACTIONS(11972),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11972),
    [aux_sym_integer_literal_token2] = ACTIONS(11972),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11972),
    [aux_sym_float_literal_token3] = ACTIONS(11972),
    [aux_sym_float_literal_token4] = ACTIONS(11972),
    [sym_character_literal] = ACTIONS(11972),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11972),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11972),
    [sym__lazy_and_operator] = ACTIONS(11972),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11972),
    [sym__pipe_left_operator] = ACTIONS(11972),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11972),
    [sym__type_order_operator] = ACTIONS(11972),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4880] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_else] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_finally] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__assignment_operator] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [4881] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_elseif] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [4882] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_elseif] = ACTIONS(12034),
    [anon_sym_else] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4883] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11886),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11886),
    [anon_sym_RPAREN] = ACTIONS(11886),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11886),
    [anon_sym_RBRACK] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11886),
    [anon_sym_RBRACE] = ACTIONS(11886),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11886),
    [anon_sym_COLON_COLON] = ACTIONS(11886),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11886),
    [anon_sym_QMARK] = ACTIONS(11886),
    [anon_sym_AT] = ACTIONS(11886),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11886),
    [aux_sym_integer_literal_token2] = ACTIONS(11886),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11886),
    [aux_sym_float_literal_token3] = ACTIONS(11886),
    [aux_sym_float_literal_token4] = ACTIONS(11886),
    [sym_character_literal] = ACTIONS(11886),
    [sym__pair_operator] = ACTIONS(11886),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11886),
    [sym__lazy_and_operator] = ACTIONS(11886),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11886),
    [sym__pipe_left_operator] = ACTIONS(11886),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11886),
    [sym__bitshift_operator] = ACTIONS(11886),
    [sym__power_operator] = ACTIONS(11886),
    [sym__tilde_operator] = ACTIONS(11886),
    [sym__type_order_operator] = ACTIONS(11886),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12200),
    [sym__immediate_command_start] = ACTIONS(12202),
  },
  [4884] = {
    [ts_builtin_sym_end] = ACTIONS(11894),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_RBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [4885] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_finally] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_DASH_GT] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4886] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_finally] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4887] = {
    [ts_builtin_sym_end] = ACTIONS(12150),
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_RPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_RBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_DASH_GT] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [4888] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_elseif] = ACTIONS(12342),
    [anon_sym_else] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__assignment_operator] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [4889] = {
    [ts_builtin_sym_end] = ACTIONS(12206),
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_RPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_RBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_DASH_GT] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [4890] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11960),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_DASH_GT] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12390),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11960),
    [sym__bitshift_operator] = ACTIONS(11960),
    [sym__power_operator] = ACTIONS(11960),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4891] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12392),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12266),
    [anon_sym_DOT] = ACTIONS(12394),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12396),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12272),
    [sym__immediate_bracket] = ACTIONS(12274),
    [sym__immediate_brace] = ACTIONS(12276),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [4892] = {
    [ts_builtin_sym_end] = ACTIONS(12216),
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_RPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_RBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_DASH_GT] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [4893] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_elseif] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4894] = {
    [sym_identifier] = STATE(5676),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_catch] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_DASH_GT] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4895] = {
    [sym_identifier] = STATE(5677),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_catch] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_DASH_GT] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4896] = {
    [sym_identifier] = STATE(5707),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_catch] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_DASH_GT] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4897] = {
    [sym_identifier] = STATE(5718),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_catch] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_DASH_GT] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4898] = {
    [ts_builtin_sym_end] = ACTIONS(12220),
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_RPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_RBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_DASH_GT] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [4899] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_elseif] = ACTIONS(12136),
    [anon_sym_else] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__assignment_operator] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [4900] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [4901] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [4902] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_elseif] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [4903] = {
    [ts_builtin_sym_end] = ACTIONS(12232),
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_RPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_RBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__assignment_operator] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [4904] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_finally] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__assignment_operator] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [4905] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_elseif] = ACTIONS(12348),
    [anon_sym_else] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_DASH_GT] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [4906] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11984),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11984),
    [anon_sym_RPAREN] = ACTIONS(11984),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11984),
    [anon_sym_RBRACK] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_SEMI] = ACTIONS(11984),
    [anon_sym_LBRACE] = ACTIONS(11984),
    [anon_sym_RBRACE] = ACTIONS(11984),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11984),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11984),
    [anon_sym_QMARK] = ACTIONS(11984),
    [anon_sym_AT] = ACTIONS(11984),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11984),
    [aux_sym_integer_literal_token2] = ACTIONS(11984),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11984),
    [aux_sym_float_literal_token3] = ACTIONS(11984),
    [aux_sym_float_literal_token4] = ACTIONS(11984),
    [sym_character_literal] = ACTIONS(11984),
    [sym__assignment_operator] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11984),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11984),
    [sym__lazy_and_operator] = ACTIONS(11984),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11984),
    [sym__pipe_left_operator] = ACTIONS(11984),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11984),
    [sym__type_order_operator] = ACTIONS(11984),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4907] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4908] = {
    [ts_builtin_sym_end] = ACTIONS(12228),
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_RPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_RBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_DASH_GT] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [4909] = {
    [ts_builtin_sym_end] = ACTIONS(12022),
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_RBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [4910] = {
    [ts_builtin_sym_end] = ACTIONS(12236),
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_RPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_RBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__assignment_operator] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [4911] = {
    [ts_builtin_sym_end] = ACTIONS(11928),
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_RBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [4912] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_elseif] = ACTIONS(12300),
    [anon_sym_else] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__assignment_operator] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [4913] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_elseif] = ACTIONS(12318),
    [anon_sym_else] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__assignment_operator] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [4914] = {
    [ts_builtin_sym_end] = ACTIONS(12340),
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_RPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_RBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__assignment_operator] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [4915] = {
    [ts_builtin_sym_end] = ACTIONS(12232),
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_RPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_RBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_DASH_GT] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [4916] = {
    [ts_builtin_sym_end] = ACTIONS(12236),
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_RPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_RBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_DASH_GT] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [4917] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4918] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_elseif] = ACTIONS(12348),
    [anon_sym_else] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__assignment_operator] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [4919] = {
    [ts_builtin_sym_end] = ACTIONS(12340),
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_RPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_RBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_DASH_GT] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [4920] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12082),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12082),
    [anon_sym_RPAREN] = ACTIONS(12082),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12082),
    [anon_sym_RBRACK] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_SEMI] = ACTIONS(12082),
    [anon_sym_LBRACE] = ACTIONS(12082),
    [anon_sym_RBRACE] = ACTIONS(12082),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12082),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12082),
    [anon_sym_QMARK] = ACTIONS(12082),
    [anon_sym_AT] = ACTIONS(12082),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12082),
    [aux_sym_integer_literal_token2] = ACTIONS(12082),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12082),
    [aux_sym_float_literal_token3] = ACTIONS(12082),
    [aux_sym_float_literal_token4] = ACTIONS(12082),
    [sym_character_literal] = ACTIONS(12082),
    [sym__assignment_operator] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12082),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12082),
    [sym__lazy_and_operator] = ACTIONS(12082),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12082),
    [sym__pipe_left_operator] = ACTIONS(12082),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12082),
    [sym__type_order_operator] = ACTIONS(12082),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4921] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_elseif] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [4922] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_catch] = ACTIONS(12064),
    [anon_sym_finally] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4923] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [4924] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_finally] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4925] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12398),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4926] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_elseif] = ACTIONS(12042),
    [anon_sym_else] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [4927] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12400),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4928] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_elseif] = ACTIONS(12018),
    [anon_sym_else] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [4929] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_else] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_DASH_GT] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [4930] = {
    [ts_builtin_sym_end] = ACTIONS(12256),
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_RPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_RBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_DASH_GT] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [4931] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_elseif] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4932] = {
    [ts_builtin_sym_end] = ACTIONS(12260),
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_RPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_RBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_DASH_GT] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [4933] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12292),
    [sym__immediate_command_start] = ACTIONS(12294),
  },
  [4934] = {
    [ts_builtin_sym_end] = ACTIONS(12110),
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_RBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [4935] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [4936] = {
    [ts_builtin_sym_end] = ACTIONS(12264),
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_RPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_RBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_DASH_GT] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [4937] = {
    [sym_identifier] = STATE(5698),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_catch] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_DASH_GT] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4938] = {
    [sym_identifier] = STATE(5685),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_catch] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_DASH_GT] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4939] = {
    [sym_identifier] = STATE(5585),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_catch] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_DASH_GT] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4940] = {
    [ts_builtin_sym_end] = ACTIONS(12028),
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_RBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [4941] = {
    [sym_identifier] = STATE(5575),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_catch] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_DASH_GT] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4942] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [4943] = {
    [ts_builtin_sym_end] = ACTIONS(11934),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_RBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4944] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_elseif] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [4945] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__assignment_operator] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [4946] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_elseif] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__assignment_operator] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [4947] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_catch] = ACTIONS(11974),
    [anon_sym_finally] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [4948] = {
    [sym_identifier] = STATE(5340),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__assignment_operator] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4949] = {
    [sym_identifier] = STATE(5339),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__assignment_operator] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4950] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12096),
    [sym__immediate_command_start] = ACTIONS(12098),
  },
  [4951] = {
    [sym_identifier] = STATE(5301),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__assignment_operator] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4952] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_catch] = ACTIONS(12030),
    [anon_sym_finally] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__assignment_operator] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [4953] = {
    [sym_identifier] = STATE(5297),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__assignment_operator] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4954] = {
    [ts_builtin_sym_end] = ACTIONS(11934),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_RBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [4955] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_catch] = ACTIONS(11976),
    [anon_sym_finally] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__assignment_operator] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [4956] = {
    [sym_do_clause] = STATE(6378),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_catch] = ACTIONS(11918),
    [anon_sym_finally] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12402),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [4957] = {
    [ts_builtin_sym_end] = ACTIONS(11882),
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_RBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [4958] = {
    [ts_builtin_sym_end] = ACTIONS(12320),
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_RPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_RBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_DASH_GT] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [4959] = {
    [ts_builtin_sym_end] = ACTIONS(12330),
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_RPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_RBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_DASH_GT] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [4960] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_elseif] = ACTIONS(12230),
    [anon_sym_else] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__assignment_operator] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [4961] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_elseif] = ACTIONS(12234),
    [anon_sym_else] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__assignment_operator] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [4962] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12028),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12028),
    [anon_sym_RPAREN] = ACTIONS(12028),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12028),
    [anon_sym_RBRACK] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12028),
    [anon_sym_LBRACE] = ACTIONS(12028),
    [anon_sym_RBRACE] = ACTIONS(12028),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12028),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12028),
    [anon_sym_QMARK] = ACTIONS(12028),
    [anon_sym_DASH_GT] = ACTIONS(12012),
    [anon_sym_AT] = ACTIONS(12028),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12028),
    [aux_sym_integer_literal_token2] = ACTIONS(12028),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12028),
    [aux_sym_float_literal_token3] = ACTIONS(12028),
    [aux_sym_float_literal_token4] = ACTIONS(12028),
    [sym_character_literal] = ACTIONS(12028),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12028),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12028),
    [sym__lazy_and_operator] = ACTIONS(12028),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12028),
    [sym__pipe_left_operator] = ACTIONS(12028),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12028),
    [sym__type_order_operator] = ACTIONS(12028),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [4963] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12076),
    [sym__immediate_command_start] = ACTIONS(12078),
  },
  [4964] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_elseif] = ACTIONS(12152),
    [anon_sym_else] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_DASH_GT] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [4965] = {
    [sym_identifier] = STATE(5204),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_catch] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__assignment_operator] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4966] = {
    [sym_identifier] = STATE(5207),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_catch] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__assignment_operator] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4967] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_else] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_DASH_GT] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [4968] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_else] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_DASH_GT] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [4969] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_else] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_DASH_GT] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [4970] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_else] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_DASH_GT] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [4971] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_else] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_DASH_GT] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [4972] = {
    [ts_builtin_sym_end] = ACTIONS(12166),
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_RPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_RBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__assignment_operator] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [4973] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [4974] = {
    [ts_builtin_sym_end] = ACTIONS(12110),
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_RBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [4975] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12096),
    [sym__immediate_command_start] = ACTIONS(12098),
  },
  [4976] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_else] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_DASH_GT] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [4977] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12110),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12110),
    [anon_sym_RPAREN] = ACTIONS(12110),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12110),
    [anon_sym_RBRACK] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12110),
    [anon_sym_LBRACE] = ACTIONS(12110),
    [anon_sym_RBRACE] = ACTIONS(12110),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12110),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12110),
    [anon_sym_QMARK] = ACTIONS(12110),
    [anon_sym_DASH_GT] = ACTIONS(12012),
    [anon_sym_AT] = ACTIONS(12110),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12110),
    [aux_sym_integer_literal_token2] = ACTIONS(12110),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12110),
    [aux_sym_float_literal_token3] = ACTIONS(12110),
    [aux_sym_float_literal_token4] = ACTIONS(12110),
    [sym_character_literal] = ACTIONS(12110),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12110),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12110),
    [sym__lazy_and_operator] = ACTIONS(12110),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12110),
    [sym__pipe_left_operator] = ACTIONS(12110),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12110),
    [sym__type_order_operator] = ACTIONS(12110),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [4978] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_elseif] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [4979] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_else] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_DASH_GT] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [4980] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_elseif] = ACTIONS(12296),
    [anon_sym_else] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__assignment_operator] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [4981] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_catch] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__assignment_operator] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [4982] = {
    [ts_builtin_sym_end] = ACTIONS(12252),
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_RPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_RBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__assignment_operator] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [4983] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_finally] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_DASH_GT] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [4984] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_else] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_DASH_GT] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [4985] = {
    [sym_identifier] = STATE(5240),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_else] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4986] = {
    [sym_identifier] = STATE(5546),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_catch] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__assignment_operator] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4987] = {
    [sym_identifier] = STATE(5242),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_else] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [4988] = {
    [sym_identifier] = STATE(5816),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_catch] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__assignment_operator] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [4989] = {
    [ts_builtin_sym_end] = ACTIONS(12240),
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_RPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_RBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_DASH_GT] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [4990] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_else] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_DASH_GT] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [4991] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_else] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_DASH_GT] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [4992] = {
    [sym_identifier] = STATE(5263),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_else] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [4993] = {
    [sym_identifier] = STATE(5267),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_else] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [4994] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [4995] = {
    [ts_builtin_sym_end] = ACTIONS(12256),
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_RPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_RBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__assignment_operator] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [4996] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_elseif] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DASH_GT] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [4997] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_elseif] = ACTIONS(12288),
    [anon_sym_else] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__assignment_operator] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [4998] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12404),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [4999] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5000] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_catch] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__assignment_operator] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [5001] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5002] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12278),
    [sym__immediate_command_start] = ACTIONS(12280),
  },
  [5003] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_catch] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [5004] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5005] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__assignment_operator] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5006] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_else] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_DASH_GT] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5007] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_elseif] = ACTIONS(12156),
    [anon_sym_else] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__assignment_operator] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5008] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5009] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_finally] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5010] = {
    [sym_do_clause] = STATE(6139),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12406),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5011] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_finally] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_DASH_GT] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5012] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_catch] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [5013] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(171),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(171),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(171),
    [anon_sym_RBRACE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(171),
    [anon_sym_COLON_COLON] = ACTIONS(171),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(171),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(171),
    [aux_sym_float_literal_token3] = ACTIONS(171),
    [aux_sym_float_literal_token4] = ACTIONS(171),
    [sym_character_literal] = ACTIONS(171),
    [sym__pair_operator] = ACTIONS(171),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(171),
    [sym__lazy_and_operator] = ACTIONS(171),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(171),
    [sym__pipe_left_operator] = ACTIONS(171),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(171),
    [sym__bitshift_operator] = ACTIONS(171),
    [sym__power_operator] = ACTIONS(171),
    [sym__tilde_operator] = ACTIONS(171),
    [sym__type_order_operator] = ACTIONS(171),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12200),
    [sym__immediate_command_start] = ACTIONS(12202),
  },
  [5014] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5015] = {
    [ts_builtin_sym_end] = ACTIONS(11886),
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_RBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5016] = {
    [ts_builtin_sym_end] = ACTIONS(12244),
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_RPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_RBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__assignment_operator] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5017] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_catch] = ACTIONS(12034),
    [anon_sym_finally] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__assignment_operator] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5018] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_catch] = ACTIONS(12038),
    [anon_sym_finally] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__assignment_operator] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5019] = {
    [ts_builtin_sym_end] = ACTIONS(12212),
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_RPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_RBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__assignment_operator] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5020] = {
    [sym_do_clause] = STATE(6155),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12406),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_DASH_GT] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [5021] = {
    [ts_builtin_sym_end] = ACTIONS(12290),
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_RPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_RBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_DASH_GT] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5022] = {
    [ts_builtin_sym_end] = ACTIONS(11928),
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_RBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5023] = {
    [ts_builtin_sym_end] = ACTIONS(12298),
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_RPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_RBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_DASH_GT] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5024] = {
    [ts_builtin_sym_end] = ACTIONS(12166),
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_RPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_RBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_DASH_GT] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5025] = {
    [ts_builtin_sym_end] = ACTIONS(12154),
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_RPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_RBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__assignment_operator] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5026] = {
    [ts_builtin_sym_end] = ACTIONS(12248),
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_RPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_RBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__assignment_operator] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5027] = {
    [ts_builtin_sym_end] = ACTIONS(12190),
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_RPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_RBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__assignment_operator] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5028] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_elseif] = ACTIONS(12048),
    [anon_sym_else] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5029] = {
    [sym_do_clause] = STATE(6164),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12406),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5030] = {
    [ts_builtin_sym_end] = ACTIONS(12260),
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_RPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_RBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__assignment_operator] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5031] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_RBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(12408),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(11854),
    [sym__immediate_command_start] = ACTIONS(11856),
  },
  [5032] = {
    [sym_do_clause] = STATE(6043),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11916),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11916),
    [anon_sym_RPAREN] = ACTIONS(11916),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11916),
    [anon_sym_RBRACK] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_SEMI] = ACTIONS(11916),
    [anon_sym_LBRACE] = ACTIONS(11916),
    [anon_sym_RBRACE] = ACTIONS(11916),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12168),
    [anon_sym_DOLLAR] = ACTIONS(11916),
    [anon_sym_COLON_COLON] = ACTIONS(11916),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11916),
    [anon_sym_QMARK] = ACTIONS(11916),
    [anon_sym_AT] = ACTIONS(11916),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11916),
    [aux_sym_integer_literal_token2] = ACTIONS(11916),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11916),
    [aux_sym_float_literal_token3] = ACTIONS(11916),
    [aux_sym_float_literal_token4] = ACTIONS(11916),
    [sym_character_literal] = ACTIONS(11916),
    [sym__pair_operator] = ACTIONS(11916),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11916),
    [sym__lazy_and_operator] = ACTIONS(11916),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11916),
    [sym__pipe_left_operator] = ACTIONS(11916),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11916),
    [sym__bitshift_operator] = ACTIONS(11916),
    [sym__power_operator] = ACTIONS(11916),
    [sym__tilde_operator] = ACTIONS(11916),
    [sym__type_order_operator] = ACTIONS(11916),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [5033] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12282),
    [sym__immediate_command_start] = ACTIONS(12284),
  },
  [5034] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12144),
    [sym__immediate_command_start] = ACTIONS(12146),
  },
  [5035] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5036] = {
    [ts_builtin_sym_end] = ACTIONS(12302),
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_RPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_RBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_DASH_GT] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5037] = {
    [ts_builtin_sym_end] = ACTIONS(12060),
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_RBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5038] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12278),
    [sym__immediate_command_start] = ACTIONS(12280),
  },
  [5039] = {
    [sym_identifier] = STATE(5609),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_elseif] = ACTIONS(11978),
    [anon_sym_else] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [5040] = {
    [ts_builtin_sym_end] = ACTIONS(12142),
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_RPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_RBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__assignment_operator] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5041] = {
    [sym_do_clause] = STATE(6308),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12336),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__assignment_operator] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [5042] = {
    [ts_builtin_sym_end] = ACTIONS(12138),
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_RPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_RBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_DASH_GT] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5043] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12410),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5044] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_elseif] = ACTIONS(12338),
    [anon_sym_else] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__assignment_operator] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5045] = {
    [ts_builtin_sym_end] = ACTIONS(12160),
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_RPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_RBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_DASH_GT] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5046] = {
    [ts_builtin_sym_end] = ACTIONS(11984),
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_RPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_RBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [5047] = {
    [ts_builtin_sym_end] = ACTIONS(12244),
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_RPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_RBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_DASH_GT] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5048] = {
    [ts_builtin_sym_end] = ACTIONS(12248),
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_RPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_RBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_DASH_GT] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5049] = {
    [ts_builtin_sym_end] = ACTIONS(12264),
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_RPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_RBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__assignment_operator] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5050] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_elseif] = ACTIONS(12176),
    [anon_sym_else] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__assignment_operator] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5051] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_catch] = ACTIONS(12042),
    [anon_sym_finally] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__assignment_operator] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5052] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12358),
    [anon_sym_DOT] = ACTIONS(12360),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12362),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12364),
    [sym__immediate_bracket] = ACTIONS(12366),
    [sym__immediate_brace] = ACTIONS(12368),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5053] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_elseif] = ACTIONS(12024),
    [anon_sym_else] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5054] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_catch] = ACTIONS(12024),
    [anon_sym_finally] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__assignment_operator] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5055] = {
    [sym_identifier] = STATE(5605),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_elseif] = ACTIONS(11966),
    [anon_sym_else] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [5056] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_catch] = ACTIONS(12048),
    [anon_sym_finally] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__assignment_operator] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5057] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_finally] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_DASH_GT] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5058] = {
    [ts_builtin_sym_end] = ACTIONS(12240),
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_RPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_RBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__assignment_operator] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5059] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_elseif] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5060] = {
    [ts_builtin_sym_end] = ACTIONS(12356),
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_RPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_RBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__assignment_operator] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5061] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5062] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5063] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12144),
    [sym__immediate_command_start] = ACTIONS(12146),
  },
  [5064] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12412),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12304),
    [anon_sym_DOT] = ACTIONS(12414),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12416),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__immediate_bracket] = ACTIONS(12312),
    [sym__immediate_brace] = ACTIONS(12314),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5065] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5066] = {
    [ts_builtin_sym_end] = ACTIONS(12050),
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_RPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_RBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5067] = {
    [ts_builtin_sym_end] = ACTIONS(12046),
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_RPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_RBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5068] = {
    [ts_builtin_sym_end] = ACTIONS(2186),
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__assignment_operator] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5069] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12090),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12090),
    [anon_sym_RPAREN] = ACTIONS(12090),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12090),
    [anon_sym_RBRACK] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12090),
    [anon_sym_LBRACE] = ACTIONS(12090),
    [anon_sym_RBRACE] = ACTIONS(12090),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12090),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12090),
    [anon_sym_QMARK] = ACTIONS(12090),
    [anon_sym_DASH_GT] = ACTIONS(12052),
    [anon_sym_AT] = ACTIONS(12090),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12090),
    [aux_sym_integer_literal_token2] = ACTIONS(12090),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12090),
    [aux_sym_float_literal_token3] = ACTIONS(12090),
    [aux_sym_float_literal_token4] = ACTIONS(12090),
    [sym_character_literal] = ACTIONS(12090),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12090),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12090),
    [sym__lazy_and_operator] = ACTIONS(12090),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12090),
    [sym__pipe_left_operator] = ACTIONS(12090),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12090),
    [sym__type_order_operator] = ACTIONS(12090),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5070] = {
    [ts_builtin_sym_end] = ACTIONS(12372),
    [sym__word_identifier] = ACTIONS(12370),
    [anon_sym_EQ] = ACTIONS(12370),
    [anon_sym_COMMA] = ACTIONS(12370),
    [anon_sym_COLON] = ACTIONS(12370),
    [anon_sym_begin] = ACTIONS(12370),
    [anon_sym_module] = ACTIONS(12370),
    [anon_sym_baremodule] = ACTIONS(12370),
    [anon_sym_abstract] = ACTIONS(12370),
    [anon_sym_primitive] = ACTIONS(12370),
    [anon_sym_mutable] = ACTIONS(12370),
    [anon_sym_struct] = ACTIONS(12370),
    [anon_sym_function] = ACTIONS(12370),
    [anon_sym_macro] = ACTIONS(12370),
    [anon_sym_where] = ACTIONS(12370),
    [anon_sym_quote] = ACTIONS(12370),
    [anon_sym_let] = ACTIONS(12370),
    [anon_sym_if] = ACTIONS(12370),
    [anon_sym_try] = ACTIONS(12370),
    [anon_sym_for] = ACTIONS(12370),
    [anon_sym_while] = ACTIONS(12370),
    [sym_break_statement] = ACTIONS(12370),
    [sym_continue_statement] = ACTIONS(12370),
    [anon_sym_return] = ACTIONS(12370),
    [anon_sym_const] = ACTIONS(12370),
    [anon_sym_global] = ACTIONS(12370),
    [anon_sym_local] = ACTIONS(12370),
    [anon_sym_LPAREN] = ACTIONS(12370),
    [anon_sym_RPAREN] = ACTIONS(12370),
    [anon_sym_COLON2] = ACTIONS(12370),
    [anon_sym_export] = ACTIONS(12370),
    [anon_sym_import] = ACTIONS(12370),
    [anon_sym_using] = ACTIONS(12370),
    [anon_sym_LBRACK] = ACTIONS(12370),
    [anon_sym_RBRACK] = ACTIONS(12370),
    [anon_sym_LF] = ACTIONS(12372),
    [anon_sym_in] = ACTIONS(12370),
    [anon_sym_LBRACE] = ACTIONS(12370),
    [anon_sym_SQUOTE] = ACTIONS(12418),
    [anon_sym_DOT] = ACTIONS(12420),
    [anon_sym_DOLLAR] = ACTIONS(12370),
    [anon_sym_COLON_COLON] = ACTIONS(12370),
    [anon_sym_isa] = ACTIONS(12370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12370),
    [anon_sym_QMARK] = ACTIONS(12370),
    [anon_sym_DASH_GT] = ACTIONS(12370),
    [anon_sym_AT] = ACTIONS(12370),
    [anon_sym_true] = ACTIONS(12370),
    [anon_sym_false] = ACTIONS(12370),
    [aux_sym_integer_literal_token1] = ACTIONS(12370),
    [aux_sym_integer_literal_token2] = ACTIONS(12370),
    [aux_sym_integer_literal_token3] = ACTIONS(12370),
    [aux_sym_integer_literal_token4] = ACTIONS(12370),
    [aux_sym_float_literal_token1] = ACTIONS(12370),
    [aux_sym_float_literal_token3] = ACTIONS(12370),
    [aux_sym_float_literal_token4] = ACTIONS(12370),
    [sym_character_literal] = ACTIONS(12370),
    [sym__pair_operator] = ACTIONS(12370),
    [sym__arrow_operator] = ACTIONS(12370),
    [sym__lazy_or_operator] = ACTIONS(12370),
    [sym__lazy_and_operator] = ACTIONS(12370),
    [sym__comparison_operator] = ACTIONS(12370),
    [sym__pipe_right_operator] = ACTIONS(12370),
    [sym__pipe_left_operator] = ACTIONS(12370),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12370),
    [sym__times_operator] = ACTIONS(12370),
    [sym__rational_operator] = ACTIONS(12370),
    [sym__bitshift_operator] = ACTIONS(12370),
    [sym__power_operator] = ACTIONS(12370),
    [sym__tilde_operator] = ACTIONS(12370),
    [sym__type_order_operator] = ACTIONS(12370),
    [sym__unary_operator] = ACTIONS(12370),
    [sym__unary_plus_operator] = ACTIONS(12370),
    [aux_sym__terminator_token1] = ACTIONS(12370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12422),
    [sym__immediate_bracket] = ACTIONS(12424),
    [sym__immediate_brace] = ACTIONS(12426),
    [sym__string_start] = ACTIONS(12372),
    [sym__command_start] = ACTIONS(12372),
  },
  [5071] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_else] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_DASH_GT] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5072] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_elseif] = ACTIONS(12354),
    [anon_sym_else] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__assignment_operator] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5073] = {
    [sym_identifier] = STATE(5593),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11968),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11968),
    [anon_sym_RPAREN] = ACTIONS(11968),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11968),
    [anon_sym_RBRACK] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_SEMI] = ACTIONS(11968),
    [anon_sym_LBRACE] = ACTIONS(11968),
    [anon_sym_RBRACE] = ACTIONS(11968),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11968),
    [anon_sym_COLON_COLON] = ACTIONS(11968),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11968),
    [anon_sym_QMARK] = ACTIONS(11968),
    [anon_sym_DASH_GT] = ACTIONS(11968),
    [anon_sym_AT] = ACTIONS(11968),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11968),
    [aux_sym_integer_literal_token2] = ACTIONS(11968),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11968),
    [aux_sym_float_literal_token3] = ACTIONS(11968),
    [aux_sym_float_literal_token4] = ACTIONS(11968),
    [sym_character_literal] = ACTIONS(11968),
    [sym__pair_operator] = ACTIONS(11968),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11968),
    [sym__lazy_and_operator] = ACTIONS(11968),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11968),
    [sym__pipe_left_operator] = ACTIONS(11968),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11968),
    [sym__bitshift_operator] = ACTIONS(11968),
    [sym__power_operator] = ACTIONS(11968),
    [sym__tilde_operator] = ACTIONS(11968),
    [sym__type_order_operator] = ACTIONS(11968),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [5074] = {
    [sym_identifier] = STATE(5187),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11980),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11980),
    [anon_sym_RPAREN] = ACTIONS(11980),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11980),
    [anon_sym_RBRACK] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_SEMI] = ACTIONS(11980),
    [anon_sym_LBRACE] = ACTIONS(11980),
    [anon_sym_RBRACE] = ACTIONS(11980),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11980),
    [anon_sym_COLON_COLON] = ACTIONS(11980),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11980),
    [anon_sym_QMARK] = ACTIONS(11980),
    [anon_sym_DASH_GT] = ACTIONS(11980),
    [anon_sym_AT] = ACTIONS(11980),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11980),
    [aux_sym_integer_literal_token2] = ACTIONS(11980),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11980),
    [aux_sym_float_literal_token3] = ACTIONS(11980),
    [aux_sym_float_literal_token4] = ACTIONS(11980),
    [sym_character_literal] = ACTIONS(11980),
    [sym__pair_operator] = ACTIONS(11980),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11980),
    [sym__lazy_and_operator] = ACTIONS(11980),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11980),
    [sym__pipe_left_operator] = ACTIONS(11980),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11980),
    [sym__bitshift_operator] = ACTIONS(11980),
    [sym__power_operator] = ACTIONS(11980),
    [sym__tilde_operator] = ACTIONS(11980),
    [sym__type_order_operator] = ACTIONS(11980),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [5075] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_catch] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__assignment_operator] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [5076] = {
    [sym_do_clause] = STATE(6219),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_finally] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12428),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [5077] = {
    [sym_identifier] = STATE(5625),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11986),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11986),
    [anon_sym_RPAREN] = ACTIONS(11986),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11986),
    [anon_sym_RBRACK] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_SEMI] = ACTIONS(11986),
    [anon_sym_LBRACE] = ACTIONS(11986),
    [anon_sym_RBRACE] = ACTIONS(11986),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11986),
    [anon_sym_COLON_COLON] = ACTIONS(11986),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11986),
    [anon_sym_QMARK] = ACTIONS(11986),
    [anon_sym_DASH_GT] = ACTIONS(11986),
    [anon_sym_AT] = ACTIONS(11986),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11986),
    [aux_sym_integer_literal_token2] = ACTIONS(11986),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11986),
    [aux_sym_float_literal_token3] = ACTIONS(11986),
    [aux_sym_float_literal_token4] = ACTIONS(11986),
    [sym_character_literal] = ACTIONS(11986),
    [sym__pair_operator] = ACTIONS(11986),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11986),
    [sym__lazy_and_operator] = ACTIONS(11986),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11986),
    [sym__pipe_left_operator] = ACTIONS(11986),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11986),
    [sym__bitshift_operator] = ACTIONS(11986),
    [sym__power_operator] = ACTIONS(11986),
    [sym__tilde_operator] = ACTIONS(11986),
    [sym__type_order_operator] = ACTIONS(11986),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [5078] = {
    [ts_builtin_sym_end] = ACTIONS(12082),
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_RPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_RBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [5079] = {
    [ts_builtin_sym_end] = ACTIONS(11972),
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_RBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5080] = {
    [ts_builtin_sym_end] = ACTIONS(12090),
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_RBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5081] = {
    [sym_identifier] = STATE(5628),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11990),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11990),
    [anon_sym_RPAREN] = ACTIONS(11990),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11990),
    [anon_sym_RBRACK] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_SEMI] = ACTIONS(11990),
    [anon_sym_LBRACE] = ACTIONS(11990),
    [anon_sym_RBRACE] = ACTIONS(11990),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11990),
    [anon_sym_COLON_COLON] = ACTIONS(11990),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11990),
    [anon_sym_QMARK] = ACTIONS(11990),
    [anon_sym_DASH_GT] = ACTIONS(11990),
    [anon_sym_AT] = ACTIONS(11990),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11990),
    [aux_sym_integer_literal_token2] = ACTIONS(11990),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11990),
    [aux_sym_float_literal_token3] = ACTIONS(11990),
    [aux_sym_float_literal_token4] = ACTIONS(11990),
    [sym_character_literal] = ACTIONS(11990),
    [sym__pair_operator] = ACTIONS(11990),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11990),
    [sym__lazy_and_operator] = ACTIONS(11990),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11990),
    [sym__pipe_left_operator] = ACTIONS(11990),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11990),
    [sym__bitshift_operator] = ACTIONS(11990),
    [sym__power_operator] = ACTIONS(11990),
    [sym__tilde_operator] = ACTIONS(11990),
    [sym__type_order_operator] = ACTIONS(11990),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [5082] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12386),
    [sym__immediate_command_start] = ACTIONS(12388),
  },
  [5083] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_catch] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__assignment_operator] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5084] = {
    [ts_builtin_sym_end] = ACTIONS(12044),
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_RPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_RBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5085] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_catch] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__assignment_operator] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5086] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12076),
    [sym__immediate_command_start] = ACTIONS(12078),
  },
  [5087] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12430),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12358),
    [anon_sym_DOT] = ACTIONS(12432),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12434),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12364),
    [sym__immediate_bracket] = ACTIONS(12366),
    [sym__immediate_brace] = ACTIONS(12368),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5088] = {
    [ts_builtin_sym_end] = ACTIONS(12186),
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_RPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_RBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__assignment_operator] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5089] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_DASH_GT] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [5090] = {
    [sym_do_clause] = STATE(6408),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12436),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5091] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12438),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5092] = {
    [ts_builtin_sym_end] = ACTIONS(12182),
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_RPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_RBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__assignment_operator] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5093] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12282),
    [sym__immediate_command_start] = ACTIONS(12284),
  },
  [5094] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_catch] = ACTIONS(12002),
    [anon_sym_finally] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__assignment_operator] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5095] = {
    [sym_do_clause] = STATE(6221),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12428),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5096] = {
    [sym_do_clause] = STATE(6374),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12402),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5097] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_else] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_DASH_GT] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5098] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_else] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_DASH_GT] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5099] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_finally] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__assignment_operator] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5100] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_else] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_DASH_GT] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5101] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5102] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12304),
    [anon_sym_DOT] = ACTIONS(12306),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12308),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__immediate_bracket] = ACTIONS(12312),
    [sym__immediate_brace] = ACTIONS(12314),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5103] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_finally] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__assignment_operator] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5104] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_catch] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__assignment_operator] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5105] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_elseif] = ACTIONS(12140),
    [anon_sym_else] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__assignment_operator] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5106] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_elseif] = ACTIONS(12262),
    [anon_sym_else] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__assignment_operator] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5107] = {
    [sym_do_clause] = STATE(6397),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_RPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_SEMI] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12436),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__assignment_operator] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [5108] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_catch] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__assignment_operator] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5109] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_catch] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__assignment_operator] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5110] = {
    [sym_do_clause] = STATE(6237),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_finally] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12428),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [5111] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_finally] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__assignment_operator] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [5112] = {
    [ts_builtin_sym_end] = ACTIONS(12298),
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_RPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_RBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__assignment_operator] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5113] = {
    [sym__word_identifier] = ACTIONS(12370),
    [anon_sym_EQ] = ACTIONS(12440),
    [anon_sym_COMMA] = ACTIONS(12440),
    [anon_sym_COLON] = ACTIONS(12370),
    [anon_sym_begin] = ACTIONS(12370),
    [anon_sym_module] = ACTIONS(12370),
    [anon_sym_baremodule] = ACTIONS(12370),
    [anon_sym_end] = ACTIONS(12370),
    [anon_sym_abstract] = ACTIONS(12370),
    [anon_sym_primitive] = ACTIONS(12370),
    [anon_sym_mutable] = ACTIONS(12370),
    [anon_sym_struct] = ACTIONS(12370),
    [anon_sym_function] = ACTIONS(12370),
    [anon_sym_macro] = ACTIONS(12370),
    [anon_sym_where] = ACTIONS(12370),
    [anon_sym_quote] = ACTIONS(12370),
    [anon_sym_let] = ACTIONS(12370),
    [anon_sym_if] = ACTIONS(12370),
    [anon_sym_elseif] = ACTIONS(12370),
    [anon_sym_else] = ACTIONS(12370),
    [anon_sym_try] = ACTIONS(12370),
    [anon_sym_for] = ACTIONS(12370),
    [anon_sym_while] = ACTIONS(12370),
    [sym_break_statement] = ACTIONS(12370),
    [sym_continue_statement] = ACTIONS(12370),
    [anon_sym_return] = ACTIONS(12370),
    [anon_sym_const] = ACTIONS(12370),
    [anon_sym_global] = ACTIONS(12370),
    [anon_sym_local] = ACTIONS(12370),
    [anon_sym_LPAREN] = ACTIONS(12370),
    [anon_sym_COLON2] = ACTIONS(12370),
    [anon_sym_export] = ACTIONS(12370),
    [anon_sym_import] = ACTIONS(12370),
    [anon_sym_using] = ACTIONS(12370),
    [anon_sym_LBRACK] = ACTIONS(12370),
    [anon_sym_LF] = ACTIONS(12372),
    [anon_sym_in] = ACTIONS(12370),
    [anon_sym_LBRACE] = ACTIONS(12370),
    [anon_sym_SQUOTE] = ACTIONS(12374),
    [anon_sym_DOT] = ACTIONS(12376),
    [anon_sym_DOLLAR] = ACTIONS(12370),
    [anon_sym_COLON_COLON] = ACTIONS(12370),
    [anon_sym_isa] = ACTIONS(12370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12370),
    [anon_sym_QMARK] = ACTIONS(12370),
    [anon_sym_DASH_GT] = ACTIONS(12370),
    [anon_sym_AT] = ACTIONS(12370),
    [anon_sym_true] = ACTIONS(12370),
    [anon_sym_false] = ACTIONS(12370),
    [aux_sym_integer_literal_token1] = ACTIONS(12370),
    [aux_sym_integer_literal_token2] = ACTIONS(12370),
    [aux_sym_integer_literal_token3] = ACTIONS(12370),
    [aux_sym_integer_literal_token4] = ACTIONS(12370),
    [aux_sym_float_literal_token1] = ACTIONS(12370),
    [aux_sym_float_literal_token3] = ACTIONS(12370),
    [aux_sym_float_literal_token4] = ACTIONS(12370),
    [sym_character_literal] = ACTIONS(12370),
    [sym__pair_operator] = ACTIONS(12370),
    [sym__arrow_operator] = ACTIONS(12370),
    [sym__lazy_or_operator] = ACTIONS(12370),
    [sym__lazy_and_operator] = ACTIONS(12370),
    [sym__comparison_operator] = ACTIONS(12370),
    [sym__pipe_right_operator] = ACTIONS(12370),
    [sym__pipe_left_operator] = ACTIONS(12370),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12370),
    [sym__times_operator] = ACTIONS(12370),
    [sym__rational_operator] = ACTIONS(12370),
    [sym__bitshift_operator] = ACTIONS(12370),
    [sym__power_operator] = ACTIONS(12370),
    [sym__tilde_operator] = ACTIONS(12370),
    [sym__type_order_operator] = ACTIONS(12370),
    [sym__unary_operator] = ACTIONS(12370),
    [sym__unary_plus_operator] = ACTIONS(12370),
    [aux_sym__terminator_token1] = ACTIONS(12370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12378),
    [sym__immediate_bracket] = ACTIONS(12380),
    [sym__immediate_brace] = ACTIONS(12382),
    [sym__string_start] = ACTIONS(12372),
    [sym__command_start] = ACTIONS(12372),
  },
  [5114] = {
    [sym_do_clause] = STATE(6248),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12428),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5115] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5116] = {
    [sym_do_clause] = STATE(6355),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_catch] = ACTIONS(11900),
    [anon_sym_finally] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12402),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [5117] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_elseif] = ACTIONS(12250),
    [anon_sym_else] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__assignment_operator] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5118] = {
    [ts_builtin_sym_end] = ACTIONS(12352),
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_RPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_RBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__assignment_operator] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5119] = {
    [ts_builtin_sym_end] = ACTIONS(12290),
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_RPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_RBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__assignment_operator] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5120] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_else] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_DASH_GT] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5121] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_catch] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__assignment_operator] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5122] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_catch] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__assignment_operator] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5123] = {
    [ts_builtin_sym_end] = ACTIONS(12158),
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_RPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_RBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__assignment_operator] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5124] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_elseif] = ACTIONS(12350),
    [anon_sym_else] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__assignment_operator] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5125] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_catch] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__assignment_operator] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5126] = {
    [sym_do_clause] = STATE(6381),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12436),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5127] = {
    [ts_builtin_sym_end] = ACTIONS(12040),
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_RPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_RBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5128] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12096),
    [sym__immediate_command_start] = ACTIONS(12098),
  },
  [5129] = {
    [sym_do_clause] = STATE(6379),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_RPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_SEMI] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12436),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__assignment_operator] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [5130] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_elseif] = ACTIONS(12038),
    [anon_sym_else] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5131] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5132] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_elseif] = ACTIONS(12258),
    [anon_sym_else] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__assignment_operator] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5133] = {
    [ts_builtin_sym_end] = ACTIONS(12036),
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_RPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_RBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5134] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_elseif] = ACTIONS(12254),
    [anon_sym_else] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__assignment_operator] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5135] = {
    [sym_do_clause] = STATE(6338),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12402),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5136] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_catch] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [5137] = {
    [sym_do_clause] = STATE(6235),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12406),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_DASH_GT] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [5138] = {
    [ts_builtin_sym_end] = ACTIONS(12060),
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_RBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5139] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_elseif] = ACTIONS(12180),
    [anon_sym_else] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__assignment_operator] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5140] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_elseif] = ACTIONS(12184),
    [anon_sym_else] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__assignment_operator] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5141] = {
    [ts_builtin_sym_end] = ACTIONS(12028),
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_RBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5142] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_elseif] = ACTIONS(12188),
    [anon_sym_else] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__assignment_operator] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5143] = {
    [ts_builtin_sym_end] = ACTIONS(12178),
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_RPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_RBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__assignment_operator] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5144] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_else] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_DASH_GT] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5145] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [5146] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_else] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_DASH_GT] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5147] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__assignment_operator] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [5148] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5149] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DASH_GT] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5150] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_catch] = ACTIONS(12018),
    [anon_sym_finally] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__assignment_operator] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5151] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_catch] = ACTIONS(12014),
    [anon_sym_finally] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__assignment_operator] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5152] = {
    [ts_builtin_sym_end] = ACTIONS(12032),
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_RPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_RBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [5153] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12292),
    [sym__immediate_command_start] = ACTIONS(12294),
  },
  [5154] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5155] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5156] = {
    [ts_builtin_sym_end] = ACTIONS(12324),
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_RBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__assignment_operator] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5157] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_catch] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_DASH_GT] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [5158] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_catch] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5159] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_catch] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_DASH_GT] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5160] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_catch] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_DASH_GT] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5161] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_finally] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_DASH_GT] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5162] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_else] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_DASH_GT] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5163] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_else] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_DASH_GT] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5164] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_else] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_DASH_GT] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5165] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_finally] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__assignment_operator] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5166] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_catch] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_DASH_GT] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5167] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_catch] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_DASH_GT] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5168] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_finally] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__assignment_operator] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5169] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12442),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5170] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_finally] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__assignment_operator] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5171] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12386),
    [sym__immediate_command_start] = ACTIONS(12388),
  },
  [5172] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_catch] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5173] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_finally] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__assignment_operator] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5174] = {
    [ts_builtin_sym_end] = ACTIONS(12346),
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_RPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_RBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__assignment_operator] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5175] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_catch] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_DASH_GT] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5176] = {
    [sym_do_clause] = STATE(5965),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12336),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5177] = {
    [sym__word_identifier] = ACTIONS(12370),
    [anon_sym_EQ] = ACTIONS(12370),
    [anon_sym_COMMA] = ACTIONS(12370),
    [anon_sym_COLON] = ACTIONS(12370),
    [anon_sym_begin] = ACTIONS(12370),
    [anon_sym_module] = ACTIONS(12370),
    [anon_sym_baremodule] = ACTIONS(12370),
    [anon_sym_end] = ACTIONS(12370),
    [anon_sym_abstract] = ACTIONS(12370),
    [anon_sym_primitive] = ACTIONS(12370),
    [anon_sym_mutable] = ACTIONS(12370),
    [anon_sym_struct] = ACTIONS(12370),
    [anon_sym_function] = ACTIONS(12370),
    [anon_sym_macro] = ACTIONS(12370),
    [anon_sym_where] = ACTIONS(12370),
    [anon_sym_quote] = ACTIONS(12370),
    [anon_sym_let] = ACTIONS(12370),
    [anon_sym_if] = ACTIONS(12370),
    [anon_sym_else] = ACTIONS(12370),
    [anon_sym_try] = ACTIONS(12370),
    [anon_sym_finally] = ACTIONS(12370),
    [anon_sym_for] = ACTIONS(12370),
    [anon_sym_while] = ACTIONS(12370),
    [sym_break_statement] = ACTIONS(12370),
    [sym_continue_statement] = ACTIONS(12370),
    [anon_sym_return] = ACTIONS(12370),
    [anon_sym_const] = ACTIONS(12370),
    [anon_sym_global] = ACTIONS(12370),
    [anon_sym_local] = ACTIONS(12370),
    [anon_sym_LPAREN] = ACTIONS(12370),
    [anon_sym_COLON2] = ACTIONS(12370),
    [anon_sym_export] = ACTIONS(12370),
    [anon_sym_import] = ACTIONS(12370),
    [anon_sym_using] = ACTIONS(12370),
    [anon_sym_LBRACK] = ACTIONS(12370),
    [anon_sym_LF] = ACTIONS(12372),
    [anon_sym_in] = ACTIONS(12370),
    [anon_sym_LBRACE] = ACTIONS(12370),
    [anon_sym_SQUOTE] = ACTIONS(12444),
    [anon_sym_DOT] = ACTIONS(12446),
    [anon_sym_DOLLAR] = ACTIONS(12370),
    [anon_sym_COLON_COLON] = ACTIONS(12370),
    [anon_sym_isa] = ACTIONS(12370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12370),
    [anon_sym_QMARK] = ACTIONS(12370),
    [anon_sym_DASH_GT] = ACTIONS(12370),
    [anon_sym_AT] = ACTIONS(12370),
    [anon_sym_true] = ACTIONS(12370),
    [anon_sym_false] = ACTIONS(12370),
    [aux_sym_integer_literal_token1] = ACTIONS(12370),
    [aux_sym_integer_literal_token2] = ACTIONS(12370),
    [aux_sym_integer_literal_token3] = ACTIONS(12370),
    [aux_sym_integer_literal_token4] = ACTIONS(12370),
    [aux_sym_float_literal_token1] = ACTIONS(12370),
    [aux_sym_float_literal_token3] = ACTIONS(12370),
    [aux_sym_float_literal_token4] = ACTIONS(12370),
    [sym_character_literal] = ACTIONS(12370),
    [sym__pair_operator] = ACTIONS(12370),
    [sym__arrow_operator] = ACTIONS(12370),
    [sym__lazy_or_operator] = ACTIONS(12370),
    [sym__lazy_and_operator] = ACTIONS(12370),
    [sym__comparison_operator] = ACTIONS(12370),
    [sym__pipe_right_operator] = ACTIONS(12370),
    [sym__pipe_left_operator] = ACTIONS(12370),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12370),
    [sym__times_operator] = ACTIONS(12370),
    [sym__rational_operator] = ACTIONS(12370),
    [sym__bitshift_operator] = ACTIONS(12370),
    [sym__power_operator] = ACTIONS(12370),
    [sym__tilde_operator] = ACTIONS(12370),
    [sym__type_order_operator] = ACTIONS(12370),
    [sym__unary_operator] = ACTIONS(12370),
    [sym__unary_plus_operator] = ACTIONS(12370),
    [aux_sym__terminator_token1] = ACTIONS(12370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12448),
    [sym__immediate_bracket] = ACTIONS(12450),
    [sym__immediate_brace] = ACTIONS(12452),
    [sym__string_start] = ACTIONS(12372),
    [sym__command_start] = ACTIONS(12372),
  },
  [5178] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_else] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_DASH_GT] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5179] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_catch] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__assignment_operator] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [5180] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_elseif] = ACTIONS(12214),
    [anon_sym_else] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__assignment_operator] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5181] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5182] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12454),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5183] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5184] = {
    [ts_builtin_sym_end] = ACTIONS(11972),
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_RBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5185] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_catch] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_DASH_GT] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5186] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12060),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12060),
    [anon_sym_RPAREN] = ACTIONS(12060),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12060),
    [anon_sym_RBRACK] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12060),
    [anon_sym_LBRACE] = ACTIONS(12060),
    [anon_sym_RBRACE] = ACTIONS(12060),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12060),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12060),
    [anon_sym_QMARK] = ACTIONS(12060),
    [anon_sym_DASH_GT] = ACTIONS(12082),
    [anon_sym_AT] = ACTIONS(12060),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12060),
    [aux_sym_integer_literal_token2] = ACTIONS(12060),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12060),
    [aux_sym_float_literal_token3] = ACTIONS(12060),
    [aux_sym_float_literal_token4] = ACTIONS(12060),
    [sym_character_literal] = ACTIONS(12060),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12060),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12060),
    [sym__lazy_and_operator] = ACTIONS(12060),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12060),
    [sym__pipe_left_operator] = ACTIONS(12060),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12060),
    [sym__type_order_operator] = ACTIONS(12060),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5187] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12198),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12198),
    [anon_sym_RPAREN] = ACTIONS(12198),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12198),
    [anon_sym_RBRACK] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_SEMI] = ACTIONS(12198),
    [anon_sym_LBRACE] = ACTIONS(12198),
    [anon_sym_RBRACE] = ACTIONS(12198),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12198),
    [anon_sym_COLON_COLON] = ACTIONS(12198),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12198),
    [anon_sym_QMARK] = ACTIONS(12198),
    [anon_sym_DASH_GT] = ACTIONS(12198),
    [anon_sym_AT] = ACTIONS(12198),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12198),
    [aux_sym_integer_literal_token2] = ACTIONS(12198),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12198),
    [aux_sym_float_literal_token3] = ACTIONS(12198),
    [aux_sym_float_literal_token4] = ACTIONS(12198),
    [sym_character_literal] = ACTIONS(12198),
    [sym__pair_operator] = ACTIONS(12198),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12198),
    [sym__lazy_and_operator] = ACTIONS(12198),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12198),
    [sym__pipe_left_operator] = ACTIONS(12198),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12198),
    [sym__bitshift_operator] = ACTIONS(12198),
    [sym__power_operator] = ACTIONS(12198),
    [sym__tilde_operator] = ACTIONS(12198),
    [sym__type_order_operator] = ACTIONS(12198),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5188] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_catch] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__assignment_operator] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5189] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_catch] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_DASH_GT] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5190] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_RPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_SEMI] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_DASH_GT] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5191] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_catch] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DASH_GT] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5192] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12456),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5193] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5194] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_catch] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__assignment_operator] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5195] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_catch] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__assignment_operator] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5196] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_else] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5197] = {
    [ts_builtin_sym_end] = ACTIONS(12166),
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_RPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_RBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5198] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_catch] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__assignment_operator] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5199] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_RPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_SEMI] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5200] = {
    [ts_builtin_sym_end] = ACTIONS(12340),
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_RPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_RBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5201] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_RPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_SEMI] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_DASH_GT] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5202] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12458),
    [sym__immediate_command_start] = ACTIONS(12460),
  },
  [5203] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12252),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12252),
    [anon_sym_RPAREN] = ACTIONS(12252),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12252),
    [anon_sym_RBRACK] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_SEMI] = ACTIONS(12252),
    [anon_sym_LBRACE] = ACTIONS(12252),
    [anon_sym_RBRACE] = ACTIONS(12252),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12252),
    [anon_sym_COLON_COLON] = ACTIONS(12252),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12252),
    [anon_sym_QMARK] = ACTIONS(12252),
    [anon_sym_DASH_GT] = ACTIONS(12252),
    [anon_sym_AT] = ACTIONS(12252),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12252),
    [aux_sym_integer_literal_token2] = ACTIONS(12252),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12252),
    [aux_sym_float_literal_token3] = ACTIONS(12252),
    [aux_sym_float_literal_token4] = ACTIONS(12252),
    [sym_character_literal] = ACTIONS(12252),
    [sym__pair_operator] = ACTIONS(12252),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12252),
    [sym__lazy_and_operator] = ACTIONS(12252),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12252),
    [sym__pipe_left_operator] = ACTIONS(12252),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12252),
    [sym__bitshift_operator] = ACTIONS(12252),
    [sym__power_operator] = ACTIONS(12252),
    [sym__tilde_operator] = ACTIONS(12252),
    [sym__type_order_operator] = ACTIONS(12252),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5204] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_catch] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__assignment_operator] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5205] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_DASH_GT] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5206] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5207] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_catch] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__assignment_operator] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [5208] = {
    [ts_builtin_sym_end] = ACTIONS(12344),
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_RPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_RBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5209] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_RPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_SEMI] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_DASH_GT] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5210] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_RPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_SEMI] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5211] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12212),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12212),
    [anon_sym_RPAREN] = ACTIONS(12212),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12212),
    [anon_sym_RBRACK] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_SEMI] = ACTIONS(12212),
    [anon_sym_LBRACE] = ACTIONS(12212),
    [anon_sym_RBRACE] = ACTIONS(12212),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12212),
    [anon_sym_COLON_COLON] = ACTIONS(12212),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12212),
    [anon_sym_QMARK] = ACTIONS(12212),
    [anon_sym_DASH_GT] = ACTIONS(12212),
    [anon_sym_AT] = ACTIONS(12212),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12212),
    [aux_sym_integer_literal_token2] = ACTIONS(12212),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12212),
    [aux_sym_float_literal_token3] = ACTIONS(12212),
    [aux_sym_float_literal_token4] = ACTIONS(12212),
    [sym_character_literal] = ACTIONS(12212),
    [sym__pair_operator] = ACTIONS(12212),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12212),
    [sym__lazy_and_operator] = ACTIONS(12212),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12212),
    [sym__pipe_left_operator] = ACTIONS(12212),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12212),
    [sym__bitshift_operator] = ACTIONS(12212),
    [sym__power_operator] = ACTIONS(12212),
    [sym__tilde_operator] = ACTIONS(12212),
    [sym__type_order_operator] = ACTIONS(12212),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5212] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12158),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12158),
    [anon_sym_RPAREN] = ACTIONS(12158),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12158),
    [anon_sym_RBRACK] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_SEMI] = ACTIONS(12158),
    [anon_sym_LBRACE] = ACTIONS(12158),
    [anon_sym_RBRACE] = ACTIONS(12158),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12158),
    [anon_sym_COLON_COLON] = ACTIONS(12158),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12158),
    [anon_sym_QMARK] = ACTIONS(12158),
    [anon_sym_DASH_GT] = ACTIONS(12158),
    [anon_sym_AT] = ACTIONS(12158),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12158),
    [aux_sym_integer_literal_token2] = ACTIONS(12158),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12158),
    [aux_sym_float_literal_token3] = ACTIONS(12158),
    [aux_sym_float_literal_token4] = ACTIONS(12158),
    [sym_character_literal] = ACTIONS(12158),
    [sym__pair_operator] = ACTIONS(12158),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12158),
    [sym__lazy_and_operator] = ACTIONS(12158),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12158),
    [sym__pipe_left_operator] = ACTIONS(12158),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12158),
    [sym__bitshift_operator] = ACTIONS(12158),
    [sym__power_operator] = ACTIONS(12158),
    [sym__tilde_operator] = ACTIONS(12158),
    [sym__type_order_operator] = ACTIONS(12158),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5213] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5214] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_RPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_SEMI] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [5215] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__assignment_operator] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5216] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12462),
    [anon_sym_DOT] = ACTIONS(12464),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12466),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12468),
    [sym__immediate_bracket] = ACTIONS(12470),
    [sym__immediate_brace] = ACTIONS(12472),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5217] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5218] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_RPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_SEMI] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_DASH_GT] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5219] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11928),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11928),
    [anon_sym_RPAREN] = ACTIONS(11928),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11928),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11928),
    [anon_sym_RBRACE] = ACTIONS(11928),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11928),
    [anon_sym_COLON_COLON] = ACTIONS(11928),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11928),
    [anon_sym_QMARK] = ACTIONS(11928),
    [anon_sym_DASH_GT] = ACTIONS(11928),
    [anon_sym_AT] = ACTIONS(11928),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11928),
    [aux_sym_integer_literal_token2] = ACTIONS(11928),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11928),
    [aux_sym_float_literal_token3] = ACTIONS(11928),
    [aux_sym_float_literal_token4] = ACTIONS(11928),
    [sym_character_literal] = ACTIONS(11928),
    [sym__pair_operator] = ACTIONS(11928),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11928),
    [sym__lazy_and_operator] = ACTIONS(11928),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11928),
    [sym__pipe_left_operator] = ACTIONS(11928),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11928),
    [sym__bitshift_operator] = ACTIONS(11928),
    [sym__power_operator] = ACTIONS(11928),
    [sym__tilde_operator] = ACTIONS(11928),
    [sym__type_order_operator] = ACTIONS(11928),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5220] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_RPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_SEMI] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_DASH_GT] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5221] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12172),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12172),
    [anon_sym_RPAREN] = ACTIONS(12172),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12172),
    [anon_sym_RBRACK] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_SEMI] = ACTIONS(12172),
    [anon_sym_LBRACE] = ACTIONS(12172),
    [anon_sym_RBRACE] = ACTIONS(12172),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12172),
    [anon_sym_COLON_COLON] = ACTIONS(12172),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12172),
    [anon_sym_QMARK] = ACTIONS(12172),
    [anon_sym_DASH_GT] = ACTIONS(12172),
    [anon_sym_AT] = ACTIONS(12172),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12172),
    [aux_sym_integer_literal_token2] = ACTIONS(12172),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12172),
    [aux_sym_float_literal_token3] = ACTIONS(12172),
    [aux_sym_float_literal_token4] = ACTIONS(12172),
    [sym_character_literal] = ACTIONS(12172),
    [sym__pair_operator] = ACTIONS(12172),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12172),
    [sym__lazy_and_operator] = ACTIONS(12172),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12172),
    [sym__pipe_left_operator] = ACTIONS(12172),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12172),
    [sym__bitshift_operator] = ACTIONS(12172),
    [sym__power_operator] = ACTIONS(12172),
    [sym__tilde_operator] = ACTIONS(12172),
    [sym__type_order_operator] = ACTIONS(12172),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5222] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_finally] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__assignment_operator] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5223] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_else] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5224] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_RPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_SEMI] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_DASH_GT] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [5225] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_finally] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [5226] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5227] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_catch] = ACTIONS(11974),
    [anon_sym_finally] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [5228] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_else] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5229] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__assignment_operator] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5230] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_else] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5231] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__assignment_operator] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5232] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_else] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5233] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_finally] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5234] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__assignment_operator] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5235] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_finally] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5236] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_else] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5237] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_finally] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_DASH_GT] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5238] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12266),
    [anon_sym_DOT] = ACTIONS(12394),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12396),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12272),
    [sym__immediate_bracket] = ACTIONS(12274),
    [sym__immediate_brace] = ACTIONS(12276),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5239] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__assignment_operator] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5240] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_else] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5241] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_finally] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5242] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_else] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5243] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5244] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_finally] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [5245] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__assignment_operator] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5246] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_catch] = ACTIONS(12064),
    [anon_sym_finally] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [5247] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5248] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11972),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11972),
    [anon_sym_RPAREN] = ACTIONS(11972),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11972),
    [anon_sym_RBRACK] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11972),
    [anon_sym_RBRACE] = ACTIONS(11972),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11972),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11972),
    [anon_sym_QMARK] = ACTIONS(11972),
    [anon_sym_AT] = ACTIONS(11972),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11972),
    [aux_sym_integer_literal_token2] = ACTIONS(11972),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11972),
    [aux_sym_float_literal_token3] = ACTIONS(11972),
    [aux_sym_float_literal_token4] = ACTIONS(11972),
    [sym_character_literal] = ACTIONS(11972),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11972),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11972),
    [sym__lazy_and_operator] = ACTIONS(11972),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11972),
    [sym__pipe_left_operator] = ACTIONS(11972),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11972),
    [sym__type_order_operator] = ACTIONS(11972),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5249] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__assignment_operator] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5250] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__assignment_operator] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5251] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_else] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5252] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12090),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12090),
    [anon_sym_RPAREN] = ACTIONS(12090),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12090),
    [anon_sym_RBRACK] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12090),
    [anon_sym_LBRACE] = ACTIONS(12090),
    [anon_sym_RBRACE] = ACTIONS(12090),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12090),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12090),
    [anon_sym_QMARK] = ACTIONS(12090),
    [anon_sym_AT] = ACTIONS(12090),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12090),
    [aux_sym_integer_literal_token2] = ACTIONS(12090),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12090),
    [aux_sym_float_literal_token3] = ACTIONS(12090),
    [aux_sym_float_literal_token4] = ACTIONS(12090),
    [sym_character_literal] = ACTIONS(12090),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12090),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12090),
    [sym__lazy_and_operator] = ACTIONS(12090),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12090),
    [sym__pipe_left_operator] = ACTIONS(12090),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12090),
    [sym__type_order_operator] = ACTIONS(12090),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5253] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_finally] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [5254] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_else] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5255] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_else] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5256] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_RPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_SEMI] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__assignment_operator] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [5257] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_else] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5258] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5259] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_finally] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5260] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5261] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_finally] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5262] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12304),
    [anon_sym_DOT] = ACTIONS(12414),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12416),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__immediate_bracket] = ACTIONS(12312),
    [sym__immediate_brace] = ACTIONS(12314),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5263] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_else] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [5264] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5265] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__assignment_operator] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5266] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_finally] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5267] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_else] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5268] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_DASH_GT] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5269] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_RPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_SEMI] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__assignment_operator] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [5270] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5271] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_finally] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5272] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_finally] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5273] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5274] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_DASH_GT] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5275] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__assignment_operator] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5276] = {
    [ts_builtin_sym_end] = ACTIONS(2186),
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5277] = {
    [sym__word_identifier] = ACTIONS(12474),
    [anon_sym_EQ] = ACTIONS(12474),
    [anon_sym_COMMA] = ACTIONS(12474),
    [anon_sym_COLON] = ACTIONS(12474),
    [anon_sym_begin] = ACTIONS(12474),
    [anon_sym_module] = ACTIONS(12474),
    [anon_sym_baremodule] = ACTIONS(12474),
    [anon_sym_end] = ACTIONS(12474),
    [anon_sym_abstract] = ACTIONS(12474),
    [anon_sym_primitive] = ACTIONS(12474),
    [anon_sym_mutable] = ACTIONS(12474),
    [anon_sym_struct] = ACTIONS(12474),
    [anon_sym_function] = ACTIONS(12474),
    [anon_sym_macro] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12474),
    [anon_sym_quote] = ACTIONS(12474),
    [anon_sym_let] = ACTIONS(12474),
    [anon_sym_if] = ACTIONS(12474),
    [anon_sym_else] = ACTIONS(12474),
    [anon_sym_try] = ACTIONS(12474),
    [anon_sym_finally] = ACTIONS(12474),
    [anon_sym_for] = ACTIONS(12474),
    [anon_sym_while] = ACTIONS(12474),
    [sym_break_statement] = ACTIONS(12474),
    [sym_continue_statement] = ACTIONS(12474),
    [anon_sym_return] = ACTIONS(12474),
    [anon_sym_const] = ACTIONS(12474),
    [anon_sym_global] = ACTIONS(12474),
    [anon_sym_local] = ACTIONS(12474),
    [anon_sym_LPAREN] = ACTIONS(12474),
    [anon_sym_COLON2] = ACTIONS(12474),
    [anon_sym_export] = ACTIONS(12474),
    [anon_sym_import] = ACTIONS(12474),
    [anon_sym_using] = ACTIONS(12474),
    [anon_sym_LBRACK] = ACTIONS(12474),
    [anon_sym_LF] = ACTIONS(12476),
    [anon_sym_in] = ACTIONS(12474),
    [anon_sym_LBRACE] = ACTIONS(12474),
    [anon_sym_SQUOTE] = ACTIONS(12478),
    [anon_sym_DOT] = ACTIONS(12480),
    [anon_sym_DOLLAR] = ACTIONS(12474),
    [anon_sym_COLON_COLON] = ACTIONS(12474),
    [anon_sym_isa] = ACTIONS(12474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12474),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_AT] = ACTIONS(12474),
    [anon_sym_true] = ACTIONS(12474),
    [anon_sym_false] = ACTIONS(12474),
    [aux_sym_integer_literal_token1] = ACTIONS(12474),
    [aux_sym_integer_literal_token2] = ACTIONS(12474),
    [aux_sym_integer_literal_token3] = ACTIONS(12474),
    [aux_sym_integer_literal_token4] = ACTIONS(12474),
    [aux_sym_float_literal_token1] = ACTIONS(12474),
    [aux_sym_float_literal_token3] = ACTIONS(12474),
    [aux_sym_float_literal_token4] = ACTIONS(12474),
    [sym_character_literal] = ACTIONS(12474),
    [sym__pair_operator] = ACTIONS(12474),
    [sym__arrow_operator] = ACTIONS(12474),
    [sym__lazy_or_operator] = ACTIONS(12474),
    [sym__lazy_and_operator] = ACTIONS(12474),
    [sym__comparison_operator] = ACTIONS(12474),
    [sym__pipe_right_operator] = ACTIONS(12474),
    [sym__pipe_left_operator] = ACTIONS(12474),
    [sym__ellipsis_operator] = ACTIONS(12474),
    [sym__plus_operator] = ACTIONS(12474),
    [sym__times_operator] = ACTIONS(12474),
    [sym__rational_operator] = ACTIONS(12474),
    [sym__bitshift_operator] = ACTIONS(12474),
    [sym__power_operator] = ACTIONS(12474),
    [sym__tilde_operator] = ACTIONS(12474),
    [sym__type_order_operator] = ACTIONS(12474),
    [sym__unary_operator] = ACTIONS(12474),
    [sym__unary_plus_operator] = ACTIONS(12474),
    [aux_sym__terminator_token1] = ACTIONS(12474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12482),
    [sym__immediate_bracket] = ACTIONS(12484),
    [sym__immediate_brace] = ACTIONS(12486),
    [sym__string_start] = ACTIONS(12476),
    [sym__command_start] = ACTIONS(12476),
  },
  [5278] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_else] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5279] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_else] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5280] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__assignment_operator] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5281] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12060),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12060),
    [anon_sym_RPAREN] = ACTIONS(12060),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12060),
    [anon_sym_RBRACK] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12060),
    [anon_sym_LBRACE] = ACTIONS(12060),
    [anon_sym_RBRACE] = ACTIONS(12060),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12060),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12060),
    [anon_sym_QMARK] = ACTIONS(12060),
    [anon_sym_AT] = ACTIONS(12060),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12060),
    [aux_sym_integer_literal_token2] = ACTIONS(12060),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12060),
    [aux_sym_float_literal_token3] = ACTIONS(12060),
    [aux_sym_float_literal_token4] = ACTIONS(12060),
    [sym_character_literal] = ACTIONS(12060),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12060),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12060),
    [sym__lazy_and_operator] = ACTIONS(12060),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12060),
    [sym__pipe_left_operator] = ACTIONS(12060),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12060),
    [sym__type_order_operator] = ACTIONS(12060),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5282] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_DASH_GT] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5283] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_else] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5284] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_catch] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_DASH_GT] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5285] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__assignment_operator] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [5286] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12488),
    [anon_sym_DOT] = ACTIONS(12490),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12492),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12494),
    [sym__immediate_bracket] = ACTIONS(12496),
    [sym__immediate_brace] = ACTIONS(12498),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5287] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_finally] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [5288] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5289] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_DASH_GT] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5290] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_else] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_finally] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5291] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_catch] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__assignment_operator] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5292] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_elseif] = ACTIONS(12188),
    [anon_sym_else] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5293] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_else] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5294] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5295] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_finally] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_DASH_GT] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5296] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_catch] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DASH_GT] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5297] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__assignment_operator] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5298] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_DASH_GT] = ACTIONS(12500),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12076),
    [sym__immediate_command_start] = ACTIONS(12078),
  },
  [5299] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5300] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5301] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__assignment_operator] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [5302] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5303] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5304] = {
    [sym__word_identifier] = ACTIONS(12370),
    [anon_sym_EQ] = ACTIONS(12370),
    [anon_sym_COMMA] = ACTIONS(12370),
    [anon_sym_COLON] = ACTIONS(12370),
    [anon_sym_begin] = ACTIONS(12370),
    [anon_sym_module] = ACTIONS(12370),
    [anon_sym_baremodule] = ACTIONS(12370),
    [anon_sym_abstract] = ACTIONS(12370),
    [anon_sym_primitive] = ACTIONS(12370),
    [anon_sym_mutable] = ACTIONS(12370),
    [anon_sym_struct] = ACTIONS(12370),
    [anon_sym_function] = ACTIONS(12370),
    [anon_sym_macro] = ACTIONS(12370),
    [anon_sym_where] = ACTIONS(12370),
    [anon_sym_quote] = ACTIONS(12370),
    [anon_sym_let] = ACTIONS(12370),
    [anon_sym_if] = ACTIONS(12370),
    [anon_sym_try] = ACTIONS(12370),
    [anon_sym_catch] = ACTIONS(12370),
    [anon_sym_finally] = ACTIONS(12370),
    [anon_sym_for] = ACTIONS(12370),
    [anon_sym_while] = ACTIONS(12370),
    [sym_break_statement] = ACTIONS(12370),
    [sym_continue_statement] = ACTIONS(12370),
    [anon_sym_return] = ACTIONS(12370),
    [anon_sym_const] = ACTIONS(12370),
    [anon_sym_global] = ACTIONS(12370),
    [anon_sym_local] = ACTIONS(12370),
    [anon_sym_LPAREN] = ACTIONS(12370),
    [anon_sym_COLON2] = ACTIONS(12370),
    [anon_sym_export] = ACTIONS(12370),
    [anon_sym_import] = ACTIONS(12370),
    [anon_sym_using] = ACTIONS(12370),
    [anon_sym_LBRACK] = ACTIONS(12370),
    [anon_sym_LF] = ACTIONS(12372),
    [anon_sym_in] = ACTIONS(12370),
    [anon_sym_LBRACE] = ACTIONS(12370),
    [anon_sym_SQUOTE] = ACTIONS(12502),
    [anon_sym_DOT] = ACTIONS(12504),
    [anon_sym_DOLLAR] = ACTIONS(12370),
    [anon_sym_COLON_COLON] = ACTIONS(12370),
    [anon_sym_isa] = ACTIONS(12370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12370),
    [anon_sym_QMARK] = ACTIONS(12370),
    [anon_sym_DASH_GT] = ACTIONS(12370),
    [anon_sym_AT] = ACTIONS(12370),
    [anon_sym_true] = ACTIONS(12370),
    [anon_sym_false] = ACTIONS(12370),
    [aux_sym_integer_literal_token1] = ACTIONS(12370),
    [aux_sym_integer_literal_token2] = ACTIONS(12370),
    [aux_sym_integer_literal_token3] = ACTIONS(12370),
    [aux_sym_integer_literal_token4] = ACTIONS(12370),
    [aux_sym_float_literal_token1] = ACTIONS(12370),
    [aux_sym_float_literal_token3] = ACTIONS(12370),
    [aux_sym_float_literal_token4] = ACTIONS(12370),
    [sym_character_literal] = ACTIONS(12370),
    [sym__pair_operator] = ACTIONS(12370),
    [sym__arrow_operator] = ACTIONS(12370),
    [sym__lazy_or_operator] = ACTIONS(12370),
    [sym__lazy_and_operator] = ACTIONS(12370),
    [sym__comparison_operator] = ACTIONS(12370),
    [sym__pipe_right_operator] = ACTIONS(12370),
    [sym__pipe_left_operator] = ACTIONS(12370),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12370),
    [sym__times_operator] = ACTIONS(12370),
    [sym__rational_operator] = ACTIONS(12370),
    [sym__bitshift_operator] = ACTIONS(12370),
    [sym__power_operator] = ACTIONS(12370),
    [sym__tilde_operator] = ACTIONS(12370),
    [sym__type_order_operator] = ACTIONS(12370),
    [sym__unary_operator] = ACTIONS(12370),
    [sym__unary_plus_operator] = ACTIONS(12370),
    [aux_sym__terminator_token1] = ACTIONS(12370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12506),
    [sym__immediate_bracket] = ACTIONS(12508),
    [sym__immediate_brace] = ACTIONS(12510),
    [sym__string_start] = ACTIONS(12372),
    [sym__command_start] = ACTIONS(12372),
  },
  [5305] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5306] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_catch] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__assignment_operator] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5307] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_catch] = ACTIONS(11976),
    [anon_sym_finally] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [5308] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5309] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5310] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_elseif] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5311] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_catch] = ACTIONS(12152),
    [anon_sym_finally] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_DASH_GT] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5312] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__assignment_operator] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5313] = {
    [sym__word_identifier] = ACTIONS(12440),
    [anon_sym_EQ] = ACTIONS(12440),
    [anon_sym_COMMA] = ACTIONS(12440),
    [anon_sym_COLON] = ACTIONS(12440),
    [anon_sym_begin] = ACTIONS(12440),
    [anon_sym_module] = ACTIONS(12440),
    [anon_sym_baremodule] = ACTIONS(12440),
    [anon_sym_end] = ACTIONS(12440),
    [anon_sym_abstract] = ACTIONS(12440),
    [anon_sym_primitive] = ACTIONS(12440),
    [anon_sym_mutable] = ACTIONS(12440),
    [anon_sym_struct] = ACTIONS(12440),
    [anon_sym_function] = ACTIONS(12440),
    [anon_sym_macro] = ACTIONS(12440),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_quote] = ACTIONS(12440),
    [anon_sym_let] = ACTIONS(12440),
    [anon_sym_if] = ACTIONS(12440),
    [anon_sym_elseif] = ACTIONS(12440),
    [anon_sym_else] = ACTIONS(12440),
    [anon_sym_try] = ACTIONS(12440),
    [anon_sym_for] = ACTIONS(12440),
    [anon_sym_while] = ACTIONS(12440),
    [sym_break_statement] = ACTIONS(12440),
    [sym_continue_statement] = ACTIONS(12440),
    [anon_sym_return] = ACTIONS(12440),
    [anon_sym_const] = ACTIONS(12440),
    [anon_sym_global] = ACTIONS(12440),
    [anon_sym_local] = ACTIONS(12440),
    [anon_sym_LPAREN] = ACTIONS(12440),
    [anon_sym_COLON2] = ACTIONS(12440),
    [anon_sym_export] = ACTIONS(12440),
    [anon_sym_import] = ACTIONS(12440),
    [anon_sym_using] = ACTIONS(12440),
    [anon_sym_LBRACK] = ACTIONS(12440),
    [anon_sym_LF] = ACTIONS(12512),
    [anon_sym_in] = ACTIONS(12440),
    [anon_sym_LBRACE] = ACTIONS(12440),
    [anon_sym_SQUOTE] = ACTIONS(12514),
    [anon_sym_DOT] = ACTIONS(12516),
    [anon_sym_DOLLAR] = ACTIONS(12440),
    [anon_sym_COLON_COLON] = ACTIONS(12440),
    [anon_sym_isa] = ACTIONS(12440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12440),
    [anon_sym_QMARK] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(12440),
    [anon_sym_true] = ACTIONS(12440),
    [anon_sym_false] = ACTIONS(12440),
    [aux_sym_integer_literal_token1] = ACTIONS(12440),
    [aux_sym_integer_literal_token2] = ACTIONS(12440),
    [aux_sym_integer_literal_token3] = ACTIONS(12440),
    [aux_sym_integer_literal_token4] = ACTIONS(12440),
    [aux_sym_float_literal_token1] = ACTIONS(12440),
    [aux_sym_float_literal_token3] = ACTIONS(12440),
    [aux_sym_float_literal_token4] = ACTIONS(12440),
    [sym_character_literal] = ACTIONS(12440),
    [sym__pair_operator] = ACTIONS(12440),
    [sym__arrow_operator] = ACTIONS(12440),
    [sym__lazy_or_operator] = ACTIONS(12440),
    [sym__lazy_and_operator] = ACTIONS(12440),
    [sym__comparison_operator] = ACTIONS(12440),
    [sym__pipe_right_operator] = ACTIONS(12440),
    [sym__pipe_left_operator] = ACTIONS(12440),
    [sym__ellipsis_operator] = ACTIONS(12440),
    [sym__plus_operator] = ACTIONS(12440),
    [sym__times_operator] = ACTIONS(12440),
    [sym__rational_operator] = ACTIONS(12440),
    [sym__bitshift_operator] = ACTIONS(12440),
    [sym__power_operator] = ACTIONS(12440),
    [sym__tilde_operator] = ACTIONS(12440),
    [sym__type_order_operator] = ACTIONS(12440),
    [sym__unary_operator] = ACTIONS(12440),
    [sym__unary_plus_operator] = ACTIONS(12440),
    [aux_sym__terminator_token1] = ACTIONS(12440),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12518),
    [sym__immediate_bracket] = ACTIONS(12520),
    [sym__immediate_brace] = ACTIONS(12522),
    [sym__string_start] = ACTIONS(12512),
    [sym__command_start] = ACTIONS(12512),
  },
  [5314] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_catch] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__assignment_operator] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5315] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_catch] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__assignment_operator] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5316] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_catch] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_DASH_GT] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5317] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__assignment_operator] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5318] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12524),
    [sym__immediate_command_start] = ACTIONS(12526),
  },
  [5319] = {
    [sym__word_identifier] = ACTIONS(12474),
    [anon_sym_EQ] = ACTIONS(12474),
    [anon_sym_COMMA] = ACTIONS(12474),
    [anon_sym_COLON] = ACTIONS(12474),
    [anon_sym_begin] = ACTIONS(12474),
    [anon_sym_module] = ACTIONS(12474),
    [anon_sym_baremodule] = ACTIONS(12474),
    [anon_sym_end] = ACTIONS(12474),
    [anon_sym_abstract] = ACTIONS(12474),
    [anon_sym_primitive] = ACTIONS(12474),
    [anon_sym_mutable] = ACTIONS(12474),
    [anon_sym_struct] = ACTIONS(12474),
    [anon_sym_function] = ACTIONS(12474),
    [anon_sym_macro] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12474),
    [anon_sym_quote] = ACTIONS(12474),
    [anon_sym_let] = ACTIONS(12474),
    [anon_sym_if] = ACTIONS(12474),
    [anon_sym_elseif] = ACTIONS(12474),
    [anon_sym_else] = ACTIONS(12474),
    [anon_sym_try] = ACTIONS(12474),
    [anon_sym_for] = ACTIONS(12474),
    [anon_sym_while] = ACTIONS(12474),
    [sym_break_statement] = ACTIONS(12474),
    [sym_continue_statement] = ACTIONS(12474),
    [anon_sym_return] = ACTIONS(12474),
    [anon_sym_const] = ACTIONS(12474),
    [anon_sym_global] = ACTIONS(12474),
    [anon_sym_local] = ACTIONS(12474),
    [anon_sym_LPAREN] = ACTIONS(12474),
    [anon_sym_COLON2] = ACTIONS(12474),
    [anon_sym_export] = ACTIONS(12474),
    [anon_sym_import] = ACTIONS(12474),
    [anon_sym_using] = ACTIONS(12474),
    [anon_sym_LBRACK] = ACTIONS(12474),
    [anon_sym_LF] = ACTIONS(12476),
    [anon_sym_in] = ACTIONS(12474),
    [anon_sym_LBRACE] = ACTIONS(12474),
    [anon_sym_SQUOTE] = ACTIONS(12514),
    [anon_sym_DOT] = ACTIONS(12516),
    [anon_sym_DOLLAR] = ACTIONS(12474),
    [anon_sym_COLON_COLON] = ACTIONS(12474),
    [anon_sym_isa] = ACTIONS(12474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12474),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_AT] = ACTIONS(12474),
    [anon_sym_true] = ACTIONS(12474),
    [anon_sym_false] = ACTIONS(12474),
    [aux_sym_integer_literal_token1] = ACTIONS(12474),
    [aux_sym_integer_literal_token2] = ACTIONS(12474),
    [aux_sym_integer_literal_token3] = ACTIONS(12474),
    [aux_sym_integer_literal_token4] = ACTIONS(12474),
    [aux_sym_float_literal_token1] = ACTIONS(12474),
    [aux_sym_float_literal_token3] = ACTIONS(12474),
    [aux_sym_float_literal_token4] = ACTIONS(12474),
    [sym_character_literal] = ACTIONS(12474),
    [sym__pair_operator] = ACTIONS(12474),
    [sym__arrow_operator] = ACTIONS(12474),
    [sym__lazy_or_operator] = ACTIONS(12474),
    [sym__lazy_and_operator] = ACTIONS(12474),
    [sym__comparison_operator] = ACTIONS(12474),
    [sym__pipe_right_operator] = ACTIONS(12474),
    [sym__pipe_left_operator] = ACTIONS(12474),
    [sym__ellipsis_operator] = ACTIONS(12474),
    [sym__plus_operator] = ACTIONS(12474),
    [sym__times_operator] = ACTIONS(12474),
    [sym__rational_operator] = ACTIONS(12474),
    [sym__bitshift_operator] = ACTIONS(12474),
    [sym__power_operator] = ACTIONS(12474),
    [sym__tilde_operator] = ACTIONS(12474),
    [sym__type_order_operator] = ACTIONS(12474),
    [sym__unary_operator] = ACTIONS(12474),
    [sym__unary_plus_operator] = ACTIONS(12474),
    [aux_sym__terminator_token1] = ACTIONS(12474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12518),
    [sym__immediate_bracket] = ACTIONS(12520),
    [sym__immediate_brace] = ACTIONS(12522),
    [sym__string_start] = ACTIONS(12476),
    [sym__command_start] = ACTIONS(12476),
  },
  [5320] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_else] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5321] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__assignment_operator] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5322] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5323] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12358),
    [anon_sym_DOT] = ACTIONS(12432),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12434),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12364),
    [sym__immediate_bracket] = ACTIONS(12366),
    [sym__immediate_brace] = ACTIONS(12368),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5324] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_catch] = ACTIONS(12014),
    [anon_sym_finally] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5325] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_catch] = ACTIONS(12018),
    [anon_sym_finally] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5326] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_catch] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_DASH_GT] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5327] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_catch] = ACTIONS(12002),
    [anon_sym_finally] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5328] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_catch] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_DASH_GT] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5329] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5330] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__assignment_operator] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5331] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__assignment_operator] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5332] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_else] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5333] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_catch] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__assignment_operator] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5334] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__assignment_operator] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5335] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12528),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12530),
    [anon_sym_DOT] = ACTIONS(12532),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12534),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12536),
    [sym__immediate_bracket] = ACTIONS(12538),
    [sym__immediate_brace] = ACTIONS(12540),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5336] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [5337] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DASH_GT] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5338] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_DASH_GT] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5339] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__assignment_operator] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5340] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__assignment_operator] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5341] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_else] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5342] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__assignment_operator] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5343] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_catch] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__assignment_operator] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5344] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__assignment_operator] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5345] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_catch] = ACTIONS(12048),
    [anon_sym_finally] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5346] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_catch] = ACTIONS(12024),
    [anon_sym_finally] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5347] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5348] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_catch] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__assignment_operator] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5349] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_catch] = ACTIONS(12042),
    [anon_sym_finally] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5350] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_catch] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_DASH_GT] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [5351] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5352] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__assignment_operator] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5353] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5354] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_catch] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__assignment_operator] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5355] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [5356] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__assignment_operator] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5357] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_catch] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__assignment_operator] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5358] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_finally] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_DASH_GT] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [5359] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__assignment_operator] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5360] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_catch] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_DASH_GT] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5361] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_catch] = ACTIONS(12038),
    [anon_sym_finally] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5362] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_catch] = ACTIONS(12034),
    [anon_sym_finally] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5363] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_catch] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__assignment_operator] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5364] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_catch] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_DASH_GT] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5365] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_finally] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_DASH_GT] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [5366] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_catch] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_DASH_GT] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5367] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [5368] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_catch] = ACTIONS(12030),
    [anon_sym_finally] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [5369] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5370] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11960),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12542),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11960),
    [sym__bitshift_operator] = ACTIONS(11960),
    [sym__power_operator] = ACTIONS(11960),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5371] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_catch] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__assignment_operator] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [5372] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5373] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_DASH_GT] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5374] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_DASH_GT] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5375] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_DASH_GT] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5376] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_DASH_GT] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5377] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_DASH_GT] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5378] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_DASH_GT] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5379] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_DASH_GT] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5380] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_DASH_GT] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5381] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_DASH_GT] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5382] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_DASH_GT] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5383] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5384] = {
    [sym_identifier] = STATE(6065),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [5385] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_catch] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__assignment_operator] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5386] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__assignment_operator] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [5387] = {
    [ts_builtin_sym_end] = ACTIONS(11928),
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_RBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5388] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__assignment_operator] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5389] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12544),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5390] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_DASH_GT] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [5391] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_DASH_GT] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5392] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_DASH_GT] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5393] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_DASH_GT] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5394] = {
    [sym_identifier] = STATE(6304),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_catch] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [5395] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_DASH_GT] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5396] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5397] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5398] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5399] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_DASH_GT] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5400] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_DASH_GT] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5401] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__assignment_operator] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5402] = {
    [sym_identifier] = STATE(6302),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_catch] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [5403] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_DASH_GT] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5404] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_DASH_GT] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5405] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5406] = {
    [sym_identifier] = STATE(6280),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_catch] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [5407] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [5408] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_catch] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__assignment_operator] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [5409] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_catch] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__assignment_operator] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [5410] = {
    [sym_identifier] = STATE(6279),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_catch] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [5411] = {
    [ts_builtin_sym_end] = ACTIONS(12142),
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_RPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_RBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5412] = {
    [ts_builtin_sym_end] = ACTIONS(12356),
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_RPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_RBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5413] = {
    [ts_builtin_sym_end] = ACTIONS(12352),
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_RPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_RBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5414] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_DASH_GT] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5415] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12546),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5416] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5417] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_DASH_GT] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5418] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_DASH_GT] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5419] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5420] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_catch] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__assignment_operator] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5421] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [5422] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_else] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5423] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_catch] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_DASH_GT] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [5424] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_catch] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_DASH_GT] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [5425] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_else] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5426] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5427] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12462),
    [anon_sym_DOT] = ACTIONS(12464),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12466),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12468),
    [sym__immediate_bracket] = ACTIONS(12470),
    [sym__immediate_brace] = ACTIONS(12472),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5428] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5429] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_finally] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_DASH_GT] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5430] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11928),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11928),
    [anon_sym_RPAREN] = ACTIONS(11928),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11928),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11928),
    [anon_sym_RBRACE] = ACTIONS(11928),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11928),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11928),
    [anon_sym_QMARK] = ACTIONS(11928),
    [anon_sym_AT] = ACTIONS(11928),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11928),
    [aux_sym_integer_literal_token2] = ACTIONS(11928),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11928),
    [aux_sym_float_literal_token3] = ACTIONS(11928),
    [aux_sym_float_literal_token4] = ACTIONS(11928),
    [sym_character_literal] = ACTIONS(11928),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11928),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11928),
    [sym__lazy_and_operator] = ACTIONS(11928),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11928),
    [sym__pipe_left_operator] = ACTIONS(11928),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11928),
    [sym__type_order_operator] = ACTIONS(11928),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5431] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5432] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_finally] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_DASH_GT] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5433] = {
    [ts_builtin_sym_end] = ACTIONS(12150),
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_RPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_RBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [5434] = {
    [ts_builtin_sym_end] = ACTIONS(12060),
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_RBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5435] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5436] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5437] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_catch] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_DASH_GT] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5438] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_else] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5439] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__assignment_operator] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5440] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__assignment_operator] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5441] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5442] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5443] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [5444] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5445] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12154),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12154),
    [anon_sym_RPAREN] = ACTIONS(12154),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12154),
    [anon_sym_RBRACK] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_SEMI] = ACTIONS(12154),
    [anon_sym_LBRACE] = ACTIONS(12154),
    [anon_sym_RBRACE] = ACTIONS(12154),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12154),
    [anon_sym_COLON_COLON] = ACTIONS(12154),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12154),
    [anon_sym_QMARK] = ACTIONS(12154),
    [anon_sym_DASH_GT] = ACTIONS(12154),
    [anon_sym_AT] = ACTIONS(12154),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12154),
    [aux_sym_integer_literal_token2] = ACTIONS(12154),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12154),
    [aux_sym_float_literal_token3] = ACTIONS(12154),
    [aux_sym_float_literal_token4] = ACTIONS(12154),
    [sym_character_literal] = ACTIONS(12154),
    [sym__pair_operator] = ACTIONS(12154),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12154),
    [sym__lazy_and_operator] = ACTIONS(12154),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12154),
    [sym__pipe_left_operator] = ACTIONS(12154),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12154),
    [sym__bitshift_operator] = ACTIONS(12154),
    [sym__power_operator] = ACTIONS(12154),
    [sym__tilde_operator] = ACTIONS(12154),
    [sym__type_order_operator] = ACTIONS(12154),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5446] = {
    [sym_identifier] = STATE(6051),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [5447] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_else] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5448] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12548),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5449] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_catch] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__assignment_operator] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5450] = {
    [sym_identifier] = STATE(6052),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [5451] = {
    [sym_identifier] = STATE(6064),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [5452] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12044),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12044),
    [anon_sym_RPAREN] = ACTIONS(12044),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12044),
    [anon_sym_RBRACK] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_SEMI] = ACTIONS(12044),
    [anon_sym_LBRACE] = ACTIONS(12044),
    [anon_sym_RBRACE] = ACTIONS(12044),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12044),
    [anon_sym_COLON_COLON] = ACTIONS(12044),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12044),
    [anon_sym_QMARK] = ACTIONS(12044),
    [anon_sym_AT] = ACTIONS(12044),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12044),
    [aux_sym_integer_literal_token2] = ACTIONS(12044),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12044),
    [aux_sym_float_literal_token3] = ACTIONS(12044),
    [aux_sym_float_literal_token4] = ACTIONS(12044),
    [sym_character_literal] = ACTIONS(12044),
    [sym__pair_operator] = ACTIONS(12044),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12044),
    [sym__lazy_and_operator] = ACTIONS(12044),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12044),
    [sym__pipe_left_operator] = ACTIONS(12044),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12044),
    [sym__bitshift_operator] = ACTIONS(12044),
    [sym__power_operator] = ACTIONS(12044),
    [sym__tilde_operator] = ACTIONS(12044),
    [sym__type_order_operator] = ACTIONS(12044),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5453] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12550),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5454] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_finally] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_DASH_GT] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [5455] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12032),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12032),
    [anon_sym_RPAREN] = ACTIONS(12032),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12032),
    [anon_sym_RBRACK] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_SEMI] = ACTIONS(12032),
    [anon_sym_LBRACE] = ACTIONS(12032),
    [anon_sym_RBRACE] = ACTIONS(12032),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12032),
    [anon_sym_COLON_COLON] = ACTIONS(12032),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12032),
    [anon_sym_QMARK] = ACTIONS(12032),
    [anon_sym_AT] = ACTIONS(12032),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12032),
    [aux_sym_integer_literal_token2] = ACTIONS(12032),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12032),
    [aux_sym_float_literal_token3] = ACTIONS(12032),
    [aux_sym_float_literal_token4] = ACTIONS(12032),
    [sym_character_literal] = ACTIONS(12032),
    [sym__pair_operator] = ACTIONS(12032),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12032),
    [sym__lazy_and_operator] = ACTIONS(12032),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12032),
    [sym__pipe_left_operator] = ACTIONS(12032),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12032),
    [sym__bitshift_operator] = ACTIONS(12032),
    [sym__power_operator] = ACTIONS(12032),
    [sym__tilde_operator] = ACTIONS(12032),
    [sym__type_order_operator] = ACTIONS(12032),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [5456] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5457] = {
    [sym_identifier] = STATE(6094),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_RPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_SEMI] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__assignment_operator] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [5458] = {
    [sym_identifier] = STATE(6095),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_RPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_SEMI] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__assignment_operator] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [5459] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__assignment_operator] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5460] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5461] = {
    [sym_identifier] = STATE(6104),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_RPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_SEMI] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__assignment_operator] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [5462] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5463] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12240),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12240),
    [anon_sym_RPAREN] = ACTIONS(12240),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12240),
    [anon_sym_RBRACK] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_SEMI] = ACTIONS(12240),
    [anon_sym_LBRACE] = ACTIONS(12240),
    [anon_sym_RBRACE] = ACTIONS(12240),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12240),
    [anon_sym_COLON_COLON] = ACTIONS(12240),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12240),
    [anon_sym_QMARK] = ACTIONS(12240),
    [anon_sym_DASH_GT] = ACTIONS(12240),
    [anon_sym_AT] = ACTIONS(12240),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12240),
    [aux_sym_integer_literal_token2] = ACTIONS(12240),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12240),
    [aux_sym_float_literal_token3] = ACTIONS(12240),
    [aux_sym_float_literal_token4] = ACTIONS(12240),
    [sym_character_literal] = ACTIONS(12240),
    [sym__pair_operator] = ACTIONS(12240),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12240),
    [sym__lazy_and_operator] = ACTIONS(12240),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12240),
    [sym__pipe_left_operator] = ACTIONS(12240),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12240),
    [sym__bitshift_operator] = ACTIONS(12240),
    [sym__power_operator] = ACTIONS(12240),
    [sym__tilde_operator] = ACTIONS(12240),
    [sym__type_order_operator] = ACTIONS(12240),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5464] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5465] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12552),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12462),
    [anon_sym_DOT] = ACTIONS(12554),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12556),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12468),
    [sym__immediate_bracket] = ACTIONS(12470),
    [sym__immediate_brace] = ACTIONS(12472),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5466] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12036),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12036),
    [anon_sym_RPAREN] = ACTIONS(12036),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12036),
    [anon_sym_RBRACK] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_SEMI] = ACTIONS(12036),
    [anon_sym_LBRACE] = ACTIONS(12036),
    [anon_sym_RBRACE] = ACTIONS(12036),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12036),
    [anon_sym_COLON_COLON] = ACTIONS(12036),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12036),
    [anon_sym_QMARK] = ACTIONS(12036),
    [anon_sym_AT] = ACTIONS(12036),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12036),
    [aux_sym_integer_literal_token2] = ACTIONS(12036),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12036),
    [aux_sym_float_literal_token3] = ACTIONS(12036),
    [aux_sym_float_literal_token4] = ACTIONS(12036),
    [sym_character_literal] = ACTIONS(12036),
    [sym__pair_operator] = ACTIONS(12036),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12036),
    [sym__lazy_and_operator] = ACTIONS(12036),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12036),
    [sym__pipe_left_operator] = ACTIONS(12036),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12036),
    [sym__bitshift_operator] = ACTIONS(12036),
    [sym__power_operator] = ACTIONS(12036),
    [sym__tilde_operator] = ACTIONS(12036),
    [sym__type_order_operator] = ACTIONS(12036),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5467] = {
    [sym_identifier] = STATE(6241),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_DASH_GT] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [5468] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12040),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12040),
    [anon_sym_RPAREN] = ACTIONS(12040),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12040),
    [anon_sym_RBRACK] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_SEMI] = ACTIONS(12040),
    [anon_sym_LBRACE] = ACTIONS(12040),
    [anon_sym_RBRACE] = ACTIONS(12040),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12040),
    [anon_sym_COLON_COLON] = ACTIONS(12040),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12040),
    [anon_sym_QMARK] = ACTIONS(12040),
    [anon_sym_AT] = ACTIONS(12040),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12040),
    [aux_sym_integer_literal_token2] = ACTIONS(12040),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12040),
    [aux_sym_float_literal_token3] = ACTIONS(12040),
    [aux_sym_float_literal_token4] = ACTIONS(12040),
    [sym_character_literal] = ACTIONS(12040),
    [sym__pair_operator] = ACTIONS(12040),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12040),
    [sym__lazy_and_operator] = ACTIONS(12040),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12040),
    [sym__pipe_left_operator] = ACTIONS(12040),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12040),
    [sym__bitshift_operator] = ACTIONS(12040),
    [sym__power_operator] = ACTIONS(12040),
    [sym__tilde_operator] = ACTIONS(12040),
    [sym__type_order_operator] = ACTIONS(12040),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5469] = {
    [sym_identifier] = STATE(6105),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_RPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_SEMI] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__assignment_operator] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [5470] = {
    [sym_identifier] = STATE(6240),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_DASH_GT] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [5471] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5472] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_catch] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_DASH_GT] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5473] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5474] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__assignment_operator] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5475] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__assignment_operator] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5476] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12046),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12046),
    [anon_sym_RPAREN] = ACTIONS(12046),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12046),
    [anon_sym_RBRACK] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_SEMI] = ACTIONS(12046),
    [anon_sym_LBRACE] = ACTIONS(12046),
    [anon_sym_RBRACE] = ACTIONS(12046),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12046),
    [anon_sym_COLON_COLON] = ACTIONS(12046),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12046),
    [anon_sym_QMARK] = ACTIONS(12046),
    [anon_sym_AT] = ACTIONS(12046),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12046),
    [aux_sym_integer_literal_token2] = ACTIONS(12046),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12046),
    [aux_sym_float_literal_token3] = ACTIONS(12046),
    [aux_sym_float_literal_token4] = ACTIONS(12046),
    [sym_character_literal] = ACTIONS(12046),
    [sym__pair_operator] = ACTIONS(12046),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12046),
    [sym__lazy_and_operator] = ACTIONS(12046),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12046),
    [sym__pipe_left_operator] = ACTIONS(12046),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12046),
    [sym__bitshift_operator] = ACTIONS(12046),
    [sym__power_operator] = ACTIONS(12046),
    [sym__tilde_operator] = ACTIONS(12046),
    [sym__type_order_operator] = ACTIONS(12046),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5477] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12050),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12050),
    [anon_sym_RPAREN] = ACTIONS(12050),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12050),
    [anon_sym_RBRACK] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_SEMI] = ACTIONS(12050),
    [anon_sym_LBRACE] = ACTIONS(12050),
    [anon_sym_RBRACE] = ACTIONS(12050),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12050),
    [anon_sym_COLON_COLON] = ACTIONS(12050),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12050),
    [anon_sym_QMARK] = ACTIONS(12050),
    [anon_sym_AT] = ACTIONS(12050),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12050),
    [aux_sym_integer_literal_token2] = ACTIONS(12050),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12050),
    [aux_sym_float_literal_token3] = ACTIONS(12050),
    [aux_sym_float_literal_token4] = ACTIONS(12050),
    [sym_character_literal] = ACTIONS(12050),
    [sym__pair_operator] = ACTIONS(12050),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12050),
    [sym__lazy_and_operator] = ACTIONS(12050),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12050),
    [sym__pipe_left_operator] = ACTIONS(12050),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12050),
    [sym__bitshift_operator] = ACTIONS(12050),
    [sym__power_operator] = ACTIONS(12050),
    [sym__tilde_operator] = ACTIONS(12050),
    [sym__type_order_operator] = ACTIONS(12050),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5478] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_catch] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__assignment_operator] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5479] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_elseif] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5480] = {
    [sym_identifier] = STATE(6224),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_DASH_GT] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [5481] = {
    [sym_identifier] = STATE(6222),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_DASH_GT] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [5482] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_catch] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__assignment_operator] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5483] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5484] = {
    [sym_identifier] = STATE(6372),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_RPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_SEMI] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_DASH_GT] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [5485] = {
    [sym_identifier] = STATE(6373),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_RPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_SEMI] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_DASH_GT] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [5486] = {
    [sym_identifier] = STATE(6383),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_RPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_SEMI] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_DASH_GT] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [5487] = {
    [sym_identifier] = STATE(6387),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_RPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_SEMI] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_DASH_GT] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [5488] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12004),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12004),
    [anon_sym_RPAREN] = ACTIONS(12004),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12004),
    [anon_sym_RBRACK] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_SEMI] = ACTIONS(12004),
    [anon_sym_LBRACE] = ACTIONS(12004),
    [anon_sym_RBRACE] = ACTIONS(12004),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12004),
    [anon_sym_COLON_COLON] = ACTIONS(12004),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12004),
    [anon_sym_QMARK] = ACTIONS(12004),
    [anon_sym_AT] = ACTIONS(12004),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12004),
    [aux_sym_integer_literal_token2] = ACTIONS(12004),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12004),
    [aux_sym_float_literal_token3] = ACTIONS(12004),
    [aux_sym_float_literal_token4] = ACTIONS(12004),
    [sym_character_literal] = ACTIONS(12004),
    [sym__pair_operator] = ACTIONS(12004),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12004),
    [sym__lazy_and_operator] = ACTIONS(12004),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12004),
    [sym__pipe_left_operator] = ACTIONS(12004),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12004),
    [sym__bitshift_operator] = ACTIONS(12004),
    [sym__power_operator] = ACTIONS(12004),
    [sym__tilde_operator] = ACTIONS(12004),
    [sym__type_order_operator] = ACTIONS(12004),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5489] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [5490] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12016),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12016),
    [anon_sym_RPAREN] = ACTIONS(12016),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12016),
    [anon_sym_RBRACK] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_SEMI] = ACTIONS(12016),
    [anon_sym_LBRACE] = ACTIONS(12016),
    [anon_sym_RBRACE] = ACTIONS(12016),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12016),
    [anon_sym_COLON_COLON] = ACTIONS(12016),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12016),
    [anon_sym_QMARK] = ACTIONS(12016),
    [anon_sym_AT] = ACTIONS(12016),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12016),
    [aux_sym_integer_literal_token2] = ACTIONS(12016),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12016),
    [aux_sym_float_literal_token3] = ACTIONS(12016),
    [aux_sym_float_literal_token4] = ACTIONS(12016),
    [sym_character_literal] = ACTIONS(12016),
    [sym__pair_operator] = ACTIONS(12016),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12016),
    [sym__lazy_and_operator] = ACTIONS(12016),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12016),
    [sym__pipe_left_operator] = ACTIONS(12016),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12016),
    [sym__bitshift_operator] = ACTIONS(12016),
    [sym__power_operator] = ACTIONS(12016),
    [sym__tilde_operator] = ACTIONS(12016),
    [sym__type_order_operator] = ACTIONS(12016),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5491] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12012),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12012),
    [anon_sym_RPAREN] = ACTIONS(12012),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12012),
    [anon_sym_RBRACK] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_SEMI] = ACTIONS(12012),
    [anon_sym_LBRACE] = ACTIONS(12012),
    [anon_sym_RBRACE] = ACTIONS(12012),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12012),
    [anon_sym_COLON_COLON] = ACTIONS(12012),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12012),
    [anon_sym_QMARK] = ACTIONS(12012),
    [anon_sym_AT] = ACTIONS(12012),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12012),
    [aux_sym_integer_literal_token2] = ACTIONS(12012),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12012),
    [aux_sym_float_literal_token3] = ACTIONS(12012),
    [aux_sym_float_literal_token4] = ACTIONS(12012),
    [sym_character_literal] = ACTIONS(12012),
    [sym__pair_operator] = ACTIONS(12012),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12012),
    [sym__lazy_and_operator] = ACTIONS(12012),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12012),
    [sym__pipe_left_operator] = ACTIONS(12012),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12012),
    [sym__bitshift_operator] = ACTIONS(12012),
    [sym__power_operator] = ACTIONS(12012),
    [sym__tilde_operator] = ACTIONS(12012),
    [sym__type_order_operator] = ACTIONS(12012),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5492] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_catch] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_DASH_GT] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5493] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [5494] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__assignment_operator] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5495] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__assignment_operator] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5496] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__assignment_operator] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5497] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12330),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12330),
    [anon_sym_RPAREN] = ACTIONS(12330),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12330),
    [anon_sym_RBRACK] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12330),
    [anon_sym_RBRACE] = ACTIONS(12330),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12330),
    [anon_sym_COLON_COLON] = ACTIONS(12330),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12330),
    [anon_sym_QMARK] = ACTIONS(12330),
    [anon_sym_DASH_GT] = ACTIONS(12330),
    [anon_sym_AT] = ACTIONS(12330),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12330),
    [aux_sym_integer_literal_token2] = ACTIONS(12330),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12330),
    [aux_sym_float_literal_token3] = ACTIONS(12330),
    [aux_sym_float_literal_token4] = ACTIONS(12330),
    [sym_character_literal] = ACTIONS(12330),
    [sym__pair_operator] = ACTIONS(12330),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12330),
    [sym__lazy_and_operator] = ACTIONS(12330),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12330),
    [sym__pipe_left_operator] = ACTIONS(12330),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12330),
    [sym__bitshift_operator] = ACTIONS(12330),
    [sym__power_operator] = ACTIONS(12330),
    [sym__tilde_operator] = ACTIONS(12330),
    [sym__type_order_operator] = ACTIONS(12330),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [5498] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12320),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12320),
    [anon_sym_RPAREN] = ACTIONS(12320),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12320),
    [anon_sym_RBRACK] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_SEMI] = ACTIONS(12320),
    [anon_sym_LBRACE] = ACTIONS(12320),
    [anon_sym_RBRACE] = ACTIONS(12320),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12320),
    [anon_sym_COLON_COLON] = ACTIONS(12320),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12320),
    [anon_sym_QMARK] = ACTIONS(12320),
    [anon_sym_DASH_GT] = ACTIONS(12320),
    [anon_sym_AT] = ACTIONS(12320),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12320),
    [aux_sym_integer_literal_token2] = ACTIONS(12320),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12320),
    [aux_sym_float_literal_token3] = ACTIONS(12320),
    [aux_sym_float_literal_token4] = ACTIONS(12320),
    [sym_character_literal] = ACTIONS(12320),
    [sym__pair_operator] = ACTIONS(12320),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12320),
    [sym__lazy_and_operator] = ACTIONS(12320),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12320),
    [sym__pipe_left_operator] = ACTIONS(12320),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12320),
    [sym__bitshift_operator] = ACTIONS(12320),
    [sym__power_operator] = ACTIONS(12320),
    [sym__tilde_operator] = ACTIONS(12320),
    [sym__type_order_operator] = ACTIONS(12320),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [5499] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11882),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11882),
    [anon_sym_RPAREN] = ACTIONS(11882),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11882),
    [anon_sym_RBRACK] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11882),
    [anon_sym_LBRACE] = ACTIONS(11882),
    [anon_sym_RBRACE] = ACTIONS(11882),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11882),
    [anon_sym_COLON_COLON] = ACTIONS(11882),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11882),
    [anon_sym_QMARK] = ACTIONS(11882),
    [anon_sym_DASH_GT] = ACTIONS(11882),
    [anon_sym_AT] = ACTIONS(11882),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11882),
    [aux_sym_integer_literal_token2] = ACTIONS(11882),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11882),
    [aux_sym_float_literal_token3] = ACTIONS(11882),
    [aux_sym_float_literal_token4] = ACTIONS(11882),
    [sym_character_literal] = ACTIONS(11882),
    [sym__pair_operator] = ACTIONS(11882),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11882),
    [sym__lazy_and_operator] = ACTIONS(11882),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11882),
    [sym__pipe_left_operator] = ACTIONS(11882),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11882),
    [sym__bitshift_operator] = ACTIONS(11882),
    [sym__power_operator] = ACTIONS(11882),
    [sym__tilde_operator] = ACTIONS(11882),
    [sym__type_order_operator] = ACTIONS(11882),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [5500] = {
    [ts_builtin_sym_end] = ACTIONS(11934),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_RBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5501] = {
    [ts_builtin_sym_end] = ACTIONS(11882),
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_RBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [5502] = {
    [ts_builtin_sym_end] = ACTIONS(12320),
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_RPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_RBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [5503] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11934),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11934),
    [anon_sym_RPAREN] = ACTIONS(11934),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11934),
    [anon_sym_RBRACK] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11934),
    [anon_sym_LBRACE] = ACTIONS(11934),
    [anon_sym_RBRACE] = ACTIONS(11934),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11934),
    [anon_sym_COLON_COLON] = ACTIONS(11934),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11934),
    [anon_sym_QMARK] = ACTIONS(11934),
    [anon_sym_DASH_GT] = ACTIONS(11934),
    [anon_sym_AT] = ACTIONS(11934),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11934),
    [aux_sym_integer_literal_token2] = ACTIONS(11934),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11934),
    [aux_sym_float_literal_token3] = ACTIONS(11934),
    [aux_sym_float_literal_token4] = ACTIONS(11934),
    [sym_character_literal] = ACTIONS(11934),
    [sym__pair_operator] = ACTIONS(11934),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11934),
    [sym__lazy_and_operator] = ACTIONS(11934),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11934),
    [sym__pipe_left_operator] = ACTIONS(11934),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11934),
    [sym__bitshift_operator] = ACTIONS(11934),
    [sym__power_operator] = ACTIONS(11934),
    [sym__tilde_operator] = ACTIONS(11934),
    [sym__type_order_operator] = ACTIONS(11934),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5504] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_DASH_GT] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2186),
    [aux_sym_integer_literal_token2] = ACTIONS(2186),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2186),
    [aux_sym_float_literal_token3] = ACTIONS(2186),
    [aux_sym_float_literal_token4] = ACTIONS(2186),
    [sym_character_literal] = ACTIONS(2186),
    [sym__pair_operator] = ACTIONS(2186),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2186),
    [sym__pipe_left_operator] = ACTIONS(2186),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2186),
    [sym__bitshift_operator] = ACTIONS(2186),
    [sym__power_operator] = ACTIONS(2186),
    [sym__tilde_operator] = ACTIONS(2186),
    [sym__type_order_operator] = ACTIONS(2186),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5505] = {
    [ts_builtin_sym_end] = ACTIONS(12330),
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_RPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_RBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [5506] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_DASH_GT] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5507] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_DASH_GT] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5508] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_catch] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__assignment_operator] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5509] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_DASH_GT] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5510] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_finally] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_DASH_GT] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5511] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_catch] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_DASH_GT] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5512] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_catch] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__assignment_operator] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5513] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_catch] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_DASH_GT] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5514] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_catch] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__assignment_operator] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5515] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_catch] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__assignment_operator] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5516] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5517] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(12052),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(12052),
    [anon_sym_RPAREN] = ACTIONS(12052),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(12052),
    [anon_sym_RBRACK] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_SEMI] = ACTIONS(12052),
    [anon_sym_LBRACE] = ACTIONS(12052),
    [anon_sym_RBRACE] = ACTIONS(12052),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(12052),
    [anon_sym_COLON_COLON] = ACTIONS(12052),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12052),
    [anon_sym_QMARK] = ACTIONS(12052),
    [anon_sym_AT] = ACTIONS(12052),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(12052),
    [aux_sym_integer_literal_token2] = ACTIONS(12052),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(12052),
    [aux_sym_float_literal_token3] = ACTIONS(12052),
    [aux_sym_float_literal_token4] = ACTIONS(12052),
    [sym_character_literal] = ACTIONS(12052),
    [sym__pair_operator] = ACTIONS(12052),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(12052),
    [sym__lazy_and_operator] = ACTIONS(12052),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(12052),
    [sym__pipe_left_operator] = ACTIONS(12052),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(12052),
    [sym__bitshift_operator] = ACTIONS(12052),
    [sym__power_operator] = ACTIONS(12052),
    [sym__tilde_operator] = ACTIONS(12052),
    [sym__type_order_operator] = ACTIONS(12052),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [5518] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5519] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12166),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12166),
    [anon_sym_RPAREN] = ACTIONS(12166),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12166),
    [anon_sym_RBRACK] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_SEMI] = ACTIONS(12166),
    [anon_sym_LBRACE] = ACTIONS(12166),
    [anon_sym_RBRACE] = ACTIONS(12166),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12166),
    [anon_sym_COLON_COLON] = ACTIONS(12166),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12166),
    [anon_sym_QMARK] = ACTIONS(12166),
    [anon_sym_DASH_GT] = ACTIONS(12166),
    [anon_sym_AT] = ACTIONS(12166),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12166),
    [aux_sym_integer_literal_token2] = ACTIONS(12166),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12166),
    [aux_sym_float_literal_token3] = ACTIONS(12166),
    [aux_sym_float_literal_token4] = ACTIONS(12166),
    [sym_character_literal] = ACTIONS(12166),
    [sym__pair_operator] = ACTIONS(12166),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12166),
    [sym__lazy_and_operator] = ACTIONS(12166),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12166),
    [sym__pipe_left_operator] = ACTIONS(12166),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12166),
    [sym__bitshift_operator] = ACTIONS(12166),
    [sym__power_operator] = ACTIONS(12166),
    [sym__tilde_operator] = ACTIONS(12166),
    [sym__type_order_operator] = ACTIONS(12166),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5520] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_finally] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_DASH_GT] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5521] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12340),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12340),
    [anon_sym_RPAREN] = ACTIONS(12340),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12340),
    [anon_sym_RBRACK] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_SEMI] = ACTIONS(12340),
    [anon_sym_LBRACE] = ACTIONS(12340),
    [anon_sym_RBRACE] = ACTIONS(12340),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12340),
    [anon_sym_COLON_COLON] = ACTIONS(12340),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12340),
    [anon_sym_QMARK] = ACTIONS(12340),
    [anon_sym_DASH_GT] = ACTIONS(12340),
    [anon_sym_AT] = ACTIONS(12340),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12340),
    [aux_sym_integer_literal_token2] = ACTIONS(12340),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12340),
    [aux_sym_float_literal_token3] = ACTIONS(12340),
    [aux_sym_float_literal_token4] = ACTIONS(12340),
    [sym_character_literal] = ACTIONS(12340),
    [sym__pair_operator] = ACTIONS(12340),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12340),
    [sym__lazy_and_operator] = ACTIONS(12340),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12340),
    [sym__pipe_left_operator] = ACTIONS(12340),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12340),
    [sym__bitshift_operator] = ACTIONS(12340),
    [sym__power_operator] = ACTIONS(12340),
    [sym__tilde_operator] = ACTIONS(12340),
    [sym__type_order_operator] = ACTIONS(12340),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5522] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_catch] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_DASH_GT] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5523] = {
    [ts_builtin_sym_end] = ACTIONS(12316),
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_RPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_RBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5524] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_catch] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__assignment_operator] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5525] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_catch] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__assignment_operator] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5526] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_finally] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_DASH_GT] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5527] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_DASH_GT] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5528] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5529] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12346),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12346),
    [anon_sym_RPAREN] = ACTIONS(12346),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12346),
    [anon_sym_RBRACK] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(12346),
    [anon_sym_LBRACE] = ACTIONS(12346),
    [anon_sym_RBRACE] = ACTIONS(12346),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12346),
    [anon_sym_COLON_COLON] = ACTIONS(12346),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12346),
    [anon_sym_QMARK] = ACTIONS(12346),
    [anon_sym_DASH_GT] = ACTIONS(12346),
    [anon_sym_AT] = ACTIONS(12346),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12346),
    [aux_sym_integer_literal_token2] = ACTIONS(12346),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12346),
    [aux_sym_float_literal_token3] = ACTIONS(12346),
    [aux_sym_float_literal_token4] = ACTIONS(12346),
    [sym_character_literal] = ACTIONS(12346),
    [sym__pair_operator] = ACTIONS(12346),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12346),
    [sym__lazy_and_operator] = ACTIONS(12346),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12346),
    [sym__pipe_left_operator] = ACTIONS(12346),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12346),
    [sym__bitshift_operator] = ACTIONS(12346),
    [sym__power_operator] = ACTIONS(12346),
    [sym__tilde_operator] = ACTIONS(12346),
    [sym__type_order_operator] = ACTIONS(12346),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5530] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_catch] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_DASH_GT] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5531] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_DASH_GT] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5532] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_catch] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_DASH_GT] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5533] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_else] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5534] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_catch] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_DASH_GT] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5535] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_else] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5536] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_elseif] = ACTIONS(12152),
    [anon_sym_else] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5537] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5538] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12150),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12150),
    [anon_sym_RPAREN] = ACTIONS(12150),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12150),
    [anon_sym_RBRACK] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_SEMI] = ACTIONS(12150),
    [anon_sym_LBRACE] = ACTIONS(12150),
    [anon_sym_RBRACE] = ACTIONS(12150),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12150),
    [anon_sym_COLON_COLON] = ACTIONS(12150),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12150),
    [anon_sym_QMARK] = ACTIONS(12150),
    [anon_sym_DASH_GT] = ACTIONS(12150),
    [anon_sym_AT] = ACTIONS(12150),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12150),
    [aux_sym_integer_literal_token2] = ACTIONS(12150),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12150),
    [aux_sym_float_literal_token3] = ACTIONS(12150),
    [aux_sym_float_literal_token4] = ACTIONS(12150),
    [sym_character_literal] = ACTIONS(12150),
    [sym__pair_operator] = ACTIONS(12150),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12150),
    [sym__lazy_and_operator] = ACTIONS(12150),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12150),
    [sym__pipe_left_operator] = ACTIONS(12150),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12150),
    [sym__bitshift_operator] = ACTIONS(12150),
    [sym__power_operator] = ACTIONS(12150),
    [sym__tilde_operator] = ACTIONS(12150),
    [sym__type_order_operator] = ACTIONS(12150),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [5539] = {
    [ts_builtin_sym_end] = ACTIONS(11894),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_RBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5540] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11894),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11894),
    [anon_sym_RPAREN] = ACTIONS(11894),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11894),
    [anon_sym_RBRACK] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11894),
    [anon_sym_RBRACE] = ACTIONS(11894),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11894),
    [anon_sym_COLON_COLON] = ACTIONS(11894),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11894),
    [anon_sym_QMARK] = ACTIONS(11894),
    [anon_sym_DASH_GT] = ACTIONS(11894),
    [anon_sym_AT] = ACTIONS(11894),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11894),
    [aux_sym_integer_literal_token2] = ACTIONS(11894),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11894),
    [aux_sym_float_literal_token3] = ACTIONS(11894),
    [aux_sym_float_literal_token4] = ACTIONS(11894),
    [sym_character_literal] = ACTIONS(11894),
    [sym__pair_operator] = ACTIONS(11894),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11894),
    [sym__lazy_and_operator] = ACTIONS(11894),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11894),
    [sym__pipe_left_operator] = ACTIONS(11894),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11894),
    [sym__bitshift_operator] = ACTIONS(11894),
    [sym__power_operator] = ACTIONS(11894),
    [sym__tilde_operator] = ACTIONS(11894),
    [sym__type_order_operator] = ACTIONS(11894),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5541] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12324),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12324),
    [anon_sym_RPAREN] = ACTIONS(12324),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12324),
    [anon_sym_RBRACK] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_SEMI] = ACTIONS(12324),
    [anon_sym_LBRACE] = ACTIONS(12324),
    [anon_sym_RBRACE] = ACTIONS(12324),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12324),
    [anon_sym_COLON_COLON] = ACTIONS(12324),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12324),
    [anon_sym_QMARK] = ACTIONS(12324),
    [anon_sym_DASH_GT] = ACTIONS(12324),
    [anon_sym_AT] = ACTIONS(12324),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12324),
    [aux_sym_integer_literal_token2] = ACTIONS(12324),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12324),
    [aux_sym_float_literal_token3] = ACTIONS(12324),
    [aux_sym_float_literal_token4] = ACTIONS(12324),
    [sym_character_literal] = ACTIONS(12324),
    [sym__pair_operator] = ACTIONS(12324),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12324),
    [sym__lazy_and_operator] = ACTIONS(12324),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12324),
    [sym__pipe_left_operator] = ACTIONS(12324),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12324),
    [sym__bitshift_operator] = ACTIONS(12324),
    [sym__power_operator] = ACTIONS(12324),
    [sym__tilde_operator] = ACTIONS(12324),
    [sym__type_order_operator] = ACTIONS(12324),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5542] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11960),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_DASH_GT] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11960),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11960),
    [sym__bitshift_operator] = ACTIONS(11960),
    [sym__power_operator] = ACTIONS(11960),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5543] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_DASH_GT] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5544] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_DASH_GT] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5545] = {
    [ts_builtin_sym_end] = ACTIONS(12324),
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_RBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5546] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_catch] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__assignment_operator] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5547] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_catch] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_DASH_GT] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5548] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12142),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12142),
    [anon_sym_RPAREN] = ACTIONS(12142),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12142),
    [anon_sym_RBRACK] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_SEMI] = ACTIONS(12142),
    [anon_sym_LBRACE] = ACTIONS(12142),
    [anon_sym_RBRACE] = ACTIONS(12142),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12142),
    [anon_sym_COLON_COLON] = ACTIONS(12142),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12142),
    [anon_sym_QMARK] = ACTIONS(12142),
    [anon_sym_DASH_GT] = ACTIONS(12142),
    [anon_sym_AT] = ACTIONS(12142),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12142),
    [aux_sym_integer_literal_token2] = ACTIONS(12142),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12142),
    [aux_sym_float_literal_token3] = ACTIONS(12142),
    [aux_sym_float_literal_token4] = ACTIONS(12142),
    [sym_character_literal] = ACTIONS(12142),
    [sym__pair_operator] = ACTIONS(12142),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12142),
    [sym__lazy_and_operator] = ACTIONS(12142),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12142),
    [sym__pipe_left_operator] = ACTIONS(12142),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12142),
    [sym__bitshift_operator] = ACTIONS(12142),
    [sym__power_operator] = ACTIONS(12142),
    [sym__tilde_operator] = ACTIONS(12142),
    [sym__type_order_operator] = ACTIONS(12142),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5549] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12352),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12352),
    [anon_sym_RPAREN] = ACTIONS(12352),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12352),
    [anon_sym_RBRACK] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_SEMI] = ACTIONS(12352),
    [anon_sym_LBRACE] = ACTIONS(12352),
    [anon_sym_RBRACE] = ACTIONS(12352),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12352),
    [anon_sym_COLON_COLON] = ACTIONS(12352),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12352),
    [anon_sym_DASH_GT] = ACTIONS(12352),
    [anon_sym_AT] = ACTIONS(12352),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12352),
    [aux_sym_integer_literal_token2] = ACTIONS(12352),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12352),
    [aux_sym_float_literal_token3] = ACTIONS(12352),
    [aux_sym_float_literal_token4] = ACTIONS(12352),
    [sym_character_literal] = ACTIONS(12352),
    [sym__pair_operator] = ACTIONS(12352),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12352),
    [sym__lazy_and_operator] = ACTIONS(12352),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12352),
    [sym__pipe_left_operator] = ACTIONS(12352),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12352),
    [sym__bitshift_operator] = ACTIONS(12352),
    [sym__power_operator] = ACTIONS(12352),
    [sym__tilde_operator] = ACTIONS(12352),
    [sym__type_order_operator] = ACTIONS(12352),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5550] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_DASH_GT] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [5551] = {
    [ts_builtin_sym_end] = ACTIONS(12090),
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_RBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5552] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12356),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12356),
    [anon_sym_RPAREN] = ACTIONS(12356),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12356),
    [anon_sym_RBRACK] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_SEMI] = ACTIONS(12356),
    [anon_sym_LBRACE] = ACTIONS(12356),
    [anon_sym_RBRACE] = ACTIONS(12356),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12356),
    [anon_sym_COLON_COLON] = ACTIONS(12356),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12356),
    [anon_sym_QMARK] = ACTIONS(12356),
    [anon_sym_DASH_GT] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(12356),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12356),
    [aux_sym_integer_literal_token2] = ACTIONS(12356),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12356),
    [aux_sym_float_literal_token3] = ACTIONS(12356),
    [aux_sym_float_literal_token4] = ACTIONS(12356),
    [sym_character_literal] = ACTIONS(12356),
    [sym__pair_operator] = ACTIONS(12356),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12356),
    [sym__lazy_and_operator] = ACTIONS(12356),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12356),
    [sym__pipe_left_operator] = ACTIONS(12356),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12356),
    [sym__bitshift_operator] = ACTIONS(12356),
    [sym__power_operator] = ACTIONS(12356),
    [sym__tilde_operator] = ACTIONS(12356),
    [sym__type_order_operator] = ACTIONS(12356),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5553] = {
    [ts_builtin_sym_end] = ACTIONS(11972),
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_RBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5554] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_else] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_finally] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5555] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__assignment_operator] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5556] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_catch] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__assignment_operator] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5557] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_catch] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_DASH_GT] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5558] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_elseif] = ACTIONS(12226),
    [anon_sym_else] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5559] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12178),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12178),
    [anon_sym_RPAREN] = ACTIONS(12178),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12178),
    [anon_sym_RBRACK] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_SEMI] = ACTIONS(12178),
    [anon_sym_LBRACE] = ACTIONS(12178),
    [anon_sym_RBRACE] = ACTIONS(12178),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12178),
    [anon_sym_COLON_COLON] = ACTIONS(12178),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12178),
    [anon_sym_QMARK] = ACTIONS(12178),
    [anon_sym_DASH_GT] = ACTIONS(12178),
    [anon_sym_AT] = ACTIONS(12178),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12178),
    [aux_sym_integer_literal_token2] = ACTIONS(12178),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12178),
    [aux_sym_float_literal_token3] = ACTIONS(12178),
    [aux_sym_float_literal_token4] = ACTIONS(12178),
    [sym_character_literal] = ACTIONS(12178),
    [sym__pair_operator] = ACTIONS(12178),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12178),
    [sym__lazy_and_operator] = ACTIONS(12178),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12178),
    [sym__pipe_left_operator] = ACTIONS(12178),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12178),
    [sym__bitshift_operator] = ACTIONS(12178),
    [sym__power_operator] = ACTIONS(12178),
    [sym__tilde_operator] = ACTIONS(12178),
    [sym__type_order_operator] = ACTIONS(12178),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5560] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_catch] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__assignment_operator] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5561] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_catch] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_DASH_GT] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5562] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_catch] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__assignment_operator] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5563] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12182),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12182),
    [anon_sym_RPAREN] = ACTIONS(12182),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12182),
    [anon_sym_RBRACK] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_SEMI] = ACTIONS(12182),
    [anon_sym_LBRACE] = ACTIONS(12182),
    [anon_sym_RBRACE] = ACTIONS(12182),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12182),
    [anon_sym_COLON_COLON] = ACTIONS(12182),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12182),
    [anon_sym_QMARK] = ACTIONS(12182),
    [anon_sym_DASH_GT] = ACTIONS(12182),
    [anon_sym_AT] = ACTIONS(12182),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12182),
    [aux_sym_integer_literal_token2] = ACTIONS(12182),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12182),
    [aux_sym_float_literal_token3] = ACTIONS(12182),
    [aux_sym_float_literal_token4] = ACTIONS(12182),
    [sym_character_literal] = ACTIONS(12182),
    [sym__pair_operator] = ACTIONS(12182),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12182),
    [sym__lazy_and_operator] = ACTIONS(12182),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12182),
    [sym__pipe_left_operator] = ACTIONS(12182),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12182),
    [sym__bitshift_operator] = ACTIONS(12182),
    [sym__power_operator] = ACTIONS(12182),
    [sym__tilde_operator] = ACTIONS(12182),
    [sym__type_order_operator] = ACTIONS(12182),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5564] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12530),
    [anon_sym_DOT] = ACTIONS(12558),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12560),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12536),
    [sym__immediate_bracket] = ACTIONS(12538),
    [sym__immediate_brace] = ACTIONS(12540),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5565] = {
    [ts_builtin_sym_end] = ACTIONS(11886),
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_RBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5566] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_catch] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_DASH_GT] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5567] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_catch] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__assignment_operator] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5568] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5569] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5570] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_catch] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_DASH_GT] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5571] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12458),
    [sym__immediate_command_start] = ACTIONS(12460),
  },
  [5572] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_catch] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_DASH_GT] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5573] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_catch] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_DASH_GT] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5574] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_catch] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__assignment_operator] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5575] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_catch] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_DASH_GT] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5576] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_catch] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__assignment_operator] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5577] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__assignment_operator] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5578] = {
    [ts_builtin_sym_end] = ACTIONS(12346),
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_RPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_RBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5579] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12186),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12186),
    [anon_sym_RPAREN] = ACTIONS(12186),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12186),
    [anon_sym_RBRACK] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_SEMI] = ACTIONS(12186),
    [anon_sym_LBRACE] = ACTIONS(12186),
    [anon_sym_RBRACE] = ACTIONS(12186),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12186),
    [anon_sym_COLON_COLON] = ACTIONS(12186),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12186),
    [anon_sym_QMARK] = ACTIONS(12186),
    [anon_sym_DASH_GT] = ACTIONS(12186),
    [anon_sym_AT] = ACTIONS(12186),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12186),
    [aux_sym_integer_literal_token2] = ACTIONS(12186),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12186),
    [aux_sym_float_literal_token3] = ACTIONS(12186),
    [aux_sym_float_literal_token4] = ACTIONS(12186),
    [sym_character_literal] = ACTIONS(12186),
    [sym__pair_operator] = ACTIONS(12186),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12186),
    [sym__lazy_and_operator] = ACTIONS(12186),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12186),
    [sym__pipe_left_operator] = ACTIONS(12186),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12186),
    [sym__bitshift_operator] = ACTIONS(12186),
    [sym__power_operator] = ACTIONS(12186),
    [sym__tilde_operator] = ACTIONS(12186),
    [sym__type_order_operator] = ACTIONS(12186),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5580] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12220),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12220),
    [anon_sym_RPAREN] = ACTIONS(12220),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12220),
    [anon_sym_RBRACK] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_SEMI] = ACTIONS(12220),
    [anon_sym_LBRACE] = ACTIONS(12220),
    [anon_sym_RBRACE] = ACTIONS(12220),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12220),
    [anon_sym_COLON_COLON] = ACTIONS(12220),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12220),
    [anon_sym_QMARK] = ACTIONS(12220),
    [anon_sym_DASH_GT] = ACTIONS(12220),
    [anon_sym_AT] = ACTIONS(12220),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12220),
    [aux_sym_integer_literal_token2] = ACTIONS(12220),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12220),
    [aux_sym_float_literal_token3] = ACTIONS(12220),
    [aux_sym_float_literal_token4] = ACTIONS(12220),
    [sym_character_literal] = ACTIONS(12220),
    [sym__pair_operator] = ACTIONS(12220),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12220),
    [sym__lazy_and_operator] = ACTIONS(12220),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12220),
    [sym__pipe_left_operator] = ACTIONS(12220),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12220),
    [sym__bitshift_operator] = ACTIONS(12220),
    [sym__power_operator] = ACTIONS(12220),
    [sym__tilde_operator] = ACTIONS(12220),
    [sym__type_order_operator] = ACTIONS(12220),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5581] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__assignment_operator] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5582] = {
    [ts_builtin_sym_end] = ACTIONS(12240),
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_RPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_RBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5583] = {
    [ts_builtin_sym_end] = ACTIONS(11866),
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_RBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [5584] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5585] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_catch] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_DASH_GT] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [5586] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_catch] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__assignment_operator] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5587] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_catch] = ACTIONS(12354),
    [anon_sym_finally] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__assignment_operator] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5588] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_else] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_finally] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [5589] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_else] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_finally] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [5590] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [5591] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12190),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12190),
    [anon_sym_RPAREN] = ACTIONS(12190),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12190),
    [anon_sym_RBRACK] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_SEMI] = ACTIONS(12190),
    [anon_sym_LBRACE] = ACTIONS(12190),
    [anon_sym_RBRACE] = ACTIONS(12190),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12190),
    [anon_sym_COLON_COLON] = ACTIONS(12190),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12190),
    [anon_sym_QMARK] = ACTIONS(12190),
    [anon_sym_DASH_GT] = ACTIONS(12190),
    [anon_sym_AT] = ACTIONS(12190),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12190),
    [aux_sym_integer_literal_token2] = ACTIONS(12190),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12190),
    [aux_sym_float_literal_token3] = ACTIONS(12190),
    [aux_sym_float_literal_token4] = ACTIONS(12190),
    [sym_character_literal] = ACTIONS(12190),
    [sym__pair_operator] = ACTIONS(12190),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12190),
    [sym__lazy_and_operator] = ACTIONS(12190),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12190),
    [sym__pipe_left_operator] = ACTIONS(12190),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12190),
    [sym__bitshift_operator] = ACTIONS(12190),
    [sym__power_operator] = ACTIONS(12190),
    [sym__tilde_operator] = ACTIONS(12190),
    [sym__type_order_operator] = ACTIONS(12190),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5592] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_elseif] = ACTIONS(12176),
    [anon_sym_else] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5593] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12194),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12194),
    [anon_sym_RPAREN] = ACTIONS(12194),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12194),
    [anon_sym_RBRACK] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_SEMI] = ACTIONS(12194),
    [anon_sym_LBRACE] = ACTIONS(12194),
    [anon_sym_RBRACE] = ACTIONS(12194),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12194),
    [anon_sym_COLON_COLON] = ACTIONS(12194),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12194),
    [anon_sym_QMARK] = ACTIONS(12194),
    [anon_sym_DASH_GT] = ACTIONS(12194),
    [anon_sym_AT] = ACTIONS(12194),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12194),
    [aux_sym_integer_literal_token2] = ACTIONS(12194),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12194),
    [aux_sym_float_literal_token3] = ACTIONS(12194),
    [aux_sym_float_literal_token4] = ACTIONS(12194),
    [sym_character_literal] = ACTIONS(12194),
    [sym__pair_operator] = ACTIONS(12194),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12194),
    [sym__lazy_and_operator] = ACTIONS(12194),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12194),
    [sym__pipe_left_operator] = ACTIONS(12194),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12194),
    [sym__bitshift_operator] = ACTIONS(12194),
    [sym__power_operator] = ACTIONS(12194),
    [sym__tilde_operator] = ACTIONS(12194),
    [sym__type_order_operator] = ACTIONS(12194),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5594] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5595] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_catch] = ACTIONS(12140),
    [anon_sym_finally] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__assignment_operator] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5596] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_elseif] = ACTIONS(12180),
    [anon_sym_else] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5597] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_RPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_SEMI] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__assignment_operator] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [5598] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_elseif] = ACTIONS(12184),
    [anon_sym_else] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5599] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12060),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12060),
    [anon_sym_RPAREN] = ACTIONS(12060),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12060),
    [anon_sym_RBRACK] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12060),
    [anon_sym_LBRACE] = ACTIONS(12060),
    [anon_sym_RBRACE] = ACTIONS(12060),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12060),
    [anon_sym_COLON_COLON] = ACTIONS(12060),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12060),
    [anon_sym_QMARK] = ACTIONS(12060),
    [anon_sym_DASH_GT] = ACTIONS(12060),
    [anon_sym_AT] = ACTIONS(12060),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12060),
    [aux_sym_integer_literal_token2] = ACTIONS(12060),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12060),
    [aux_sym_float_literal_token3] = ACTIONS(12060),
    [aux_sym_float_literal_token4] = ACTIONS(12060),
    [sym_character_literal] = ACTIONS(12060),
    [sym__pair_operator] = ACTIONS(12060),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12060),
    [sym__lazy_and_operator] = ACTIONS(12060),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12060),
    [sym__pipe_left_operator] = ACTIONS(12060),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12060),
    [sym__bitshift_operator] = ACTIONS(12060),
    [sym__power_operator] = ACTIONS(12060),
    [sym__tilde_operator] = ACTIONS(12060),
    [sym__type_order_operator] = ACTIONS(12060),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5600] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12190),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12190),
    [anon_sym_RPAREN] = ACTIONS(12190),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12190),
    [anon_sym_RBRACK] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_SEMI] = ACTIONS(12190),
    [anon_sym_LBRACE] = ACTIONS(12190),
    [anon_sym_RBRACE] = ACTIONS(12190),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12190),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12190),
    [anon_sym_QMARK] = ACTIONS(12190),
    [anon_sym_AT] = ACTIONS(12190),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12190),
    [aux_sym_integer_literal_token2] = ACTIONS(12190),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12190),
    [aux_sym_float_literal_token3] = ACTIONS(12190),
    [aux_sym_float_literal_token4] = ACTIONS(12190),
    [sym_character_literal] = ACTIONS(12190),
    [sym__assignment_operator] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12190),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12190),
    [sym__lazy_and_operator] = ACTIONS(12190),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12190),
    [sym__pipe_left_operator] = ACTIONS(12190),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12190),
    [sym__type_order_operator] = ACTIONS(12190),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5601] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_RPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_SEMI] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [5602] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12206),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12206),
    [anon_sym_RPAREN] = ACTIONS(12206),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12206),
    [anon_sym_RBRACK] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_SEMI] = ACTIONS(12206),
    [anon_sym_LBRACE] = ACTIONS(12206),
    [anon_sym_RBRACE] = ACTIONS(12206),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12206),
    [anon_sym_COLON_COLON] = ACTIONS(12206),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12206),
    [anon_sym_QMARK] = ACTIONS(12206),
    [anon_sym_DASH_GT] = ACTIONS(12206),
    [anon_sym_AT] = ACTIONS(12206),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12206),
    [aux_sym_integer_literal_token2] = ACTIONS(12206),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12206),
    [aux_sym_float_literal_token3] = ACTIONS(12206),
    [aux_sym_float_literal_token4] = ACTIONS(12206),
    [sym_character_literal] = ACTIONS(12206),
    [sym__pair_operator] = ACTIONS(12206),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12206),
    [sym__lazy_and_operator] = ACTIONS(12206),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12206),
    [sym__pipe_left_operator] = ACTIONS(12206),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12206),
    [sym__bitshift_operator] = ACTIONS(12206),
    [sym__power_operator] = ACTIONS(12206),
    [sym__tilde_operator] = ACTIONS(12206),
    [sym__type_order_operator] = ACTIONS(12206),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5603] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12216),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12216),
    [anon_sym_RPAREN] = ACTIONS(12216),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12216),
    [anon_sym_RBRACK] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_SEMI] = ACTIONS(12216),
    [anon_sym_LBRACE] = ACTIONS(12216),
    [anon_sym_RBRACE] = ACTIONS(12216),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12216),
    [anon_sym_COLON_COLON] = ACTIONS(12216),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12216),
    [anon_sym_QMARK] = ACTIONS(12216),
    [anon_sym_DASH_GT] = ACTIONS(12216),
    [anon_sym_AT] = ACTIONS(12216),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12216),
    [aux_sym_integer_literal_token2] = ACTIONS(12216),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12216),
    [aux_sym_float_literal_token3] = ACTIONS(12216),
    [aux_sym_float_literal_token4] = ACTIONS(12216),
    [sym_character_literal] = ACTIONS(12216),
    [sym__pair_operator] = ACTIONS(12216),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12216),
    [sym__lazy_and_operator] = ACTIONS(12216),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12216),
    [sym__pipe_left_operator] = ACTIONS(12216),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12216),
    [sym__bitshift_operator] = ACTIONS(12216),
    [sym__power_operator] = ACTIONS(12216),
    [sym__tilde_operator] = ACTIONS(12216),
    [sym__type_order_operator] = ACTIONS(12216),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5604] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_catch] = ACTIONS(12350),
    [anon_sym_finally] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__assignment_operator] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5605] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_elseif] = ACTIONS(12192),
    [anon_sym_else] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5606] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5607] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5608] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5609] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_elseif] = ACTIONS(12196),
    [anon_sym_else] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5610] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_else] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_finally] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5611] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12228),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12228),
    [anon_sym_RPAREN] = ACTIONS(12228),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12228),
    [anon_sym_RBRACK] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_SEMI] = ACTIONS(12228),
    [anon_sym_LBRACE] = ACTIONS(12228),
    [anon_sym_RBRACE] = ACTIONS(12228),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12228),
    [anon_sym_COLON_COLON] = ACTIONS(12228),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12228),
    [anon_sym_QMARK] = ACTIONS(12228),
    [anon_sym_DASH_GT] = ACTIONS(12228),
    [anon_sym_AT] = ACTIONS(12228),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12228),
    [aux_sym_integer_literal_token2] = ACTIONS(12228),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12228),
    [aux_sym_float_literal_token3] = ACTIONS(12228),
    [aux_sym_float_literal_token4] = ACTIONS(12228),
    [sym_character_literal] = ACTIONS(12228),
    [sym__pair_operator] = ACTIONS(12228),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12228),
    [sym__lazy_and_operator] = ACTIONS(12228),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12228),
    [sym__pipe_left_operator] = ACTIONS(12228),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12228),
    [sym__bitshift_operator] = ACTIONS(12228),
    [sym__power_operator] = ACTIONS(12228),
    [sym__tilde_operator] = ACTIONS(12228),
    [sym__type_order_operator] = ACTIONS(12228),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5612] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_else] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_finally] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5613] = {
    [sym_do_clause] = STATE(6513),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12562),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5614] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12022),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12022),
    [anon_sym_RPAREN] = ACTIONS(12022),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12022),
    [anon_sym_RBRACK] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12022),
    [anon_sym_LBRACE] = ACTIONS(12022),
    [anon_sym_RBRACE] = ACTIONS(12022),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12022),
    [anon_sym_COLON_COLON] = ACTIONS(12022),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12022),
    [anon_sym_QMARK] = ACTIONS(12022),
    [anon_sym_DASH_GT] = ACTIONS(12022),
    [anon_sym_AT] = ACTIONS(12022),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12022),
    [aux_sym_integer_literal_token2] = ACTIONS(12022),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12022),
    [aux_sym_float_literal_token3] = ACTIONS(12022),
    [aux_sym_float_literal_token4] = ACTIONS(12022),
    [sym_character_literal] = ACTIONS(12022),
    [sym__pair_operator] = ACTIONS(12022),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12022),
    [sym__lazy_and_operator] = ACTIONS(12022),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12022),
    [sym__pipe_left_operator] = ACTIONS(12022),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12022),
    [sym__bitshift_operator] = ACTIONS(12022),
    [sym__power_operator] = ACTIONS(12022),
    [sym__tilde_operator] = ACTIONS(12022),
    [sym__type_order_operator] = ACTIONS(12022),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5615] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_elseif] = ACTIONS(12210),
    [anon_sym_else] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5616] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_elseif] = ACTIONS(12208),
    [anon_sym_else] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5617] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_elseif] = ACTIONS(12214),
    [anon_sym_else] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5618] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_elseif] = ACTIONS(12218),
    [anon_sym_else] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5619] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_RPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_SEMI] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__assignment_operator] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5620] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12022),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12022),
    [anon_sym_RPAREN] = ACTIONS(12022),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12022),
    [anon_sym_RBRACK] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12022),
    [anon_sym_LBRACE] = ACTIONS(12022),
    [anon_sym_RBRACE] = ACTIONS(12022),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12022),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12022),
    [anon_sym_QMARK] = ACTIONS(12022),
    [anon_sym_AT] = ACTIONS(12022),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12022),
    [aux_sym_integer_literal_token2] = ACTIONS(12022),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12022),
    [aux_sym_float_literal_token3] = ACTIONS(12022),
    [aux_sym_float_literal_token4] = ACTIONS(12022),
    [sym_character_literal] = ACTIONS(12022),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12022),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12022),
    [sym__lazy_and_operator] = ACTIONS(12022),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12022),
    [sym__pipe_left_operator] = ACTIONS(12022),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12022),
    [sym__type_order_operator] = ACTIONS(12022),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5621] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_RPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_SEMI] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__assignment_operator] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5622] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__assignment_operator] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5623] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_catch] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_DASH_GT] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5624] = {
    [sym_do_clause] = STATE(6542),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12562),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5625] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12232),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12232),
    [anon_sym_RPAREN] = ACTIONS(12232),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12232),
    [anon_sym_RBRACK] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_SEMI] = ACTIONS(12232),
    [anon_sym_LBRACE] = ACTIONS(12232),
    [anon_sym_RBRACE] = ACTIONS(12232),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12232),
    [anon_sym_COLON_COLON] = ACTIONS(12232),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12232),
    [anon_sym_QMARK] = ACTIONS(12232),
    [anon_sym_DASH_GT] = ACTIONS(12232),
    [anon_sym_AT] = ACTIONS(12232),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12232),
    [aux_sym_integer_literal_token2] = ACTIONS(12232),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12232),
    [aux_sym_float_literal_token3] = ACTIONS(12232),
    [aux_sym_float_literal_token4] = ACTIONS(12232),
    [sym_character_literal] = ACTIONS(12232),
    [sym__pair_operator] = ACTIONS(12232),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12232),
    [sym__lazy_and_operator] = ACTIONS(12232),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12232),
    [sym__pipe_left_operator] = ACTIONS(12232),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12232),
    [sym__bitshift_operator] = ACTIONS(12232),
    [sym__power_operator] = ACTIONS(12232),
    [sym__tilde_operator] = ACTIONS(12232),
    [sym__type_order_operator] = ACTIONS(12232),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [5626] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_catch] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_DASH_GT] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5627] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12458),
    [sym__immediate_command_start] = ACTIONS(12460),
  },
  [5628] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12236),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12236),
    [anon_sym_RPAREN] = ACTIONS(12236),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12236),
    [anon_sym_RBRACK] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_SEMI] = ACTIONS(12236),
    [anon_sym_LBRACE] = ACTIONS(12236),
    [anon_sym_RBRACE] = ACTIONS(12236),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12236),
    [anon_sym_COLON_COLON] = ACTIONS(12236),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12236),
    [anon_sym_QMARK] = ACTIONS(12236),
    [anon_sym_DASH_GT] = ACTIONS(12236),
    [anon_sym_AT] = ACTIONS(12236),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12236),
    [aux_sym_integer_literal_token2] = ACTIONS(12236),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12236),
    [aux_sym_float_literal_token3] = ACTIONS(12236),
    [aux_sym_float_literal_token4] = ACTIONS(12236),
    [sym_character_literal] = ACTIONS(12236),
    [sym__pair_operator] = ACTIONS(12236),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12236),
    [sym__lazy_and_operator] = ACTIONS(12236),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12236),
    [sym__pipe_left_operator] = ACTIONS(12236),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12236),
    [sym__bitshift_operator] = ACTIONS(12236),
    [sym__power_operator] = ACTIONS(12236),
    [sym__tilde_operator] = ACTIONS(12236),
    [sym__type_order_operator] = ACTIONS(12236),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5629] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_else] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_finally] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [5630] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12090),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12090),
    [anon_sym_RPAREN] = ACTIONS(12090),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12090),
    [anon_sym_RBRACK] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12090),
    [anon_sym_LBRACE] = ACTIONS(12090),
    [anon_sym_RBRACE] = ACTIONS(12090),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12090),
    [anon_sym_COLON_COLON] = ACTIONS(12090),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12090),
    [anon_sym_QMARK] = ACTIONS(12090),
    [anon_sym_DASH_GT] = ACTIONS(12090),
    [anon_sym_AT] = ACTIONS(12090),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12090),
    [aux_sym_integer_literal_token2] = ACTIONS(12090),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12090),
    [aux_sym_float_literal_token3] = ACTIONS(12090),
    [aux_sym_float_literal_token4] = ACTIONS(12090),
    [sym_character_literal] = ACTIONS(12090),
    [sym__pair_operator] = ACTIONS(12090),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12090),
    [sym__lazy_and_operator] = ACTIONS(12090),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12090),
    [sym__pipe_left_operator] = ACTIONS(12090),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12090),
    [sym__bitshift_operator] = ACTIONS(12090),
    [sym__power_operator] = ACTIONS(12090),
    [sym__tilde_operator] = ACTIONS(12090),
    [sym__type_order_operator] = ACTIONS(12090),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5631] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5632] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11972),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11972),
    [anon_sym_RPAREN] = ACTIONS(11972),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11972),
    [anon_sym_RBRACK] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11972),
    [anon_sym_RBRACE] = ACTIONS(11972),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11972),
    [anon_sym_COLON_COLON] = ACTIONS(11972),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11972),
    [anon_sym_QMARK] = ACTIONS(11972),
    [anon_sym_DASH_GT] = ACTIONS(11972),
    [anon_sym_AT] = ACTIONS(11972),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11972),
    [aux_sym_integer_literal_token2] = ACTIONS(11972),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11972),
    [aux_sym_float_literal_token3] = ACTIONS(11972),
    [aux_sym_float_literal_token4] = ACTIONS(11972),
    [sym_character_literal] = ACTIONS(11972),
    [sym__pair_operator] = ACTIONS(11972),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11972),
    [sym__lazy_and_operator] = ACTIONS(11972),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11972),
    [sym__pipe_left_operator] = ACTIONS(11972),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11972),
    [sym__bitshift_operator] = ACTIONS(11972),
    [sym__power_operator] = ACTIONS(11972),
    [sym__tilde_operator] = ACTIONS(11972),
    [sym__type_order_operator] = ACTIONS(11972),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5633] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_elseif] = ACTIONS(12230),
    [anon_sym_else] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [5634] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_elseif] = ACTIONS(12234),
    [anon_sym_else] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5635] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_RPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_SEMI] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_DASH_GT] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [5636] = {
    [sym_do_clause] = STATE(6527),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12562),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [5637] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5638] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5639] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_else] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_finally] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5640] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_else] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_finally] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5641] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12256),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12256),
    [anon_sym_RPAREN] = ACTIONS(12256),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12256),
    [anon_sym_RBRACK] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_SEMI] = ACTIONS(12256),
    [anon_sym_LBRACE] = ACTIONS(12256),
    [anon_sym_RBRACE] = ACTIONS(12256),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12256),
    [anon_sym_COLON_COLON] = ACTIONS(12256),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12256),
    [anon_sym_QMARK] = ACTIONS(12256),
    [anon_sym_DASH_GT] = ACTIONS(12256),
    [anon_sym_AT] = ACTIONS(12256),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12256),
    [aux_sym_integer_literal_token2] = ACTIONS(12256),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12256),
    [aux_sym_float_literal_token3] = ACTIONS(12256),
    [aux_sym_float_literal_token4] = ACTIONS(12256),
    [sym_character_literal] = ACTIONS(12256),
    [sym__pair_operator] = ACTIONS(12256),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12256),
    [sym__lazy_and_operator] = ACTIONS(12256),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12256),
    [sym__pipe_left_operator] = ACTIONS(12256),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12256),
    [sym__bitshift_operator] = ACTIONS(12256),
    [sym__power_operator] = ACTIONS(12256),
    [sym__tilde_operator] = ACTIONS(12256),
    [sym__type_order_operator] = ACTIONS(12256),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5642] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_elseif] = ACTIONS(12250),
    [anon_sym_else] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5643] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_else] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_finally] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5644] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_elseif] = ACTIONS(12254),
    [anon_sym_else] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5645] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_elseif] = ACTIONS(12258),
    [anon_sym_else] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5646] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11960),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5647] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_elseif] = ACTIONS(12262),
    [anon_sym_else] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5648] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12324),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12324),
    [anon_sym_RPAREN] = ACTIONS(12324),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12324),
    [anon_sym_RBRACK] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_SEMI] = ACTIONS(12324),
    [anon_sym_LBRACE] = ACTIONS(12324),
    [anon_sym_RBRACE] = ACTIONS(12324),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12324),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12324),
    [anon_sym_QMARK] = ACTIONS(12324),
    [anon_sym_AT] = ACTIONS(12324),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12324),
    [aux_sym_integer_literal_token2] = ACTIONS(12324),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12324),
    [aux_sym_float_literal_token3] = ACTIONS(12324),
    [aux_sym_float_literal_token4] = ACTIONS(12324),
    [sym_character_literal] = ACTIONS(12324),
    [sym__assignment_operator] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12324),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12324),
    [sym__lazy_and_operator] = ACTIONS(12324),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12324),
    [sym__pipe_left_operator] = ACTIONS(12324),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12324),
    [sym__type_order_operator] = ACTIONS(12324),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5649] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12260),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12260),
    [anon_sym_RPAREN] = ACTIONS(12260),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12260),
    [anon_sym_RBRACK] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_SEMI] = ACTIONS(12260),
    [anon_sym_LBRACE] = ACTIONS(12260),
    [anon_sym_RBRACE] = ACTIONS(12260),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12260),
    [anon_sym_COLON_COLON] = ACTIONS(12260),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12260),
    [anon_sym_QMARK] = ACTIONS(12260),
    [anon_sym_DASH_GT] = ACTIONS(12260),
    [anon_sym_AT] = ACTIONS(12260),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12260),
    [aux_sym_integer_literal_token2] = ACTIONS(12260),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12260),
    [aux_sym_float_literal_token3] = ACTIONS(12260),
    [aux_sym_float_literal_token4] = ACTIONS(12260),
    [sym_character_literal] = ACTIONS(12260),
    [sym__pair_operator] = ACTIONS(12260),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12260),
    [sym__lazy_and_operator] = ACTIONS(12260),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12260),
    [sym__pipe_left_operator] = ACTIONS(12260),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12260),
    [sym__bitshift_operator] = ACTIONS(12260),
    [sym__power_operator] = ACTIONS(12260),
    [sym__tilde_operator] = ACTIONS(12260),
    [sym__type_order_operator] = ACTIONS(12260),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5650] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_catch] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_DASH_GT] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5651] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_elseif] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5652] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12110),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12110),
    [anon_sym_RPAREN] = ACTIONS(12110),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12110),
    [anon_sym_RBRACK] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12110),
    [anon_sym_LBRACE] = ACTIONS(12110),
    [anon_sym_RBRACE] = ACTIONS(12110),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12110),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12110),
    [anon_sym_QMARK] = ACTIONS(12110),
    [anon_sym_AT] = ACTIONS(12110),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12110),
    [aux_sym_integer_literal_token2] = ACTIONS(12110),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12110),
    [aux_sym_float_literal_token3] = ACTIONS(12110),
    [aux_sym_float_literal_token4] = ACTIONS(12110),
    [sym_character_literal] = ACTIONS(12110),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12110),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12110),
    [sym__lazy_and_operator] = ACTIONS(12110),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12110),
    [sym__pipe_left_operator] = ACTIONS(12110),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12110),
    [sym__type_order_operator] = ACTIONS(12110),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5653] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12264),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12264),
    [anon_sym_RPAREN] = ACTIONS(12264),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12264),
    [anon_sym_RBRACK] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_SEMI] = ACTIONS(12264),
    [anon_sym_LBRACE] = ACTIONS(12264),
    [anon_sym_RBRACE] = ACTIONS(12264),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12264),
    [anon_sym_COLON_COLON] = ACTIONS(12264),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12264),
    [anon_sym_QMARK] = ACTIONS(12264),
    [anon_sym_DASH_GT] = ACTIONS(12264),
    [anon_sym_AT] = ACTIONS(12264),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12264),
    [aux_sym_integer_literal_token2] = ACTIONS(12264),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12264),
    [aux_sym_float_literal_token3] = ACTIONS(12264),
    [aux_sym_float_literal_token4] = ACTIONS(12264),
    [sym_character_literal] = ACTIONS(12264),
    [sym__pair_operator] = ACTIONS(12264),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12264),
    [sym__lazy_and_operator] = ACTIONS(12264),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12264),
    [sym__pipe_left_operator] = ACTIONS(12264),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12264),
    [sym__bitshift_operator] = ACTIONS(12264),
    [sym__power_operator] = ACTIONS(12264),
    [sym__tilde_operator] = ACTIONS(12264),
    [sym__type_order_operator] = ACTIONS(12264),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5654] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_RPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_SEMI] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__assignment_operator] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5655] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_RPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_SEMI] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__assignment_operator] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5656] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11886),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11886),
    [anon_sym_RPAREN] = ACTIONS(11886),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11886),
    [anon_sym_RBRACK] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11886),
    [anon_sym_RBRACE] = ACTIONS(11886),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11886),
    [anon_sym_COLON_COLON] = ACTIONS(11886),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11886),
    [anon_sym_QMARK] = ACTIONS(11886),
    [anon_sym_DASH_GT] = ACTIONS(11886),
    [anon_sym_AT] = ACTIONS(11886),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11886),
    [aux_sym_integer_literal_token2] = ACTIONS(11886),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11886),
    [aux_sym_float_literal_token3] = ACTIONS(11886),
    [aux_sym_float_literal_token4] = ACTIONS(11886),
    [sym_character_literal] = ACTIONS(11886),
    [sym__pair_operator] = ACTIONS(11886),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11886),
    [sym__lazy_and_operator] = ACTIONS(11886),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11886),
    [sym__pipe_left_operator] = ACTIONS(11886),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11886),
    [sym__bitshift_operator] = ACTIONS(11886),
    [sym__power_operator] = ACTIONS(11886),
    [sym__tilde_operator] = ACTIONS(11886),
    [sym__type_order_operator] = ACTIONS(11886),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5657] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12028),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12028),
    [anon_sym_RPAREN] = ACTIONS(12028),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12028),
    [anon_sym_RBRACK] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12028),
    [anon_sym_LBRACE] = ACTIONS(12028),
    [anon_sym_RBRACE] = ACTIONS(12028),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12028),
    [anon_sym_COLON_COLON] = ACTIONS(12028),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12028),
    [anon_sym_QMARK] = ACTIONS(12028),
    [anon_sym_DASH_GT] = ACTIONS(12028),
    [anon_sym_AT] = ACTIONS(12028),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12028),
    [aux_sym_integer_literal_token2] = ACTIONS(12028),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12028),
    [aux_sym_float_literal_token3] = ACTIONS(12028),
    [aux_sym_float_literal_token4] = ACTIONS(12028),
    [sym_character_literal] = ACTIONS(12028),
    [sym__pair_operator] = ACTIONS(12028),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12028),
    [sym__lazy_and_operator] = ACTIONS(12028),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12028),
    [sym__pipe_left_operator] = ACTIONS(12028),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12028),
    [sym__bitshift_operator] = ACTIONS(12028),
    [sym__power_operator] = ACTIONS(12028),
    [sym__tilde_operator] = ACTIONS(12028),
    [sym__type_order_operator] = ACTIONS(12028),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5658] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12154),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12154),
    [anon_sym_RPAREN] = ACTIONS(12154),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12154),
    [anon_sym_RBRACK] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_SEMI] = ACTIONS(12154),
    [anon_sym_LBRACE] = ACTIONS(12154),
    [anon_sym_RBRACE] = ACTIONS(12154),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12154),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12154),
    [anon_sym_QMARK] = ACTIONS(12154),
    [anon_sym_AT] = ACTIONS(12154),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12154),
    [aux_sym_integer_literal_token2] = ACTIONS(12154),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12154),
    [aux_sym_float_literal_token3] = ACTIONS(12154),
    [aux_sym_float_literal_token4] = ACTIONS(12154),
    [sym_character_literal] = ACTIONS(12154),
    [sym__assignment_operator] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12154),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12154),
    [sym__lazy_and_operator] = ACTIONS(12154),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12154),
    [sym__pipe_left_operator] = ACTIONS(12154),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12154),
    [sym__type_order_operator] = ACTIONS(12154),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5659] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12524),
    [sym__immediate_command_start] = ACTIONS(12526),
  },
  [5660] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_catch] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_DASH_GT] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5661] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_catch] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_DASH_GT] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5662] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_RPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_SEMI] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__assignment_operator] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5663] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_catch] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_DASH_GT] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5664] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_catch] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_DASH_GT] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5665] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12346),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12346),
    [anon_sym_RPAREN] = ACTIONS(12346),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12346),
    [anon_sym_RBRACK] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(12346),
    [anon_sym_LBRACE] = ACTIONS(12346),
    [anon_sym_RBRACE] = ACTIONS(12346),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12346),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12346),
    [anon_sym_QMARK] = ACTIONS(12346),
    [anon_sym_AT] = ACTIONS(12346),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12346),
    [aux_sym_integer_literal_token2] = ACTIONS(12346),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12346),
    [aux_sym_float_literal_token3] = ACTIONS(12346),
    [aux_sym_float_literal_token4] = ACTIONS(12346),
    [sym_character_literal] = ACTIONS(12346),
    [sym__assignment_operator] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12346),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12346),
    [sym__lazy_and_operator] = ACTIONS(12346),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12346),
    [sym__pipe_left_operator] = ACTIONS(12346),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12346),
    [sym__type_order_operator] = ACTIONS(12346),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5666] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12110),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12110),
    [anon_sym_RPAREN] = ACTIONS(12110),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12110),
    [anon_sym_RBRACK] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12110),
    [anon_sym_LBRACE] = ACTIONS(12110),
    [anon_sym_RBRACE] = ACTIONS(12110),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12110),
    [anon_sym_COLON_COLON] = ACTIONS(12110),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12110),
    [anon_sym_QMARK] = ACTIONS(12110),
    [anon_sym_DASH_GT] = ACTIONS(12110),
    [anon_sym_AT] = ACTIONS(12110),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12110),
    [aux_sym_integer_literal_token2] = ACTIONS(12110),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12110),
    [aux_sym_float_literal_token3] = ACTIONS(12110),
    [aux_sym_float_literal_token4] = ACTIONS(12110),
    [sym_character_literal] = ACTIONS(12110),
    [sym__pair_operator] = ACTIONS(12110),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12110),
    [sym__lazy_and_operator] = ACTIONS(12110),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12110),
    [sym__pipe_left_operator] = ACTIONS(12110),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12110),
    [sym__bitshift_operator] = ACTIONS(12110),
    [sym__power_operator] = ACTIONS(12110),
    [sym__tilde_operator] = ACTIONS(12110),
    [sym__type_order_operator] = ACTIONS(12110),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5667] = {
    [sym_do_clause] = STATE(6543),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12562),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [5668] = {
    [ts_builtin_sym_end] = ACTIONS(12154),
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_RPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_RBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5669] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_elseif] = ACTIONS(12156),
    [anon_sym_else] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5670] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12316),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12316),
    [anon_sym_RPAREN] = ACTIONS(12316),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12316),
    [anon_sym_RBRACK] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_SEMI] = ACTIONS(12316),
    [anon_sym_LBRACE] = ACTIONS(12316),
    [anon_sym_RBRACE] = ACTIONS(12316),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12316),
    [anon_sym_COLON_COLON] = ACTIONS(12316),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12316),
    [anon_sym_QMARK] = ACTIONS(12316),
    [anon_sym_DASH_GT] = ACTIONS(12316),
    [anon_sym_AT] = ACTIONS(12316),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12316),
    [aux_sym_integer_literal_token2] = ACTIONS(12316),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12316),
    [aux_sym_float_literal_token3] = ACTIONS(12316),
    [aux_sym_float_literal_token4] = ACTIONS(12316),
    [sym_character_literal] = ACTIONS(12316),
    [sym__pair_operator] = ACTIONS(12316),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12316),
    [sym__lazy_and_operator] = ACTIONS(12316),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12316),
    [sym__pipe_left_operator] = ACTIONS(12316),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12316),
    [sym__bitshift_operator] = ACTIONS(12316),
    [sym__power_operator] = ACTIONS(12316),
    [sym__tilde_operator] = ACTIONS(12316),
    [sym__type_order_operator] = ACTIONS(12316),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5671] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_elseif] = ACTIONS(12288),
    [anon_sym_else] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5672] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_elseif] = ACTIONS(12296),
    [anon_sym_else] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5673] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5674] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_RPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_SEMI] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__assignment_operator] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5675] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_catch] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_DASH_GT] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5676] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_catch] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_DASH_GT] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5677] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_catch] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_DASH_GT] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5678] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_elseif] = ACTIONS(12300),
    [anon_sym_else] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5679] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_catch] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_DASH_GT] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5680] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_elseif] = ACTIONS(12136),
    [anon_sym_else] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5681] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__assignment_operator] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5682] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_RPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_SEMI] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__assignment_operator] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5683] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_catch] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_DASH_GT] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5684] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_elseif] = ACTIONS(12170),
    [anon_sym_else] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5685] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_catch] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_DASH_GT] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5686] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_catch] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_DASH_GT] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5687] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_catch] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_DASH_GT] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5688] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_elseif] = ACTIONS(12162),
    [anon_sym_else] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5689] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5690] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5691] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_RPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_SEMI] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__assignment_operator] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [5692] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5693] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_catch] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_DASH_GT] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5694] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12524),
    [sym__immediate_command_start] = ACTIONS(12526),
  },
  [5695] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12290),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12290),
    [anon_sym_RPAREN] = ACTIONS(12290),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12290),
    [anon_sym_RBRACK] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_SEMI] = ACTIONS(12290),
    [anon_sym_LBRACE] = ACTIONS(12290),
    [anon_sym_RBRACE] = ACTIONS(12290),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12290),
    [anon_sym_COLON_COLON] = ACTIONS(12290),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12290),
    [anon_sym_QMARK] = ACTIONS(12290),
    [anon_sym_DASH_GT] = ACTIONS(12290),
    [anon_sym_AT] = ACTIONS(12290),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12290),
    [aux_sym_integer_literal_token2] = ACTIONS(12290),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12290),
    [aux_sym_float_literal_token3] = ACTIONS(12290),
    [aux_sym_float_literal_token4] = ACTIONS(12290),
    [sym_character_literal] = ACTIONS(12290),
    [sym__pair_operator] = ACTIONS(12290),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12290),
    [sym__lazy_and_operator] = ACTIONS(12290),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12290),
    [sym__pipe_left_operator] = ACTIONS(12290),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12290),
    [sym__bitshift_operator] = ACTIONS(12290),
    [sym__power_operator] = ACTIONS(12290),
    [sym__tilde_operator] = ACTIONS(12290),
    [sym__type_order_operator] = ACTIONS(12290),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5696] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_elseif] = ACTIONS(12242),
    [anon_sym_else] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5697] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_elseif] = ACTIONS(12246),
    [anon_sym_else] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5698] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_catch] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_DASH_GT] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5699] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5700] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_catch] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [5701] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_catch] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_DASH_GT] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5702] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [5703] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_catch] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_DASH_GT] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5704] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_elseif] = ACTIONS(12354),
    [anon_sym_else] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5705] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5706] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12178),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12178),
    [anon_sym_RPAREN] = ACTIONS(12178),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12178),
    [anon_sym_RBRACK] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_SEMI] = ACTIONS(12178),
    [anon_sym_LBRACE] = ACTIONS(12178),
    [anon_sym_RBRACE] = ACTIONS(12178),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12178),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12178),
    [anon_sym_QMARK] = ACTIONS(12178),
    [anon_sym_AT] = ACTIONS(12178),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12178),
    [aux_sym_integer_literal_token2] = ACTIONS(12178),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12178),
    [aux_sym_float_literal_token3] = ACTIONS(12178),
    [aux_sym_float_literal_token4] = ACTIONS(12178),
    [sym_character_literal] = ACTIONS(12178),
    [sym__assignment_operator] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12178),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12178),
    [sym__lazy_and_operator] = ACTIONS(12178),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12178),
    [sym__pipe_left_operator] = ACTIONS(12178),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12178),
    [sym__type_order_operator] = ACTIONS(12178),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5707] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_catch] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_DASH_GT] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [5708] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12344),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12344),
    [anon_sym_RPAREN] = ACTIONS(12344),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12344),
    [anon_sym_RBRACK] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_SEMI] = ACTIONS(12344),
    [anon_sym_LBRACE] = ACTIONS(12344),
    [anon_sym_RBRACE] = ACTIONS(12344),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12344),
    [anon_sym_COLON_COLON] = ACTIONS(12344),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12344),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_DASH_GT] = ACTIONS(12344),
    [anon_sym_AT] = ACTIONS(12344),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12344),
    [aux_sym_integer_literal_token2] = ACTIONS(12344),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12344),
    [aux_sym_float_literal_token3] = ACTIONS(12344),
    [aux_sym_float_literal_token4] = ACTIONS(12344),
    [sym_character_literal] = ACTIONS(12344),
    [sym__pair_operator] = ACTIONS(12344),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12344),
    [sym__lazy_and_operator] = ACTIONS(12344),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12344),
    [sym__pipe_left_operator] = ACTIONS(12344),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12344),
    [sym__bitshift_operator] = ACTIONS(12344),
    [sym__power_operator] = ACTIONS(12344),
    [sym__tilde_operator] = ACTIONS(12344),
    [sym__type_order_operator] = ACTIONS(12344),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5709] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12186),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12186),
    [anon_sym_RPAREN] = ACTIONS(12186),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12186),
    [anon_sym_RBRACK] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_SEMI] = ACTIONS(12186),
    [anon_sym_LBRACE] = ACTIONS(12186),
    [anon_sym_RBRACE] = ACTIONS(12186),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12186),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12186),
    [anon_sym_QMARK] = ACTIONS(12186),
    [anon_sym_AT] = ACTIONS(12186),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12186),
    [aux_sym_integer_literal_token2] = ACTIONS(12186),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12186),
    [aux_sym_float_literal_token3] = ACTIONS(12186),
    [aux_sym_float_literal_token4] = ACTIONS(12186),
    [sym_character_literal] = ACTIONS(12186),
    [sym__assignment_operator] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12186),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12186),
    [sym__lazy_and_operator] = ACTIONS(12186),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12186),
    [sym__pipe_left_operator] = ACTIONS(12186),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12186),
    [sym__type_order_operator] = ACTIONS(12186),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5710] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_elseif] = ACTIONS(12140),
    [anon_sym_else] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5711] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12298),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12298),
    [anon_sym_RPAREN] = ACTIONS(12298),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12298),
    [anon_sym_RBRACK] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_SEMI] = ACTIONS(12298),
    [anon_sym_LBRACE] = ACTIONS(12298),
    [anon_sym_RBRACE] = ACTIONS(12298),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12298),
    [anon_sym_COLON_COLON] = ACTIONS(12298),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12298),
    [anon_sym_QMARK] = ACTIONS(12298),
    [anon_sym_DASH_GT] = ACTIONS(12298),
    [anon_sym_AT] = ACTIONS(12298),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12298),
    [aux_sym_integer_literal_token2] = ACTIONS(12298),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12298),
    [aux_sym_float_literal_token3] = ACTIONS(12298),
    [aux_sym_float_literal_token4] = ACTIONS(12298),
    [sym_character_literal] = ACTIONS(12298),
    [sym__pair_operator] = ACTIONS(12298),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12298),
    [sym__lazy_and_operator] = ACTIONS(12298),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12298),
    [sym__pipe_left_operator] = ACTIONS(12298),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12298),
    [sym__bitshift_operator] = ACTIONS(12298),
    [sym__power_operator] = ACTIONS(12298),
    [sym__tilde_operator] = ACTIONS(12298),
    [sym__type_order_operator] = ACTIONS(12298),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5712] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12182),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12182),
    [anon_sym_RPAREN] = ACTIONS(12182),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12182),
    [anon_sym_RBRACK] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_SEMI] = ACTIONS(12182),
    [anon_sym_LBRACE] = ACTIONS(12182),
    [anon_sym_RBRACE] = ACTIONS(12182),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12182),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12182),
    [anon_sym_QMARK] = ACTIONS(12182),
    [anon_sym_AT] = ACTIONS(12182),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12182),
    [aux_sym_integer_literal_token2] = ACTIONS(12182),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12182),
    [aux_sym_float_literal_token3] = ACTIONS(12182),
    [aux_sym_float_literal_token4] = ACTIONS(12182),
    [sym_character_literal] = ACTIONS(12182),
    [sym__assignment_operator] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12182),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12182),
    [sym__lazy_and_operator] = ACTIONS(12182),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12182),
    [sym__pipe_left_operator] = ACTIONS(12182),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12182),
    [sym__type_order_operator] = ACTIONS(12182),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5713] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12138),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12138),
    [anon_sym_RPAREN] = ACTIONS(12138),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12138),
    [anon_sym_RBRACK] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_SEMI] = ACTIONS(12138),
    [anon_sym_LBRACE] = ACTIONS(12138),
    [anon_sym_RBRACE] = ACTIONS(12138),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12138),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12138),
    [anon_sym_QMARK] = ACTIONS(12138),
    [anon_sym_AT] = ACTIONS(12138),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12138),
    [aux_sym_integer_literal_token2] = ACTIONS(12138),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12138),
    [aux_sym_float_literal_token3] = ACTIONS(12138),
    [aux_sym_float_literal_token4] = ACTIONS(12138),
    [sym_character_literal] = ACTIONS(12138),
    [sym__assignment_operator] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12138),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12138),
    [sym__lazy_and_operator] = ACTIONS(12138),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12138),
    [sym__pipe_left_operator] = ACTIONS(12138),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12138),
    [sym__type_order_operator] = ACTIONS(12138),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5714] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__assignment_operator] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [5715] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12194),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12194),
    [anon_sym_RPAREN] = ACTIONS(12194),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12194),
    [anon_sym_RBRACK] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_SEMI] = ACTIONS(12194),
    [anon_sym_LBRACE] = ACTIONS(12194),
    [anon_sym_RBRACE] = ACTIONS(12194),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12194),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12194),
    [anon_sym_QMARK] = ACTIONS(12194),
    [anon_sym_AT] = ACTIONS(12194),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12194),
    [aux_sym_integer_literal_token2] = ACTIONS(12194),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12194),
    [aux_sym_float_literal_token3] = ACTIONS(12194),
    [aux_sym_float_literal_token4] = ACTIONS(12194),
    [sym_character_literal] = ACTIONS(12194),
    [sym__assignment_operator] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12194),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12194),
    [sym__lazy_and_operator] = ACTIONS(12194),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12194),
    [sym__pipe_left_operator] = ACTIONS(12194),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12194),
    [sym__type_order_operator] = ACTIONS(12194),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5716] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12198),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12198),
    [anon_sym_RPAREN] = ACTIONS(12198),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12198),
    [anon_sym_RBRACK] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_SEMI] = ACTIONS(12198),
    [anon_sym_LBRACE] = ACTIONS(12198),
    [anon_sym_RBRACE] = ACTIONS(12198),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12198),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12198),
    [anon_sym_QMARK] = ACTIONS(12198),
    [anon_sym_AT] = ACTIONS(12198),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12198),
    [aux_sym_integer_literal_token2] = ACTIONS(12198),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12198),
    [aux_sym_float_literal_token3] = ACTIONS(12198),
    [aux_sym_float_literal_token4] = ACTIONS(12198),
    [sym_character_literal] = ACTIONS(12198),
    [sym__assignment_operator] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12198),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12198),
    [sym__lazy_and_operator] = ACTIONS(12198),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12198),
    [sym__pipe_left_operator] = ACTIONS(12198),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12198),
    [sym__type_order_operator] = ACTIONS(12198),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5717] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5718] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_catch] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_DASH_GT] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5719] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_catch] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [5720] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_catch] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_DASH_GT] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5721] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_catch] = ACTIONS(12148),
    [anon_sym_finally] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__assignment_operator] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [5722] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__assignment_operator] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [5723] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11984),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11984),
    [anon_sym_RPAREN] = ACTIONS(11984),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11984),
    [anon_sym_RBRACK] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_SEMI] = ACTIONS(11984),
    [anon_sym_LBRACE] = ACTIONS(11984),
    [anon_sym_RBRACE] = ACTIONS(11984),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11984),
    [anon_sym_COLON_COLON] = ACTIONS(11984),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11984),
    [anon_sym_QMARK] = ACTIONS(11984),
    [anon_sym_AT] = ACTIONS(11984),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11984),
    [aux_sym_integer_literal_token2] = ACTIONS(11984),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11984),
    [aux_sym_float_literal_token3] = ACTIONS(11984),
    [aux_sym_float_literal_token4] = ACTIONS(11984),
    [sym_character_literal] = ACTIONS(11984),
    [sym__pair_operator] = ACTIONS(11984),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11984),
    [sym__lazy_and_operator] = ACTIONS(11984),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11984),
    [sym__pipe_left_operator] = ACTIONS(11984),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11984),
    [sym__bitshift_operator] = ACTIONS(11984),
    [sym__power_operator] = ACTIONS(11984),
    [sym__tilde_operator] = ACTIONS(11984),
    [sym__type_order_operator] = ACTIONS(11984),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [5724] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12212),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12212),
    [anon_sym_RPAREN] = ACTIONS(12212),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12212),
    [anon_sym_RBRACK] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_SEMI] = ACTIONS(12212),
    [anon_sym_LBRACE] = ACTIONS(12212),
    [anon_sym_RBRACE] = ACTIONS(12212),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12212),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12212),
    [anon_sym_QMARK] = ACTIONS(12212),
    [anon_sym_AT] = ACTIONS(12212),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12212),
    [aux_sym_integer_literal_token2] = ACTIONS(12212),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12212),
    [aux_sym_float_literal_token3] = ACTIONS(12212),
    [aux_sym_float_literal_token4] = ACTIONS(12212),
    [sym_character_literal] = ACTIONS(12212),
    [sym__assignment_operator] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12212),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12212),
    [sym__lazy_and_operator] = ACTIONS(12212),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12212),
    [sym__pipe_left_operator] = ACTIONS(12212),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12212),
    [sym__type_order_operator] = ACTIONS(12212),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5725] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12206),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12206),
    [anon_sym_RPAREN] = ACTIONS(12206),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12206),
    [anon_sym_RBRACK] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_SEMI] = ACTIONS(12206),
    [anon_sym_LBRACE] = ACTIONS(12206),
    [anon_sym_RBRACE] = ACTIONS(12206),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12206),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12206),
    [anon_sym_QMARK] = ACTIONS(12206),
    [anon_sym_AT] = ACTIONS(12206),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12206),
    [aux_sym_integer_literal_token2] = ACTIONS(12206),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12206),
    [aux_sym_float_literal_token3] = ACTIONS(12206),
    [aux_sym_float_literal_token4] = ACTIONS(12206),
    [sym_character_literal] = ACTIONS(12206),
    [sym__assignment_operator] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12206),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12206),
    [sym__lazy_and_operator] = ACTIONS(12206),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12206),
    [sym__pipe_left_operator] = ACTIONS(12206),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12206),
    [sym__type_order_operator] = ACTIONS(12206),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5726] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12216),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12216),
    [anon_sym_RPAREN] = ACTIONS(12216),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12216),
    [anon_sym_RBRACK] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_SEMI] = ACTIONS(12216),
    [anon_sym_LBRACE] = ACTIONS(12216),
    [anon_sym_RBRACE] = ACTIONS(12216),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12216),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12216),
    [anon_sym_QMARK] = ACTIONS(12216),
    [anon_sym_AT] = ACTIONS(12216),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12216),
    [aux_sym_integer_literal_token2] = ACTIONS(12216),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12216),
    [aux_sym_float_literal_token3] = ACTIONS(12216),
    [aux_sym_float_literal_token4] = ACTIONS(12216),
    [sym_character_literal] = ACTIONS(12216),
    [sym__assignment_operator] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12216),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12216),
    [sym__lazy_and_operator] = ACTIONS(12216),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12216),
    [sym__pipe_left_operator] = ACTIONS(12216),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12216),
    [sym__type_order_operator] = ACTIONS(12216),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5727] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12220),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12220),
    [anon_sym_RPAREN] = ACTIONS(12220),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12220),
    [anon_sym_RBRACK] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_SEMI] = ACTIONS(12220),
    [anon_sym_LBRACE] = ACTIONS(12220),
    [anon_sym_RBRACE] = ACTIONS(12220),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12220),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12220),
    [anon_sym_QMARK] = ACTIONS(12220),
    [anon_sym_AT] = ACTIONS(12220),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12220),
    [aux_sym_integer_literal_token2] = ACTIONS(12220),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12220),
    [aux_sym_float_literal_token3] = ACTIONS(12220),
    [aux_sym_float_literal_token4] = ACTIONS(12220),
    [sym_character_literal] = ACTIONS(12220),
    [sym__assignment_operator] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12220),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12220),
    [sym__lazy_and_operator] = ACTIONS(12220),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12220),
    [sym__pipe_left_operator] = ACTIONS(12220),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12220),
    [sym__type_order_operator] = ACTIONS(12220),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5728] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12228),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12228),
    [anon_sym_RPAREN] = ACTIONS(12228),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12228),
    [anon_sym_RBRACK] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_SEMI] = ACTIONS(12228),
    [anon_sym_LBRACE] = ACTIONS(12228),
    [anon_sym_RBRACE] = ACTIONS(12228),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12228),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12228),
    [anon_sym_QMARK] = ACTIONS(12228),
    [anon_sym_AT] = ACTIONS(12228),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12228),
    [aux_sym_integer_literal_token2] = ACTIONS(12228),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12228),
    [aux_sym_float_literal_token3] = ACTIONS(12228),
    [aux_sym_float_literal_token4] = ACTIONS(12228),
    [sym_character_literal] = ACTIONS(12228),
    [sym__assignment_operator] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12228),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12228),
    [sym__lazy_and_operator] = ACTIONS(12228),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12228),
    [sym__pipe_left_operator] = ACTIONS(12228),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12228),
    [sym__type_order_operator] = ACTIONS(12228),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5729] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12240),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12240),
    [anon_sym_RPAREN] = ACTIONS(12240),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12240),
    [anon_sym_RBRACK] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_SEMI] = ACTIONS(12240),
    [anon_sym_LBRACE] = ACTIONS(12240),
    [anon_sym_RBRACE] = ACTIONS(12240),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12240),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12240),
    [anon_sym_QMARK] = ACTIONS(12240),
    [anon_sym_AT] = ACTIONS(12240),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12240),
    [aux_sym_integer_literal_token2] = ACTIONS(12240),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12240),
    [aux_sym_float_literal_token3] = ACTIONS(12240),
    [aux_sym_float_literal_token4] = ACTIONS(12240),
    [sym_character_literal] = ACTIONS(12240),
    [sym__assignment_operator] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12240),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12240),
    [sym__lazy_and_operator] = ACTIONS(12240),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12240),
    [sym__pipe_left_operator] = ACTIONS(12240),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12240),
    [sym__type_order_operator] = ACTIONS(12240),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5730] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_catch] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_DASH_GT] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5731] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5732] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_catch] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_DASH_GT] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5733] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_catch] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__assignment_operator] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5734] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12302),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12302),
    [anon_sym_RPAREN] = ACTIONS(12302),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12302),
    [anon_sym_RBRACK] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_SEMI] = ACTIONS(12302),
    [anon_sym_LBRACE] = ACTIONS(12302),
    [anon_sym_RBRACE] = ACTIONS(12302),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12302),
    [anon_sym_COLON_COLON] = ACTIONS(12302),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12302),
    [anon_sym_QMARK] = ACTIONS(12302),
    [anon_sym_DASH_GT] = ACTIONS(12302),
    [anon_sym_AT] = ACTIONS(12302),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12302),
    [aux_sym_integer_literal_token2] = ACTIONS(12302),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12302),
    [aux_sym_float_literal_token3] = ACTIONS(12302),
    [aux_sym_float_literal_token4] = ACTIONS(12302),
    [sym_character_literal] = ACTIONS(12302),
    [sym__pair_operator] = ACTIONS(12302),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12302),
    [sym__lazy_and_operator] = ACTIONS(12302),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12302),
    [sym__pipe_left_operator] = ACTIONS(12302),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12302),
    [sym__bitshift_operator] = ACTIONS(12302),
    [sym__power_operator] = ACTIONS(12302),
    [sym__tilde_operator] = ACTIONS(12302),
    [sym__type_order_operator] = ACTIONS(12302),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5735] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5736] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_finally] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__assignment_operator] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5737] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12138),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12138),
    [anon_sym_RPAREN] = ACTIONS(12138),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12138),
    [anon_sym_RBRACK] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_SEMI] = ACTIONS(12138),
    [anon_sym_LBRACE] = ACTIONS(12138),
    [anon_sym_RBRACE] = ACTIONS(12138),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12138),
    [anon_sym_COLON_COLON] = ACTIONS(12138),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12138),
    [anon_sym_QMARK] = ACTIONS(12138),
    [anon_sym_DASH_GT] = ACTIONS(12138),
    [anon_sym_AT] = ACTIONS(12138),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12138),
    [aux_sym_integer_literal_token2] = ACTIONS(12138),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12138),
    [aux_sym_float_literal_token3] = ACTIONS(12138),
    [aux_sym_float_literal_token4] = ACTIONS(12138),
    [sym_character_literal] = ACTIONS(12138),
    [sym__pair_operator] = ACTIONS(12138),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12138),
    [sym__lazy_and_operator] = ACTIONS(12138),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12138),
    [sym__pipe_left_operator] = ACTIONS(12138),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12138),
    [sym__bitshift_operator] = ACTIONS(12138),
    [sym__power_operator] = ACTIONS(12138),
    [sym__tilde_operator] = ACTIONS(12138),
    [sym__type_order_operator] = ACTIONS(12138),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5738] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_catch] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_DASH_GT] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5739] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_catch] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_DASH_GT] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5740] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2186),
    [aux_sym_integer_literal_token2] = ACTIONS(2186),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2186),
    [aux_sym_float_literal_token3] = ACTIONS(2186),
    [aux_sym_float_literal_token4] = ACTIONS(2186),
    [sym_character_literal] = ACTIONS(2186),
    [sym__assignment_operator] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2186),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2186),
    [sym__pipe_left_operator] = ACTIONS(2186),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2186),
    [sym__type_order_operator] = ACTIONS(2186),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5741] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_catch] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_DASH_GT] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5742] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5743] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5744] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_catch] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__assignment_operator] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5745] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_catch] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__assignment_operator] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5746] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_catch] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__assignment_operator] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5747] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_catch] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_DASH_GT] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5748] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__assignment_operator] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5749] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_catch] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__assignment_operator] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5750] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12232),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12232),
    [anon_sym_RPAREN] = ACTIONS(12232),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12232),
    [anon_sym_RBRACK] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_SEMI] = ACTIONS(12232),
    [anon_sym_LBRACE] = ACTIONS(12232),
    [anon_sym_RBRACE] = ACTIONS(12232),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12232),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12232),
    [anon_sym_QMARK] = ACTIONS(12232),
    [anon_sym_AT] = ACTIONS(12232),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12232),
    [aux_sym_integer_literal_token2] = ACTIONS(12232),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12232),
    [aux_sym_float_literal_token3] = ACTIONS(12232),
    [aux_sym_float_literal_token4] = ACTIONS(12232),
    [sym_character_literal] = ACTIONS(12232),
    [sym__assignment_operator] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12232),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12232),
    [sym__lazy_and_operator] = ACTIONS(12232),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12232),
    [sym__pipe_left_operator] = ACTIONS(12232),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12232),
    [sym__type_order_operator] = ACTIONS(12232),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [5751] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_catch] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_DASH_GT] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5752] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_catch] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_DASH_GT] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5753] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_catch] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_DASH_GT] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5754] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_catch] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_DASH_GT] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5755] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5756] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_catch] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_DASH_GT] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5757] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12082),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12082),
    [anon_sym_RPAREN] = ACTIONS(12082),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12082),
    [anon_sym_RBRACK] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_SEMI] = ACTIONS(12082),
    [anon_sym_LBRACE] = ACTIONS(12082),
    [anon_sym_RBRACE] = ACTIONS(12082),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12082),
    [anon_sym_COLON_COLON] = ACTIONS(12082),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12082),
    [anon_sym_QMARK] = ACTIONS(12082),
    [anon_sym_AT] = ACTIONS(12082),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12082),
    [aux_sym_integer_literal_token2] = ACTIONS(12082),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12082),
    [aux_sym_float_literal_token3] = ACTIONS(12082),
    [aux_sym_float_literal_token4] = ACTIONS(12082),
    [sym_character_literal] = ACTIONS(12082),
    [sym__pair_operator] = ACTIONS(12082),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12082),
    [sym__lazy_and_operator] = ACTIONS(12082),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12082),
    [sym__pipe_left_operator] = ACTIONS(12082),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12082),
    [sym__bitshift_operator] = ACTIONS(12082),
    [sym__power_operator] = ACTIONS(12082),
    [sym__tilde_operator] = ACTIONS(12082),
    [sym__type_order_operator] = ACTIONS(12082),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [5758] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12530),
    [anon_sym_DOT] = ACTIONS(12558),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12560),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12536),
    [sym__immediate_bracket] = ACTIONS(12538),
    [sym__immediate_brace] = ACTIONS(12540),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5759] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_catch] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__assignment_operator] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5760] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_catch] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__assignment_operator] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5761] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_catch] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_DASH_GT] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5762] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12236),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12236),
    [anon_sym_RPAREN] = ACTIONS(12236),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12236),
    [anon_sym_RBRACK] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_SEMI] = ACTIONS(12236),
    [anon_sym_LBRACE] = ACTIONS(12236),
    [anon_sym_RBRACE] = ACTIONS(12236),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12236),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12236),
    [anon_sym_QMARK] = ACTIONS(12236),
    [anon_sym_AT] = ACTIONS(12236),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12236),
    [aux_sym_integer_literal_token2] = ACTIONS(12236),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12236),
    [aux_sym_float_literal_token3] = ACTIONS(12236),
    [aux_sym_float_literal_token4] = ACTIONS(12236),
    [sym_character_literal] = ACTIONS(12236),
    [sym__assignment_operator] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12236),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12236),
    [sym__lazy_and_operator] = ACTIONS(12236),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12236),
    [sym__pipe_left_operator] = ACTIONS(12236),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12236),
    [sym__type_order_operator] = ACTIONS(12236),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5763] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_catch] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__assignment_operator] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5764] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_catch] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__assignment_operator] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5765] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_catch] = ACTIONS(12338),
    [anon_sym_finally] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__assignment_operator] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5766] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_catch] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_DASH_GT] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5767] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5768] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12564),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5769] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_catch] = ACTIONS(12164),
    [anon_sym_finally] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__assignment_operator] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5770] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_finally] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__assignment_operator] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [5771] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_finally] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__assignment_operator] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [5772] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [5773] = {
    [ts_builtin_sym_end] = ACTIONS(12476),
    [sym__word_identifier] = ACTIONS(12474),
    [anon_sym_EQ] = ACTIONS(12474),
    [anon_sym_COMMA] = ACTIONS(12474),
    [anon_sym_COLON] = ACTIONS(12474),
    [anon_sym_begin] = ACTIONS(12474),
    [anon_sym_module] = ACTIONS(12474),
    [anon_sym_baremodule] = ACTIONS(12474),
    [anon_sym_abstract] = ACTIONS(12474),
    [anon_sym_primitive] = ACTIONS(12474),
    [anon_sym_mutable] = ACTIONS(12474),
    [anon_sym_struct] = ACTIONS(12474),
    [anon_sym_function] = ACTIONS(12474),
    [anon_sym_macro] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12474),
    [anon_sym_quote] = ACTIONS(12474),
    [anon_sym_let] = ACTIONS(12474),
    [anon_sym_if] = ACTIONS(12474),
    [anon_sym_try] = ACTIONS(12474),
    [anon_sym_for] = ACTIONS(12474),
    [anon_sym_while] = ACTIONS(12474),
    [sym_break_statement] = ACTIONS(12474),
    [sym_continue_statement] = ACTIONS(12474),
    [anon_sym_return] = ACTIONS(12474),
    [anon_sym_const] = ACTIONS(12474),
    [anon_sym_global] = ACTIONS(12474),
    [anon_sym_local] = ACTIONS(12474),
    [anon_sym_LPAREN] = ACTIONS(12474),
    [anon_sym_RPAREN] = ACTIONS(12474),
    [anon_sym_COLON2] = ACTIONS(12474),
    [anon_sym_export] = ACTIONS(12474),
    [anon_sym_import] = ACTIONS(12474),
    [anon_sym_using] = ACTIONS(12474),
    [anon_sym_LBRACK] = ACTIONS(12474),
    [anon_sym_RBRACK] = ACTIONS(12474),
    [anon_sym_LF] = ACTIONS(12476),
    [anon_sym_in] = ACTIONS(12474),
    [anon_sym_LBRACE] = ACTIONS(12474),
    [anon_sym_SQUOTE] = ACTIONS(12566),
    [anon_sym_DOT] = ACTIONS(12568),
    [anon_sym_DOLLAR] = ACTIONS(12474),
    [anon_sym_COLON_COLON] = ACTIONS(12474),
    [anon_sym_isa] = ACTIONS(12474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12474),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_AT] = ACTIONS(12474),
    [anon_sym_true] = ACTIONS(12474),
    [anon_sym_false] = ACTIONS(12474),
    [aux_sym_integer_literal_token1] = ACTIONS(12474),
    [aux_sym_integer_literal_token2] = ACTIONS(12474),
    [aux_sym_integer_literal_token3] = ACTIONS(12474),
    [aux_sym_integer_literal_token4] = ACTIONS(12474),
    [aux_sym_float_literal_token1] = ACTIONS(12474),
    [aux_sym_float_literal_token3] = ACTIONS(12474),
    [aux_sym_float_literal_token4] = ACTIONS(12474),
    [sym_character_literal] = ACTIONS(12474),
    [sym__pair_operator] = ACTIONS(12474),
    [sym__arrow_operator] = ACTIONS(12474),
    [sym__lazy_or_operator] = ACTIONS(12474),
    [sym__lazy_and_operator] = ACTIONS(12474),
    [sym__comparison_operator] = ACTIONS(12474),
    [sym__pipe_right_operator] = ACTIONS(12474),
    [sym__pipe_left_operator] = ACTIONS(12474),
    [sym__ellipsis_operator] = ACTIONS(12474),
    [sym__plus_operator] = ACTIONS(12474),
    [sym__times_operator] = ACTIONS(12474),
    [sym__rational_operator] = ACTIONS(12474),
    [sym__bitshift_operator] = ACTIONS(12474),
    [sym__power_operator] = ACTIONS(12474),
    [sym__tilde_operator] = ACTIONS(12474),
    [sym__type_order_operator] = ACTIONS(12474),
    [sym__unary_operator] = ACTIONS(12474),
    [sym__unary_plus_operator] = ACTIONS(12474),
    [aux_sym__terminator_token1] = ACTIONS(12474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12570),
    [sym__immediate_bracket] = ACTIONS(12572),
    [sym__immediate_brace] = ACTIONS(12574),
    [sym__string_start] = ACTIONS(12476),
    [sym__command_start] = ACTIONS(12476),
  },
  [5774] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12160),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12160),
    [anon_sym_RPAREN] = ACTIONS(12160),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12160),
    [anon_sym_RBRACK] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_SEMI] = ACTIONS(12160),
    [anon_sym_LBRACE] = ACTIONS(12160),
    [anon_sym_RBRACE] = ACTIONS(12160),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12160),
    [anon_sym_COLON_COLON] = ACTIONS(12160),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12160),
    [anon_sym_QMARK] = ACTIONS(12160),
    [anon_sym_DASH_GT] = ACTIONS(12160),
    [anon_sym_AT] = ACTIONS(12160),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12160),
    [aux_sym_integer_literal_token2] = ACTIONS(12160),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12160),
    [aux_sym_float_literal_token3] = ACTIONS(12160),
    [aux_sym_float_literal_token4] = ACTIONS(12160),
    [sym_character_literal] = ACTIONS(12160),
    [sym__pair_operator] = ACTIONS(12160),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12160),
    [sym__lazy_and_operator] = ACTIONS(12160),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12160),
    [sym__pipe_left_operator] = ACTIONS(12160),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12160),
    [sym__bitshift_operator] = ACTIONS(12160),
    [sym__power_operator] = ACTIONS(12160),
    [sym__tilde_operator] = ACTIONS(12160),
    [sym__type_order_operator] = ACTIONS(12160),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5775] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12252),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12252),
    [anon_sym_RPAREN] = ACTIONS(12252),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12252),
    [anon_sym_RBRACK] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_SEMI] = ACTIONS(12252),
    [anon_sym_LBRACE] = ACTIONS(12252),
    [anon_sym_RBRACE] = ACTIONS(12252),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12252),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12252),
    [anon_sym_QMARK] = ACTIONS(12252),
    [anon_sym_AT] = ACTIONS(12252),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12252),
    [aux_sym_integer_literal_token2] = ACTIONS(12252),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12252),
    [aux_sym_float_literal_token3] = ACTIONS(12252),
    [aux_sym_float_literal_token4] = ACTIONS(12252),
    [sym_character_literal] = ACTIONS(12252),
    [sym__assignment_operator] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12252),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12252),
    [sym__lazy_and_operator] = ACTIONS(12252),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12252),
    [sym__pipe_left_operator] = ACTIONS(12252),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12252),
    [sym__type_order_operator] = ACTIONS(12252),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5776] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5777] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12256),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12256),
    [anon_sym_RPAREN] = ACTIONS(12256),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12256),
    [anon_sym_RBRACK] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_SEMI] = ACTIONS(12256),
    [anon_sym_LBRACE] = ACTIONS(12256),
    [anon_sym_RBRACE] = ACTIONS(12256),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12256),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12256),
    [anon_sym_QMARK] = ACTIONS(12256),
    [anon_sym_AT] = ACTIONS(12256),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12256),
    [aux_sym_integer_literal_token2] = ACTIONS(12256),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12256),
    [aux_sym_float_literal_token3] = ACTIONS(12256),
    [aux_sym_float_literal_token4] = ACTIONS(12256),
    [sym_character_literal] = ACTIONS(12256),
    [sym__assignment_operator] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12256),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12256),
    [sym__lazy_and_operator] = ACTIONS(12256),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12256),
    [sym__pipe_left_operator] = ACTIONS(12256),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12256),
    [sym__type_order_operator] = ACTIONS(12256),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5778] = {
    [sym_identifier] = STATE(5972),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_catch] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [5779] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12260),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12260),
    [anon_sym_RPAREN] = ACTIONS(12260),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12260),
    [anon_sym_RBRACK] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_SEMI] = ACTIONS(12260),
    [anon_sym_LBRACE] = ACTIONS(12260),
    [anon_sym_RBRACE] = ACTIONS(12260),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12260),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12260),
    [anon_sym_QMARK] = ACTIONS(12260),
    [anon_sym_AT] = ACTIONS(12260),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12260),
    [aux_sym_integer_literal_token2] = ACTIONS(12260),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12260),
    [aux_sym_float_literal_token3] = ACTIONS(12260),
    [aux_sym_float_literal_token4] = ACTIONS(12260),
    [sym_character_literal] = ACTIONS(12260),
    [sym__assignment_operator] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12260),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12260),
    [sym__lazy_and_operator] = ACTIONS(12260),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12260),
    [sym__pipe_left_operator] = ACTIONS(12260),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12260),
    [sym__type_order_operator] = ACTIONS(12260),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5780] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12264),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12264),
    [anon_sym_RPAREN] = ACTIONS(12264),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12264),
    [anon_sym_RBRACK] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_SEMI] = ACTIONS(12264),
    [anon_sym_LBRACE] = ACTIONS(12264),
    [anon_sym_RBRACE] = ACTIONS(12264),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12264),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12264),
    [anon_sym_QMARK] = ACTIONS(12264),
    [anon_sym_AT] = ACTIONS(12264),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12264),
    [aux_sym_integer_literal_token2] = ACTIONS(12264),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12264),
    [aux_sym_float_literal_token3] = ACTIONS(12264),
    [aux_sym_float_literal_token4] = ACTIONS(12264),
    [sym_character_literal] = ACTIONS(12264),
    [sym__assignment_operator] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12264),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12264),
    [sym__lazy_and_operator] = ACTIONS(12264),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12264),
    [sym__pipe_left_operator] = ACTIONS(12264),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12264),
    [sym__type_order_operator] = ACTIONS(12264),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5781] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5782] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5783] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5784] = {
    [sym_identifier] = STATE(5971),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_catch] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [5785] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_catch] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__assignment_operator] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5786] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_catch] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__assignment_operator] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5787] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_catch] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__assignment_operator] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5788] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12244),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12244),
    [anon_sym_RPAREN] = ACTIONS(12244),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12244),
    [anon_sym_RBRACK] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_SEMI] = ACTIONS(12244),
    [anon_sym_LBRACE] = ACTIONS(12244),
    [anon_sym_RBRACE] = ACTIONS(12244),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12244),
    [anon_sym_COLON_COLON] = ACTIONS(12244),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12244),
    [anon_sym_QMARK] = ACTIONS(12244),
    [anon_sym_DASH_GT] = ACTIONS(12244),
    [anon_sym_AT] = ACTIONS(12244),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12244),
    [aux_sym_integer_literal_token2] = ACTIONS(12244),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12244),
    [aux_sym_float_literal_token3] = ACTIONS(12244),
    [aux_sym_float_literal_token4] = ACTIONS(12244),
    [sym_character_literal] = ACTIONS(12244),
    [sym__pair_operator] = ACTIONS(12244),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12244),
    [sym__lazy_and_operator] = ACTIONS(12244),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12244),
    [sym__pipe_left_operator] = ACTIONS(12244),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12244),
    [sym__bitshift_operator] = ACTIONS(12244),
    [sym__power_operator] = ACTIONS(12244),
    [sym__tilde_operator] = ACTIONS(12244),
    [sym__type_order_operator] = ACTIONS(12244),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5789] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5790] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5791] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12028),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12028),
    [anon_sym_RPAREN] = ACTIONS(12028),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12028),
    [anon_sym_RBRACK] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12028),
    [anon_sym_LBRACE] = ACTIONS(12028),
    [anon_sym_RBRACE] = ACTIONS(12028),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12028),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12028),
    [anon_sym_QMARK] = ACTIONS(12028),
    [anon_sym_AT] = ACTIONS(12028),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12028),
    [aux_sym_integer_literal_token2] = ACTIONS(12028),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12028),
    [aux_sym_float_literal_token3] = ACTIONS(12028),
    [aux_sym_float_literal_token4] = ACTIONS(12028),
    [sym_character_literal] = ACTIONS(12028),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12028),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12028),
    [sym__lazy_and_operator] = ACTIONS(12028),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12028),
    [sym__pipe_left_operator] = ACTIONS(12028),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12028),
    [sym__type_order_operator] = ACTIONS(12028),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5792] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_finally] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__assignment_operator] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5793] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12248),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12248),
    [anon_sym_RPAREN] = ACTIONS(12248),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12248),
    [anon_sym_RBRACK] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_SEMI] = ACTIONS(12248),
    [anon_sym_LBRACE] = ACTIONS(12248),
    [anon_sym_RBRACE] = ACTIONS(12248),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12248),
    [anon_sym_COLON_COLON] = ACTIONS(12248),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12248),
    [anon_sym_QMARK] = ACTIONS(12248),
    [anon_sym_DASH_GT] = ACTIONS(12248),
    [anon_sym_AT] = ACTIONS(12248),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12248),
    [aux_sym_integer_literal_token2] = ACTIONS(12248),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12248),
    [aux_sym_float_literal_token3] = ACTIONS(12248),
    [aux_sym_float_literal_token4] = ACTIONS(12248),
    [sym_character_literal] = ACTIONS(12248),
    [sym__pair_operator] = ACTIONS(12248),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12248),
    [sym__lazy_and_operator] = ACTIONS(12248),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12248),
    [sym__pipe_left_operator] = ACTIONS(12248),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12248),
    [sym__bitshift_operator] = ACTIONS(12248),
    [sym__power_operator] = ACTIONS(12248),
    [sym__tilde_operator] = ACTIONS(12248),
    [sym__type_order_operator] = ACTIONS(12248),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5794] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_finally] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__assignment_operator] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5795] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_catch] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__assignment_operator] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5796] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5797] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_catch] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__assignment_operator] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [5798] = {
    [sym_identifier] = STATE(6299),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_catch] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [5799] = {
    [sym_identifier] = STATE(5994),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_catch] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [5800] = {
    [ts_builtin_sym_end] = ACTIONS(12512),
    [sym__word_identifier] = ACTIONS(12440),
    [anon_sym_EQ] = ACTIONS(12440),
    [anon_sym_COMMA] = ACTIONS(12440),
    [anon_sym_COLON] = ACTIONS(12440),
    [anon_sym_begin] = ACTIONS(12440),
    [anon_sym_module] = ACTIONS(12440),
    [anon_sym_baremodule] = ACTIONS(12440),
    [anon_sym_abstract] = ACTIONS(12440),
    [anon_sym_primitive] = ACTIONS(12440),
    [anon_sym_mutable] = ACTIONS(12440),
    [anon_sym_struct] = ACTIONS(12440),
    [anon_sym_function] = ACTIONS(12440),
    [anon_sym_macro] = ACTIONS(12440),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_quote] = ACTIONS(12440),
    [anon_sym_let] = ACTIONS(12440),
    [anon_sym_if] = ACTIONS(12440),
    [anon_sym_try] = ACTIONS(12440),
    [anon_sym_for] = ACTIONS(12440),
    [anon_sym_while] = ACTIONS(12440),
    [sym_break_statement] = ACTIONS(12440),
    [sym_continue_statement] = ACTIONS(12440),
    [anon_sym_return] = ACTIONS(12440),
    [anon_sym_const] = ACTIONS(12440),
    [anon_sym_global] = ACTIONS(12440),
    [anon_sym_local] = ACTIONS(12440),
    [anon_sym_LPAREN] = ACTIONS(12440),
    [anon_sym_RPAREN] = ACTIONS(12440),
    [anon_sym_COLON2] = ACTIONS(12440),
    [anon_sym_export] = ACTIONS(12440),
    [anon_sym_import] = ACTIONS(12440),
    [anon_sym_using] = ACTIONS(12440),
    [anon_sym_LBRACK] = ACTIONS(12440),
    [anon_sym_RBRACK] = ACTIONS(12440),
    [anon_sym_LF] = ACTIONS(12512),
    [anon_sym_in] = ACTIONS(12440),
    [anon_sym_LBRACE] = ACTIONS(12440),
    [anon_sym_SQUOTE] = ACTIONS(12566),
    [anon_sym_DOT] = ACTIONS(12568),
    [anon_sym_DOLLAR] = ACTIONS(12440),
    [anon_sym_COLON_COLON] = ACTIONS(12440),
    [anon_sym_isa] = ACTIONS(12440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12440),
    [anon_sym_QMARK] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(12440),
    [anon_sym_true] = ACTIONS(12440),
    [anon_sym_false] = ACTIONS(12440),
    [aux_sym_integer_literal_token1] = ACTIONS(12440),
    [aux_sym_integer_literal_token2] = ACTIONS(12440),
    [aux_sym_integer_literal_token3] = ACTIONS(12440),
    [aux_sym_integer_literal_token4] = ACTIONS(12440),
    [aux_sym_float_literal_token1] = ACTIONS(12440),
    [aux_sym_float_literal_token3] = ACTIONS(12440),
    [aux_sym_float_literal_token4] = ACTIONS(12440),
    [sym_character_literal] = ACTIONS(12440),
    [sym__pair_operator] = ACTIONS(12440),
    [sym__arrow_operator] = ACTIONS(12440),
    [sym__lazy_or_operator] = ACTIONS(12440),
    [sym__lazy_and_operator] = ACTIONS(12440),
    [sym__comparison_operator] = ACTIONS(12440),
    [sym__pipe_right_operator] = ACTIONS(12440),
    [sym__pipe_left_operator] = ACTIONS(12440),
    [sym__ellipsis_operator] = ACTIONS(12440),
    [sym__plus_operator] = ACTIONS(12440),
    [sym__times_operator] = ACTIONS(12440),
    [sym__rational_operator] = ACTIONS(12440),
    [sym__bitshift_operator] = ACTIONS(12440),
    [sym__power_operator] = ACTIONS(12440),
    [sym__tilde_operator] = ACTIONS(12440),
    [sym__type_order_operator] = ACTIONS(12440),
    [sym__unary_operator] = ACTIONS(12440),
    [sym__unary_plus_operator] = ACTIONS(12440),
    [aux_sym__terminator_token1] = ACTIONS(12440),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12570),
    [sym__immediate_bracket] = ACTIONS(12572),
    [sym__immediate_brace] = ACTIONS(12574),
    [sym__string_start] = ACTIONS(12512),
    [sym__command_start] = ACTIONS(12512),
  },
  [5801] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [5802] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5803] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_catch] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__assignment_operator] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5804] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_catch] = ACTIONS(12322),
    [anon_sym_finally] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__assignment_operator] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [5805] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_catch] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__assignment_operator] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5806] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_catch] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__assignment_operator] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5807] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_catch] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__assignment_operator] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5808] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_catch] = ACTIONS(12328),
    [anon_sym_finally] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__assignment_operator] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [5809] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5810] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11886),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11886),
    [anon_sym_RPAREN] = ACTIONS(11886),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11886),
    [anon_sym_RBRACK] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11886),
    [anon_sym_RBRACE] = ACTIONS(11886),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11886),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11886),
    [anon_sym_QMARK] = ACTIONS(11886),
    [anon_sym_AT] = ACTIONS(11886),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11886),
    [aux_sym_integer_literal_token2] = ACTIONS(11886),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11886),
    [aux_sym_float_literal_token3] = ACTIONS(11886),
    [aux_sym_float_literal_token4] = ACTIONS(11886),
    [sym_character_literal] = ACTIONS(11886),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11886),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11886),
    [sym__lazy_and_operator] = ACTIONS(11886),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11886),
    [sym__pipe_left_operator] = ACTIONS(11886),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11886),
    [sym__type_order_operator] = ACTIONS(11886),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5811] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_finally] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__assignment_operator] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [5812] = {
    [sym__word_identifier] = ACTIONS(12370),
    [anon_sym_EQ] = ACTIONS(12370),
    [anon_sym_COMMA] = ACTIONS(12370),
    [anon_sym_COLON] = ACTIONS(12370),
    [anon_sym_begin] = ACTIONS(12370),
    [anon_sym_module] = ACTIONS(12370),
    [anon_sym_baremodule] = ACTIONS(12370),
    [anon_sym_end] = ACTIONS(12370),
    [anon_sym_abstract] = ACTIONS(12370),
    [anon_sym_primitive] = ACTIONS(12370),
    [anon_sym_mutable] = ACTIONS(12370),
    [anon_sym_struct] = ACTIONS(12370),
    [anon_sym_function] = ACTIONS(12370),
    [anon_sym_macro] = ACTIONS(12370),
    [anon_sym_where] = ACTIONS(12370),
    [anon_sym_quote] = ACTIONS(12370),
    [anon_sym_let] = ACTIONS(12370),
    [anon_sym_if] = ACTIONS(12370),
    [anon_sym_try] = ACTIONS(12370),
    [anon_sym_finally] = ACTIONS(12370),
    [anon_sym_for] = ACTIONS(12370),
    [anon_sym_while] = ACTIONS(12370),
    [sym_break_statement] = ACTIONS(12370),
    [sym_continue_statement] = ACTIONS(12370),
    [anon_sym_return] = ACTIONS(12370),
    [anon_sym_const] = ACTIONS(12370),
    [anon_sym_global] = ACTIONS(12370),
    [anon_sym_local] = ACTIONS(12370),
    [anon_sym_LPAREN] = ACTIONS(12370),
    [anon_sym_COLON2] = ACTIONS(12370),
    [anon_sym_export] = ACTIONS(12370),
    [anon_sym_import] = ACTIONS(12370),
    [anon_sym_using] = ACTIONS(12370),
    [anon_sym_LBRACK] = ACTIONS(12370),
    [anon_sym_LF] = ACTIONS(12372),
    [anon_sym_in] = ACTIONS(12370),
    [anon_sym_LBRACE] = ACTIONS(12370),
    [anon_sym_SQUOTE] = ACTIONS(12576),
    [anon_sym_DOT] = ACTIONS(12578),
    [anon_sym_DOLLAR] = ACTIONS(12370),
    [anon_sym_COLON_COLON] = ACTIONS(12370),
    [anon_sym_isa] = ACTIONS(12370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12370),
    [anon_sym_QMARK] = ACTIONS(12370),
    [anon_sym_DASH_GT] = ACTIONS(12370),
    [anon_sym_AT] = ACTIONS(12370),
    [anon_sym_true] = ACTIONS(12370),
    [anon_sym_false] = ACTIONS(12370),
    [aux_sym_integer_literal_token1] = ACTIONS(12370),
    [aux_sym_integer_literal_token2] = ACTIONS(12370),
    [aux_sym_integer_literal_token3] = ACTIONS(12370),
    [aux_sym_integer_literal_token4] = ACTIONS(12370),
    [aux_sym_float_literal_token1] = ACTIONS(12370),
    [aux_sym_float_literal_token3] = ACTIONS(12370),
    [aux_sym_float_literal_token4] = ACTIONS(12370),
    [sym_character_literal] = ACTIONS(12370),
    [sym__pair_operator] = ACTIONS(12370),
    [sym__arrow_operator] = ACTIONS(12370),
    [sym__lazy_or_operator] = ACTIONS(12370),
    [sym__lazy_and_operator] = ACTIONS(12370),
    [sym__comparison_operator] = ACTIONS(12370),
    [sym__pipe_right_operator] = ACTIONS(12370),
    [sym__pipe_left_operator] = ACTIONS(12370),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12370),
    [sym__times_operator] = ACTIONS(12370),
    [sym__rational_operator] = ACTIONS(12370),
    [sym__bitshift_operator] = ACTIONS(12370),
    [sym__power_operator] = ACTIONS(12370),
    [sym__tilde_operator] = ACTIONS(12370),
    [sym__type_order_operator] = ACTIONS(12370),
    [sym__unary_operator] = ACTIONS(12370),
    [sym__unary_plus_operator] = ACTIONS(12370),
    [aux_sym__terminator_token1] = ACTIONS(12370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12580),
    [sym__immediate_bracket] = ACTIONS(12582),
    [sym__immediate_brace] = ACTIONS(12584),
    [sym__string_start] = ACTIONS(12372),
    [sym__command_start] = ACTIONS(12372),
  },
  [5813] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5814] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_catch] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__assignment_operator] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5815] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_catch] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__assignment_operator] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5816] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_catch] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__assignment_operator] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5817] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12158),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12158),
    [anon_sym_RPAREN] = ACTIONS(12158),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12158),
    [anon_sym_RBRACK] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_SEMI] = ACTIONS(12158),
    [anon_sym_LBRACE] = ACTIONS(12158),
    [anon_sym_RBRACE] = ACTIONS(12158),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12158),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12158),
    [anon_sym_QMARK] = ACTIONS(12158),
    [anon_sym_AT] = ACTIONS(12158),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12158),
    [aux_sym_integer_literal_token2] = ACTIONS(12158),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12158),
    [aux_sym_float_literal_token3] = ACTIONS(12158),
    [aux_sym_float_literal_token4] = ACTIONS(12158),
    [sym_character_literal] = ACTIONS(12158),
    [sym__assignment_operator] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12158),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12158),
    [sym__lazy_and_operator] = ACTIONS(12158),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12158),
    [sym__pipe_left_operator] = ACTIONS(12158),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12158),
    [sym__type_order_operator] = ACTIONS(12158),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5818] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_catch] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__assignment_operator] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5819] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_catch] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__assignment_operator] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5820] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_catch] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__assignment_operator] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5821] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_finally] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__assignment_operator] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5822] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_finally] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__assignment_operator] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5823] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12290),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12290),
    [anon_sym_RPAREN] = ACTIONS(12290),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12290),
    [anon_sym_RBRACK] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_SEMI] = ACTIONS(12290),
    [anon_sym_LBRACE] = ACTIONS(12290),
    [anon_sym_RBRACE] = ACTIONS(12290),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12290),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12290),
    [anon_sym_QMARK] = ACTIONS(12290),
    [anon_sym_AT] = ACTIONS(12290),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12290),
    [aux_sym_integer_literal_token2] = ACTIONS(12290),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12290),
    [aux_sym_float_literal_token3] = ACTIONS(12290),
    [aux_sym_float_literal_token4] = ACTIONS(12290),
    [sym_character_literal] = ACTIONS(12290),
    [sym__assignment_operator] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12290),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12290),
    [sym__lazy_and_operator] = ACTIONS(12290),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12290),
    [sym__pipe_left_operator] = ACTIONS(12290),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12290),
    [sym__type_order_operator] = ACTIONS(12290),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5824] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_catch] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__assignment_operator] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5825] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_finally] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__assignment_operator] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5826] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12298),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12298),
    [anon_sym_RPAREN] = ACTIONS(12298),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12298),
    [anon_sym_RBRACK] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_SEMI] = ACTIONS(12298),
    [anon_sym_LBRACE] = ACTIONS(12298),
    [anon_sym_RBRACE] = ACTIONS(12298),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12298),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12298),
    [anon_sym_QMARK] = ACTIONS(12298),
    [anon_sym_AT] = ACTIONS(12298),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12298),
    [aux_sym_integer_literal_token2] = ACTIONS(12298),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12298),
    [aux_sym_float_literal_token3] = ACTIONS(12298),
    [aux_sym_float_literal_token4] = ACTIONS(12298),
    [sym_character_literal] = ACTIONS(12298),
    [sym__assignment_operator] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12298),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12298),
    [sym__lazy_and_operator] = ACTIONS(12298),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12298),
    [sym__pipe_left_operator] = ACTIONS(12298),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12298),
    [sym__type_order_operator] = ACTIONS(12298),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5827] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_catch] = ACTIONS(12238),
    [anon_sym_finally] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_DASH_GT] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5828] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5829] = {
    [sym_do_clause] = STATE(6617),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_EQ] = ACTIONS(11918),
    [anon_sym_COMMA] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_RPAREN] = ACTIONS(11918),
    [anon_sym_COLON2] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_in] = ACTIONS(11918),
    [anon_sym_SEMI] = ACTIONS(11918),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(12586),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_isa] = ACTIONS(11918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11918),
    [anon_sym_QMARK] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__lazy_or_operator] = ACTIONS(11918),
    [sym__lazy_and_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [5830] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_elseif] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5831] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_catch] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__assignment_operator] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5832] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(12458),
    [sym__immediate_command_start] = ACTIONS(12460),
  },
  [5833] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_catch] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__assignment_operator] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5834] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_catch] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__assignment_operator] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5835] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12302),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12302),
    [anon_sym_RPAREN] = ACTIONS(12302),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12302),
    [anon_sym_RBRACK] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_SEMI] = ACTIONS(12302),
    [anon_sym_LBRACE] = ACTIONS(12302),
    [anon_sym_RBRACE] = ACTIONS(12302),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12302),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12302),
    [anon_sym_QMARK] = ACTIONS(12302),
    [anon_sym_AT] = ACTIONS(12302),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12302),
    [aux_sym_integer_literal_token2] = ACTIONS(12302),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12302),
    [aux_sym_float_literal_token3] = ACTIONS(12302),
    [aux_sym_float_literal_token4] = ACTIONS(12302),
    [sym_character_literal] = ACTIONS(12302),
    [sym__assignment_operator] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12302),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12302),
    [sym__lazy_and_operator] = ACTIONS(12302),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12302),
    [sym__pipe_left_operator] = ACTIONS(12302),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12302),
    [sym__type_order_operator] = ACTIONS(12302),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5836] = {
    [sym_identifier] = STATE(6428),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__assignment_operator] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [5837] = {
    [sym_identifier] = STATE(6419),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__assignment_operator] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [5838] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5839] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_elseif] = ACTIONS(12148),
    [anon_sym_else] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [5840] = {
    [sym_do_clause] = STATE(6619),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(12586),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5841] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_catch] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__assignment_operator] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5842] = {
    [sym_identifier] = STATE(6163),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11990),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11990),
    [anon_sym_RPAREN] = ACTIONS(11990),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11990),
    [anon_sym_RBRACK] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_SEMI] = ACTIONS(11990),
    [anon_sym_LBRACE] = ACTIONS(11990),
    [anon_sym_RBRACE] = ACTIONS(11990),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11990),
    [anon_sym_COLON_COLON] = ACTIONS(11990),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11990),
    [anon_sym_QMARK] = ACTIONS(11990),
    [anon_sym_AT] = ACTIONS(11990),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11990),
    [aux_sym_integer_literal_token2] = ACTIONS(11990),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11990),
    [aux_sym_float_literal_token3] = ACTIONS(11990),
    [aux_sym_float_literal_token4] = ACTIONS(11990),
    [sym_character_literal] = ACTIONS(11990),
    [sym__pair_operator] = ACTIONS(11990),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11990),
    [sym__lazy_and_operator] = ACTIONS(11990),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11990),
    [sym__pipe_left_operator] = ACTIONS(11990),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11990),
    [sym__bitshift_operator] = ACTIONS(11990),
    [sym__power_operator] = ACTIONS(11990),
    [sym__tilde_operator] = ACTIONS(11990),
    [sym__type_order_operator] = ACTIONS(11990),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [5843] = {
    [sym_identifier] = STATE(6162),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11986),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11986),
    [anon_sym_RPAREN] = ACTIONS(11986),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11986),
    [anon_sym_RBRACK] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_SEMI] = ACTIONS(11986),
    [anon_sym_LBRACE] = ACTIONS(11986),
    [anon_sym_RBRACE] = ACTIONS(11986),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11986),
    [anon_sym_COLON_COLON] = ACTIONS(11986),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11986),
    [anon_sym_QMARK] = ACTIONS(11986),
    [anon_sym_AT] = ACTIONS(11986),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11986),
    [aux_sym_integer_literal_token2] = ACTIONS(11986),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11986),
    [aux_sym_float_literal_token3] = ACTIONS(11986),
    [aux_sym_float_literal_token4] = ACTIONS(11986),
    [sym_character_literal] = ACTIONS(11986),
    [sym__pair_operator] = ACTIONS(11986),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11986),
    [sym__lazy_and_operator] = ACTIONS(11986),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11986),
    [sym__pipe_left_operator] = ACTIONS(11986),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11986),
    [sym__bitshift_operator] = ACTIONS(11986),
    [sym__power_operator] = ACTIONS(11986),
    [sym__tilde_operator] = ACTIONS(11986),
    [sym__type_order_operator] = ACTIONS(11986),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [5844] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12172),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12172),
    [anon_sym_RPAREN] = ACTIONS(12172),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12172),
    [anon_sym_RBRACK] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_SEMI] = ACTIONS(12172),
    [anon_sym_LBRACE] = ACTIONS(12172),
    [anon_sym_RBRACE] = ACTIONS(12172),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12172),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12172),
    [anon_sym_QMARK] = ACTIONS(12172),
    [anon_sym_AT] = ACTIONS(12172),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12172),
    [aux_sym_integer_literal_token2] = ACTIONS(12172),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12172),
    [aux_sym_float_literal_token3] = ACTIONS(12172),
    [aux_sym_float_literal_token4] = ACTIONS(12172),
    [sym_character_literal] = ACTIONS(12172),
    [sym__assignment_operator] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12172),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12172),
    [sym__lazy_and_operator] = ACTIONS(12172),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12172),
    [sym__pipe_left_operator] = ACTIONS(12172),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12172),
    [sym__type_order_operator] = ACTIONS(12172),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5845] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_DASH_GT] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5846] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5847] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_elseif] = ACTIONS(12348),
    [anon_sym_else] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5848] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5849] = {
    [sym_identifier] = STATE(6098),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__assignment_operator] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [5850] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(12524),
    [sym__immediate_command_start] = ACTIONS(12526),
  },
  [5851] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12160),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12160),
    [anon_sym_RPAREN] = ACTIONS(12160),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12160),
    [anon_sym_RBRACK] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_SEMI] = ACTIONS(12160),
    [anon_sym_LBRACE] = ACTIONS(12160),
    [anon_sym_RBRACE] = ACTIONS(12160),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12160),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12160),
    [anon_sym_QMARK] = ACTIONS(12160),
    [anon_sym_AT] = ACTIONS(12160),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12160),
    [aux_sym_integer_literal_token2] = ACTIONS(12160),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12160),
    [aux_sym_float_literal_token3] = ACTIONS(12160),
    [aux_sym_float_literal_token4] = ACTIONS(12160),
    [sym_character_literal] = ACTIONS(12160),
    [sym__assignment_operator] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12160),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12160),
    [sym__lazy_and_operator] = ACTIONS(12160),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12160),
    [sym__pipe_left_operator] = ACTIONS(12160),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12160),
    [sym__type_order_operator] = ACTIONS(12160),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5852] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_else] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5853] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_catch] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [5854] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12488),
    [anon_sym_DOT] = ACTIONS(12490),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12492),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12494),
    [sym__immediate_bracket] = ACTIONS(12496),
    [sym__immediate_brace] = ACTIONS(12498),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5855] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5856] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_catch] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__assignment_operator] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5857] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5858] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_DASH_GT] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5859] = {
    [sym_identifier] = STATE(6301),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__assignment_operator] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [5860] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_elseif] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5861] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_catch] = ACTIONS(12328),
    [anon_sym_finally] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_DASH_GT] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [5862] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_catch] = ACTIONS(12322),
    [anon_sym_finally] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_DASH_GT] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [5863] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [5864] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12244),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12244),
    [anon_sym_RPAREN] = ACTIONS(12244),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12244),
    [anon_sym_RBRACK] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_SEMI] = ACTIONS(12244),
    [anon_sym_LBRACE] = ACTIONS(12244),
    [anon_sym_RBRACE] = ACTIONS(12244),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12244),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12244),
    [anon_sym_QMARK] = ACTIONS(12244),
    [anon_sym_AT] = ACTIONS(12244),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12244),
    [aux_sym_integer_literal_token2] = ACTIONS(12244),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12244),
    [aux_sym_float_literal_token3] = ACTIONS(12244),
    [aux_sym_float_literal_token4] = ACTIONS(12244),
    [sym_character_literal] = ACTIONS(12244),
    [sym__assignment_operator] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12244),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12244),
    [sym__lazy_and_operator] = ACTIONS(12244),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12244),
    [sym__pipe_left_operator] = ACTIONS(12244),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12244),
    [sym__type_order_operator] = ACTIONS(12244),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5865] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12248),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12248),
    [anon_sym_RPAREN] = ACTIONS(12248),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12248),
    [anon_sym_RBRACK] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_SEMI] = ACTIONS(12248),
    [anon_sym_LBRACE] = ACTIONS(12248),
    [anon_sym_RBRACE] = ACTIONS(12248),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12248),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12248),
    [anon_sym_QMARK] = ACTIONS(12248),
    [anon_sym_AT] = ACTIONS(12248),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12248),
    [aux_sym_integer_literal_token2] = ACTIONS(12248),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12248),
    [aux_sym_float_literal_token3] = ACTIONS(12248),
    [aux_sym_float_literal_token4] = ACTIONS(12248),
    [sym_character_literal] = ACTIONS(12248),
    [sym__assignment_operator] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12248),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12248),
    [sym__lazy_and_operator] = ACTIONS(12248),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12248),
    [sym__pipe_left_operator] = ACTIONS(12248),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12248),
    [sym__type_order_operator] = ACTIONS(12248),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5866] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_catch] = ACTIONS(12238),
    [anon_sym_finally] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__assignment_operator] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5867] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5868] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12356),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12356),
    [anon_sym_RPAREN] = ACTIONS(12356),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12356),
    [anon_sym_RBRACK] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_SEMI] = ACTIONS(12356),
    [anon_sym_LBRACE] = ACTIONS(12356),
    [anon_sym_RBRACE] = ACTIONS(12356),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12356),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12356),
    [anon_sym_QMARK] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(12356),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12356),
    [aux_sym_integer_literal_token2] = ACTIONS(12356),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12356),
    [aux_sym_float_literal_token3] = ACTIONS(12356),
    [aux_sym_float_literal_token4] = ACTIONS(12356),
    [sym_character_literal] = ACTIONS(12356),
    [sym__assignment_operator] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12356),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12356),
    [sym__lazy_and_operator] = ACTIONS(12356),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12356),
    [sym__pipe_left_operator] = ACTIONS(12356),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12356),
    [sym__type_order_operator] = ACTIONS(12356),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5869] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_elseif] = ACTIONS(12350),
    [anon_sym_else] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5870] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_catch] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [5871] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_catch] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [5872] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12142),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12142),
    [anon_sym_RPAREN] = ACTIONS(12142),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12142),
    [anon_sym_RBRACK] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_SEMI] = ACTIONS(12142),
    [anon_sym_LBRACE] = ACTIONS(12142),
    [anon_sym_RBRACE] = ACTIONS(12142),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12142),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12142),
    [anon_sym_QMARK] = ACTIONS(12142),
    [anon_sym_AT] = ACTIONS(12142),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12142),
    [aux_sym_integer_literal_token2] = ACTIONS(12142),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12142),
    [aux_sym_float_literal_token3] = ACTIONS(12142),
    [aux_sym_float_literal_token4] = ACTIONS(12142),
    [sym_character_literal] = ACTIONS(12142),
    [sym__assignment_operator] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12142),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12142),
    [sym__lazy_and_operator] = ACTIONS(12142),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12142),
    [sym__pipe_left_operator] = ACTIONS(12142),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12142),
    [sym__type_order_operator] = ACTIONS(12142),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5873] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_catch] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [5874] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_elseif] = ACTIONS(11892),
    [anon_sym_else] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5875] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5876] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5877] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_elseif] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [5878] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_elseif] = ACTIONS(12342),
    [anon_sym_else] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5879] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_catch] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__assignment_operator] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5880] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_elseif] = ACTIONS(12338),
    [anon_sym_else] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5881] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12588),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5882] = {
    [ts_builtin_sym_end] = ACTIONS(12178),
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_RPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_RBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5883] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_catch] = ACTIONS(12164),
    [anon_sym_finally] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_DASH_GT] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5884] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_elseif] = ACTIONS(12164),
    [anon_sym_else] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5885] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_catch] = ACTIONS(12338),
    [anon_sym_finally] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_DASH_GT] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5886] = {
    [ts_builtin_sym_end] = ACTIONS(12182),
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_RPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_RBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5887] = {
    [ts_builtin_sym_end] = ACTIONS(12186),
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_RPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_RBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5888] = {
    [ts_builtin_sym_end] = ACTIONS(12190),
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_RPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_RBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5889] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5890] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_else] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5891] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_catch] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [5892] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_catch] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [5893] = {
    [ts_builtin_sym_end] = ACTIONS(12194),
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_RPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_RBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5894] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_catch] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_DASH_GT] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5895] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_catch] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [5896] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_catch] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_DASH_GT] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5897] = {
    [ts_builtin_sym_end] = ACTIONS(12198),
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_RPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_RBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5898] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_elseif] = ACTIONS(11932),
    [anon_sym_else] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5899] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_catch] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__assignment_operator] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5900] = {
    [ts_builtin_sym_end] = ACTIONS(12212),
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_RPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_RBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5901] = {
    [ts_builtin_sym_end] = ACTIONS(12206),
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_RPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_RBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5902] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_catch] = ACTIONS(12148),
    [anon_sym_finally] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_DASH_GT] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [5903] = {
    [ts_builtin_sym_end] = ACTIONS(12216),
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_RPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_RBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5904] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5905] = {
    [ts_builtin_sym_end] = ACTIONS(12220),
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_RPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_RBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5906] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_elseif] = ACTIONS(11880),
    [anon_sym_else] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [5907] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_catch] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [5908] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_catch] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [5909] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5910] = {
    [ts_builtin_sym_end] = ACTIONS(12228),
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_RPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_RBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5911] = {
    [ts_builtin_sym_end] = ACTIONS(12022),
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_RBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5912] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_catch] = ACTIONS(12140),
    [anon_sym_finally] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_DASH_GT] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [5913] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_catch] = ACTIONS(12350),
    [anon_sym_finally] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_DASH_GT] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5914] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_catch] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [5915] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_catch] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_DASH_GT] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5916] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_catch] = ACTIONS(12354),
    [anon_sym_finally] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_DASH_GT] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [5917] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_elseif] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [5918] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_elseif] = ACTIONS(12322),
    [anon_sym_else] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [5919] = {
    [sym_do_clause] = STATE(6628),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_EQ] = ACTIONS(11900),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_RPAREN] = ACTIONS(11900),
    [anon_sym_COLON2] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_in] = ACTIONS(11900),
    [anon_sym_SEMI] = ACTIONS(11900),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(12586),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_isa] = ACTIONS(11900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11900),
    [anon_sym_QMARK] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__lazy_or_operator] = ACTIONS(11900),
    [sym__lazy_and_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [5920] = {
    [sym_identifier] = STATE(6152),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11980),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11980),
    [anon_sym_RPAREN] = ACTIONS(11980),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11980),
    [anon_sym_RBRACK] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_SEMI] = ACTIONS(11980),
    [anon_sym_LBRACE] = ACTIONS(11980),
    [anon_sym_RBRACE] = ACTIONS(11980),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11980),
    [anon_sym_COLON_COLON] = ACTIONS(11980),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11980),
    [anon_sym_QMARK] = ACTIONS(11980),
    [anon_sym_AT] = ACTIONS(11980),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11980),
    [aux_sym_integer_literal_token2] = ACTIONS(11980),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11980),
    [aux_sym_float_literal_token3] = ACTIONS(11980),
    [aux_sym_float_literal_token4] = ACTIONS(11980),
    [sym_character_literal] = ACTIONS(11980),
    [sym__pair_operator] = ACTIONS(11980),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11980),
    [sym__lazy_and_operator] = ACTIONS(11980),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11980),
    [sym__pipe_left_operator] = ACTIONS(11980),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11980),
    [sym__bitshift_operator] = ACTIONS(11980),
    [sym__power_operator] = ACTIONS(11980),
    [sym__tilde_operator] = ACTIONS(11980),
    [sym__type_order_operator] = ACTIONS(11980),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [5921] = {
    [ts_builtin_sym_end] = ACTIONS(12232),
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_RPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_RBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [5922] = {
    [sym_identifier] = STATE(6149),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11968),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11968),
    [anon_sym_RPAREN] = ACTIONS(11968),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11968),
    [anon_sym_RBRACK] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_SEMI] = ACTIONS(11968),
    [anon_sym_LBRACE] = ACTIONS(11968),
    [anon_sym_RBRACE] = ACTIONS(11968),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11968),
    [anon_sym_COLON_COLON] = ACTIONS(11968),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11968),
    [anon_sym_QMARK] = ACTIONS(11968),
    [anon_sym_AT] = ACTIONS(11968),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11968),
    [aux_sym_integer_literal_token2] = ACTIONS(11968),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11968),
    [aux_sym_float_literal_token3] = ACTIONS(11968),
    [aux_sym_float_literal_token4] = ACTIONS(11968),
    [sym_character_literal] = ACTIONS(11968),
    [sym__pair_operator] = ACTIONS(11968),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11968),
    [sym__lazy_and_operator] = ACTIONS(11968),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11968),
    [sym__pipe_left_operator] = ACTIONS(11968),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11968),
    [sym__bitshift_operator] = ACTIONS(11968),
    [sym__power_operator] = ACTIONS(11968),
    [sym__tilde_operator] = ACTIONS(11968),
    [sym__type_order_operator] = ACTIONS(11968),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [5923] = {
    [ts_builtin_sym_end] = ACTIONS(12236),
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_RPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_RBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5924] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_elseif] = ACTIONS(12328),
    [anon_sym_else] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [5925] = {
    [sym__word_identifier] = ACTIONS(12370),
    [anon_sym_EQ] = ACTIONS(12370),
    [anon_sym_COMMA] = ACTIONS(12370),
    [anon_sym_COLON] = ACTIONS(12370),
    [anon_sym_begin] = ACTIONS(12370),
    [anon_sym_module] = ACTIONS(12370),
    [anon_sym_baremodule] = ACTIONS(12370),
    [anon_sym_end] = ACTIONS(12370),
    [anon_sym_abstract] = ACTIONS(12370),
    [anon_sym_primitive] = ACTIONS(12370),
    [anon_sym_mutable] = ACTIONS(12370),
    [anon_sym_struct] = ACTIONS(12370),
    [anon_sym_function] = ACTIONS(12370),
    [anon_sym_macro] = ACTIONS(12370),
    [anon_sym_where] = ACTIONS(12370),
    [anon_sym_quote] = ACTIONS(12370),
    [anon_sym_let] = ACTIONS(12370),
    [anon_sym_if] = ACTIONS(12370),
    [anon_sym_try] = ACTIONS(12370),
    [anon_sym_catch] = ACTIONS(12370),
    [anon_sym_for] = ACTIONS(12370),
    [anon_sym_while] = ACTIONS(12370),
    [sym_break_statement] = ACTIONS(12370),
    [sym_continue_statement] = ACTIONS(12370),
    [anon_sym_return] = ACTIONS(12370),
    [anon_sym_const] = ACTIONS(12370),
    [anon_sym_global] = ACTIONS(12370),
    [anon_sym_local] = ACTIONS(12370),
    [anon_sym_LPAREN] = ACTIONS(12370),
    [anon_sym_COLON2] = ACTIONS(12370),
    [anon_sym_export] = ACTIONS(12370),
    [anon_sym_import] = ACTIONS(12370),
    [anon_sym_using] = ACTIONS(12370),
    [anon_sym_LBRACK] = ACTIONS(12370),
    [anon_sym_LF] = ACTIONS(12372),
    [anon_sym_in] = ACTIONS(12370),
    [anon_sym_LBRACE] = ACTIONS(12370),
    [anon_sym_SQUOTE] = ACTIONS(12590),
    [anon_sym_DOT] = ACTIONS(12592),
    [anon_sym_DOLLAR] = ACTIONS(12370),
    [anon_sym_COLON_COLON] = ACTIONS(12370),
    [anon_sym_isa] = ACTIONS(12370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12370),
    [anon_sym_QMARK] = ACTIONS(12370),
    [anon_sym_DASH_GT] = ACTIONS(12370),
    [anon_sym_AT] = ACTIONS(12370),
    [anon_sym_true] = ACTIONS(12370),
    [anon_sym_false] = ACTIONS(12370),
    [aux_sym_integer_literal_token1] = ACTIONS(12370),
    [aux_sym_integer_literal_token2] = ACTIONS(12370),
    [aux_sym_integer_literal_token3] = ACTIONS(12370),
    [aux_sym_integer_literal_token4] = ACTIONS(12370),
    [aux_sym_float_literal_token1] = ACTIONS(12370),
    [aux_sym_float_literal_token3] = ACTIONS(12370),
    [aux_sym_float_literal_token4] = ACTIONS(12370),
    [sym_character_literal] = ACTIONS(12370),
    [sym__pair_operator] = ACTIONS(12370),
    [sym__arrow_operator] = ACTIONS(12370),
    [sym__lazy_or_operator] = ACTIONS(12370),
    [sym__lazy_and_operator] = ACTIONS(12370),
    [sym__comparison_operator] = ACTIONS(12370),
    [sym__pipe_right_operator] = ACTIONS(12370),
    [sym__pipe_left_operator] = ACTIONS(12370),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12370),
    [sym__times_operator] = ACTIONS(12370),
    [sym__rational_operator] = ACTIONS(12370),
    [sym__bitshift_operator] = ACTIONS(12370),
    [sym__power_operator] = ACTIONS(12370),
    [sym__tilde_operator] = ACTIONS(12370),
    [sym__type_order_operator] = ACTIONS(12370),
    [sym__unary_operator] = ACTIONS(12370),
    [sym__unary_plus_operator] = ACTIONS(12370),
    [aux_sym__terminator_token1] = ACTIONS(12370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12594),
    [sym__immediate_bracket] = ACTIONS(12596),
    [sym__immediate_brace] = ACTIONS(12598),
    [sym__string_start] = ACTIONS(12372),
    [sym__command_start] = ACTIONS(12372),
  },
  [5926] = {
    [sym__word_identifier] = ACTIONS(12440),
    [anon_sym_EQ] = ACTIONS(12440),
    [anon_sym_COMMA] = ACTIONS(12440),
    [anon_sym_COLON] = ACTIONS(12440),
    [anon_sym_begin] = ACTIONS(12440),
    [anon_sym_module] = ACTIONS(12440),
    [anon_sym_baremodule] = ACTIONS(12440),
    [anon_sym_end] = ACTIONS(12440),
    [anon_sym_abstract] = ACTIONS(12440),
    [anon_sym_primitive] = ACTIONS(12440),
    [anon_sym_mutable] = ACTIONS(12440),
    [anon_sym_struct] = ACTIONS(12440),
    [anon_sym_function] = ACTIONS(12440),
    [anon_sym_macro] = ACTIONS(12440),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_quote] = ACTIONS(12440),
    [anon_sym_let] = ACTIONS(12440),
    [anon_sym_if] = ACTIONS(12440),
    [anon_sym_else] = ACTIONS(12440),
    [anon_sym_try] = ACTIONS(12440),
    [anon_sym_finally] = ACTIONS(12440),
    [anon_sym_for] = ACTIONS(12440),
    [anon_sym_while] = ACTIONS(12440),
    [sym_break_statement] = ACTIONS(12440),
    [sym_continue_statement] = ACTIONS(12440),
    [anon_sym_return] = ACTIONS(12440),
    [anon_sym_const] = ACTIONS(12440),
    [anon_sym_global] = ACTIONS(12440),
    [anon_sym_local] = ACTIONS(12440),
    [anon_sym_LPAREN] = ACTIONS(12440),
    [anon_sym_COLON2] = ACTIONS(12440),
    [anon_sym_export] = ACTIONS(12440),
    [anon_sym_import] = ACTIONS(12440),
    [anon_sym_using] = ACTIONS(12440),
    [anon_sym_LBRACK] = ACTIONS(12440),
    [anon_sym_LF] = ACTIONS(12512),
    [anon_sym_in] = ACTIONS(12440),
    [anon_sym_LBRACE] = ACTIONS(12440),
    [anon_sym_SQUOTE] = ACTIONS(12478),
    [anon_sym_DOT] = ACTIONS(12480),
    [anon_sym_DOLLAR] = ACTIONS(12440),
    [anon_sym_COLON_COLON] = ACTIONS(12440),
    [anon_sym_isa] = ACTIONS(12440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12440),
    [anon_sym_QMARK] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(12440),
    [anon_sym_true] = ACTIONS(12440),
    [anon_sym_false] = ACTIONS(12440),
    [aux_sym_integer_literal_token1] = ACTIONS(12440),
    [aux_sym_integer_literal_token2] = ACTIONS(12440),
    [aux_sym_integer_literal_token3] = ACTIONS(12440),
    [aux_sym_integer_literal_token4] = ACTIONS(12440),
    [aux_sym_float_literal_token1] = ACTIONS(12440),
    [aux_sym_float_literal_token3] = ACTIONS(12440),
    [aux_sym_float_literal_token4] = ACTIONS(12440),
    [sym_character_literal] = ACTIONS(12440),
    [sym__pair_operator] = ACTIONS(12440),
    [sym__arrow_operator] = ACTIONS(12440),
    [sym__lazy_or_operator] = ACTIONS(12440),
    [sym__lazy_and_operator] = ACTIONS(12440),
    [sym__comparison_operator] = ACTIONS(12440),
    [sym__pipe_right_operator] = ACTIONS(12440),
    [sym__pipe_left_operator] = ACTIONS(12440),
    [sym__ellipsis_operator] = ACTIONS(12440),
    [sym__plus_operator] = ACTIONS(12440),
    [sym__times_operator] = ACTIONS(12440),
    [sym__rational_operator] = ACTIONS(12440),
    [sym__bitshift_operator] = ACTIONS(12440),
    [sym__power_operator] = ACTIONS(12440),
    [sym__tilde_operator] = ACTIONS(12440),
    [sym__type_order_operator] = ACTIONS(12440),
    [sym__unary_operator] = ACTIONS(12440),
    [sym__unary_plus_operator] = ACTIONS(12440),
    [aux_sym__terminator_token1] = ACTIONS(12440),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12482),
    [sym__immediate_bracket] = ACTIONS(12484),
    [sym__immediate_brace] = ACTIONS(12486),
    [sym__string_start] = ACTIONS(12512),
    [sym__command_start] = ACTIONS(12512),
  },
  [5927] = {
    [ts_builtin_sym_end] = ACTIONS(12252),
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_RPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_RBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5928] = {
    [ts_builtin_sym_end] = ACTIONS(12256),
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_RPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_RBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5929] = {
    [ts_builtin_sym_end] = ACTIONS(12260),
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_RPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_RBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5930] = {
    [ts_builtin_sym_end] = ACTIONS(12264),
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_RPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_RBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5931] = {
    [ts_builtin_sym_end] = ACTIONS(12028),
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_RBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5932] = {
    [ts_builtin_sym_end] = ACTIONS(12110),
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_RBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [5933] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_elseif] = ACTIONS(12318),
    [anon_sym_else] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5934] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_elseif] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5935] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12600),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12488),
    [anon_sym_DOT] = ACTIONS(12602),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12604),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12494),
    [sym__immediate_bracket] = ACTIONS(12496),
    [sym__immediate_brace] = ACTIONS(12498),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [5936] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_elseif] = ACTIONS(12238),
    [anon_sym_else] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [5937] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12352),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12352),
    [anon_sym_RPAREN] = ACTIONS(12352),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12352),
    [anon_sym_RBRACK] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_SEMI] = ACTIONS(12352),
    [anon_sym_LBRACE] = ACTIONS(12352),
    [anon_sym_RBRACE] = ACTIONS(12352),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12352),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12352),
    [anon_sym_AT] = ACTIONS(12352),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12352),
    [aux_sym_integer_literal_token2] = ACTIONS(12352),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12352),
    [aux_sym_float_literal_token3] = ACTIONS(12352),
    [aux_sym_float_literal_token4] = ACTIONS(12352),
    [sym_character_literal] = ACTIONS(12352),
    [sym__assignment_operator] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12352),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12352),
    [sym__lazy_and_operator] = ACTIONS(12352),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12352),
    [sym__pipe_left_operator] = ACTIONS(12352),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12352),
    [sym__type_order_operator] = ACTIONS(12352),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5938] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11894),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11894),
    [anon_sym_RPAREN] = ACTIONS(11894),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11894),
    [anon_sym_RBRACK] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11894),
    [anon_sym_RBRACE] = ACTIONS(11894),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11894),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11894),
    [anon_sym_QMARK] = ACTIONS(11894),
    [anon_sym_AT] = ACTIONS(11894),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11894),
    [aux_sym_integer_literal_token2] = ACTIONS(11894),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11894),
    [aux_sym_float_literal_token3] = ACTIONS(11894),
    [aux_sym_float_literal_token4] = ACTIONS(11894),
    [sym_character_literal] = ACTIONS(11894),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11894),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11894),
    [sym__lazy_and_operator] = ACTIONS(11894),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11894),
    [sym__pipe_left_operator] = ACTIONS(11894),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11894),
    [sym__type_order_operator] = ACTIONS(11894),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5939] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12150),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12150),
    [anon_sym_RPAREN] = ACTIONS(12150),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12150),
    [anon_sym_RBRACK] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_SEMI] = ACTIONS(12150),
    [anon_sym_LBRACE] = ACTIONS(12150),
    [anon_sym_RBRACE] = ACTIONS(12150),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12150),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12150),
    [anon_sym_QMARK] = ACTIONS(12150),
    [anon_sym_AT] = ACTIONS(12150),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12150),
    [aux_sym_integer_literal_token2] = ACTIONS(12150),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12150),
    [aux_sym_float_literal_token3] = ACTIONS(12150),
    [aux_sym_float_literal_token4] = ACTIONS(12150),
    [sym_character_literal] = ACTIONS(12150),
    [sym__assignment_operator] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12150),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12150),
    [sym__lazy_and_operator] = ACTIONS(12150),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12150),
    [sym__pipe_left_operator] = ACTIONS(12150),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12150),
    [sym__type_order_operator] = ACTIONS(12150),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [5940] = {
    [ts_builtin_sym_end] = ACTIONS(12158),
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_RPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_RBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5941] = {
    [ts_builtin_sym_end] = ACTIONS(12290),
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_RPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_RBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [5942] = {
    [ts_builtin_sym_end] = ACTIONS(12298),
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_RPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_RBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [5943] = {
    [ts_builtin_sym_end] = ACTIONS(12302),
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_RPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_RBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5944] = {
    [ts_builtin_sym_end] = ACTIONS(12138),
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_RPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_RBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [5945] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12344),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12344),
    [anon_sym_RPAREN] = ACTIONS(12344),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12344),
    [anon_sym_RBRACK] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_SEMI] = ACTIONS(12344),
    [anon_sym_LBRACE] = ACTIONS(12344),
    [anon_sym_RBRACE] = ACTIONS(12344),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12344),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12344),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_AT] = ACTIONS(12344),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12344),
    [aux_sym_integer_literal_token2] = ACTIONS(12344),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12344),
    [aux_sym_float_literal_token3] = ACTIONS(12344),
    [aux_sym_float_literal_token4] = ACTIONS(12344),
    [sym_character_literal] = ACTIONS(12344),
    [sym__assignment_operator] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12344),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12344),
    [sym__lazy_and_operator] = ACTIONS(12344),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12344),
    [sym__pipe_left_operator] = ACTIONS(12344),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12344),
    [sym__type_order_operator] = ACTIONS(12344),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5946] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_catch] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_DASH_GT] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5947] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_catch] = ACTIONS(12152),
    [anon_sym_finally] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__assignment_operator] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5948] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12340),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12340),
    [anon_sym_RPAREN] = ACTIONS(12340),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12340),
    [anon_sym_RBRACK] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_SEMI] = ACTIONS(12340),
    [anon_sym_LBRACE] = ACTIONS(12340),
    [anon_sym_RBRACE] = ACTIONS(12340),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12340),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12340),
    [anon_sym_QMARK] = ACTIONS(12340),
    [anon_sym_AT] = ACTIONS(12340),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12340),
    [aux_sym_integer_literal_token2] = ACTIONS(12340),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12340),
    [aux_sym_float_literal_token3] = ACTIONS(12340),
    [aux_sym_float_literal_token4] = ACTIONS(12340),
    [sym_character_literal] = ACTIONS(12340),
    [sym__assignment_operator] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12340),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12340),
    [sym__lazy_and_operator] = ACTIONS(12340),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12340),
    [sym__pipe_left_operator] = ACTIONS(12340),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12340),
    [sym__type_order_operator] = ACTIONS(12340),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [5949] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12166),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12166),
    [anon_sym_RPAREN] = ACTIONS(12166),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12166),
    [anon_sym_RBRACK] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_SEMI] = ACTIONS(12166),
    [anon_sym_LBRACE] = ACTIONS(12166),
    [anon_sym_RBRACE] = ACTIONS(12166),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12166),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12166),
    [anon_sym_QMARK] = ACTIONS(12166),
    [anon_sym_AT] = ACTIONS(12166),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12166),
    [aux_sym_integer_literal_token2] = ACTIONS(12166),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12166),
    [aux_sym_float_literal_token3] = ACTIONS(12166),
    [aux_sym_float_literal_token4] = ACTIONS(12166),
    [sym_character_literal] = ACTIONS(12166),
    [sym__assignment_operator] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12166),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12166),
    [sym__lazy_and_operator] = ACTIONS(12166),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12166),
    [sym__pipe_left_operator] = ACTIONS(12166),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12166),
    [sym__type_order_operator] = ACTIONS(12166),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [5950] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12316),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12316),
    [anon_sym_RPAREN] = ACTIONS(12316),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12316),
    [anon_sym_RBRACK] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_SEMI] = ACTIONS(12316),
    [anon_sym_LBRACE] = ACTIONS(12316),
    [anon_sym_RBRACE] = ACTIONS(12316),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12316),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12316),
    [anon_sym_QMARK] = ACTIONS(12316),
    [anon_sym_AT] = ACTIONS(12316),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12316),
    [aux_sym_integer_literal_token2] = ACTIONS(12316),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12316),
    [aux_sym_float_literal_token3] = ACTIONS(12316),
    [aux_sym_float_literal_token4] = ACTIONS(12316),
    [sym_character_literal] = ACTIONS(12316),
    [sym__assignment_operator] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12316),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12316),
    [sym__lazy_and_operator] = ACTIONS(12316),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12316),
    [sym__pipe_left_operator] = ACTIONS(12316),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12316),
    [sym__type_order_operator] = ACTIONS(12316),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5951] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_elseif] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [5952] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_elseif] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [5953] = {
    [sym_do_clause] = STATE(6612),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(12586),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [5954] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11934),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11934),
    [anon_sym_RPAREN] = ACTIONS(11934),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11934),
    [anon_sym_RBRACK] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11934),
    [anon_sym_LBRACE] = ACTIONS(11934),
    [anon_sym_RBRACE] = ACTIONS(11934),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11934),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11934),
    [anon_sym_QMARK] = ACTIONS(11934),
    [anon_sym_AT] = ACTIONS(11934),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11934),
    [aux_sym_integer_literal_token2] = ACTIONS(11934),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11934),
    [aux_sym_float_literal_token3] = ACTIONS(11934),
    [aux_sym_float_literal_token4] = ACTIONS(11934),
    [sym_character_literal] = ACTIONS(11934),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11934),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11934),
    [sym__lazy_and_operator] = ACTIONS(11934),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11934),
    [sym__pipe_left_operator] = ACTIONS(11934),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11934),
    [sym__type_order_operator] = ACTIONS(11934),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [5955] = {
    [ts_builtin_sym_end] = ACTIONS(12172),
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_RPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_RBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5956] = {
    [sym__word_identifier] = ACTIONS(12370),
    [anon_sym_EQ] = ACTIONS(12370),
    [anon_sym_COMMA] = ACTIONS(12372),
    [anon_sym_COLON] = ACTIONS(12370),
    [anon_sym_begin] = ACTIONS(12370),
    [anon_sym_module] = ACTIONS(12370),
    [anon_sym_baremodule] = ACTIONS(12370),
    [anon_sym_abstract] = ACTIONS(12370),
    [anon_sym_primitive] = ACTIONS(12370),
    [anon_sym_mutable] = ACTIONS(12370),
    [anon_sym_struct] = ACTIONS(12370),
    [anon_sym_function] = ACTIONS(12370),
    [anon_sym_macro] = ACTIONS(12370),
    [anon_sym_where] = ACTIONS(12370),
    [anon_sym_quote] = ACTIONS(12370),
    [anon_sym_let] = ACTIONS(12370),
    [anon_sym_if] = ACTIONS(12370),
    [anon_sym_try] = ACTIONS(12370),
    [anon_sym_for] = ACTIONS(12370),
    [anon_sym_while] = ACTIONS(12370),
    [sym_break_statement] = ACTIONS(12370),
    [sym_continue_statement] = ACTIONS(12370),
    [anon_sym_return] = ACTIONS(12370),
    [anon_sym_const] = ACTIONS(12370),
    [anon_sym_global] = ACTIONS(12370),
    [anon_sym_local] = ACTIONS(12370),
    [anon_sym_LPAREN] = ACTIONS(12372),
    [anon_sym_RPAREN] = ACTIONS(12372),
    [anon_sym_COLON2] = ACTIONS(12370),
    [anon_sym_export] = ACTIONS(12370),
    [anon_sym_import] = ACTIONS(12370),
    [anon_sym_using] = ACTIONS(12370),
    [anon_sym_LBRACK] = ACTIONS(12372),
    [anon_sym_RBRACK] = ACTIONS(12372),
    [anon_sym_in] = ACTIONS(12370),
    [anon_sym_SEMI] = ACTIONS(12372),
    [anon_sym_LBRACE] = ACTIONS(12372),
    [anon_sym_RBRACE] = ACTIONS(12372),
    [anon_sym_SQUOTE] = ACTIONS(12606),
    [anon_sym_DOT] = ACTIONS(12608),
    [anon_sym_DOLLAR] = ACTIONS(12372),
    [anon_sym_COLON_COLON] = ACTIONS(12372),
    [anon_sym_isa] = ACTIONS(12370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12372),
    [anon_sym_QMARK] = ACTIONS(12372),
    [anon_sym_DASH_GT] = ACTIONS(12372),
    [anon_sym_AT] = ACTIONS(12372),
    [anon_sym_true] = ACTIONS(12370),
    [anon_sym_false] = ACTIONS(12370),
    [aux_sym_integer_literal_token1] = ACTIONS(12372),
    [aux_sym_integer_literal_token2] = ACTIONS(12372),
    [aux_sym_integer_literal_token3] = ACTIONS(12370),
    [aux_sym_integer_literal_token4] = ACTIONS(12370),
    [aux_sym_float_literal_token1] = ACTIONS(12372),
    [aux_sym_float_literal_token3] = ACTIONS(12372),
    [aux_sym_float_literal_token4] = ACTIONS(12372),
    [sym_character_literal] = ACTIONS(12372),
    [sym__pair_operator] = ACTIONS(12372),
    [sym__arrow_operator] = ACTIONS(12370),
    [sym__lazy_or_operator] = ACTIONS(12372),
    [sym__lazy_and_operator] = ACTIONS(12372),
    [sym__comparison_operator] = ACTIONS(12370),
    [sym__pipe_right_operator] = ACTIONS(12372),
    [sym__pipe_left_operator] = ACTIONS(12372),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12370),
    [sym__times_operator] = ACTIONS(12370),
    [sym__rational_operator] = ACTIONS(12372),
    [sym__bitshift_operator] = ACTIONS(12372),
    [sym__power_operator] = ACTIONS(12372),
    [sym__tilde_operator] = ACTIONS(12372),
    [sym__type_order_operator] = ACTIONS(12372),
    [sym__unary_operator] = ACTIONS(12370),
    [sym__unary_plus_operator] = ACTIONS(12370),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12610),
    [sym__immediate_bracket] = ACTIONS(12612),
    [sym__immediate_brace] = ACTIONS(12614),
    [sym__string_start] = ACTIONS(12372),
    [sym__command_start] = ACTIONS(12372),
  },
  [5957] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5958] = {
    [ts_builtin_sym_end] = ACTIONS(12160),
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_RPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_RBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [5959] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11882),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11882),
    [anon_sym_RPAREN] = ACTIONS(11882),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11882),
    [anon_sym_RBRACK] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11882),
    [anon_sym_LBRACE] = ACTIONS(11882),
    [anon_sym_RBRACE] = ACTIONS(11882),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11882),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11882),
    [anon_sym_QMARK] = ACTIONS(11882),
    [anon_sym_AT] = ACTIONS(11882),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11882),
    [aux_sym_integer_literal_token2] = ACTIONS(11882),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11882),
    [aux_sym_float_literal_token3] = ACTIONS(11882),
    [aux_sym_float_literal_token4] = ACTIONS(11882),
    [sym_character_literal] = ACTIONS(11882),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11882),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11882),
    [sym__lazy_and_operator] = ACTIONS(11882),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11882),
    [sym__pipe_left_operator] = ACTIONS(11882),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11882),
    [sym__type_order_operator] = ACTIONS(11882),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [5960] = {
    [ts_builtin_sym_end] = ACTIONS(12244),
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_RPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_RBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [5961] = {
    [ts_builtin_sym_end] = ACTIONS(12248),
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_RPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_RBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [5962] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12320),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12320),
    [anon_sym_RPAREN] = ACTIONS(12320),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12320),
    [anon_sym_RBRACK] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_SEMI] = ACTIONS(12320),
    [anon_sym_LBRACE] = ACTIONS(12320),
    [anon_sym_RBRACE] = ACTIONS(12320),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12320),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12320),
    [anon_sym_QMARK] = ACTIONS(12320),
    [anon_sym_AT] = ACTIONS(12320),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12320),
    [aux_sym_integer_literal_token2] = ACTIONS(12320),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12320),
    [aux_sym_float_literal_token3] = ACTIONS(12320),
    [aux_sym_float_literal_token4] = ACTIONS(12320),
    [sym_character_literal] = ACTIONS(12320),
    [sym__assignment_operator] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12320),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12320),
    [sym__lazy_and_operator] = ACTIONS(12320),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12320),
    [sym__pipe_left_operator] = ACTIONS(12320),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12320),
    [sym__type_order_operator] = ACTIONS(12320),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [5963] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12330),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12330),
    [anon_sym_RPAREN] = ACTIONS(12330),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12330),
    [anon_sym_RBRACK] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12330),
    [anon_sym_RBRACE] = ACTIONS(12330),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12330),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12330),
    [anon_sym_QMARK] = ACTIONS(12330),
    [anon_sym_AT] = ACTIONS(12330),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12330),
    [aux_sym_integer_literal_token2] = ACTIONS(12330),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12330),
    [aux_sym_float_literal_token3] = ACTIONS(12330),
    [aux_sym_float_literal_token4] = ACTIONS(12330),
    [sym_character_literal] = ACTIONS(12330),
    [sym__assignment_operator] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12330),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12330),
    [sym__lazy_and_operator] = ACTIONS(12330),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12330),
    [sym__pipe_left_operator] = ACTIONS(12330),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12330),
    [sym__type_order_operator] = ACTIONS(12330),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [5964] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_RPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_SEMI] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__assignment_operator] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [5965] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__assignment_operator] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [5966] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [5967] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_catch] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [5968] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_catch] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [5969] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_catch] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [5970] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_catch] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [5971] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_catch] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [5972] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_catch] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [5973] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_catch] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [5974] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_catch] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [5975] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_catch] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [5976] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_catch] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [5977] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [5978] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_catch] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [5979] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_elseif] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12616),
    [sym__immediate_command_start] = ACTIONS(12618),
  },
  [5980] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_DASH_GT] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5981] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_catch] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [5982] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_catch] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [5983] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_catch] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [5984] = {
    [sym__word_identifier] = ACTIONS(12440),
    [anon_sym_EQ] = ACTIONS(12440),
    [anon_sym_COMMA] = ACTIONS(12440),
    [anon_sym_COLON] = ACTIONS(12440),
    [anon_sym_begin] = ACTIONS(12440),
    [anon_sym_module] = ACTIONS(12440),
    [anon_sym_baremodule] = ACTIONS(12440),
    [anon_sym_end] = ACTIONS(12440),
    [anon_sym_abstract] = ACTIONS(12440),
    [anon_sym_primitive] = ACTIONS(12440),
    [anon_sym_mutable] = ACTIONS(12440),
    [anon_sym_struct] = ACTIONS(12440),
    [anon_sym_function] = ACTIONS(12440),
    [anon_sym_macro] = ACTIONS(12440),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_quote] = ACTIONS(12440),
    [anon_sym_let] = ACTIONS(12440),
    [anon_sym_if] = ACTIONS(12440),
    [anon_sym_try] = ACTIONS(12440),
    [anon_sym_catch] = ACTIONS(12440),
    [anon_sym_for] = ACTIONS(12440),
    [anon_sym_while] = ACTIONS(12440),
    [sym_break_statement] = ACTIONS(12440),
    [sym_continue_statement] = ACTIONS(12440),
    [anon_sym_return] = ACTIONS(12440),
    [anon_sym_const] = ACTIONS(12440),
    [anon_sym_global] = ACTIONS(12440),
    [anon_sym_local] = ACTIONS(12440),
    [anon_sym_LPAREN] = ACTIONS(12440),
    [anon_sym_COLON2] = ACTIONS(12440),
    [anon_sym_export] = ACTIONS(12440),
    [anon_sym_import] = ACTIONS(12440),
    [anon_sym_using] = ACTIONS(12440),
    [anon_sym_LBRACK] = ACTIONS(12440),
    [anon_sym_LF] = ACTIONS(12512),
    [anon_sym_in] = ACTIONS(12440),
    [anon_sym_LBRACE] = ACTIONS(12440),
    [anon_sym_SQUOTE] = ACTIONS(12620),
    [anon_sym_DOT] = ACTIONS(12622),
    [anon_sym_DOLLAR] = ACTIONS(12440),
    [anon_sym_COLON_COLON] = ACTIONS(12440),
    [anon_sym_isa] = ACTIONS(12440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12440),
    [anon_sym_QMARK] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(12440),
    [anon_sym_true] = ACTIONS(12440),
    [anon_sym_false] = ACTIONS(12440),
    [aux_sym_integer_literal_token1] = ACTIONS(12440),
    [aux_sym_integer_literal_token2] = ACTIONS(12440),
    [aux_sym_integer_literal_token3] = ACTIONS(12440),
    [aux_sym_integer_literal_token4] = ACTIONS(12440),
    [aux_sym_float_literal_token1] = ACTIONS(12440),
    [aux_sym_float_literal_token3] = ACTIONS(12440),
    [aux_sym_float_literal_token4] = ACTIONS(12440),
    [sym_character_literal] = ACTIONS(12440),
    [sym__pair_operator] = ACTIONS(12440),
    [sym__arrow_operator] = ACTIONS(12440),
    [sym__lazy_or_operator] = ACTIONS(12440),
    [sym__lazy_and_operator] = ACTIONS(12440),
    [sym__comparison_operator] = ACTIONS(12440),
    [sym__pipe_right_operator] = ACTIONS(12440),
    [sym__pipe_left_operator] = ACTIONS(12440),
    [sym__ellipsis_operator] = ACTIONS(12440),
    [sym__plus_operator] = ACTIONS(12440),
    [sym__times_operator] = ACTIONS(12440),
    [sym__rational_operator] = ACTIONS(12440),
    [sym__bitshift_operator] = ACTIONS(12440),
    [sym__power_operator] = ACTIONS(12440),
    [sym__tilde_operator] = ACTIONS(12440),
    [sym__type_order_operator] = ACTIONS(12440),
    [sym__unary_operator] = ACTIONS(12440),
    [sym__unary_plus_operator] = ACTIONS(12440),
    [aux_sym__terminator_token1] = ACTIONS(12440),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12624),
    [sym__immediate_bracket] = ACTIONS(12626),
    [sym__immediate_brace] = ACTIONS(12628),
    [sym__string_start] = ACTIONS(12512),
    [sym__command_start] = ACTIONS(12512),
  },
  [5985] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [5986] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_catch] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [5987] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [5988] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_catch] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [5989] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12630),
    [sym__immediate_command_start] = ACTIONS(12632),
  },
  [5990] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_catch] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [5991] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_catch] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [5992] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [5993] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_catch] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [5994] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_catch] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [5995] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_catch] = ACTIONS(12152),
    [anon_sym_finally] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [5996] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_catch] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [5997] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_catch] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [5998] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [5999] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12488),
    [anon_sym_DOT] = ACTIONS(12602),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12604),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12494),
    [sym__immediate_bracket] = ACTIONS(12496),
    [sym__immediate_brace] = ACTIONS(12498),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6000] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6001] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_catch] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6002] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_catch] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6003] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_catch] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6004] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_catch] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6005] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6006] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DASH_GT] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6007] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_catch] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6008] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_catch] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6009] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_catch] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6010] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_DASH_GT] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6011] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6012] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_RPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_SEMI] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [6013] = {
    [sym__word_identifier] = ACTIONS(12474),
    [anon_sym_EQ] = ACTIONS(12474),
    [anon_sym_COMMA] = ACTIONS(12474),
    [anon_sym_COLON] = ACTIONS(12474),
    [anon_sym_begin] = ACTIONS(12474),
    [anon_sym_module] = ACTIONS(12474),
    [anon_sym_baremodule] = ACTIONS(12474),
    [anon_sym_end] = ACTIONS(12474),
    [anon_sym_abstract] = ACTIONS(12474),
    [anon_sym_primitive] = ACTIONS(12474),
    [anon_sym_mutable] = ACTIONS(12474),
    [anon_sym_struct] = ACTIONS(12474),
    [anon_sym_function] = ACTIONS(12474),
    [anon_sym_macro] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12474),
    [anon_sym_quote] = ACTIONS(12474),
    [anon_sym_let] = ACTIONS(12474),
    [anon_sym_if] = ACTIONS(12474),
    [anon_sym_try] = ACTIONS(12474),
    [anon_sym_finally] = ACTIONS(12474),
    [anon_sym_for] = ACTIONS(12474),
    [anon_sym_while] = ACTIONS(12474),
    [sym_break_statement] = ACTIONS(12474),
    [sym_continue_statement] = ACTIONS(12474),
    [anon_sym_return] = ACTIONS(12474),
    [anon_sym_const] = ACTIONS(12474),
    [anon_sym_global] = ACTIONS(12474),
    [anon_sym_local] = ACTIONS(12474),
    [anon_sym_LPAREN] = ACTIONS(12474),
    [anon_sym_COLON2] = ACTIONS(12474),
    [anon_sym_export] = ACTIONS(12474),
    [anon_sym_import] = ACTIONS(12474),
    [anon_sym_using] = ACTIONS(12474),
    [anon_sym_LBRACK] = ACTIONS(12474),
    [anon_sym_LF] = ACTIONS(12476),
    [anon_sym_in] = ACTIONS(12474),
    [anon_sym_LBRACE] = ACTIONS(12474),
    [anon_sym_SQUOTE] = ACTIONS(12634),
    [anon_sym_DOT] = ACTIONS(12636),
    [anon_sym_DOLLAR] = ACTIONS(12474),
    [anon_sym_COLON_COLON] = ACTIONS(12474),
    [anon_sym_isa] = ACTIONS(12474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12474),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_AT] = ACTIONS(12474),
    [anon_sym_true] = ACTIONS(12474),
    [anon_sym_false] = ACTIONS(12474),
    [aux_sym_integer_literal_token1] = ACTIONS(12474),
    [aux_sym_integer_literal_token2] = ACTIONS(12474),
    [aux_sym_integer_literal_token3] = ACTIONS(12474),
    [aux_sym_integer_literal_token4] = ACTIONS(12474),
    [aux_sym_float_literal_token1] = ACTIONS(12474),
    [aux_sym_float_literal_token3] = ACTIONS(12474),
    [aux_sym_float_literal_token4] = ACTIONS(12474),
    [sym_character_literal] = ACTIONS(12474),
    [sym__pair_operator] = ACTIONS(12474),
    [sym__arrow_operator] = ACTIONS(12474),
    [sym__lazy_or_operator] = ACTIONS(12474),
    [sym__lazy_and_operator] = ACTIONS(12474),
    [sym__comparison_operator] = ACTIONS(12474),
    [sym__pipe_right_operator] = ACTIONS(12474),
    [sym__pipe_left_operator] = ACTIONS(12474),
    [sym__ellipsis_operator] = ACTIONS(12474),
    [sym__plus_operator] = ACTIONS(12474),
    [sym__times_operator] = ACTIONS(12474),
    [sym__rational_operator] = ACTIONS(12474),
    [sym__bitshift_operator] = ACTIONS(12474),
    [sym__power_operator] = ACTIONS(12474),
    [sym__tilde_operator] = ACTIONS(12474),
    [sym__type_order_operator] = ACTIONS(12474),
    [sym__unary_operator] = ACTIONS(12474),
    [sym__unary_plus_operator] = ACTIONS(12474),
    [aux_sym__terminator_token1] = ACTIONS(12474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12638),
    [sym__immediate_bracket] = ACTIONS(12640),
    [sym__immediate_brace] = ACTIONS(12642),
    [sym__string_start] = ACTIONS(12476),
    [sym__command_start] = ACTIONS(12476),
  },
  [6014] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6015] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_elseif] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12616),
    [sym__immediate_command_start] = ACTIONS(12618),
  },
  [6016] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6017] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6018] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6019] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_catch] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [6020] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_catch] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [6021] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11928),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11928),
    [anon_sym_RPAREN] = ACTIONS(11928),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11928),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11928),
    [anon_sym_RBRACE] = ACTIONS(11928),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11928),
    [anon_sym_COLON_COLON] = ACTIONS(11928),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11928),
    [anon_sym_QMARK] = ACTIONS(11928),
    [anon_sym_AT] = ACTIONS(11928),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11928),
    [aux_sym_integer_literal_token2] = ACTIONS(11928),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11928),
    [aux_sym_float_literal_token3] = ACTIONS(11928),
    [aux_sym_float_literal_token4] = ACTIONS(11928),
    [sym_character_literal] = ACTIONS(11928),
    [sym__pair_operator] = ACTIONS(11928),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11928),
    [sym__lazy_and_operator] = ACTIONS(11928),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11928),
    [sym__pipe_left_operator] = ACTIONS(11928),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11928),
    [sym__bitshift_operator] = ACTIONS(11928),
    [sym__power_operator] = ACTIONS(11928),
    [sym__tilde_operator] = ACTIONS(11928),
    [sym__type_order_operator] = ACTIONS(11928),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6022] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_catch] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [6023] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [6024] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_catch] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [6025] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_catch] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [6026] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_catch] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [6027] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6028] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6029] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [6030] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [6031] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_catch] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [6032] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_catch] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [6033] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6034] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6035] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__assignment_operator] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [6036] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6037] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6038] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_catch] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [6039] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12644),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12646),
    [anon_sym_DOT] = ACTIONS(12648),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12650),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12652),
    [sym__immediate_bracket] = ACTIONS(12654),
    [sym__immediate_brace] = ACTIONS(12656),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6040] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_RPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_SEMI] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__assignment_operator] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6041] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6042] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6043] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12166),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12166),
    [anon_sym_RPAREN] = ACTIONS(12166),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12166),
    [anon_sym_RBRACK] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_SEMI] = ACTIONS(12166),
    [anon_sym_LBRACE] = ACTIONS(12166),
    [anon_sym_RBRACE] = ACTIONS(12166),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12166),
    [anon_sym_COLON_COLON] = ACTIONS(12166),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12166),
    [anon_sym_QMARK] = ACTIONS(12166),
    [anon_sym_AT] = ACTIONS(12166),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12166),
    [aux_sym_integer_literal_token2] = ACTIONS(12166),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12166),
    [aux_sym_float_literal_token3] = ACTIONS(12166),
    [aux_sym_float_literal_token4] = ACTIONS(12166),
    [sym_character_literal] = ACTIONS(12166),
    [sym__pair_operator] = ACTIONS(12166),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12166),
    [sym__lazy_and_operator] = ACTIONS(12166),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12166),
    [sym__pipe_left_operator] = ACTIONS(12166),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12166),
    [sym__bitshift_operator] = ACTIONS(12166),
    [sym__power_operator] = ACTIONS(12166),
    [sym__tilde_operator] = ACTIONS(12166),
    [sym__type_order_operator] = ACTIONS(12166),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [6044] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6045] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6046] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6047] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6048] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6049] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6050] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6051] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6052] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6053] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__assignment_operator] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6054] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6055] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6056] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6057] = {
    [sym__word_identifier] = ACTIONS(12474),
    [anon_sym_EQ] = ACTIONS(12474),
    [anon_sym_COMMA] = ACTIONS(12476),
    [anon_sym_COLON] = ACTIONS(12474),
    [anon_sym_begin] = ACTIONS(12474),
    [anon_sym_module] = ACTIONS(12474),
    [anon_sym_baremodule] = ACTIONS(12474),
    [anon_sym_abstract] = ACTIONS(12474),
    [anon_sym_primitive] = ACTIONS(12474),
    [anon_sym_mutable] = ACTIONS(12474),
    [anon_sym_struct] = ACTIONS(12474),
    [anon_sym_function] = ACTIONS(12474),
    [anon_sym_macro] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12474),
    [anon_sym_quote] = ACTIONS(12474),
    [anon_sym_let] = ACTIONS(12474),
    [anon_sym_if] = ACTIONS(12474),
    [anon_sym_try] = ACTIONS(12474),
    [anon_sym_for] = ACTIONS(12474),
    [anon_sym_while] = ACTIONS(12474),
    [sym_break_statement] = ACTIONS(12474),
    [sym_continue_statement] = ACTIONS(12474),
    [anon_sym_return] = ACTIONS(12474),
    [anon_sym_const] = ACTIONS(12474),
    [anon_sym_global] = ACTIONS(12474),
    [anon_sym_local] = ACTIONS(12474),
    [anon_sym_LPAREN] = ACTIONS(12476),
    [anon_sym_RPAREN] = ACTIONS(12476),
    [anon_sym_COLON2] = ACTIONS(12474),
    [anon_sym_export] = ACTIONS(12474),
    [anon_sym_import] = ACTIONS(12474),
    [anon_sym_using] = ACTIONS(12474),
    [anon_sym_LBRACK] = ACTIONS(12476),
    [anon_sym_RBRACK] = ACTIONS(12476),
    [anon_sym_in] = ACTIONS(12474),
    [anon_sym_SEMI] = ACTIONS(12476),
    [anon_sym_LBRACE] = ACTIONS(12476),
    [anon_sym_RBRACE] = ACTIONS(12476),
    [anon_sym_SQUOTE] = ACTIONS(12658),
    [anon_sym_DOT] = ACTIONS(12660),
    [anon_sym_DOLLAR] = ACTIONS(12476),
    [anon_sym_COLON_COLON] = ACTIONS(12476),
    [anon_sym_isa] = ACTIONS(12474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12476),
    [anon_sym_QMARK] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(12476),
    [anon_sym_true] = ACTIONS(12474),
    [anon_sym_false] = ACTIONS(12474),
    [aux_sym_integer_literal_token1] = ACTIONS(12476),
    [aux_sym_integer_literal_token2] = ACTIONS(12476),
    [aux_sym_integer_literal_token3] = ACTIONS(12474),
    [aux_sym_integer_literal_token4] = ACTIONS(12474),
    [aux_sym_float_literal_token1] = ACTIONS(12476),
    [aux_sym_float_literal_token3] = ACTIONS(12476),
    [aux_sym_float_literal_token4] = ACTIONS(12476),
    [sym_character_literal] = ACTIONS(12476),
    [sym__pair_operator] = ACTIONS(12476),
    [sym__arrow_operator] = ACTIONS(12474),
    [sym__lazy_or_operator] = ACTIONS(12476),
    [sym__lazy_and_operator] = ACTIONS(12476),
    [sym__comparison_operator] = ACTIONS(12474),
    [sym__pipe_right_operator] = ACTIONS(12476),
    [sym__pipe_left_operator] = ACTIONS(12476),
    [sym__ellipsis_operator] = ACTIONS(12474),
    [sym__plus_operator] = ACTIONS(12474),
    [sym__times_operator] = ACTIONS(12474),
    [sym__rational_operator] = ACTIONS(12476),
    [sym__bitshift_operator] = ACTIONS(12476),
    [sym__power_operator] = ACTIONS(12476),
    [sym__tilde_operator] = ACTIONS(12476),
    [sym__type_order_operator] = ACTIONS(12476),
    [sym__unary_operator] = ACTIONS(12474),
    [sym__unary_plus_operator] = ACTIONS(12474),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12662),
    [sym__immediate_bracket] = ACTIONS(12664),
    [sym__immediate_brace] = ACTIONS(12666),
    [sym__string_start] = ACTIONS(12476),
    [sym__command_start] = ACTIONS(12476),
  },
  [6058] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6059] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6060] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6061] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__assignment_operator] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6062] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6063] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6064] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6065] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6066] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6067] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6068] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_RPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_SEMI] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_DASH_GT] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [6069] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6070] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6071] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_elseif] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6072] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_EQ] = ACTIONS(11974),
    [anon_sym_COMMA] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_COLON2] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_in] = ACTIONS(11974),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_isa] = ACTIONS(11974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11974),
    [anon_sym_QMARK] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__lazy_or_operator] = ACTIONS(11974),
    [sym__lazy_and_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [6073] = {
    [sym__word_identifier] = ACTIONS(12474),
    [anon_sym_EQ] = ACTIONS(12474),
    [anon_sym_COMMA] = ACTIONS(12474),
    [anon_sym_COLON] = ACTIONS(12474),
    [anon_sym_begin] = ACTIONS(12474),
    [anon_sym_module] = ACTIONS(12474),
    [anon_sym_baremodule] = ACTIONS(12474),
    [anon_sym_end] = ACTIONS(12474),
    [anon_sym_abstract] = ACTIONS(12474),
    [anon_sym_primitive] = ACTIONS(12474),
    [anon_sym_mutable] = ACTIONS(12474),
    [anon_sym_struct] = ACTIONS(12474),
    [anon_sym_function] = ACTIONS(12474),
    [anon_sym_macro] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12474),
    [anon_sym_quote] = ACTIONS(12474),
    [anon_sym_let] = ACTIONS(12474),
    [anon_sym_if] = ACTIONS(12474),
    [anon_sym_try] = ACTIONS(12474),
    [anon_sym_catch] = ACTIONS(12474),
    [anon_sym_for] = ACTIONS(12474),
    [anon_sym_while] = ACTIONS(12474),
    [sym_break_statement] = ACTIONS(12474),
    [sym_continue_statement] = ACTIONS(12474),
    [anon_sym_return] = ACTIONS(12474),
    [anon_sym_const] = ACTIONS(12474),
    [anon_sym_global] = ACTIONS(12474),
    [anon_sym_local] = ACTIONS(12474),
    [anon_sym_LPAREN] = ACTIONS(12474),
    [anon_sym_COLON2] = ACTIONS(12474),
    [anon_sym_export] = ACTIONS(12474),
    [anon_sym_import] = ACTIONS(12474),
    [anon_sym_using] = ACTIONS(12474),
    [anon_sym_LBRACK] = ACTIONS(12474),
    [anon_sym_LF] = ACTIONS(12476),
    [anon_sym_in] = ACTIONS(12474),
    [anon_sym_LBRACE] = ACTIONS(12474),
    [anon_sym_SQUOTE] = ACTIONS(12620),
    [anon_sym_DOT] = ACTIONS(12622),
    [anon_sym_DOLLAR] = ACTIONS(12474),
    [anon_sym_COLON_COLON] = ACTIONS(12474),
    [anon_sym_isa] = ACTIONS(12474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12474),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_AT] = ACTIONS(12474),
    [anon_sym_true] = ACTIONS(12474),
    [anon_sym_false] = ACTIONS(12474),
    [aux_sym_integer_literal_token1] = ACTIONS(12474),
    [aux_sym_integer_literal_token2] = ACTIONS(12474),
    [aux_sym_integer_literal_token3] = ACTIONS(12474),
    [aux_sym_integer_literal_token4] = ACTIONS(12474),
    [aux_sym_float_literal_token1] = ACTIONS(12474),
    [aux_sym_float_literal_token3] = ACTIONS(12474),
    [aux_sym_float_literal_token4] = ACTIONS(12474),
    [sym_character_literal] = ACTIONS(12474),
    [sym__pair_operator] = ACTIONS(12474),
    [sym__arrow_operator] = ACTIONS(12474),
    [sym__lazy_or_operator] = ACTIONS(12474),
    [sym__lazy_and_operator] = ACTIONS(12474),
    [sym__comparison_operator] = ACTIONS(12474),
    [sym__pipe_right_operator] = ACTIONS(12474),
    [sym__pipe_left_operator] = ACTIONS(12474),
    [sym__ellipsis_operator] = ACTIONS(12474),
    [sym__plus_operator] = ACTIONS(12474),
    [sym__times_operator] = ACTIONS(12474),
    [sym__rational_operator] = ACTIONS(12474),
    [sym__bitshift_operator] = ACTIONS(12474),
    [sym__power_operator] = ACTIONS(12474),
    [sym__tilde_operator] = ACTIONS(12474),
    [sym__type_order_operator] = ACTIONS(12474),
    [sym__unary_operator] = ACTIONS(12474),
    [sym__unary_plus_operator] = ACTIONS(12474),
    [aux_sym__terminator_token1] = ACTIONS(12474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12624),
    [sym__immediate_bracket] = ACTIONS(12626),
    [sym__immediate_brace] = ACTIONS(12628),
    [sym__string_start] = ACTIONS(12476),
    [sym__command_start] = ACTIONS(12476),
  },
  [6074] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_RPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_SEMI] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [6075] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12668),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12304),
    [anon_sym_DOT] = ACTIONS(12414),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12416),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__immediate_bracket] = ACTIONS(12312),
    [sym__immediate_brace] = ACTIONS(12314),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6076] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_RPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_SEMI] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__assignment_operator] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6077] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_RPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_SEMI] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__assignment_operator] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6078] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6079] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6080] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6081] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_RPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_SEMI] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__assignment_operator] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6082] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12646),
    [anon_sym_DOT] = ACTIONS(12670),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12672),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12652),
    [sym__immediate_bracket] = ACTIONS(12654),
    [sym__immediate_brace] = ACTIONS(12656),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6083] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_RPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_SEMI] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__assignment_operator] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6084] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_RPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_SEMI] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__assignment_operator] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6085] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6086] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6087] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6088] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_RPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_SEMI] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__assignment_operator] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6089] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_RPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_SEMI] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__assignment_operator] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6090] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6091] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_RPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_SEMI] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__assignment_operator] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6092] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6093] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_RPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_SEMI] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__assignment_operator] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6094] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_RPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_SEMI] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__assignment_operator] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6095] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_RPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_SEMI] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__assignment_operator] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6096] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11886),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11886),
    [anon_sym_RPAREN] = ACTIONS(11886),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11886),
    [anon_sym_RBRACK] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11886),
    [anon_sym_RBRACE] = ACTIONS(11886),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11886),
    [anon_sym_COLON_COLON] = ACTIONS(11886),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11886),
    [anon_sym_QMARK] = ACTIONS(11886),
    [anon_sym_AT] = ACTIONS(11886),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11886),
    [aux_sym_integer_literal_token2] = ACTIONS(11886),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11886),
    [aux_sym_float_literal_token3] = ACTIONS(11886),
    [aux_sym_float_literal_token4] = ACTIONS(11886),
    [sym_character_literal] = ACTIONS(11886),
    [sym__pair_operator] = ACTIONS(11886),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11886),
    [sym__lazy_and_operator] = ACTIONS(11886),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11886),
    [sym__pipe_left_operator] = ACTIONS(11886),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11886),
    [sym__bitshift_operator] = ACTIONS(11886),
    [sym__power_operator] = ACTIONS(11886),
    [sym__tilde_operator] = ACTIONS(11886),
    [sym__type_order_operator] = ACTIONS(11886),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6097] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6098] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__assignment_operator] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6099] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_RPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_SEMI] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__assignment_operator] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6100] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_RPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_SEMI] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__assignment_operator] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6101] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_RPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_SEMI] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__assignment_operator] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6102] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_RPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_SEMI] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__assignment_operator] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6103] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6104] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_RPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_SEMI] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__assignment_operator] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6105] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_RPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_SEMI] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__assignment_operator] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6106] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_RPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_SEMI] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__assignment_operator] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6107] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_RPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_SEMI] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__assignment_operator] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6108] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_RPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_SEMI] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__assignment_operator] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6109] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_RPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_SEMI] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__assignment_operator] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6110] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12212),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12212),
    [anon_sym_RPAREN] = ACTIONS(12212),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12212),
    [anon_sym_RBRACK] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_SEMI] = ACTIONS(12212),
    [anon_sym_LBRACE] = ACTIONS(12212),
    [anon_sym_RBRACE] = ACTIONS(12212),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12212),
    [anon_sym_COLON_COLON] = ACTIONS(12212),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12212),
    [anon_sym_QMARK] = ACTIONS(12212),
    [anon_sym_AT] = ACTIONS(12212),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12212),
    [aux_sym_integer_literal_token2] = ACTIONS(12212),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12212),
    [aux_sym_float_literal_token3] = ACTIONS(12212),
    [aux_sym_float_literal_token4] = ACTIONS(12212),
    [sym_character_literal] = ACTIONS(12212),
    [sym__pair_operator] = ACTIONS(12212),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12212),
    [sym__lazy_and_operator] = ACTIONS(12212),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12212),
    [sym__pipe_left_operator] = ACTIONS(12212),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12212),
    [sym__bitshift_operator] = ACTIONS(12212),
    [sym__power_operator] = ACTIONS(12212),
    [sym__tilde_operator] = ACTIONS(12212),
    [sym__type_order_operator] = ACTIONS(12212),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6111] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__assignment_operator] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6112] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6113] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_RPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_SEMI] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__assignment_operator] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6114] = {
    [sym__word_identifier] = ACTIONS(12440),
    [anon_sym_EQ] = ACTIONS(12440),
    [anon_sym_COMMA] = ACTIONS(12440),
    [anon_sym_COLON] = ACTIONS(12440),
    [anon_sym_begin] = ACTIONS(12440),
    [anon_sym_module] = ACTIONS(12440),
    [anon_sym_baremodule] = ACTIONS(12440),
    [anon_sym_end] = ACTIONS(12440),
    [anon_sym_abstract] = ACTIONS(12440),
    [anon_sym_primitive] = ACTIONS(12440),
    [anon_sym_mutable] = ACTIONS(12440),
    [anon_sym_struct] = ACTIONS(12440),
    [anon_sym_function] = ACTIONS(12440),
    [anon_sym_macro] = ACTIONS(12440),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_quote] = ACTIONS(12440),
    [anon_sym_let] = ACTIONS(12440),
    [anon_sym_if] = ACTIONS(12440),
    [anon_sym_try] = ACTIONS(12440),
    [anon_sym_finally] = ACTIONS(12440),
    [anon_sym_for] = ACTIONS(12440),
    [anon_sym_while] = ACTIONS(12440),
    [sym_break_statement] = ACTIONS(12440),
    [sym_continue_statement] = ACTIONS(12440),
    [anon_sym_return] = ACTIONS(12440),
    [anon_sym_const] = ACTIONS(12440),
    [anon_sym_global] = ACTIONS(12440),
    [anon_sym_local] = ACTIONS(12440),
    [anon_sym_LPAREN] = ACTIONS(12440),
    [anon_sym_COLON2] = ACTIONS(12440),
    [anon_sym_export] = ACTIONS(12440),
    [anon_sym_import] = ACTIONS(12440),
    [anon_sym_using] = ACTIONS(12440),
    [anon_sym_LBRACK] = ACTIONS(12440),
    [anon_sym_LF] = ACTIONS(12512),
    [anon_sym_in] = ACTIONS(12440),
    [anon_sym_LBRACE] = ACTIONS(12440),
    [anon_sym_SQUOTE] = ACTIONS(12634),
    [anon_sym_DOT] = ACTIONS(12636),
    [anon_sym_DOLLAR] = ACTIONS(12440),
    [anon_sym_COLON_COLON] = ACTIONS(12440),
    [anon_sym_isa] = ACTIONS(12440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12440),
    [anon_sym_QMARK] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(12440),
    [anon_sym_true] = ACTIONS(12440),
    [anon_sym_false] = ACTIONS(12440),
    [aux_sym_integer_literal_token1] = ACTIONS(12440),
    [aux_sym_integer_literal_token2] = ACTIONS(12440),
    [aux_sym_integer_literal_token3] = ACTIONS(12440),
    [aux_sym_integer_literal_token4] = ACTIONS(12440),
    [aux_sym_float_literal_token1] = ACTIONS(12440),
    [aux_sym_float_literal_token3] = ACTIONS(12440),
    [aux_sym_float_literal_token4] = ACTIONS(12440),
    [sym_character_literal] = ACTIONS(12440),
    [sym__pair_operator] = ACTIONS(12440),
    [sym__arrow_operator] = ACTIONS(12440),
    [sym__lazy_or_operator] = ACTIONS(12440),
    [sym__lazy_and_operator] = ACTIONS(12440),
    [sym__comparison_operator] = ACTIONS(12440),
    [sym__pipe_right_operator] = ACTIONS(12440),
    [sym__pipe_left_operator] = ACTIONS(12440),
    [sym__ellipsis_operator] = ACTIONS(12440),
    [sym__plus_operator] = ACTIONS(12440),
    [sym__times_operator] = ACTIONS(12440),
    [sym__rational_operator] = ACTIONS(12440),
    [sym__bitshift_operator] = ACTIONS(12440),
    [sym__power_operator] = ACTIONS(12440),
    [sym__tilde_operator] = ACTIONS(12440),
    [sym__type_order_operator] = ACTIONS(12440),
    [sym__unary_operator] = ACTIONS(12440),
    [sym__unary_plus_operator] = ACTIONS(12440),
    [aux_sym__terminator_token1] = ACTIONS(12440),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12638),
    [sym__immediate_bracket] = ACTIONS(12640),
    [sym__immediate_brace] = ACTIONS(12642),
    [sym__string_start] = ACTIONS(12512),
    [sym__command_start] = ACTIONS(12512),
  },
  [6115] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12646),
    [anon_sym_DOT] = ACTIONS(12670),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12672),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12652),
    [sym__immediate_bracket] = ACTIONS(12654),
    [sym__immediate_brace] = ACTIONS(12656),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6116] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_RPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_SEMI] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__assignment_operator] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6117] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_RPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_SEMI] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__assignment_operator] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6118] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_RPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_SEMI] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__assignment_operator] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6119] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12252),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12252),
    [anon_sym_RPAREN] = ACTIONS(12252),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12252),
    [anon_sym_RBRACK] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_SEMI] = ACTIONS(12252),
    [anon_sym_LBRACE] = ACTIONS(12252),
    [anon_sym_RBRACE] = ACTIONS(12252),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12252),
    [anon_sym_COLON_COLON] = ACTIONS(12252),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12252),
    [anon_sym_QMARK] = ACTIONS(12252),
    [anon_sym_AT] = ACTIONS(12252),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12252),
    [aux_sym_integer_literal_token2] = ACTIONS(12252),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12252),
    [aux_sym_float_literal_token3] = ACTIONS(12252),
    [aux_sym_float_literal_token4] = ACTIONS(12252),
    [sym_character_literal] = ACTIONS(12252),
    [sym__pair_operator] = ACTIONS(12252),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12252),
    [sym__lazy_and_operator] = ACTIONS(12252),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12252),
    [sym__pipe_left_operator] = ACTIONS(12252),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12252),
    [sym__bitshift_operator] = ACTIONS(12252),
    [sym__power_operator] = ACTIONS(12252),
    [sym__tilde_operator] = ACTIONS(12252),
    [sym__type_order_operator] = ACTIONS(12252),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6120] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_RPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_SEMI] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__assignment_operator] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6121] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_DASH_GT] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [6122] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12678),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6123] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_catch] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6124] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6125] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12316),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12316),
    [anon_sym_RPAREN] = ACTIONS(12316),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12316),
    [anon_sym_RBRACK] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_SEMI] = ACTIONS(12316),
    [anon_sym_LBRACE] = ACTIONS(12316),
    [anon_sym_RBRACE] = ACTIONS(12316),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12316),
    [anon_sym_COLON_COLON] = ACTIONS(12316),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12316),
    [anon_sym_QMARK] = ACTIONS(12316),
    [anon_sym_AT] = ACTIONS(12316),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12316),
    [aux_sym_integer_literal_token2] = ACTIONS(12316),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12316),
    [aux_sym_float_literal_token3] = ACTIONS(12316),
    [aux_sym_float_literal_token4] = ACTIONS(12316),
    [sym_character_literal] = ACTIONS(12316),
    [sym__pair_operator] = ACTIONS(12316),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12316),
    [sym__lazy_and_operator] = ACTIONS(12316),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12316),
    [sym__pipe_left_operator] = ACTIONS(12316),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12316),
    [sym__bitshift_operator] = ACTIONS(12316),
    [sym__power_operator] = ACTIONS(12316),
    [sym__tilde_operator] = ACTIONS(12316),
    [sym__type_order_operator] = ACTIONS(12316),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6126] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6127] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_catch] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6128] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_RPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_SEMI] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_DASH_GT] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6129] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12158),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12158),
    [anon_sym_RPAREN] = ACTIONS(12158),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12158),
    [anon_sym_RBRACK] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_SEMI] = ACTIONS(12158),
    [anon_sym_LBRACE] = ACTIONS(12158),
    [anon_sym_RBRACE] = ACTIONS(12158),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12158),
    [anon_sym_COLON_COLON] = ACTIONS(12158),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12158),
    [anon_sym_QMARK] = ACTIONS(12158),
    [anon_sym_AT] = ACTIONS(12158),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12158),
    [aux_sym_integer_literal_token2] = ACTIONS(12158),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12158),
    [aux_sym_float_literal_token3] = ACTIONS(12158),
    [aux_sym_float_literal_token4] = ACTIONS(12158),
    [sym_character_literal] = ACTIONS(12158),
    [sym__pair_operator] = ACTIONS(12158),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12158),
    [sym__lazy_and_operator] = ACTIONS(12158),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12158),
    [sym__pipe_left_operator] = ACTIONS(12158),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12158),
    [sym__bitshift_operator] = ACTIONS(12158),
    [sym__power_operator] = ACTIONS(12158),
    [sym__tilde_operator] = ACTIONS(12158),
    [sym__type_order_operator] = ACTIONS(12158),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6130] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__assignment_operator] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6131] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12172),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12172),
    [anon_sym_RPAREN] = ACTIONS(12172),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12172),
    [anon_sym_RBRACK] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_SEMI] = ACTIONS(12172),
    [anon_sym_LBRACE] = ACTIONS(12172),
    [anon_sym_RBRACE] = ACTIONS(12172),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12172),
    [anon_sym_COLON_COLON] = ACTIONS(12172),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12172),
    [anon_sym_QMARK] = ACTIONS(12172),
    [anon_sym_AT] = ACTIONS(12172),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12172),
    [aux_sym_integer_literal_token2] = ACTIONS(12172),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12172),
    [aux_sym_float_literal_token3] = ACTIONS(12172),
    [aux_sym_float_literal_token4] = ACTIONS(12172),
    [sym_character_literal] = ACTIONS(12172),
    [sym__pair_operator] = ACTIONS(12172),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12172),
    [sym__lazy_and_operator] = ACTIONS(12172),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12172),
    [sym__pipe_left_operator] = ACTIONS(12172),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12172),
    [sym__bitshift_operator] = ACTIONS(12172),
    [sym__power_operator] = ACTIONS(12172),
    [sym__tilde_operator] = ACTIONS(12172),
    [sym__type_order_operator] = ACTIONS(12172),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6132] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_RPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_SEMI] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_DASH_GT] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6133] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11866),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11866),
    [anon_sym_RPAREN] = ACTIONS(11866),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11866),
    [anon_sym_RBRACK] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11866),
    [anon_sym_RBRACE] = ACTIONS(11866),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11866),
    [anon_sym_COLON_COLON] = ACTIONS(11866),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11866),
    [anon_sym_QMARK] = ACTIONS(11866),
    [anon_sym_AT] = ACTIONS(11866),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11866),
    [aux_sym_integer_literal_token2] = ACTIONS(11866),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11866),
    [aux_sym_float_literal_token3] = ACTIONS(11866),
    [aux_sym_float_literal_token4] = ACTIONS(11866),
    [sym_character_literal] = ACTIONS(11866),
    [sym__pair_operator] = ACTIONS(11866),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11866),
    [sym__lazy_and_operator] = ACTIONS(11866),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11866),
    [sym__pipe_left_operator] = ACTIONS(11866),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11866),
    [sym__bitshift_operator] = ACTIONS(11866),
    [sym__power_operator] = ACTIONS(11866),
    [sym__tilde_operator] = ACTIONS(11866),
    [sym__type_order_operator] = ACTIONS(11866),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6134] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_DASH_GT] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [6135] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_catch] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6136] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_catch] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6137] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_catch] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6138] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12178),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12178),
    [anon_sym_RPAREN] = ACTIONS(12178),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12178),
    [anon_sym_RBRACK] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_SEMI] = ACTIONS(12178),
    [anon_sym_LBRACE] = ACTIONS(12178),
    [anon_sym_RBRACE] = ACTIONS(12178),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12178),
    [anon_sym_COLON_COLON] = ACTIONS(12178),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12178),
    [anon_sym_QMARK] = ACTIONS(12178),
    [anon_sym_AT] = ACTIONS(12178),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12178),
    [aux_sym_integer_literal_token2] = ACTIONS(12178),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12178),
    [aux_sym_float_literal_token3] = ACTIONS(12178),
    [aux_sym_float_literal_token4] = ACTIONS(12178),
    [sym_character_literal] = ACTIONS(12178),
    [sym__pair_operator] = ACTIONS(12178),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12178),
    [sym__lazy_and_operator] = ACTIONS(12178),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12178),
    [sym__pipe_left_operator] = ACTIONS(12178),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12178),
    [sym__bitshift_operator] = ACTIONS(12178),
    [sym__power_operator] = ACTIONS(12178),
    [sym__tilde_operator] = ACTIONS(12178),
    [sym__type_order_operator] = ACTIONS(12178),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6139] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_DASH_GT] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [6140] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__assignment_operator] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6141] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12182),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12182),
    [anon_sym_RPAREN] = ACTIONS(12182),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12182),
    [anon_sym_RBRACK] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_SEMI] = ACTIONS(12182),
    [anon_sym_LBRACE] = ACTIONS(12182),
    [anon_sym_RBRACE] = ACTIONS(12182),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12182),
    [anon_sym_COLON_COLON] = ACTIONS(12182),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12182),
    [anon_sym_QMARK] = ACTIONS(12182),
    [anon_sym_AT] = ACTIONS(12182),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12182),
    [aux_sym_integer_literal_token2] = ACTIONS(12182),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12182),
    [aux_sym_float_literal_token3] = ACTIONS(12182),
    [aux_sym_float_literal_token4] = ACTIONS(12182),
    [sym_character_literal] = ACTIONS(12182),
    [sym__pair_operator] = ACTIONS(12182),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12182),
    [sym__lazy_and_operator] = ACTIONS(12182),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12182),
    [sym__pipe_left_operator] = ACTIONS(12182),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12182),
    [sym__bitshift_operator] = ACTIONS(12182),
    [sym__power_operator] = ACTIONS(12182),
    [sym__tilde_operator] = ACTIONS(12182),
    [sym__type_order_operator] = ACTIONS(12182),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6142] = {
    [sym__word_identifier] = ACTIONS(12474),
    [anon_sym_EQ] = ACTIONS(12474),
    [anon_sym_COMMA] = ACTIONS(12474),
    [anon_sym_COLON] = ACTIONS(12474),
    [anon_sym_begin] = ACTIONS(12474),
    [anon_sym_module] = ACTIONS(12474),
    [anon_sym_baremodule] = ACTIONS(12474),
    [anon_sym_abstract] = ACTIONS(12474),
    [anon_sym_primitive] = ACTIONS(12474),
    [anon_sym_mutable] = ACTIONS(12474),
    [anon_sym_struct] = ACTIONS(12474),
    [anon_sym_function] = ACTIONS(12474),
    [anon_sym_macro] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12474),
    [anon_sym_quote] = ACTIONS(12474),
    [anon_sym_let] = ACTIONS(12474),
    [anon_sym_if] = ACTIONS(12474),
    [anon_sym_try] = ACTIONS(12474),
    [anon_sym_catch] = ACTIONS(12474),
    [anon_sym_finally] = ACTIONS(12474),
    [anon_sym_for] = ACTIONS(12474),
    [anon_sym_while] = ACTIONS(12474),
    [sym_break_statement] = ACTIONS(12474),
    [sym_continue_statement] = ACTIONS(12474),
    [anon_sym_return] = ACTIONS(12474),
    [anon_sym_const] = ACTIONS(12474),
    [anon_sym_global] = ACTIONS(12474),
    [anon_sym_local] = ACTIONS(12474),
    [anon_sym_LPAREN] = ACTIONS(12474),
    [anon_sym_COLON2] = ACTIONS(12474),
    [anon_sym_export] = ACTIONS(12474),
    [anon_sym_import] = ACTIONS(12474),
    [anon_sym_using] = ACTIONS(12474),
    [anon_sym_LBRACK] = ACTIONS(12474),
    [anon_sym_LF] = ACTIONS(12476),
    [anon_sym_in] = ACTIONS(12474),
    [anon_sym_LBRACE] = ACTIONS(12474),
    [anon_sym_SQUOTE] = ACTIONS(12680),
    [anon_sym_DOT] = ACTIONS(12682),
    [anon_sym_DOLLAR] = ACTIONS(12474),
    [anon_sym_COLON_COLON] = ACTIONS(12474),
    [anon_sym_isa] = ACTIONS(12474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12474),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_AT] = ACTIONS(12474),
    [anon_sym_true] = ACTIONS(12474),
    [anon_sym_false] = ACTIONS(12474),
    [aux_sym_integer_literal_token1] = ACTIONS(12474),
    [aux_sym_integer_literal_token2] = ACTIONS(12474),
    [aux_sym_integer_literal_token3] = ACTIONS(12474),
    [aux_sym_integer_literal_token4] = ACTIONS(12474),
    [aux_sym_float_literal_token1] = ACTIONS(12474),
    [aux_sym_float_literal_token3] = ACTIONS(12474),
    [aux_sym_float_literal_token4] = ACTIONS(12474),
    [sym_character_literal] = ACTIONS(12474),
    [sym__pair_operator] = ACTIONS(12474),
    [sym__arrow_operator] = ACTIONS(12474),
    [sym__lazy_or_operator] = ACTIONS(12474),
    [sym__lazy_and_operator] = ACTIONS(12474),
    [sym__comparison_operator] = ACTIONS(12474),
    [sym__pipe_right_operator] = ACTIONS(12474),
    [sym__pipe_left_operator] = ACTIONS(12474),
    [sym__ellipsis_operator] = ACTIONS(12474),
    [sym__plus_operator] = ACTIONS(12474),
    [sym__times_operator] = ACTIONS(12474),
    [sym__rational_operator] = ACTIONS(12474),
    [sym__bitshift_operator] = ACTIONS(12474),
    [sym__power_operator] = ACTIONS(12474),
    [sym__tilde_operator] = ACTIONS(12474),
    [sym__type_order_operator] = ACTIONS(12474),
    [sym__unary_operator] = ACTIONS(12474),
    [sym__unary_plus_operator] = ACTIONS(12474),
    [aux_sym__terminator_token1] = ACTIONS(12474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12684),
    [sym__immediate_bracket] = ACTIONS(12686),
    [sym__immediate_brace] = ACTIONS(12688),
    [sym__string_start] = ACTIONS(12476),
    [sym__command_start] = ACTIONS(12476),
  },
  [6143] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__assignment_operator] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [6144] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12346),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12346),
    [anon_sym_RPAREN] = ACTIONS(12346),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12346),
    [anon_sym_RBRACK] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(12346),
    [anon_sym_LBRACE] = ACTIONS(12346),
    [anon_sym_RBRACE] = ACTIONS(12346),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12346),
    [anon_sym_COLON_COLON] = ACTIONS(12346),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12346),
    [anon_sym_QMARK] = ACTIONS(12346),
    [anon_sym_AT] = ACTIONS(12346),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12346),
    [aux_sym_integer_literal_token2] = ACTIONS(12346),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12346),
    [aux_sym_float_literal_token3] = ACTIONS(12346),
    [aux_sym_float_literal_token4] = ACTIONS(12346),
    [sym_character_literal] = ACTIONS(12346),
    [sym__pair_operator] = ACTIONS(12346),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12346),
    [sym__lazy_and_operator] = ACTIONS(12346),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12346),
    [sym__pipe_left_operator] = ACTIONS(12346),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12346),
    [sym__bitshift_operator] = ACTIONS(12346),
    [sym__power_operator] = ACTIONS(12346),
    [sym__tilde_operator] = ACTIONS(12346),
    [sym__type_order_operator] = ACTIONS(12346),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6145] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12186),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12186),
    [anon_sym_RPAREN] = ACTIONS(12186),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12186),
    [anon_sym_RBRACK] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_SEMI] = ACTIONS(12186),
    [anon_sym_LBRACE] = ACTIONS(12186),
    [anon_sym_RBRACE] = ACTIONS(12186),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12186),
    [anon_sym_COLON_COLON] = ACTIONS(12186),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12186),
    [anon_sym_QMARK] = ACTIONS(12186),
    [anon_sym_AT] = ACTIONS(12186),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12186),
    [aux_sym_integer_literal_token2] = ACTIONS(12186),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12186),
    [aux_sym_float_literal_token3] = ACTIONS(12186),
    [aux_sym_float_literal_token4] = ACTIONS(12186),
    [sym_character_literal] = ACTIONS(12186),
    [sym__pair_operator] = ACTIONS(12186),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12186),
    [sym__lazy_and_operator] = ACTIONS(12186),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12186),
    [sym__pipe_left_operator] = ACTIONS(12186),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12186),
    [sym__bitshift_operator] = ACTIONS(12186),
    [sym__power_operator] = ACTIONS(12186),
    [sym__tilde_operator] = ACTIONS(12186),
    [sym__type_order_operator] = ACTIONS(12186),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6146] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12190),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12190),
    [anon_sym_RPAREN] = ACTIONS(12190),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12190),
    [anon_sym_RBRACK] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_SEMI] = ACTIONS(12190),
    [anon_sym_LBRACE] = ACTIONS(12190),
    [anon_sym_RBRACE] = ACTIONS(12190),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12190),
    [anon_sym_COLON_COLON] = ACTIONS(12190),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12190),
    [anon_sym_QMARK] = ACTIONS(12190),
    [anon_sym_AT] = ACTIONS(12190),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12190),
    [aux_sym_integer_literal_token2] = ACTIONS(12190),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12190),
    [aux_sym_float_literal_token3] = ACTIONS(12190),
    [aux_sym_float_literal_token4] = ACTIONS(12190),
    [sym_character_literal] = ACTIONS(12190),
    [sym__pair_operator] = ACTIONS(12190),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12190),
    [sym__lazy_and_operator] = ACTIONS(12190),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12190),
    [sym__pipe_left_operator] = ACTIONS(12190),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12190),
    [sym__bitshift_operator] = ACTIONS(12190),
    [sym__power_operator] = ACTIONS(12190),
    [sym__tilde_operator] = ACTIONS(12190),
    [sym__type_order_operator] = ACTIONS(12190),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6147] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12630),
    [sym__immediate_command_start] = ACTIONS(12632),
  },
  [6148] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_catch] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6149] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12194),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12194),
    [anon_sym_RPAREN] = ACTIONS(12194),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12194),
    [anon_sym_RBRACK] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_SEMI] = ACTIONS(12194),
    [anon_sym_LBRACE] = ACTIONS(12194),
    [anon_sym_RBRACE] = ACTIONS(12194),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12194),
    [anon_sym_COLON_COLON] = ACTIONS(12194),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12194),
    [anon_sym_QMARK] = ACTIONS(12194),
    [anon_sym_AT] = ACTIONS(12194),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12194),
    [aux_sym_integer_literal_token2] = ACTIONS(12194),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12194),
    [aux_sym_float_literal_token3] = ACTIONS(12194),
    [aux_sym_float_literal_token4] = ACTIONS(12194),
    [sym_character_literal] = ACTIONS(12194),
    [sym__pair_operator] = ACTIONS(12194),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12194),
    [sym__lazy_and_operator] = ACTIONS(12194),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12194),
    [sym__pipe_left_operator] = ACTIONS(12194),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12194),
    [sym__bitshift_operator] = ACTIONS(12194),
    [sym__power_operator] = ACTIONS(12194),
    [sym__tilde_operator] = ACTIONS(12194),
    [sym__type_order_operator] = ACTIONS(12194),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6150] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12324),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12324),
    [anon_sym_RPAREN] = ACTIONS(12324),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12324),
    [anon_sym_RBRACK] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_SEMI] = ACTIONS(12324),
    [anon_sym_LBRACE] = ACTIONS(12324),
    [anon_sym_RBRACE] = ACTIONS(12324),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12324),
    [anon_sym_COLON_COLON] = ACTIONS(12324),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12324),
    [anon_sym_QMARK] = ACTIONS(12324),
    [anon_sym_AT] = ACTIONS(12324),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12324),
    [aux_sym_integer_literal_token2] = ACTIONS(12324),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12324),
    [aux_sym_float_literal_token3] = ACTIONS(12324),
    [aux_sym_float_literal_token4] = ACTIONS(12324),
    [sym_character_literal] = ACTIONS(12324),
    [sym__pair_operator] = ACTIONS(12324),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12324),
    [sym__lazy_and_operator] = ACTIONS(12324),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12324),
    [sym__pipe_left_operator] = ACTIONS(12324),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12324),
    [sym__bitshift_operator] = ACTIONS(12324),
    [sym__power_operator] = ACTIONS(12324),
    [sym__tilde_operator] = ACTIONS(12324),
    [sym__type_order_operator] = ACTIONS(12324),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6151] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11960),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11960),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11960),
    [sym__bitshift_operator] = ACTIONS(11960),
    [sym__power_operator] = ACTIONS(11960),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6152] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12198),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12198),
    [anon_sym_RPAREN] = ACTIONS(12198),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12198),
    [anon_sym_RBRACK] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_SEMI] = ACTIONS(12198),
    [anon_sym_LBRACE] = ACTIONS(12198),
    [anon_sym_RBRACE] = ACTIONS(12198),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12198),
    [anon_sym_COLON_COLON] = ACTIONS(12198),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12198),
    [anon_sym_QMARK] = ACTIONS(12198),
    [anon_sym_AT] = ACTIONS(12198),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12198),
    [aux_sym_integer_literal_token2] = ACTIONS(12198),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12198),
    [aux_sym_float_literal_token3] = ACTIONS(12198),
    [aux_sym_float_literal_token4] = ACTIONS(12198),
    [sym_character_literal] = ACTIONS(12198),
    [sym__pair_operator] = ACTIONS(12198),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12198),
    [sym__lazy_and_operator] = ACTIONS(12198),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12198),
    [sym__pipe_left_operator] = ACTIONS(12198),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12198),
    [sym__bitshift_operator] = ACTIONS(12198),
    [sym__power_operator] = ACTIONS(12198),
    [sym__tilde_operator] = ACTIONS(12198),
    [sym__type_order_operator] = ACTIONS(12198),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6153] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [6154] = {
    [sym__word_identifier] = ACTIONS(12440),
    [anon_sym_EQ] = ACTIONS(12440),
    [anon_sym_COMMA] = ACTIONS(12512),
    [anon_sym_COLON] = ACTIONS(12440),
    [anon_sym_begin] = ACTIONS(12440),
    [anon_sym_module] = ACTIONS(12440),
    [anon_sym_baremodule] = ACTIONS(12440),
    [anon_sym_abstract] = ACTIONS(12440),
    [anon_sym_primitive] = ACTIONS(12440),
    [anon_sym_mutable] = ACTIONS(12440),
    [anon_sym_struct] = ACTIONS(12440),
    [anon_sym_function] = ACTIONS(12440),
    [anon_sym_macro] = ACTIONS(12440),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_quote] = ACTIONS(12440),
    [anon_sym_let] = ACTIONS(12440),
    [anon_sym_if] = ACTIONS(12440),
    [anon_sym_try] = ACTIONS(12440),
    [anon_sym_for] = ACTIONS(12440),
    [anon_sym_while] = ACTIONS(12440),
    [sym_break_statement] = ACTIONS(12440),
    [sym_continue_statement] = ACTIONS(12440),
    [anon_sym_return] = ACTIONS(12440),
    [anon_sym_const] = ACTIONS(12440),
    [anon_sym_global] = ACTIONS(12440),
    [anon_sym_local] = ACTIONS(12440),
    [anon_sym_LPAREN] = ACTIONS(12512),
    [anon_sym_RPAREN] = ACTIONS(12512),
    [anon_sym_COLON2] = ACTIONS(12440),
    [anon_sym_export] = ACTIONS(12440),
    [anon_sym_import] = ACTIONS(12440),
    [anon_sym_using] = ACTIONS(12440),
    [anon_sym_LBRACK] = ACTIONS(12512),
    [anon_sym_RBRACK] = ACTIONS(12512),
    [anon_sym_in] = ACTIONS(12440),
    [anon_sym_SEMI] = ACTIONS(12512),
    [anon_sym_LBRACE] = ACTIONS(12512),
    [anon_sym_RBRACE] = ACTIONS(12512),
    [anon_sym_SQUOTE] = ACTIONS(12658),
    [anon_sym_DOT] = ACTIONS(12660),
    [anon_sym_DOLLAR] = ACTIONS(12512),
    [anon_sym_COLON_COLON] = ACTIONS(12512),
    [anon_sym_isa] = ACTIONS(12440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12512),
    [anon_sym_QMARK] = ACTIONS(12512),
    [anon_sym_AT] = ACTIONS(12512),
    [anon_sym_true] = ACTIONS(12440),
    [anon_sym_false] = ACTIONS(12440),
    [aux_sym_integer_literal_token1] = ACTIONS(12512),
    [aux_sym_integer_literal_token2] = ACTIONS(12512),
    [aux_sym_integer_literal_token3] = ACTIONS(12440),
    [aux_sym_integer_literal_token4] = ACTIONS(12440),
    [aux_sym_float_literal_token1] = ACTIONS(12512),
    [aux_sym_float_literal_token3] = ACTIONS(12512),
    [aux_sym_float_literal_token4] = ACTIONS(12512),
    [sym_character_literal] = ACTIONS(12512),
    [sym__pair_operator] = ACTIONS(12512),
    [sym__arrow_operator] = ACTIONS(12440),
    [sym__lazy_or_operator] = ACTIONS(12512),
    [sym__lazy_and_operator] = ACTIONS(12512),
    [sym__comparison_operator] = ACTIONS(12440),
    [sym__pipe_right_operator] = ACTIONS(12512),
    [sym__pipe_left_operator] = ACTIONS(12512),
    [sym__ellipsis_operator] = ACTIONS(12440),
    [sym__plus_operator] = ACTIONS(12440),
    [sym__times_operator] = ACTIONS(12440),
    [sym__rational_operator] = ACTIONS(12512),
    [sym__bitshift_operator] = ACTIONS(12512),
    [sym__power_operator] = ACTIONS(12512),
    [sym__tilde_operator] = ACTIONS(12512),
    [sym__type_order_operator] = ACTIONS(12512),
    [sym__unary_operator] = ACTIONS(12440),
    [sym__unary_plus_operator] = ACTIONS(12440),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12662),
    [sym__immediate_bracket] = ACTIONS(12664),
    [sym__immediate_brace] = ACTIONS(12666),
    [sym__string_start] = ACTIONS(12512),
    [sym__command_start] = ACTIONS(12512),
  },
  [6155] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_DASH_GT] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [6156] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12206),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12206),
    [anon_sym_RPAREN] = ACTIONS(12206),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12206),
    [anon_sym_RBRACK] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_SEMI] = ACTIONS(12206),
    [anon_sym_LBRACE] = ACTIONS(12206),
    [anon_sym_RBRACE] = ACTIONS(12206),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12206),
    [anon_sym_COLON_COLON] = ACTIONS(12206),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12206),
    [anon_sym_QMARK] = ACTIONS(12206),
    [anon_sym_AT] = ACTIONS(12206),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12206),
    [aux_sym_integer_literal_token2] = ACTIONS(12206),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12206),
    [aux_sym_float_literal_token3] = ACTIONS(12206),
    [aux_sym_float_literal_token4] = ACTIONS(12206),
    [sym_character_literal] = ACTIONS(12206),
    [sym__pair_operator] = ACTIONS(12206),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12206),
    [sym__lazy_and_operator] = ACTIONS(12206),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12206),
    [sym__pipe_left_operator] = ACTIONS(12206),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12206),
    [sym__bitshift_operator] = ACTIONS(12206),
    [sym__power_operator] = ACTIONS(12206),
    [sym__tilde_operator] = ACTIONS(12206),
    [sym__type_order_operator] = ACTIONS(12206),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6157] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12216),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12216),
    [anon_sym_RPAREN] = ACTIONS(12216),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12216),
    [anon_sym_RBRACK] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_SEMI] = ACTIONS(12216),
    [anon_sym_LBRACE] = ACTIONS(12216),
    [anon_sym_RBRACE] = ACTIONS(12216),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12216),
    [anon_sym_COLON_COLON] = ACTIONS(12216),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12216),
    [anon_sym_QMARK] = ACTIONS(12216),
    [anon_sym_AT] = ACTIONS(12216),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12216),
    [aux_sym_integer_literal_token2] = ACTIONS(12216),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12216),
    [aux_sym_float_literal_token3] = ACTIONS(12216),
    [aux_sym_float_literal_token4] = ACTIONS(12216),
    [sym_character_literal] = ACTIONS(12216),
    [sym__pair_operator] = ACTIONS(12216),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12216),
    [sym__lazy_and_operator] = ACTIONS(12216),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12216),
    [sym__pipe_left_operator] = ACTIONS(12216),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12216),
    [sym__bitshift_operator] = ACTIONS(12216),
    [sym__power_operator] = ACTIONS(12216),
    [sym__tilde_operator] = ACTIONS(12216),
    [sym__type_order_operator] = ACTIONS(12216),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6158] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12220),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12220),
    [anon_sym_RPAREN] = ACTIONS(12220),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12220),
    [anon_sym_RBRACK] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_SEMI] = ACTIONS(12220),
    [anon_sym_LBRACE] = ACTIONS(12220),
    [anon_sym_RBRACE] = ACTIONS(12220),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12220),
    [anon_sym_COLON_COLON] = ACTIONS(12220),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12220),
    [anon_sym_QMARK] = ACTIONS(12220),
    [anon_sym_AT] = ACTIONS(12220),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12220),
    [aux_sym_integer_literal_token2] = ACTIONS(12220),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12220),
    [aux_sym_float_literal_token3] = ACTIONS(12220),
    [aux_sym_float_literal_token4] = ACTIONS(12220),
    [sym_character_literal] = ACTIONS(12220),
    [sym__pair_operator] = ACTIONS(12220),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12220),
    [sym__lazy_and_operator] = ACTIONS(12220),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12220),
    [sym__pipe_left_operator] = ACTIONS(12220),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12220),
    [sym__bitshift_operator] = ACTIONS(12220),
    [sym__power_operator] = ACTIONS(12220),
    [sym__tilde_operator] = ACTIONS(12220),
    [sym__type_order_operator] = ACTIONS(12220),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6159] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12228),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12228),
    [anon_sym_RPAREN] = ACTIONS(12228),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12228),
    [anon_sym_RBRACK] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_SEMI] = ACTIONS(12228),
    [anon_sym_LBRACE] = ACTIONS(12228),
    [anon_sym_RBRACE] = ACTIONS(12228),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12228),
    [anon_sym_COLON_COLON] = ACTIONS(12228),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12228),
    [anon_sym_QMARK] = ACTIONS(12228),
    [anon_sym_AT] = ACTIONS(12228),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12228),
    [aux_sym_integer_literal_token2] = ACTIONS(12228),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12228),
    [aux_sym_float_literal_token3] = ACTIONS(12228),
    [aux_sym_float_literal_token4] = ACTIONS(12228),
    [sym_character_literal] = ACTIONS(12228),
    [sym__pair_operator] = ACTIONS(12228),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12228),
    [sym__lazy_and_operator] = ACTIONS(12228),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12228),
    [sym__pipe_left_operator] = ACTIONS(12228),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12228),
    [sym__bitshift_operator] = ACTIONS(12228),
    [sym__power_operator] = ACTIONS(12228),
    [sym__tilde_operator] = ACTIONS(12228),
    [sym__type_order_operator] = ACTIONS(12228),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6160] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12022),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12022),
    [anon_sym_RPAREN] = ACTIONS(12022),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12022),
    [anon_sym_RBRACK] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12022),
    [anon_sym_LBRACE] = ACTIONS(12022),
    [anon_sym_RBRACE] = ACTIONS(12022),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12022),
    [anon_sym_COLON_COLON] = ACTIONS(12022),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12022),
    [anon_sym_QMARK] = ACTIONS(12022),
    [anon_sym_AT] = ACTIONS(12022),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12022),
    [aux_sym_integer_literal_token2] = ACTIONS(12022),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12022),
    [aux_sym_float_literal_token3] = ACTIONS(12022),
    [aux_sym_float_literal_token4] = ACTIONS(12022),
    [sym_character_literal] = ACTIONS(12022),
    [sym__pair_operator] = ACTIONS(12022),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12022),
    [sym__lazy_and_operator] = ACTIONS(12022),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12022),
    [sym__pipe_left_operator] = ACTIONS(12022),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12022),
    [sym__bitshift_operator] = ACTIONS(12022),
    [sym__power_operator] = ACTIONS(12022),
    [sym__tilde_operator] = ACTIONS(12022),
    [sym__type_order_operator] = ACTIONS(12022),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6161] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_DASH_GT] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6162] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12232),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12232),
    [anon_sym_RPAREN] = ACTIONS(12232),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12232),
    [anon_sym_RBRACK] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_SEMI] = ACTIONS(12232),
    [anon_sym_LBRACE] = ACTIONS(12232),
    [anon_sym_RBRACE] = ACTIONS(12232),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12232),
    [anon_sym_COLON_COLON] = ACTIONS(12232),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12232),
    [anon_sym_QMARK] = ACTIONS(12232),
    [anon_sym_AT] = ACTIONS(12232),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12232),
    [aux_sym_integer_literal_token2] = ACTIONS(12232),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12232),
    [aux_sym_float_literal_token3] = ACTIONS(12232),
    [aux_sym_float_literal_token4] = ACTIONS(12232),
    [sym_character_literal] = ACTIONS(12232),
    [sym__pair_operator] = ACTIONS(12232),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12232),
    [sym__lazy_and_operator] = ACTIONS(12232),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12232),
    [sym__pipe_left_operator] = ACTIONS(12232),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12232),
    [sym__bitshift_operator] = ACTIONS(12232),
    [sym__power_operator] = ACTIONS(12232),
    [sym__tilde_operator] = ACTIONS(12232),
    [sym__type_order_operator] = ACTIONS(12232),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6163] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12236),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12236),
    [anon_sym_RPAREN] = ACTIONS(12236),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12236),
    [anon_sym_RBRACK] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_SEMI] = ACTIONS(12236),
    [anon_sym_LBRACE] = ACTIONS(12236),
    [anon_sym_RBRACE] = ACTIONS(12236),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12236),
    [anon_sym_COLON_COLON] = ACTIONS(12236),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12236),
    [anon_sym_QMARK] = ACTIONS(12236),
    [anon_sym_AT] = ACTIONS(12236),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12236),
    [aux_sym_integer_literal_token2] = ACTIONS(12236),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12236),
    [aux_sym_float_literal_token3] = ACTIONS(12236),
    [aux_sym_float_literal_token4] = ACTIONS(12236),
    [sym_character_literal] = ACTIONS(12236),
    [sym__pair_operator] = ACTIONS(12236),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12236),
    [sym__lazy_and_operator] = ACTIONS(12236),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12236),
    [sym__pipe_left_operator] = ACTIONS(12236),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12236),
    [sym__bitshift_operator] = ACTIONS(12236),
    [sym__power_operator] = ACTIONS(12236),
    [sym__tilde_operator] = ACTIONS(12236),
    [sym__type_order_operator] = ACTIONS(12236),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6164] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_DASH_GT] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [6165] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12256),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12256),
    [anon_sym_RPAREN] = ACTIONS(12256),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12256),
    [anon_sym_RBRACK] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_SEMI] = ACTIONS(12256),
    [anon_sym_LBRACE] = ACTIONS(12256),
    [anon_sym_RBRACE] = ACTIONS(12256),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12256),
    [anon_sym_COLON_COLON] = ACTIONS(12256),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12256),
    [anon_sym_QMARK] = ACTIONS(12256),
    [anon_sym_AT] = ACTIONS(12256),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12256),
    [aux_sym_integer_literal_token2] = ACTIONS(12256),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12256),
    [aux_sym_float_literal_token3] = ACTIONS(12256),
    [aux_sym_float_literal_token4] = ACTIONS(12256),
    [sym_character_literal] = ACTIONS(12256),
    [sym__pair_operator] = ACTIONS(12256),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12256),
    [sym__lazy_and_operator] = ACTIONS(12256),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12256),
    [sym__pipe_left_operator] = ACTIONS(12256),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12256),
    [sym__bitshift_operator] = ACTIONS(12256),
    [sym__power_operator] = ACTIONS(12256),
    [sym__tilde_operator] = ACTIONS(12256),
    [sym__type_order_operator] = ACTIONS(12256),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6166] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12260),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12260),
    [anon_sym_RPAREN] = ACTIONS(12260),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12260),
    [anon_sym_RBRACK] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_SEMI] = ACTIONS(12260),
    [anon_sym_LBRACE] = ACTIONS(12260),
    [anon_sym_RBRACE] = ACTIONS(12260),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12260),
    [anon_sym_COLON_COLON] = ACTIONS(12260),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12260),
    [anon_sym_QMARK] = ACTIONS(12260),
    [anon_sym_AT] = ACTIONS(12260),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12260),
    [aux_sym_integer_literal_token2] = ACTIONS(12260),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12260),
    [aux_sym_float_literal_token3] = ACTIONS(12260),
    [aux_sym_float_literal_token4] = ACTIONS(12260),
    [sym_character_literal] = ACTIONS(12260),
    [sym__pair_operator] = ACTIONS(12260),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12260),
    [sym__lazy_and_operator] = ACTIONS(12260),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12260),
    [sym__pipe_left_operator] = ACTIONS(12260),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12260),
    [sym__bitshift_operator] = ACTIONS(12260),
    [sym__power_operator] = ACTIONS(12260),
    [sym__tilde_operator] = ACTIONS(12260),
    [sym__type_order_operator] = ACTIONS(12260),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6167] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12264),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12264),
    [anon_sym_RPAREN] = ACTIONS(12264),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12264),
    [anon_sym_RBRACK] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_SEMI] = ACTIONS(12264),
    [anon_sym_LBRACE] = ACTIONS(12264),
    [anon_sym_RBRACE] = ACTIONS(12264),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12264),
    [anon_sym_COLON_COLON] = ACTIONS(12264),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12264),
    [anon_sym_QMARK] = ACTIONS(12264),
    [anon_sym_AT] = ACTIONS(12264),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12264),
    [aux_sym_integer_literal_token2] = ACTIONS(12264),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12264),
    [aux_sym_float_literal_token3] = ACTIONS(12264),
    [aux_sym_float_literal_token4] = ACTIONS(12264),
    [sym_character_literal] = ACTIONS(12264),
    [sym__pair_operator] = ACTIONS(12264),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12264),
    [sym__lazy_and_operator] = ACTIONS(12264),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12264),
    [sym__pipe_left_operator] = ACTIONS(12264),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12264),
    [sym__bitshift_operator] = ACTIONS(12264),
    [sym__power_operator] = ACTIONS(12264),
    [sym__tilde_operator] = ACTIONS(12264),
    [sym__type_order_operator] = ACTIONS(12264),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6168] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12028),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12028),
    [anon_sym_RPAREN] = ACTIONS(12028),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12028),
    [anon_sym_RBRACK] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12028),
    [anon_sym_LBRACE] = ACTIONS(12028),
    [anon_sym_RBRACE] = ACTIONS(12028),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12028),
    [anon_sym_COLON_COLON] = ACTIONS(12028),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12028),
    [anon_sym_QMARK] = ACTIONS(12028),
    [anon_sym_AT] = ACTIONS(12028),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12028),
    [aux_sym_integer_literal_token2] = ACTIONS(12028),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12028),
    [aux_sym_float_literal_token3] = ACTIONS(12028),
    [aux_sym_float_literal_token4] = ACTIONS(12028),
    [sym_character_literal] = ACTIONS(12028),
    [sym__pair_operator] = ACTIONS(12028),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12028),
    [sym__lazy_and_operator] = ACTIONS(12028),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12028),
    [sym__pipe_left_operator] = ACTIONS(12028),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12028),
    [sym__bitshift_operator] = ACTIONS(12028),
    [sym__power_operator] = ACTIONS(12028),
    [sym__tilde_operator] = ACTIONS(12028),
    [sym__type_order_operator] = ACTIONS(12028),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6169] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12110),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12110),
    [anon_sym_RPAREN] = ACTIONS(12110),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12110),
    [anon_sym_RBRACK] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12110),
    [anon_sym_LBRACE] = ACTIONS(12110),
    [anon_sym_RBRACE] = ACTIONS(12110),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12110),
    [anon_sym_COLON_COLON] = ACTIONS(12110),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12110),
    [anon_sym_QMARK] = ACTIONS(12110),
    [anon_sym_AT] = ACTIONS(12110),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12110),
    [aux_sym_integer_literal_token2] = ACTIONS(12110),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12110),
    [aux_sym_float_literal_token3] = ACTIONS(12110),
    [aux_sym_float_literal_token4] = ACTIONS(12110),
    [sym_character_literal] = ACTIONS(12110),
    [sym__pair_operator] = ACTIONS(12110),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12110),
    [sym__lazy_and_operator] = ACTIONS(12110),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12110),
    [sym__pipe_left_operator] = ACTIONS(12110),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12110),
    [sym__bitshift_operator] = ACTIONS(12110),
    [sym__power_operator] = ACTIONS(12110),
    [sym__tilde_operator] = ACTIONS(12110),
    [sym__type_order_operator] = ACTIONS(12110),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6170] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [6171] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [6172] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_DASH_GT] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [6173] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_finally] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [6174] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_DASH_GT] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [6175] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12290),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12290),
    [anon_sym_RPAREN] = ACTIONS(12290),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12290),
    [anon_sym_RBRACK] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_SEMI] = ACTIONS(12290),
    [anon_sym_LBRACE] = ACTIONS(12290),
    [anon_sym_RBRACE] = ACTIONS(12290),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12290),
    [anon_sym_COLON_COLON] = ACTIONS(12290),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12290),
    [anon_sym_QMARK] = ACTIONS(12290),
    [anon_sym_AT] = ACTIONS(12290),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12290),
    [aux_sym_integer_literal_token2] = ACTIONS(12290),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12290),
    [aux_sym_float_literal_token3] = ACTIONS(12290),
    [aux_sym_float_literal_token4] = ACTIONS(12290),
    [sym_character_literal] = ACTIONS(12290),
    [sym__pair_operator] = ACTIONS(12290),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12290),
    [sym__lazy_and_operator] = ACTIONS(12290),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12290),
    [sym__pipe_left_operator] = ACTIONS(12290),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12290),
    [sym__bitshift_operator] = ACTIONS(12290),
    [sym__power_operator] = ACTIONS(12290),
    [sym__tilde_operator] = ACTIONS(12290),
    [sym__type_order_operator] = ACTIONS(12290),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6176] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12298),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12298),
    [anon_sym_RPAREN] = ACTIONS(12298),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12298),
    [anon_sym_RBRACK] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_SEMI] = ACTIONS(12298),
    [anon_sym_LBRACE] = ACTIONS(12298),
    [anon_sym_RBRACE] = ACTIONS(12298),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12298),
    [anon_sym_COLON_COLON] = ACTIONS(12298),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12298),
    [anon_sym_QMARK] = ACTIONS(12298),
    [anon_sym_AT] = ACTIONS(12298),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12298),
    [aux_sym_integer_literal_token2] = ACTIONS(12298),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12298),
    [aux_sym_float_literal_token3] = ACTIONS(12298),
    [aux_sym_float_literal_token4] = ACTIONS(12298),
    [sym_character_literal] = ACTIONS(12298),
    [sym__pair_operator] = ACTIONS(12298),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12298),
    [sym__lazy_and_operator] = ACTIONS(12298),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12298),
    [sym__pipe_left_operator] = ACTIONS(12298),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12298),
    [sym__bitshift_operator] = ACTIONS(12298),
    [sym__power_operator] = ACTIONS(12298),
    [sym__tilde_operator] = ACTIONS(12298),
    [sym__type_order_operator] = ACTIONS(12298),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6177] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6178] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_DASH_GT] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6179] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12302),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12302),
    [anon_sym_RPAREN] = ACTIONS(12302),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12302),
    [anon_sym_RBRACK] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_SEMI] = ACTIONS(12302),
    [anon_sym_LBRACE] = ACTIONS(12302),
    [anon_sym_RBRACE] = ACTIONS(12302),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12302),
    [anon_sym_COLON_COLON] = ACTIONS(12302),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12302),
    [anon_sym_QMARK] = ACTIONS(12302),
    [anon_sym_AT] = ACTIONS(12302),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12302),
    [aux_sym_integer_literal_token2] = ACTIONS(12302),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12302),
    [aux_sym_float_literal_token3] = ACTIONS(12302),
    [aux_sym_float_literal_token4] = ACTIONS(12302),
    [sym_character_literal] = ACTIONS(12302),
    [sym__pair_operator] = ACTIONS(12302),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12302),
    [sym__lazy_and_operator] = ACTIONS(12302),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12302),
    [sym__pipe_left_operator] = ACTIONS(12302),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12302),
    [sym__bitshift_operator] = ACTIONS(12302),
    [sym__power_operator] = ACTIONS(12302),
    [sym__tilde_operator] = ACTIONS(12302),
    [sym__type_order_operator] = ACTIONS(12302),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6180] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_DASH_GT] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6181] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_DASH_GT] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6182] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12138),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12138),
    [anon_sym_RPAREN] = ACTIONS(12138),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12138),
    [anon_sym_RBRACK] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_SEMI] = ACTIONS(12138),
    [anon_sym_LBRACE] = ACTIONS(12138),
    [anon_sym_RBRACE] = ACTIONS(12138),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12138),
    [anon_sym_COLON_COLON] = ACTIONS(12138),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12138),
    [anon_sym_QMARK] = ACTIONS(12138),
    [anon_sym_AT] = ACTIONS(12138),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12138),
    [aux_sym_integer_literal_token2] = ACTIONS(12138),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12138),
    [aux_sym_float_literal_token3] = ACTIONS(12138),
    [aux_sym_float_literal_token4] = ACTIONS(12138),
    [sym_character_literal] = ACTIONS(12138),
    [sym__pair_operator] = ACTIONS(12138),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12138),
    [sym__lazy_and_operator] = ACTIONS(12138),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12138),
    [sym__pipe_left_operator] = ACTIONS(12138),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12138),
    [sym__bitshift_operator] = ACTIONS(12138),
    [sym__power_operator] = ACTIONS(12138),
    [sym__tilde_operator] = ACTIONS(12138),
    [sym__type_order_operator] = ACTIONS(12138),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6183] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12154),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12154),
    [anon_sym_RPAREN] = ACTIONS(12154),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12154),
    [anon_sym_RBRACK] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_SEMI] = ACTIONS(12154),
    [anon_sym_LBRACE] = ACTIONS(12154),
    [anon_sym_RBRACE] = ACTIONS(12154),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12154),
    [anon_sym_COLON_COLON] = ACTIONS(12154),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12154),
    [anon_sym_QMARK] = ACTIONS(12154),
    [anon_sym_AT] = ACTIONS(12154),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12154),
    [aux_sym_integer_literal_token2] = ACTIONS(12154),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12154),
    [aux_sym_float_literal_token3] = ACTIONS(12154),
    [aux_sym_float_literal_token4] = ACTIONS(12154),
    [sym_character_literal] = ACTIONS(12154),
    [sym__pair_operator] = ACTIONS(12154),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12154),
    [sym__lazy_and_operator] = ACTIONS(12154),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12154),
    [sym__pipe_left_operator] = ACTIONS(12154),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12154),
    [sym__bitshift_operator] = ACTIONS(12154),
    [sym__power_operator] = ACTIONS(12154),
    [sym__tilde_operator] = ACTIONS(12154),
    [sym__type_order_operator] = ACTIONS(12154),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [6184] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_DASH_GT] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6185] = {
    [sym__word_identifier] = ACTIONS(12370),
    [anon_sym_EQ] = ACTIONS(12440),
    [anon_sym_COMMA] = ACTIONS(12440),
    [anon_sym_COLON] = ACTIONS(12370),
    [anon_sym_begin] = ACTIONS(12370),
    [anon_sym_module] = ACTIONS(12370),
    [anon_sym_baremodule] = ACTIONS(12370),
    [anon_sym_end] = ACTIONS(12370),
    [anon_sym_abstract] = ACTIONS(12370),
    [anon_sym_primitive] = ACTIONS(12370),
    [anon_sym_mutable] = ACTIONS(12370),
    [anon_sym_struct] = ACTIONS(12370),
    [anon_sym_function] = ACTIONS(12370),
    [anon_sym_macro] = ACTIONS(12370),
    [anon_sym_where] = ACTIONS(12370),
    [anon_sym_quote] = ACTIONS(12370),
    [anon_sym_let] = ACTIONS(12370),
    [anon_sym_if] = ACTIONS(12370),
    [anon_sym_try] = ACTIONS(12370),
    [anon_sym_for] = ACTIONS(12370),
    [anon_sym_while] = ACTIONS(12370),
    [sym_break_statement] = ACTIONS(12370),
    [sym_continue_statement] = ACTIONS(12370),
    [anon_sym_return] = ACTIONS(12370),
    [anon_sym_const] = ACTIONS(12370),
    [anon_sym_global] = ACTIONS(12370),
    [anon_sym_local] = ACTIONS(12370),
    [anon_sym_LPAREN] = ACTIONS(12370),
    [anon_sym_COLON2] = ACTIONS(12370),
    [anon_sym_export] = ACTIONS(12370),
    [anon_sym_import] = ACTIONS(12370),
    [anon_sym_using] = ACTIONS(12370),
    [anon_sym_LBRACK] = ACTIONS(12370),
    [anon_sym_LF] = ACTIONS(12372),
    [anon_sym_in] = ACTIONS(12370),
    [anon_sym_LBRACE] = ACTIONS(12370),
    [anon_sym_SQUOTE] = ACTIONS(12690),
    [anon_sym_DOT] = ACTIONS(12692),
    [anon_sym_DOLLAR] = ACTIONS(12370),
    [anon_sym_COLON_COLON] = ACTIONS(12370),
    [anon_sym_isa] = ACTIONS(12370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12370),
    [anon_sym_QMARK] = ACTIONS(12370),
    [anon_sym_DASH_GT] = ACTIONS(12370),
    [anon_sym_AT] = ACTIONS(12370),
    [anon_sym_true] = ACTIONS(12370),
    [anon_sym_false] = ACTIONS(12370),
    [aux_sym_integer_literal_token1] = ACTIONS(12370),
    [aux_sym_integer_literal_token2] = ACTIONS(12370),
    [aux_sym_integer_literal_token3] = ACTIONS(12370),
    [aux_sym_integer_literal_token4] = ACTIONS(12370),
    [aux_sym_float_literal_token1] = ACTIONS(12370),
    [aux_sym_float_literal_token3] = ACTIONS(12370),
    [aux_sym_float_literal_token4] = ACTIONS(12370),
    [sym_character_literal] = ACTIONS(12370),
    [sym__pair_operator] = ACTIONS(12370),
    [sym__arrow_operator] = ACTIONS(12370),
    [sym__lazy_or_operator] = ACTIONS(12370),
    [sym__lazy_and_operator] = ACTIONS(12370),
    [sym__comparison_operator] = ACTIONS(12370),
    [sym__pipe_right_operator] = ACTIONS(12370),
    [sym__pipe_left_operator] = ACTIONS(12370),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12370),
    [sym__times_operator] = ACTIONS(12370),
    [sym__rational_operator] = ACTIONS(12370),
    [sym__bitshift_operator] = ACTIONS(12370),
    [sym__power_operator] = ACTIONS(12370),
    [sym__tilde_operator] = ACTIONS(12370),
    [sym__type_order_operator] = ACTIONS(12370),
    [sym__unary_operator] = ACTIONS(12370),
    [sym__unary_plus_operator] = ACTIONS(12370),
    [aux_sym__terminator_token1] = ACTIONS(12370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12694),
    [sym__immediate_bracket] = ACTIONS(12696),
    [sym__immediate_brace] = ACTIONS(12698),
    [sym__string_start] = ACTIONS(12372),
    [sym__command_start] = ACTIONS(12372),
  },
  [6186] = {
    [ts_builtin_sym_end] = ACTIONS(11928),
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_RBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12700),
    [sym__immediate_command_start] = ACTIONS(12702),
  },
  [6187] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12160),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12160),
    [anon_sym_RPAREN] = ACTIONS(12160),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12160),
    [anon_sym_RBRACK] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_SEMI] = ACTIONS(12160),
    [anon_sym_LBRACE] = ACTIONS(12160),
    [anon_sym_RBRACE] = ACTIONS(12160),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12160),
    [anon_sym_COLON_COLON] = ACTIONS(12160),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12160),
    [anon_sym_QMARK] = ACTIONS(12160),
    [anon_sym_AT] = ACTIONS(12160),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12160),
    [aux_sym_integer_literal_token2] = ACTIONS(12160),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12160),
    [aux_sym_float_literal_token3] = ACTIONS(12160),
    [aux_sym_float_literal_token4] = ACTIONS(12160),
    [sym_character_literal] = ACTIONS(12160),
    [sym__pair_operator] = ACTIONS(12160),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12160),
    [sym__lazy_and_operator] = ACTIONS(12160),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12160),
    [sym__pipe_left_operator] = ACTIONS(12160),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12160),
    [sym__bitshift_operator] = ACTIONS(12160),
    [sym__power_operator] = ACTIONS(12160),
    [sym__tilde_operator] = ACTIONS(12160),
    [sym__type_order_operator] = ACTIONS(12160),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6188] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_DASH_GT] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6189] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12244),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12244),
    [anon_sym_RPAREN] = ACTIONS(12244),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12244),
    [anon_sym_RBRACK] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_SEMI] = ACTIONS(12244),
    [anon_sym_LBRACE] = ACTIONS(12244),
    [anon_sym_RBRACE] = ACTIONS(12244),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12244),
    [anon_sym_COLON_COLON] = ACTIONS(12244),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12244),
    [anon_sym_QMARK] = ACTIONS(12244),
    [anon_sym_AT] = ACTIONS(12244),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12244),
    [aux_sym_integer_literal_token2] = ACTIONS(12244),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12244),
    [aux_sym_float_literal_token3] = ACTIONS(12244),
    [aux_sym_float_literal_token4] = ACTIONS(12244),
    [sym_character_literal] = ACTIONS(12244),
    [sym__pair_operator] = ACTIONS(12244),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12244),
    [sym__lazy_and_operator] = ACTIONS(12244),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12244),
    [sym__pipe_left_operator] = ACTIONS(12244),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12244),
    [sym__bitshift_operator] = ACTIONS(12244),
    [sym__power_operator] = ACTIONS(12244),
    [sym__tilde_operator] = ACTIONS(12244),
    [sym__type_order_operator] = ACTIONS(12244),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6190] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_DASH_GT] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6191] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_DASH_GT] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6192] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12248),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12248),
    [anon_sym_RPAREN] = ACTIONS(12248),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12248),
    [anon_sym_RBRACK] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_SEMI] = ACTIONS(12248),
    [anon_sym_LBRACE] = ACTIONS(12248),
    [anon_sym_RBRACE] = ACTIONS(12248),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12248),
    [anon_sym_COLON_COLON] = ACTIONS(12248),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12248),
    [anon_sym_QMARK] = ACTIONS(12248),
    [anon_sym_AT] = ACTIONS(12248),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12248),
    [aux_sym_integer_literal_token2] = ACTIONS(12248),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12248),
    [aux_sym_float_literal_token3] = ACTIONS(12248),
    [aux_sym_float_literal_token4] = ACTIONS(12248),
    [sym_character_literal] = ACTIONS(12248),
    [sym__pair_operator] = ACTIONS(12248),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12248),
    [sym__lazy_and_operator] = ACTIONS(12248),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12248),
    [sym__pipe_left_operator] = ACTIONS(12248),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12248),
    [sym__bitshift_operator] = ACTIONS(12248),
    [sym__power_operator] = ACTIONS(12248),
    [sym__tilde_operator] = ACTIONS(12248),
    [sym__type_order_operator] = ACTIONS(12248),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6193] = {
    [ts_builtin_sym_end] = ACTIONS(12704),
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_RPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_RBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12704),
    [sym__immediate_bracket] = ACTIONS(12704),
    [sym__immediate_brace] = ACTIONS(12704),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6194] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_DASH_GT] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6195] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_DASH_GT] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6196] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_DASH_GT] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [6197] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6198] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__assignment_operator] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6199] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_finally] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [6200] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_finally] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [6201] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [6202] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6203] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6204] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [6205] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__assignment_operator] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6206] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_RPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_SEMI] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_DASH_GT] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [6207] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12330),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12330),
    [anon_sym_RPAREN] = ACTIONS(12330),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12330),
    [anon_sym_RBRACK] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12330),
    [anon_sym_RBRACE] = ACTIONS(12330),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12330),
    [anon_sym_COLON_COLON] = ACTIONS(12330),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12330),
    [anon_sym_QMARK] = ACTIONS(12330),
    [anon_sym_AT] = ACTIONS(12330),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12330),
    [aux_sym_integer_literal_token2] = ACTIONS(12330),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12330),
    [aux_sym_float_literal_token3] = ACTIONS(12330),
    [aux_sym_float_literal_token4] = ACTIONS(12330),
    [sym_character_literal] = ACTIONS(12330),
    [sym__pair_operator] = ACTIONS(12330),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12330),
    [sym__lazy_and_operator] = ACTIONS(12330),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12330),
    [sym__pipe_left_operator] = ACTIONS(12330),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12330),
    [sym__bitshift_operator] = ACTIONS(12330),
    [sym__power_operator] = ACTIONS(12330),
    [sym__tilde_operator] = ACTIONS(12330),
    [sym__type_order_operator] = ACTIONS(12330),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [6208] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12320),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12320),
    [anon_sym_RPAREN] = ACTIONS(12320),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12320),
    [anon_sym_RBRACK] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_SEMI] = ACTIONS(12320),
    [anon_sym_LBRACE] = ACTIONS(12320),
    [anon_sym_RBRACE] = ACTIONS(12320),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12320),
    [anon_sym_COLON_COLON] = ACTIONS(12320),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12320),
    [anon_sym_QMARK] = ACTIONS(12320),
    [anon_sym_AT] = ACTIONS(12320),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12320),
    [aux_sym_integer_literal_token2] = ACTIONS(12320),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12320),
    [aux_sym_float_literal_token3] = ACTIONS(12320),
    [aux_sym_float_literal_token4] = ACTIONS(12320),
    [sym_character_literal] = ACTIONS(12320),
    [sym__pair_operator] = ACTIONS(12320),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12320),
    [sym__lazy_and_operator] = ACTIONS(12320),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12320),
    [sym__pipe_left_operator] = ACTIONS(12320),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12320),
    [sym__bitshift_operator] = ACTIONS(12320),
    [sym__power_operator] = ACTIONS(12320),
    [sym__tilde_operator] = ACTIONS(12320),
    [sym__type_order_operator] = ACTIONS(12320),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [6209] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6210] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11882),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11882),
    [anon_sym_RPAREN] = ACTIONS(11882),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11882),
    [anon_sym_RBRACK] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11882),
    [anon_sym_LBRACE] = ACTIONS(11882),
    [anon_sym_RBRACE] = ACTIONS(11882),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11882),
    [anon_sym_COLON_COLON] = ACTIONS(11882),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11882),
    [anon_sym_QMARK] = ACTIONS(11882),
    [anon_sym_AT] = ACTIONS(11882),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11882),
    [aux_sym_integer_literal_token2] = ACTIONS(11882),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11882),
    [aux_sym_float_literal_token3] = ACTIONS(11882),
    [aux_sym_float_literal_token4] = ACTIONS(11882),
    [sym_character_literal] = ACTIONS(11882),
    [sym__pair_operator] = ACTIONS(11882),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11882),
    [sym__lazy_and_operator] = ACTIONS(11882),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11882),
    [sym__pipe_left_operator] = ACTIONS(11882),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11882),
    [sym__bitshift_operator] = ACTIONS(11882),
    [sym__power_operator] = ACTIONS(11882),
    [sym__tilde_operator] = ACTIONS(11882),
    [sym__type_order_operator] = ACTIONS(11882),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [6211] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6212] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_DASH_GT] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6213] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_DASH_GT] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6214] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_DASH_GT] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6215] = {
    [sym_identifier] = STATE(6576),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_RPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_SEMI] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6216] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11934),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11934),
    [anon_sym_RPAREN] = ACTIONS(11934),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11934),
    [anon_sym_RBRACK] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11934),
    [anon_sym_LBRACE] = ACTIONS(11934),
    [anon_sym_RBRACE] = ACTIONS(11934),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11934),
    [anon_sym_COLON_COLON] = ACTIONS(11934),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11934),
    [anon_sym_QMARK] = ACTIONS(11934),
    [anon_sym_AT] = ACTIONS(11934),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11934),
    [aux_sym_integer_literal_token2] = ACTIONS(11934),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11934),
    [aux_sym_float_literal_token3] = ACTIONS(11934),
    [aux_sym_float_literal_token4] = ACTIONS(11934),
    [sym_character_literal] = ACTIONS(11934),
    [sym__pair_operator] = ACTIONS(11934),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11934),
    [sym__lazy_and_operator] = ACTIONS(11934),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11934),
    [sym__pipe_left_operator] = ACTIONS(11934),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11934),
    [sym__bitshift_operator] = ACTIONS(11934),
    [sym__power_operator] = ACTIONS(11934),
    [sym__tilde_operator] = ACTIONS(11934),
    [sym__type_order_operator] = ACTIONS(11934),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [6217] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_elseif] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12708),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6218] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__assignment_operator] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6219] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_finally] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [6220] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__assignment_operator] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6221] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_finally] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [6222] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_DASH_GT] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6223] = {
    [sym_identifier] = STATE(6530),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6224] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_DASH_GT] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6225] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__assignment_operator] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6226] = {
    [sym_identifier] = STATE(6529),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6227] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6228] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12340),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12340),
    [anon_sym_RPAREN] = ACTIONS(12340),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12340),
    [anon_sym_RBRACK] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_SEMI] = ACTIONS(12340),
    [anon_sym_LBRACE] = ACTIONS(12340),
    [anon_sym_RBRACE] = ACTIONS(12340),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12340),
    [anon_sym_COLON_COLON] = ACTIONS(12340),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12340),
    [anon_sym_QMARK] = ACTIONS(12340),
    [anon_sym_AT] = ACTIONS(12340),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12340),
    [aux_sym_integer_literal_token2] = ACTIONS(12340),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12340),
    [aux_sym_float_literal_token3] = ACTIONS(12340),
    [aux_sym_float_literal_token4] = ACTIONS(12340),
    [sym_character_literal] = ACTIONS(12340),
    [sym__pair_operator] = ACTIONS(12340),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12340),
    [sym__lazy_and_operator] = ACTIONS(12340),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12340),
    [sym__pipe_left_operator] = ACTIONS(12340),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12340),
    [sym__bitshift_operator] = ACTIONS(12340),
    [sym__power_operator] = ACTIONS(12340),
    [sym__tilde_operator] = ACTIONS(12340),
    [sym__type_order_operator] = ACTIONS(12340),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [6229] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6230] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_DASH_GT] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6231] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__assignment_operator] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6232] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_DASH_GT] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6233] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_DASH_GT] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6234] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_DASH_GT] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6235] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_DASH_GT] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [6236] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__assignment_operator] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6237] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_finally] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [6238] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12344),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12344),
    [anon_sym_RPAREN] = ACTIONS(12344),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12344),
    [anon_sym_RBRACK] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_SEMI] = ACTIONS(12344),
    [anon_sym_LBRACE] = ACTIONS(12344),
    [anon_sym_RBRACE] = ACTIONS(12344),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12344),
    [anon_sym_COLON_COLON] = ACTIONS(12344),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12344),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_AT] = ACTIONS(12344),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12344),
    [aux_sym_integer_literal_token2] = ACTIONS(12344),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12344),
    [aux_sym_float_literal_token3] = ACTIONS(12344),
    [aux_sym_float_literal_token4] = ACTIONS(12344),
    [sym_character_literal] = ACTIONS(12344),
    [sym__pair_operator] = ACTIONS(12344),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12344),
    [sym__lazy_and_operator] = ACTIONS(12344),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12344),
    [sym__pipe_left_operator] = ACTIONS(12344),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12344),
    [sym__bitshift_operator] = ACTIONS(12344),
    [sym__power_operator] = ACTIONS(12344),
    [sym__tilde_operator] = ACTIONS(12344),
    [sym__type_order_operator] = ACTIONS(12344),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6239] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [6240] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_DASH_GT] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6241] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_DASH_GT] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6242] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11972),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11972),
    [anon_sym_RPAREN] = ACTIONS(11972),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11972),
    [anon_sym_RBRACK] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11972),
    [anon_sym_RBRACE] = ACTIONS(11972),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11972),
    [anon_sym_COLON_COLON] = ACTIONS(11972),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11972),
    [anon_sym_QMARK] = ACTIONS(11972),
    [anon_sym_AT] = ACTIONS(11972),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11972),
    [aux_sym_integer_literal_token2] = ACTIONS(11972),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11972),
    [aux_sym_float_literal_token3] = ACTIONS(11972),
    [aux_sym_float_literal_token4] = ACTIONS(11972),
    [sym_character_literal] = ACTIONS(11972),
    [sym__pair_operator] = ACTIONS(11972),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11972),
    [sym__lazy_and_operator] = ACTIONS(11972),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11972),
    [sym__pipe_left_operator] = ACTIONS(11972),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11972),
    [sym__bitshift_operator] = ACTIONS(11972),
    [sym__power_operator] = ACTIONS(11972),
    [sym__tilde_operator] = ACTIONS(11972),
    [sym__type_order_operator] = ACTIONS(11972),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6243] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12090),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12090),
    [anon_sym_RPAREN] = ACTIONS(12090),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12090),
    [anon_sym_RBRACK] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12090),
    [anon_sym_LBRACE] = ACTIONS(12090),
    [anon_sym_RBRACE] = ACTIONS(12090),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12090),
    [anon_sym_COLON_COLON] = ACTIONS(12090),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12090),
    [anon_sym_QMARK] = ACTIONS(12090),
    [anon_sym_AT] = ACTIONS(12090),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12090),
    [aux_sym_integer_literal_token2] = ACTIONS(12090),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12090),
    [aux_sym_float_literal_token3] = ACTIONS(12090),
    [aux_sym_float_literal_token4] = ACTIONS(12090),
    [sym_character_literal] = ACTIONS(12090),
    [sym__pair_operator] = ACTIONS(12090),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12090),
    [sym__lazy_and_operator] = ACTIONS(12090),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12090),
    [sym__pipe_left_operator] = ACTIONS(12090),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12090),
    [sym__bitshift_operator] = ACTIONS(12090),
    [sym__power_operator] = ACTIONS(12090),
    [sym__tilde_operator] = ACTIONS(12090),
    [sym__type_order_operator] = ACTIONS(12090),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6244] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_DASH_GT] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6245] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_DASH_GT] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6246] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_DASH_GT] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6247] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_finally] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [6248] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_finally] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [6249] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__assignment_operator] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6250] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_DASH_GT] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6251] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_finally] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [6252] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12150),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12150),
    [anon_sym_RPAREN] = ACTIONS(12150),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12150),
    [anon_sym_RBRACK] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_SEMI] = ACTIONS(12150),
    [anon_sym_LBRACE] = ACTIONS(12150),
    [anon_sym_RBRACE] = ACTIONS(12150),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12150),
    [anon_sym_COLON_COLON] = ACTIONS(12150),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12150),
    [anon_sym_QMARK] = ACTIONS(12150),
    [anon_sym_AT] = ACTIONS(12150),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12150),
    [aux_sym_integer_literal_token2] = ACTIONS(12150),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12150),
    [aux_sym_float_literal_token3] = ACTIONS(12150),
    [aux_sym_float_literal_token4] = ACTIONS(12150),
    [sym_character_literal] = ACTIONS(12150),
    [sym__pair_operator] = ACTIONS(12150),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12150),
    [sym__lazy_and_operator] = ACTIONS(12150),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12150),
    [sym__pipe_left_operator] = ACTIONS(12150),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12150),
    [sym__bitshift_operator] = ACTIONS(12150),
    [sym__power_operator] = ACTIONS(12150),
    [sym__tilde_operator] = ACTIONS(12150),
    [sym__type_order_operator] = ACTIONS(12150),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [6253] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11894),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11894),
    [anon_sym_RPAREN] = ACTIONS(11894),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11894),
    [anon_sym_RBRACK] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11894),
    [anon_sym_RBRACE] = ACTIONS(11894),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11894),
    [anon_sym_COLON_COLON] = ACTIONS(11894),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11894),
    [anon_sym_QMARK] = ACTIONS(11894),
    [anon_sym_AT] = ACTIONS(11894),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11894),
    [aux_sym_integer_literal_token2] = ACTIONS(11894),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11894),
    [aux_sym_float_literal_token3] = ACTIONS(11894),
    [aux_sym_float_literal_token4] = ACTIONS(11894),
    [sym_character_literal] = ACTIONS(11894),
    [sym__pair_operator] = ACTIONS(11894),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11894),
    [sym__lazy_and_operator] = ACTIONS(11894),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11894),
    [sym__pipe_left_operator] = ACTIONS(11894),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11894),
    [sym__bitshift_operator] = ACTIONS(11894),
    [sym__power_operator] = ACTIONS(11894),
    [sym__tilde_operator] = ACTIONS(11894),
    [sym__type_order_operator] = ACTIONS(11894),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [6254] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_RPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_SEMI] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_DASH_GT] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6255] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12710),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12712),
    [anon_sym_DOT] = ACTIONS(12714),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12716),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12718),
    [sym__immediate_bracket] = ACTIONS(12720),
    [sym__immediate_brace] = ACTIONS(12722),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6256] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12240),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12240),
    [anon_sym_RPAREN] = ACTIONS(12240),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12240),
    [anon_sym_RBRACK] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_SEMI] = ACTIONS(12240),
    [anon_sym_LBRACE] = ACTIONS(12240),
    [anon_sym_RBRACE] = ACTIONS(12240),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12240),
    [anon_sym_COLON_COLON] = ACTIONS(12240),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12240),
    [anon_sym_QMARK] = ACTIONS(12240),
    [anon_sym_AT] = ACTIONS(12240),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12240),
    [aux_sym_integer_literal_token2] = ACTIONS(12240),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12240),
    [aux_sym_float_literal_token3] = ACTIONS(12240),
    [aux_sym_float_literal_token4] = ACTIONS(12240),
    [sym_character_literal] = ACTIONS(12240),
    [sym__pair_operator] = ACTIONS(12240),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12240),
    [sym__lazy_and_operator] = ACTIONS(12240),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12240),
    [sym__pipe_left_operator] = ACTIONS(12240),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12240),
    [sym__bitshift_operator] = ACTIONS(12240),
    [sym__power_operator] = ACTIONS(12240),
    [sym__tilde_operator] = ACTIONS(12240),
    [sym__type_order_operator] = ACTIONS(12240),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [6257] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12352),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12352),
    [anon_sym_RPAREN] = ACTIONS(12352),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12352),
    [anon_sym_RBRACK] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_SEMI] = ACTIONS(12352),
    [anon_sym_LBRACE] = ACTIONS(12352),
    [anon_sym_RBRACE] = ACTIONS(12352),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12352),
    [anon_sym_COLON_COLON] = ACTIONS(12352),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12352),
    [anon_sym_AT] = ACTIONS(12352),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12352),
    [aux_sym_integer_literal_token2] = ACTIONS(12352),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12352),
    [aux_sym_float_literal_token3] = ACTIONS(12352),
    [aux_sym_float_literal_token4] = ACTIONS(12352),
    [sym_character_literal] = ACTIONS(12352),
    [sym__pair_operator] = ACTIONS(12352),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12352),
    [sym__lazy_and_operator] = ACTIONS(12352),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12352),
    [sym__pipe_left_operator] = ACTIONS(12352),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12352),
    [sym__bitshift_operator] = ACTIONS(12352),
    [sym__power_operator] = ACTIONS(12352),
    [sym__tilde_operator] = ACTIONS(12352),
    [sym__type_order_operator] = ACTIONS(12352),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [6258] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12356),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12356),
    [anon_sym_RPAREN] = ACTIONS(12356),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12356),
    [anon_sym_RBRACK] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_SEMI] = ACTIONS(12356),
    [anon_sym_LBRACE] = ACTIONS(12356),
    [anon_sym_RBRACE] = ACTIONS(12356),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12356),
    [anon_sym_COLON_COLON] = ACTIONS(12356),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12356),
    [anon_sym_QMARK] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(12356),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12356),
    [aux_sym_integer_literal_token2] = ACTIONS(12356),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12356),
    [aux_sym_float_literal_token3] = ACTIONS(12356),
    [aux_sym_float_literal_token4] = ACTIONS(12356),
    [sym_character_literal] = ACTIONS(12356),
    [sym__pair_operator] = ACTIONS(12356),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12356),
    [sym__lazy_and_operator] = ACTIONS(12356),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12356),
    [sym__pipe_left_operator] = ACTIONS(12356),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12356),
    [sym__bitshift_operator] = ACTIONS(12356),
    [sym__power_operator] = ACTIONS(12356),
    [sym__tilde_operator] = ACTIONS(12356),
    [sym__type_order_operator] = ACTIONS(12356),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [6259] = {
    [sym_identifier] = STATE(6508),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6260] = {
    [sym_identifier] = STATE(6488),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6261] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12712),
    [anon_sym_DOT] = ACTIONS(12724),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12726),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12718),
    [sym__immediate_bracket] = ACTIONS(12720),
    [sym__immediate_brace] = ACTIONS(12722),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6262] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6263] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__assignment_operator] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6264] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_catch] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6265] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_DASH_GT] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6266] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_RPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_DASH_GT] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [6267] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_RPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_SEMI] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_DASH_GT] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [6268] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__assignment_operator] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6269] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_catch] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [6270] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_DASH_GT] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [6271] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_catch] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6272] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_catch] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6273] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12712),
    [anon_sym_DOT] = ACTIONS(12724),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12726),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12718),
    [sym__immediate_bracket] = ACTIONS(12720),
    [sym__immediate_brace] = ACTIONS(12722),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6274] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_catch] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6275] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__assignment_operator] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6276] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_DASH_GT] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6277] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__assignment_operator] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6278] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__assignment_operator] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6279] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_catch] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6280] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_catch] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6281] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_DASH_GT] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [6282] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__assignment_operator] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6283] = {
    [sym__word_identifier] = ACTIONS(12370),
    [anon_sym_EQ] = ACTIONS(12370),
    [anon_sym_COMMA] = ACTIONS(12370),
    [anon_sym_COLON] = ACTIONS(12370),
    [anon_sym_begin] = ACTIONS(12370),
    [anon_sym_module] = ACTIONS(12370),
    [anon_sym_baremodule] = ACTIONS(12370),
    [anon_sym_end] = ACTIONS(12370),
    [anon_sym_abstract] = ACTIONS(12370),
    [anon_sym_primitive] = ACTIONS(12370),
    [anon_sym_mutable] = ACTIONS(12370),
    [anon_sym_struct] = ACTIONS(12370),
    [anon_sym_function] = ACTIONS(12370),
    [anon_sym_macro] = ACTIONS(12370),
    [anon_sym_where] = ACTIONS(12370),
    [anon_sym_quote] = ACTIONS(12370),
    [anon_sym_let] = ACTIONS(12370),
    [anon_sym_if] = ACTIONS(12370),
    [anon_sym_try] = ACTIONS(12370),
    [anon_sym_for] = ACTIONS(12370),
    [anon_sym_while] = ACTIONS(12370),
    [sym_break_statement] = ACTIONS(12370),
    [sym_continue_statement] = ACTIONS(12370),
    [anon_sym_return] = ACTIONS(12370),
    [anon_sym_const] = ACTIONS(12370),
    [anon_sym_global] = ACTIONS(12370),
    [anon_sym_local] = ACTIONS(12370),
    [anon_sym_LPAREN] = ACTIONS(12370),
    [anon_sym_COLON2] = ACTIONS(12370),
    [anon_sym_export] = ACTIONS(12370),
    [anon_sym_import] = ACTIONS(12370),
    [anon_sym_using] = ACTIONS(12370),
    [anon_sym_LBRACK] = ACTIONS(12370),
    [anon_sym_LF] = ACTIONS(12372),
    [anon_sym_in] = ACTIONS(12370),
    [anon_sym_LBRACE] = ACTIONS(12370),
    [anon_sym_SQUOTE] = ACTIONS(12690),
    [anon_sym_DOT] = ACTIONS(12692),
    [anon_sym_DOLLAR] = ACTIONS(12370),
    [anon_sym_COLON_COLON] = ACTIONS(12370),
    [anon_sym_isa] = ACTIONS(12370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12370),
    [anon_sym_QMARK] = ACTIONS(12370),
    [anon_sym_DASH_GT] = ACTIONS(12370),
    [anon_sym_AT] = ACTIONS(12370),
    [anon_sym_true] = ACTIONS(12370),
    [anon_sym_false] = ACTIONS(12370),
    [aux_sym_integer_literal_token1] = ACTIONS(12370),
    [aux_sym_integer_literal_token2] = ACTIONS(12370),
    [aux_sym_integer_literal_token3] = ACTIONS(12370),
    [aux_sym_integer_literal_token4] = ACTIONS(12370),
    [aux_sym_float_literal_token1] = ACTIONS(12370),
    [aux_sym_float_literal_token3] = ACTIONS(12370),
    [aux_sym_float_literal_token4] = ACTIONS(12370),
    [sym_character_literal] = ACTIONS(12370),
    [sym__pair_operator] = ACTIONS(12370),
    [sym__arrow_operator] = ACTIONS(12370),
    [sym__lazy_or_operator] = ACTIONS(12370),
    [sym__lazy_and_operator] = ACTIONS(12370),
    [sym__comparison_operator] = ACTIONS(12370),
    [sym__pipe_right_operator] = ACTIONS(12370),
    [sym__pipe_left_operator] = ACTIONS(12370),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12370),
    [sym__times_operator] = ACTIONS(12370),
    [sym__rational_operator] = ACTIONS(12370),
    [sym__bitshift_operator] = ACTIONS(12370),
    [sym__power_operator] = ACTIONS(12370),
    [sym__tilde_operator] = ACTIONS(12370),
    [sym__type_order_operator] = ACTIONS(12370),
    [sym__unary_operator] = ACTIONS(12370),
    [sym__unary_plus_operator] = ACTIONS(12370),
    [aux_sym__terminator_token1] = ACTIONS(12370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12694),
    [sym__immediate_bracket] = ACTIONS(12696),
    [sym__immediate_brace] = ACTIONS(12698),
    [sym__string_start] = ACTIONS(12372),
    [sym__command_start] = ACTIONS(12372),
  },
  [6284] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [6285] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12728),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_SQUOTE] = ACTIONS(12730),
    [anon_sym_DOT] = ACTIONS(12732),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__assignment_operator] = ACTIONS(12734),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__immediate_bracket] = ACTIONS(12738),
    [sym__immediate_brace] = ACTIONS(12740),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6286] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__assignment_operator] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [6287] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_RPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_SEMI] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_DASH_GT] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [6288] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_SQUOTE] = ACTIONS(12730),
    [anon_sym_DOT] = ACTIONS(12742),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__assignment_operator] = ACTIONS(12744),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__immediate_bracket] = ACTIONS(12738),
    [sym__immediate_brace] = ACTIONS(12740),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6289] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_catch] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6290] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12060),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12060),
    [anon_sym_RPAREN] = ACTIONS(12060),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12060),
    [anon_sym_RBRACK] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12060),
    [anon_sym_LBRACE] = ACTIONS(12060),
    [anon_sym_RBRACE] = ACTIONS(12060),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12060),
    [anon_sym_COLON_COLON] = ACTIONS(12060),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12060),
    [anon_sym_QMARK] = ACTIONS(12060),
    [anon_sym_AT] = ACTIONS(12060),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12060),
    [aux_sym_integer_literal_token2] = ACTIONS(12060),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12060),
    [aux_sym_float_literal_token3] = ACTIONS(12060),
    [aux_sym_float_literal_token4] = ACTIONS(12060),
    [sym_character_literal] = ACTIONS(12060),
    [sym__pair_operator] = ACTIONS(12060),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12060),
    [sym__lazy_and_operator] = ACTIONS(12060),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12060),
    [sym__pipe_left_operator] = ACTIONS(12060),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12060),
    [sym__bitshift_operator] = ACTIONS(12060),
    [sym__power_operator] = ACTIONS(12060),
    [sym__tilde_operator] = ACTIONS(12060),
    [sym__type_order_operator] = ACTIONS(12060),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6291] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_catch] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6292] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_catch] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6293] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_EQ] = ACTIONS(12064),
    [anon_sym_COMMA] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_COLON2] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_in] = ACTIONS(12064),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_isa] = ACTIONS(12064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12064),
    [anon_sym_QMARK] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__lazy_or_operator] = ACTIONS(12064),
    [sym__lazy_and_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [6294] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_catch] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6295] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_DASH_GT] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6296] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__assignment_operator] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [6297] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [6298] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6299] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_catch] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6300] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_RPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_SEMI] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_DASH_GT] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [6301] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__assignment_operator] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6302] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_catch] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6303] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [6304] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_catch] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6305] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6306] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6307] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [6308] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__assignment_operator] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [6309] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6310] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_catch] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6311] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [6312] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_catch] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6313] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_catch] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6314] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6315] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_DASH_GT] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6316] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6317] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6318] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__assignment_operator] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6319] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__assignment_operator] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6320] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__assignment_operator] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6321] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_RPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_SEMI] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_DASH_GT] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6322] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__assignment_operator] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6323] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_RPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_SEMI] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_DASH_GT] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6324] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__assignment_operator] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [6325] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6326] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_RPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_SEMI] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_DASH_GT] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6327] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_catch] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6328] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12530),
    [anon_sym_DOT] = ACTIONS(12532),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12534),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12536),
    [sym__immediate_bracket] = ACTIONS(12538),
    [sym__immediate_brace] = ACTIONS(12540),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6329] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__assignment_operator] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6330] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_catch] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6331] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_DASH_GT] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6332] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_catch] = ACTIONS(12354),
    [anon_sym_finally] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [6333] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_RPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_SEMI] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__assignment_operator] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [6334] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [6335] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12746),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6336] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12142),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12142),
    [anon_sym_RPAREN] = ACTIONS(12142),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12142),
    [anon_sym_RBRACK] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_SEMI] = ACTIONS(12142),
    [anon_sym_LBRACE] = ACTIONS(12142),
    [anon_sym_RBRACE] = ACTIONS(12142),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12142),
    [anon_sym_COLON_COLON] = ACTIONS(12142),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12142),
    [anon_sym_QMARK] = ACTIONS(12142),
    [anon_sym_AT] = ACTIONS(12142),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12142),
    [aux_sym_integer_literal_token2] = ACTIONS(12142),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12142),
    [aux_sym_float_literal_token3] = ACTIONS(12142),
    [aux_sym_float_literal_token4] = ACTIONS(12142),
    [sym_character_literal] = ACTIONS(12142),
    [sym__pair_operator] = ACTIONS(12142),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12142),
    [sym__lazy_and_operator] = ACTIONS(12142),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12142),
    [sym__pipe_left_operator] = ACTIONS(12142),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12142),
    [sym__bitshift_operator] = ACTIONS(12142),
    [sym__power_operator] = ACTIONS(12142),
    [sym__tilde_operator] = ACTIONS(12142),
    [sym__type_order_operator] = ACTIONS(12142),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [6337] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6338] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_catch] = ACTIONS(12350),
    [anon_sym_finally] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [6339] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_catch] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6340] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_catch] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6341] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_catch] = ACTIONS(12140),
    [anon_sym_finally] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [6342] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_RPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_SEMI] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_DASH_GT] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6343] = {
    [ts_builtin_sym_end] = ACTIONS(11886),
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_RBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12700),
    [sym__immediate_command_start] = ACTIONS(12702),
  },
  [6344] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_RPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_SEMI] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_DASH_GT] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6345] = {
    [ts_builtin_sym_end] = ACTIONS(12676),
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_RBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12748),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6346] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_catch] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6347] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [6348] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12462),
    [anon_sym_DOT] = ACTIONS(12554),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12556),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12468),
    [sym__immediate_bracket] = ACTIONS(12470),
    [sym__immediate_brace] = ACTIONS(12472),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6349] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_RPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_SEMI] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_DASH_GT] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [6350] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_catch] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6351] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_catch] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6352] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_RPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_SEMI] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_DASH_GT] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6353] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_catch] = ACTIONS(11892),
    [anon_sym_finally] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [6354] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_EQ] = ACTIONS(12030),
    [anon_sym_COMMA] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_RPAREN] = ACTIONS(12030),
    [anon_sym_COLON2] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_in] = ACTIONS(12030),
    [anon_sym_SEMI] = ACTIONS(12030),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_isa] = ACTIONS(12030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12030),
    [anon_sym_QMARK] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__lazy_or_operator] = ACTIONS(12030),
    [sym__lazy_and_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [6355] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_catch] = ACTIONS(12148),
    [anon_sym_finally] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [6356] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_RPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_SEMI] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_DASH_GT] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6357] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_DASH_GT] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6358] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_DASH_GT] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6359] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_RPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__assignment_operator] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [6360] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_RPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_SEMI] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__assignment_operator] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [6361] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__assignment_operator] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [6362] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_DASH_GT] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6363] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_RPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_SEMI] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_DASH_GT] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6364] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__assignment_operator] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [6365] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_EQ] = ACTIONS(12034),
    [anon_sym_COMMA] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_RPAREN] = ACTIONS(12034),
    [anon_sym_COLON2] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_in] = ACTIONS(12034),
    [anon_sym_SEMI] = ACTIONS(12034),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_isa] = ACTIONS(12034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12034),
    [anon_sym_QMARK] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__lazy_or_operator] = ACTIONS(12034),
    [sym__lazy_and_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [6366] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_EQ] = ACTIONS(12038),
    [anon_sym_COMMA] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_RPAREN] = ACTIONS(12038),
    [anon_sym_COLON2] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_in] = ACTIONS(12038),
    [anon_sym_SEMI] = ACTIONS(12038),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_isa] = ACTIONS(12038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12038),
    [anon_sym_QMARK] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__lazy_or_operator] = ACTIONS(12038),
    [sym__lazy_and_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [6367] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_RPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_SEMI] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_DASH_GT] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6368] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_RPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_SEMI] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_DASH_GT] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6369] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_catch] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6370] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_DASH_GT] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6371] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_DASH_GT] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6372] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_RPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_SEMI] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_DASH_GT] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6373] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_RPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_SEMI] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_DASH_GT] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6374] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_catch] = ACTIONS(12338),
    [anon_sym_finally] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [6375] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_DASH_GT] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6376] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_RPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_SEMI] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_DASH_GT] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6377] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_EQ] = ACTIONS(12042),
    [anon_sym_COMMA] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_RPAREN] = ACTIONS(12042),
    [anon_sym_COLON2] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_in] = ACTIONS(12042),
    [anon_sym_SEMI] = ACTIONS(12042),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_isa] = ACTIONS(12042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12042),
    [anon_sym_QMARK] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__lazy_or_operator] = ACTIONS(12042),
    [sym__lazy_and_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [6378] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_catch] = ACTIONS(12164),
    [anon_sym_finally] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [6379] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_RPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_SEMI] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__assignment_operator] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [6380] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_RPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_SEMI] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_DASH_GT] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6381] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_RPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_SEMI] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__assignment_operator] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [6382] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_RPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_SEMI] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_DASH_GT] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6383] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_RPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_SEMI] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_DASH_GT] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6384] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_RPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_SEMI] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [6385] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_RPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_SEMI] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [6386] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6387] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_RPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_SEMI] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_DASH_GT] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6388] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_RPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_SEMI] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_DASH_GT] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6389] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_EQ] = ACTIONS(12024),
    [anon_sym_COMMA] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_COLON2] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_in] = ACTIONS(12024),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_isa] = ACTIONS(12024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12024),
    [anon_sym_QMARK] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__lazy_or_operator] = ACTIONS(12024),
    [sym__lazy_and_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [6390] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_RPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_SEMI] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_DASH_GT] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6391] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_RPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_SEMI] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_DASH_GT] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6392] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_DASH_GT] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [6393] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_catch] = ACTIONS(11932),
    [anon_sym_finally] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [6394] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__assignment_operator] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [6395] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_RPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_SEMI] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_DASH_GT] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6396] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_catch] = ACTIONS(11880),
    [anon_sym_finally] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [6397] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_RPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_SEMI] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__assignment_operator] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [6398] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_catch] = ACTIONS(12322),
    [anon_sym_finally] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [6399] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__assignment_operator] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [6400] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_catch] = ACTIONS(12328),
    [anon_sym_finally] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [6401] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__assignment_operator] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6402] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_RPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_SEMI] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_DASH_GT] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6403] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_else] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_finally] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12704),
    [sym__immediate_bracket] = ACTIONS(12704),
    [sym__immediate_brace] = ACTIONS(12704),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6404] = {
    [sym__word_identifier] = ACTIONS(12440),
    [anon_sym_EQ] = ACTIONS(12440),
    [anon_sym_COMMA] = ACTIONS(12440),
    [anon_sym_COLON] = ACTIONS(12440),
    [anon_sym_begin] = ACTIONS(12440),
    [anon_sym_module] = ACTIONS(12440),
    [anon_sym_baremodule] = ACTIONS(12440),
    [anon_sym_abstract] = ACTIONS(12440),
    [anon_sym_primitive] = ACTIONS(12440),
    [anon_sym_mutable] = ACTIONS(12440),
    [anon_sym_struct] = ACTIONS(12440),
    [anon_sym_function] = ACTIONS(12440),
    [anon_sym_macro] = ACTIONS(12440),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_quote] = ACTIONS(12440),
    [anon_sym_let] = ACTIONS(12440),
    [anon_sym_if] = ACTIONS(12440),
    [anon_sym_try] = ACTIONS(12440),
    [anon_sym_catch] = ACTIONS(12440),
    [anon_sym_finally] = ACTIONS(12440),
    [anon_sym_for] = ACTIONS(12440),
    [anon_sym_while] = ACTIONS(12440),
    [sym_break_statement] = ACTIONS(12440),
    [sym_continue_statement] = ACTIONS(12440),
    [anon_sym_return] = ACTIONS(12440),
    [anon_sym_const] = ACTIONS(12440),
    [anon_sym_global] = ACTIONS(12440),
    [anon_sym_local] = ACTIONS(12440),
    [anon_sym_LPAREN] = ACTIONS(12440),
    [anon_sym_COLON2] = ACTIONS(12440),
    [anon_sym_export] = ACTIONS(12440),
    [anon_sym_import] = ACTIONS(12440),
    [anon_sym_using] = ACTIONS(12440),
    [anon_sym_LBRACK] = ACTIONS(12440),
    [anon_sym_LF] = ACTIONS(12512),
    [anon_sym_in] = ACTIONS(12440),
    [anon_sym_LBRACE] = ACTIONS(12440),
    [anon_sym_SQUOTE] = ACTIONS(12680),
    [anon_sym_DOT] = ACTIONS(12682),
    [anon_sym_DOLLAR] = ACTIONS(12440),
    [anon_sym_COLON_COLON] = ACTIONS(12440),
    [anon_sym_isa] = ACTIONS(12440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12440),
    [anon_sym_QMARK] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(12440),
    [anon_sym_true] = ACTIONS(12440),
    [anon_sym_false] = ACTIONS(12440),
    [aux_sym_integer_literal_token1] = ACTIONS(12440),
    [aux_sym_integer_literal_token2] = ACTIONS(12440),
    [aux_sym_integer_literal_token3] = ACTIONS(12440),
    [aux_sym_integer_literal_token4] = ACTIONS(12440),
    [aux_sym_float_literal_token1] = ACTIONS(12440),
    [aux_sym_float_literal_token3] = ACTIONS(12440),
    [aux_sym_float_literal_token4] = ACTIONS(12440),
    [sym_character_literal] = ACTIONS(12440),
    [sym__pair_operator] = ACTIONS(12440),
    [sym__arrow_operator] = ACTIONS(12440),
    [sym__lazy_or_operator] = ACTIONS(12440),
    [sym__lazy_and_operator] = ACTIONS(12440),
    [sym__comparison_operator] = ACTIONS(12440),
    [sym__pipe_right_operator] = ACTIONS(12440),
    [sym__pipe_left_operator] = ACTIONS(12440),
    [sym__ellipsis_operator] = ACTIONS(12440),
    [sym__plus_operator] = ACTIONS(12440),
    [sym__times_operator] = ACTIONS(12440),
    [sym__rational_operator] = ACTIONS(12440),
    [sym__bitshift_operator] = ACTIONS(12440),
    [sym__power_operator] = ACTIONS(12440),
    [sym__tilde_operator] = ACTIONS(12440),
    [sym__type_order_operator] = ACTIONS(12440),
    [sym__unary_operator] = ACTIONS(12440),
    [sym__unary_plus_operator] = ACTIONS(12440),
    [aux_sym__terminator_token1] = ACTIONS(12440),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12684),
    [sym__immediate_bracket] = ACTIONS(12686),
    [sym__immediate_brace] = ACTIONS(12688),
    [sym__string_start] = ACTIONS(12512),
    [sym__command_start] = ACTIONS(12512),
  },
  [6405] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_RPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_SEMI] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_DASH_GT] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6406] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_RPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_SEMI] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_DASH_GT] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6407] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_RPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_SEMI] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__assignment_operator] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [6408] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_RPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_SEMI] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__assignment_operator] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [6409] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_RPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_SEMI] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_DASH_GT] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6410] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12358),
    [anon_sym_DOT] = ACTIONS(12432),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12750),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12364),
    [sym__immediate_bracket] = ACTIONS(12366),
    [sym__immediate_brace] = ACTIONS(12368),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6411] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_RPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_SEMI] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__assignment_operator] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [6412] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_catch] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6413] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__assignment_operator] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6414] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_RPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_SEMI] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [6415] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_EQ] = ACTIONS(12048),
    [anon_sym_COMMA] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_COLON2] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_in] = ACTIONS(12048),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_isa] = ACTIONS(12048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12048),
    [anon_sym_QMARK] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__lazy_or_operator] = ACTIONS(12048),
    [sym__lazy_and_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [6416] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__assignment_operator] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6417] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_RPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_SEMI] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [6418] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_RPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_SEMI] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [6419] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__assignment_operator] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6420] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_SQUOTE] = ACTIONS(12730),
    [anon_sym_DOT] = ACTIONS(12742),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__assignment_operator] = ACTIONS(12744),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__immediate_bracket] = ACTIONS(12738),
    [sym__immediate_brace] = ACTIONS(12740),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6421] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6422] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2186),
    [aux_sym_integer_literal_token2] = ACTIONS(2186),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2186),
    [aux_sym_float_literal_token3] = ACTIONS(2186),
    [aux_sym_float_literal_token4] = ACTIONS(2186),
    [sym_character_literal] = ACTIONS(2186),
    [sym__pair_operator] = ACTIONS(2186),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2186),
    [sym__pipe_left_operator] = ACTIONS(2186),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2186),
    [sym__bitshift_operator] = ACTIONS(2186),
    [sym__power_operator] = ACTIONS(2186),
    [sym__tilde_operator] = ACTIONS(2186),
    [sym__type_order_operator] = ACTIONS(2186),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6423] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_RPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_SEMI] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__assignment_operator] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [6424] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6425] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_RPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_SEMI] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_DASH_GT] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [6426] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__assignment_operator] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6427] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_RPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_SEMI] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_DASH_GT] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [6428] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__assignment_operator] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6429] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__assignment_operator] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [6430] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__assignment_operator] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6431] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_RPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__assignment_operator] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6432] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_RPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_SEMI] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_DASH_GT] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [6433] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6434] = {
    [ts_builtin_sym_end] = ACTIONS(11866),
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_RBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6435] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__assignment_operator] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [6436] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__assignment_operator] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6437] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_RPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_SEMI] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [6438] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_catch] = ACTIONS(12238),
    [anon_sym_finally] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [6439] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__assignment_operator] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6440] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_EQ] = ACTIONS(12002),
    [anon_sym_COMMA] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_COLON2] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_in] = ACTIONS(12002),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_isa] = ACTIONS(12002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12002),
    [anon_sym_QMARK] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__lazy_or_operator] = ACTIONS(12002),
    [sym__lazy_and_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [6441] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_EQ] = ACTIONS(12018),
    [anon_sym_COMMA] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_COLON2] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_in] = ACTIONS(12018),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_isa] = ACTIONS(12018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12018),
    [anon_sym_QMARK] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__lazy_or_operator] = ACTIONS(12018),
    [sym__lazy_and_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [6442] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_DASH_GT] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6443] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__assignment_operator] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6444] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_EQ] = ACTIONS(11976),
    [anon_sym_COMMA] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_COLON2] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_in] = ACTIONS(11976),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_isa] = ACTIONS(11976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11976),
    [anon_sym_QMARK] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__lazy_or_operator] = ACTIONS(11976),
    [sym__lazy_and_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [6445] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6446] = {
    [sym_identifier] = STATE(6572),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_RPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_SEMI] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6447] = {
    [sym_identifier] = STATE(6559),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_RPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_SEMI] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6448] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__assignment_operator] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6449] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_DASH_GT] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6450] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_RPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_DASH_GT] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6451] = {
    [sym_identifier] = STATE(6558),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_RPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_SEMI] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6452] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__assignment_operator] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6453] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_elseif] = ACTIONS(12706),
    [anon_sym_else] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12704),
    [sym__immediate_bracket] = ACTIONS(12704),
    [sym__immediate_brace] = ACTIONS(12704),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6454] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6455] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6456] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12752),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6457] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6458] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_EQ] = ACTIONS(12014),
    [anon_sym_COMMA] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_COLON2] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_in] = ACTIONS(12014),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_isa] = ACTIONS(12014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12014),
    [anon_sym_QMARK] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__lazy_or_operator] = ACTIONS(12014),
    [sym__lazy_and_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [6459] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__assignment_operator] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6460] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__assignment_operator] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6461] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__assignment_operator] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6462] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__assignment_operator] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6463] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_finally] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [6464] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6465] = {
    [sym__word_identifier] = ACTIONS(12370),
    [anon_sym_EQ] = ACTIONS(12370),
    [anon_sym_COMMA] = ACTIONS(12370),
    [anon_sym_COLON] = ACTIONS(12370),
    [anon_sym_begin] = ACTIONS(12370),
    [anon_sym_module] = ACTIONS(12370),
    [anon_sym_baremodule] = ACTIONS(12370),
    [anon_sym_abstract] = ACTIONS(12370),
    [anon_sym_primitive] = ACTIONS(12370),
    [anon_sym_mutable] = ACTIONS(12370),
    [anon_sym_struct] = ACTIONS(12370),
    [anon_sym_function] = ACTIONS(12370),
    [anon_sym_macro] = ACTIONS(12370),
    [anon_sym_where] = ACTIONS(12370),
    [anon_sym_quote] = ACTIONS(12370),
    [anon_sym_let] = ACTIONS(12370),
    [anon_sym_if] = ACTIONS(12370),
    [anon_sym_try] = ACTIONS(12370),
    [anon_sym_for] = ACTIONS(12370),
    [anon_sym_while] = ACTIONS(12370),
    [sym_break_statement] = ACTIONS(12370),
    [sym_continue_statement] = ACTIONS(12370),
    [anon_sym_return] = ACTIONS(12370),
    [anon_sym_const] = ACTIONS(12370),
    [anon_sym_global] = ACTIONS(12370),
    [anon_sym_local] = ACTIONS(12370),
    [anon_sym_LPAREN] = ACTIONS(12370),
    [anon_sym_RPAREN] = ACTIONS(12370),
    [anon_sym_COLON2] = ACTIONS(12370),
    [anon_sym_export] = ACTIONS(12370),
    [anon_sym_import] = ACTIONS(12370),
    [anon_sym_using] = ACTIONS(12370),
    [anon_sym_LBRACK] = ACTIONS(12370),
    [anon_sym_LF] = ACTIONS(12372),
    [anon_sym_in] = ACTIONS(12370),
    [anon_sym_SEMI] = ACTIONS(12370),
    [anon_sym_LBRACE] = ACTIONS(12370),
    [anon_sym_SQUOTE] = ACTIONS(12754),
    [anon_sym_DOT] = ACTIONS(12756),
    [anon_sym_DOLLAR] = ACTIONS(12370),
    [anon_sym_COLON_COLON] = ACTIONS(12370),
    [anon_sym_isa] = ACTIONS(12370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12370),
    [anon_sym_QMARK] = ACTIONS(12370),
    [anon_sym_DASH_GT] = ACTIONS(12370),
    [anon_sym_AT] = ACTIONS(12370),
    [anon_sym_true] = ACTIONS(12370),
    [anon_sym_false] = ACTIONS(12370),
    [aux_sym_integer_literal_token1] = ACTIONS(12370),
    [aux_sym_integer_literal_token2] = ACTIONS(12370),
    [aux_sym_integer_literal_token3] = ACTIONS(12370),
    [aux_sym_integer_literal_token4] = ACTIONS(12370),
    [aux_sym_float_literal_token1] = ACTIONS(12370),
    [aux_sym_float_literal_token3] = ACTIONS(12370),
    [aux_sym_float_literal_token4] = ACTIONS(12370),
    [sym_character_literal] = ACTIONS(12370),
    [sym__pair_operator] = ACTIONS(12370),
    [sym__arrow_operator] = ACTIONS(12370),
    [sym__lazy_or_operator] = ACTIONS(12370),
    [sym__lazy_and_operator] = ACTIONS(12370),
    [sym__comparison_operator] = ACTIONS(12370),
    [sym__pipe_right_operator] = ACTIONS(12370),
    [sym__pipe_left_operator] = ACTIONS(12370),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12370),
    [sym__times_operator] = ACTIONS(12370),
    [sym__rational_operator] = ACTIONS(12370),
    [sym__bitshift_operator] = ACTIONS(12370),
    [sym__power_operator] = ACTIONS(12370),
    [sym__tilde_operator] = ACTIONS(12370),
    [sym__type_order_operator] = ACTIONS(12370),
    [sym__unary_operator] = ACTIONS(12370),
    [sym__unary_plus_operator] = ACTIONS(12370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12758),
    [sym__immediate_bracket] = ACTIONS(12760),
    [sym__immediate_brace] = ACTIONS(12762),
    [sym__string_start] = ACTIONS(12372),
    [sym__command_start] = ACTIONS(12372),
  },
  [6466] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_RPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_SEMI] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6467] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6468] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_RPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6469] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6470] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12764),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12304),
    [anon_sym_DOT] = ACTIONS(12414),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12766),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__immediate_bracket] = ACTIONS(12312),
    [sym__immediate_brace] = ACTIONS(12314),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6471] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6472] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12768),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6473] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6474] = {
    [sym_identifier] = STATE(6648),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_else] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_as] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6475] = {
    [sym_identifier] = STATE(6647),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_else] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_as] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6476] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6477] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6478] = {
    [sym_identifier] = STATE(6640),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_else] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_as] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6479] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6480] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6481] = {
    [sym_identifier] = STATE(6639),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_else] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_as] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6482] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6483] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6484] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6485] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6486] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12646),
    [anon_sym_DOT] = ACTIONS(12648),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12650),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12652),
    [sym__immediate_bracket] = ACTIONS(12654),
    [sym__immediate_brace] = ACTIONS(12656),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6487] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6488] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6489] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6490] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6491] = {
    [sym_identifier] = STATE(6738),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_elseif] = ACTIONS(11992),
    [anon_sym_else] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_as] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6492] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6493] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11866),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11866),
    [anon_sym_RPAREN] = ACTIONS(11866),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11866),
    [anon_sym_RBRACK] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11866),
    [anon_sym_RBRACE] = ACTIONS(11866),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11866),
    [anon_sym_COLON_COLON] = ACTIONS(11866),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11866),
    [anon_sym_QMARK] = ACTIONS(11866),
    [anon_sym_AT] = ACTIONS(11866),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11866),
    [aux_sym_integer_literal_token2] = ACTIONS(11866),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11866),
    [aux_sym_float_literal_token3] = ACTIONS(11866),
    [aux_sym_float_literal_token4] = ACTIONS(11866),
    [sym_character_literal] = ACTIONS(11866),
    [sym__pair_operator] = ACTIONS(11866),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11866),
    [sym__lazy_and_operator] = ACTIONS(11866),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11866),
    [sym__pipe_left_operator] = ACTIONS(11866),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11866),
    [sym__bitshift_operator] = ACTIONS(11866),
    [sym__power_operator] = ACTIONS(11866),
    [sym__tilde_operator] = ACTIONS(11866),
    [sym__type_order_operator] = ACTIONS(11866),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6494] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6495] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_catch] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12704),
    [sym__immediate_bracket] = ACTIONS(12704),
    [sym__immediate_brace] = ACTIONS(12704),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6496] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6497] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6498] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6499] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6500] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6501] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6502] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12770),
    [sym__immediate_command_start] = ACTIONS(12772),
  },
  [6503] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_elseif] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12774),
    [sym__immediate_command_start] = ACTIONS(12776),
  },
  [6504] = {
    [sym__word_identifier] = ACTIONS(12440),
    [anon_sym_EQ] = ACTIONS(12440),
    [anon_sym_COMMA] = ACTIONS(12440),
    [anon_sym_COLON] = ACTIONS(12440),
    [anon_sym_begin] = ACTIONS(12440),
    [anon_sym_module] = ACTIONS(12440),
    [anon_sym_baremodule] = ACTIONS(12440),
    [anon_sym_abstract] = ACTIONS(12440),
    [anon_sym_primitive] = ACTIONS(12440),
    [anon_sym_mutable] = ACTIONS(12440),
    [anon_sym_struct] = ACTIONS(12440),
    [anon_sym_function] = ACTIONS(12440),
    [anon_sym_macro] = ACTIONS(12440),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_quote] = ACTIONS(12440),
    [anon_sym_let] = ACTIONS(12440),
    [anon_sym_if] = ACTIONS(12440),
    [anon_sym_try] = ACTIONS(12440),
    [anon_sym_for] = ACTIONS(12440),
    [anon_sym_while] = ACTIONS(12440),
    [sym_break_statement] = ACTIONS(12440),
    [sym_continue_statement] = ACTIONS(12440),
    [anon_sym_return] = ACTIONS(12440),
    [anon_sym_const] = ACTIONS(12440),
    [anon_sym_global] = ACTIONS(12440),
    [anon_sym_local] = ACTIONS(12440),
    [anon_sym_LPAREN] = ACTIONS(12440),
    [anon_sym_RPAREN] = ACTIONS(12440),
    [anon_sym_COLON2] = ACTIONS(12440),
    [anon_sym_export] = ACTIONS(12440),
    [anon_sym_import] = ACTIONS(12440),
    [anon_sym_using] = ACTIONS(12440),
    [anon_sym_LBRACK] = ACTIONS(12440),
    [anon_sym_LF] = ACTIONS(12512),
    [anon_sym_in] = ACTIONS(12440),
    [anon_sym_SEMI] = ACTIONS(12440),
    [anon_sym_LBRACE] = ACTIONS(12440),
    [anon_sym_SQUOTE] = ACTIONS(12778),
    [anon_sym_DOT] = ACTIONS(12780),
    [anon_sym_DOLLAR] = ACTIONS(12440),
    [anon_sym_COLON_COLON] = ACTIONS(12440),
    [anon_sym_isa] = ACTIONS(12440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12440),
    [anon_sym_QMARK] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(12440),
    [anon_sym_true] = ACTIONS(12440),
    [anon_sym_false] = ACTIONS(12440),
    [aux_sym_integer_literal_token1] = ACTIONS(12440),
    [aux_sym_integer_literal_token2] = ACTIONS(12440),
    [aux_sym_integer_literal_token3] = ACTIONS(12440),
    [aux_sym_integer_literal_token4] = ACTIONS(12440),
    [aux_sym_float_literal_token1] = ACTIONS(12440),
    [aux_sym_float_literal_token3] = ACTIONS(12440),
    [aux_sym_float_literal_token4] = ACTIONS(12440),
    [sym_character_literal] = ACTIONS(12440),
    [sym__pair_operator] = ACTIONS(12440),
    [sym__arrow_operator] = ACTIONS(12440),
    [sym__lazy_or_operator] = ACTIONS(12440),
    [sym__lazy_and_operator] = ACTIONS(12440),
    [sym__comparison_operator] = ACTIONS(12440),
    [sym__pipe_right_operator] = ACTIONS(12440),
    [sym__pipe_left_operator] = ACTIONS(12440),
    [sym__ellipsis_operator] = ACTIONS(12440),
    [sym__plus_operator] = ACTIONS(12440),
    [sym__times_operator] = ACTIONS(12440),
    [sym__rational_operator] = ACTIONS(12440),
    [sym__bitshift_operator] = ACTIONS(12440),
    [sym__power_operator] = ACTIONS(12440),
    [sym__tilde_operator] = ACTIONS(12440),
    [sym__type_order_operator] = ACTIONS(12440),
    [sym__unary_operator] = ACTIONS(12440),
    [sym__unary_plus_operator] = ACTIONS(12440),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12782),
    [sym__immediate_bracket] = ACTIONS(12784),
    [sym__immediate_brace] = ACTIONS(12786),
    [sym__string_start] = ACTIONS(12512),
    [sym__command_start] = ACTIONS(12512),
  },
  [6505] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [6506] = {
    [sym_identifier] = STATE(6726),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_elseif] = ACTIONS(11966),
    [anon_sym_else] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_as] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6507] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12788),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6508] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6509] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12790),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6510] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12792),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_SQUOTE] = ACTIONS(12730),
    [anon_sym_DOT] = ACTIONS(12794),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__assignment_operator] = ACTIONS(12796),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__immediate_bracket] = ACTIONS(12738),
    [sym__immediate_brace] = ACTIONS(12740),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6511] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11886),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11886),
    [anon_sym_RPAREN] = ACTIONS(11886),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11886),
    [anon_sym_RBRACK] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11886),
    [anon_sym_RBRACE] = ACTIONS(11886),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11886),
    [anon_sym_COLON_COLON] = ACTIONS(11886),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11886),
    [anon_sym_QMARK] = ACTIONS(11886),
    [anon_sym_AT] = ACTIONS(11886),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11886),
    [aux_sym_integer_literal_token2] = ACTIONS(11886),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11886),
    [aux_sym_float_literal_token3] = ACTIONS(11886),
    [aux_sym_float_literal_token4] = ACTIONS(11886),
    [sym_character_literal] = ACTIONS(11886),
    [sym__pair_operator] = ACTIONS(11886),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11886),
    [sym__lazy_and_operator] = ACTIONS(11886),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11886),
    [sym__pipe_left_operator] = ACTIONS(11886),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11886),
    [sym__bitshift_operator] = ACTIONS(11886),
    [sym__power_operator] = ACTIONS(11886),
    [sym__tilde_operator] = ACTIONS(11886),
    [sym__type_order_operator] = ACTIONS(11886),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12798),
    [sym__immediate_command_start] = ACTIONS(12800),
  },
  [6512] = {
    [sym_identifier] = STATE(6737),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_elseif] = ACTIONS(11988),
    [anon_sym_else] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_as] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6513] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [6514] = {
    [ts_builtin_sym_end] = ACTIONS(11866),
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_RBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6515] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12704),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12704),
    [anon_sym_RPAREN] = ACTIONS(12704),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12704),
    [anon_sym_RBRACK] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_SEMI] = ACTIONS(12704),
    [anon_sym_LBRACE] = ACTIONS(12704),
    [anon_sym_RBRACE] = ACTIONS(12704),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12704),
    [anon_sym_COLON_COLON] = ACTIONS(12704),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12704),
    [anon_sym_QMARK] = ACTIONS(12704),
    [anon_sym_AT] = ACTIONS(12704),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12704),
    [aux_sym_integer_literal_token2] = ACTIONS(12704),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12704),
    [aux_sym_float_literal_token3] = ACTIONS(12704),
    [aux_sym_float_literal_token4] = ACTIONS(12704),
    [sym_character_literal] = ACTIONS(12704),
    [sym__pair_operator] = ACTIONS(12704),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12704),
    [sym__lazy_and_operator] = ACTIONS(12704),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12704),
    [sym__pipe_left_operator] = ACTIONS(12704),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12704),
    [sym__bitshift_operator] = ACTIONS(12704),
    [sym__power_operator] = ACTIONS(12704),
    [sym__tilde_operator] = ACTIONS(12704),
    [sym__type_order_operator] = ACTIONS(12704),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12704),
    [sym__immediate_bracket] = ACTIONS(12704),
    [sym__immediate_brace] = ACTIONS(12704),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6516] = {
    [sym_identifier] = STATE(6728),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_elseif] = ACTIONS(11978),
    [anon_sym_else] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_as] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6517] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6518] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6519] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6520] = {
    [ts_builtin_sym_end] = ACTIONS(12676),
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_RBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6521] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6522] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6523] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6524] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6525] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6526] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12770),
    [sym__immediate_command_start] = ACTIONS(12772),
  },
  [6527] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [6528] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6529] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6530] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6531] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6532] = {
    [ts_builtin_sym_end] = ACTIONS(11928),
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_RBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12802),
    [sym__immediate_command_start] = ACTIONS(12804),
  },
  [6533] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6534] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6535] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6536] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6537] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_RPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_SEMI] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6538] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_RPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_SEMI] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6539] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12712),
    [anon_sym_DOT] = ACTIONS(12714),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12716),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12718),
    [sym__immediate_bracket] = ACTIONS(12720),
    [sym__immediate_brace] = ACTIONS(12722),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6540] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_RPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_SEMI] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6541] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6542] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [6543] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [6544] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6545] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6546] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12304),
    [anon_sym_DOT] = ACTIONS(12306),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12806),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__immediate_bracket] = ACTIONS(12312),
    [sym__immediate_brace] = ACTIONS(12314),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6547] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_RPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_SEMI] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6548] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6549] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [6550] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_RPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_SEMI] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6551] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6552] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [6553] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [6554] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [6555] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6556] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_RPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_SEMI] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6557] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_RPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_SEMI] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6558] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_RPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_SEMI] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6559] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_RPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_SEMI] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6560] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_RPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_SEMI] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6561] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_RPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_SEMI] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6562] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6563] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_RPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_SEMI] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6564] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_RPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_SEMI] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6565] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6566] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_elseif] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12774),
    [sym__immediate_command_start] = ACTIONS(12776),
  },
  [6567] = {
    [sym__word_identifier] = ACTIONS(12474),
    [anon_sym_EQ] = ACTIONS(12474),
    [anon_sym_COMMA] = ACTIONS(12474),
    [anon_sym_COLON] = ACTIONS(12474),
    [anon_sym_begin] = ACTIONS(12474),
    [anon_sym_module] = ACTIONS(12474),
    [anon_sym_baremodule] = ACTIONS(12474),
    [anon_sym_abstract] = ACTIONS(12474),
    [anon_sym_primitive] = ACTIONS(12474),
    [anon_sym_mutable] = ACTIONS(12474),
    [anon_sym_struct] = ACTIONS(12474),
    [anon_sym_function] = ACTIONS(12474),
    [anon_sym_macro] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12474),
    [anon_sym_quote] = ACTIONS(12474),
    [anon_sym_let] = ACTIONS(12474),
    [anon_sym_if] = ACTIONS(12474),
    [anon_sym_try] = ACTIONS(12474),
    [anon_sym_for] = ACTIONS(12474),
    [anon_sym_while] = ACTIONS(12474),
    [sym_break_statement] = ACTIONS(12474),
    [sym_continue_statement] = ACTIONS(12474),
    [anon_sym_return] = ACTIONS(12474),
    [anon_sym_const] = ACTIONS(12474),
    [anon_sym_global] = ACTIONS(12474),
    [anon_sym_local] = ACTIONS(12474),
    [anon_sym_LPAREN] = ACTIONS(12474),
    [anon_sym_RPAREN] = ACTIONS(12474),
    [anon_sym_COLON2] = ACTIONS(12474),
    [anon_sym_export] = ACTIONS(12474),
    [anon_sym_import] = ACTIONS(12474),
    [anon_sym_using] = ACTIONS(12474),
    [anon_sym_LBRACK] = ACTIONS(12474),
    [anon_sym_LF] = ACTIONS(12476),
    [anon_sym_in] = ACTIONS(12474),
    [anon_sym_SEMI] = ACTIONS(12474),
    [anon_sym_LBRACE] = ACTIONS(12474),
    [anon_sym_SQUOTE] = ACTIONS(12778),
    [anon_sym_DOT] = ACTIONS(12780),
    [anon_sym_DOLLAR] = ACTIONS(12474),
    [anon_sym_COLON_COLON] = ACTIONS(12474),
    [anon_sym_isa] = ACTIONS(12474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12474),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_AT] = ACTIONS(12474),
    [anon_sym_true] = ACTIONS(12474),
    [anon_sym_false] = ACTIONS(12474),
    [aux_sym_integer_literal_token1] = ACTIONS(12474),
    [aux_sym_integer_literal_token2] = ACTIONS(12474),
    [aux_sym_integer_literal_token3] = ACTIONS(12474),
    [aux_sym_integer_literal_token4] = ACTIONS(12474),
    [aux_sym_float_literal_token1] = ACTIONS(12474),
    [aux_sym_float_literal_token3] = ACTIONS(12474),
    [aux_sym_float_literal_token4] = ACTIONS(12474),
    [sym_character_literal] = ACTIONS(12474),
    [sym__pair_operator] = ACTIONS(12474),
    [sym__arrow_operator] = ACTIONS(12474),
    [sym__lazy_or_operator] = ACTIONS(12474),
    [sym__lazy_and_operator] = ACTIONS(12474),
    [sym__comparison_operator] = ACTIONS(12474),
    [sym__pipe_right_operator] = ACTIONS(12474),
    [sym__pipe_left_operator] = ACTIONS(12474),
    [sym__ellipsis_operator] = ACTIONS(12474),
    [sym__plus_operator] = ACTIONS(12474),
    [sym__times_operator] = ACTIONS(12474),
    [sym__rational_operator] = ACTIONS(12474),
    [sym__bitshift_operator] = ACTIONS(12474),
    [sym__power_operator] = ACTIONS(12474),
    [sym__tilde_operator] = ACTIONS(12474),
    [sym__type_order_operator] = ACTIONS(12474),
    [sym__unary_operator] = ACTIONS(12474),
    [sym__unary_plus_operator] = ACTIONS(12474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12782),
    [sym__immediate_bracket] = ACTIONS(12784),
    [sym__immediate_brace] = ACTIONS(12786),
    [sym__string_start] = ACTIONS(12476),
    [sym__command_start] = ACTIONS(12476),
  },
  [6568] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12808),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6569] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6570] = {
    [sym_identifier] = STATE(6778),
    [ts_builtin_sym_end] = ACTIONS(11968),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_as] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_RPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_RBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6571] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6572] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_RPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_SEMI] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6573] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_RPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_SEMI] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [6574] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_EQ] = ACTIONS(12238),
    [anon_sym_COMMA] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_COLON2] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_in] = ACTIONS(12238),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_isa] = ACTIONS(12238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12238),
    [anon_sym_QMARK] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__lazy_or_operator] = ACTIONS(12238),
    [sym__lazy_and_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [6575] = {
    [sym_identifier] = STATE(6780),
    [ts_builtin_sym_end] = ACTIONS(11980),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_as] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_RPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_RBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6576] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_RPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_SEMI] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6577] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6578] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_finally] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12704),
    [sym__immediate_bracket] = ACTIONS(12704),
    [sym__immediate_brace] = ACTIONS(12704),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6579] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12810),
    [sym__immediate_command_start] = ACTIONS(12812),
  },
  [6580] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_RPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_SEMI] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6581] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_RPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_SEMI] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6582] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6583] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_RPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_SEMI] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6584] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12814),
    [sym__immediate_command_start] = ACTIONS(12816),
  },
  [6585] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6586] = {
    [sym_identifier] = STATE(6789),
    [ts_builtin_sym_end] = ACTIONS(11986),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_as] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_RPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_RBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6587] = {
    [sym_identifier] = STATE(6791),
    [ts_builtin_sym_end] = ACTIONS(11990),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_as] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_RPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_RBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6588] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6589] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_RPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_SEMI] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6590] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_RPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_SEMI] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6591] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_elseif] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6592] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_RPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_SEMI] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6593] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_RPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_SEMI] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6594] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_RPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_SEMI] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6595] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6596] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_SQUOTE] = ACTIONS(12730),
    [anon_sym_DOT] = ACTIONS(12732),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__assignment_operator] = ACTIONS(12734),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__immediate_bracket] = ACTIONS(12738),
    [sym__immediate_brace] = ACTIONS(12740),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6597] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_RPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_SEMI] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6598] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_RPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_SEMI] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6599] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(12328),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_RPAREN] = ACTIONS(12328),
    [anon_sym_COLON2] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_in] = ACTIONS(12328),
    [anon_sym_SEMI] = ACTIONS(12328),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_isa] = ACTIONS(12328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12328),
    [anon_sym_QMARK] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__lazy_or_operator] = ACTIONS(12328),
    [sym__lazy_and_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [6600] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(12322),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_RPAREN] = ACTIONS(12322),
    [anon_sym_COLON2] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_in] = ACTIONS(12322),
    [anon_sym_SEMI] = ACTIONS(12322),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_isa] = ACTIONS(12322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12322),
    [anon_sym_QMARK] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__lazy_or_operator] = ACTIONS(12322),
    [sym__lazy_and_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [6601] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_EQ] = ACTIONS(11880),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_RPAREN] = ACTIONS(11880),
    [anon_sym_COLON2] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11880),
    [anon_sym_SEMI] = ACTIONS(11880),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_isa] = ACTIONS(11880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11880),
    [anon_sym_QMARK] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__lazy_or_operator] = ACTIONS(11880),
    [sym__lazy_and_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [6602] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_SQUOTE] = ACTIONS(12730),
    [anon_sym_DOT] = ACTIONS(12818),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__assignment_operator] = ACTIONS(12820),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__immediate_bracket] = ACTIONS(12738),
    [sym__immediate_brace] = ACTIONS(12740),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6603] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [6604] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_EQ] = ACTIONS(11932),
    [anon_sym_COMMA] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_RPAREN] = ACTIONS(11932),
    [anon_sym_COLON2] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_in] = ACTIONS(11932),
    [anon_sym_SEMI] = ACTIONS(11932),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_isa] = ACTIONS(11932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11932),
    [anon_sym_QMARK] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__lazy_or_operator] = ACTIONS(11932),
    [sym__lazy_and_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [6605] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [6606] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6607] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12822),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6608] = {
    [sym__word_identifier] = ACTIONS(12440),
    [anon_sym_EQ] = ACTIONS(12440),
    [anon_sym_COMMA] = ACTIONS(12440),
    [anon_sym_COLON] = ACTIONS(12440),
    [anon_sym_begin] = ACTIONS(12440),
    [anon_sym_module] = ACTIONS(12440),
    [anon_sym_baremodule] = ACTIONS(12440),
    [anon_sym_end] = ACTIONS(12440),
    [anon_sym_abstract] = ACTIONS(12440),
    [anon_sym_primitive] = ACTIONS(12440),
    [anon_sym_mutable] = ACTIONS(12440),
    [anon_sym_struct] = ACTIONS(12440),
    [anon_sym_function] = ACTIONS(12440),
    [anon_sym_macro] = ACTIONS(12440),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_quote] = ACTIONS(12440),
    [anon_sym_let] = ACTIONS(12440),
    [anon_sym_if] = ACTIONS(12440),
    [anon_sym_try] = ACTIONS(12440),
    [anon_sym_for] = ACTIONS(12440),
    [anon_sym_while] = ACTIONS(12440),
    [sym_break_statement] = ACTIONS(12440),
    [sym_continue_statement] = ACTIONS(12440),
    [anon_sym_return] = ACTIONS(12440),
    [anon_sym_const] = ACTIONS(12440),
    [anon_sym_global] = ACTIONS(12440),
    [anon_sym_local] = ACTIONS(12440),
    [anon_sym_LPAREN] = ACTIONS(12440),
    [anon_sym_COLON2] = ACTIONS(12440),
    [anon_sym_export] = ACTIONS(12440),
    [anon_sym_import] = ACTIONS(12440),
    [anon_sym_using] = ACTIONS(12440),
    [anon_sym_LBRACK] = ACTIONS(12440),
    [anon_sym_LF] = ACTIONS(12512),
    [anon_sym_in] = ACTIONS(12440),
    [anon_sym_LBRACE] = ACTIONS(12440),
    [anon_sym_SQUOTE] = ACTIONS(12824),
    [anon_sym_DOT] = ACTIONS(12826),
    [anon_sym_DOLLAR] = ACTIONS(12440),
    [anon_sym_COLON_COLON] = ACTIONS(12440),
    [anon_sym_isa] = ACTIONS(12440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12440),
    [anon_sym_QMARK] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(12440),
    [anon_sym_true] = ACTIONS(12440),
    [anon_sym_false] = ACTIONS(12440),
    [aux_sym_integer_literal_token1] = ACTIONS(12440),
    [aux_sym_integer_literal_token2] = ACTIONS(12440),
    [aux_sym_integer_literal_token3] = ACTIONS(12440),
    [aux_sym_integer_literal_token4] = ACTIONS(12440),
    [aux_sym_float_literal_token1] = ACTIONS(12440),
    [aux_sym_float_literal_token3] = ACTIONS(12440),
    [aux_sym_float_literal_token4] = ACTIONS(12440),
    [sym_character_literal] = ACTIONS(12440),
    [sym__pair_operator] = ACTIONS(12440),
    [sym__arrow_operator] = ACTIONS(12440),
    [sym__lazy_or_operator] = ACTIONS(12440),
    [sym__lazy_and_operator] = ACTIONS(12440),
    [sym__comparison_operator] = ACTIONS(12440),
    [sym__pipe_right_operator] = ACTIONS(12440),
    [sym__pipe_left_operator] = ACTIONS(12440),
    [sym__ellipsis_operator] = ACTIONS(12440),
    [sym__plus_operator] = ACTIONS(12440),
    [sym__times_operator] = ACTIONS(12440),
    [sym__rational_operator] = ACTIONS(12440),
    [sym__bitshift_operator] = ACTIONS(12440),
    [sym__power_operator] = ACTIONS(12440),
    [sym__tilde_operator] = ACTIONS(12440),
    [sym__type_order_operator] = ACTIONS(12440),
    [sym__unary_operator] = ACTIONS(12440),
    [sym__unary_plus_operator] = ACTIONS(12440),
    [aux_sym__terminator_token1] = ACTIONS(12440),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12828),
    [sym__immediate_bracket] = ACTIONS(12830),
    [sym__immediate_brace] = ACTIONS(12832),
    [sym__string_start] = ACTIONS(12512),
    [sym__command_start] = ACTIONS(12512),
  },
  [6609] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_RPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_SEMI] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [6610] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12676),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12676),
    [anon_sym_RPAREN] = ACTIONS(12676),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12676),
    [anon_sym_RBRACK] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12676),
    [anon_sym_LBRACE] = ACTIONS(12676),
    [anon_sym_RBRACE] = ACTIONS(12676),
    [anon_sym_DOT] = ACTIONS(12834),
    [anon_sym_DOLLAR] = ACTIONS(12676),
    [anon_sym_COLON_COLON] = ACTIONS(12676),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12676),
    [anon_sym_QMARK] = ACTIONS(12676),
    [anon_sym_AT] = ACTIONS(12676),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12676),
    [aux_sym_integer_literal_token2] = ACTIONS(12676),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12676),
    [aux_sym_float_literal_token3] = ACTIONS(12676),
    [aux_sym_float_literal_token4] = ACTIONS(12676),
    [sym_character_literal] = ACTIONS(12676),
    [sym__pair_operator] = ACTIONS(12676),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12676),
    [sym__lazy_and_operator] = ACTIONS(12676),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12676),
    [sym__pipe_left_operator] = ACTIONS(12676),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12676),
    [sym__bitshift_operator] = ACTIONS(12676),
    [sym__power_operator] = ACTIONS(12676),
    [sym__tilde_operator] = ACTIONS(12676),
    [sym__type_order_operator] = ACTIONS(12676),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6611] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_EQ] = ACTIONS(12152),
    [anon_sym_COMMA] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_RPAREN] = ACTIONS(12152),
    [anon_sym_COLON2] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_in] = ACTIONS(12152),
    [anon_sym_SEMI] = ACTIONS(12152),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_isa] = ACTIONS(12152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12152),
    [anon_sym_QMARK] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__lazy_or_operator] = ACTIONS(12152),
    [sym__lazy_and_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [6612] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_EQ] = ACTIONS(12350),
    [anon_sym_COMMA] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_RPAREN] = ACTIONS(12350),
    [anon_sym_COLON2] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_in] = ACTIONS(12350),
    [anon_sym_SEMI] = ACTIONS(12350),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12350),
    [anon_sym_QMARK] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__lazy_or_operator] = ACTIONS(12350),
    [sym__lazy_and_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [6613] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11928),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11928),
    [anon_sym_RPAREN] = ACTIONS(11928),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11928),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11928),
    [anon_sym_RBRACE] = ACTIONS(11928),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11928),
    [anon_sym_COLON_COLON] = ACTIONS(11928),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11928),
    [anon_sym_QMARK] = ACTIONS(11928),
    [anon_sym_AT] = ACTIONS(11928),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11928),
    [aux_sym_integer_literal_token2] = ACTIONS(11928),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11928),
    [aux_sym_float_literal_token3] = ACTIONS(11928),
    [aux_sym_float_literal_token4] = ACTIONS(11928),
    [sym_character_literal] = ACTIONS(11928),
    [sym__pair_operator] = ACTIONS(11928),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11928),
    [sym__lazy_and_operator] = ACTIONS(11928),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11928),
    [sym__pipe_left_operator] = ACTIONS(11928),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11928),
    [sym__bitshift_operator] = ACTIONS(11928),
    [sym__power_operator] = ACTIONS(11928),
    [sym__tilde_operator] = ACTIONS(11928),
    [sym__type_order_operator] = ACTIONS(11928),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12798),
    [sym__immediate_command_start] = ACTIONS(12800),
  },
  [6614] = {
    [sym__word_identifier] = ACTIONS(12474),
    [anon_sym_EQ] = ACTIONS(12474),
    [anon_sym_COMMA] = ACTIONS(12474),
    [anon_sym_COLON] = ACTIONS(12474),
    [anon_sym_begin] = ACTIONS(12474),
    [anon_sym_module] = ACTIONS(12474),
    [anon_sym_baremodule] = ACTIONS(12474),
    [anon_sym_end] = ACTIONS(12474),
    [anon_sym_abstract] = ACTIONS(12474),
    [anon_sym_primitive] = ACTIONS(12474),
    [anon_sym_mutable] = ACTIONS(12474),
    [anon_sym_struct] = ACTIONS(12474),
    [anon_sym_function] = ACTIONS(12474),
    [anon_sym_macro] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12474),
    [anon_sym_quote] = ACTIONS(12474),
    [anon_sym_let] = ACTIONS(12474),
    [anon_sym_if] = ACTIONS(12474),
    [anon_sym_try] = ACTIONS(12474),
    [anon_sym_for] = ACTIONS(12474),
    [anon_sym_while] = ACTIONS(12474),
    [sym_break_statement] = ACTIONS(12474),
    [sym_continue_statement] = ACTIONS(12474),
    [anon_sym_return] = ACTIONS(12474),
    [anon_sym_const] = ACTIONS(12474),
    [anon_sym_global] = ACTIONS(12474),
    [anon_sym_local] = ACTIONS(12474),
    [anon_sym_LPAREN] = ACTIONS(12474),
    [anon_sym_COLON2] = ACTIONS(12474),
    [anon_sym_export] = ACTIONS(12474),
    [anon_sym_import] = ACTIONS(12474),
    [anon_sym_using] = ACTIONS(12474),
    [anon_sym_LBRACK] = ACTIONS(12474),
    [anon_sym_LF] = ACTIONS(12476),
    [anon_sym_in] = ACTIONS(12474),
    [anon_sym_LBRACE] = ACTIONS(12474),
    [anon_sym_SQUOTE] = ACTIONS(12824),
    [anon_sym_DOT] = ACTIONS(12826),
    [anon_sym_DOLLAR] = ACTIONS(12474),
    [anon_sym_COLON_COLON] = ACTIONS(12474),
    [anon_sym_isa] = ACTIONS(12474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12474),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_AT] = ACTIONS(12474),
    [anon_sym_true] = ACTIONS(12474),
    [anon_sym_false] = ACTIONS(12474),
    [aux_sym_integer_literal_token1] = ACTIONS(12474),
    [aux_sym_integer_literal_token2] = ACTIONS(12474),
    [aux_sym_integer_literal_token3] = ACTIONS(12474),
    [aux_sym_integer_literal_token4] = ACTIONS(12474),
    [aux_sym_float_literal_token1] = ACTIONS(12474),
    [aux_sym_float_literal_token3] = ACTIONS(12474),
    [aux_sym_float_literal_token4] = ACTIONS(12474),
    [sym_character_literal] = ACTIONS(12474),
    [sym__pair_operator] = ACTIONS(12474),
    [sym__arrow_operator] = ACTIONS(12474),
    [sym__lazy_or_operator] = ACTIONS(12474),
    [sym__lazy_and_operator] = ACTIONS(12474),
    [sym__comparison_operator] = ACTIONS(12474),
    [sym__pipe_right_operator] = ACTIONS(12474),
    [sym__pipe_left_operator] = ACTIONS(12474),
    [sym__ellipsis_operator] = ACTIONS(12474),
    [sym__plus_operator] = ACTIONS(12474),
    [sym__times_operator] = ACTIONS(12474),
    [sym__rational_operator] = ACTIONS(12474),
    [sym__bitshift_operator] = ACTIONS(12474),
    [sym__power_operator] = ACTIONS(12474),
    [sym__tilde_operator] = ACTIONS(12474),
    [sym__type_order_operator] = ACTIONS(12474),
    [sym__unary_operator] = ACTIONS(12474),
    [sym__unary_plus_operator] = ACTIONS(12474),
    [aux_sym__terminator_token1] = ACTIONS(12474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12828),
    [sym__immediate_bracket] = ACTIONS(12830),
    [sym__immediate_brace] = ACTIONS(12832),
    [sym__string_start] = ACTIONS(12476),
    [sym__command_start] = ACTIONS(12476),
  },
  [6615] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_SQUOTE] = ACTIONS(12730),
    [anon_sym_DOT] = ACTIONS(12818),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__assignment_operator] = ACTIONS(12820),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__immediate_bracket] = ACTIONS(12738),
    [sym__immediate_brace] = ACTIONS(12740),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6616] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_EQ] = ACTIONS(12140),
    [anon_sym_COMMA] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_RPAREN] = ACTIONS(12140),
    [anon_sym_COLON2] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_in] = ACTIONS(12140),
    [anon_sym_SEMI] = ACTIONS(12140),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_isa] = ACTIONS(12140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12140),
    [anon_sym_QMARK] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__lazy_or_operator] = ACTIONS(12140),
    [sym__lazy_and_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [6617] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_EQ] = ACTIONS(12164),
    [anon_sym_COMMA] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_RPAREN] = ACTIONS(12164),
    [anon_sym_COLON2] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_in] = ACTIONS(12164),
    [anon_sym_SEMI] = ACTIONS(12164),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_isa] = ACTIONS(12164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12164),
    [anon_sym_QMARK] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__lazy_or_operator] = ACTIONS(12164),
    [sym__lazy_and_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [6618] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12814),
    [sym__immediate_command_start] = ACTIONS(12816),
  },
  [6619] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_EQ] = ACTIONS(12338),
    [anon_sym_COMMA] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_RPAREN] = ACTIONS(12338),
    [anon_sym_COLON2] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_in] = ACTIONS(12338),
    [anon_sym_SEMI] = ACTIONS(12338),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_isa] = ACTIONS(12338),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12338),
    [anon_sym_QMARK] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__lazy_or_operator] = ACTIONS(12338),
    [sym__lazy_and_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [6620] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12810),
    [sym__immediate_command_start] = ACTIONS(12812),
  },
  [6621] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12836),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6622] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_EQ] = ACTIONS(12354),
    [anon_sym_COMMA] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_COLON2] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_in] = ACTIONS(12354),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_isa] = ACTIONS(12354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12354),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__lazy_or_operator] = ACTIONS(12354),
    [sym__lazy_and_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [6623] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_RPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_SEMI] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6624] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_RPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_SEMI] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6625] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6626] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_elseif] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6627] = {
    [ts_builtin_sym_end] = ACTIONS(11886),
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_RBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12802),
    [sym__immediate_command_start] = ACTIONS(12804),
  },
  [6628] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_EQ] = ACTIONS(12148),
    [anon_sym_COMMA] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_RPAREN] = ACTIONS(12148),
    [anon_sym_COLON2] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_in] = ACTIONS(12148),
    [anon_sym_SEMI] = ACTIONS(12148),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_isa] = ACTIONS(12148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12148),
    [anon_sym_QMARK] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__lazy_or_operator] = ACTIONS(12148),
    [sym__lazy_and_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [6629] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12838),
    [sym__immediate_command_start] = ACTIONS(12840),
  },
  [6630] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_EQ] = ACTIONS(11892),
    [anon_sym_COMMA] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_RPAREN] = ACTIONS(11892),
    [anon_sym_COLON2] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_in] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11892),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_isa] = ACTIONS(11892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11892),
    [anon_sym_QMARK] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__lazy_or_operator] = ACTIONS(11892),
    [sym__lazy_and_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [6631] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_catch] = ACTIONS(12706),
    [anon_sym_finally] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12704),
    [sym__immediate_bracket] = ACTIONS(12704),
    [sym__immediate_brace] = ACTIONS(12704),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6632] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12838),
    [sym__immediate_command_start] = ACTIONS(12840),
  },
  [6633] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12704),
    [sym__immediate_bracket] = ACTIONS(12704),
    [sym__immediate_brace] = ACTIONS(12704),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6634] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12842),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6635] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_else] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_as] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6636] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_else] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_as] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6637] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_else] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_as] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6638] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_else] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_as] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6639] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_else] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_as] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6640] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_else] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_as] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6641] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_else] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_as] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6642] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_else] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_as] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6643] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_else] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_as] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6644] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_else] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_as] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6645] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_as] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6646] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_else] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_as] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6647] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_else] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_as] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6648] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_else] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_as] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6649] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_else] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_as] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6650] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_else] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_as] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6651] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_else] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_as] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6652] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_as] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6653] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_as] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6654] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_as] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6655] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_else] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_as] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6656] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_else] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_as] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6657] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_else] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_as] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6658] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_else] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_as] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6659] = {
    [sym__word_identifier] = ACTIONS(12844),
    [anon_sym_EQ] = ACTIONS(12844),
    [anon_sym_COMMA] = ACTIONS(12844),
    [anon_sym_COLON] = ACTIONS(12844),
    [anon_sym_begin] = ACTIONS(12844),
    [anon_sym_module] = ACTIONS(12844),
    [anon_sym_baremodule] = ACTIONS(12844),
    [anon_sym_end] = ACTIONS(12844),
    [anon_sym_abstract] = ACTIONS(12844),
    [anon_sym_primitive] = ACTIONS(12844),
    [anon_sym_mutable] = ACTIONS(12844),
    [anon_sym_struct] = ACTIONS(12844),
    [anon_sym_function] = ACTIONS(12844),
    [anon_sym_macro] = ACTIONS(12844),
    [anon_sym_where] = ACTIONS(12844),
    [anon_sym_quote] = ACTIONS(12844),
    [anon_sym_let] = ACTIONS(12844),
    [anon_sym_if] = ACTIONS(12844),
    [anon_sym_else] = ACTIONS(12844),
    [anon_sym_try] = ACTIONS(12844),
    [anon_sym_finally] = ACTIONS(12844),
    [anon_sym_for] = ACTIONS(12844),
    [anon_sym_while] = ACTIONS(12844),
    [sym_break_statement] = ACTIONS(12844),
    [sym_continue_statement] = ACTIONS(12844),
    [anon_sym_return] = ACTIONS(12844),
    [anon_sym_const] = ACTIONS(12844),
    [anon_sym_global] = ACTIONS(12844),
    [anon_sym_local] = ACTIONS(12844),
    [anon_sym_as] = ACTIONS(12844),
    [anon_sym_LPAREN] = ACTIONS(12844),
    [anon_sym_COLON2] = ACTIONS(12844),
    [anon_sym_export] = ACTIONS(12844),
    [anon_sym_import] = ACTIONS(12844),
    [anon_sym_using] = ACTIONS(12844),
    [anon_sym_LBRACK] = ACTIONS(12844),
    [anon_sym_LF] = ACTIONS(12846),
    [anon_sym_in] = ACTIONS(12844),
    [anon_sym_LBRACE] = ACTIONS(12844),
    [anon_sym_DOT] = ACTIONS(12848),
    [anon_sym_DOLLAR] = ACTIONS(12844),
    [anon_sym_COLON_COLON] = ACTIONS(12844),
    [anon_sym_isa] = ACTIONS(12844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12844),
    [anon_sym_QMARK] = ACTIONS(12844),
    [anon_sym_AT] = ACTIONS(12844),
    [anon_sym_true] = ACTIONS(12844),
    [anon_sym_false] = ACTIONS(12844),
    [aux_sym_integer_literal_token1] = ACTIONS(12844),
    [aux_sym_integer_literal_token2] = ACTIONS(12844),
    [aux_sym_integer_literal_token3] = ACTIONS(12844),
    [aux_sym_integer_literal_token4] = ACTIONS(12844),
    [aux_sym_float_literal_token1] = ACTIONS(12844),
    [aux_sym_float_literal_token3] = ACTIONS(12844),
    [aux_sym_float_literal_token4] = ACTIONS(12844),
    [sym_character_literal] = ACTIONS(12844),
    [sym__pair_operator] = ACTIONS(12844),
    [sym__arrow_operator] = ACTIONS(12844),
    [sym__lazy_or_operator] = ACTIONS(12844),
    [sym__lazy_and_operator] = ACTIONS(12844),
    [sym__comparison_operator] = ACTIONS(12844),
    [sym__pipe_right_operator] = ACTIONS(12844),
    [sym__pipe_left_operator] = ACTIONS(12844),
    [sym__ellipsis_operator] = ACTIONS(12844),
    [sym__plus_operator] = ACTIONS(12844),
    [sym__times_operator] = ACTIONS(12844),
    [sym__rational_operator] = ACTIONS(12844),
    [sym__bitshift_operator] = ACTIONS(12844),
    [sym__power_operator] = ACTIONS(12844),
    [sym__tilde_operator] = ACTIONS(12844),
    [sym__type_order_operator] = ACTIONS(12844),
    [sym__unary_operator] = ACTIONS(12844),
    [sym__unary_plus_operator] = ACTIONS(12844),
    [aux_sym__terminator_token1] = ACTIONS(12844),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12846),
    [sym__command_start] = ACTIONS(12846),
  },
  [6660] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_else] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_as] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6661] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_else] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_as] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6662] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6663] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_else] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_as] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6664] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_else] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_as] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6665] = {
    [sym__word_identifier] = ACTIONS(12850),
    [anon_sym_EQ] = ACTIONS(12850),
    [anon_sym_COMMA] = ACTIONS(12850),
    [anon_sym_COLON] = ACTIONS(12850),
    [anon_sym_begin] = ACTIONS(12850),
    [anon_sym_module] = ACTIONS(12850),
    [anon_sym_baremodule] = ACTIONS(12850),
    [anon_sym_end] = ACTIONS(12850),
    [anon_sym_abstract] = ACTIONS(12850),
    [anon_sym_primitive] = ACTIONS(12850),
    [anon_sym_mutable] = ACTIONS(12850),
    [anon_sym_struct] = ACTIONS(12850),
    [anon_sym_function] = ACTIONS(12850),
    [anon_sym_macro] = ACTIONS(12850),
    [anon_sym_where] = ACTIONS(12850),
    [anon_sym_quote] = ACTIONS(12850),
    [anon_sym_let] = ACTIONS(12850),
    [anon_sym_if] = ACTIONS(12850),
    [anon_sym_else] = ACTIONS(12850),
    [anon_sym_try] = ACTIONS(12850),
    [anon_sym_finally] = ACTIONS(12850),
    [anon_sym_for] = ACTIONS(12850),
    [anon_sym_while] = ACTIONS(12850),
    [sym_break_statement] = ACTIONS(12850),
    [sym_continue_statement] = ACTIONS(12850),
    [anon_sym_return] = ACTIONS(12850),
    [anon_sym_const] = ACTIONS(12850),
    [anon_sym_global] = ACTIONS(12850),
    [anon_sym_local] = ACTIONS(12850),
    [anon_sym_as] = ACTIONS(12850),
    [anon_sym_LPAREN] = ACTIONS(12850),
    [anon_sym_COLON2] = ACTIONS(12850),
    [anon_sym_export] = ACTIONS(12850),
    [anon_sym_import] = ACTIONS(12850),
    [anon_sym_using] = ACTIONS(12850),
    [anon_sym_LBRACK] = ACTIONS(12850),
    [anon_sym_LF] = ACTIONS(12852),
    [anon_sym_in] = ACTIONS(12850),
    [anon_sym_LBRACE] = ACTIONS(12850),
    [anon_sym_DOT] = ACTIONS(12848),
    [anon_sym_DOLLAR] = ACTIONS(12850),
    [anon_sym_COLON_COLON] = ACTIONS(12850),
    [anon_sym_isa] = ACTIONS(12850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12850),
    [anon_sym_QMARK] = ACTIONS(12850),
    [anon_sym_AT] = ACTIONS(12850),
    [anon_sym_true] = ACTIONS(12850),
    [anon_sym_false] = ACTIONS(12850),
    [aux_sym_integer_literal_token1] = ACTIONS(12850),
    [aux_sym_integer_literal_token2] = ACTIONS(12850),
    [aux_sym_integer_literal_token3] = ACTIONS(12850),
    [aux_sym_integer_literal_token4] = ACTIONS(12850),
    [aux_sym_float_literal_token1] = ACTIONS(12850),
    [aux_sym_float_literal_token3] = ACTIONS(12850),
    [aux_sym_float_literal_token4] = ACTIONS(12850),
    [sym_character_literal] = ACTIONS(12850),
    [sym__pair_operator] = ACTIONS(12850),
    [sym__arrow_operator] = ACTIONS(12850),
    [sym__lazy_or_operator] = ACTIONS(12850),
    [sym__lazy_and_operator] = ACTIONS(12850),
    [sym__comparison_operator] = ACTIONS(12850),
    [sym__pipe_right_operator] = ACTIONS(12850),
    [sym__pipe_left_operator] = ACTIONS(12850),
    [sym__ellipsis_operator] = ACTIONS(12850),
    [sym__plus_operator] = ACTIONS(12850),
    [sym__times_operator] = ACTIONS(12850),
    [sym__rational_operator] = ACTIONS(12850),
    [sym__bitshift_operator] = ACTIONS(12850),
    [sym__power_operator] = ACTIONS(12850),
    [sym__tilde_operator] = ACTIONS(12850),
    [sym__type_order_operator] = ACTIONS(12850),
    [sym__unary_operator] = ACTIONS(12850),
    [sym__unary_plus_operator] = ACTIONS(12850),
    [aux_sym__terminator_token1] = ACTIONS(12850),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12852),
    [sym__command_start] = ACTIONS(12852),
  },
  [6666] = {
    [sym_identifier] = STATE(7283),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11968),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_as] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11968),
    [anon_sym_RPAREN] = ACTIONS(11968),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11968),
    [anon_sym_RBRACK] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_SEMI] = ACTIONS(11968),
    [anon_sym_LBRACE] = ACTIONS(11968),
    [anon_sym_RBRACE] = ACTIONS(11968),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11968),
    [anon_sym_COLON_COLON] = ACTIONS(11968),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11968),
    [anon_sym_QMARK] = ACTIONS(11968),
    [anon_sym_AT] = ACTIONS(11968),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11968),
    [aux_sym_integer_literal_token2] = ACTIONS(11968),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11968),
    [aux_sym_float_literal_token3] = ACTIONS(11968),
    [aux_sym_float_literal_token4] = ACTIONS(11968),
    [sym_character_literal] = ACTIONS(11968),
    [sym__pair_operator] = ACTIONS(11968),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11968),
    [sym__lazy_and_operator] = ACTIONS(11968),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11968),
    [sym__pipe_left_operator] = ACTIONS(11968),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11968),
    [sym__bitshift_operator] = ACTIONS(11968),
    [sym__power_operator] = ACTIONS(11968),
    [sym__tilde_operator] = ACTIONS(11968),
    [sym__type_order_operator] = ACTIONS(11968),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6667] = {
    [sym_identifier] = STATE(7284),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11980),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_as] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11980),
    [anon_sym_RPAREN] = ACTIONS(11980),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11980),
    [anon_sym_RBRACK] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_SEMI] = ACTIONS(11980),
    [anon_sym_LBRACE] = ACTIONS(11980),
    [anon_sym_RBRACE] = ACTIONS(11980),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11980),
    [anon_sym_COLON_COLON] = ACTIONS(11980),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11980),
    [anon_sym_QMARK] = ACTIONS(11980),
    [anon_sym_AT] = ACTIONS(11980),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11980),
    [aux_sym_integer_literal_token2] = ACTIONS(11980),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11980),
    [aux_sym_float_literal_token3] = ACTIONS(11980),
    [aux_sym_float_literal_token4] = ACTIONS(11980),
    [sym_character_literal] = ACTIONS(11980),
    [sym__pair_operator] = ACTIONS(11980),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11980),
    [sym__lazy_and_operator] = ACTIONS(11980),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11980),
    [sym__pipe_left_operator] = ACTIONS(11980),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11980),
    [sym__bitshift_operator] = ACTIONS(11980),
    [sym__power_operator] = ACTIONS(11980),
    [sym__tilde_operator] = ACTIONS(11980),
    [sym__type_order_operator] = ACTIONS(11980),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6668] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_elseif] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6669] = {
    [sym_identifier] = STATE(7287),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11986),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_as] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11986),
    [anon_sym_RPAREN] = ACTIONS(11986),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11986),
    [anon_sym_RBRACK] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_SEMI] = ACTIONS(11986),
    [anon_sym_LBRACE] = ACTIONS(11986),
    [anon_sym_RBRACE] = ACTIONS(11986),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11986),
    [anon_sym_COLON_COLON] = ACTIONS(11986),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11986),
    [anon_sym_QMARK] = ACTIONS(11986),
    [anon_sym_AT] = ACTIONS(11986),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11986),
    [aux_sym_integer_literal_token2] = ACTIONS(11986),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11986),
    [aux_sym_float_literal_token3] = ACTIONS(11986),
    [aux_sym_float_literal_token4] = ACTIONS(11986),
    [sym_character_literal] = ACTIONS(11986),
    [sym__pair_operator] = ACTIONS(11986),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11986),
    [sym__lazy_and_operator] = ACTIONS(11986),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11986),
    [sym__pipe_left_operator] = ACTIONS(11986),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11986),
    [sym__bitshift_operator] = ACTIONS(11986),
    [sym__power_operator] = ACTIONS(11986),
    [sym__tilde_operator] = ACTIONS(11986),
    [sym__type_order_operator] = ACTIONS(11986),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6670] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_elseif] = ACTIONS(12706),
    [anon_sym_else] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_as] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6671] = {
    [ts_builtin_sym_end] = ACTIONS(12676),
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_RBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12854),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6672] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_else] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_as] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6673] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_else] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_as] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6674] = {
    [sym_identifier] = STATE(7164),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11990),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_as] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11990),
    [anon_sym_RPAREN] = ACTIONS(11990),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11990),
    [anon_sym_RBRACK] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_SEMI] = ACTIONS(11990),
    [anon_sym_LBRACE] = ACTIONS(11990),
    [anon_sym_RBRACE] = ACTIONS(11990),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11990),
    [anon_sym_COLON_COLON] = ACTIONS(11990),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11990),
    [anon_sym_QMARK] = ACTIONS(11990),
    [anon_sym_AT] = ACTIONS(11990),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11990),
    [aux_sym_integer_literal_token2] = ACTIONS(11990),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11990),
    [aux_sym_float_literal_token3] = ACTIONS(11990),
    [aux_sym_float_literal_token4] = ACTIONS(11990),
    [sym_character_literal] = ACTIONS(11990),
    [sym__pair_operator] = ACTIONS(11990),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11990),
    [sym__lazy_and_operator] = ACTIONS(11990),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11990),
    [sym__pipe_left_operator] = ACTIONS(11990),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11990),
    [sym__bitshift_operator] = ACTIONS(11990),
    [sym__power_operator] = ACTIONS(11990),
    [sym__tilde_operator] = ACTIONS(11990),
    [sym__type_order_operator] = ACTIONS(11990),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6675] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_else] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_as] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6676] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_else] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_as] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6677] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11886),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11886),
    [anon_sym_RPAREN] = ACTIONS(11886),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11886),
    [anon_sym_RBRACK] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11886),
    [anon_sym_RBRACE] = ACTIONS(11886),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11886),
    [anon_sym_COLON_COLON] = ACTIONS(11886),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11886),
    [anon_sym_QMARK] = ACTIONS(11886),
    [anon_sym_AT] = ACTIONS(11886),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11886),
    [aux_sym_integer_literal_token2] = ACTIONS(11886),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11886),
    [aux_sym_float_literal_token3] = ACTIONS(11886),
    [aux_sym_float_literal_token4] = ACTIONS(11886),
    [sym_character_literal] = ACTIONS(11886),
    [sym__pair_operator] = ACTIONS(11886),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11886),
    [sym__lazy_and_operator] = ACTIONS(11886),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11886),
    [sym__pipe_left_operator] = ACTIONS(11886),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11886),
    [sym__bitshift_operator] = ACTIONS(11886),
    [sym__power_operator] = ACTIONS(11886),
    [sym__tilde_operator] = ACTIONS(11886),
    [sym__type_order_operator] = ACTIONS(11886),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12856),
    [sym__immediate_command_start] = ACTIONS(12858),
  },
  [6678] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12860),
    [sym__immediate_command_start] = ACTIONS(12862),
  },
  [6679] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6680] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11928),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11928),
    [anon_sym_RPAREN] = ACTIONS(11928),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11928),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11928),
    [anon_sym_RBRACE] = ACTIONS(11928),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11928),
    [anon_sym_COLON_COLON] = ACTIONS(11928),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11928),
    [anon_sym_QMARK] = ACTIONS(11928),
    [anon_sym_AT] = ACTIONS(11928),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11928),
    [aux_sym_integer_literal_token2] = ACTIONS(11928),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11928),
    [aux_sym_float_literal_token3] = ACTIONS(11928),
    [aux_sym_float_literal_token4] = ACTIONS(11928),
    [sym_character_literal] = ACTIONS(11928),
    [sym__pair_operator] = ACTIONS(11928),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11928),
    [sym__lazy_and_operator] = ACTIONS(11928),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11928),
    [sym__pipe_left_operator] = ACTIONS(11928),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11928),
    [sym__bitshift_operator] = ACTIONS(11928),
    [sym__power_operator] = ACTIONS(11928),
    [sym__tilde_operator] = ACTIONS(11928),
    [sym__type_order_operator] = ACTIONS(11928),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12856),
    [sym__immediate_command_start] = ACTIONS(12858),
  },
  [6681] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_elseif] = ACTIONS(12342),
    [anon_sym_else] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_as] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6682] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_RPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_SEMI] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12704),
    [sym__immediate_bracket] = ACTIONS(12704),
    [sym__immediate_brace] = ACTIONS(12704),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6683] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_as] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6684] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_as] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6685] = {
    [sym_identifier] = STATE(6942),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_elseif] = ACTIONS(11992),
    [anon_sym_else] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6686] = {
    [sym_identifier] = STATE(6951),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_elseif] = ACTIONS(11988),
    [anon_sym_else] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6687] = {
    [aux_sym__import_list_repeat1] = STATE(7137),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12866),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_else] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_finally] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(12868),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12870),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [6688] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_as] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6689] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6690] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_elseif] = ACTIONS(12318),
    [anon_sym_else] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_as] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6691] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_elseif] = ACTIONS(12348),
    [anon_sym_else] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_as] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6692] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_elseif] = ACTIONS(12210),
    [anon_sym_else] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_as] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6693] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_elseif] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6694] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6695] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_elseif] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_as] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6696] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12822),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6697] = {
    [sym__word_identifier] = ACTIONS(12874),
    [anon_sym_EQ] = ACTIONS(12874),
    [anon_sym_COMMA] = ACTIONS(12874),
    [anon_sym_COLON] = ACTIONS(12874),
    [anon_sym_begin] = ACTIONS(12874),
    [anon_sym_module] = ACTIONS(12874),
    [anon_sym_baremodule] = ACTIONS(12874),
    [anon_sym_end] = ACTIONS(12874),
    [anon_sym_abstract] = ACTIONS(12874),
    [anon_sym_primitive] = ACTIONS(12874),
    [anon_sym_mutable] = ACTIONS(12874),
    [anon_sym_struct] = ACTIONS(12874),
    [anon_sym_function] = ACTIONS(12874),
    [anon_sym_macro] = ACTIONS(12874),
    [anon_sym_where] = ACTIONS(12874),
    [anon_sym_quote] = ACTIONS(12874),
    [anon_sym_let] = ACTIONS(12874),
    [anon_sym_if] = ACTIONS(12874),
    [anon_sym_else] = ACTIONS(12874),
    [anon_sym_try] = ACTIONS(12874),
    [anon_sym_finally] = ACTIONS(12874),
    [anon_sym_for] = ACTIONS(12874),
    [anon_sym_while] = ACTIONS(12874),
    [sym_break_statement] = ACTIONS(12874),
    [sym_continue_statement] = ACTIONS(12874),
    [anon_sym_return] = ACTIONS(12874),
    [anon_sym_const] = ACTIONS(12874),
    [anon_sym_global] = ACTIONS(12874),
    [anon_sym_local] = ACTIONS(12874),
    [anon_sym_as] = ACTIONS(12874),
    [anon_sym_LPAREN] = ACTIONS(12874),
    [anon_sym_COLON2] = ACTIONS(12874),
    [anon_sym_export] = ACTIONS(12874),
    [anon_sym_import] = ACTIONS(12874),
    [anon_sym_using] = ACTIONS(12874),
    [anon_sym_LBRACK] = ACTIONS(12874),
    [anon_sym_LF] = ACTIONS(12876),
    [anon_sym_in] = ACTIONS(12874),
    [anon_sym_LBRACE] = ACTIONS(12874),
    [anon_sym_DOT] = ACTIONS(12848),
    [anon_sym_DOLLAR] = ACTIONS(12874),
    [anon_sym_COLON_COLON] = ACTIONS(12874),
    [anon_sym_isa] = ACTIONS(12874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12874),
    [anon_sym_QMARK] = ACTIONS(12874),
    [anon_sym_AT] = ACTIONS(12874),
    [anon_sym_true] = ACTIONS(12874),
    [anon_sym_false] = ACTIONS(12874),
    [aux_sym_integer_literal_token1] = ACTIONS(12874),
    [aux_sym_integer_literal_token2] = ACTIONS(12874),
    [aux_sym_integer_literal_token3] = ACTIONS(12874),
    [aux_sym_integer_literal_token4] = ACTIONS(12874),
    [aux_sym_float_literal_token1] = ACTIONS(12874),
    [aux_sym_float_literal_token3] = ACTIONS(12874),
    [aux_sym_float_literal_token4] = ACTIONS(12874),
    [sym_character_literal] = ACTIONS(12874),
    [sym__pair_operator] = ACTIONS(12874),
    [sym__arrow_operator] = ACTIONS(12874),
    [sym__lazy_or_operator] = ACTIONS(12874),
    [sym__lazy_and_operator] = ACTIONS(12874),
    [sym__comparison_operator] = ACTIONS(12874),
    [sym__pipe_right_operator] = ACTIONS(12874),
    [sym__pipe_left_operator] = ACTIONS(12874),
    [sym__ellipsis_operator] = ACTIONS(12874),
    [sym__plus_operator] = ACTIONS(12874),
    [sym__times_operator] = ACTIONS(12874),
    [sym__rational_operator] = ACTIONS(12874),
    [sym__bitshift_operator] = ACTIONS(12874),
    [sym__power_operator] = ACTIONS(12874),
    [sym__tilde_operator] = ACTIONS(12874),
    [sym__type_order_operator] = ACTIONS(12874),
    [sym__unary_operator] = ACTIONS(12874),
    [sym__unary_plus_operator] = ACTIONS(12874),
    [aux_sym__terminator_token1] = ACTIONS(12874),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12876),
    [sym__command_start] = ACTIONS(12876),
  },
  [6698] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6699] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_elseif] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6700] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_SQUOTE] = ACTIONS(12730),
    [anon_sym_DOT] = ACTIONS(12794),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__assignment_operator] = ACTIONS(12796),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__immediate_bracket] = ACTIONS(12738),
    [sym__immediate_brace] = ACTIONS(12740),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6701] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12878),
    [sym__immediate_command_start] = ACTIONS(12880),
  },
  [6702] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_elseif] = ACTIONS(12250),
    [anon_sym_else] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_as] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6703] = {
    [sym_identifier] = STATE(6989),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_elseif] = ACTIONS(11978),
    [anon_sym_else] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6704] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12646),
    [anon_sym_DOT] = ACTIONS(12648),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12882),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12652),
    [sym__immediate_bracket] = ACTIONS(12654),
    [sym__immediate_brace] = ACTIONS(12656),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6705] = {
    [sym_identifier] = STATE(6990),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_elseif] = ACTIONS(11966),
    [anon_sym_else] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6706] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_elseif] = ACTIONS(12156),
    [anon_sym_else] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_as] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6707] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12884),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6708] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12886),
    [sym__immediate_command_start] = ACTIONS(12888),
  },
  [6709] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_elseif] = ACTIONS(12170),
    [anon_sym_else] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_as] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6710] = {
    [aux_sym__import_list_repeat1] = STATE(7087),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12890),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_elseif] = ACTIONS(12864),
    [anon_sym_else] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(12892),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12894),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [6711] = {
    [sym__word_identifier] = ACTIONS(12850),
    [anon_sym_EQ] = ACTIONS(12850),
    [anon_sym_COMMA] = ACTIONS(12850),
    [anon_sym_COLON] = ACTIONS(12850),
    [anon_sym_begin] = ACTIONS(12850),
    [anon_sym_module] = ACTIONS(12850),
    [anon_sym_baremodule] = ACTIONS(12850),
    [anon_sym_end] = ACTIONS(12850),
    [anon_sym_abstract] = ACTIONS(12850),
    [anon_sym_primitive] = ACTIONS(12850),
    [anon_sym_mutable] = ACTIONS(12850),
    [anon_sym_struct] = ACTIONS(12850),
    [anon_sym_function] = ACTIONS(12850),
    [anon_sym_macro] = ACTIONS(12850),
    [anon_sym_where] = ACTIONS(12850),
    [anon_sym_quote] = ACTIONS(12850),
    [anon_sym_let] = ACTIONS(12850),
    [anon_sym_if] = ACTIONS(12850),
    [anon_sym_elseif] = ACTIONS(12850),
    [anon_sym_else] = ACTIONS(12850),
    [anon_sym_try] = ACTIONS(12850),
    [anon_sym_for] = ACTIONS(12850),
    [anon_sym_while] = ACTIONS(12850),
    [sym_break_statement] = ACTIONS(12850),
    [sym_continue_statement] = ACTIONS(12850),
    [anon_sym_return] = ACTIONS(12850),
    [anon_sym_const] = ACTIONS(12850),
    [anon_sym_global] = ACTIONS(12850),
    [anon_sym_local] = ACTIONS(12850),
    [anon_sym_as] = ACTIONS(12850),
    [anon_sym_LPAREN] = ACTIONS(12850),
    [anon_sym_COLON2] = ACTIONS(12850),
    [anon_sym_export] = ACTIONS(12850),
    [anon_sym_import] = ACTIONS(12850),
    [anon_sym_using] = ACTIONS(12850),
    [anon_sym_LBRACK] = ACTIONS(12850),
    [anon_sym_LF] = ACTIONS(12852),
    [anon_sym_in] = ACTIONS(12850),
    [anon_sym_LBRACE] = ACTIONS(12850),
    [anon_sym_DOT] = ACTIONS(12896),
    [anon_sym_DOLLAR] = ACTIONS(12850),
    [anon_sym_COLON_COLON] = ACTIONS(12850),
    [anon_sym_isa] = ACTIONS(12850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12850),
    [anon_sym_QMARK] = ACTIONS(12850),
    [anon_sym_AT] = ACTIONS(12850),
    [anon_sym_true] = ACTIONS(12850),
    [anon_sym_false] = ACTIONS(12850),
    [aux_sym_integer_literal_token1] = ACTIONS(12850),
    [aux_sym_integer_literal_token2] = ACTIONS(12850),
    [aux_sym_integer_literal_token3] = ACTIONS(12850),
    [aux_sym_integer_literal_token4] = ACTIONS(12850),
    [aux_sym_float_literal_token1] = ACTIONS(12850),
    [aux_sym_float_literal_token3] = ACTIONS(12850),
    [aux_sym_float_literal_token4] = ACTIONS(12850),
    [sym_character_literal] = ACTIONS(12850),
    [sym__pair_operator] = ACTIONS(12850),
    [sym__arrow_operator] = ACTIONS(12850),
    [sym__lazy_or_operator] = ACTIONS(12850),
    [sym__lazy_and_operator] = ACTIONS(12850),
    [sym__comparison_operator] = ACTIONS(12850),
    [sym__pipe_right_operator] = ACTIONS(12850),
    [sym__pipe_left_operator] = ACTIONS(12850),
    [sym__ellipsis_operator] = ACTIONS(12850),
    [sym__plus_operator] = ACTIONS(12850),
    [sym__times_operator] = ACTIONS(12850),
    [sym__rational_operator] = ACTIONS(12850),
    [sym__bitshift_operator] = ACTIONS(12850),
    [sym__power_operator] = ACTIONS(12850),
    [sym__tilde_operator] = ACTIONS(12850),
    [sym__type_order_operator] = ACTIONS(12850),
    [sym__unary_operator] = ACTIONS(12850),
    [sym__unary_plus_operator] = ACTIONS(12850),
    [aux_sym__terminator_token1] = ACTIONS(12850),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12852),
    [sym__command_start] = ACTIONS(12852),
  },
  [6712] = {
    [sym__word_identifier] = ACTIONS(12844),
    [anon_sym_EQ] = ACTIONS(12844),
    [anon_sym_COMMA] = ACTIONS(12844),
    [anon_sym_COLON] = ACTIONS(12844),
    [anon_sym_begin] = ACTIONS(12844),
    [anon_sym_module] = ACTIONS(12844),
    [anon_sym_baremodule] = ACTIONS(12844),
    [anon_sym_end] = ACTIONS(12844),
    [anon_sym_abstract] = ACTIONS(12844),
    [anon_sym_primitive] = ACTIONS(12844),
    [anon_sym_mutable] = ACTIONS(12844),
    [anon_sym_struct] = ACTIONS(12844),
    [anon_sym_function] = ACTIONS(12844),
    [anon_sym_macro] = ACTIONS(12844),
    [anon_sym_where] = ACTIONS(12844),
    [anon_sym_quote] = ACTIONS(12844),
    [anon_sym_let] = ACTIONS(12844),
    [anon_sym_if] = ACTIONS(12844),
    [anon_sym_elseif] = ACTIONS(12844),
    [anon_sym_else] = ACTIONS(12844),
    [anon_sym_try] = ACTIONS(12844),
    [anon_sym_for] = ACTIONS(12844),
    [anon_sym_while] = ACTIONS(12844),
    [sym_break_statement] = ACTIONS(12844),
    [sym_continue_statement] = ACTIONS(12844),
    [anon_sym_return] = ACTIONS(12844),
    [anon_sym_const] = ACTIONS(12844),
    [anon_sym_global] = ACTIONS(12844),
    [anon_sym_local] = ACTIONS(12844),
    [anon_sym_as] = ACTIONS(12844),
    [anon_sym_LPAREN] = ACTIONS(12844),
    [anon_sym_COLON2] = ACTIONS(12844),
    [anon_sym_export] = ACTIONS(12844),
    [anon_sym_import] = ACTIONS(12844),
    [anon_sym_using] = ACTIONS(12844),
    [anon_sym_LBRACK] = ACTIONS(12844),
    [anon_sym_LF] = ACTIONS(12846),
    [anon_sym_in] = ACTIONS(12844),
    [anon_sym_LBRACE] = ACTIONS(12844),
    [anon_sym_DOT] = ACTIONS(12896),
    [anon_sym_DOLLAR] = ACTIONS(12844),
    [anon_sym_COLON_COLON] = ACTIONS(12844),
    [anon_sym_isa] = ACTIONS(12844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12844),
    [anon_sym_QMARK] = ACTIONS(12844),
    [anon_sym_AT] = ACTIONS(12844),
    [anon_sym_true] = ACTIONS(12844),
    [anon_sym_false] = ACTIONS(12844),
    [aux_sym_integer_literal_token1] = ACTIONS(12844),
    [aux_sym_integer_literal_token2] = ACTIONS(12844),
    [aux_sym_integer_literal_token3] = ACTIONS(12844),
    [aux_sym_integer_literal_token4] = ACTIONS(12844),
    [aux_sym_float_literal_token1] = ACTIONS(12844),
    [aux_sym_float_literal_token3] = ACTIONS(12844),
    [aux_sym_float_literal_token4] = ACTIONS(12844),
    [sym_character_literal] = ACTIONS(12844),
    [sym__pair_operator] = ACTIONS(12844),
    [sym__arrow_operator] = ACTIONS(12844),
    [sym__lazy_or_operator] = ACTIONS(12844),
    [sym__lazy_and_operator] = ACTIONS(12844),
    [sym__comparison_operator] = ACTIONS(12844),
    [sym__pipe_right_operator] = ACTIONS(12844),
    [sym__pipe_left_operator] = ACTIONS(12844),
    [sym__ellipsis_operator] = ACTIONS(12844),
    [sym__plus_operator] = ACTIONS(12844),
    [sym__times_operator] = ACTIONS(12844),
    [sym__rational_operator] = ACTIONS(12844),
    [sym__bitshift_operator] = ACTIONS(12844),
    [sym__power_operator] = ACTIONS(12844),
    [sym__tilde_operator] = ACTIONS(12844),
    [sym__type_order_operator] = ACTIONS(12844),
    [sym__unary_operator] = ACTIONS(12844),
    [sym__unary_plus_operator] = ACTIONS(12844),
    [aux_sym__terminator_token1] = ACTIONS(12844),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12846),
    [sym__command_start] = ACTIONS(12846),
  },
  [6713] = {
    [sym_identifier] = STATE(6926),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_as] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6714] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12898),
    [sym__immediate_command_start] = ACTIONS(12900),
  },
  [6715] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6716] = {
    [sym_identifier] = STATE(6927),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_as] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6717] = {
    [sym_identifier] = STATE(6939),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_as] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6718] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11960),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12902),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11960),
    [sym__bitshift_operator] = ACTIONS(11960),
    [sym__power_operator] = ACTIONS(11960),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6719] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_elseif] = ACTIONS(12176),
    [anon_sym_else] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_as] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6720] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_elseif] = ACTIONS(12180),
    [anon_sym_else] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_as] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6721] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_elseif] = ACTIONS(12184),
    [anon_sym_else] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_as] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6722] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_elseif] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12896),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6723] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_elseif] = ACTIONS(12188),
    [anon_sym_else] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_as] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6724] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_as] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6725] = {
    [sym_identifier] = STATE(6941),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_as] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6726] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_elseif] = ACTIONS(12192),
    [anon_sym_else] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_as] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6727] = {
    [sym__word_identifier] = ACTIONS(12874),
    [anon_sym_EQ] = ACTIONS(12874),
    [anon_sym_COMMA] = ACTIONS(12874),
    [anon_sym_COLON] = ACTIONS(12874),
    [anon_sym_begin] = ACTIONS(12874),
    [anon_sym_module] = ACTIONS(12874),
    [anon_sym_baremodule] = ACTIONS(12874),
    [anon_sym_end] = ACTIONS(12874),
    [anon_sym_abstract] = ACTIONS(12874),
    [anon_sym_primitive] = ACTIONS(12874),
    [anon_sym_mutable] = ACTIONS(12874),
    [anon_sym_struct] = ACTIONS(12874),
    [anon_sym_function] = ACTIONS(12874),
    [anon_sym_macro] = ACTIONS(12874),
    [anon_sym_where] = ACTIONS(12874),
    [anon_sym_quote] = ACTIONS(12874),
    [anon_sym_let] = ACTIONS(12874),
    [anon_sym_if] = ACTIONS(12874),
    [anon_sym_elseif] = ACTIONS(12874),
    [anon_sym_else] = ACTIONS(12874),
    [anon_sym_try] = ACTIONS(12874),
    [anon_sym_for] = ACTIONS(12874),
    [anon_sym_while] = ACTIONS(12874),
    [sym_break_statement] = ACTIONS(12874),
    [sym_continue_statement] = ACTIONS(12874),
    [anon_sym_return] = ACTIONS(12874),
    [anon_sym_const] = ACTIONS(12874),
    [anon_sym_global] = ACTIONS(12874),
    [anon_sym_local] = ACTIONS(12874),
    [anon_sym_as] = ACTIONS(12874),
    [anon_sym_LPAREN] = ACTIONS(12874),
    [anon_sym_COLON2] = ACTIONS(12874),
    [anon_sym_export] = ACTIONS(12874),
    [anon_sym_import] = ACTIONS(12874),
    [anon_sym_using] = ACTIONS(12874),
    [anon_sym_LBRACK] = ACTIONS(12874),
    [anon_sym_LF] = ACTIONS(12876),
    [anon_sym_in] = ACTIONS(12874),
    [anon_sym_LBRACE] = ACTIONS(12874),
    [anon_sym_DOT] = ACTIONS(12896),
    [anon_sym_DOLLAR] = ACTIONS(12874),
    [anon_sym_COLON_COLON] = ACTIONS(12874),
    [anon_sym_isa] = ACTIONS(12874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12874),
    [anon_sym_QMARK] = ACTIONS(12874),
    [anon_sym_AT] = ACTIONS(12874),
    [anon_sym_true] = ACTIONS(12874),
    [anon_sym_false] = ACTIONS(12874),
    [aux_sym_integer_literal_token1] = ACTIONS(12874),
    [aux_sym_integer_literal_token2] = ACTIONS(12874),
    [aux_sym_integer_literal_token3] = ACTIONS(12874),
    [aux_sym_integer_literal_token4] = ACTIONS(12874),
    [aux_sym_float_literal_token1] = ACTIONS(12874),
    [aux_sym_float_literal_token3] = ACTIONS(12874),
    [aux_sym_float_literal_token4] = ACTIONS(12874),
    [sym_character_literal] = ACTIONS(12874),
    [sym__pair_operator] = ACTIONS(12874),
    [sym__arrow_operator] = ACTIONS(12874),
    [sym__lazy_or_operator] = ACTIONS(12874),
    [sym__lazy_and_operator] = ACTIONS(12874),
    [sym__comparison_operator] = ACTIONS(12874),
    [sym__pipe_right_operator] = ACTIONS(12874),
    [sym__pipe_left_operator] = ACTIONS(12874),
    [sym__ellipsis_operator] = ACTIONS(12874),
    [sym__plus_operator] = ACTIONS(12874),
    [sym__times_operator] = ACTIONS(12874),
    [sym__rational_operator] = ACTIONS(12874),
    [sym__bitshift_operator] = ACTIONS(12874),
    [sym__power_operator] = ACTIONS(12874),
    [sym__tilde_operator] = ACTIONS(12874),
    [sym__type_order_operator] = ACTIONS(12874),
    [sym__unary_operator] = ACTIONS(12874),
    [sym__unary_plus_operator] = ACTIONS(12874),
    [aux_sym__terminator_token1] = ACTIONS(12874),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12876),
    [sym__command_start] = ACTIONS(12876),
  },
  [6728] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_elseif] = ACTIONS(12196),
    [anon_sym_else] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_as] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6729] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6730] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6731] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_elseif] = ACTIONS(12208),
    [anon_sym_else] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_as] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6732] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_elseif] = ACTIONS(12214),
    [anon_sym_else] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_as] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6733] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_elseif] = ACTIONS(12218),
    [anon_sym_else] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_as] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6734] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_elseif] = ACTIONS(12226),
    [anon_sym_else] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_as] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6735] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12904),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6736] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_elseif] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_as] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6737] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_elseif] = ACTIONS(12230),
    [anon_sym_else] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_as] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6738] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_elseif] = ACTIONS(12234),
    [anon_sym_else] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_as] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6739] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6740] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12790),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6741] = {
    [ts_builtin_sym_end] = ACTIONS(12228),
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_as] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_RPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_RBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6742] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_elseif] = ACTIONS(12254),
    [anon_sym_else] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_as] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6743] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_elseif] = ACTIONS(12258),
    [anon_sym_else] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_as] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6744] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11866),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11866),
    [anon_sym_RPAREN] = ACTIONS(11866),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11866),
    [anon_sym_RBRACK] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11866),
    [anon_sym_RBRACE] = ACTIONS(11866),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11866),
    [anon_sym_COLON_COLON] = ACTIONS(11866),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11866),
    [anon_sym_QMARK] = ACTIONS(11866),
    [anon_sym_AT] = ACTIONS(11866),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11866),
    [aux_sym_integer_literal_token2] = ACTIONS(11866),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11866),
    [aux_sym_float_literal_token3] = ACTIONS(11866),
    [aux_sym_float_literal_token4] = ACTIONS(11866),
    [sym_character_literal] = ACTIONS(11866),
    [sym__pair_operator] = ACTIONS(11866),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11866),
    [sym__lazy_and_operator] = ACTIONS(11866),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11866),
    [sym__pipe_left_operator] = ACTIONS(11866),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11866),
    [sym__bitshift_operator] = ACTIONS(11866),
    [sym__power_operator] = ACTIONS(11866),
    [sym__tilde_operator] = ACTIONS(11866),
    [sym__type_order_operator] = ACTIONS(11866),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6745] = {
    [ts_builtin_sym_end] = ACTIONS(12876),
    [sym__word_identifier] = ACTIONS(12874),
    [anon_sym_EQ] = ACTIONS(12874),
    [anon_sym_COMMA] = ACTIONS(12874),
    [anon_sym_COLON] = ACTIONS(12874),
    [anon_sym_begin] = ACTIONS(12874),
    [anon_sym_module] = ACTIONS(12874),
    [anon_sym_baremodule] = ACTIONS(12874),
    [anon_sym_abstract] = ACTIONS(12874),
    [anon_sym_primitive] = ACTIONS(12874),
    [anon_sym_mutable] = ACTIONS(12874),
    [anon_sym_struct] = ACTIONS(12874),
    [anon_sym_function] = ACTIONS(12874),
    [anon_sym_macro] = ACTIONS(12874),
    [anon_sym_where] = ACTIONS(12874),
    [anon_sym_quote] = ACTIONS(12874),
    [anon_sym_let] = ACTIONS(12874),
    [anon_sym_if] = ACTIONS(12874),
    [anon_sym_try] = ACTIONS(12874),
    [anon_sym_for] = ACTIONS(12874),
    [anon_sym_while] = ACTIONS(12874),
    [sym_break_statement] = ACTIONS(12874),
    [sym_continue_statement] = ACTIONS(12874),
    [anon_sym_return] = ACTIONS(12874),
    [anon_sym_const] = ACTIONS(12874),
    [anon_sym_global] = ACTIONS(12874),
    [anon_sym_local] = ACTIONS(12874),
    [anon_sym_as] = ACTIONS(12874),
    [anon_sym_LPAREN] = ACTIONS(12874),
    [anon_sym_RPAREN] = ACTIONS(12874),
    [anon_sym_COLON2] = ACTIONS(12874),
    [anon_sym_export] = ACTIONS(12874),
    [anon_sym_import] = ACTIONS(12874),
    [anon_sym_using] = ACTIONS(12874),
    [anon_sym_LBRACK] = ACTIONS(12874),
    [anon_sym_RBRACK] = ACTIONS(12874),
    [anon_sym_LF] = ACTIONS(12876),
    [anon_sym_in] = ACTIONS(12874),
    [anon_sym_LBRACE] = ACTIONS(12874),
    [anon_sym_DOT] = ACTIONS(12854),
    [anon_sym_DOLLAR] = ACTIONS(12874),
    [anon_sym_COLON_COLON] = ACTIONS(12874),
    [anon_sym_isa] = ACTIONS(12874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12874),
    [anon_sym_QMARK] = ACTIONS(12874),
    [anon_sym_AT] = ACTIONS(12874),
    [anon_sym_true] = ACTIONS(12874),
    [anon_sym_false] = ACTIONS(12874),
    [aux_sym_integer_literal_token1] = ACTIONS(12874),
    [aux_sym_integer_literal_token2] = ACTIONS(12874),
    [aux_sym_integer_literal_token3] = ACTIONS(12874),
    [aux_sym_integer_literal_token4] = ACTIONS(12874),
    [aux_sym_float_literal_token1] = ACTIONS(12874),
    [aux_sym_float_literal_token3] = ACTIONS(12874),
    [aux_sym_float_literal_token4] = ACTIONS(12874),
    [sym_character_literal] = ACTIONS(12874),
    [sym__pair_operator] = ACTIONS(12874),
    [sym__arrow_operator] = ACTIONS(12874),
    [sym__lazy_or_operator] = ACTIONS(12874),
    [sym__lazy_and_operator] = ACTIONS(12874),
    [sym__comparison_operator] = ACTIONS(12874),
    [sym__pipe_right_operator] = ACTIONS(12874),
    [sym__pipe_left_operator] = ACTIONS(12874),
    [sym__ellipsis_operator] = ACTIONS(12874),
    [sym__plus_operator] = ACTIONS(12874),
    [sym__times_operator] = ACTIONS(12874),
    [sym__rational_operator] = ACTIONS(12874),
    [sym__bitshift_operator] = ACTIONS(12874),
    [sym__power_operator] = ACTIONS(12874),
    [sym__tilde_operator] = ACTIONS(12874),
    [sym__type_order_operator] = ACTIONS(12874),
    [sym__unary_operator] = ACTIONS(12874),
    [sym__unary_plus_operator] = ACTIONS(12874),
    [aux_sym__terminator_token1] = ACTIONS(12874),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12876),
    [sym__command_start] = ACTIONS(12876),
  },
  [6746] = {
    [ts_builtin_sym_end] = ACTIONS(12212),
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_as] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_RPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_RBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6747] = {
    [sym_identifier] = STATE(6856),
    [ts_builtin_sym_end] = ACTIONS(11968),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_RPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_RBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6748] = {
    [sym_identifier] = STATE(6857),
    [ts_builtin_sym_end] = ACTIONS(11980),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_RPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_RBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6749] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_elseif] = ACTIONS(12262),
    [anon_sym_else] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_as] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6750] = {
    [sym_identifier] = STATE(6868),
    [ts_builtin_sym_end] = ACTIONS(11986),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_RPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_RBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6751] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_elseif] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_as] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6752] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6753] = {
    [ts_builtin_sym_end] = ACTIONS(12252),
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_as] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_RPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_RBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6754] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_elseif] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_as] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6755] = {
    [ts_builtin_sym_end] = ACTIONS(12158),
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_as] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_RPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_RBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6756] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_as] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6757] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12898),
    [sym__immediate_command_start] = ACTIONS(12900),
  },
  [6758] = {
    [sym_identifier] = STATE(6870),
    [ts_builtin_sym_end] = ACTIONS(11990),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_RPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_RBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6759] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_elseif] = ACTIONS(12288),
    [anon_sym_else] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_as] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6760] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_else] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_as] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6761] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_elseif] = ACTIONS(12296),
    [anon_sym_else] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_as] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6762] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_else] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_finally] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_as] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6763] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_elseif] = ACTIONS(12300),
    [anon_sym_else] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_as] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6764] = {
    [ts_builtin_sym_end] = ACTIONS(12346),
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_as] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_RPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_RBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6765] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_elseif] = ACTIONS(12136),
    [anon_sym_else] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_as] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6766] = {
    [ts_builtin_sym_end] = ACTIONS(12172),
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_as] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_RPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_RBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6767] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12906),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6768] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_elseif] = ACTIONS(12162),
    [anon_sym_else] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_as] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6769] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_elseif] = ACTIONS(12242),
    [anon_sym_else] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_as] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6770] = {
    [ts_builtin_sym_end] = ACTIONS(12324),
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_as] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_RBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6771] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6772] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12886),
    [sym__immediate_command_start] = ACTIONS(12888),
  },
  [6773] = {
    [ts_builtin_sym_end] = ACTIONS(12178),
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_as] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_RPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_RBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6774] = {
    [ts_builtin_sym_end] = ACTIONS(12182),
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_as] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_RPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_RBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6775] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_elseif] = ACTIONS(12246),
    [anon_sym_else] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_as] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6776] = {
    [ts_builtin_sym_end] = ACTIONS(12186),
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_as] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_RPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_RBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6777] = {
    [ts_builtin_sym_end] = ACTIONS(12190),
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_as] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_RPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_RBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6778] = {
    [ts_builtin_sym_end] = ACTIONS(12194),
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_as] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_RPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_RBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6779] = {
    [ts_builtin_sym_end] = ACTIONS(11928),
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_RBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6780] = {
    [ts_builtin_sym_end] = ACTIONS(12198),
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_as] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_RPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_RBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6781] = {
    [ts_builtin_sym_end] = ACTIONS(2186),
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_as] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6782] = {
    [ts_builtin_sym_end] = ACTIONS(12206),
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_as] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_RPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_RBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6783] = {
    [ts_builtin_sym_end] = ACTIONS(12216),
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_as] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_RPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_RBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6784] = {
    [ts_builtin_sym_end] = ACTIONS(12220),
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_as] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_RPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_RBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6785] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6786] = {
    [ts_builtin_sym_end] = ACTIONS(12022),
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_as] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_RBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6787] = {
    [ts_builtin_sym_end] = ACTIONS(12344),
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_as] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_RPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_RBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6788] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12768),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6789] = {
    [ts_builtin_sym_end] = ACTIONS(12232),
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_as] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_RPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_RBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6790] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12848),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6791] = {
    [ts_builtin_sym_end] = ACTIONS(12236),
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_as] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_RPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_RBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6792] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12908),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6793] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12910),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6794] = {
    [sym_identifier] = STATE(7162),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_catch] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_as] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6795] = {
    [sym_identifier] = STATE(7168),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_catch] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_as] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6796] = {
    [ts_builtin_sym_end] = ACTIONS(12256),
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_as] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_RPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_RBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6797] = {
    [sym_identifier] = STATE(7178),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_catch] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_as] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6798] = {
    [ts_builtin_sym_end] = ACTIONS(12260),
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_as] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_RPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_RBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6799] = {
    [sym_identifier] = STATE(7180),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_catch] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_as] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6800] = {
    [ts_builtin_sym_end] = ACTIONS(12264),
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_as] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_RPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_RBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6801] = {
    [ts_builtin_sym_end] = ACTIONS(12028),
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_as] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_RBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6802] = {
    [ts_builtin_sym_end] = ACTIONS(12110),
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_as] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_RBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6803] = {
    [aux_sym__import_list_repeat1] = STATE(7087),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12890),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_elseif] = ACTIONS(12864),
    [anon_sym_else] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(12892),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [6804] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12912),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6805] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12914),
    [sym__immediate_command_start] = ACTIONS(12916),
  },
  [6806] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12914),
    [sym__immediate_command_start] = ACTIONS(12916),
  },
  [6807] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_SQUOTE] = ACTIONS(12304),
    [anon_sym_DOT] = ACTIONS(12414),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__assignment_operator] = ACTIONS(12766),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__immediate_bracket] = ACTIONS(12312),
    [sym__immediate_brace] = ACTIONS(12314),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6808] = {
    [aux_sym__import_list_repeat1] = STATE(7084),
    [ts_builtin_sym_end] = ACTIONS(12872),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12918),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(12920),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_RPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_RBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [6809] = {
    [ts_builtin_sym_end] = ACTIONS(12290),
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_as] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_RPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_RBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6810] = {
    [ts_builtin_sym_end] = ACTIONS(12298),
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_as] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_RPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_RBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6811] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_elseif] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_as] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6812] = {
    [ts_builtin_sym_end] = ACTIONS(12060),
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_as] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_RBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6813] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_elseif] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_as] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6814] = {
    [ts_builtin_sym_end] = ACTIONS(12090),
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_as] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_RBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6815] = {
    [ts_builtin_sym_end] = ACTIONS(11972),
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_as] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_RBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6816] = {
    [aux_sym__import_list_repeat1] = STATE(7137),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12866),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_else] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_finally] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(12868),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [6817] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6818] = {
    [ts_builtin_sym_end] = ACTIONS(12704),
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_as] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_RPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_RBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6819] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [6820] = {
    [ts_builtin_sym_end] = ACTIONS(12316),
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_as] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_RPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_RBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6821] = {
    [ts_builtin_sym_end] = ACTIONS(12302),
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_as] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_RPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_RBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6822] = {
    [sym_identifier] = STATE(7236),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_else] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6823] = {
    [ts_builtin_sym_end] = ACTIONS(12138),
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_as] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_RPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_RBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6824] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12860),
    [sym__immediate_command_start] = ACTIONS(12862),
  },
  [6825] = {
    [sym_identifier] = STATE(7235),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_else] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6826] = {
    [sym_identifier] = STATE(7226),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_else] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6827] = {
    [ts_builtin_sym_end] = ACTIONS(12160),
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_as] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_RPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_RBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6828] = {
    [ts_builtin_sym_end] = ACTIONS(11886),
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_RBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6829] = {
    [sym_identifier] = STATE(7224),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_else] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6830] = {
    [ts_builtin_sym_end] = ACTIONS(12244),
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_as] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_RPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_RBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6831] = {
    [ts_builtin_sym_end] = ACTIONS(12248),
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_as] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_RPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_RBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6832] = {
    [ts_builtin_sym_end] = ACTIONS(11866),
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_RBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6833] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_elseif] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_as] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6834] = {
    [ts_builtin_sym_end] = ACTIONS(12846),
    [sym__word_identifier] = ACTIONS(12844),
    [anon_sym_EQ] = ACTIONS(12844),
    [anon_sym_COMMA] = ACTIONS(12844),
    [anon_sym_COLON] = ACTIONS(12844),
    [anon_sym_begin] = ACTIONS(12844),
    [anon_sym_module] = ACTIONS(12844),
    [anon_sym_baremodule] = ACTIONS(12844),
    [anon_sym_abstract] = ACTIONS(12844),
    [anon_sym_primitive] = ACTIONS(12844),
    [anon_sym_mutable] = ACTIONS(12844),
    [anon_sym_struct] = ACTIONS(12844),
    [anon_sym_function] = ACTIONS(12844),
    [anon_sym_macro] = ACTIONS(12844),
    [anon_sym_where] = ACTIONS(12844),
    [anon_sym_quote] = ACTIONS(12844),
    [anon_sym_let] = ACTIONS(12844),
    [anon_sym_if] = ACTIONS(12844),
    [anon_sym_try] = ACTIONS(12844),
    [anon_sym_for] = ACTIONS(12844),
    [anon_sym_while] = ACTIONS(12844),
    [sym_break_statement] = ACTIONS(12844),
    [sym_continue_statement] = ACTIONS(12844),
    [anon_sym_return] = ACTIONS(12844),
    [anon_sym_const] = ACTIONS(12844),
    [anon_sym_global] = ACTIONS(12844),
    [anon_sym_local] = ACTIONS(12844),
    [anon_sym_as] = ACTIONS(12844),
    [anon_sym_LPAREN] = ACTIONS(12844),
    [anon_sym_RPAREN] = ACTIONS(12844),
    [anon_sym_COLON2] = ACTIONS(12844),
    [anon_sym_export] = ACTIONS(12844),
    [anon_sym_import] = ACTIONS(12844),
    [anon_sym_using] = ACTIONS(12844),
    [anon_sym_LBRACK] = ACTIONS(12844),
    [anon_sym_RBRACK] = ACTIONS(12844),
    [anon_sym_LF] = ACTIONS(12846),
    [anon_sym_in] = ACTIONS(12844),
    [anon_sym_LBRACE] = ACTIONS(12844),
    [anon_sym_DOT] = ACTIONS(12854),
    [anon_sym_DOLLAR] = ACTIONS(12844),
    [anon_sym_COLON_COLON] = ACTIONS(12844),
    [anon_sym_isa] = ACTIONS(12844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12844),
    [anon_sym_QMARK] = ACTIONS(12844),
    [anon_sym_AT] = ACTIONS(12844),
    [anon_sym_true] = ACTIONS(12844),
    [anon_sym_false] = ACTIONS(12844),
    [aux_sym_integer_literal_token1] = ACTIONS(12844),
    [aux_sym_integer_literal_token2] = ACTIONS(12844),
    [aux_sym_integer_literal_token3] = ACTIONS(12844),
    [aux_sym_integer_literal_token4] = ACTIONS(12844),
    [aux_sym_float_literal_token1] = ACTIONS(12844),
    [aux_sym_float_literal_token3] = ACTIONS(12844),
    [aux_sym_float_literal_token4] = ACTIONS(12844),
    [sym_character_literal] = ACTIONS(12844),
    [sym__pair_operator] = ACTIONS(12844),
    [sym__arrow_operator] = ACTIONS(12844),
    [sym__lazy_or_operator] = ACTIONS(12844),
    [sym__lazy_and_operator] = ACTIONS(12844),
    [sym__comparison_operator] = ACTIONS(12844),
    [sym__pipe_right_operator] = ACTIONS(12844),
    [sym__pipe_left_operator] = ACTIONS(12844),
    [sym__ellipsis_operator] = ACTIONS(12844),
    [sym__plus_operator] = ACTIONS(12844),
    [sym__times_operator] = ACTIONS(12844),
    [sym__rational_operator] = ACTIONS(12844),
    [sym__bitshift_operator] = ACTIONS(12844),
    [sym__power_operator] = ACTIONS(12844),
    [sym__tilde_operator] = ACTIONS(12844),
    [sym__type_order_operator] = ACTIONS(12844),
    [sym__unary_operator] = ACTIONS(12844),
    [sym__unary_plus_operator] = ACTIONS(12844),
    [aux_sym__terminator_token1] = ACTIONS(12844),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12846),
    [sym__command_start] = ACTIONS(12846),
  },
  [6835] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12922),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6836] = {
    [sym_identifier] = STATE(7073),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_catch] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_as] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6837] = {
    [sym_identifier] = STATE(7085),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_catch] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_as] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6838] = {
    [aux_sym__import_list_repeat1] = STATE(7084),
    [ts_builtin_sym_end] = ACTIONS(12872),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12918),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(12920),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_RPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12924),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_RBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [6839] = {
    [sym_identifier] = STATE(7071),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_catch] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_as] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6840] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12676),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12676),
    [anon_sym_RPAREN] = ACTIONS(12676),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12676),
    [anon_sym_RBRACK] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12676),
    [anon_sym_LBRACE] = ACTIONS(12676),
    [anon_sym_RBRACE] = ACTIONS(12676),
    [anon_sym_DOLLAR] = ACTIONS(12676),
    [anon_sym_COLON_COLON] = ACTIONS(12676),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12676),
    [anon_sym_QMARK] = ACTIONS(12676),
    [anon_sym_AT] = ACTIONS(12676),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12676),
    [aux_sym_integer_literal_token2] = ACTIONS(12676),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12676),
    [aux_sym_float_literal_token3] = ACTIONS(12676),
    [aux_sym_float_literal_token4] = ACTIONS(12676),
    [sym_character_literal] = ACTIONS(12676),
    [sym__pair_operator] = ACTIONS(12676),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12676),
    [sym__lazy_and_operator] = ACTIONS(12676),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12676),
    [sym__pipe_left_operator] = ACTIONS(12676),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12676),
    [sym__bitshift_operator] = ACTIONS(12676),
    [sym__power_operator] = ACTIONS(12676),
    [sym__tilde_operator] = ACTIONS(12676),
    [sym__type_order_operator] = ACTIONS(12676),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6841] = {
    [sym_identifier] = STATE(7086),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_catch] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_as] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6842] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12878),
    [sym__immediate_command_start] = ACTIONS(12880),
  },
  [6843] = {
    [ts_builtin_sym_end] = ACTIONS(12852),
    [sym__word_identifier] = ACTIONS(12850),
    [anon_sym_EQ] = ACTIONS(12850),
    [anon_sym_COMMA] = ACTIONS(12850),
    [anon_sym_COLON] = ACTIONS(12850),
    [anon_sym_begin] = ACTIONS(12850),
    [anon_sym_module] = ACTIONS(12850),
    [anon_sym_baremodule] = ACTIONS(12850),
    [anon_sym_abstract] = ACTIONS(12850),
    [anon_sym_primitive] = ACTIONS(12850),
    [anon_sym_mutable] = ACTIONS(12850),
    [anon_sym_struct] = ACTIONS(12850),
    [anon_sym_function] = ACTIONS(12850),
    [anon_sym_macro] = ACTIONS(12850),
    [anon_sym_where] = ACTIONS(12850),
    [anon_sym_quote] = ACTIONS(12850),
    [anon_sym_let] = ACTIONS(12850),
    [anon_sym_if] = ACTIONS(12850),
    [anon_sym_try] = ACTIONS(12850),
    [anon_sym_for] = ACTIONS(12850),
    [anon_sym_while] = ACTIONS(12850),
    [sym_break_statement] = ACTIONS(12850),
    [sym_continue_statement] = ACTIONS(12850),
    [anon_sym_return] = ACTIONS(12850),
    [anon_sym_const] = ACTIONS(12850),
    [anon_sym_global] = ACTIONS(12850),
    [anon_sym_local] = ACTIONS(12850),
    [anon_sym_as] = ACTIONS(12850),
    [anon_sym_LPAREN] = ACTIONS(12850),
    [anon_sym_RPAREN] = ACTIONS(12850),
    [anon_sym_COLON2] = ACTIONS(12850),
    [anon_sym_export] = ACTIONS(12850),
    [anon_sym_import] = ACTIONS(12850),
    [anon_sym_using] = ACTIONS(12850),
    [anon_sym_LBRACK] = ACTIONS(12850),
    [anon_sym_RBRACK] = ACTIONS(12850),
    [anon_sym_LF] = ACTIONS(12852),
    [anon_sym_in] = ACTIONS(12850),
    [anon_sym_LBRACE] = ACTIONS(12850),
    [anon_sym_DOT] = ACTIONS(12854),
    [anon_sym_DOLLAR] = ACTIONS(12850),
    [anon_sym_COLON_COLON] = ACTIONS(12850),
    [anon_sym_isa] = ACTIONS(12850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12850),
    [anon_sym_QMARK] = ACTIONS(12850),
    [anon_sym_AT] = ACTIONS(12850),
    [anon_sym_true] = ACTIONS(12850),
    [anon_sym_false] = ACTIONS(12850),
    [aux_sym_integer_literal_token1] = ACTIONS(12850),
    [aux_sym_integer_literal_token2] = ACTIONS(12850),
    [aux_sym_integer_literal_token3] = ACTIONS(12850),
    [aux_sym_integer_literal_token4] = ACTIONS(12850),
    [aux_sym_float_literal_token1] = ACTIONS(12850),
    [aux_sym_float_literal_token3] = ACTIONS(12850),
    [aux_sym_float_literal_token4] = ACTIONS(12850),
    [sym_character_literal] = ACTIONS(12850),
    [sym__pair_operator] = ACTIONS(12850),
    [sym__arrow_operator] = ACTIONS(12850),
    [sym__lazy_or_operator] = ACTIONS(12850),
    [sym__lazy_and_operator] = ACTIONS(12850),
    [sym__comparison_operator] = ACTIONS(12850),
    [sym__pipe_right_operator] = ACTIONS(12850),
    [sym__pipe_left_operator] = ACTIONS(12850),
    [sym__ellipsis_operator] = ACTIONS(12850),
    [sym__plus_operator] = ACTIONS(12850),
    [sym__times_operator] = ACTIONS(12850),
    [sym__rational_operator] = ACTIONS(12850),
    [sym__bitshift_operator] = ACTIONS(12850),
    [sym__power_operator] = ACTIONS(12850),
    [sym__tilde_operator] = ACTIONS(12850),
    [sym__type_order_operator] = ACTIONS(12850),
    [sym__unary_operator] = ACTIONS(12850),
    [sym__unary_plus_operator] = ACTIONS(12850),
    [aux_sym__terminator_token1] = ACTIONS(12850),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12852),
    [sym__command_start] = ACTIONS(12852),
  },
  [6844] = {
    [sym_identifier] = STATE(7370),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_catch] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6845] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_catch] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_as] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6846] = {
    [ts_builtin_sym_end] = ACTIONS(12178),
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_RPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_RBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6847] = {
    [sym_identifier] = STATE(7591),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_catch] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [6848] = {
    [ts_builtin_sym_end] = ACTIONS(12182),
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_RPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_RBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6849] = {
    [ts_builtin_sym_end] = ACTIONS(12186),
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_RPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_RBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6850] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_catch] = ACTIONS(12706),
    [anon_sym_finally] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_as] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6851] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_as] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6852] = {
    [sym_identifier] = STATE(7571),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_catch] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6853] = {
    [sym_identifier] = STATE(7570),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_catch] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6854] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_elseif] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6855] = {
    [ts_builtin_sym_end] = ACTIONS(12190),
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_RPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_RBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6856] = {
    [ts_builtin_sym_end] = ACTIONS(12194),
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_RPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_RBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6857] = {
    [ts_builtin_sym_end] = ACTIONS(12198),
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_RPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_RBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6858] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_elseif] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6859] = {
    [aux_sym__import_list_repeat1] = STATE(7084),
    [ts_builtin_sym_end] = ACTIONS(12872),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12918),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_RPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_RBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [6860] = {
    [ts_builtin_sym_end] = ACTIONS(2186),
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6861] = {
    [ts_builtin_sym_end] = ACTIONS(12206),
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_RPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_RBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6862] = {
    [ts_builtin_sym_end] = ACTIONS(12216),
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_RPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_RBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6863] = {
    [ts_builtin_sym_end] = ACTIONS(12220),
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_RPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_RBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6864] = {
    [ts_builtin_sym_end] = ACTIONS(12228),
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_RPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_RBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6865] = {
    [ts_builtin_sym_end] = ACTIONS(12022),
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_RBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6866] = {
    [sym__primary_expression] = STATE(11252),
    [sym__array] = STATE(11252),
    [sym_comprehension_expression] = STATE(11252),
    [sym_matrix_expression] = STATE(11252),
    [sym_vector_expression] = STATE(11252),
    [sym_parenthesized_expression] = STATE(11252),
    [sym_tuple_expression] = STATE(11252),
    [sym_curly_expression] = STATE(11252),
    [sym_adjoint_expression] = STATE(11252),
    [sym_field_expression] = STATE(11252),
    [sym_index_expression] = STATE(11252),
    [sym_parametrized_type_expression] = STATE(11252),
    [sym_call_expression] = STATE(11252),
    [sym_broadcast_call_expression] = STATE(11252),
    [sym__closed_macrocall_expression] = STATE(11252),
    [sym_interpolation_expression] = STATE(11252),
    [sym_quote_expression] = STATE(11252),
    [sym_macro_identifier] = STATE(16836),
    [sym_identifier] = STATE(10558),
    [sym_boolean_literal] = STATE(11252),
    [sym__string] = STATE(11252),
    [sym_string_literal] = STATE(11252),
    [sym_command_literal] = STATE(11252),
    [sym_prefixed_string_literal] = STATE(11252),
    [sym_prefixed_command_literal] = STATE(11252),
    [sym_operator] = STATE(19062),
    [sym__word_identifier] = ACTIONS(12926),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(12928),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(12930),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(12932),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(12934),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(12936),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(12940),
    [anon_sym_false] = ACTIONS(12940),
    [sym_character_literal] = ACTIONS(12942),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(12944),
    [sym__command_start] = ACTIONS(12946),
  },
  [6867] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_elseif] = ACTIONS(12246),
    [anon_sym_else] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6868] = {
    [ts_builtin_sym_end] = ACTIONS(12232),
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_RPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_RBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6869] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_elseif] = ACTIONS(12242),
    [anon_sym_else] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6870] = {
    [ts_builtin_sym_end] = ACTIONS(12236),
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_RPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_RBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6871] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_catch] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_as] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6872] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_elseif] = ACTIONS(12162),
    [anon_sym_else] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6873] = {
    [ts_builtin_sym_end] = ACTIONS(12256),
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_RPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_RBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6874] = {
    [ts_builtin_sym_end] = ACTIONS(12260),
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_RPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_RBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6875] = {
    [ts_builtin_sym_end] = ACTIONS(12264),
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_RPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_RBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6876] = {
    [ts_builtin_sym_end] = ACTIONS(12028),
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_RBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6877] = {
    [ts_builtin_sym_end] = ACTIONS(12110),
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_RBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6878] = {
    [ts_builtin_sym_end] = ACTIONS(12948),
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_as] = ACTIONS(12920),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_RPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_RBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [6879] = {
    [ts_builtin_sym_end] = ACTIONS(2186),
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_RBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6880] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6881] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_elseif] = ACTIONS(12136),
    [anon_sym_else] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6882] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_elseif] = ACTIONS(12300),
    [anon_sym_else] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6883] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6884] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11960),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12952),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11960),
    [sym__bitshift_operator] = ACTIONS(11960),
    [sym__power_operator] = ACTIONS(11960),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6885] = {
    [ts_builtin_sym_end] = ACTIONS(12290),
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_RPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_RBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6886] = {
    [ts_builtin_sym_end] = ACTIONS(12298),
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_RPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_RBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6887] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_elseif] = ACTIONS(12296),
    [anon_sym_else] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6888] = {
    [ts_builtin_sym_end] = ACTIONS(12302),
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_RPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_RBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6889] = {
    [ts_builtin_sym_end] = ACTIONS(12138),
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_RPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_RBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6890] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_elseif] = ACTIONS(12288),
    [anon_sym_else] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6891] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6892] = {
    [sym_identifier] = STATE(7594),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_catch] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6893] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_catch] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_as] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6894] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11960),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11960),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11960),
    [sym__bitshift_operator] = ACTIONS(11960),
    [sym__power_operator] = ACTIONS(11960),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6895] = {
    [ts_builtin_sym_end] = ACTIONS(12160),
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_RPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_RBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6896] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12324),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_as] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12324),
    [anon_sym_RPAREN] = ACTIONS(12324),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12324),
    [anon_sym_RBRACK] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_SEMI] = ACTIONS(12324),
    [anon_sym_LBRACE] = ACTIONS(12324),
    [anon_sym_RBRACE] = ACTIONS(12324),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12324),
    [anon_sym_COLON_COLON] = ACTIONS(12324),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12324),
    [anon_sym_QMARK] = ACTIONS(12324),
    [anon_sym_AT] = ACTIONS(12324),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12324),
    [aux_sym_integer_literal_token2] = ACTIONS(12324),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12324),
    [aux_sym_float_literal_token3] = ACTIONS(12324),
    [aux_sym_float_literal_token4] = ACTIONS(12324),
    [sym_character_literal] = ACTIONS(12324),
    [sym__pair_operator] = ACTIONS(12324),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12324),
    [sym__lazy_and_operator] = ACTIONS(12324),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12324),
    [sym__pipe_left_operator] = ACTIONS(12324),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12324),
    [sym__bitshift_operator] = ACTIONS(12324),
    [sym__power_operator] = ACTIONS(12324),
    [sym__tilde_operator] = ACTIONS(12324),
    [sym__type_order_operator] = ACTIONS(12324),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6897] = {
    [aux_sym__import_list_repeat1] = STATE(6897),
    [ts_builtin_sym_end] = ACTIONS(12948),
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12954),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_RPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_RBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [6898] = {
    [ts_builtin_sym_end] = ACTIONS(11972),
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_RBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6899] = {
    [ts_builtin_sym_end] = ACTIONS(12172),
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_RPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_RBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [6900] = {
    [ts_builtin_sym_end] = ACTIONS(12244),
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_RPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_RBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6901] = {
    [ts_builtin_sym_end] = ACTIONS(12248),
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_RPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_RBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6902] = {
    [aux_sym_open_tuple_repeat1] = STATE(6902),
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12959),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_end] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(12957),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_else] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_finally] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(12957),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(12957),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(12957),
    [anon_sym_isa] = ACTIONS(12957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12957),
    [anon_sym_QMARK] = ACTIONS(12957),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(12957),
    [sym__arrow_operator] = ACTIONS(12957),
    [sym__lazy_or_operator] = ACTIONS(12957),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12957),
    [sym__pipe_right_operator] = ACTIONS(12957),
    [sym__pipe_left_operator] = ACTIONS(12957),
    [sym__ellipsis_operator] = ACTIONS(12957),
    [sym__plus_operator] = ACTIONS(12957),
    [sym__times_operator] = ACTIONS(12957),
    [sym__rational_operator] = ACTIONS(12957),
    [sym__bitshift_operator] = ACTIONS(12957),
    [sym__power_operator] = ACTIONS(12957),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(12957),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(12957),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [6903] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(12964),
    [sym__immediate_command_start] = ACTIONS(12966),
  },
  [6904] = {
    [aux_sym_open_tuple_repeat1] = STATE(6902),
    [sym__word_identifier] = ACTIONS(12968),
    [anon_sym_EQ] = ACTIONS(12968),
    [anon_sym_COMMA] = ACTIONS(12970),
    [anon_sym_COLON] = ACTIONS(12968),
    [anon_sym_begin] = ACTIONS(12968),
    [anon_sym_module] = ACTIONS(12968),
    [anon_sym_baremodule] = ACTIONS(12968),
    [anon_sym_end] = ACTIONS(12968),
    [anon_sym_abstract] = ACTIONS(12968),
    [anon_sym_primitive] = ACTIONS(12968),
    [anon_sym_mutable] = ACTIONS(12968),
    [anon_sym_struct] = ACTIONS(12968),
    [anon_sym_function] = ACTIONS(12968),
    [anon_sym_macro] = ACTIONS(12968),
    [anon_sym_where] = ACTIONS(12968),
    [anon_sym_quote] = ACTIONS(12968),
    [anon_sym_let] = ACTIONS(12968),
    [anon_sym_if] = ACTIONS(12968),
    [anon_sym_else] = ACTIONS(12968),
    [anon_sym_try] = ACTIONS(12968),
    [anon_sym_finally] = ACTIONS(12968),
    [anon_sym_for] = ACTIONS(12968),
    [anon_sym_while] = ACTIONS(12968),
    [sym_break_statement] = ACTIONS(12968),
    [sym_continue_statement] = ACTIONS(12968),
    [anon_sym_return] = ACTIONS(12968),
    [anon_sym_const] = ACTIONS(12968),
    [anon_sym_global] = ACTIONS(12968),
    [anon_sym_local] = ACTIONS(12968),
    [anon_sym_LPAREN] = ACTIONS(12968),
    [anon_sym_COLON2] = ACTIONS(12968),
    [anon_sym_export] = ACTIONS(12968),
    [anon_sym_import] = ACTIONS(12968),
    [anon_sym_using] = ACTIONS(12968),
    [anon_sym_LBRACK] = ACTIONS(12968),
    [anon_sym_LF] = ACTIONS(12972),
    [anon_sym_in] = ACTIONS(12968),
    [anon_sym_LBRACE] = ACTIONS(12968),
    [anon_sym_DOLLAR] = ACTIONS(12968),
    [anon_sym_COLON_COLON] = ACTIONS(12968),
    [anon_sym_isa] = ACTIONS(12968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12968),
    [anon_sym_QMARK] = ACTIONS(12968),
    [anon_sym_AT] = ACTIONS(12968),
    [anon_sym_true] = ACTIONS(12968),
    [anon_sym_false] = ACTIONS(12968),
    [aux_sym_integer_literal_token1] = ACTIONS(12968),
    [aux_sym_integer_literal_token2] = ACTIONS(12968),
    [aux_sym_integer_literal_token3] = ACTIONS(12968),
    [aux_sym_integer_literal_token4] = ACTIONS(12968),
    [aux_sym_float_literal_token1] = ACTIONS(12968),
    [aux_sym_float_literal_token3] = ACTIONS(12968),
    [aux_sym_float_literal_token4] = ACTIONS(12968),
    [sym_character_literal] = ACTIONS(12968),
    [sym__pair_operator] = ACTIONS(12968),
    [sym__arrow_operator] = ACTIONS(12968),
    [sym__lazy_or_operator] = ACTIONS(12968),
    [sym__lazy_and_operator] = ACTIONS(12968),
    [sym__comparison_operator] = ACTIONS(12968),
    [sym__pipe_right_operator] = ACTIONS(12968),
    [sym__pipe_left_operator] = ACTIONS(12968),
    [sym__ellipsis_operator] = ACTIONS(12968),
    [sym__plus_operator] = ACTIONS(12968),
    [sym__times_operator] = ACTIONS(12968),
    [sym__rational_operator] = ACTIONS(12968),
    [sym__bitshift_operator] = ACTIONS(12968),
    [sym__power_operator] = ACTIONS(12968),
    [sym__tilde_operator] = ACTIONS(12968),
    [sym__type_order_operator] = ACTIONS(12968),
    [sym__unary_operator] = ACTIONS(12968),
    [sym__unary_plus_operator] = ACTIONS(12968),
    [aux_sym__terminator_token1] = ACTIONS(12968),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12972),
    [sym__command_start] = ACTIONS(12972),
  },
  [6905] = {
    [aux_sym_export_statement_repeat1] = STATE(6905),
    [ts_builtin_sym_end] = ACTIONS(12974),
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(12978),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_RPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_RBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [6906] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [6907] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_elseif] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6908] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12346),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_as] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12346),
    [anon_sym_RPAREN] = ACTIONS(12346),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12346),
    [anon_sym_RBRACK] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(12346),
    [anon_sym_LBRACE] = ACTIONS(12346),
    [anon_sym_RBRACE] = ACTIONS(12346),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12346),
    [anon_sym_COLON_COLON] = ACTIONS(12346),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12346),
    [anon_sym_QMARK] = ACTIONS(12346),
    [anon_sym_AT] = ACTIONS(12346),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12346),
    [aux_sym_integer_literal_token2] = ACTIONS(12346),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12346),
    [aux_sym_float_literal_token3] = ACTIONS(12346),
    [aux_sym_float_literal_token4] = ACTIONS(12346),
    [sym_character_literal] = ACTIONS(12346),
    [sym__pair_operator] = ACTIONS(12346),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12346),
    [sym__lazy_and_operator] = ACTIONS(12346),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12346),
    [sym__pipe_left_operator] = ACTIONS(12346),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12346),
    [sym__bitshift_operator] = ACTIONS(12346),
    [sym__power_operator] = ACTIONS(12346),
    [sym__tilde_operator] = ACTIONS(12346),
    [sym__type_order_operator] = ACTIONS(12346),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6909] = {
    [sym__word_identifier] = ACTIONS(12844),
    [anon_sym_EQ] = ACTIONS(12844),
    [anon_sym_COMMA] = ACTIONS(12844),
    [anon_sym_COLON] = ACTIONS(12844),
    [anon_sym_begin] = ACTIONS(12844),
    [anon_sym_module] = ACTIONS(12844),
    [anon_sym_baremodule] = ACTIONS(12844),
    [anon_sym_end] = ACTIONS(12844),
    [anon_sym_abstract] = ACTIONS(12844),
    [anon_sym_primitive] = ACTIONS(12844),
    [anon_sym_mutable] = ACTIONS(12844),
    [anon_sym_struct] = ACTIONS(12844),
    [anon_sym_function] = ACTIONS(12844),
    [anon_sym_macro] = ACTIONS(12844),
    [anon_sym_where] = ACTIONS(12844),
    [anon_sym_quote] = ACTIONS(12844),
    [anon_sym_let] = ACTIONS(12844),
    [anon_sym_if] = ACTIONS(12844),
    [anon_sym_try] = ACTIONS(12844),
    [anon_sym_catch] = ACTIONS(12844),
    [anon_sym_for] = ACTIONS(12844),
    [anon_sym_while] = ACTIONS(12844),
    [sym_break_statement] = ACTIONS(12844),
    [sym_continue_statement] = ACTIONS(12844),
    [anon_sym_return] = ACTIONS(12844),
    [anon_sym_const] = ACTIONS(12844),
    [anon_sym_global] = ACTIONS(12844),
    [anon_sym_local] = ACTIONS(12844),
    [anon_sym_as] = ACTIONS(12844),
    [anon_sym_LPAREN] = ACTIONS(12844),
    [anon_sym_COLON2] = ACTIONS(12844),
    [anon_sym_export] = ACTIONS(12844),
    [anon_sym_import] = ACTIONS(12844),
    [anon_sym_using] = ACTIONS(12844),
    [anon_sym_LBRACK] = ACTIONS(12844),
    [anon_sym_LF] = ACTIONS(12846),
    [anon_sym_in] = ACTIONS(12844),
    [anon_sym_LBRACE] = ACTIONS(12844),
    [anon_sym_DOT] = ACTIONS(12981),
    [anon_sym_DOLLAR] = ACTIONS(12844),
    [anon_sym_COLON_COLON] = ACTIONS(12844),
    [anon_sym_isa] = ACTIONS(12844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12844),
    [anon_sym_QMARK] = ACTIONS(12844),
    [anon_sym_AT] = ACTIONS(12844),
    [anon_sym_true] = ACTIONS(12844),
    [anon_sym_false] = ACTIONS(12844),
    [aux_sym_integer_literal_token1] = ACTIONS(12844),
    [aux_sym_integer_literal_token2] = ACTIONS(12844),
    [aux_sym_integer_literal_token3] = ACTIONS(12844),
    [aux_sym_integer_literal_token4] = ACTIONS(12844),
    [aux_sym_float_literal_token1] = ACTIONS(12844),
    [aux_sym_float_literal_token3] = ACTIONS(12844),
    [aux_sym_float_literal_token4] = ACTIONS(12844),
    [sym_character_literal] = ACTIONS(12844),
    [sym__pair_operator] = ACTIONS(12844),
    [sym__arrow_operator] = ACTIONS(12844),
    [sym__lazy_or_operator] = ACTIONS(12844),
    [sym__lazy_and_operator] = ACTIONS(12844),
    [sym__comparison_operator] = ACTIONS(12844),
    [sym__pipe_right_operator] = ACTIONS(12844),
    [sym__pipe_left_operator] = ACTIONS(12844),
    [sym__ellipsis_operator] = ACTIONS(12844),
    [sym__plus_operator] = ACTIONS(12844),
    [sym__times_operator] = ACTIONS(12844),
    [sym__rational_operator] = ACTIONS(12844),
    [sym__bitshift_operator] = ACTIONS(12844),
    [sym__power_operator] = ACTIONS(12844),
    [sym__tilde_operator] = ACTIONS(12844),
    [sym__type_order_operator] = ACTIONS(12844),
    [sym__unary_operator] = ACTIONS(12844),
    [sym__unary_plus_operator] = ACTIONS(12844),
    [aux_sym__terminator_token1] = ACTIONS(12844),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12846),
    [sym__command_start] = ACTIONS(12846),
  },
  [6910] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_elseif] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6911] = {
    [aux_sym_open_tuple_repeat1] = STATE(6911),
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12983),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_end] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(12957),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_elseif] = ACTIONS(12957),
    [anon_sym_else] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(12957),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(12957),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(12957),
    [anon_sym_isa] = ACTIONS(12957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12957),
    [anon_sym_QMARK] = ACTIONS(12957),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(12957),
    [sym__arrow_operator] = ACTIONS(12957),
    [sym__lazy_or_operator] = ACTIONS(12957),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12957),
    [sym__pipe_right_operator] = ACTIONS(12957),
    [sym__pipe_left_operator] = ACTIONS(12957),
    [sym__ellipsis_operator] = ACTIONS(12957),
    [sym__plus_operator] = ACTIONS(12957),
    [sym__times_operator] = ACTIONS(12957),
    [sym__rational_operator] = ACTIONS(12957),
    [sym__bitshift_operator] = ACTIONS(12957),
    [sym__power_operator] = ACTIONS(12957),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(12957),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(12957),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [6912] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_as] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [6913] = {
    [ts_builtin_sym_end] = ACTIONS(12324),
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_RBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6914] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_else] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_finally] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [6915] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_elseif] = ACTIONS(12262),
    [anon_sym_else] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6916] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_elseif] = ACTIONS(12348),
    [anon_sym_else] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6917] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_elseif] = ACTIONS(12258),
    [anon_sym_else] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6918] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_as] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6919] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_elseif] = ACTIONS(12254),
    [anon_sym_else] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6920] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_as] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6921] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_as] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6922] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12842),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6923] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_elseif] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6924] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_as] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6925] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_as] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6926] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_as] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6927] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_as] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6928] = {
    [aux_sym_open_tuple_repeat1] = STATE(6911),
    [sym__word_identifier] = ACTIONS(12968),
    [anon_sym_EQ] = ACTIONS(12968),
    [anon_sym_COMMA] = ACTIONS(12986),
    [anon_sym_COLON] = ACTIONS(12968),
    [anon_sym_begin] = ACTIONS(12968),
    [anon_sym_module] = ACTIONS(12968),
    [anon_sym_baremodule] = ACTIONS(12968),
    [anon_sym_end] = ACTIONS(12968),
    [anon_sym_abstract] = ACTIONS(12968),
    [anon_sym_primitive] = ACTIONS(12968),
    [anon_sym_mutable] = ACTIONS(12968),
    [anon_sym_struct] = ACTIONS(12968),
    [anon_sym_function] = ACTIONS(12968),
    [anon_sym_macro] = ACTIONS(12968),
    [anon_sym_where] = ACTIONS(12968),
    [anon_sym_quote] = ACTIONS(12968),
    [anon_sym_let] = ACTIONS(12968),
    [anon_sym_if] = ACTIONS(12968),
    [anon_sym_elseif] = ACTIONS(12968),
    [anon_sym_else] = ACTIONS(12968),
    [anon_sym_try] = ACTIONS(12968),
    [anon_sym_for] = ACTIONS(12968),
    [anon_sym_while] = ACTIONS(12968),
    [sym_break_statement] = ACTIONS(12968),
    [sym_continue_statement] = ACTIONS(12968),
    [anon_sym_return] = ACTIONS(12968),
    [anon_sym_const] = ACTIONS(12968),
    [anon_sym_global] = ACTIONS(12968),
    [anon_sym_local] = ACTIONS(12968),
    [anon_sym_LPAREN] = ACTIONS(12968),
    [anon_sym_COLON2] = ACTIONS(12968),
    [anon_sym_export] = ACTIONS(12968),
    [anon_sym_import] = ACTIONS(12968),
    [anon_sym_using] = ACTIONS(12968),
    [anon_sym_LBRACK] = ACTIONS(12968),
    [anon_sym_LF] = ACTIONS(12972),
    [anon_sym_in] = ACTIONS(12968),
    [anon_sym_LBRACE] = ACTIONS(12968),
    [anon_sym_DOLLAR] = ACTIONS(12968),
    [anon_sym_COLON_COLON] = ACTIONS(12968),
    [anon_sym_isa] = ACTIONS(12968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12968),
    [anon_sym_QMARK] = ACTIONS(12968),
    [anon_sym_AT] = ACTIONS(12968),
    [anon_sym_true] = ACTIONS(12968),
    [anon_sym_false] = ACTIONS(12968),
    [aux_sym_integer_literal_token1] = ACTIONS(12968),
    [aux_sym_integer_literal_token2] = ACTIONS(12968),
    [aux_sym_integer_literal_token3] = ACTIONS(12968),
    [aux_sym_integer_literal_token4] = ACTIONS(12968),
    [aux_sym_float_literal_token1] = ACTIONS(12968),
    [aux_sym_float_literal_token3] = ACTIONS(12968),
    [aux_sym_float_literal_token4] = ACTIONS(12968),
    [sym_character_literal] = ACTIONS(12968),
    [sym__pair_operator] = ACTIONS(12968),
    [sym__arrow_operator] = ACTIONS(12968),
    [sym__lazy_or_operator] = ACTIONS(12968),
    [sym__lazy_and_operator] = ACTIONS(12968),
    [sym__comparison_operator] = ACTIONS(12968),
    [sym__pipe_right_operator] = ACTIONS(12968),
    [sym__pipe_left_operator] = ACTIONS(12968),
    [sym__ellipsis_operator] = ACTIONS(12968),
    [sym__plus_operator] = ACTIONS(12968),
    [sym__times_operator] = ACTIONS(12968),
    [sym__rational_operator] = ACTIONS(12968),
    [sym__bitshift_operator] = ACTIONS(12968),
    [sym__power_operator] = ACTIONS(12968),
    [sym__tilde_operator] = ACTIONS(12968),
    [sym__type_order_operator] = ACTIONS(12968),
    [sym__unary_operator] = ACTIONS(12968),
    [sym__unary_plus_operator] = ACTIONS(12968),
    [aux_sym__terminator_token1] = ACTIONS(12968),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12972),
    [sym__command_start] = ACTIONS(12972),
  },
  [6929] = {
    [aux_sym__import_list_repeat1] = STATE(6929),
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12988),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_else] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_finally] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [6930] = {
    [aux_sym__import_list_repeat1] = STATE(8096),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12991),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_catch] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(12993),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12995),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [6931] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_as] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6932] = {
    [ts_builtin_sym_end] = ACTIONS(11960),
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6933] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_as] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6934] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_as] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6935] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_as] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6936] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_as] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [6937] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_as] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6938] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12997),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6939] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_as] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6940] = {
    [ts_builtin_sym_end] = ACTIONS(11866),
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_RBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6941] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_as] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6942] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_elseif] = ACTIONS(12234),
    [anon_sym_else] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [6943] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_as] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [6944] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_as] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [6945] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_as] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [6946] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_as] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [6947] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_as] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [6948] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [6949] = {
    [ts_builtin_sym_end] = ACTIONS(12158),
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_RPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_RBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [6950] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_else] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_finally] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_as] = ACTIONS(12868),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [6951] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_elseif] = ACTIONS(12230),
    [anon_sym_else] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [6952] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_as] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [6953] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_as] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [6954] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [6955] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_as] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [6956] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_as] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [6957] = {
    [aux_sym__import_list_repeat1] = STATE(7536),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12999),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_catch] = ACTIONS(12864),
    [anon_sym_finally] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(13001),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(13003),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [6958] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_catch] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_as] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [6959] = {
    [sym_identifier] = STATE(7368),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_catch] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [6960] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12910),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6961] = {
    [sym_identifier] = STATE(7379),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_catch] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [6962] = {
    [sym__word_identifier] = ACTIONS(12850),
    [anon_sym_EQ] = ACTIONS(12850),
    [anon_sym_COMMA] = ACTIONS(12850),
    [anon_sym_COLON] = ACTIONS(12850),
    [anon_sym_begin] = ACTIONS(12850),
    [anon_sym_module] = ACTIONS(12850),
    [anon_sym_baremodule] = ACTIONS(12850),
    [anon_sym_abstract] = ACTIONS(12850),
    [anon_sym_primitive] = ACTIONS(12850),
    [anon_sym_mutable] = ACTIONS(12850),
    [anon_sym_struct] = ACTIONS(12850),
    [anon_sym_function] = ACTIONS(12850),
    [anon_sym_macro] = ACTIONS(12850),
    [anon_sym_where] = ACTIONS(12850),
    [anon_sym_quote] = ACTIONS(12850),
    [anon_sym_let] = ACTIONS(12850),
    [anon_sym_if] = ACTIONS(12850),
    [anon_sym_try] = ACTIONS(12850),
    [anon_sym_catch] = ACTIONS(12850),
    [anon_sym_finally] = ACTIONS(12850),
    [anon_sym_for] = ACTIONS(12850),
    [anon_sym_while] = ACTIONS(12850),
    [sym_break_statement] = ACTIONS(12850),
    [sym_continue_statement] = ACTIONS(12850),
    [anon_sym_return] = ACTIONS(12850),
    [anon_sym_const] = ACTIONS(12850),
    [anon_sym_global] = ACTIONS(12850),
    [anon_sym_local] = ACTIONS(12850),
    [anon_sym_as] = ACTIONS(12850),
    [anon_sym_LPAREN] = ACTIONS(12850),
    [anon_sym_COLON2] = ACTIONS(12850),
    [anon_sym_export] = ACTIONS(12850),
    [anon_sym_import] = ACTIONS(12850),
    [anon_sym_using] = ACTIONS(12850),
    [anon_sym_LBRACK] = ACTIONS(12850),
    [anon_sym_LF] = ACTIONS(12852),
    [anon_sym_in] = ACTIONS(12850),
    [anon_sym_LBRACE] = ACTIONS(12850),
    [anon_sym_DOT] = ACTIONS(13005),
    [anon_sym_DOLLAR] = ACTIONS(12850),
    [anon_sym_COLON_COLON] = ACTIONS(12850),
    [anon_sym_isa] = ACTIONS(12850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12850),
    [anon_sym_QMARK] = ACTIONS(12850),
    [anon_sym_AT] = ACTIONS(12850),
    [anon_sym_true] = ACTIONS(12850),
    [anon_sym_false] = ACTIONS(12850),
    [aux_sym_integer_literal_token1] = ACTIONS(12850),
    [aux_sym_integer_literal_token2] = ACTIONS(12850),
    [aux_sym_integer_literal_token3] = ACTIONS(12850),
    [aux_sym_integer_literal_token4] = ACTIONS(12850),
    [aux_sym_float_literal_token1] = ACTIONS(12850),
    [aux_sym_float_literal_token3] = ACTIONS(12850),
    [aux_sym_float_literal_token4] = ACTIONS(12850),
    [sym_character_literal] = ACTIONS(12850),
    [sym__pair_operator] = ACTIONS(12850),
    [sym__arrow_operator] = ACTIONS(12850),
    [sym__lazy_or_operator] = ACTIONS(12850),
    [sym__lazy_and_operator] = ACTIONS(12850),
    [sym__comparison_operator] = ACTIONS(12850),
    [sym__pipe_right_operator] = ACTIONS(12850),
    [sym__pipe_left_operator] = ACTIONS(12850),
    [sym__ellipsis_operator] = ACTIONS(12850),
    [sym__plus_operator] = ACTIONS(12850),
    [sym__times_operator] = ACTIONS(12850),
    [sym__rational_operator] = ACTIONS(12850),
    [sym__bitshift_operator] = ACTIONS(12850),
    [sym__power_operator] = ACTIONS(12850),
    [sym__tilde_operator] = ACTIONS(12850),
    [sym__type_order_operator] = ACTIONS(12850),
    [sym__unary_operator] = ACTIONS(12850),
    [sym__unary_plus_operator] = ACTIONS(12850),
    [aux_sym__terminator_token1] = ACTIONS(12850),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12852),
    [sym__command_start] = ACTIONS(12852),
  },
  [6963] = {
    [sym__word_identifier] = ACTIONS(12844),
    [anon_sym_EQ] = ACTIONS(12844),
    [anon_sym_COMMA] = ACTIONS(12844),
    [anon_sym_COLON] = ACTIONS(12844),
    [anon_sym_begin] = ACTIONS(12844),
    [anon_sym_module] = ACTIONS(12844),
    [anon_sym_baremodule] = ACTIONS(12844),
    [anon_sym_abstract] = ACTIONS(12844),
    [anon_sym_primitive] = ACTIONS(12844),
    [anon_sym_mutable] = ACTIONS(12844),
    [anon_sym_struct] = ACTIONS(12844),
    [anon_sym_function] = ACTIONS(12844),
    [anon_sym_macro] = ACTIONS(12844),
    [anon_sym_where] = ACTIONS(12844),
    [anon_sym_quote] = ACTIONS(12844),
    [anon_sym_let] = ACTIONS(12844),
    [anon_sym_if] = ACTIONS(12844),
    [anon_sym_try] = ACTIONS(12844),
    [anon_sym_catch] = ACTIONS(12844),
    [anon_sym_finally] = ACTIONS(12844),
    [anon_sym_for] = ACTIONS(12844),
    [anon_sym_while] = ACTIONS(12844),
    [sym_break_statement] = ACTIONS(12844),
    [sym_continue_statement] = ACTIONS(12844),
    [anon_sym_return] = ACTIONS(12844),
    [anon_sym_const] = ACTIONS(12844),
    [anon_sym_global] = ACTIONS(12844),
    [anon_sym_local] = ACTIONS(12844),
    [anon_sym_as] = ACTIONS(12844),
    [anon_sym_LPAREN] = ACTIONS(12844),
    [anon_sym_COLON2] = ACTIONS(12844),
    [anon_sym_export] = ACTIONS(12844),
    [anon_sym_import] = ACTIONS(12844),
    [anon_sym_using] = ACTIONS(12844),
    [anon_sym_LBRACK] = ACTIONS(12844),
    [anon_sym_LF] = ACTIONS(12846),
    [anon_sym_in] = ACTIONS(12844),
    [anon_sym_LBRACE] = ACTIONS(12844),
    [anon_sym_DOT] = ACTIONS(13005),
    [anon_sym_DOLLAR] = ACTIONS(12844),
    [anon_sym_COLON_COLON] = ACTIONS(12844),
    [anon_sym_isa] = ACTIONS(12844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12844),
    [anon_sym_QMARK] = ACTIONS(12844),
    [anon_sym_AT] = ACTIONS(12844),
    [anon_sym_true] = ACTIONS(12844),
    [anon_sym_false] = ACTIONS(12844),
    [aux_sym_integer_literal_token1] = ACTIONS(12844),
    [aux_sym_integer_literal_token2] = ACTIONS(12844),
    [aux_sym_integer_literal_token3] = ACTIONS(12844),
    [aux_sym_integer_literal_token4] = ACTIONS(12844),
    [aux_sym_float_literal_token1] = ACTIONS(12844),
    [aux_sym_float_literal_token3] = ACTIONS(12844),
    [aux_sym_float_literal_token4] = ACTIONS(12844),
    [sym_character_literal] = ACTIONS(12844),
    [sym__pair_operator] = ACTIONS(12844),
    [sym__arrow_operator] = ACTIONS(12844),
    [sym__lazy_or_operator] = ACTIONS(12844),
    [sym__lazy_and_operator] = ACTIONS(12844),
    [sym__comparison_operator] = ACTIONS(12844),
    [sym__pipe_right_operator] = ACTIONS(12844),
    [sym__pipe_left_operator] = ACTIONS(12844),
    [sym__ellipsis_operator] = ACTIONS(12844),
    [sym__plus_operator] = ACTIONS(12844),
    [sym__times_operator] = ACTIONS(12844),
    [sym__rational_operator] = ACTIONS(12844),
    [sym__bitshift_operator] = ACTIONS(12844),
    [sym__power_operator] = ACTIONS(12844),
    [sym__tilde_operator] = ACTIONS(12844),
    [sym__type_order_operator] = ACTIONS(12844),
    [sym__unary_operator] = ACTIONS(12844),
    [sym__unary_plus_operator] = ACTIONS(12844),
    [aux_sym__terminator_token1] = ACTIONS(12844),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12846),
    [sym__command_start] = ACTIONS(12846),
  },
  [6964] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_as] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [6965] = {
    [sym_identifier] = STATE(7380),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_catch] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [6966] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_as] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [6967] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_as] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [6968] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_catch] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_as] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [6969] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6970] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_elseif] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [6971] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_as] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [6972] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_as] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6973] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_as] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [6974] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_DOLLAR] = ACTIONS(11960),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12902),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11960),
    [sym__bitshift_operator] = ACTIONS(11960),
    [sym__power_operator] = ACTIONS(11960),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [6975] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_as] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [6976] = {
    [aux_sym__import_list_repeat1] = STATE(7873),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(13007),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_finally] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(13009),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [6977] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_as] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6978] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_as] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [6979] = {
    [aux_sym__import_list_repeat1] = STATE(6979),
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(13011),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_elseif] = ACTIONS(12950),
    [anon_sym_else] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [6980] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12212),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_as] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12212),
    [anon_sym_RPAREN] = ACTIONS(12212),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12212),
    [anon_sym_RBRACK] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_SEMI] = ACTIONS(12212),
    [anon_sym_LBRACE] = ACTIONS(12212),
    [anon_sym_RBRACE] = ACTIONS(12212),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12212),
    [anon_sym_COLON_COLON] = ACTIONS(12212),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12212),
    [anon_sym_QMARK] = ACTIONS(12212),
    [anon_sym_AT] = ACTIONS(12212),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12212),
    [aux_sym_integer_literal_token2] = ACTIONS(12212),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12212),
    [aux_sym_float_literal_token3] = ACTIONS(12212),
    [aux_sym_float_literal_token4] = ACTIONS(12212),
    [sym_character_literal] = ACTIONS(12212),
    [sym__pair_operator] = ACTIONS(12212),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12212),
    [sym__lazy_and_operator] = ACTIONS(12212),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12212),
    [sym__pipe_left_operator] = ACTIONS(12212),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12212),
    [sym__bitshift_operator] = ACTIONS(12212),
    [sym__power_operator] = ACTIONS(12212),
    [sym__tilde_operator] = ACTIONS(12212),
    [sym__type_order_operator] = ACTIONS(12212),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [6981] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12392),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11870),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [6982] = {
    [ts_builtin_sym_end] = ACTIONS(12252),
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_RPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_RBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [6983] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [6984] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_elseif] = ACTIONS(12218),
    [anon_sym_else] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [6985] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_elseif] = ACTIONS(12950),
    [anon_sym_else] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_as] = ACTIONS(12892),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [6986] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_elseif] = ACTIONS(12214),
    [anon_sym_else] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [6987] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_elseif] = ACTIONS(12208),
    [anon_sym_else] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [6988] = {
    [aux_sym__import_list_repeat1] = STATE(7327),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(13014),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(13016),
    [anon_sym_LPAREN] = ACTIONS(12872),
    [anon_sym_RPAREN] = ACTIONS(12872),
    [anon_sym_COLON2] = ACTIONS(13018),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12872),
    [anon_sym_RBRACK] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_SEMI] = ACTIONS(12872),
    [anon_sym_LBRACE] = ACTIONS(12872),
    [anon_sym_RBRACE] = ACTIONS(12872),
    [anon_sym_DOLLAR] = ACTIONS(12872),
    [anon_sym_COLON_COLON] = ACTIONS(12872),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12872),
    [anon_sym_QMARK] = ACTIONS(12872),
    [anon_sym_AT] = ACTIONS(12872),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12872),
    [aux_sym_integer_literal_token2] = ACTIONS(12872),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12872),
    [aux_sym_float_literal_token3] = ACTIONS(12872),
    [aux_sym_float_literal_token4] = ACTIONS(12872),
    [sym_character_literal] = ACTIONS(12872),
    [sym__pair_operator] = ACTIONS(12872),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12872),
    [sym__lazy_and_operator] = ACTIONS(12872),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12872),
    [sym__pipe_left_operator] = ACTIONS(12872),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12872),
    [sym__bitshift_operator] = ACTIONS(12872),
    [sym__power_operator] = ACTIONS(12872),
    [sym__tilde_operator] = ACTIONS(12872),
    [sym__type_order_operator] = ACTIONS(12872),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [6989] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_elseif] = ACTIONS(12196),
    [anon_sym_else] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [6990] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_elseif] = ACTIONS(12192),
    [anon_sym_else] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [6991] = {
    [sym__word_identifier] = ACTIONS(12850),
    [anon_sym_EQ] = ACTIONS(12850),
    [anon_sym_COMMA] = ACTIONS(12852),
    [anon_sym_COLON] = ACTIONS(12850),
    [anon_sym_begin] = ACTIONS(12850),
    [anon_sym_module] = ACTIONS(12850),
    [anon_sym_baremodule] = ACTIONS(12850),
    [anon_sym_abstract] = ACTIONS(12850),
    [anon_sym_primitive] = ACTIONS(12850),
    [anon_sym_mutable] = ACTIONS(12850),
    [anon_sym_struct] = ACTIONS(12850),
    [anon_sym_function] = ACTIONS(12850),
    [anon_sym_macro] = ACTIONS(12850),
    [anon_sym_where] = ACTIONS(12850),
    [anon_sym_quote] = ACTIONS(12850),
    [anon_sym_let] = ACTIONS(12850),
    [anon_sym_if] = ACTIONS(12850),
    [anon_sym_try] = ACTIONS(12850),
    [anon_sym_for] = ACTIONS(12850),
    [anon_sym_while] = ACTIONS(12850),
    [sym_break_statement] = ACTIONS(12850),
    [sym_continue_statement] = ACTIONS(12850),
    [anon_sym_return] = ACTIONS(12850),
    [anon_sym_const] = ACTIONS(12850),
    [anon_sym_global] = ACTIONS(12850),
    [anon_sym_local] = ACTIONS(12850),
    [anon_sym_as] = ACTIONS(12850),
    [anon_sym_LPAREN] = ACTIONS(12852),
    [anon_sym_RPAREN] = ACTIONS(12852),
    [anon_sym_COLON2] = ACTIONS(12850),
    [anon_sym_export] = ACTIONS(12850),
    [anon_sym_import] = ACTIONS(12850),
    [anon_sym_using] = ACTIONS(12850),
    [anon_sym_LBRACK] = ACTIONS(12852),
    [anon_sym_RBRACK] = ACTIONS(12852),
    [anon_sym_in] = ACTIONS(12850),
    [anon_sym_SEMI] = ACTIONS(12852),
    [anon_sym_LBRACE] = ACTIONS(12852),
    [anon_sym_RBRACE] = ACTIONS(12852),
    [anon_sym_DOT] = ACTIONS(13020),
    [anon_sym_DOLLAR] = ACTIONS(12852),
    [anon_sym_COLON_COLON] = ACTIONS(12852),
    [anon_sym_isa] = ACTIONS(12850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12852),
    [anon_sym_QMARK] = ACTIONS(12852),
    [anon_sym_AT] = ACTIONS(12852),
    [anon_sym_true] = ACTIONS(12850),
    [anon_sym_false] = ACTIONS(12850),
    [aux_sym_integer_literal_token1] = ACTIONS(12852),
    [aux_sym_integer_literal_token2] = ACTIONS(12852),
    [aux_sym_integer_literal_token3] = ACTIONS(12850),
    [aux_sym_integer_literal_token4] = ACTIONS(12850),
    [aux_sym_float_literal_token1] = ACTIONS(12852),
    [aux_sym_float_literal_token3] = ACTIONS(12852),
    [aux_sym_float_literal_token4] = ACTIONS(12852),
    [sym_character_literal] = ACTIONS(12852),
    [sym__pair_operator] = ACTIONS(12852),
    [sym__arrow_operator] = ACTIONS(12850),
    [sym__lazy_or_operator] = ACTIONS(12852),
    [sym__lazy_and_operator] = ACTIONS(12852),
    [sym__comparison_operator] = ACTIONS(12850),
    [sym__pipe_right_operator] = ACTIONS(12852),
    [sym__pipe_left_operator] = ACTIONS(12852),
    [sym__ellipsis_operator] = ACTIONS(12850),
    [sym__plus_operator] = ACTIONS(12850),
    [sym__times_operator] = ACTIONS(12850),
    [sym__rational_operator] = ACTIONS(12852),
    [sym__bitshift_operator] = ACTIONS(12852),
    [sym__power_operator] = ACTIONS(12852),
    [sym__tilde_operator] = ACTIONS(12852),
    [sym__type_order_operator] = ACTIONS(12852),
    [sym__unary_operator] = ACTIONS(12850),
    [sym__unary_plus_operator] = ACTIONS(12850),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12852),
    [sym__command_start] = ACTIONS(12852),
  },
  [6992] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_elseif] = ACTIONS(12188),
    [anon_sym_else] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [6993] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_elseif] = ACTIONS(12184),
    [anon_sym_else] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [6994] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_elseif] = ACTIONS(12180),
    [anon_sym_else] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [6995] = {
    [sym__word_identifier] = ACTIONS(12844),
    [anon_sym_EQ] = ACTIONS(12844),
    [anon_sym_COMMA] = ACTIONS(12846),
    [anon_sym_COLON] = ACTIONS(12844),
    [anon_sym_begin] = ACTIONS(12844),
    [anon_sym_module] = ACTIONS(12844),
    [anon_sym_baremodule] = ACTIONS(12844),
    [anon_sym_abstract] = ACTIONS(12844),
    [anon_sym_primitive] = ACTIONS(12844),
    [anon_sym_mutable] = ACTIONS(12844),
    [anon_sym_struct] = ACTIONS(12844),
    [anon_sym_function] = ACTIONS(12844),
    [anon_sym_macro] = ACTIONS(12844),
    [anon_sym_where] = ACTIONS(12844),
    [anon_sym_quote] = ACTIONS(12844),
    [anon_sym_let] = ACTIONS(12844),
    [anon_sym_if] = ACTIONS(12844),
    [anon_sym_try] = ACTIONS(12844),
    [anon_sym_for] = ACTIONS(12844),
    [anon_sym_while] = ACTIONS(12844),
    [sym_break_statement] = ACTIONS(12844),
    [sym_continue_statement] = ACTIONS(12844),
    [anon_sym_return] = ACTIONS(12844),
    [anon_sym_const] = ACTIONS(12844),
    [anon_sym_global] = ACTIONS(12844),
    [anon_sym_local] = ACTIONS(12844),
    [anon_sym_as] = ACTIONS(12844),
    [anon_sym_LPAREN] = ACTIONS(12846),
    [anon_sym_RPAREN] = ACTIONS(12846),
    [anon_sym_COLON2] = ACTIONS(12844),
    [anon_sym_export] = ACTIONS(12844),
    [anon_sym_import] = ACTIONS(12844),
    [anon_sym_using] = ACTIONS(12844),
    [anon_sym_LBRACK] = ACTIONS(12846),
    [anon_sym_RBRACK] = ACTIONS(12846),
    [anon_sym_in] = ACTIONS(12844),
    [anon_sym_SEMI] = ACTIONS(12846),
    [anon_sym_LBRACE] = ACTIONS(12846),
    [anon_sym_RBRACE] = ACTIONS(12846),
    [anon_sym_DOT] = ACTIONS(13020),
    [anon_sym_DOLLAR] = ACTIONS(12846),
    [anon_sym_COLON_COLON] = ACTIONS(12846),
    [anon_sym_isa] = ACTIONS(12844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12846),
    [anon_sym_QMARK] = ACTIONS(12846),
    [anon_sym_AT] = ACTIONS(12846),
    [anon_sym_true] = ACTIONS(12844),
    [anon_sym_false] = ACTIONS(12844),
    [aux_sym_integer_literal_token1] = ACTIONS(12846),
    [aux_sym_integer_literal_token2] = ACTIONS(12846),
    [aux_sym_integer_literal_token3] = ACTIONS(12844),
    [aux_sym_integer_literal_token4] = ACTIONS(12844),
    [aux_sym_float_literal_token1] = ACTIONS(12846),
    [aux_sym_float_literal_token3] = ACTIONS(12846),
    [aux_sym_float_literal_token4] = ACTIONS(12846),
    [sym_character_literal] = ACTIONS(12846),
    [sym__pair_operator] = ACTIONS(12846),
    [sym__arrow_operator] = ACTIONS(12844),
    [sym__lazy_or_operator] = ACTIONS(12846),
    [sym__lazy_and_operator] = ACTIONS(12846),
    [sym__comparison_operator] = ACTIONS(12844),
    [sym__pipe_right_operator] = ACTIONS(12846),
    [sym__pipe_left_operator] = ACTIONS(12846),
    [sym__ellipsis_operator] = ACTIONS(12844),
    [sym__plus_operator] = ACTIONS(12844),
    [sym__times_operator] = ACTIONS(12844),
    [sym__rational_operator] = ACTIONS(12846),
    [sym__bitshift_operator] = ACTIONS(12846),
    [sym__power_operator] = ACTIONS(12846),
    [sym__tilde_operator] = ACTIONS(12846),
    [sym__type_order_operator] = ACTIONS(12846),
    [sym__unary_operator] = ACTIONS(12844),
    [sym__unary_plus_operator] = ACTIONS(12844),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12846),
    [sym__command_start] = ACTIONS(12846),
  },
  [6996] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_as] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [6997] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_elseif] = ACTIONS(12176),
    [anon_sym_else] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [6998] = {
    [aux_sym_export_statement_repeat1] = STATE(6998),
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(13022),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_end] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_elseif] = ACTIONS(12976),
    [anon_sym_else] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [6999] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(13025),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7000] = {
    [ts_builtin_sym_end] = ACTIONS(12212),
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_RPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_RBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [7001] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12252),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_as] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12252),
    [anon_sym_RPAREN] = ACTIONS(12252),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12252),
    [anon_sym_RBRACK] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_SEMI] = ACTIONS(12252),
    [anon_sym_LBRACE] = ACTIONS(12252),
    [anon_sym_RBRACE] = ACTIONS(12252),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12252),
    [anon_sym_COLON_COLON] = ACTIONS(12252),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12252),
    [anon_sym_QMARK] = ACTIONS(12252),
    [anon_sym_AT] = ACTIONS(12252),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12252),
    [aux_sym_integer_literal_token2] = ACTIONS(12252),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12252),
    [aux_sym_float_literal_token3] = ACTIONS(12252),
    [aux_sym_float_literal_token4] = ACTIONS(12252),
    [sym_character_literal] = ACTIONS(12252),
    [sym__pair_operator] = ACTIONS(12252),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12252),
    [sym__lazy_and_operator] = ACTIONS(12252),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12252),
    [sym__pipe_left_operator] = ACTIONS(12252),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12252),
    [sym__bitshift_operator] = ACTIONS(12252),
    [sym__power_operator] = ACTIONS(12252),
    [sym__tilde_operator] = ACTIONS(12252),
    [sym__type_order_operator] = ACTIONS(12252),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [7002] = {
    [aux_sym_export_statement_repeat1] = STATE(7002),
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(13027),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_end] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_else] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_finally] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [7003] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_elseif] = ACTIONS(12170),
    [anon_sym_else] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [7004] = {
    [sym__word_identifier] = ACTIONS(12850),
    [anon_sym_EQ] = ACTIONS(12850),
    [anon_sym_COMMA] = ACTIONS(12850),
    [anon_sym_COLON] = ACTIONS(12850),
    [anon_sym_begin] = ACTIONS(12850),
    [anon_sym_module] = ACTIONS(12850),
    [anon_sym_baremodule] = ACTIONS(12850),
    [anon_sym_end] = ACTIONS(12850),
    [anon_sym_abstract] = ACTIONS(12850),
    [anon_sym_primitive] = ACTIONS(12850),
    [anon_sym_mutable] = ACTIONS(12850),
    [anon_sym_struct] = ACTIONS(12850),
    [anon_sym_function] = ACTIONS(12850),
    [anon_sym_macro] = ACTIONS(12850),
    [anon_sym_where] = ACTIONS(12850),
    [anon_sym_quote] = ACTIONS(12850),
    [anon_sym_let] = ACTIONS(12850),
    [anon_sym_if] = ACTIONS(12850),
    [anon_sym_try] = ACTIONS(12850),
    [anon_sym_catch] = ACTIONS(12850),
    [anon_sym_for] = ACTIONS(12850),
    [anon_sym_while] = ACTIONS(12850),
    [sym_break_statement] = ACTIONS(12850),
    [sym_continue_statement] = ACTIONS(12850),
    [anon_sym_return] = ACTIONS(12850),
    [anon_sym_const] = ACTIONS(12850),
    [anon_sym_global] = ACTIONS(12850),
    [anon_sym_local] = ACTIONS(12850),
    [anon_sym_as] = ACTIONS(12850),
    [anon_sym_LPAREN] = ACTIONS(12850),
    [anon_sym_COLON2] = ACTIONS(12850),
    [anon_sym_export] = ACTIONS(12850),
    [anon_sym_import] = ACTIONS(12850),
    [anon_sym_using] = ACTIONS(12850),
    [anon_sym_LBRACK] = ACTIONS(12850),
    [anon_sym_LF] = ACTIONS(12852),
    [anon_sym_in] = ACTIONS(12850),
    [anon_sym_LBRACE] = ACTIONS(12850),
    [anon_sym_DOT] = ACTIONS(12981),
    [anon_sym_DOLLAR] = ACTIONS(12850),
    [anon_sym_COLON_COLON] = ACTIONS(12850),
    [anon_sym_isa] = ACTIONS(12850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12850),
    [anon_sym_QMARK] = ACTIONS(12850),
    [anon_sym_AT] = ACTIONS(12850),
    [anon_sym_true] = ACTIONS(12850),
    [anon_sym_false] = ACTIONS(12850),
    [aux_sym_integer_literal_token1] = ACTIONS(12850),
    [aux_sym_integer_literal_token2] = ACTIONS(12850),
    [aux_sym_integer_literal_token3] = ACTIONS(12850),
    [aux_sym_integer_literal_token4] = ACTIONS(12850),
    [aux_sym_float_literal_token1] = ACTIONS(12850),
    [aux_sym_float_literal_token3] = ACTIONS(12850),
    [aux_sym_float_literal_token4] = ACTIONS(12850),
    [sym_character_literal] = ACTIONS(12850),
    [sym__pair_operator] = ACTIONS(12850),
    [sym__arrow_operator] = ACTIONS(12850),
    [sym__lazy_or_operator] = ACTIONS(12850),
    [sym__lazy_and_operator] = ACTIONS(12850),
    [sym__comparison_operator] = ACTIONS(12850),
    [sym__pipe_right_operator] = ACTIONS(12850),
    [sym__pipe_left_operator] = ACTIONS(12850),
    [sym__ellipsis_operator] = ACTIONS(12850),
    [sym__plus_operator] = ACTIONS(12850),
    [sym__times_operator] = ACTIONS(12850),
    [sym__rational_operator] = ACTIONS(12850),
    [sym__bitshift_operator] = ACTIONS(12850),
    [sym__power_operator] = ACTIONS(12850),
    [sym__tilde_operator] = ACTIONS(12850),
    [sym__type_order_operator] = ACTIONS(12850),
    [sym__unary_operator] = ACTIONS(12850),
    [sym__unary_plus_operator] = ACTIONS(12850),
    [aux_sym__terminator_token1] = ACTIONS(12850),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12852),
    [sym__command_start] = ACTIONS(12852),
  },
  [7005] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12676),
    [sym__immediate_bracket] = ACTIONS(12676),
    [sym__immediate_brace] = ACTIONS(12676),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7006] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(12981),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7007] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11886),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11886),
    [anon_sym_RPAREN] = ACTIONS(11886),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11886),
    [anon_sym_RBRACK] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11886),
    [anon_sym_RBRACE] = ACTIONS(11886),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11886),
    [anon_sym_COLON_COLON] = ACTIONS(11886),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11886),
    [anon_sym_QMARK] = ACTIONS(11886),
    [anon_sym_AT] = ACTIONS(11886),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11886),
    [aux_sym_integer_literal_token2] = ACTIONS(11886),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11886),
    [aux_sym_float_literal_token3] = ACTIONS(11886),
    [aux_sym_float_literal_token4] = ACTIONS(11886),
    [sym_character_literal] = ACTIONS(11886),
    [sym__pair_operator] = ACTIONS(11886),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11886),
    [sym__lazy_and_operator] = ACTIONS(11886),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11886),
    [sym__pipe_left_operator] = ACTIONS(11886),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11886),
    [sym__bitshift_operator] = ACTIONS(11886),
    [sym__power_operator] = ACTIONS(11886),
    [sym__tilde_operator] = ACTIONS(11886),
    [sym__type_order_operator] = ACTIONS(11886),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [7008] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_as] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [7009] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_as] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [7010] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7011] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12172),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_as] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12172),
    [anon_sym_RPAREN] = ACTIONS(12172),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12172),
    [anon_sym_RBRACK] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_SEMI] = ACTIONS(12172),
    [anon_sym_LBRACE] = ACTIONS(12172),
    [anon_sym_RBRACE] = ACTIONS(12172),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12172),
    [anon_sym_COLON_COLON] = ACTIONS(12172),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12172),
    [anon_sym_QMARK] = ACTIONS(12172),
    [anon_sym_AT] = ACTIONS(12172),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12172),
    [aux_sym_integer_literal_token2] = ACTIONS(12172),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12172),
    [aux_sym_float_literal_token3] = ACTIONS(12172),
    [aux_sym_float_literal_token4] = ACTIONS(12172),
    [sym_character_literal] = ACTIONS(12172),
    [sym__pair_operator] = ACTIONS(12172),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12172),
    [sym__lazy_and_operator] = ACTIONS(12172),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12172),
    [sym__pipe_left_operator] = ACTIONS(12172),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12172),
    [sym__bitshift_operator] = ACTIONS(12172),
    [sym__power_operator] = ACTIONS(12172),
    [sym__tilde_operator] = ACTIONS(12172),
    [sym__type_order_operator] = ACTIONS(12172),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [7012] = {
    [ts_builtin_sym_end] = ACTIONS(13030),
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_as] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_RPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_RBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [7013] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12906),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7014] = {
    [sym__primary_expression] = STATE(11337),
    [sym__array] = STATE(11337),
    [sym_comprehension_expression] = STATE(11337),
    [sym_matrix_expression] = STATE(11337),
    [sym_vector_expression] = STATE(11337),
    [sym_parenthesized_expression] = STATE(11337),
    [sym_tuple_expression] = STATE(11337),
    [sym_curly_expression] = STATE(11337),
    [sym_adjoint_expression] = STATE(11337),
    [sym_field_expression] = STATE(11337),
    [sym_index_expression] = STATE(11337),
    [sym_parametrized_type_expression] = STATE(11337),
    [sym_call_expression] = STATE(11337),
    [sym_broadcast_call_expression] = STATE(11337),
    [sym__closed_macrocall_expression] = STATE(11337),
    [sym_interpolation_expression] = STATE(11337),
    [sym_quote_expression] = STATE(11337),
    [sym_macro_identifier] = STATE(16712),
    [sym_identifier] = STATE(10621),
    [sym_boolean_literal] = STATE(11337),
    [sym__string] = STATE(11337),
    [sym_string_literal] = STATE(11337),
    [sym_command_literal] = STATE(11337),
    [sym_prefixed_string_literal] = STATE(11337),
    [sym_prefixed_command_literal] = STATE(11337),
    [sym_operator] = STATE(19222),
    [sym__word_identifier] = ACTIONS(13034),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(13036),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(13038),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(13040),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(13042),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(13044),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13046),
    [anon_sym_false] = ACTIONS(13046),
    [sym_character_literal] = ACTIONS(13048),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(13050),
    [sym__command_start] = ACTIONS(13052),
  },
  [7015] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_elseif] = ACTIONS(12156),
    [anon_sym_else] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [7016] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_elseif] = ACTIONS(12226),
    [anon_sym_else] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [7017] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7018] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12316),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_as] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12316),
    [anon_sym_RPAREN] = ACTIONS(12316),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12316),
    [anon_sym_RBRACK] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_SEMI] = ACTIONS(12316),
    [anon_sym_LBRACE] = ACTIONS(12316),
    [anon_sym_RBRACE] = ACTIONS(12316),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12316),
    [anon_sym_COLON_COLON] = ACTIONS(12316),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12316),
    [anon_sym_QMARK] = ACTIONS(12316),
    [anon_sym_AT] = ACTIONS(12316),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12316),
    [aux_sym_integer_literal_token2] = ACTIONS(12316),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12316),
    [aux_sym_float_literal_token3] = ACTIONS(12316),
    [aux_sym_float_literal_token4] = ACTIONS(12316),
    [sym_character_literal] = ACTIONS(12316),
    [sym__pair_operator] = ACTIONS(12316),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12316),
    [sym__lazy_and_operator] = ACTIONS(12316),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12316),
    [sym__pipe_left_operator] = ACTIONS(12316),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12316),
    [sym__bitshift_operator] = ACTIONS(12316),
    [sym__power_operator] = ACTIONS(12316),
    [sym__tilde_operator] = ACTIONS(12316),
    [sym__type_order_operator] = ACTIONS(12316),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [7019] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12158),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_as] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12158),
    [anon_sym_RPAREN] = ACTIONS(12158),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12158),
    [anon_sym_RBRACK] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_SEMI] = ACTIONS(12158),
    [anon_sym_LBRACE] = ACTIONS(12158),
    [anon_sym_RBRACE] = ACTIONS(12158),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12158),
    [anon_sym_COLON_COLON] = ACTIONS(12158),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12158),
    [anon_sym_QMARK] = ACTIONS(12158),
    [anon_sym_AT] = ACTIONS(12158),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12158),
    [aux_sym_integer_literal_token2] = ACTIONS(12158),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12158),
    [aux_sym_float_literal_token3] = ACTIONS(12158),
    [aux_sym_float_literal_token4] = ACTIONS(12158),
    [sym_character_literal] = ACTIONS(12158),
    [sym__pair_operator] = ACTIONS(12158),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12158),
    [sym__lazy_and_operator] = ACTIONS(12158),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12158),
    [sym__pipe_left_operator] = ACTIONS(12158),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12158),
    [sym__bitshift_operator] = ACTIONS(12158),
    [sym__power_operator] = ACTIONS(12158),
    [sym__tilde_operator] = ACTIONS(12158),
    [sym__type_order_operator] = ACTIONS(12158),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [7020] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12060),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_as] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12060),
    [anon_sym_RPAREN] = ACTIONS(12060),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12060),
    [anon_sym_RBRACK] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12060),
    [anon_sym_LBRACE] = ACTIONS(12060),
    [anon_sym_RBRACE] = ACTIONS(12060),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12060),
    [anon_sym_COLON_COLON] = ACTIONS(12060),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12060),
    [anon_sym_QMARK] = ACTIONS(12060),
    [anon_sym_AT] = ACTIONS(12060),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12060),
    [aux_sym_integer_literal_token2] = ACTIONS(12060),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12060),
    [aux_sym_float_literal_token3] = ACTIONS(12060),
    [aux_sym_float_literal_token4] = ACTIONS(12060),
    [sym_character_literal] = ACTIONS(12060),
    [sym__pair_operator] = ACTIONS(12060),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12060),
    [sym__lazy_and_operator] = ACTIONS(12060),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12060),
    [sym__pipe_left_operator] = ACTIONS(12060),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12060),
    [sym__bitshift_operator] = ACTIONS(12060),
    [sym__power_operator] = ACTIONS(12060),
    [sym__tilde_operator] = ACTIONS(12060),
    [sym__type_order_operator] = ACTIONS(12060),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [7021] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12090),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_as] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12090),
    [anon_sym_RPAREN] = ACTIONS(12090),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12090),
    [anon_sym_RBRACK] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12090),
    [anon_sym_LBRACE] = ACTIONS(12090),
    [anon_sym_RBRACE] = ACTIONS(12090),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12090),
    [anon_sym_COLON_COLON] = ACTIONS(12090),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12090),
    [anon_sym_QMARK] = ACTIONS(12090),
    [anon_sym_AT] = ACTIONS(12090),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12090),
    [aux_sym_integer_literal_token2] = ACTIONS(12090),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12090),
    [aux_sym_float_literal_token3] = ACTIONS(12090),
    [aux_sym_float_literal_token4] = ACTIONS(12090),
    [sym_character_literal] = ACTIONS(12090),
    [sym__pair_operator] = ACTIONS(12090),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12090),
    [sym__lazy_and_operator] = ACTIONS(12090),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12090),
    [sym__pipe_left_operator] = ACTIONS(12090),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12090),
    [sym__bitshift_operator] = ACTIONS(12090),
    [sym__power_operator] = ACTIONS(12090),
    [sym__tilde_operator] = ACTIONS(12090),
    [sym__type_order_operator] = ACTIONS(12090),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [7022] = {
    [aux_sym_open_tuple_repeat1] = STATE(6928),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(12986),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_elseif] = ACTIONS(13054),
    [anon_sym_else] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13066),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7023] = {
    [ts_builtin_sym_end] = ACTIONS(12090),
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_RBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [7024] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11972),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_as] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11972),
    [anon_sym_RPAREN] = ACTIONS(11972),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11972),
    [anon_sym_RBRACK] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11972),
    [anon_sym_RBRACE] = ACTIONS(11972),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11972),
    [anon_sym_COLON_COLON] = ACTIONS(11972),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11972),
    [anon_sym_QMARK] = ACTIONS(11972),
    [anon_sym_AT] = ACTIONS(11972),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11972),
    [aux_sym_integer_literal_token2] = ACTIONS(11972),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11972),
    [aux_sym_float_literal_token3] = ACTIONS(11972),
    [aux_sym_float_literal_token4] = ACTIONS(11972),
    [sym_character_literal] = ACTIONS(11972),
    [sym__pair_operator] = ACTIONS(11972),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11972),
    [sym__lazy_and_operator] = ACTIONS(11972),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11972),
    [sym__pipe_left_operator] = ACTIONS(11972),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11972),
    [sym__bitshift_operator] = ACTIONS(11972),
    [sym__power_operator] = ACTIONS(11972),
    [sym__tilde_operator] = ACTIONS(11972),
    [sym__type_order_operator] = ACTIONS(11972),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [7025] = {
    [aux_sym_open_tuple_repeat1] = STATE(6928),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(12986),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_elseif] = ACTIONS(13092),
    [anon_sym_else] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13066),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7026] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(13096),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7027] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12392),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12272),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7028] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_else] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [7029] = {
    [sym_identifier] = STATE(7682),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_as] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [7030] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(13098),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7031] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12344),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_as] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12344),
    [anon_sym_RPAREN] = ACTIONS(12344),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12344),
    [anon_sym_RBRACK] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_SEMI] = ACTIONS(12344),
    [anon_sym_LBRACE] = ACTIONS(12344),
    [anon_sym_RBRACE] = ACTIONS(12344),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12344),
    [anon_sym_COLON_COLON] = ACTIONS(12344),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12344),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_AT] = ACTIONS(12344),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12344),
    [aux_sym_integer_literal_token2] = ACTIONS(12344),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12344),
    [aux_sym_float_literal_token3] = ACTIONS(12344),
    [aux_sym_float_literal_token4] = ACTIONS(12344),
    [sym_character_literal] = ACTIONS(12344),
    [sym__pair_operator] = ACTIONS(12344),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12344),
    [sym__lazy_and_operator] = ACTIONS(12344),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12344),
    [sym__pipe_left_operator] = ACTIONS(12344),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12344),
    [sym__bitshift_operator] = ACTIONS(12344),
    [sym__power_operator] = ACTIONS(12344),
    [sym__tilde_operator] = ACTIONS(12344),
    [sym__type_order_operator] = ACTIONS(12344),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [7032] = {
    [sym_identifier] = STATE(7681),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_as] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [7033] = {
    [ts_builtin_sym_end] = ACTIONS(12676),
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_RBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(13100),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7034] = {
    [aux_sym_open_tuple_repeat1] = STATE(6928),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(12986),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_elseif] = ACTIONS(13102),
    [anon_sym_else] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13066),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7035] = {
    [aux_sym__import_list_repeat1] = STATE(7137),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12866),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_else] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_finally] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7036] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [7037] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7038] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12430),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7039] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_elseif] = ACTIONS(12250),
    [anon_sym_else] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [7040] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_catch] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_as] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [7041] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_catch] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_as] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [7042] = {
    [sym_identifier] = STATE(7656),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_finally] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [7043] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_as] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7044] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_catch] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_as] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [7045] = {
    [sym_identifier] = STATE(7626),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_as] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [7046] = {
    [sym_identifier] = STATE(7617),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_as] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [7047] = {
    [sym_identifier] = STATE(7658),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_finally] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [7048] = {
    [ts_builtin_sym_end] = ACTIONS(12060),
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_RBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [7049] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12676),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12676),
    [anon_sym_RPAREN] = ACTIONS(12676),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12676),
    [anon_sym_RBRACK] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12676),
    [anon_sym_LBRACE] = ACTIONS(12676),
    [anon_sym_RBRACE] = ACTIONS(12676),
    [anon_sym_DOT] = ACTIONS(13020),
    [anon_sym_DOLLAR] = ACTIONS(12676),
    [anon_sym_COLON_COLON] = ACTIONS(12676),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12676),
    [anon_sym_QMARK] = ACTIONS(12676),
    [anon_sym_AT] = ACTIONS(12676),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12676),
    [aux_sym_integer_literal_token2] = ACTIONS(12676),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12676),
    [aux_sym_float_literal_token3] = ACTIONS(12676),
    [aux_sym_float_literal_token4] = ACTIONS(12676),
    [sym_character_literal] = ACTIONS(12676),
    [sym__pair_operator] = ACTIONS(12676),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12676),
    [sym__lazy_and_operator] = ACTIONS(12676),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12676),
    [sym__pipe_left_operator] = ACTIONS(12676),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12676),
    [sym__bitshift_operator] = ACTIONS(12676),
    [sym__power_operator] = ACTIONS(12676),
    [sym__tilde_operator] = ACTIONS(12676),
    [sym__type_order_operator] = ACTIONS(12676),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7050] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_catch] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_as] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [7051] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_catch] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_as] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [7052] = {
    [sym_identifier] = STATE(7667),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_finally] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [7053] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12430),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12364),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7054] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_catch] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_as] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [7055] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_catch] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_as] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [7056] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_else] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [7057] = {
    [sym__word_identifier] = ACTIONS(12874),
    [anon_sym_EQ] = ACTIONS(12874),
    [anon_sym_COMMA] = ACTIONS(12874),
    [anon_sym_COLON] = ACTIONS(12874),
    [anon_sym_begin] = ACTIONS(12874),
    [anon_sym_module] = ACTIONS(12874),
    [anon_sym_baremodule] = ACTIONS(12874),
    [anon_sym_end] = ACTIONS(12874),
    [anon_sym_abstract] = ACTIONS(12874),
    [anon_sym_primitive] = ACTIONS(12874),
    [anon_sym_mutable] = ACTIONS(12874),
    [anon_sym_struct] = ACTIONS(12874),
    [anon_sym_function] = ACTIONS(12874),
    [anon_sym_macro] = ACTIONS(12874),
    [anon_sym_where] = ACTIONS(12874),
    [anon_sym_quote] = ACTIONS(12874),
    [anon_sym_let] = ACTIONS(12874),
    [anon_sym_if] = ACTIONS(12874),
    [anon_sym_try] = ACTIONS(12874),
    [anon_sym_finally] = ACTIONS(12874),
    [anon_sym_for] = ACTIONS(12874),
    [anon_sym_while] = ACTIONS(12874),
    [sym_break_statement] = ACTIONS(12874),
    [sym_continue_statement] = ACTIONS(12874),
    [anon_sym_return] = ACTIONS(12874),
    [anon_sym_const] = ACTIONS(12874),
    [anon_sym_global] = ACTIONS(12874),
    [anon_sym_local] = ACTIONS(12874),
    [anon_sym_as] = ACTIONS(12874),
    [anon_sym_LPAREN] = ACTIONS(12874),
    [anon_sym_COLON2] = ACTIONS(12874),
    [anon_sym_export] = ACTIONS(12874),
    [anon_sym_import] = ACTIONS(12874),
    [anon_sym_using] = ACTIONS(12874),
    [anon_sym_LBRACK] = ACTIONS(12874),
    [anon_sym_LF] = ACTIONS(12876),
    [anon_sym_in] = ACTIONS(12874),
    [anon_sym_LBRACE] = ACTIONS(12874),
    [anon_sym_DOT] = ACTIONS(13106),
    [anon_sym_DOLLAR] = ACTIONS(12874),
    [anon_sym_COLON_COLON] = ACTIONS(12874),
    [anon_sym_isa] = ACTIONS(12874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12874),
    [anon_sym_QMARK] = ACTIONS(12874),
    [anon_sym_AT] = ACTIONS(12874),
    [anon_sym_true] = ACTIONS(12874),
    [anon_sym_false] = ACTIONS(12874),
    [aux_sym_integer_literal_token1] = ACTIONS(12874),
    [aux_sym_integer_literal_token2] = ACTIONS(12874),
    [aux_sym_integer_literal_token3] = ACTIONS(12874),
    [aux_sym_integer_literal_token4] = ACTIONS(12874),
    [aux_sym_float_literal_token1] = ACTIONS(12874),
    [aux_sym_float_literal_token3] = ACTIONS(12874),
    [aux_sym_float_literal_token4] = ACTIONS(12874),
    [sym_character_literal] = ACTIONS(12874),
    [sym__pair_operator] = ACTIONS(12874),
    [sym__arrow_operator] = ACTIONS(12874),
    [sym__lazy_or_operator] = ACTIONS(12874),
    [sym__lazy_and_operator] = ACTIONS(12874),
    [sym__comparison_operator] = ACTIONS(12874),
    [sym__pipe_right_operator] = ACTIONS(12874),
    [sym__pipe_left_operator] = ACTIONS(12874),
    [sym__ellipsis_operator] = ACTIONS(12874),
    [sym__plus_operator] = ACTIONS(12874),
    [sym__times_operator] = ACTIONS(12874),
    [sym__rational_operator] = ACTIONS(12874),
    [sym__bitshift_operator] = ACTIONS(12874),
    [sym__power_operator] = ACTIONS(12874),
    [sym__tilde_operator] = ACTIONS(12874),
    [sym__type_order_operator] = ACTIONS(12874),
    [sym__unary_operator] = ACTIONS(12874),
    [sym__unary_plus_operator] = ACTIONS(12874),
    [aux_sym__terminator_token1] = ACTIONS(12874),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12876),
    [sym__command_start] = ACTIONS(12876),
  },
  [7058] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(13108),
    [sym__immediate_command_start] = ACTIONS(13110),
  },
  [7059] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_elseif] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [7060] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7061] = {
    [ts_builtin_sym_end] = ACTIONS(12676),
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_RBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7062] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_as] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [7063] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7064] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_as] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [7065] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_catch] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_as] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [7066] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_catch] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_as] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [7067] = {
    [aux_sym_export_statement_repeat1] = STATE(7141),
    [ts_builtin_sym_end] = ACTIONS(13112),
    [sym__word_identifier] = ACTIONS(13114),
    [anon_sym_EQ] = ACTIONS(13114),
    [anon_sym_COMMA] = ACTIONS(13116),
    [anon_sym_COLON] = ACTIONS(13114),
    [anon_sym_begin] = ACTIONS(13114),
    [anon_sym_module] = ACTIONS(13114),
    [anon_sym_baremodule] = ACTIONS(13114),
    [anon_sym_abstract] = ACTIONS(13114),
    [anon_sym_primitive] = ACTIONS(13114),
    [anon_sym_mutable] = ACTIONS(13114),
    [anon_sym_struct] = ACTIONS(13114),
    [anon_sym_function] = ACTIONS(13114),
    [anon_sym_macro] = ACTIONS(13114),
    [anon_sym_where] = ACTIONS(13114),
    [anon_sym_quote] = ACTIONS(13114),
    [anon_sym_let] = ACTIONS(13114),
    [anon_sym_if] = ACTIONS(13114),
    [anon_sym_try] = ACTIONS(13114),
    [anon_sym_for] = ACTIONS(13114),
    [anon_sym_while] = ACTIONS(13114),
    [sym_break_statement] = ACTIONS(13114),
    [sym_continue_statement] = ACTIONS(13114),
    [anon_sym_return] = ACTIONS(13114),
    [anon_sym_const] = ACTIONS(13114),
    [anon_sym_global] = ACTIONS(13114),
    [anon_sym_local] = ACTIONS(13114),
    [anon_sym_LPAREN] = ACTIONS(13114),
    [anon_sym_RPAREN] = ACTIONS(13114),
    [anon_sym_COLON2] = ACTIONS(13114),
    [anon_sym_export] = ACTIONS(13114),
    [anon_sym_import] = ACTIONS(13114),
    [anon_sym_using] = ACTIONS(13114),
    [anon_sym_LBRACK] = ACTIONS(13114),
    [anon_sym_RBRACK] = ACTIONS(13114),
    [anon_sym_LF] = ACTIONS(13112),
    [anon_sym_in] = ACTIONS(13114),
    [anon_sym_LBRACE] = ACTIONS(13114),
    [anon_sym_DOLLAR] = ACTIONS(13114),
    [anon_sym_COLON_COLON] = ACTIONS(13114),
    [anon_sym_isa] = ACTIONS(13114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13114),
    [anon_sym_QMARK] = ACTIONS(13114),
    [anon_sym_AT] = ACTIONS(13114),
    [anon_sym_true] = ACTIONS(13114),
    [anon_sym_false] = ACTIONS(13114),
    [aux_sym_integer_literal_token1] = ACTIONS(13114),
    [aux_sym_integer_literal_token2] = ACTIONS(13114),
    [aux_sym_integer_literal_token3] = ACTIONS(13114),
    [aux_sym_integer_literal_token4] = ACTIONS(13114),
    [aux_sym_float_literal_token1] = ACTIONS(13114),
    [aux_sym_float_literal_token3] = ACTIONS(13114),
    [aux_sym_float_literal_token4] = ACTIONS(13114),
    [sym_character_literal] = ACTIONS(13114),
    [sym__pair_operator] = ACTIONS(13114),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13114),
    [sym__lazy_and_operator] = ACTIONS(13114),
    [sym__comparison_operator] = ACTIONS(13114),
    [sym__pipe_right_operator] = ACTIONS(13114),
    [sym__pipe_left_operator] = ACTIONS(13114),
    [sym__ellipsis_operator] = ACTIONS(13114),
    [sym__plus_operator] = ACTIONS(13114),
    [sym__times_operator] = ACTIONS(13114),
    [sym__rational_operator] = ACTIONS(13114),
    [sym__bitshift_operator] = ACTIONS(13114),
    [sym__power_operator] = ACTIONS(13114),
    [sym__tilde_operator] = ACTIONS(13114),
    [sym__type_order_operator] = ACTIONS(13114),
    [sym__unary_operator] = ACTIONS(13114),
    [sym__unary_plus_operator] = ACTIONS(13114),
    [aux_sym__terminator_token1] = ACTIONS(13114),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13112),
    [sym__command_start] = ACTIONS(13112),
  },
  [7068] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12904),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7069] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_elseif] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(13118),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7070] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_elseif] = ACTIONS(12210),
    [anon_sym_else] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [7071] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_catch] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_as] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [7072] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [7073] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_catch] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_as] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [7074] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7075] = {
    [aux_sym_open_tuple_repeat1] = STATE(7111),
    [ts_builtin_sym_end] = ACTIONS(13120),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(13124),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_RPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_RBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7076] = {
    [sym__word_identifier] = ACTIONS(12874),
    [anon_sym_EQ] = ACTIONS(12874),
    [anon_sym_COMMA] = ACTIONS(12874),
    [anon_sym_COLON] = ACTIONS(12874),
    [anon_sym_begin] = ACTIONS(12874),
    [anon_sym_module] = ACTIONS(12874),
    [anon_sym_baremodule] = ACTIONS(12874),
    [anon_sym_abstract] = ACTIONS(12874),
    [anon_sym_primitive] = ACTIONS(12874),
    [anon_sym_mutable] = ACTIONS(12874),
    [anon_sym_struct] = ACTIONS(12874),
    [anon_sym_function] = ACTIONS(12874),
    [anon_sym_macro] = ACTIONS(12874),
    [anon_sym_where] = ACTIONS(12874),
    [anon_sym_quote] = ACTIONS(12874),
    [anon_sym_let] = ACTIONS(12874),
    [anon_sym_if] = ACTIONS(12874),
    [anon_sym_try] = ACTIONS(12874),
    [anon_sym_catch] = ACTIONS(12874),
    [anon_sym_finally] = ACTIONS(12874),
    [anon_sym_for] = ACTIONS(12874),
    [anon_sym_while] = ACTIONS(12874),
    [sym_break_statement] = ACTIONS(12874),
    [sym_continue_statement] = ACTIONS(12874),
    [anon_sym_return] = ACTIONS(12874),
    [anon_sym_const] = ACTIONS(12874),
    [anon_sym_global] = ACTIONS(12874),
    [anon_sym_local] = ACTIONS(12874),
    [anon_sym_as] = ACTIONS(12874),
    [anon_sym_LPAREN] = ACTIONS(12874),
    [anon_sym_COLON2] = ACTIONS(12874),
    [anon_sym_export] = ACTIONS(12874),
    [anon_sym_import] = ACTIONS(12874),
    [anon_sym_using] = ACTIONS(12874),
    [anon_sym_LBRACK] = ACTIONS(12874),
    [anon_sym_LF] = ACTIONS(12876),
    [anon_sym_in] = ACTIONS(12874),
    [anon_sym_LBRACE] = ACTIONS(12874),
    [anon_sym_DOT] = ACTIONS(13005),
    [anon_sym_DOLLAR] = ACTIONS(12874),
    [anon_sym_COLON_COLON] = ACTIONS(12874),
    [anon_sym_isa] = ACTIONS(12874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12874),
    [anon_sym_QMARK] = ACTIONS(12874),
    [anon_sym_AT] = ACTIONS(12874),
    [anon_sym_true] = ACTIONS(12874),
    [anon_sym_false] = ACTIONS(12874),
    [aux_sym_integer_literal_token1] = ACTIONS(12874),
    [aux_sym_integer_literal_token2] = ACTIONS(12874),
    [aux_sym_integer_literal_token3] = ACTIONS(12874),
    [aux_sym_integer_literal_token4] = ACTIONS(12874),
    [aux_sym_float_literal_token1] = ACTIONS(12874),
    [aux_sym_float_literal_token3] = ACTIONS(12874),
    [aux_sym_float_literal_token4] = ACTIONS(12874),
    [sym_character_literal] = ACTIONS(12874),
    [sym__pair_operator] = ACTIONS(12874),
    [sym__arrow_operator] = ACTIONS(12874),
    [sym__lazy_or_operator] = ACTIONS(12874),
    [sym__lazy_and_operator] = ACTIONS(12874),
    [sym__comparison_operator] = ACTIONS(12874),
    [sym__pipe_right_operator] = ACTIONS(12874),
    [sym__pipe_left_operator] = ACTIONS(12874),
    [sym__ellipsis_operator] = ACTIONS(12874),
    [sym__plus_operator] = ACTIONS(12874),
    [sym__times_operator] = ACTIONS(12874),
    [sym__rational_operator] = ACTIONS(12874),
    [sym__bitshift_operator] = ACTIONS(12874),
    [sym__power_operator] = ACTIONS(12874),
    [sym__tilde_operator] = ACTIONS(12874),
    [sym__type_order_operator] = ACTIONS(12874),
    [sym__unary_operator] = ACTIONS(12874),
    [sym__unary_plus_operator] = ACTIONS(12874),
    [aux_sym__terminator_token1] = ACTIONS(12874),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12876),
    [sym__command_start] = ACTIONS(12876),
  },
  [7077] = {
    [sym_identifier] = STATE(7668),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_finally] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [7078] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_as] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [7079] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_catch] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_as] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [7080] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_elseif] = ACTIONS(11926),
    [anon_sym_else] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7081] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_catch] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_as] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [7082] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_catch] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_as] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [7083] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_catch] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_as] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [7084] = {
    [aux_sym__import_list_repeat1] = STATE(6897),
    [ts_builtin_sym_end] = ACTIONS(13162),
    [sym__word_identifier] = ACTIONS(13164),
    [anon_sym_EQ] = ACTIONS(13164),
    [anon_sym_COMMA] = ACTIONS(12918),
    [anon_sym_COLON] = ACTIONS(13164),
    [anon_sym_begin] = ACTIONS(13164),
    [anon_sym_module] = ACTIONS(13164),
    [anon_sym_baremodule] = ACTIONS(13164),
    [anon_sym_abstract] = ACTIONS(13164),
    [anon_sym_primitive] = ACTIONS(13164),
    [anon_sym_mutable] = ACTIONS(13164),
    [anon_sym_struct] = ACTIONS(13164),
    [anon_sym_function] = ACTIONS(13164),
    [anon_sym_macro] = ACTIONS(13164),
    [anon_sym_where] = ACTIONS(13164),
    [anon_sym_quote] = ACTIONS(13164),
    [anon_sym_let] = ACTIONS(13164),
    [anon_sym_if] = ACTIONS(13164),
    [anon_sym_try] = ACTIONS(13164),
    [anon_sym_for] = ACTIONS(13164),
    [anon_sym_while] = ACTIONS(13164),
    [sym_break_statement] = ACTIONS(13164),
    [sym_continue_statement] = ACTIONS(13164),
    [anon_sym_return] = ACTIONS(13164),
    [anon_sym_const] = ACTIONS(13164),
    [anon_sym_global] = ACTIONS(13164),
    [anon_sym_local] = ACTIONS(13164),
    [anon_sym_LPAREN] = ACTIONS(13164),
    [anon_sym_RPAREN] = ACTIONS(13164),
    [anon_sym_COLON2] = ACTIONS(13164),
    [anon_sym_export] = ACTIONS(13164),
    [anon_sym_import] = ACTIONS(13164),
    [anon_sym_using] = ACTIONS(13164),
    [anon_sym_LBRACK] = ACTIONS(13164),
    [anon_sym_RBRACK] = ACTIONS(13164),
    [anon_sym_LF] = ACTIONS(13162),
    [anon_sym_in] = ACTIONS(13164),
    [anon_sym_LBRACE] = ACTIONS(13164),
    [anon_sym_DOLLAR] = ACTIONS(13164),
    [anon_sym_COLON_COLON] = ACTIONS(13164),
    [anon_sym_isa] = ACTIONS(13164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13164),
    [anon_sym_QMARK] = ACTIONS(13164),
    [anon_sym_AT] = ACTIONS(13164),
    [anon_sym_true] = ACTIONS(13164),
    [anon_sym_false] = ACTIONS(13164),
    [aux_sym_integer_literal_token1] = ACTIONS(13164),
    [aux_sym_integer_literal_token2] = ACTIONS(13164),
    [aux_sym_integer_literal_token3] = ACTIONS(13164),
    [aux_sym_integer_literal_token4] = ACTIONS(13164),
    [aux_sym_float_literal_token1] = ACTIONS(13164),
    [aux_sym_float_literal_token3] = ACTIONS(13164),
    [aux_sym_float_literal_token4] = ACTIONS(13164),
    [sym_character_literal] = ACTIONS(13164),
    [sym__pair_operator] = ACTIONS(13164),
    [sym__arrow_operator] = ACTIONS(13164),
    [sym__lazy_or_operator] = ACTIONS(13164),
    [sym__lazy_and_operator] = ACTIONS(13164),
    [sym__comparison_operator] = ACTIONS(13164),
    [sym__pipe_right_operator] = ACTIONS(13164),
    [sym__pipe_left_operator] = ACTIONS(13164),
    [sym__ellipsis_operator] = ACTIONS(13164),
    [sym__plus_operator] = ACTIONS(13164),
    [sym__times_operator] = ACTIONS(13164),
    [sym__rational_operator] = ACTIONS(13164),
    [sym__bitshift_operator] = ACTIONS(13164),
    [sym__power_operator] = ACTIONS(13164),
    [sym__tilde_operator] = ACTIONS(13164),
    [sym__type_order_operator] = ACTIONS(13164),
    [sym__unary_operator] = ACTIONS(13164),
    [sym__unary_plus_operator] = ACTIONS(13164),
    [aux_sym__terminator_token1] = ACTIONS(13164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13162),
    [sym__command_start] = ACTIONS(13162),
  },
  [7085] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_catch] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_as] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [7086] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_catch] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_as] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [7087] = {
    [aux_sym__import_list_repeat1] = STATE(6979),
    [sym__word_identifier] = ACTIONS(13164),
    [anon_sym_EQ] = ACTIONS(13164),
    [anon_sym_COMMA] = ACTIONS(12890),
    [anon_sym_COLON] = ACTIONS(13164),
    [anon_sym_begin] = ACTIONS(13164),
    [anon_sym_module] = ACTIONS(13164),
    [anon_sym_baremodule] = ACTIONS(13164),
    [anon_sym_end] = ACTIONS(13164),
    [anon_sym_abstract] = ACTIONS(13164),
    [anon_sym_primitive] = ACTIONS(13164),
    [anon_sym_mutable] = ACTIONS(13164),
    [anon_sym_struct] = ACTIONS(13164),
    [anon_sym_function] = ACTIONS(13164),
    [anon_sym_macro] = ACTIONS(13164),
    [anon_sym_where] = ACTIONS(13164),
    [anon_sym_quote] = ACTIONS(13164),
    [anon_sym_let] = ACTIONS(13164),
    [anon_sym_if] = ACTIONS(13164),
    [anon_sym_elseif] = ACTIONS(13164),
    [anon_sym_else] = ACTIONS(13164),
    [anon_sym_try] = ACTIONS(13164),
    [anon_sym_for] = ACTIONS(13164),
    [anon_sym_while] = ACTIONS(13164),
    [sym_break_statement] = ACTIONS(13164),
    [sym_continue_statement] = ACTIONS(13164),
    [anon_sym_return] = ACTIONS(13164),
    [anon_sym_const] = ACTIONS(13164),
    [anon_sym_global] = ACTIONS(13164),
    [anon_sym_local] = ACTIONS(13164),
    [anon_sym_LPAREN] = ACTIONS(13164),
    [anon_sym_COLON2] = ACTIONS(13164),
    [anon_sym_export] = ACTIONS(13164),
    [anon_sym_import] = ACTIONS(13164),
    [anon_sym_using] = ACTIONS(13164),
    [anon_sym_LBRACK] = ACTIONS(13164),
    [anon_sym_LF] = ACTIONS(13162),
    [anon_sym_in] = ACTIONS(13164),
    [anon_sym_LBRACE] = ACTIONS(13164),
    [anon_sym_DOLLAR] = ACTIONS(13164),
    [anon_sym_COLON_COLON] = ACTIONS(13164),
    [anon_sym_isa] = ACTIONS(13164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13164),
    [anon_sym_QMARK] = ACTIONS(13164),
    [anon_sym_AT] = ACTIONS(13164),
    [anon_sym_true] = ACTIONS(13164),
    [anon_sym_false] = ACTIONS(13164),
    [aux_sym_integer_literal_token1] = ACTIONS(13164),
    [aux_sym_integer_literal_token2] = ACTIONS(13164),
    [aux_sym_integer_literal_token3] = ACTIONS(13164),
    [aux_sym_integer_literal_token4] = ACTIONS(13164),
    [aux_sym_float_literal_token1] = ACTIONS(13164),
    [aux_sym_float_literal_token3] = ACTIONS(13164),
    [aux_sym_float_literal_token4] = ACTIONS(13164),
    [sym_character_literal] = ACTIONS(13164),
    [sym__pair_operator] = ACTIONS(13164),
    [sym__arrow_operator] = ACTIONS(13164),
    [sym__lazy_or_operator] = ACTIONS(13164),
    [sym__lazy_and_operator] = ACTIONS(13164),
    [sym__comparison_operator] = ACTIONS(13164),
    [sym__pipe_right_operator] = ACTIONS(13164),
    [sym__pipe_left_operator] = ACTIONS(13164),
    [sym__ellipsis_operator] = ACTIONS(13164),
    [sym__plus_operator] = ACTIONS(13164),
    [sym__times_operator] = ACTIONS(13164),
    [sym__rational_operator] = ACTIONS(13164),
    [sym__bitshift_operator] = ACTIONS(13164),
    [sym__power_operator] = ACTIONS(13164),
    [sym__tilde_operator] = ACTIONS(13164),
    [sym__type_order_operator] = ACTIONS(13164),
    [sym__unary_operator] = ACTIONS(13164),
    [sym__unary_plus_operator] = ACTIONS(13164),
    [aux_sym__terminator_token1] = ACTIONS(13164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13162),
    [sym__command_start] = ACTIONS(13162),
  },
  [7088] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_elseif] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7089] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_catch] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_as] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [7090] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_catch] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_as] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [7091] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_catch] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_as] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [7092] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_elseif] = ACTIONS(11884),
    [anon_sym_else] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [7093] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_catch] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_as] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [7094] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11864),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7095] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_elseif] = ACTIONS(2188),
    [anon_sym_else] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7096] = {
    [aux_sym_export_statement_repeat1] = STATE(6998),
    [sym__word_identifier] = ACTIONS(13166),
    [anon_sym_EQ] = ACTIONS(13166),
    [anon_sym_COMMA] = ACTIONS(13168),
    [anon_sym_COLON] = ACTIONS(13166),
    [anon_sym_begin] = ACTIONS(13166),
    [anon_sym_module] = ACTIONS(13166),
    [anon_sym_baremodule] = ACTIONS(13166),
    [anon_sym_end] = ACTIONS(13166),
    [anon_sym_abstract] = ACTIONS(13166),
    [anon_sym_primitive] = ACTIONS(13166),
    [anon_sym_mutable] = ACTIONS(13166),
    [anon_sym_struct] = ACTIONS(13166),
    [anon_sym_function] = ACTIONS(13166),
    [anon_sym_macro] = ACTIONS(13166),
    [anon_sym_where] = ACTIONS(13166),
    [anon_sym_quote] = ACTIONS(13166),
    [anon_sym_let] = ACTIONS(13166),
    [anon_sym_if] = ACTIONS(13166),
    [anon_sym_elseif] = ACTIONS(13166),
    [anon_sym_else] = ACTIONS(13166),
    [anon_sym_try] = ACTIONS(13166),
    [anon_sym_for] = ACTIONS(13166),
    [anon_sym_while] = ACTIONS(13166),
    [sym_break_statement] = ACTIONS(13166),
    [sym_continue_statement] = ACTIONS(13166),
    [anon_sym_return] = ACTIONS(13166),
    [anon_sym_const] = ACTIONS(13166),
    [anon_sym_global] = ACTIONS(13166),
    [anon_sym_local] = ACTIONS(13166),
    [anon_sym_LPAREN] = ACTIONS(13166),
    [anon_sym_COLON2] = ACTIONS(13166),
    [anon_sym_export] = ACTIONS(13166),
    [anon_sym_import] = ACTIONS(13166),
    [anon_sym_using] = ACTIONS(13166),
    [anon_sym_LBRACK] = ACTIONS(13166),
    [anon_sym_LF] = ACTIONS(13170),
    [anon_sym_in] = ACTIONS(13166),
    [anon_sym_LBRACE] = ACTIONS(13166),
    [anon_sym_DOLLAR] = ACTIONS(13166),
    [anon_sym_COLON_COLON] = ACTIONS(13166),
    [anon_sym_isa] = ACTIONS(13166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13166),
    [anon_sym_QMARK] = ACTIONS(13166),
    [anon_sym_AT] = ACTIONS(13166),
    [anon_sym_true] = ACTIONS(13166),
    [anon_sym_false] = ACTIONS(13166),
    [aux_sym_integer_literal_token1] = ACTIONS(13166),
    [aux_sym_integer_literal_token2] = ACTIONS(13166),
    [aux_sym_integer_literal_token3] = ACTIONS(13166),
    [aux_sym_integer_literal_token4] = ACTIONS(13166),
    [aux_sym_float_literal_token1] = ACTIONS(13166),
    [aux_sym_float_literal_token3] = ACTIONS(13166),
    [aux_sym_float_literal_token4] = ACTIONS(13166),
    [sym_character_literal] = ACTIONS(13166),
    [sym__pair_operator] = ACTIONS(13166),
    [sym__arrow_operator] = ACTIONS(13166),
    [sym__lazy_or_operator] = ACTIONS(13166),
    [sym__lazy_and_operator] = ACTIONS(13166),
    [sym__comparison_operator] = ACTIONS(13166),
    [sym__pipe_right_operator] = ACTIONS(13166),
    [sym__pipe_left_operator] = ACTIONS(13166),
    [sym__ellipsis_operator] = ACTIONS(13166),
    [sym__plus_operator] = ACTIONS(13166),
    [sym__times_operator] = ACTIONS(13166),
    [sym__rational_operator] = ACTIONS(13166),
    [sym__bitshift_operator] = ACTIONS(13166),
    [sym__power_operator] = ACTIONS(13166),
    [sym__tilde_operator] = ACTIONS(13166),
    [sym__type_order_operator] = ACTIONS(13166),
    [sym__unary_operator] = ACTIONS(13166),
    [sym__unary_plus_operator] = ACTIONS(13166),
    [aux_sym__terminator_token1] = ACTIONS(13166),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13170),
    [sym__command_start] = ACTIONS(13170),
  },
  [7097] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12206),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_as] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12206),
    [anon_sym_RPAREN] = ACTIONS(12206),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12206),
    [anon_sym_RBRACK] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_SEMI] = ACTIONS(12206),
    [anon_sym_LBRACE] = ACTIONS(12206),
    [anon_sym_RBRACE] = ACTIONS(12206),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12206),
    [anon_sym_COLON_COLON] = ACTIONS(12206),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12206),
    [anon_sym_QMARK] = ACTIONS(12206),
    [anon_sym_AT] = ACTIONS(12206),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12206),
    [aux_sym_integer_literal_token2] = ACTIONS(12206),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12206),
    [aux_sym_float_literal_token3] = ACTIONS(12206),
    [aux_sym_float_literal_token4] = ACTIONS(12206),
    [sym_character_literal] = ACTIONS(12206),
    [sym__pair_operator] = ACTIONS(12206),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12206),
    [sym__lazy_and_operator] = ACTIONS(12206),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12206),
    [sym__pipe_left_operator] = ACTIONS(12206),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12206),
    [sym__bitshift_operator] = ACTIONS(12206),
    [sym__power_operator] = ACTIONS(12206),
    [sym__tilde_operator] = ACTIONS(12206),
    [sym__type_order_operator] = ACTIONS(12206),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [7098] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12922),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7099] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_elseif] = ACTIONS(12318),
    [anon_sym_else] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [7100] = {
    [ts_builtin_sym_end] = ACTIONS(12346),
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_RPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_RBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [7101] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12364),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7102] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11864),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7103] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_elseif] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7104] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(13108),
    [sym__immediate_command_start] = ACTIONS(13110),
  },
  [7105] = {
    [sym__word_identifier] = ACTIONS(12844),
    [anon_sym_EQ] = ACTIONS(12844),
    [anon_sym_COMMA] = ACTIONS(12844),
    [anon_sym_COLON] = ACTIONS(12844),
    [anon_sym_begin] = ACTIONS(12844),
    [anon_sym_module] = ACTIONS(12844),
    [anon_sym_baremodule] = ACTIONS(12844),
    [anon_sym_end] = ACTIONS(12844),
    [anon_sym_abstract] = ACTIONS(12844),
    [anon_sym_primitive] = ACTIONS(12844),
    [anon_sym_mutable] = ACTIONS(12844),
    [anon_sym_struct] = ACTIONS(12844),
    [anon_sym_function] = ACTIONS(12844),
    [anon_sym_macro] = ACTIONS(12844),
    [anon_sym_where] = ACTIONS(12844),
    [anon_sym_quote] = ACTIONS(12844),
    [anon_sym_let] = ACTIONS(12844),
    [anon_sym_if] = ACTIONS(12844),
    [anon_sym_try] = ACTIONS(12844),
    [anon_sym_finally] = ACTIONS(12844),
    [anon_sym_for] = ACTIONS(12844),
    [anon_sym_while] = ACTIONS(12844),
    [sym_break_statement] = ACTIONS(12844),
    [sym_continue_statement] = ACTIONS(12844),
    [anon_sym_return] = ACTIONS(12844),
    [anon_sym_const] = ACTIONS(12844),
    [anon_sym_global] = ACTIONS(12844),
    [anon_sym_local] = ACTIONS(12844),
    [anon_sym_as] = ACTIONS(12844),
    [anon_sym_LPAREN] = ACTIONS(12844),
    [anon_sym_COLON2] = ACTIONS(12844),
    [anon_sym_export] = ACTIONS(12844),
    [anon_sym_import] = ACTIONS(12844),
    [anon_sym_using] = ACTIONS(12844),
    [anon_sym_LBRACK] = ACTIONS(12844),
    [anon_sym_LF] = ACTIONS(12846),
    [anon_sym_in] = ACTIONS(12844),
    [anon_sym_LBRACE] = ACTIONS(12844),
    [anon_sym_DOT] = ACTIONS(13106),
    [anon_sym_DOLLAR] = ACTIONS(12844),
    [anon_sym_COLON_COLON] = ACTIONS(12844),
    [anon_sym_isa] = ACTIONS(12844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12844),
    [anon_sym_QMARK] = ACTIONS(12844),
    [anon_sym_AT] = ACTIONS(12844),
    [anon_sym_true] = ACTIONS(12844),
    [anon_sym_false] = ACTIONS(12844),
    [aux_sym_integer_literal_token1] = ACTIONS(12844),
    [aux_sym_integer_literal_token2] = ACTIONS(12844),
    [aux_sym_integer_literal_token3] = ACTIONS(12844),
    [aux_sym_integer_literal_token4] = ACTIONS(12844),
    [aux_sym_float_literal_token1] = ACTIONS(12844),
    [aux_sym_float_literal_token3] = ACTIONS(12844),
    [aux_sym_float_literal_token4] = ACTIONS(12844),
    [sym_character_literal] = ACTIONS(12844),
    [sym__pair_operator] = ACTIONS(12844),
    [sym__arrow_operator] = ACTIONS(12844),
    [sym__lazy_or_operator] = ACTIONS(12844),
    [sym__lazy_and_operator] = ACTIONS(12844),
    [sym__comparison_operator] = ACTIONS(12844),
    [sym__pipe_right_operator] = ACTIONS(12844),
    [sym__pipe_left_operator] = ACTIONS(12844),
    [sym__ellipsis_operator] = ACTIONS(12844),
    [sym__plus_operator] = ACTIONS(12844),
    [sym__times_operator] = ACTIONS(12844),
    [sym__rational_operator] = ACTIONS(12844),
    [sym__bitshift_operator] = ACTIONS(12844),
    [sym__power_operator] = ACTIONS(12844),
    [sym__tilde_operator] = ACTIONS(12844),
    [sym__type_order_operator] = ACTIONS(12844),
    [sym__unary_operator] = ACTIONS(12844),
    [sym__unary_plus_operator] = ACTIONS(12844),
    [aux_sym__terminator_token1] = ACTIONS(12844),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12846),
    [sym__command_start] = ACTIONS(12846),
  },
  [7106] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(13005),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7107] = {
    [sym__word_identifier] = ACTIONS(12850),
    [anon_sym_EQ] = ACTIONS(12850),
    [anon_sym_COMMA] = ACTIONS(12850),
    [anon_sym_COLON] = ACTIONS(12850),
    [anon_sym_begin] = ACTIONS(12850),
    [anon_sym_module] = ACTIONS(12850),
    [anon_sym_baremodule] = ACTIONS(12850),
    [anon_sym_end] = ACTIONS(12850),
    [anon_sym_abstract] = ACTIONS(12850),
    [anon_sym_primitive] = ACTIONS(12850),
    [anon_sym_mutable] = ACTIONS(12850),
    [anon_sym_struct] = ACTIONS(12850),
    [anon_sym_function] = ACTIONS(12850),
    [anon_sym_macro] = ACTIONS(12850),
    [anon_sym_where] = ACTIONS(12850),
    [anon_sym_quote] = ACTIONS(12850),
    [anon_sym_let] = ACTIONS(12850),
    [anon_sym_if] = ACTIONS(12850),
    [anon_sym_try] = ACTIONS(12850),
    [anon_sym_finally] = ACTIONS(12850),
    [anon_sym_for] = ACTIONS(12850),
    [anon_sym_while] = ACTIONS(12850),
    [sym_break_statement] = ACTIONS(12850),
    [sym_continue_statement] = ACTIONS(12850),
    [anon_sym_return] = ACTIONS(12850),
    [anon_sym_const] = ACTIONS(12850),
    [anon_sym_global] = ACTIONS(12850),
    [anon_sym_local] = ACTIONS(12850),
    [anon_sym_as] = ACTIONS(12850),
    [anon_sym_LPAREN] = ACTIONS(12850),
    [anon_sym_COLON2] = ACTIONS(12850),
    [anon_sym_export] = ACTIONS(12850),
    [anon_sym_import] = ACTIONS(12850),
    [anon_sym_using] = ACTIONS(12850),
    [anon_sym_LBRACK] = ACTIONS(12850),
    [anon_sym_LF] = ACTIONS(12852),
    [anon_sym_in] = ACTIONS(12850),
    [anon_sym_LBRACE] = ACTIONS(12850),
    [anon_sym_DOT] = ACTIONS(13106),
    [anon_sym_DOLLAR] = ACTIONS(12850),
    [anon_sym_COLON_COLON] = ACTIONS(12850),
    [anon_sym_isa] = ACTIONS(12850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12850),
    [anon_sym_QMARK] = ACTIONS(12850),
    [anon_sym_AT] = ACTIONS(12850),
    [anon_sym_true] = ACTIONS(12850),
    [anon_sym_false] = ACTIONS(12850),
    [aux_sym_integer_literal_token1] = ACTIONS(12850),
    [aux_sym_integer_literal_token2] = ACTIONS(12850),
    [aux_sym_integer_literal_token3] = ACTIONS(12850),
    [aux_sym_integer_literal_token4] = ACTIONS(12850),
    [aux_sym_float_literal_token1] = ACTIONS(12850),
    [aux_sym_float_literal_token3] = ACTIONS(12850),
    [aux_sym_float_literal_token4] = ACTIONS(12850),
    [sym_character_literal] = ACTIONS(12850),
    [sym__pair_operator] = ACTIONS(12850),
    [sym__arrow_operator] = ACTIONS(12850),
    [sym__lazy_or_operator] = ACTIONS(12850),
    [sym__lazy_and_operator] = ACTIONS(12850),
    [sym__comparison_operator] = ACTIONS(12850),
    [sym__pipe_right_operator] = ACTIONS(12850),
    [sym__pipe_left_operator] = ACTIONS(12850),
    [sym__ellipsis_operator] = ACTIONS(12850),
    [sym__plus_operator] = ACTIONS(12850),
    [sym__times_operator] = ACTIONS(12850),
    [sym__rational_operator] = ACTIONS(12850),
    [sym__bitshift_operator] = ACTIONS(12850),
    [sym__power_operator] = ACTIONS(12850),
    [sym__tilde_operator] = ACTIONS(12850),
    [sym__type_order_operator] = ACTIONS(12850),
    [sym__unary_operator] = ACTIONS(12850),
    [sym__unary_plus_operator] = ACTIONS(12850),
    [aux_sym__terminator_token1] = ACTIONS(12850),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12852),
    [sym__command_start] = ACTIONS(12852),
  },
  [7108] = {
    [aux_sym_open_tuple_repeat1] = STATE(6904),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(12970),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_else] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13182),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7109] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_catch] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_as] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [7110] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11858),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7111] = {
    [aux_sym_open_tuple_repeat1] = STATE(7166),
    [ts_builtin_sym_end] = ACTIONS(12972),
    [sym__word_identifier] = ACTIONS(12968),
    [anon_sym_EQ] = ACTIONS(12968),
    [anon_sym_COMMA] = ACTIONS(13124),
    [anon_sym_COLON] = ACTIONS(12968),
    [anon_sym_begin] = ACTIONS(12968),
    [anon_sym_module] = ACTIONS(12968),
    [anon_sym_baremodule] = ACTIONS(12968),
    [anon_sym_abstract] = ACTIONS(12968),
    [anon_sym_primitive] = ACTIONS(12968),
    [anon_sym_mutable] = ACTIONS(12968),
    [anon_sym_struct] = ACTIONS(12968),
    [anon_sym_function] = ACTIONS(12968),
    [anon_sym_macro] = ACTIONS(12968),
    [anon_sym_where] = ACTIONS(12968),
    [anon_sym_quote] = ACTIONS(12968),
    [anon_sym_let] = ACTIONS(12968),
    [anon_sym_if] = ACTIONS(12968),
    [anon_sym_try] = ACTIONS(12968),
    [anon_sym_for] = ACTIONS(12968),
    [anon_sym_while] = ACTIONS(12968),
    [sym_break_statement] = ACTIONS(12968),
    [sym_continue_statement] = ACTIONS(12968),
    [anon_sym_return] = ACTIONS(12968),
    [anon_sym_const] = ACTIONS(12968),
    [anon_sym_global] = ACTIONS(12968),
    [anon_sym_local] = ACTIONS(12968),
    [anon_sym_LPAREN] = ACTIONS(12968),
    [anon_sym_RPAREN] = ACTIONS(12968),
    [anon_sym_COLON2] = ACTIONS(12968),
    [anon_sym_export] = ACTIONS(12968),
    [anon_sym_import] = ACTIONS(12968),
    [anon_sym_using] = ACTIONS(12968),
    [anon_sym_LBRACK] = ACTIONS(12968),
    [anon_sym_RBRACK] = ACTIONS(12968),
    [anon_sym_LF] = ACTIONS(12972),
    [anon_sym_in] = ACTIONS(12968),
    [anon_sym_LBRACE] = ACTIONS(12968),
    [anon_sym_DOLLAR] = ACTIONS(12968),
    [anon_sym_COLON_COLON] = ACTIONS(12968),
    [anon_sym_isa] = ACTIONS(12968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12968),
    [anon_sym_QMARK] = ACTIONS(12968),
    [anon_sym_AT] = ACTIONS(12968),
    [anon_sym_true] = ACTIONS(12968),
    [anon_sym_false] = ACTIONS(12968),
    [aux_sym_integer_literal_token1] = ACTIONS(12968),
    [aux_sym_integer_literal_token2] = ACTIONS(12968),
    [aux_sym_integer_literal_token3] = ACTIONS(12968),
    [aux_sym_integer_literal_token4] = ACTIONS(12968),
    [aux_sym_float_literal_token1] = ACTIONS(12968),
    [aux_sym_float_literal_token3] = ACTIONS(12968),
    [aux_sym_float_literal_token4] = ACTIONS(12968),
    [sym_character_literal] = ACTIONS(12968),
    [sym__pair_operator] = ACTIONS(12968),
    [sym__arrow_operator] = ACTIONS(12968),
    [sym__lazy_or_operator] = ACTIONS(12968),
    [sym__lazy_and_operator] = ACTIONS(12968),
    [sym__comparison_operator] = ACTIONS(12968),
    [sym__pipe_right_operator] = ACTIONS(12968),
    [sym__pipe_left_operator] = ACTIONS(12968),
    [sym__ellipsis_operator] = ACTIONS(12968),
    [sym__plus_operator] = ACTIONS(12968),
    [sym__times_operator] = ACTIONS(12968),
    [sym__rational_operator] = ACTIONS(12968),
    [sym__bitshift_operator] = ACTIONS(12968),
    [sym__power_operator] = ACTIONS(12968),
    [sym__tilde_operator] = ACTIONS(12968),
    [sym__type_order_operator] = ACTIONS(12968),
    [sym__unary_operator] = ACTIONS(12968),
    [sym__unary_plus_operator] = ACTIONS(12968),
    [aux_sym__terminator_token1] = ACTIONS(12968),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12972),
    [sym__command_start] = ACTIONS(12972),
  },
  [7112] = {
    [aux_sym__import_list_repeat1] = STATE(7873),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(13007),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_finally] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(13009),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(13208),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7113] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_catch] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_as] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [7114] = {
    [aux_sym__import_list_repeat1] = STATE(7087),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12890),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_elseif] = ACTIONS(12864),
    [anon_sym_else] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7115] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_else] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [7116] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12704),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_as] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12704),
    [anon_sym_RPAREN] = ACTIONS(12704),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12704),
    [anon_sym_RBRACK] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_SEMI] = ACTIONS(12704),
    [anon_sym_LBRACE] = ACTIONS(12704),
    [anon_sym_RBRACE] = ACTIONS(12704),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12704),
    [anon_sym_COLON_COLON] = ACTIONS(12704),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12704),
    [anon_sym_QMARK] = ACTIONS(12704),
    [anon_sym_AT] = ACTIONS(12704),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12704),
    [aux_sym_integer_literal_token2] = ACTIONS(12704),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12704),
    [aux_sym_float_literal_token3] = ACTIONS(12704),
    [aux_sym_float_literal_token4] = ACTIONS(12704),
    [sym_character_literal] = ACTIONS(12704),
    [sym__pair_operator] = ACTIONS(12704),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12704),
    [sym__lazy_and_operator] = ACTIONS(12704),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12704),
    [sym__pipe_left_operator] = ACTIONS(12704),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12704),
    [sym__bitshift_operator] = ACTIONS(12704),
    [sym__power_operator] = ACTIONS(12704),
    [sym__tilde_operator] = ACTIONS(12704),
    [sym__type_order_operator] = ACTIONS(12704),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [7117] = {
    [aux_sym_export_statement_repeat1] = STATE(7096),
    [sym__word_identifier] = ACTIONS(13114),
    [anon_sym_EQ] = ACTIONS(13114),
    [anon_sym_COMMA] = ACTIONS(13168),
    [anon_sym_COLON] = ACTIONS(13114),
    [anon_sym_begin] = ACTIONS(13114),
    [anon_sym_module] = ACTIONS(13114),
    [anon_sym_baremodule] = ACTIONS(13114),
    [anon_sym_end] = ACTIONS(13114),
    [anon_sym_abstract] = ACTIONS(13114),
    [anon_sym_primitive] = ACTIONS(13114),
    [anon_sym_mutable] = ACTIONS(13114),
    [anon_sym_struct] = ACTIONS(13114),
    [anon_sym_function] = ACTIONS(13114),
    [anon_sym_macro] = ACTIONS(13114),
    [anon_sym_where] = ACTIONS(13114),
    [anon_sym_quote] = ACTIONS(13114),
    [anon_sym_let] = ACTIONS(13114),
    [anon_sym_if] = ACTIONS(13114),
    [anon_sym_elseif] = ACTIONS(13114),
    [anon_sym_else] = ACTIONS(13114),
    [anon_sym_try] = ACTIONS(13114),
    [anon_sym_for] = ACTIONS(13114),
    [anon_sym_while] = ACTIONS(13114),
    [sym_break_statement] = ACTIONS(13114),
    [sym_continue_statement] = ACTIONS(13114),
    [anon_sym_return] = ACTIONS(13114),
    [anon_sym_const] = ACTIONS(13114),
    [anon_sym_global] = ACTIONS(13114),
    [anon_sym_local] = ACTIONS(13114),
    [anon_sym_LPAREN] = ACTIONS(13114),
    [anon_sym_COLON2] = ACTIONS(13114),
    [anon_sym_export] = ACTIONS(13114),
    [anon_sym_import] = ACTIONS(13114),
    [anon_sym_using] = ACTIONS(13114),
    [anon_sym_LBRACK] = ACTIONS(13114),
    [anon_sym_LF] = ACTIONS(13112),
    [anon_sym_in] = ACTIONS(13114),
    [anon_sym_LBRACE] = ACTIONS(13114),
    [anon_sym_DOLLAR] = ACTIONS(13114),
    [anon_sym_COLON_COLON] = ACTIONS(13114),
    [anon_sym_isa] = ACTIONS(13114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13114),
    [anon_sym_QMARK] = ACTIONS(13114),
    [anon_sym_AT] = ACTIONS(13114),
    [anon_sym_true] = ACTIONS(13114),
    [anon_sym_false] = ACTIONS(13114),
    [aux_sym_integer_literal_token1] = ACTIONS(13114),
    [aux_sym_integer_literal_token2] = ACTIONS(13114),
    [aux_sym_integer_literal_token3] = ACTIONS(13114),
    [aux_sym_integer_literal_token4] = ACTIONS(13114),
    [aux_sym_float_literal_token1] = ACTIONS(13114),
    [aux_sym_float_literal_token3] = ACTIONS(13114),
    [aux_sym_float_literal_token4] = ACTIONS(13114),
    [sym_character_literal] = ACTIONS(13114),
    [sym__pair_operator] = ACTIONS(13114),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13114),
    [sym__lazy_and_operator] = ACTIONS(13114),
    [sym__comparison_operator] = ACTIONS(13114),
    [sym__pipe_right_operator] = ACTIONS(13114),
    [sym__pipe_left_operator] = ACTIONS(13114),
    [sym__ellipsis_operator] = ACTIONS(13114),
    [sym__plus_operator] = ACTIONS(13114),
    [sym__times_operator] = ACTIONS(13114),
    [sym__rational_operator] = ACTIONS(13114),
    [sym__bitshift_operator] = ACTIONS(13114),
    [sym__power_operator] = ACTIONS(13114),
    [sym__tilde_operator] = ACTIONS(13114),
    [sym__type_order_operator] = ACTIONS(13114),
    [sym__unary_operator] = ACTIONS(13114),
    [sym__unary_plus_operator] = ACTIONS(13114),
    [aux_sym__terminator_token1] = ACTIONS(13114),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13112),
    [sym__command_start] = ACTIONS(13112),
  },
  [7118] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_catch] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_as] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [7119] = {
    [aux_sym_open_tuple_repeat1] = STATE(6904),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(12970),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_else] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13182),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7120] = {
    [aux_sym_open_tuple_repeat1] = STATE(6904),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(12970),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_else] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13182),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7121] = {
    [aux_sym_open_tuple_repeat1] = STATE(6904),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(12970),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_else] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13182),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7122] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_finally] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_as] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [7123] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11858),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7124] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_else] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [7125] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_else] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [7126] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [7127] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_elseif] = ACTIONS(12706),
    [anon_sym_else] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [7128] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_catch] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_as] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [7129] = {
    [aux_sym_open_tuple_repeat1] = STATE(6928),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(12986),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_elseif] = ACTIONS(13210),
    [anon_sym_else] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13066),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7130] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_elseif] = ACTIONS(11868),
    [anon_sym_else] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [7131] = {
    [aux_sym_export_statement_repeat1] = STATE(7138),
    [sym__word_identifier] = ACTIONS(13114),
    [anon_sym_EQ] = ACTIONS(13114),
    [anon_sym_COMMA] = ACTIONS(13214),
    [anon_sym_COLON] = ACTIONS(13114),
    [anon_sym_begin] = ACTIONS(13114),
    [anon_sym_module] = ACTIONS(13114),
    [anon_sym_baremodule] = ACTIONS(13114),
    [anon_sym_end] = ACTIONS(13114),
    [anon_sym_abstract] = ACTIONS(13114),
    [anon_sym_primitive] = ACTIONS(13114),
    [anon_sym_mutable] = ACTIONS(13114),
    [anon_sym_struct] = ACTIONS(13114),
    [anon_sym_function] = ACTIONS(13114),
    [anon_sym_macro] = ACTIONS(13114),
    [anon_sym_where] = ACTIONS(13114),
    [anon_sym_quote] = ACTIONS(13114),
    [anon_sym_let] = ACTIONS(13114),
    [anon_sym_if] = ACTIONS(13114),
    [anon_sym_else] = ACTIONS(13114),
    [anon_sym_try] = ACTIONS(13114),
    [anon_sym_finally] = ACTIONS(13114),
    [anon_sym_for] = ACTIONS(13114),
    [anon_sym_while] = ACTIONS(13114),
    [sym_break_statement] = ACTIONS(13114),
    [sym_continue_statement] = ACTIONS(13114),
    [anon_sym_return] = ACTIONS(13114),
    [anon_sym_const] = ACTIONS(13114),
    [anon_sym_global] = ACTIONS(13114),
    [anon_sym_local] = ACTIONS(13114),
    [anon_sym_LPAREN] = ACTIONS(13114),
    [anon_sym_COLON2] = ACTIONS(13114),
    [anon_sym_export] = ACTIONS(13114),
    [anon_sym_import] = ACTIONS(13114),
    [anon_sym_using] = ACTIONS(13114),
    [anon_sym_LBRACK] = ACTIONS(13114),
    [anon_sym_LF] = ACTIONS(13112),
    [anon_sym_in] = ACTIONS(13114),
    [anon_sym_LBRACE] = ACTIONS(13114),
    [anon_sym_DOLLAR] = ACTIONS(13114),
    [anon_sym_COLON_COLON] = ACTIONS(13114),
    [anon_sym_isa] = ACTIONS(13114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13114),
    [anon_sym_QMARK] = ACTIONS(13114),
    [anon_sym_AT] = ACTIONS(13114),
    [anon_sym_true] = ACTIONS(13114),
    [anon_sym_false] = ACTIONS(13114),
    [aux_sym_integer_literal_token1] = ACTIONS(13114),
    [aux_sym_integer_literal_token2] = ACTIONS(13114),
    [aux_sym_integer_literal_token3] = ACTIONS(13114),
    [aux_sym_integer_literal_token4] = ACTIONS(13114),
    [aux_sym_float_literal_token1] = ACTIONS(13114),
    [aux_sym_float_literal_token3] = ACTIONS(13114),
    [aux_sym_float_literal_token4] = ACTIONS(13114),
    [sym_character_literal] = ACTIONS(13114),
    [sym__pair_operator] = ACTIONS(13114),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13114),
    [sym__lazy_and_operator] = ACTIONS(13114),
    [sym__comparison_operator] = ACTIONS(13114),
    [sym__pipe_right_operator] = ACTIONS(13114),
    [sym__pipe_left_operator] = ACTIONS(13114),
    [sym__ellipsis_operator] = ACTIONS(13114),
    [sym__plus_operator] = ACTIONS(13114),
    [sym__times_operator] = ACTIONS(13114),
    [sym__rational_operator] = ACTIONS(13114),
    [sym__bitshift_operator] = ACTIONS(13114),
    [sym__power_operator] = ACTIONS(13114),
    [sym__tilde_operator] = ACTIONS(13114),
    [sym__type_order_operator] = ACTIONS(13114),
    [sym__unary_operator] = ACTIONS(13114),
    [sym__unary_plus_operator] = ACTIONS(13114),
    [aux_sym__terminator_token1] = ACTIONS(13114),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13112),
    [sym__command_start] = ACTIONS(13112),
  },
  [7132] = {
    [sym_identifier] = STATE(8040),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_as] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_RPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_SEMI] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [7133] = {
    [sym_identifier] = STATE(8042),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_as] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_RPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_SEMI] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [7134] = {
    [sym_identifier] = STATE(8051),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_as] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_RPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_SEMI] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [7135] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12412),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7136] = {
    [sym__primary_expression] = STATE(11250),
    [sym__array] = STATE(11250),
    [sym_comprehension_expression] = STATE(11250),
    [sym_matrix_expression] = STATE(11250),
    [sym_vector_expression] = STATE(11250),
    [sym_parenthesized_expression] = STATE(11250),
    [sym_tuple_expression] = STATE(11250),
    [sym_curly_expression] = STATE(11250),
    [sym_adjoint_expression] = STATE(11250),
    [sym_field_expression] = STATE(11250),
    [sym_index_expression] = STATE(11250),
    [sym_parametrized_type_expression] = STATE(11250),
    [sym_call_expression] = STATE(11250),
    [sym_broadcast_call_expression] = STATE(11250),
    [sym__closed_macrocall_expression] = STATE(11250),
    [sym_interpolation_expression] = STATE(11250),
    [sym_quote_expression] = STATE(11250),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(10891),
    [sym_boolean_literal] = STATE(11250),
    [sym__string] = STATE(11250),
    [sym_string_literal] = STATE(11250),
    [sym_command_literal] = STATE(11250),
    [sym_prefixed_string_literal] = STATE(11250),
    [sym_prefixed_command_literal] = STATE(11250),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(13218),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_elseif] = ACTIONS(91),
    [anon_sym_else] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(13226),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(13230),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [7137] = {
    [aux_sym__import_list_repeat1] = STATE(6929),
    [sym__word_identifier] = ACTIONS(13164),
    [anon_sym_EQ] = ACTIONS(13164),
    [anon_sym_COMMA] = ACTIONS(12866),
    [anon_sym_COLON] = ACTIONS(13164),
    [anon_sym_begin] = ACTIONS(13164),
    [anon_sym_module] = ACTIONS(13164),
    [anon_sym_baremodule] = ACTIONS(13164),
    [anon_sym_end] = ACTIONS(13164),
    [anon_sym_abstract] = ACTIONS(13164),
    [anon_sym_primitive] = ACTIONS(13164),
    [anon_sym_mutable] = ACTIONS(13164),
    [anon_sym_struct] = ACTIONS(13164),
    [anon_sym_function] = ACTIONS(13164),
    [anon_sym_macro] = ACTIONS(13164),
    [anon_sym_where] = ACTIONS(13164),
    [anon_sym_quote] = ACTIONS(13164),
    [anon_sym_let] = ACTIONS(13164),
    [anon_sym_if] = ACTIONS(13164),
    [anon_sym_else] = ACTIONS(13164),
    [anon_sym_try] = ACTIONS(13164),
    [anon_sym_finally] = ACTIONS(13164),
    [anon_sym_for] = ACTIONS(13164),
    [anon_sym_while] = ACTIONS(13164),
    [sym_break_statement] = ACTIONS(13164),
    [sym_continue_statement] = ACTIONS(13164),
    [anon_sym_return] = ACTIONS(13164),
    [anon_sym_const] = ACTIONS(13164),
    [anon_sym_global] = ACTIONS(13164),
    [anon_sym_local] = ACTIONS(13164),
    [anon_sym_LPAREN] = ACTIONS(13164),
    [anon_sym_COLON2] = ACTIONS(13164),
    [anon_sym_export] = ACTIONS(13164),
    [anon_sym_import] = ACTIONS(13164),
    [anon_sym_using] = ACTIONS(13164),
    [anon_sym_LBRACK] = ACTIONS(13164),
    [anon_sym_LF] = ACTIONS(13162),
    [anon_sym_in] = ACTIONS(13164),
    [anon_sym_LBRACE] = ACTIONS(13164),
    [anon_sym_DOLLAR] = ACTIONS(13164),
    [anon_sym_COLON_COLON] = ACTIONS(13164),
    [anon_sym_isa] = ACTIONS(13164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13164),
    [anon_sym_QMARK] = ACTIONS(13164),
    [anon_sym_AT] = ACTIONS(13164),
    [anon_sym_true] = ACTIONS(13164),
    [anon_sym_false] = ACTIONS(13164),
    [aux_sym_integer_literal_token1] = ACTIONS(13164),
    [aux_sym_integer_literal_token2] = ACTIONS(13164),
    [aux_sym_integer_literal_token3] = ACTIONS(13164),
    [aux_sym_integer_literal_token4] = ACTIONS(13164),
    [aux_sym_float_literal_token1] = ACTIONS(13164),
    [aux_sym_float_literal_token3] = ACTIONS(13164),
    [aux_sym_float_literal_token4] = ACTIONS(13164),
    [sym_character_literal] = ACTIONS(13164),
    [sym__pair_operator] = ACTIONS(13164),
    [sym__arrow_operator] = ACTIONS(13164),
    [sym__lazy_or_operator] = ACTIONS(13164),
    [sym__lazy_and_operator] = ACTIONS(13164),
    [sym__comparison_operator] = ACTIONS(13164),
    [sym__pipe_right_operator] = ACTIONS(13164),
    [sym__pipe_left_operator] = ACTIONS(13164),
    [sym__ellipsis_operator] = ACTIONS(13164),
    [sym__plus_operator] = ACTIONS(13164),
    [sym__times_operator] = ACTIONS(13164),
    [sym__rational_operator] = ACTIONS(13164),
    [sym__bitshift_operator] = ACTIONS(13164),
    [sym__power_operator] = ACTIONS(13164),
    [sym__tilde_operator] = ACTIONS(13164),
    [sym__type_order_operator] = ACTIONS(13164),
    [sym__unary_operator] = ACTIONS(13164),
    [sym__unary_plus_operator] = ACTIONS(13164),
    [aux_sym__terminator_token1] = ACTIONS(13164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13162),
    [sym__command_start] = ACTIONS(13162),
  },
  [7138] = {
    [aux_sym_export_statement_repeat1] = STATE(7002),
    [sym__word_identifier] = ACTIONS(13166),
    [anon_sym_EQ] = ACTIONS(13166),
    [anon_sym_COMMA] = ACTIONS(13214),
    [anon_sym_COLON] = ACTIONS(13166),
    [anon_sym_begin] = ACTIONS(13166),
    [anon_sym_module] = ACTIONS(13166),
    [anon_sym_baremodule] = ACTIONS(13166),
    [anon_sym_end] = ACTIONS(13166),
    [anon_sym_abstract] = ACTIONS(13166),
    [anon_sym_primitive] = ACTIONS(13166),
    [anon_sym_mutable] = ACTIONS(13166),
    [anon_sym_struct] = ACTIONS(13166),
    [anon_sym_function] = ACTIONS(13166),
    [anon_sym_macro] = ACTIONS(13166),
    [anon_sym_where] = ACTIONS(13166),
    [anon_sym_quote] = ACTIONS(13166),
    [anon_sym_let] = ACTIONS(13166),
    [anon_sym_if] = ACTIONS(13166),
    [anon_sym_else] = ACTIONS(13166),
    [anon_sym_try] = ACTIONS(13166),
    [anon_sym_finally] = ACTIONS(13166),
    [anon_sym_for] = ACTIONS(13166),
    [anon_sym_while] = ACTIONS(13166),
    [sym_break_statement] = ACTIONS(13166),
    [sym_continue_statement] = ACTIONS(13166),
    [anon_sym_return] = ACTIONS(13166),
    [anon_sym_const] = ACTIONS(13166),
    [anon_sym_global] = ACTIONS(13166),
    [anon_sym_local] = ACTIONS(13166),
    [anon_sym_LPAREN] = ACTIONS(13166),
    [anon_sym_COLON2] = ACTIONS(13166),
    [anon_sym_export] = ACTIONS(13166),
    [anon_sym_import] = ACTIONS(13166),
    [anon_sym_using] = ACTIONS(13166),
    [anon_sym_LBRACK] = ACTIONS(13166),
    [anon_sym_LF] = ACTIONS(13170),
    [anon_sym_in] = ACTIONS(13166),
    [anon_sym_LBRACE] = ACTIONS(13166),
    [anon_sym_DOLLAR] = ACTIONS(13166),
    [anon_sym_COLON_COLON] = ACTIONS(13166),
    [anon_sym_isa] = ACTIONS(13166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13166),
    [anon_sym_QMARK] = ACTIONS(13166),
    [anon_sym_AT] = ACTIONS(13166),
    [anon_sym_true] = ACTIONS(13166),
    [anon_sym_false] = ACTIONS(13166),
    [aux_sym_integer_literal_token1] = ACTIONS(13166),
    [aux_sym_integer_literal_token2] = ACTIONS(13166),
    [aux_sym_integer_literal_token3] = ACTIONS(13166),
    [aux_sym_integer_literal_token4] = ACTIONS(13166),
    [aux_sym_float_literal_token1] = ACTIONS(13166),
    [aux_sym_float_literal_token3] = ACTIONS(13166),
    [aux_sym_float_literal_token4] = ACTIONS(13166),
    [sym_character_literal] = ACTIONS(13166),
    [sym__pair_operator] = ACTIONS(13166),
    [sym__arrow_operator] = ACTIONS(13166),
    [sym__lazy_or_operator] = ACTIONS(13166),
    [sym__lazy_and_operator] = ACTIONS(13166),
    [sym__comparison_operator] = ACTIONS(13166),
    [sym__pipe_right_operator] = ACTIONS(13166),
    [sym__pipe_left_operator] = ACTIONS(13166),
    [sym__ellipsis_operator] = ACTIONS(13166),
    [sym__plus_operator] = ACTIONS(13166),
    [sym__times_operator] = ACTIONS(13166),
    [sym__rational_operator] = ACTIONS(13166),
    [sym__bitshift_operator] = ACTIONS(13166),
    [sym__power_operator] = ACTIONS(13166),
    [sym__tilde_operator] = ACTIONS(13166),
    [sym__type_order_operator] = ACTIONS(13166),
    [sym__unary_operator] = ACTIONS(13166),
    [sym__unary_plus_operator] = ACTIONS(13166),
    [aux_sym__terminator_token1] = ACTIONS(13166),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13170),
    [sym__command_start] = ACTIONS(13170),
  },
  [7139] = {
    [sym_identifier] = STATE(8052),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_as] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_RPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_SEMI] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [7140] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12412),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11852),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7141] = {
    [aux_sym_export_statement_repeat1] = STATE(6905),
    [ts_builtin_sym_end] = ACTIONS(13170),
    [sym__word_identifier] = ACTIONS(13166),
    [anon_sym_EQ] = ACTIONS(13166),
    [anon_sym_COMMA] = ACTIONS(13116),
    [anon_sym_COLON] = ACTIONS(13166),
    [anon_sym_begin] = ACTIONS(13166),
    [anon_sym_module] = ACTIONS(13166),
    [anon_sym_baremodule] = ACTIONS(13166),
    [anon_sym_abstract] = ACTIONS(13166),
    [anon_sym_primitive] = ACTIONS(13166),
    [anon_sym_mutable] = ACTIONS(13166),
    [anon_sym_struct] = ACTIONS(13166),
    [anon_sym_function] = ACTIONS(13166),
    [anon_sym_macro] = ACTIONS(13166),
    [anon_sym_where] = ACTIONS(13166),
    [anon_sym_quote] = ACTIONS(13166),
    [anon_sym_let] = ACTIONS(13166),
    [anon_sym_if] = ACTIONS(13166),
    [anon_sym_try] = ACTIONS(13166),
    [anon_sym_for] = ACTIONS(13166),
    [anon_sym_while] = ACTIONS(13166),
    [sym_break_statement] = ACTIONS(13166),
    [sym_continue_statement] = ACTIONS(13166),
    [anon_sym_return] = ACTIONS(13166),
    [anon_sym_const] = ACTIONS(13166),
    [anon_sym_global] = ACTIONS(13166),
    [anon_sym_local] = ACTIONS(13166),
    [anon_sym_LPAREN] = ACTIONS(13166),
    [anon_sym_RPAREN] = ACTIONS(13166),
    [anon_sym_COLON2] = ACTIONS(13166),
    [anon_sym_export] = ACTIONS(13166),
    [anon_sym_import] = ACTIONS(13166),
    [anon_sym_using] = ACTIONS(13166),
    [anon_sym_LBRACK] = ACTIONS(13166),
    [anon_sym_RBRACK] = ACTIONS(13166),
    [anon_sym_LF] = ACTIONS(13170),
    [anon_sym_in] = ACTIONS(13166),
    [anon_sym_LBRACE] = ACTIONS(13166),
    [anon_sym_DOLLAR] = ACTIONS(13166),
    [anon_sym_COLON_COLON] = ACTIONS(13166),
    [anon_sym_isa] = ACTIONS(13166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13166),
    [anon_sym_QMARK] = ACTIONS(13166),
    [anon_sym_AT] = ACTIONS(13166),
    [anon_sym_true] = ACTIONS(13166),
    [anon_sym_false] = ACTIONS(13166),
    [aux_sym_integer_literal_token1] = ACTIONS(13166),
    [aux_sym_integer_literal_token2] = ACTIONS(13166),
    [aux_sym_integer_literal_token3] = ACTIONS(13166),
    [aux_sym_integer_literal_token4] = ACTIONS(13166),
    [aux_sym_float_literal_token1] = ACTIONS(13166),
    [aux_sym_float_literal_token3] = ACTIONS(13166),
    [aux_sym_float_literal_token4] = ACTIONS(13166),
    [sym_character_literal] = ACTIONS(13166),
    [sym__pair_operator] = ACTIONS(13166),
    [sym__arrow_operator] = ACTIONS(13166),
    [sym__lazy_or_operator] = ACTIONS(13166),
    [sym__lazy_and_operator] = ACTIONS(13166),
    [sym__comparison_operator] = ACTIONS(13166),
    [sym__pipe_right_operator] = ACTIONS(13166),
    [sym__pipe_left_operator] = ACTIONS(13166),
    [sym__ellipsis_operator] = ACTIONS(13166),
    [sym__plus_operator] = ACTIONS(13166),
    [sym__times_operator] = ACTIONS(13166),
    [sym__rational_operator] = ACTIONS(13166),
    [sym__bitshift_operator] = ACTIONS(13166),
    [sym__power_operator] = ACTIONS(13166),
    [sym__tilde_operator] = ACTIONS(13166),
    [sym__type_order_operator] = ACTIONS(13166),
    [sym__unary_operator] = ACTIONS(13166),
    [sym__unary_plus_operator] = ACTIONS(13166),
    [aux_sym__terminator_token1] = ACTIONS(13166),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13170),
    [sym__command_start] = ACTIONS(13170),
  },
  [7142] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_elseif] = ACTIONS(12342),
    [anon_sym_else] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [7143] = {
    [aux_sym_open_tuple_repeat1] = STATE(6928),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(12986),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_elseif] = ACTIONS(13122),
    [anon_sym_else] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13066),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7144] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [7145] = {
    [ts_builtin_sym_end] = ACTIONS(12704),
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_RPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_RBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [7146] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(13106),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7147] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [ts_builtin_sym_end] = ACTIONS(13236),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_RPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_RBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7148] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [7149] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [ts_builtin_sym_end] = ACTIONS(13240),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_RPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_RBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [7150] = {
    [ts_builtin_sym_end] = ACTIONS(11886),
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_RBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [7151] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7152] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_as] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [7153] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_catch] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_as] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [7154] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7155] = {
    [aux_sym_open_tuple_repeat1] = STATE(7111),
    [ts_builtin_sym_end] = ACTIONS(13212),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13124),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_RPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_RBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7156] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_catch] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_as] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [7157] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_end] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_elseif] = ACTIONS(13032),
    [anon_sym_else] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_as] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [7158] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_catch] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_as] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [7159] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_catch] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_as] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [7160] = {
    [ts_builtin_sym_end] = ACTIONS(12316),
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_RPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_RBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [7161] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_catch] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_as] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [7162] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_catch] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_as] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [7163] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_catch] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_as] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [7164] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12236),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_as] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12236),
    [anon_sym_RPAREN] = ACTIONS(12236),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12236),
    [anon_sym_RBRACK] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_SEMI] = ACTIONS(12236),
    [anon_sym_LBRACE] = ACTIONS(12236),
    [anon_sym_RBRACE] = ACTIONS(12236),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12236),
    [anon_sym_COLON_COLON] = ACTIONS(12236),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12236),
    [anon_sym_QMARK] = ACTIONS(12236),
    [anon_sym_AT] = ACTIONS(12236),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12236),
    [aux_sym_integer_literal_token2] = ACTIONS(12236),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12236),
    [aux_sym_float_literal_token3] = ACTIONS(12236),
    [aux_sym_float_literal_token4] = ACTIONS(12236),
    [sym_character_literal] = ACTIONS(12236),
    [sym__pair_operator] = ACTIONS(12236),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12236),
    [sym__lazy_and_operator] = ACTIONS(12236),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12236),
    [sym__pipe_left_operator] = ACTIONS(12236),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12236),
    [sym__bitshift_operator] = ACTIONS(12236),
    [sym__power_operator] = ACTIONS(12236),
    [sym__tilde_operator] = ACTIONS(12236),
    [sym__type_order_operator] = ACTIONS(12236),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [7165] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_elseif] = ACTIONS(13238),
    [anon_sym_else] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13066),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7166] = {
    [aux_sym_open_tuple_repeat1] = STATE(7166),
    [ts_builtin_sym_end] = ACTIONS(12962),
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(13244),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(12957),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_RPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(12957),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_RBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(12957),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(12957),
    [anon_sym_isa] = ACTIONS(12957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12957),
    [anon_sym_QMARK] = ACTIONS(12957),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(12957),
    [sym__arrow_operator] = ACTIONS(12957),
    [sym__lazy_or_operator] = ACTIONS(12957),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12957),
    [sym__pipe_right_operator] = ACTIONS(12957),
    [sym__pipe_left_operator] = ACTIONS(12957),
    [sym__ellipsis_operator] = ACTIONS(12957),
    [sym__plus_operator] = ACTIONS(12957),
    [sym__times_operator] = ACTIONS(12957),
    [sym__rational_operator] = ACTIONS(12957),
    [sym__bitshift_operator] = ACTIONS(12957),
    [sym__power_operator] = ACTIONS(12957),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(12957),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(12957),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [7167] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_elseif] = ACTIONS(13242),
    [anon_sym_else] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13066),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [7168] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_catch] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_as] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [7169] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_catch] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_as] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [7170] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_catch] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_as] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [7171] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_catch] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_as] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [7172] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_catch] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_as] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [7173] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_as] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [7174] = {
    [aux_sym__import_list_repeat1] = STATE(8096),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12991),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_catch] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(12993),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7175] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_catch] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_as] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [7176] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_as] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [7177] = {
    [sym_identifier] = STATE(8000),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11990),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11990),
    [anon_sym_RPAREN] = ACTIONS(11990),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11990),
    [anon_sym_RBRACK] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_SEMI] = ACTIONS(11990),
    [anon_sym_LBRACE] = ACTIONS(11990),
    [anon_sym_RBRACE] = ACTIONS(11990),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11990),
    [anon_sym_COLON_COLON] = ACTIONS(11990),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11990),
    [anon_sym_QMARK] = ACTIONS(11990),
    [anon_sym_AT] = ACTIONS(11990),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11990),
    [aux_sym_integer_literal_token2] = ACTIONS(11990),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11990),
    [aux_sym_float_literal_token3] = ACTIONS(11990),
    [aux_sym_float_literal_token4] = ACTIONS(11990),
    [sym_character_literal] = ACTIONS(11990),
    [sym__pair_operator] = ACTIONS(11990),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11990),
    [sym__lazy_and_operator] = ACTIONS(11990),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11990),
    [sym__pipe_left_operator] = ACTIONS(11990),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11990),
    [sym__bitshift_operator] = ACTIONS(11990),
    [sym__power_operator] = ACTIONS(11990),
    [sym__tilde_operator] = ACTIONS(11990),
    [sym__type_order_operator] = ACTIONS(11990),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [7178] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_catch] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_as] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [7179] = {
    [ts_builtin_sym_end] = ACTIONS(12344),
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_RPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_RBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [7180] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_catch] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_as] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [7181] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_catch] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_as] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [7182] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_catch] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_as] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [7183] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_catch] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_as] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [7184] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_as] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [7185] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_catch] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_as] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [7186] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_as] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [7187] = {
    [sym_identifier] = STATE(8002),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11986),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11986),
    [anon_sym_RPAREN] = ACTIONS(11986),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11986),
    [anon_sym_RBRACK] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_SEMI] = ACTIONS(11986),
    [anon_sym_LBRACE] = ACTIONS(11986),
    [anon_sym_RBRACE] = ACTIONS(11986),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11986),
    [anon_sym_COLON_COLON] = ACTIONS(11986),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11986),
    [anon_sym_QMARK] = ACTIONS(11986),
    [anon_sym_AT] = ACTIONS(11986),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11986),
    [aux_sym_integer_literal_token2] = ACTIONS(11986),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11986),
    [aux_sym_float_literal_token3] = ACTIONS(11986),
    [aux_sym_float_literal_token4] = ACTIONS(11986),
    [sym_character_literal] = ACTIONS(11986),
    [sym__pair_operator] = ACTIONS(11986),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11986),
    [sym__lazy_and_operator] = ACTIONS(11986),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11986),
    [sym__pipe_left_operator] = ACTIONS(11986),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11986),
    [sym__bitshift_operator] = ACTIONS(11986),
    [sym__power_operator] = ACTIONS(11986),
    [sym__tilde_operator] = ACTIONS(11986),
    [sym__type_order_operator] = ACTIONS(11986),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [7188] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_catch] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_as] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [7189] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_catch] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_as] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [7190] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_catch] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_as] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [7191] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_catch] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_as] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [7192] = {
    [aux_sym_open_tuple_repeat1] = STATE(6904),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(12970),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_else] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13182),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7193] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11878),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7194] = {
    [sym_identifier] = STATE(8031),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11980),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11980),
    [anon_sym_RPAREN] = ACTIONS(11980),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11980),
    [anon_sym_RBRACK] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_SEMI] = ACTIONS(11980),
    [anon_sym_LBRACE] = ACTIONS(11980),
    [anon_sym_RBRACE] = ACTIONS(11980),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11980),
    [anon_sym_COLON_COLON] = ACTIONS(11980),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11980),
    [anon_sym_QMARK] = ACTIONS(11980),
    [anon_sym_AT] = ACTIONS(11980),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11980),
    [aux_sym_integer_literal_token2] = ACTIONS(11980),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11980),
    [aux_sym_float_literal_token3] = ACTIONS(11980),
    [aux_sym_float_literal_token4] = ACTIONS(11980),
    [sym_character_literal] = ACTIONS(11980),
    [sym__pair_operator] = ACTIONS(11980),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11980),
    [sym__lazy_and_operator] = ACTIONS(11980),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11980),
    [sym__pipe_left_operator] = ACTIONS(11980),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11980),
    [sym__bitshift_operator] = ACTIONS(11980),
    [sym__power_operator] = ACTIONS(11980),
    [sym__tilde_operator] = ACTIONS(11980),
    [sym__type_order_operator] = ACTIONS(11980),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [7195] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_catch] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_as] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [7196] = {
    [sym_identifier] = STATE(8041),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11968),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11968),
    [anon_sym_RPAREN] = ACTIONS(11968),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11968),
    [anon_sym_RBRACK] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_SEMI] = ACTIONS(11968),
    [anon_sym_LBRACE] = ACTIONS(11968),
    [anon_sym_RBRACE] = ACTIONS(11968),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11968),
    [anon_sym_COLON_COLON] = ACTIONS(11968),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11968),
    [anon_sym_QMARK] = ACTIONS(11968),
    [anon_sym_AT] = ACTIONS(11968),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11968),
    [aux_sym_integer_literal_token2] = ACTIONS(11968),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11968),
    [aux_sym_float_literal_token3] = ACTIONS(11968),
    [aux_sym_float_literal_token4] = ACTIONS(11968),
    [sym_character_literal] = ACTIONS(11968),
    [sym__pair_operator] = ACTIONS(11968),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11968),
    [sym__lazy_and_operator] = ACTIONS(11968),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11968),
    [sym__pipe_left_operator] = ACTIONS(11968),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11968),
    [sym__bitshift_operator] = ACTIONS(11968),
    [sym__power_operator] = ACTIONS(11968),
    [sym__tilde_operator] = ACTIONS(11968),
    [sym__type_order_operator] = ACTIONS(11968),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [7197] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_else] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [7198] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_else] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [7199] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_catch] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_as] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [7200] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(13247),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7201] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_else] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [7202] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_catch] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_as] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [7203] = {
    [aux_sym_open_tuple_repeat1] = STATE(7111),
    [ts_builtin_sym_end] = ACTIONS(13060),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13124),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_RPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_RBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7204] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11866),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11866),
    [anon_sym_RPAREN] = ACTIONS(11866),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11866),
    [anon_sym_RBRACK] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11866),
    [anon_sym_RBRACE] = ACTIONS(11866),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11866),
    [anon_sym_COLON_COLON] = ACTIONS(11866),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11866),
    [anon_sym_QMARK] = ACTIONS(11866),
    [anon_sym_AT] = ACTIONS(11866),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11866),
    [aux_sym_integer_literal_token2] = ACTIONS(11866),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11866),
    [aux_sym_float_literal_token3] = ACTIONS(11866),
    [aux_sym_float_literal_token4] = ACTIONS(11866),
    [sym_character_literal] = ACTIONS(11866),
    [sym__pair_operator] = ACTIONS(11866),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11866),
    [sym__lazy_and_operator] = ACTIONS(11866),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11866),
    [sym__pipe_left_operator] = ACTIONS(11866),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11866),
    [sym__bitshift_operator] = ACTIONS(11866),
    [sym__power_operator] = ACTIONS(11866),
    [sym__tilde_operator] = ACTIONS(11866),
    [sym__type_order_operator] = ACTIONS(11866),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [7205] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7206] = {
    [aux_sym_open_tuple_repeat1] = STATE(7111),
    [ts_builtin_sym_end] = ACTIONS(13094),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13124),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_RPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_RBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7207] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_else] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [7208] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_else] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [7209] = {
    [ts_builtin_sym_end] = ACTIONS(11928),
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_RBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7210] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_else] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [7211] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_else] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [7212] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12272),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7213] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12248),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_as] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12248),
    [anon_sym_RPAREN] = ACTIONS(12248),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12248),
    [anon_sym_RBRACK] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_SEMI] = ACTIONS(12248),
    [anon_sym_LBRACE] = ACTIONS(12248),
    [anon_sym_RBRACE] = ACTIONS(12248),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12248),
    [anon_sym_COLON_COLON] = ACTIONS(12248),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12248),
    [anon_sym_QMARK] = ACTIONS(12248),
    [anon_sym_AT] = ACTIONS(12248),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12248),
    [aux_sym_integer_literal_token2] = ACTIONS(12248),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12248),
    [aux_sym_float_literal_token3] = ACTIONS(12248),
    [aux_sym_float_literal_token4] = ACTIONS(12248),
    [sym_character_literal] = ACTIONS(12248),
    [sym__pair_operator] = ACTIONS(12248),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12248),
    [sym__lazy_and_operator] = ACTIONS(12248),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12248),
    [sym__pipe_left_operator] = ACTIONS(12248),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12248),
    [sym__bitshift_operator] = ACTIONS(12248),
    [sym__power_operator] = ACTIONS(12248),
    [sym__tilde_operator] = ACTIONS(12248),
    [sym__type_order_operator] = ACTIONS(12248),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [7214] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7215] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_else] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12908),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7216] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_else] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [7217] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_else] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [7218] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_else] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [7219] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_else] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [7220] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_else] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [7221] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_else] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [7222] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_as] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2186),
    [aux_sym_integer_literal_token2] = ACTIONS(2186),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2186),
    [aux_sym_float_literal_token3] = ACTIONS(2186),
    [aux_sym_float_literal_token4] = ACTIONS(2186),
    [sym_character_literal] = ACTIONS(2186),
    [sym__pair_operator] = ACTIONS(2186),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2186),
    [sym__pipe_left_operator] = ACTIONS(2186),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2186),
    [sym__bitshift_operator] = ACTIONS(2186),
    [sym__power_operator] = ACTIONS(2186),
    [sym__tilde_operator] = ACTIONS(2186),
    [sym__type_order_operator] = ACTIONS(2186),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7223] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_else] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [7224] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_else] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [7225] = {
    [sym__word_identifier] = ACTIONS(12874),
    [anon_sym_EQ] = ACTIONS(12874),
    [anon_sym_COMMA] = ACTIONS(12876),
    [anon_sym_COLON] = ACTIONS(12874),
    [anon_sym_begin] = ACTIONS(12874),
    [anon_sym_module] = ACTIONS(12874),
    [anon_sym_baremodule] = ACTIONS(12874),
    [anon_sym_abstract] = ACTIONS(12874),
    [anon_sym_primitive] = ACTIONS(12874),
    [anon_sym_mutable] = ACTIONS(12874),
    [anon_sym_struct] = ACTIONS(12874),
    [anon_sym_function] = ACTIONS(12874),
    [anon_sym_macro] = ACTIONS(12874),
    [anon_sym_where] = ACTIONS(12874),
    [anon_sym_quote] = ACTIONS(12874),
    [anon_sym_let] = ACTIONS(12874),
    [anon_sym_if] = ACTIONS(12874),
    [anon_sym_try] = ACTIONS(12874),
    [anon_sym_for] = ACTIONS(12874),
    [anon_sym_while] = ACTIONS(12874),
    [sym_break_statement] = ACTIONS(12874),
    [sym_continue_statement] = ACTIONS(12874),
    [anon_sym_return] = ACTIONS(12874),
    [anon_sym_const] = ACTIONS(12874),
    [anon_sym_global] = ACTIONS(12874),
    [anon_sym_local] = ACTIONS(12874),
    [anon_sym_as] = ACTIONS(12874),
    [anon_sym_LPAREN] = ACTIONS(12876),
    [anon_sym_RPAREN] = ACTIONS(12876),
    [anon_sym_COLON2] = ACTIONS(12874),
    [anon_sym_export] = ACTIONS(12874),
    [anon_sym_import] = ACTIONS(12874),
    [anon_sym_using] = ACTIONS(12874),
    [anon_sym_LBRACK] = ACTIONS(12876),
    [anon_sym_RBRACK] = ACTIONS(12876),
    [anon_sym_in] = ACTIONS(12874),
    [anon_sym_SEMI] = ACTIONS(12876),
    [anon_sym_LBRACE] = ACTIONS(12876),
    [anon_sym_RBRACE] = ACTIONS(12876),
    [anon_sym_DOT] = ACTIONS(13020),
    [anon_sym_DOLLAR] = ACTIONS(12876),
    [anon_sym_COLON_COLON] = ACTIONS(12876),
    [anon_sym_isa] = ACTIONS(12874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12876),
    [anon_sym_QMARK] = ACTIONS(12876),
    [anon_sym_AT] = ACTIONS(12876),
    [anon_sym_true] = ACTIONS(12874),
    [anon_sym_false] = ACTIONS(12874),
    [aux_sym_integer_literal_token1] = ACTIONS(12876),
    [aux_sym_integer_literal_token2] = ACTIONS(12876),
    [aux_sym_integer_literal_token3] = ACTIONS(12874),
    [aux_sym_integer_literal_token4] = ACTIONS(12874),
    [aux_sym_float_literal_token1] = ACTIONS(12876),
    [aux_sym_float_literal_token3] = ACTIONS(12876),
    [aux_sym_float_literal_token4] = ACTIONS(12876),
    [sym_character_literal] = ACTIONS(12876),
    [sym__pair_operator] = ACTIONS(12876),
    [sym__arrow_operator] = ACTIONS(12874),
    [sym__lazy_or_operator] = ACTIONS(12876),
    [sym__lazy_and_operator] = ACTIONS(12876),
    [sym__comparison_operator] = ACTIONS(12874),
    [sym__pipe_right_operator] = ACTIONS(12876),
    [sym__pipe_left_operator] = ACTIONS(12876),
    [sym__ellipsis_operator] = ACTIONS(12874),
    [sym__plus_operator] = ACTIONS(12874),
    [sym__times_operator] = ACTIONS(12874),
    [sym__rational_operator] = ACTIONS(12876),
    [sym__bitshift_operator] = ACTIONS(12876),
    [sym__power_operator] = ACTIONS(12876),
    [sym__tilde_operator] = ACTIONS(12876),
    [sym__type_order_operator] = ACTIONS(12876),
    [sym__unary_operator] = ACTIONS(12874),
    [sym__unary_plus_operator] = ACTIONS(12874),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12876),
    [sym__command_start] = ACTIONS(12876),
  },
  [7226] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_else] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [7227] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_else] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_finally] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13182),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7228] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11928),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11928),
    [anon_sym_RPAREN] = ACTIONS(11928),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11928),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11928),
    [anon_sym_RBRACE] = ACTIONS(11928),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11928),
    [anon_sym_COLON_COLON] = ACTIONS(11928),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11928),
    [anon_sym_QMARK] = ACTIONS(11928),
    [anon_sym_AT] = ACTIONS(11928),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11928),
    [aux_sym_integer_literal_token2] = ACTIONS(11928),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11928),
    [aux_sym_float_literal_token3] = ACTIONS(11928),
    [aux_sym_float_literal_token4] = ACTIONS(11928),
    [sym_character_literal] = ACTIONS(11928),
    [sym__pair_operator] = ACTIONS(11928),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11928),
    [sym__lazy_and_operator] = ACTIONS(11928),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11928),
    [sym__pipe_left_operator] = ACTIONS(11928),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11928),
    [sym__bitshift_operator] = ACTIONS(11928),
    [sym__power_operator] = ACTIONS(11928),
    [sym__tilde_operator] = ACTIONS(11928),
    [sym__type_order_operator] = ACTIONS(11928),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7229] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_else] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [7230] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_else] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [7231] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_else] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [7232] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_else] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [7233] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_else] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [7234] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_else] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_finally] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13182),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [7235] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_else] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [7236] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_else] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [7237] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_else] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [7238] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_else] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [7239] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_else] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [7240] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_else] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [7241] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_catch] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_as] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [7242] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7243] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12244),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_as] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12244),
    [anon_sym_RPAREN] = ACTIONS(12244),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12244),
    [anon_sym_RBRACK] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_SEMI] = ACTIONS(12244),
    [anon_sym_LBRACE] = ACTIONS(12244),
    [anon_sym_RBRACE] = ACTIONS(12244),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12244),
    [anon_sym_COLON_COLON] = ACTIONS(12244),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12244),
    [anon_sym_QMARK] = ACTIONS(12244),
    [anon_sym_AT] = ACTIONS(12244),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12244),
    [aux_sym_integer_literal_token2] = ACTIONS(12244),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12244),
    [aux_sym_float_literal_token3] = ACTIONS(12244),
    [aux_sym_float_literal_token4] = ACTIONS(12244),
    [sym_character_literal] = ACTIONS(12244),
    [sym__pair_operator] = ACTIONS(12244),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12244),
    [sym__lazy_and_operator] = ACTIONS(12244),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12244),
    [sym__pipe_left_operator] = ACTIONS(12244),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12244),
    [sym__bitshift_operator] = ACTIONS(12244),
    [sym__power_operator] = ACTIONS(12244),
    [sym__tilde_operator] = ACTIONS(12244),
    [sym__type_order_operator] = ACTIONS(12244),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [7244] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_catch] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_as] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [7245] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_as] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7246] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12160),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_as] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12160),
    [anon_sym_RPAREN] = ACTIONS(12160),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12160),
    [anon_sym_RBRACK] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_SEMI] = ACTIONS(12160),
    [anon_sym_LBRACE] = ACTIONS(12160),
    [anon_sym_RBRACE] = ACTIONS(12160),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12160),
    [anon_sym_COLON_COLON] = ACTIONS(12160),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12160),
    [anon_sym_QMARK] = ACTIONS(12160),
    [anon_sym_AT] = ACTIONS(12160),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12160),
    [aux_sym_integer_literal_token2] = ACTIONS(12160),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12160),
    [aux_sym_float_literal_token3] = ACTIONS(12160),
    [aux_sym_float_literal_token4] = ACTIONS(12160),
    [sym_character_literal] = ACTIONS(12160),
    [sym__pair_operator] = ACTIONS(12160),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12160),
    [sym__lazy_and_operator] = ACTIONS(12160),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12160),
    [sym__pipe_left_operator] = ACTIONS(12160),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12160),
    [sym__bitshift_operator] = ACTIONS(12160),
    [sym__power_operator] = ACTIONS(12160),
    [sym__tilde_operator] = ACTIONS(12160),
    [sym__type_order_operator] = ACTIONS(12160),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [7247] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_catch] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_as] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [7248] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12138),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_as] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12138),
    [anon_sym_RPAREN] = ACTIONS(12138),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12138),
    [anon_sym_RBRACK] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_SEMI] = ACTIONS(12138),
    [anon_sym_LBRACE] = ACTIONS(12138),
    [anon_sym_RBRACE] = ACTIONS(12138),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12138),
    [anon_sym_COLON_COLON] = ACTIONS(12138),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12138),
    [anon_sym_QMARK] = ACTIONS(12138),
    [anon_sym_AT] = ACTIONS(12138),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12138),
    [aux_sym_integer_literal_token2] = ACTIONS(12138),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12138),
    [aux_sym_float_literal_token3] = ACTIONS(12138),
    [aux_sym_float_literal_token4] = ACTIONS(12138),
    [sym_character_literal] = ACTIONS(12138),
    [sym__pair_operator] = ACTIONS(12138),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12138),
    [sym__lazy_and_operator] = ACTIONS(12138),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12138),
    [sym__pipe_left_operator] = ACTIONS(12138),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12138),
    [sym__bitshift_operator] = ACTIONS(12138),
    [sym__power_operator] = ACTIONS(12138),
    [sym__tilde_operator] = ACTIONS(12138),
    [sym__type_order_operator] = ACTIONS(12138),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [7249] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_else] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [7250] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12302),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_as] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12302),
    [anon_sym_RPAREN] = ACTIONS(12302),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12302),
    [anon_sym_RBRACK] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_SEMI] = ACTIONS(12302),
    [anon_sym_LBRACE] = ACTIONS(12302),
    [anon_sym_RBRACE] = ACTIONS(12302),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12302),
    [anon_sym_COLON_COLON] = ACTIONS(12302),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12302),
    [anon_sym_QMARK] = ACTIONS(12302),
    [anon_sym_AT] = ACTIONS(12302),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12302),
    [aux_sym_integer_literal_token2] = ACTIONS(12302),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12302),
    [aux_sym_float_literal_token3] = ACTIONS(12302),
    [aux_sym_float_literal_token4] = ACTIONS(12302),
    [sym_character_literal] = ACTIONS(12302),
    [sym__pair_operator] = ACTIONS(12302),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12302),
    [sym__lazy_and_operator] = ACTIONS(12302),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12302),
    [sym__pipe_left_operator] = ACTIONS(12302),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12302),
    [sym__bitshift_operator] = ACTIONS(12302),
    [sym__power_operator] = ACTIONS(12302),
    [sym__tilde_operator] = ACTIONS(12302),
    [sym__type_order_operator] = ACTIONS(12302),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [7251] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_as] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [7252] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_as] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [7253] = {
    [sym__primary_expression] = STATE(11336),
    [sym__array] = STATE(11336),
    [sym_comprehension_expression] = STATE(11336),
    [sym_matrix_expression] = STATE(11336),
    [sym_vector_expression] = STATE(11336),
    [sym_parenthesized_expression] = STATE(11336),
    [sym_tuple_expression] = STATE(11336),
    [sym_curly_expression] = STATE(11336),
    [sym_adjoint_expression] = STATE(11336),
    [sym_field_expression] = STATE(11336),
    [sym_index_expression] = STATE(11336),
    [sym_parametrized_type_expression] = STATE(11336),
    [sym_call_expression] = STATE(11336),
    [sym_broadcast_call_expression] = STATE(11336),
    [sym__closed_macrocall_expression] = STATE(11336),
    [sym_interpolation_expression] = STATE(11336),
    [sym_quote_expression] = STATE(11336),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(10729),
    [sym_boolean_literal] = STATE(11336),
    [sym__string] = STATE(11336),
    [sym_string_literal] = STATE(11336),
    [sym_command_literal] = STATE(11336),
    [sym_prefixed_string_literal] = STATE(11336),
    [sym_prefixed_command_literal] = STATE(11336),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(13249),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_RPAREN] = ACTIONS(91),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_RBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(13251),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(13253),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [7254] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_catch] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_as] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [7255] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12298),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_as] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12298),
    [anon_sym_RPAREN] = ACTIONS(12298),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12298),
    [anon_sym_RBRACK] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_SEMI] = ACTIONS(12298),
    [anon_sym_LBRACE] = ACTIONS(12298),
    [anon_sym_RBRACE] = ACTIONS(12298),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12298),
    [anon_sym_COLON_COLON] = ACTIONS(12298),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12298),
    [anon_sym_QMARK] = ACTIONS(12298),
    [anon_sym_AT] = ACTIONS(12298),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12298),
    [aux_sym_integer_literal_token2] = ACTIONS(12298),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12298),
    [aux_sym_float_literal_token3] = ACTIONS(12298),
    [aux_sym_float_literal_token4] = ACTIONS(12298),
    [sym_character_literal] = ACTIONS(12298),
    [sym__pair_operator] = ACTIONS(12298),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12298),
    [sym__lazy_and_operator] = ACTIONS(12298),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12298),
    [sym__pipe_left_operator] = ACTIONS(12298),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12298),
    [sym__bitshift_operator] = ACTIONS(12298),
    [sym__power_operator] = ACTIONS(12298),
    [sym__tilde_operator] = ACTIONS(12298),
    [sym__type_order_operator] = ACTIONS(12298),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [7256] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12290),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_as] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12290),
    [anon_sym_RPAREN] = ACTIONS(12290),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12290),
    [anon_sym_RBRACK] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_SEMI] = ACTIONS(12290),
    [anon_sym_LBRACE] = ACTIONS(12290),
    [anon_sym_RBRACE] = ACTIONS(12290),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12290),
    [anon_sym_COLON_COLON] = ACTIONS(12290),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12290),
    [anon_sym_QMARK] = ACTIONS(12290),
    [anon_sym_AT] = ACTIONS(12290),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12290),
    [aux_sym_integer_literal_token2] = ACTIONS(12290),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12290),
    [aux_sym_float_literal_token3] = ACTIONS(12290),
    [aux_sym_float_literal_token4] = ACTIONS(12290),
    [sym_character_literal] = ACTIONS(12290),
    [sym__pair_operator] = ACTIONS(12290),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12290),
    [sym__lazy_and_operator] = ACTIONS(12290),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12290),
    [sym__pipe_left_operator] = ACTIONS(12290),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12290),
    [sym__bitshift_operator] = ACTIONS(12290),
    [sym__power_operator] = ACTIONS(12290),
    [sym__tilde_operator] = ACTIONS(12290),
    [sym__type_order_operator] = ACTIONS(12290),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [7257] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(13255),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7258] = {
    [sym__word_identifier] = ACTIONS(12874),
    [anon_sym_EQ] = ACTIONS(12874),
    [anon_sym_COMMA] = ACTIONS(12874),
    [anon_sym_COLON] = ACTIONS(12874),
    [anon_sym_begin] = ACTIONS(12874),
    [anon_sym_module] = ACTIONS(12874),
    [anon_sym_baremodule] = ACTIONS(12874),
    [anon_sym_end] = ACTIONS(12874),
    [anon_sym_abstract] = ACTIONS(12874),
    [anon_sym_primitive] = ACTIONS(12874),
    [anon_sym_mutable] = ACTIONS(12874),
    [anon_sym_struct] = ACTIONS(12874),
    [anon_sym_function] = ACTIONS(12874),
    [anon_sym_macro] = ACTIONS(12874),
    [anon_sym_where] = ACTIONS(12874),
    [anon_sym_quote] = ACTIONS(12874),
    [anon_sym_let] = ACTIONS(12874),
    [anon_sym_if] = ACTIONS(12874),
    [anon_sym_try] = ACTIONS(12874),
    [anon_sym_catch] = ACTIONS(12874),
    [anon_sym_for] = ACTIONS(12874),
    [anon_sym_while] = ACTIONS(12874),
    [sym_break_statement] = ACTIONS(12874),
    [sym_continue_statement] = ACTIONS(12874),
    [anon_sym_return] = ACTIONS(12874),
    [anon_sym_const] = ACTIONS(12874),
    [anon_sym_global] = ACTIONS(12874),
    [anon_sym_local] = ACTIONS(12874),
    [anon_sym_as] = ACTIONS(12874),
    [anon_sym_LPAREN] = ACTIONS(12874),
    [anon_sym_COLON2] = ACTIONS(12874),
    [anon_sym_export] = ACTIONS(12874),
    [anon_sym_import] = ACTIONS(12874),
    [anon_sym_using] = ACTIONS(12874),
    [anon_sym_LBRACK] = ACTIONS(12874),
    [anon_sym_LF] = ACTIONS(12876),
    [anon_sym_in] = ACTIONS(12874),
    [anon_sym_LBRACE] = ACTIONS(12874),
    [anon_sym_DOT] = ACTIONS(12981),
    [anon_sym_DOLLAR] = ACTIONS(12874),
    [anon_sym_COLON_COLON] = ACTIONS(12874),
    [anon_sym_isa] = ACTIONS(12874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12874),
    [anon_sym_QMARK] = ACTIONS(12874),
    [anon_sym_AT] = ACTIONS(12874),
    [anon_sym_true] = ACTIONS(12874),
    [anon_sym_false] = ACTIONS(12874),
    [aux_sym_integer_literal_token1] = ACTIONS(12874),
    [aux_sym_integer_literal_token2] = ACTIONS(12874),
    [aux_sym_integer_literal_token3] = ACTIONS(12874),
    [aux_sym_integer_literal_token4] = ACTIONS(12874),
    [aux_sym_float_literal_token1] = ACTIONS(12874),
    [aux_sym_float_literal_token3] = ACTIONS(12874),
    [aux_sym_float_literal_token4] = ACTIONS(12874),
    [sym_character_literal] = ACTIONS(12874),
    [sym__pair_operator] = ACTIONS(12874),
    [sym__arrow_operator] = ACTIONS(12874),
    [sym__lazy_or_operator] = ACTIONS(12874),
    [sym__lazy_and_operator] = ACTIONS(12874),
    [sym__comparison_operator] = ACTIONS(12874),
    [sym__pipe_right_operator] = ACTIONS(12874),
    [sym__pipe_left_operator] = ACTIONS(12874),
    [sym__ellipsis_operator] = ACTIONS(12874),
    [sym__plus_operator] = ACTIONS(12874),
    [sym__times_operator] = ACTIONS(12874),
    [sym__rational_operator] = ACTIONS(12874),
    [sym__bitshift_operator] = ACTIONS(12874),
    [sym__power_operator] = ACTIONS(12874),
    [sym__tilde_operator] = ACTIONS(12874),
    [sym__type_order_operator] = ACTIONS(12874),
    [sym__unary_operator] = ACTIONS(12874),
    [sym__unary_plus_operator] = ACTIONS(12874),
    [aux_sym__terminator_token1] = ACTIONS(12874),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12876),
    [sym__command_start] = ACTIONS(12876),
  },
  [7259] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_end] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_else] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_finally] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_as] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [7260] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_else] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [7261] = {
    [aux_sym__import_list_repeat1] = STATE(7536),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12999),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_catch] = ACTIONS(12864),
    [anon_sym_finally] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(13001),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7262] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_as] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [7263] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_else] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [7264] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12364),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7265] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12110),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_as] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12110),
    [anon_sym_RPAREN] = ACTIONS(12110),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12110),
    [anon_sym_RBRACK] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12110),
    [anon_sym_LBRACE] = ACTIONS(12110),
    [anon_sym_RBRACE] = ACTIONS(12110),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12110),
    [anon_sym_COLON_COLON] = ACTIONS(12110),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12110),
    [anon_sym_QMARK] = ACTIONS(12110),
    [anon_sym_AT] = ACTIONS(12110),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12110),
    [aux_sym_integer_literal_token2] = ACTIONS(12110),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12110),
    [aux_sym_float_literal_token3] = ACTIONS(12110),
    [aux_sym_float_literal_token4] = ACTIONS(12110),
    [sym_character_literal] = ACTIONS(12110),
    [sym__pair_operator] = ACTIONS(12110),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12110),
    [sym__lazy_and_operator] = ACTIONS(12110),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12110),
    [sym__pipe_left_operator] = ACTIONS(12110),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12110),
    [sym__bitshift_operator] = ACTIONS(12110),
    [sym__power_operator] = ACTIONS(12110),
    [sym__tilde_operator] = ACTIONS(12110),
    [sym__type_order_operator] = ACTIONS(12110),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [7266] = {
    [aux_sym__import_list_repeat1] = STATE(7327),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(13014),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(13016),
    [anon_sym_LPAREN] = ACTIONS(12872),
    [anon_sym_RPAREN] = ACTIONS(12872),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12872),
    [anon_sym_RBRACK] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_SEMI] = ACTIONS(12872),
    [anon_sym_LBRACE] = ACTIONS(12872),
    [anon_sym_RBRACE] = ACTIONS(12872),
    [anon_sym_DOLLAR] = ACTIONS(12872),
    [anon_sym_COLON_COLON] = ACTIONS(12872),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12872),
    [anon_sym_QMARK] = ACTIONS(12872),
    [anon_sym_AT] = ACTIONS(12872),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12872),
    [aux_sym_integer_literal_token2] = ACTIONS(12872),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12872),
    [aux_sym_float_literal_token3] = ACTIONS(12872),
    [aux_sym_float_literal_token4] = ACTIONS(12872),
    [sym_character_literal] = ACTIONS(12872),
    [sym__pair_operator] = ACTIONS(12872),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12872),
    [sym__lazy_and_operator] = ACTIONS(12872),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12872),
    [sym__pipe_left_operator] = ACTIONS(12872),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12872),
    [sym__bitshift_operator] = ACTIONS(12872),
    [sym__power_operator] = ACTIONS(12872),
    [sym__tilde_operator] = ACTIONS(12872),
    [sym__type_order_operator] = ACTIONS(12872),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7267] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12028),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_as] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12028),
    [anon_sym_RPAREN] = ACTIONS(12028),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12028),
    [anon_sym_RBRACK] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12028),
    [anon_sym_LBRACE] = ACTIONS(12028),
    [anon_sym_RBRACE] = ACTIONS(12028),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12028),
    [anon_sym_COLON_COLON] = ACTIONS(12028),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12028),
    [anon_sym_QMARK] = ACTIONS(12028),
    [anon_sym_AT] = ACTIONS(12028),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12028),
    [aux_sym_integer_literal_token2] = ACTIONS(12028),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12028),
    [aux_sym_float_literal_token3] = ACTIONS(12028),
    [aux_sym_float_literal_token4] = ACTIONS(12028),
    [sym_character_literal] = ACTIONS(12028),
    [sym__pair_operator] = ACTIONS(12028),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12028),
    [sym__lazy_and_operator] = ACTIONS(12028),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12028),
    [sym__pipe_left_operator] = ACTIONS(12028),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12028),
    [sym__bitshift_operator] = ACTIONS(12028),
    [sym__power_operator] = ACTIONS(12028),
    [sym__tilde_operator] = ACTIONS(12028),
    [sym__type_order_operator] = ACTIONS(12028),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [7268] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12178),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_as] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12178),
    [anon_sym_RPAREN] = ACTIONS(12178),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12178),
    [anon_sym_RBRACK] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_SEMI] = ACTIONS(12178),
    [anon_sym_LBRACE] = ACTIONS(12178),
    [anon_sym_RBRACE] = ACTIONS(12178),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12178),
    [anon_sym_COLON_COLON] = ACTIONS(12178),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12178),
    [anon_sym_QMARK] = ACTIONS(12178),
    [anon_sym_AT] = ACTIONS(12178),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12178),
    [aux_sym_integer_literal_token2] = ACTIONS(12178),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12178),
    [aux_sym_float_literal_token3] = ACTIONS(12178),
    [aux_sym_float_literal_token4] = ACTIONS(12178),
    [sym_character_literal] = ACTIONS(12178),
    [sym__pair_operator] = ACTIONS(12178),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12178),
    [sym__lazy_and_operator] = ACTIONS(12178),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12178),
    [sym__pipe_left_operator] = ACTIONS(12178),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12178),
    [sym__bitshift_operator] = ACTIONS(12178),
    [sym__power_operator] = ACTIONS(12178),
    [sym__tilde_operator] = ACTIONS(12178),
    [sym__type_order_operator] = ACTIONS(12178),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [7269] = {
    [aux_sym_open_tuple_repeat1] = STATE(7111),
    [ts_builtin_sym_end] = ACTIONS(13104),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13124),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_RPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_RBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7270] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_catch] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_as] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [7271] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11878),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7272] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12264),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_as] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12264),
    [anon_sym_RPAREN] = ACTIONS(12264),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12264),
    [anon_sym_RBRACK] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_SEMI] = ACTIONS(12264),
    [anon_sym_LBRACE] = ACTIONS(12264),
    [anon_sym_RBRACE] = ACTIONS(12264),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12264),
    [anon_sym_COLON_COLON] = ACTIONS(12264),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12264),
    [anon_sym_QMARK] = ACTIONS(12264),
    [anon_sym_AT] = ACTIONS(12264),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12264),
    [aux_sym_integer_literal_token2] = ACTIONS(12264),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12264),
    [aux_sym_float_literal_token3] = ACTIONS(12264),
    [aux_sym_float_literal_token4] = ACTIONS(12264),
    [sym_character_literal] = ACTIONS(12264),
    [sym__pair_operator] = ACTIONS(12264),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12264),
    [sym__lazy_and_operator] = ACTIONS(12264),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12264),
    [sym__pipe_left_operator] = ACTIONS(12264),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12264),
    [sym__bitshift_operator] = ACTIONS(12264),
    [sym__power_operator] = ACTIONS(12264),
    [sym__tilde_operator] = ACTIONS(12264),
    [sym__type_order_operator] = ACTIONS(12264),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [7273] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(12964),
    [sym__immediate_command_start] = ACTIONS(12966),
  },
  [7274] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12272),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7275] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_else] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [7276] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12216),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_as] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12216),
    [anon_sym_RPAREN] = ACTIONS(12216),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12216),
    [anon_sym_RBRACK] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_SEMI] = ACTIONS(12216),
    [anon_sym_LBRACE] = ACTIONS(12216),
    [anon_sym_RBRACE] = ACTIONS(12216),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12216),
    [anon_sym_COLON_COLON] = ACTIONS(12216),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12216),
    [anon_sym_QMARK] = ACTIONS(12216),
    [anon_sym_AT] = ACTIONS(12216),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12216),
    [aux_sym_integer_literal_token2] = ACTIONS(12216),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12216),
    [aux_sym_float_literal_token3] = ACTIONS(12216),
    [aux_sym_float_literal_token4] = ACTIONS(12216),
    [sym_character_literal] = ACTIONS(12216),
    [sym__pair_operator] = ACTIONS(12216),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12216),
    [sym__lazy_and_operator] = ACTIONS(12216),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12216),
    [sym__pipe_left_operator] = ACTIONS(12216),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12216),
    [sym__bitshift_operator] = ACTIONS(12216),
    [sym__power_operator] = ACTIONS(12216),
    [sym__tilde_operator] = ACTIONS(12216),
    [sym__type_order_operator] = ACTIONS(12216),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [7277] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12182),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_as] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12182),
    [anon_sym_RPAREN] = ACTIONS(12182),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12182),
    [anon_sym_RBRACK] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_SEMI] = ACTIONS(12182),
    [anon_sym_LBRACE] = ACTIONS(12182),
    [anon_sym_RBRACE] = ACTIONS(12182),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12182),
    [anon_sym_COLON_COLON] = ACTIONS(12182),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12182),
    [anon_sym_QMARK] = ACTIONS(12182),
    [anon_sym_AT] = ACTIONS(12182),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12182),
    [aux_sym_integer_literal_token2] = ACTIONS(12182),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12182),
    [aux_sym_float_literal_token3] = ACTIONS(12182),
    [aux_sym_float_literal_token4] = ACTIONS(12182),
    [sym_character_literal] = ACTIONS(12182),
    [sym__pair_operator] = ACTIONS(12182),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12182),
    [sym__lazy_and_operator] = ACTIONS(12182),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12182),
    [sym__pipe_left_operator] = ACTIONS(12182),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12182),
    [sym__bitshift_operator] = ACTIONS(12182),
    [sym__power_operator] = ACTIONS(12182),
    [sym__tilde_operator] = ACTIONS(12182),
    [sym__type_order_operator] = ACTIONS(12182),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [7278] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12186),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_as] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12186),
    [anon_sym_RPAREN] = ACTIONS(12186),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12186),
    [anon_sym_RBRACK] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_SEMI] = ACTIONS(12186),
    [anon_sym_LBRACE] = ACTIONS(12186),
    [anon_sym_RBRACE] = ACTIONS(12186),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12186),
    [anon_sym_COLON_COLON] = ACTIONS(12186),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12186),
    [anon_sym_QMARK] = ACTIONS(12186),
    [anon_sym_AT] = ACTIONS(12186),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12186),
    [aux_sym_integer_literal_token2] = ACTIONS(12186),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12186),
    [aux_sym_float_literal_token3] = ACTIONS(12186),
    [aux_sym_float_literal_token4] = ACTIONS(12186),
    [sym_character_literal] = ACTIONS(12186),
    [sym__pair_operator] = ACTIONS(12186),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12186),
    [sym__lazy_and_operator] = ACTIONS(12186),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12186),
    [sym__pipe_left_operator] = ACTIONS(12186),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12186),
    [sym__bitshift_operator] = ACTIONS(12186),
    [sym__power_operator] = ACTIONS(12186),
    [sym__tilde_operator] = ACTIONS(12186),
    [sym__type_order_operator] = ACTIONS(12186),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [7279] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12190),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_as] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12190),
    [anon_sym_RPAREN] = ACTIONS(12190),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12190),
    [anon_sym_RBRACK] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_SEMI] = ACTIONS(12190),
    [anon_sym_LBRACE] = ACTIONS(12190),
    [anon_sym_RBRACE] = ACTIONS(12190),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12190),
    [anon_sym_COLON_COLON] = ACTIONS(12190),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12190),
    [anon_sym_QMARK] = ACTIONS(12190),
    [anon_sym_AT] = ACTIONS(12190),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12190),
    [aux_sym_integer_literal_token2] = ACTIONS(12190),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12190),
    [aux_sym_float_literal_token3] = ACTIONS(12190),
    [aux_sym_float_literal_token4] = ACTIONS(12190),
    [sym_character_literal] = ACTIONS(12190),
    [sym__pair_operator] = ACTIONS(12190),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12190),
    [sym__lazy_and_operator] = ACTIONS(12190),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12190),
    [sym__pipe_left_operator] = ACTIONS(12190),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12190),
    [sym__bitshift_operator] = ACTIONS(12190),
    [sym__power_operator] = ACTIONS(12190),
    [sym__tilde_operator] = ACTIONS(12190),
    [sym__type_order_operator] = ACTIONS(12190),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [7280] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12220),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_as] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12220),
    [anon_sym_RPAREN] = ACTIONS(12220),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12220),
    [anon_sym_RBRACK] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_SEMI] = ACTIONS(12220),
    [anon_sym_LBRACE] = ACTIONS(12220),
    [anon_sym_RBRACE] = ACTIONS(12220),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12220),
    [anon_sym_COLON_COLON] = ACTIONS(12220),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12220),
    [anon_sym_QMARK] = ACTIONS(12220),
    [anon_sym_AT] = ACTIONS(12220),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12220),
    [aux_sym_integer_literal_token2] = ACTIONS(12220),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12220),
    [aux_sym_float_literal_token3] = ACTIONS(12220),
    [aux_sym_float_literal_token4] = ACTIONS(12220),
    [sym_character_literal] = ACTIONS(12220),
    [sym__pair_operator] = ACTIONS(12220),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12220),
    [sym__lazy_and_operator] = ACTIONS(12220),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12220),
    [sym__pipe_left_operator] = ACTIONS(12220),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12220),
    [sym__bitshift_operator] = ACTIONS(12220),
    [sym__power_operator] = ACTIONS(12220),
    [sym__tilde_operator] = ACTIONS(12220),
    [sym__type_order_operator] = ACTIONS(12220),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [7281] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12260),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_as] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12260),
    [anon_sym_RPAREN] = ACTIONS(12260),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12260),
    [anon_sym_RBRACK] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_SEMI] = ACTIONS(12260),
    [anon_sym_LBRACE] = ACTIONS(12260),
    [anon_sym_RBRACE] = ACTIONS(12260),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12260),
    [anon_sym_COLON_COLON] = ACTIONS(12260),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12260),
    [anon_sym_QMARK] = ACTIONS(12260),
    [anon_sym_AT] = ACTIONS(12260),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12260),
    [aux_sym_integer_literal_token2] = ACTIONS(12260),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12260),
    [aux_sym_float_literal_token3] = ACTIONS(12260),
    [aux_sym_float_literal_token4] = ACTIONS(12260),
    [sym_character_literal] = ACTIONS(12260),
    [sym__pair_operator] = ACTIONS(12260),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12260),
    [sym__lazy_and_operator] = ACTIONS(12260),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12260),
    [sym__pipe_left_operator] = ACTIONS(12260),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12260),
    [sym__bitshift_operator] = ACTIONS(12260),
    [sym__power_operator] = ACTIONS(12260),
    [sym__tilde_operator] = ACTIONS(12260),
    [sym__type_order_operator] = ACTIONS(12260),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [7282] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [7283] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12194),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_as] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12194),
    [anon_sym_RPAREN] = ACTIONS(12194),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12194),
    [anon_sym_RBRACK] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_SEMI] = ACTIONS(12194),
    [anon_sym_LBRACE] = ACTIONS(12194),
    [anon_sym_RBRACE] = ACTIONS(12194),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12194),
    [anon_sym_COLON_COLON] = ACTIONS(12194),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12194),
    [anon_sym_QMARK] = ACTIONS(12194),
    [anon_sym_AT] = ACTIONS(12194),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12194),
    [aux_sym_integer_literal_token2] = ACTIONS(12194),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12194),
    [aux_sym_float_literal_token3] = ACTIONS(12194),
    [aux_sym_float_literal_token4] = ACTIONS(12194),
    [sym_character_literal] = ACTIONS(12194),
    [sym__pair_operator] = ACTIONS(12194),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12194),
    [sym__lazy_and_operator] = ACTIONS(12194),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12194),
    [sym__pipe_left_operator] = ACTIONS(12194),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12194),
    [sym__bitshift_operator] = ACTIONS(12194),
    [sym__power_operator] = ACTIONS(12194),
    [sym__tilde_operator] = ACTIONS(12194),
    [sym__type_order_operator] = ACTIONS(12194),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [7284] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12198),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_as] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12198),
    [anon_sym_RPAREN] = ACTIONS(12198),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12198),
    [anon_sym_RBRACK] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_SEMI] = ACTIONS(12198),
    [anon_sym_LBRACE] = ACTIONS(12198),
    [anon_sym_RBRACE] = ACTIONS(12198),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12198),
    [anon_sym_COLON_COLON] = ACTIONS(12198),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12198),
    [anon_sym_QMARK] = ACTIONS(12198),
    [anon_sym_AT] = ACTIONS(12198),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12198),
    [aux_sym_integer_literal_token2] = ACTIONS(12198),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12198),
    [aux_sym_float_literal_token3] = ACTIONS(12198),
    [aux_sym_float_literal_token4] = ACTIONS(12198),
    [sym_character_literal] = ACTIONS(12198),
    [sym__pair_operator] = ACTIONS(12198),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12198),
    [sym__lazy_and_operator] = ACTIONS(12198),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12198),
    [sym__pipe_left_operator] = ACTIONS(12198),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12198),
    [sym__bitshift_operator] = ACTIONS(12198),
    [sym__power_operator] = ACTIONS(12198),
    [sym__tilde_operator] = ACTIONS(12198),
    [sym__type_order_operator] = ACTIONS(12198),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [7285] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12228),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_as] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12228),
    [anon_sym_RPAREN] = ACTIONS(12228),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12228),
    [anon_sym_RBRACK] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_SEMI] = ACTIONS(12228),
    [anon_sym_LBRACE] = ACTIONS(12228),
    [anon_sym_RBRACE] = ACTIONS(12228),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12228),
    [anon_sym_COLON_COLON] = ACTIONS(12228),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12228),
    [anon_sym_QMARK] = ACTIONS(12228),
    [anon_sym_AT] = ACTIONS(12228),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12228),
    [aux_sym_integer_literal_token2] = ACTIONS(12228),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12228),
    [aux_sym_float_literal_token3] = ACTIONS(12228),
    [aux_sym_float_literal_token4] = ACTIONS(12228),
    [sym_character_literal] = ACTIONS(12228),
    [sym__pair_operator] = ACTIONS(12228),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12228),
    [sym__lazy_and_operator] = ACTIONS(12228),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12228),
    [sym__pipe_left_operator] = ACTIONS(12228),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12228),
    [sym__bitshift_operator] = ACTIONS(12228),
    [sym__power_operator] = ACTIONS(12228),
    [sym__tilde_operator] = ACTIONS(12228),
    [sym__type_order_operator] = ACTIONS(12228),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [7286] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12022),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_as] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12022),
    [anon_sym_RPAREN] = ACTIONS(12022),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12022),
    [anon_sym_RBRACK] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12022),
    [anon_sym_LBRACE] = ACTIONS(12022),
    [anon_sym_RBRACE] = ACTIONS(12022),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12022),
    [anon_sym_COLON_COLON] = ACTIONS(12022),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12022),
    [anon_sym_QMARK] = ACTIONS(12022),
    [anon_sym_AT] = ACTIONS(12022),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12022),
    [aux_sym_integer_literal_token2] = ACTIONS(12022),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12022),
    [aux_sym_float_literal_token3] = ACTIONS(12022),
    [aux_sym_float_literal_token4] = ACTIONS(12022),
    [sym_character_literal] = ACTIONS(12022),
    [sym__pair_operator] = ACTIONS(12022),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12022),
    [sym__lazy_and_operator] = ACTIONS(12022),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12022),
    [sym__pipe_left_operator] = ACTIONS(12022),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12022),
    [sym__bitshift_operator] = ACTIONS(12022),
    [sym__power_operator] = ACTIONS(12022),
    [sym__tilde_operator] = ACTIONS(12022),
    [sym__type_order_operator] = ACTIONS(12022),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [7287] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12232),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_as] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12232),
    [anon_sym_RPAREN] = ACTIONS(12232),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12232),
    [anon_sym_RBRACK] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_SEMI] = ACTIONS(12232),
    [anon_sym_LBRACE] = ACTIONS(12232),
    [anon_sym_RBRACE] = ACTIONS(12232),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12232),
    [anon_sym_COLON_COLON] = ACTIONS(12232),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12232),
    [anon_sym_QMARK] = ACTIONS(12232),
    [anon_sym_AT] = ACTIONS(12232),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12232),
    [aux_sym_integer_literal_token2] = ACTIONS(12232),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12232),
    [aux_sym_float_literal_token3] = ACTIONS(12232),
    [aux_sym_float_literal_token4] = ACTIONS(12232),
    [sym_character_literal] = ACTIONS(12232),
    [sym__pair_operator] = ACTIONS(12232),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12232),
    [sym__lazy_and_operator] = ACTIONS(12232),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12232),
    [sym__pipe_left_operator] = ACTIONS(12232),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12232),
    [sym__bitshift_operator] = ACTIONS(12232),
    [sym__power_operator] = ACTIONS(12232),
    [sym__tilde_operator] = ACTIONS(12232),
    [sym__type_order_operator] = ACTIONS(12232),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [7288] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12256),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_as] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12256),
    [anon_sym_RPAREN] = ACTIONS(12256),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12256),
    [anon_sym_RBRACK] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_SEMI] = ACTIONS(12256),
    [anon_sym_LBRACE] = ACTIONS(12256),
    [anon_sym_RBRACE] = ACTIONS(12256),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12256),
    [anon_sym_COLON_COLON] = ACTIONS(12256),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12256),
    [anon_sym_QMARK] = ACTIONS(12256),
    [anon_sym_AT] = ACTIONS(12256),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12256),
    [aux_sym_integer_literal_token2] = ACTIONS(12256),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12256),
    [aux_sym_float_literal_token3] = ACTIONS(12256),
    [aux_sym_float_literal_token4] = ACTIONS(12256),
    [sym_character_literal] = ACTIONS(12256),
    [sym__pair_operator] = ACTIONS(12256),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12256),
    [sym__lazy_and_operator] = ACTIONS(12256),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12256),
    [sym__pipe_left_operator] = ACTIONS(12256),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12256),
    [sym__bitshift_operator] = ACTIONS(12256),
    [sym__power_operator] = ACTIONS(12256),
    [sym__tilde_operator] = ACTIONS(12256),
    [sym__type_order_operator] = ACTIONS(12256),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [7289] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12997),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7290] = {
    [ts_builtin_sym_end] = ACTIONS(13212),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13257),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_RPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_RBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7291] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_as] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [7292] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12528),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12536),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7293] = {
    [sym__word_identifier] = ACTIONS(13259),
    [anon_sym_EQ] = ACTIONS(13259),
    [anon_sym_COMMA] = ACTIONS(13259),
    [anon_sym_COLON] = ACTIONS(13259),
    [anon_sym_begin] = ACTIONS(13259),
    [anon_sym_module] = ACTIONS(13259),
    [anon_sym_baremodule] = ACTIONS(13259),
    [anon_sym_end] = ACTIONS(13259),
    [anon_sym_abstract] = ACTIONS(13259),
    [anon_sym_primitive] = ACTIONS(13259),
    [anon_sym_mutable] = ACTIONS(13259),
    [anon_sym_struct] = ACTIONS(13259),
    [anon_sym_function] = ACTIONS(13259),
    [anon_sym_macro] = ACTIONS(13259),
    [anon_sym_where] = ACTIONS(13259),
    [anon_sym_quote] = ACTIONS(13259),
    [anon_sym_let] = ACTIONS(13259),
    [anon_sym_if] = ACTIONS(13259),
    [anon_sym_else] = ACTIONS(13259),
    [anon_sym_try] = ACTIONS(13259),
    [anon_sym_finally] = ACTIONS(13259),
    [anon_sym_for] = ACTIONS(13259),
    [anon_sym_while] = ACTIONS(13259),
    [sym_break_statement] = ACTIONS(13259),
    [sym_continue_statement] = ACTIONS(13259),
    [anon_sym_return] = ACTIONS(13259),
    [anon_sym_const] = ACTIONS(13259),
    [anon_sym_global] = ACTIONS(13259),
    [anon_sym_local] = ACTIONS(13259),
    [anon_sym_LPAREN] = ACTIONS(13259),
    [anon_sym_COLON2] = ACTIONS(13259),
    [anon_sym_export] = ACTIONS(13259),
    [anon_sym_import] = ACTIONS(13259),
    [anon_sym_using] = ACTIONS(13259),
    [anon_sym_LBRACK] = ACTIONS(13259),
    [anon_sym_LF] = ACTIONS(13261),
    [anon_sym_in] = ACTIONS(13259),
    [anon_sym_LBRACE] = ACTIONS(13259),
    [anon_sym_DOLLAR] = ACTIONS(13259),
    [anon_sym_COLON_COLON] = ACTIONS(13259),
    [anon_sym_isa] = ACTIONS(13259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13259),
    [anon_sym_QMARK] = ACTIONS(13259),
    [anon_sym_AT] = ACTIONS(13259),
    [anon_sym_true] = ACTIONS(13259),
    [anon_sym_false] = ACTIONS(13259),
    [aux_sym_integer_literal_token1] = ACTIONS(13259),
    [aux_sym_integer_literal_token2] = ACTIONS(13259),
    [aux_sym_integer_literal_token3] = ACTIONS(13259),
    [aux_sym_integer_literal_token4] = ACTIONS(13259),
    [aux_sym_float_literal_token1] = ACTIONS(13259),
    [aux_sym_float_literal_token3] = ACTIONS(13259),
    [aux_sym_float_literal_token4] = ACTIONS(13259),
    [sym_character_literal] = ACTIONS(13259),
    [sym__pair_operator] = ACTIONS(13259),
    [sym__arrow_operator] = ACTIONS(13259),
    [sym__lazy_or_operator] = ACTIONS(13259),
    [sym__lazy_and_operator] = ACTIONS(13259),
    [sym__comparison_operator] = ACTIONS(13259),
    [sym__pipe_right_operator] = ACTIONS(13259),
    [sym__pipe_left_operator] = ACTIONS(13259),
    [sym__ellipsis_operator] = ACTIONS(13259),
    [sym__plus_operator] = ACTIONS(13259),
    [sym__times_operator] = ACTIONS(13259),
    [sym__rational_operator] = ACTIONS(13259),
    [sym__bitshift_operator] = ACTIONS(13259),
    [sym__power_operator] = ACTIONS(13259),
    [sym__tilde_operator] = ACTIONS(13259),
    [sym__type_order_operator] = ACTIONS(13259),
    [sym__unary_operator] = ACTIONS(13259),
    [sym__unary_plus_operator] = ACTIONS(13259),
    [aux_sym__terminator_token1] = ACTIONS(13259),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13261),
    [sym__command_start] = ACTIONS(13261),
  },
  [7294] = {
    [sym__comprehension_clause] = STATE(19115),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16796),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13265),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13270),
    [anon_sym_LF] = ACTIONS(13272),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13277),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7295] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_as] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_RPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_SEMI] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [7296] = {
    [sym__word_identifier] = ACTIONS(13282),
    [anon_sym_EQ] = ACTIONS(13282),
    [anon_sym_COMMA] = ACTIONS(13282),
    [anon_sym_COLON] = ACTIONS(13282),
    [anon_sym_begin] = ACTIONS(13282),
    [anon_sym_module] = ACTIONS(13282),
    [anon_sym_baremodule] = ACTIONS(13282),
    [anon_sym_end] = ACTIONS(13282),
    [anon_sym_abstract] = ACTIONS(13282),
    [anon_sym_primitive] = ACTIONS(13282),
    [anon_sym_mutable] = ACTIONS(13282),
    [anon_sym_struct] = ACTIONS(13282),
    [anon_sym_function] = ACTIONS(13282),
    [anon_sym_macro] = ACTIONS(13282),
    [anon_sym_where] = ACTIONS(13282),
    [anon_sym_quote] = ACTIONS(13282),
    [anon_sym_let] = ACTIONS(13282),
    [anon_sym_if] = ACTIONS(13282),
    [anon_sym_else] = ACTIONS(13282),
    [anon_sym_try] = ACTIONS(13282),
    [anon_sym_finally] = ACTIONS(13282),
    [anon_sym_for] = ACTIONS(13282),
    [anon_sym_while] = ACTIONS(13282),
    [sym_break_statement] = ACTIONS(13282),
    [sym_continue_statement] = ACTIONS(13282),
    [anon_sym_return] = ACTIONS(13282),
    [anon_sym_const] = ACTIONS(13282),
    [anon_sym_global] = ACTIONS(13282),
    [anon_sym_local] = ACTIONS(13282),
    [anon_sym_LPAREN] = ACTIONS(13282),
    [anon_sym_COLON2] = ACTIONS(13282),
    [anon_sym_export] = ACTIONS(13282),
    [anon_sym_import] = ACTIONS(13282),
    [anon_sym_using] = ACTIONS(13282),
    [anon_sym_LBRACK] = ACTIONS(13282),
    [anon_sym_LF] = ACTIONS(13284),
    [anon_sym_in] = ACTIONS(13282),
    [anon_sym_LBRACE] = ACTIONS(13282),
    [anon_sym_DOLLAR] = ACTIONS(13282),
    [anon_sym_COLON_COLON] = ACTIONS(13282),
    [anon_sym_isa] = ACTIONS(13282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13282),
    [anon_sym_QMARK] = ACTIONS(13282),
    [anon_sym_AT] = ACTIONS(13282),
    [anon_sym_true] = ACTIONS(13282),
    [anon_sym_false] = ACTIONS(13282),
    [aux_sym_integer_literal_token1] = ACTIONS(13282),
    [aux_sym_integer_literal_token2] = ACTIONS(13282),
    [aux_sym_integer_literal_token3] = ACTIONS(13282),
    [aux_sym_integer_literal_token4] = ACTIONS(13282),
    [aux_sym_float_literal_token1] = ACTIONS(13282),
    [aux_sym_float_literal_token3] = ACTIONS(13282),
    [aux_sym_float_literal_token4] = ACTIONS(13282),
    [sym_character_literal] = ACTIONS(13282),
    [sym__pair_operator] = ACTIONS(13282),
    [sym__arrow_operator] = ACTIONS(13282),
    [sym__lazy_or_operator] = ACTIONS(13282),
    [sym__lazy_and_operator] = ACTIONS(13282),
    [sym__comparison_operator] = ACTIONS(13282),
    [sym__pipe_right_operator] = ACTIONS(13282),
    [sym__pipe_left_operator] = ACTIONS(13282),
    [sym__ellipsis_operator] = ACTIONS(13282),
    [sym__plus_operator] = ACTIONS(13282),
    [sym__times_operator] = ACTIONS(13282),
    [sym__rational_operator] = ACTIONS(13282),
    [sym__bitshift_operator] = ACTIONS(13282),
    [sym__power_operator] = ACTIONS(13282),
    [sym__tilde_operator] = ACTIONS(13282),
    [sym__type_order_operator] = ACTIONS(13282),
    [sym__unary_operator] = ACTIONS(13282),
    [sym__unary_plus_operator] = ACTIONS(13282),
    [aux_sym__terminator_token1] = ACTIONS(13282),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13284),
    [sym__command_start] = ACTIONS(13284),
  },
  [7297] = {
    [sym__word_identifier] = ACTIONS(13286),
    [anon_sym_EQ] = ACTIONS(13286),
    [anon_sym_COMMA] = ACTIONS(13286),
    [anon_sym_COLON] = ACTIONS(13286),
    [anon_sym_begin] = ACTIONS(13286),
    [anon_sym_module] = ACTIONS(13286),
    [anon_sym_baremodule] = ACTIONS(13286),
    [anon_sym_end] = ACTIONS(13286),
    [anon_sym_abstract] = ACTIONS(13286),
    [anon_sym_primitive] = ACTIONS(13286),
    [anon_sym_mutable] = ACTIONS(13286),
    [anon_sym_struct] = ACTIONS(13286),
    [anon_sym_function] = ACTIONS(13286),
    [anon_sym_macro] = ACTIONS(13286),
    [anon_sym_where] = ACTIONS(13286),
    [anon_sym_quote] = ACTIONS(13286),
    [anon_sym_let] = ACTIONS(13286),
    [anon_sym_if] = ACTIONS(13286),
    [anon_sym_else] = ACTIONS(13286),
    [anon_sym_try] = ACTIONS(13286),
    [anon_sym_finally] = ACTIONS(13286),
    [anon_sym_for] = ACTIONS(13286),
    [anon_sym_while] = ACTIONS(13286),
    [sym_break_statement] = ACTIONS(13286),
    [sym_continue_statement] = ACTIONS(13286),
    [anon_sym_return] = ACTIONS(13286),
    [anon_sym_const] = ACTIONS(13286),
    [anon_sym_global] = ACTIONS(13286),
    [anon_sym_local] = ACTIONS(13286),
    [anon_sym_LPAREN] = ACTIONS(13286),
    [anon_sym_COLON2] = ACTIONS(13286),
    [anon_sym_export] = ACTIONS(13286),
    [anon_sym_import] = ACTIONS(13286),
    [anon_sym_using] = ACTIONS(13286),
    [anon_sym_LBRACK] = ACTIONS(13286),
    [anon_sym_LF] = ACTIONS(13288),
    [anon_sym_in] = ACTIONS(13286),
    [anon_sym_LBRACE] = ACTIONS(13286),
    [anon_sym_DOLLAR] = ACTIONS(13286),
    [anon_sym_COLON_COLON] = ACTIONS(13286),
    [anon_sym_isa] = ACTIONS(13286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13286),
    [anon_sym_QMARK] = ACTIONS(13286),
    [anon_sym_AT] = ACTIONS(13286),
    [anon_sym_true] = ACTIONS(13286),
    [anon_sym_false] = ACTIONS(13286),
    [aux_sym_integer_literal_token1] = ACTIONS(13286),
    [aux_sym_integer_literal_token2] = ACTIONS(13286),
    [aux_sym_integer_literal_token3] = ACTIONS(13286),
    [aux_sym_integer_literal_token4] = ACTIONS(13286),
    [aux_sym_float_literal_token1] = ACTIONS(13286),
    [aux_sym_float_literal_token3] = ACTIONS(13286),
    [aux_sym_float_literal_token4] = ACTIONS(13286),
    [sym_character_literal] = ACTIONS(13286),
    [sym__pair_operator] = ACTIONS(13286),
    [sym__arrow_operator] = ACTIONS(13286),
    [sym__lazy_or_operator] = ACTIONS(13286),
    [sym__lazy_and_operator] = ACTIONS(13286),
    [sym__comparison_operator] = ACTIONS(13286),
    [sym__pipe_right_operator] = ACTIONS(13286),
    [sym__pipe_left_operator] = ACTIONS(13286),
    [sym__ellipsis_operator] = ACTIONS(13286),
    [sym__plus_operator] = ACTIONS(13286),
    [sym__times_operator] = ACTIONS(13286),
    [sym__rational_operator] = ACTIONS(13286),
    [sym__bitshift_operator] = ACTIONS(13286),
    [sym__power_operator] = ACTIONS(13286),
    [sym__tilde_operator] = ACTIONS(13286),
    [sym__type_order_operator] = ACTIONS(13286),
    [sym__unary_operator] = ACTIONS(13286),
    [sym__unary_plus_operator] = ACTIONS(13286),
    [aux_sym__terminator_token1] = ACTIONS(13286),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13288),
    [sym__command_start] = ACTIONS(13288),
  },
  [7298] = {
    [sym__word_identifier] = ACTIONS(13290),
    [anon_sym_EQ] = ACTIONS(13290),
    [anon_sym_COMMA] = ACTIONS(13290),
    [anon_sym_COLON] = ACTIONS(13290),
    [anon_sym_begin] = ACTIONS(13290),
    [anon_sym_module] = ACTIONS(13290),
    [anon_sym_baremodule] = ACTIONS(13290),
    [anon_sym_end] = ACTIONS(13290),
    [anon_sym_abstract] = ACTIONS(13290),
    [anon_sym_primitive] = ACTIONS(13290),
    [anon_sym_mutable] = ACTIONS(13290),
    [anon_sym_struct] = ACTIONS(13290),
    [anon_sym_function] = ACTIONS(13290),
    [anon_sym_macro] = ACTIONS(13290),
    [anon_sym_where] = ACTIONS(13290),
    [anon_sym_quote] = ACTIONS(13290),
    [anon_sym_let] = ACTIONS(13290),
    [anon_sym_if] = ACTIONS(13290),
    [anon_sym_elseif] = ACTIONS(13290),
    [anon_sym_else] = ACTIONS(13290),
    [anon_sym_try] = ACTIONS(13290),
    [anon_sym_for] = ACTIONS(13290),
    [anon_sym_while] = ACTIONS(13290),
    [sym_break_statement] = ACTIONS(13290),
    [sym_continue_statement] = ACTIONS(13290),
    [anon_sym_return] = ACTIONS(13290),
    [anon_sym_const] = ACTIONS(13290),
    [anon_sym_global] = ACTIONS(13290),
    [anon_sym_local] = ACTIONS(13290),
    [anon_sym_LPAREN] = ACTIONS(13290),
    [anon_sym_COLON2] = ACTIONS(13290),
    [anon_sym_export] = ACTIONS(13290),
    [anon_sym_import] = ACTIONS(13290),
    [anon_sym_using] = ACTIONS(13290),
    [anon_sym_LBRACK] = ACTIONS(13290),
    [anon_sym_LF] = ACTIONS(13292),
    [anon_sym_in] = ACTIONS(13290),
    [anon_sym_LBRACE] = ACTIONS(13290),
    [anon_sym_DOLLAR] = ACTIONS(13290),
    [anon_sym_COLON_COLON] = ACTIONS(13290),
    [anon_sym_isa] = ACTIONS(13290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13290),
    [anon_sym_QMARK] = ACTIONS(13290),
    [anon_sym_AT] = ACTIONS(13290),
    [anon_sym_true] = ACTIONS(13290),
    [anon_sym_false] = ACTIONS(13290),
    [aux_sym_integer_literal_token1] = ACTIONS(13290),
    [aux_sym_integer_literal_token2] = ACTIONS(13290),
    [aux_sym_integer_literal_token3] = ACTIONS(13290),
    [aux_sym_integer_literal_token4] = ACTIONS(13290),
    [aux_sym_float_literal_token1] = ACTIONS(13290),
    [aux_sym_float_literal_token3] = ACTIONS(13290),
    [aux_sym_float_literal_token4] = ACTIONS(13290),
    [sym_character_literal] = ACTIONS(13290),
    [sym__pair_operator] = ACTIONS(13290),
    [sym__arrow_operator] = ACTIONS(13290),
    [sym__lazy_or_operator] = ACTIONS(13290),
    [sym__lazy_and_operator] = ACTIONS(13290),
    [sym__comparison_operator] = ACTIONS(13290),
    [sym__pipe_right_operator] = ACTIONS(13290),
    [sym__pipe_left_operator] = ACTIONS(13290),
    [sym__ellipsis_operator] = ACTIONS(13290),
    [sym__plus_operator] = ACTIONS(13290),
    [sym__times_operator] = ACTIONS(13290),
    [sym__rational_operator] = ACTIONS(13290),
    [sym__bitshift_operator] = ACTIONS(13290),
    [sym__power_operator] = ACTIONS(13290),
    [sym__tilde_operator] = ACTIONS(13290),
    [sym__type_order_operator] = ACTIONS(13290),
    [sym__unary_operator] = ACTIONS(13290),
    [sym__unary_plus_operator] = ACTIONS(13290),
    [aux_sym__terminator_token1] = ACTIONS(13290),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13292),
    [sym__command_start] = ACTIONS(13292),
  },
  [7299] = {
    [sym__comprehension_clause] = STATE(18919),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17158),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13294),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13296),
    [anon_sym_LF] = ACTIONS(13298),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13301),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7300] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_finally] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13314),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7301] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_finally] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13314),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [7302] = {
    [sym__word_identifier] = ACTIONS(13340),
    [anon_sym_EQ] = ACTIONS(13340),
    [anon_sym_COMMA] = ACTIONS(13340),
    [anon_sym_COLON] = ACTIONS(13340),
    [anon_sym_begin] = ACTIONS(13340),
    [anon_sym_module] = ACTIONS(13340),
    [anon_sym_baremodule] = ACTIONS(13340),
    [anon_sym_end] = ACTIONS(13340),
    [anon_sym_abstract] = ACTIONS(13340),
    [anon_sym_primitive] = ACTIONS(13340),
    [anon_sym_mutable] = ACTIONS(13340),
    [anon_sym_struct] = ACTIONS(13340),
    [anon_sym_function] = ACTIONS(13340),
    [anon_sym_macro] = ACTIONS(13340),
    [anon_sym_where] = ACTIONS(13340),
    [anon_sym_quote] = ACTIONS(13340),
    [anon_sym_let] = ACTIONS(13340),
    [anon_sym_if] = ACTIONS(13340),
    [anon_sym_else] = ACTIONS(13340),
    [anon_sym_try] = ACTIONS(13340),
    [anon_sym_finally] = ACTIONS(13340),
    [anon_sym_for] = ACTIONS(13340),
    [anon_sym_while] = ACTIONS(13340),
    [sym_break_statement] = ACTIONS(13340),
    [sym_continue_statement] = ACTIONS(13340),
    [anon_sym_return] = ACTIONS(13340),
    [anon_sym_const] = ACTIONS(13340),
    [anon_sym_global] = ACTIONS(13340),
    [anon_sym_local] = ACTIONS(13340),
    [anon_sym_LPAREN] = ACTIONS(13340),
    [anon_sym_COLON2] = ACTIONS(13340),
    [anon_sym_export] = ACTIONS(13340),
    [anon_sym_import] = ACTIONS(13340),
    [anon_sym_using] = ACTIONS(13340),
    [anon_sym_LBRACK] = ACTIONS(13340),
    [anon_sym_LF] = ACTIONS(13342),
    [anon_sym_in] = ACTIONS(13340),
    [anon_sym_LBRACE] = ACTIONS(13340),
    [anon_sym_DOLLAR] = ACTIONS(13340),
    [anon_sym_COLON_COLON] = ACTIONS(13340),
    [anon_sym_isa] = ACTIONS(13340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13340),
    [anon_sym_QMARK] = ACTIONS(13340),
    [anon_sym_AT] = ACTIONS(13340),
    [anon_sym_true] = ACTIONS(13340),
    [anon_sym_false] = ACTIONS(13340),
    [aux_sym_integer_literal_token1] = ACTIONS(13340),
    [aux_sym_integer_literal_token2] = ACTIONS(13340),
    [aux_sym_integer_literal_token3] = ACTIONS(13340),
    [aux_sym_integer_literal_token4] = ACTIONS(13340),
    [aux_sym_float_literal_token1] = ACTIONS(13340),
    [aux_sym_float_literal_token3] = ACTIONS(13340),
    [aux_sym_float_literal_token4] = ACTIONS(13340),
    [sym_character_literal] = ACTIONS(13340),
    [sym__pair_operator] = ACTIONS(13340),
    [sym__arrow_operator] = ACTIONS(13340),
    [sym__lazy_or_operator] = ACTIONS(13340),
    [sym__lazy_and_operator] = ACTIONS(13340),
    [sym__comparison_operator] = ACTIONS(13340),
    [sym__pipe_right_operator] = ACTIONS(13340),
    [sym__pipe_left_operator] = ACTIONS(13340),
    [sym__ellipsis_operator] = ACTIONS(13340),
    [sym__plus_operator] = ACTIONS(13340),
    [sym__times_operator] = ACTIONS(13340),
    [sym__rational_operator] = ACTIONS(13340),
    [sym__bitshift_operator] = ACTIONS(13340),
    [sym__power_operator] = ACTIONS(13340),
    [sym__tilde_operator] = ACTIONS(13340),
    [sym__type_order_operator] = ACTIONS(13340),
    [sym__unary_operator] = ACTIONS(13340),
    [sym__unary_plus_operator] = ACTIONS(13340),
    [aux_sym__terminator_token1] = ACTIONS(13340),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13342),
    [sym__command_start] = ACTIONS(13342),
  },
  [7303] = {
    [aux_sym__import_list_repeat1] = STATE(7303),
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(13344),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_catch] = ACTIONS(12950),
    [anon_sym_finally] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [7304] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_catch] = ACTIONS(12950),
    [anon_sym_finally] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_as] = ACTIONS(13001),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [7305] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [7306] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [7307] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_elseif] = ACTIONS(13210),
    [anon_sym_else] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7308] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_catch] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13357),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [7309] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_catch] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13357),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7310] = {
    [aux_sym_export_statement_repeat1] = STATE(7310),
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(13383),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_catch] = ACTIONS(12976),
    [anon_sym_finally] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [7311] = {
    [sym__word_identifier] = ACTIONS(13386),
    [anon_sym_EQ] = ACTIONS(13386),
    [anon_sym_COMMA] = ACTIONS(13386),
    [anon_sym_COLON] = ACTIONS(13386),
    [anon_sym_begin] = ACTIONS(13386),
    [anon_sym_module] = ACTIONS(13386),
    [anon_sym_baremodule] = ACTIONS(13386),
    [anon_sym_end] = ACTIONS(13386),
    [anon_sym_abstract] = ACTIONS(13386),
    [anon_sym_primitive] = ACTIONS(13386),
    [anon_sym_mutable] = ACTIONS(13386),
    [anon_sym_struct] = ACTIONS(13386),
    [anon_sym_function] = ACTIONS(13386),
    [anon_sym_macro] = ACTIONS(13386),
    [anon_sym_where] = ACTIONS(13386),
    [anon_sym_quote] = ACTIONS(13386),
    [anon_sym_let] = ACTIONS(13386),
    [anon_sym_if] = ACTIONS(13386),
    [anon_sym_else] = ACTIONS(13386),
    [anon_sym_try] = ACTIONS(13386),
    [anon_sym_finally] = ACTIONS(13386),
    [anon_sym_for] = ACTIONS(13386),
    [anon_sym_while] = ACTIONS(13386),
    [sym_break_statement] = ACTIONS(13386),
    [sym_continue_statement] = ACTIONS(13386),
    [anon_sym_return] = ACTIONS(13386),
    [anon_sym_const] = ACTIONS(13386),
    [anon_sym_global] = ACTIONS(13386),
    [anon_sym_local] = ACTIONS(13386),
    [anon_sym_LPAREN] = ACTIONS(13386),
    [anon_sym_COLON2] = ACTIONS(13386),
    [anon_sym_export] = ACTIONS(13386),
    [anon_sym_import] = ACTIONS(13386),
    [anon_sym_using] = ACTIONS(13386),
    [anon_sym_LBRACK] = ACTIONS(13386),
    [anon_sym_LF] = ACTIONS(13388),
    [anon_sym_in] = ACTIONS(13386),
    [anon_sym_LBRACE] = ACTIONS(13386),
    [anon_sym_DOLLAR] = ACTIONS(13386),
    [anon_sym_COLON_COLON] = ACTIONS(13386),
    [anon_sym_isa] = ACTIONS(13386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13386),
    [anon_sym_QMARK] = ACTIONS(13386),
    [anon_sym_AT] = ACTIONS(13386),
    [anon_sym_true] = ACTIONS(13386),
    [anon_sym_false] = ACTIONS(13386),
    [aux_sym_integer_literal_token1] = ACTIONS(13386),
    [aux_sym_integer_literal_token2] = ACTIONS(13386),
    [aux_sym_integer_literal_token3] = ACTIONS(13386),
    [aux_sym_integer_literal_token4] = ACTIONS(13386),
    [aux_sym_float_literal_token1] = ACTIONS(13386),
    [aux_sym_float_literal_token3] = ACTIONS(13386),
    [aux_sym_float_literal_token4] = ACTIONS(13386),
    [sym_character_literal] = ACTIONS(13386),
    [sym__pair_operator] = ACTIONS(13386),
    [sym__arrow_operator] = ACTIONS(13386),
    [sym__lazy_or_operator] = ACTIONS(13386),
    [sym__lazy_and_operator] = ACTIONS(13386),
    [sym__comparison_operator] = ACTIONS(13386),
    [sym__pipe_right_operator] = ACTIONS(13386),
    [sym__pipe_left_operator] = ACTIONS(13386),
    [sym__ellipsis_operator] = ACTIONS(13386),
    [sym__plus_operator] = ACTIONS(13386),
    [sym__times_operator] = ACTIONS(13386),
    [sym__rational_operator] = ACTIONS(13386),
    [sym__bitshift_operator] = ACTIONS(13386),
    [sym__power_operator] = ACTIONS(13386),
    [sym__tilde_operator] = ACTIONS(13386),
    [sym__type_order_operator] = ACTIONS(13386),
    [sym__unary_operator] = ACTIONS(13386),
    [sym__unary_plus_operator] = ACTIONS(13386),
    [aux_sym__terminator_token1] = ACTIONS(13386),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13388),
    [sym__command_start] = ACTIONS(13388),
  },
  [7312] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13392),
    [anon_sym_else] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7313] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_as] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [7314] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13398),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_else] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7315] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13398),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_else] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7316] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13398),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_else] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7317] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [7318] = {
    [sym__word_identifier] = ACTIONS(13400),
    [anon_sym_EQ] = ACTIONS(13400),
    [anon_sym_COMMA] = ACTIONS(13400),
    [anon_sym_COLON] = ACTIONS(13400),
    [anon_sym_begin] = ACTIONS(13400),
    [anon_sym_module] = ACTIONS(13400),
    [anon_sym_baremodule] = ACTIONS(13400),
    [anon_sym_end] = ACTIONS(13400),
    [anon_sym_abstract] = ACTIONS(13400),
    [anon_sym_primitive] = ACTIONS(13400),
    [anon_sym_mutable] = ACTIONS(13400),
    [anon_sym_struct] = ACTIONS(13400),
    [anon_sym_function] = ACTIONS(13400),
    [anon_sym_macro] = ACTIONS(13400),
    [anon_sym_where] = ACTIONS(13400),
    [anon_sym_quote] = ACTIONS(13400),
    [anon_sym_let] = ACTIONS(13400),
    [anon_sym_if] = ACTIONS(13400),
    [anon_sym_else] = ACTIONS(13400),
    [anon_sym_try] = ACTIONS(13400),
    [anon_sym_finally] = ACTIONS(13400),
    [anon_sym_for] = ACTIONS(13400),
    [anon_sym_while] = ACTIONS(13400),
    [sym_break_statement] = ACTIONS(13400),
    [sym_continue_statement] = ACTIONS(13400),
    [anon_sym_return] = ACTIONS(13400),
    [anon_sym_const] = ACTIONS(13400),
    [anon_sym_global] = ACTIONS(13400),
    [anon_sym_local] = ACTIONS(13400),
    [anon_sym_LPAREN] = ACTIONS(13400),
    [anon_sym_COLON2] = ACTIONS(13400),
    [anon_sym_export] = ACTIONS(13400),
    [anon_sym_import] = ACTIONS(13400),
    [anon_sym_using] = ACTIONS(13400),
    [anon_sym_LBRACK] = ACTIONS(13400),
    [anon_sym_LF] = ACTIONS(13402),
    [anon_sym_in] = ACTIONS(13400),
    [anon_sym_LBRACE] = ACTIONS(13400),
    [anon_sym_DOLLAR] = ACTIONS(13400),
    [anon_sym_COLON_COLON] = ACTIONS(13400),
    [anon_sym_isa] = ACTIONS(13400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13400),
    [anon_sym_QMARK] = ACTIONS(13400),
    [anon_sym_AT] = ACTIONS(13400),
    [anon_sym_true] = ACTIONS(13400),
    [anon_sym_false] = ACTIONS(13400),
    [aux_sym_integer_literal_token1] = ACTIONS(13400),
    [aux_sym_integer_literal_token2] = ACTIONS(13400),
    [aux_sym_integer_literal_token3] = ACTIONS(13400),
    [aux_sym_integer_literal_token4] = ACTIONS(13400),
    [aux_sym_float_literal_token1] = ACTIONS(13400),
    [aux_sym_float_literal_token3] = ACTIONS(13400),
    [aux_sym_float_literal_token4] = ACTIONS(13400),
    [sym_character_literal] = ACTIONS(13400),
    [sym__pair_operator] = ACTIONS(13400),
    [sym__arrow_operator] = ACTIONS(13400),
    [sym__lazy_or_operator] = ACTIONS(13400),
    [sym__lazy_and_operator] = ACTIONS(13400),
    [sym__comparison_operator] = ACTIONS(13400),
    [sym__pipe_right_operator] = ACTIONS(13400),
    [sym__pipe_left_operator] = ACTIONS(13400),
    [sym__ellipsis_operator] = ACTIONS(13400),
    [sym__plus_operator] = ACTIONS(13400),
    [sym__times_operator] = ACTIONS(13400),
    [sym__rational_operator] = ACTIONS(13400),
    [sym__bitshift_operator] = ACTIONS(13400),
    [sym__power_operator] = ACTIONS(13400),
    [sym__tilde_operator] = ACTIONS(13400),
    [sym__type_order_operator] = ACTIONS(13400),
    [sym__unary_operator] = ACTIONS(13400),
    [sym__unary_plus_operator] = ACTIONS(13400),
    [aux_sym__terminator_token1] = ACTIONS(13400),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13402),
    [sym__command_start] = ACTIONS(13402),
  },
  [7319] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7320] = {
    [ts_builtin_sym_end] = ACTIONS(13030),
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_RPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_RBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [7321] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_EQ] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_elseif] = ACTIONS(13404),
    [anon_sym_else] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [7322] = {
    [sym__word_identifier] = ACTIONS(13408),
    [anon_sym_EQ] = ACTIONS(13408),
    [anon_sym_COMMA] = ACTIONS(13408),
    [anon_sym_COLON] = ACTIONS(13408),
    [anon_sym_begin] = ACTIONS(13408),
    [anon_sym_module] = ACTIONS(13408),
    [anon_sym_baremodule] = ACTIONS(13408),
    [anon_sym_end] = ACTIONS(13408),
    [anon_sym_abstract] = ACTIONS(13408),
    [anon_sym_primitive] = ACTIONS(13408),
    [anon_sym_mutable] = ACTIONS(13408),
    [anon_sym_struct] = ACTIONS(13408),
    [anon_sym_function] = ACTIONS(13408),
    [anon_sym_macro] = ACTIONS(13408),
    [anon_sym_where] = ACTIONS(13408),
    [anon_sym_quote] = ACTIONS(13408),
    [anon_sym_let] = ACTIONS(13408),
    [anon_sym_if] = ACTIONS(13408),
    [anon_sym_else] = ACTIONS(13408),
    [anon_sym_try] = ACTIONS(13408),
    [anon_sym_finally] = ACTIONS(13408),
    [anon_sym_for] = ACTIONS(13408),
    [anon_sym_while] = ACTIONS(13408),
    [sym_break_statement] = ACTIONS(13408),
    [sym_continue_statement] = ACTIONS(13408),
    [anon_sym_return] = ACTIONS(13408),
    [anon_sym_const] = ACTIONS(13408),
    [anon_sym_global] = ACTIONS(13408),
    [anon_sym_local] = ACTIONS(13408),
    [anon_sym_LPAREN] = ACTIONS(13408),
    [anon_sym_COLON2] = ACTIONS(13408),
    [anon_sym_export] = ACTIONS(13408),
    [anon_sym_import] = ACTIONS(13408),
    [anon_sym_using] = ACTIONS(13408),
    [anon_sym_LBRACK] = ACTIONS(13408),
    [anon_sym_LF] = ACTIONS(13410),
    [anon_sym_in] = ACTIONS(13408),
    [anon_sym_LBRACE] = ACTIONS(13408),
    [anon_sym_DOLLAR] = ACTIONS(13408),
    [anon_sym_COLON_COLON] = ACTIONS(13408),
    [anon_sym_isa] = ACTIONS(13408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13408),
    [anon_sym_QMARK] = ACTIONS(13408),
    [anon_sym_AT] = ACTIONS(13408),
    [anon_sym_true] = ACTIONS(13408),
    [anon_sym_false] = ACTIONS(13408),
    [aux_sym_integer_literal_token1] = ACTIONS(13408),
    [aux_sym_integer_literal_token2] = ACTIONS(13408),
    [aux_sym_integer_literal_token3] = ACTIONS(13408),
    [aux_sym_integer_literal_token4] = ACTIONS(13408),
    [aux_sym_float_literal_token1] = ACTIONS(13408),
    [aux_sym_float_literal_token3] = ACTIONS(13408),
    [aux_sym_float_literal_token4] = ACTIONS(13408),
    [sym_character_literal] = ACTIONS(13408),
    [sym__pair_operator] = ACTIONS(13408),
    [sym__arrow_operator] = ACTIONS(13408),
    [sym__lazy_or_operator] = ACTIONS(13408),
    [sym__lazy_and_operator] = ACTIONS(13408),
    [sym__comparison_operator] = ACTIONS(13408),
    [sym__pipe_right_operator] = ACTIONS(13408),
    [sym__pipe_left_operator] = ACTIONS(13408),
    [sym__ellipsis_operator] = ACTIONS(13408),
    [sym__plus_operator] = ACTIONS(13408),
    [sym__times_operator] = ACTIONS(13408),
    [sym__rational_operator] = ACTIONS(13408),
    [sym__bitshift_operator] = ACTIONS(13408),
    [sym__power_operator] = ACTIONS(13408),
    [sym__tilde_operator] = ACTIONS(13408),
    [sym__type_order_operator] = ACTIONS(13408),
    [sym__unary_operator] = ACTIONS(13408),
    [sym__unary_plus_operator] = ACTIONS(13408),
    [aux_sym__terminator_token1] = ACTIONS(13408),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13410),
    [sym__command_start] = ACTIONS(13410),
  },
  [7323] = {
    [sym__word_identifier] = ACTIONS(13412),
    [anon_sym_EQ] = ACTIONS(13412),
    [anon_sym_COMMA] = ACTIONS(13412),
    [anon_sym_COLON] = ACTIONS(13412),
    [anon_sym_begin] = ACTIONS(13412),
    [anon_sym_module] = ACTIONS(13412),
    [anon_sym_baremodule] = ACTIONS(13412),
    [anon_sym_end] = ACTIONS(13412),
    [anon_sym_abstract] = ACTIONS(13412),
    [anon_sym_primitive] = ACTIONS(13412),
    [anon_sym_mutable] = ACTIONS(13412),
    [anon_sym_struct] = ACTIONS(13412),
    [anon_sym_function] = ACTIONS(13412),
    [anon_sym_macro] = ACTIONS(13412),
    [anon_sym_where] = ACTIONS(13412),
    [anon_sym_quote] = ACTIONS(13412),
    [anon_sym_let] = ACTIONS(13412),
    [anon_sym_if] = ACTIONS(13412),
    [anon_sym_else] = ACTIONS(13412),
    [anon_sym_try] = ACTIONS(13412),
    [anon_sym_finally] = ACTIONS(13412),
    [anon_sym_for] = ACTIONS(13412),
    [anon_sym_while] = ACTIONS(13412),
    [sym_break_statement] = ACTIONS(13412),
    [sym_continue_statement] = ACTIONS(13412),
    [anon_sym_return] = ACTIONS(13412),
    [anon_sym_const] = ACTIONS(13412),
    [anon_sym_global] = ACTIONS(13412),
    [anon_sym_local] = ACTIONS(13412),
    [anon_sym_LPAREN] = ACTIONS(13412),
    [anon_sym_COLON2] = ACTIONS(13412),
    [anon_sym_export] = ACTIONS(13412),
    [anon_sym_import] = ACTIONS(13412),
    [anon_sym_using] = ACTIONS(13412),
    [anon_sym_LBRACK] = ACTIONS(13412),
    [anon_sym_LF] = ACTIONS(13414),
    [anon_sym_in] = ACTIONS(13412),
    [anon_sym_LBRACE] = ACTIONS(13412),
    [anon_sym_DOLLAR] = ACTIONS(13412),
    [anon_sym_COLON_COLON] = ACTIONS(13412),
    [anon_sym_isa] = ACTIONS(13412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13412),
    [anon_sym_QMARK] = ACTIONS(13412),
    [anon_sym_AT] = ACTIONS(13412),
    [anon_sym_true] = ACTIONS(13412),
    [anon_sym_false] = ACTIONS(13412),
    [aux_sym_integer_literal_token1] = ACTIONS(13412),
    [aux_sym_integer_literal_token2] = ACTIONS(13412),
    [aux_sym_integer_literal_token3] = ACTIONS(13412),
    [aux_sym_integer_literal_token4] = ACTIONS(13412),
    [aux_sym_float_literal_token1] = ACTIONS(13412),
    [aux_sym_float_literal_token3] = ACTIONS(13412),
    [aux_sym_float_literal_token4] = ACTIONS(13412),
    [sym_character_literal] = ACTIONS(13412),
    [sym__pair_operator] = ACTIONS(13412),
    [sym__arrow_operator] = ACTIONS(13412),
    [sym__lazy_or_operator] = ACTIONS(13412),
    [sym__lazy_and_operator] = ACTIONS(13412),
    [sym__comparison_operator] = ACTIONS(13412),
    [sym__pipe_right_operator] = ACTIONS(13412),
    [sym__pipe_left_operator] = ACTIONS(13412),
    [sym__ellipsis_operator] = ACTIONS(13412),
    [sym__plus_operator] = ACTIONS(13412),
    [sym__times_operator] = ACTIONS(13412),
    [sym__rational_operator] = ACTIONS(13412),
    [sym__bitshift_operator] = ACTIONS(13412),
    [sym__power_operator] = ACTIONS(13412),
    [sym__tilde_operator] = ACTIONS(13412),
    [sym__type_order_operator] = ACTIONS(13412),
    [sym__unary_operator] = ACTIONS(13412),
    [sym__unary_plus_operator] = ACTIONS(13412),
    [aux_sym__terminator_token1] = ACTIONS(13412),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13414),
    [sym__command_start] = ACTIONS(13414),
  },
  [7324] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(13096),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7325] = {
    [sym__word_identifier] = ACTIONS(13259),
    [anon_sym_EQ] = ACTIONS(13259),
    [anon_sym_COMMA] = ACTIONS(13259),
    [anon_sym_COLON] = ACTIONS(13259),
    [anon_sym_begin] = ACTIONS(13259),
    [anon_sym_module] = ACTIONS(13259),
    [anon_sym_baremodule] = ACTIONS(13259),
    [anon_sym_end] = ACTIONS(13259),
    [anon_sym_abstract] = ACTIONS(13259),
    [anon_sym_primitive] = ACTIONS(13259),
    [anon_sym_mutable] = ACTIONS(13259),
    [anon_sym_struct] = ACTIONS(13259),
    [anon_sym_function] = ACTIONS(13259),
    [anon_sym_macro] = ACTIONS(13259),
    [anon_sym_where] = ACTIONS(13259),
    [anon_sym_quote] = ACTIONS(13259),
    [anon_sym_let] = ACTIONS(13259),
    [anon_sym_if] = ACTIONS(13259),
    [anon_sym_elseif] = ACTIONS(13259),
    [anon_sym_else] = ACTIONS(13259),
    [anon_sym_try] = ACTIONS(13259),
    [anon_sym_for] = ACTIONS(13259),
    [anon_sym_while] = ACTIONS(13259),
    [sym_break_statement] = ACTIONS(13259),
    [sym_continue_statement] = ACTIONS(13259),
    [anon_sym_return] = ACTIONS(13259),
    [anon_sym_const] = ACTIONS(13259),
    [anon_sym_global] = ACTIONS(13259),
    [anon_sym_local] = ACTIONS(13259),
    [anon_sym_LPAREN] = ACTIONS(13259),
    [anon_sym_COLON2] = ACTIONS(13259),
    [anon_sym_export] = ACTIONS(13259),
    [anon_sym_import] = ACTIONS(13259),
    [anon_sym_using] = ACTIONS(13259),
    [anon_sym_LBRACK] = ACTIONS(13259),
    [anon_sym_LF] = ACTIONS(13261),
    [anon_sym_in] = ACTIONS(13259),
    [anon_sym_LBRACE] = ACTIONS(13259),
    [anon_sym_DOLLAR] = ACTIONS(13259),
    [anon_sym_COLON_COLON] = ACTIONS(13259),
    [anon_sym_isa] = ACTIONS(13259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13259),
    [anon_sym_QMARK] = ACTIONS(13259),
    [anon_sym_AT] = ACTIONS(13259),
    [anon_sym_true] = ACTIONS(13259),
    [anon_sym_false] = ACTIONS(13259),
    [aux_sym_integer_literal_token1] = ACTIONS(13259),
    [aux_sym_integer_literal_token2] = ACTIONS(13259),
    [aux_sym_integer_literal_token3] = ACTIONS(13259),
    [aux_sym_integer_literal_token4] = ACTIONS(13259),
    [aux_sym_float_literal_token1] = ACTIONS(13259),
    [aux_sym_float_literal_token3] = ACTIONS(13259),
    [aux_sym_float_literal_token4] = ACTIONS(13259),
    [sym_character_literal] = ACTIONS(13259),
    [sym__pair_operator] = ACTIONS(13259),
    [sym__arrow_operator] = ACTIONS(13259),
    [sym__lazy_or_operator] = ACTIONS(13259),
    [sym__lazy_and_operator] = ACTIONS(13259),
    [sym__comparison_operator] = ACTIONS(13259),
    [sym__pipe_right_operator] = ACTIONS(13259),
    [sym__pipe_left_operator] = ACTIONS(13259),
    [sym__ellipsis_operator] = ACTIONS(13259),
    [sym__plus_operator] = ACTIONS(13259),
    [sym__times_operator] = ACTIONS(13259),
    [sym__rational_operator] = ACTIONS(13259),
    [sym__bitshift_operator] = ACTIONS(13259),
    [sym__power_operator] = ACTIONS(13259),
    [sym__tilde_operator] = ACTIONS(13259),
    [sym__type_order_operator] = ACTIONS(13259),
    [sym__unary_operator] = ACTIONS(13259),
    [sym__unary_plus_operator] = ACTIONS(13259),
    [aux_sym__terminator_token1] = ACTIONS(13259),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13261),
    [sym__command_start] = ACTIONS(13261),
  },
  [7326] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13392),
    [anon_sym_else] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7327] = {
    [aux_sym__import_list_repeat1] = STATE(7772),
    [sym__word_identifier] = ACTIONS(13164),
    [anon_sym_EQ] = ACTIONS(13164),
    [anon_sym_COMMA] = ACTIONS(13014),
    [anon_sym_COLON] = ACTIONS(13164),
    [anon_sym_begin] = ACTIONS(13164),
    [anon_sym_module] = ACTIONS(13164),
    [anon_sym_baremodule] = ACTIONS(13164),
    [anon_sym_abstract] = ACTIONS(13164),
    [anon_sym_primitive] = ACTIONS(13164),
    [anon_sym_mutable] = ACTIONS(13164),
    [anon_sym_struct] = ACTIONS(13164),
    [anon_sym_function] = ACTIONS(13164),
    [anon_sym_macro] = ACTIONS(13164),
    [anon_sym_where] = ACTIONS(13164),
    [anon_sym_quote] = ACTIONS(13164),
    [anon_sym_let] = ACTIONS(13164),
    [anon_sym_if] = ACTIONS(13164),
    [anon_sym_try] = ACTIONS(13164),
    [anon_sym_for] = ACTIONS(13164),
    [anon_sym_while] = ACTIONS(13164),
    [sym_break_statement] = ACTIONS(13164),
    [sym_continue_statement] = ACTIONS(13164),
    [anon_sym_return] = ACTIONS(13164),
    [anon_sym_const] = ACTIONS(13164),
    [anon_sym_global] = ACTIONS(13164),
    [anon_sym_local] = ACTIONS(13164),
    [anon_sym_LPAREN] = ACTIONS(13162),
    [anon_sym_RPAREN] = ACTIONS(13162),
    [anon_sym_COLON2] = ACTIONS(13164),
    [anon_sym_export] = ACTIONS(13164),
    [anon_sym_import] = ACTIONS(13164),
    [anon_sym_using] = ACTIONS(13164),
    [anon_sym_LBRACK] = ACTIONS(13162),
    [anon_sym_RBRACK] = ACTIONS(13162),
    [anon_sym_in] = ACTIONS(13164),
    [anon_sym_SEMI] = ACTIONS(13162),
    [anon_sym_LBRACE] = ACTIONS(13162),
    [anon_sym_RBRACE] = ACTIONS(13162),
    [anon_sym_DOLLAR] = ACTIONS(13162),
    [anon_sym_COLON_COLON] = ACTIONS(13162),
    [anon_sym_isa] = ACTIONS(13164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13162),
    [anon_sym_QMARK] = ACTIONS(13162),
    [anon_sym_AT] = ACTIONS(13162),
    [anon_sym_true] = ACTIONS(13164),
    [anon_sym_false] = ACTIONS(13164),
    [aux_sym_integer_literal_token1] = ACTIONS(13162),
    [aux_sym_integer_literal_token2] = ACTIONS(13162),
    [aux_sym_integer_literal_token3] = ACTIONS(13164),
    [aux_sym_integer_literal_token4] = ACTIONS(13164),
    [aux_sym_float_literal_token1] = ACTIONS(13162),
    [aux_sym_float_literal_token3] = ACTIONS(13162),
    [aux_sym_float_literal_token4] = ACTIONS(13162),
    [sym_character_literal] = ACTIONS(13162),
    [sym__pair_operator] = ACTIONS(13162),
    [sym__arrow_operator] = ACTIONS(13164),
    [sym__lazy_or_operator] = ACTIONS(13162),
    [sym__lazy_and_operator] = ACTIONS(13162),
    [sym__comparison_operator] = ACTIONS(13164),
    [sym__pipe_right_operator] = ACTIONS(13162),
    [sym__pipe_left_operator] = ACTIONS(13162),
    [sym__ellipsis_operator] = ACTIONS(13164),
    [sym__plus_operator] = ACTIONS(13164),
    [sym__times_operator] = ACTIONS(13164),
    [sym__rational_operator] = ACTIONS(13162),
    [sym__bitshift_operator] = ACTIONS(13162),
    [sym__power_operator] = ACTIONS(13162),
    [sym__tilde_operator] = ACTIONS(13162),
    [sym__type_order_operator] = ACTIONS(13162),
    [sym__unary_operator] = ACTIONS(13164),
    [sym__unary_plus_operator] = ACTIONS(13164),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13162),
    [sym__command_start] = ACTIONS(13162),
  },
  [7328] = {
    [sym__word_identifier] = ACTIONS(13286),
    [anon_sym_EQ] = ACTIONS(13286),
    [anon_sym_COMMA] = ACTIONS(13286),
    [anon_sym_COLON] = ACTIONS(13286),
    [anon_sym_begin] = ACTIONS(13286),
    [anon_sym_module] = ACTIONS(13286),
    [anon_sym_baremodule] = ACTIONS(13286),
    [anon_sym_end] = ACTIONS(13286),
    [anon_sym_abstract] = ACTIONS(13286),
    [anon_sym_primitive] = ACTIONS(13286),
    [anon_sym_mutable] = ACTIONS(13286),
    [anon_sym_struct] = ACTIONS(13286),
    [anon_sym_function] = ACTIONS(13286),
    [anon_sym_macro] = ACTIONS(13286),
    [anon_sym_where] = ACTIONS(13286),
    [anon_sym_quote] = ACTIONS(13286),
    [anon_sym_let] = ACTIONS(13286),
    [anon_sym_if] = ACTIONS(13286),
    [anon_sym_elseif] = ACTIONS(13286),
    [anon_sym_else] = ACTIONS(13286),
    [anon_sym_try] = ACTIONS(13286),
    [anon_sym_for] = ACTIONS(13286),
    [anon_sym_while] = ACTIONS(13286),
    [sym_break_statement] = ACTIONS(13286),
    [sym_continue_statement] = ACTIONS(13286),
    [anon_sym_return] = ACTIONS(13286),
    [anon_sym_const] = ACTIONS(13286),
    [anon_sym_global] = ACTIONS(13286),
    [anon_sym_local] = ACTIONS(13286),
    [anon_sym_LPAREN] = ACTIONS(13286),
    [anon_sym_COLON2] = ACTIONS(13286),
    [anon_sym_export] = ACTIONS(13286),
    [anon_sym_import] = ACTIONS(13286),
    [anon_sym_using] = ACTIONS(13286),
    [anon_sym_LBRACK] = ACTIONS(13286),
    [anon_sym_LF] = ACTIONS(13288),
    [anon_sym_in] = ACTIONS(13286),
    [anon_sym_LBRACE] = ACTIONS(13286),
    [anon_sym_DOLLAR] = ACTIONS(13286),
    [anon_sym_COLON_COLON] = ACTIONS(13286),
    [anon_sym_isa] = ACTIONS(13286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13286),
    [anon_sym_QMARK] = ACTIONS(13286),
    [anon_sym_AT] = ACTIONS(13286),
    [anon_sym_true] = ACTIONS(13286),
    [anon_sym_false] = ACTIONS(13286),
    [aux_sym_integer_literal_token1] = ACTIONS(13286),
    [aux_sym_integer_literal_token2] = ACTIONS(13286),
    [aux_sym_integer_literal_token3] = ACTIONS(13286),
    [aux_sym_integer_literal_token4] = ACTIONS(13286),
    [aux_sym_float_literal_token1] = ACTIONS(13286),
    [aux_sym_float_literal_token3] = ACTIONS(13286),
    [aux_sym_float_literal_token4] = ACTIONS(13286),
    [sym_character_literal] = ACTIONS(13286),
    [sym__pair_operator] = ACTIONS(13286),
    [sym__arrow_operator] = ACTIONS(13286),
    [sym__lazy_or_operator] = ACTIONS(13286),
    [sym__lazy_and_operator] = ACTIONS(13286),
    [sym__comparison_operator] = ACTIONS(13286),
    [sym__pipe_right_operator] = ACTIONS(13286),
    [sym__pipe_left_operator] = ACTIONS(13286),
    [sym__ellipsis_operator] = ACTIONS(13286),
    [sym__plus_operator] = ACTIONS(13286),
    [sym__times_operator] = ACTIONS(13286),
    [sym__rational_operator] = ACTIONS(13286),
    [sym__bitshift_operator] = ACTIONS(13286),
    [sym__power_operator] = ACTIONS(13286),
    [sym__tilde_operator] = ACTIONS(13286),
    [sym__type_order_operator] = ACTIONS(13286),
    [sym__unary_operator] = ACTIONS(13286),
    [sym__unary_plus_operator] = ACTIONS(13286),
    [aux_sym__terminator_token1] = ACTIONS(13286),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13288),
    [sym__command_start] = ACTIONS(13288),
  },
  [7329] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12344),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12344),
    [anon_sym_RPAREN] = ACTIONS(12344),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12344),
    [anon_sym_RBRACK] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_SEMI] = ACTIONS(12344),
    [anon_sym_LBRACE] = ACTIONS(12344),
    [anon_sym_RBRACE] = ACTIONS(12344),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12344),
    [anon_sym_COLON_COLON] = ACTIONS(12344),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12344),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_AT] = ACTIONS(12344),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12344),
    [aux_sym_integer_literal_token2] = ACTIONS(12344),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12344),
    [aux_sym_float_literal_token3] = ACTIONS(12344),
    [aux_sym_float_literal_token4] = ACTIONS(12344),
    [sym_character_literal] = ACTIONS(12344),
    [sym__pair_operator] = ACTIONS(12344),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12344),
    [sym__lazy_and_operator] = ACTIONS(12344),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12344),
    [sym__pipe_left_operator] = ACTIONS(12344),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12344),
    [sym__bitshift_operator] = ACTIONS(12344),
    [sym__power_operator] = ACTIONS(12344),
    [sym__tilde_operator] = ACTIONS(12344),
    [sym__type_order_operator] = ACTIONS(12344),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [7330] = {
    [sym__comprehension_clause] = STATE(18787),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17337),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13416),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13418),
    [anon_sym_LF] = ACTIONS(13420),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13423),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7331] = {
    [sym__word_identifier] = ACTIONS(13426),
    [anon_sym_EQ] = ACTIONS(13426),
    [anon_sym_COMMA] = ACTIONS(13426),
    [anon_sym_COLON] = ACTIONS(13426),
    [anon_sym_begin] = ACTIONS(13426),
    [anon_sym_module] = ACTIONS(13426),
    [anon_sym_baremodule] = ACTIONS(13426),
    [anon_sym_end] = ACTIONS(13426),
    [anon_sym_abstract] = ACTIONS(13426),
    [anon_sym_primitive] = ACTIONS(13426),
    [anon_sym_mutable] = ACTIONS(13426),
    [anon_sym_struct] = ACTIONS(13426),
    [anon_sym_function] = ACTIONS(13426),
    [anon_sym_macro] = ACTIONS(13426),
    [anon_sym_where] = ACTIONS(13426),
    [anon_sym_quote] = ACTIONS(13426),
    [anon_sym_let] = ACTIONS(13426),
    [anon_sym_if] = ACTIONS(13426),
    [anon_sym_elseif] = ACTIONS(13426),
    [anon_sym_else] = ACTIONS(13426),
    [anon_sym_try] = ACTIONS(13426),
    [anon_sym_for] = ACTIONS(13426),
    [anon_sym_while] = ACTIONS(13426),
    [sym_break_statement] = ACTIONS(13426),
    [sym_continue_statement] = ACTIONS(13426),
    [anon_sym_return] = ACTIONS(13426),
    [anon_sym_const] = ACTIONS(13426),
    [anon_sym_global] = ACTIONS(13426),
    [anon_sym_local] = ACTIONS(13426),
    [anon_sym_LPAREN] = ACTIONS(13426),
    [anon_sym_COLON2] = ACTIONS(13426),
    [anon_sym_export] = ACTIONS(13426),
    [anon_sym_import] = ACTIONS(13426),
    [anon_sym_using] = ACTIONS(13426),
    [anon_sym_LBRACK] = ACTIONS(13426),
    [anon_sym_LF] = ACTIONS(13428),
    [anon_sym_in] = ACTIONS(13426),
    [anon_sym_LBRACE] = ACTIONS(13426),
    [anon_sym_DOLLAR] = ACTIONS(13426),
    [anon_sym_COLON_COLON] = ACTIONS(13426),
    [anon_sym_isa] = ACTIONS(13426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13426),
    [anon_sym_QMARK] = ACTIONS(13426),
    [anon_sym_AT] = ACTIONS(13426),
    [anon_sym_true] = ACTIONS(13426),
    [anon_sym_false] = ACTIONS(13426),
    [aux_sym_integer_literal_token1] = ACTIONS(13426),
    [aux_sym_integer_literal_token2] = ACTIONS(13426),
    [aux_sym_integer_literal_token3] = ACTIONS(13426),
    [aux_sym_integer_literal_token4] = ACTIONS(13426),
    [aux_sym_float_literal_token1] = ACTIONS(13426),
    [aux_sym_float_literal_token3] = ACTIONS(13426),
    [aux_sym_float_literal_token4] = ACTIONS(13426),
    [sym_character_literal] = ACTIONS(13426),
    [sym__pair_operator] = ACTIONS(13426),
    [sym__arrow_operator] = ACTIONS(13426),
    [sym__lazy_or_operator] = ACTIONS(13426),
    [sym__lazy_and_operator] = ACTIONS(13426),
    [sym__comparison_operator] = ACTIONS(13426),
    [sym__pipe_right_operator] = ACTIONS(13426),
    [sym__pipe_left_operator] = ACTIONS(13426),
    [sym__ellipsis_operator] = ACTIONS(13426),
    [sym__plus_operator] = ACTIONS(13426),
    [sym__times_operator] = ACTIONS(13426),
    [sym__rational_operator] = ACTIONS(13426),
    [sym__bitshift_operator] = ACTIONS(13426),
    [sym__power_operator] = ACTIONS(13426),
    [sym__tilde_operator] = ACTIONS(13426),
    [sym__type_order_operator] = ACTIONS(13426),
    [sym__unary_operator] = ACTIONS(13426),
    [sym__unary_plus_operator] = ACTIONS(13426),
    [aux_sym__terminator_token1] = ACTIONS(13426),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13428),
    [sym__command_start] = ACTIONS(13428),
  },
  [7332] = {
    [sym__word_identifier] = ACTIONS(13340),
    [anon_sym_EQ] = ACTIONS(13340),
    [anon_sym_COMMA] = ACTIONS(13340),
    [anon_sym_COLON] = ACTIONS(13340),
    [anon_sym_begin] = ACTIONS(13340),
    [anon_sym_module] = ACTIONS(13340),
    [anon_sym_baremodule] = ACTIONS(13340),
    [anon_sym_end] = ACTIONS(13340),
    [anon_sym_abstract] = ACTIONS(13340),
    [anon_sym_primitive] = ACTIONS(13340),
    [anon_sym_mutable] = ACTIONS(13340),
    [anon_sym_struct] = ACTIONS(13340),
    [anon_sym_function] = ACTIONS(13340),
    [anon_sym_macro] = ACTIONS(13340),
    [anon_sym_where] = ACTIONS(13340),
    [anon_sym_quote] = ACTIONS(13340),
    [anon_sym_let] = ACTIONS(13340),
    [anon_sym_if] = ACTIONS(13340),
    [anon_sym_elseif] = ACTIONS(13340),
    [anon_sym_else] = ACTIONS(13340),
    [anon_sym_try] = ACTIONS(13340),
    [anon_sym_for] = ACTIONS(13340),
    [anon_sym_while] = ACTIONS(13340),
    [sym_break_statement] = ACTIONS(13340),
    [sym_continue_statement] = ACTIONS(13340),
    [anon_sym_return] = ACTIONS(13340),
    [anon_sym_const] = ACTIONS(13340),
    [anon_sym_global] = ACTIONS(13340),
    [anon_sym_local] = ACTIONS(13340),
    [anon_sym_LPAREN] = ACTIONS(13340),
    [anon_sym_COLON2] = ACTIONS(13340),
    [anon_sym_export] = ACTIONS(13340),
    [anon_sym_import] = ACTIONS(13340),
    [anon_sym_using] = ACTIONS(13340),
    [anon_sym_LBRACK] = ACTIONS(13340),
    [anon_sym_LF] = ACTIONS(13342),
    [anon_sym_in] = ACTIONS(13340),
    [anon_sym_LBRACE] = ACTIONS(13340),
    [anon_sym_DOLLAR] = ACTIONS(13340),
    [anon_sym_COLON_COLON] = ACTIONS(13340),
    [anon_sym_isa] = ACTIONS(13340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13340),
    [anon_sym_QMARK] = ACTIONS(13340),
    [anon_sym_AT] = ACTIONS(13340),
    [anon_sym_true] = ACTIONS(13340),
    [anon_sym_false] = ACTIONS(13340),
    [aux_sym_integer_literal_token1] = ACTIONS(13340),
    [aux_sym_integer_literal_token2] = ACTIONS(13340),
    [aux_sym_integer_literal_token3] = ACTIONS(13340),
    [aux_sym_integer_literal_token4] = ACTIONS(13340),
    [aux_sym_float_literal_token1] = ACTIONS(13340),
    [aux_sym_float_literal_token3] = ACTIONS(13340),
    [aux_sym_float_literal_token4] = ACTIONS(13340),
    [sym_character_literal] = ACTIONS(13340),
    [sym__pair_operator] = ACTIONS(13340),
    [sym__arrow_operator] = ACTIONS(13340),
    [sym__lazy_or_operator] = ACTIONS(13340),
    [sym__lazy_and_operator] = ACTIONS(13340),
    [sym__comparison_operator] = ACTIONS(13340),
    [sym__pipe_right_operator] = ACTIONS(13340),
    [sym__pipe_left_operator] = ACTIONS(13340),
    [sym__ellipsis_operator] = ACTIONS(13340),
    [sym__plus_operator] = ACTIONS(13340),
    [sym__times_operator] = ACTIONS(13340),
    [sym__rational_operator] = ACTIONS(13340),
    [sym__bitshift_operator] = ACTIONS(13340),
    [sym__power_operator] = ACTIONS(13340),
    [sym__tilde_operator] = ACTIONS(13340),
    [sym__type_order_operator] = ACTIONS(13340),
    [sym__unary_operator] = ACTIONS(13340),
    [sym__unary_plus_operator] = ACTIONS(13340),
    [aux_sym__terminator_token1] = ACTIONS(13340),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13342),
    [sym__command_start] = ACTIONS(13342),
  },
  [7333] = {
    [aux_sym_export_statement_repeat1] = STATE(7759),
    [sym__word_identifier] = ACTIONS(13166),
    [anon_sym_EQ] = ACTIONS(13166),
    [anon_sym_COMMA] = ACTIONS(13430),
    [anon_sym_COLON] = ACTIONS(13166),
    [anon_sym_begin] = ACTIONS(13166),
    [anon_sym_module] = ACTIONS(13166),
    [anon_sym_baremodule] = ACTIONS(13166),
    [anon_sym_abstract] = ACTIONS(13166),
    [anon_sym_primitive] = ACTIONS(13166),
    [anon_sym_mutable] = ACTIONS(13166),
    [anon_sym_struct] = ACTIONS(13166),
    [anon_sym_function] = ACTIONS(13166),
    [anon_sym_macro] = ACTIONS(13166),
    [anon_sym_where] = ACTIONS(13166),
    [anon_sym_quote] = ACTIONS(13166),
    [anon_sym_let] = ACTIONS(13166),
    [anon_sym_if] = ACTIONS(13166),
    [anon_sym_try] = ACTIONS(13166),
    [anon_sym_for] = ACTIONS(13166),
    [anon_sym_while] = ACTIONS(13166),
    [sym_break_statement] = ACTIONS(13166),
    [sym_continue_statement] = ACTIONS(13166),
    [anon_sym_return] = ACTIONS(13166),
    [anon_sym_const] = ACTIONS(13166),
    [anon_sym_global] = ACTIONS(13166),
    [anon_sym_local] = ACTIONS(13166),
    [anon_sym_LPAREN] = ACTIONS(13170),
    [anon_sym_RPAREN] = ACTIONS(13170),
    [anon_sym_COLON2] = ACTIONS(13166),
    [anon_sym_export] = ACTIONS(13166),
    [anon_sym_import] = ACTIONS(13166),
    [anon_sym_using] = ACTIONS(13166),
    [anon_sym_LBRACK] = ACTIONS(13170),
    [anon_sym_RBRACK] = ACTIONS(13170),
    [anon_sym_in] = ACTIONS(13166),
    [anon_sym_SEMI] = ACTIONS(13170),
    [anon_sym_LBRACE] = ACTIONS(13170),
    [anon_sym_RBRACE] = ACTIONS(13170),
    [anon_sym_DOLLAR] = ACTIONS(13170),
    [anon_sym_COLON_COLON] = ACTIONS(13170),
    [anon_sym_isa] = ACTIONS(13166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13170),
    [anon_sym_QMARK] = ACTIONS(13170),
    [anon_sym_AT] = ACTIONS(13170),
    [anon_sym_true] = ACTIONS(13166),
    [anon_sym_false] = ACTIONS(13166),
    [aux_sym_integer_literal_token1] = ACTIONS(13170),
    [aux_sym_integer_literal_token2] = ACTIONS(13170),
    [aux_sym_integer_literal_token3] = ACTIONS(13166),
    [aux_sym_integer_literal_token4] = ACTIONS(13166),
    [aux_sym_float_literal_token1] = ACTIONS(13170),
    [aux_sym_float_literal_token3] = ACTIONS(13170),
    [aux_sym_float_literal_token4] = ACTIONS(13170),
    [sym_character_literal] = ACTIONS(13170),
    [sym__pair_operator] = ACTIONS(13170),
    [sym__arrow_operator] = ACTIONS(13166),
    [sym__lazy_or_operator] = ACTIONS(13170),
    [sym__lazy_and_operator] = ACTIONS(13170),
    [sym__comparison_operator] = ACTIONS(13166),
    [sym__pipe_right_operator] = ACTIONS(13170),
    [sym__pipe_left_operator] = ACTIONS(13170),
    [sym__ellipsis_operator] = ACTIONS(13166),
    [sym__plus_operator] = ACTIONS(13166),
    [sym__times_operator] = ACTIONS(13166),
    [sym__rational_operator] = ACTIONS(13170),
    [sym__bitshift_operator] = ACTIONS(13170),
    [sym__power_operator] = ACTIONS(13170),
    [sym__tilde_operator] = ACTIONS(13170),
    [sym__type_order_operator] = ACTIONS(13170),
    [sym__unary_operator] = ACTIONS(13166),
    [sym__unary_plus_operator] = ACTIONS(13166),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13170),
    [sym__command_start] = ACTIONS(13170),
  },
  [7334] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(13025),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7335] = {
    [aux_sym_open_tuple_repeat1] = STATE(7595),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13432),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13314),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7336] = {
    [ts_builtin_sym_end] = ACTIONS(13434),
    [sym__word_identifier] = ACTIONS(13436),
    [anon_sym_EQ] = ACTIONS(13436),
    [anon_sym_COMMA] = ACTIONS(13436),
    [anon_sym_COLON] = ACTIONS(13436),
    [anon_sym_begin] = ACTIONS(13436),
    [anon_sym_module] = ACTIONS(13436),
    [anon_sym_baremodule] = ACTIONS(13436),
    [anon_sym_abstract] = ACTIONS(13436),
    [anon_sym_primitive] = ACTIONS(13436),
    [anon_sym_mutable] = ACTIONS(13436),
    [anon_sym_struct] = ACTIONS(13436),
    [anon_sym_function] = ACTIONS(13436),
    [anon_sym_macro] = ACTIONS(13436),
    [anon_sym_where] = ACTIONS(13436),
    [anon_sym_quote] = ACTIONS(13436),
    [anon_sym_let] = ACTIONS(13436),
    [anon_sym_if] = ACTIONS(13436),
    [anon_sym_try] = ACTIONS(13436),
    [anon_sym_for] = ACTIONS(13436),
    [anon_sym_while] = ACTIONS(13436),
    [sym_break_statement] = ACTIONS(13436),
    [sym_continue_statement] = ACTIONS(13436),
    [anon_sym_return] = ACTIONS(13436),
    [anon_sym_const] = ACTIONS(13436),
    [anon_sym_global] = ACTIONS(13436),
    [anon_sym_local] = ACTIONS(13436),
    [anon_sym_LPAREN] = ACTIONS(13436),
    [anon_sym_RPAREN] = ACTIONS(13436),
    [anon_sym_COLON2] = ACTIONS(13436),
    [anon_sym_export] = ACTIONS(13436),
    [anon_sym_import] = ACTIONS(13436),
    [anon_sym_using] = ACTIONS(13436),
    [anon_sym_LBRACK] = ACTIONS(13436),
    [anon_sym_RBRACK] = ACTIONS(13436),
    [anon_sym_LF] = ACTIONS(13434),
    [anon_sym_in] = ACTIONS(13436),
    [anon_sym_LBRACE] = ACTIONS(13436),
    [anon_sym_DOLLAR] = ACTIONS(13436),
    [anon_sym_COLON_COLON] = ACTIONS(13436),
    [anon_sym_isa] = ACTIONS(13436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13436),
    [anon_sym_QMARK] = ACTIONS(13436),
    [anon_sym_AT] = ACTIONS(13436),
    [anon_sym_true] = ACTIONS(13436),
    [anon_sym_false] = ACTIONS(13436),
    [aux_sym_integer_literal_token1] = ACTIONS(13436),
    [aux_sym_integer_literal_token2] = ACTIONS(13436),
    [aux_sym_integer_literal_token3] = ACTIONS(13436),
    [aux_sym_integer_literal_token4] = ACTIONS(13436),
    [aux_sym_float_literal_token1] = ACTIONS(13436),
    [aux_sym_float_literal_token3] = ACTIONS(13436),
    [aux_sym_float_literal_token4] = ACTIONS(13436),
    [sym_character_literal] = ACTIONS(13436),
    [sym__pair_operator] = ACTIONS(13436),
    [sym__arrow_operator] = ACTIONS(13436),
    [sym__lazy_or_operator] = ACTIONS(13436),
    [sym__lazy_and_operator] = ACTIONS(13436),
    [sym__comparison_operator] = ACTIONS(13436),
    [sym__pipe_right_operator] = ACTIONS(13436),
    [sym__pipe_left_operator] = ACTIONS(13436),
    [sym__ellipsis_operator] = ACTIONS(13436),
    [sym__plus_operator] = ACTIONS(13436),
    [sym__times_operator] = ACTIONS(13436),
    [sym__rational_operator] = ACTIONS(13436),
    [sym__bitshift_operator] = ACTIONS(13436),
    [sym__power_operator] = ACTIONS(13436),
    [sym__tilde_operator] = ACTIONS(13436),
    [sym__type_order_operator] = ACTIONS(13436),
    [sym__unary_operator] = ACTIONS(13436),
    [sym__unary_plus_operator] = ACTIONS(13436),
    [aux_sym__terminator_token1] = ACTIONS(13436),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13434),
    [sym__command_start] = ACTIONS(13434),
  },
  [7337] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11866),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11866),
    [anon_sym_RPAREN] = ACTIONS(11866),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11866),
    [anon_sym_RBRACK] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11866),
    [anon_sym_RBRACE] = ACTIONS(11866),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11866),
    [anon_sym_COLON_COLON] = ACTIONS(11866),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11866),
    [anon_sym_QMARK] = ACTIONS(11866),
    [anon_sym_AT] = ACTIONS(11866),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11866),
    [aux_sym_integer_literal_token2] = ACTIONS(11866),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11866),
    [aux_sym_float_literal_token3] = ACTIONS(11866),
    [aux_sym_float_literal_token4] = ACTIONS(11866),
    [sym_character_literal] = ACTIONS(11866),
    [sym__pair_operator] = ACTIONS(11866),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11866),
    [sym__lazy_and_operator] = ACTIONS(11866),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11866),
    [sym__pipe_left_operator] = ACTIONS(11866),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11866),
    [sym__bitshift_operator] = ACTIONS(11866),
    [sym__power_operator] = ACTIONS(11866),
    [sym__tilde_operator] = ACTIONS(11866),
    [sym__type_order_operator] = ACTIONS(11866),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [7338] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_catch] = ACTIONS(13242),
    [anon_sym_finally] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13448),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [7339] = {
    [sym__word_identifier] = ACTIONS(13386),
    [anon_sym_EQ] = ACTIONS(13386),
    [anon_sym_COMMA] = ACTIONS(13386),
    [anon_sym_COLON] = ACTIONS(13386),
    [anon_sym_begin] = ACTIONS(13386),
    [anon_sym_module] = ACTIONS(13386),
    [anon_sym_baremodule] = ACTIONS(13386),
    [anon_sym_end] = ACTIONS(13386),
    [anon_sym_abstract] = ACTIONS(13386),
    [anon_sym_primitive] = ACTIONS(13386),
    [anon_sym_mutable] = ACTIONS(13386),
    [anon_sym_struct] = ACTIONS(13386),
    [anon_sym_function] = ACTIONS(13386),
    [anon_sym_macro] = ACTIONS(13386),
    [anon_sym_where] = ACTIONS(13386),
    [anon_sym_quote] = ACTIONS(13386),
    [anon_sym_let] = ACTIONS(13386),
    [anon_sym_if] = ACTIONS(13386),
    [anon_sym_elseif] = ACTIONS(13386),
    [anon_sym_else] = ACTIONS(13386),
    [anon_sym_try] = ACTIONS(13386),
    [anon_sym_for] = ACTIONS(13386),
    [anon_sym_while] = ACTIONS(13386),
    [sym_break_statement] = ACTIONS(13386),
    [sym_continue_statement] = ACTIONS(13386),
    [anon_sym_return] = ACTIONS(13386),
    [anon_sym_const] = ACTIONS(13386),
    [anon_sym_global] = ACTIONS(13386),
    [anon_sym_local] = ACTIONS(13386),
    [anon_sym_LPAREN] = ACTIONS(13386),
    [anon_sym_COLON2] = ACTIONS(13386),
    [anon_sym_export] = ACTIONS(13386),
    [anon_sym_import] = ACTIONS(13386),
    [anon_sym_using] = ACTIONS(13386),
    [anon_sym_LBRACK] = ACTIONS(13386),
    [anon_sym_LF] = ACTIONS(13388),
    [anon_sym_in] = ACTIONS(13386),
    [anon_sym_LBRACE] = ACTIONS(13386),
    [anon_sym_DOLLAR] = ACTIONS(13386),
    [anon_sym_COLON_COLON] = ACTIONS(13386),
    [anon_sym_isa] = ACTIONS(13386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13386),
    [anon_sym_QMARK] = ACTIONS(13386),
    [anon_sym_AT] = ACTIONS(13386),
    [anon_sym_true] = ACTIONS(13386),
    [anon_sym_false] = ACTIONS(13386),
    [aux_sym_integer_literal_token1] = ACTIONS(13386),
    [aux_sym_integer_literal_token2] = ACTIONS(13386),
    [aux_sym_integer_literal_token3] = ACTIONS(13386),
    [aux_sym_integer_literal_token4] = ACTIONS(13386),
    [aux_sym_float_literal_token1] = ACTIONS(13386),
    [aux_sym_float_literal_token3] = ACTIONS(13386),
    [aux_sym_float_literal_token4] = ACTIONS(13386),
    [sym_character_literal] = ACTIONS(13386),
    [sym__pair_operator] = ACTIONS(13386),
    [sym__arrow_operator] = ACTIONS(13386),
    [sym__lazy_or_operator] = ACTIONS(13386),
    [sym__lazy_and_operator] = ACTIONS(13386),
    [sym__comparison_operator] = ACTIONS(13386),
    [sym__pipe_right_operator] = ACTIONS(13386),
    [sym__pipe_left_operator] = ACTIONS(13386),
    [sym__ellipsis_operator] = ACTIONS(13386),
    [sym__plus_operator] = ACTIONS(13386),
    [sym__times_operator] = ACTIONS(13386),
    [sym__rational_operator] = ACTIONS(13386),
    [sym__bitshift_operator] = ACTIONS(13386),
    [sym__power_operator] = ACTIONS(13386),
    [sym__tilde_operator] = ACTIONS(13386),
    [sym__type_order_operator] = ACTIONS(13386),
    [sym__unary_operator] = ACTIONS(13386),
    [sym__unary_plus_operator] = ACTIONS(13386),
    [aux_sym__terminator_token1] = ACTIONS(13386),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13388),
    [sym__command_start] = ACTIONS(13388),
  },
  [7340] = {
    [sym__word_identifier] = ACTIONS(13408),
    [anon_sym_EQ] = ACTIONS(13408),
    [anon_sym_COMMA] = ACTIONS(13408),
    [anon_sym_COLON] = ACTIONS(13408),
    [anon_sym_begin] = ACTIONS(13408),
    [anon_sym_module] = ACTIONS(13408),
    [anon_sym_baremodule] = ACTIONS(13408),
    [anon_sym_end] = ACTIONS(13408),
    [anon_sym_abstract] = ACTIONS(13408),
    [anon_sym_primitive] = ACTIONS(13408),
    [anon_sym_mutable] = ACTIONS(13408),
    [anon_sym_struct] = ACTIONS(13408),
    [anon_sym_function] = ACTIONS(13408),
    [anon_sym_macro] = ACTIONS(13408),
    [anon_sym_where] = ACTIONS(13408),
    [anon_sym_quote] = ACTIONS(13408),
    [anon_sym_let] = ACTIONS(13408),
    [anon_sym_if] = ACTIONS(13408),
    [anon_sym_elseif] = ACTIONS(13408),
    [anon_sym_else] = ACTIONS(13408),
    [anon_sym_try] = ACTIONS(13408),
    [anon_sym_for] = ACTIONS(13408),
    [anon_sym_while] = ACTIONS(13408),
    [sym_break_statement] = ACTIONS(13408),
    [sym_continue_statement] = ACTIONS(13408),
    [anon_sym_return] = ACTIONS(13408),
    [anon_sym_const] = ACTIONS(13408),
    [anon_sym_global] = ACTIONS(13408),
    [anon_sym_local] = ACTIONS(13408),
    [anon_sym_LPAREN] = ACTIONS(13408),
    [anon_sym_COLON2] = ACTIONS(13408),
    [anon_sym_export] = ACTIONS(13408),
    [anon_sym_import] = ACTIONS(13408),
    [anon_sym_using] = ACTIONS(13408),
    [anon_sym_LBRACK] = ACTIONS(13408),
    [anon_sym_LF] = ACTIONS(13410),
    [anon_sym_in] = ACTIONS(13408),
    [anon_sym_LBRACE] = ACTIONS(13408),
    [anon_sym_DOLLAR] = ACTIONS(13408),
    [anon_sym_COLON_COLON] = ACTIONS(13408),
    [anon_sym_isa] = ACTIONS(13408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13408),
    [anon_sym_QMARK] = ACTIONS(13408),
    [anon_sym_AT] = ACTIONS(13408),
    [anon_sym_true] = ACTIONS(13408),
    [anon_sym_false] = ACTIONS(13408),
    [aux_sym_integer_literal_token1] = ACTIONS(13408),
    [aux_sym_integer_literal_token2] = ACTIONS(13408),
    [aux_sym_integer_literal_token3] = ACTIONS(13408),
    [aux_sym_integer_literal_token4] = ACTIONS(13408),
    [aux_sym_float_literal_token1] = ACTIONS(13408),
    [aux_sym_float_literal_token3] = ACTIONS(13408),
    [aux_sym_float_literal_token4] = ACTIONS(13408),
    [sym_character_literal] = ACTIONS(13408),
    [sym__pair_operator] = ACTIONS(13408),
    [sym__arrow_operator] = ACTIONS(13408),
    [sym__lazy_or_operator] = ACTIONS(13408),
    [sym__lazy_and_operator] = ACTIONS(13408),
    [sym__comparison_operator] = ACTIONS(13408),
    [sym__pipe_right_operator] = ACTIONS(13408),
    [sym__pipe_left_operator] = ACTIONS(13408),
    [sym__ellipsis_operator] = ACTIONS(13408),
    [sym__plus_operator] = ACTIONS(13408),
    [sym__times_operator] = ACTIONS(13408),
    [sym__rational_operator] = ACTIONS(13408),
    [sym__bitshift_operator] = ACTIONS(13408),
    [sym__power_operator] = ACTIONS(13408),
    [sym__tilde_operator] = ACTIONS(13408),
    [sym__type_order_operator] = ACTIONS(13408),
    [sym__unary_operator] = ACTIONS(13408),
    [sym__unary_plus_operator] = ACTIONS(13408),
    [aux_sym__terminator_token1] = ACTIONS(13408),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13410),
    [sym__command_start] = ACTIONS(13410),
  },
  [7341] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7342] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_catch] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [7343] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_catch] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [7344] = {
    [ts_builtin_sym_end] = ACTIONS(13472),
    [sym__word_identifier] = ACTIONS(13474),
    [anon_sym_EQ] = ACTIONS(13474),
    [anon_sym_COMMA] = ACTIONS(13474),
    [anon_sym_COLON] = ACTIONS(13474),
    [anon_sym_begin] = ACTIONS(13474),
    [anon_sym_module] = ACTIONS(13474),
    [anon_sym_baremodule] = ACTIONS(13474),
    [anon_sym_abstract] = ACTIONS(13474),
    [anon_sym_primitive] = ACTIONS(13474),
    [anon_sym_mutable] = ACTIONS(13474),
    [anon_sym_struct] = ACTIONS(13474),
    [anon_sym_function] = ACTIONS(13474),
    [anon_sym_macro] = ACTIONS(13474),
    [anon_sym_where] = ACTIONS(13474),
    [anon_sym_quote] = ACTIONS(13474),
    [anon_sym_let] = ACTIONS(13474),
    [anon_sym_if] = ACTIONS(13474),
    [anon_sym_try] = ACTIONS(13474),
    [anon_sym_for] = ACTIONS(13474),
    [anon_sym_while] = ACTIONS(13474),
    [sym_break_statement] = ACTIONS(13474),
    [sym_continue_statement] = ACTIONS(13474),
    [anon_sym_return] = ACTIONS(13474),
    [anon_sym_const] = ACTIONS(13474),
    [anon_sym_global] = ACTIONS(13474),
    [anon_sym_local] = ACTIONS(13474),
    [anon_sym_LPAREN] = ACTIONS(13474),
    [anon_sym_RPAREN] = ACTIONS(13474),
    [anon_sym_COLON2] = ACTIONS(13474),
    [anon_sym_export] = ACTIONS(13474),
    [anon_sym_import] = ACTIONS(13474),
    [anon_sym_using] = ACTIONS(13474),
    [anon_sym_LBRACK] = ACTIONS(13474),
    [anon_sym_RBRACK] = ACTIONS(13474),
    [anon_sym_LF] = ACTIONS(13472),
    [anon_sym_in] = ACTIONS(13474),
    [anon_sym_LBRACE] = ACTIONS(13474),
    [anon_sym_DOLLAR] = ACTIONS(13474),
    [anon_sym_COLON_COLON] = ACTIONS(13474),
    [anon_sym_isa] = ACTIONS(13474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13474),
    [anon_sym_AT] = ACTIONS(13474),
    [anon_sym_true] = ACTIONS(13474),
    [anon_sym_false] = ACTIONS(13474),
    [aux_sym_integer_literal_token1] = ACTIONS(13474),
    [aux_sym_integer_literal_token2] = ACTIONS(13474),
    [aux_sym_integer_literal_token3] = ACTIONS(13474),
    [aux_sym_integer_literal_token4] = ACTIONS(13474),
    [aux_sym_float_literal_token1] = ACTIONS(13474),
    [aux_sym_float_literal_token3] = ACTIONS(13474),
    [aux_sym_float_literal_token4] = ACTIONS(13474),
    [sym_character_literal] = ACTIONS(13474),
    [sym__pair_operator] = ACTIONS(13474),
    [sym__arrow_operator] = ACTIONS(13474),
    [sym__lazy_or_operator] = ACTIONS(13474),
    [sym__lazy_and_operator] = ACTIONS(13474),
    [sym__comparison_operator] = ACTIONS(13474),
    [sym__pipe_right_operator] = ACTIONS(13474),
    [sym__pipe_left_operator] = ACTIONS(13474),
    [sym__ellipsis_operator] = ACTIONS(13474),
    [sym__plus_operator] = ACTIONS(13474),
    [sym__times_operator] = ACTIONS(13474),
    [sym__rational_operator] = ACTIONS(13474),
    [sym__bitshift_operator] = ACTIONS(13474),
    [sym__power_operator] = ACTIONS(13474),
    [sym__tilde_operator] = ACTIONS(13474),
    [sym__type_order_operator] = ACTIONS(13474),
    [sym__unary_operator] = ACTIONS(13474),
    [sym__unary_plus_operator] = ACTIONS(13474),
    [aux_sym__terminator_token1] = ACTIONS(13474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13472),
    [sym__command_start] = ACTIONS(13472),
  },
  [7345] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_finally] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [7346] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_catch] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [7347] = {
    [ts_builtin_sym_end] = ACTIONS(13476),
    [sym__word_identifier] = ACTIONS(13478),
    [anon_sym_EQ] = ACTIONS(13478),
    [anon_sym_COMMA] = ACTIONS(13478),
    [anon_sym_COLON] = ACTIONS(13478),
    [anon_sym_begin] = ACTIONS(13478),
    [anon_sym_module] = ACTIONS(13478),
    [anon_sym_baremodule] = ACTIONS(13478),
    [anon_sym_abstract] = ACTIONS(13478),
    [anon_sym_primitive] = ACTIONS(13478),
    [anon_sym_mutable] = ACTIONS(13478),
    [anon_sym_struct] = ACTIONS(13478),
    [anon_sym_function] = ACTIONS(13478),
    [anon_sym_macro] = ACTIONS(13478),
    [anon_sym_where] = ACTIONS(13478),
    [anon_sym_quote] = ACTIONS(13478),
    [anon_sym_let] = ACTIONS(13478),
    [anon_sym_if] = ACTIONS(13478),
    [anon_sym_try] = ACTIONS(13478),
    [anon_sym_for] = ACTIONS(13478),
    [anon_sym_while] = ACTIONS(13478),
    [sym_break_statement] = ACTIONS(13478),
    [sym_continue_statement] = ACTIONS(13478),
    [anon_sym_return] = ACTIONS(13478),
    [anon_sym_const] = ACTIONS(13478),
    [anon_sym_global] = ACTIONS(13478),
    [anon_sym_local] = ACTIONS(13478),
    [anon_sym_LPAREN] = ACTIONS(13478),
    [anon_sym_RPAREN] = ACTIONS(13478),
    [anon_sym_COLON2] = ACTIONS(13478),
    [anon_sym_export] = ACTIONS(13478),
    [anon_sym_import] = ACTIONS(13478),
    [anon_sym_using] = ACTIONS(13478),
    [anon_sym_LBRACK] = ACTIONS(13478),
    [anon_sym_RBRACK] = ACTIONS(13478),
    [anon_sym_LF] = ACTIONS(13476),
    [anon_sym_in] = ACTIONS(13478),
    [anon_sym_LBRACE] = ACTIONS(13478),
    [anon_sym_DOLLAR] = ACTIONS(13478),
    [anon_sym_COLON_COLON] = ACTIONS(13478),
    [anon_sym_isa] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13478),
    [anon_sym_QMARK] = ACTIONS(13478),
    [anon_sym_AT] = ACTIONS(13478),
    [anon_sym_true] = ACTIONS(13478),
    [anon_sym_false] = ACTIONS(13478),
    [aux_sym_integer_literal_token1] = ACTIONS(13478),
    [aux_sym_integer_literal_token2] = ACTIONS(13478),
    [aux_sym_integer_literal_token3] = ACTIONS(13478),
    [aux_sym_integer_literal_token4] = ACTIONS(13478),
    [aux_sym_float_literal_token1] = ACTIONS(13478),
    [aux_sym_float_literal_token3] = ACTIONS(13478),
    [aux_sym_float_literal_token4] = ACTIONS(13478),
    [sym_character_literal] = ACTIONS(13478),
    [sym__pair_operator] = ACTIONS(13478),
    [sym__arrow_operator] = ACTIONS(13478),
    [sym__lazy_or_operator] = ACTIONS(13478),
    [sym__lazy_and_operator] = ACTIONS(13478),
    [sym__comparison_operator] = ACTIONS(13478),
    [sym__pipe_right_operator] = ACTIONS(13478),
    [sym__pipe_left_operator] = ACTIONS(13478),
    [sym__ellipsis_operator] = ACTIONS(13478),
    [sym__plus_operator] = ACTIONS(13478),
    [sym__times_operator] = ACTIONS(13478),
    [sym__rational_operator] = ACTIONS(13478),
    [sym__bitshift_operator] = ACTIONS(13478),
    [sym__power_operator] = ACTIONS(13478),
    [sym__tilde_operator] = ACTIONS(13478),
    [sym__type_order_operator] = ACTIONS(13478),
    [sym__unary_operator] = ACTIONS(13478),
    [sym__unary_plus_operator] = ACTIONS(13478),
    [aux_sym__terminator_token1] = ACTIONS(13478),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13476),
    [sym__command_start] = ACTIONS(13476),
  },
  [7348] = {
    [sym__word_identifier] = ACTIONS(13412),
    [anon_sym_EQ] = ACTIONS(13412),
    [anon_sym_COMMA] = ACTIONS(13412),
    [anon_sym_COLON] = ACTIONS(13412),
    [anon_sym_begin] = ACTIONS(13412),
    [anon_sym_module] = ACTIONS(13412),
    [anon_sym_baremodule] = ACTIONS(13412),
    [anon_sym_end] = ACTIONS(13412),
    [anon_sym_abstract] = ACTIONS(13412),
    [anon_sym_primitive] = ACTIONS(13412),
    [anon_sym_mutable] = ACTIONS(13412),
    [anon_sym_struct] = ACTIONS(13412),
    [anon_sym_function] = ACTIONS(13412),
    [anon_sym_macro] = ACTIONS(13412),
    [anon_sym_where] = ACTIONS(13412),
    [anon_sym_quote] = ACTIONS(13412),
    [anon_sym_let] = ACTIONS(13412),
    [anon_sym_if] = ACTIONS(13412),
    [anon_sym_elseif] = ACTIONS(13412),
    [anon_sym_else] = ACTIONS(13412),
    [anon_sym_try] = ACTIONS(13412),
    [anon_sym_for] = ACTIONS(13412),
    [anon_sym_while] = ACTIONS(13412),
    [sym_break_statement] = ACTIONS(13412),
    [sym_continue_statement] = ACTIONS(13412),
    [anon_sym_return] = ACTIONS(13412),
    [anon_sym_const] = ACTIONS(13412),
    [anon_sym_global] = ACTIONS(13412),
    [anon_sym_local] = ACTIONS(13412),
    [anon_sym_LPAREN] = ACTIONS(13412),
    [anon_sym_COLON2] = ACTIONS(13412),
    [anon_sym_export] = ACTIONS(13412),
    [anon_sym_import] = ACTIONS(13412),
    [anon_sym_using] = ACTIONS(13412),
    [anon_sym_LBRACK] = ACTIONS(13412),
    [anon_sym_LF] = ACTIONS(13414),
    [anon_sym_in] = ACTIONS(13412),
    [anon_sym_LBRACE] = ACTIONS(13412),
    [anon_sym_DOLLAR] = ACTIONS(13412),
    [anon_sym_COLON_COLON] = ACTIONS(13412),
    [anon_sym_isa] = ACTIONS(13412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13412),
    [anon_sym_QMARK] = ACTIONS(13412),
    [anon_sym_AT] = ACTIONS(13412),
    [anon_sym_true] = ACTIONS(13412),
    [anon_sym_false] = ACTIONS(13412),
    [aux_sym_integer_literal_token1] = ACTIONS(13412),
    [aux_sym_integer_literal_token2] = ACTIONS(13412),
    [aux_sym_integer_literal_token3] = ACTIONS(13412),
    [aux_sym_integer_literal_token4] = ACTIONS(13412),
    [aux_sym_float_literal_token1] = ACTIONS(13412),
    [aux_sym_float_literal_token3] = ACTIONS(13412),
    [aux_sym_float_literal_token4] = ACTIONS(13412),
    [sym_character_literal] = ACTIONS(13412),
    [sym__pair_operator] = ACTIONS(13412),
    [sym__arrow_operator] = ACTIONS(13412),
    [sym__lazy_or_operator] = ACTIONS(13412),
    [sym__lazy_and_operator] = ACTIONS(13412),
    [sym__comparison_operator] = ACTIONS(13412),
    [sym__pipe_right_operator] = ACTIONS(13412),
    [sym__pipe_left_operator] = ACTIONS(13412),
    [sym__ellipsis_operator] = ACTIONS(13412),
    [sym__plus_operator] = ACTIONS(13412),
    [sym__times_operator] = ACTIONS(13412),
    [sym__rational_operator] = ACTIONS(13412),
    [sym__bitshift_operator] = ACTIONS(13412),
    [sym__power_operator] = ACTIONS(13412),
    [sym__tilde_operator] = ACTIONS(13412),
    [sym__type_order_operator] = ACTIONS(13412),
    [sym__unary_operator] = ACTIONS(13412),
    [sym__unary_plus_operator] = ACTIONS(13412),
    [aux_sym__terminator_token1] = ACTIONS(13412),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13414),
    [sym__command_start] = ACTIONS(13414),
  },
  [7349] = {
    [sym__word_identifier] = ACTIONS(13480),
    [anon_sym_EQ] = ACTIONS(13480),
    [anon_sym_COMMA] = ACTIONS(13480),
    [anon_sym_COLON] = ACTIONS(13480),
    [anon_sym_begin] = ACTIONS(13480),
    [anon_sym_module] = ACTIONS(13480),
    [anon_sym_baremodule] = ACTIONS(13480),
    [anon_sym_end] = ACTIONS(13480),
    [anon_sym_abstract] = ACTIONS(13480),
    [anon_sym_primitive] = ACTIONS(13480),
    [anon_sym_mutable] = ACTIONS(13480),
    [anon_sym_struct] = ACTIONS(13480),
    [anon_sym_function] = ACTIONS(13480),
    [anon_sym_macro] = ACTIONS(13480),
    [anon_sym_where] = ACTIONS(13480),
    [anon_sym_quote] = ACTIONS(13480),
    [anon_sym_let] = ACTIONS(13480),
    [anon_sym_if] = ACTIONS(13480),
    [anon_sym_else] = ACTIONS(13480),
    [anon_sym_try] = ACTIONS(13480),
    [anon_sym_finally] = ACTIONS(13480),
    [anon_sym_for] = ACTIONS(13480),
    [anon_sym_while] = ACTIONS(13480),
    [sym_break_statement] = ACTIONS(13480),
    [sym_continue_statement] = ACTIONS(13480),
    [anon_sym_return] = ACTIONS(13480),
    [anon_sym_const] = ACTIONS(13480),
    [anon_sym_global] = ACTIONS(13480),
    [anon_sym_local] = ACTIONS(13480),
    [anon_sym_LPAREN] = ACTIONS(13480),
    [anon_sym_COLON2] = ACTIONS(13480),
    [anon_sym_export] = ACTIONS(13480),
    [anon_sym_import] = ACTIONS(13480),
    [anon_sym_using] = ACTIONS(13480),
    [anon_sym_LBRACK] = ACTIONS(13480),
    [anon_sym_LF] = ACTIONS(13482),
    [anon_sym_in] = ACTIONS(13480),
    [anon_sym_LBRACE] = ACTIONS(13480),
    [anon_sym_DOLLAR] = ACTIONS(13480),
    [anon_sym_COLON_COLON] = ACTIONS(13480),
    [anon_sym_isa] = ACTIONS(13480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_QMARK] = ACTIONS(13480),
    [anon_sym_AT] = ACTIONS(13480),
    [anon_sym_true] = ACTIONS(13480),
    [anon_sym_false] = ACTIONS(13480),
    [aux_sym_integer_literal_token1] = ACTIONS(13480),
    [aux_sym_integer_literal_token2] = ACTIONS(13480),
    [aux_sym_integer_literal_token3] = ACTIONS(13480),
    [aux_sym_integer_literal_token4] = ACTIONS(13480),
    [aux_sym_float_literal_token1] = ACTIONS(13480),
    [aux_sym_float_literal_token3] = ACTIONS(13480),
    [aux_sym_float_literal_token4] = ACTIONS(13480),
    [sym_character_literal] = ACTIONS(13480),
    [sym__pair_operator] = ACTIONS(13480),
    [sym__arrow_operator] = ACTIONS(13480),
    [sym__lazy_or_operator] = ACTIONS(13480),
    [sym__lazy_and_operator] = ACTIONS(13480),
    [sym__comparison_operator] = ACTIONS(13480),
    [sym__pipe_right_operator] = ACTIONS(13480),
    [sym__pipe_left_operator] = ACTIONS(13480),
    [sym__ellipsis_operator] = ACTIONS(13480),
    [sym__plus_operator] = ACTIONS(13480),
    [sym__times_operator] = ACTIONS(13480),
    [sym__rational_operator] = ACTIONS(13480),
    [sym__bitshift_operator] = ACTIONS(13480),
    [sym__power_operator] = ACTIONS(13480),
    [sym__tilde_operator] = ACTIONS(13480),
    [sym__type_order_operator] = ACTIONS(13480),
    [sym__unary_operator] = ACTIONS(13480),
    [sym__unary_plus_operator] = ACTIONS(13480),
    [aux_sym__terminator_token1] = ACTIONS(13480),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13482),
    [sym__command_start] = ACTIONS(13482),
  },
  [7350] = {
    [sym__word_identifier] = ACTIONS(13484),
    [anon_sym_EQ] = ACTIONS(13484),
    [anon_sym_COMMA] = ACTIONS(13484),
    [anon_sym_COLON] = ACTIONS(13484),
    [anon_sym_begin] = ACTIONS(13484),
    [anon_sym_module] = ACTIONS(13484),
    [anon_sym_baremodule] = ACTIONS(13484),
    [anon_sym_end] = ACTIONS(13484),
    [anon_sym_abstract] = ACTIONS(13484),
    [anon_sym_primitive] = ACTIONS(13484),
    [anon_sym_mutable] = ACTIONS(13484),
    [anon_sym_struct] = ACTIONS(13484),
    [anon_sym_function] = ACTIONS(13484),
    [anon_sym_macro] = ACTIONS(13484),
    [anon_sym_where] = ACTIONS(13484),
    [anon_sym_quote] = ACTIONS(13484),
    [anon_sym_let] = ACTIONS(13484),
    [anon_sym_if] = ACTIONS(13484),
    [anon_sym_else] = ACTIONS(13484),
    [anon_sym_try] = ACTIONS(13484),
    [anon_sym_finally] = ACTIONS(13484),
    [anon_sym_for] = ACTIONS(13484),
    [anon_sym_while] = ACTIONS(13484),
    [sym_break_statement] = ACTIONS(13484),
    [sym_continue_statement] = ACTIONS(13484),
    [anon_sym_return] = ACTIONS(13484),
    [anon_sym_const] = ACTIONS(13484),
    [anon_sym_global] = ACTIONS(13484),
    [anon_sym_local] = ACTIONS(13484),
    [anon_sym_LPAREN] = ACTIONS(13484),
    [anon_sym_COLON2] = ACTIONS(13484),
    [anon_sym_export] = ACTIONS(13484),
    [anon_sym_import] = ACTIONS(13484),
    [anon_sym_using] = ACTIONS(13484),
    [anon_sym_LBRACK] = ACTIONS(13484),
    [anon_sym_LF] = ACTIONS(13486),
    [anon_sym_in] = ACTIONS(13484),
    [anon_sym_LBRACE] = ACTIONS(13484),
    [anon_sym_DOLLAR] = ACTIONS(13484),
    [anon_sym_COLON_COLON] = ACTIONS(13484),
    [anon_sym_isa] = ACTIONS(13484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13484),
    [anon_sym_QMARK] = ACTIONS(13484),
    [anon_sym_AT] = ACTIONS(13484),
    [anon_sym_true] = ACTIONS(13484),
    [anon_sym_false] = ACTIONS(13484),
    [aux_sym_integer_literal_token1] = ACTIONS(13484),
    [aux_sym_integer_literal_token2] = ACTIONS(13484),
    [aux_sym_integer_literal_token3] = ACTIONS(13484),
    [aux_sym_integer_literal_token4] = ACTIONS(13484),
    [aux_sym_float_literal_token1] = ACTIONS(13484),
    [aux_sym_float_literal_token3] = ACTIONS(13484),
    [aux_sym_float_literal_token4] = ACTIONS(13484),
    [sym_character_literal] = ACTIONS(13484),
    [sym__pair_operator] = ACTIONS(13484),
    [sym__arrow_operator] = ACTIONS(13484),
    [sym__lazy_or_operator] = ACTIONS(13484),
    [sym__lazy_and_operator] = ACTIONS(13484),
    [sym__comparison_operator] = ACTIONS(13484),
    [sym__pipe_right_operator] = ACTIONS(13484),
    [sym__pipe_left_operator] = ACTIONS(13484),
    [sym__ellipsis_operator] = ACTIONS(13484),
    [sym__plus_operator] = ACTIONS(13484),
    [sym__times_operator] = ACTIONS(13484),
    [sym__rational_operator] = ACTIONS(13484),
    [sym__bitshift_operator] = ACTIONS(13484),
    [sym__power_operator] = ACTIONS(13484),
    [sym__tilde_operator] = ACTIONS(13484),
    [sym__type_order_operator] = ACTIONS(13484),
    [sym__unary_operator] = ACTIONS(13484),
    [sym__unary_plus_operator] = ACTIONS(13484),
    [aux_sym__terminator_token1] = ACTIONS(13484),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13486),
    [sym__command_start] = ACTIONS(13486),
  },
  [7351] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_catch] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [7352] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_catch] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [7353] = {
    [sym__comprehension_clause] = STATE(19260),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16776),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13488),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13490),
    [anon_sym_LF] = ACTIONS(13492),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13495),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7354] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_catch] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [7355] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_catch] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [7356] = {
    [ts_builtin_sym_end] = ACTIONS(13498),
    [sym__word_identifier] = ACTIONS(13500),
    [anon_sym_EQ] = ACTIONS(13500),
    [anon_sym_COMMA] = ACTIONS(13500),
    [anon_sym_COLON] = ACTIONS(13500),
    [anon_sym_begin] = ACTIONS(13500),
    [anon_sym_module] = ACTIONS(13500),
    [anon_sym_baremodule] = ACTIONS(13500),
    [anon_sym_abstract] = ACTIONS(13500),
    [anon_sym_primitive] = ACTIONS(13500),
    [anon_sym_mutable] = ACTIONS(13500),
    [anon_sym_struct] = ACTIONS(13500),
    [anon_sym_function] = ACTIONS(13500),
    [anon_sym_macro] = ACTIONS(13500),
    [anon_sym_where] = ACTIONS(13500),
    [anon_sym_quote] = ACTIONS(13500),
    [anon_sym_let] = ACTIONS(13500),
    [anon_sym_if] = ACTIONS(13500),
    [anon_sym_try] = ACTIONS(13500),
    [anon_sym_for] = ACTIONS(13500),
    [anon_sym_while] = ACTIONS(13500),
    [sym_break_statement] = ACTIONS(13500),
    [sym_continue_statement] = ACTIONS(13500),
    [anon_sym_return] = ACTIONS(13500),
    [anon_sym_const] = ACTIONS(13500),
    [anon_sym_global] = ACTIONS(13500),
    [anon_sym_local] = ACTIONS(13500),
    [anon_sym_LPAREN] = ACTIONS(13500),
    [anon_sym_RPAREN] = ACTIONS(13500),
    [anon_sym_COLON2] = ACTIONS(13500),
    [anon_sym_export] = ACTIONS(13500),
    [anon_sym_import] = ACTIONS(13500),
    [anon_sym_using] = ACTIONS(13500),
    [anon_sym_LBRACK] = ACTIONS(13500),
    [anon_sym_RBRACK] = ACTIONS(13500),
    [anon_sym_LF] = ACTIONS(13498),
    [anon_sym_in] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(13500),
    [anon_sym_DOLLAR] = ACTIONS(13500),
    [anon_sym_COLON_COLON] = ACTIONS(13500),
    [anon_sym_isa] = ACTIONS(13500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13500),
    [anon_sym_QMARK] = ACTIONS(13500),
    [anon_sym_AT] = ACTIONS(13500),
    [anon_sym_true] = ACTIONS(13500),
    [anon_sym_false] = ACTIONS(13500),
    [aux_sym_integer_literal_token1] = ACTIONS(13500),
    [aux_sym_integer_literal_token2] = ACTIONS(13500),
    [aux_sym_integer_literal_token3] = ACTIONS(13500),
    [aux_sym_integer_literal_token4] = ACTIONS(13500),
    [aux_sym_float_literal_token1] = ACTIONS(13500),
    [aux_sym_float_literal_token3] = ACTIONS(13500),
    [aux_sym_float_literal_token4] = ACTIONS(13500),
    [sym_character_literal] = ACTIONS(13500),
    [sym__pair_operator] = ACTIONS(13500),
    [sym__arrow_operator] = ACTIONS(13500),
    [sym__lazy_or_operator] = ACTIONS(13500),
    [sym__lazy_and_operator] = ACTIONS(13500),
    [sym__comparison_operator] = ACTIONS(13500),
    [sym__pipe_right_operator] = ACTIONS(13500),
    [sym__pipe_left_operator] = ACTIONS(13500),
    [sym__ellipsis_operator] = ACTIONS(13500),
    [sym__plus_operator] = ACTIONS(13500),
    [sym__times_operator] = ACTIONS(13500),
    [sym__rational_operator] = ACTIONS(13500),
    [sym__bitshift_operator] = ACTIONS(13500),
    [sym__power_operator] = ACTIONS(13500),
    [sym__tilde_operator] = ACTIONS(13500),
    [sym__type_order_operator] = ACTIONS(13500),
    [sym__unary_operator] = ACTIONS(13500),
    [sym__unary_plus_operator] = ACTIONS(13500),
    [aux_sym__terminator_token1] = ACTIONS(13500),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13498),
    [sym__command_start] = ACTIONS(13498),
  },
  [7357] = {
    [ts_builtin_sym_end] = ACTIONS(13502),
    [sym__word_identifier] = ACTIONS(13504),
    [anon_sym_EQ] = ACTIONS(13504),
    [anon_sym_COMMA] = ACTIONS(13504),
    [anon_sym_COLON] = ACTIONS(13504),
    [anon_sym_begin] = ACTIONS(13504),
    [anon_sym_module] = ACTIONS(13504),
    [anon_sym_baremodule] = ACTIONS(13504),
    [anon_sym_abstract] = ACTIONS(13504),
    [anon_sym_primitive] = ACTIONS(13504),
    [anon_sym_mutable] = ACTIONS(13504),
    [anon_sym_struct] = ACTIONS(13504),
    [anon_sym_function] = ACTIONS(13504),
    [anon_sym_macro] = ACTIONS(13504),
    [anon_sym_where] = ACTIONS(13504),
    [anon_sym_quote] = ACTIONS(13504),
    [anon_sym_let] = ACTIONS(13504),
    [anon_sym_if] = ACTIONS(13504),
    [anon_sym_try] = ACTIONS(13504),
    [anon_sym_for] = ACTIONS(13504),
    [anon_sym_while] = ACTIONS(13504),
    [sym_break_statement] = ACTIONS(13504),
    [sym_continue_statement] = ACTIONS(13504),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_const] = ACTIONS(13504),
    [anon_sym_global] = ACTIONS(13504),
    [anon_sym_local] = ACTIONS(13504),
    [anon_sym_LPAREN] = ACTIONS(13504),
    [anon_sym_RPAREN] = ACTIONS(13504),
    [anon_sym_COLON2] = ACTIONS(13504),
    [anon_sym_export] = ACTIONS(13504),
    [anon_sym_import] = ACTIONS(13504),
    [anon_sym_using] = ACTIONS(13504),
    [anon_sym_LBRACK] = ACTIONS(13504),
    [anon_sym_RBRACK] = ACTIONS(13504),
    [anon_sym_LF] = ACTIONS(13502),
    [anon_sym_in] = ACTIONS(13504),
    [anon_sym_LBRACE] = ACTIONS(13504),
    [anon_sym_DOLLAR] = ACTIONS(13504),
    [anon_sym_COLON_COLON] = ACTIONS(13504),
    [anon_sym_isa] = ACTIONS(13504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13504),
    [anon_sym_QMARK] = ACTIONS(13504),
    [anon_sym_AT] = ACTIONS(13504),
    [anon_sym_true] = ACTIONS(13504),
    [anon_sym_false] = ACTIONS(13504),
    [aux_sym_integer_literal_token1] = ACTIONS(13504),
    [aux_sym_integer_literal_token2] = ACTIONS(13504),
    [aux_sym_integer_literal_token3] = ACTIONS(13504),
    [aux_sym_integer_literal_token4] = ACTIONS(13504),
    [aux_sym_float_literal_token1] = ACTIONS(13504),
    [aux_sym_float_literal_token3] = ACTIONS(13504),
    [aux_sym_float_literal_token4] = ACTIONS(13504),
    [sym_character_literal] = ACTIONS(13504),
    [sym__pair_operator] = ACTIONS(13504),
    [sym__arrow_operator] = ACTIONS(13504),
    [sym__lazy_or_operator] = ACTIONS(13504),
    [sym__lazy_and_operator] = ACTIONS(13504),
    [sym__comparison_operator] = ACTIONS(13504),
    [sym__pipe_right_operator] = ACTIONS(13504),
    [sym__pipe_left_operator] = ACTIONS(13504),
    [sym__ellipsis_operator] = ACTIONS(13504),
    [sym__plus_operator] = ACTIONS(13504),
    [sym__times_operator] = ACTIONS(13504),
    [sym__rational_operator] = ACTIONS(13504),
    [sym__bitshift_operator] = ACTIONS(13504),
    [sym__power_operator] = ACTIONS(13504),
    [sym__tilde_operator] = ACTIONS(13504),
    [sym__type_order_operator] = ACTIONS(13504),
    [sym__unary_operator] = ACTIONS(13504),
    [sym__unary_plus_operator] = ACTIONS(13504),
    [aux_sym__terminator_token1] = ACTIONS(13504),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13502),
    [sym__command_start] = ACTIONS(13502),
  },
  [7358] = {
    [sym__word_identifier] = ACTIONS(13480),
    [anon_sym_EQ] = ACTIONS(13480),
    [anon_sym_COMMA] = ACTIONS(13480),
    [anon_sym_COLON] = ACTIONS(13480),
    [anon_sym_begin] = ACTIONS(13480),
    [anon_sym_module] = ACTIONS(13480),
    [anon_sym_baremodule] = ACTIONS(13480),
    [anon_sym_end] = ACTIONS(13480),
    [anon_sym_abstract] = ACTIONS(13480),
    [anon_sym_primitive] = ACTIONS(13480),
    [anon_sym_mutable] = ACTIONS(13480),
    [anon_sym_struct] = ACTIONS(13480),
    [anon_sym_function] = ACTIONS(13480),
    [anon_sym_macro] = ACTIONS(13480),
    [anon_sym_where] = ACTIONS(13480),
    [anon_sym_quote] = ACTIONS(13480),
    [anon_sym_let] = ACTIONS(13480),
    [anon_sym_if] = ACTIONS(13480),
    [anon_sym_elseif] = ACTIONS(13480),
    [anon_sym_else] = ACTIONS(13480),
    [anon_sym_try] = ACTIONS(13480),
    [anon_sym_for] = ACTIONS(13480),
    [anon_sym_while] = ACTIONS(13480),
    [sym_break_statement] = ACTIONS(13480),
    [sym_continue_statement] = ACTIONS(13480),
    [anon_sym_return] = ACTIONS(13480),
    [anon_sym_const] = ACTIONS(13480),
    [anon_sym_global] = ACTIONS(13480),
    [anon_sym_local] = ACTIONS(13480),
    [anon_sym_LPAREN] = ACTIONS(13480),
    [anon_sym_COLON2] = ACTIONS(13480),
    [anon_sym_export] = ACTIONS(13480),
    [anon_sym_import] = ACTIONS(13480),
    [anon_sym_using] = ACTIONS(13480),
    [anon_sym_LBRACK] = ACTIONS(13480),
    [anon_sym_LF] = ACTIONS(13482),
    [anon_sym_in] = ACTIONS(13480),
    [anon_sym_LBRACE] = ACTIONS(13480),
    [anon_sym_DOLLAR] = ACTIONS(13480),
    [anon_sym_COLON_COLON] = ACTIONS(13480),
    [anon_sym_isa] = ACTIONS(13480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_QMARK] = ACTIONS(13480),
    [anon_sym_AT] = ACTIONS(13480),
    [anon_sym_true] = ACTIONS(13480),
    [anon_sym_false] = ACTIONS(13480),
    [aux_sym_integer_literal_token1] = ACTIONS(13480),
    [aux_sym_integer_literal_token2] = ACTIONS(13480),
    [aux_sym_integer_literal_token3] = ACTIONS(13480),
    [aux_sym_integer_literal_token4] = ACTIONS(13480),
    [aux_sym_float_literal_token1] = ACTIONS(13480),
    [aux_sym_float_literal_token3] = ACTIONS(13480),
    [aux_sym_float_literal_token4] = ACTIONS(13480),
    [sym_character_literal] = ACTIONS(13480),
    [sym__pair_operator] = ACTIONS(13480),
    [sym__arrow_operator] = ACTIONS(13480),
    [sym__lazy_or_operator] = ACTIONS(13480),
    [sym__lazy_and_operator] = ACTIONS(13480),
    [sym__comparison_operator] = ACTIONS(13480),
    [sym__pipe_right_operator] = ACTIONS(13480),
    [sym__pipe_left_operator] = ACTIONS(13480),
    [sym__ellipsis_operator] = ACTIONS(13480),
    [sym__plus_operator] = ACTIONS(13480),
    [sym__times_operator] = ACTIONS(13480),
    [sym__rational_operator] = ACTIONS(13480),
    [sym__bitshift_operator] = ACTIONS(13480),
    [sym__power_operator] = ACTIONS(13480),
    [sym__tilde_operator] = ACTIONS(13480),
    [sym__type_order_operator] = ACTIONS(13480),
    [sym__unary_operator] = ACTIONS(13480),
    [sym__unary_plus_operator] = ACTIONS(13480),
    [aux_sym__terminator_token1] = ACTIONS(13480),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13482),
    [sym__command_start] = ACTIONS(13482),
  },
  [7359] = {
    [sym__word_identifier] = ACTIONS(13484),
    [anon_sym_EQ] = ACTIONS(13484),
    [anon_sym_COMMA] = ACTIONS(13484),
    [anon_sym_COLON] = ACTIONS(13484),
    [anon_sym_begin] = ACTIONS(13484),
    [anon_sym_module] = ACTIONS(13484),
    [anon_sym_baremodule] = ACTIONS(13484),
    [anon_sym_end] = ACTIONS(13484),
    [anon_sym_abstract] = ACTIONS(13484),
    [anon_sym_primitive] = ACTIONS(13484),
    [anon_sym_mutable] = ACTIONS(13484),
    [anon_sym_struct] = ACTIONS(13484),
    [anon_sym_function] = ACTIONS(13484),
    [anon_sym_macro] = ACTIONS(13484),
    [anon_sym_where] = ACTIONS(13484),
    [anon_sym_quote] = ACTIONS(13484),
    [anon_sym_let] = ACTIONS(13484),
    [anon_sym_if] = ACTIONS(13484),
    [anon_sym_elseif] = ACTIONS(13484),
    [anon_sym_else] = ACTIONS(13484),
    [anon_sym_try] = ACTIONS(13484),
    [anon_sym_for] = ACTIONS(13484),
    [anon_sym_while] = ACTIONS(13484),
    [sym_break_statement] = ACTIONS(13484),
    [sym_continue_statement] = ACTIONS(13484),
    [anon_sym_return] = ACTIONS(13484),
    [anon_sym_const] = ACTIONS(13484),
    [anon_sym_global] = ACTIONS(13484),
    [anon_sym_local] = ACTIONS(13484),
    [anon_sym_LPAREN] = ACTIONS(13484),
    [anon_sym_COLON2] = ACTIONS(13484),
    [anon_sym_export] = ACTIONS(13484),
    [anon_sym_import] = ACTIONS(13484),
    [anon_sym_using] = ACTIONS(13484),
    [anon_sym_LBRACK] = ACTIONS(13484),
    [anon_sym_LF] = ACTIONS(13486),
    [anon_sym_in] = ACTIONS(13484),
    [anon_sym_LBRACE] = ACTIONS(13484),
    [anon_sym_DOLLAR] = ACTIONS(13484),
    [anon_sym_COLON_COLON] = ACTIONS(13484),
    [anon_sym_isa] = ACTIONS(13484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13484),
    [anon_sym_QMARK] = ACTIONS(13484),
    [anon_sym_AT] = ACTIONS(13484),
    [anon_sym_true] = ACTIONS(13484),
    [anon_sym_false] = ACTIONS(13484),
    [aux_sym_integer_literal_token1] = ACTIONS(13484),
    [aux_sym_integer_literal_token2] = ACTIONS(13484),
    [aux_sym_integer_literal_token3] = ACTIONS(13484),
    [aux_sym_integer_literal_token4] = ACTIONS(13484),
    [aux_sym_float_literal_token1] = ACTIONS(13484),
    [aux_sym_float_literal_token3] = ACTIONS(13484),
    [aux_sym_float_literal_token4] = ACTIONS(13484),
    [sym_character_literal] = ACTIONS(13484),
    [sym__pair_operator] = ACTIONS(13484),
    [sym__arrow_operator] = ACTIONS(13484),
    [sym__lazy_or_operator] = ACTIONS(13484),
    [sym__lazy_and_operator] = ACTIONS(13484),
    [sym__comparison_operator] = ACTIONS(13484),
    [sym__pipe_right_operator] = ACTIONS(13484),
    [sym__pipe_left_operator] = ACTIONS(13484),
    [sym__ellipsis_operator] = ACTIONS(13484),
    [sym__plus_operator] = ACTIONS(13484),
    [sym__times_operator] = ACTIONS(13484),
    [sym__rational_operator] = ACTIONS(13484),
    [sym__bitshift_operator] = ACTIONS(13484),
    [sym__power_operator] = ACTIONS(13484),
    [sym__tilde_operator] = ACTIONS(13484),
    [sym__type_order_operator] = ACTIONS(13484),
    [sym__unary_operator] = ACTIONS(13484),
    [sym__unary_plus_operator] = ACTIONS(13484),
    [aux_sym__terminator_token1] = ACTIONS(13484),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13486),
    [sym__command_start] = ACTIONS(13486),
  },
  [7360] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [7361] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [7362] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_catch] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [7363] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_catch] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [7364] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_catch] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [7365] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_catch] = ACTIONS(13238),
    [anon_sym_finally] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13448),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7366] = {
    [sym__word_identifier] = ACTIONS(13508),
    [anon_sym_EQ] = ACTIONS(13508),
    [anon_sym_COMMA] = ACTIONS(13508),
    [anon_sym_COLON] = ACTIONS(13508),
    [anon_sym_begin] = ACTIONS(13508),
    [anon_sym_module] = ACTIONS(13508),
    [anon_sym_baremodule] = ACTIONS(13508),
    [anon_sym_end] = ACTIONS(13508),
    [anon_sym_abstract] = ACTIONS(13508),
    [anon_sym_primitive] = ACTIONS(13508),
    [anon_sym_mutable] = ACTIONS(13508),
    [anon_sym_struct] = ACTIONS(13508),
    [anon_sym_function] = ACTIONS(13508),
    [anon_sym_macro] = ACTIONS(13508),
    [anon_sym_where] = ACTIONS(13508),
    [anon_sym_quote] = ACTIONS(13508),
    [anon_sym_let] = ACTIONS(13508),
    [anon_sym_if] = ACTIONS(13508),
    [anon_sym_elseif] = ACTIONS(13508),
    [anon_sym_else] = ACTIONS(13508),
    [anon_sym_try] = ACTIONS(13508),
    [anon_sym_for] = ACTIONS(13508),
    [anon_sym_while] = ACTIONS(13508),
    [sym_break_statement] = ACTIONS(13508),
    [sym_continue_statement] = ACTIONS(13508),
    [anon_sym_return] = ACTIONS(13508),
    [anon_sym_const] = ACTIONS(13508),
    [anon_sym_global] = ACTIONS(13508),
    [anon_sym_local] = ACTIONS(13508),
    [anon_sym_LPAREN] = ACTIONS(13508),
    [anon_sym_COLON2] = ACTIONS(13508),
    [anon_sym_export] = ACTIONS(13508),
    [anon_sym_import] = ACTIONS(13508),
    [anon_sym_using] = ACTIONS(13508),
    [anon_sym_LBRACK] = ACTIONS(13508),
    [anon_sym_LF] = ACTIONS(13510),
    [anon_sym_in] = ACTIONS(13508),
    [anon_sym_LBRACE] = ACTIONS(13508),
    [anon_sym_DOLLAR] = ACTIONS(13508),
    [anon_sym_COLON_COLON] = ACTIONS(13508),
    [anon_sym_isa] = ACTIONS(13508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13508),
    [anon_sym_QMARK] = ACTIONS(13508),
    [anon_sym_AT] = ACTIONS(13508),
    [anon_sym_true] = ACTIONS(13508),
    [anon_sym_false] = ACTIONS(13508),
    [aux_sym_integer_literal_token1] = ACTIONS(13508),
    [aux_sym_integer_literal_token2] = ACTIONS(13508),
    [aux_sym_integer_literal_token3] = ACTIONS(13508),
    [aux_sym_integer_literal_token4] = ACTIONS(13508),
    [aux_sym_float_literal_token1] = ACTIONS(13508),
    [aux_sym_float_literal_token3] = ACTIONS(13508),
    [aux_sym_float_literal_token4] = ACTIONS(13508),
    [sym_character_literal] = ACTIONS(13508),
    [sym__pair_operator] = ACTIONS(13508),
    [sym__arrow_operator] = ACTIONS(13508),
    [sym__lazy_or_operator] = ACTIONS(13508),
    [sym__lazy_and_operator] = ACTIONS(13508),
    [sym__comparison_operator] = ACTIONS(13508),
    [sym__pipe_right_operator] = ACTIONS(13508),
    [sym__pipe_left_operator] = ACTIONS(13508),
    [sym__ellipsis_operator] = ACTIONS(13508),
    [sym__plus_operator] = ACTIONS(13508),
    [sym__times_operator] = ACTIONS(13508),
    [sym__rational_operator] = ACTIONS(13508),
    [sym__bitshift_operator] = ACTIONS(13508),
    [sym__power_operator] = ACTIONS(13508),
    [sym__tilde_operator] = ACTIONS(13508),
    [sym__type_order_operator] = ACTIONS(13508),
    [sym__unary_operator] = ACTIONS(13508),
    [sym__unary_plus_operator] = ACTIONS(13508),
    [aux_sym__terminator_token1] = ACTIONS(13508),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13510),
    [sym__command_start] = ACTIONS(13510),
  },
  [7367] = {
    [sym__comprehension_clause] = STATE(19523),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16994),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13512),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13514),
    [anon_sym_LF] = ACTIONS(13516),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13519),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7368] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_catch] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [7369] = {
    [sym__word_identifier] = ACTIONS(13522),
    [anon_sym_EQ] = ACTIONS(13522),
    [anon_sym_COMMA] = ACTIONS(13522),
    [anon_sym_COLON] = ACTIONS(13522),
    [anon_sym_begin] = ACTIONS(13522),
    [anon_sym_module] = ACTIONS(13522),
    [anon_sym_baremodule] = ACTIONS(13522),
    [anon_sym_end] = ACTIONS(13522),
    [anon_sym_abstract] = ACTIONS(13522),
    [anon_sym_primitive] = ACTIONS(13522),
    [anon_sym_mutable] = ACTIONS(13522),
    [anon_sym_struct] = ACTIONS(13522),
    [anon_sym_function] = ACTIONS(13522),
    [anon_sym_macro] = ACTIONS(13522),
    [anon_sym_where] = ACTIONS(13522),
    [anon_sym_quote] = ACTIONS(13522),
    [anon_sym_let] = ACTIONS(13522),
    [anon_sym_if] = ACTIONS(13522),
    [anon_sym_elseif] = ACTIONS(13522),
    [anon_sym_else] = ACTIONS(13522),
    [anon_sym_try] = ACTIONS(13522),
    [anon_sym_for] = ACTIONS(13522),
    [anon_sym_while] = ACTIONS(13522),
    [sym_break_statement] = ACTIONS(13522),
    [sym_continue_statement] = ACTIONS(13522),
    [anon_sym_return] = ACTIONS(13522),
    [anon_sym_const] = ACTIONS(13522),
    [anon_sym_global] = ACTIONS(13522),
    [anon_sym_local] = ACTIONS(13522),
    [anon_sym_LPAREN] = ACTIONS(13522),
    [anon_sym_COLON2] = ACTIONS(13522),
    [anon_sym_export] = ACTIONS(13522),
    [anon_sym_import] = ACTIONS(13522),
    [anon_sym_using] = ACTIONS(13522),
    [anon_sym_LBRACK] = ACTIONS(13522),
    [anon_sym_LF] = ACTIONS(13524),
    [anon_sym_in] = ACTIONS(13522),
    [anon_sym_LBRACE] = ACTIONS(13522),
    [anon_sym_DOLLAR] = ACTIONS(13522),
    [anon_sym_COLON_COLON] = ACTIONS(13522),
    [anon_sym_isa] = ACTIONS(13522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13522),
    [anon_sym_QMARK] = ACTIONS(13522),
    [anon_sym_AT] = ACTIONS(13522),
    [anon_sym_true] = ACTIONS(13522),
    [anon_sym_false] = ACTIONS(13522),
    [aux_sym_integer_literal_token1] = ACTIONS(13522),
    [aux_sym_integer_literal_token2] = ACTIONS(13522),
    [aux_sym_integer_literal_token3] = ACTIONS(13522),
    [aux_sym_integer_literal_token4] = ACTIONS(13522),
    [aux_sym_float_literal_token1] = ACTIONS(13522),
    [aux_sym_float_literal_token3] = ACTIONS(13522),
    [aux_sym_float_literal_token4] = ACTIONS(13522),
    [sym_character_literal] = ACTIONS(13522),
    [sym__pair_operator] = ACTIONS(13522),
    [sym__arrow_operator] = ACTIONS(13522),
    [sym__lazy_or_operator] = ACTIONS(13522),
    [sym__lazy_and_operator] = ACTIONS(13522),
    [sym__comparison_operator] = ACTIONS(13522),
    [sym__pipe_right_operator] = ACTIONS(13522),
    [sym__pipe_left_operator] = ACTIONS(13522),
    [sym__ellipsis_operator] = ACTIONS(13522),
    [sym__plus_operator] = ACTIONS(13522),
    [sym__times_operator] = ACTIONS(13522),
    [sym__rational_operator] = ACTIONS(13522),
    [sym__bitshift_operator] = ACTIONS(13522),
    [sym__power_operator] = ACTIONS(13522),
    [sym__tilde_operator] = ACTIONS(13522),
    [sym__type_order_operator] = ACTIONS(13522),
    [sym__unary_operator] = ACTIONS(13522),
    [sym__unary_plus_operator] = ACTIONS(13522),
    [aux_sym__terminator_token1] = ACTIONS(13522),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13524),
    [sym__command_start] = ACTIONS(13524),
  },
  [7370] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_catch] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [7371] = {
    [sym__comprehension_clause] = STATE(19110),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16817),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13526),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13528),
    [anon_sym_LF] = ACTIONS(13530),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13533),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7372] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12316),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12316),
    [anon_sym_RPAREN] = ACTIONS(12316),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12316),
    [anon_sym_RBRACK] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_SEMI] = ACTIONS(12316),
    [anon_sym_LBRACE] = ACTIONS(12316),
    [anon_sym_RBRACE] = ACTIONS(12316),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12316),
    [anon_sym_COLON_COLON] = ACTIONS(12316),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12316),
    [anon_sym_QMARK] = ACTIONS(12316),
    [anon_sym_AT] = ACTIONS(12316),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12316),
    [aux_sym_integer_literal_token2] = ACTIONS(12316),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12316),
    [aux_sym_float_literal_token3] = ACTIONS(12316),
    [aux_sym_float_literal_token4] = ACTIONS(12316),
    [sym_character_literal] = ACTIONS(12316),
    [sym__pair_operator] = ACTIONS(12316),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12316),
    [sym__lazy_and_operator] = ACTIONS(12316),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12316),
    [sym__pipe_left_operator] = ACTIONS(12316),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12316),
    [sym__bitshift_operator] = ACTIONS(12316),
    [sym__power_operator] = ACTIONS(12316),
    [sym__tilde_operator] = ACTIONS(12316),
    [sym__type_order_operator] = ACTIONS(12316),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [7373] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [7374] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_catch] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [7375] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_catch] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [7376] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_catch] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [7377] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_catch] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [7378] = {
    [ts_builtin_sym_end] = ACTIONS(13536),
    [sym__word_identifier] = ACTIONS(13538),
    [anon_sym_EQ] = ACTIONS(13538),
    [anon_sym_COMMA] = ACTIONS(13538),
    [anon_sym_COLON] = ACTIONS(13538),
    [anon_sym_begin] = ACTIONS(13538),
    [anon_sym_module] = ACTIONS(13538),
    [anon_sym_baremodule] = ACTIONS(13538),
    [anon_sym_abstract] = ACTIONS(13538),
    [anon_sym_primitive] = ACTIONS(13538),
    [anon_sym_mutable] = ACTIONS(13538),
    [anon_sym_struct] = ACTIONS(13538),
    [anon_sym_function] = ACTIONS(13538),
    [anon_sym_macro] = ACTIONS(13538),
    [anon_sym_where] = ACTIONS(13538),
    [anon_sym_quote] = ACTIONS(13538),
    [anon_sym_let] = ACTIONS(13538),
    [anon_sym_if] = ACTIONS(13538),
    [anon_sym_try] = ACTIONS(13538),
    [anon_sym_for] = ACTIONS(13538),
    [anon_sym_while] = ACTIONS(13538),
    [sym_break_statement] = ACTIONS(13538),
    [sym_continue_statement] = ACTIONS(13538),
    [anon_sym_return] = ACTIONS(13538),
    [anon_sym_const] = ACTIONS(13538),
    [anon_sym_global] = ACTIONS(13538),
    [anon_sym_local] = ACTIONS(13538),
    [anon_sym_LPAREN] = ACTIONS(13538),
    [anon_sym_RPAREN] = ACTIONS(13538),
    [anon_sym_COLON2] = ACTIONS(13538),
    [anon_sym_export] = ACTIONS(13538),
    [anon_sym_import] = ACTIONS(13538),
    [anon_sym_using] = ACTIONS(13538),
    [anon_sym_LBRACK] = ACTIONS(13538),
    [anon_sym_RBRACK] = ACTIONS(13538),
    [anon_sym_LF] = ACTIONS(13536),
    [anon_sym_in] = ACTIONS(13538),
    [anon_sym_LBRACE] = ACTIONS(13538),
    [anon_sym_DOLLAR] = ACTIONS(13538),
    [anon_sym_COLON_COLON] = ACTIONS(13538),
    [anon_sym_isa] = ACTIONS(13538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13538),
    [anon_sym_QMARK] = ACTIONS(13538),
    [anon_sym_AT] = ACTIONS(13538),
    [anon_sym_true] = ACTIONS(13538),
    [anon_sym_false] = ACTIONS(13538),
    [aux_sym_integer_literal_token1] = ACTIONS(13538),
    [aux_sym_integer_literal_token2] = ACTIONS(13538),
    [aux_sym_integer_literal_token3] = ACTIONS(13538),
    [aux_sym_integer_literal_token4] = ACTIONS(13538),
    [aux_sym_float_literal_token1] = ACTIONS(13538),
    [aux_sym_float_literal_token3] = ACTIONS(13538),
    [aux_sym_float_literal_token4] = ACTIONS(13538),
    [sym_character_literal] = ACTIONS(13538),
    [sym__pair_operator] = ACTIONS(13538),
    [sym__arrow_operator] = ACTIONS(13538),
    [sym__lazy_or_operator] = ACTIONS(13538),
    [sym__lazy_and_operator] = ACTIONS(13538),
    [sym__comparison_operator] = ACTIONS(13538),
    [sym__pipe_right_operator] = ACTIONS(13538),
    [sym__pipe_left_operator] = ACTIONS(13538),
    [sym__ellipsis_operator] = ACTIONS(13538),
    [sym__plus_operator] = ACTIONS(13538),
    [sym__times_operator] = ACTIONS(13538),
    [sym__rational_operator] = ACTIONS(13538),
    [sym__bitshift_operator] = ACTIONS(13538),
    [sym__power_operator] = ACTIONS(13538),
    [sym__tilde_operator] = ACTIONS(13538),
    [sym__type_order_operator] = ACTIONS(13538),
    [sym__unary_operator] = ACTIONS(13538),
    [sym__unary_plus_operator] = ACTIONS(13538),
    [aux_sym__terminator_token1] = ACTIONS(13538),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13536),
    [sym__command_start] = ACTIONS(13536),
  },
  [7379] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_catch] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [7380] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_catch] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [7381] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_catch] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [7382] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_catch] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [7383] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_catch] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [7384] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_catch] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [7385] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [7386] = {
    [sym__word_identifier] = ACTIONS(13508),
    [anon_sym_EQ] = ACTIONS(13508),
    [anon_sym_COMMA] = ACTIONS(13508),
    [anon_sym_COLON] = ACTIONS(13508),
    [anon_sym_begin] = ACTIONS(13508),
    [anon_sym_module] = ACTIONS(13508),
    [anon_sym_baremodule] = ACTIONS(13508),
    [anon_sym_end] = ACTIONS(13508),
    [anon_sym_abstract] = ACTIONS(13508),
    [anon_sym_primitive] = ACTIONS(13508),
    [anon_sym_mutable] = ACTIONS(13508),
    [anon_sym_struct] = ACTIONS(13508),
    [anon_sym_function] = ACTIONS(13508),
    [anon_sym_macro] = ACTIONS(13508),
    [anon_sym_where] = ACTIONS(13508),
    [anon_sym_quote] = ACTIONS(13508),
    [anon_sym_let] = ACTIONS(13508),
    [anon_sym_if] = ACTIONS(13508),
    [anon_sym_else] = ACTIONS(13508),
    [anon_sym_try] = ACTIONS(13508),
    [anon_sym_finally] = ACTIONS(13508),
    [anon_sym_for] = ACTIONS(13508),
    [anon_sym_while] = ACTIONS(13508),
    [sym_break_statement] = ACTIONS(13508),
    [sym_continue_statement] = ACTIONS(13508),
    [anon_sym_return] = ACTIONS(13508),
    [anon_sym_const] = ACTIONS(13508),
    [anon_sym_global] = ACTIONS(13508),
    [anon_sym_local] = ACTIONS(13508),
    [anon_sym_LPAREN] = ACTIONS(13508),
    [anon_sym_COLON2] = ACTIONS(13508),
    [anon_sym_export] = ACTIONS(13508),
    [anon_sym_import] = ACTIONS(13508),
    [anon_sym_using] = ACTIONS(13508),
    [anon_sym_LBRACK] = ACTIONS(13508),
    [anon_sym_LF] = ACTIONS(13510),
    [anon_sym_in] = ACTIONS(13508),
    [anon_sym_LBRACE] = ACTIONS(13508),
    [anon_sym_DOLLAR] = ACTIONS(13508),
    [anon_sym_COLON_COLON] = ACTIONS(13508),
    [anon_sym_isa] = ACTIONS(13508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13508),
    [anon_sym_QMARK] = ACTIONS(13508),
    [anon_sym_AT] = ACTIONS(13508),
    [anon_sym_true] = ACTIONS(13508),
    [anon_sym_false] = ACTIONS(13508),
    [aux_sym_integer_literal_token1] = ACTIONS(13508),
    [aux_sym_integer_literal_token2] = ACTIONS(13508),
    [aux_sym_integer_literal_token3] = ACTIONS(13508),
    [aux_sym_integer_literal_token4] = ACTIONS(13508),
    [aux_sym_float_literal_token1] = ACTIONS(13508),
    [aux_sym_float_literal_token3] = ACTIONS(13508),
    [aux_sym_float_literal_token4] = ACTIONS(13508),
    [sym_character_literal] = ACTIONS(13508),
    [sym__pair_operator] = ACTIONS(13508),
    [sym__arrow_operator] = ACTIONS(13508),
    [sym__lazy_or_operator] = ACTIONS(13508),
    [sym__lazy_and_operator] = ACTIONS(13508),
    [sym__comparison_operator] = ACTIONS(13508),
    [sym__pipe_right_operator] = ACTIONS(13508),
    [sym__pipe_left_operator] = ACTIONS(13508),
    [sym__ellipsis_operator] = ACTIONS(13508),
    [sym__plus_operator] = ACTIONS(13508),
    [sym__times_operator] = ACTIONS(13508),
    [sym__rational_operator] = ACTIONS(13508),
    [sym__bitshift_operator] = ACTIONS(13508),
    [sym__power_operator] = ACTIONS(13508),
    [sym__tilde_operator] = ACTIONS(13508),
    [sym__type_order_operator] = ACTIONS(13508),
    [sym__unary_operator] = ACTIONS(13508),
    [sym__unary_plus_operator] = ACTIONS(13508),
    [aux_sym__terminator_token1] = ACTIONS(13508),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13510),
    [sym__command_start] = ACTIONS(13510),
  },
  [7387] = {
    [sym__word_identifier] = ACTIONS(13540),
    [anon_sym_EQ] = ACTIONS(13540),
    [anon_sym_COMMA] = ACTIONS(13540),
    [anon_sym_COLON] = ACTIONS(13540),
    [anon_sym_begin] = ACTIONS(13540),
    [anon_sym_module] = ACTIONS(13540),
    [anon_sym_baremodule] = ACTIONS(13540),
    [anon_sym_end] = ACTIONS(13540),
    [anon_sym_abstract] = ACTIONS(13540),
    [anon_sym_primitive] = ACTIONS(13540),
    [anon_sym_mutable] = ACTIONS(13540),
    [anon_sym_struct] = ACTIONS(13540),
    [anon_sym_function] = ACTIONS(13540),
    [anon_sym_macro] = ACTIONS(13540),
    [anon_sym_where] = ACTIONS(13540),
    [anon_sym_quote] = ACTIONS(13540),
    [anon_sym_let] = ACTIONS(13540),
    [anon_sym_if] = ACTIONS(13540),
    [anon_sym_elseif] = ACTIONS(13540),
    [anon_sym_else] = ACTIONS(13540),
    [anon_sym_try] = ACTIONS(13540),
    [anon_sym_for] = ACTIONS(13540),
    [anon_sym_while] = ACTIONS(13540),
    [sym_break_statement] = ACTIONS(13540),
    [sym_continue_statement] = ACTIONS(13540),
    [anon_sym_return] = ACTIONS(13540),
    [anon_sym_const] = ACTIONS(13540),
    [anon_sym_global] = ACTIONS(13540),
    [anon_sym_local] = ACTIONS(13540),
    [anon_sym_LPAREN] = ACTIONS(13540),
    [anon_sym_COLON2] = ACTIONS(13540),
    [anon_sym_export] = ACTIONS(13540),
    [anon_sym_import] = ACTIONS(13540),
    [anon_sym_using] = ACTIONS(13540),
    [anon_sym_LBRACK] = ACTIONS(13540),
    [anon_sym_LF] = ACTIONS(13542),
    [anon_sym_in] = ACTIONS(13540),
    [anon_sym_LBRACE] = ACTIONS(13540),
    [anon_sym_DOLLAR] = ACTIONS(13540),
    [anon_sym_COLON_COLON] = ACTIONS(13540),
    [anon_sym_isa] = ACTIONS(13540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13540),
    [anon_sym_QMARK] = ACTIONS(13540),
    [anon_sym_AT] = ACTIONS(13540),
    [anon_sym_true] = ACTIONS(13540),
    [anon_sym_false] = ACTIONS(13540),
    [aux_sym_integer_literal_token1] = ACTIONS(13540),
    [aux_sym_integer_literal_token2] = ACTIONS(13540),
    [aux_sym_integer_literal_token3] = ACTIONS(13540),
    [aux_sym_integer_literal_token4] = ACTIONS(13540),
    [aux_sym_float_literal_token1] = ACTIONS(13540),
    [aux_sym_float_literal_token3] = ACTIONS(13540),
    [aux_sym_float_literal_token4] = ACTIONS(13540),
    [sym_character_literal] = ACTIONS(13540),
    [sym__pair_operator] = ACTIONS(13540),
    [sym__arrow_operator] = ACTIONS(13540),
    [sym__lazy_or_operator] = ACTIONS(13540),
    [sym__lazy_and_operator] = ACTIONS(13540),
    [sym__comparison_operator] = ACTIONS(13540),
    [sym__pipe_right_operator] = ACTIONS(13540),
    [sym__pipe_left_operator] = ACTIONS(13540),
    [sym__ellipsis_operator] = ACTIONS(13540),
    [sym__plus_operator] = ACTIONS(13540),
    [sym__times_operator] = ACTIONS(13540),
    [sym__rational_operator] = ACTIONS(13540),
    [sym__bitshift_operator] = ACTIONS(13540),
    [sym__power_operator] = ACTIONS(13540),
    [sym__tilde_operator] = ACTIONS(13540),
    [sym__type_order_operator] = ACTIONS(13540),
    [sym__unary_operator] = ACTIONS(13540),
    [sym__unary_plus_operator] = ACTIONS(13540),
    [aux_sym__terminator_token1] = ACTIONS(13540),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13542),
    [sym__command_start] = ACTIONS(13542),
  },
  [7388] = {
    [ts_builtin_sym_end] = ACTIONS(13544),
    [sym__word_identifier] = ACTIONS(13546),
    [anon_sym_EQ] = ACTIONS(13546),
    [anon_sym_COMMA] = ACTIONS(13546),
    [anon_sym_COLON] = ACTIONS(13546),
    [anon_sym_begin] = ACTIONS(13546),
    [anon_sym_module] = ACTIONS(13546),
    [anon_sym_baremodule] = ACTIONS(13546),
    [anon_sym_abstract] = ACTIONS(13546),
    [anon_sym_primitive] = ACTIONS(13546),
    [anon_sym_mutable] = ACTIONS(13546),
    [anon_sym_struct] = ACTIONS(13546),
    [anon_sym_function] = ACTIONS(13546),
    [anon_sym_macro] = ACTIONS(13546),
    [anon_sym_where] = ACTIONS(13546),
    [anon_sym_quote] = ACTIONS(13546),
    [anon_sym_let] = ACTIONS(13546),
    [anon_sym_if] = ACTIONS(13546),
    [anon_sym_try] = ACTIONS(13546),
    [anon_sym_for] = ACTIONS(13546),
    [anon_sym_while] = ACTIONS(13546),
    [sym_break_statement] = ACTIONS(13546),
    [sym_continue_statement] = ACTIONS(13546),
    [anon_sym_return] = ACTIONS(13546),
    [anon_sym_const] = ACTIONS(13546),
    [anon_sym_global] = ACTIONS(13546),
    [anon_sym_local] = ACTIONS(13546),
    [anon_sym_LPAREN] = ACTIONS(13546),
    [anon_sym_RPAREN] = ACTIONS(13546),
    [anon_sym_COLON2] = ACTIONS(13546),
    [anon_sym_export] = ACTIONS(13546),
    [anon_sym_import] = ACTIONS(13546),
    [anon_sym_using] = ACTIONS(13546),
    [anon_sym_LBRACK] = ACTIONS(13546),
    [anon_sym_RBRACK] = ACTIONS(13546),
    [anon_sym_LF] = ACTIONS(13544),
    [anon_sym_in] = ACTIONS(13546),
    [anon_sym_LBRACE] = ACTIONS(13546),
    [anon_sym_DOLLAR] = ACTIONS(13546),
    [anon_sym_COLON_COLON] = ACTIONS(13546),
    [anon_sym_isa] = ACTIONS(13546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13546),
    [anon_sym_QMARK] = ACTIONS(13546),
    [anon_sym_AT] = ACTIONS(13546),
    [anon_sym_true] = ACTIONS(13546),
    [anon_sym_false] = ACTIONS(13546),
    [aux_sym_integer_literal_token1] = ACTIONS(13546),
    [aux_sym_integer_literal_token2] = ACTIONS(13546),
    [aux_sym_integer_literal_token3] = ACTIONS(13546),
    [aux_sym_integer_literal_token4] = ACTIONS(13546),
    [aux_sym_float_literal_token1] = ACTIONS(13546),
    [aux_sym_float_literal_token3] = ACTIONS(13546),
    [aux_sym_float_literal_token4] = ACTIONS(13546),
    [sym_character_literal] = ACTIONS(13546),
    [sym__pair_operator] = ACTIONS(13546),
    [sym__arrow_operator] = ACTIONS(13546),
    [sym__lazy_or_operator] = ACTIONS(13546),
    [sym__lazy_and_operator] = ACTIONS(13546),
    [sym__comparison_operator] = ACTIONS(13546),
    [sym__pipe_right_operator] = ACTIONS(13546),
    [sym__pipe_left_operator] = ACTIONS(13546),
    [sym__ellipsis_operator] = ACTIONS(13546),
    [sym__plus_operator] = ACTIONS(13546),
    [sym__times_operator] = ACTIONS(13546),
    [sym__rational_operator] = ACTIONS(13546),
    [sym__bitshift_operator] = ACTIONS(13546),
    [sym__power_operator] = ACTIONS(13546),
    [sym__tilde_operator] = ACTIONS(13546),
    [sym__type_order_operator] = ACTIONS(13546),
    [sym__unary_operator] = ACTIONS(13546),
    [sym__unary_plus_operator] = ACTIONS(13546),
    [aux_sym__terminator_token1] = ACTIONS(13546),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13544),
    [sym__command_start] = ACTIONS(13544),
  },
  [7389] = {
    [sym__word_identifier] = ACTIONS(13522),
    [anon_sym_EQ] = ACTIONS(13522),
    [anon_sym_COMMA] = ACTIONS(13522),
    [anon_sym_COLON] = ACTIONS(13522),
    [anon_sym_begin] = ACTIONS(13522),
    [anon_sym_module] = ACTIONS(13522),
    [anon_sym_baremodule] = ACTIONS(13522),
    [anon_sym_end] = ACTIONS(13522),
    [anon_sym_abstract] = ACTIONS(13522),
    [anon_sym_primitive] = ACTIONS(13522),
    [anon_sym_mutable] = ACTIONS(13522),
    [anon_sym_struct] = ACTIONS(13522),
    [anon_sym_function] = ACTIONS(13522),
    [anon_sym_macro] = ACTIONS(13522),
    [anon_sym_where] = ACTIONS(13522),
    [anon_sym_quote] = ACTIONS(13522),
    [anon_sym_let] = ACTIONS(13522),
    [anon_sym_if] = ACTIONS(13522),
    [anon_sym_else] = ACTIONS(13522),
    [anon_sym_try] = ACTIONS(13522),
    [anon_sym_finally] = ACTIONS(13522),
    [anon_sym_for] = ACTIONS(13522),
    [anon_sym_while] = ACTIONS(13522),
    [sym_break_statement] = ACTIONS(13522),
    [sym_continue_statement] = ACTIONS(13522),
    [anon_sym_return] = ACTIONS(13522),
    [anon_sym_const] = ACTIONS(13522),
    [anon_sym_global] = ACTIONS(13522),
    [anon_sym_local] = ACTIONS(13522),
    [anon_sym_LPAREN] = ACTIONS(13522),
    [anon_sym_COLON2] = ACTIONS(13522),
    [anon_sym_export] = ACTIONS(13522),
    [anon_sym_import] = ACTIONS(13522),
    [anon_sym_using] = ACTIONS(13522),
    [anon_sym_LBRACK] = ACTIONS(13522),
    [anon_sym_LF] = ACTIONS(13524),
    [anon_sym_in] = ACTIONS(13522),
    [anon_sym_LBRACE] = ACTIONS(13522),
    [anon_sym_DOLLAR] = ACTIONS(13522),
    [anon_sym_COLON_COLON] = ACTIONS(13522),
    [anon_sym_isa] = ACTIONS(13522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13522),
    [anon_sym_QMARK] = ACTIONS(13522),
    [anon_sym_AT] = ACTIONS(13522),
    [anon_sym_true] = ACTIONS(13522),
    [anon_sym_false] = ACTIONS(13522),
    [aux_sym_integer_literal_token1] = ACTIONS(13522),
    [aux_sym_integer_literal_token2] = ACTIONS(13522),
    [aux_sym_integer_literal_token3] = ACTIONS(13522),
    [aux_sym_integer_literal_token4] = ACTIONS(13522),
    [aux_sym_float_literal_token1] = ACTIONS(13522),
    [aux_sym_float_literal_token3] = ACTIONS(13522),
    [aux_sym_float_literal_token4] = ACTIONS(13522),
    [sym_character_literal] = ACTIONS(13522),
    [sym__pair_operator] = ACTIONS(13522),
    [sym__arrow_operator] = ACTIONS(13522),
    [sym__lazy_or_operator] = ACTIONS(13522),
    [sym__lazy_and_operator] = ACTIONS(13522),
    [sym__comparison_operator] = ACTIONS(13522),
    [sym__pipe_right_operator] = ACTIONS(13522),
    [sym__pipe_left_operator] = ACTIONS(13522),
    [sym__ellipsis_operator] = ACTIONS(13522),
    [sym__plus_operator] = ACTIONS(13522),
    [sym__times_operator] = ACTIONS(13522),
    [sym__rational_operator] = ACTIONS(13522),
    [sym__bitshift_operator] = ACTIONS(13522),
    [sym__power_operator] = ACTIONS(13522),
    [sym__tilde_operator] = ACTIONS(13522),
    [sym__type_order_operator] = ACTIONS(13522),
    [sym__unary_operator] = ACTIONS(13522),
    [sym__unary_plus_operator] = ACTIONS(13522),
    [aux_sym__terminator_token1] = ACTIONS(13522),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13524),
    [sym__command_start] = ACTIONS(13524),
  },
  [7390] = {
    [sym__comprehension_clause] = STATE(18905),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17188),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13548),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13550),
    [anon_sym_LF] = ACTIONS(13552),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13555),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7391] = {
    [ts_builtin_sym_end] = ACTIONS(13292),
    [sym__word_identifier] = ACTIONS(13290),
    [anon_sym_EQ] = ACTIONS(13290),
    [anon_sym_COMMA] = ACTIONS(13290),
    [anon_sym_COLON] = ACTIONS(13290),
    [anon_sym_begin] = ACTIONS(13290),
    [anon_sym_module] = ACTIONS(13290),
    [anon_sym_baremodule] = ACTIONS(13290),
    [anon_sym_abstract] = ACTIONS(13290),
    [anon_sym_primitive] = ACTIONS(13290),
    [anon_sym_mutable] = ACTIONS(13290),
    [anon_sym_struct] = ACTIONS(13290),
    [anon_sym_function] = ACTIONS(13290),
    [anon_sym_macro] = ACTIONS(13290),
    [anon_sym_where] = ACTIONS(13290),
    [anon_sym_quote] = ACTIONS(13290),
    [anon_sym_let] = ACTIONS(13290),
    [anon_sym_if] = ACTIONS(13290),
    [anon_sym_try] = ACTIONS(13290),
    [anon_sym_for] = ACTIONS(13290),
    [anon_sym_while] = ACTIONS(13290),
    [sym_break_statement] = ACTIONS(13290),
    [sym_continue_statement] = ACTIONS(13290),
    [anon_sym_return] = ACTIONS(13290),
    [anon_sym_const] = ACTIONS(13290),
    [anon_sym_global] = ACTIONS(13290),
    [anon_sym_local] = ACTIONS(13290),
    [anon_sym_LPAREN] = ACTIONS(13290),
    [anon_sym_RPAREN] = ACTIONS(13290),
    [anon_sym_COLON2] = ACTIONS(13290),
    [anon_sym_export] = ACTIONS(13290),
    [anon_sym_import] = ACTIONS(13290),
    [anon_sym_using] = ACTIONS(13290),
    [anon_sym_LBRACK] = ACTIONS(13290),
    [anon_sym_RBRACK] = ACTIONS(13290),
    [anon_sym_LF] = ACTIONS(13292),
    [anon_sym_in] = ACTIONS(13290),
    [anon_sym_LBRACE] = ACTIONS(13290),
    [anon_sym_DOLLAR] = ACTIONS(13290),
    [anon_sym_COLON_COLON] = ACTIONS(13290),
    [anon_sym_isa] = ACTIONS(13290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13290),
    [anon_sym_QMARK] = ACTIONS(13290),
    [anon_sym_AT] = ACTIONS(13290),
    [anon_sym_true] = ACTIONS(13290),
    [anon_sym_false] = ACTIONS(13290),
    [aux_sym_integer_literal_token1] = ACTIONS(13290),
    [aux_sym_integer_literal_token2] = ACTIONS(13290),
    [aux_sym_integer_literal_token3] = ACTIONS(13290),
    [aux_sym_integer_literal_token4] = ACTIONS(13290),
    [aux_sym_float_literal_token1] = ACTIONS(13290),
    [aux_sym_float_literal_token3] = ACTIONS(13290),
    [aux_sym_float_literal_token4] = ACTIONS(13290),
    [sym_character_literal] = ACTIONS(13290),
    [sym__pair_operator] = ACTIONS(13290),
    [sym__arrow_operator] = ACTIONS(13290),
    [sym__lazy_or_operator] = ACTIONS(13290),
    [sym__lazy_and_operator] = ACTIONS(13290),
    [sym__comparison_operator] = ACTIONS(13290),
    [sym__pipe_right_operator] = ACTIONS(13290),
    [sym__pipe_left_operator] = ACTIONS(13290),
    [sym__ellipsis_operator] = ACTIONS(13290),
    [sym__plus_operator] = ACTIONS(13290),
    [sym__times_operator] = ACTIONS(13290),
    [sym__rational_operator] = ACTIONS(13290),
    [sym__bitshift_operator] = ACTIONS(13290),
    [sym__power_operator] = ACTIONS(13290),
    [sym__tilde_operator] = ACTIONS(13290),
    [sym__type_order_operator] = ACTIONS(13290),
    [sym__unary_operator] = ACTIONS(13290),
    [sym__unary_plus_operator] = ACTIONS(13290),
    [aux_sym__terminator_token1] = ACTIONS(13290),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13292),
    [sym__command_start] = ACTIONS(13292),
  },
  [7392] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [7393] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11886),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11886),
    [anon_sym_RPAREN] = ACTIONS(11886),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11886),
    [anon_sym_RBRACK] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11886),
    [anon_sym_RBRACE] = ACTIONS(11886),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11886),
    [anon_sym_COLON_COLON] = ACTIONS(11886),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11886),
    [anon_sym_QMARK] = ACTIONS(11886),
    [anon_sym_AT] = ACTIONS(11886),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11886),
    [aux_sym_integer_literal_token2] = ACTIONS(11886),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11886),
    [aux_sym_float_literal_token3] = ACTIONS(11886),
    [aux_sym_float_literal_token4] = ACTIONS(11886),
    [sym_character_literal] = ACTIONS(11886),
    [sym__pair_operator] = ACTIONS(11886),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11886),
    [sym__lazy_and_operator] = ACTIONS(11886),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11886),
    [sym__pipe_left_operator] = ACTIONS(11886),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11886),
    [sym__bitshift_operator] = ACTIONS(11886),
    [sym__power_operator] = ACTIONS(11886),
    [sym__tilde_operator] = ACTIONS(11886),
    [sym__type_order_operator] = ACTIONS(11886),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [7394] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7395] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [7396] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11928),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11928),
    [anon_sym_RPAREN] = ACTIONS(11928),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11928),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11928),
    [anon_sym_RBRACE] = ACTIONS(11928),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11928),
    [anon_sym_COLON_COLON] = ACTIONS(11928),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11928),
    [anon_sym_QMARK] = ACTIONS(11928),
    [anon_sym_AT] = ACTIONS(11928),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11928),
    [aux_sym_integer_literal_token2] = ACTIONS(11928),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11928),
    [aux_sym_float_literal_token3] = ACTIONS(11928),
    [aux_sym_float_literal_token4] = ACTIONS(11928),
    [sym_character_literal] = ACTIONS(11928),
    [sym__pair_operator] = ACTIONS(11928),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11928),
    [sym__lazy_and_operator] = ACTIONS(11928),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11928),
    [sym__pipe_left_operator] = ACTIONS(11928),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11928),
    [sym__bitshift_operator] = ACTIONS(11928),
    [sym__power_operator] = ACTIONS(11928),
    [sym__tilde_operator] = ACTIONS(11928),
    [sym__type_order_operator] = ACTIONS(11928),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7397] = {
    [sym__word_identifier] = ACTIONS(13540),
    [anon_sym_EQ] = ACTIONS(13540),
    [anon_sym_COMMA] = ACTIONS(13540),
    [anon_sym_COLON] = ACTIONS(13540),
    [anon_sym_begin] = ACTIONS(13540),
    [anon_sym_module] = ACTIONS(13540),
    [anon_sym_baremodule] = ACTIONS(13540),
    [anon_sym_end] = ACTIONS(13540),
    [anon_sym_abstract] = ACTIONS(13540),
    [anon_sym_primitive] = ACTIONS(13540),
    [anon_sym_mutable] = ACTIONS(13540),
    [anon_sym_struct] = ACTIONS(13540),
    [anon_sym_function] = ACTIONS(13540),
    [anon_sym_macro] = ACTIONS(13540),
    [anon_sym_where] = ACTIONS(13540),
    [anon_sym_quote] = ACTIONS(13540),
    [anon_sym_let] = ACTIONS(13540),
    [anon_sym_if] = ACTIONS(13540),
    [anon_sym_else] = ACTIONS(13540),
    [anon_sym_try] = ACTIONS(13540),
    [anon_sym_finally] = ACTIONS(13540),
    [anon_sym_for] = ACTIONS(13540),
    [anon_sym_while] = ACTIONS(13540),
    [sym_break_statement] = ACTIONS(13540),
    [sym_continue_statement] = ACTIONS(13540),
    [anon_sym_return] = ACTIONS(13540),
    [anon_sym_const] = ACTIONS(13540),
    [anon_sym_global] = ACTIONS(13540),
    [anon_sym_local] = ACTIONS(13540),
    [anon_sym_LPAREN] = ACTIONS(13540),
    [anon_sym_COLON2] = ACTIONS(13540),
    [anon_sym_export] = ACTIONS(13540),
    [anon_sym_import] = ACTIONS(13540),
    [anon_sym_using] = ACTIONS(13540),
    [anon_sym_LBRACK] = ACTIONS(13540),
    [anon_sym_LF] = ACTIONS(13542),
    [anon_sym_in] = ACTIONS(13540),
    [anon_sym_LBRACE] = ACTIONS(13540),
    [anon_sym_DOLLAR] = ACTIONS(13540),
    [anon_sym_COLON_COLON] = ACTIONS(13540),
    [anon_sym_isa] = ACTIONS(13540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13540),
    [anon_sym_QMARK] = ACTIONS(13540),
    [anon_sym_AT] = ACTIONS(13540),
    [anon_sym_true] = ACTIONS(13540),
    [anon_sym_false] = ACTIONS(13540),
    [aux_sym_integer_literal_token1] = ACTIONS(13540),
    [aux_sym_integer_literal_token2] = ACTIONS(13540),
    [aux_sym_integer_literal_token3] = ACTIONS(13540),
    [aux_sym_integer_literal_token4] = ACTIONS(13540),
    [aux_sym_float_literal_token1] = ACTIONS(13540),
    [aux_sym_float_literal_token3] = ACTIONS(13540),
    [aux_sym_float_literal_token4] = ACTIONS(13540),
    [sym_character_literal] = ACTIONS(13540),
    [sym__pair_operator] = ACTIONS(13540),
    [sym__arrow_operator] = ACTIONS(13540),
    [sym__lazy_or_operator] = ACTIONS(13540),
    [sym__lazy_and_operator] = ACTIONS(13540),
    [sym__comparison_operator] = ACTIONS(13540),
    [sym__pipe_right_operator] = ACTIONS(13540),
    [sym__pipe_left_operator] = ACTIONS(13540),
    [sym__ellipsis_operator] = ACTIONS(13540),
    [sym__plus_operator] = ACTIONS(13540),
    [sym__times_operator] = ACTIONS(13540),
    [sym__rational_operator] = ACTIONS(13540),
    [sym__bitshift_operator] = ACTIONS(13540),
    [sym__power_operator] = ACTIONS(13540),
    [sym__tilde_operator] = ACTIONS(13540),
    [sym__type_order_operator] = ACTIONS(13540),
    [sym__unary_operator] = ACTIONS(13540),
    [sym__unary_plus_operator] = ACTIONS(13540),
    [aux_sym__terminator_token1] = ACTIONS(13540),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13542),
    [sym__command_start] = ACTIONS(13542),
  },
  [7398] = {
    [aux_sym_open_tuple_repeat1] = STATE(7969),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13558),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_catch] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13357),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7399] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7400] = {
    [sym__word_identifier] = ACTIONS(13400),
    [anon_sym_EQ] = ACTIONS(13400),
    [anon_sym_COMMA] = ACTIONS(13400),
    [anon_sym_COLON] = ACTIONS(13400),
    [anon_sym_begin] = ACTIONS(13400),
    [anon_sym_module] = ACTIONS(13400),
    [anon_sym_baremodule] = ACTIONS(13400),
    [anon_sym_end] = ACTIONS(13400),
    [anon_sym_abstract] = ACTIONS(13400),
    [anon_sym_primitive] = ACTIONS(13400),
    [anon_sym_mutable] = ACTIONS(13400),
    [anon_sym_struct] = ACTIONS(13400),
    [anon_sym_function] = ACTIONS(13400),
    [anon_sym_macro] = ACTIONS(13400),
    [anon_sym_where] = ACTIONS(13400),
    [anon_sym_quote] = ACTIONS(13400),
    [anon_sym_let] = ACTIONS(13400),
    [anon_sym_if] = ACTIONS(13400),
    [anon_sym_elseif] = ACTIONS(13400),
    [anon_sym_else] = ACTIONS(13400),
    [anon_sym_try] = ACTIONS(13400),
    [anon_sym_for] = ACTIONS(13400),
    [anon_sym_while] = ACTIONS(13400),
    [sym_break_statement] = ACTIONS(13400),
    [sym_continue_statement] = ACTIONS(13400),
    [anon_sym_return] = ACTIONS(13400),
    [anon_sym_const] = ACTIONS(13400),
    [anon_sym_global] = ACTIONS(13400),
    [anon_sym_local] = ACTIONS(13400),
    [anon_sym_LPAREN] = ACTIONS(13400),
    [anon_sym_COLON2] = ACTIONS(13400),
    [anon_sym_export] = ACTIONS(13400),
    [anon_sym_import] = ACTIONS(13400),
    [anon_sym_using] = ACTIONS(13400),
    [anon_sym_LBRACK] = ACTIONS(13400),
    [anon_sym_LF] = ACTIONS(13402),
    [anon_sym_in] = ACTIONS(13400),
    [anon_sym_LBRACE] = ACTIONS(13400),
    [anon_sym_DOLLAR] = ACTIONS(13400),
    [anon_sym_COLON_COLON] = ACTIONS(13400),
    [anon_sym_isa] = ACTIONS(13400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13400),
    [anon_sym_QMARK] = ACTIONS(13400),
    [anon_sym_AT] = ACTIONS(13400),
    [anon_sym_true] = ACTIONS(13400),
    [anon_sym_false] = ACTIONS(13400),
    [aux_sym_integer_literal_token1] = ACTIONS(13400),
    [aux_sym_integer_literal_token2] = ACTIONS(13400),
    [aux_sym_integer_literal_token3] = ACTIONS(13400),
    [aux_sym_integer_literal_token4] = ACTIONS(13400),
    [aux_sym_float_literal_token1] = ACTIONS(13400),
    [aux_sym_float_literal_token3] = ACTIONS(13400),
    [aux_sym_float_literal_token4] = ACTIONS(13400),
    [sym_character_literal] = ACTIONS(13400),
    [sym__pair_operator] = ACTIONS(13400),
    [sym__arrow_operator] = ACTIONS(13400),
    [sym__lazy_or_operator] = ACTIONS(13400),
    [sym__lazy_and_operator] = ACTIONS(13400),
    [sym__comparison_operator] = ACTIONS(13400),
    [sym__pipe_right_operator] = ACTIONS(13400),
    [sym__pipe_left_operator] = ACTIONS(13400),
    [sym__ellipsis_operator] = ACTIONS(13400),
    [sym__plus_operator] = ACTIONS(13400),
    [sym__times_operator] = ACTIONS(13400),
    [sym__rational_operator] = ACTIONS(13400),
    [sym__bitshift_operator] = ACTIONS(13400),
    [sym__power_operator] = ACTIONS(13400),
    [sym__tilde_operator] = ACTIONS(13400),
    [sym__type_order_operator] = ACTIONS(13400),
    [sym__unary_operator] = ACTIONS(13400),
    [sym__unary_plus_operator] = ACTIONS(13400),
    [aux_sym__terminator_token1] = ACTIONS(13400),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13402),
    [sym__command_start] = ACTIONS(13402),
  },
  [7401] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_catch] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [7402] = {
    [sym__word_identifier] = ACTIONS(13282),
    [anon_sym_EQ] = ACTIONS(13282),
    [anon_sym_COMMA] = ACTIONS(13282),
    [anon_sym_COLON] = ACTIONS(13282),
    [anon_sym_begin] = ACTIONS(13282),
    [anon_sym_module] = ACTIONS(13282),
    [anon_sym_baremodule] = ACTIONS(13282),
    [anon_sym_end] = ACTIONS(13282),
    [anon_sym_abstract] = ACTIONS(13282),
    [anon_sym_primitive] = ACTIONS(13282),
    [anon_sym_mutable] = ACTIONS(13282),
    [anon_sym_struct] = ACTIONS(13282),
    [anon_sym_function] = ACTIONS(13282),
    [anon_sym_macro] = ACTIONS(13282),
    [anon_sym_where] = ACTIONS(13282),
    [anon_sym_quote] = ACTIONS(13282),
    [anon_sym_let] = ACTIONS(13282),
    [anon_sym_if] = ACTIONS(13282),
    [anon_sym_elseif] = ACTIONS(13282),
    [anon_sym_else] = ACTIONS(13282),
    [anon_sym_try] = ACTIONS(13282),
    [anon_sym_for] = ACTIONS(13282),
    [anon_sym_while] = ACTIONS(13282),
    [sym_break_statement] = ACTIONS(13282),
    [sym_continue_statement] = ACTIONS(13282),
    [anon_sym_return] = ACTIONS(13282),
    [anon_sym_const] = ACTIONS(13282),
    [anon_sym_global] = ACTIONS(13282),
    [anon_sym_local] = ACTIONS(13282),
    [anon_sym_LPAREN] = ACTIONS(13282),
    [anon_sym_COLON2] = ACTIONS(13282),
    [anon_sym_export] = ACTIONS(13282),
    [anon_sym_import] = ACTIONS(13282),
    [anon_sym_using] = ACTIONS(13282),
    [anon_sym_LBRACK] = ACTIONS(13282),
    [anon_sym_LF] = ACTIONS(13284),
    [anon_sym_in] = ACTIONS(13282),
    [anon_sym_LBRACE] = ACTIONS(13282),
    [anon_sym_DOLLAR] = ACTIONS(13282),
    [anon_sym_COLON_COLON] = ACTIONS(13282),
    [anon_sym_isa] = ACTIONS(13282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13282),
    [anon_sym_QMARK] = ACTIONS(13282),
    [anon_sym_AT] = ACTIONS(13282),
    [anon_sym_true] = ACTIONS(13282),
    [anon_sym_false] = ACTIONS(13282),
    [aux_sym_integer_literal_token1] = ACTIONS(13282),
    [aux_sym_integer_literal_token2] = ACTIONS(13282),
    [aux_sym_integer_literal_token3] = ACTIONS(13282),
    [aux_sym_integer_literal_token4] = ACTIONS(13282),
    [aux_sym_float_literal_token1] = ACTIONS(13282),
    [aux_sym_float_literal_token3] = ACTIONS(13282),
    [aux_sym_float_literal_token4] = ACTIONS(13282),
    [sym_character_literal] = ACTIONS(13282),
    [sym__pair_operator] = ACTIONS(13282),
    [sym__arrow_operator] = ACTIONS(13282),
    [sym__lazy_or_operator] = ACTIONS(13282),
    [sym__lazy_and_operator] = ACTIONS(13282),
    [sym__comparison_operator] = ACTIONS(13282),
    [sym__pipe_right_operator] = ACTIONS(13282),
    [sym__pipe_left_operator] = ACTIONS(13282),
    [sym__ellipsis_operator] = ACTIONS(13282),
    [sym__plus_operator] = ACTIONS(13282),
    [sym__times_operator] = ACTIONS(13282),
    [sym__rational_operator] = ACTIONS(13282),
    [sym__bitshift_operator] = ACTIONS(13282),
    [sym__power_operator] = ACTIONS(13282),
    [sym__tilde_operator] = ACTIONS(13282),
    [sym__type_order_operator] = ACTIONS(13282),
    [sym__unary_operator] = ACTIONS(13282),
    [sym__unary_plus_operator] = ACTIONS(13282),
    [aux_sym__terminator_token1] = ACTIONS(13282),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13284),
    [sym__command_start] = ACTIONS(13284),
  },
  [7403] = {
    [sym__word_identifier] = ACTIONS(13560),
    [anon_sym_EQ] = ACTIONS(13560),
    [anon_sym_COMMA] = ACTIONS(13560),
    [anon_sym_COLON] = ACTIONS(13560),
    [anon_sym_begin] = ACTIONS(13560),
    [anon_sym_module] = ACTIONS(13560),
    [anon_sym_baremodule] = ACTIONS(13560),
    [anon_sym_end] = ACTIONS(13560),
    [anon_sym_abstract] = ACTIONS(13560),
    [anon_sym_primitive] = ACTIONS(13560),
    [anon_sym_mutable] = ACTIONS(13560),
    [anon_sym_struct] = ACTIONS(13560),
    [anon_sym_function] = ACTIONS(13560),
    [anon_sym_macro] = ACTIONS(13560),
    [anon_sym_where] = ACTIONS(13560),
    [anon_sym_quote] = ACTIONS(13560),
    [anon_sym_let] = ACTIONS(13560),
    [anon_sym_if] = ACTIONS(13560),
    [anon_sym_elseif] = ACTIONS(13560),
    [anon_sym_else] = ACTIONS(13560),
    [anon_sym_try] = ACTIONS(13560),
    [anon_sym_for] = ACTIONS(13560),
    [anon_sym_while] = ACTIONS(13560),
    [sym_break_statement] = ACTIONS(13560),
    [sym_continue_statement] = ACTIONS(13560),
    [anon_sym_return] = ACTIONS(13560),
    [anon_sym_const] = ACTIONS(13560),
    [anon_sym_global] = ACTIONS(13560),
    [anon_sym_local] = ACTIONS(13560),
    [anon_sym_LPAREN] = ACTIONS(13560),
    [anon_sym_COLON2] = ACTIONS(13560),
    [anon_sym_export] = ACTIONS(13560),
    [anon_sym_import] = ACTIONS(13560),
    [anon_sym_using] = ACTIONS(13560),
    [anon_sym_LBRACK] = ACTIONS(13560),
    [anon_sym_LF] = ACTIONS(13562),
    [anon_sym_in] = ACTIONS(13560),
    [anon_sym_LBRACE] = ACTIONS(13560),
    [anon_sym_DOLLAR] = ACTIONS(13560),
    [anon_sym_COLON_COLON] = ACTIONS(13560),
    [anon_sym_isa] = ACTIONS(13560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13560),
    [anon_sym_QMARK] = ACTIONS(13560),
    [anon_sym_AT] = ACTIONS(13560),
    [anon_sym_true] = ACTIONS(13560),
    [anon_sym_false] = ACTIONS(13560),
    [aux_sym_integer_literal_token1] = ACTIONS(13560),
    [aux_sym_integer_literal_token2] = ACTIONS(13560),
    [aux_sym_integer_literal_token3] = ACTIONS(13560),
    [aux_sym_integer_literal_token4] = ACTIONS(13560),
    [aux_sym_float_literal_token1] = ACTIONS(13560),
    [aux_sym_float_literal_token3] = ACTIONS(13560),
    [aux_sym_float_literal_token4] = ACTIONS(13560),
    [sym_character_literal] = ACTIONS(13560),
    [sym__pair_operator] = ACTIONS(13560),
    [sym__arrow_operator] = ACTIONS(13560),
    [sym__lazy_or_operator] = ACTIONS(13560),
    [sym__lazy_and_operator] = ACTIONS(13560),
    [sym__comparison_operator] = ACTIONS(13560),
    [sym__pipe_right_operator] = ACTIONS(13560),
    [sym__pipe_left_operator] = ACTIONS(13560),
    [sym__ellipsis_operator] = ACTIONS(13560),
    [sym__plus_operator] = ACTIONS(13560),
    [sym__times_operator] = ACTIONS(13560),
    [sym__rational_operator] = ACTIONS(13560),
    [sym__bitshift_operator] = ACTIONS(13560),
    [sym__power_operator] = ACTIONS(13560),
    [sym__tilde_operator] = ACTIONS(13560),
    [sym__type_order_operator] = ACTIONS(13560),
    [sym__unary_operator] = ACTIONS(13560),
    [sym__unary_plus_operator] = ACTIONS(13560),
    [aux_sym__terminator_token1] = ACTIONS(13560),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13562),
    [sym__command_start] = ACTIONS(13562),
  },
  [7404] = {
    [ts_builtin_sym_end] = ACTIONS(13564),
    [sym__word_identifier] = ACTIONS(13566),
    [anon_sym_EQ] = ACTIONS(13566),
    [anon_sym_COMMA] = ACTIONS(13566),
    [anon_sym_COLON] = ACTIONS(13566),
    [anon_sym_begin] = ACTIONS(13566),
    [anon_sym_module] = ACTIONS(13566),
    [anon_sym_baremodule] = ACTIONS(13566),
    [anon_sym_abstract] = ACTIONS(13566),
    [anon_sym_primitive] = ACTIONS(13566),
    [anon_sym_mutable] = ACTIONS(13566),
    [anon_sym_struct] = ACTIONS(13566),
    [anon_sym_function] = ACTIONS(13566),
    [anon_sym_macro] = ACTIONS(13566),
    [anon_sym_where] = ACTIONS(13566),
    [anon_sym_quote] = ACTIONS(13566),
    [anon_sym_let] = ACTIONS(13566),
    [anon_sym_if] = ACTIONS(13566),
    [anon_sym_try] = ACTIONS(13566),
    [anon_sym_for] = ACTIONS(13566),
    [anon_sym_while] = ACTIONS(13566),
    [sym_break_statement] = ACTIONS(13566),
    [sym_continue_statement] = ACTIONS(13566),
    [anon_sym_return] = ACTIONS(13566),
    [anon_sym_const] = ACTIONS(13566),
    [anon_sym_global] = ACTIONS(13566),
    [anon_sym_local] = ACTIONS(13566),
    [anon_sym_LPAREN] = ACTIONS(13566),
    [anon_sym_RPAREN] = ACTIONS(13566),
    [anon_sym_COLON2] = ACTIONS(13566),
    [anon_sym_export] = ACTIONS(13566),
    [anon_sym_import] = ACTIONS(13566),
    [anon_sym_using] = ACTIONS(13566),
    [anon_sym_LBRACK] = ACTIONS(13566),
    [anon_sym_RBRACK] = ACTIONS(13566),
    [anon_sym_LF] = ACTIONS(13564),
    [anon_sym_in] = ACTIONS(13566),
    [anon_sym_LBRACE] = ACTIONS(13566),
    [anon_sym_DOLLAR] = ACTIONS(13566),
    [anon_sym_COLON_COLON] = ACTIONS(13566),
    [anon_sym_isa] = ACTIONS(13566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13566),
    [anon_sym_QMARK] = ACTIONS(13566),
    [anon_sym_AT] = ACTIONS(13566),
    [anon_sym_true] = ACTIONS(13566),
    [anon_sym_false] = ACTIONS(13566),
    [aux_sym_integer_literal_token1] = ACTIONS(13566),
    [aux_sym_integer_literal_token2] = ACTIONS(13566),
    [aux_sym_integer_literal_token3] = ACTIONS(13566),
    [aux_sym_integer_literal_token4] = ACTIONS(13566),
    [aux_sym_float_literal_token1] = ACTIONS(13566),
    [aux_sym_float_literal_token3] = ACTIONS(13566),
    [aux_sym_float_literal_token4] = ACTIONS(13566),
    [sym_character_literal] = ACTIONS(13566),
    [sym__pair_operator] = ACTIONS(13566),
    [sym__arrow_operator] = ACTIONS(13566),
    [sym__lazy_or_operator] = ACTIONS(13566),
    [sym__lazy_and_operator] = ACTIONS(13566),
    [sym__comparison_operator] = ACTIONS(13566),
    [sym__pipe_right_operator] = ACTIONS(13566),
    [sym__pipe_left_operator] = ACTIONS(13566),
    [sym__ellipsis_operator] = ACTIONS(13566),
    [sym__plus_operator] = ACTIONS(13566),
    [sym__times_operator] = ACTIONS(13566),
    [sym__rational_operator] = ACTIONS(13566),
    [sym__bitshift_operator] = ACTIONS(13566),
    [sym__power_operator] = ACTIONS(13566),
    [sym__tilde_operator] = ACTIONS(13566),
    [sym__type_order_operator] = ACTIONS(13566),
    [sym__unary_operator] = ACTIONS(13566),
    [sym__unary_plus_operator] = ACTIONS(13566),
    [aux_sym__terminator_token1] = ACTIONS(13566),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13564),
    [sym__command_start] = ACTIONS(13564),
  },
  [7405] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2186),
    [aux_sym_integer_literal_token2] = ACTIONS(2186),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2186),
    [aux_sym_float_literal_token3] = ACTIONS(2186),
    [aux_sym_float_literal_token4] = ACTIONS(2186),
    [sym_character_literal] = ACTIONS(2186),
    [sym__pair_operator] = ACTIONS(2186),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2186),
    [sym__pipe_left_operator] = ACTIONS(2186),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2186),
    [sym__bitshift_operator] = ACTIONS(2186),
    [sym__power_operator] = ACTIONS(2186),
    [sym__tilde_operator] = ACTIONS(2186),
    [sym__type_order_operator] = ACTIONS(2186),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7406] = {
    [ts_builtin_sym_end] = ACTIONS(13568),
    [sym__word_identifier] = ACTIONS(13570),
    [anon_sym_EQ] = ACTIONS(13570),
    [anon_sym_COMMA] = ACTIONS(13570),
    [anon_sym_COLON] = ACTIONS(13570),
    [anon_sym_begin] = ACTIONS(13570),
    [anon_sym_module] = ACTIONS(13570),
    [anon_sym_baremodule] = ACTIONS(13570),
    [anon_sym_abstract] = ACTIONS(13570),
    [anon_sym_primitive] = ACTIONS(13570),
    [anon_sym_mutable] = ACTIONS(13570),
    [anon_sym_struct] = ACTIONS(13570),
    [anon_sym_function] = ACTIONS(13570),
    [anon_sym_macro] = ACTIONS(13570),
    [anon_sym_where] = ACTIONS(13570),
    [anon_sym_quote] = ACTIONS(13570),
    [anon_sym_let] = ACTIONS(13570),
    [anon_sym_if] = ACTIONS(13570),
    [anon_sym_try] = ACTIONS(13570),
    [anon_sym_for] = ACTIONS(13570),
    [anon_sym_while] = ACTIONS(13570),
    [sym_break_statement] = ACTIONS(13570),
    [sym_continue_statement] = ACTIONS(13570),
    [anon_sym_return] = ACTIONS(13570),
    [anon_sym_const] = ACTIONS(13570),
    [anon_sym_global] = ACTIONS(13570),
    [anon_sym_local] = ACTIONS(13570),
    [anon_sym_LPAREN] = ACTIONS(13570),
    [anon_sym_RPAREN] = ACTIONS(13570),
    [anon_sym_COLON2] = ACTIONS(13570),
    [anon_sym_export] = ACTIONS(13570),
    [anon_sym_import] = ACTIONS(13570),
    [anon_sym_using] = ACTIONS(13570),
    [anon_sym_LBRACK] = ACTIONS(13570),
    [anon_sym_RBRACK] = ACTIONS(13570),
    [anon_sym_LF] = ACTIONS(13568),
    [anon_sym_in] = ACTIONS(13570),
    [anon_sym_LBRACE] = ACTIONS(13570),
    [anon_sym_DOLLAR] = ACTIONS(13570),
    [anon_sym_COLON_COLON] = ACTIONS(13570),
    [anon_sym_isa] = ACTIONS(13570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13570),
    [anon_sym_QMARK] = ACTIONS(13570),
    [anon_sym_AT] = ACTIONS(13570),
    [anon_sym_true] = ACTIONS(13570),
    [anon_sym_false] = ACTIONS(13570),
    [aux_sym_integer_literal_token1] = ACTIONS(13570),
    [aux_sym_integer_literal_token2] = ACTIONS(13570),
    [aux_sym_integer_literal_token3] = ACTIONS(13570),
    [aux_sym_integer_literal_token4] = ACTIONS(13570),
    [aux_sym_float_literal_token1] = ACTIONS(13570),
    [aux_sym_float_literal_token3] = ACTIONS(13570),
    [aux_sym_float_literal_token4] = ACTIONS(13570),
    [sym_character_literal] = ACTIONS(13570),
    [sym__pair_operator] = ACTIONS(13570),
    [sym__arrow_operator] = ACTIONS(13570),
    [sym__lazy_or_operator] = ACTIONS(13570),
    [sym__lazy_and_operator] = ACTIONS(13570),
    [sym__comparison_operator] = ACTIONS(13570),
    [sym__pipe_right_operator] = ACTIONS(13570),
    [sym__pipe_left_operator] = ACTIONS(13570),
    [sym__ellipsis_operator] = ACTIONS(13570),
    [sym__plus_operator] = ACTIONS(13570),
    [sym__times_operator] = ACTIONS(13570),
    [sym__rational_operator] = ACTIONS(13570),
    [sym__bitshift_operator] = ACTIONS(13570),
    [sym__power_operator] = ACTIONS(13570),
    [sym__tilde_operator] = ACTIONS(13570),
    [sym__type_order_operator] = ACTIONS(13570),
    [sym__unary_operator] = ACTIONS(13570),
    [sym__unary_plus_operator] = ACTIONS(13570),
    [aux_sym__terminator_token1] = ACTIONS(13570),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13568),
    [sym__command_start] = ACTIONS(13568),
  },
  [7407] = {
    [ts_builtin_sym_end] = ACTIONS(13572),
    [sym__word_identifier] = ACTIONS(13574),
    [anon_sym_EQ] = ACTIONS(13574),
    [anon_sym_COMMA] = ACTIONS(13574),
    [anon_sym_COLON] = ACTIONS(13574),
    [anon_sym_begin] = ACTIONS(13574),
    [anon_sym_module] = ACTIONS(13574),
    [anon_sym_baremodule] = ACTIONS(13574),
    [anon_sym_abstract] = ACTIONS(13574),
    [anon_sym_primitive] = ACTIONS(13574),
    [anon_sym_mutable] = ACTIONS(13574),
    [anon_sym_struct] = ACTIONS(13574),
    [anon_sym_function] = ACTIONS(13574),
    [anon_sym_macro] = ACTIONS(13574),
    [anon_sym_where] = ACTIONS(13574),
    [anon_sym_quote] = ACTIONS(13574),
    [anon_sym_let] = ACTIONS(13574),
    [anon_sym_if] = ACTIONS(13574),
    [anon_sym_try] = ACTIONS(13574),
    [anon_sym_for] = ACTIONS(13574),
    [anon_sym_while] = ACTIONS(13574),
    [sym_break_statement] = ACTIONS(13574),
    [sym_continue_statement] = ACTIONS(13574),
    [anon_sym_return] = ACTIONS(13574),
    [anon_sym_const] = ACTIONS(13574),
    [anon_sym_global] = ACTIONS(13574),
    [anon_sym_local] = ACTIONS(13574),
    [anon_sym_LPAREN] = ACTIONS(13574),
    [anon_sym_RPAREN] = ACTIONS(13574),
    [anon_sym_COLON2] = ACTIONS(13574),
    [anon_sym_export] = ACTIONS(13574),
    [anon_sym_import] = ACTIONS(13574),
    [anon_sym_using] = ACTIONS(13574),
    [anon_sym_LBRACK] = ACTIONS(13574),
    [anon_sym_RBRACK] = ACTIONS(13574),
    [anon_sym_LF] = ACTIONS(13572),
    [anon_sym_in] = ACTIONS(13574),
    [anon_sym_LBRACE] = ACTIONS(13574),
    [anon_sym_DOLLAR] = ACTIONS(13574),
    [anon_sym_COLON_COLON] = ACTIONS(13574),
    [anon_sym_isa] = ACTIONS(13574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13574),
    [anon_sym_QMARK] = ACTIONS(13574),
    [anon_sym_AT] = ACTIONS(13574),
    [anon_sym_true] = ACTIONS(13574),
    [anon_sym_false] = ACTIONS(13574),
    [aux_sym_integer_literal_token1] = ACTIONS(13574),
    [aux_sym_integer_literal_token2] = ACTIONS(13574),
    [aux_sym_integer_literal_token3] = ACTIONS(13574),
    [aux_sym_integer_literal_token4] = ACTIONS(13574),
    [aux_sym_float_literal_token1] = ACTIONS(13574),
    [aux_sym_float_literal_token3] = ACTIONS(13574),
    [aux_sym_float_literal_token4] = ACTIONS(13574),
    [sym_character_literal] = ACTIONS(13574),
    [sym__pair_operator] = ACTIONS(13574),
    [sym__arrow_operator] = ACTIONS(13574),
    [sym__lazy_or_operator] = ACTIONS(13574),
    [sym__lazy_and_operator] = ACTIONS(13574),
    [sym__comparison_operator] = ACTIONS(13574),
    [sym__pipe_right_operator] = ACTIONS(13574),
    [sym__pipe_left_operator] = ACTIONS(13574),
    [sym__ellipsis_operator] = ACTIONS(13574),
    [sym__plus_operator] = ACTIONS(13574),
    [sym__times_operator] = ACTIONS(13574),
    [sym__rational_operator] = ACTIONS(13574),
    [sym__bitshift_operator] = ACTIONS(13574),
    [sym__power_operator] = ACTIONS(13574),
    [sym__tilde_operator] = ACTIONS(13574),
    [sym__type_order_operator] = ACTIONS(13574),
    [sym__unary_operator] = ACTIONS(13574),
    [sym__unary_plus_operator] = ACTIONS(13574),
    [aux_sym__terminator_token1] = ACTIONS(13574),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13572),
    [sym__command_start] = ACTIONS(13572),
  },
  [7408] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_else] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_finally] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13576),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [7409] = {
    [sym__comprehension_clause] = STATE(19317),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16834),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13578),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13580),
    [anon_sym_LF] = ACTIONS(13582),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13585),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7410] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_elseif] = ACTIONS(13242),
    [anon_sym_else] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13588),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [7411] = {
    [ts_builtin_sym_end] = ACTIONS(13590),
    [sym__word_identifier] = ACTIONS(13592),
    [anon_sym_EQ] = ACTIONS(13592),
    [anon_sym_COMMA] = ACTIONS(13592),
    [anon_sym_COLON] = ACTIONS(13592),
    [anon_sym_begin] = ACTIONS(13592),
    [anon_sym_module] = ACTIONS(13592),
    [anon_sym_baremodule] = ACTIONS(13592),
    [anon_sym_abstract] = ACTIONS(13592),
    [anon_sym_primitive] = ACTIONS(13592),
    [anon_sym_mutable] = ACTIONS(13592),
    [anon_sym_struct] = ACTIONS(13592),
    [anon_sym_function] = ACTIONS(13592),
    [anon_sym_macro] = ACTIONS(13592),
    [anon_sym_where] = ACTIONS(13592),
    [anon_sym_quote] = ACTIONS(13592),
    [anon_sym_let] = ACTIONS(13592),
    [anon_sym_if] = ACTIONS(13592),
    [anon_sym_try] = ACTIONS(13592),
    [anon_sym_for] = ACTIONS(13592),
    [anon_sym_while] = ACTIONS(13592),
    [sym_break_statement] = ACTIONS(13592),
    [sym_continue_statement] = ACTIONS(13592),
    [anon_sym_return] = ACTIONS(13592),
    [anon_sym_const] = ACTIONS(13592),
    [anon_sym_global] = ACTIONS(13592),
    [anon_sym_local] = ACTIONS(13592),
    [anon_sym_LPAREN] = ACTIONS(13592),
    [anon_sym_RPAREN] = ACTIONS(13592),
    [anon_sym_COLON2] = ACTIONS(13592),
    [anon_sym_export] = ACTIONS(13592),
    [anon_sym_import] = ACTIONS(13592),
    [anon_sym_using] = ACTIONS(13592),
    [anon_sym_LBRACK] = ACTIONS(13592),
    [anon_sym_RBRACK] = ACTIONS(13592),
    [anon_sym_LF] = ACTIONS(13590),
    [anon_sym_in] = ACTIONS(13592),
    [anon_sym_LBRACE] = ACTIONS(13592),
    [anon_sym_DOLLAR] = ACTIONS(13592),
    [anon_sym_COLON_COLON] = ACTIONS(13592),
    [anon_sym_isa] = ACTIONS(13592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13592),
    [anon_sym_QMARK] = ACTIONS(13592),
    [anon_sym_AT] = ACTIONS(13592),
    [anon_sym_true] = ACTIONS(13592),
    [anon_sym_false] = ACTIONS(13592),
    [aux_sym_integer_literal_token1] = ACTIONS(13592),
    [aux_sym_integer_literal_token2] = ACTIONS(13592),
    [aux_sym_integer_literal_token3] = ACTIONS(13592),
    [aux_sym_integer_literal_token4] = ACTIONS(13592),
    [aux_sym_float_literal_token1] = ACTIONS(13592),
    [aux_sym_float_literal_token3] = ACTIONS(13592),
    [aux_sym_float_literal_token4] = ACTIONS(13592),
    [sym_character_literal] = ACTIONS(13592),
    [sym__pair_operator] = ACTIONS(13592),
    [sym__arrow_operator] = ACTIONS(13592),
    [sym__lazy_or_operator] = ACTIONS(13592),
    [sym__lazy_and_operator] = ACTIONS(13592),
    [sym__comparison_operator] = ACTIONS(13592),
    [sym__pipe_right_operator] = ACTIONS(13592),
    [sym__pipe_left_operator] = ACTIONS(13592),
    [sym__ellipsis_operator] = ACTIONS(13592),
    [sym__plus_operator] = ACTIONS(13592),
    [sym__times_operator] = ACTIONS(13592),
    [sym__rational_operator] = ACTIONS(13592),
    [sym__bitshift_operator] = ACTIONS(13592),
    [sym__power_operator] = ACTIONS(13592),
    [sym__tilde_operator] = ACTIONS(13592),
    [sym__type_order_operator] = ACTIONS(13592),
    [sym__unary_operator] = ACTIONS(13592),
    [sym__unary_plus_operator] = ACTIONS(13592),
    [aux_sym__terminator_token1] = ACTIONS(13592),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13590),
    [sym__command_start] = ACTIONS(13590),
  },
  [7412] = {
    [sym__comprehension_clause] = STATE(19247),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16754),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13594),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13596),
    [anon_sym_LF] = ACTIONS(13598),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13601),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7413] = {
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13242),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_elseif] = ACTIONS(13242),
    [anon_sym_else] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13242),
    [anon_sym_isa] = ACTIONS(13242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13242),
    [anon_sym_QMARK] = ACTIONS(13242),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13242),
    [sym__lazy_or_operator] = ACTIONS(13242),
    [sym__lazy_and_operator] = ACTIONS(13242),
    [sym__comparison_operator] = ACTIONS(13242),
    [sym__pipe_right_operator] = ACTIONS(13242),
    [sym__pipe_left_operator] = ACTIONS(13242),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13242),
    [sym__times_operator] = ACTIONS(13242),
    [sym__rational_operator] = ACTIONS(13242),
    [sym__bitshift_operator] = ACTIONS(13242),
    [sym__power_operator] = ACTIONS(13242),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13242),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13242),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [7414] = {
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13242),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_else] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_finally] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13242),
    [anon_sym_isa] = ACTIONS(13242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13242),
    [anon_sym_QMARK] = ACTIONS(13242),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13242),
    [sym__lazy_or_operator] = ACTIONS(13242),
    [sym__lazy_and_operator] = ACTIONS(13242),
    [sym__comparison_operator] = ACTIONS(13242),
    [sym__pipe_right_operator] = ACTIONS(13242),
    [sym__pipe_left_operator] = ACTIONS(13242),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13242),
    [sym__times_operator] = ACTIONS(13242),
    [sym__rational_operator] = ACTIONS(13242),
    [sym__bitshift_operator] = ACTIONS(13242),
    [sym__power_operator] = ACTIONS(13242),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13242),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13242),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [7415] = {
    [ts_builtin_sym_end] = ACTIONS(13604),
    [sym__word_identifier] = ACTIONS(13606),
    [anon_sym_EQ] = ACTIONS(13606),
    [anon_sym_COMMA] = ACTIONS(13606),
    [anon_sym_COLON] = ACTIONS(13606),
    [anon_sym_begin] = ACTIONS(13606),
    [anon_sym_module] = ACTIONS(13606),
    [anon_sym_baremodule] = ACTIONS(13606),
    [anon_sym_abstract] = ACTIONS(13606),
    [anon_sym_primitive] = ACTIONS(13606),
    [anon_sym_mutable] = ACTIONS(13606),
    [anon_sym_struct] = ACTIONS(13606),
    [anon_sym_function] = ACTIONS(13606),
    [anon_sym_macro] = ACTIONS(13606),
    [anon_sym_where] = ACTIONS(13606),
    [anon_sym_quote] = ACTIONS(13606),
    [anon_sym_let] = ACTIONS(13606),
    [anon_sym_if] = ACTIONS(13606),
    [anon_sym_try] = ACTIONS(13606),
    [anon_sym_for] = ACTIONS(13606),
    [anon_sym_while] = ACTIONS(13606),
    [sym_break_statement] = ACTIONS(13606),
    [sym_continue_statement] = ACTIONS(13606),
    [anon_sym_return] = ACTIONS(13606),
    [anon_sym_const] = ACTIONS(13606),
    [anon_sym_global] = ACTIONS(13606),
    [anon_sym_local] = ACTIONS(13606),
    [anon_sym_LPAREN] = ACTIONS(13606),
    [anon_sym_RPAREN] = ACTIONS(13606),
    [anon_sym_COLON2] = ACTIONS(13606),
    [anon_sym_export] = ACTIONS(13606),
    [anon_sym_import] = ACTIONS(13606),
    [anon_sym_using] = ACTIONS(13606),
    [anon_sym_LBRACK] = ACTIONS(13606),
    [anon_sym_RBRACK] = ACTIONS(13606),
    [anon_sym_LF] = ACTIONS(13604),
    [anon_sym_in] = ACTIONS(13606),
    [anon_sym_LBRACE] = ACTIONS(13606),
    [anon_sym_DOLLAR] = ACTIONS(13606),
    [anon_sym_COLON_COLON] = ACTIONS(13606),
    [anon_sym_isa] = ACTIONS(13606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13606),
    [anon_sym_QMARK] = ACTIONS(13606),
    [anon_sym_AT] = ACTIONS(13606),
    [anon_sym_true] = ACTIONS(13606),
    [anon_sym_false] = ACTIONS(13606),
    [aux_sym_integer_literal_token1] = ACTIONS(13606),
    [aux_sym_integer_literal_token2] = ACTIONS(13606),
    [aux_sym_integer_literal_token3] = ACTIONS(13606),
    [aux_sym_integer_literal_token4] = ACTIONS(13606),
    [aux_sym_float_literal_token1] = ACTIONS(13606),
    [aux_sym_float_literal_token3] = ACTIONS(13606),
    [aux_sym_float_literal_token4] = ACTIONS(13606),
    [sym_character_literal] = ACTIONS(13606),
    [sym__pair_operator] = ACTIONS(13606),
    [sym__arrow_operator] = ACTIONS(13606),
    [sym__lazy_or_operator] = ACTIONS(13606),
    [sym__lazy_and_operator] = ACTIONS(13606),
    [sym__comparison_operator] = ACTIONS(13606),
    [sym__pipe_right_operator] = ACTIONS(13606),
    [sym__pipe_left_operator] = ACTIONS(13606),
    [sym__ellipsis_operator] = ACTIONS(13606),
    [sym__plus_operator] = ACTIONS(13606),
    [sym__times_operator] = ACTIONS(13606),
    [sym__rational_operator] = ACTIONS(13606),
    [sym__bitshift_operator] = ACTIONS(13606),
    [sym__power_operator] = ACTIONS(13606),
    [sym__tilde_operator] = ACTIONS(13606),
    [sym__type_order_operator] = ACTIONS(13606),
    [sym__unary_operator] = ACTIONS(13606),
    [sym__unary_plus_operator] = ACTIONS(13606),
    [aux_sym__terminator_token1] = ACTIONS(13606),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13604),
    [sym__command_start] = ACTIONS(13604),
  },
  [7416] = {
    [sym__comprehension_clause] = STATE(18632),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16770),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13608),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13610),
    [anon_sym_LF] = ACTIONS(13612),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13615),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7417] = {
    [sym__comprehension_clause] = STATE(19284),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16873),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13618),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13620),
    [anon_sym_LF] = ACTIONS(13622),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13625),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7418] = {
    [ts_builtin_sym_end] = ACTIONS(13628),
    [sym__word_identifier] = ACTIONS(13630),
    [anon_sym_EQ] = ACTIONS(13630),
    [anon_sym_COMMA] = ACTIONS(13630),
    [anon_sym_COLON] = ACTIONS(13630),
    [anon_sym_begin] = ACTIONS(13630),
    [anon_sym_module] = ACTIONS(13630),
    [anon_sym_baremodule] = ACTIONS(13630),
    [anon_sym_abstract] = ACTIONS(13630),
    [anon_sym_primitive] = ACTIONS(13630),
    [anon_sym_mutable] = ACTIONS(13630),
    [anon_sym_struct] = ACTIONS(13630),
    [anon_sym_function] = ACTIONS(13630),
    [anon_sym_macro] = ACTIONS(13630),
    [anon_sym_where] = ACTIONS(13630),
    [anon_sym_quote] = ACTIONS(13630),
    [anon_sym_let] = ACTIONS(13630),
    [anon_sym_if] = ACTIONS(13630),
    [anon_sym_try] = ACTIONS(13630),
    [anon_sym_for] = ACTIONS(13630),
    [anon_sym_while] = ACTIONS(13630),
    [sym_break_statement] = ACTIONS(13630),
    [sym_continue_statement] = ACTIONS(13630),
    [anon_sym_return] = ACTIONS(13630),
    [anon_sym_const] = ACTIONS(13630),
    [anon_sym_global] = ACTIONS(13630),
    [anon_sym_local] = ACTIONS(13630),
    [anon_sym_LPAREN] = ACTIONS(13630),
    [anon_sym_RPAREN] = ACTIONS(13630),
    [anon_sym_COLON2] = ACTIONS(13630),
    [anon_sym_export] = ACTIONS(13630),
    [anon_sym_import] = ACTIONS(13630),
    [anon_sym_using] = ACTIONS(13630),
    [anon_sym_LBRACK] = ACTIONS(13630),
    [anon_sym_RBRACK] = ACTIONS(13630),
    [anon_sym_LF] = ACTIONS(13628),
    [anon_sym_in] = ACTIONS(13630),
    [anon_sym_LBRACE] = ACTIONS(13630),
    [anon_sym_DOLLAR] = ACTIONS(13630),
    [anon_sym_COLON_COLON] = ACTIONS(13630),
    [anon_sym_isa] = ACTIONS(13630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13630),
    [anon_sym_QMARK] = ACTIONS(13630),
    [anon_sym_AT] = ACTIONS(13630),
    [anon_sym_true] = ACTIONS(13630),
    [anon_sym_false] = ACTIONS(13630),
    [aux_sym_integer_literal_token1] = ACTIONS(13630),
    [aux_sym_integer_literal_token2] = ACTIONS(13630),
    [aux_sym_integer_literal_token3] = ACTIONS(13630),
    [aux_sym_integer_literal_token4] = ACTIONS(13630),
    [aux_sym_float_literal_token1] = ACTIONS(13630),
    [aux_sym_float_literal_token3] = ACTIONS(13630),
    [aux_sym_float_literal_token4] = ACTIONS(13630),
    [sym_character_literal] = ACTIONS(13630),
    [sym__pair_operator] = ACTIONS(13630),
    [sym__arrow_operator] = ACTIONS(13630),
    [sym__lazy_or_operator] = ACTIONS(13630),
    [sym__lazy_and_operator] = ACTIONS(13630),
    [sym__comparison_operator] = ACTIONS(13630),
    [sym__pipe_right_operator] = ACTIONS(13630),
    [sym__pipe_left_operator] = ACTIONS(13630),
    [sym__ellipsis_operator] = ACTIONS(13630),
    [sym__plus_operator] = ACTIONS(13630),
    [sym__times_operator] = ACTIONS(13630),
    [sym__rational_operator] = ACTIONS(13630),
    [sym__bitshift_operator] = ACTIONS(13630),
    [sym__power_operator] = ACTIONS(13630),
    [sym__tilde_operator] = ACTIONS(13630),
    [sym__type_order_operator] = ACTIONS(13630),
    [sym__unary_operator] = ACTIONS(13630),
    [sym__unary_plus_operator] = ACTIONS(13630),
    [aux_sym__terminator_token1] = ACTIONS(13630),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13628),
    [sym__command_start] = ACTIONS(13628),
  },
  [7419] = {
    [sym__word_identifier] = ACTIONS(13632),
    [anon_sym_EQ] = ACTIONS(13632),
    [anon_sym_COMMA] = ACTIONS(13632),
    [anon_sym_COLON] = ACTIONS(13632),
    [anon_sym_begin] = ACTIONS(13632),
    [anon_sym_module] = ACTIONS(13632),
    [anon_sym_baremodule] = ACTIONS(13632),
    [anon_sym_end] = ACTIONS(13632),
    [anon_sym_abstract] = ACTIONS(13632),
    [anon_sym_primitive] = ACTIONS(13632),
    [anon_sym_mutable] = ACTIONS(13632),
    [anon_sym_struct] = ACTIONS(13632),
    [anon_sym_function] = ACTIONS(13632),
    [anon_sym_macro] = ACTIONS(13632),
    [anon_sym_where] = ACTIONS(13632),
    [anon_sym_quote] = ACTIONS(13632),
    [anon_sym_let] = ACTIONS(13632),
    [anon_sym_if] = ACTIONS(13632),
    [anon_sym_elseif] = ACTIONS(13632),
    [anon_sym_else] = ACTIONS(13632),
    [anon_sym_try] = ACTIONS(13632),
    [anon_sym_for] = ACTIONS(13632),
    [anon_sym_while] = ACTIONS(13632),
    [sym_break_statement] = ACTIONS(13632),
    [sym_continue_statement] = ACTIONS(13632),
    [anon_sym_return] = ACTIONS(13632),
    [anon_sym_const] = ACTIONS(13632),
    [anon_sym_global] = ACTIONS(13632),
    [anon_sym_local] = ACTIONS(13632),
    [anon_sym_LPAREN] = ACTIONS(13632),
    [anon_sym_COLON2] = ACTIONS(13632),
    [anon_sym_export] = ACTIONS(13632),
    [anon_sym_import] = ACTIONS(13632),
    [anon_sym_using] = ACTIONS(13632),
    [anon_sym_LBRACK] = ACTIONS(13632),
    [anon_sym_LF] = ACTIONS(13634),
    [anon_sym_in] = ACTIONS(13632),
    [anon_sym_LBRACE] = ACTIONS(13632),
    [anon_sym_DOLLAR] = ACTIONS(13632),
    [anon_sym_COLON_COLON] = ACTIONS(13632),
    [anon_sym_isa] = ACTIONS(13632),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13632),
    [anon_sym_QMARK] = ACTIONS(13632),
    [anon_sym_AT] = ACTIONS(13632),
    [anon_sym_true] = ACTIONS(13632),
    [anon_sym_false] = ACTIONS(13632),
    [aux_sym_integer_literal_token1] = ACTIONS(13632),
    [aux_sym_integer_literal_token2] = ACTIONS(13632),
    [aux_sym_integer_literal_token3] = ACTIONS(13632),
    [aux_sym_integer_literal_token4] = ACTIONS(13632),
    [aux_sym_float_literal_token1] = ACTIONS(13632),
    [aux_sym_float_literal_token3] = ACTIONS(13632),
    [aux_sym_float_literal_token4] = ACTIONS(13632),
    [sym_character_literal] = ACTIONS(13632),
    [sym__pair_operator] = ACTIONS(13632),
    [sym__arrow_operator] = ACTIONS(13632),
    [sym__lazy_or_operator] = ACTIONS(13632),
    [sym__lazy_and_operator] = ACTIONS(13632),
    [sym__comparison_operator] = ACTIONS(13632),
    [sym__pipe_right_operator] = ACTIONS(13632),
    [sym__pipe_left_operator] = ACTIONS(13632),
    [sym__ellipsis_operator] = ACTIONS(13632),
    [sym__plus_operator] = ACTIONS(13632),
    [sym__times_operator] = ACTIONS(13632),
    [sym__rational_operator] = ACTIONS(13632),
    [sym__bitshift_operator] = ACTIONS(13632),
    [sym__power_operator] = ACTIONS(13632),
    [sym__tilde_operator] = ACTIONS(13632),
    [sym__type_order_operator] = ACTIONS(13632),
    [sym__unary_operator] = ACTIONS(13632),
    [sym__unary_plus_operator] = ACTIONS(13632),
    [aux_sym__terminator_token1] = ACTIONS(13632),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13634),
    [sym__command_start] = ACTIONS(13634),
  },
  [7420] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_catch] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [7421] = {
    [sym__comprehension_clause] = STATE(18804),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17312),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13636),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13638),
    [anon_sym_LF] = ACTIONS(13640),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13643),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7422] = {
    [sym__comprehension_clause] = STATE(18270),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17237),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13646),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13648),
    [anon_sym_LF] = ACTIONS(13650),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13653),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7423] = {
    [sym__word_identifier] = ACTIONS(13656),
    [anon_sym_EQ] = ACTIONS(13656),
    [anon_sym_COMMA] = ACTIONS(13656),
    [anon_sym_COLON] = ACTIONS(13656),
    [anon_sym_begin] = ACTIONS(13656),
    [anon_sym_module] = ACTIONS(13656),
    [anon_sym_baremodule] = ACTIONS(13656),
    [anon_sym_end] = ACTIONS(13656),
    [anon_sym_abstract] = ACTIONS(13656),
    [anon_sym_primitive] = ACTIONS(13656),
    [anon_sym_mutable] = ACTIONS(13656),
    [anon_sym_struct] = ACTIONS(13656),
    [anon_sym_function] = ACTIONS(13656),
    [anon_sym_macro] = ACTIONS(13656),
    [anon_sym_where] = ACTIONS(13656),
    [anon_sym_quote] = ACTIONS(13656),
    [anon_sym_let] = ACTIONS(13656),
    [anon_sym_if] = ACTIONS(13656),
    [anon_sym_elseif] = ACTIONS(13656),
    [anon_sym_else] = ACTIONS(13656),
    [anon_sym_try] = ACTIONS(13656),
    [anon_sym_for] = ACTIONS(13656),
    [anon_sym_while] = ACTIONS(13656),
    [sym_break_statement] = ACTIONS(13656),
    [sym_continue_statement] = ACTIONS(13656),
    [anon_sym_return] = ACTIONS(13656),
    [anon_sym_const] = ACTIONS(13656),
    [anon_sym_global] = ACTIONS(13656),
    [anon_sym_local] = ACTIONS(13656),
    [anon_sym_LPAREN] = ACTIONS(13656),
    [anon_sym_COLON2] = ACTIONS(13656),
    [anon_sym_export] = ACTIONS(13656),
    [anon_sym_import] = ACTIONS(13656),
    [anon_sym_using] = ACTIONS(13656),
    [anon_sym_LBRACK] = ACTIONS(13656),
    [anon_sym_LF] = ACTIONS(13658),
    [anon_sym_in] = ACTIONS(13656),
    [anon_sym_LBRACE] = ACTIONS(13656),
    [anon_sym_DOLLAR] = ACTIONS(13656),
    [anon_sym_COLON_COLON] = ACTIONS(13656),
    [anon_sym_isa] = ACTIONS(13656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13656),
    [anon_sym_QMARK] = ACTIONS(13656),
    [anon_sym_AT] = ACTIONS(13656),
    [anon_sym_true] = ACTIONS(13656),
    [anon_sym_false] = ACTIONS(13656),
    [aux_sym_integer_literal_token1] = ACTIONS(13656),
    [aux_sym_integer_literal_token2] = ACTIONS(13656),
    [aux_sym_integer_literal_token3] = ACTIONS(13656),
    [aux_sym_integer_literal_token4] = ACTIONS(13656),
    [aux_sym_float_literal_token1] = ACTIONS(13656),
    [aux_sym_float_literal_token3] = ACTIONS(13656),
    [aux_sym_float_literal_token4] = ACTIONS(13656),
    [sym_character_literal] = ACTIONS(13656),
    [sym__pair_operator] = ACTIONS(13656),
    [sym__arrow_operator] = ACTIONS(13656),
    [sym__lazy_or_operator] = ACTIONS(13656),
    [sym__lazy_and_operator] = ACTIONS(13656),
    [sym__comparison_operator] = ACTIONS(13656),
    [sym__pipe_right_operator] = ACTIONS(13656),
    [sym__pipe_left_operator] = ACTIONS(13656),
    [sym__ellipsis_operator] = ACTIONS(13656),
    [sym__plus_operator] = ACTIONS(13656),
    [sym__times_operator] = ACTIONS(13656),
    [sym__rational_operator] = ACTIONS(13656),
    [sym__bitshift_operator] = ACTIONS(13656),
    [sym__power_operator] = ACTIONS(13656),
    [sym__tilde_operator] = ACTIONS(13656),
    [sym__type_order_operator] = ACTIONS(13656),
    [sym__unary_operator] = ACTIONS(13656),
    [sym__unary_plus_operator] = ACTIONS(13656),
    [aux_sym__terminator_token1] = ACTIONS(13656),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13658),
    [sym__command_start] = ACTIONS(13658),
  },
  [7424] = {
    [sym__word_identifier] = ACTIONS(13660),
    [anon_sym_EQ] = ACTIONS(13660),
    [anon_sym_COMMA] = ACTIONS(13660),
    [anon_sym_COLON] = ACTIONS(13660),
    [anon_sym_begin] = ACTIONS(13660),
    [anon_sym_module] = ACTIONS(13660),
    [anon_sym_baremodule] = ACTIONS(13660),
    [anon_sym_end] = ACTIONS(13660),
    [anon_sym_abstract] = ACTIONS(13660),
    [anon_sym_primitive] = ACTIONS(13660),
    [anon_sym_mutable] = ACTIONS(13660),
    [anon_sym_struct] = ACTIONS(13660),
    [anon_sym_function] = ACTIONS(13660),
    [anon_sym_macro] = ACTIONS(13660),
    [anon_sym_where] = ACTIONS(13660),
    [anon_sym_quote] = ACTIONS(13660),
    [anon_sym_let] = ACTIONS(13660),
    [anon_sym_if] = ACTIONS(13660),
    [anon_sym_elseif] = ACTIONS(13660),
    [anon_sym_else] = ACTIONS(13660),
    [anon_sym_try] = ACTIONS(13660),
    [anon_sym_for] = ACTIONS(13660),
    [anon_sym_while] = ACTIONS(13660),
    [sym_break_statement] = ACTIONS(13660),
    [sym_continue_statement] = ACTIONS(13660),
    [anon_sym_return] = ACTIONS(13660),
    [anon_sym_const] = ACTIONS(13660),
    [anon_sym_global] = ACTIONS(13660),
    [anon_sym_local] = ACTIONS(13660),
    [anon_sym_LPAREN] = ACTIONS(13660),
    [anon_sym_COLON2] = ACTIONS(13660),
    [anon_sym_export] = ACTIONS(13660),
    [anon_sym_import] = ACTIONS(13660),
    [anon_sym_using] = ACTIONS(13660),
    [anon_sym_LBRACK] = ACTIONS(13660),
    [anon_sym_LF] = ACTIONS(13662),
    [anon_sym_in] = ACTIONS(13660),
    [anon_sym_LBRACE] = ACTIONS(13660),
    [anon_sym_DOLLAR] = ACTIONS(13660),
    [anon_sym_COLON_COLON] = ACTIONS(13660),
    [anon_sym_isa] = ACTIONS(13660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13660),
    [anon_sym_QMARK] = ACTIONS(13660),
    [anon_sym_AT] = ACTIONS(13660),
    [anon_sym_true] = ACTIONS(13660),
    [anon_sym_false] = ACTIONS(13660),
    [aux_sym_integer_literal_token1] = ACTIONS(13660),
    [aux_sym_integer_literal_token2] = ACTIONS(13660),
    [aux_sym_integer_literal_token3] = ACTIONS(13660),
    [aux_sym_integer_literal_token4] = ACTIONS(13660),
    [aux_sym_float_literal_token1] = ACTIONS(13660),
    [aux_sym_float_literal_token3] = ACTIONS(13660),
    [aux_sym_float_literal_token4] = ACTIONS(13660),
    [sym_character_literal] = ACTIONS(13660),
    [sym__pair_operator] = ACTIONS(13660),
    [sym__arrow_operator] = ACTIONS(13660),
    [sym__lazy_or_operator] = ACTIONS(13660),
    [sym__lazy_and_operator] = ACTIONS(13660),
    [sym__comparison_operator] = ACTIONS(13660),
    [sym__pipe_right_operator] = ACTIONS(13660),
    [sym__pipe_left_operator] = ACTIONS(13660),
    [sym__ellipsis_operator] = ACTIONS(13660),
    [sym__plus_operator] = ACTIONS(13660),
    [sym__times_operator] = ACTIONS(13660),
    [sym__rational_operator] = ACTIONS(13660),
    [sym__bitshift_operator] = ACTIONS(13660),
    [sym__power_operator] = ACTIONS(13660),
    [sym__tilde_operator] = ACTIONS(13660),
    [sym__type_order_operator] = ACTIONS(13660),
    [sym__unary_operator] = ACTIONS(13660),
    [sym__unary_plus_operator] = ACTIONS(13660),
    [aux_sym__terminator_token1] = ACTIONS(13660),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13662),
    [sym__command_start] = ACTIONS(13662),
  },
  [7425] = {
    [sym__word_identifier] = ACTIONS(13560),
    [anon_sym_EQ] = ACTIONS(13560),
    [anon_sym_COMMA] = ACTIONS(13560),
    [anon_sym_COLON] = ACTIONS(13560),
    [anon_sym_begin] = ACTIONS(13560),
    [anon_sym_module] = ACTIONS(13560),
    [anon_sym_baremodule] = ACTIONS(13560),
    [anon_sym_end] = ACTIONS(13560),
    [anon_sym_abstract] = ACTIONS(13560),
    [anon_sym_primitive] = ACTIONS(13560),
    [anon_sym_mutable] = ACTIONS(13560),
    [anon_sym_struct] = ACTIONS(13560),
    [anon_sym_function] = ACTIONS(13560),
    [anon_sym_macro] = ACTIONS(13560),
    [anon_sym_where] = ACTIONS(13560),
    [anon_sym_quote] = ACTIONS(13560),
    [anon_sym_let] = ACTIONS(13560),
    [anon_sym_if] = ACTIONS(13560),
    [anon_sym_else] = ACTIONS(13560),
    [anon_sym_try] = ACTIONS(13560),
    [anon_sym_finally] = ACTIONS(13560),
    [anon_sym_for] = ACTIONS(13560),
    [anon_sym_while] = ACTIONS(13560),
    [sym_break_statement] = ACTIONS(13560),
    [sym_continue_statement] = ACTIONS(13560),
    [anon_sym_return] = ACTIONS(13560),
    [anon_sym_const] = ACTIONS(13560),
    [anon_sym_global] = ACTIONS(13560),
    [anon_sym_local] = ACTIONS(13560),
    [anon_sym_LPAREN] = ACTIONS(13560),
    [anon_sym_COLON2] = ACTIONS(13560),
    [anon_sym_export] = ACTIONS(13560),
    [anon_sym_import] = ACTIONS(13560),
    [anon_sym_using] = ACTIONS(13560),
    [anon_sym_LBRACK] = ACTIONS(13560),
    [anon_sym_LF] = ACTIONS(13562),
    [anon_sym_in] = ACTIONS(13560),
    [anon_sym_LBRACE] = ACTIONS(13560),
    [anon_sym_DOLLAR] = ACTIONS(13560),
    [anon_sym_COLON_COLON] = ACTIONS(13560),
    [anon_sym_isa] = ACTIONS(13560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13560),
    [anon_sym_QMARK] = ACTIONS(13560),
    [anon_sym_AT] = ACTIONS(13560),
    [anon_sym_true] = ACTIONS(13560),
    [anon_sym_false] = ACTIONS(13560),
    [aux_sym_integer_literal_token1] = ACTIONS(13560),
    [aux_sym_integer_literal_token2] = ACTIONS(13560),
    [aux_sym_integer_literal_token3] = ACTIONS(13560),
    [aux_sym_integer_literal_token4] = ACTIONS(13560),
    [aux_sym_float_literal_token1] = ACTIONS(13560),
    [aux_sym_float_literal_token3] = ACTIONS(13560),
    [aux_sym_float_literal_token4] = ACTIONS(13560),
    [sym_character_literal] = ACTIONS(13560),
    [sym__pair_operator] = ACTIONS(13560),
    [sym__arrow_operator] = ACTIONS(13560),
    [sym__lazy_or_operator] = ACTIONS(13560),
    [sym__lazy_and_operator] = ACTIONS(13560),
    [sym__comparison_operator] = ACTIONS(13560),
    [sym__pipe_right_operator] = ACTIONS(13560),
    [sym__pipe_left_operator] = ACTIONS(13560),
    [sym__ellipsis_operator] = ACTIONS(13560),
    [sym__plus_operator] = ACTIONS(13560),
    [sym__times_operator] = ACTIONS(13560),
    [sym__rational_operator] = ACTIONS(13560),
    [sym__bitshift_operator] = ACTIONS(13560),
    [sym__power_operator] = ACTIONS(13560),
    [sym__tilde_operator] = ACTIONS(13560),
    [sym__type_order_operator] = ACTIONS(13560),
    [sym__unary_operator] = ACTIONS(13560),
    [sym__unary_plus_operator] = ACTIONS(13560),
    [aux_sym__terminator_token1] = ACTIONS(13560),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13562),
    [sym__command_start] = ACTIONS(13562),
  },
  [7426] = {
    [sym__comprehension_clause] = STATE(19354),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16884),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13664),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13666),
    [anon_sym_LF] = ACTIONS(13668),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13671),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7427] = {
    [sym__comprehension_clause] = STATE(19000),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16881),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13674),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13676),
    [anon_sym_LF] = ACTIONS(13678),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13681),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7428] = {
    [sym__word_identifier] = ACTIONS(13684),
    [anon_sym_EQ] = ACTIONS(13684),
    [anon_sym_COMMA] = ACTIONS(13684),
    [anon_sym_COLON] = ACTIONS(13684),
    [anon_sym_begin] = ACTIONS(13684),
    [anon_sym_module] = ACTIONS(13684),
    [anon_sym_baremodule] = ACTIONS(13684),
    [anon_sym_end] = ACTIONS(13684),
    [anon_sym_abstract] = ACTIONS(13684),
    [anon_sym_primitive] = ACTIONS(13684),
    [anon_sym_mutable] = ACTIONS(13684),
    [anon_sym_struct] = ACTIONS(13684),
    [anon_sym_function] = ACTIONS(13684),
    [anon_sym_macro] = ACTIONS(13684),
    [anon_sym_where] = ACTIONS(13684),
    [anon_sym_quote] = ACTIONS(13684),
    [anon_sym_let] = ACTIONS(13684),
    [anon_sym_if] = ACTIONS(13684),
    [anon_sym_elseif] = ACTIONS(13684),
    [anon_sym_else] = ACTIONS(13684),
    [anon_sym_try] = ACTIONS(13684),
    [anon_sym_for] = ACTIONS(13684),
    [anon_sym_while] = ACTIONS(13684),
    [sym_break_statement] = ACTIONS(13684),
    [sym_continue_statement] = ACTIONS(13684),
    [anon_sym_return] = ACTIONS(13684),
    [anon_sym_const] = ACTIONS(13684),
    [anon_sym_global] = ACTIONS(13684),
    [anon_sym_local] = ACTIONS(13684),
    [anon_sym_LPAREN] = ACTIONS(13684),
    [anon_sym_COLON2] = ACTIONS(13684),
    [anon_sym_export] = ACTIONS(13684),
    [anon_sym_import] = ACTIONS(13684),
    [anon_sym_using] = ACTIONS(13684),
    [anon_sym_LBRACK] = ACTIONS(13684),
    [anon_sym_LF] = ACTIONS(13686),
    [anon_sym_in] = ACTIONS(13684),
    [anon_sym_LBRACE] = ACTIONS(13684),
    [anon_sym_DOLLAR] = ACTIONS(13684),
    [anon_sym_COLON_COLON] = ACTIONS(13684),
    [anon_sym_isa] = ACTIONS(13684),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13684),
    [anon_sym_QMARK] = ACTIONS(13684),
    [anon_sym_AT] = ACTIONS(13684),
    [anon_sym_true] = ACTIONS(13684),
    [anon_sym_false] = ACTIONS(13684),
    [aux_sym_integer_literal_token1] = ACTIONS(13684),
    [aux_sym_integer_literal_token2] = ACTIONS(13684),
    [aux_sym_integer_literal_token3] = ACTIONS(13684),
    [aux_sym_integer_literal_token4] = ACTIONS(13684),
    [aux_sym_float_literal_token1] = ACTIONS(13684),
    [aux_sym_float_literal_token3] = ACTIONS(13684),
    [aux_sym_float_literal_token4] = ACTIONS(13684),
    [sym_character_literal] = ACTIONS(13684),
    [sym__pair_operator] = ACTIONS(13684),
    [sym__arrow_operator] = ACTIONS(13684),
    [sym__lazy_or_operator] = ACTIONS(13684),
    [sym__lazy_and_operator] = ACTIONS(13684),
    [sym__comparison_operator] = ACTIONS(13684),
    [sym__pipe_right_operator] = ACTIONS(13684),
    [sym__pipe_left_operator] = ACTIONS(13684),
    [sym__ellipsis_operator] = ACTIONS(13684),
    [sym__plus_operator] = ACTIONS(13684),
    [sym__times_operator] = ACTIONS(13684),
    [sym__rational_operator] = ACTIONS(13684),
    [sym__bitshift_operator] = ACTIONS(13684),
    [sym__power_operator] = ACTIONS(13684),
    [sym__tilde_operator] = ACTIONS(13684),
    [sym__type_order_operator] = ACTIONS(13684),
    [sym__unary_operator] = ACTIONS(13684),
    [sym__unary_plus_operator] = ACTIONS(13684),
    [aux_sym__terminator_token1] = ACTIONS(13684),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13686),
    [sym__command_start] = ACTIONS(13686),
  },
  [7429] = {
    [aux_sym_open_tuple_repeat1] = STATE(7590),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13688),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_catch] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13448),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7430] = {
    [aux_sym_open_tuple_repeat1] = STATE(7969),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13558),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_catch] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13357),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7431] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_catch] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [7432] = {
    [sym__word_identifier] = ACTIONS(13690),
    [anon_sym_EQ] = ACTIONS(13690),
    [anon_sym_COMMA] = ACTIONS(13690),
    [anon_sym_COLON] = ACTIONS(13690),
    [anon_sym_begin] = ACTIONS(13690),
    [anon_sym_module] = ACTIONS(13690),
    [anon_sym_baremodule] = ACTIONS(13690),
    [anon_sym_end] = ACTIONS(13690),
    [anon_sym_abstract] = ACTIONS(13690),
    [anon_sym_primitive] = ACTIONS(13690),
    [anon_sym_mutable] = ACTIONS(13690),
    [anon_sym_struct] = ACTIONS(13690),
    [anon_sym_function] = ACTIONS(13690),
    [anon_sym_macro] = ACTIONS(13690),
    [anon_sym_where] = ACTIONS(13690),
    [anon_sym_quote] = ACTIONS(13690),
    [anon_sym_let] = ACTIONS(13690),
    [anon_sym_if] = ACTIONS(13690),
    [anon_sym_elseif] = ACTIONS(13690),
    [anon_sym_else] = ACTIONS(13690),
    [anon_sym_try] = ACTIONS(13690),
    [anon_sym_for] = ACTIONS(13690),
    [anon_sym_while] = ACTIONS(13690),
    [sym_break_statement] = ACTIONS(13690),
    [sym_continue_statement] = ACTIONS(13690),
    [anon_sym_return] = ACTIONS(13690),
    [anon_sym_const] = ACTIONS(13690),
    [anon_sym_global] = ACTIONS(13690),
    [anon_sym_local] = ACTIONS(13690),
    [anon_sym_LPAREN] = ACTIONS(13690),
    [anon_sym_COLON2] = ACTIONS(13690),
    [anon_sym_export] = ACTIONS(13690),
    [anon_sym_import] = ACTIONS(13690),
    [anon_sym_using] = ACTIONS(13690),
    [anon_sym_LBRACK] = ACTIONS(13690),
    [anon_sym_LF] = ACTIONS(13692),
    [anon_sym_in] = ACTIONS(13690),
    [anon_sym_LBRACE] = ACTIONS(13690),
    [anon_sym_DOLLAR] = ACTIONS(13690),
    [anon_sym_COLON_COLON] = ACTIONS(13690),
    [anon_sym_isa] = ACTIONS(13690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13690),
    [anon_sym_QMARK] = ACTIONS(13690),
    [anon_sym_AT] = ACTIONS(13690),
    [anon_sym_true] = ACTIONS(13690),
    [anon_sym_false] = ACTIONS(13690),
    [aux_sym_integer_literal_token1] = ACTIONS(13690),
    [aux_sym_integer_literal_token2] = ACTIONS(13690),
    [aux_sym_integer_literal_token3] = ACTIONS(13690),
    [aux_sym_integer_literal_token4] = ACTIONS(13690),
    [aux_sym_float_literal_token1] = ACTIONS(13690),
    [aux_sym_float_literal_token3] = ACTIONS(13690),
    [aux_sym_float_literal_token4] = ACTIONS(13690),
    [sym_character_literal] = ACTIONS(13690),
    [sym__pair_operator] = ACTIONS(13690),
    [sym__arrow_operator] = ACTIONS(13690),
    [sym__lazy_or_operator] = ACTIONS(13690),
    [sym__lazy_and_operator] = ACTIONS(13690),
    [sym__comparison_operator] = ACTIONS(13690),
    [sym__pipe_right_operator] = ACTIONS(13690),
    [sym__pipe_left_operator] = ACTIONS(13690),
    [sym__ellipsis_operator] = ACTIONS(13690),
    [sym__plus_operator] = ACTIONS(13690),
    [sym__times_operator] = ACTIONS(13690),
    [sym__rational_operator] = ACTIONS(13690),
    [sym__bitshift_operator] = ACTIONS(13690),
    [sym__power_operator] = ACTIONS(13690),
    [sym__tilde_operator] = ACTIONS(13690),
    [sym__type_order_operator] = ACTIONS(13690),
    [sym__unary_operator] = ACTIONS(13690),
    [sym__unary_plus_operator] = ACTIONS(13690),
    [aux_sym__terminator_token1] = ACTIONS(13690),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13692),
    [sym__command_start] = ACTIONS(13692),
  },
  [7433] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7434] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7435] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7436] = {
    [ts_builtin_sym_end] = ACTIONS(13694),
    [sym__word_identifier] = ACTIONS(13696),
    [anon_sym_EQ] = ACTIONS(13696),
    [anon_sym_COMMA] = ACTIONS(13696),
    [anon_sym_COLON] = ACTIONS(13696),
    [anon_sym_begin] = ACTIONS(13696),
    [anon_sym_module] = ACTIONS(13696),
    [anon_sym_baremodule] = ACTIONS(13696),
    [anon_sym_abstract] = ACTIONS(13696),
    [anon_sym_primitive] = ACTIONS(13696),
    [anon_sym_mutable] = ACTIONS(13696),
    [anon_sym_struct] = ACTIONS(13696),
    [anon_sym_function] = ACTIONS(13696),
    [anon_sym_macro] = ACTIONS(13696),
    [anon_sym_where] = ACTIONS(13696),
    [anon_sym_quote] = ACTIONS(13696),
    [anon_sym_let] = ACTIONS(13696),
    [anon_sym_if] = ACTIONS(13696),
    [anon_sym_try] = ACTIONS(13696),
    [anon_sym_for] = ACTIONS(13696),
    [anon_sym_while] = ACTIONS(13696),
    [sym_break_statement] = ACTIONS(13696),
    [sym_continue_statement] = ACTIONS(13696),
    [anon_sym_return] = ACTIONS(13696),
    [anon_sym_const] = ACTIONS(13696),
    [anon_sym_global] = ACTIONS(13696),
    [anon_sym_local] = ACTIONS(13696),
    [anon_sym_LPAREN] = ACTIONS(13696),
    [anon_sym_RPAREN] = ACTIONS(13696),
    [anon_sym_COLON2] = ACTIONS(13696),
    [anon_sym_export] = ACTIONS(13696),
    [anon_sym_import] = ACTIONS(13696),
    [anon_sym_using] = ACTIONS(13696),
    [anon_sym_LBRACK] = ACTIONS(13696),
    [anon_sym_RBRACK] = ACTIONS(13696),
    [anon_sym_LF] = ACTIONS(13694),
    [anon_sym_in] = ACTIONS(13696),
    [anon_sym_LBRACE] = ACTIONS(13696),
    [anon_sym_DOLLAR] = ACTIONS(13696),
    [anon_sym_COLON_COLON] = ACTIONS(13696),
    [anon_sym_isa] = ACTIONS(13696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13696),
    [anon_sym_QMARK] = ACTIONS(13696),
    [anon_sym_AT] = ACTIONS(13696),
    [anon_sym_true] = ACTIONS(13696),
    [anon_sym_false] = ACTIONS(13696),
    [aux_sym_integer_literal_token1] = ACTIONS(13696),
    [aux_sym_integer_literal_token2] = ACTIONS(13696),
    [aux_sym_integer_literal_token3] = ACTIONS(13696),
    [aux_sym_integer_literal_token4] = ACTIONS(13696),
    [aux_sym_float_literal_token1] = ACTIONS(13696),
    [aux_sym_float_literal_token3] = ACTIONS(13696),
    [aux_sym_float_literal_token4] = ACTIONS(13696),
    [sym_character_literal] = ACTIONS(13696),
    [sym__pair_operator] = ACTIONS(13696),
    [sym__arrow_operator] = ACTIONS(13696),
    [sym__lazy_or_operator] = ACTIONS(13696),
    [sym__lazy_and_operator] = ACTIONS(13696),
    [sym__comparison_operator] = ACTIONS(13696),
    [sym__pipe_right_operator] = ACTIONS(13696),
    [sym__pipe_left_operator] = ACTIONS(13696),
    [sym__ellipsis_operator] = ACTIONS(13696),
    [sym__plus_operator] = ACTIONS(13696),
    [sym__times_operator] = ACTIONS(13696),
    [sym__rational_operator] = ACTIONS(13696),
    [sym__bitshift_operator] = ACTIONS(13696),
    [sym__power_operator] = ACTIONS(13696),
    [sym__tilde_operator] = ACTIONS(13696),
    [sym__type_order_operator] = ACTIONS(13696),
    [sym__unary_operator] = ACTIONS(13696),
    [sym__unary_plus_operator] = ACTIONS(13696),
    [aux_sym__terminator_token1] = ACTIONS(13696),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13694),
    [sym__command_start] = ACTIONS(13694),
  },
  [7437] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7438] = {
    [sym__word_identifier] = ACTIONS(13698),
    [anon_sym_EQ] = ACTIONS(13698),
    [anon_sym_COMMA] = ACTIONS(13698),
    [anon_sym_COLON] = ACTIONS(13698),
    [anon_sym_begin] = ACTIONS(13698),
    [anon_sym_module] = ACTIONS(13698),
    [anon_sym_baremodule] = ACTIONS(13698),
    [anon_sym_end] = ACTIONS(13698),
    [anon_sym_abstract] = ACTIONS(13698),
    [anon_sym_primitive] = ACTIONS(13698),
    [anon_sym_mutable] = ACTIONS(13698),
    [anon_sym_struct] = ACTIONS(13698),
    [anon_sym_function] = ACTIONS(13698),
    [anon_sym_macro] = ACTIONS(13698),
    [anon_sym_where] = ACTIONS(13698),
    [anon_sym_quote] = ACTIONS(13698),
    [anon_sym_let] = ACTIONS(13698),
    [anon_sym_if] = ACTIONS(13698),
    [anon_sym_else] = ACTIONS(13698),
    [anon_sym_try] = ACTIONS(13698),
    [anon_sym_finally] = ACTIONS(13698),
    [anon_sym_for] = ACTIONS(13698),
    [anon_sym_while] = ACTIONS(13698),
    [sym_break_statement] = ACTIONS(13698),
    [sym_continue_statement] = ACTIONS(13698),
    [anon_sym_return] = ACTIONS(13698),
    [anon_sym_const] = ACTIONS(13698),
    [anon_sym_global] = ACTIONS(13698),
    [anon_sym_local] = ACTIONS(13698),
    [anon_sym_LPAREN] = ACTIONS(13698),
    [anon_sym_COLON2] = ACTIONS(13698),
    [anon_sym_export] = ACTIONS(13698),
    [anon_sym_import] = ACTIONS(13698),
    [anon_sym_using] = ACTIONS(13698),
    [anon_sym_LBRACK] = ACTIONS(13698),
    [anon_sym_LF] = ACTIONS(13700),
    [anon_sym_in] = ACTIONS(13698),
    [anon_sym_LBRACE] = ACTIONS(13698),
    [anon_sym_DOLLAR] = ACTIONS(13698),
    [anon_sym_COLON_COLON] = ACTIONS(13698),
    [anon_sym_isa] = ACTIONS(13698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13698),
    [anon_sym_QMARK] = ACTIONS(13698),
    [anon_sym_AT] = ACTIONS(13698),
    [anon_sym_true] = ACTIONS(13698),
    [anon_sym_false] = ACTIONS(13698),
    [aux_sym_integer_literal_token1] = ACTIONS(13698),
    [aux_sym_integer_literal_token2] = ACTIONS(13698),
    [aux_sym_integer_literal_token3] = ACTIONS(13698),
    [aux_sym_integer_literal_token4] = ACTIONS(13698),
    [aux_sym_float_literal_token1] = ACTIONS(13698),
    [aux_sym_float_literal_token3] = ACTIONS(13698),
    [aux_sym_float_literal_token4] = ACTIONS(13698),
    [sym_character_literal] = ACTIONS(13698),
    [sym__pair_operator] = ACTIONS(13698),
    [sym__arrow_operator] = ACTIONS(13698),
    [sym__lazy_or_operator] = ACTIONS(13698),
    [sym__lazy_and_operator] = ACTIONS(13698),
    [sym__comparison_operator] = ACTIONS(13698),
    [sym__pipe_right_operator] = ACTIONS(13698),
    [sym__pipe_left_operator] = ACTIONS(13698),
    [sym__ellipsis_operator] = ACTIONS(13698),
    [sym__plus_operator] = ACTIONS(13698),
    [sym__times_operator] = ACTIONS(13698),
    [sym__rational_operator] = ACTIONS(13698),
    [sym__bitshift_operator] = ACTIONS(13698),
    [sym__power_operator] = ACTIONS(13698),
    [sym__tilde_operator] = ACTIONS(13698),
    [sym__type_order_operator] = ACTIONS(13698),
    [sym__unary_operator] = ACTIONS(13698),
    [sym__unary_plus_operator] = ACTIONS(13698),
    [aux_sym__terminator_token1] = ACTIONS(13698),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13700),
    [sym__command_start] = ACTIONS(13700),
  },
  [7439] = {
    [sym__comprehension_clause] = STATE(18551),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16802),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13702),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13704),
    [anon_sym_LF] = ACTIONS(13706),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13709),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7440] = {
    [aux_sym_open_tuple_repeat1] = STATE(7595),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13432),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13314),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7441] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11940),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7442] = {
    [aux_sym_open_tuple_repeat1] = STATE(7595),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13432),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13314),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7443] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_catch] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [7444] = {
    [aux_sym_open_tuple_repeat1] = STATE(7595),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13432),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13314),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7445] = {
    [sym__comprehension_clause] = STATE(19147),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16752),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13712),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13714),
    [anon_sym_LF] = ACTIONS(13716),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13719),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7446] = {
    [aux_sym_open_tuple_repeat1] = STATE(7969),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13558),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_catch] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13357),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7447] = {
    [sym__comprehension_clause] = STATE(19411),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16942),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13722),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13724),
    [anon_sym_LF] = ACTIONS(13726),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13729),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7448] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7449] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [7450] = {
    [ts_builtin_sym_end] = ACTIONS(13236),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13238),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_RPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13238),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_RBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13238),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13238),
    [anon_sym_isa] = ACTIONS(13238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13238),
    [anon_sym_QMARK] = ACTIONS(13238),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13238),
    [sym__arrow_operator] = ACTIONS(13238),
    [sym__lazy_or_operator] = ACTIONS(13238),
    [sym__lazy_and_operator] = ACTIONS(13238),
    [sym__comparison_operator] = ACTIONS(13238),
    [sym__pipe_right_operator] = ACTIONS(13238),
    [sym__pipe_left_operator] = ACTIONS(13238),
    [sym__ellipsis_operator] = ACTIONS(13238),
    [sym__plus_operator] = ACTIONS(13238),
    [sym__times_operator] = ACTIONS(13238),
    [sym__rational_operator] = ACTIONS(13238),
    [sym__bitshift_operator] = ACTIONS(13238),
    [sym__power_operator] = ACTIONS(13238),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13238),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13238),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7451] = {
    [aux_sym_open_tuple_repeat1] = STATE(7969),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13558),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_catch] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13357),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7452] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_catch] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [7453] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13732),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_elseif] = ACTIONS(13122),
    [anon_sym_else] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7454] = {
    [sym__word_identifier] = ACTIONS(13698),
    [anon_sym_EQ] = ACTIONS(13698),
    [anon_sym_COMMA] = ACTIONS(13698),
    [anon_sym_COLON] = ACTIONS(13698),
    [anon_sym_begin] = ACTIONS(13698),
    [anon_sym_module] = ACTIONS(13698),
    [anon_sym_baremodule] = ACTIONS(13698),
    [anon_sym_end] = ACTIONS(13698),
    [anon_sym_abstract] = ACTIONS(13698),
    [anon_sym_primitive] = ACTIONS(13698),
    [anon_sym_mutable] = ACTIONS(13698),
    [anon_sym_struct] = ACTIONS(13698),
    [anon_sym_function] = ACTIONS(13698),
    [anon_sym_macro] = ACTIONS(13698),
    [anon_sym_where] = ACTIONS(13698),
    [anon_sym_quote] = ACTIONS(13698),
    [anon_sym_let] = ACTIONS(13698),
    [anon_sym_if] = ACTIONS(13698),
    [anon_sym_elseif] = ACTIONS(13698),
    [anon_sym_else] = ACTIONS(13698),
    [anon_sym_try] = ACTIONS(13698),
    [anon_sym_for] = ACTIONS(13698),
    [anon_sym_while] = ACTIONS(13698),
    [sym_break_statement] = ACTIONS(13698),
    [sym_continue_statement] = ACTIONS(13698),
    [anon_sym_return] = ACTIONS(13698),
    [anon_sym_const] = ACTIONS(13698),
    [anon_sym_global] = ACTIONS(13698),
    [anon_sym_local] = ACTIONS(13698),
    [anon_sym_LPAREN] = ACTIONS(13698),
    [anon_sym_COLON2] = ACTIONS(13698),
    [anon_sym_export] = ACTIONS(13698),
    [anon_sym_import] = ACTIONS(13698),
    [anon_sym_using] = ACTIONS(13698),
    [anon_sym_LBRACK] = ACTIONS(13698),
    [anon_sym_LF] = ACTIONS(13700),
    [anon_sym_in] = ACTIONS(13698),
    [anon_sym_LBRACE] = ACTIONS(13698),
    [anon_sym_DOLLAR] = ACTIONS(13698),
    [anon_sym_COLON_COLON] = ACTIONS(13698),
    [anon_sym_isa] = ACTIONS(13698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13698),
    [anon_sym_QMARK] = ACTIONS(13698),
    [anon_sym_AT] = ACTIONS(13698),
    [anon_sym_true] = ACTIONS(13698),
    [anon_sym_false] = ACTIONS(13698),
    [aux_sym_integer_literal_token1] = ACTIONS(13698),
    [aux_sym_integer_literal_token2] = ACTIONS(13698),
    [aux_sym_integer_literal_token3] = ACTIONS(13698),
    [aux_sym_integer_literal_token4] = ACTIONS(13698),
    [aux_sym_float_literal_token1] = ACTIONS(13698),
    [aux_sym_float_literal_token3] = ACTIONS(13698),
    [aux_sym_float_literal_token4] = ACTIONS(13698),
    [sym_character_literal] = ACTIONS(13698),
    [sym__pair_operator] = ACTIONS(13698),
    [sym__arrow_operator] = ACTIONS(13698),
    [sym__lazy_or_operator] = ACTIONS(13698),
    [sym__lazy_and_operator] = ACTIONS(13698),
    [sym__comparison_operator] = ACTIONS(13698),
    [sym__pipe_right_operator] = ACTIONS(13698),
    [sym__pipe_left_operator] = ACTIONS(13698),
    [sym__ellipsis_operator] = ACTIONS(13698),
    [sym__plus_operator] = ACTIONS(13698),
    [sym__times_operator] = ACTIONS(13698),
    [sym__rational_operator] = ACTIONS(13698),
    [sym__bitshift_operator] = ACTIONS(13698),
    [sym__power_operator] = ACTIONS(13698),
    [sym__tilde_operator] = ACTIONS(13698),
    [sym__type_order_operator] = ACTIONS(13698),
    [sym__unary_operator] = ACTIONS(13698),
    [sym__unary_plus_operator] = ACTIONS(13698),
    [aux_sym__terminator_token1] = ACTIONS(13698),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13700),
    [sym__command_start] = ACTIONS(13700),
  },
  [7455] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(13734),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7456] = {
    [sym__word_identifier] = ACTIONS(13736),
    [anon_sym_EQ] = ACTIONS(13736),
    [anon_sym_COMMA] = ACTIONS(13736),
    [anon_sym_COLON] = ACTIONS(13736),
    [anon_sym_begin] = ACTIONS(13736),
    [anon_sym_module] = ACTIONS(13736),
    [anon_sym_baremodule] = ACTIONS(13736),
    [anon_sym_end] = ACTIONS(13736),
    [anon_sym_abstract] = ACTIONS(13736),
    [anon_sym_primitive] = ACTIONS(13736),
    [anon_sym_mutable] = ACTIONS(13736),
    [anon_sym_struct] = ACTIONS(13736),
    [anon_sym_function] = ACTIONS(13736),
    [anon_sym_macro] = ACTIONS(13736),
    [anon_sym_where] = ACTIONS(13736),
    [anon_sym_quote] = ACTIONS(13736),
    [anon_sym_let] = ACTIONS(13736),
    [anon_sym_if] = ACTIONS(13736),
    [anon_sym_else] = ACTIONS(13736),
    [anon_sym_try] = ACTIONS(13736),
    [anon_sym_finally] = ACTIONS(13736),
    [anon_sym_for] = ACTIONS(13736),
    [anon_sym_while] = ACTIONS(13736),
    [sym_break_statement] = ACTIONS(13736),
    [sym_continue_statement] = ACTIONS(13736),
    [anon_sym_return] = ACTIONS(13736),
    [anon_sym_const] = ACTIONS(13736),
    [anon_sym_global] = ACTIONS(13736),
    [anon_sym_local] = ACTIONS(13736),
    [anon_sym_LPAREN] = ACTIONS(13736),
    [anon_sym_COLON2] = ACTIONS(13736),
    [anon_sym_export] = ACTIONS(13736),
    [anon_sym_import] = ACTIONS(13736),
    [anon_sym_using] = ACTIONS(13736),
    [anon_sym_LBRACK] = ACTIONS(13736),
    [anon_sym_LF] = ACTIONS(13738),
    [anon_sym_in] = ACTIONS(13736),
    [anon_sym_LBRACE] = ACTIONS(13736),
    [anon_sym_DOLLAR] = ACTIONS(13736),
    [anon_sym_COLON_COLON] = ACTIONS(13736),
    [anon_sym_isa] = ACTIONS(13736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13736),
    [anon_sym_QMARK] = ACTIONS(13736),
    [anon_sym_AT] = ACTIONS(13736),
    [anon_sym_true] = ACTIONS(13736),
    [anon_sym_false] = ACTIONS(13736),
    [aux_sym_integer_literal_token1] = ACTIONS(13736),
    [aux_sym_integer_literal_token2] = ACTIONS(13736),
    [aux_sym_integer_literal_token3] = ACTIONS(13736),
    [aux_sym_integer_literal_token4] = ACTIONS(13736),
    [aux_sym_float_literal_token1] = ACTIONS(13736),
    [aux_sym_float_literal_token3] = ACTIONS(13736),
    [aux_sym_float_literal_token4] = ACTIONS(13736),
    [sym_character_literal] = ACTIONS(13736),
    [sym__pair_operator] = ACTIONS(13736),
    [sym__arrow_operator] = ACTIONS(13736),
    [sym__lazy_or_operator] = ACTIONS(13736),
    [sym__lazy_and_operator] = ACTIONS(13736),
    [sym__comparison_operator] = ACTIONS(13736),
    [sym__pipe_right_operator] = ACTIONS(13736),
    [sym__pipe_left_operator] = ACTIONS(13736),
    [sym__ellipsis_operator] = ACTIONS(13736),
    [sym__plus_operator] = ACTIONS(13736),
    [sym__times_operator] = ACTIONS(13736),
    [sym__rational_operator] = ACTIONS(13736),
    [sym__bitshift_operator] = ACTIONS(13736),
    [sym__power_operator] = ACTIONS(13736),
    [sym__tilde_operator] = ACTIONS(13736),
    [sym__type_order_operator] = ACTIONS(13736),
    [sym__unary_operator] = ACTIONS(13736),
    [sym__unary_plus_operator] = ACTIONS(13736),
    [aux_sym__terminator_token1] = ACTIONS(13736),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13738),
    [sym__command_start] = ACTIONS(13738),
  },
  [7457] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12704),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12704),
    [anon_sym_RPAREN] = ACTIONS(12704),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12704),
    [anon_sym_RBRACK] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_SEMI] = ACTIONS(12704),
    [anon_sym_LBRACE] = ACTIONS(12704),
    [anon_sym_RBRACE] = ACTIONS(12704),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12704),
    [anon_sym_COLON_COLON] = ACTIONS(12704),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12704),
    [anon_sym_QMARK] = ACTIONS(12704),
    [anon_sym_AT] = ACTIONS(12704),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12704),
    [aux_sym_integer_literal_token2] = ACTIONS(12704),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12704),
    [aux_sym_float_literal_token3] = ACTIONS(12704),
    [aux_sym_float_literal_token4] = ACTIONS(12704),
    [sym_character_literal] = ACTIONS(12704),
    [sym__pair_operator] = ACTIONS(12704),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12704),
    [sym__lazy_and_operator] = ACTIONS(12704),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12704),
    [sym__pipe_left_operator] = ACTIONS(12704),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12704),
    [sym__bitshift_operator] = ACTIONS(12704),
    [sym__power_operator] = ACTIONS(12704),
    [sym__tilde_operator] = ACTIONS(12704),
    [sym__type_order_operator] = ACTIONS(12704),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [7458] = {
    [sym__word_identifier] = ACTIONS(13740),
    [anon_sym_EQ] = ACTIONS(13740),
    [anon_sym_COMMA] = ACTIONS(13740),
    [anon_sym_COLON] = ACTIONS(13740),
    [anon_sym_begin] = ACTIONS(13740),
    [anon_sym_module] = ACTIONS(13740),
    [anon_sym_baremodule] = ACTIONS(13740),
    [anon_sym_end] = ACTIONS(13740),
    [anon_sym_abstract] = ACTIONS(13740),
    [anon_sym_primitive] = ACTIONS(13740),
    [anon_sym_mutable] = ACTIONS(13740),
    [anon_sym_struct] = ACTIONS(13740),
    [anon_sym_function] = ACTIONS(13740),
    [anon_sym_macro] = ACTIONS(13740),
    [anon_sym_where] = ACTIONS(13740),
    [anon_sym_quote] = ACTIONS(13740),
    [anon_sym_let] = ACTIONS(13740),
    [anon_sym_if] = ACTIONS(13740),
    [anon_sym_else] = ACTIONS(13740),
    [anon_sym_try] = ACTIONS(13740),
    [anon_sym_finally] = ACTIONS(13740),
    [anon_sym_for] = ACTIONS(13740),
    [anon_sym_while] = ACTIONS(13740),
    [sym_break_statement] = ACTIONS(13740),
    [sym_continue_statement] = ACTIONS(13740),
    [anon_sym_return] = ACTIONS(13740),
    [anon_sym_const] = ACTIONS(13740),
    [anon_sym_global] = ACTIONS(13740),
    [anon_sym_local] = ACTIONS(13740),
    [anon_sym_LPAREN] = ACTIONS(13740),
    [anon_sym_COLON2] = ACTIONS(13740),
    [anon_sym_export] = ACTIONS(13740),
    [anon_sym_import] = ACTIONS(13740),
    [anon_sym_using] = ACTIONS(13740),
    [anon_sym_LBRACK] = ACTIONS(13740),
    [anon_sym_LF] = ACTIONS(13742),
    [anon_sym_in] = ACTIONS(13740),
    [anon_sym_LBRACE] = ACTIONS(13740),
    [anon_sym_DOLLAR] = ACTIONS(13740),
    [anon_sym_COLON_COLON] = ACTIONS(13740),
    [anon_sym_isa] = ACTIONS(13740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13740),
    [anon_sym_QMARK] = ACTIONS(13740),
    [anon_sym_AT] = ACTIONS(13740),
    [anon_sym_true] = ACTIONS(13740),
    [anon_sym_false] = ACTIONS(13740),
    [aux_sym_integer_literal_token1] = ACTIONS(13740),
    [aux_sym_integer_literal_token2] = ACTIONS(13740),
    [aux_sym_integer_literal_token3] = ACTIONS(13740),
    [aux_sym_integer_literal_token4] = ACTIONS(13740),
    [aux_sym_float_literal_token1] = ACTIONS(13740),
    [aux_sym_float_literal_token3] = ACTIONS(13740),
    [aux_sym_float_literal_token4] = ACTIONS(13740),
    [sym_character_literal] = ACTIONS(13740),
    [sym__pair_operator] = ACTIONS(13740),
    [sym__arrow_operator] = ACTIONS(13740),
    [sym__lazy_or_operator] = ACTIONS(13740),
    [sym__lazy_and_operator] = ACTIONS(13740),
    [sym__comparison_operator] = ACTIONS(13740),
    [sym__pipe_right_operator] = ACTIONS(13740),
    [sym__pipe_left_operator] = ACTIONS(13740),
    [sym__ellipsis_operator] = ACTIONS(13740),
    [sym__plus_operator] = ACTIONS(13740),
    [sym__times_operator] = ACTIONS(13740),
    [sym__rational_operator] = ACTIONS(13740),
    [sym__bitshift_operator] = ACTIONS(13740),
    [sym__power_operator] = ACTIONS(13740),
    [sym__tilde_operator] = ACTIONS(13740),
    [sym__type_order_operator] = ACTIONS(13740),
    [sym__unary_operator] = ACTIONS(13740),
    [sym__unary_plus_operator] = ACTIONS(13740),
    [aux_sym__terminator_token1] = ACTIONS(13740),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13742),
    [sym__command_start] = ACTIONS(13742),
  },
  [7459] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_catch] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [7460] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7461] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_catch] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [7462] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_catch] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [7463] = {
    [sym__word_identifier] = ACTIONS(13744),
    [anon_sym_EQ] = ACTIONS(13744),
    [anon_sym_COMMA] = ACTIONS(13744),
    [anon_sym_COLON] = ACTIONS(13744),
    [anon_sym_begin] = ACTIONS(13744),
    [anon_sym_module] = ACTIONS(13744),
    [anon_sym_baremodule] = ACTIONS(13744),
    [anon_sym_end] = ACTIONS(13744),
    [anon_sym_abstract] = ACTIONS(13744),
    [anon_sym_primitive] = ACTIONS(13744),
    [anon_sym_mutable] = ACTIONS(13744),
    [anon_sym_struct] = ACTIONS(13744),
    [anon_sym_function] = ACTIONS(13744),
    [anon_sym_macro] = ACTIONS(13744),
    [anon_sym_where] = ACTIONS(13744),
    [anon_sym_quote] = ACTIONS(13744),
    [anon_sym_let] = ACTIONS(13744),
    [anon_sym_if] = ACTIONS(13744),
    [anon_sym_elseif] = ACTIONS(13744),
    [anon_sym_else] = ACTIONS(13744),
    [anon_sym_try] = ACTIONS(13744),
    [anon_sym_for] = ACTIONS(13744),
    [anon_sym_while] = ACTIONS(13744),
    [sym_break_statement] = ACTIONS(13744),
    [sym_continue_statement] = ACTIONS(13744),
    [anon_sym_return] = ACTIONS(13744),
    [anon_sym_const] = ACTIONS(13744),
    [anon_sym_global] = ACTIONS(13744),
    [anon_sym_local] = ACTIONS(13744),
    [anon_sym_LPAREN] = ACTIONS(13744),
    [anon_sym_COLON2] = ACTIONS(13744),
    [anon_sym_export] = ACTIONS(13744),
    [anon_sym_import] = ACTIONS(13744),
    [anon_sym_using] = ACTIONS(13744),
    [anon_sym_LBRACK] = ACTIONS(13744),
    [anon_sym_LF] = ACTIONS(13746),
    [anon_sym_in] = ACTIONS(13744),
    [anon_sym_LBRACE] = ACTIONS(13744),
    [anon_sym_DOLLAR] = ACTIONS(13744),
    [anon_sym_COLON_COLON] = ACTIONS(13744),
    [anon_sym_isa] = ACTIONS(13744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13744),
    [anon_sym_QMARK] = ACTIONS(13744),
    [anon_sym_AT] = ACTIONS(13744),
    [anon_sym_true] = ACTIONS(13744),
    [anon_sym_false] = ACTIONS(13744),
    [aux_sym_integer_literal_token1] = ACTIONS(13744),
    [aux_sym_integer_literal_token2] = ACTIONS(13744),
    [aux_sym_integer_literal_token3] = ACTIONS(13744),
    [aux_sym_integer_literal_token4] = ACTIONS(13744),
    [aux_sym_float_literal_token1] = ACTIONS(13744),
    [aux_sym_float_literal_token3] = ACTIONS(13744),
    [aux_sym_float_literal_token4] = ACTIONS(13744),
    [sym_character_literal] = ACTIONS(13744),
    [sym__pair_operator] = ACTIONS(13744),
    [sym__arrow_operator] = ACTIONS(13744),
    [sym__lazy_or_operator] = ACTIONS(13744),
    [sym__lazy_and_operator] = ACTIONS(13744),
    [sym__comparison_operator] = ACTIONS(13744),
    [sym__pipe_right_operator] = ACTIONS(13744),
    [sym__pipe_left_operator] = ACTIONS(13744),
    [sym__ellipsis_operator] = ACTIONS(13744),
    [sym__plus_operator] = ACTIONS(13744),
    [sym__times_operator] = ACTIONS(13744),
    [sym__rational_operator] = ACTIONS(13744),
    [sym__bitshift_operator] = ACTIONS(13744),
    [sym__power_operator] = ACTIONS(13744),
    [sym__tilde_operator] = ACTIONS(13744),
    [sym__type_order_operator] = ACTIONS(13744),
    [sym__unary_operator] = ACTIONS(13744),
    [sym__unary_plus_operator] = ACTIONS(13744),
    [aux_sym__terminator_token1] = ACTIONS(13744),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13746),
    [sym__command_start] = ACTIONS(13746),
  },
  [7464] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_catch] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [7465] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_else] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_finally] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13576),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7466] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_DOLLAR] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2186),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2186),
    [anon_sym_QMARK] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2186),
    [aux_sym_integer_literal_token2] = ACTIONS(2186),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2186),
    [aux_sym_float_literal_token3] = ACTIONS(2186),
    [aux_sym_float_literal_token4] = ACTIONS(2186),
    [sym_character_literal] = ACTIONS(2186),
    [sym__pair_operator] = ACTIONS(2186),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2186),
    [sym__lazy_and_operator] = ACTIONS(2186),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2186),
    [sym__pipe_left_operator] = ACTIONS(2186),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2186),
    [sym__bitshift_operator] = ACTIONS(2186),
    [sym__power_operator] = ACTIONS(2186),
    [sym__tilde_operator] = ACTIONS(2186),
    [sym__type_order_operator] = ACTIONS(2186),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7467] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12324),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12324),
    [anon_sym_RPAREN] = ACTIONS(12324),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12324),
    [anon_sym_RBRACK] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_SEMI] = ACTIONS(12324),
    [anon_sym_LBRACE] = ACTIONS(12324),
    [anon_sym_RBRACE] = ACTIONS(12324),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12324),
    [anon_sym_COLON_COLON] = ACTIONS(12324),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12324),
    [anon_sym_QMARK] = ACTIONS(12324),
    [anon_sym_AT] = ACTIONS(12324),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12324),
    [aux_sym_integer_literal_token2] = ACTIONS(12324),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12324),
    [aux_sym_float_literal_token3] = ACTIONS(12324),
    [aux_sym_float_literal_token4] = ACTIONS(12324),
    [sym_character_literal] = ACTIONS(12324),
    [sym__pair_operator] = ACTIONS(12324),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12324),
    [sym__lazy_and_operator] = ACTIONS(12324),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12324),
    [sym__pipe_left_operator] = ACTIONS(12324),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12324),
    [sym__bitshift_operator] = ACTIONS(12324),
    [sym__power_operator] = ACTIONS(12324),
    [sym__tilde_operator] = ACTIONS(12324),
    [sym__type_order_operator] = ACTIONS(12324),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [7468] = {
    [sym__word_identifier] = ACTIONS(13736),
    [anon_sym_EQ] = ACTIONS(13736),
    [anon_sym_COMMA] = ACTIONS(13736),
    [anon_sym_COLON] = ACTIONS(13736),
    [anon_sym_begin] = ACTIONS(13736),
    [anon_sym_module] = ACTIONS(13736),
    [anon_sym_baremodule] = ACTIONS(13736),
    [anon_sym_end] = ACTIONS(13736),
    [anon_sym_abstract] = ACTIONS(13736),
    [anon_sym_primitive] = ACTIONS(13736),
    [anon_sym_mutable] = ACTIONS(13736),
    [anon_sym_struct] = ACTIONS(13736),
    [anon_sym_function] = ACTIONS(13736),
    [anon_sym_macro] = ACTIONS(13736),
    [anon_sym_where] = ACTIONS(13736),
    [anon_sym_quote] = ACTIONS(13736),
    [anon_sym_let] = ACTIONS(13736),
    [anon_sym_if] = ACTIONS(13736),
    [anon_sym_elseif] = ACTIONS(13736),
    [anon_sym_else] = ACTIONS(13736),
    [anon_sym_try] = ACTIONS(13736),
    [anon_sym_for] = ACTIONS(13736),
    [anon_sym_while] = ACTIONS(13736),
    [sym_break_statement] = ACTIONS(13736),
    [sym_continue_statement] = ACTIONS(13736),
    [anon_sym_return] = ACTIONS(13736),
    [anon_sym_const] = ACTIONS(13736),
    [anon_sym_global] = ACTIONS(13736),
    [anon_sym_local] = ACTIONS(13736),
    [anon_sym_LPAREN] = ACTIONS(13736),
    [anon_sym_COLON2] = ACTIONS(13736),
    [anon_sym_export] = ACTIONS(13736),
    [anon_sym_import] = ACTIONS(13736),
    [anon_sym_using] = ACTIONS(13736),
    [anon_sym_LBRACK] = ACTIONS(13736),
    [anon_sym_LF] = ACTIONS(13738),
    [anon_sym_in] = ACTIONS(13736),
    [anon_sym_LBRACE] = ACTIONS(13736),
    [anon_sym_DOLLAR] = ACTIONS(13736),
    [anon_sym_COLON_COLON] = ACTIONS(13736),
    [anon_sym_isa] = ACTIONS(13736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13736),
    [anon_sym_QMARK] = ACTIONS(13736),
    [anon_sym_AT] = ACTIONS(13736),
    [anon_sym_true] = ACTIONS(13736),
    [anon_sym_false] = ACTIONS(13736),
    [aux_sym_integer_literal_token1] = ACTIONS(13736),
    [aux_sym_integer_literal_token2] = ACTIONS(13736),
    [aux_sym_integer_literal_token3] = ACTIONS(13736),
    [aux_sym_integer_literal_token4] = ACTIONS(13736),
    [aux_sym_float_literal_token1] = ACTIONS(13736),
    [aux_sym_float_literal_token3] = ACTIONS(13736),
    [aux_sym_float_literal_token4] = ACTIONS(13736),
    [sym_character_literal] = ACTIONS(13736),
    [sym__pair_operator] = ACTIONS(13736),
    [sym__arrow_operator] = ACTIONS(13736),
    [sym__lazy_or_operator] = ACTIONS(13736),
    [sym__lazy_and_operator] = ACTIONS(13736),
    [sym__comparison_operator] = ACTIONS(13736),
    [sym__pipe_right_operator] = ACTIONS(13736),
    [sym__pipe_left_operator] = ACTIONS(13736),
    [sym__ellipsis_operator] = ACTIONS(13736),
    [sym__plus_operator] = ACTIONS(13736),
    [sym__times_operator] = ACTIONS(13736),
    [sym__rational_operator] = ACTIONS(13736),
    [sym__bitshift_operator] = ACTIONS(13736),
    [sym__power_operator] = ACTIONS(13736),
    [sym__tilde_operator] = ACTIONS(13736),
    [sym__type_order_operator] = ACTIONS(13736),
    [sym__unary_operator] = ACTIONS(13736),
    [sym__unary_plus_operator] = ACTIONS(13736),
    [aux_sym__terminator_token1] = ACTIONS(13736),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13738),
    [sym__command_start] = ACTIONS(13738),
  },
  [7469] = {
    [sym_identifier] = STATE(8154),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_RPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_SEMI] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [7470] = {
    [sym_identifier] = STATE(8139),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_RPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_SEMI] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [7471] = {
    [sym_identifier] = STATE(8169),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_RPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_SEMI] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [7472] = {
    [sym_identifier] = STATE(8170),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_RPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_SEMI] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [7473] = {
    [sym__word_identifier] = ACTIONS(13748),
    [anon_sym_EQ] = ACTIONS(13748),
    [anon_sym_COMMA] = ACTIONS(13748),
    [anon_sym_COLON] = ACTIONS(13748),
    [anon_sym_begin] = ACTIONS(13748),
    [anon_sym_module] = ACTIONS(13748),
    [anon_sym_baremodule] = ACTIONS(13748),
    [anon_sym_end] = ACTIONS(13748),
    [anon_sym_abstract] = ACTIONS(13748),
    [anon_sym_primitive] = ACTIONS(13748),
    [anon_sym_mutable] = ACTIONS(13748),
    [anon_sym_struct] = ACTIONS(13748),
    [anon_sym_function] = ACTIONS(13748),
    [anon_sym_macro] = ACTIONS(13748),
    [anon_sym_where] = ACTIONS(13748),
    [anon_sym_quote] = ACTIONS(13748),
    [anon_sym_let] = ACTIONS(13748),
    [anon_sym_if] = ACTIONS(13748),
    [anon_sym_else] = ACTIONS(13748),
    [anon_sym_try] = ACTIONS(13748),
    [anon_sym_finally] = ACTIONS(13748),
    [anon_sym_for] = ACTIONS(13748),
    [anon_sym_while] = ACTIONS(13748),
    [sym_break_statement] = ACTIONS(13748),
    [sym_continue_statement] = ACTIONS(13748),
    [anon_sym_return] = ACTIONS(13748),
    [anon_sym_const] = ACTIONS(13748),
    [anon_sym_global] = ACTIONS(13748),
    [anon_sym_local] = ACTIONS(13748),
    [anon_sym_LPAREN] = ACTIONS(13748),
    [anon_sym_COLON2] = ACTIONS(13748),
    [anon_sym_export] = ACTIONS(13748),
    [anon_sym_import] = ACTIONS(13748),
    [anon_sym_using] = ACTIONS(13748),
    [anon_sym_LBRACK] = ACTIONS(13748),
    [anon_sym_LF] = ACTIONS(13750),
    [anon_sym_in] = ACTIONS(13748),
    [anon_sym_LBRACE] = ACTIONS(13748),
    [anon_sym_DOLLAR] = ACTIONS(13748),
    [anon_sym_COLON_COLON] = ACTIONS(13748),
    [anon_sym_isa] = ACTIONS(13748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13748),
    [anon_sym_QMARK] = ACTIONS(13748),
    [anon_sym_AT] = ACTIONS(13748),
    [anon_sym_true] = ACTIONS(13748),
    [anon_sym_false] = ACTIONS(13748),
    [aux_sym_integer_literal_token1] = ACTIONS(13748),
    [aux_sym_integer_literal_token2] = ACTIONS(13748),
    [aux_sym_integer_literal_token3] = ACTIONS(13748),
    [aux_sym_integer_literal_token4] = ACTIONS(13748),
    [aux_sym_float_literal_token1] = ACTIONS(13748),
    [aux_sym_float_literal_token3] = ACTIONS(13748),
    [aux_sym_float_literal_token4] = ACTIONS(13748),
    [sym_character_literal] = ACTIONS(13748),
    [sym__pair_operator] = ACTIONS(13748),
    [sym__arrow_operator] = ACTIONS(13748),
    [sym__lazy_or_operator] = ACTIONS(13748),
    [sym__lazy_and_operator] = ACTIONS(13748),
    [sym__comparison_operator] = ACTIONS(13748),
    [sym__pipe_right_operator] = ACTIONS(13748),
    [sym__pipe_left_operator] = ACTIONS(13748),
    [sym__ellipsis_operator] = ACTIONS(13748),
    [sym__plus_operator] = ACTIONS(13748),
    [sym__times_operator] = ACTIONS(13748),
    [sym__rational_operator] = ACTIONS(13748),
    [sym__bitshift_operator] = ACTIONS(13748),
    [sym__power_operator] = ACTIONS(13748),
    [sym__tilde_operator] = ACTIONS(13748),
    [sym__type_order_operator] = ACTIONS(13748),
    [sym__unary_operator] = ACTIONS(13748),
    [sym__unary_plus_operator] = ACTIONS(13748),
    [aux_sym__terminator_token1] = ACTIONS(13748),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13750),
    [sym__command_start] = ACTIONS(13750),
  },
  [7474] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_catch] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [7475] = {
    [sym__word_identifier] = ACTIONS(13740),
    [anon_sym_EQ] = ACTIONS(13740),
    [anon_sym_COMMA] = ACTIONS(13740),
    [anon_sym_COLON] = ACTIONS(13740),
    [anon_sym_begin] = ACTIONS(13740),
    [anon_sym_module] = ACTIONS(13740),
    [anon_sym_baremodule] = ACTIONS(13740),
    [anon_sym_end] = ACTIONS(13740),
    [anon_sym_abstract] = ACTIONS(13740),
    [anon_sym_primitive] = ACTIONS(13740),
    [anon_sym_mutable] = ACTIONS(13740),
    [anon_sym_struct] = ACTIONS(13740),
    [anon_sym_function] = ACTIONS(13740),
    [anon_sym_macro] = ACTIONS(13740),
    [anon_sym_where] = ACTIONS(13740),
    [anon_sym_quote] = ACTIONS(13740),
    [anon_sym_let] = ACTIONS(13740),
    [anon_sym_if] = ACTIONS(13740),
    [anon_sym_elseif] = ACTIONS(13740),
    [anon_sym_else] = ACTIONS(13740),
    [anon_sym_try] = ACTIONS(13740),
    [anon_sym_for] = ACTIONS(13740),
    [anon_sym_while] = ACTIONS(13740),
    [sym_break_statement] = ACTIONS(13740),
    [sym_continue_statement] = ACTIONS(13740),
    [anon_sym_return] = ACTIONS(13740),
    [anon_sym_const] = ACTIONS(13740),
    [anon_sym_global] = ACTIONS(13740),
    [anon_sym_local] = ACTIONS(13740),
    [anon_sym_LPAREN] = ACTIONS(13740),
    [anon_sym_COLON2] = ACTIONS(13740),
    [anon_sym_export] = ACTIONS(13740),
    [anon_sym_import] = ACTIONS(13740),
    [anon_sym_using] = ACTIONS(13740),
    [anon_sym_LBRACK] = ACTIONS(13740),
    [anon_sym_LF] = ACTIONS(13742),
    [anon_sym_in] = ACTIONS(13740),
    [anon_sym_LBRACE] = ACTIONS(13740),
    [anon_sym_DOLLAR] = ACTIONS(13740),
    [anon_sym_COLON_COLON] = ACTIONS(13740),
    [anon_sym_isa] = ACTIONS(13740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13740),
    [anon_sym_QMARK] = ACTIONS(13740),
    [anon_sym_AT] = ACTIONS(13740),
    [anon_sym_true] = ACTIONS(13740),
    [anon_sym_false] = ACTIONS(13740),
    [aux_sym_integer_literal_token1] = ACTIONS(13740),
    [aux_sym_integer_literal_token2] = ACTIONS(13740),
    [aux_sym_integer_literal_token3] = ACTIONS(13740),
    [aux_sym_integer_literal_token4] = ACTIONS(13740),
    [aux_sym_float_literal_token1] = ACTIONS(13740),
    [aux_sym_float_literal_token3] = ACTIONS(13740),
    [aux_sym_float_literal_token4] = ACTIONS(13740),
    [sym_character_literal] = ACTIONS(13740),
    [sym__pair_operator] = ACTIONS(13740),
    [sym__arrow_operator] = ACTIONS(13740),
    [sym__lazy_or_operator] = ACTIONS(13740),
    [sym__lazy_and_operator] = ACTIONS(13740),
    [sym__comparison_operator] = ACTIONS(13740),
    [sym__pipe_right_operator] = ACTIONS(13740),
    [sym__pipe_left_operator] = ACTIONS(13740),
    [sym__ellipsis_operator] = ACTIONS(13740),
    [sym__plus_operator] = ACTIONS(13740),
    [sym__times_operator] = ACTIONS(13740),
    [sym__rational_operator] = ACTIONS(13740),
    [sym__bitshift_operator] = ACTIONS(13740),
    [sym__power_operator] = ACTIONS(13740),
    [sym__tilde_operator] = ACTIONS(13740),
    [sym__type_order_operator] = ACTIONS(13740),
    [sym__unary_operator] = ACTIONS(13740),
    [sym__unary_plus_operator] = ACTIONS(13740),
    [aux_sym__terminator_token1] = ACTIONS(13740),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13742),
    [sym__command_start] = ACTIONS(13742),
  },
  [7476] = {
    [sym__comprehension_clause] = STATE(19178),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16689),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13752),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13754),
    [anon_sym_LF] = ACTIONS(13756),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13759),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7477] = {
    [sym__word_identifier] = ACTIONS(13748),
    [anon_sym_EQ] = ACTIONS(13748),
    [anon_sym_COMMA] = ACTIONS(13748),
    [anon_sym_COLON] = ACTIONS(13748),
    [anon_sym_begin] = ACTIONS(13748),
    [anon_sym_module] = ACTIONS(13748),
    [anon_sym_baremodule] = ACTIONS(13748),
    [anon_sym_end] = ACTIONS(13748),
    [anon_sym_abstract] = ACTIONS(13748),
    [anon_sym_primitive] = ACTIONS(13748),
    [anon_sym_mutable] = ACTIONS(13748),
    [anon_sym_struct] = ACTIONS(13748),
    [anon_sym_function] = ACTIONS(13748),
    [anon_sym_macro] = ACTIONS(13748),
    [anon_sym_where] = ACTIONS(13748),
    [anon_sym_quote] = ACTIONS(13748),
    [anon_sym_let] = ACTIONS(13748),
    [anon_sym_if] = ACTIONS(13748),
    [anon_sym_elseif] = ACTIONS(13748),
    [anon_sym_else] = ACTIONS(13748),
    [anon_sym_try] = ACTIONS(13748),
    [anon_sym_for] = ACTIONS(13748),
    [anon_sym_while] = ACTIONS(13748),
    [sym_break_statement] = ACTIONS(13748),
    [sym_continue_statement] = ACTIONS(13748),
    [anon_sym_return] = ACTIONS(13748),
    [anon_sym_const] = ACTIONS(13748),
    [anon_sym_global] = ACTIONS(13748),
    [anon_sym_local] = ACTIONS(13748),
    [anon_sym_LPAREN] = ACTIONS(13748),
    [anon_sym_COLON2] = ACTIONS(13748),
    [anon_sym_export] = ACTIONS(13748),
    [anon_sym_import] = ACTIONS(13748),
    [anon_sym_using] = ACTIONS(13748),
    [anon_sym_LBRACK] = ACTIONS(13748),
    [anon_sym_LF] = ACTIONS(13750),
    [anon_sym_in] = ACTIONS(13748),
    [anon_sym_LBRACE] = ACTIONS(13748),
    [anon_sym_DOLLAR] = ACTIONS(13748),
    [anon_sym_COLON_COLON] = ACTIONS(13748),
    [anon_sym_isa] = ACTIONS(13748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13748),
    [anon_sym_QMARK] = ACTIONS(13748),
    [anon_sym_AT] = ACTIONS(13748),
    [anon_sym_true] = ACTIONS(13748),
    [anon_sym_false] = ACTIONS(13748),
    [aux_sym_integer_literal_token1] = ACTIONS(13748),
    [aux_sym_integer_literal_token2] = ACTIONS(13748),
    [aux_sym_integer_literal_token3] = ACTIONS(13748),
    [aux_sym_integer_literal_token4] = ACTIONS(13748),
    [aux_sym_float_literal_token1] = ACTIONS(13748),
    [aux_sym_float_literal_token3] = ACTIONS(13748),
    [aux_sym_float_literal_token4] = ACTIONS(13748),
    [sym_character_literal] = ACTIONS(13748),
    [sym__pair_operator] = ACTIONS(13748),
    [sym__arrow_operator] = ACTIONS(13748),
    [sym__lazy_or_operator] = ACTIONS(13748),
    [sym__lazy_and_operator] = ACTIONS(13748),
    [sym__comparison_operator] = ACTIONS(13748),
    [sym__pipe_right_operator] = ACTIONS(13748),
    [sym__pipe_left_operator] = ACTIONS(13748),
    [sym__ellipsis_operator] = ACTIONS(13748),
    [sym__plus_operator] = ACTIONS(13748),
    [sym__times_operator] = ACTIONS(13748),
    [sym__rational_operator] = ACTIONS(13748),
    [sym__bitshift_operator] = ACTIONS(13748),
    [sym__power_operator] = ACTIONS(13748),
    [sym__tilde_operator] = ACTIONS(13748),
    [sym__type_order_operator] = ACTIONS(13748),
    [sym__unary_operator] = ACTIONS(13748),
    [sym__unary_plus_operator] = ACTIONS(13748),
    [aux_sym__terminator_token1] = ACTIONS(13748),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13750),
    [sym__command_start] = ACTIONS(13750),
  },
  [7478] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(13762),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7479] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7480] = {
    [sym__word_identifier] = ACTIONS(13764),
    [anon_sym_EQ] = ACTIONS(13764),
    [anon_sym_COMMA] = ACTIONS(13764),
    [anon_sym_COLON] = ACTIONS(13764),
    [anon_sym_begin] = ACTIONS(13764),
    [anon_sym_module] = ACTIONS(13764),
    [anon_sym_baremodule] = ACTIONS(13764),
    [anon_sym_end] = ACTIONS(13764),
    [anon_sym_abstract] = ACTIONS(13764),
    [anon_sym_primitive] = ACTIONS(13764),
    [anon_sym_mutable] = ACTIONS(13764),
    [anon_sym_struct] = ACTIONS(13764),
    [anon_sym_function] = ACTIONS(13764),
    [anon_sym_macro] = ACTIONS(13764),
    [anon_sym_where] = ACTIONS(13764),
    [anon_sym_quote] = ACTIONS(13764),
    [anon_sym_let] = ACTIONS(13764),
    [anon_sym_if] = ACTIONS(13764),
    [anon_sym_elseif] = ACTIONS(13764),
    [anon_sym_else] = ACTIONS(13764),
    [anon_sym_try] = ACTIONS(13764),
    [anon_sym_for] = ACTIONS(13764),
    [anon_sym_while] = ACTIONS(13764),
    [sym_break_statement] = ACTIONS(13764),
    [sym_continue_statement] = ACTIONS(13764),
    [anon_sym_return] = ACTIONS(13764),
    [anon_sym_const] = ACTIONS(13764),
    [anon_sym_global] = ACTIONS(13764),
    [anon_sym_local] = ACTIONS(13764),
    [anon_sym_LPAREN] = ACTIONS(13764),
    [anon_sym_COLON2] = ACTIONS(13764),
    [anon_sym_export] = ACTIONS(13764),
    [anon_sym_import] = ACTIONS(13764),
    [anon_sym_using] = ACTIONS(13764),
    [anon_sym_LBRACK] = ACTIONS(13764),
    [anon_sym_LF] = ACTIONS(13766),
    [anon_sym_in] = ACTIONS(13764),
    [anon_sym_LBRACE] = ACTIONS(13764),
    [anon_sym_DOLLAR] = ACTIONS(13764),
    [anon_sym_COLON_COLON] = ACTIONS(13764),
    [anon_sym_isa] = ACTIONS(13764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13764),
    [anon_sym_QMARK] = ACTIONS(13764),
    [anon_sym_AT] = ACTIONS(13764),
    [anon_sym_true] = ACTIONS(13764),
    [anon_sym_false] = ACTIONS(13764),
    [aux_sym_integer_literal_token1] = ACTIONS(13764),
    [aux_sym_integer_literal_token2] = ACTIONS(13764),
    [aux_sym_integer_literal_token3] = ACTIONS(13764),
    [aux_sym_integer_literal_token4] = ACTIONS(13764),
    [aux_sym_float_literal_token1] = ACTIONS(13764),
    [aux_sym_float_literal_token3] = ACTIONS(13764),
    [aux_sym_float_literal_token4] = ACTIONS(13764),
    [sym_character_literal] = ACTIONS(13764),
    [sym__pair_operator] = ACTIONS(13764),
    [sym__arrow_operator] = ACTIONS(13764),
    [sym__lazy_or_operator] = ACTIONS(13764),
    [sym__lazy_and_operator] = ACTIONS(13764),
    [sym__comparison_operator] = ACTIONS(13764),
    [sym__pipe_right_operator] = ACTIONS(13764),
    [sym__pipe_left_operator] = ACTIONS(13764),
    [sym__ellipsis_operator] = ACTIONS(13764),
    [sym__plus_operator] = ACTIONS(13764),
    [sym__times_operator] = ACTIONS(13764),
    [sym__rational_operator] = ACTIONS(13764),
    [sym__bitshift_operator] = ACTIONS(13764),
    [sym__power_operator] = ACTIONS(13764),
    [sym__tilde_operator] = ACTIONS(13764),
    [sym__type_order_operator] = ACTIONS(13764),
    [sym__unary_operator] = ACTIONS(13764),
    [sym__unary_plus_operator] = ACTIONS(13764),
    [aux_sym__terminator_token1] = ACTIONS(13764),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13766),
    [sym__command_start] = ACTIONS(13766),
  },
  [7481] = {
    [sym__word_identifier] = ACTIONS(13768),
    [anon_sym_EQ] = ACTIONS(13768),
    [anon_sym_COMMA] = ACTIONS(13768),
    [anon_sym_COLON] = ACTIONS(13768),
    [anon_sym_begin] = ACTIONS(13768),
    [anon_sym_module] = ACTIONS(13768),
    [anon_sym_baremodule] = ACTIONS(13768),
    [anon_sym_end] = ACTIONS(13768),
    [anon_sym_abstract] = ACTIONS(13768),
    [anon_sym_primitive] = ACTIONS(13768),
    [anon_sym_mutable] = ACTIONS(13768),
    [anon_sym_struct] = ACTIONS(13768),
    [anon_sym_function] = ACTIONS(13768),
    [anon_sym_macro] = ACTIONS(13768),
    [anon_sym_where] = ACTIONS(13768),
    [anon_sym_quote] = ACTIONS(13768),
    [anon_sym_let] = ACTIONS(13768),
    [anon_sym_if] = ACTIONS(13768),
    [anon_sym_elseif] = ACTIONS(13768),
    [anon_sym_else] = ACTIONS(13768),
    [anon_sym_try] = ACTIONS(13768),
    [anon_sym_for] = ACTIONS(13768),
    [anon_sym_while] = ACTIONS(13768),
    [sym_break_statement] = ACTIONS(13768),
    [sym_continue_statement] = ACTIONS(13768),
    [anon_sym_return] = ACTIONS(13768),
    [anon_sym_const] = ACTIONS(13768),
    [anon_sym_global] = ACTIONS(13768),
    [anon_sym_local] = ACTIONS(13768),
    [anon_sym_LPAREN] = ACTIONS(13768),
    [anon_sym_COLON2] = ACTIONS(13768),
    [anon_sym_export] = ACTIONS(13768),
    [anon_sym_import] = ACTIONS(13768),
    [anon_sym_using] = ACTIONS(13768),
    [anon_sym_LBRACK] = ACTIONS(13768),
    [anon_sym_LF] = ACTIONS(13770),
    [anon_sym_in] = ACTIONS(13768),
    [anon_sym_LBRACE] = ACTIONS(13768),
    [anon_sym_DOLLAR] = ACTIONS(13768),
    [anon_sym_COLON_COLON] = ACTIONS(13768),
    [anon_sym_isa] = ACTIONS(13768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13768),
    [anon_sym_QMARK] = ACTIONS(13768),
    [anon_sym_AT] = ACTIONS(13768),
    [anon_sym_true] = ACTIONS(13768),
    [anon_sym_false] = ACTIONS(13768),
    [aux_sym_integer_literal_token1] = ACTIONS(13768),
    [aux_sym_integer_literal_token2] = ACTIONS(13768),
    [aux_sym_integer_literal_token3] = ACTIONS(13768),
    [aux_sym_integer_literal_token4] = ACTIONS(13768),
    [aux_sym_float_literal_token1] = ACTIONS(13768),
    [aux_sym_float_literal_token3] = ACTIONS(13768),
    [aux_sym_float_literal_token4] = ACTIONS(13768),
    [sym_character_literal] = ACTIONS(13768),
    [sym__pair_operator] = ACTIONS(13768),
    [sym__arrow_operator] = ACTIONS(13768),
    [sym__lazy_or_operator] = ACTIONS(13768),
    [sym__lazy_and_operator] = ACTIONS(13768),
    [sym__comparison_operator] = ACTIONS(13768),
    [sym__pipe_right_operator] = ACTIONS(13768),
    [sym__pipe_left_operator] = ACTIONS(13768),
    [sym__ellipsis_operator] = ACTIONS(13768),
    [sym__plus_operator] = ACTIONS(13768),
    [sym__times_operator] = ACTIONS(13768),
    [sym__rational_operator] = ACTIONS(13768),
    [sym__bitshift_operator] = ACTIONS(13768),
    [sym__power_operator] = ACTIONS(13768),
    [sym__tilde_operator] = ACTIONS(13768),
    [sym__type_order_operator] = ACTIONS(13768),
    [sym__unary_operator] = ACTIONS(13768),
    [sym__unary_plus_operator] = ACTIONS(13768),
    [aux_sym__terminator_token1] = ACTIONS(13768),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13770),
    [sym__command_start] = ACTIONS(13770),
  },
  [7482] = {
    [sym__word_identifier] = ACTIONS(13764),
    [anon_sym_EQ] = ACTIONS(13764),
    [anon_sym_COMMA] = ACTIONS(13764),
    [anon_sym_COLON] = ACTIONS(13764),
    [anon_sym_begin] = ACTIONS(13764),
    [anon_sym_module] = ACTIONS(13764),
    [anon_sym_baremodule] = ACTIONS(13764),
    [anon_sym_end] = ACTIONS(13764),
    [anon_sym_abstract] = ACTIONS(13764),
    [anon_sym_primitive] = ACTIONS(13764),
    [anon_sym_mutable] = ACTIONS(13764),
    [anon_sym_struct] = ACTIONS(13764),
    [anon_sym_function] = ACTIONS(13764),
    [anon_sym_macro] = ACTIONS(13764),
    [anon_sym_where] = ACTIONS(13764),
    [anon_sym_quote] = ACTIONS(13764),
    [anon_sym_let] = ACTIONS(13764),
    [anon_sym_if] = ACTIONS(13764),
    [anon_sym_else] = ACTIONS(13764),
    [anon_sym_try] = ACTIONS(13764),
    [anon_sym_finally] = ACTIONS(13764),
    [anon_sym_for] = ACTIONS(13764),
    [anon_sym_while] = ACTIONS(13764),
    [sym_break_statement] = ACTIONS(13764),
    [sym_continue_statement] = ACTIONS(13764),
    [anon_sym_return] = ACTIONS(13764),
    [anon_sym_const] = ACTIONS(13764),
    [anon_sym_global] = ACTIONS(13764),
    [anon_sym_local] = ACTIONS(13764),
    [anon_sym_LPAREN] = ACTIONS(13764),
    [anon_sym_COLON2] = ACTIONS(13764),
    [anon_sym_export] = ACTIONS(13764),
    [anon_sym_import] = ACTIONS(13764),
    [anon_sym_using] = ACTIONS(13764),
    [anon_sym_LBRACK] = ACTIONS(13764),
    [anon_sym_LF] = ACTIONS(13766),
    [anon_sym_in] = ACTIONS(13764),
    [anon_sym_LBRACE] = ACTIONS(13764),
    [anon_sym_DOLLAR] = ACTIONS(13764),
    [anon_sym_COLON_COLON] = ACTIONS(13764),
    [anon_sym_isa] = ACTIONS(13764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13764),
    [anon_sym_QMARK] = ACTIONS(13764),
    [anon_sym_AT] = ACTIONS(13764),
    [anon_sym_true] = ACTIONS(13764),
    [anon_sym_false] = ACTIONS(13764),
    [aux_sym_integer_literal_token1] = ACTIONS(13764),
    [aux_sym_integer_literal_token2] = ACTIONS(13764),
    [aux_sym_integer_literal_token3] = ACTIONS(13764),
    [aux_sym_integer_literal_token4] = ACTIONS(13764),
    [aux_sym_float_literal_token1] = ACTIONS(13764),
    [aux_sym_float_literal_token3] = ACTIONS(13764),
    [aux_sym_float_literal_token4] = ACTIONS(13764),
    [sym_character_literal] = ACTIONS(13764),
    [sym__pair_operator] = ACTIONS(13764),
    [sym__arrow_operator] = ACTIONS(13764),
    [sym__lazy_or_operator] = ACTIONS(13764),
    [sym__lazy_and_operator] = ACTIONS(13764),
    [sym__comparison_operator] = ACTIONS(13764),
    [sym__pipe_right_operator] = ACTIONS(13764),
    [sym__pipe_left_operator] = ACTIONS(13764),
    [sym__ellipsis_operator] = ACTIONS(13764),
    [sym__plus_operator] = ACTIONS(13764),
    [sym__times_operator] = ACTIONS(13764),
    [sym__rational_operator] = ACTIONS(13764),
    [sym__bitshift_operator] = ACTIONS(13764),
    [sym__power_operator] = ACTIONS(13764),
    [sym__tilde_operator] = ACTIONS(13764),
    [sym__type_order_operator] = ACTIONS(13764),
    [sym__unary_operator] = ACTIONS(13764),
    [sym__unary_plus_operator] = ACTIONS(13764),
    [aux_sym__terminator_token1] = ACTIONS(13764),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13766),
    [sym__command_start] = ACTIONS(13766),
  },
  [7483] = {
    [sym__word_identifier] = ACTIONS(13772),
    [anon_sym_EQ] = ACTIONS(13772),
    [anon_sym_COMMA] = ACTIONS(13772),
    [anon_sym_COLON] = ACTIONS(13772),
    [anon_sym_begin] = ACTIONS(13772),
    [anon_sym_module] = ACTIONS(13772),
    [anon_sym_baremodule] = ACTIONS(13772),
    [anon_sym_end] = ACTIONS(13772),
    [anon_sym_abstract] = ACTIONS(13772),
    [anon_sym_primitive] = ACTIONS(13772),
    [anon_sym_mutable] = ACTIONS(13772),
    [anon_sym_struct] = ACTIONS(13772),
    [anon_sym_function] = ACTIONS(13772),
    [anon_sym_macro] = ACTIONS(13772),
    [anon_sym_where] = ACTIONS(13772),
    [anon_sym_quote] = ACTIONS(13772),
    [anon_sym_let] = ACTIONS(13772),
    [anon_sym_if] = ACTIONS(13772),
    [anon_sym_elseif] = ACTIONS(13772),
    [anon_sym_else] = ACTIONS(13772),
    [anon_sym_try] = ACTIONS(13772),
    [anon_sym_for] = ACTIONS(13772),
    [anon_sym_while] = ACTIONS(13772),
    [sym_break_statement] = ACTIONS(13772),
    [sym_continue_statement] = ACTIONS(13772),
    [anon_sym_return] = ACTIONS(13772),
    [anon_sym_const] = ACTIONS(13772),
    [anon_sym_global] = ACTIONS(13772),
    [anon_sym_local] = ACTIONS(13772),
    [anon_sym_LPAREN] = ACTIONS(13772),
    [anon_sym_COLON2] = ACTIONS(13772),
    [anon_sym_export] = ACTIONS(13772),
    [anon_sym_import] = ACTIONS(13772),
    [anon_sym_using] = ACTIONS(13772),
    [anon_sym_LBRACK] = ACTIONS(13772),
    [anon_sym_LF] = ACTIONS(13774),
    [anon_sym_in] = ACTIONS(13772),
    [anon_sym_LBRACE] = ACTIONS(13772),
    [anon_sym_DOLLAR] = ACTIONS(13772),
    [anon_sym_COLON_COLON] = ACTIONS(13772),
    [anon_sym_isa] = ACTIONS(13772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13772),
    [anon_sym_QMARK] = ACTIONS(13772),
    [anon_sym_AT] = ACTIONS(13772),
    [anon_sym_true] = ACTIONS(13772),
    [anon_sym_false] = ACTIONS(13772),
    [aux_sym_integer_literal_token1] = ACTIONS(13772),
    [aux_sym_integer_literal_token2] = ACTIONS(13772),
    [aux_sym_integer_literal_token3] = ACTIONS(13772),
    [aux_sym_integer_literal_token4] = ACTIONS(13772),
    [aux_sym_float_literal_token1] = ACTIONS(13772),
    [aux_sym_float_literal_token3] = ACTIONS(13772),
    [aux_sym_float_literal_token4] = ACTIONS(13772),
    [sym_character_literal] = ACTIONS(13772),
    [sym__pair_operator] = ACTIONS(13772),
    [sym__arrow_operator] = ACTIONS(13772),
    [sym__lazy_or_operator] = ACTIONS(13772),
    [sym__lazy_and_operator] = ACTIONS(13772),
    [sym__comparison_operator] = ACTIONS(13772),
    [sym__pipe_right_operator] = ACTIONS(13772),
    [sym__pipe_left_operator] = ACTIONS(13772),
    [sym__ellipsis_operator] = ACTIONS(13772),
    [sym__plus_operator] = ACTIONS(13772),
    [sym__times_operator] = ACTIONS(13772),
    [sym__rational_operator] = ACTIONS(13772),
    [sym__bitshift_operator] = ACTIONS(13772),
    [sym__power_operator] = ACTIONS(13772),
    [sym__tilde_operator] = ACTIONS(13772),
    [sym__type_order_operator] = ACTIONS(13772),
    [sym__unary_operator] = ACTIONS(13772),
    [sym__unary_plus_operator] = ACTIONS(13772),
    [aux_sym__terminator_token1] = ACTIONS(13772),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13774),
    [sym__command_start] = ACTIONS(13774),
  },
  [7484] = {
    [sym__word_identifier] = ACTIONS(13768),
    [anon_sym_EQ] = ACTIONS(13768),
    [anon_sym_COMMA] = ACTIONS(13768),
    [anon_sym_COLON] = ACTIONS(13768),
    [anon_sym_begin] = ACTIONS(13768),
    [anon_sym_module] = ACTIONS(13768),
    [anon_sym_baremodule] = ACTIONS(13768),
    [anon_sym_end] = ACTIONS(13768),
    [anon_sym_abstract] = ACTIONS(13768),
    [anon_sym_primitive] = ACTIONS(13768),
    [anon_sym_mutable] = ACTIONS(13768),
    [anon_sym_struct] = ACTIONS(13768),
    [anon_sym_function] = ACTIONS(13768),
    [anon_sym_macro] = ACTIONS(13768),
    [anon_sym_where] = ACTIONS(13768),
    [anon_sym_quote] = ACTIONS(13768),
    [anon_sym_let] = ACTIONS(13768),
    [anon_sym_if] = ACTIONS(13768),
    [anon_sym_else] = ACTIONS(13768),
    [anon_sym_try] = ACTIONS(13768),
    [anon_sym_finally] = ACTIONS(13768),
    [anon_sym_for] = ACTIONS(13768),
    [anon_sym_while] = ACTIONS(13768),
    [sym_break_statement] = ACTIONS(13768),
    [sym_continue_statement] = ACTIONS(13768),
    [anon_sym_return] = ACTIONS(13768),
    [anon_sym_const] = ACTIONS(13768),
    [anon_sym_global] = ACTIONS(13768),
    [anon_sym_local] = ACTIONS(13768),
    [anon_sym_LPAREN] = ACTIONS(13768),
    [anon_sym_COLON2] = ACTIONS(13768),
    [anon_sym_export] = ACTIONS(13768),
    [anon_sym_import] = ACTIONS(13768),
    [anon_sym_using] = ACTIONS(13768),
    [anon_sym_LBRACK] = ACTIONS(13768),
    [anon_sym_LF] = ACTIONS(13770),
    [anon_sym_in] = ACTIONS(13768),
    [anon_sym_LBRACE] = ACTIONS(13768),
    [anon_sym_DOLLAR] = ACTIONS(13768),
    [anon_sym_COLON_COLON] = ACTIONS(13768),
    [anon_sym_isa] = ACTIONS(13768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13768),
    [anon_sym_QMARK] = ACTIONS(13768),
    [anon_sym_AT] = ACTIONS(13768),
    [anon_sym_true] = ACTIONS(13768),
    [anon_sym_false] = ACTIONS(13768),
    [aux_sym_integer_literal_token1] = ACTIONS(13768),
    [aux_sym_integer_literal_token2] = ACTIONS(13768),
    [aux_sym_integer_literal_token3] = ACTIONS(13768),
    [aux_sym_integer_literal_token4] = ACTIONS(13768),
    [aux_sym_float_literal_token1] = ACTIONS(13768),
    [aux_sym_float_literal_token3] = ACTIONS(13768),
    [aux_sym_float_literal_token4] = ACTIONS(13768),
    [sym_character_literal] = ACTIONS(13768),
    [sym__pair_operator] = ACTIONS(13768),
    [sym__arrow_operator] = ACTIONS(13768),
    [sym__lazy_or_operator] = ACTIONS(13768),
    [sym__lazy_and_operator] = ACTIONS(13768),
    [sym__comparison_operator] = ACTIONS(13768),
    [sym__pipe_right_operator] = ACTIONS(13768),
    [sym__pipe_left_operator] = ACTIONS(13768),
    [sym__ellipsis_operator] = ACTIONS(13768),
    [sym__plus_operator] = ACTIONS(13768),
    [sym__times_operator] = ACTIONS(13768),
    [sym__rational_operator] = ACTIONS(13768),
    [sym__bitshift_operator] = ACTIONS(13768),
    [sym__power_operator] = ACTIONS(13768),
    [sym__tilde_operator] = ACTIONS(13768),
    [sym__type_order_operator] = ACTIONS(13768),
    [sym__unary_operator] = ACTIONS(13768),
    [sym__unary_plus_operator] = ACTIONS(13768),
    [aux_sym__terminator_token1] = ACTIONS(13768),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13770),
    [sym__command_start] = ACTIONS(13770),
  },
  [7485] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_DOLLAR] = ACTIONS(11960),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(12952),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11960),
    [sym__bitshift_operator] = ACTIONS(11960),
    [sym__power_operator] = ACTIONS(11960),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7486] = {
    [sym__word_identifier] = ACTIONS(13776),
    [anon_sym_EQ] = ACTIONS(13776),
    [anon_sym_COMMA] = ACTIONS(13776),
    [anon_sym_COLON] = ACTIONS(13776),
    [anon_sym_begin] = ACTIONS(13776),
    [anon_sym_module] = ACTIONS(13776),
    [anon_sym_baremodule] = ACTIONS(13776),
    [anon_sym_end] = ACTIONS(13776),
    [anon_sym_abstract] = ACTIONS(13776),
    [anon_sym_primitive] = ACTIONS(13776),
    [anon_sym_mutable] = ACTIONS(13776),
    [anon_sym_struct] = ACTIONS(13776),
    [anon_sym_function] = ACTIONS(13776),
    [anon_sym_macro] = ACTIONS(13776),
    [anon_sym_where] = ACTIONS(13776),
    [anon_sym_quote] = ACTIONS(13776),
    [anon_sym_let] = ACTIONS(13776),
    [anon_sym_if] = ACTIONS(13776),
    [anon_sym_elseif] = ACTIONS(13776),
    [anon_sym_else] = ACTIONS(13776),
    [anon_sym_try] = ACTIONS(13776),
    [anon_sym_for] = ACTIONS(13776),
    [anon_sym_while] = ACTIONS(13776),
    [sym_break_statement] = ACTIONS(13776),
    [sym_continue_statement] = ACTIONS(13776),
    [anon_sym_return] = ACTIONS(13776),
    [anon_sym_const] = ACTIONS(13776),
    [anon_sym_global] = ACTIONS(13776),
    [anon_sym_local] = ACTIONS(13776),
    [anon_sym_LPAREN] = ACTIONS(13776),
    [anon_sym_COLON2] = ACTIONS(13776),
    [anon_sym_export] = ACTIONS(13776),
    [anon_sym_import] = ACTIONS(13776),
    [anon_sym_using] = ACTIONS(13776),
    [anon_sym_LBRACK] = ACTIONS(13776),
    [anon_sym_LF] = ACTIONS(13778),
    [anon_sym_in] = ACTIONS(13776),
    [anon_sym_LBRACE] = ACTIONS(13776),
    [anon_sym_DOLLAR] = ACTIONS(13776),
    [anon_sym_COLON_COLON] = ACTIONS(13776),
    [anon_sym_isa] = ACTIONS(13776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13776),
    [anon_sym_QMARK] = ACTIONS(13776),
    [anon_sym_AT] = ACTIONS(13776),
    [anon_sym_true] = ACTIONS(13776),
    [anon_sym_false] = ACTIONS(13776),
    [aux_sym_integer_literal_token1] = ACTIONS(13776),
    [aux_sym_integer_literal_token2] = ACTIONS(13776),
    [aux_sym_integer_literal_token3] = ACTIONS(13776),
    [aux_sym_integer_literal_token4] = ACTIONS(13776),
    [aux_sym_float_literal_token1] = ACTIONS(13776),
    [aux_sym_float_literal_token3] = ACTIONS(13776),
    [aux_sym_float_literal_token4] = ACTIONS(13776),
    [sym_character_literal] = ACTIONS(13776),
    [sym__pair_operator] = ACTIONS(13776),
    [sym__arrow_operator] = ACTIONS(13776),
    [sym__lazy_or_operator] = ACTIONS(13776),
    [sym__lazy_and_operator] = ACTIONS(13776),
    [sym__comparison_operator] = ACTIONS(13776),
    [sym__pipe_right_operator] = ACTIONS(13776),
    [sym__pipe_left_operator] = ACTIONS(13776),
    [sym__ellipsis_operator] = ACTIONS(13776),
    [sym__plus_operator] = ACTIONS(13776),
    [sym__times_operator] = ACTIONS(13776),
    [sym__rational_operator] = ACTIONS(13776),
    [sym__bitshift_operator] = ACTIONS(13776),
    [sym__power_operator] = ACTIONS(13776),
    [sym__tilde_operator] = ACTIONS(13776),
    [sym__type_order_operator] = ACTIONS(13776),
    [sym__unary_operator] = ACTIONS(13776),
    [sym__unary_plus_operator] = ACTIONS(13776),
    [aux_sym__terminator_token1] = ACTIONS(13776),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13778),
    [sym__command_start] = ACTIONS(13778),
  },
  [7487] = {
    [sym__word_identifier] = ACTIONS(13780),
    [anon_sym_EQ] = ACTIONS(13780),
    [anon_sym_COMMA] = ACTIONS(13780),
    [anon_sym_COLON] = ACTIONS(13780),
    [anon_sym_begin] = ACTIONS(13780),
    [anon_sym_module] = ACTIONS(13780),
    [anon_sym_baremodule] = ACTIONS(13780),
    [anon_sym_end] = ACTIONS(13780),
    [anon_sym_abstract] = ACTIONS(13780),
    [anon_sym_primitive] = ACTIONS(13780),
    [anon_sym_mutable] = ACTIONS(13780),
    [anon_sym_struct] = ACTIONS(13780),
    [anon_sym_function] = ACTIONS(13780),
    [anon_sym_macro] = ACTIONS(13780),
    [anon_sym_where] = ACTIONS(13780),
    [anon_sym_quote] = ACTIONS(13780),
    [anon_sym_let] = ACTIONS(13780),
    [anon_sym_if] = ACTIONS(13780),
    [anon_sym_elseif] = ACTIONS(13780),
    [anon_sym_else] = ACTIONS(13780),
    [anon_sym_try] = ACTIONS(13780),
    [anon_sym_for] = ACTIONS(13780),
    [anon_sym_while] = ACTIONS(13780),
    [sym_break_statement] = ACTIONS(13780),
    [sym_continue_statement] = ACTIONS(13780),
    [anon_sym_return] = ACTIONS(13780),
    [anon_sym_const] = ACTIONS(13780),
    [anon_sym_global] = ACTIONS(13780),
    [anon_sym_local] = ACTIONS(13780),
    [anon_sym_LPAREN] = ACTIONS(13780),
    [anon_sym_COLON2] = ACTIONS(13780),
    [anon_sym_export] = ACTIONS(13780),
    [anon_sym_import] = ACTIONS(13780),
    [anon_sym_using] = ACTIONS(13780),
    [anon_sym_LBRACK] = ACTIONS(13780),
    [anon_sym_LF] = ACTIONS(13782),
    [anon_sym_in] = ACTIONS(13780),
    [anon_sym_LBRACE] = ACTIONS(13780),
    [anon_sym_DOLLAR] = ACTIONS(13780),
    [anon_sym_COLON_COLON] = ACTIONS(13780),
    [anon_sym_isa] = ACTIONS(13780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13780),
    [anon_sym_QMARK] = ACTIONS(13780),
    [anon_sym_AT] = ACTIONS(13780),
    [anon_sym_true] = ACTIONS(13780),
    [anon_sym_false] = ACTIONS(13780),
    [aux_sym_integer_literal_token1] = ACTIONS(13780),
    [aux_sym_integer_literal_token2] = ACTIONS(13780),
    [aux_sym_integer_literal_token3] = ACTIONS(13780),
    [aux_sym_integer_literal_token4] = ACTIONS(13780),
    [aux_sym_float_literal_token1] = ACTIONS(13780),
    [aux_sym_float_literal_token3] = ACTIONS(13780),
    [aux_sym_float_literal_token4] = ACTIONS(13780),
    [sym_character_literal] = ACTIONS(13780),
    [sym__pair_operator] = ACTIONS(13780),
    [sym__arrow_operator] = ACTIONS(13780),
    [sym__lazy_or_operator] = ACTIONS(13780),
    [sym__lazy_and_operator] = ACTIONS(13780),
    [sym__comparison_operator] = ACTIONS(13780),
    [sym__pipe_right_operator] = ACTIONS(13780),
    [sym__pipe_left_operator] = ACTIONS(13780),
    [sym__ellipsis_operator] = ACTIONS(13780),
    [sym__plus_operator] = ACTIONS(13780),
    [sym__times_operator] = ACTIONS(13780),
    [sym__rational_operator] = ACTIONS(13780),
    [sym__bitshift_operator] = ACTIONS(13780),
    [sym__power_operator] = ACTIONS(13780),
    [sym__tilde_operator] = ACTIONS(13780),
    [sym__type_order_operator] = ACTIONS(13780),
    [sym__unary_operator] = ACTIONS(13780),
    [sym__unary_plus_operator] = ACTIONS(13780),
    [aux_sym__terminator_token1] = ACTIONS(13780),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13782),
    [sym__command_start] = ACTIONS(13782),
  },
  [7488] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7489] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11960),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11960),
    [anon_sym_RPAREN] = ACTIONS(11960),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11960),
    [anon_sym_RBRACK] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11960),
    [anon_sym_RBRACE] = ACTIONS(11960),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11960),
    [anon_sym_COLON_COLON] = ACTIONS(11960),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11960),
    [anon_sym_QMARK] = ACTIONS(11960),
    [anon_sym_AT] = ACTIONS(11960),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11960),
    [aux_sym_integer_literal_token2] = ACTIONS(11960),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11960),
    [aux_sym_float_literal_token3] = ACTIONS(11960),
    [aux_sym_float_literal_token4] = ACTIONS(11960),
    [sym_character_literal] = ACTIONS(11960),
    [sym__pair_operator] = ACTIONS(11960),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11960),
    [sym__lazy_and_operator] = ACTIONS(11960),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11960),
    [sym__pipe_left_operator] = ACTIONS(11960),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11960),
    [sym__bitshift_operator] = ACTIONS(11960),
    [sym__power_operator] = ACTIONS(11960),
    [sym__tilde_operator] = ACTIONS(11960),
    [sym__type_order_operator] = ACTIONS(11960),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7490] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11940),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7491] = {
    [sym__comprehension_clause] = STATE(18715),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17018),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13784),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13786),
    [anon_sym_LF] = ACTIONS(13788),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13791),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7492] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7493] = {
    [aux_sym_open_tuple_repeat1] = STATE(7595),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(13432),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13314),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7494] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7495] = {
    [sym__comprehension_clause] = STATE(19548),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17008),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13794),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13796),
    [anon_sym_LF] = ACTIONS(13798),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13801),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7496] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7497] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_catch] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [7498] = {
    [sym__word_identifier] = ACTIONS(13772),
    [anon_sym_EQ] = ACTIONS(13772),
    [anon_sym_COMMA] = ACTIONS(13772),
    [anon_sym_COLON] = ACTIONS(13772),
    [anon_sym_begin] = ACTIONS(13772),
    [anon_sym_module] = ACTIONS(13772),
    [anon_sym_baremodule] = ACTIONS(13772),
    [anon_sym_end] = ACTIONS(13772),
    [anon_sym_abstract] = ACTIONS(13772),
    [anon_sym_primitive] = ACTIONS(13772),
    [anon_sym_mutable] = ACTIONS(13772),
    [anon_sym_struct] = ACTIONS(13772),
    [anon_sym_function] = ACTIONS(13772),
    [anon_sym_macro] = ACTIONS(13772),
    [anon_sym_where] = ACTIONS(13772),
    [anon_sym_quote] = ACTIONS(13772),
    [anon_sym_let] = ACTIONS(13772),
    [anon_sym_if] = ACTIONS(13772),
    [anon_sym_else] = ACTIONS(13772),
    [anon_sym_try] = ACTIONS(13772),
    [anon_sym_finally] = ACTIONS(13772),
    [anon_sym_for] = ACTIONS(13772),
    [anon_sym_while] = ACTIONS(13772),
    [sym_break_statement] = ACTIONS(13772),
    [sym_continue_statement] = ACTIONS(13772),
    [anon_sym_return] = ACTIONS(13772),
    [anon_sym_const] = ACTIONS(13772),
    [anon_sym_global] = ACTIONS(13772),
    [anon_sym_local] = ACTIONS(13772),
    [anon_sym_LPAREN] = ACTIONS(13772),
    [anon_sym_COLON2] = ACTIONS(13772),
    [anon_sym_export] = ACTIONS(13772),
    [anon_sym_import] = ACTIONS(13772),
    [anon_sym_using] = ACTIONS(13772),
    [anon_sym_LBRACK] = ACTIONS(13772),
    [anon_sym_LF] = ACTIONS(13774),
    [anon_sym_in] = ACTIONS(13772),
    [anon_sym_LBRACE] = ACTIONS(13772),
    [anon_sym_DOLLAR] = ACTIONS(13772),
    [anon_sym_COLON_COLON] = ACTIONS(13772),
    [anon_sym_isa] = ACTIONS(13772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13772),
    [anon_sym_QMARK] = ACTIONS(13772),
    [anon_sym_AT] = ACTIONS(13772),
    [anon_sym_true] = ACTIONS(13772),
    [anon_sym_false] = ACTIONS(13772),
    [aux_sym_integer_literal_token1] = ACTIONS(13772),
    [aux_sym_integer_literal_token2] = ACTIONS(13772),
    [aux_sym_integer_literal_token3] = ACTIONS(13772),
    [aux_sym_integer_literal_token4] = ACTIONS(13772),
    [aux_sym_float_literal_token1] = ACTIONS(13772),
    [aux_sym_float_literal_token3] = ACTIONS(13772),
    [aux_sym_float_literal_token4] = ACTIONS(13772),
    [sym_character_literal] = ACTIONS(13772),
    [sym__pair_operator] = ACTIONS(13772),
    [sym__arrow_operator] = ACTIONS(13772),
    [sym__lazy_or_operator] = ACTIONS(13772),
    [sym__lazy_and_operator] = ACTIONS(13772),
    [sym__comparison_operator] = ACTIONS(13772),
    [sym__pipe_right_operator] = ACTIONS(13772),
    [sym__pipe_left_operator] = ACTIONS(13772),
    [sym__ellipsis_operator] = ACTIONS(13772),
    [sym__plus_operator] = ACTIONS(13772),
    [sym__times_operator] = ACTIONS(13772),
    [sym__rational_operator] = ACTIONS(13772),
    [sym__bitshift_operator] = ACTIONS(13772),
    [sym__power_operator] = ACTIONS(13772),
    [sym__tilde_operator] = ACTIONS(13772),
    [sym__type_order_operator] = ACTIONS(13772),
    [sym__unary_operator] = ACTIONS(13772),
    [sym__unary_plus_operator] = ACTIONS(13772),
    [aux_sym__terminator_token1] = ACTIONS(13772),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13774),
    [sym__command_start] = ACTIONS(13774),
  },
  [7499] = {
    [sym__word_identifier] = ACTIONS(13776),
    [anon_sym_EQ] = ACTIONS(13776),
    [anon_sym_COMMA] = ACTIONS(13776),
    [anon_sym_COLON] = ACTIONS(13776),
    [anon_sym_begin] = ACTIONS(13776),
    [anon_sym_module] = ACTIONS(13776),
    [anon_sym_baremodule] = ACTIONS(13776),
    [anon_sym_end] = ACTIONS(13776),
    [anon_sym_abstract] = ACTIONS(13776),
    [anon_sym_primitive] = ACTIONS(13776),
    [anon_sym_mutable] = ACTIONS(13776),
    [anon_sym_struct] = ACTIONS(13776),
    [anon_sym_function] = ACTIONS(13776),
    [anon_sym_macro] = ACTIONS(13776),
    [anon_sym_where] = ACTIONS(13776),
    [anon_sym_quote] = ACTIONS(13776),
    [anon_sym_let] = ACTIONS(13776),
    [anon_sym_if] = ACTIONS(13776),
    [anon_sym_else] = ACTIONS(13776),
    [anon_sym_try] = ACTIONS(13776),
    [anon_sym_finally] = ACTIONS(13776),
    [anon_sym_for] = ACTIONS(13776),
    [anon_sym_while] = ACTIONS(13776),
    [sym_break_statement] = ACTIONS(13776),
    [sym_continue_statement] = ACTIONS(13776),
    [anon_sym_return] = ACTIONS(13776),
    [anon_sym_const] = ACTIONS(13776),
    [anon_sym_global] = ACTIONS(13776),
    [anon_sym_local] = ACTIONS(13776),
    [anon_sym_LPAREN] = ACTIONS(13776),
    [anon_sym_COLON2] = ACTIONS(13776),
    [anon_sym_export] = ACTIONS(13776),
    [anon_sym_import] = ACTIONS(13776),
    [anon_sym_using] = ACTIONS(13776),
    [anon_sym_LBRACK] = ACTIONS(13776),
    [anon_sym_LF] = ACTIONS(13778),
    [anon_sym_in] = ACTIONS(13776),
    [anon_sym_LBRACE] = ACTIONS(13776),
    [anon_sym_DOLLAR] = ACTIONS(13776),
    [anon_sym_COLON_COLON] = ACTIONS(13776),
    [anon_sym_isa] = ACTIONS(13776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13776),
    [anon_sym_QMARK] = ACTIONS(13776),
    [anon_sym_AT] = ACTIONS(13776),
    [anon_sym_true] = ACTIONS(13776),
    [anon_sym_false] = ACTIONS(13776),
    [aux_sym_integer_literal_token1] = ACTIONS(13776),
    [aux_sym_integer_literal_token2] = ACTIONS(13776),
    [aux_sym_integer_literal_token3] = ACTIONS(13776),
    [aux_sym_integer_literal_token4] = ACTIONS(13776),
    [aux_sym_float_literal_token1] = ACTIONS(13776),
    [aux_sym_float_literal_token3] = ACTIONS(13776),
    [aux_sym_float_literal_token4] = ACTIONS(13776),
    [sym_character_literal] = ACTIONS(13776),
    [sym__pair_operator] = ACTIONS(13776),
    [sym__arrow_operator] = ACTIONS(13776),
    [sym__lazy_or_operator] = ACTIONS(13776),
    [sym__lazy_and_operator] = ACTIONS(13776),
    [sym__comparison_operator] = ACTIONS(13776),
    [sym__pipe_right_operator] = ACTIONS(13776),
    [sym__pipe_left_operator] = ACTIONS(13776),
    [sym__ellipsis_operator] = ACTIONS(13776),
    [sym__plus_operator] = ACTIONS(13776),
    [sym__times_operator] = ACTIONS(13776),
    [sym__rational_operator] = ACTIONS(13776),
    [sym__bitshift_operator] = ACTIONS(13776),
    [sym__power_operator] = ACTIONS(13776),
    [sym__tilde_operator] = ACTIONS(13776),
    [sym__type_order_operator] = ACTIONS(13776),
    [sym__unary_operator] = ACTIONS(13776),
    [sym__unary_plus_operator] = ACTIONS(13776),
    [aux_sym__terminator_token1] = ACTIONS(13776),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13778),
    [sym__command_start] = ACTIONS(13778),
  },
  [7500] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13390),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7501] = {
    [sym__word_identifier] = ACTIONS(13780),
    [anon_sym_EQ] = ACTIONS(13780),
    [anon_sym_COMMA] = ACTIONS(13780),
    [anon_sym_COLON] = ACTIONS(13780),
    [anon_sym_begin] = ACTIONS(13780),
    [anon_sym_module] = ACTIONS(13780),
    [anon_sym_baremodule] = ACTIONS(13780),
    [anon_sym_end] = ACTIONS(13780),
    [anon_sym_abstract] = ACTIONS(13780),
    [anon_sym_primitive] = ACTIONS(13780),
    [anon_sym_mutable] = ACTIONS(13780),
    [anon_sym_struct] = ACTIONS(13780),
    [anon_sym_function] = ACTIONS(13780),
    [anon_sym_macro] = ACTIONS(13780),
    [anon_sym_where] = ACTIONS(13780),
    [anon_sym_quote] = ACTIONS(13780),
    [anon_sym_let] = ACTIONS(13780),
    [anon_sym_if] = ACTIONS(13780),
    [anon_sym_else] = ACTIONS(13780),
    [anon_sym_try] = ACTIONS(13780),
    [anon_sym_finally] = ACTIONS(13780),
    [anon_sym_for] = ACTIONS(13780),
    [anon_sym_while] = ACTIONS(13780),
    [sym_break_statement] = ACTIONS(13780),
    [sym_continue_statement] = ACTIONS(13780),
    [anon_sym_return] = ACTIONS(13780),
    [anon_sym_const] = ACTIONS(13780),
    [anon_sym_global] = ACTIONS(13780),
    [anon_sym_local] = ACTIONS(13780),
    [anon_sym_LPAREN] = ACTIONS(13780),
    [anon_sym_COLON2] = ACTIONS(13780),
    [anon_sym_export] = ACTIONS(13780),
    [anon_sym_import] = ACTIONS(13780),
    [anon_sym_using] = ACTIONS(13780),
    [anon_sym_LBRACK] = ACTIONS(13780),
    [anon_sym_LF] = ACTIONS(13782),
    [anon_sym_in] = ACTIONS(13780),
    [anon_sym_LBRACE] = ACTIONS(13780),
    [anon_sym_DOLLAR] = ACTIONS(13780),
    [anon_sym_COLON_COLON] = ACTIONS(13780),
    [anon_sym_isa] = ACTIONS(13780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13780),
    [anon_sym_QMARK] = ACTIONS(13780),
    [anon_sym_AT] = ACTIONS(13780),
    [anon_sym_true] = ACTIONS(13780),
    [anon_sym_false] = ACTIONS(13780),
    [aux_sym_integer_literal_token1] = ACTIONS(13780),
    [aux_sym_integer_literal_token2] = ACTIONS(13780),
    [aux_sym_integer_literal_token3] = ACTIONS(13780),
    [aux_sym_integer_literal_token4] = ACTIONS(13780),
    [aux_sym_float_literal_token1] = ACTIONS(13780),
    [aux_sym_float_literal_token3] = ACTIONS(13780),
    [aux_sym_float_literal_token4] = ACTIONS(13780),
    [sym_character_literal] = ACTIONS(13780),
    [sym__pair_operator] = ACTIONS(13780),
    [sym__arrow_operator] = ACTIONS(13780),
    [sym__lazy_or_operator] = ACTIONS(13780),
    [sym__lazy_and_operator] = ACTIONS(13780),
    [sym__comparison_operator] = ACTIONS(13780),
    [sym__pipe_right_operator] = ACTIONS(13780),
    [sym__pipe_left_operator] = ACTIONS(13780),
    [sym__ellipsis_operator] = ACTIONS(13780),
    [sym__plus_operator] = ACTIONS(13780),
    [sym__times_operator] = ACTIONS(13780),
    [sym__rational_operator] = ACTIONS(13780),
    [sym__bitshift_operator] = ACTIONS(13780),
    [sym__power_operator] = ACTIONS(13780),
    [sym__tilde_operator] = ACTIONS(13780),
    [sym__type_order_operator] = ACTIONS(13780),
    [sym__unary_operator] = ACTIONS(13780),
    [sym__unary_plus_operator] = ACTIONS(13780),
    [aux_sym__terminator_token1] = ACTIONS(13780),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13782),
    [sym__command_start] = ACTIONS(13782),
  },
  [7502] = {
    [sym_identifier] = STATE(8711),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_EQ] = ACTIONS(11992),
    [anon_sym_COMMA] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_COLON2] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_in] = ACTIONS(11992),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_isa] = ACTIONS(11992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11992),
    [anon_sym_QMARK] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__lazy_or_operator] = ACTIONS(11992),
    [sym__lazy_and_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [7503] = {
    [sym_identifier] = STATE(8703),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_EQ] = ACTIONS(11988),
    [anon_sym_COMMA] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_COLON2] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_in] = ACTIONS(11988),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_isa] = ACTIONS(11988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11988),
    [anon_sym_QMARK] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__lazy_or_operator] = ACTIONS(11988),
    [sym__lazy_and_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [7504] = {
    [aux_sym_open_tuple_repeat1] = STATE(7969),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(13558),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_catch] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13357),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7505] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [7506] = {
    [sym__word_identifier] = ACTIONS(13804),
    [anon_sym_EQ] = ACTIONS(13804),
    [anon_sym_COMMA] = ACTIONS(13804),
    [anon_sym_COLON] = ACTIONS(13804),
    [anon_sym_begin] = ACTIONS(13804),
    [anon_sym_module] = ACTIONS(13804),
    [anon_sym_baremodule] = ACTIONS(13804),
    [anon_sym_end] = ACTIONS(13804),
    [anon_sym_abstract] = ACTIONS(13804),
    [anon_sym_primitive] = ACTIONS(13804),
    [anon_sym_mutable] = ACTIONS(13804),
    [anon_sym_struct] = ACTIONS(13804),
    [anon_sym_function] = ACTIONS(13804),
    [anon_sym_macro] = ACTIONS(13804),
    [anon_sym_where] = ACTIONS(13804),
    [anon_sym_quote] = ACTIONS(13804),
    [anon_sym_let] = ACTIONS(13804),
    [anon_sym_if] = ACTIONS(13804),
    [anon_sym_elseif] = ACTIONS(13804),
    [anon_sym_else] = ACTIONS(13804),
    [anon_sym_try] = ACTIONS(13804),
    [anon_sym_for] = ACTIONS(13804),
    [anon_sym_while] = ACTIONS(13804),
    [sym_break_statement] = ACTIONS(13804),
    [sym_continue_statement] = ACTIONS(13804),
    [anon_sym_return] = ACTIONS(13804),
    [anon_sym_const] = ACTIONS(13804),
    [anon_sym_global] = ACTIONS(13804),
    [anon_sym_local] = ACTIONS(13804),
    [anon_sym_LPAREN] = ACTIONS(13804),
    [anon_sym_COLON2] = ACTIONS(13804),
    [anon_sym_export] = ACTIONS(13804),
    [anon_sym_import] = ACTIONS(13804),
    [anon_sym_using] = ACTIONS(13804),
    [anon_sym_LBRACK] = ACTIONS(13804),
    [anon_sym_LF] = ACTIONS(13806),
    [anon_sym_in] = ACTIONS(13804),
    [anon_sym_LBRACE] = ACTIONS(13804),
    [anon_sym_DOLLAR] = ACTIONS(13804),
    [anon_sym_COLON_COLON] = ACTIONS(13804),
    [anon_sym_isa] = ACTIONS(13804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13804),
    [anon_sym_QMARK] = ACTIONS(13804),
    [anon_sym_AT] = ACTIONS(13804),
    [anon_sym_true] = ACTIONS(13804),
    [anon_sym_false] = ACTIONS(13804),
    [aux_sym_integer_literal_token1] = ACTIONS(13804),
    [aux_sym_integer_literal_token2] = ACTIONS(13804),
    [aux_sym_integer_literal_token3] = ACTIONS(13804),
    [aux_sym_integer_literal_token4] = ACTIONS(13804),
    [aux_sym_float_literal_token1] = ACTIONS(13804),
    [aux_sym_float_literal_token3] = ACTIONS(13804),
    [aux_sym_float_literal_token4] = ACTIONS(13804),
    [sym_character_literal] = ACTIONS(13804),
    [sym__pair_operator] = ACTIONS(13804),
    [sym__arrow_operator] = ACTIONS(13804),
    [sym__lazy_or_operator] = ACTIONS(13804),
    [sym__lazy_and_operator] = ACTIONS(13804),
    [sym__comparison_operator] = ACTIONS(13804),
    [sym__pipe_right_operator] = ACTIONS(13804),
    [sym__pipe_left_operator] = ACTIONS(13804),
    [sym__ellipsis_operator] = ACTIONS(13804),
    [sym__plus_operator] = ACTIONS(13804),
    [sym__times_operator] = ACTIONS(13804),
    [sym__rational_operator] = ACTIONS(13804),
    [sym__bitshift_operator] = ACTIONS(13804),
    [sym__power_operator] = ACTIONS(13804),
    [sym__tilde_operator] = ACTIONS(13804),
    [sym__type_order_operator] = ACTIONS(13804),
    [sym__unary_operator] = ACTIONS(13804),
    [sym__unary_plus_operator] = ACTIONS(13804),
    [aux_sym__terminator_token1] = ACTIONS(13804),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13806),
    [sym__command_start] = ACTIONS(13806),
  },
  [7507] = {
    [aux_sym_open_tuple_repeat1] = STATE(6904),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(12970),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_else] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13576),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7508] = {
    [aux_sym_open_tuple_repeat1] = STATE(7590),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13688),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_catch] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13448),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7509] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_catch] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [7510] = {
    [sym__word_identifier] = ACTIONS(13804),
    [anon_sym_EQ] = ACTIONS(13804),
    [anon_sym_COMMA] = ACTIONS(13804),
    [anon_sym_COLON] = ACTIONS(13804),
    [anon_sym_begin] = ACTIONS(13804),
    [anon_sym_module] = ACTIONS(13804),
    [anon_sym_baremodule] = ACTIONS(13804),
    [anon_sym_end] = ACTIONS(13804),
    [anon_sym_abstract] = ACTIONS(13804),
    [anon_sym_primitive] = ACTIONS(13804),
    [anon_sym_mutable] = ACTIONS(13804),
    [anon_sym_struct] = ACTIONS(13804),
    [anon_sym_function] = ACTIONS(13804),
    [anon_sym_macro] = ACTIONS(13804),
    [anon_sym_where] = ACTIONS(13804),
    [anon_sym_quote] = ACTIONS(13804),
    [anon_sym_let] = ACTIONS(13804),
    [anon_sym_if] = ACTIONS(13804),
    [anon_sym_else] = ACTIONS(13804),
    [anon_sym_try] = ACTIONS(13804),
    [anon_sym_finally] = ACTIONS(13804),
    [anon_sym_for] = ACTIONS(13804),
    [anon_sym_while] = ACTIONS(13804),
    [sym_break_statement] = ACTIONS(13804),
    [sym_continue_statement] = ACTIONS(13804),
    [anon_sym_return] = ACTIONS(13804),
    [anon_sym_const] = ACTIONS(13804),
    [anon_sym_global] = ACTIONS(13804),
    [anon_sym_local] = ACTIONS(13804),
    [anon_sym_LPAREN] = ACTIONS(13804),
    [anon_sym_COLON2] = ACTIONS(13804),
    [anon_sym_export] = ACTIONS(13804),
    [anon_sym_import] = ACTIONS(13804),
    [anon_sym_using] = ACTIONS(13804),
    [anon_sym_LBRACK] = ACTIONS(13804),
    [anon_sym_LF] = ACTIONS(13806),
    [anon_sym_in] = ACTIONS(13804),
    [anon_sym_LBRACE] = ACTIONS(13804),
    [anon_sym_DOLLAR] = ACTIONS(13804),
    [anon_sym_COLON_COLON] = ACTIONS(13804),
    [anon_sym_isa] = ACTIONS(13804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13804),
    [anon_sym_QMARK] = ACTIONS(13804),
    [anon_sym_AT] = ACTIONS(13804),
    [anon_sym_true] = ACTIONS(13804),
    [anon_sym_false] = ACTIONS(13804),
    [aux_sym_integer_literal_token1] = ACTIONS(13804),
    [aux_sym_integer_literal_token2] = ACTIONS(13804),
    [aux_sym_integer_literal_token3] = ACTIONS(13804),
    [aux_sym_integer_literal_token4] = ACTIONS(13804),
    [aux_sym_float_literal_token1] = ACTIONS(13804),
    [aux_sym_float_literal_token3] = ACTIONS(13804),
    [aux_sym_float_literal_token4] = ACTIONS(13804),
    [sym_character_literal] = ACTIONS(13804),
    [sym__pair_operator] = ACTIONS(13804),
    [sym__arrow_operator] = ACTIONS(13804),
    [sym__lazy_or_operator] = ACTIONS(13804),
    [sym__lazy_and_operator] = ACTIONS(13804),
    [sym__comparison_operator] = ACTIONS(13804),
    [sym__pipe_right_operator] = ACTIONS(13804),
    [sym__pipe_left_operator] = ACTIONS(13804),
    [sym__ellipsis_operator] = ACTIONS(13804),
    [sym__plus_operator] = ACTIONS(13804),
    [sym__times_operator] = ACTIONS(13804),
    [sym__rational_operator] = ACTIONS(13804),
    [sym__bitshift_operator] = ACTIONS(13804),
    [sym__power_operator] = ACTIONS(13804),
    [sym__tilde_operator] = ACTIONS(13804),
    [sym__type_order_operator] = ACTIONS(13804),
    [sym__unary_operator] = ACTIONS(13804),
    [sym__unary_plus_operator] = ACTIONS(13804),
    [aux_sym__terminator_token1] = ACTIONS(13804),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13806),
    [sym__command_start] = ACTIONS(13806),
  },
  [7511] = {
    [sym__word_identifier] = ACTIONS(13808),
    [anon_sym_EQ] = ACTIONS(13808),
    [anon_sym_COMMA] = ACTIONS(13808),
    [anon_sym_COLON] = ACTIONS(13808),
    [anon_sym_begin] = ACTIONS(13808),
    [anon_sym_module] = ACTIONS(13808),
    [anon_sym_baremodule] = ACTIONS(13808),
    [anon_sym_end] = ACTIONS(13808),
    [anon_sym_abstract] = ACTIONS(13808),
    [anon_sym_primitive] = ACTIONS(13808),
    [anon_sym_mutable] = ACTIONS(13808),
    [anon_sym_struct] = ACTIONS(13808),
    [anon_sym_function] = ACTIONS(13808),
    [anon_sym_macro] = ACTIONS(13808),
    [anon_sym_where] = ACTIONS(13808),
    [anon_sym_quote] = ACTIONS(13808),
    [anon_sym_let] = ACTIONS(13808),
    [anon_sym_if] = ACTIONS(13808),
    [anon_sym_elseif] = ACTIONS(13808),
    [anon_sym_else] = ACTIONS(13808),
    [anon_sym_try] = ACTIONS(13808),
    [anon_sym_for] = ACTIONS(13808),
    [anon_sym_while] = ACTIONS(13808),
    [sym_break_statement] = ACTIONS(13808),
    [sym_continue_statement] = ACTIONS(13808),
    [anon_sym_return] = ACTIONS(13808),
    [anon_sym_const] = ACTIONS(13808),
    [anon_sym_global] = ACTIONS(13808),
    [anon_sym_local] = ACTIONS(13808),
    [anon_sym_LPAREN] = ACTIONS(13808),
    [anon_sym_COLON2] = ACTIONS(13808),
    [anon_sym_export] = ACTIONS(13808),
    [anon_sym_import] = ACTIONS(13808),
    [anon_sym_using] = ACTIONS(13808),
    [anon_sym_LBRACK] = ACTIONS(13808),
    [anon_sym_LF] = ACTIONS(13810),
    [anon_sym_in] = ACTIONS(13808),
    [anon_sym_LBRACE] = ACTIONS(13808),
    [anon_sym_DOLLAR] = ACTIONS(13808),
    [anon_sym_COLON_COLON] = ACTIONS(13808),
    [anon_sym_isa] = ACTIONS(13808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13808),
    [anon_sym_QMARK] = ACTIONS(13808),
    [anon_sym_AT] = ACTIONS(13808),
    [anon_sym_true] = ACTIONS(13808),
    [anon_sym_false] = ACTIONS(13808),
    [aux_sym_integer_literal_token1] = ACTIONS(13808),
    [aux_sym_integer_literal_token2] = ACTIONS(13808),
    [aux_sym_integer_literal_token3] = ACTIONS(13808),
    [aux_sym_integer_literal_token4] = ACTIONS(13808),
    [aux_sym_float_literal_token1] = ACTIONS(13808),
    [aux_sym_float_literal_token3] = ACTIONS(13808),
    [aux_sym_float_literal_token4] = ACTIONS(13808),
    [sym_character_literal] = ACTIONS(13808),
    [sym__pair_operator] = ACTIONS(13808),
    [sym__arrow_operator] = ACTIONS(13808),
    [sym__lazy_or_operator] = ACTIONS(13808),
    [sym__lazy_and_operator] = ACTIONS(13808),
    [sym__comparison_operator] = ACTIONS(13808),
    [sym__pipe_right_operator] = ACTIONS(13808),
    [sym__pipe_left_operator] = ACTIONS(13808),
    [sym__ellipsis_operator] = ACTIONS(13808),
    [sym__plus_operator] = ACTIONS(13808),
    [sym__times_operator] = ACTIONS(13808),
    [sym__rational_operator] = ACTIONS(13808),
    [sym__bitshift_operator] = ACTIONS(13808),
    [sym__power_operator] = ACTIONS(13808),
    [sym__tilde_operator] = ACTIONS(13808),
    [sym__type_order_operator] = ACTIONS(13808),
    [sym__unary_operator] = ACTIONS(13808),
    [sym__unary_plus_operator] = ACTIONS(13808),
    [aux_sym__terminator_token1] = ACTIONS(13808),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13810),
    [sym__command_start] = ACTIONS(13810),
  },
  [7512] = {
    [sym__word_identifier] = ACTIONS(13808),
    [anon_sym_EQ] = ACTIONS(13808),
    [anon_sym_COMMA] = ACTIONS(13808),
    [anon_sym_COLON] = ACTIONS(13808),
    [anon_sym_begin] = ACTIONS(13808),
    [anon_sym_module] = ACTIONS(13808),
    [anon_sym_baremodule] = ACTIONS(13808),
    [anon_sym_end] = ACTIONS(13808),
    [anon_sym_abstract] = ACTIONS(13808),
    [anon_sym_primitive] = ACTIONS(13808),
    [anon_sym_mutable] = ACTIONS(13808),
    [anon_sym_struct] = ACTIONS(13808),
    [anon_sym_function] = ACTIONS(13808),
    [anon_sym_macro] = ACTIONS(13808),
    [anon_sym_where] = ACTIONS(13808),
    [anon_sym_quote] = ACTIONS(13808),
    [anon_sym_let] = ACTIONS(13808),
    [anon_sym_if] = ACTIONS(13808),
    [anon_sym_else] = ACTIONS(13808),
    [anon_sym_try] = ACTIONS(13808),
    [anon_sym_finally] = ACTIONS(13808),
    [anon_sym_for] = ACTIONS(13808),
    [anon_sym_while] = ACTIONS(13808),
    [sym_break_statement] = ACTIONS(13808),
    [sym_continue_statement] = ACTIONS(13808),
    [anon_sym_return] = ACTIONS(13808),
    [anon_sym_const] = ACTIONS(13808),
    [anon_sym_global] = ACTIONS(13808),
    [anon_sym_local] = ACTIONS(13808),
    [anon_sym_LPAREN] = ACTIONS(13808),
    [anon_sym_COLON2] = ACTIONS(13808),
    [anon_sym_export] = ACTIONS(13808),
    [anon_sym_import] = ACTIONS(13808),
    [anon_sym_using] = ACTIONS(13808),
    [anon_sym_LBRACK] = ACTIONS(13808),
    [anon_sym_LF] = ACTIONS(13810),
    [anon_sym_in] = ACTIONS(13808),
    [anon_sym_LBRACE] = ACTIONS(13808),
    [anon_sym_DOLLAR] = ACTIONS(13808),
    [anon_sym_COLON_COLON] = ACTIONS(13808),
    [anon_sym_isa] = ACTIONS(13808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13808),
    [anon_sym_QMARK] = ACTIONS(13808),
    [anon_sym_AT] = ACTIONS(13808),
    [anon_sym_true] = ACTIONS(13808),
    [anon_sym_false] = ACTIONS(13808),
    [aux_sym_integer_literal_token1] = ACTIONS(13808),
    [aux_sym_integer_literal_token2] = ACTIONS(13808),
    [aux_sym_integer_literal_token3] = ACTIONS(13808),
    [aux_sym_integer_literal_token4] = ACTIONS(13808),
    [aux_sym_float_literal_token1] = ACTIONS(13808),
    [aux_sym_float_literal_token3] = ACTIONS(13808),
    [aux_sym_float_literal_token4] = ACTIONS(13808),
    [sym_character_literal] = ACTIONS(13808),
    [sym__pair_operator] = ACTIONS(13808),
    [sym__arrow_operator] = ACTIONS(13808),
    [sym__lazy_or_operator] = ACTIONS(13808),
    [sym__lazy_and_operator] = ACTIONS(13808),
    [sym__comparison_operator] = ACTIONS(13808),
    [sym__pipe_right_operator] = ACTIONS(13808),
    [sym__pipe_left_operator] = ACTIONS(13808),
    [sym__ellipsis_operator] = ACTIONS(13808),
    [sym__plus_operator] = ACTIONS(13808),
    [sym__times_operator] = ACTIONS(13808),
    [sym__rational_operator] = ACTIONS(13808),
    [sym__bitshift_operator] = ACTIONS(13808),
    [sym__power_operator] = ACTIONS(13808),
    [sym__tilde_operator] = ACTIONS(13808),
    [sym__type_order_operator] = ACTIONS(13808),
    [sym__unary_operator] = ACTIONS(13808),
    [sym__unary_plus_operator] = ACTIONS(13808),
    [aux_sym__terminator_token1] = ACTIONS(13808),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13810),
    [sym__command_start] = ACTIONS(13810),
  },
  [7513] = {
    [sym_identifier] = STATE(8680),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11978),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_COLON2] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_in] = ACTIONS(11978),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_isa] = ACTIONS(11978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11978),
    [anon_sym_QMARK] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__lazy_or_operator] = ACTIONS(11978),
    [sym__lazy_and_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [7514] = {
    [sym__word_identifier] = ACTIONS(13812),
    [anon_sym_EQ] = ACTIONS(13812),
    [anon_sym_COMMA] = ACTIONS(13812),
    [anon_sym_COLON] = ACTIONS(13812),
    [anon_sym_begin] = ACTIONS(13812),
    [anon_sym_module] = ACTIONS(13812),
    [anon_sym_baremodule] = ACTIONS(13812),
    [anon_sym_end] = ACTIONS(13812),
    [anon_sym_abstract] = ACTIONS(13812),
    [anon_sym_primitive] = ACTIONS(13812),
    [anon_sym_mutable] = ACTIONS(13812),
    [anon_sym_struct] = ACTIONS(13812),
    [anon_sym_function] = ACTIONS(13812),
    [anon_sym_macro] = ACTIONS(13812),
    [anon_sym_where] = ACTIONS(13812),
    [anon_sym_quote] = ACTIONS(13812),
    [anon_sym_let] = ACTIONS(13812),
    [anon_sym_if] = ACTIONS(13812),
    [anon_sym_elseif] = ACTIONS(13812),
    [anon_sym_else] = ACTIONS(13812),
    [anon_sym_try] = ACTIONS(13812),
    [anon_sym_for] = ACTIONS(13812),
    [anon_sym_while] = ACTIONS(13812),
    [sym_break_statement] = ACTIONS(13812),
    [sym_continue_statement] = ACTIONS(13812),
    [anon_sym_return] = ACTIONS(13812),
    [anon_sym_const] = ACTIONS(13812),
    [anon_sym_global] = ACTIONS(13812),
    [anon_sym_local] = ACTIONS(13812),
    [anon_sym_LPAREN] = ACTIONS(13812),
    [anon_sym_COLON2] = ACTIONS(13812),
    [anon_sym_export] = ACTIONS(13812),
    [anon_sym_import] = ACTIONS(13812),
    [anon_sym_using] = ACTIONS(13812),
    [anon_sym_LBRACK] = ACTIONS(13812),
    [anon_sym_LF] = ACTIONS(13814),
    [anon_sym_in] = ACTIONS(13812),
    [anon_sym_LBRACE] = ACTIONS(13812),
    [anon_sym_DOLLAR] = ACTIONS(13812),
    [anon_sym_COLON_COLON] = ACTIONS(13812),
    [anon_sym_isa] = ACTIONS(13812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13812),
    [anon_sym_QMARK] = ACTIONS(13812),
    [anon_sym_AT] = ACTIONS(13812),
    [anon_sym_true] = ACTIONS(13812),
    [anon_sym_false] = ACTIONS(13812),
    [aux_sym_integer_literal_token1] = ACTIONS(13812),
    [aux_sym_integer_literal_token2] = ACTIONS(13812),
    [aux_sym_integer_literal_token3] = ACTIONS(13812),
    [aux_sym_integer_literal_token4] = ACTIONS(13812),
    [aux_sym_float_literal_token1] = ACTIONS(13812),
    [aux_sym_float_literal_token3] = ACTIONS(13812),
    [aux_sym_float_literal_token4] = ACTIONS(13812),
    [sym_character_literal] = ACTIONS(13812),
    [sym__pair_operator] = ACTIONS(13812),
    [sym__arrow_operator] = ACTIONS(13812),
    [sym__lazy_or_operator] = ACTIONS(13812),
    [sym__lazy_and_operator] = ACTIONS(13812),
    [sym__comparison_operator] = ACTIONS(13812),
    [sym__pipe_right_operator] = ACTIONS(13812),
    [sym__pipe_left_operator] = ACTIONS(13812),
    [sym__ellipsis_operator] = ACTIONS(13812),
    [sym__plus_operator] = ACTIONS(13812),
    [sym__times_operator] = ACTIONS(13812),
    [sym__rational_operator] = ACTIONS(13812),
    [sym__bitshift_operator] = ACTIONS(13812),
    [sym__power_operator] = ACTIONS(13812),
    [sym__tilde_operator] = ACTIONS(13812),
    [sym__type_order_operator] = ACTIONS(13812),
    [sym__unary_operator] = ACTIONS(13812),
    [sym__unary_plus_operator] = ACTIONS(13812),
    [aux_sym__terminator_token1] = ACTIONS(13812),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13814),
    [sym__command_start] = ACTIONS(13814),
  },
  [7515] = {
    [sym_identifier] = STATE(8678),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_EQ] = ACTIONS(11966),
    [anon_sym_COMMA] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_COLON2] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_in] = ACTIONS(11966),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_isa] = ACTIONS(11966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11966),
    [anon_sym_QMARK] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__lazy_or_operator] = ACTIONS(11966),
    [sym__lazy_and_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [7516] = {
    [sym__word_identifier] = ACTIONS(13816),
    [anon_sym_EQ] = ACTIONS(13816),
    [anon_sym_COMMA] = ACTIONS(13816),
    [anon_sym_COLON] = ACTIONS(13816),
    [anon_sym_begin] = ACTIONS(13816),
    [anon_sym_module] = ACTIONS(13816),
    [anon_sym_baremodule] = ACTIONS(13816),
    [anon_sym_end] = ACTIONS(13816),
    [anon_sym_abstract] = ACTIONS(13816),
    [anon_sym_primitive] = ACTIONS(13816),
    [anon_sym_mutable] = ACTIONS(13816),
    [anon_sym_struct] = ACTIONS(13816),
    [anon_sym_function] = ACTIONS(13816),
    [anon_sym_macro] = ACTIONS(13816),
    [anon_sym_where] = ACTIONS(13816),
    [anon_sym_quote] = ACTIONS(13816),
    [anon_sym_let] = ACTIONS(13816),
    [anon_sym_if] = ACTIONS(13816),
    [anon_sym_elseif] = ACTIONS(13816),
    [anon_sym_else] = ACTIONS(13816),
    [anon_sym_try] = ACTIONS(13816),
    [anon_sym_for] = ACTIONS(13816),
    [anon_sym_while] = ACTIONS(13816),
    [sym_break_statement] = ACTIONS(13816),
    [sym_continue_statement] = ACTIONS(13816),
    [anon_sym_return] = ACTIONS(13816),
    [anon_sym_const] = ACTIONS(13816),
    [anon_sym_global] = ACTIONS(13816),
    [anon_sym_local] = ACTIONS(13816),
    [anon_sym_LPAREN] = ACTIONS(13816),
    [anon_sym_COLON2] = ACTIONS(13816),
    [anon_sym_export] = ACTIONS(13816),
    [anon_sym_import] = ACTIONS(13816),
    [anon_sym_using] = ACTIONS(13816),
    [anon_sym_LBRACK] = ACTIONS(13816),
    [anon_sym_LF] = ACTIONS(13818),
    [anon_sym_in] = ACTIONS(13816),
    [anon_sym_LBRACE] = ACTIONS(13816),
    [anon_sym_DOLLAR] = ACTIONS(13816),
    [anon_sym_COLON_COLON] = ACTIONS(13816),
    [anon_sym_isa] = ACTIONS(13816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13816),
    [anon_sym_QMARK] = ACTIONS(13816),
    [anon_sym_AT] = ACTIONS(13816),
    [anon_sym_true] = ACTIONS(13816),
    [anon_sym_false] = ACTIONS(13816),
    [aux_sym_integer_literal_token1] = ACTIONS(13816),
    [aux_sym_integer_literal_token2] = ACTIONS(13816),
    [aux_sym_integer_literal_token3] = ACTIONS(13816),
    [aux_sym_integer_literal_token4] = ACTIONS(13816),
    [aux_sym_float_literal_token1] = ACTIONS(13816),
    [aux_sym_float_literal_token3] = ACTIONS(13816),
    [aux_sym_float_literal_token4] = ACTIONS(13816),
    [sym_character_literal] = ACTIONS(13816),
    [sym__pair_operator] = ACTIONS(13816),
    [sym__arrow_operator] = ACTIONS(13816),
    [sym__lazy_or_operator] = ACTIONS(13816),
    [sym__lazy_and_operator] = ACTIONS(13816),
    [sym__comparison_operator] = ACTIONS(13816),
    [sym__pipe_right_operator] = ACTIONS(13816),
    [sym__pipe_left_operator] = ACTIONS(13816),
    [sym__ellipsis_operator] = ACTIONS(13816),
    [sym__plus_operator] = ACTIONS(13816),
    [sym__times_operator] = ACTIONS(13816),
    [sym__rational_operator] = ACTIONS(13816),
    [sym__bitshift_operator] = ACTIONS(13816),
    [sym__power_operator] = ACTIONS(13816),
    [sym__tilde_operator] = ACTIONS(13816),
    [sym__type_order_operator] = ACTIONS(13816),
    [sym__unary_operator] = ACTIONS(13816),
    [sym__unary_plus_operator] = ACTIONS(13816),
    [aux_sym__terminator_token1] = ACTIONS(13816),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13818),
    [sym__command_start] = ACTIONS(13818),
  },
  [7517] = {
    [aux_sym_open_tuple_repeat1] = STATE(7590),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13688),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_catch] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13448),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7518] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(12392),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_else] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7519] = {
    [aux_sym__import_list_repeat1] = STATE(8672),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(13820),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(13822),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_RPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_SEMI] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7520] = {
    [aux_sym_open_tuple_repeat1] = STATE(7590),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13688),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_catch] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13448),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7521] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7522] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_catch] = ACTIONS(13032),
    [anon_sym_finally] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_as] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [7523] = {
    [sym__word_identifier] = ACTIONS(13824),
    [anon_sym_EQ] = ACTIONS(13824),
    [anon_sym_COMMA] = ACTIONS(13824),
    [anon_sym_COLON] = ACTIONS(13824),
    [anon_sym_begin] = ACTIONS(13824),
    [anon_sym_module] = ACTIONS(13824),
    [anon_sym_baremodule] = ACTIONS(13824),
    [anon_sym_end] = ACTIONS(13824),
    [anon_sym_abstract] = ACTIONS(13824),
    [anon_sym_primitive] = ACTIONS(13824),
    [anon_sym_mutable] = ACTIONS(13824),
    [anon_sym_struct] = ACTIONS(13824),
    [anon_sym_function] = ACTIONS(13824),
    [anon_sym_macro] = ACTIONS(13824),
    [anon_sym_where] = ACTIONS(13824),
    [anon_sym_quote] = ACTIONS(13824),
    [anon_sym_let] = ACTIONS(13824),
    [anon_sym_if] = ACTIONS(13824),
    [anon_sym_elseif] = ACTIONS(13824),
    [anon_sym_else] = ACTIONS(13824),
    [anon_sym_try] = ACTIONS(13824),
    [anon_sym_for] = ACTIONS(13824),
    [anon_sym_while] = ACTIONS(13824),
    [sym_break_statement] = ACTIONS(13824),
    [sym_continue_statement] = ACTIONS(13824),
    [anon_sym_return] = ACTIONS(13824),
    [anon_sym_const] = ACTIONS(13824),
    [anon_sym_global] = ACTIONS(13824),
    [anon_sym_local] = ACTIONS(13824),
    [anon_sym_LPAREN] = ACTIONS(13824),
    [anon_sym_COLON2] = ACTIONS(13824),
    [anon_sym_export] = ACTIONS(13824),
    [anon_sym_import] = ACTIONS(13824),
    [anon_sym_using] = ACTIONS(13824),
    [anon_sym_LBRACK] = ACTIONS(13824),
    [anon_sym_LF] = ACTIONS(13826),
    [anon_sym_in] = ACTIONS(13824),
    [anon_sym_LBRACE] = ACTIONS(13824),
    [anon_sym_DOLLAR] = ACTIONS(13824),
    [anon_sym_COLON_COLON] = ACTIONS(13824),
    [anon_sym_isa] = ACTIONS(13824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13824),
    [anon_sym_QMARK] = ACTIONS(13824),
    [anon_sym_AT] = ACTIONS(13824),
    [anon_sym_true] = ACTIONS(13824),
    [anon_sym_false] = ACTIONS(13824),
    [aux_sym_integer_literal_token1] = ACTIONS(13824),
    [aux_sym_integer_literal_token2] = ACTIONS(13824),
    [aux_sym_integer_literal_token3] = ACTIONS(13824),
    [aux_sym_integer_literal_token4] = ACTIONS(13824),
    [aux_sym_float_literal_token1] = ACTIONS(13824),
    [aux_sym_float_literal_token3] = ACTIONS(13824),
    [aux_sym_float_literal_token4] = ACTIONS(13824),
    [sym_character_literal] = ACTIONS(13824),
    [sym__pair_operator] = ACTIONS(13824),
    [sym__arrow_operator] = ACTIONS(13824),
    [sym__lazy_or_operator] = ACTIONS(13824),
    [sym__lazy_and_operator] = ACTIONS(13824),
    [sym__comparison_operator] = ACTIONS(13824),
    [sym__pipe_right_operator] = ACTIONS(13824),
    [sym__pipe_left_operator] = ACTIONS(13824),
    [sym__ellipsis_operator] = ACTIONS(13824),
    [sym__plus_operator] = ACTIONS(13824),
    [sym__times_operator] = ACTIONS(13824),
    [sym__rational_operator] = ACTIONS(13824),
    [sym__bitshift_operator] = ACTIONS(13824),
    [sym__power_operator] = ACTIONS(13824),
    [sym__tilde_operator] = ACTIONS(13824),
    [sym__type_order_operator] = ACTIONS(13824),
    [sym__unary_operator] = ACTIONS(13824),
    [sym__unary_plus_operator] = ACTIONS(13824),
    [aux_sym__terminator_token1] = ACTIONS(13824),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13826),
    [sym__command_start] = ACTIONS(13826),
  },
  [7524] = {
    [sym__word_identifier] = ACTIONS(13828),
    [anon_sym_EQ] = ACTIONS(13828),
    [anon_sym_COMMA] = ACTIONS(13828),
    [anon_sym_COLON] = ACTIONS(13828),
    [anon_sym_begin] = ACTIONS(13828),
    [anon_sym_module] = ACTIONS(13828),
    [anon_sym_baremodule] = ACTIONS(13828),
    [anon_sym_end] = ACTIONS(13828),
    [anon_sym_abstract] = ACTIONS(13828),
    [anon_sym_primitive] = ACTIONS(13828),
    [anon_sym_mutable] = ACTIONS(13828),
    [anon_sym_struct] = ACTIONS(13828),
    [anon_sym_function] = ACTIONS(13828),
    [anon_sym_macro] = ACTIONS(13828),
    [anon_sym_where] = ACTIONS(13828),
    [anon_sym_quote] = ACTIONS(13828),
    [anon_sym_let] = ACTIONS(13828),
    [anon_sym_if] = ACTIONS(13828),
    [anon_sym_elseif] = ACTIONS(13828),
    [anon_sym_else] = ACTIONS(13828),
    [anon_sym_try] = ACTIONS(13828),
    [anon_sym_for] = ACTIONS(13828),
    [anon_sym_while] = ACTIONS(13828),
    [sym_break_statement] = ACTIONS(13828),
    [sym_continue_statement] = ACTIONS(13828),
    [anon_sym_return] = ACTIONS(13828),
    [anon_sym_const] = ACTIONS(13828),
    [anon_sym_global] = ACTIONS(13828),
    [anon_sym_local] = ACTIONS(13828),
    [anon_sym_LPAREN] = ACTIONS(13828),
    [anon_sym_COLON2] = ACTIONS(13828),
    [anon_sym_export] = ACTIONS(13828),
    [anon_sym_import] = ACTIONS(13828),
    [anon_sym_using] = ACTIONS(13828),
    [anon_sym_LBRACK] = ACTIONS(13828),
    [anon_sym_LF] = ACTIONS(13830),
    [anon_sym_in] = ACTIONS(13828),
    [anon_sym_LBRACE] = ACTIONS(13828),
    [anon_sym_DOLLAR] = ACTIONS(13828),
    [anon_sym_COLON_COLON] = ACTIONS(13828),
    [anon_sym_isa] = ACTIONS(13828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13828),
    [anon_sym_QMARK] = ACTIONS(13828),
    [anon_sym_AT] = ACTIONS(13828),
    [anon_sym_true] = ACTIONS(13828),
    [anon_sym_false] = ACTIONS(13828),
    [aux_sym_integer_literal_token1] = ACTIONS(13828),
    [aux_sym_integer_literal_token2] = ACTIONS(13828),
    [aux_sym_integer_literal_token3] = ACTIONS(13828),
    [aux_sym_integer_literal_token4] = ACTIONS(13828),
    [aux_sym_float_literal_token1] = ACTIONS(13828),
    [aux_sym_float_literal_token3] = ACTIONS(13828),
    [aux_sym_float_literal_token4] = ACTIONS(13828),
    [sym_character_literal] = ACTIONS(13828),
    [sym__pair_operator] = ACTIONS(13828),
    [sym__arrow_operator] = ACTIONS(13828),
    [sym__lazy_or_operator] = ACTIONS(13828),
    [sym__lazy_and_operator] = ACTIONS(13828),
    [sym__comparison_operator] = ACTIONS(13828),
    [sym__pipe_right_operator] = ACTIONS(13828),
    [sym__pipe_left_operator] = ACTIONS(13828),
    [sym__ellipsis_operator] = ACTIONS(13828),
    [sym__plus_operator] = ACTIONS(13828),
    [sym__times_operator] = ACTIONS(13828),
    [sym__rational_operator] = ACTIONS(13828),
    [sym__bitshift_operator] = ACTIONS(13828),
    [sym__power_operator] = ACTIONS(13828),
    [sym__tilde_operator] = ACTIONS(13828),
    [sym__type_order_operator] = ACTIONS(13828),
    [sym__unary_operator] = ACTIONS(13828),
    [sym__unary_plus_operator] = ACTIONS(13828),
    [aux_sym__terminator_token1] = ACTIONS(13828),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13830),
    [sym__command_start] = ACTIONS(13830),
  },
  [7525] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7526] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_catch] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [7527] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_elseif] = ACTIONS(13238),
    [anon_sym_else] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13588),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7528] = {
    [ts_builtin_sym_end] = ACTIONS(13832),
    [sym__word_identifier] = ACTIONS(13834),
    [anon_sym_EQ] = ACTIONS(13834),
    [anon_sym_COMMA] = ACTIONS(13834),
    [anon_sym_COLON] = ACTIONS(13834),
    [anon_sym_begin] = ACTIONS(13834),
    [anon_sym_module] = ACTIONS(13834),
    [anon_sym_baremodule] = ACTIONS(13834),
    [anon_sym_abstract] = ACTIONS(13834),
    [anon_sym_primitive] = ACTIONS(13834),
    [anon_sym_mutable] = ACTIONS(13834),
    [anon_sym_struct] = ACTIONS(13834),
    [anon_sym_function] = ACTIONS(13834),
    [anon_sym_macro] = ACTIONS(13834),
    [anon_sym_where] = ACTIONS(13834),
    [anon_sym_quote] = ACTIONS(13834),
    [anon_sym_let] = ACTIONS(13834),
    [anon_sym_if] = ACTIONS(13834),
    [anon_sym_try] = ACTIONS(13834),
    [anon_sym_for] = ACTIONS(13834),
    [anon_sym_while] = ACTIONS(13834),
    [sym_break_statement] = ACTIONS(13834),
    [sym_continue_statement] = ACTIONS(13834),
    [anon_sym_return] = ACTIONS(13834),
    [anon_sym_const] = ACTIONS(13834),
    [anon_sym_global] = ACTIONS(13834),
    [anon_sym_local] = ACTIONS(13834),
    [anon_sym_LPAREN] = ACTIONS(13834),
    [anon_sym_RPAREN] = ACTIONS(13834),
    [anon_sym_COLON2] = ACTIONS(13834),
    [anon_sym_export] = ACTIONS(13834),
    [anon_sym_import] = ACTIONS(13834),
    [anon_sym_using] = ACTIONS(13834),
    [anon_sym_LBRACK] = ACTIONS(13834),
    [anon_sym_RBRACK] = ACTIONS(13834),
    [anon_sym_LF] = ACTIONS(13832),
    [anon_sym_in] = ACTIONS(13834),
    [anon_sym_LBRACE] = ACTIONS(13834),
    [anon_sym_DOLLAR] = ACTIONS(13834),
    [anon_sym_COLON_COLON] = ACTIONS(13834),
    [anon_sym_isa] = ACTIONS(13834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13834),
    [anon_sym_QMARK] = ACTIONS(13834),
    [anon_sym_AT] = ACTIONS(13834),
    [anon_sym_true] = ACTIONS(13834),
    [anon_sym_false] = ACTIONS(13834),
    [aux_sym_integer_literal_token1] = ACTIONS(13834),
    [aux_sym_integer_literal_token2] = ACTIONS(13834),
    [aux_sym_integer_literal_token3] = ACTIONS(13834),
    [aux_sym_integer_literal_token4] = ACTIONS(13834),
    [aux_sym_float_literal_token1] = ACTIONS(13834),
    [aux_sym_float_literal_token3] = ACTIONS(13834),
    [aux_sym_float_literal_token4] = ACTIONS(13834),
    [sym_character_literal] = ACTIONS(13834),
    [sym__pair_operator] = ACTIONS(13834),
    [sym__arrow_operator] = ACTIONS(13834),
    [sym__lazy_or_operator] = ACTIONS(13834),
    [sym__lazy_and_operator] = ACTIONS(13834),
    [sym__comparison_operator] = ACTIONS(13834),
    [sym__pipe_right_operator] = ACTIONS(13834),
    [sym__pipe_left_operator] = ACTIONS(13834),
    [sym__ellipsis_operator] = ACTIONS(13834),
    [sym__plus_operator] = ACTIONS(13834),
    [sym__times_operator] = ACTIONS(13834),
    [sym__rational_operator] = ACTIONS(13834),
    [sym__bitshift_operator] = ACTIONS(13834),
    [sym__power_operator] = ACTIONS(13834),
    [sym__tilde_operator] = ACTIONS(13834),
    [sym__type_order_operator] = ACTIONS(13834),
    [sym__unary_operator] = ACTIONS(13834),
    [sym__unary_plus_operator] = ACTIONS(13834),
    [aux_sym__terminator_token1] = ACTIONS(13834),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13832),
    [sym__command_start] = ACTIONS(13832),
  },
  [7529] = {
    [ts_builtin_sym_end] = ACTIONS(12962),
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12957),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_RPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_RBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [7530] = {
    [ts_builtin_sym_end] = ACTIONS(13212),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(12412),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_RPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_RBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7531] = {
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12957),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_end] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_else] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_finally] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13182),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [7532] = {
    [sym__comprehension_clause] = STATE(19074),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16887),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13836),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13838),
    [anon_sym_LF] = ACTIONS(13840),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13843),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7533] = {
    [sym__word_identifier] = ACTIONS(12874),
    [anon_sym_EQ] = ACTIONS(12874),
    [anon_sym_COMMA] = ACTIONS(12874),
    [anon_sym_COLON] = ACTIONS(12874),
    [anon_sym_begin] = ACTIONS(12874),
    [anon_sym_module] = ACTIONS(12874),
    [anon_sym_baremodule] = ACTIONS(12874),
    [anon_sym_abstract] = ACTIONS(12874),
    [anon_sym_primitive] = ACTIONS(12874),
    [anon_sym_mutable] = ACTIONS(12874),
    [anon_sym_struct] = ACTIONS(12874),
    [anon_sym_function] = ACTIONS(12874),
    [anon_sym_macro] = ACTIONS(12874),
    [anon_sym_where] = ACTIONS(12874),
    [anon_sym_quote] = ACTIONS(12874),
    [anon_sym_let] = ACTIONS(12874),
    [anon_sym_if] = ACTIONS(12874),
    [anon_sym_try] = ACTIONS(12874),
    [anon_sym_for] = ACTIONS(12874),
    [anon_sym_while] = ACTIONS(12874),
    [sym_break_statement] = ACTIONS(12874),
    [sym_continue_statement] = ACTIONS(12874),
    [anon_sym_return] = ACTIONS(12874),
    [anon_sym_const] = ACTIONS(12874),
    [anon_sym_global] = ACTIONS(12874),
    [anon_sym_local] = ACTIONS(12874),
    [anon_sym_as] = ACTIONS(12874),
    [anon_sym_LPAREN] = ACTIONS(12874),
    [anon_sym_RPAREN] = ACTIONS(12874),
    [anon_sym_COLON2] = ACTIONS(12874),
    [anon_sym_export] = ACTIONS(12874),
    [anon_sym_import] = ACTIONS(12874),
    [anon_sym_using] = ACTIONS(12874),
    [anon_sym_LBRACK] = ACTIONS(12874),
    [anon_sym_LF] = ACTIONS(12876),
    [anon_sym_in] = ACTIONS(12874),
    [anon_sym_SEMI] = ACTIONS(12874),
    [anon_sym_LBRACE] = ACTIONS(12874),
    [anon_sym_DOT] = ACTIONS(13734),
    [anon_sym_DOLLAR] = ACTIONS(12874),
    [anon_sym_COLON_COLON] = ACTIONS(12874),
    [anon_sym_isa] = ACTIONS(12874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12874),
    [anon_sym_QMARK] = ACTIONS(12874),
    [anon_sym_AT] = ACTIONS(12874),
    [anon_sym_true] = ACTIONS(12874),
    [anon_sym_false] = ACTIONS(12874),
    [aux_sym_integer_literal_token1] = ACTIONS(12874),
    [aux_sym_integer_literal_token2] = ACTIONS(12874),
    [aux_sym_integer_literal_token3] = ACTIONS(12874),
    [aux_sym_integer_literal_token4] = ACTIONS(12874),
    [aux_sym_float_literal_token1] = ACTIONS(12874),
    [aux_sym_float_literal_token3] = ACTIONS(12874),
    [aux_sym_float_literal_token4] = ACTIONS(12874),
    [sym_character_literal] = ACTIONS(12874),
    [sym__pair_operator] = ACTIONS(12874),
    [sym__arrow_operator] = ACTIONS(12874),
    [sym__lazy_or_operator] = ACTIONS(12874),
    [sym__lazy_and_operator] = ACTIONS(12874),
    [sym__comparison_operator] = ACTIONS(12874),
    [sym__pipe_right_operator] = ACTIONS(12874),
    [sym__pipe_left_operator] = ACTIONS(12874),
    [sym__ellipsis_operator] = ACTIONS(12874),
    [sym__plus_operator] = ACTIONS(12874),
    [sym__times_operator] = ACTIONS(12874),
    [sym__rational_operator] = ACTIONS(12874),
    [sym__bitshift_operator] = ACTIONS(12874),
    [sym__power_operator] = ACTIONS(12874),
    [sym__tilde_operator] = ACTIONS(12874),
    [sym__type_order_operator] = ACTIONS(12874),
    [sym__unary_operator] = ACTIONS(12874),
    [sym__unary_plus_operator] = ACTIONS(12874),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12876),
    [sym__command_start] = ACTIONS(12876),
  },
  [7534] = {
    [sym__comprehension_clause] = STATE(19035),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16944),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13846),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13848),
    [anon_sym_LF] = ACTIONS(13850),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13853),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7535] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11946),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7536] = {
    [aux_sym__import_list_repeat1] = STATE(7303),
    [sym__word_identifier] = ACTIONS(13164),
    [anon_sym_EQ] = ACTIONS(13164),
    [anon_sym_COMMA] = ACTIONS(12999),
    [anon_sym_COLON] = ACTIONS(13164),
    [anon_sym_begin] = ACTIONS(13164),
    [anon_sym_module] = ACTIONS(13164),
    [anon_sym_baremodule] = ACTIONS(13164),
    [anon_sym_abstract] = ACTIONS(13164),
    [anon_sym_primitive] = ACTIONS(13164),
    [anon_sym_mutable] = ACTIONS(13164),
    [anon_sym_struct] = ACTIONS(13164),
    [anon_sym_function] = ACTIONS(13164),
    [anon_sym_macro] = ACTIONS(13164),
    [anon_sym_where] = ACTIONS(13164),
    [anon_sym_quote] = ACTIONS(13164),
    [anon_sym_let] = ACTIONS(13164),
    [anon_sym_if] = ACTIONS(13164),
    [anon_sym_try] = ACTIONS(13164),
    [anon_sym_catch] = ACTIONS(13164),
    [anon_sym_finally] = ACTIONS(13164),
    [anon_sym_for] = ACTIONS(13164),
    [anon_sym_while] = ACTIONS(13164),
    [sym_break_statement] = ACTIONS(13164),
    [sym_continue_statement] = ACTIONS(13164),
    [anon_sym_return] = ACTIONS(13164),
    [anon_sym_const] = ACTIONS(13164),
    [anon_sym_global] = ACTIONS(13164),
    [anon_sym_local] = ACTIONS(13164),
    [anon_sym_LPAREN] = ACTIONS(13164),
    [anon_sym_COLON2] = ACTIONS(13164),
    [anon_sym_export] = ACTIONS(13164),
    [anon_sym_import] = ACTIONS(13164),
    [anon_sym_using] = ACTIONS(13164),
    [anon_sym_LBRACK] = ACTIONS(13164),
    [anon_sym_LF] = ACTIONS(13162),
    [anon_sym_in] = ACTIONS(13164),
    [anon_sym_LBRACE] = ACTIONS(13164),
    [anon_sym_DOLLAR] = ACTIONS(13164),
    [anon_sym_COLON_COLON] = ACTIONS(13164),
    [anon_sym_isa] = ACTIONS(13164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13164),
    [anon_sym_QMARK] = ACTIONS(13164),
    [anon_sym_AT] = ACTIONS(13164),
    [anon_sym_true] = ACTIONS(13164),
    [anon_sym_false] = ACTIONS(13164),
    [aux_sym_integer_literal_token1] = ACTIONS(13164),
    [aux_sym_integer_literal_token2] = ACTIONS(13164),
    [aux_sym_integer_literal_token3] = ACTIONS(13164),
    [aux_sym_integer_literal_token4] = ACTIONS(13164),
    [aux_sym_float_literal_token1] = ACTIONS(13164),
    [aux_sym_float_literal_token3] = ACTIONS(13164),
    [aux_sym_float_literal_token4] = ACTIONS(13164),
    [sym_character_literal] = ACTIONS(13164),
    [sym__pair_operator] = ACTIONS(13164),
    [sym__arrow_operator] = ACTIONS(13164),
    [sym__lazy_or_operator] = ACTIONS(13164),
    [sym__lazy_and_operator] = ACTIONS(13164),
    [sym__comparison_operator] = ACTIONS(13164),
    [sym__pipe_right_operator] = ACTIONS(13164),
    [sym__pipe_left_operator] = ACTIONS(13164),
    [sym__ellipsis_operator] = ACTIONS(13164),
    [sym__plus_operator] = ACTIONS(13164),
    [sym__times_operator] = ACTIONS(13164),
    [sym__rational_operator] = ACTIONS(13164),
    [sym__bitshift_operator] = ACTIONS(13164),
    [sym__power_operator] = ACTIONS(13164),
    [sym__tilde_operator] = ACTIONS(13164),
    [sym__type_order_operator] = ACTIONS(13164),
    [sym__unary_operator] = ACTIONS(13164),
    [sym__unary_plus_operator] = ACTIONS(13164),
    [aux_sym__terminator_token1] = ACTIONS(13164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13162),
    [sym__command_start] = ACTIONS(13162),
  },
  [7537] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12552),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11954),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7538] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_as] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [7539] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_as] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [7540] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_as] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [7541] = {
    [aux_sym_export_statement_repeat1] = STATE(7310),
    [sym__word_identifier] = ACTIONS(13166),
    [anon_sym_EQ] = ACTIONS(13166),
    [anon_sym_COMMA] = ACTIONS(13856),
    [anon_sym_COLON] = ACTIONS(13166),
    [anon_sym_begin] = ACTIONS(13166),
    [anon_sym_module] = ACTIONS(13166),
    [anon_sym_baremodule] = ACTIONS(13166),
    [anon_sym_abstract] = ACTIONS(13166),
    [anon_sym_primitive] = ACTIONS(13166),
    [anon_sym_mutable] = ACTIONS(13166),
    [anon_sym_struct] = ACTIONS(13166),
    [anon_sym_function] = ACTIONS(13166),
    [anon_sym_macro] = ACTIONS(13166),
    [anon_sym_where] = ACTIONS(13166),
    [anon_sym_quote] = ACTIONS(13166),
    [anon_sym_let] = ACTIONS(13166),
    [anon_sym_if] = ACTIONS(13166),
    [anon_sym_try] = ACTIONS(13166),
    [anon_sym_catch] = ACTIONS(13166),
    [anon_sym_finally] = ACTIONS(13166),
    [anon_sym_for] = ACTIONS(13166),
    [anon_sym_while] = ACTIONS(13166),
    [sym_break_statement] = ACTIONS(13166),
    [sym_continue_statement] = ACTIONS(13166),
    [anon_sym_return] = ACTIONS(13166),
    [anon_sym_const] = ACTIONS(13166),
    [anon_sym_global] = ACTIONS(13166),
    [anon_sym_local] = ACTIONS(13166),
    [anon_sym_LPAREN] = ACTIONS(13166),
    [anon_sym_COLON2] = ACTIONS(13166),
    [anon_sym_export] = ACTIONS(13166),
    [anon_sym_import] = ACTIONS(13166),
    [anon_sym_using] = ACTIONS(13166),
    [anon_sym_LBRACK] = ACTIONS(13166),
    [anon_sym_LF] = ACTIONS(13170),
    [anon_sym_in] = ACTIONS(13166),
    [anon_sym_LBRACE] = ACTIONS(13166),
    [anon_sym_DOLLAR] = ACTIONS(13166),
    [anon_sym_COLON_COLON] = ACTIONS(13166),
    [anon_sym_isa] = ACTIONS(13166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13166),
    [anon_sym_QMARK] = ACTIONS(13166),
    [anon_sym_AT] = ACTIONS(13166),
    [anon_sym_true] = ACTIONS(13166),
    [anon_sym_false] = ACTIONS(13166),
    [aux_sym_integer_literal_token1] = ACTIONS(13166),
    [aux_sym_integer_literal_token2] = ACTIONS(13166),
    [aux_sym_integer_literal_token3] = ACTIONS(13166),
    [aux_sym_integer_literal_token4] = ACTIONS(13166),
    [aux_sym_float_literal_token1] = ACTIONS(13166),
    [aux_sym_float_literal_token3] = ACTIONS(13166),
    [aux_sym_float_literal_token4] = ACTIONS(13166),
    [sym_character_literal] = ACTIONS(13166),
    [sym__pair_operator] = ACTIONS(13166),
    [sym__arrow_operator] = ACTIONS(13166),
    [sym__lazy_or_operator] = ACTIONS(13166),
    [sym__lazy_and_operator] = ACTIONS(13166),
    [sym__comparison_operator] = ACTIONS(13166),
    [sym__pipe_right_operator] = ACTIONS(13166),
    [sym__pipe_left_operator] = ACTIONS(13166),
    [sym__ellipsis_operator] = ACTIONS(13166),
    [sym__plus_operator] = ACTIONS(13166),
    [sym__times_operator] = ACTIONS(13166),
    [sym__rational_operator] = ACTIONS(13166),
    [sym__bitshift_operator] = ACTIONS(13166),
    [sym__power_operator] = ACTIONS(13166),
    [sym__tilde_operator] = ACTIONS(13166),
    [sym__type_order_operator] = ACTIONS(13166),
    [sym__unary_operator] = ACTIONS(13166),
    [sym__unary_plus_operator] = ACTIONS(13166),
    [aux_sym__terminator_token1] = ACTIONS(13166),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13170),
    [sym__command_start] = ACTIONS(13170),
  },
  [7542] = {
    [sym__comprehension_clause] = STATE(19371),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16910),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13858),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13860),
    [anon_sym_LF] = ACTIONS(13862),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13865),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7543] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_as] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [7544] = {
    [sym__comprehension_clause] = STATE(19795),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17260),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13868),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13870),
    [anon_sym_LF] = ACTIONS(13872),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13875),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7545] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_as] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [7546] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_catch] = ACTIONS(12348),
    [anon_sym_finally] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [7547] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_as] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [7548] = {
    [sym__comprehension_clause] = STATE(18943),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17109),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13878),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13880),
    [anon_sym_LF] = ACTIONS(13882),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13885),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7549] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_as] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [7550] = {
    [sym__word_identifier] = ACTIONS(12844),
    [anon_sym_EQ] = ACTIONS(12844),
    [anon_sym_COMMA] = ACTIONS(12844),
    [anon_sym_COLON] = ACTIONS(12844),
    [anon_sym_begin] = ACTIONS(12844),
    [anon_sym_module] = ACTIONS(12844),
    [anon_sym_baremodule] = ACTIONS(12844),
    [anon_sym_abstract] = ACTIONS(12844),
    [anon_sym_primitive] = ACTIONS(12844),
    [anon_sym_mutable] = ACTIONS(12844),
    [anon_sym_struct] = ACTIONS(12844),
    [anon_sym_function] = ACTIONS(12844),
    [anon_sym_macro] = ACTIONS(12844),
    [anon_sym_where] = ACTIONS(12844),
    [anon_sym_quote] = ACTIONS(12844),
    [anon_sym_let] = ACTIONS(12844),
    [anon_sym_if] = ACTIONS(12844),
    [anon_sym_try] = ACTIONS(12844),
    [anon_sym_for] = ACTIONS(12844),
    [anon_sym_while] = ACTIONS(12844),
    [sym_break_statement] = ACTIONS(12844),
    [sym_continue_statement] = ACTIONS(12844),
    [anon_sym_return] = ACTIONS(12844),
    [anon_sym_const] = ACTIONS(12844),
    [anon_sym_global] = ACTIONS(12844),
    [anon_sym_local] = ACTIONS(12844),
    [anon_sym_as] = ACTIONS(12844),
    [anon_sym_LPAREN] = ACTIONS(12844),
    [anon_sym_RPAREN] = ACTIONS(12844),
    [anon_sym_COLON2] = ACTIONS(12844),
    [anon_sym_export] = ACTIONS(12844),
    [anon_sym_import] = ACTIONS(12844),
    [anon_sym_using] = ACTIONS(12844),
    [anon_sym_LBRACK] = ACTIONS(12844),
    [anon_sym_LF] = ACTIONS(12846),
    [anon_sym_in] = ACTIONS(12844),
    [anon_sym_SEMI] = ACTIONS(12844),
    [anon_sym_LBRACE] = ACTIONS(12844),
    [anon_sym_DOT] = ACTIONS(13734),
    [anon_sym_DOLLAR] = ACTIONS(12844),
    [anon_sym_COLON_COLON] = ACTIONS(12844),
    [anon_sym_isa] = ACTIONS(12844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12844),
    [anon_sym_QMARK] = ACTIONS(12844),
    [anon_sym_AT] = ACTIONS(12844),
    [anon_sym_true] = ACTIONS(12844),
    [anon_sym_false] = ACTIONS(12844),
    [aux_sym_integer_literal_token1] = ACTIONS(12844),
    [aux_sym_integer_literal_token2] = ACTIONS(12844),
    [aux_sym_integer_literal_token3] = ACTIONS(12844),
    [aux_sym_integer_literal_token4] = ACTIONS(12844),
    [aux_sym_float_literal_token1] = ACTIONS(12844),
    [aux_sym_float_literal_token3] = ACTIONS(12844),
    [aux_sym_float_literal_token4] = ACTIONS(12844),
    [sym_character_literal] = ACTIONS(12844),
    [sym__pair_operator] = ACTIONS(12844),
    [sym__arrow_operator] = ACTIONS(12844),
    [sym__lazy_or_operator] = ACTIONS(12844),
    [sym__lazy_and_operator] = ACTIONS(12844),
    [sym__comparison_operator] = ACTIONS(12844),
    [sym__pipe_right_operator] = ACTIONS(12844),
    [sym__pipe_left_operator] = ACTIONS(12844),
    [sym__ellipsis_operator] = ACTIONS(12844),
    [sym__plus_operator] = ACTIONS(12844),
    [sym__times_operator] = ACTIONS(12844),
    [sym__rational_operator] = ACTIONS(12844),
    [sym__bitshift_operator] = ACTIONS(12844),
    [sym__power_operator] = ACTIONS(12844),
    [sym__tilde_operator] = ACTIONS(12844),
    [sym__type_order_operator] = ACTIONS(12844),
    [sym__unary_operator] = ACTIONS(12844),
    [sym__unary_plus_operator] = ACTIONS(12844),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12846),
    [sym__command_start] = ACTIONS(12846),
  },
  [7551] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_as] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [7552] = {
    [sym__word_identifier] = ACTIONS(12850),
    [anon_sym_EQ] = ACTIONS(12850),
    [anon_sym_COMMA] = ACTIONS(12850),
    [anon_sym_COLON] = ACTIONS(12850),
    [anon_sym_begin] = ACTIONS(12850),
    [anon_sym_module] = ACTIONS(12850),
    [anon_sym_baremodule] = ACTIONS(12850),
    [anon_sym_abstract] = ACTIONS(12850),
    [anon_sym_primitive] = ACTIONS(12850),
    [anon_sym_mutable] = ACTIONS(12850),
    [anon_sym_struct] = ACTIONS(12850),
    [anon_sym_function] = ACTIONS(12850),
    [anon_sym_macro] = ACTIONS(12850),
    [anon_sym_where] = ACTIONS(12850),
    [anon_sym_quote] = ACTIONS(12850),
    [anon_sym_let] = ACTIONS(12850),
    [anon_sym_if] = ACTIONS(12850),
    [anon_sym_try] = ACTIONS(12850),
    [anon_sym_for] = ACTIONS(12850),
    [anon_sym_while] = ACTIONS(12850),
    [sym_break_statement] = ACTIONS(12850),
    [sym_continue_statement] = ACTIONS(12850),
    [anon_sym_return] = ACTIONS(12850),
    [anon_sym_const] = ACTIONS(12850),
    [anon_sym_global] = ACTIONS(12850),
    [anon_sym_local] = ACTIONS(12850),
    [anon_sym_as] = ACTIONS(12850),
    [anon_sym_LPAREN] = ACTIONS(12850),
    [anon_sym_RPAREN] = ACTIONS(12850),
    [anon_sym_COLON2] = ACTIONS(12850),
    [anon_sym_export] = ACTIONS(12850),
    [anon_sym_import] = ACTIONS(12850),
    [anon_sym_using] = ACTIONS(12850),
    [anon_sym_LBRACK] = ACTIONS(12850),
    [anon_sym_LF] = ACTIONS(12852),
    [anon_sym_in] = ACTIONS(12850),
    [anon_sym_SEMI] = ACTIONS(12850),
    [anon_sym_LBRACE] = ACTIONS(12850),
    [anon_sym_DOT] = ACTIONS(13734),
    [anon_sym_DOLLAR] = ACTIONS(12850),
    [anon_sym_COLON_COLON] = ACTIONS(12850),
    [anon_sym_isa] = ACTIONS(12850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12850),
    [anon_sym_QMARK] = ACTIONS(12850),
    [anon_sym_AT] = ACTIONS(12850),
    [anon_sym_true] = ACTIONS(12850),
    [anon_sym_false] = ACTIONS(12850),
    [aux_sym_integer_literal_token1] = ACTIONS(12850),
    [aux_sym_integer_literal_token2] = ACTIONS(12850),
    [aux_sym_integer_literal_token3] = ACTIONS(12850),
    [aux_sym_integer_literal_token4] = ACTIONS(12850),
    [aux_sym_float_literal_token1] = ACTIONS(12850),
    [aux_sym_float_literal_token3] = ACTIONS(12850),
    [aux_sym_float_literal_token4] = ACTIONS(12850),
    [sym_character_literal] = ACTIONS(12850),
    [sym__pair_operator] = ACTIONS(12850),
    [sym__arrow_operator] = ACTIONS(12850),
    [sym__lazy_or_operator] = ACTIONS(12850),
    [sym__lazy_and_operator] = ACTIONS(12850),
    [sym__comparison_operator] = ACTIONS(12850),
    [sym__pipe_right_operator] = ACTIONS(12850),
    [sym__pipe_left_operator] = ACTIONS(12850),
    [sym__ellipsis_operator] = ACTIONS(12850),
    [sym__plus_operator] = ACTIONS(12850),
    [sym__times_operator] = ACTIONS(12850),
    [sym__rational_operator] = ACTIONS(12850),
    [sym__bitshift_operator] = ACTIONS(12850),
    [sym__power_operator] = ACTIONS(12850),
    [sym__tilde_operator] = ACTIONS(12850),
    [sym__type_order_operator] = ACTIONS(12850),
    [sym__unary_operator] = ACTIONS(12850),
    [sym__unary_plus_operator] = ACTIONS(12850),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12852),
    [sym__command_start] = ACTIONS(12852),
  },
  [7553] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_as] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [7554] = {
    [aux_sym__import_list_repeat1] = STATE(8672),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(13820),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(13822),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_RPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(13888),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_SEMI] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7555] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(13890),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7556] = {
    [sym__word_identifier] = ACTIONS(13812),
    [anon_sym_EQ] = ACTIONS(13812),
    [anon_sym_COMMA] = ACTIONS(13812),
    [anon_sym_COLON] = ACTIONS(13812),
    [anon_sym_begin] = ACTIONS(13812),
    [anon_sym_module] = ACTIONS(13812),
    [anon_sym_baremodule] = ACTIONS(13812),
    [anon_sym_end] = ACTIONS(13812),
    [anon_sym_abstract] = ACTIONS(13812),
    [anon_sym_primitive] = ACTIONS(13812),
    [anon_sym_mutable] = ACTIONS(13812),
    [anon_sym_struct] = ACTIONS(13812),
    [anon_sym_function] = ACTIONS(13812),
    [anon_sym_macro] = ACTIONS(13812),
    [anon_sym_where] = ACTIONS(13812),
    [anon_sym_quote] = ACTIONS(13812),
    [anon_sym_let] = ACTIONS(13812),
    [anon_sym_if] = ACTIONS(13812),
    [anon_sym_else] = ACTIONS(13812),
    [anon_sym_try] = ACTIONS(13812),
    [anon_sym_finally] = ACTIONS(13812),
    [anon_sym_for] = ACTIONS(13812),
    [anon_sym_while] = ACTIONS(13812),
    [sym_break_statement] = ACTIONS(13812),
    [sym_continue_statement] = ACTIONS(13812),
    [anon_sym_return] = ACTIONS(13812),
    [anon_sym_const] = ACTIONS(13812),
    [anon_sym_global] = ACTIONS(13812),
    [anon_sym_local] = ACTIONS(13812),
    [anon_sym_LPAREN] = ACTIONS(13812),
    [anon_sym_COLON2] = ACTIONS(13812),
    [anon_sym_export] = ACTIONS(13812),
    [anon_sym_import] = ACTIONS(13812),
    [anon_sym_using] = ACTIONS(13812),
    [anon_sym_LBRACK] = ACTIONS(13812),
    [anon_sym_LF] = ACTIONS(13814),
    [anon_sym_in] = ACTIONS(13812),
    [anon_sym_LBRACE] = ACTIONS(13812),
    [anon_sym_DOLLAR] = ACTIONS(13812),
    [anon_sym_COLON_COLON] = ACTIONS(13812),
    [anon_sym_isa] = ACTIONS(13812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13812),
    [anon_sym_QMARK] = ACTIONS(13812),
    [anon_sym_AT] = ACTIONS(13812),
    [anon_sym_true] = ACTIONS(13812),
    [anon_sym_false] = ACTIONS(13812),
    [aux_sym_integer_literal_token1] = ACTIONS(13812),
    [aux_sym_integer_literal_token2] = ACTIONS(13812),
    [aux_sym_integer_literal_token3] = ACTIONS(13812),
    [aux_sym_integer_literal_token4] = ACTIONS(13812),
    [aux_sym_float_literal_token1] = ACTIONS(13812),
    [aux_sym_float_literal_token3] = ACTIONS(13812),
    [aux_sym_float_literal_token4] = ACTIONS(13812),
    [sym_character_literal] = ACTIONS(13812),
    [sym__pair_operator] = ACTIONS(13812),
    [sym__arrow_operator] = ACTIONS(13812),
    [sym__lazy_or_operator] = ACTIONS(13812),
    [sym__lazy_and_operator] = ACTIONS(13812),
    [sym__comparison_operator] = ACTIONS(13812),
    [sym__pipe_right_operator] = ACTIONS(13812),
    [sym__pipe_left_operator] = ACTIONS(13812),
    [sym__ellipsis_operator] = ACTIONS(13812),
    [sym__plus_operator] = ACTIONS(13812),
    [sym__times_operator] = ACTIONS(13812),
    [sym__rational_operator] = ACTIONS(13812),
    [sym__bitshift_operator] = ACTIONS(13812),
    [sym__power_operator] = ACTIONS(13812),
    [sym__tilde_operator] = ACTIONS(13812),
    [sym__type_order_operator] = ACTIONS(13812),
    [sym__unary_operator] = ACTIONS(13812),
    [sym__unary_plus_operator] = ACTIONS(13812),
    [aux_sym__terminator_token1] = ACTIONS(13812),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13814),
    [sym__command_start] = ACTIONS(13814),
  },
  [7557] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_as] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [7558] = {
    [sym__word_identifier] = ACTIONS(13816),
    [anon_sym_EQ] = ACTIONS(13816),
    [anon_sym_COMMA] = ACTIONS(13816),
    [anon_sym_COLON] = ACTIONS(13816),
    [anon_sym_begin] = ACTIONS(13816),
    [anon_sym_module] = ACTIONS(13816),
    [anon_sym_baremodule] = ACTIONS(13816),
    [anon_sym_end] = ACTIONS(13816),
    [anon_sym_abstract] = ACTIONS(13816),
    [anon_sym_primitive] = ACTIONS(13816),
    [anon_sym_mutable] = ACTIONS(13816),
    [anon_sym_struct] = ACTIONS(13816),
    [anon_sym_function] = ACTIONS(13816),
    [anon_sym_macro] = ACTIONS(13816),
    [anon_sym_where] = ACTIONS(13816),
    [anon_sym_quote] = ACTIONS(13816),
    [anon_sym_let] = ACTIONS(13816),
    [anon_sym_if] = ACTIONS(13816),
    [anon_sym_else] = ACTIONS(13816),
    [anon_sym_try] = ACTIONS(13816),
    [anon_sym_finally] = ACTIONS(13816),
    [anon_sym_for] = ACTIONS(13816),
    [anon_sym_while] = ACTIONS(13816),
    [sym_break_statement] = ACTIONS(13816),
    [sym_continue_statement] = ACTIONS(13816),
    [anon_sym_return] = ACTIONS(13816),
    [anon_sym_const] = ACTIONS(13816),
    [anon_sym_global] = ACTIONS(13816),
    [anon_sym_local] = ACTIONS(13816),
    [anon_sym_LPAREN] = ACTIONS(13816),
    [anon_sym_COLON2] = ACTIONS(13816),
    [anon_sym_export] = ACTIONS(13816),
    [anon_sym_import] = ACTIONS(13816),
    [anon_sym_using] = ACTIONS(13816),
    [anon_sym_LBRACK] = ACTIONS(13816),
    [anon_sym_LF] = ACTIONS(13818),
    [anon_sym_in] = ACTIONS(13816),
    [anon_sym_LBRACE] = ACTIONS(13816),
    [anon_sym_DOLLAR] = ACTIONS(13816),
    [anon_sym_COLON_COLON] = ACTIONS(13816),
    [anon_sym_isa] = ACTIONS(13816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13816),
    [anon_sym_QMARK] = ACTIONS(13816),
    [anon_sym_AT] = ACTIONS(13816),
    [anon_sym_true] = ACTIONS(13816),
    [anon_sym_false] = ACTIONS(13816),
    [aux_sym_integer_literal_token1] = ACTIONS(13816),
    [aux_sym_integer_literal_token2] = ACTIONS(13816),
    [aux_sym_integer_literal_token3] = ACTIONS(13816),
    [aux_sym_integer_literal_token4] = ACTIONS(13816),
    [aux_sym_float_literal_token1] = ACTIONS(13816),
    [aux_sym_float_literal_token3] = ACTIONS(13816),
    [aux_sym_float_literal_token4] = ACTIONS(13816),
    [sym_character_literal] = ACTIONS(13816),
    [sym__pair_operator] = ACTIONS(13816),
    [sym__arrow_operator] = ACTIONS(13816),
    [sym__lazy_or_operator] = ACTIONS(13816),
    [sym__lazy_and_operator] = ACTIONS(13816),
    [sym__comparison_operator] = ACTIONS(13816),
    [sym__pipe_right_operator] = ACTIONS(13816),
    [sym__pipe_left_operator] = ACTIONS(13816),
    [sym__ellipsis_operator] = ACTIONS(13816),
    [sym__plus_operator] = ACTIONS(13816),
    [sym__times_operator] = ACTIONS(13816),
    [sym__rational_operator] = ACTIONS(13816),
    [sym__bitshift_operator] = ACTIONS(13816),
    [sym__power_operator] = ACTIONS(13816),
    [sym__tilde_operator] = ACTIONS(13816),
    [sym__type_order_operator] = ACTIONS(13816),
    [sym__unary_operator] = ACTIONS(13816),
    [sym__unary_plus_operator] = ACTIONS(13816),
    [aux_sym__terminator_token1] = ACTIONS(13816),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13818),
    [sym__command_start] = ACTIONS(13818),
  },
  [7559] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_as] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [7560] = {
    [sym__comprehension_clause] = STATE(19404),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16936),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13892),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13894),
    [anon_sym_LF] = ACTIONS(13896),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13899),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7561] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11908),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7562] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_catch] = ACTIONS(12326),
    [anon_sym_finally] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [7563] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_catch] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [7564] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_catch] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [7565] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_catch] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [7566] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7567] = {
    [sym__comprehension_clause] = STATE(19583),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17037),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13902),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13904),
    [anon_sym_LF] = ACTIONS(13906),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13909),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7568] = {
    [sym__word_identifier] = ACTIONS(13912),
    [anon_sym_EQ] = ACTIONS(13912),
    [anon_sym_COMMA] = ACTIONS(13912),
    [anon_sym_COLON] = ACTIONS(13912),
    [anon_sym_begin] = ACTIONS(13912),
    [anon_sym_module] = ACTIONS(13912),
    [anon_sym_baremodule] = ACTIONS(13912),
    [anon_sym_end] = ACTIONS(13912),
    [anon_sym_abstract] = ACTIONS(13912),
    [anon_sym_primitive] = ACTIONS(13912),
    [anon_sym_mutable] = ACTIONS(13912),
    [anon_sym_struct] = ACTIONS(13912),
    [anon_sym_function] = ACTIONS(13912),
    [anon_sym_macro] = ACTIONS(13912),
    [anon_sym_where] = ACTIONS(13912),
    [anon_sym_quote] = ACTIONS(13912),
    [anon_sym_let] = ACTIONS(13912),
    [anon_sym_if] = ACTIONS(13912),
    [anon_sym_else] = ACTIONS(13912),
    [anon_sym_try] = ACTIONS(13912),
    [anon_sym_finally] = ACTIONS(13912),
    [anon_sym_for] = ACTIONS(13912),
    [anon_sym_while] = ACTIONS(13912),
    [sym_break_statement] = ACTIONS(13912),
    [sym_continue_statement] = ACTIONS(13912),
    [anon_sym_return] = ACTIONS(13912),
    [anon_sym_const] = ACTIONS(13912),
    [anon_sym_global] = ACTIONS(13912),
    [anon_sym_local] = ACTIONS(13912),
    [anon_sym_LPAREN] = ACTIONS(13912),
    [anon_sym_COLON2] = ACTIONS(13912),
    [anon_sym_export] = ACTIONS(13912),
    [anon_sym_import] = ACTIONS(13912),
    [anon_sym_using] = ACTIONS(13912),
    [anon_sym_LBRACK] = ACTIONS(13912),
    [anon_sym_LF] = ACTIONS(13914),
    [anon_sym_in] = ACTIONS(13912),
    [anon_sym_LBRACE] = ACTIONS(13912),
    [anon_sym_DOLLAR] = ACTIONS(13912),
    [anon_sym_COLON_COLON] = ACTIONS(13912),
    [anon_sym_isa] = ACTIONS(13912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13912),
    [anon_sym_QMARK] = ACTIONS(13912),
    [anon_sym_AT] = ACTIONS(13912),
    [anon_sym_true] = ACTIONS(13912),
    [anon_sym_false] = ACTIONS(13912),
    [aux_sym_integer_literal_token1] = ACTIONS(13912),
    [aux_sym_integer_literal_token2] = ACTIONS(13912),
    [aux_sym_integer_literal_token3] = ACTIONS(13912),
    [aux_sym_integer_literal_token4] = ACTIONS(13912),
    [aux_sym_float_literal_token1] = ACTIONS(13912),
    [aux_sym_float_literal_token3] = ACTIONS(13912),
    [aux_sym_float_literal_token4] = ACTIONS(13912),
    [sym_character_literal] = ACTIONS(13912),
    [sym__pair_operator] = ACTIONS(13912),
    [sym__arrow_operator] = ACTIONS(13912),
    [sym__lazy_or_operator] = ACTIONS(13912),
    [sym__lazy_and_operator] = ACTIONS(13912),
    [sym__comparison_operator] = ACTIONS(13912),
    [sym__pipe_right_operator] = ACTIONS(13912),
    [sym__pipe_left_operator] = ACTIONS(13912),
    [sym__ellipsis_operator] = ACTIONS(13912),
    [sym__plus_operator] = ACTIONS(13912),
    [sym__times_operator] = ACTIONS(13912),
    [sym__rational_operator] = ACTIONS(13912),
    [sym__bitshift_operator] = ACTIONS(13912),
    [sym__power_operator] = ACTIONS(13912),
    [sym__tilde_operator] = ACTIONS(13912),
    [sym__type_order_operator] = ACTIONS(13912),
    [sym__unary_operator] = ACTIONS(13912),
    [sym__unary_plus_operator] = ACTIONS(13912),
    [aux_sym__terminator_token1] = ACTIONS(13912),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13914),
    [sym__command_start] = ACTIONS(13914),
  },
  [7569] = {
    [sym__word_identifier] = ACTIONS(13916),
    [anon_sym_EQ] = ACTIONS(13916),
    [anon_sym_COMMA] = ACTIONS(13916),
    [anon_sym_COLON] = ACTIONS(13916),
    [anon_sym_begin] = ACTIONS(13916),
    [anon_sym_module] = ACTIONS(13916),
    [anon_sym_baremodule] = ACTIONS(13916),
    [anon_sym_end] = ACTIONS(13916),
    [anon_sym_abstract] = ACTIONS(13916),
    [anon_sym_primitive] = ACTIONS(13916),
    [anon_sym_mutable] = ACTIONS(13916),
    [anon_sym_struct] = ACTIONS(13916),
    [anon_sym_function] = ACTIONS(13916),
    [anon_sym_macro] = ACTIONS(13916),
    [anon_sym_where] = ACTIONS(13916),
    [anon_sym_quote] = ACTIONS(13916),
    [anon_sym_let] = ACTIONS(13916),
    [anon_sym_if] = ACTIONS(13916),
    [anon_sym_else] = ACTIONS(13916),
    [anon_sym_try] = ACTIONS(13916),
    [anon_sym_finally] = ACTIONS(13916),
    [anon_sym_for] = ACTIONS(13916),
    [anon_sym_while] = ACTIONS(13916),
    [sym_break_statement] = ACTIONS(13916),
    [sym_continue_statement] = ACTIONS(13916),
    [anon_sym_return] = ACTIONS(13916),
    [anon_sym_const] = ACTIONS(13916),
    [anon_sym_global] = ACTIONS(13916),
    [anon_sym_local] = ACTIONS(13916),
    [anon_sym_LPAREN] = ACTIONS(13916),
    [anon_sym_COLON2] = ACTIONS(13916),
    [anon_sym_export] = ACTIONS(13916),
    [anon_sym_import] = ACTIONS(13916),
    [anon_sym_using] = ACTIONS(13916),
    [anon_sym_LBRACK] = ACTIONS(13916),
    [anon_sym_LF] = ACTIONS(13918),
    [anon_sym_in] = ACTIONS(13916),
    [anon_sym_LBRACE] = ACTIONS(13916),
    [anon_sym_DOLLAR] = ACTIONS(13916),
    [anon_sym_COLON_COLON] = ACTIONS(13916),
    [anon_sym_isa] = ACTIONS(13916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13916),
    [anon_sym_QMARK] = ACTIONS(13916),
    [anon_sym_AT] = ACTIONS(13916),
    [anon_sym_true] = ACTIONS(13916),
    [anon_sym_false] = ACTIONS(13916),
    [aux_sym_integer_literal_token1] = ACTIONS(13916),
    [aux_sym_integer_literal_token2] = ACTIONS(13916),
    [aux_sym_integer_literal_token3] = ACTIONS(13916),
    [aux_sym_integer_literal_token4] = ACTIONS(13916),
    [aux_sym_float_literal_token1] = ACTIONS(13916),
    [aux_sym_float_literal_token3] = ACTIONS(13916),
    [aux_sym_float_literal_token4] = ACTIONS(13916),
    [sym_character_literal] = ACTIONS(13916),
    [sym__pair_operator] = ACTIONS(13916),
    [sym__arrow_operator] = ACTIONS(13916),
    [sym__lazy_or_operator] = ACTIONS(13916),
    [sym__lazy_and_operator] = ACTIONS(13916),
    [sym__comparison_operator] = ACTIONS(13916),
    [sym__pipe_right_operator] = ACTIONS(13916),
    [sym__pipe_left_operator] = ACTIONS(13916),
    [sym__ellipsis_operator] = ACTIONS(13916),
    [sym__plus_operator] = ACTIONS(13916),
    [sym__times_operator] = ACTIONS(13916),
    [sym__rational_operator] = ACTIONS(13916),
    [sym__bitshift_operator] = ACTIONS(13916),
    [sym__power_operator] = ACTIONS(13916),
    [sym__tilde_operator] = ACTIONS(13916),
    [sym__type_order_operator] = ACTIONS(13916),
    [sym__unary_operator] = ACTIONS(13916),
    [sym__unary_plus_operator] = ACTIONS(13916),
    [aux_sym__terminator_token1] = ACTIONS(13916),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13918),
    [sym__command_start] = ACTIONS(13918),
  },
  [7570] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_catch] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [7571] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_catch] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [7572] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_catch] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [7573] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13182),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7574] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7575] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_EQ] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_else] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_finally] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [7576] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_EQ] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_else] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_finally] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [7577] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_catch] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [7578] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_catch] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [7579] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_catch] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [7580] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12392),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7581] = {
    [sym__comprehension_clause] = STATE(19791),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17244),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13924),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13926),
    [anon_sym_LF] = ACTIONS(13928),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13931),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7582] = {
    [aux_sym_open_tuple_repeat1] = STATE(6904),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(12970),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_else] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13576),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7583] = {
    [sym__word_identifier] = ACTIONS(13912),
    [anon_sym_EQ] = ACTIONS(13912),
    [anon_sym_COMMA] = ACTIONS(13912),
    [anon_sym_COLON] = ACTIONS(13912),
    [anon_sym_begin] = ACTIONS(13912),
    [anon_sym_module] = ACTIONS(13912),
    [anon_sym_baremodule] = ACTIONS(13912),
    [anon_sym_end] = ACTIONS(13912),
    [anon_sym_abstract] = ACTIONS(13912),
    [anon_sym_primitive] = ACTIONS(13912),
    [anon_sym_mutable] = ACTIONS(13912),
    [anon_sym_struct] = ACTIONS(13912),
    [anon_sym_function] = ACTIONS(13912),
    [anon_sym_macro] = ACTIONS(13912),
    [anon_sym_where] = ACTIONS(13912),
    [anon_sym_quote] = ACTIONS(13912),
    [anon_sym_let] = ACTIONS(13912),
    [anon_sym_if] = ACTIONS(13912),
    [anon_sym_elseif] = ACTIONS(13912),
    [anon_sym_else] = ACTIONS(13912),
    [anon_sym_try] = ACTIONS(13912),
    [anon_sym_for] = ACTIONS(13912),
    [anon_sym_while] = ACTIONS(13912),
    [sym_break_statement] = ACTIONS(13912),
    [sym_continue_statement] = ACTIONS(13912),
    [anon_sym_return] = ACTIONS(13912),
    [anon_sym_const] = ACTIONS(13912),
    [anon_sym_global] = ACTIONS(13912),
    [anon_sym_local] = ACTIONS(13912),
    [anon_sym_LPAREN] = ACTIONS(13912),
    [anon_sym_COLON2] = ACTIONS(13912),
    [anon_sym_export] = ACTIONS(13912),
    [anon_sym_import] = ACTIONS(13912),
    [anon_sym_using] = ACTIONS(13912),
    [anon_sym_LBRACK] = ACTIONS(13912),
    [anon_sym_LF] = ACTIONS(13914),
    [anon_sym_in] = ACTIONS(13912),
    [anon_sym_LBRACE] = ACTIONS(13912),
    [anon_sym_DOLLAR] = ACTIONS(13912),
    [anon_sym_COLON_COLON] = ACTIONS(13912),
    [anon_sym_isa] = ACTIONS(13912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13912),
    [anon_sym_QMARK] = ACTIONS(13912),
    [anon_sym_AT] = ACTIONS(13912),
    [anon_sym_true] = ACTIONS(13912),
    [anon_sym_false] = ACTIONS(13912),
    [aux_sym_integer_literal_token1] = ACTIONS(13912),
    [aux_sym_integer_literal_token2] = ACTIONS(13912),
    [aux_sym_integer_literal_token3] = ACTIONS(13912),
    [aux_sym_integer_literal_token4] = ACTIONS(13912),
    [aux_sym_float_literal_token1] = ACTIONS(13912),
    [aux_sym_float_literal_token3] = ACTIONS(13912),
    [aux_sym_float_literal_token4] = ACTIONS(13912),
    [sym_character_literal] = ACTIONS(13912),
    [sym__pair_operator] = ACTIONS(13912),
    [sym__arrow_operator] = ACTIONS(13912),
    [sym__lazy_or_operator] = ACTIONS(13912),
    [sym__lazy_and_operator] = ACTIONS(13912),
    [sym__comparison_operator] = ACTIONS(13912),
    [sym__pipe_right_operator] = ACTIONS(13912),
    [sym__pipe_left_operator] = ACTIONS(13912),
    [sym__ellipsis_operator] = ACTIONS(13912),
    [sym__plus_operator] = ACTIONS(13912),
    [sym__times_operator] = ACTIONS(13912),
    [sym__rational_operator] = ACTIONS(13912),
    [sym__bitshift_operator] = ACTIONS(13912),
    [sym__power_operator] = ACTIONS(13912),
    [sym__tilde_operator] = ACTIONS(13912),
    [sym__type_order_operator] = ACTIONS(13912),
    [sym__unary_operator] = ACTIONS(13912),
    [sym__unary_plus_operator] = ACTIONS(13912),
    [aux_sym__terminator_token1] = ACTIONS(13912),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13914),
    [sym__command_start] = ACTIONS(13914),
  },
  [7584] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_catch] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [7585] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_catch] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [7586] = {
    [aux_sym_open_tuple_repeat1] = STATE(7586),
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(13934),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_end] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(12957),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_finally] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(12957),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(12957),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(12957),
    [anon_sym_isa] = ACTIONS(12957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12957),
    [anon_sym_QMARK] = ACTIONS(12957),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(12957),
    [sym__arrow_operator] = ACTIONS(12957),
    [sym__lazy_or_operator] = ACTIONS(12957),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12957),
    [sym__pipe_right_operator] = ACTIONS(12957),
    [sym__pipe_left_operator] = ACTIONS(12957),
    [sym__ellipsis_operator] = ACTIONS(12957),
    [sym__plus_operator] = ACTIONS(12957),
    [sym__times_operator] = ACTIONS(12957),
    [sym__rational_operator] = ACTIONS(12957),
    [sym__bitshift_operator] = ACTIONS(12957),
    [sym__power_operator] = ACTIONS(12957),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(12957),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(12957),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [7587] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_catch] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [7588] = {
    [sym__word_identifier] = ACTIONS(13632),
    [anon_sym_EQ] = ACTIONS(13632),
    [anon_sym_COMMA] = ACTIONS(13632),
    [anon_sym_COLON] = ACTIONS(13632),
    [anon_sym_begin] = ACTIONS(13632),
    [anon_sym_module] = ACTIONS(13632),
    [anon_sym_baremodule] = ACTIONS(13632),
    [anon_sym_end] = ACTIONS(13632),
    [anon_sym_abstract] = ACTIONS(13632),
    [anon_sym_primitive] = ACTIONS(13632),
    [anon_sym_mutable] = ACTIONS(13632),
    [anon_sym_struct] = ACTIONS(13632),
    [anon_sym_function] = ACTIONS(13632),
    [anon_sym_macro] = ACTIONS(13632),
    [anon_sym_where] = ACTIONS(13632),
    [anon_sym_quote] = ACTIONS(13632),
    [anon_sym_let] = ACTIONS(13632),
    [anon_sym_if] = ACTIONS(13632),
    [anon_sym_else] = ACTIONS(13632),
    [anon_sym_try] = ACTIONS(13632),
    [anon_sym_finally] = ACTIONS(13632),
    [anon_sym_for] = ACTIONS(13632),
    [anon_sym_while] = ACTIONS(13632),
    [sym_break_statement] = ACTIONS(13632),
    [sym_continue_statement] = ACTIONS(13632),
    [anon_sym_return] = ACTIONS(13632),
    [anon_sym_const] = ACTIONS(13632),
    [anon_sym_global] = ACTIONS(13632),
    [anon_sym_local] = ACTIONS(13632),
    [anon_sym_LPAREN] = ACTIONS(13632),
    [anon_sym_COLON2] = ACTIONS(13632),
    [anon_sym_export] = ACTIONS(13632),
    [anon_sym_import] = ACTIONS(13632),
    [anon_sym_using] = ACTIONS(13632),
    [anon_sym_LBRACK] = ACTIONS(13632),
    [anon_sym_LF] = ACTIONS(13634),
    [anon_sym_in] = ACTIONS(13632),
    [anon_sym_LBRACE] = ACTIONS(13632),
    [anon_sym_DOLLAR] = ACTIONS(13632),
    [anon_sym_COLON_COLON] = ACTIONS(13632),
    [anon_sym_isa] = ACTIONS(13632),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13632),
    [anon_sym_QMARK] = ACTIONS(13632),
    [anon_sym_AT] = ACTIONS(13632),
    [anon_sym_true] = ACTIONS(13632),
    [anon_sym_false] = ACTIONS(13632),
    [aux_sym_integer_literal_token1] = ACTIONS(13632),
    [aux_sym_integer_literal_token2] = ACTIONS(13632),
    [aux_sym_integer_literal_token3] = ACTIONS(13632),
    [aux_sym_integer_literal_token4] = ACTIONS(13632),
    [aux_sym_float_literal_token1] = ACTIONS(13632),
    [aux_sym_float_literal_token3] = ACTIONS(13632),
    [aux_sym_float_literal_token4] = ACTIONS(13632),
    [sym_character_literal] = ACTIONS(13632),
    [sym__pair_operator] = ACTIONS(13632),
    [sym__arrow_operator] = ACTIONS(13632),
    [sym__lazy_or_operator] = ACTIONS(13632),
    [sym__lazy_and_operator] = ACTIONS(13632),
    [sym__comparison_operator] = ACTIONS(13632),
    [sym__pipe_right_operator] = ACTIONS(13632),
    [sym__pipe_left_operator] = ACTIONS(13632),
    [sym__ellipsis_operator] = ACTIONS(13632),
    [sym__plus_operator] = ACTIONS(13632),
    [sym__times_operator] = ACTIONS(13632),
    [sym__rational_operator] = ACTIONS(13632),
    [sym__bitshift_operator] = ACTIONS(13632),
    [sym__power_operator] = ACTIONS(13632),
    [sym__tilde_operator] = ACTIONS(13632),
    [sym__type_order_operator] = ACTIONS(13632),
    [sym__unary_operator] = ACTIONS(13632),
    [sym__unary_plus_operator] = ACTIONS(13632),
    [aux_sym__terminator_token1] = ACTIONS(13632),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13634),
    [sym__command_start] = ACTIONS(13634),
  },
  [7589] = {
    [sym__primary_expression] = STATE(11424),
    [sym__array] = STATE(11424),
    [sym_comprehension_expression] = STATE(11424),
    [sym_matrix_expression] = STATE(11424),
    [sym_vector_expression] = STATE(11424),
    [sym_parenthesized_expression] = STATE(11424),
    [sym_tuple_expression] = STATE(11424),
    [sym_curly_expression] = STATE(11424),
    [sym_adjoint_expression] = STATE(11424),
    [sym_field_expression] = STATE(11424),
    [sym_index_expression] = STATE(11424),
    [sym_parametrized_type_expression] = STATE(11424),
    [sym_call_expression] = STATE(11424),
    [sym_broadcast_call_expression] = STATE(11424),
    [sym__closed_macrocall_expression] = STATE(11424),
    [sym_interpolation_expression] = STATE(11424),
    [sym_quote_expression] = STATE(11424),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(10984),
    [sym_boolean_literal] = STATE(11424),
    [sym__string] = STATE(11424),
    [sym_string_literal] = STATE(11424),
    [sym_command_literal] = STATE(11424),
    [sym_prefixed_string_literal] = STATE(11424),
    [sym_prefixed_command_literal] = STATE(11424),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(13937),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(13939),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(13941),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [7590] = {
    [aux_sym_open_tuple_repeat1] = STATE(7744),
    [sym__word_identifier] = ACTIONS(12968),
    [anon_sym_EQ] = ACTIONS(12968),
    [anon_sym_COMMA] = ACTIONS(13688),
    [anon_sym_COLON] = ACTIONS(12968),
    [anon_sym_begin] = ACTIONS(12968),
    [anon_sym_module] = ACTIONS(12968),
    [anon_sym_baremodule] = ACTIONS(12968),
    [anon_sym_abstract] = ACTIONS(12968),
    [anon_sym_primitive] = ACTIONS(12968),
    [anon_sym_mutable] = ACTIONS(12968),
    [anon_sym_struct] = ACTIONS(12968),
    [anon_sym_function] = ACTIONS(12968),
    [anon_sym_macro] = ACTIONS(12968),
    [anon_sym_where] = ACTIONS(12968),
    [anon_sym_quote] = ACTIONS(12968),
    [anon_sym_let] = ACTIONS(12968),
    [anon_sym_if] = ACTIONS(12968),
    [anon_sym_try] = ACTIONS(12968),
    [anon_sym_catch] = ACTIONS(12968),
    [anon_sym_finally] = ACTIONS(12968),
    [anon_sym_for] = ACTIONS(12968),
    [anon_sym_while] = ACTIONS(12968),
    [sym_break_statement] = ACTIONS(12968),
    [sym_continue_statement] = ACTIONS(12968),
    [anon_sym_return] = ACTIONS(12968),
    [anon_sym_const] = ACTIONS(12968),
    [anon_sym_global] = ACTIONS(12968),
    [anon_sym_local] = ACTIONS(12968),
    [anon_sym_LPAREN] = ACTIONS(12968),
    [anon_sym_COLON2] = ACTIONS(12968),
    [anon_sym_export] = ACTIONS(12968),
    [anon_sym_import] = ACTIONS(12968),
    [anon_sym_using] = ACTIONS(12968),
    [anon_sym_LBRACK] = ACTIONS(12968),
    [anon_sym_LF] = ACTIONS(12972),
    [anon_sym_in] = ACTIONS(12968),
    [anon_sym_LBRACE] = ACTIONS(12968),
    [anon_sym_DOLLAR] = ACTIONS(12968),
    [anon_sym_COLON_COLON] = ACTIONS(12968),
    [anon_sym_isa] = ACTIONS(12968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12968),
    [anon_sym_QMARK] = ACTIONS(12968),
    [anon_sym_AT] = ACTIONS(12968),
    [anon_sym_true] = ACTIONS(12968),
    [anon_sym_false] = ACTIONS(12968),
    [aux_sym_integer_literal_token1] = ACTIONS(12968),
    [aux_sym_integer_literal_token2] = ACTIONS(12968),
    [aux_sym_integer_literal_token3] = ACTIONS(12968),
    [aux_sym_integer_literal_token4] = ACTIONS(12968),
    [aux_sym_float_literal_token1] = ACTIONS(12968),
    [aux_sym_float_literal_token3] = ACTIONS(12968),
    [aux_sym_float_literal_token4] = ACTIONS(12968),
    [sym_character_literal] = ACTIONS(12968),
    [sym__pair_operator] = ACTIONS(12968),
    [sym__arrow_operator] = ACTIONS(12968),
    [sym__lazy_or_operator] = ACTIONS(12968),
    [sym__lazy_and_operator] = ACTIONS(12968),
    [sym__comparison_operator] = ACTIONS(12968),
    [sym__pipe_right_operator] = ACTIONS(12968),
    [sym__pipe_left_operator] = ACTIONS(12968),
    [sym__ellipsis_operator] = ACTIONS(12968),
    [sym__plus_operator] = ACTIONS(12968),
    [sym__times_operator] = ACTIONS(12968),
    [sym__rational_operator] = ACTIONS(12968),
    [sym__bitshift_operator] = ACTIONS(12968),
    [sym__power_operator] = ACTIONS(12968),
    [sym__tilde_operator] = ACTIONS(12968),
    [sym__type_order_operator] = ACTIONS(12968),
    [sym__unary_operator] = ACTIONS(12968),
    [sym__unary_plus_operator] = ACTIONS(12968),
    [aux_sym__terminator_token1] = ACTIONS(12968),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12972),
    [sym__command_start] = ACTIONS(12972),
  },
  [7591] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_catch] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [7592] = {
    [sym__word_identifier] = ACTIONS(13656),
    [anon_sym_EQ] = ACTIONS(13656),
    [anon_sym_COMMA] = ACTIONS(13656),
    [anon_sym_COLON] = ACTIONS(13656),
    [anon_sym_begin] = ACTIONS(13656),
    [anon_sym_module] = ACTIONS(13656),
    [anon_sym_baremodule] = ACTIONS(13656),
    [anon_sym_end] = ACTIONS(13656),
    [anon_sym_abstract] = ACTIONS(13656),
    [anon_sym_primitive] = ACTIONS(13656),
    [anon_sym_mutable] = ACTIONS(13656),
    [anon_sym_struct] = ACTIONS(13656),
    [anon_sym_function] = ACTIONS(13656),
    [anon_sym_macro] = ACTIONS(13656),
    [anon_sym_where] = ACTIONS(13656),
    [anon_sym_quote] = ACTIONS(13656),
    [anon_sym_let] = ACTIONS(13656),
    [anon_sym_if] = ACTIONS(13656),
    [anon_sym_else] = ACTIONS(13656),
    [anon_sym_try] = ACTIONS(13656),
    [anon_sym_finally] = ACTIONS(13656),
    [anon_sym_for] = ACTIONS(13656),
    [anon_sym_while] = ACTIONS(13656),
    [sym_break_statement] = ACTIONS(13656),
    [sym_continue_statement] = ACTIONS(13656),
    [anon_sym_return] = ACTIONS(13656),
    [anon_sym_const] = ACTIONS(13656),
    [anon_sym_global] = ACTIONS(13656),
    [anon_sym_local] = ACTIONS(13656),
    [anon_sym_LPAREN] = ACTIONS(13656),
    [anon_sym_COLON2] = ACTIONS(13656),
    [anon_sym_export] = ACTIONS(13656),
    [anon_sym_import] = ACTIONS(13656),
    [anon_sym_using] = ACTIONS(13656),
    [anon_sym_LBRACK] = ACTIONS(13656),
    [anon_sym_LF] = ACTIONS(13658),
    [anon_sym_in] = ACTIONS(13656),
    [anon_sym_LBRACE] = ACTIONS(13656),
    [anon_sym_DOLLAR] = ACTIONS(13656),
    [anon_sym_COLON_COLON] = ACTIONS(13656),
    [anon_sym_isa] = ACTIONS(13656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13656),
    [anon_sym_QMARK] = ACTIONS(13656),
    [anon_sym_AT] = ACTIONS(13656),
    [anon_sym_true] = ACTIONS(13656),
    [anon_sym_false] = ACTIONS(13656),
    [aux_sym_integer_literal_token1] = ACTIONS(13656),
    [aux_sym_integer_literal_token2] = ACTIONS(13656),
    [aux_sym_integer_literal_token3] = ACTIONS(13656),
    [aux_sym_integer_literal_token4] = ACTIONS(13656),
    [aux_sym_float_literal_token1] = ACTIONS(13656),
    [aux_sym_float_literal_token3] = ACTIONS(13656),
    [aux_sym_float_literal_token4] = ACTIONS(13656),
    [sym_character_literal] = ACTIONS(13656),
    [sym__pair_operator] = ACTIONS(13656),
    [sym__arrow_operator] = ACTIONS(13656),
    [sym__lazy_or_operator] = ACTIONS(13656),
    [sym__lazy_and_operator] = ACTIONS(13656),
    [sym__comparison_operator] = ACTIONS(13656),
    [sym__pipe_right_operator] = ACTIONS(13656),
    [sym__pipe_left_operator] = ACTIONS(13656),
    [sym__ellipsis_operator] = ACTIONS(13656),
    [sym__plus_operator] = ACTIONS(13656),
    [sym__times_operator] = ACTIONS(13656),
    [sym__rational_operator] = ACTIONS(13656),
    [sym__bitshift_operator] = ACTIONS(13656),
    [sym__power_operator] = ACTIONS(13656),
    [sym__tilde_operator] = ACTIONS(13656),
    [sym__type_order_operator] = ACTIONS(13656),
    [sym__unary_operator] = ACTIONS(13656),
    [sym__unary_plus_operator] = ACTIONS(13656),
    [aux_sym__terminator_token1] = ACTIONS(13656),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13658),
    [sym__command_start] = ACTIONS(13658),
  },
  [7593] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_catch] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [7594] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_catch] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [7595] = {
    [aux_sym_open_tuple_repeat1] = STATE(7586),
    [sym__word_identifier] = ACTIONS(12968),
    [anon_sym_EQ] = ACTIONS(12968),
    [anon_sym_COMMA] = ACTIONS(13432),
    [anon_sym_COLON] = ACTIONS(12968),
    [anon_sym_begin] = ACTIONS(12968),
    [anon_sym_module] = ACTIONS(12968),
    [anon_sym_baremodule] = ACTIONS(12968),
    [anon_sym_end] = ACTIONS(12968),
    [anon_sym_abstract] = ACTIONS(12968),
    [anon_sym_primitive] = ACTIONS(12968),
    [anon_sym_mutable] = ACTIONS(12968),
    [anon_sym_struct] = ACTIONS(12968),
    [anon_sym_function] = ACTIONS(12968),
    [anon_sym_macro] = ACTIONS(12968),
    [anon_sym_where] = ACTIONS(12968),
    [anon_sym_quote] = ACTIONS(12968),
    [anon_sym_let] = ACTIONS(12968),
    [anon_sym_if] = ACTIONS(12968),
    [anon_sym_try] = ACTIONS(12968),
    [anon_sym_finally] = ACTIONS(12968),
    [anon_sym_for] = ACTIONS(12968),
    [anon_sym_while] = ACTIONS(12968),
    [sym_break_statement] = ACTIONS(12968),
    [sym_continue_statement] = ACTIONS(12968),
    [anon_sym_return] = ACTIONS(12968),
    [anon_sym_const] = ACTIONS(12968),
    [anon_sym_global] = ACTIONS(12968),
    [anon_sym_local] = ACTIONS(12968),
    [anon_sym_LPAREN] = ACTIONS(12968),
    [anon_sym_COLON2] = ACTIONS(12968),
    [anon_sym_export] = ACTIONS(12968),
    [anon_sym_import] = ACTIONS(12968),
    [anon_sym_using] = ACTIONS(12968),
    [anon_sym_LBRACK] = ACTIONS(12968),
    [anon_sym_LF] = ACTIONS(12972),
    [anon_sym_in] = ACTIONS(12968),
    [anon_sym_LBRACE] = ACTIONS(12968),
    [anon_sym_DOLLAR] = ACTIONS(12968),
    [anon_sym_COLON_COLON] = ACTIONS(12968),
    [anon_sym_isa] = ACTIONS(12968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12968),
    [anon_sym_QMARK] = ACTIONS(12968),
    [anon_sym_AT] = ACTIONS(12968),
    [anon_sym_true] = ACTIONS(12968),
    [anon_sym_false] = ACTIONS(12968),
    [aux_sym_integer_literal_token1] = ACTIONS(12968),
    [aux_sym_integer_literal_token2] = ACTIONS(12968),
    [aux_sym_integer_literal_token3] = ACTIONS(12968),
    [aux_sym_integer_literal_token4] = ACTIONS(12968),
    [aux_sym_float_literal_token1] = ACTIONS(12968),
    [aux_sym_float_literal_token3] = ACTIONS(12968),
    [aux_sym_float_literal_token4] = ACTIONS(12968),
    [sym_character_literal] = ACTIONS(12968),
    [sym__pair_operator] = ACTIONS(12968),
    [sym__arrow_operator] = ACTIONS(12968),
    [sym__lazy_or_operator] = ACTIONS(12968),
    [sym__lazy_and_operator] = ACTIONS(12968),
    [sym__comparison_operator] = ACTIONS(12968),
    [sym__pipe_right_operator] = ACTIONS(12968),
    [sym__pipe_left_operator] = ACTIONS(12968),
    [sym__ellipsis_operator] = ACTIONS(12968),
    [sym__plus_operator] = ACTIONS(12968),
    [sym__times_operator] = ACTIONS(12968),
    [sym__rational_operator] = ACTIONS(12968),
    [sym__bitshift_operator] = ACTIONS(12968),
    [sym__power_operator] = ACTIONS(12968),
    [sym__tilde_operator] = ACTIONS(12968),
    [sym__type_order_operator] = ACTIONS(12968),
    [sym__unary_operator] = ACTIONS(12968),
    [sym__unary_plus_operator] = ACTIONS(12968),
    [aux_sym__terminator_token1] = ACTIONS(12968),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12972),
    [sym__command_start] = ACTIONS(12972),
  },
  [7596] = {
    [sym__word_identifier] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13943),
    [anon_sym_COLON] = ACTIONS(13943),
    [anon_sym_begin] = ACTIONS(13943),
    [anon_sym_module] = ACTIONS(13943),
    [anon_sym_baremodule] = ACTIONS(13943),
    [anon_sym_end] = ACTIONS(13943),
    [anon_sym_abstract] = ACTIONS(13943),
    [anon_sym_primitive] = ACTIONS(13943),
    [anon_sym_mutable] = ACTIONS(13943),
    [anon_sym_struct] = ACTIONS(13943),
    [anon_sym_function] = ACTIONS(13943),
    [anon_sym_macro] = ACTIONS(13943),
    [anon_sym_where] = ACTIONS(13943),
    [anon_sym_quote] = ACTIONS(13943),
    [anon_sym_let] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13943),
    [anon_sym_else] = ACTIONS(13943),
    [anon_sym_try] = ACTIONS(13943),
    [anon_sym_finally] = ACTIONS(13943),
    [anon_sym_for] = ACTIONS(13943),
    [anon_sym_while] = ACTIONS(13943),
    [sym_break_statement] = ACTIONS(13943),
    [sym_continue_statement] = ACTIONS(13943),
    [anon_sym_return] = ACTIONS(13943),
    [anon_sym_const] = ACTIONS(13943),
    [anon_sym_global] = ACTIONS(13943),
    [anon_sym_local] = ACTIONS(13943),
    [anon_sym_LPAREN] = ACTIONS(13943),
    [anon_sym_COLON2] = ACTIONS(13943),
    [anon_sym_export] = ACTIONS(13943),
    [anon_sym_import] = ACTIONS(13943),
    [anon_sym_using] = ACTIONS(13943),
    [anon_sym_LBRACK] = ACTIONS(13943),
    [anon_sym_LF] = ACTIONS(13945),
    [anon_sym_in] = ACTIONS(13943),
    [anon_sym_LBRACE] = ACTIONS(13943),
    [anon_sym_DOLLAR] = ACTIONS(13943),
    [anon_sym_COLON_COLON] = ACTIONS(13943),
    [anon_sym_isa] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13943),
    [anon_sym_QMARK] = ACTIONS(13943),
    [anon_sym_AT] = ACTIONS(13943),
    [anon_sym_true] = ACTIONS(13943),
    [anon_sym_false] = ACTIONS(13943),
    [aux_sym_integer_literal_token1] = ACTIONS(13943),
    [aux_sym_integer_literal_token2] = ACTIONS(13943),
    [aux_sym_integer_literal_token3] = ACTIONS(13943),
    [aux_sym_integer_literal_token4] = ACTIONS(13943),
    [aux_sym_float_literal_token1] = ACTIONS(13943),
    [aux_sym_float_literal_token3] = ACTIONS(13943),
    [aux_sym_float_literal_token4] = ACTIONS(13943),
    [sym_character_literal] = ACTIONS(13943),
    [sym__pair_operator] = ACTIONS(13943),
    [sym__arrow_operator] = ACTIONS(13943),
    [sym__lazy_or_operator] = ACTIONS(13943),
    [sym__lazy_and_operator] = ACTIONS(13943),
    [sym__comparison_operator] = ACTIONS(13943),
    [sym__pipe_right_operator] = ACTIONS(13943),
    [sym__pipe_left_operator] = ACTIONS(13943),
    [sym__ellipsis_operator] = ACTIONS(13943),
    [sym__plus_operator] = ACTIONS(13943),
    [sym__times_operator] = ACTIONS(13943),
    [sym__rational_operator] = ACTIONS(13943),
    [sym__bitshift_operator] = ACTIONS(13943),
    [sym__power_operator] = ACTIONS(13943),
    [sym__tilde_operator] = ACTIONS(13943),
    [sym__type_order_operator] = ACTIONS(13943),
    [sym__unary_operator] = ACTIONS(13943),
    [sym__unary_plus_operator] = ACTIONS(13943),
    [aux_sym__terminator_token1] = ACTIONS(13943),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13945),
    [sym__command_start] = ACTIONS(13945),
  },
  [7597] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [7598] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_as] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [7599] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_catch] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [7600] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_catch] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [7601] = {
    [sym__word_identifier] = ACTIONS(13916),
    [anon_sym_EQ] = ACTIONS(13916),
    [anon_sym_COMMA] = ACTIONS(13916),
    [anon_sym_COLON] = ACTIONS(13916),
    [anon_sym_begin] = ACTIONS(13916),
    [anon_sym_module] = ACTIONS(13916),
    [anon_sym_baremodule] = ACTIONS(13916),
    [anon_sym_end] = ACTIONS(13916),
    [anon_sym_abstract] = ACTIONS(13916),
    [anon_sym_primitive] = ACTIONS(13916),
    [anon_sym_mutable] = ACTIONS(13916),
    [anon_sym_struct] = ACTIONS(13916),
    [anon_sym_function] = ACTIONS(13916),
    [anon_sym_macro] = ACTIONS(13916),
    [anon_sym_where] = ACTIONS(13916),
    [anon_sym_quote] = ACTIONS(13916),
    [anon_sym_let] = ACTIONS(13916),
    [anon_sym_if] = ACTIONS(13916),
    [anon_sym_elseif] = ACTIONS(13916),
    [anon_sym_else] = ACTIONS(13916),
    [anon_sym_try] = ACTIONS(13916),
    [anon_sym_for] = ACTIONS(13916),
    [anon_sym_while] = ACTIONS(13916),
    [sym_break_statement] = ACTIONS(13916),
    [sym_continue_statement] = ACTIONS(13916),
    [anon_sym_return] = ACTIONS(13916),
    [anon_sym_const] = ACTIONS(13916),
    [anon_sym_global] = ACTIONS(13916),
    [anon_sym_local] = ACTIONS(13916),
    [anon_sym_LPAREN] = ACTIONS(13916),
    [anon_sym_COLON2] = ACTIONS(13916),
    [anon_sym_export] = ACTIONS(13916),
    [anon_sym_import] = ACTIONS(13916),
    [anon_sym_using] = ACTIONS(13916),
    [anon_sym_LBRACK] = ACTIONS(13916),
    [anon_sym_LF] = ACTIONS(13918),
    [anon_sym_in] = ACTIONS(13916),
    [anon_sym_LBRACE] = ACTIONS(13916),
    [anon_sym_DOLLAR] = ACTIONS(13916),
    [anon_sym_COLON_COLON] = ACTIONS(13916),
    [anon_sym_isa] = ACTIONS(13916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13916),
    [anon_sym_QMARK] = ACTIONS(13916),
    [anon_sym_AT] = ACTIONS(13916),
    [anon_sym_true] = ACTIONS(13916),
    [anon_sym_false] = ACTIONS(13916),
    [aux_sym_integer_literal_token1] = ACTIONS(13916),
    [aux_sym_integer_literal_token2] = ACTIONS(13916),
    [aux_sym_integer_literal_token3] = ACTIONS(13916),
    [aux_sym_integer_literal_token4] = ACTIONS(13916),
    [aux_sym_float_literal_token1] = ACTIONS(13916),
    [aux_sym_float_literal_token3] = ACTIONS(13916),
    [aux_sym_float_literal_token4] = ACTIONS(13916),
    [sym_character_literal] = ACTIONS(13916),
    [sym__pair_operator] = ACTIONS(13916),
    [sym__arrow_operator] = ACTIONS(13916),
    [sym__lazy_or_operator] = ACTIONS(13916),
    [sym__lazy_and_operator] = ACTIONS(13916),
    [sym__comparison_operator] = ACTIONS(13916),
    [sym__pipe_right_operator] = ACTIONS(13916),
    [sym__pipe_left_operator] = ACTIONS(13916),
    [sym__ellipsis_operator] = ACTIONS(13916),
    [sym__plus_operator] = ACTIONS(13916),
    [sym__times_operator] = ACTIONS(13916),
    [sym__rational_operator] = ACTIONS(13916),
    [sym__bitshift_operator] = ACTIONS(13916),
    [sym__power_operator] = ACTIONS(13916),
    [sym__tilde_operator] = ACTIONS(13916),
    [sym__type_order_operator] = ACTIONS(13916),
    [sym__unary_operator] = ACTIONS(13916),
    [sym__unary_plus_operator] = ACTIONS(13916),
    [aux_sym__terminator_token1] = ACTIONS(13916),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13918),
    [sym__command_start] = ACTIONS(13918),
  },
  [7602] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_catch] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [7603] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_catch] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [7604] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(13947),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7605] = {
    [sym__word_identifier] = ACTIONS(13949),
    [anon_sym_EQ] = ACTIONS(13949),
    [anon_sym_COMMA] = ACTIONS(13949),
    [anon_sym_COLON] = ACTIONS(13949),
    [anon_sym_begin] = ACTIONS(13949),
    [anon_sym_module] = ACTIONS(13949),
    [anon_sym_baremodule] = ACTIONS(13949),
    [anon_sym_end] = ACTIONS(13949),
    [anon_sym_abstract] = ACTIONS(13949),
    [anon_sym_primitive] = ACTIONS(13949),
    [anon_sym_mutable] = ACTIONS(13949),
    [anon_sym_struct] = ACTIONS(13949),
    [anon_sym_function] = ACTIONS(13949),
    [anon_sym_macro] = ACTIONS(13949),
    [anon_sym_where] = ACTIONS(13949),
    [anon_sym_quote] = ACTIONS(13949),
    [anon_sym_let] = ACTIONS(13949),
    [anon_sym_if] = ACTIONS(13949),
    [anon_sym_else] = ACTIONS(13949),
    [anon_sym_try] = ACTIONS(13949),
    [anon_sym_finally] = ACTIONS(13949),
    [anon_sym_for] = ACTIONS(13949),
    [anon_sym_while] = ACTIONS(13949),
    [sym_break_statement] = ACTIONS(13949),
    [sym_continue_statement] = ACTIONS(13949),
    [anon_sym_return] = ACTIONS(13949),
    [anon_sym_const] = ACTIONS(13949),
    [anon_sym_global] = ACTIONS(13949),
    [anon_sym_local] = ACTIONS(13949),
    [anon_sym_LPAREN] = ACTIONS(13949),
    [anon_sym_COLON2] = ACTIONS(13949),
    [anon_sym_export] = ACTIONS(13949),
    [anon_sym_import] = ACTIONS(13949),
    [anon_sym_using] = ACTIONS(13949),
    [anon_sym_LBRACK] = ACTIONS(13949),
    [anon_sym_LF] = ACTIONS(13951),
    [anon_sym_in] = ACTIONS(13949),
    [anon_sym_LBRACE] = ACTIONS(13949),
    [anon_sym_DOLLAR] = ACTIONS(13949),
    [anon_sym_COLON_COLON] = ACTIONS(13949),
    [anon_sym_isa] = ACTIONS(13949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13949),
    [anon_sym_QMARK] = ACTIONS(13949),
    [anon_sym_AT] = ACTIONS(13949),
    [anon_sym_true] = ACTIONS(13949),
    [anon_sym_false] = ACTIONS(13949),
    [aux_sym_integer_literal_token1] = ACTIONS(13949),
    [aux_sym_integer_literal_token2] = ACTIONS(13949),
    [aux_sym_integer_literal_token3] = ACTIONS(13949),
    [aux_sym_integer_literal_token4] = ACTIONS(13949),
    [aux_sym_float_literal_token1] = ACTIONS(13949),
    [aux_sym_float_literal_token3] = ACTIONS(13949),
    [aux_sym_float_literal_token4] = ACTIONS(13949),
    [sym_character_literal] = ACTIONS(13949),
    [sym__pair_operator] = ACTIONS(13949),
    [sym__arrow_operator] = ACTIONS(13949),
    [sym__lazy_or_operator] = ACTIONS(13949),
    [sym__lazy_and_operator] = ACTIONS(13949),
    [sym__comparison_operator] = ACTIONS(13949),
    [sym__pipe_right_operator] = ACTIONS(13949),
    [sym__pipe_left_operator] = ACTIONS(13949),
    [sym__ellipsis_operator] = ACTIONS(13949),
    [sym__plus_operator] = ACTIONS(13949),
    [sym__times_operator] = ACTIONS(13949),
    [sym__rational_operator] = ACTIONS(13949),
    [sym__bitshift_operator] = ACTIONS(13949),
    [sym__power_operator] = ACTIONS(13949),
    [sym__tilde_operator] = ACTIONS(13949),
    [sym__type_order_operator] = ACTIONS(13949),
    [sym__unary_operator] = ACTIONS(13949),
    [sym__unary_plus_operator] = ACTIONS(13949),
    [aux_sym__terminator_token1] = ACTIONS(13949),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13951),
    [sym__command_start] = ACTIONS(13951),
  },
  [7606] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [7607] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [7608] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_catch] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [7609] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12468),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7610] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_EQ] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_elseif] = ACTIONS(13920),
    [anon_sym_else] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [7611] = {
    [sym__word_identifier] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13943),
    [anon_sym_COLON] = ACTIONS(13943),
    [anon_sym_begin] = ACTIONS(13943),
    [anon_sym_module] = ACTIONS(13943),
    [anon_sym_baremodule] = ACTIONS(13943),
    [anon_sym_end] = ACTIONS(13943),
    [anon_sym_abstract] = ACTIONS(13943),
    [anon_sym_primitive] = ACTIONS(13943),
    [anon_sym_mutable] = ACTIONS(13943),
    [anon_sym_struct] = ACTIONS(13943),
    [anon_sym_function] = ACTIONS(13943),
    [anon_sym_macro] = ACTIONS(13943),
    [anon_sym_where] = ACTIONS(13943),
    [anon_sym_quote] = ACTIONS(13943),
    [anon_sym_let] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13943),
    [anon_sym_elseif] = ACTIONS(13943),
    [anon_sym_else] = ACTIONS(13943),
    [anon_sym_try] = ACTIONS(13943),
    [anon_sym_for] = ACTIONS(13943),
    [anon_sym_while] = ACTIONS(13943),
    [sym_break_statement] = ACTIONS(13943),
    [sym_continue_statement] = ACTIONS(13943),
    [anon_sym_return] = ACTIONS(13943),
    [anon_sym_const] = ACTIONS(13943),
    [anon_sym_global] = ACTIONS(13943),
    [anon_sym_local] = ACTIONS(13943),
    [anon_sym_LPAREN] = ACTIONS(13943),
    [anon_sym_COLON2] = ACTIONS(13943),
    [anon_sym_export] = ACTIONS(13943),
    [anon_sym_import] = ACTIONS(13943),
    [anon_sym_using] = ACTIONS(13943),
    [anon_sym_LBRACK] = ACTIONS(13943),
    [anon_sym_LF] = ACTIONS(13945),
    [anon_sym_in] = ACTIONS(13943),
    [anon_sym_LBRACE] = ACTIONS(13943),
    [anon_sym_DOLLAR] = ACTIONS(13943),
    [anon_sym_COLON_COLON] = ACTIONS(13943),
    [anon_sym_isa] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13943),
    [anon_sym_QMARK] = ACTIONS(13943),
    [anon_sym_AT] = ACTIONS(13943),
    [anon_sym_true] = ACTIONS(13943),
    [anon_sym_false] = ACTIONS(13943),
    [aux_sym_integer_literal_token1] = ACTIONS(13943),
    [aux_sym_integer_literal_token2] = ACTIONS(13943),
    [aux_sym_integer_literal_token3] = ACTIONS(13943),
    [aux_sym_integer_literal_token4] = ACTIONS(13943),
    [aux_sym_float_literal_token1] = ACTIONS(13943),
    [aux_sym_float_literal_token3] = ACTIONS(13943),
    [aux_sym_float_literal_token4] = ACTIONS(13943),
    [sym_character_literal] = ACTIONS(13943),
    [sym__pair_operator] = ACTIONS(13943),
    [sym__arrow_operator] = ACTIONS(13943),
    [sym__lazy_or_operator] = ACTIONS(13943),
    [sym__lazy_and_operator] = ACTIONS(13943),
    [sym__comparison_operator] = ACTIONS(13943),
    [sym__pipe_right_operator] = ACTIONS(13943),
    [sym__pipe_left_operator] = ACTIONS(13943),
    [sym__ellipsis_operator] = ACTIONS(13943),
    [sym__plus_operator] = ACTIONS(13943),
    [sym__times_operator] = ACTIONS(13943),
    [sym__rational_operator] = ACTIONS(13943),
    [sym__bitshift_operator] = ACTIONS(13943),
    [sym__power_operator] = ACTIONS(13943),
    [sym__tilde_operator] = ACTIONS(13943),
    [sym__type_order_operator] = ACTIONS(13943),
    [sym__unary_operator] = ACTIONS(13943),
    [sym__unary_plus_operator] = ACTIONS(13943),
    [aux_sym__terminator_token1] = ACTIONS(13943),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13945),
    [sym__command_start] = ACTIONS(13945),
  },
  [7612] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_catch] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [7613] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7614] = {
    [sym__word_identifier] = ACTIONS(13953),
    [anon_sym_EQ] = ACTIONS(13953),
    [anon_sym_COMMA] = ACTIONS(13953),
    [anon_sym_COLON] = ACTIONS(13953),
    [anon_sym_begin] = ACTIONS(13953),
    [anon_sym_module] = ACTIONS(13953),
    [anon_sym_baremodule] = ACTIONS(13953),
    [anon_sym_end] = ACTIONS(13953),
    [anon_sym_abstract] = ACTIONS(13953),
    [anon_sym_primitive] = ACTIONS(13953),
    [anon_sym_mutable] = ACTIONS(13953),
    [anon_sym_struct] = ACTIONS(13953),
    [anon_sym_function] = ACTIONS(13953),
    [anon_sym_macro] = ACTIONS(13953),
    [anon_sym_where] = ACTIONS(13953),
    [anon_sym_quote] = ACTIONS(13953),
    [anon_sym_let] = ACTIONS(13953),
    [anon_sym_if] = ACTIONS(13953),
    [anon_sym_else] = ACTIONS(13953),
    [anon_sym_try] = ACTIONS(13953),
    [anon_sym_finally] = ACTIONS(13953),
    [anon_sym_for] = ACTIONS(13953),
    [anon_sym_while] = ACTIONS(13953),
    [sym_break_statement] = ACTIONS(13953),
    [sym_continue_statement] = ACTIONS(13953),
    [anon_sym_return] = ACTIONS(13953),
    [anon_sym_const] = ACTIONS(13953),
    [anon_sym_global] = ACTIONS(13953),
    [anon_sym_local] = ACTIONS(13953),
    [anon_sym_LPAREN] = ACTIONS(13953),
    [anon_sym_COLON2] = ACTIONS(13953),
    [anon_sym_export] = ACTIONS(13953),
    [anon_sym_import] = ACTIONS(13953),
    [anon_sym_using] = ACTIONS(13953),
    [anon_sym_LBRACK] = ACTIONS(13953),
    [anon_sym_LF] = ACTIONS(13955),
    [anon_sym_in] = ACTIONS(13953),
    [anon_sym_LBRACE] = ACTIONS(13953),
    [anon_sym_DOLLAR] = ACTIONS(13953),
    [anon_sym_COLON_COLON] = ACTIONS(13953),
    [anon_sym_isa] = ACTIONS(13953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13953),
    [anon_sym_QMARK] = ACTIONS(13953),
    [anon_sym_AT] = ACTIONS(13953),
    [anon_sym_true] = ACTIONS(13953),
    [anon_sym_false] = ACTIONS(13953),
    [aux_sym_integer_literal_token1] = ACTIONS(13953),
    [aux_sym_integer_literal_token2] = ACTIONS(13953),
    [aux_sym_integer_literal_token3] = ACTIONS(13953),
    [aux_sym_integer_literal_token4] = ACTIONS(13953),
    [aux_sym_float_literal_token1] = ACTIONS(13953),
    [aux_sym_float_literal_token3] = ACTIONS(13953),
    [aux_sym_float_literal_token4] = ACTIONS(13953),
    [sym_character_literal] = ACTIONS(13953),
    [sym__pair_operator] = ACTIONS(13953),
    [sym__arrow_operator] = ACTIONS(13953),
    [sym__lazy_or_operator] = ACTIONS(13953),
    [sym__lazy_and_operator] = ACTIONS(13953),
    [sym__comparison_operator] = ACTIONS(13953),
    [sym__pipe_right_operator] = ACTIONS(13953),
    [sym__pipe_left_operator] = ACTIONS(13953),
    [sym__ellipsis_operator] = ACTIONS(13953),
    [sym__plus_operator] = ACTIONS(13953),
    [sym__times_operator] = ACTIONS(13953),
    [sym__rational_operator] = ACTIONS(13953),
    [sym__bitshift_operator] = ACTIONS(13953),
    [sym__power_operator] = ACTIONS(13953),
    [sym__tilde_operator] = ACTIONS(13953),
    [sym__type_order_operator] = ACTIONS(13953),
    [sym__unary_operator] = ACTIONS(13953),
    [sym__unary_plus_operator] = ACTIONS(13953),
    [aux_sym__terminator_token1] = ACTIONS(13953),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13955),
    [sym__command_start] = ACTIONS(13955),
  },
  [7615] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13066),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7616] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7617] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_as] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [7618] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_catch] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [7619] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_catch] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [7620] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7621] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13957),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_elseif] = ACTIONS(13238),
    [anon_sym_else] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13588),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7622] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7623] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_catch] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [7624] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_catch] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [7625] = {
    [aux_sym__import_list_repeat1] = STATE(7327),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(13014),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_LPAREN] = ACTIONS(12872),
    [anon_sym_RPAREN] = ACTIONS(12872),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12872),
    [anon_sym_RBRACK] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_SEMI] = ACTIONS(12872),
    [anon_sym_LBRACE] = ACTIONS(12872),
    [anon_sym_RBRACE] = ACTIONS(12872),
    [anon_sym_DOLLAR] = ACTIONS(12872),
    [anon_sym_COLON_COLON] = ACTIONS(12872),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12872),
    [anon_sym_QMARK] = ACTIONS(12872),
    [anon_sym_AT] = ACTIONS(12872),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12872),
    [aux_sym_integer_literal_token2] = ACTIONS(12872),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12872),
    [aux_sym_float_literal_token3] = ACTIONS(12872),
    [aux_sym_float_literal_token4] = ACTIONS(12872),
    [sym_character_literal] = ACTIONS(12872),
    [sym__pair_operator] = ACTIONS(12872),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12872),
    [sym__lazy_and_operator] = ACTIONS(12872),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12872),
    [sym__pipe_left_operator] = ACTIONS(12872),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12872),
    [sym__bitshift_operator] = ACTIONS(12872),
    [sym__power_operator] = ACTIONS(12872),
    [sym__tilde_operator] = ACTIONS(12872),
    [sym__type_order_operator] = ACTIONS(12872),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7626] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_as] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [7627] = {
    [sym__comprehension_clause] = STATE(19675),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17124),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13959),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13961),
    [anon_sym_LF] = ACTIONS(13963),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7628] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7629] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7630] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [7631] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [7632] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_as] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [7633] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_catch] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [7634] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_finally] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [7635] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_catch] = ACTIONS(11958),
    [anon_sym_finally] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7636] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12494),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7637] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_EQ] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_elseif] = ACTIONS(13969),
    [anon_sym_else] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13066),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [7638] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_catch] = ACTIONS(12242),
    [anon_sym_finally] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [7639] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_finally] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [7640] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_finally] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [7641] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_catch] = ACTIONS(12246),
    [anon_sym_finally] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [7642] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_finally] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [7643] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_finally] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [7644] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_elseif] = ACTIONS(13392),
    [anon_sym_else] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [7645] = {
    [sym__word_identifier] = ACTIONS(13660),
    [anon_sym_EQ] = ACTIONS(13660),
    [anon_sym_COMMA] = ACTIONS(13660),
    [anon_sym_COLON] = ACTIONS(13660),
    [anon_sym_begin] = ACTIONS(13660),
    [anon_sym_module] = ACTIONS(13660),
    [anon_sym_baremodule] = ACTIONS(13660),
    [anon_sym_end] = ACTIONS(13660),
    [anon_sym_abstract] = ACTIONS(13660),
    [anon_sym_primitive] = ACTIONS(13660),
    [anon_sym_mutable] = ACTIONS(13660),
    [anon_sym_struct] = ACTIONS(13660),
    [anon_sym_function] = ACTIONS(13660),
    [anon_sym_macro] = ACTIONS(13660),
    [anon_sym_where] = ACTIONS(13660),
    [anon_sym_quote] = ACTIONS(13660),
    [anon_sym_let] = ACTIONS(13660),
    [anon_sym_if] = ACTIONS(13660),
    [anon_sym_else] = ACTIONS(13660),
    [anon_sym_try] = ACTIONS(13660),
    [anon_sym_finally] = ACTIONS(13660),
    [anon_sym_for] = ACTIONS(13660),
    [anon_sym_while] = ACTIONS(13660),
    [sym_break_statement] = ACTIONS(13660),
    [sym_continue_statement] = ACTIONS(13660),
    [anon_sym_return] = ACTIONS(13660),
    [anon_sym_const] = ACTIONS(13660),
    [anon_sym_global] = ACTIONS(13660),
    [anon_sym_local] = ACTIONS(13660),
    [anon_sym_LPAREN] = ACTIONS(13660),
    [anon_sym_COLON2] = ACTIONS(13660),
    [anon_sym_export] = ACTIONS(13660),
    [anon_sym_import] = ACTIONS(13660),
    [anon_sym_using] = ACTIONS(13660),
    [anon_sym_LBRACK] = ACTIONS(13660),
    [anon_sym_LF] = ACTIONS(13662),
    [anon_sym_in] = ACTIONS(13660),
    [anon_sym_LBRACE] = ACTIONS(13660),
    [anon_sym_DOLLAR] = ACTIONS(13660),
    [anon_sym_COLON_COLON] = ACTIONS(13660),
    [anon_sym_isa] = ACTIONS(13660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13660),
    [anon_sym_QMARK] = ACTIONS(13660),
    [anon_sym_AT] = ACTIONS(13660),
    [anon_sym_true] = ACTIONS(13660),
    [anon_sym_false] = ACTIONS(13660),
    [aux_sym_integer_literal_token1] = ACTIONS(13660),
    [aux_sym_integer_literal_token2] = ACTIONS(13660),
    [aux_sym_integer_literal_token3] = ACTIONS(13660),
    [aux_sym_integer_literal_token4] = ACTIONS(13660),
    [aux_sym_float_literal_token1] = ACTIONS(13660),
    [aux_sym_float_literal_token3] = ACTIONS(13660),
    [aux_sym_float_literal_token4] = ACTIONS(13660),
    [sym_character_literal] = ACTIONS(13660),
    [sym__pair_operator] = ACTIONS(13660),
    [sym__arrow_operator] = ACTIONS(13660),
    [sym__lazy_or_operator] = ACTIONS(13660),
    [sym__lazy_and_operator] = ACTIONS(13660),
    [sym__comparison_operator] = ACTIONS(13660),
    [sym__pipe_right_operator] = ACTIONS(13660),
    [sym__pipe_left_operator] = ACTIONS(13660),
    [sym__ellipsis_operator] = ACTIONS(13660),
    [sym__plus_operator] = ACTIONS(13660),
    [sym__times_operator] = ACTIONS(13660),
    [sym__rational_operator] = ACTIONS(13660),
    [sym__bitshift_operator] = ACTIONS(13660),
    [sym__power_operator] = ACTIONS(13660),
    [sym__tilde_operator] = ACTIONS(13660),
    [sym__type_order_operator] = ACTIONS(13660),
    [sym__unary_operator] = ACTIONS(13660),
    [sym__unary_plus_operator] = ACTIONS(13660),
    [aux_sym__terminator_token1] = ACTIONS(13660),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13662),
    [sym__command_start] = ACTIONS(13662),
  },
  [7646] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13732),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_elseif] = ACTIONS(13102),
    [anon_sym_else] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7647] = {
    [sym__comprehension_clause] = STATE(19689),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17153),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13973),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13975),
    [anon_sym_LF] = ACTIONS(13977),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13980),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7648] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_finally] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [7649] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_finally] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [7650] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_finally] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [7651] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_finally] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [7652] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_finally] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [7653] = {
    [ts_builtin_sym_end] = ACTIONS(13983),
    [sym__word_identifier] = ACTIONS(13985),
    [anon_sym_EQ] = ACTIONS(13985),
    [anon_sym_COMMA] = ACTIONS(13985),
    [anon_sym_COLON] = ACTIONS(13985),
    [anon_sym_begin] = ACTIONS(13985),
    [anon_sym_module] = ACTIONS(13985),
    [anon_sym_baremodule] = ACTIONS(13985),
    [anon_sym_abstract] = ACTIONS(13985),
    [anon_sym_primitive] = ACTIONS(13985),
    [anon_sym_mutable] = ACTIONS(13985),
    [anon_sym_struct] = ACTIONS(13985),
    [anon_sym_function] = ACTIONS(13985),
    [anon_sym_macro] = ACTIONS(13985),
    [anon_sym_where] = ACTIONS(13985),
    [anon_sym_quote] = ACTIONS(13985),
    [anon_sym_let] = ACTIONS(13985),
    [anon_sym_if] = ACTIONS(13985),
    [anon_sym_try] = ACTIONS(13985),
    [anon_sym_for] = ACTIONS(13985),
    [anon_sym_while] = ACTIONS(13985),
    [sym_break_statement] = ACTIONS(13985),
    [sym_continue_statement] = ACTIONS(13985),
    [anon_sym_return] = ACTIONS(13985),
    [anon_sym_const] = ACTIONS(13985),
    [anon_sym_global] = ACTIONS(13985),
    [anon_sym_local] = ACTIONS(13985),
    [anon_sym_LPAREN] = ACTIONS(13985),
    [anon_sym_RPAREN] = ACTIONS(13985),
    [anon_sym_COLON2] = ACTIONS(13985),
    [anon_sym_export] = ACTIONS(13985),
    [anon_sym_import] = ACTIONS(13985),
    [anon_sym_using] = ACTIONS(13985),
    [anon_sym_LBRACK] = ACTIONS(13985),
    [anon_sym_RBRACK] = ACTIONS(13985),
    [anon_sym_LF] = ACTIONS(13983),
    [anon_sym_in] = ACTIONS(13985),
    [anon_sym_LBRACE] = ACTIONS(13985),
    [anon_sym_DOLLAR] = ACTIONS(13985),
    [anon_sym_COLON_COLON] = ACTIONS(13985),
    [anon_sym_isa] = ACTIONS(13985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13985),
    [anon_sym_QMARK] = ACTIONS(13985),
    [anon_sym_AT] = ACTIONS(13985),
    [anon_sym_true] = ACTIONS(13985),
    [anon_sym_false] = ACTIONS(13985),
    [aux_sym_integer_literal_token1] = ACTIONS(13985),
    [aux_sym_integer_literal_token2] = ACTIONS(13985),
    [aux_sym_integer_literal_token3] = ACTIONS(13985),
    [aux_sym_integer_literal_token4] = ACTIONS(13985),
    [aux_sym_float_literal_token1] = ACTIONS(13985),
    [aux_sym_float_literal_token3] = ACTIONS(13985),
    [aux_sym_float_literal_token4] = ACTIONS(13985),
    [sym_character_literal] = ACTIONS(13985),
    [sym__pair_operator] = ACTIONS(13985),
    [sym__arrow_operator] = ACTIONS(13985),
    [sym__lazy_or_operator] = ACTIONS(13985),
    [sym__lazy_and_operator] = ACTIONS(13985),
    [sym__comparison_operator] = ACTIONS(13985),
    [sym__pipe_right_operator] = ACTIONS(13985),
    [sym__pipe_left_operator] = ACTIONS(13985),
    [sym__ellipsis_operator] = ACTIONS(13985),
    [sym__plus_operator] = ACTIONS(13985),
    [sym__times_operator] = ACTIONS(13985),
    [sym__rational_operator] = ACTIONS(13985),
    [sym__bitshift_operator] = ACTIONS(13985),
    [sym__power_operator] = ACTIONS(13985),
    [sym__tilde_operator] = ACTIONS(13985),
    [sym__type_order_operator] = ACTIONS(13985),
    [sym__unary_operator] = ACTIONS(13985),
    [sym__unary_plus_operator] = ACTIONS(13985),
    [aux_sym__terminator_token1] = ACTIONS(13985),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13983),
    [sym__command_start] = ACTIONS(13983),
  },
  [7654] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_as] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [7655] = {
    [ts_builtin_sym_end] = ACTIONS(13987),
    [sym__word_identifier] = ACTIONS(13989),
    [anon_sym_EQ] = ACTIONS(13989),
    [anon_sym_COMMA] = ACTIONS(13989),
    [anon_sym_COLON] = ACTIONS(13989),
    [anon_sym_begin] = ACTIONS(13989),
    [anon_sym_module] = ACTIONS(13989),
    [anon_sym_baremodule] = ACTIONS(13989),
    [anon_sym_abstract] = ACTIONS(13989),
    [anon_sym_primitive] = ACTIONS(13989),
    [anon_sym_mutable] = ACTIONS(13989),
    [anon_sym_struct] = ACTIONS(13989),
    [anon_sym_function] = ACTIONS(13989),
    [anon_sym_macro] = ACTIONS(13989),
    [anon_sym_where] = ACTIONS(13989),
    [anon_sym_quote] = ACTIONS(13989),
    [anon_sym_let] = ACTIONS(13989),
    [anon_sym_if] = ACTIONS(13989),
    [anon_sym_try] = ACTIONS(13989),
    [anon_sym_for] = ACTIONS(13989),
    [anon_sym_while] = ACTIONS(13989),
    [sym_break_statement] = ACTIONS(13989),
    [sym_continue_statement] = ACTIONS(13989),
    [anon_sym_return] = ACTIONS(13989),
    [anon_sym_const] = ACTIONS(13989),
    [anon_sym_global] = ACTIONS(13989),
    [anon_sym_local] = ACTIONS(13989),
    [anon_sym_LPAREN] = ACTIONS(13989),
    [anon_sym_RPAREN] = ACTIONS(13989),
    [anon_sym_COLON2] = ACTIONS(13989),
    [anon_sym_export] = ACTIONS(13989),
    [anon_sym_import] = ACTIONS(13989),
    [anon_sym_using] = ACTIONS(13989),
    [anon_sym_LBRACK] = ACTIONS(13989),
    [anon_sym_RBRACK] = ACTIONS(13989),
    [anon_sym_LF] = ACTIONS(13987),
    [anon_sym_in] = ACTIONS(13989),
    [anon_sym_LBRACE] = ACTIONS(13989),
    [anon_sym_DOLLAR] = ACTIONS(13989),
    [anon_sym_COLON_COLON] = ACTIONS(13989),
    [anon_sym_isa] = ACTIONS(13989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13989),
    [anon_sym_QMARK] = ACTIONS(13989),
    [anon_sym_AT] = ACTIONS(13989),
    [anon_sym_true] = ACTIONS(13989),
    [anon_sym_false] = ACTIONS(13989),
    [aux_sym_integer_literal_token1] = ACTIONS(13989),
    [aux_sym_integer_literal_token2] = ACTIONS(13989),
    [aux_sym_integer_literal_token3] = ACTIONS(13989),
    [aux_sym_integer_literal_token4] = ACTIONS(13989),
    [aux_sym_float_literal_token1] = ACTIONS(13989),
    [aux_sym_float_literal_token3] = ACTIONS(13989),
    [aux_sym_float_literal_token4] = ACTIONS(13989),
    [sym_character_literal] = ACTIONS(13989),
    [sym__pair_operator] = ACTIONS(13989),
    [sym__arrow_operator] = ACTIONS(13989),
    [sym__lazy_or_operator] = ACTIONS(13989),
    [sym__lazy_and_operator] = ACTIONS(13989),
    [sym__comparison_operator] = ACTIONS(13989),
    [sym__pipe_right_operator] = ACTIONS(13989),
    [sym__pipe_left_operator] = ACTIONS(13989),
    [sym__ellipsis_operator] = ACTIONS(13989),
    [sym__plus_operator] = ACTIONS(13989),
    [sym__times_operator] = ACTIONS(13989),
    [sym__rational_operator] = ACTIONS(13989),
    [sym__bitshift_operator] = ACTIONS(13989),
    [sym__power_operator] = ACTIONS(13989),
    [sym__tilde_operator] = ACTIONS(13989),
    [sym__type_order_operator] = ACTIONS(13989),
    [sym__unary_operator] = ACTIONS(13989),
    [sym__unary_plus_operator] = ACTIONS(13989),
    [aux_sym__terminator_token1] = ACTIONS(13989),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13987),
    [sym__command_start] = ACTIONS(13987),
  },
  [7656] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_finally] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [7657] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_as] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [7658] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_finally] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [7659] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13732),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_elseif] = ACTIONS(13092),
    [anon_sym_else] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7660] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_as] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [7661] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_finally] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [7662] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_finally] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [7663] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_finally] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [7664] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_finally] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [7665] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_finally] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [7666] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13732),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_elseif] = ACTIONS(13054),
    [anon_sym_else] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7667] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_finally] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [7668] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_finally] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [7669] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_finally] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [7670] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_finally] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [7671] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_finally] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [7672] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_finally] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [7673] = {
    [sym__word_identifier] = ACTIONS(13684),
    [anon_sym_EQ] = ACTIONS(13684),
    [anon_sym_COMMA] = ACTIONS(13684),
    [anon_sym_COLON] = ACTIONS(13684),
    [anon_sym_begin] = ACTIONS(13684),
    [anon_sym_module] = ACTIONS(13684),
    [anon_sym_baremodule] = ACTIONS(13684),
    [anon_sym_end] = ACTIONS(13684),
    [anon_sym_abstract] = ACTIONS(13684),
    [anon_sym_primitive] = ACTIONS(13684),
    [anon_sym_mutable] = ACTIONS(13684),
    [anon_sym_struct] = ACTIONS(13684),
    [anon_sym_function] = ACTIONS(13684),
    [anon_sym_macro] = ACTIONS(13684),
    [anon_sym_where] = ACTIONS(13684),
    [anon_sym_quote] = ACTIONS(13684),
    [anon_sym_let] = ACTIONS(13684),
    [anon_sym_if] = ACTIONS(13684),
    [anon_sym_else] = ACTIONS(13684),
    [anon_sym_try] = ACTIONS(13684),
    [anon_sym_finally] = ACTIONS(13684),
    [anon_sym_for] = ACTIONS(13684),
    [anon_sym_while] = ACTIONS(13684),
    [sym_break_statement] = ACTIONS(13684),
    [sym_continue_statement] = ACTIONS(13684),
    [anon_sym_return] = ACTIONS(13684),
    [anon_sym_const] = ACTIONS(13684),
    [anon_sym_global] = ACTIONS(13684),
    [anon_sym_local] = ACTIONS(13684),
    [anon_sym_LPAREN] = ACTIONS(13684),
    [anon_sym_COLON2] = ACTIONS(13684),
    [anon_sym_export] = ACTIONS(13684),
    [anon_sym_import] = ACTIONS(13684),
    [anon_sym_using] = ACTIONS(13684),
    [anon_sym_LBRACK] = ACTIONS(13684),
    [anon_sym_LF] = ACTIONS(13686),
    [anon_sym_in] = ACTIONS(13684),
    [anon_sym_LBRACE] = ACTIONS(13684),
    [anon_sym_DOLLAR] = ACTIONS(13684),
    [anon_sym_COLON_COLON] = ACTIONS(13684),
    [anon_sym_isa] = ACTIONS(13684),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13684),
    [anon_sym_QMARK] = ACTIONS(13684),
    [anon_sym_AT] = ACTIONS(13684),
    [anon_sym_true] = ACTIONS(13684),
    [anon_sym_false] = ACTIONS(13684),
    [aux_sym_integer_literal_token1] = ACTIONS(13684),
    [aux_sym_integer_literal_token2] = ACTIONS(13684),
    [aux_sym_integer_literal_token3] = ACTIONS(13684),
    [aux_sym_integer_literal_token4] = ACTIONS(13684),
    [aux_sym_float_literal_token1] = ACTIONS(13684),
    [aux_sym_float_literal_token3] = ACTIONS(13684),
    [aux_sym_float_literal_token4] = ACTIONS(13684),
    [sym_character_literal] = ACTIONS(13684),
    [sym__pair_operator] = ACTIONS(13684),
    [sym__arrow_operator] = ACTIONS(13684),
    [sym__lazy_or_operator] = ACTIONS(13684),
    [sym__lazy_and_operator] = ACTIONS(13684),
    [sym__comparison_operator] = ACTIONS(13684),
    [sym__pipe_right_operator] = ACTIONS(13684),
    [sym__pipe_left_operator] = ACTIONS(13684),
    [sym__ellipsis_operator] = ACTIONS(13684),
    [sym__plus_operator] = ACTIONS(13684),
    [sym__times_operator] = ACTIONS(13684),
    [sym__rational_operator] = ACTIONS(13684),
    [sym__bitshift_operator] = ACTIONS(13684),
    [sym__power_operator] = ACTIONS(13684),
    [sym__tilde_operator] = ACTIONS(13684),
    [sym__type_order_operator] = ACTIONS(13684),
    [sym__unary_operator] = ACTIONS(13684),
    [sym__unary_plus_operator] = ACTIONS(13684),
    [aux_sym__terminator_token1] = ACTIONS(13684),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13686),
    [sym__command_start] = ACTIONS(13686),
  },
  [7674] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_as] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [7675] = {
    [aux_sym_export_statement_repeat1] = STATE(7333),
    [sym__word_identifier] = ACTIONS(13114),
    [anon_sym_EQ] = ACTIONS(13114),
    [anon_sym_COMMA] = ACTIONS(13430),
    [anon_sym_COLON] = ACTIONS(13114),
    [anon_sym_begin] = ACTIONS(13114),
    [anon_sym_module] = ACTIONS(13114),
    [anon_sym_baremodule] = ACTIONS(13114),
    [anon_sym_abstract] = ACTIONS(13114),
    [anon_sym_primitive] = ACTIONS(13114),
    [anon_sym_mutable] = ACTIONS(13114),
    [anon_sym_struct] = ACTIONS(13114),
    [anon_sym_function] = ACTIONS(13114),
    [anon_sym_macro] = ACTIONS(13114),
    [anon_sym_where] = ACTIONS(13114),
    [anon_sym_quote] = ACTIONS(13114),
    [anon_sym_let] = ACTIONS(13114),
    [anon_sym_if] = ACTIONS(13114),
    [anon_sym_try] = ACTIONS(13114),
    [anon_sym_for] = ACTIONS(13114),
    [anon_sym_while] = ACTIONS(13114),
    [sym_break_statement] = ACTIONS(13114),
    [sym_continue_statement] = ACTIONS(13114),
    [anon_sym_return] = ACTIONS(13114),
    [anon_sym_const] = ACTIONS(13114),
    [anon_sym_global] = ACTIONS(13114),
    [anon_sym_local] = ACTIONS(13114),
    [anon_sym_LPAREN] = ACTIONS(13112),
    [anon_sym_RPAREN] = ACTIONS(13112),
    [anon_sym_COLON2] = ACTIONS(13114),
    [anon_sym_export] = ACTIONS(13114),
    [anon_sym_import] = ACTIONS(13114),
    [anon_sym_using] = ACTIONS(13114),
    [anon_sym_LBRACK] = ACTIONS(13112),
    [anon_sym_RBRACK] = ACTIONS(13112),
    [anon_sym_in] = ACTIONS(13114),
    [anon_sym_SEMI] = ACTIONS(13112),
    [anon_sym_LBRACE] = ACTIONS(13112),
    [anon_sym_RBRACE] = ACTIONS(13112),
    [anon_sym_DOLLAR] = ACTIONS(13112),
    [anon_sym_COLON_COLON] = ACTIONS(13112),
    [anon_sym_isa] = ACTIONS(13114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13112),
    [anon_sym_QMARK] = ACTIONS(13112),
    [anon_sym_AT] = ACTIONS(13112),
    [anon_sym_true] = ACTIONS(13114),
    [anon_sym_false] = ACTIONS(13114),
    [aux_sym_integer_literal_token1] = ACTIONS(13112),
    [aux_sym_integer_literal_token2] = ACTIONS(13112),
    [aux_sym_integer_literal_token3] = ACTIONS(13114),
    [aux_sym_integer_literal_token4] = ACTIONS(13114),
    [aux_sym_float_literal_token1] = ACTIONS(13112),
    [aux_sym_float_literal_token3] = ACTIONS(13112),
    [aux_sym_float_literal_token4] = ACTIONS(13112),
    [sym_character_literal] = ACTIONS(13112),
    [sym__pair_operator] = ACTIONS(13112),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13112),
    [sym__lazy_and_operator] = ACTIONS(13112),
    [sym__comparison_operator] = ACTIONS(13114),
    [sym__pipe_right_operator] = ACTIONS(13112),
    [sym__pipe_left_operator] = ACTIONS(13112),
    [sym__ellipsis_operator] = ACTIONS(13114),
    [sym__plus_operator] = ACTIONS(13114),
    [sym__times_operator] = ACTIONS(13114),
    [sym__rational_operator] = ACTIONS(13112),
    [sym__bitshift_operator] = ACTIONS(13112),
    [sym__power_operator] = ACTIONS(13112),
    [sym__tilde_operator] = ACTIONS(13112),
    [sym__type_order_operator] = ACTIONS(13112),
    [sym__unary_operator] = ACTIONS(13114),
    [sym__unary_plus_operator] = ACTIONS(13114),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13112),
    [sym__command_start] = ACTIONS(13112),
  },
  [7676] = {
    [ts_builtin_sym_end] = ACTIONS(13060),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13257),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_RPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_RBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7677] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7678] = {
    [ts_builtin_sym_end] = ACTIONS(13094),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13257),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_RPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_RBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7679] = {
    [ts_builtin_sym_end] = ACTIONS(13104),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13257),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_RPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_RBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7680] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(13098),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7681] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_as] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [7682] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_as] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [7683] = {
    [ts_builtin_sym_end] = ACTIONS(13991),
    [sym__word_identifier] = ACTIONS(13993),
    [anon_sym_EQ] = ACTIONS(13993),
    [anon_sym_COMMA] = ACTIONS(13993),
    [anon_sym_COLON] = ACTIONS(13993),
    [anon_sym_begin] = ACTIONS(13993),
    [anon_sym_module] = ACTIONS(13993),
    [anon_sym_baremodule] = ACTIONS(13993),
    [anon_sym_abstract] = ACTIONS(13993),
    [anon_sym_primitive] = ACTIONS(13993),
    [anon_sym_mutable] = ACTIONS(13993),
    [anon_sym_struct] = ACTIONS(13993),
    [anon_sym_function] = ACTIONS(13993),
    [anon_sym_macro] = ACTIONS(13993),
    [anon_sym_where] = ACTIONS(13993),
    [anon_sym_quote] = ACTIONS(13993),
    [anon_sym_let] = ACTIONS(13993),
    [anon_sym_if] = ACTIONS(13993),
    [anon_sym_try] = ACTIONS(13993),
    [anon_sym_for] = ACTIONS(13993),
    [anon_sym_while] = ACTIONS(13993),
    [sym_break_statement] = ACTIONS(13993),
    [sym_continue_statement] = ACTIONS(13993),
    [anon_sym_return] = ACTIONS(13993),
    [anon_sym_const] = ACTIONS(13993),
    [anon_sym_global] = ACTIONS(13993),
    [anon_sym_local] = ACTIONS(13993),
    [anon_sym_LPAREN] = ACTIONS(13993),
    [anon_sym_RPAREN] = ACTIONS(13993),
    [anon_sym_COLON2] = ACTIONS(13993),
    [anon_sym_export] = ACTIONS(13993),
    [anon_sym_import] = ACTIONS(13993),
    [anon_sym_using] = ACTIONS(13993),
    [anon_sym_LBRACK] = ACTIONS(13993),
    [anon_sym_RBRACK] = ACTIONS(13993),
    [anon_sym_LF] = ACTIONS(13991),
    [anon_sym_in] = ACTIONS(13993),
    [anon_sym_LBRACE] = ACTIONS(13993),
    [anon_sym_DOLLAR] = ACTIONS(13993),
    [anon_sym_COLON_COLON] = ACTIONS(13993),
    [anon_sym_isa] = ACTIONS(13993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13993),
    [anon_sym_QMARK] = ACTIONS(13993),
    [anon_sym_AT] = ACTIONS(13993),
    [anon_sym_true] = ACTIONS(13993),
    [anon_sym_false] = ACTIONS(13993),
    [aux_sym_integer_literal_token1] = ACTIONS(13993),
    [aux_sym_integer_literal_token2] = ACTIONS(13993),
    [aux_sym_integer_literal_token3] = ACTIONS(13993),
    [aux_sym_integer_literal_token4] = ACTIONS(13993),
    [aux_sym_float_literal_token1] = ACTIONS(13993),
    [aux_sym_float_literal_token3] = ACTIONS(13993),
    [aux_sym_float_literal_token4] = ACTIONS(13993),
    [sym_character_literal] = ACTIONS(13993),
    [sym__pair_operator] = ACTIONS(13993),
    [sym__arrow_operator] = ACTIONS(13993),
    [sym__lazy_or_operator] = ACTIONS(13993),
    [sym__lazy_and_operator] = ACTIONS(13993),
    [sym__comparison_operator] = ACTIONS(13993),
    [sym__pipe_right_operator] = ACTIONS(13993),
    [sym__pipe_left_operator] = ACTIONS(13993),
    [sym__ellipsis_operator] = ACTIONS(13993),
    [sym__plus_operator] = ACTIONS(13993),
    [sym__times_operator] = ACTIONS(13993),
    [sym__rational_operator] = ACTIONS(13993),
    [sym__bitshift_operator] = ACTIONS(13993),
    [sym__power_operator] = ACTIONS(13993),
    [sym__tilde_operator] = ACTIONS(13993),
    [sym__type_order_operator] = ACTIONS(13993),
    [sym__unary_operator] = ACTIONS(13993),
    [sym__unary_plus_operator] = ACTIONS(13993),
    [aux_sym__terminator_token1] = ACTIONS(13993),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13991),
    [sym__command_start] = ACTIONS(13991),
  },
  [7684] = {
    [sym__word_identifier] = ACTIONS(13690),
    [anon_sym_EQ] = ACTIONS(13690),
    [anon_sym_COMMA] = ACTIONS(13690),
    [anon_sym_COLON] = ACTIONS(13690),
    [anon_sym_begin] = ACTIONS(13690),
    [anon_sym_module] = ACTIONS(13690),
    [anon_sym_baremodule] = ACTIONS(13690),
    [anon_sym_end] = ACTIONS(13690),
    [anon_sym_abstract] = ACTIONS(13690),
    [anon_sym_primitive] = ACTIONS(13690),
    [anon_sym_mutable] = ACTIONS(13690),
    [anon_sym_struct] = ACTIONS(13690),
    [anon_sym_function] = ACTIONS(13690),
    [anon_sym_macro] = ACTIONS(13690),
    [anon_sym_where] = ACTIONS(13690),
    [anon_sym_quote] = ACTIONS(13690),
    [anon_sym_let] = ACTIONS(13690),
    [anon_sym_if] = ACTIONS(13690),
    [anon_sym_else] = ACTIONS(13690),
    [anon_sym_try] = ACTIONS(13690),
    [anon_sym_finally] = ACTIONS(13690),
    [anon_sym_for] = ACTIONS(13690),
    [anon_sym_while] = ACTIONS(13690),
    [sym_break_statement] = ACTIONS(13690),
    [sym_continue_statement] = ACTIONS(13690),
    [anon_sym_return] = ACTIONS(13690),
    [anon_sym_const] = ACTIONS(13690),
    [anon_sym_global] = ACTIONS(13690),
    [anon_sym_local] = ACTIONS(13690),
    [anon_sym_LPAREN] = ACTIONS(13690),
    [anon_sym_COLON2] = ACTIONS(13690),
    [anon_sym_export] = ACTIONS(13690),
    [anon_sym_import] = ACTIONS(13690),
    [anon_sym_using] = ACTIONS(13690),
    [anon_sym_LBRACK] = ACTIONS(13690),
    [anon_sym_LF] = ACTIONS(13692),
    [anon_sym_in] = ACTIONS(13690),
    [anon_sym_LBRACE] = ACTIONS(13690),
    [anon_sym_DOLLAR] = ACTIONS(13690),
    [anon_sym_COLON_COLON] = ACTIONS(13690),
    [anon_sym_isa] = ACTIONS(13690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13690),
    [anon_sym_QMARK] = ACTIONS(13690),
    [anon_sym_AT] = ACTIONS(13690),
    [anon_sym_true] = ACTIONS(13690),
    [anon_sym_false] = ACTIONS(13690),
    [aux_sym_integer_literal_token1] = ACTIONS(13690),
    [aux_sym_integer_literal_token2] = ACTIONS(13690),
    [aux_sym_integer_literal_token3] = ACTIONS(13690),
    [aux_sym_integer_literal_token4] = ACTIONS(13690),
    [aux_sym_float_literal_token1] = ACTIONS(13690),
    [aux_sym_float_literal_token3] = ACTIONS(13690),
    [aux_sym_float_literal_token4] = ACTIONS(13690),
    [sym_character_literal] = ACTIONS(13690),
    [sym__pair_operator] = ACTIONS(13690),
    [sym__arrow_operator] = ACTIONS(13690),
    [sym__lazy_or_operator] = ACTIONS(13690),
    [sym__lazy_and_operator] = ACTIONS(13690),
    [sym__comparison_operator] = ACTIONS(13690),
    [sym__pipe_right_operator] = ACTIONS(13690),
    [sym__pipe_left_operator] = ACTIONS(13690),
    [sym__ellipsis_operator] = ACTIONS(13690),
    [sym__plus_operator] = ACTIONS(13690),
    [sym__times_operator] = ACTIONS(13690),
    [sym__rational_operator] = ACTIONS(13690),
    [sym__bitshift_operator] = ACTIONS(13690),
    [sym__power_operator] = ACTIONS(13690),
    [sym__tilde_operator] = ACTIONS(13690),
    [sym__type_order_operator] = ACTIONS(13690),
    [sym__unary_operator] = ACTIONS(13690),
    [sym__unary_plus_operator] = ACTIONS(13690),
    [aux_sym__terminator_token1] = ACTIONS(13690),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13692),
    [sym__command_start] = ACTIONS(13692),
  },
  [7685] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_as] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [7686] = {
    [sym__word_identifier] = ACTIONS(13744),
    [anon_sym_EQ] = ACTIONS(13744),
    [anon_sym_COMMA] = ACTIONS(13744),
    [anon_sym_COLON] = ACTIONS(13744),
    [anon_sym_begin] = ACTIONS(13744),
    [anon_sym_module] = ACTIONS(13744),
    [anon_sym_baremodule] = ACTIONS(13744),
    [anon_sym_end] = ACTIONS(13744),
    [anon_sym_abstract] = ACTIONS(13744),
    [anon_sym_primitive] = ACTIONS(13744),
    [anon_sym_mutable] = ACTIONS(13744),
    [anon_sym_struct] = ACTIONS(13744),
    [anon_sym_function] = ACTIONS(13744),
    [anon_sym_macro] = ACTIONS(13744),
    [anon_sym_where] = ACTIONS(13744),
    [anon_sym_quote] = ACTIONS(13744),
    [anon_sym_let] = ACTIONS(13744),
    [anon_sym_if] = ACTIONS(13744),
    [anon_sym_else] = ACTIONS(13744),
    [anon_sym_try] = ACTIONS(13744),
    [anon_sym_finally] = ACTIONS(13744),
    [anon_sym_for] = ACTIONS(13744),
    [anon_sym_while] = ACTIONS(13744),
    [sym_break_statement] = ACTIONS(13744),
    [sym_continue_statement] = ACTIONS(13744),
    [anon_sym_return] = ACTIONS(13744),
    [anon_sym_const] = ACTIONS(13744),
    [anon_sym_global] = ACTIONS(13744),
    [anon_sym_local] = ACTIONS(13744),
    [anon_sym_LPAREN] = ACTIONS(13744),
    [anon_sym_COLON2] = ACTIONS(13744),
    [anon_sym_export] = ACTIONS(13744),
    [anon_sym_import] = ACTIONS(13744),
    [anon_sym_using] = ACTIONS(13744),
    [anon_sym_LBRACK] = ACTIONS(13744),
    [anon_sym_LF] = ACTIONS(13746),
    [anon_sym_in] = ACTIONS(13744),
    [anon_sym_LBRACE] = ACTIONS(13744),
    [anon_sym_DOLLAR] = ACTIONS(13744),
    [anon_sym_COLON_COLON] = ACTIONS(13744),
    [anon_sym_isa] = ACTIONS(13744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13744),
    [anon_sym_QMARK] = ACTIONS(13744),
    [anon_sym_AT] = ACTIONS(13744),
    [anon_sym_true] = ACTIONS(13744),
    [anon_sym_false] = ACTIONS(13744),
    [aux_sym_integer_literal_token1] = ACTIONS(13744),
    [aux_sym_integer_literal_token2] = ACTIONS(13744),
    [aux_sym_integer_literal_token3] = ACTIONS(13744),
    [aux_sym_integer_literal_token4] = ACTIONS(13744),
    [aux_sym_float_literal_token1] = ACTIONS(13744),
    [aux_sym_float_literal_token3] = ACTIONS(13744),
    [aux_sym_float_literal_token4] = ACTIONS(13744),
    [sym_character_literal] = ACTIONS(13744),
    [sym__pair_operator] = ACTIONS(13744),
    [sym__arrow_operator] = ACTIONS(13744),
    [sym__lazy_or_operator] = ACTIONS(13744),
    [sym__lazy_and_operator] = ACTIONS(13744),
    [sym__comparison_operator] = ACTIONS(13744),
    [sym__pipe_right_operator] = ACTIONS(13744),
    [sym__pipe_left_operator] = ACTIONS(13744),
    [sym__ellipsis_operator] = ACTIONS(13744),
    [sym__plus_operator] = ACTIONS(13744),
    [sym__times_operator] = ACTIONS(13744),
    [sym__rational_operator] = ACTIONS(13744),
    [sym__bitshift_operator] = ACTIONS(13744),
    [sym__power_operator] = ACTIONS(13744),
    [sym__tilde_operator] = ACTIONS(13744),
    [sym__type_order_operator] = ACTIONS(13744),
    [sym__unary_operator] = ACTIONS(13744),
    [sym__unary_plus_operator] = ACTIONS(13744),
    [aux_sym__terminator_token1] = ACTIONS(13744),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13746),
    [sym__command_start] = ACTIONS(13746),
  },
  [7687] = {
    [sym__word_identifier] = ACTIONS(13824),
    [anon_sym_EQ] = ACTIONS(13824),
    [anon_sym_COMMA] = ACTIONS(13824),
    [anon_sym_COLON] = ACTIONS(13824),
    [anon_sym_begin] = ACTIONS(13824),
    [anon_sym_module] = ACTIONS(13824),
    [anon_sym_baremodule] = ACTIONS(13824),
    [anon_sym_end] = ACTIONS(13824),
    [anon_sym_abstract] = ACTIONS(13824),
    [anon_sym_primitive] = ACTIONS(13824),
    [anon_sym_mutable] = ACTIONS(13824),
    [anon_sym_struct] = ACTIONS(13824),
    [anon_sym_function] = ACTIONS(13824),
    [anon_sym_macro] = ACTIONS(13824),
    [anon_sym_where] = ACTIONS(13824),
    [anon_sym_quote] = ACTIONS(13824),
    [anon_sym_let] = ACTIONS(13824),
    [anon_sym_if] = ACTIONS(13824),
    [anon_sym_else] = ACTIONS(13824),
    [anon_sym_try] = ACTIONS(13824),
    [anon_sym_finally] = ACTIONS(13824),
    [anon_sym_for] = ACTIONS(13824),
    [anon_sym_while] = ACTIONS(13824),
    [sym_break_statement] = ACTIONS(13824),
    [sym_continue_statement] = ACTIONS(13824),
    [anon_sym_return] = ACTIONS(13824),
    [anon_sym_const] = ACTIONS(13824),
    [anon_sym_global] = ACTIONS(13824),
    [anon_sym_local] = ACTIONS(13824),
    [anon_sym_LPAREN] = ACTIONS(13824),
    [anon_sym_COLON2] = ACTIONS(13824),
    [anon_sym_export] = ACTIONS(13824),
    [anon_sym_import] = ACTIONS(13824),
    [anon_sym_using] = ACTIONS(13824),
    [anon_sym_LBRACK] = ACTIONS(13824),
    [anon_sym_LF] = ACTIONS(13826),
    [anon_sym_in] = ACTIONS(13824),
    [anon_sym_LBRACE] = ACTIONS(13824),
    [anon_sym_DOLLAR] = ACTIONS(13824),
    [anon_sym_COLON_COLON] = ACTIONS(13824),
    [anon_sym_isa] = ACTIONS(13824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13824),
    [anon_sym_QMARK] = ACTIONS(13824),
    [anon_sym_AT] = ACTIONS(13824),
    [anon_sym_true] = ACTIONS(13824),
    [anon_sym_false] = ACTIONS(13824),
    [aux_sym_integer_literal_token1] = ACTIONS(13824),
    [aux_sym_integer_literal_token2] = ACTIONS(13824),
    [aux_sym_integer_literal_token3] = ACTIONS(13824),
    [aux_sym_integer_literal_token4] = ACTIONS(13824),
    [aux_sym_float_literal_token1] = ACTIONS(13824),
    [aux_sym_float_literal_token3] = ACTIONS(13824),
    [aux_sym_float_literal_token4] = ACTIONS(13824),
    [sym_character_literal] = ACTIONS(13824),
    [sym__pair_operator] = ACTIONS(13824),
    [sym__arrow_operator] = ACTIONS(13824),
    [sym__lazy_or_operator] = ACTIONS(13824),
    [sym__lazy_and_operator] = ACTIONS(13824),
    [sym__comparison_operator] = ACTIONS(13824),
    [sym__pipe_right_operator] = ACTIONS(13824),
    [sym__pipe_left_operator] = ACTIONS(13824),
    [sym__ellipsis_operator] = ACTIONS(13824),
    [sym__plus_operator] = ACTIONS(13824),
    [sym__times_operator] = ACTIONS(13824),
    [sym__rational_operator] = ACTIONS(13824),
    [sym__bitshift_operator] = ACTIONS(13824),
    [sym__power_operator] = ACTIONS(13824),
    [sym__tilde_operator] = ACTIONS(13824),
    [sym__type_order_operator] = ACTIONS(13824),
    [sym__unary_operator] = ACTIONS(13824),
    [sym__unary_plus_operator] = ACTIONS(13824),
    [aux_sym__terminator_token1] = ACTIONS(13824),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13826),
    [sym__command_start] = ACTIONS(13826),
  },
  [7688] = {
    [aux_sym__import_list_repeat1] = STATE(7536),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12999),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_catch] = ACTIONS(12864),
    [anon_sym_finally] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7689] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_as] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [7690] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_as] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [7691] = {
    [aux_sym_open_tuple_repeat1] = STATE(7590),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(13688),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_catch] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13448),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7692] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_as] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [7693] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7694] = {
    [aux_sym_export_statement_repeat1] = STATE(7541),
    [sym__word_identifier] = ACTIONS(13114),
    [anon_sym_EQ] = ACTIONS(13114),
    [anon_sym_COMMA] = ACTIONS(13856),
    [anon_sym_COLON] = ACTIONS(13114),
    [anon_sym_begin] = ACTIONS(13114),
    [anon_sym_module] = ACTIONS(13114),
    [anon_sym_baremodule] = ACTIONS(13114),
    [anon_sym_abstract] = ACTIONS(13114),
    [anon_sym_primitive] = ACTIONS(13114),
    [anon_sym_mutable] = ACTIONS(13114),
    [anon_sym_struct] = ACTIONS(13114),
    [anon_sym_function] = ACTIONS(13114),
    [anon_sym_macro] = ACTIONS(13114),
    [anon_sym_where] = ACTIONS(13114),
    [anon_sym_quote] = ACTIONS(13114),
    [anon_sym_let] = ACTIONS(13114),
    [anon_sym_if] = ACTIONS(13114),
    [anon_sym_try] = ACTIONS(13114),
    [anon_sym_catch] = ACTIONS(13114),
    [anon_sym_finally] = ACTIONS(13114),
    [anon_sym_for] = ACTIONS(13114),
    [anon_sym_while] = ACTIONS(13114),
    [sym_break_statement] = ACTIONS(13114),
    [sym_continue_statement] = ACTIONS(13114),
    [anon_sym_return] = ACTIONS(13114),
    [anon_sym_const] = ACTIONS(13114),
    [anon_sym_global] = ACTIONS(13114),
    [anon_sym_local] = ACTIONS(13114),
    [anon_sym_LPAREN] = ACTIONS(13114),
    [anon_sym_COLON2] = ACTIONS(13114),
    [anon_sym_export] = ACTIONS(13114),
    [anon_sym_import] = ACTIONS(13114),
    [anon_sym_using] = ACTIONS(13114),
    [anon_sym_LBRACK] = ACTIONS(13114),
    [anon_sym_LF] = ACTIONS(13112),
    [anon_sym_in] = ACTIONS(13114),
    [anon_sym_LBRACE] = ACTIONS(13114),
    [anon_sym_DOLLAR] = ACTIONS(13114),
    [anon_sym_COLON_COLON] = ACTIONS(13114),
    [anon_sym_isa] = ACTIONS(13114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13114),
    [anon_sym_QMARK] = ACTIONS(13114),
    [anon_sym_AT] = ACTIONS(13114),
    [anon_sym_true] = ACTIONS(13114),
    [anon_sym_false] = ACTIONS(13114),
    [aux_sym_integer_literal_token1] = ACTIONS(13114),
    [aux_sym_integer_literal_token2] = ACTIONS(13114),
    [aux_sym_integer_literal_token3] = ACTIONS(13114),
    [aux_sym_integer_literal_token4] = ACTIONS(13114),
    [aux_sym_float_literal_token1] = ACTIONS(13114),
    [aux_sym_float_literal_token3] = ACTIONS(13114),
    [aux_sym_float_literal_token4] = ACTIONS(13114),
    [sym_character_literal] = ACTIONS(13114),
    [sym__pair_operator] = ACTIONS(13114),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13114),
    [sym__lazy_and_operator] = ACTIONS(13114),
    [sym__comparison_operator] = ACTIONS(13114),
    [sym__pipe_right_operator] = ACTIONS(13114),
    [sym__pipe_left_operator] = ACTIONS(13114),
    [sym__ellipsis_operator] = ACTIONS(13114),
    [sym__plus_operator] = ACTIONS(13114),
    [sym__times_operator] = ACTIONS(13114),
    [sym__rational_operator] = ACTIONS(13114),
    [sym__bitshift_operator] = ACTIONS(13114),
    [sym__power_operator] = ACTIONS(13114),
    [sym__tilde_operator] = ACTIONS(13114),
    [sym__type_order_operator] = ACTIONS(13114),
    [sym__unary_operator] = ACTIONS(13114),
    [sym__unary_plus_operator] = ACTIONS(13114),
    [aux_sym__terminator_token1] = ACTIONS(13114),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13112),
    [sym__command_start] = ACTIONS(13112),
  },
  [7695] = {
    [ts_builtin_sym_end] = ACTIONS(13995),
    [sym__word_identifier] = ACTIONS(13997),
    [anon_sym_EQ] = ACTIONS(13997),
    [anon_sym_COMMA] = ACTIONS(13997),
    [anon_sym_COLON] = ACTIONS(13997),
    [anon_sym_begin] = ACTIONS(13997),
    [anon_sym_module] = ACTIONS(13997),
    [anon_sym_baremodule] = ACTIONS(13997),
    [anon_sym_abstract] = ACTIONS(13997),
    [anon_sym_primitive] = ACTIONS(13997),
    [anon_sym_mutable] = ACTIONS(13997),
    [anon_sym_struct] = ACTIONS(13997),
    [anon_sym_function] = ACTIONS(13997),
    [anon_sym_macro] = ACTIONS(13997),
    [anon_sym_where] = ACTIONS(13997),
    [anon_sym_quote] = ACTIONS(13997),
    [anon_sym_let] = ACTIONS(13997),
    [anon_sym_if] = ACTIONS(13997),
    [anon_sym_try] = ACTIONS(13997),
    [anon_sym_for] = ACTIONS(13997),
    [anon_sym_while] = ACTIONS(13997),
    [sym_break_statement] = ACTIONS(13997),
    [sym_continue_statement] = ACTIONS(13997),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_const] = ACTIONS(13997),
    [anon_sym_global] = ACTIONS(13997),
    [anon_sym_local] = ACTIONS(13997),
    [anon_sym_LPAREN] = ACTIONS(13997),
    [anon_sym_RPAREN] = ACTIONS(13997),
    [anon_sym_COLON2] = ACTIONS(13997),
    [anon_sym_export] = ACTIONS(13997),
    [anon_sym_import] = ACTIONS(13997),
    [anon_sym_using] = ACTIONS(13997),
    [anon_sym_LBRACK] = ACTIONS(13997),
    [anon_sym_RBRACK] = ACTIONS(13997),
    [anon_sym_LF] = ACTIONS(13995),
    [anon_sym_in] = ACTIONS(13997),
    [anon_sym_LBRACE] = ACTIONS(13997),
    [anon_sym_DOLLAR] = ACTIONS(13997),
    [anon_sym_COLON_COLON] = ACTIONS(13997),
    [anon_sym_isa] = ACTIONS(13997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13997),
    [anon_sym_QMARK] = ACTIONS(13997),
    [anon_sym_AT] = ACTIONS(13997),
    [anon_sym_true] = ACTIONS(13997),
    [anon_sym_false] = ACTIONS(13997),
    [aux_sym_integer_literal_token1] = ACTIONS(13997),
    [aux_sym_integer_literal_token2] = ACTIONS(13997),
    [aux_sym_integer_literal_token3] = ACTIONS(13997),
    [aux_sym_integer_literal_token4] = ACTIONS(13997),
    [aux_sym_float_literal_token1] = ACTIONS(13997),
    [aux_sym_float_literal_token3] = ACTIONS(13997),
    [aux_sym_float_literal_token4] = ACTIONS(13997),
    [sym_character_literal] = ACTIONS(13997),
    [sym__pair_operator] = ACTIONS(13997),
    [sym__arrow_operator] = ACTIONS(13997),
    [sym__lazy_or_operator] = ACTIONS(13997),
    [sym__lazy_and_operator] = ACTIONS(13997),
    [sym__comparison_operator] = ACTIONS(13997),
    [sym__pipe_right_operator] = ACTIONS(13997),
    [sym__pipe_left_operator] = ACTIONS(13997),
    [sym__ellipsis_operator] = ACTIONS(13997),
    [sym__plus_operator] = ACTIONS(13997),
    [sym__times_operator] = ACTIONS(13997),
    [sym__rational_operator] = ACTIONS(13997),
    [sym__bitshift_operator] = ACTIONS(13997),
    [sym__power_operator] = ACTIONS(13997),
    [sym__tilde_operator] = ACTIONS(13997),
    [sym__type_order_operator] = ACTIONS(13997),
    [sym__unary_operator] = ACTIONS(13997),
    [sym__unary_plus_operator] = ACTIONS(13997),
    [aux_sym__terminator_token1] = ACTIONS(13997),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13995),
    [sym__command_start] = ACTIONS(13995),
  },
  [7696] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [7697] = {
    [ts_builtin_sym_end] = ACTIONS(13999),
    [sym__word_identifier] = ACTIONS(14001),
    [anon_sym_EQ] = ACTIONS(14001),
    [anon_sym_COMMA] = ACTIONS(14001),
    [anon_sym_COLON] = ACTIONS(14001),
    [anon_sym_begin] = ACTIONS(14001),
    [anon_sym_module] = ACTIONS(14001),
    [anon_sym_baremodule] = ACTIONS(14001),
    [anon_sym_abstract] = ACTIONS(14001),
    [anon_sym_primitive] = ACTIONS(14001),
    [anon_sym_mutable] = ACTIONS(14001),
    [anon_sym_struct] = ACTIONS(14001),
    [anon_sym_function] = ACTIONS(14001),
    [anon_sym_macro] = ACTIONS(14001),
    [anon_sym_where] = ACTIONS(14001),
    [anon_sym_quote] = ACTIONS(14001),
    [anon_sym_let] = ACTIONS(14001),
    [anon_sym_if] = ACTIONS(14001),
    [anon_sym_try] = ACTIONS(14001),
    [anon_sym_for] = ACTIONS(14001),
    [anon_sym_while] = ACTIONS(14001),
    [sym_break_statement] = ACTIONS(14001),
    [sym_continue_statement] = ACTIONS(14001),
    [anon_sym_return] = ACTIONS(14001),
    [anon_sym_const] = ACTIONS(14001),
    [anon_sym_global] = ACTIONS(14001),
    [anon_sym_local] = ACTIONS(14001),
    [anon_sym_LPAREN] = ACTIONS(14001),
    [anon_sym_RPAREN] = ACTIONS(14001),
    [anon_sym_COLON2] = ACTIONS(14001),
    [anon_sym_export] = ACTIONS(14001),
    [anon_sym_import] = ACTIONS(14001),
    [anon_sym_using] = ACTIONS(14001),
    [anon_sym_LBRACK] = ACTIONS(14001),
    [anon_sym_RBRACK] = ACTIONS(14001),
    [anon_sym_LF] = ACTIONS(13999),
    [anon_sym_in] = ACTIONS(14001),
    [anon_sym_LBRACE] = ACTIONS(14001),
    [anon_sym_DOLLAR] = ACTIONS(14001),
    [anon_sym_COLON_COLON] = ACTIONS(14001),
    [anon_sym_isa] = ACTIONS(14001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14001),
    [anon_sym_QMARK] = ACTIONS(14001),
    [anon_sym_AT] = ACTIONS(14001),
    [anon_sym_true] = ACTIONS(14001),
    [anon_sym_false] = ACTIONS(14001),
    [aux_sym_integer_literal_token1] = ACTIONS(14001),
    [aux_sym_integer_literal_token2] = ACTIONS(14001),
    [aux_sym_integer_literal_token3] = ACTIONS(14001),
    [aux_sym_integer_literal_token4] = ACTIONS(14001),
    [aux_sym_float_literal_token1] = ACTIONS(14001),
    [aux_sym_float_literal_token3] = ACTIONS(14001),
    [aux_sym_float_literal_token4] = ACTIONS(14001),
    [sym_character_literal] = ACTIONS(14001),
    [sym__pair_operator] = ACTIONS(14001),
    [sym__arrow_operator] = ACTIONS(14001),
    [sym__lazy_or_operator] = ACTIONS(14001),
    [sym__lazy_and_operator] = ACTIONS(14001),
    [sym__comparison_operator] = ACTIONS(14001),
    [sym__pipe_right_operator] = ACTIONS(14001),
    [sym__pipe_left_operator] = ACTIONS(14001),
    [sym__ellipsis_operator] = ACTIONS(14001),
    [sym__plus_operator] = ACTIONS(14001),
    [sym__times_operator] = ACTIONS(14001),
    [sym__rational_operator] = ACTIONS(14001),
    [sym__bitshift_operator] = ACTIONS(14001),
    [sym__power_operator] = ACTIONS(14001),
    [sym__tilde_operator] = ACTIONS(14001),
    [sym__type_order_operator] = ACTIONS(14001),
    [sym__unary_operator] = ACTIONS(14001),
    [sym__unary_plus_operator] = ACTIONS(14001),
    [aux_sym__terminator_token1] = ACTIONS(14001),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13999),
    [sym__command_start] = ACTIONS(13999),
  },
  [7698] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_as] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [7699] = {
    [aux_sym__import_list_repeat1] = STATE(8321),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(14003),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(14005),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7700] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_as] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [7701] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13957),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_elseif] = ACTIONS(13242),
    [anon_sym_else] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13588),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [7702] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7703] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(14007),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7704] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_as] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [7705] = {
    [sym__word_identifier] = ACTIONS(13828),
    [anon_sym_EQ] = ACTIONS(13828),
    [anon_sym_COMMA] = ACTIONS(13828),
    [anon_sym_COLON] = ACTIONS(13828),
    [anon_sym_begin] = ACTIONS(13828),
    [anon_sym_module] = ACTIONS(13828),
    [anon_sym_baremodule] = ACTIONS(13828),
    [anon_sym_end] = ACTIONS(13828),
    [anon_sym_abstract] = ACTIONS(13828),
    [anon_sym_primitive] = ACTIONS(13828),
    [anon_sym_mutable] = ACTIONS(13828),
    [anon_sym_struct] = ACTIONS(13828),
    [anon_sym_function] = ACTIONS(13828),
    [anon_sym_macro] = ACTIONS(13828),
    [anon_sym_where] = ACTIONS(13828),
    [anon_sym_quote] = ACTIONS(13828),
    [anon_sym_let] = ACTIONS(13828),
    [anon_sym_if] = ACTIONS(13828),
    [anon_sym_else] = ACTIONS(13828),
    [anon_sym_try] = ACTIONS(13828),
    [anon_sym_finally] = ACTIONS(13828),
    [anon_sym_for] = ACTIONS(13828),
    [anon_sym_while] = ACTIONS(13828),
    [sym_break_statement] = ACTIONS(13828),
    [sym_continue_statement] = ACTIONS(13828),
    [anon_sym_return] = ACTIONS(13828),
    [anon_sym_const] = ACTIONS(13828),
    [anon_sym_global] = ACTIONS(13828),
    [anon_sym_local] = ACTIONS(13828),
    [anon_sym_LPAREN] = ACTIONS(13828),
    [anon_sym_COLON2] = ACTIONS(13828),
    [anon_sym_export] = ACTIONS(13828),
    [anon_sym_import] = ACTIONS(13828),
    [anon_sym_using] = ACTIONS(13828),
    [anon_sym_LBRACK] = ACTIONS(13828),
    [anon_sym_LF] = ACTIONS(13830),
    [anon_sym_in] = ACTIONS(13828),
    [anon_sym_LBRACE] = ACTIONS(13828),
    [anon_sym_DOLLAR] = ACTIONS(13828),
    [anon_sym_COLON_COLON] = ACTIONS(13828),
    [anon_sym_isa] = ACTIONS(13828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13828),
    [anon_sym_QMARK] = ACTIONS(13828),
    [anon_sym_AT] = ACTIONS(13828),
    [anon_sym_true] = ACTIONS(13828),
    [anon_sym_false] = ACTIONS(13828),
    [aux_sym_integer_literal_token1] = ACTIONS(13828),
    [aux_sym_integer_literal_token2] = ACTIONS(13828),
    [aux_sym_integer_literal_token3] = ACTIONS(13828),
    [aux_sym_integer_literal_token4] = ACTIONS(13828),
    [aux_sym_float_literal_token1] = ACTIONS(13828),
    [aux_sym_float_literal_token3] = ACTIONS(13828),
    [aux_sym_float_literal_token4] = ACTIONS(13828),
    [sym_character_literal] = ACTIONS(13828),
    [sym__pair_operator] = ACTIONS(13828),
    [sym__arrow_operator] = ACTIONS(13828),
    [sym__lazy_or_operator] = ACTIONS(13828),
    [sym__lazy_and_operator] = ACTIONS(13828),
    [sym__comparison_operator] = ACTIONS(13828),
    [sym__pipe_right_operator] = ACTIONS(13828),
    [sym__pipe_left_operator] = ACTIONS(13828),
    [sym__ellipsis_operator] = ACTIONS(13828),
    [sym__plus_operator] = ACTIONS(13828),
    [sym__times_operator] = ACTIONS(13828),
    [sym__rational_operator] = ACTIONS(13828),
    [sym__bitshift_operator] = ACTIONS(13828),
    [sym__power_operator] = ACTIONS(13828),
    [sym__tilde_operator] = ACTIONS(13828),
    [sym__type_order_operator] = ACTIONS(13828),
    [sym__unary_operator] = ACTIONS(13828),
    [sym__unary_plus_operator] = ACTIONS(13828),
    [aux_sym__terminator_token1] = ACTIONS(13828),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13830),
    [sym__command_start] = ACTIONS(13830),
  },
  [7706] = {
    [ts_builtin_sym_end] = ACTIONS(14009),
    [sym__word_identifier] = ACTIONS(14011),
    [anon_sym_EQ] = ACTIONS(14011),
    [anon_sym_COMMA] = ACTIONS(14011),
    [anon_sym_COLON] = ACTIONS(14011),
    [anon_sym_begin] = ACTIONS(14011),
    [anon_sym_module] = ACTIONS(14011),
    [anon_sym_baremodule] = ACTIONS(14011),
    [anon_sym_abstract] = ACTIONS(14011),
    [anon_sym_primitive] = ACTIONS(14011),
    [anon_sym_mutable] = ACTIONS(14011),
    [anon_sym_struct] = ACTIONS(14011),
    [anon_sym_function] = ACTIONS(14011),
    [anon_sym_macro] = ACTIONS(14011),
    [anon_sym_where] = ACTIONS(14011),
    [anon_sym_quote] = ACTIONS(14011),
    [anon_sym_let] = ACTIONS(14011),
    [anon_sym_if] = ACTIONS(14011),
    [anon_sym_try] = ACTIONS(14011),
    [anon_sym_for] = ACTIONS(14011),
    [anon_sym_while] = ACTIONS(14011),
    [sym_break_statement] = ACTIONS(14011),
    [sym_continue_statement] = ACTIONS(14011),
    [anon_sym_return] = ACTIONS(14011),
    [anon_sym_const] = ACTIONS(14011),
    [anon_sym_global] = ACTIONS(14011),
    [anon_sym_local] = ACTIONS(14011),
    [anon_sym_LPAREN] = ACTIONS(14011),
    [anon_sym_RPAREN] = ACTIONS(14011),
    [anon_sym_COLON2] = ACTIONS(14011),
    [anon_sym_export] = ACTIONS(14011),
    [anon_sym_import] = ACTIONS(14011),
    [anon_sym_using] = ACTIONS(14011),
    [anon_sym_LBRACK] = ACTIONS(14011),
    [anon_sym_RBRACK] = ACTIONS(14011),
    [anon_sym_LF] = ACTIONS(14009),
    [anon_sym_in] = ACTIONS(14011),
    [anon_sym_LBRACE] = ACTIONS(14011),
    [anon_sym_DOLLAR] = ACTIONS(14011),
    [anon_sym_COLON_COLON] = ACTIONS(14011),
    [anon_sym_isa] = ACTIONS(14011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14011),
    [anon_sym_QMARK] = ACTIONS(14011),
    [anon_sym_AT] = ACTIONS(14011),
    [anon_sym_true] = ACTIONS(14011),
    [anon_sym_false] = ACTIONS(14011),
    [aux_sym_integer_literal_token1] = ACTIONS(14011),
    [aux_sym_integer_literal_token2] = ACTIONS(14011),
    [aux_sym_integer_literal_token3] = ACTIONS(14011),
    [aux_sym_integer_literal_token4] = ACTIONS(14011),
    [aux_sym_float_literal_token1] = ACTIONS(14011),
    [aux_sym_float_literal_token3] = ACTIONS(14011),
    [aux_sym_float_literal_token4] = ACTIONS(14011),
    [sym_character_literal] = ACTIONS(14011),
    [sym__pair_operator] = ACTIONS(14011),
    [sym__arrow_operator] = ACTIONS(14011),
    [sym__lazy_or_operator] = ACTIONS(14011),
    [sym__lazy_and_operator] = ACTIONS(14011),
    [sym__comparison_operator] = ACTIONS(14011),
    [sym__pipe_right_operator] = ACTIONS(14011),
    [sym__pipe_left_operator] = ACTIONS(14011),
    [sym__ellipsis_operator] = ACTIONS(14011),
    [sym__plus_operator] = ACTIONS(14011),
    [sym__times_operator] = ACTIONS(14011),
    [sym__rational_operator] = ACTIONS(14011),
    [sym__bitshift_operator] = ACTIONS(14011),
    [sym__power_operator] = ACTIONS(14011),
    [sym__tilde_operator] = ACTIONS(14011),
    [sym__type_order_operator] = ACTIONS(14011),
    [sym__unary_operator] = ACTIONS(14011),
    [sym__unary_plus_operator] = ACTIONS(14011),
    [aux_sym__terminator_token1] = ACTIONS(14011),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14009),
    [sym__command_start] = ACTIONS(14009),
  },
  [7707] = {
    [ts_builtin_sym_end] = ACTIONS(12974),
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(12976),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_RPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_RBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [7708] = {
    [ts_builtin_sym_end] = ACTIONS(13951),
    [sym__word_identifier] = ACTIONS(13949),
    [anon_sym_EQ] = ACTIONS(13949),
    [anon_sym_COMMA] = ACTIONS(13949),
    [anon_sym_COLON] = ACTIONS(13949),
    [anon_sym_begin] = ACTIONS(13949),
    [anon_sym_module] = ACTIONS(13949),
    [anon_sym_baremodule] = ACTIONS(13949),
    [anon_sym_abstract] = ACTIONS(13949),
    [anon_sym_primitive] = ACTIONS(13949),
    [anon_sym_mutable] = ACTIONS(13949),
    [anon_sym_struct] = ACTIONS(13949),
    [anon_sym_function] = ACTIONS(13949),
    [anon_sym_macro] = ACTIONS(13949),
    [anon_sym_where] = ACTIONS(13949),
    [anon_sym_quote] = ACTIONS(13949),
    [anon_sym_let] = ACTIONS(13949),
    [anon_sym_if] = ACTIONS(13949),
    [anon_sym_try] = ACTIONS(13949),
    [anon_sym_for] = ACTIONS(13949),
    [anon_sym_while] = ACTIONS(13949),
    [sym_break_statement] = ACTIONS(13949),
    [sym_continue_statement] = ACTIONS(13949),
    [anon_sym_return] = ACTIONS(13949),
    [anon_sym_const] = ACTIONS(13949),
    [anon_sym_global] = ACTIONS(13949),
    [anon_sym_local] = ACTIONS(13949),
    [anon_sym_LPAREN] = ACTIONS(13949),
    [anon_sym_RPAREN] = ACTIONS(13949),
    [anon_sym_COLON2] = ACTIONS(13949),
    [anon_sym_export] = ACTIONS(13949),
    [anon_sym_import] = ACTIONS(13949),
    [anon_sym_using] = ACTIONS(13949),
    [anon_sym_LBRACK] = ACTIONS(13949),
    [anon_sym_RBRACK] = ACTIONS(13949),
    [anon_sym_LF] = ACTIONS(13951),
    [anon_sym_in] = ACTIONS(13949),
    [anon_sym_LBRACE] = ACTIONS(13949),
    [anon_sym_DOLLAR] = ACTIONS(13949),
    [anon_sym_COLON_COLON] = ACTIONS(13949),
    [anon_sym_isa] = ACTIONS(13949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13949),
    [anon_sym_QMARK] = ACTIONS(13949),
    [anon_sym_AT] = ACTIONS(13949),
    [anon_sym_true] = ACTIONS(13949),
    [anon_sym_false] = ACTIONS(13949),
    [aux_sym_integer_literal_token1] = ACTIONS(13949),
    [aux_sym_integer_literal_token2] = ACTIONS(13949),
    [aux_sym_integer_literal_token3] = ACTIONS(13949),
    [aux_sym_integer_literal_token4] = ACTIONS(13949),
    [aux_sym_float_literal_token1] = ACTIONS(13949),
    [aux_sym_float_literal_token3] = ACTIONS(13949),
    [aux_sym_float_literal_token4] = ACTIONS(13949),
    [sym_character_literal] = ACTIONS(13949),
    [sym__pair_operator] = ACTIONS(13949),
    [sym__arrow_operator] = ACTIONS(13949),
    [sym__lazy_or_operator] = ACTIONS(13949),
    [sym__lazy_and_operator] = ACTIONS(13949),
    [sym__comparison_operator] = ACTIONS(13949),
    [sym__pipe_right_operator] = ACTIONS(13949),
    [sym__pipe_left_operator] = ACTIONS(13949),
    [sym__ellipsis_operator] = ACTIONS(13949),
    [sym__plus_operator] = ACTIONS(13949),
    [sym__times_operator] = ACTIONS(13949),
    [sym__rational_operator] = ACTIONS(13949),
    [sym__bitshift_operator] = ACTIONS(13949),
    [sym__power_operator] = ACTIONS(13949),
    [sym__tilde_operator] = ACTIONS(13949),
    [sym__type_order_operator] = ACTIONS(13949),
    [sym__unary_operator] = ACTIONS(13949),
    [sym__unary_plus_operator] = ACTIONS(13949),
    [aux_sym__terminator_token1] = ACTIONS(13949),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13951),
    [sym__command_start] = ACTIONS(13951),
  },
  [7709] = {
    [ts_builtin_sym_end] = ACTIONS(14013),
    [sym__word_identifier] = ACTIONS(14015),
    [anon_sym_EQ] = ACTIONS(14015),
    [anon_sym_COMMA] = ACTIONS(14015),
    [anon_sym_COLON] = ACTIONS(14015),
    [anon_sym_begin] = ACTIONS(14015),
    [anon_sym_module] = ACTIONS(14015),
    [anon_sym_baremodule] = ACTIONS(14015),
    [anon_sym_abstract] = ACTIONS(14015),
    [anon_sym_primitive] = ACTIONS(14015),
    [anon_sym_mutable] = ACTIONS(14015),
    [anon_sym_struct] = ACTIONS(14015),
    [anon_sym_function] = ACTIONS(14015),
    [anon_sym_macro] = ACTIONS(14015),
    [anon_sym_where] = ACTIONS(14015),
    [anon_sym_quote] = ACTIONS(14015),
    [anon_sym_let] = ACTIONS(14015),
    [anon_sym_if] = ACTIONS(14015),
    [anon_sym_try] = ACTIONS(14015),
    [anon_sym_for] = ACTIONS(14015),
    [anon_sym_while] = ACTIONS(14015),
    [sym_break_statement] = ACTIONS(14015),
    [sym_continue_statement] = ACTIONS(14015),
    [anon_sym_return] = ACTIONS(14015),
    [anon_sym_const] = ACTIONS(14015),
    [anon_sym_global] = ACTIONS(14015),
    [anon_sym_local] = ACTIONS(14015),
    [anon_sym_LPAREN] = ACTIONS(14015),
    [anon_sym_RPAREN] = ACTIONS(14015),
    [anon_sym_COLON2] = ACTIONS(14015),
    [anon_sym_export] = ACTIONS(14015),
    [anon_sym_import] = ACTIONS(14015),
    [anon_sym_using] = ACTIONS(14015),
    [anon_sym_LBRACK] = ACTIONS(14015),
    [anon_sym_RBRACK] = ACTIONS(14015),
    [anon_sym_LF] = ACTIONS(14013),
    [anon_sym_in] = ACTIONS(14015),
    [anon_sym_LBRACE] = ACTIONS(14015),
    [anon_sym_DOLLAR] = ACTIONS(14015),
    [anon_sym_COLON_COLON] = ACTIONS(14015),
    [anon_sym_isa] = ACTIONS(14015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14015),
    [anon_sym_QMARK] = ACTIONS(14015),
    [anon_sym_AT] = ACTIONS(14015),
    [anon_sym_true] = ACTIONS(14015),
    [anon_sym_false] = ACTIONS(14015),
    [aux_sym_integer_literal_token1] = ACTIONS(14015),
    [aux_sym_integer_literal_token2] = ACTIONS(14015),
    [aux_sym_integer_literal_token3] = ACTIONS(14015),
    [aux_sym_integer_literal_token4] = ACTIONS(14015),
    [aux_sym_float_literal_token1] = ACTIONS(14015),
    [aux_sym_float_literal_token3] = ACTIONS(14015),
    [aux_sym_float_literal_token4] = ACTIONS(14015),
    [sym_character_literal] = ACTIONS(14015),
    [sym__pair_operator] = ACTIONS(14015),
    [sym__arrow_operator] = ACTIONS(14015),
    [sym__lazy_or_operator] = ACTIONS(14015),
    [sym__lazy_and_operator] = ACTIONS(14015),
    [sym__comparison_operator] = ACTIONS(14015),
    [sym__pipe_right_operator] = ACTIONS(14015),
    [sym__pipe_left_operator] = ACTIONS(14015),
    [sym__ellipsis_operator] = ACTIONS(14015),
    [sym__plus_operator] = ACTIONS(14015),
    [sym__times_operator] = ACTIONS(14015),
    [sym__rational_operator] = ACTIONS(14015),
    [sym__bitshift_operator] = ACTIONS(14015),
    [sym__power_operator] = ACTIONS(14015),
    [sym__tilde_operator] = ACTIONS(14015),
    [sym__type_order_operator] = ACTIONS(14015),
    [sym__unary_operator] = ACTIONS(14015),
    [sym__unary_plus_operator] = ACTIONS(14015),
    [aux_sym__terminator_token1] = ACTIONS(14015),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14013),
    [sym__command_start] = ACTIONS(14013),
  },
  [7710] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_catch] = ACTIONS(11970),
    [anon_sym_finally] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [7711] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_catch] = ACTIONS(12088),
    [anon_sym_finally] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [7712] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_as] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [7713] = {
    [ts_builtin_sym_end] = ACTIONS(14017),
    [sym__word_identifier] = ACTIONS(14019),
    [anon_sym_EQ] = ACTIONS(14019),
    [anon_sym_COMMA] = ACTIONS(14019),
    [anon_sym_COLON] = ACTIONS(14019),
    [anon_sym_begin] = ACTIONS(14019),
    [anon_sym_module] = ACTIONS(14019),
    [anon_sym_baremodule] = ACTIONS(14019),
    [anon_sym_abstract] = ACTIONS(14019),
    [anon_sym_primitive] = ACTIONS(14019),
    [anon_sym_mutable] = ACTIONS(14019),
    [anon_sym_struct] = ACTIONS(14019),
    [anon_sym_function] = ACTIONS(14019),
    [anon_sym_macro] = ACTIONS(14019),
    [anon_sym_where] = ACTIONS(14019),
    [anon_sym_quote] = ACTIONS(14019),
    [anon_sym_let] = ACTIONS(14019),
    [anon_sym_if] = ACTIONS(14019),
    [anon_sym_try] = ACTIONS(14019),
    [anon_sym_for] = ACTIONS(14019),
    [anon_sym_while] = ACTIONS(14019),
    [sym_break_statement] = ACTIONS(14019),
    [sym_continue_statement] = ACTIONS(14019),
    [anon_sym_return] = ACTIONS(14019),
    [anon_sym_const] = ACTIONS(14019),
    [anon_sym_global] = ACTIONS(14019),
    [anon_sym_local] = ACTIONS(14019),
    [anon_sym_LPAREN] = ACTIONS(14019),
    [anon_sym_RPAREN] = ACTIONS(14019),
    [anon_sym_COLON2] = ACTIONS(14019),
    [anon_sym_export] = ACTIONS(14019),
    [anon_sym_import] = ACTIONS(14019),
    [anon_sym_using] = ACTIONS(14019),
    [anon_sym_LBRACK] = ACTIONS(14019),
    [anon_sym_RBRACK] = ACTIONS(14019),
    [anon_sym_LF] = ACTIONS(14017),
    [anon_sym_in] = ACTIONS(14019),
    [anon_sym_LBRACE] = ACTIONS(14019),
    [anon_sym_DOLLAR] = ACTIONS(14019),
    [anon_sym_COLON_COLON] = ACTIONS(14019),
    [anon_sym_isa] = ACTIONS(14019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14019),
    [anon_sym_QMARK] = ACTIONS(14019),
    [anon_sym_AT] = ACTIONS(14019),
    [anon_sym_true] = ACTIONS(14019),
    [anon_sym_false] = ACTIONS(14019),
    [aux_sym_integer_literal_token1] = ACTIONS(14019),
    [aux_sym_integer_literal_token2] = ACTIONS(14019),
    [aux_sym_integer_literal_token3] = ACTIONS(14019),
    [aux_sym_integer_literal_token4] = ACTIONS(14019),
    [aux_sym_float_literal_token1] = ACTIONS(14019),
    [aux_sym_float_literal_token3] = ACTIONS(14019),
    [aux_sym_float_literal_token4] = ACTIONS(14019),
    [sym_character_literal] = ACTIONS(14019),
    [sym__pair_operator] = ACTIONS(14019),
    [sym__arrow_operator] = ACTIONS(14019),
    [sym__lazy_or_operator] = ACTIONS(14019),
    [sym__lazy_and_operator] = ACTIONS(14019),
    [sym__comparison_operator] = ACTIONS(14019),
    [sym__pipe_right_operator] = ACTIONS(14019),
    [sym__pipe_left_operator] = ACTIONS(14019),
    [sym__ellipsis_operator] = ACTIONS(14019),
    [sym__plus_operator] = ACTIONS(14019),
    [sym__times_operator] = ACTIONS(14019),
    [sym__rational_operator] = ACTIONS(14019),
    [sym__bitshift_operator] = ACTIONS(14019),
    [sym__power_operator] = ACTIONS(14019),
    [sym__tilde_operator] = ACTIONS(14019),
    [sym__type_order_operator] = ACTIONS(14019),
    [sym__unary_operator] = ACTIONS(14019),
    [sym__unary_plus_operator] = ACTIONS(14019),
    [aux_sym__terminator_token1] = ACTIONS(14019),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14017),
    [sym__command_start] = ACTIONS(14017),
  },
  [7714] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_as] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [7715] = {
    [ts_builtin_sym_end] = ACTIONS(14021),
    [sym__word_identifier] = ACTIONS(14023),
    [anon_sym_EQ] = ACTIONS(14023),
    [anon_sym_COMMA] = ACTIONS(14023),
    [anon_sym_COLON] = ACTIONS(14023),
    [anon_sym_begin] = ACTIONS(14023),
    [anon_sym_module] = ACTIONS(14023),
    [anon_sym_baremodule] = ACTIONS(14023),
    [anon_sym_abstract] = ACTIONS(14023),
    [anon_sym_primitive] = ACTIONS(14023),
    [anon_sym_mutable] = ACTIONS(14023),
    [anon_sym_struct] = ACTIONS(14023),
    [anon_sym_function] = ACTIONS(14023),
    [anon_sym_macro] = ACTIONS(14023),
    [anon_sym_where] = ACTIONS(14023),
    [anon_sym_quote] = ACTIONS(14023),
    [anon_sym_let] = ACTIONS(14023),
    [anon_sym_if] = ACTIONS(14023),
    [anon_sym_try] = ACTIONS(14023),
    [anon_sym_for] = ACTIONS(14023),
    [anon_sym_while] = ACTIONS(14023),
    [sym_break_statement] = ACTIONS(14023),
    [sym_continue_statement] = ACTIONS(14023),
    [anon_sym_return] = ACTIONS(14023),
    [anon_sym_const] = ACTIONS(14023),
    [anon_sym_global] = ACTIONS(14023),
    [anon_sym_local] = ACTIONS(14023),
    [anon_sym_LPAREN] = ACTIONS(14023),
    [anon_sym_RPAREN] = ACTIONS(14023),
    [anon_sym_COLON2] = ACTIONS(14023),
    [anon_sym_export] = ACTIONS(14023),
    [anon_sym_import] = ACTIONS(14023),
    [anon_sym_using] = ACTIONS(14023),
    [anon_sym_LBRACK] = ACTIONS(14023),
    [anon_sym_RBRACK] = ACTIONS(14023),
    [anon_sym_LF] = ACTIONS(14021),
    [anon_sym_in] = ACTIONS(14023),
    [anon_sym_LBRACE] = ACTIONS(14023),
    [anon_sym_DOLLAR] = ACTIONS(14023),
    [anon_sym_COLON_COLON] = ACTIONS(14023),
    [anon_sym_isa] = ACTIONS(14023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14023),
    [anon_sym_QMARK] = ACTIONS(14023),
    [anon_sym_AT] = ACTIONS(14023),
    [anon_sym_true] = ACTIONS(14023),
    [anon_sym_false] = ACTIONS(14023),
    [aux_sym_integer_literal_token1] = ACTIONS(14023),
    [aux_sym_integer_literal_token2] = ACTIONS(14023),
    [aux_sym_integer_literal_token3] = ACTIONS(14023),
    [aux_sym_integer_literal_token4] = ACTIONS(14023),
    [aux_sym_float_literal_token1] = ACTIONS(14023),
    [aux_sym_float_literal_token3] = ACTIONS(14023),
    [aux_sym_float_literal_token4] = ACTIONS(14023),
    [sym_character_literal] = ACTIONS(14023),
    [sym__pair_operator] = ACTIONS(14023),
    [sym__arrow_operator] = ACTIONS(14023),
    [sym__lazy_or_operator] = ACTIONS(14023),
    [sym__lazy_and_operator] = ACTIONS(14023),
    [sym__comparison_operator] = ACTIONS(14023),
    [sym__pipe_right_operator] = ACTIONS(14023),
    [sym__pipe_left_operator] = ACTIONS(14023),
    [sym__ellipsis_operator] = ACTIONS(14023),
    [sym__plus_operator] = ACTIONS(14023),
    [sym__times_operator] = ACTIONS(14023),
    [sym__rational_operator] = ACTIONS(14023),
    [sym__bitshift_operator] = ACTIONS(14023),
    [sym__power_operator] = ACTIONS(14023),
    [sym__tilde_operator] = ACTIONS(14023),
    [sym__type_order_operator] = ACTIONS(14023),
    [sym__unary_operator] = ACTIONS(14023),
    [sym__unary_plus_operator] = ACTIONS(14023),
    [aux_sym__terminator_token1] = ACTIONS(14023),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14021),
    [sym__command_start] = ACTIONS(14021),
  },
  [7716] = {
    [sym__comprehension_clause] = STATE(19415),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16947),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14025),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14027),
    [anon_sym_LF] = ACTIONS(14029),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7717] = {
    [ts_builtin_sym_end] = ACTIONS(14035),
    [sym__word_identifier] = ACTIONS(14037),
    [anon_sym_EQ] = ACTIONS(14037),
    [anon_sym_COMMA] = ACTIONS(14037),
    [anon_sym_COLON] = ACTIONS(14037),
    [anon_sym_begin] = ACTIONS(14037),
    [anon_sym_module] = ACTIONS(14037),
    [anon_sym_baremodule] = ACTIONS(14037),
    [anon_sym_abstract] = ACTIONS(14037),
    [anon_sym_primitive] = ACTIONS(14037),
    [anon_sym_mutable] = ACTIONS(14037),
    [anon_sym_struct] = ACTIONS(14037),
    [anon_sym_function] = ACTIONS(14037),
    [anon_sym_macro] = ACTIONS(14037),
    [anon_sym_where] = ACTIONS(14037),
    [anon_sym_quote] = ACTIONS(14037),
    [anon_sym_let] = ACTIONS(14037),
    [anon_sym_if] = ACTIONS(14037),
    [anon_sym_try] = ACTIONS(14037),
    [anon_sym_for] = ACTIONS(14037),
    [anon_sym_while] = ACTIONS(14037),
    [sym_break_statement] = ACTIONS(14037),
    [sym_continue_statement] = ACTIONS(14037),
    [anon_sym_return] = ACTIONS(14037),
    [anon_sym_const] = ACTIONS(14037),
    [anon_sym_global] = ACTIONS(14037),
    [anon_sym_local] = ACTIONS(14037),
    [anon_sym_LPAREN] = ACTIONS(14037),
    [anon_sym_RPAREN] = ACTIONS(14037),
    [anon_sym_COLON2] = ACTIONS(14037),
    [anon_sym_export] = ACTIONS(14037),
    [anon_sym_import] = ACTIONS(14037),
    [anon_sym_using] = ACTIONS(14037),
    [anon_sym_LBRACK] = ACTIONS(14037),
    [anon_sym_RBRACK] = ACTIONS(14037),
    [anon_sym_LF] = ACTIONS(14035),
    [anon_sym_in] = ACTIONS(14037),
    [anon_sym_LBRACE] = ACTIONS(14037),
    [anon_sym_DOLLAR] = ACTIONS(14037),
    [anon_sym_COLON_COLON] = ACTIONS(14037),
    [anon_sym_isa] = ACTIONS(14037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14037),
    [anon_sym_QMARK] = ACTIONS(14037),
    [anon_sym_AT] = ACTIONS(14037),
    [anon_sym_true] = ACTIONS(14037),
    [anon_sym_false] = ACTIONS(14037),
    [aux_sym_integer_literal_token1] = ACTIONS(14037),
    [aux_sym_integer_literal_token2] = ACTIONS(14037),
    [aux_sym_integer_literal_token3] = ACTIONS(14037),
    [aux_sym_integer_literal_token4] = ACTIONS(14037),
    [aux_sym_float_literal_token1] = ACTIONS(14037),
    [aux_sym_float_literal_token3] = ACTIONS(14037),
    [aux_sym_float_literal_token4] = ACTIONS(14037),
    [sym_character_literal] = ACTIONS(14037),
    [sym__pair_operator] = ACTIONS(14037),
    [sym__arrow_operator] = ACTIONS(14037),
    [sym__lazy_or_operator] = ACTIONS(14037),
    [sym__lazy_and_operator] = ACTIONS(14037),
    [sym__comparison_operator] = ACTIONS(14037),
    [sym__pipe_right_operator] = ACTIONS(14037),
    [sym__pipe_left_operator] = ACTIONS(14037),
    [sym__ellipsis_operator] = ACTIONS(14037),
    [sym__plus_operator] = ACTIONS(14037),
    [sym__times_operator] = ACTIONS(14037),
    [sym__rational_operator] = ACTIONS(14037),
    [sym__bitshift_operator] = ACTIONS(14037),
    [sym__power_operator] = ACTIONS(14037),
    [sym__tilde_operator] = ACTIONS(14037),
    [sym__type_order_operator] = ACTIONS(14037),
    [sym__unary_operator] = ACTIONS(14037),
    [sym__unary_plus_operator] = ACTIONS(14037),
    [aux_sym__terminator_token1] = ACTIONS(14037),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14035),
    [sym__command_start] = ACTIONS(14035),
  },
  [7718] = {
    [aux_sym__import_list_repeat1] = STATE(8321),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(14003),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_as] = ACTIONS(14005),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(14039),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7719] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12494),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7720] = {
    [ts_builtin_sym_end] = ACTIONS(14041),
    [sym__word_identifier] = ACTIONS(14043),
    [anon_sym_EQ] = ACTIONS(14043),
    [anon_sym_COMMA] = ACTIONS(14043),
    [anon_sym_COLON] = ACTIONS(14043),
    [anon_sym_begin] = ACTIONS(14043),
    [anon_sym_module] = ACTIONS(14043),
    [anon_sym_baremodule] = ACTIONS(14043),
    [anon_sym_abstract] = ACTIONS(14043),
    [anon_sym_primitive] = ACTIONS(14043),
    [anon_sym_mutable] = ACTIONS(14043),
    [anon_sym_struct] = ACTIONS(14043),
    [anon_sym_function] = ACTIONS(14043),
    [anon_sym_macro] = ACTIONS(14043),
    [anon_sym_where] = ACTIONS(14043),
    [anon_sym_quote] = ACTIONS(14043),
    [anon_sym_let] = ACTIONS(14043),
    [anon_sym_if] = ACTIONS(14043),
    [anon_sym_try] = ACTIONS(14043),
    [anon_sym_for] = ACTIONS(14043),
    [anon_sym_while] = ACTIONS(14043),
    [sym_break_statement] = ACTIONS(14043),
    [sym_continue_statement] = ACTIONS(14043),
    [anon_sym_return] = ACTIONS(14043),
    [anon_sym_const] = ACTIONS(14043),
    [anon_sym_global] = ACTIONS(14043),
    [anon_sym_local] = ACTIONS(14043),
    [anon_sym_LPAREN] = ACTIONS(14043),
    [anon_sym_RPAREN] = ACTIONS(14043),
    [anon_sym_COLON2] = ACTIONS(14043),
    [anon_sym_export] = ACTIONS(14043),
    [anon_sym_import] = ACTIONS(14043),
    [anon_sym_using] = ACTIONS(14043),
    [anon_sym_LBRACK] = ACTIONS(14043),
    [anon_sym_RBRACK] = ACTIONS(14043),
    [anon_sym_LF] = ACTIONS(14041),
    [anon_sym_in] = ACTIONS(14043),
    [anon_sym_LBRACE] = ACTIONS(14043),
    [anon_sym_DOLLAR] = ACTIONS(14043),
    [anon_sym_COLON_COLON] = ACTIONS(14043),
    [anon_sym_isa] = ACTIONS(14043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_QMARK] = ACTIONS(14043),
    [anon_sym_AT] = ACTIONS(14043),
    [anon_sym_true] = ACTIONS(14043),
    [anon_sym_false] = ACTIONS(14043),
    [aux_sym_integer_literal_token1] = ACTIONS(14043),
    [aux_sym_integer_literal_token2] = ACTIONS(14043),
    [aux_sym_integer_literal_token3] = ACTIONS(14043),
    [aux_sym_integer_literal_token4] = ACTIONS(14043),
    [aux_sym_float_literal_token1] = ACTIONS(14043),
    [aux_sym_float_literal_token3] = ACTIONS(14043),
    [aux_sym_float_literal_token4] = ACTIONS(14043),
    [sym_character_literal] = ACTIONS(14043),
    [sym__pair_operator] = ACTIONS(14043),
    [sym__arrow_operator] = ACTIONS(14043),
    [sym__lazy_or_operator] = ACTIONS(14043),
    [sym__lazy_and_operator] = ACTIONS(14043),
    [sym__comparison_operator] = ACTIONS(14043),
    [sym__pipe_right_operator] = ACTIONS(14043),
    [sym__pipe_left_operator] = ACTIONS(14043),
    [sym__ellipsis_operator] = ACTIONS(14043),
    [sym__plus_operator] = ACTIONS(14043),
    [sym__times_operator] = ACTIONS(14043),
    [sym__rational_operator] = ACTIONS(14043),
    [sym__bitshift_operator] = ACTIONS(14043),
    [sym__power_operator] = ACTIONS(14043),
    [sym__tilde_operator] = ACTIONS(14043),
    [sym__type_order_operator] = ACTIONS(14043),
    [sym__unary_operator] = ACTIONS(14043),
    [sym__unary_plus_operator] = ACTIONS(14043),
    [aux_sym__terminator_token1] = ACTIONS(14043),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14041),
    [sym__command_start] = ACTIONS(14041),
  },
  [7721] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_end] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_finally] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_as] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [7722] = {
    [ts_builtin_sym_end] = ACTIONS(13394),
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_RPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_RBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [7723] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_catch] = ACTIONS(12062),
    [anon_sym_finally] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [7724] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_as] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [7725] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_as] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [7726] = {
    [sym__comprehension_clause] = STATE(19487),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16973),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14045),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14047),
    [anon_sym_LF] = ACTIONS(14049),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14052),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7727] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7728] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(13255),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7729] = {
    [ts_builtin_sym_end] = ACTIONS(12676),
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_RBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7730] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_as] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [7731] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_finally] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [7732] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7733] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7734] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13030),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_as] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13030),
    [anon_sym_RPAREN] = ACTIONS(13030),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13030),
    [anon_sym_RBRACK] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_SEMI] = ACTIONS(13030),
    [anon_sym_LBRACE] = ACTIONS(13030),
    [anon_sym_RBRACE] = ACTIONS(13030),
    [anon_sym_DOLLAR] = ACTIONS(13030),
    [anon_sym_COLON_COLON] = ACTIONS(13030),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13030),
    [anon_sym_QMARK] = ACTIONS(13030),
    [anon_sym_AT] = ACTIONS(13030),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13030),
    [aux_sym_integer_literal_token2] = ACTIONS(13030),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13030),
    [aux_sym_float_literal_token3] = ACTIONS(13030),
    [aux_sym_float_literal_token4] = ACTIONS(13030),
    [sym_character_literal] = ACTIONS(13030),
    [sym__pair_operator] = ACTIONS(13030),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13030),
    [sym__lazy_and_operator] = ACTIONS(13030),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13030),
    [sym__pipe_left_operator] = ACTIONS(13030),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13030),
    [sym__bitshift_operator] = ACTIONS(13030),
    [sym__power_operator] = ACTIONS(13030),
    [sym__tilde_operator] = ACTIONS(13030),
    [sym__type_order_operator] = ACTIONS(13030),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [7735] = {
    [sym__comprehension_clause] = STATE(19001),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17005),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14055),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14057),
    [anon_sym_LF] = ACTIONS(14059),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7736] = {
    [sym__word_identifier] = ACTIONS(12850),
    [anon_sym_EQ] = ACTIONS(12850),
    [anon_sym_COMMA] = ACTIONS(12850),
    [anon_sym_COLON] = ACTIONS(12850),
    [anon_sym_begin] = ACTIONS(12850),
    [anon_sym_module] = ACTIONS(12850),
    [anon_sym_baremodule] = ACTIONS(12850),
    [anon_sym_end] = ACTIONS(12850),
    [anon_sym_abstract] = ACTIONS(12850),
    [anon_sym_primitive] = ACTIONS(12850),
    [anon_sym_mutable] = ACTIONS(12850),
    [anon_sym_struct] = ACTIONS(12850),
    [anon_sym_function] = ACTIONS(12850),
    [anon_sym_macro] = ACTIONS(12850),
    [anon_sym_where] = ACTIONS(12850),
    [anon_sym_quote] = ACTIONS(12850),
    [anon_sym_let] = ACTIONS(12850),
    [anon_sym_if] = ACTIONS(12850),
    [anon_sym_try] = ACTIONS(12850),
    [anon_sym_for] = ACTIONS(12850),
    [anon_sym_while] = ACTIONS(12850),
    [sym_break_statement] = ACTIONS(12850),
    [sym_continue_statement] = ACTIONS(12850),
    [anon_sym_return] = ACTIONS(12850),
    [anon_sym_const] = ACTIONS(12850),
    [anon_sym_global] = ACTIONS(12850),
    [anon_sym_local] = ACTIONS(12850),
    [anon_sym_as] = ACTIONS(12850),
    [anon_sym_LPAREN] = ACTIONS(12850),
    [anon_sym_COLON2] = ACTIONS(12850),
    [anon_sym_export] = ACTIONS(12850),
    [anon_sym_import] = ACTIONS(12850),
    [anon_sym_using] = ACTIONS(12850),
    [anon_sym_LBRACK] = ACTIONS(12850),
    [anon_sym_LF] = ACTIONS(12852),
    [anon_sym_in] = ACTIONS(12850),
    [anon_sym_LBRACE] = ACTIONS(12850),
    [anon_sym_DOT] = ACTIONS(13947),
    [anon_sym_DOLLAR] = ACTIONS(12850),
    [anon_sym_COLON_COLON] = ACTIONS(12850),
    [anon_sym_isa] = ACTIONS(12850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12850),
    [anon_sym_QMARK] = ACTIONS(12850),
    [anon_sym_AT] = ACTIONS(12850),
    [anon_sym_true] = ACTIONS(12850),
    [anon_sym_false] = ACTIONS(12850),
    [aux_sym_integer_literal_token1] = ACTIONS(12850),
    [aux_sym_integer_literal_token2] = ACTIONS(12850),
    [aux_sym_integer_literal_token3] = ACTIONS(12850),
    [aux_sym_integer_literal_token4] = ACTIONS(12850),
    [aux_sym_float_literal_token1] = ACTIONS(12850),
    [aux_sym_float_literal_token3] = ACTIONS(12850),
    [aux_sym_float_literal_token4] = ACTIONS(12850),
    [sym_character_literal] = ACTIONS(12850),
    [sym__pair_operator] = ACTIONS(12850),
    [sym__arrow_operator] = ACTIONS(12850),
    [sym__lazy_or_operator] = ACTIONS(12850),
    [sym__lazy_and_operator] = ACTIONS(12850),
    [sym__comparison_operator] = ACTIONS(12850),
    [sym__pipe_right_operator] = ACTIONS(12850),
    [sym__pipe_left_operator] = ACTIONS(12850),
    [sym__ellipsis_operator] = ACTIONS(12850),
    [sym__plus_operator] = ACTIONS(12850),
    [sym__times_operator] = ACTIONS(12850),
    [sym__rational_operator] = ACTIONS(12850),
    [sym__bitshift_operator] = ACTIONS(12850),
    [sym__power_operator] = ACTIONS(12850),
    [sym__tilde_operator] = ACTIONS(12850),
    [sym__type_order_operator] = ACTIONS(12850),
    [sym__unary_operator] = ACTIONS(12850),
    [sym__unary_plus_operator] = ACTIONS(12850),
    [aux_sym__terminator_token1] = ACTIONS(12850),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12852),
    [sym__command_start] = ACTIONS(12852),
  },
  [7737] = {
    [sym__word_identifier] = ACTIONS(12844),
    [anon_sym_EQ] = ACTIONS(12844),
    [anon_sym_COMMA] = ACTIONS(12844),
    [anon_sym_COLON] = ACTIONS(12844),
    [anon_sym_begin] = ACTIONS(12844),
    [anon_sym_module] = ACTIONS(12844),
    [anon_sym_baremodule] = ACTIONS(12844),
    [anon_sym_end] = ACTIONS(12844),
    [anon_sym_abstract] = ACTIONS(12844),
    [anon_sym_primitive] = ACTIONS(12844),
    [anon_sym_mutable] = ACTIONS(12844),
    [anon_sym_struct] = ACTIONS(12844),
    [anon_sym_function] = ACTIONS(12844),
    [anon_sym_macro] = ACTIONS(12844),
    [anon_sym_where] = ACTIONS(12844),
    [anon_sym_quote] = ACTIONS(12844),
    [anon_sym_let] = ACTIONS(12844),
    [anon_sym_if] = ACTIONS(12844),
    [anon_sym_try] = ACTIONS(12844),
    [anon_sym_for] = ACTIONS(12844),
    [anon_sym_while] = ACTIONS(12844),
    [sym_break_statement] = ACTIONS(12844),
    [sym_continue_statement] = ACTIONS(12844),
    [anon_sym_return] = ACTIONS(12844),
    [anon_sym_const] = ACTIONS(12844),
    [anon_sym_global] = ACTIONS(12844),
    [anon_sym_local] = ACTIONS(12844),
    [anon_sym_as] = ACTIONS(12844),
    [anon_sym_LPAREN] = ACTIONS(12844),
    [anon_sym_COLON2] = ACTIONS(12844),
    [anon_sym_export] = ACTIONS(12844),
    [anon_sym_import] = ACTIONS(12844),
    [anon_sym_using] = ACTIONS(12844),
    [anon_sym_LBRACK] = ACTIONS(12844),
    [anon_sym_LF] = ACTIONS(12846),
    [anon_sym_in] = ACTIONS(12844),
    [anon_sym_LBRACE] = ACTIONS(12844),
    [anon_sym_DOT] = ACTIONS(13947),
    [anon_sym_DOLLAR] = ACTIONS(12844),
    [anon_sym_COLON_COLON] = ACTIONS(12844),
    [anon_sym_isa] = ACTIONS(12844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12844),
    [anon_sym_QMARK] = ACTIONS(12844),
    [anon_sym_AT] = ACTIONS(12844),
    [anon_sym_true] = ACTIONS(12844),
    [anon_sym_false] = ACTIONS(12844),
    [aux_sym_integer_literal_token1] = ACTIONS(12844),
    [aux_sym_integer_literal_token2] = ACTIONS(12844),
    [aux_sym_integer_literal_token3] = ACTIONS(12844),
    [aux_sym_integer_literal_token4] = ACTIONS(12844),
    [aux_sym_float_literal_token1] = ACTIONS(12844),
    [aux_sym_float_literal_token3] = ACTIONS(12844),
    [aux_sym_float_literal_token4] = ACTIONS(12844),
    [sym_character_literal] = ACTIONS(12844),
    [sym__pair_operator] = ACTIONS(12844),
    [sym__arrow_operator] = ACTIONS(12844),
    [sym__lazy_or_operator] = ACTIONS(12844),
    [sym__lazy_and_operator] = ACTIONS(12844),
    [sym__comparison_operator] = ACTIONS(12844),
    [sym__pipe_right_operator] = ACTIONS(12844),
    [sym__pipe_left_operator] = ACTIONS(12844),
    [sym__ellipsis_operator] = ACTIONS(12844),
    [sym__plus_operator] = ACTIONS(12844),
    [sym__times_operator] = ACTIONS(12844),
    [sym__rational_operator] = ACTIONS(12844),
    [sym__bitshift_operator] = ACTIONS(12844),
    [sym__power_operator] = ACTIONS(12844),
    [sym__tilde_operator] = ACTIONS(12844),
    [sym__type_order_operator] = ACTIONS(12844),
    [sym__unary_operator] = ACTIONS(12844),
    [sym__unary_plus_operator] = ACTIONS(12844),
    [aux_sym__terminator_token1] = ACTIONS(12844),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12846),
    [sym__command_start] = ACTIONS(12846),
  },
  [7738] = {
    [sym__comprehension_clause] = STATE(18534),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16672),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14065),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14067),
    [anon_sym_LF] = ACTIONS(14069),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14072),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7739] = {
    [sym__comprehension_clause] = STATE(18628),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16730),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14075),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14077),
    [anon_sym_LF] = ACTIONS(14079),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14082),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7740] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_finally] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [7741] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_as] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [7742] = {
    [sym__comprehension_clause] = STATE(19486),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16970),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14085),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14087),
    [anon_sym_LF] = ACTIONS(14089),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7743] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12536),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7744] = {
    [aux_sym_open_tuple_repeat1] = STATE(7744),
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(14095),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(12957),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_catch] = ACTIONS(12957),
    [anon_sym_finally] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(12957),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(12957),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(12957),
    [anon_sym_isa] = ACTIONS(12957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12957),
    [anon_sym_QMARK] = ACTIONS(12957),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(12957),
    [sym__arrow_operator] = ACTIONS(12957),
    [sym__lazy_or_operator] = ACTIONS(12957),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12957),
    [sym__pipe_right_operator] = ACTIONS(12957),
    [sym__pipe_left_operator] = ACTIONS(12957),
    [sym__ellipsis_operator] = ACTIONS(12957),
    [sym__plus_operator] = ACTIONS(12957),
    [sym__times_operator] = ACTIONS(12957),
    [sym__rational_operator] = ACTIONS(12957),
    [sym__bitshift_operator] = ACTIONS(12957),
    [sym__power_operator] = ACTIONS(12957),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(12957),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(12957),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [7745] = {
    [ts_builtin_sym_end] = ACTIONS(12948),
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_RPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_RBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [7746] = {
    [sym__comprehension_clause] = STATE(19546),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17047),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14098),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14100),
    [anon_sym_LF] = ACTIONS(14102),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14105),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7747] = {
    [sym__comprehension_clause] = STATE(18753),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17143),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14108),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14110),
    [anon_sym_LF] = ACTIONS(14112),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14115),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7748] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7749] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_finally] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [7750] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(12392),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_else] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7751] = {
    [ts_builtin_sym_end] = ACTIONS(13971),
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_EQ] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_RPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_RBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [7752] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7753] = {
    [ts_builtin_sym_end] = ACTIONS(14118),
    [sym__word_identifier] = ACTIONS(14120),
    [anon_sym_EQ] = ACTIONS(14120),
    [anon_sym_COMMA] = ACTIONS(14120),
    [anon_sym_COLON] = ACTIONS(14120),
    [anon_sym_begin] = ACTIONS(14120),
    [anon_sym_module] = ACTIONS(14120),
    [anon_sym_baremodule] = ACTIONS(14120),
    [anon_sym_abstract] = ACTIONS(14120),
    [anon_sym_primitive] = ACTIONS(14120),
    [anon_sym_mutable] = ACTIONS(14120),
    [anon_sym_struct] = ACTIONS(14120),
    [anon_sym_function] = ACTIONS(14120),
    [anon_sym_macro] = ACTIONS(14120),
    [anon_sym_where] = ACTIONS(14120),
    [anon_sym_quote] = ACTIONS(14120),
    [anon_sym_let] = ACTIONS(14120),
    [anon_sym_if] = ACTIONS(14120),
    [anon_sym_try] = ACTIONS(14120),
    [anon_sym_for] = ACTIONS(14120),
    [anon_sym_while] = ACTIONS(14120),
    [sym_break_statement] = ACTIONS(14120),
    [sym_continue_statement] = ACTIONS(14120),
    [anon_sym_return] = ACTIONS(14120),
    [anon_sym_const] = ACTIONS(14120),
    [anon_sym_global] = ACTIONS(14120),
    [anon_sym_local] = ACTIONS(14120),
    [anon_sym_LPAREN] = ACTIONS(14120),
    [anon_sym_RPAREN] = ACTIONS(14120),
    [anon_sym_COLON2] = ACTIONS(14120),
    [anon_sym_export] = ACTIONS(14120),
    [anon_sym_import] = ACTIONS(14120),
    [anon_sym_using] = ACTIONS(14120),
    [anon_sym_LBRACK] = ACTIONS(14120),
    [anon_sym_RBRACK] = ACTIONS(14120),
    [anon_sym_LF] = ACTIONS(14118),
    [anon_sym_in] = ACTIONS(14120),
    [anon_sym_LBRACE] = ACTIONS(14120),
    [anon_sym_DOLLAR] = ACTIONS(14120),
    [anon_sym_COLON_COLON] = ACTIONS(14120),
    [anon_sym_isa] = ACTIONS(14120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14120),
    [anon_sym_QMARK] = ACTIONS(14120),
    [anon_sym_AT] = ACTIONS(14120),
    [anon_sym_true] = ACTIONS(14120),
    [anon_sym_false] = ACTIONS(14120),
    [aux_sym_integer_literal_token1] = ACTIONS(14120),
    [aux_sym_integer_literal_token2] = ACTIONS(14120),
    [aux_sym_integer_literal_token3] = ACTIONS(14120),
    [aux_sym_integer_literal_token4] = ACTIONS(14120),
    [aux_sym_float_literal_token1] = ACTIONS(14120),
    [aux_sym_float_literal_token3] = ACTIONS(14120),
    [aux_sym_float_literal_token4] = ACTIONS(14120),
    [sym_character_literal] = ACTIONS(14120),
    [sym__pair_operator] = ACTIONS(14120),
    [sym__arrow_operator] = ACTIONS(14120),
    [sym__lazy_or_operator] = ACTIONS(14120),
    [sym__lazy_and_operator] = ACTIONS(14120),
    [sym__comparison_operator] = ACTIONS(14120),
    [sym__pipe_right_operator] = ACTIONS(14120),
    [sym__pipe_left_operator] = ACTIONS(14120),
    [sym__ellipsis_operator] = ACTIONS(14120),
    [sym__plus_operator] = ACTIONS(14120),
    [sym__times_operator] = ACTIONS(14120),
    [sym__rational_operator] = ACTIONS(14120),
    [sym__bitshift_operator] = ACTIONS(14120),
    [sym__power_operator] = ACTIONS(14120),
    [sym__tilde_operator] = ACTIONS(14120),
    [sym__type_order_operator] = ACTIONS(14120),
    [sym__unary_operator] = ACTIONS(14120),
    [sym__unary_plus_operator] = ACTIONS(14120),
    [aux_sym__terminator_token1] = ACTIONS(14120),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14118),
    [sym__command_start] = ACTIONS(14118),
  },
  [7754] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(14122),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7755] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7756] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(12392),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_else] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7757] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12468),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7758] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [7759] = {
    [aux_sym_export_statement_repeat1] = STATE(7759),
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(14124),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12974),
    [anon_sym_RPAREN] = ACTIONS(12974),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12974),
    [anon_sym_RBRACK] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_SEMI] = ACTIONS(12974),
    [anon_sym_LBRACE] = ACTIONS(12974),
    [anon_sym_RBRACE] = ACTIONS(12974),
    [anon_sym_DOLLAR] = ACTIONS(12974),
    [anon_sym_COLON_COLON] = ACTIONS(12974),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12974),
    [anon_sym_QMARK] = ACTIONS(12974),
    [anon_sym_AT] = ACTIONS(12974),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12974),
    [aux_sym_integer_literal_token2] = ACTIONS(12974),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12974),
    [aux_sym_float_literal_token3] = ACTIONS(12974),
    [aux_sym_float_literal_token4] = ACTIONS(12974),
    [sym_character_literal] = ACTIONS(12974),
    [sym__pair_operator] = ACTIONS(12974),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12974),
    [sym__lazy_and_operator] = ACTIONS(12974),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12974),
    [sym__pipe_left_operator] = ACTIONS(12974),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12974),
    [sym__bitshift_operator] = ACTIONS(12974),
    [sym__power_operator] = ACTIONS(12974),
    [sym__tilde_operator] = ACTIONS(12974),
    [sym__type_order_operator] = ACTIONS(12974),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [7760] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12676),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12676),
    [anon_sym_RPAREN] = ACTIONS(12676),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12676),
    [anon_sym_RBRACK] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12676),
    [anon_sym_LBRACE] = ACTIONS(12676),
    [anon_sym_RBRACE] = ACTIONS(12676),
    [anon_sym_DOT] = ACTIONS(14127),
    [anon_sym_DOLLAR] = ACTIONS(12676),
    [anon_sym_COLON_COLON] = ACTIONS(12676),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12676),
    [anon_sym_QMARK] = ACTIONS(12676),
    [anon_sym_AT] = ACTIONS(12676),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12676),
    [aux_sym_integer_literal_token2] = ACTIONS(12676),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12676),
    [aux_sym_float_literal_token3] = ACTIONS(12676),
    [aux_sym_float_literal_token4] = ACTIONS(12676),
    [sym_character_literal] = ACTIONS(12676),
    [sym__pair_operator] = ACTIONS(12676),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12676),
    [sym__lazy_and_operator] = ACTIONS(12676),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12676),
    [sym__pipe_left_operator] = ACTIONS(12676),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12676),
    [sym__bitshift_operator] = ACTIONS(12676),
    [sym__power_operator] = ACTIONS(12676),
    [sym__tilde_operator] = ACTIONS(12676),
    [sym__type_order_operator] = ACTIONS(12676),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7761] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12552),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12468),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7762] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_finally] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [7763] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12676),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12676),
    [anon_sym_RPAREN] = ACTIONS(12676),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12676),
    [anon_sym_RBRACK] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12676),
    [anon_sym_LBRACE] = ACTIONS(12676),
    [anon_sym_RBRACE] = ACTIONS(12676),
    [anon_sym_DOLLAR] = ACTIONS(12676),
    [anon_sym_COLON_COLON] = ACTIONS(12676),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12676),
    [anon_sym_QMARK] = ACTIONS(12676),
    [anon_sym_AT] = ACTIONS(12676),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12676),
    [aux_sym_integer_literal_token2] = ACTIONS(12676),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12676),
    [aux_sym_float_literal_token3] = ACTIONS(12676),
    [aux_sym_float_literal_token4] = ACTIONS(12676),
    [sym_character_literal] = ACTIONS(12676),
    [sym__pair_operator] = ACTIONS(12676),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12676),
    [sym__lazy_and_operator] = ACTIONS(12676),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12676),
    [sym__pipe_left_operator] = ACTIONS(12676),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12676),
    [sym__bitshift_operator] = ACTIONS(12676),
    [sym__power_operator] = ACTIONS(12676),
    [sym__tilde_operator] = ACTIONS(12676),
    [sym__type_order_operator] = ACTIONS(12676),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7764] = {
    [ts_builtin_sym_end] = ACTIONS(14129),
    [sym__word_identifier] = ACTIONS(14131),
    [anon_sym_EQ] = ACTIONS(14131),
    [anon_sym_COMMA] = ACTIONS(14131),
    [anon_sym_COLON] = ACTIONS(14131),
    [anon_sym_begin] = ACTIONS(14131),
    [anon_sym_module] = ACTIONS(14131),
    [anon_sym_baremodule] = ACTIONS(14131),
    [anon_sym_abstract] = ACTIONS(14131),
    [anon_sym_primitive] = ACTIONS(14131),
    [anon_sym_mutable] = ACTIONS(14131),
    [anon_sym_struct] = ACTIONS(14131),
    [anon_sym_function] = ACTIONS(14131),
    [anon_sym_macro] = ACTIONS(14131),
    [anon_sym_where] = ACTIONS(14131),
    [anon_sym_quote] = ACTIONS(14131),
    [anon_sym_let] = ACTIONS(14131),
    [anon_sym_if] = ACTIONS(14131),
    [anon_sym_try] = ACTIONS(14131),
    [anon_sym_for] = ACTIONS(14131),
    [anon_sym_while] = ACTIONS(14131),
    [sym_break_statement] = ACTIONS(14131),
    [sym_continue_statement] = ACTIONS(14131),
    [anon_sym_return] = ACTIONS(14131),
    [anon_sym_const] = ACTIONS(14131),
    [anon_sym_global] = ACTIONS(14131),
    [anon_sym_local] = ACTIONS(14131),
    [anon_sym_LPAREN] = ACTIONS(14131),
    [anon_sym_RPAREN] = ACTIONS(14131),
    [anon_sym_COLON2] = ACTIONS(14131),
    [anon_sym_export] = ACTIONS(14131),
    [anon_sym_import] = ACTIONS(14131),
    [anon_sym_using] = ACTIONS(14131),
    [anon_sym_LBRACK] = ACTIONS(14131),
    [anon_sym_RBRACK] = ACTIONS(14131),
    [anon_sym_LF] = ACTIONS(14129),
    [anon_sym_in] = ACTIONS(14131),
    [anon_sym_LBRACE] = ACTIONS(14131),
    [anon_sym_DOLLAR] = ACTIONS(14131),
    [anon_sym_COLON_COLON] = ACTIONS(14131),
    [anon_sym_isa] = ACTIONS(14131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14131),
    [anon_sym_QMARK] = ACTIONS(14131),
    [anon_sym_AT] = ACTIONS(14131),
    [anon_sym_true] = ACTIONS(14131),
    [anon_sym_false] = ACTIONS(14131),
    [aux_sym_integer_literal_token1] = ACTIONS(14131),
    [aux_sym_integer_literal_token2] = ACTIONS(14131),
    [aux_sym_integer_literal_token3] = ACTIONS(14131),
    [aux_sym_integer_literal_token4] = ACTIONS(14131),
    [aux_sym_float_literal_token1] = ACTIONS(14131),
    [aux_sym_float_literal_token3] = ACTIONS(14131),
    [aux_sym_float_literal_token4] = ACTIONS(14131),
    [sym_character_literal] = ACTIONS(14131),
    [sym__pair_operator] = ACTIONS(14131),
    [sym__arrow_operator] = ACTIONS(14131),
    [sym__lazy_or_operator] = ACTIONS(14131),
    [sym__lazy_and_operator] = ACTIONS(14131),
    [sym__comparison_operator] = ACTIONS(14131),
    [sym__pipe_right_operator] = ACTIONS(14131),
    [sym__pipe_left_operator] = ACTIONS(14131),
    [sym__ellipsis_operator] = ACTIONS(14131),
    [sym__plus_operator] = ACTIONS(14131),
    [sym__times_operator] = ACTIONS(14131),
    [sym__rational_operator] = ACTIONS(14131),
    [sym__bitshift_operator] = ACTIONS(14131),
    [sym__power_operator] = ACTIONS(14131),
    [sym__tilde_operator] = ACTIONS(14131),
    [sym__type_order_operator] = ACTIONS(14131),
    [sym__unary_operator] = ACTIONS(14131),
    [sym__unary_plus_operator] = ACTIONS(14131),
    [aux_sym__terminator_token1] = ACTIONS(14131),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14129),
    [sym__command_start] = ACTIONS(14129),
  },
  [7765] = {
    [sym__comprehension_clause] = STATE(19011),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16977),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14133),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14135),
    [anon_sym_LF] = ACTIONS(14137),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7766] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(12392),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_else] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7767] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12948),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_as] = ACTIONS(13016),
    [anon_sym_LPAREN] = ACTIONS(12948),
    [anon_sym_RPAREN] = ACTIONS(12948),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12948),
    [anon_sym_RBRACK] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_SEMI] = ACTIONS(12948),
    [anon_sym_LBRACE] = ACTIONS(12948),
    [anon_sym_RBRACE] = ACTIONS(12948),
    [anon_sym_DOLLAR] = ACTIONS(12948),
    [anon_sym_COLON_COLON] = ACTIONS(12948),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12948),
    [anon_sym_QMARK] = ACTIONS(12948),
    [anon_sym_AT] = ACTIONS(12948),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12948),
    [aux_sym_integer_literal_token2] = ACTIONS(12948),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12948),
    [aux_sym_float_literal_token3] = ACTIONS(12948),
    [aux_sym_float_literal_token4] = ACTIONS(12948),
    [sym_character_literal] = ACTIONS(12948),
    [sym__pair_operator] = ACTIONS(12948),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12948),
    [sym__lazy_and_operator] = ACTIONS(12948),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12948),
    [sym__pipe_left_operator] = ACTIONS(12948),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12948),
    [sym__bitshift_operator] = ACTIONS(12948),
    [sym__power_operator] = ACTIONS(12948),
    [sym__tilde_operator] = ACTIONS(12948),
    [sym__type_order_operator] = ACTIONS(12948),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [7768] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12346),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12346),
    [anon_sym_RPAREN] = ACTIONS(12346),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12346),
    [anon_sym_RBRACK] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(12346),
    [anon_sym_LBRACE] = ACTIONS(12346),
    [anon_sym_RBRACE] = ACTIONS(12346),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12346),
    [anon_sym_COLON_COLON] = ACTIONS(12346),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12346),
    [anon_sym_QMARK] = ACTIONS(12346),
    [anon_sym_AT] = ACTIONS(12346),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12346),
    [aux_sym_integer_literal_token2] = ACTIONS(12346),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12346),
    [aux_sym_float_literal_token3] = ACTIONS(12346),
    [aux_sym_float_literal_token4] = ACTIONS(12346),
    [sym_character_literal] = ACTIONS(12346),
    [sym__pair_operator] = ACTIONS(12346),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12346),
    [sym__lazy_and_operator] = ACTIONS(12346),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12346),
    [sym__pipe_left_operator] = ACTIONS(12346),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12346),
    [sym__bitshift_operator] = ACTIONS(12346),
    [sym__power_operator] = ACTIONS(12346),
    [sym__tilde_operator] = ACTIONS(12346),
    [sym__type_order_operator] = ACTIONS(12346),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [7769] = {
    [ts_builtin_sym_end] = ACTIONS(13261),
    [sym__word_identifier] = ACTIONS(13259),
    [anon_sym_EQ] = ACTIONS(13259),
    [anon_sym_COMMA] = ACTIONS(13259),
    [anon_sym_COLON] = ACTIONS(13259),
    [anon_sym_begin] = ACTIONS(13259),
    [anon_sym_module] = ACTIONS(13259),
    [anon_sym_baremodule] = ACTIONS(13259),
    [anon_sym_abstract] = ACTIONS(13259),
    [anon_sym_primitive] = ACTIONS(13259),
    [anon_sym_mutable] = ACTIONS(13259),
    [anon_sym_struct] = ACTIONS(13259),
    [anon_sym_function] = ACTIONS(13259),
    [anon_sym_macro] = ACTIONS(13259),
    [anon_sym_where] = ACTIONS(13259),
    [anon_sym_quote] = ACTIONS(13259),
    [anon_sym_let] = ACTIONS(13259),
    [anon_sym_if] = ACTIONS(13259),
    [anon_sym_try] = ACTIONS(13259),
    [anon_sym_for] = ACTIONS(13259),
    [anon_sym_while] = ACTIONS(13259),
    [sym_break_statement] = ACTIONS(13259),
    [sym_continue_statement] = ACTIONS(13259),
    [anon_sym_return] = ACTIONS(13259),
    [anon_sym_const] = ACTIONS(13259),
    [anon_sym_global] = ACTIONS(13259),
    [anon_sym_local] = ACTIONS(13259),
    [anon_sym_LPAREN] = ACTIONS(13259),
    [anon_sym_RPAREN] = ACTIONS(13259),
    [anon_sym_COLON2] = ACTIONS(13259),
    [anon_sym_export] = ACTIONS(13259),
    [anon_sym_import] = ACTIONS(13259),
    [anon_sym_using] = ACTIONS(13259),
    [anon_sym_LBRACK] = ACTIONS(13259),
    [anon_sym_RBRACK] = ACTIONS(13259),
    [anon_sym_LF] = ACTIONS(13261),
    [anon_sym_in] = ACTIONS(13259),
    [anon_sym_LBRACE] = ACTIONS(13259),
    [anon_sym_DOLLAR] = ACTIONS(13259),
    [anon_sym_COLON_COLON] = ACTIONS(13259),
    [anon_sym_isa] = ACTIONS(13259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13259),
    [anon_sym_QMARK] = ACTIONS(13259),
    [anon_sym_AT] = ACTIONS(13259),
    [anon_sym_true] = ACTIONS(13259),
    [anon_sym_false] = ACTIONS(13259),
    [aux_sym_integer_literal_token1] = ACTIONS(13259),
    [aux_sym_integer_literal_token2] = ACTIONS(13259),
    [aux_sym_integer_literal_token3] = ACTIONS(13259),
    [aux_sym_integer_literal_token4] = ACTIONS(13259),
    [aux_sym_float_literal_token1] = ACTIONS(13259),
    [aux_sym_float_literal_token3] = ACTIONS(13259),
    [aux_sym_float_literal_token4] = ACTIONS(13259),
    [sym_character_literal] = ACTIONS(13259),
    [sym__pair_operator] = ACTIONS(13259),
    [sym__arrow_operator] = ACTIONS(13259),
    [sym__lazy_or_operator] = ACTIONS(13259),
    [sym__lazy_and_operator] = ACTIONS(13259),
    [sym__comparison_operator] = ACTIONS(13259),
    [sym__pipe_right_operator] = ACTIONS(13259),
    [sym__pipe_left_operator] = ACTIONS(13259),
    [sym__ellipsis_operator] = ACTIONS(13259),
    [sym__plus_operator] = ACTIONS(13259),
    [sym__times_operator] = ACTIONS(13259),
    [sym__rational_operator] = ACTIONS(13259),
    [sym__bitshift_operator] = ACTIONS(13259),
    [sym__power_operator] = ACTIONS(13259),
    [sym__tilde_operator] = ACTIONS(13259),
    [sym__type_order_operator] = ACTIONS(13259),
    [sym__unary_operator] = ACTIONS(13259),
    [sym__unary_plus_operator] = ACTIONS(13259),
    [aux_sym__terminator_token1] = ACTIONS(13259),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13261),
    [sym__command_start] = ACTIONS(13261),
  },
  [7770] = {
    [sym__comprehension_clause] = STATE(19150),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16694),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14143),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14145),
    [anon_sym_LF] = ACTIONS(14147),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14150),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7771] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7772] = {
    [aux_sym__import_list_repeat1] = STATE(7772),
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(14153),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12948),
    [anon_sym_RPAREN] = ACTIONS(12948),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12948),
    [anon_sym_RBRACK] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_SEMI] = ACTIONS(12948),
    [anon_sym_LBRACE] = ACTIONS(12948),
    [anon_sym_RBRACE] = ACTIONS(12948),
    [anon_sym_DOLLAR] = ACTIONS(12948),
    [anon_sym_COLON_COLON] = ACTIONS(12948),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12948),
    [anon_sym_QMARK] = ACTIONS(12948),
    [anon_sym_AT] = ACTIONS(12948),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12948),
    [aux_sym_integer_literal_token2] = ACTIONS(12948),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12948),
    [aux_sym_float_literal_token3] = ACTIONS(12948),
    [aux_sym_float_literal_token4] = ACTIONS(12948),
    [sym_character_literal] = ACTIONS(12948),
    [sym__pair_operator] = ACTIONS(12948),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12948),
    [sym__lazy_and_operator] = ACTIONS(12948),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12948),
    [sym__pipe_left_operator] = ACTIONS(12948),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12948),
    [sym__bitshift_operator] = ACTIONS(12948),
    [sym__power_operator] = ACTIONS(12948),
    [sym__tilde_operator] = ACTIONS(12948),
    [sym__type_order_operator] = ACTIONS(12948),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [7773] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7774] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_catch] = ACTIONS(12706),
    [anon_sym_finally] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [7775] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_end] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_catch] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_as] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [7776] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_finally] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [7777] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(12430),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_elseif] = ACTIONS(13122),
    [anon_sym_else] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7778] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13732),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_elseif] = ACTIONS(13210),
    [anon_sym_else] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7779] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(12392),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_else] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7780] = {
    [aux_sym_open_tuple_repeat1] = STATE(6928),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(12986),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_elseif] = ACTIONS(13122),
    [anon_sym_else] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13588),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7781] = {
    [sym__comprehension_clause] = STATE(19734),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17187),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14156),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14158),
    [anon_sym_LF] = ACTIONS(14160),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14163),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7782] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11946),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7783] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13398),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_else] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7784] = {
    [ts_builtin_sym_end] = ACTIONS(14166),
    [sym__word_identifier] = ACTIONS(14168),
    [anon_sym_EQ] = ACTIONS(14168),
    [anon_sym_COMMA] = ACTIONS(14168),
    [anon_sym_COLON] = ACTIONS(14168),
    [anon_sym_begin] = ACTIONS(14168),
    [anon_sym_module] = ACTIONS(14168),
    [anon_sym_baremodule] = ACTIONS(14168),
    [anon_sym_abstract] = ACTIONS(14168),
    [anon_sym_primitive] = ACTIONS(14168),
    [anon_sym_mutable] = ACTIONS(14168),
    [anon_sym_struct] = ACTIONS(14168),
    [anon_sym_function] = ACTIONS(14168),
    [anon_sym_macro] = ACTIONS(14168),
    [anon_sym_where] = ACTIONS(14168),
    [anon_sym_quote] = ACTIONS(14168),
    [anon_sym_let] = ACTIONS(14168),
    [anon_sym_if] = ACTIONS(14168),
    [anon_sym_try] = ACTIONS(14168),
    [anon_sym_for] = ACTIONS(14168),
    [anon_sym_while] = ACTIONS(14168),
    [sym_break_statement] = ACTIONS(14168),
    [sym_continue_statement] = ACTIONS(14168),
    [anon_sym_return] = ACTIONS(14168),
    [anon_sym_const] = ACTIONS(14168),
    [anon_sym_global] = ACTIONS(14168),
    [anon_sym_local] = ACTIONS(14168),
    [anon_sym_LPAREN] = ACTIONS(14168),
    [anon_sym_RPAREN] = ACTIONS(14168),
    [anon_sym_COLON2] = ACTIONS(14168),
    [anon_sym_export] = ACTIONS(14168),
    [anon_sym_import] = ACTIONS(14168),
    [anon_sym_using] = ACTIONS(14168),
    [anon_sym_LBRACK] = ACTIONS(14168),
    [anon_sym_RBRACK] = ACTIONS(14168),
    [anon_sym_LF] = ACTIONS(14166),
    [anon_sym_in] = ACTIONS(14168),
    [anon_sym_LBRACE] = ACTIONS(14168),
    [anon_sym_DOLLAR] = ACTIONS(14168),
    [anon_sym_COLON_COLON] = ACTIONS(14168),
    [anon_sym_isa] = ACTIONS(14168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14168),
    [anon_sym_QMARK] = ACTIONS(14168),
    [anon_sym_AT] = ACTIONS(14168),
    [anon_sym_true] = ACTIONS(14168),
    [anon_sym_false] = ACTIONS(14168),
    [aux_sym_integer_literal_token1] = ACTIONS(14168),
    [aux_sym_integer_literal_token2] = ACTIONS(14168),
    [aux_sym_integer_literal_token3] = ACTIONS(14168),
    [aux_sym_integer_literal_token4] = ACTIONS(14168),
    [aux_sym_float_literal_token1] = ACTIONS(14168),
    [aux_sym_float_literal_token3] = ACTIONS(14168),
    [aux_sym_float_literal_token4] = ACTIONS(14168),
    [sym_character_literal] = ACTIONS(14168),
    [sym__pair_operator] = ACTIONS(14168),
    [sym__arrow_operator] = ACTIONS(14168),
    [sym__lazy_or_operator] = ACTIONS(14168),
    [sym__lazy_and_operator] = ACTIONS(14168),
    [sym__comparison_operator] = ACTIONS(14168),
    [sym__pipe_right_operator] = ACTIONS(14168),
    [sym__pipe_left_operator] = ACTIONS(14168),
    [sym__ellipsis_operator] = ACTIONS(14168),
    [sym__plus_operator] = ACTIONS(14168),
    [sym__times_operator] = ACTIONS(14168),
    [sym__rational_operator] = ACTIONS(14168),
    [sym__bitshift_operator] = ACTIONS(14168),
    [sym__power_operator] = ACTIONS(14168),
    [sym__tilde_operator] = ACTIONS(14168),
    [sym__type_order_operator] = ACTIONS(14168),
    [sym__unary_operator] = ACTIONS(14168),
    [sym__unary_plus_operator] = ACTIONS(14168),
    [aux_sym__terminator_token1] = ACTIONS(14168),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14166),
    [sym__command_start] = ACTIONS(14166),
  },
  [7785] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_finally] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [7786] = {
    [aux_sym_open_tuple_repeat1] = STATE(7111),
    [ts_builtin_sym_end] = ACTIONS(13104),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13124),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_RPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_RBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7787] = {
    [sym__word_identifier] = ACTIONS(14170),
    [anon_sym_EQ] = ACTIONS(14170),
    [anon_sym_COMMA] = ACTIONS(14170),
    [anon_sym_COLON] = ACTIONS(14170),
    [anon_sym_begin] = ACTIONS(14170),
    [anon_sym_module] = ACTIONS(14170),
    [anon_sym_baremodule] = ACTIONS(14170),
    [anon_sym_end] = ACTIONS(14170),
    [anon_sym_abstract] = ACTIONS(14170),
    [anon_sym_primitive] = ACTIONS(14170),
    [anon_sym_mutable] = ACTIONS(14170),
    [anon_sym_struct] = ACTIONS(14170),
    [anon_sym_function] = ACTIONS(14170),
    [anon_sym_macro] = ACTIONS(14170),
    [anon_sym_where] = ACTIONS(14170),
    [anon_sym_quote] = ACTIONS(14170),
    [anon_sym_let] = ACTIONS(14170),
    [anon_sym_if] = ACTIONS(14170),
    [anon_sym_else] = ACTIONS(14170),
    [anon_sym_try] = ACTIONS(14170),
    [anon_sym_finally] = ACTIONS(14170),
    [anon_sym_for] = ACTIONS(14170),
    [anon_sym_while] = ACTIONS(14170),
    [sym_break_statement] = ACTIONS(14170),
    [sym_continue_statement] = ACTIONS(14170),
    [anon_sym_return] = ACTIONS(14170),
    [anon_sym_const] = ACTIONS(14170),
    [anon_sym_global] = ACTIONS(14170),
    [anon_sym_local] = ACTIONS(14170),
    [anon_sym_LPAREN] = ACTIONS(14170),
    [anon_sym_COLON2] = ACTIONS(14170),
    [anon_sym_export] = ACTIONS(14170),
    [anon_sym_import] = ACTIONS(14170),
    [anon_sym_using] = ACTIONS(14170),
    [anon_sym_LBRACK] = ACTIONS(14170),
    [anon_sym_LF] = ACTIONS(14172),
    [anon_sym_in] = ACTIONS(14170),
    [anon_sym_LBRACE] = ACTIONS(14170),
    [anon_sym_DOLLAR] = ACTIONS(14170),
    [anon_sym_COLON_COLON] = ACTIONS(14170),
    [anon_sym_isa] = ACTIONS(14170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14170),
    [anon_sym_QMARK] = ACTIONS(14170),
    [anon_sym_AT] = ACTIONS(14170),
    [anon_sym_true] = ACTIONS(14170),
    [anon_sym_false] = ACTIONS(14170),
    [aux_sym_integer_literal_token1] = ACTIONS(14170),
    [aux_sym_integer_literal_token2] = ACTIONS(14170),
    [aux_sym_integer_literal_token3] = ACTIONS(14170),
    [aux_sym_integer_literal_token4] = ACTIONS(14170),
    [aux_sym_float_literal_token1] = ACTIONS(14170),
    [aux_sym_float_literal_token3] = ACTIONS(14170),
    [aux_sym_float_literal_token4] = ACTIONS(14170),
    [sym_character_literal] = ACTIONS(14170),
    [sym__pair_operator] = ACTIONS(14170),
    [sym__arrow_operator] = ACTIONS(14170),
    [sym__lazy_or_operator] = ACTIONS(14170),
    [sym__lazy_and_operator] = ACTIONS(14170),
    [sym__comparison_operator] = ACTIONS(14170),
    [sym__pipe_right_operator] = ACTIONS(14170),
    [sym__pipe_left_operator] = ACTIONS(14170),
    [sym__ellipsis_operator] = ACTIONS(14170),
    [sym__plus_operator] = ACTIONS(14170),
    [sym__times_operator] = ACTIONS(14170),
    [sym__rational_operator] = ACTIONS(14170),
    [sym__bitshift_operator] = ACTIONS(14170),
    [sym__power_operator] = ACTIONS(14170),
    [sym__tilde_operator] = ACTIONS(14170),
    [sym__type_order_operator] = ACTIONS(14170),
    [sym__unary_operator] = ACTIONS(14170),
    [sym__unary_plus_operator] = ACTIONS(14170),
    [aux_sym__terminator_token1] = ACTIONS(14170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14172),
    [sym__command_start] = ACTIONS(14172),
  },
  [7788] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_catch] = ACTIONS(11926),
    [anon_sym_finally] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7789] = {
    [ts_builtin_sym_end] = ACTIONS(13212),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_RPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_RBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7790] = {
    [ts_builtin_sym_end] = ACTIONS(13104),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(12412),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_RPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_RBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7791] = {
    [sym__comprehension_clause] = STATE(18663),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16896),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14174),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14176),
    [anon_sym_LF] = ACTIONS(14178),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14181),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7792] = {
    [ts_builtin_sym_end] = ACTIONS(13104),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_RPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_RBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7793] = {
    [sym__word_identifier] = ACTIONS(13953),
    [anon_sym_EQ] = ACTIONS(13953),
    [anon_sym_COMMA] = ACTIONS(13953),
    [anon_sym_COLON] = ACTIONS(13953),
    [anon_sym_begin] = ACTIONS(13953),
    [anon_sym_module] = ACTIONS(13953),
    [anon_sym_baremodule] = ACTIONS(13953),
    [anon_sym_end] = ACTIONS(13953),
    [anon_sym_abstract] = ACTIONS(13953),
    [anon_sym_primitive] = ACTIONS(13953),
    [anon_sym_mutable] = ACTIONS(13953),
    [anon_sym_struct] = ACTIONS(13953),
    [anon_sym_function] = ACTIONS(13953),
    [anon_sym_macro] = ACTIONS(13953),
    [anon_sym_where] = ACTIONS(13953),
    [anon_sym_quote] = ACTIONS(13953),
    [anon_sym_let] = ACTIONS(13953),
    [anon_sym_if] = ACTIONS(13953),
    [anon_sym_elseif] = ACTIONS(13953),
    [anon_sym_else] = ACTIONS(13953),
    [anon_sym_try] = ACTIONS(13953),
    [anon_sym_for] = ACTIONS(13953),
    [anon_sym_while] = ACTIONS(13953),
    [sym_break_statement] = ACTIONS(13953),
    [sym_continue_statement] = ACTIONS(13953),
    [anon_sym_return] = ACTIONS(13953),
    [anon_sym_const] = ACTIONS(13953),
    [anon_sym_global] = ACTIONS(13953),
    [anon_sym_local] = ACTIONS(13953),
    [anon_sym_LPAREN] = ACTIONS(13953),
    [anon_sym_COLON2] = ACTIONS(13953),
    [anon_sym_export] = ACTIONS(13953),
    [anon_sym_import] = ACTIONS(13953),
    [anon_sym_using] = ACTIONS(13953),
    [anon_sym_LBRACK] = ACTIONS(13953),
    [anon_sym_LF] = ACTIONS(13955),
    [anon_sym_in] = ACTIONS(13953),
    [anon_sym_LBRACE] = ACTIONS(13953),
    [anon_sym_DOLLAR] = ACTIONS(13953),
    [anon_sym_COLON_COLON] = ACTIONS(13953),
    [anon_sym_isa] = ACTIONS(13953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13953),
    [anon_sym_QMARK] = ACTIONS(13953),
    [anon_sym_AT] = ACTIONS(13953),
    [anon_sym_true] = ACTIONS(13953),
    [anon_sym_false] = ACTIONS(13953),
    [aux_sym_integer_literal_token1] = ACTIONS(13953),
    [aux_sym_integer_literal_token2] = ACTIONS(13953),
    [aux_sym_integer_literal_token3] = ACTIONS(13953),
    [aux_sym_integer_literal_token4] = ACTIONS(13953),
    [aux_sym_float_literal_token1] = ACTIONS(13953),
    [aux_sym_float_literal_token3] = ACTIONS(13953),
    [aux_sym_float_literal_token4] = ACTIONS(13953),
    [sym_character_literal] = ACTIONS(13953),
    [sym__pair_operator] = ACTIONS(13953),
    [sym__arrow_operator] = ACTIONS(13953),
    [sym__lazy_or_operator] = ACTIONS(13953),
    [sym__lazy_and_operator] = ACTIONS(13953),
    [sym__comparison_operator] = ACTIONS(13953),
    [sym__pipe_right_operator] = ACTIONS(13953),
    [sym__pipe_left_operator] = ACTIONS(13953),
    [sym__ellipsis_operator] = ACTIONS(13953),
    [sym__plus_operator] = ACTIONS(13953),
    [sym__times_operator] = ACTIONS(13953),
    [sym__rational_operator] = ACTIONS(13953),
    [sym__bitshift_operator] = ACTIONS(13953),
    [sym__power_operator] = ACTIONS(13953),
    [sym__tilde_operator] = ACTIONS(13953),
    [sym__type_order_operator] = ACTIONS(13953),
    [sym__unary_operator] = ACTIONS(13953),
    [sym__unary_plus_operator] = ACTIONS(13953),
    [aux_sym__terminator_token1] = ACTIONS(13953),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13955),
    [sym__command_start] = ACTIONS(13955),
  },
  [7794] = {
    [aux_sym_export_statement_repeat1] = STATE(8099),
    [sym__word_identifier] = ACTIONS(13114),
    [anon_sym_EQ] = ACTIONS(13114),
    [anon_sym_COMMA] = ACTIONS(14184),
    [anon_sym_COLON] = ACTIONS(13114),
    [anon_sym_begin] = ACTIONS(13114),
    [anon_sym_module] = ACTIONS(13114),
    [anon_sym_baremodule] = ACTIONS(13114),
    [anon_sym_end] = ACTIONS(13114),
    [anon_sym_abstract] = ACTIONS(13114),
    [anon_sym_primitive] = ACTIONS(13114),
    [anon_sym_mutable] = ACTIONS(13114),
    [anon_sym_struct] = ACTIONS(13114),
    [anon_sym_function] = ACTIONS(13114),
    [anon_sym_macro] = ACTIONS(13114),
    [anon_sym_where] = ACTIONS(13114),
    [anon_sym_quote] = ACTIONS(13114),
    [anon_sym_let] = ACTIONS(13114),
    [anon_sym_if] = ACTIONS(13114),
    [anon_sym_try] = ACTIONS(13114),
    [anon_sym_catch] = ACTIONS(13114),
    [anon_sym_for] = ACTIONS(13114),
    [anon_sym_while] = ACTIONS(13114),
    [sym_break_statement] = ACTIONS(13114),
    [sym_continue_statement] = ACTIONS(13114),
    [anon_sym_return] = ACTIONS(13114),
    [anon_sym_const] = ACTIONS(13114),
    [anon_sym_global] = ACTIONS(13114),
    [anon_sym_local] = ACTIONS(13114),
    [anon_sym_LPAREN] = ACTIONS(13114),
    [anon_sym_COLON2] = ACTIONS(13114),
    [anon_sym_export] = ACTIONS(13114),
    [anon_sym_import] = ACTIONS(13114),
    [anon_sym_using] = ACTIONS(13114),
    [anon_sym_LBRACK] = ACTIONS(13114),
    [anon_sym_LF] = ACTIONS(13112),
    [anon_sym_in] = ACTIONS(13114),
    [anon_sym_LBRACE] = ACTIONS(13114),
    [anon_sym_DOLLAR] = ACTIONS(13114),
    [anon_sym_COLON_COLON] = ACTIONS(13114),
    [anon_sym_isa] = ACTIONS(13114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13114),
    [anon_sym_QMARK] = ACTIONS(13114),
    [anon_sym_AT] = ACTIONS(13114),
    [anon_sym_true] = ACTIONS(13114),
    [anon_sym_false] = ACTIONS(13114),
    [aux_sym_integer_literal_token1] = ACTIONS(13114),
    [aux_sym_integer_literal_token2] = ACTIONS(13114),
    [aux_sym_integer_literal_token3] = ACTIONS(13114),
    [aux_sym_integer_literal_token4] = ACTIONS(13114),
    [aux_sym_float_literal_token1] = ACTIONS(13114),
    [aux_sym_float_literal_token3] = ACTIONS(13114),
    [aux_sym_float_literal_token4] = ACTIONS(13114),
    [sym_character_literal] = ACTIONS(13114),
    [sym__pair_operator] = ACTIONS(13114),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13114),
    [sym__lazy_and_operator] = ACTIONS(13114),
    [sym__comparison_operator] = ACTIONS(13114),
    [sym__pipe_right_operator] = ACTIONS(13114),
    [sym__pipe_left_operator] = ACTIONS(13114),
    [sym__ellipsis_operator] = ACTIONS(13114),
    [sym__plus_operator] = ACTIONS(13114),
    [sym__times_operator] = ACTIONS(13114),
    [sym__rational_operator] = ACTIONS(13114),
    [sym__bitshift_operator] = ACTIONS(13114),
    [sym__power_operator] = ACTIONS(13114),
    [sym__tilde_operator] = ACTIONS(13114),
    [sym__type_order_operator] = ACTIONS(13114),
    [sym__unary_operator] = ACTIONS(13114),
    [sym__unary_plus_operator] = ACTIONS(13114),
    [aux_sym__terminator_token1] = ACTIONS(13114),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13112),
    [sym__command_start] = ACTIONS(13112),
  },
  [7795] = {
    [sym__word_identifier] = ACTIONS(14168),
    [anon_sym_EQ] = ACTIONS(14168),
    [anon_sym_COMMA] = ACTIONS(14168),
    [anon_sym_COLON] = ACTIONS(14168),
    [anon_sym_begin] = ACTIONS(14168),
    [anon_sym_module] = ACTIONS(14168),
    [anon_sym_baremodule] = ACTIONS(14168),
    [anon_sym_end] = ACTIONS(14168),
    [anon_sym_abstract] = ACTIONS(14168),
    [anon_sym_primitive] = ACTIONS(14168),
    [anon_sym_mutable] = ACTIONS(14168),
    [anon_sym_struct] = ACTIONS(14168),
    [anon_sym_function] = ACTIONS(14168),
    [anon_sym_macro] = ACTIONS(14168),
    [anon_sym_where] = ACTIONS(14168),
    [anon_sym_quote] = ACTIONS(14168),
    [anon_sym_let] = ACTIONS(14168),
    [anon_sym_if] = ACTIONS(14168),
    [anon_sym_else] = ACTIONS(14168),
    [anon_sym_try] = ACTIONS(14168),
    [anon_sym_finally] = ACTIONS(14168),
    [anon_sym_for] = ACTIONS(14168),
    [anon_sym_while] = ACTIONS(14168),
    [sym_break_statement] = ACTIONS(14168),
    [sym_continue_statement] = ACTIONS(14168),
    [anon_sym_return] = ACTIONS(14168),
    [anon_sym_const] = ACTIONS(14168),
    [anon_sym_global] = ACTIONS(14168),
    [anon_sym_local] = ACTIONS(14168),
    [anon_sym_LPAREN] = ACTIONS(14168),
    [anon_sym_COLON2] = ACTIONS(14168),
    [anon_sym_export] = ACTIONS(14168),
    [anon_sym_import] = ACTIONS(14168),
    [anon_sym_using] = ACTIONS(14168),
    [anon_sym_LBRACK] = ACTIONS(14168),
    [anon_sym_LF] = ACTIONS(14166),
    [anon_sym_in] = ACTIONS(14168),
    [anon_sym_LBRACE] = ACTIONS(14168),
    [anon_sym_DOLLAR] = ACTIONS(14168),
    [anon_sym_COLON_COLON] = ACTIONS(14168),
    [anon_sym_isa] = ACTIONS(14168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14168),
    [anon_sym_QMARK] = ACTIONS(14168),
    [anon_sym_AT] = ACTIONS(14168),
    [anon_sym_true] = ACTIONS(14168),
    [anon_sym_false] = ACTIONS(14168),
    [aux_sym_integer_literal_token1] = ACTIONS(14168),
    [aux_sym_integer_literal_token2] = ACTIONS(14168),
    [aux_sym_integer_literal_token3] = ACTIONS(14168),
    [aux_sym_integer_literal_token4] = ACTIONS(14168),
    [aux_sym_float_literal_token1] = ACTIONS(14168),
    [aux_sym_float_literal_token3] = ACTIONS(14168),
    [aux_sym_float_literal_token4] = ACTIONS(14168),
    [sym_character_literal] = ACTIONS(14168),
    [sym__pair_operator] = ACTIONS(14168),
    [sym__arrow_operator] = ACTIONS(14168),
    [sym__lazy_or_operator] = ACTIONS(14168),
    [sym__lazy_and_operator] = ACTIONS(14168),
    [sym__comparison_operator] = ACTIONS(14168),
    [sym__pipe_right_operator] = ACTIONS(14168),
    [sym__pipe_left_operator] = ACTIONS(14168),
    [sym__ellipsis_operator] = ACTIONS(14168),
    [sym__plus_operator] = ACTIONS(14168),
    [sym__times_operator] = ACTIONS(14168),
    [sym__rational_operator] = ACTIONS(14168),
    [sym__bitshift_operator] = ACTIONS(14168),
    [sym__power_operator] = ACTIONS(14168),
    [sym__tilde_operator] = ACTIONS(14168),
    [sym__type_order_operator] = ACTIONS(14168),
    [sym__unary_operator] = ACTIONS(14168),
    [sym__unary_plus_operator] = ACTIONS(14168),
    [aux_sym__terminator_token1] = ACTIONS(14168),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14166),
    [sym__command_start] = ACTIONS(14166),
  },
  [7796] = {
    [aux_sym__import_list_repeat1] = STATE(8096),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(12991),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_catch] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7797] = {
    [aux_sym_open_tuple_repeat1] = STATE(7111),
    [ts_builtin_sym_end] = ACTIONS(13094),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13124),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_RPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_RBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7798] = {
    [ts_builtin_sym_end] = ACTIONS(13094),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(12412),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_RPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_RBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7799] = {
    [sym__comprehension_clause] = STATE(18656),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16854),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14186),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14188),
    [anon_sym_LF] = ACTIONS(14190),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14193),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7800] = {
    [ts_builtin_sym_end] = ACTIONS(14172),
    [sym__word_identifier] = ACTIONS(14170),
    [anon_sym_EQ] = ACTIONS(14170),
    [anon_sym_COMMA] = ACTIONS(14170),
    [anon_sym_COLON] = ACTIONS(14170),
    [anon_sym_begin] = ACTIONS(14170),
    [anon_sym_module] = ACTIONS(14170),
    [anon_sym_baremodule] = ACTIONS(14170),
    [anon_sym_abstract] = ACTIONS(14170),
    [anon_sym_primitive] = ACTIONS(14170),
    [anon_sym_mutable] = ACTIONS(14170),
    [anon_sym_struct] = ACTIONS(14170),
    [anon_sym_function] = ACTIONS(14170),
    [anon_sym_macro] = ACTIONS(14170),
    [anon_sym_where] = ACTIONS(14170),
    [anon_sym_quote] = ACTIONS(14170),
    [anon_sym_let] = ACTIONS(14170),
    [anon_sym_if] = ACTIONS(14170),
    [anon_sym_try] = ACTIONS(14170),
    [anon_sym_for] = ACTIONS(14170),
    [anon_sym_while] = ACTIONS(14170),
    [sym_break_statement] = ACTIONS(14170),
    [sym_continue_statement] = ACTIONS(14170),
    [anon_sym_return] = ACTIONS(14170),
    [anon_sym_const] = ACTIONS(14170),
    [anon_sym_global] = ACTIONS(14170),
    [anon_sym_local] = ACTIONS(14170),
    [anon_sym_LPAREN] = ACTIONS(14170),
    [anon_sym_RPAREN] = ACTIONS(14170),
    [anon_sym_COLON2] = ACTIONS(14170),
    [anon_sym_export] = ACTIONS(14170),
    [anon_sym_import] = ACTIONS(14170),
    [anon_sym_using] = ACTIONS(14170),
    [anon_sym_LBRACK] = ACTIONS(14170),
    [anon_sym_RBRACK] = ACTIONS(14170),
    [anon_sym_LF] = ACTIONS(14172),
    [anon_sym_in] = ACTIONS(14170),
    [anon_sym_LBRACE] = ACTIONS(14170),
    [anon_sym_DOLLAR] = ACTIONS(14170),
    [anon_sym_COLON_COLON] = ACTIONS(14170),
    [anon_sym_isa] = ACTIONS(14170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14170),
    [anon_sym_QMARK] = ACTIONS(14170),
    [anon_sym_AT] = ACTIONS(14170),
    [anon_sym_true] = ACTIONS(14170),
    [anon_sym_false] = ACTIONS(14170),
    [aux_sym_integer_literal_token1] = ACTIONS(14170),
    [aux_sym_integer_literal_token2] = ACTIONS(14170),
    [aux_sym_integer_literal_token3] = ACTIONS(14170),
    [aux_sym_integer_literal_token4] = ACTIONS(14170),
    [aux_sym_float_literal_token1] = ACTIONS(14170),
    [aux_sym_float_literal_token3] = ACTIONS(14170),
    [aux_sym_float_literal_token4] = ACTIONS(14170),
    [sym_character_literal] = ACTIONS(14170),
    [sym__pair_operator] = ACTIONS(14170),
    [sym__arrow_operator] = ACTIONS(14170),
    [sym__lazy_or_operator] = ACTIONS(14170),
    [sym__lazy_and_operator] = ACTIONS(14170),
    [sym__comparison_operator] = ACTIONS(14170),
    [sym__pipe_right_operator] = ACTIONS(14170),
    [sym__pipe_left_operator] = ACTIONS(14170),
    [sym__ellipsis_operator] = ACTIONS(14170),
    [sym__plus_operator] = ACTIONS(14170),
    [sym__times_operator] = ACTIONS(14170),
    [sym__rational_operator] = ACTIONS(14170),
    [sym__bitshift_operator] = ACTIONS(14170),
    [sym__power_operator] = ACTIONS(14170),
    [sym__tilde_operator] = ACTIONS(14170),
    [sym__type_order_operator] = ACTIONS(14170),
    [sym__unary_operator] = ACTIONS(14170),
    [sym__unary_plus_operator] = ACTIONS(14170),
    [aux_sym__terminator_token1] = ACTIONS(14170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14172),
    [sym__command_start] = ACTIONS(14172),
  },
  [7801] = {
    [ts_builtin_sym_end] = ACTIONS(13094),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_RPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_RBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7802] = {
    [sym__comprehension_clause] = STATE(18405),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17113),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14196),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14198),
    [anon_sym_LF] = ACTIONS(14200),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14203),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7803] = {
    [sym__word_identifier] = ACTIONS(14170),
    [anon_sym_EQ] = ACTIONS(14170),
    [anon_sym_COMMA] = ACTIONS(14170),
    [anon_sym_COLON] = ACTIONS(14170),
    [anon_sym_begin] = ACTIONS(14170),
    [anon_sym_module] = ACTIONS(14170),
    [anon_sym_baremodule] = ACTIONS(14170),
    [anon_sym_end] = ACTIONS(14170),
    [anon_sym_abstract] = ACTIONS(14170),
    [anon_sym_primitive] = ACTIONS(14170),
    [anon_sym_mutable] = ACTIONS(14170),
    [anon_sym_struct] = ACTIONS(14170),
    [anon_sym_function] = ACTIONS(14170),
    [anon_sym_macro] = ACTIONS(14170),
    [anon_sym_where] = ACTIONS(14170),
    [anon_sym_quote] = ACTIONS(14170),
    [anon_sym_let] = ACTIONS(14170),
    [anon_sym_if] = ACTIONS(14170),
    [anon_sym_elseif] = ACTIONS(14170),
    [anon_sym_else] = ACTIONS(14170),
    [anon_sym_try] = ACTIONS(14170),
    [anon_sym_for] = ACTIONS(14170),
    [anon_sym_while] = ACTIONS(14170),
    [sym_break_statement] = ACTIONS(14170),
    [sym_continue_statement] = ACTIONS(14170),
    [anon_sym_return] = ACTIONS(14170),
    [anon_sym_const] = ACTIONS(14170),
    [anon_sym_global] = ACTIONS(14170),
    [anon_sym_local] = ACTIONS(14170),
    [anon_sym_LPAREN] = ACTIONS(14170),
    [anon_sym_COLON2] = ACTIONS(14170),
    [anon_sym_export] = ACTIONS(14170),
    [anon_sym_import] = ACTIONS(14170),
    [anon_sym_using] = ACTIONS(14170),
    [anon_sym_LBRACK] = ACTIONS(14170),
    [anon_sym_LF] = ACTIONS(14172),
    [anon_sym_in] = ACTIONS(14170),
    [anon_sym_LBRACE] = ACTIONS(14170),
    [anon_sym_DOLLAR] = ACTIONS(14170),
    [anon_sym_COLON_COLON] = ACTIONS(14170),
    [anon_sym_isa] = ACTIONS(14170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14170),
    [anon_sym_QMARK] = ACTIONS(14170),
    [anon_sym_AT] = ACTIONS(14170),
    [anon_sym_true] = ACTIONS(14170),
    [anon_sym_false] = ACTIONS(14170),
    [aux_sym_integer_literal_token1] = ACTIONS(14170),
    [aux_sym_integer_literal_token2] = ACTIONS(14170),
    [aux_sym_integer_literal_token3] = ACTIONS(14170),
    [aux_sym_integer_literal_token4] = ACTIONS(14170),
    [aux_sym_float_literal_token1] = ACTIONS(14170),
    [aux_sym_float_literal_token3] = ACTIONS(14170),
    [aux_sym_float_literal_token4] = ACTIONS(14170),
    [sym_character_literal] = ACTIONS(14170),
    [sym__pair_operator] = ACTIONS(14170),
    [sym__arrow_operator] = ACTIONS(14170),
    [sym__lazy_or_operator] = ACTIONS(14170),
    [sym__lazy_and_operator] = ACTIONS(14170),
    [sym__comparison_operator] = ACTIONS(14170),
    [sym__pipe_right_operator] = ACTIONS(14170),
    [sym__pipe_left_operator] = ACTIONS(14170),
    [sym__ellipsis_operator] = ACTIONS(14170),
    [sym__plus_operator] = ACTIONS(14170),
    [sym__times_operator] = ACTIONS(14170),
    [sym__rational_operator] = ACTIONS(14170),
    [sym__bitshift_operator] = ACTIONS(14170),
    [sym__power_operator] = ACTIONS(14170),
    [sym__tilde_operator] = ACTIONS(14170),
    [sym__type_order_operator] = ACTIONS(14170),
    [sym__unary_operator] = ACTIONS(14170),
    [sym__unary_plus_operator] = ACTIONS(14170),
    [aux_sym__terminator_token1] = ACTIONS(14170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14172),
    [sym__command_start] = ACTIONS(14172),
  },
  [7804] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_finally] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [7805] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(14206),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7806] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_end] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_else] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_finally] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [7807] = {
    [sym__comprehension_clause] = STATE(18866),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17249),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14208),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14210),
    [anon_sym_LF] = ACTIONS(14212),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14215),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7808] = {
    [aux_sym_open_tuple_repeat1] = STATE(7111),
    [ts_builtin_sym_end] = ACTIONS(13060),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13124),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_RPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_RBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7809] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_else] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_finally] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [7810] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12060),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12060),
    [anon_sym_RPAREN] = ACTIONS(12060),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12060),
    [anon_sym_RBRACK] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12060),
    [anon_sym_LBRACE] = ACTIONS(12060),
    [anon_sym_RBRACE] = ACTIONS(12060),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12060),
    [anon_sym_COLON_COLON] = ACTIONS(12060),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12060),
    [anon_sym_QMARK] = ACTIONS(12060),
    [anon_sym_AT] = ACTIONS(12060),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12060),
    [aux_sym_integer_literal_token2] = ACTIONS(12060),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12060),
    [aux_sym_float_literal_token3] = ACTIONS(12060),
    [aux_sym_float_literal_token4] = ACTIONS(12060),
    [sym_character_literal] = ACTIONS(12060),
    [sym__pair_operator] = ACTIONS(12060),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12060),
    [sym__lazy_and_operator] = ACTIONS(12060),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12060),
    [sym__pipe_left_operator] = ACTIONS(12060),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12060),
    [sym__bitshift_operator] = ACTIONS(12060),
    [sym__power_operator] = ACTIONS(12060),
    [sym__tilde_operator] = ACTIONS(12060),
    [sym__type_order_operator] = ACTIONS(12060),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [7811] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11870),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7812] = {
    [sym__word_identifier] = ACTIONS(14168),
    [anon_sym_EQ] = ACTIONS(14168),
    [anon_sym_COMMA] = ACTIONS(14168),
    [anon_sym_COLON] = ACTIONS(14168),
    [anon_sym_begin] = ACTIONS(14168),
    [anon_sym_module] = ACTIONS(14168),
    [anon_sym_baremodule] = ACTIONS(14168),
    [anon_sym_end] = ACTIONS(14168),
    [anon_sym_abstract] = ACTIONS(14168),
    [anon_sym_primitive] = ACTIONS(14168),
    [anon_sym_mutable] = ACTIONS(14168),
    [anon_sym_struct] = ACTIONS(14168),
    [anon_sym_function] = ACTIONS(14168),
    [anon_sym_macro] = ACTIONS(14168),
    [anon_sym_where] = ACTIONS(14168),
    [anon_sym_quote] = ACTIONS(14168),
    [anon_sym_let] = ACTIONS(14168),
    [anon_sym_if] = ACTIONS(14168),
    [anon_sym_elseif] = ACTIONS(14168),
    [anon_sym_else] = ACTIONS(14168),
    [anon_sym_try] = ACTIONS(14168),
    [anon_sym_for] = ACTIONS(14168),
    [anon_sym_while] = ACTIONS(14168),
    [sym_break_statement] = ACTIONS(14168),
    [sym_continue_statement] = ACTIONS(14168),
    [anon_sym_return] = ACTIONS(14168),
    [anon_sym_const] = ACTIONS(14168),
    [anon_sym_global] = ACTIONS(14168),
    [anon_sym_local] = ACTIONS(14168),
    [anon_sym_LPAREN] = ACTIONS(14168),
    [anon_sym_COLON2] = ACTIONS(14168),
    [anon_sym_export] = ACTIONS(14168),
    [anon_sym_import] = ACTIONS(14168),
    [anon_sym_using] = ACTIONS(14168),
    [anon_sym_LBRACK] = ACTIONS(14168),
    [anon_sym_LF] = ACTIONS(14166),
    [anon_sym_in] = ACTIONS(14168),
    [anon_sym_LBRACE] = ACTIONS(14168),
    [anon_sym_DOLLAR] = ACTIONS(14168),
    [anon_sym_COLON_COLON] = ACTIONS(14168),
    [anon_sym_isa] = ACTIONS(14168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14168),
    [anon_sym_QMARK] = ACTIONS(14168),
    [anon_sym_AT] = ACTIONS(14168),
    [anon_sym_true] = ACTIONS(14168),
    [anon_sym_false] = ACTIONS(14168),
    [aux_sym_integer_literal_token1] = ACTIONS(14168),
    [aux_sym_integer_literal_token2] = ACTIONS(14168),
    [aux_sym_integer_literal_token3] = ACTIONS(14168),
    [aux_sym_integer_literal_token4] = ACTIONS(14168),
    [aux_sym_float_literal_token1] = ACTIONS(14168),
    [aux_sym_float_literal_token3] = ACTIONS(14168),
    [aux_sym_float_literal_token4] = ACTIONS(14168),
    [sym_character_literal] = ACTIONS(14168),
    [sym__pair_operator] = ACTIONS(14168),
    [sym__arrow_operator] = ACTIONS(14168),
    [sym__lazy_or_operator] = ACTIONS(14168),
    [sym__lazy_and_operator] = ACTIONS(14168),
    [sym__comparison_operator] = ACTIONS(14168),
    [sym__pipe_right_operator] = ACTIONS(14168),
    [sym__pipe_left_operator] = ACTIONS(14168),
    [sym__ellipsis_operator] = ACTIONS(14168),
    [sym__plus_operator] = ACTIONS(14168),
    [sym__times_operator] = ACTIONS(14168),
    [sym__rational_operator] = ACTIONS(14168),
    [sym__bitshift_operator] = ACTIONS(14168),
    [sym__power_operator] = ACTIONS(14168),
    [sym__tilde_operator] = ACTIONS(14168),
    [sym__type_order_operator] = ACTIONS(14168),
    [sym__unary_operator] = ACTIONS(14168),
    [sym__unary_plus_operator] = ACTIONS(14168),
    [aux_sym__terminator_token1] = ACTIONS(14168),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14166),
    [sym__command_start] = ACTIONS(14166),
  },
  [7813] = {
    [sym__comprehension_clause] = STATE(18821),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17291),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14218),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14220),
    [anon_sym_LF] = ACTIONS(14222),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14225),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7814] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_as] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [7815] = {
    [sym__comprehension_clause] = STATE(18748),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17125),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14228),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14230),
    [anon_sym_LF] = ACTIONS(14232),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14235),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7816] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12090),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12090),
    [anon_sym_RPAREN] = ACTIONS(12090),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12090),
    [anon_sym_RBRACK] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12090),
    [anon_sym_LBRACE] = ACTIONS(12090),
    [anon_sym_RBRACE] = ACTIONS(12090),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12090),
    [anon_sym_COLON_COLON] = ACTIONS(12090),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12090),
    [anon_sym_QMARK] = ACTIONS(12090),
    [anon_sym_AT] = ACTIONS(12090),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12090),
    [aux_sym_integer_literal_token2] = ACTIONS(12090),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12090),
    [aux_sym_float_literal_token3] = ACTIONS(12090),
    [aux_sym_float_literal_token4] = ACTIONS(12090),
    [sym_character_literal] = ACTIONS(12090),
    [sym__pair_operator] = ACTIONS(12090),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12090),
    [sym__lazy_and_operator] = ACTIONS(12090),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12090),
    [sym__pipe_left_operator] = ACTIONS(12090),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12090),
    [sym__bitshift_operator] = ACTIONS(12090),
    [sym__power_operator] = ACTIONS(12090),
    [sym__tilde_operator] = ACTIONS(12090),
    [sym__type_order_operator] = ACTIONS(12090),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [7817] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_catch] = ACTIONS(11868),
    [anon_sym_finally] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [7818] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11972),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11972),
    [anon_sym_RPAREN] = ACTIONS(11972),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11972),
    [anon_sym_RBRACK] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11972),
    [anon_sym_RBRACE] = ACTIONS(11972),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11972),
    [anon_sym_COLON_COLON] = ACTIONS(11972),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11972),
    [anon_sym_QMARK] = ACTIONS(11972),
    [anon_sym_AT] = ACTIONS(11972),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11972),
    [aux_sym_integer_literal_token2] = ACTIONS(11972),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11972),
    [aux_sym_float_literal_token3] = ACTIONS(11972),
    [aux_sym_float_literal_token4] = ACTIONS(11972),
    [sym_character_literal] = ACTIONS(11972),
    [sym__pair_operator] = ACTIONS(11972),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11972),
    [sym__lazy_and_operator] = ACTIONS(11972),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11972),
    [sym__pipe_left_operator] = ACTIONS(11972),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11972),
    [sym__bitshift_operator] = ACTIONS(11972),
    [sym__power_operator] = ACTIONS(11972),
    [sym__tilde_operator] = ACTIONS(11972),
    [sym__type_order_operator] = ACTIONS(11972),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [7819] = {
    [aux_sym__import_list_repeat1] = STATE(7819),
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(14238),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_finally] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [7820] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_elseif] = ACTIONS(12950),
    [anon_sym_else] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [7821] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_finally] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_as] = ACTIONS(13009),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [7822] = {
    [aux_sym_export_statement_repeat1] = STATE(7822),
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(14241),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_end] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_finally] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [7823] = {
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(12976),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_end] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_elseif] = ACTIONS(12976),
    [anon_sym_else] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [7824] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_as] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [7825] = {
    [ts_builtin_sym_end] = ACTIONS(14244),
    [sym__word_identifier] = ACTIONS(14246),
    [anon_sym_EQ] = ACTIONS(14246),
    [anon_sym_COMMA] = ACTIONS(14246),
    [anon_sym_COLON] = ACTIONS(14246),
    [anon_sym_begin] = ACTIONS(14246),
    [anon_sym_module] = ACTIONS(14246),
    [anon_sym_baremodule] = ACTIONS(14246),
    [anon_sym_abstract] = ACTIONS(14246),
    [anon_sym_primitive] = ACTIONS(14246),
    [anon_sym_mutable] = ACTIONS(14246),
    [anon_sym_struct] = ACTIONS(14246),
    [anon_sym_function] = ACTIONS(14246),
    [anon_sym_macro] = ACTIONS(14246),
    [anon_sym_where] = ACTIONS(14246),
    [anon_sym_quote] = ACTIONS(14246),
    [anon_sym_let] = ACTIONS(14246),
    [anon_sym_if] = ACTIONS(14246),
    [anon_sym_try] = ACTIONS(14246),
    [anon_sym_for] = ACTIONS(14246),
    [anon_sym_while] = ACTIONS(14246),
    [sym_break_statement] = ACTIONS(14246),
    [sym_continue_statement] = ACTIONS(14246),
    [anon_sym_return] = ACTIONS(14246),
    [anon_sym_const] = ACTIONS(14246),
    [anon_sym_global] = ACTIONS(14246),
    [anon_sym_local] = ACTIONS(14246),
    [anon_sym_LPAREN] = ACTIONS(14246),
    [anon_sym_RPAREN] = ACTIONS(14246),
    [anon_sym_COLON2] = ACTIONS(14246),
    [anon_sym_export] = ACTIONS(14246),
    [anon_sym_import] = ACTIONS(14246),
    [anon_sym_using] = ACTIONS(14246),
    [anon_sym_LBRACK] = ACTIONS(14246),
    [anon_sym_RBRACK] = ACTIONS(14246),
    [anon_sym_LF] = ACTIONS(14244),
    [anon_sym_in] = ACTIONS(14246),
    [anon_sym_LBRACE] = ACTIONS(14246),
    [anon_sym_DOLLAR] = ACTIONS(14246),
    [anon_sym_COLON_COLON] = ACTIONS(14246),
    [anon_sym_isa] = ACTIONS(14246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14246),
    [anon_sym_QMARK] = ACTIONS(14246),
    [anon_sym_AT] = ACTIONS(14246),
    [anon_sym_true] = ACTIONS(14246),
    [anon_sym_false] = ACTIONS(14246),
    [aux_sym_integer_literal_token1] = ACTIONS(14246),
    [aux_sym_integer_literal_token2] = ACTIONS(14246),
    [aux_sym_integer_literal_token3] = ACTIONS(14246),
    [aux_sym_integer_literal_token4] = ACTIONS(14246),
    [aux_sym_float_literal_token1] = ACTIONS(14246),
    [aux_sym_float_literal_token3] = ACTIONS(14246),
    [aux_sym_float_literal_token4] = ACTIONS(14246),
    [sym_character_literal] = ACTIONS(14246),
    [sym__pair_operator] = ACTIONS(14246),
    [sym__arrow_operator] = ACTIONS(14246),
    [sym__lazy_or_operator] = ACTIONS(14246),
    [sym__lazy_and_operator] = ACTIONS(14246),
    [sym__comparison_operator] = ACTIONS(14246),
    [sym__pipe_right_operator] = ACTIONS(14246),
    [sym__pipe_left_operator] = ACTIONS(14246),
    [sym__ellipsis_operator] = ACTIONS(14246),
    [sym__plus_operator] = ACTIONS(14246),
    [sym__times_operator] = ACTIONS(14246),
    [sym__rational_operator] = ACTIONS(14246),
    [sym__bitshift_operator] = ACTIONS(14246),
    [sym__power_operator] = ACTIONS(14246),
    [sym__tilde_operator] = ACTIONS(14246),
    [sym__type_order_operator] = ACTIONS(14246),
    [sym__unary_operator] = ACTIONS(14246),
    [sym__unary_plus_operator] = ACTIONS(14246),
    [aux_sym__terminator_token1] = ACTIONS(14246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14244),
    [sym__command_start] = ACTIONS(14244),
  },
  [7826] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_end] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_elseif] = ACTIONS(13032),
    [anon_sym_else] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [7827] = {
    [ts_builtin_sym_end] = ACTIONS(13060),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(12412),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_RPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_RBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7828] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12536),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7829] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11908),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7830] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_catch] = ACTIONS(2188),
    [anon_sym_finally] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7831] = {
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(12976),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_end] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_else] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_finally] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [7832] = {
    [sym__comprehension_clause] = STATE(18968),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17066),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14248),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14250),
    [anon_sym_LF] = ACTIONS(14252),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14255),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7833] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_as] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_RPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_SEMI] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [7834] = {
    [ts_builtin_sym_end] = ACTIONS(13830),
    [sym__word_identifier] = ACTIONS(13828),
    [anon_sym_EQ] = ACTIONS(13828),
    [anon_sym_COMMA] = ACTIONS(13828),
    [anon_sym_COLON] = ACTIONS(13828),
    [anon_sym_begin] = ACTIONS(13828),
    [anon_sym_module] = ACTIONS(13828),
    [anon_sym_baremodule] = ACTIONS(13828),
    [anon_sym_abstract] = ACTIONS(13828),
    [anon_sym_primitive] = ACTIONS(13828),
    [anon_sym_mutable] = ACTIONS(13828),
    [anon_sym_struct] = ACTIONS(13828),
    [anon_sym_function] = ACTIONS(13828),
    [anon_sym_macro] = ACTIONS(13828),
    [anon_sym_where] = ACTIONS(13828),
    [anon_sym_quote] = ACTIONS(13828),
    [anon_sym_let] = ACTIONS(13828),
    [anon_sym_if] = ACTIONS(13828),
    [anon_sym_try] = ACTIONS(13828),
    [anon_sym_for] = ACTIONS(13828),
    [anon_sym_while] = ACTIONS(13828),
    [sym_break_statement] = ACTIONS(13828),
    [sym_continue_statement] = ACTIONS(13828),
    [anon_sym_return] = ACTIONS(13828),
    [anon_sym_const] = ACTIONS(13828),
    [anon_sym_global] = ACTIONS(13828),
    [anon_sym_local] = ACTIONS(13828),
    [anon_sym_LPAREN] = ACTIONS(13828),
    [anon_sym_RPAREN] = ACTIONS(13828),
    [anon_sym_COLON2] = ACTIONS(13828),
    [anon_sym_export] = ACTIONS(13828),
    [anon_sym_import] = ACTIONS(13828),
    [anon_sym_using] = ACTIONS(13828),
    [anon_sym_LBRACK] = ACTIONS(13828),
    [anon_sym_RBRACK] = ACTIONS(13828),
    [anon_sym_LF] = ACTIONS(13830),
    [anon_sym_in] = ACTIONS(13828),
    [anon_sym_LBRACE] = ACTIONS(13828),
    [anon_sym_DOLLAR] = ACTIONS(13828),
    [anon_sym_COLON_COLON] = ACTIONS(13828),
    [anon_sym_isa] = ACTIONS(13828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13828),
    [anon_sym_QMARK] = ACTIONS(13828),
    [anon_sym_AT] = ACTIONS(13828),
    [anon_sym_true] = ACTIONS(13828),
    [anon_sym_false] = ACTIONS(13828),
    [aux_sym_integer_literal_token1] = ACTIONS(13828),
    [aux_sym_integer_literal_token2] = ACTIONS(13828),
    [aux_sym_integer_literal_token3] = ACTIONS(13828),
    [aux_sym_integer_literal_token4] = ACTIONS(13828),
    [aux_sym_float_literal_token1] = ACTIONS(13828),
    [aux_sym_float_literal_token3] = ACTIONS(13828),
    [aux_sym_float_literal_token4] = ACTIONS(13828),
    [sym_character_literal] = ACTIONS(13828),
    [sym__pair_operator] = ACTIONS(13828),
    [sym__arrow_operator] = ACTIONS(13828),
    [sym__lazy_or_operator] = ACTIONS(13828),
    [sym__lazy_and_operator] = ACTIONS(13828),
    [sym__comparison_operator] = ACTIONS(13828),
    [sym__pipe_right_operator] = ACTIONS(13828),
    [sym__pipe_left_operator] = ACTIONS(13828),
    [sym__ellipsis_operator] = ACTIONS(13828),
    [sym__plus_operator] = ACTIONS(13828),
    [sym__times_operator] = ACTIONS(13828),
    [sym__rational_operator] = ACTIONS(13828),
    [sym__bitshift_operator] = ACTIONS(13828),
    [sym__power_operator] = ACTIONS(13828),
    [sym__tilde_operator] = ACTIONS(13828),
    [sym__type_order_operator] = ACTIONS(13828),
    [sym__unary_operator] = ACTIONS(13828),
    [sym__unary_plus_operator] = ACTIONS(13828),
    [aux_sym__terminator_token1] = ACTIONS(13828),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13830),
    [sym__command_start] = ACTIONS(13830),
  },
  [7835] = {
    [ts_builtin_sym_end] = ACTIONS(13060),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_RPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_RBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7836] = {
    [ts_builtin_sym_end] = ACTIONS(13826),
    [sym__word_identifier] = ACTIONS(13824),
    [anon_sym_EQ] = ACTIONS(13824),
    [anon_sym_COMMA] = ACTIONS(13824),
    [anon_sym_COLON] = ACTIONS(13824),
    [anon_sym_begin] = ACTIONS(13824),
    [anon_sym_module] = ACTIONS(13824),
    [anon_sym_baremodule] = ACTIONS(13824),
    [anon_sym_abstract] = ACTIONS(13824),
    [anon_sym_primitive] = ACTIONS(13824),
    [anon_sym_mutable] = ACTIONS(13824),
    [anon_sym_struct] = ACTIONS(13824),
    [anon_sym_function] = ACTIONS(13824),
    [anon_sym_macro] = ACTIONS(13824),
    [anon_sym_where] = ACTIONS(13824),
    [anon_sym_quote] = ACTIONS(13824),
    [anon_sym_let] = ACTIONS(13824),
    [anon_sym_if] = ACTIONS(13824),
    [anon_sym_try] = ACTIONS(13824),
    [anon_sym_for] = ACTIONS(13824),
    [anon_sym_while] = ACTIONS(13824),
    [sym_break_statement] = ACTIONS(13824),
    [sym_continue_statement] = ACTIONS(13824),
    [anon_sym_return] = ACTIONS(13824),
    [anon_sym_const] = ACTIONS(13824),
    [anon_sym_global] = ACTIONS(13824),
    [anon_sym_local] = ACTIONS(13824),
    [anon_sym_LPAREN] = ACTIONS(13824),
    [anon_sym_RPAREN] = ACTIONS(13824),
    [anon_sym_COLON2] = ACTIONS(13824),
    [anon_sym_export] = ACTIONS(13824),
    [anon_sym_import] = ACTIONS(13824),
    [anon_sym_using] = ACTIONS(13824),
    [anon_sym_LBRACK] = ACTIONS(13824),
    [anon_sym_RBRACK] = ACTIONS(13824),
    [anon_sym_LF] = ACTIONS(13826),
    [anon_sym_in] = ACTIONS(13824),
    [anon_sym_LBRACE] = ACTIONS(13824),
    [anon_sym_DOLLAR] = ACTIONS(13824),
    [anon_sym_COLON_COLON] = ACTIONS(13824),
    [anon_sym_isa] = ACTIONS(13824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13824),
    [anon_sym_QMARK] = ACTIONS(13824),
    [anon_sym_AT] = ACTIONS(13824),
    [anon_sym_true] = ACTIONS(13824),
    [anon_sym_false] = ACTIONS(13824),
    [aux_sym_integer_literal_token1] = ACTIONS(13824),
    [aux_sym_integer_literal_token2] = ACTIONS(13824),
    [aux_sym_integer_literal_token3] = ACTIONS(13824),
    [aux_sym_integer_literal_token4] = ACTIONS(13824),
    [aux_sym_float_literal_token1] = ACTIONS(13824),
    [aux_sym_float_literal_token3] = ACTIONS(13824),
    [aux_sym_float_literal_token4] = ACTIONS(13824),
    [sym_character_literal] = ACTIONS(13824),
    [sym__pair_operator] = ACTIONS(13824),
    [sym__arrow_operator] = ACTIONS(13824),
    [sym__lazy_or_operator] = ACTIONS(13824),
    [sym__lazy_and_operator] = ACTIONS(13824),
    [sym__comparison_operator] = ACTIONS(13824),
    [sym__pipe_right_operator] = ACTIONS(13824),
    [sym__pipe_left_operator] = ACTIONS(13824),
    [sym__ellipsis_operator] = ACTIONS(13824),
    [sym__plus_operator] = ACTIONS(13824),
    [sym__times_operator] = ACTIONS(13824),
    [sym__rational_operator] = ACTIONS(13824),
    [sym__bitshift_operator] = ACTIONS(13824),
    [sym__power_operator] = ACTIONS(13824),
    [sym__tilde_operator] = ACTIONS(13824),
    [sym__type_order_operator] = ACTIONS(13824),
    [sym__unary_operator] = ACTIONS(13824),
    [sym__unary_plus_operator] = ACTIONS(13824),
    [aux_sym__terminator_token1] = ACTIONS(13824),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13826),
    [sym__command_start] = ACTIONS(13826),
  },
  [7837] = {
    [ts_builtin_sym_end] = ACTIONS(13746),
    [sym__word_identifier] = ACTIONS(13744),
    [anon_sym_EQ] = ACTIONS(13744),
    [anon_sym_COMMA] = ACTIONS(13744),
    [anon_sym_COLON] = ACTIONS(13744),
    [anon_sym_begin] = ACTIONS(13744),
    [anon_sym_module] = ACTIONS(13744),
    [anon_sym_baremodule] = ACTIONS(13744),
    [anon_sym_abstract] = ACTIONS(13744),
    [anon_sym_primitive] = ACTIONS(13744),
    [anon_sym_mutable] = ACTIONS(13744),
    [anon_sym_struct] = ACTIONS(13744),
    [anon_sym_function] = ACTIONS(13744),
    [anon_sym_macro] = ACTIONS(13744),
    [anon_sym_where] = ACTIONS(13744),
    [anon_sym_quote] = ACTIONS(13744),
    [anon_sym_let] = ACTIONS(13744),
    [anon_sym_if] = ACTIONS(13744),
    [anon_sym_try] = ACTIONS(13744),
    [anon_sym_for] = ACTIONS(13744),
    [anon_sym_while] = ACTIONS(13744),
    [sym_break_statement] = ACTIONS(13744),
    [sym_continue_statement] = ACTIONS(13744),
    [anon_sym_return] = ACTIONS(13744),
    [anon_sym_const] = ACTIONS(13744),
    [anon_sym_global] = ACTIONS(13744),
    [anon_sym_local] = ACTIONS(13744),
    [anon_sym_LPAREN] = ACTIONS(13744),
    [anon_sym_RPAREN] = ACTIONS(13744),
    [anon_sym_COLON2] = ACTIONS(13744),
    [anon_sym_export] = ACTIONS(13744),
    [anon_sym_import] = ACTIONS(13744),
    [anon_sym_using] = ACTIONS(13744),
    [anon_sym_LBRACK] = ACTIONS(13744),
    [anon_sym_RBRACK] = ACTIONS(13744),
    [anon_sym_LF] = ACTIONS(13746),
    [anon_sym_in] = ACTIONS(13744),
    [anon_sym_LBRACE] = ACTIONS(13744),
    [anon_sym_DOLLAR] = ACTIONS(13744),
    [anon_sym_COLON_COLON] = ACTIONS(13744),
    [anon_sym_isa] = ACTIONS(13744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13744),
    [anon_sym_QMARK] = ACTIONS(13744),
    [anon_sym_AT] = ACTIONS(13744),
    [anon_sym_true] = ACTIONS(13744),
    [anon_sym_false] = ACTIONS(13744),
    [aux_sym_integer_literal_token1] = ACTIONS(13744),
    [aux_sym_integer_literal_token2] = ACTIONS(13744),
    [aux_sym_integer_literal_token3] = ACTIONS(13744),
    [aux_sym_integer_literal_token4] = ACTIONS(13744),
    [aux_sym_float_literal_token1] = ACTIONS(13744),
    [aux_sym_float_literal_token3] = ACTIONS(13744),
    [aux_sym_float_literal_token4] = ACTIONS(13744),
    [sym_character_literal] = ACTIONS(13744),
    [sym__pair_operator] = ACTIONS(13744),
    [sym__arrow_operator] = ACTIONS(13744),
    [sym__lazy_or_operator] = ACTIONS(13744),
    [sym__lazy_and_operator] = ACTIONS(13744),
    [sym__comparison_operator] = ACTIONS(13744),
    [sym__pipe_right_operator] = ACTIONS(13744),
    [sym__pipe_left_operator] = ACTIONS(13744),
    [sym__ellipsis_operator] = ACTIONS(13744),
    [sym__plus_operator] = ACTIONS(13744),
    [sym__times_operator] = ACTIONS(13744),
    [sym__rational_operator] = ACTIONS(13744),
    [sym__bitshift_operator] = ACTIONS(13744),
    [sym__power_operator] = ACTIONS(13744),
    [sym__tilde_operator] = ACTIONS(13744),
    [sym__type_order_operator] = ACTIONS(13744),
    [sym__unary_operator] = ACTIONS(13744),
    [sym__unary_plus_operator] = ACTIONS(13744),
    [aux_sym__terminator_token1] = ACTIONS(13744),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13746),
    [sym__command_start] = ACTIONS(13746),
  },
  [7838] = {
    [sym__comprehension_clause] = STATE(18782),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17254),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14258),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14260),
    [anon_sym_LF] = ACTIONS(14262),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14265),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7839] = {
    [ts_builtin_sym_end] = ACTIONS(14268),
    [sym__word_identifier] = ACTIONS(14270),
    [anon_sym_EQ] = ACTIONS(14270),
    [anon_sym_COMMA] = ACTIONS(14270),
    [anon_sym_COLON] = ACTIONS(14270),
    [anon_sym_begin] = ACTIONS(14270),
    [anon_sym_module] = ACTIONS(14270),
    [anon_sym_baremodule] = ACTIONS(14270),
    [anon_sym_abstract] = ACTIONS(14270),
    [anon_sym_primitive] = ACTIONS(14270),
    [anon_sym_mutable] = ACTIONS(14270),
    [anon_sym_struct] = ACTIONS(14270),
    [anon_sym_function] = ACTIONS(14270),
    [anon_sym_macro] = ACTIONS(14270),
    [anon_sym_where] = ACTIONS(14270),
    [anon_sym_quote] = ACTIONS(14270),
    [anon_sym_let] = ACTIONS(14270),
    [anon_sym_if] = ACTIONS(14270),
    [anon_sym_try] = ACTIONS(14270),
    [anon_sym_for] = ACTIONS(14270),
    [anon_sym_while] = ACTIONS(14270),
    [sym_break_statement] = ACTIONS(14270),
    [sym_continue_statement] = ACTIONS(14270),
    [anon_sym_return] = ACTIONS(14270),
    [anon_sym_const] = ACTIONS(14270),
    [anon_sym_global] = ACTIONS(14270),
    [anon_sym_local] = ACTIONS(14270),
    [anon_sym_LPAREN] = ACTIONS(14270),
    [anon_sym_RPAREN] = ACTIONS(14270),
    [anon_sym_COLON2] = ACTIONS(14270),
    [anon_sym_export] = ACTIONS(14270),
    [anon_sym_import] = ACTIONS(14270),
    [anon_sym_using] = ACTIONS(14270),
    [anon_sym_LBRACK] = ACTIONS(14270),
    [anon_sym_RBRACK] = ACTIONS(14270),
    [anon_sym_LF] = ACTIONS(14268),
    [anon_sym_in] = ACTIONS(14270),
    [anon_sym_LBRACE] = ACTIONS(14270),
    [anon_sym_DOLLAR] = ACTIONS(14270),
    [anon_sym_COLON_COLON] = ACTIONS(14270),
    [anon_sym_isa] = ACTIONS(14270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14270),
    [anon_sym_QMARK] = ACTIONS(14270),
    [anon_sym_AT] = ACTIONS(14270),
    [anon_sym_true] = ACTIONS(14270),
    [anon_sym_false] = ACTIONS(14270),
    [aux_sym_integer_literal_token1] = ACTIONS(14270),
    [aux_sym_integer_literal_token2] = ACTIONS(14270),
    [aux_sym_integer_literal_token3] = ACTIONS(14270),
    [aux_sym_integer_literal_token4] = ACTIONS(14270),
    [aux_sym_float_literal_token1] = ACTIONS(14270),
    [aux_sym_float_literal_token3] = ACTIONS(14270),
    [aux_sym_float_literal_token4] = ACTIONS(14270),
    [sym_character_literal] = ACTIONS(14270),
    [sym__pair_operator] = ACTIONS(14270),
    [sym__arrow_operator] = ACTIONS(14270),
    [sym__lazy_or_operator] = ACTIONS(14270),
    [sym__lazy_and_operator] = ACTIONS(14270),
    [sym__comparison_operator] = ACTIONS(14270),
    [sym__pipe_right_operator] = ACTIONS(14270),
    [sym__pipe_left_operator] = ACTIONS(14270),
    [sym__ellipsis_operator] = ACTIONS(14270),
    [sym__plus_operator] = ACTIONS(14270),
    [sym__times_operator] = ACTIONS(14270),
    [sym__rational_operator] = ACTIONS(14270),
    [sym__bitshift_operator] = ACTIONS(14270),
    [sym__power_operator] = ACTIONS(14270),
    [sym__tilde_operator] = ACTIONS(14270),
    [sym__type_order_operator] = ACTIONS(14270),
    [sym__unary_operator] = ACTIONS(14270),
    [sym__unary_plus_operator] = ACTIONS(14270),
    [aux_sym__terminator_token1] = ACTIONS(14270),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14268),
    [sym__command_start] = ACTIONS(14268),
  },
  [7840] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7841] = {
    [sym__word_identifier] = ACTIONS(13696),
    [anon_sym_EQ] = ACTIONS(13696),
    [anon_sym_COMMA] = ACTIONS(13696),
    [anon_sym_COLON] = ACTIONS(13696),
    [anon_sym_begin] = ACTIONS(13696),
    [anon_sym_module] = ACTIONS(13696),
    [anon_sym_baremodule] = ACTIONS(13696),
    [anon_sym_end] = ACTIONS(13696),
    [anon_sym_abstract] = ACTIONS(13696),
    [anon_sym_primitive] = ACTIONS(13696),
    [anon_sym_mutable] = ACTIONS(13696),
    [anon_sym_struct] = ACTIONS(13696),
    [anon_sym_function] = ACTIONS(13696),
    [anon_sym_macro] = ACTIONS(13696),
    [anon_sym_where] = ACTIONS(13696),
    [anon_sym_quote] = ACTIONS(13696),
    [anon_sym_let] = ACTIONS(13696),
    [anon_sym_if] = ACTIONS(13696),
    [anon_sym_else] = ACTIONS(13696),
    [anon_sym_try] = ACTIONS(13696),
    [anon_sym_finally] = ACTIONS(13696),
    [anon_sym_for] = ACTIONS(13696),
    [anon_sym_while] = ACTIONS(13696),
    [sym_break_statement] = ACTIONS(13696),
    [sym_continue_statement] = ACTIONS(13696),
    [anon_sym_return] = ACTIONS(13696),
    [anon_sym_const] = ACTIONS(13696),
    [anon_sym_global] = ACTIONS(13696),
    [anon_sym_local] = ACTIONS(13696),
    [anon_sym_LPAREN] = ACTIONS(13696),
    [anon_sym_COLON2] = ACTIONS(13696),
    [anon_sym_export] = ACTIONS(13696),
    [anon_sym_import] = ACTIONS(13696),
    [anon_sym_using] = ACTIONS(13696),
    [anon_sym_LBRACK] = ACTIONS(13696),
    [anon_sym_LF] = ACTIONS(13694),
    [anon_sym_in] = ACTIONS(13696),
    [anon_sym_LBRACE] = ACTIONS(13696),
    [anon_sym_DOLLAR] = ACTIONS(13696),
    [anon_sym_COLON_COLON] = ACTIONS(13696),
    [anon_sym_isa] = ACTIONS(13696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13696),
    [anon_sym_QMARK] = ACTIONS(13696),
    [anon_sym_AT] = ACTIONS(13696),
    [anon_sym_true] = ACTIONS(13696),
    [anon_sym_false] = ACTIONS(13696),
    [aux_sym_integer_literal_token1] = ACTIONS(13696),
    [aux_sym_integer_literal_token2] = ACTIONS(13696),
    [aux_sym_integer_literal_token3] = ACTIONS(13696),
    [aux_sym_integer_literal_token4] = ACTIONS(13696),
    [aux_sym_float_literal_token1] = ACTIONS(13696),
    [aux_sym_float_literal_token3] = ACTIONS(13696),
    [aux_sym_float_literal_token4] = ACTIONS(13696),
    [sym_character_literal] = ACTIONS(13696),
    [sym__pair_operator] = ACTIONS(13696),
    [sym__arrow_operator] = ACTIONS(13696),
    [sym__lazy_or_operator] = ACTIONS(13696),
    [sym__lazy_and_operator] = ACTIONS(13696),
    [sym__comparison_operator] = ACTIONS(13696),
    [sym__pipe_right_operator] = ACTIONS(13696),
    [sym__pipe_left_operator] = ACTIONS(13696),
    [sym__ellipsis_operator] = ACTIONS(13696),
    [sym__plus_operator] = ACTIONS(13696),
    [sym__times_operator] = ACTIONS(13696),
    [sym__rational_operator] = ACTIONS(13696),
    [sym__bitshift_operator] = ACTIONS(13696),
    [sym__power_operator] = ACTIONS(13696),
    [sym__tilde_operator] = ACTIONS(13696),
    [sym__type_order_operator] = ACTIONS(13696),
    [sym__unary_operator] = ACTIONS(13696),
    [sym__unary_plus_operator] = ACTIONS(13696),
    [aux_sym__terminator_token1] = ACTIONS(13696),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13694),
    [sym__command_start] = ACTIONS(13694),
  },
  [7842] = {
    [sym__word_identifier] = ACTIONS(13606),
    [anon_sym_EQ] = ACTIONS(13606),
    [anon_sym_COMMA] = ACTIONS(13606),
    [anon_sym_COLON] = ACTIONS(13606),
    [anon_sym_begin] = ACTIONS(13606),
    [anon_sym_module] = ACTIONS(13606),
    [anon_sym_baremodule] = ACTIONS(13606),
    [anon_sym_end] = ACTIONS(13606),
    [anon_sym_abstract] = ACTIONS(13606),
    [anon_sym_primitive] = ACTIONS(13606),
    [anon_sym_mutable] = ACTIONS(13606),
    [anon_sym_struct] = ACTIONS(13606),
    [anon_sym_function] = ACTIONS(13606),
    [anon_sym_macro] = ACTIONS(13606),
    [anon_sym_where] = ACTIONS(13606),
    [anon_sym_quote] = ACTIONS(13606),
    [anon_sym_let] = ACTIONS(13606),
    [anon_sym_if] = ACTIONS(13606),
    [anon_sym_else] = ACTIONS(13606),
    [anon_sym_try] = ACTIONS(13606),
    [anon_sym_finally] = ACTIONS(13606),
    [anon_sym_for] = ACTIONS(13606),
    [anon_sym_while] = ACTIONS(13606),
    [sym_break_statement] = ACTIONS(13606),
    [sym_continue_statement] = ACTIONS(13606),
    [anon_sym_return] = ACTIONS(13606),
    [anon_sym_const] = ACTIONS(13606),
    [anon_sym_global] = ACTIONS(13606),
    [anon_sym_local] = ACTIONS(13606),
    [anon_sym_LPAREN] = ACTIONS(13606),
    [anon_sym_COLON2] = ACTIONS(13606),
    [anon_sym_export] = ACTIONS(13606),
    [anon_sym_import] = ACTIONS(13606),
    [anon_sym_using] = ACTIONS(13606),
    [anon_sym_LBRACK] = ACTIONS(13606),
    [anon_sym_LF] = ACTIONS(13604),
    [anon_sym_in] = ACTIONS(13606),
    [anon_sym_LBRACE] = ACTIONS(13606),
    [anon_sym_DOLLAR] = ACTIONS(13606),
    [anon_sym_COLON_COLON] = ACTIONS(13606),
    [anon_sym_isa] = ACTIONS(13606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13606),
    [anon_sym_QMARK] = ACTIONS(13606),
    [anon_sym_AT] = ACTIONS(13606),
    [anon_sym_true] = ACTIONS(13606),
    [anon_sym_false] = ACTIONS(13606),
    [aux_sym_integer_literal_token1] = ACTIONS(13606),
    [aux_sym_integer_literal_token2] = ACTIONS(13606),
    [aux_sym_integer_literal_token3] = ACTIONS(13606),
    [aux_sym_integer_literal_token4] = ACTIONS(13606),
    [aux_sym_float_literal_token1] = ACTIONS(13606),
    [aux_sym_float_literal_token3] = ACTIONS(13606),
    [aux_sym_float_literal_token4] = ACTIONS(13606),
    [sym_character_literal] = ACTIONS(13606),
    [sym__pair_operator] = ACTIONS(13606),
    [sym__arrow_operator] = ACTIONS(13606),
    [sym__lazy_or_operator] = ACTIONS(13606),
    [sym__lazy_and_operator] = ACTIONS(13606),
    [sym__comparison_operator] = ACTIONS(13606),
    [sym__pipe_right_operator] = ACTIONS(13606),
    [sym__pipe_left_operator] = ACTIONS(13606),
    [sym__ellipsis_operator] = ACTIONS(13606),
    [sym__plus_operator] = ACTIONS(13606),
    [sym__times_operator] = ACTIONS(13606),
    [sym__rational_operator] = ACTIONS(13606),
    [sym__bitshift_operator] = ACTIONS(13606),
    [sym__power_operator] = ACTIONS(13606),
    [sym__tilde_operator] = ACTIONS(13606),
    [sym__type_order_operator] = ACTIONS(13606),
    [sym__unary_operator] = ACTIONS(13606),
    [sym__unary_plus_operator] = ACTIONS(13606),
    [aux_sym__terminator_token1] = ACTIONS(13606),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13604),
    [sym__command_start] = ACTIONS(13604),
  },
  [7843] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_as] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_RPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [7844] = {
    [ts_builtin_sym_end] = ACTIONS(13692),
    [sym__word_identifier] = ACTIONS(13690),
    [anon_sym_EQ] = ACTIONS(13690),
    [anon_sym_COMMA] = ACTIONS(13690),
    [anon_sym_COLON] = ACTIONS(13690),
    [anon_sym_begin] = ACTIONS(13690),
    [anon_sym_module] = ACTIONS(13690),
    [anon_sym_baremodule] = ACTIONS(13690),
    [anon_sym_abstract] = ACTIONS(13690),
    [anon_sym_primitive] = ACTIONS(13690),
    [anon_sym_mutable] = ACTIONS(13690),
    [anon_sym_struct] = ACTIONS(13690),
    [anon_sym_function] = ACTIONS(13690),
    [anon_sym_macro] = ACTIONS(13690),
    [anon_sym_where] = ACTIONS(13690),
    [anon_sym_quote] = ACTIONS(13690),
    [anon_sym_let] = ACTIONS(13690),
    [anon_sym_if] = ACTIONS(13690),
    [anon_sym_try] = ACTIONS(13690),
    [anon_sym_for] = ACTIONS(13690),
    [anon_sym_while] = ACTIONS(13690),
    [sym_break_statement] = ACTIONS(13690),
    [sym_continue_statement] = ACTIONS(13690),
    [anon_sym_return] = ACTIONS(13690),
    [anon_sym_const] = ACTIONS(13690),
    [anon_sym_global] = ACTIONS(13690),
    [anon_sym_local] = ACTIONS(13690),
    [anon_sym_LPAREN] = ACTIONS(13690),
    [anon_sym_RPAREN] = ACTIONS(13690),
    [anon_sym_COLON2] = ACTIONS(13690),
    [anon_sym_export] = ACTIONS(13690),
    [anon_sym_import] = ACTIONS(13690),
    [anon_sym_using] = ACTIONS(13690),
    [anon_sym_LBRACK] = ACTIONS(13690),
    [anon_sym_RBRACK] = ACTIONS(13690),
    [anon_sym_LF] = ACTIONS(13692),
    [anon_sym_in] = ACTIONS(13690),
    [anon_sym_LBRACE] = ACTIONS(13690),
    [anon_sym_DOLLAR] = ACTIONS(13690),
    [anon_sym_COLON_COLON] = ACTIONS(13690),
    [anon_sym_isa] = ACTIONS(13690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13690),
    [anon_sym_QMARK] = ACTIONS(13690),
    [anon_sym_AT] = ACTIONS(13690),
    [anon_sym_true] = ACTIONS(13690),
    [anon_sym_false] = ACTIONS(13690),
    [aux_sym_integer_literal_token1] = ACTIONS(13690),
    [aux_sym_integer_literal_token2] = ACTIONS(13690),
    [aux_sym_integer_literal_token3] = ACTIONS(13690),
    [aux_sym_integer_literal_token4] = ACTIONS(13690),
    [aux_sym_float_literal_token1] = ACTIONS(13690),
    [aux_sym_float_literal_token3] = ACTIONS(13690),
    [aux_sym_float_literal_token4] = ACTIONS(13690),
    [sym_character_literal] = ACTIONS(13690),
    [sym__pair_operator] = ACTIONS(13690),
    [sym__arrow_operator] = ACTIONS(13690),
    [sym__lazy_or_operator] = ACTIONS(13690),
    [sym__lazy_and_operator] = ACTIONS(13690),
    [sym__comparison_operator] = ACTIONS(13690),
    [sym__pipe_right_operator] = ACTIONS(13690),
    [sym__pipe_left_operator] = ACTIONS(13690),
    [sym__ellipsis_operator] = ACTIONS(13690),
    [sym__plus_operator] = ACTIONS(13690),
    [sym__times_operator] = ACTIONS(13690),
    [sym__rational_operator] = ACTIONS(13690),
    [sym__bitshift_operator] = ACTIONS(13690),
    [sym__power_operator] = ACTIONS(13690),
    [sym__tilde_operator] = ACTIONS(13690),
    [sym__type_order_operator] = ACTIONS(13690),
    [sym__unary_operator] = ACTIONS(13690),
    [sym__unary_plus_operator] = ACTIONS(13690),
    [aux_sym__terminator_token1] = ACTIONS(13690),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13692),
    [sym__command_start] = ACTIONS(13692),
  },
  [7845] = {
    [sym__word_identifier] = ACTIONS(13570),
    [anon_sym_EQ] = ACTIONS(13570),
    [anon_sym_COMMA] = ACTIONS(13570),
    [anon_sym_COLON] = ACTIONS(13570),
    [anon_sym_begin] = ACTIONS(13570),
    [anon_sym_module] = ACTIONS(13570),
    [anon_sym_baremodule] = ACTIONS(13570),
    [anon_sym_end] = ACTIONS(13570),
    [anon_sym_abstract] = ACTIONS(13570),
    [anon_sym_primitive] = ACTIONS(13570),
    [anon_sym_mutable] = ACTIONS(13570),
    [anon_sym_struct] = ACTIONS(13570),
    [anon_sym_function] = ACTIONS(13570),
    [anon_sym_macro] = ACTIONS(13570),
    [anon_sym_where] = ACTIONS(13570),
    [anon_sym_quote] = ACTIONS(13570),
    [anon_sym_let] = ACTIONS(13570),
    [anon_sym_if] = ACTIONS(13570),
    [anon_sym_else] = ACTIONS(13570),
    [anon_sym_try] = ACTIONS(13570),
    [anon_sym_finally] = ACTIONS(13570),
    [anon_sym_for] = ACTIONS(13570),
    [anon_sym_while] = ACTIONS(13570),
    [sym_break_statement] = ACTIONS(13570),
    [sym_continue_statement] = ACTIONS(13570),
    [anon_sym_return] = ACTIONS(13570),
    [anon_sym_const] = ACTIONS(13570),
    [anon_sym_global] = ACTIONS(13570),
    [anon_sym_local] = ACTIONS(13570),
    [anon_sym_LPAREN] = ACTIONS(13570),
    [anon_sym_COLON2] = ACTIONS(13570),
    [anon_sym_export] = ACTIONS(13570),
    [anon_sym_import] = ACTIONS(13570),
    [anon_sym_using] = ACTIONS(13570),
    [anon_sym_LBRACK] = ACTIONS(13570),
    [anon_sym_LF] = ACTIONS(13568),
    [anon_sym_in] = ACTIONS(13570),
    [anon_sym_LBRACE] = ACTIONS(13570),
    [anon_sym_DOLLAR] = ACTIONS(13570),
    [anon_sym_COLON_COLON] = ACTIONS(13570),
    [anon_sym_isa] = ACTIONS(13570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13570),
    [anon_sym_QMARK] = ACTIONS(13570),
    [anon_sym_AT] = ACTIONS(13570),
    [anon_sym_true] = ACTIONS(13570),
    [anon_sym_false] = ACTIONS(13570),
    [aux_sym_integer_literal_token1] = ACTIONS(13570),
    [aux_sym_integer_literal_token2] = ACTIONS(13570),
    [aux_sym_integer_literal_token3] = ACTIONS(13570),
    [aux_sym_integer_literal_token4] = ACTIONS(13570),
    [aux_sym_float_literal_token1] = ACTIONS(13570),
    [aux_sym_float_literal_token3] = ACTIONS(13570),
    [aux_sym_float_literal_token4] = ACTIONS(13570),
    [sym_character_literal] = ACTIONS(13570),
    [sym__pair_operator] = ACTIONS(13570),
    [sym__arrow_operator] = ACTIONS(13570),
    [sym__lazy_or_operator] = ACTIONS(13570),
    [sym__lazy_and_operator] = ACTIONS(13570),
    [sym__comparison_operator] = ACTIONS(13570),
    [sym__pipe_right_operator] = ACTIONS(13570),
    [sym__pipe_left_operator] = ACTIONS(13570),
    [sym__ellipsis_operator] = ACTIONS(13570),
    [sym__plus_operator] = ACTIONS(13570),
    [sym__times_operator] = ACTIONS(13570),
    [sym__rational_operator] = ACTIONS(13570),
    [sym__bitshift_operator] = ACTIONS(13570),
    [sym__power_operator] = ACTIONS(13570),
    [sym__tilde_operator] = ACTIONS(13570),
    [sym__type_order_operator] = ACTIONS(13570),
    [sym__unary_operator] = ACTIONS(13570),
    [sym__unary_plus_operator] = ACTIONS(13570),
    [aux_sym__terminator_token1] = ACTIONS(13570),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13568),
    [sym__command_start] = ACTIONS(13568),
  },
  [7846] = {
    [ts_builtin_sym_end] = ACTIONS(13686),
    [sym__word_identifier] = ACTIONS(13684),
    [anon_sym_EQ] = ACTIONS(13684),
    [anon_sym_COMMA] = ACTIONS(13684),
    [anon_sym_COLON] = ACTIONS(13684),
    [anon_sym_begin] = ACTIONS(13684),
    [anon_sym_module] = ACTIONS(13684),
    [anon_sym_baremodule] = ACTIONS(13684),
    [anon_sym_abstract] = ACTIONS(13684),
    [anon_sym_primitive] = ACTIONS(13684),
    [anon_sym_mutable] = ACTIONS(13684),
    [anon_sym_struct] = ACTIONS(13684),
    [anon_sym_function] = ACTIONS(13684),
    [anon_sym_macro] = ACTIONS(13684),
    [anon_sym_where] = ACTIONS(13684),
    [anon_sym_quote] = ACTIONS(13684),
    [anon_sym_let] = ACTIONS(13684),
    [anon_sym_if] = ACTIONS(13684),
    [anon_sym_try] = ACTIONS(13684),
    [anon_sym_for] = ACTIONS(13684),
    [anon_sym_while] = ACTIONS(13684),
    [sym_break_statement] = ACTIONS(13684),
    [sym_continue_statement] = ACTIONS(13684),
    [anon_sym_return] = ACTIONS(13684),
    [anon_sym_const] = ACTIONS(13684),
    [anon_sym_global] = ACTIONS(13684),
    [anon_sym_local] = ACTIONS(13684),
    [anon_sym_LPAREN] = ACTIONS(13684),
    [anon_sym_RPAREN] = ACTIONS(13684),
    [anon_sym_COLON2] = ACTIONS(13684),
    [anon_sym_export] = ACTIONS(13684),
    [anon_sym_import] = ACTIONS(13684),
    [anon_sym_using] = ACTIONS(13684),
    [anon_sym_LBRACK] = ACTIONS(13684),
    [anon_sym_RBRACK] = ACTIONS(13684),
    [anon_sym_LF] = ACTIONS(13686),
    [anon_sym_in] = ACTIONS(13684),
    [anon_sym_LBRACE] = ACTIONS(13684),
    [anon_sym_DOLLAR] = ACTIONS(13684),
    [anon_sym_COLON_COLON] = ACTIONS(13684),
    [anon_sym_isa] = ACTIONS(13684),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13684),
    [anon_sym_QMARK] = ACTIONS(13684),
    [anon_sym_AT] = ACTIONS(13684),
    [anon_sym_true] = ACTIONS(13684),
    [anon_sym_false] = ACTIONS(13684),
    [aux_sym_integer_literal_token1] = ACTIONS(13684),
    [aux_sym_integer_literal_token2] = ACTIONS(13684),
    [aux_sym_integer_literal_token3] = ACTIONS(13684),
    [aux_sym_integer_literal_token4] = ACTIONS(13684),
    [aux_sym_float_literal_token1] = ACTIONS(13684),
    [aux_sym_float_literal_token3] = ACTIONS(13684),
    [aux_sym_float_literal_token4] = ACTIONS(13684),
    [sym_character_literal] = ACTIONS(13684),
    [sym__pair_operator] = ACTIONS(13684),
    [sym__arrow_operator] = ACTIONS(13684),
    [sym__lazy_or_operator] = ACTIONS(13684),
    [sym__lazy_and_operator] = ACTIONS(13684),
    [sym__comparison_operator] = ACTIONS(13684),
    [sym__pipe_right_operator] = ACTIONS(13684),
    [sym__pipe_left_operator] = ACTIONS(13684),
    [sym__ellipsis_operator] = ACTIONS(13684),
    [sym__plus_operator] = ACTIONS(13684),
    [sym__times_operator] = ACTIONS(13684),
    [sym__rational_operator] = ACTIONS(13684),
    [sym__bitshift_operator] = ACTIONS(13684),
    [sym__power_operator] = ACTIONS(13684),
    [sym__tilde_operator] = ACTIONS(13684),
    [sym__type_order_operator] = ACTIONS(13684),
    [sym__unary_operator] = ACTIONS(13684),
    [sym__unary_plus_operator] = ACTIONS(13684),
    [aux_sym__terminator_token1] = ACTIONS(13684),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13686),
    [sym__command_start] = ACTIONS(13686),
  },
  [7847] = {
    [ts_builtin_sym_end] = ACTIONS(13662),
    [sym__word_identifier] = ACTIONS(13660),
    [anon_sym_EQ] = ACTIONS(13660),
    [anon_sym_COMMA] = ACTIONS(13660),
    [anon_sym_COLON] = ACTIONS(13660),
    [anon_sym_begin] = ACTIONS(13660),
    [anon_sym_module] = ACTIONS(13660),
    [anon_sym_baremodule] = ACTIONS(13660),
    [anon_sym_abstract] = ACTIONS(13660),
    [anon_sym_primitive] = ACTIONS(13660),
    [anon_sym_mutable] = ACTIONS(13660),
    [anon_sym_struct] = ACTIONS(13660),
    [anon_sym_function] = ACTIONS(13660),
    [anon_sym_macro] = ACTIONS(13660),
    [anon_sym_where] = ACTIONS(13660),
    [anon_sym_quote] = ACTIONS(13660),
    [anon_sym_let] = ACTIONS(13660),
    [anon_sym_if] = ACTIONS(13660),
    [anon_sym_try] = ACTIONS(13660),
    [anon_sym_for] = ACTIONS(13660),
    [anon_sym_while] = ACTIONS(13660),
    [sym_break_statement] = ACTIONS(13660),
    [sym_continue_statement] = ACTIONS(13660),
    [anon_sym_return] = ACTIONS(13660),
    [anon_sym_const] = ACTIONS(13660),
    [anon_sym_global] = ACTIONS(13660),
    [anon_sym_local] = ACTIONS(13660),
    [anon_sym_LPAREN] = ACTIONS(13660),
    [anon_sym_RPAREN] = ACTIONS(13660),
    [anon_sym_COLON2] = ACTIONS(13660),
    [anon_sym_export] = ACTIONS(13660),
    [anon_sym_import] = ACTIONS(13660),
    [anon_sym_using] = ACTIONS(13660),
    [anon_sym_LBRACK] = ACTIONS(13660),
    [anon_sym_RBRACK] = ACTIONS(13660),
    [anon_sym_LF] = ACTIONS(13662),
    [anon_sym_in] = ACTIONS(13660),
    [anon_sym_LBRACE] = ACTIONS(13660),
    [anon_sym_DOLLAR] = ACTIONS(13660),
    [anon_sym_COLON_COLON] = ACTIONS(13660),
    [anon_sym_isa] = ACTIONS(13660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13660),
    [anon_sym_QMARK] = ACTIONS(13660),
    [anon_sym_AT] = ACTIONS(13660),
    [anon_sym_true] = ACTIONS(13660),
    [anon_sym_false] = ACTIONS(13660),
    [aux_sym_integer_literal_token1] = ACTIONS(13660),
    [aux_sym_integer_literal_token2] = ACTIONS(13660),
    [aux_sym_integer_literal_token3] = ACTIONS(13660),
    [aux_sym_integer_literal_token4] = ACTIONS(13660),
    [aux_sym_float_literal_token1] = ACTIONS(13660),
    [aux_sym_float_literal_token3] = ACTIONS(13660),
    [aux_sym_float_literal_token4] = ACTIONS(13660),
    [sym_character_literal] = ACTIONS(13660),
    [sym__pair_operator] = ACTIONS(13660),
    [sym__arrow_operator] = ACTIONS(13660),
    [sym__lazy_or_operator] = ACTIONS(13660),
    [sym__lazy_and_operator] = ACTIONS(13660),
    [sym__comparison_operator] = ACTIONS(13660),
    [sym__pipe_right_operator] = ACTIONS(13660),
    [sym__pipe_left_operator] = ACTIONS(13660),
    [sym__ellipsis_operator] = ACTIONS(13660),
    [sym__plus_operator] = ACTIONS(13660),
    [sym__times_operator] = ACTIONS(13660),
    [sym__rational_operator] = ACTIONS(13660),
    [sym__bitshift_operator] = ACTIONS(13660),
    [sym__power_operator] = ACTIONS(13660),
    [sym__tilde_operator] = ACTIONS(13660),
    [sym__type_order_operator] = ACTIONS(13660),
    [sym__unary_operator] = ACTIONS(13660),
    [sym__unary_plus_operator] = ACTIONS(13660),
    [aux_sym__terminator_token1] = ACTIONS(13660),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13662),
    [sym__command_start] = ACTIONS(13662),
  },
  [7848] = {
    [ts_builtin_sym_end] = ACTIONS(13658),
    [sym__word_identifier] = ACTIONS(13656),
    [anon_sym_EQ] = ACTIONS(13656),
    [anon_sym_COMMA] = ACTIONS(13656),
    [anon_sym_COLON] = ACTIONS(13656),
    [anon_sym_begin] = ACTIONS(13656),
    [anon_sym_module] = ACTIONS(13656),
    [anon_sym_baremodule] = ACTIONS(13656),
    [anon_sym_abstract] = ACTIONS(13656),
    [anon_sym_primitive] = ACTIONS(13656),
    [anon_sym_mutable] = ACTIONS(13656),
    [anon_sym_struct] = ACTIONS(13656),
    [anon_sym_function] = ACTIONS(13656),
    [anon_sym_macro] = ACTIONS(13656),
    [anon_sym_where] = ACTIONS(13656),
    [anon_sym_quote] = ACTIONS(13656),
    [anon_sym_let] = ACTIONS(13656),
    [anon_sym_if] = ACTIONS(13656),
    [anon_sym_try] = ACTIONS(13656),
    [anon_sym_for] = ACTIONS(13656),
    [anon_sym_while] = ACTIONS(13656),
    [sym_break_statement] = ACTIONS(13656),
    [sym_continue_statement] = ACTIONS(13656),
    [anon_sym_return] = ACTIONS(13656),
    [anon_sym_const] = ACTIONS(13656),
    [anon_sym_global] = ACTIONS(13656),
    [anon_sym_local] = ACTIONS(13656),
    [anon_sym_LPAREN] = ACTIONS(13656),
    [anon_sym_RPAREN] = ACTIONS(13656),
    [anon_sym_COLON2] = ACTIONS(13656),
    [anon_sym_export] = ACTIONS(13656),
    [anon_sym_import] = ACTIONS(13656),
    [anon_sym_using] = ACTIONS(13656),
    [anon_sym_LBRACK] = ACTIONS(13656),
    [anon_sym_RBRACK] = ACTIONS(13656),
    [anon_sym_LF] = ACTIONS(13658),
    [anon_sym_in] = ACTIONS(13656),
    [anon_sym_LBRACE] = ACTIONS(13656),
    [anon_sym_DOLLAR] = ACTIONS(13656),
    [anon_sym_COLON_COLON] = ACTIONS(13656),
    [anon_sym_isa] = ACTIONS(13656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13656),
    [anon_sym_QMARK] = ACTIONS(13656),
    [anon_sym_AT] = ACTIONS(13656),
    [anon_sym_true] = ACTIONS(13656),
    [anon_sym_false] = ACTIONS(13656),
    [aux_sym_integer_literal_token1] = ACTIONS(13656),
    [aux_sym_integer_literal_token2] = ACTIONS(13656),
    [aux_sym_integer_literal_token3] = ACTIONS(13656),
    [aux_sym_integer_literal_token4] = ACTIONS(13656),
    [aux_sym_float_literal_token1] = ACTIONS(13656),
    [aux_sym_float_literal_token3] = ACTIONS(13656),
    [aux_sym_float_literal_token4] = ACTIONS(13656),
    [sym_character_literal] = ACTIONS(13656),
    [sym__pair_operator] = ACTIONS(13656),
    [sym__arrow_operator] = ACTIONS(13656),
    [sym__lazy_or_operator] = ACTIONS(13656),
    [sym__lazy_and_operator] = ACTIONS(13656),
    [sym__comparison_operator] = ACTIONS(13656),
    [sym__pipe_right_operator] = ACTIONS(13656),
    [sym__pipe_left_operator] = ACTIONS(13656),
    [sym__ellipsis_operator] = ACTIONS(13656),
    [sym__plus_operator] = ACTIONS(13656),
    [sym__times_operator] = ACTIONS(13656),
    [sym__rational_operator] = ACTIONS(13656),
    [sym__bitshift_operator] = ACTIONS(13656),
    [sym__power_operator] = ACTIONS(13656),
    [sym__tilde_operator] = ACTIONS(13656),
    [sym__type_order_operator] = ACTIONS(13656),
    [sym__unary_operator] = ACTIONS(13656),
    [sym__unary_plus_operator] = ACTIONS(13656),
    [aux_sym__terminator_token1] = ACTIONS(13656),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13658),
    [sym__command_start] = ACTIONS(13658),
  },
  [7849] = {
    [sym__word_identifier] = ACTIONS(13426),
    [anon_sym_EQ] = ACTIONS(13426),
    [anon_sym_COMMA] = ACTIONS(13426),
    [anon_sym_COLON] = ACTIONS(13426),
    [anon_sym_begin] = ACTIONS(13426),
    [anon_sym_module] = ACTIONS(13426),
    [anon_sym_baremodule] = ACTIONS(13426),
    [anon_sym_end] = ACTIONS(13426),
    [anon_sym_abstract] = ACTIONS(13426),
    [anon_sym_primitive] = ACTIONS(13426),
    [anon_sym_mutable] = ACTIONS(13426),
    [anon_sym_struct] = ACTIONS(13426),
    [anon_sym_function] = ACTIONS(13426),
    [anon_sym_macro] = ACTIONS(13426),
    [anon_sym_where] = ACTIONS(13426),
    [anon_sym_quote] = ACTIONS(13426),
    [anon_sym_let] = ACTIONS(13426),
    [anon_sym_if] = ACTIONS(13426),
    [anon_sym_else] = ACTIONS(13426),
    [anon_sym_try] = ACTIONS(13426),
    [anon_sym_finally] = ACTIONS(13426),
    [anon_sym_for] = ACTIONS(13426),
    [anon_sym_while] = ACTIONS(13426),
    [sym_break_statement] = ACTIONS(13426),
    [sym_continue_statement] = ACTIONS(13426),
    [anon_sym_return] = ACTIONS(13426),
    [anon_sym_const] = ACTIONS(13426),
    [anon_sym_global] = ACTIONS(13426),
    [anon_sym_local] = ACTIONS(13426),
    [anon_sym_LPAREN] = ACTIONS(13426),
    [anon_sym_COLON2] = ACTIONS(13426),
    [anon_sym_export] = ACTIONS(13426),
    [anon_sym_import] = ACTIONS(13426),
    [anon_sym_using] = ACTIONS(13426),
    [anon_sym_LBRACK] = ACTIONS(13426),
    [anon_sym_LF] = ACTIONS(13428),
    [anon_sym_in] = ACTIONS(13426),
    [anon_sym_LBRACE] = ACTIONS(13426),
    [anon_sym_DOLLAR] = ACTIONS(13426),
    [anon_sym_COLON_COLON] = ACTIONS(13426),
    [anon_sym_isa] = ACTIONS(13426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13426),
    [anon_sym_QMARK] = ACTIONS(13426),
    [anon_sym_AT] = ACTIONS(13426),
    [anon_sym_true] = ACTIONS(13426),
    [anon_sym_false] = ACTIONS(13426),
    [aux_sym_integer_literal_token1] = ACTIONS(13426),
    [aux_sym_integer_literal_token2] = ACTIONS(13426),
    [aux_sym_integer_literal_token3] = ACTIONS(13426),
    [aux_sym_integer_literal_token4] = ACTIONS(13426),
    [aux_sym_float_literal_token1] = ACTIONS(13426),
    [aux_sym_float_literal_token3] = ACTIONS(13426),
    [aux_sym_float_literal_token4] = ACTIONS(13426),
    [sym_character_literal] = ACTIONS(13426),
    [sym__pair_operator] = ACTIONS(13426),
    [sym__arrow_operator] = ACTIONS(13426),
    [sym__lazy_or_operator] = ACTIONS(13426),
    [sym__lazy_and_operator] = ACTIONS(13426),
    [sym__comparison_operator] = ACTIONS(13426),
    [sym__pipe_right_operator] = ACTIONS(13426),
    [sym__pipe_left_operator] = ACTIONS(13426),
    [sym__ellipsis_operator] = ACTIONS(13426),
    [sym__plus_operator] = ACTIONS(13426),
    [sym__times_operator] = ACTIONS(13426),
    [sym__rational_operator] = ACTIONS(13426),
    [sym__bitshift_operator] = ACTIONS(13426),
    [sym__power_operator] = ACTIONS(13426),
    [sym__tilde_operator] = ACTIONS(13426),
    [sym__type_order_operator] = ACTIONS(13426),
    [sym__unary_operator] = ACTIONS(13426),
    [sym__unary_plus_operator] = ACTIONS(13426),
    [aux_sym__terminator_token1] = ACTIONS(13426),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13428),
    [sym__command_start] = ACTIONS(13428),
  },
  [7850] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12430),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7851] = {
    [sym__word_identifier] = ACTIONS(12874),
    [anon_sym_EQ] = ACTIONS(12874),
    [anon_sym_COMMA] = ACTIONS(12874),
    [anon_sym_COLON] = ACTIONS(12874),
    [anon_sym_begin] = ACTIONS(12874),
    [anon_sym_module] = ACTIONS(12874),
    [anon_sym_baremodule] = ACTIONS(12874),
    [anon_sym_end] = ACTIONS(12874),
    [anon_sym_abstract] = ACTIONS(12874),
    [anon_sym_primitive] = ACTIONS(12874),
    [anon_sym_mutable] = ACTIONS(12874),
    [anon_sym_struct] = ACTIONS(12874),
    [anon_sym_function] = ACTIONS(12874),
    [anon_sym_macro] = ACTIONS(12874),
    [anon_sym_where] = ACTIONS(12874),
    [anon_sym_quote] = ACTIONS(12874),
    [anon_sym_let] = ACTIONS(12874),
    [anon_sym_if] = ACTIONS(12874),
    [anon_sym_try] = ACTIONS(12874),
    [anon_sym_for] = ACTIONS(12874),
    [anon_sym_while] = ACTIONS(12874),
    [sym_break_statement] = ACTIONS(12874),
    [sym_continue_statement] = ACTIONS(12874),
    [anon_sym_return] = ACTIONS(12874),
    [anon_sym_const] = ACTIONS(12874),
    [anon_sym_global] = ACTIONS(12874),
    [anon_sym_local] = ACTIONS(12874),
    [anon_sym_as] = ACTIONS(12874),
    [anon_sym_LPAREN] = ACTIONS(12874),
    [anon_sym_COLON2] = ACTIONS(12874),
    [anon_sym_export] = ACTIONS(12874),
    [anon_sym_import] = ACTIONS(12874),
    [anon_sym_using] = ACTIONS(12874),
    [anon_sym_LBRACK] = ACTIONS(12874),
    [anon_sym_LF] = ACTIONS(12876),
    [anon_sym_in] = ACTIONS(12874),
    [anon_sym_LBRACE] = ACTIONS(12874),
    [anon_sym_DOT] = ACTIONS(13947),
    [anon_sym_DOLLAR] = ACTIONS(12874),
    [anon_sym_COLON_COLON] = ACTIONS(12874),
    [anon_sym_isa] = ACTIONS(12874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12874),
    [anon_sym_QMARK] = ACTIONS(12874),
    [anon_sym_AT] = ACTIONS(12874),
    [anon_sym_true] = ACTIONS(12874),
    [anon_sym_false] = ACTIONS(12874),
    [aux_sym_integer_literal_token1] = ACTIONS(12874),
    [aux_sym_integer_literal_token2] = ACTIONS(12874),
    [aux_sym_integer_literal_token3] = ACTIONS(12874),
    [aux_sym_integer_literal_token4] = ACTIONS(12874),
    [aux_sym_float_literal_token1] = ACTIONS(12874),
    [aux_sym_float_literal_token3] = ACTIONS(12874),
    [aux_sym_float_literal_token4] = ACTIONS(12874),
    [sym_character_literal] = ACTIONS(12874),
    [sym__pair_operator] = ACTIONS(12874),
    [sym__arrow_operator] = ACTIONS(12874),
    [sym__lazy_or_operator] = ACTIONS(12874),
    [sym__lazy_and_operator] = ACTIONS(12874),
    [sym__comparison_operator] = ACTIONS(12874),
    [sym__pipe_right_operator] = ACTIONS(12874),
    [sym__pipe_left_operator] = ACTIONS(12874),
    [sym__ellipsis_operator] = ACTIONS(12874),
    [sym__plus_operator] = ACTIONS(12874),
    [sym__times_operator] = ACTIONS(12874),
    [sym__rational_operator] = ACTIONS(12874),
    [sym__bitshift_operator] = ACTIONS(12874),
    [sym__power_operator] = ACTIONS(12874),
    [sym__tilde_operator] = ACTIONS(12874),
    [sym__type_order_operator] = ACTIONS(12874),
    [sym__unary_operator] = ACTIONS(12874),
    [sym__unary_plus_operator] = ACTIONS(12874),
    [aux_sym__terminator_token1] = ACTIONS(12874),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12876),
    [sym__command_start] = ACTIONS(12876),
  },
  [7852] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_as] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_RPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_SEMI] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [7853] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_as] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [7854] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(12430),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_elseif] = ACTIONS(13210),
    [anon_sym_else] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7855] = {
    [sym__word_identifier] = ACTIONS(13566),
    [anon_sym_EQ] = ACTIONS(13566),
    [anon_sym_COMMA] = ACTIONS(13566),
    [anon_sym_COLON] = ACTIONS(13566),
    [anon_sym_begin] = ACTIONS(13566),
    [anon_sym_module] = ACTIONS(13566),
    [anon_sym_baremodule] = ACTIONS(13566),
    [anon_sym_end] = ACTIONS(13566),
    [anon_sym_abstract] = ACTIONS(13566),
    [anon_sym_primitive] = ACTIONS(13566),
    [anon_sym_mutable] = ACTIONS(13566),
    [anon_sym_struct] = ACTIONS(13566),
    [anon_sym_function] = ACTIONS(13566),
    [anon_sym_macro] = ACTIONS(13566),
    [anon_sym_where] = ACTIONS(13566),
    [anon_sym_quote] = ACTIONS(13566),
    [anon_sym_let] = ACTIONS(13566),
    [anon_sym_if] = ACTIONS(13566),
    [anon_sym_else] = ACTIONS(13566),
    [anon_sym_try] = ACTIONS(13566),
    [anon_sym_finally] = ACTIONS(13566),
    [anon_sym_for] = ACTIONS(13566),
    [anon_sym_while] = ACTIONS(13566),
    [sym_break_statement] = ACTIONS(13566),
    [sym_continue_statement] = ACTIONS(13566),
    [anon_sym_return] = ACTIONS(13566),
    [anon_sym_const] = ACTIONS(13566),
    [anon_sym_global] = ACTIONS(13566),
    [anon_sym_local] = ACTIONS(13566),
    [anon_sym_LPAREN] = ACTIONS(13566),
    [anon_sym_COLON2] = ACTIONS(13566),
    [anon_sym_export] = ACTIONS(13566),
    [anon_sym_import] = ACTIONS(13566),
    [anon_sym_using] = ACTIONS(13566),
    [anon_sym_LBRACK] = ACTIONS(13566),
    [anon_sym_LF] = ACTIONS(13564),
    [anon_sym_in] = ACTIONS(13566),
    [anon_sym_LBRACE] = ACTIONS(13566),
    [anon_sym_DOLLAR] = ACTIONS(13566),
    [anon_sym_COLON_COLON] = ACTIONS(13566),
    [anon_sym_isa] = ACTIONS(13566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13566),
    [anon_sym_QMARK] = ACTIONS(13566),
    [anon_sym_AT] = ACTIONS(13566),
    [anon_sym_true] = ACTIONS(13566),
    [anon_sym_false] = ACTIONS(13566),
    [aux_sym_integer_literal_token1] = ACTIONS(13566),
    [aux_sym_integer_literal_token2] = ACTIONS(13566),
    [aux_sym_integer_literal_token3] = ACTIONS(13566),
    [aux_sym_integer_literal_token4] = ACTIONS(13566),
    [aux_sym_float_literal_token1] = ACTIONS(13566),
    [aux_sym_float_literal_token3] = ACTIONS(13566),
    [aux_sym_float_literal_token4] = ACTIONS(13566),
    [sym_character_literal] = ACTIONS(13566),
    [sym__pair_operator] = ACTIONS(13566),
    [sym__arrow_operator] = ACTIONS(13566),
    [sym__lazy_or_operator] = ACTIONS(13566),
    [sym__lazy_and_operator] = ACTIONS(13566),
    [sym__comparison_operator] = ACTIONS(13566),
    [sym__pipe_right_operator] = ACTIONS(13566),
    [sym__pipe_left_operator] = ACTIONS(13566),
    [sym__ellipsis_operator] = ACTIONS(13566),
    [sym__plus_operator] = ACTIONS(13566),
    [sym__times_operator] = ACTIONS(13566),
    [sym__rational_operator] = ACTIONS(13566),
    [sym__bitshift_operator] = ACTIONS(13566),
    [sym__power_operator] = ACTIONS(13566),
    [sym__tilde_operator] = ACTIONS(13566),
    [sym__type_order_operator] = ACTIONS(13566),
    [sym__unary_operator] = ACTIONS(13566),
    [sym__unary_plus_operator] = ACTIONS(13566),
    [aux_sym__terminator_token1] = ACTIONS(13566),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13564),
    [sym__command_start] = ACTIONS(13564),
  },
  [7856] = {
    [sym__word_identifier] = ACTIONS(13696),
    [anon_sym_EQ] = ACTIONS(13696),
    [anon_sym_COMMA] = ACTIONS(13696),
    [anon_sym_COLON] = ACTIONS(13696),
    [anon_sym_begin] = ACTIONS(13696),
    [anon_sym_module] = ACTIONS(13696),
    [anon_sym_baremodule] = ACTIONS(13696),
    [anon_sym_end] = ACTIONS(13696),
    [anon_sym_abstract] = ACTIONS(13696),
    [anon_sym_primitive] = ACTIONS(13696),
    [anon_sym_mutable] = ACTIONS(13696),
    [anon_sym_struct] = ACTIONS(13696),
    [anon_sym_function] = ACTIONS(13696),
    [anon_sym_macro] = ACTIONS(13696),
    [anon_sym_where] = ACTIONS(13696),
    [anon_sym_quote] = ACTIONS(13696),
    [anon_sym_let] = ACTIONS(13696),
    [anon_sym_if] = ACTIONS(13696),
    [anon_sym_elseif] = ACTIONS(13696),
    [anon_sym_else] = ACTIONS(13696),
    [anon_sym_try] = ACTIONS(13696),
    [anon_sym_for] = ACTIONS(13696),
    [anon_sym_while] = ACTIONS(13696),
    [sym_break_statement] = ACTIONS(13696),
    [sym_continue_statement] = ACTIONS(13696),
    [anon_sym_return] = ACTIONS(13696),
    [anon_sym_const] = ACTIONS(13696),
    [anon_sym_global] = ACTIONS(13696),
    [anon_sym_local] = ACTIONS(13696),
    [anon_sym_LPAREN] = ACTIONS(13696),
    [anon_sym_COLON2] = ACTIONS(13696),
    [anon_sym_export] = ACTIONS(13696),
    [anon_sym_import] = ACTIONS(13696),
    [anon_sym_using] = ACTIONS(13696),
    [anon_sym_LBRACK] = ACTIONS(13696),
    [anon_sym_LF] = ACTIONS(13694),
    [anon_sym_in] = ACTIONS(13696),
    [anon_sym_LBRACE] = ACTIONS(13696),
    [anon_sym_DOLLAR] = ACTIONS(13696),
    [anon_sym_COLON_COLON] = ACTIONS(13696),
    [anon_sym_isa] = ACTIONS(13696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13696),
    [anon_sym_QMARK] = ACTIONS(13696),
    [anon_sym_AT] = ACTIONS(13696),
    [anon_sym_true] = ACTIONS(13696),
    [anon_sym_false] = ACTIONS(13696),
    [aux_sym_integer_literal_token1] = ACTIONS(13696),
    [aux_sym_integer_literal_token2] = ACTIONS(13696),
    [aux_sym_integer_literal_token3] = ACTIONS(13696),
    [aux_sym_integer_literal_token4] = ACTIONS(13696),
    [aux_sym_float_literal_token1] = ACTIONS(13696),
    [aux_sym_float_literal_token3] = ACTIONS(13696),
    [aux_sym_float_literal_token4] = ACTIONS(13696),
    [sym_character_literal] = ACTIONS(13696),
    [sym__pair_operator] = ACTIONS(13696),
    [sym__arrow_operator] = ACTIONS(13696),
    [sym__lazy_or_operator] = ACTIONS(13696),
    [sym__lazy_and_operator] = ACTIONS(13696),
    [sym__comparison_operator] = ACTIONS(13696),
    [sym__pipe_right_operator] = ACTIONS(13696),
    [sym__pipe_left_operator] = ACTIONS(13696),
    [sym__ellipsis_operator] = ACTIONS(13696),
    [sym__plus_operator] = ACTIONS(13696),
    [sym__times_operator] = ACTIONS(13696),
    [sym__rational_operator] = ACTIONS(13696),
    [sym__bitshift_operator] = ACTIONS(13696),
    [sym__power_operator] = ACTIONS(13696),
    [sym__tilde_operator] = ACTIONS(13696),
    [sym__type_order_operator] = ACTIONS(13696),
    [sym__unary_operator] = ACTIONS(13696),
    [sym__unary_plus_operator] = ACTIONS(13696),
    [aux_sym__terminator_token1] = ACTIONS(13696),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13694),
    [sym__command_start] = ACTIONS(13694),
  },
  [7857] = {
    [sym__word_identifier] = ACTIONS(13606),
    [anon_sym_EQ] = ACTIONS(13606),
    [anon_sym_COMMA] = ACTIONS(13606),
    [anon_sym_COLON] = ACTIONS(13606),
    [anon_sym_begin] = ACTIONS(13606),
    [anon_sym_module] = ACTIONS(13606),
    [anon_sym_baremodule] = ACTIONS(13606),
    [anon_sym_end] = ACTIONS(13606),
    [anon_sym_abstract] = ACTIONS(13606),
    [anon_sym_primitive] = ACTIONS(13606),
    [anon_sym_mutable] = ACTIONS(13606),
    [anon_sym_struct] = ACTIONS(13606),
    [anon_sym_function] = ACTIONS(13606),
    [anon_sym_macro] = ACTIONS(13606),
    [anon_sym_where] = ACTIONS(13606),
    [anon_sym_quote] = ACTIONS(13606),
    [anon_sym_let] = ACTIONS(13606),
    [anon_sym_if] = ACTIONS(13606),
    [anon_sym_elseif] = ACTIONS(13606),
    [anon_sym_else] = ACTIONS(13606),
    [anon_sym_try] = ACTIONS(13606),
    [anon_sym_for] = ACTIONS(13606),
    [anon_sym_while] = ACTIONS(13606),
    [sym_break_statement] = ACTIONS(13606),
    [sym_continue_statement] = ACTIONS(13606),
    [anon_sym_return] = ACTIONS(13606),
    [anon_sym_const] = ACTIONS(13606),
    [anon_sym_global] = ACTIONS(13606),
    [anon_sym_local] = ACTIONS(13606),
    [anon_sym_LPAREN] = ACTIONS(13606),
    [anon_sym_COLON2] = ACTIONS(13606),
    [anon_sym_export] = ACTIONS(13606),
    [anon_sym_import] = ACTIONS(13606),
    [anon_sym_using] = ACTIONS(13606),
    [anon_sym_LBRACK] = ACTIONS(13606),
    [anon_sym_LF] = ACTIONS(13604),
    [anon_sym_in] = ACTIONS(13606),
    [anon_sym_LBRACE] = ACTIONS(13606),
    [anon_sym_DOLLAR] = ACTIONS(13606),
    [anon_sym_COLON_COLON] = ACTIONS(13606),
    [anon_sym_isa] = ACTIONS(13606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13606),
    [anon_sym_QMARK] = ACTIONS(13606),
    [anon_sym_AT] = ACTIONS(13606),
    [anon_sym_true] = ACTIONS(13606),
    [anon_sym_false] = ACTIONS(13606),
    [aux_sym_integer_literal_token1] = ACTIONS(13606),
    [aux_sym_integer_literal_token2] = ACTIONS(13606),
    [aux_sym_integer_literal_token3] = ACTIONS(13606),
    [aux_sym_integer_literal_token4] = ACTIONS(13606),
    [aux_sym_float_literal_token1] = ACTIONS(13606),
    [aux_sym_float_literal_token3] = ACTIONS(13606),
    [aux_sym_float_literal_token4] = ACTIONS(13606),
    [sym_character_literal] = ACTIONS(13606),
    [sym__pair_operator] = ACTIONS(13606),
    [sym__arrow_operator] = ACTIONS(13606),
    [sym__lazy_or_operator] = ACTIONS(13606),
    [sym__lazy_and_operator] = ACTIONS(13606),
    [sym__comparison_operator] = ACTIONS(13606),
    [sym__pipe_right_operator] = ACTIONS(13606),
    [sym__pipe_left_operator] = ACTIONS(13606),
    [sym__ellipsis_operator] = ACTIONS(13606),
    [sym__plus_operator] = ACTIONS(13606),
    [sym__times_operator] = ACTIONS(13606),
    [sym__rational_operator] = ACTIONS(13606),
    [sym__bitshift_operator] = ACTIONS(13606),
    [sym__power_operator] = ACTIONS(13606),
    [sym__tilde_operator] = ACTIONS(13606),
    [sym__type_order_operator] = ACTIONS(13606),
    [sym__unary_operator] = ACTIONS(13606),
    [sym__unary_plus_operator] = ACTIONS(13606),
    [aux_sym__terminator_token1] = ACTIONS(13606),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13604),
    [sym__command_start] = ACTIONS(13604),
  },
  [7858] = {
    [ts_builtin_sym_end] = ACTIONS(13634),
    [sym__word_identifier] = ACTIONS(13632),
    [anon_sym_EQ] = ACTIONS(13632),
    [anon_sym_COMMA] = ACTIONS(13632),
    [anon_sym_COLON] = ACTIONS(13632),
    [anon_sym_begin] = ACTIONS(13632),
    [anon_sym_module] = ACTIONS(13632),
    [anon_sym_baremodule] = ACTIONS(13632),
    [anon_sym_abstract] = ACTIONS(13632),
    [anon_sym_primitive] = ACTIONS(13632),
    [anon_sym_mutable] = ACTIONS(13632),
    [anon_sym_struct] = ACTIONS(13632),
    [anon_sym_function] = ACTIONS(13632),
    [anon_sym_macro] = ACTIONS(13632),
    [anon_sym_where] = ACTIONS(13632),
    [anon_sym_quote] = ACTIONS(13632),
    [anon_sym_let] = ACTIONS(13632),
    [anon_sym_if] = ACTIONS(13632),
    [anon_sym_try] = ACTIONS(13632),
    [anon_sym_for] = ACTIONS(13632),
    [anon_sym_while] = ACTIONS(13632),
    [sym_break_statement] = ACTIONS(13632),
    [sym_continue_statement] = ACTIONS(13632),
    [anon_sym_return] = ACTIONS(13632),
    [anon_sym_const] = ACTIONS(13632),
    [anon_sym_global] = ACTIONS(13632),
    [anon_sym_local] = ACTIONS(13632),
    [anon_sym_LPAREN] = ACTIONS(13632),
    [anon_sym_RPAREN] = ACTIONS(13632),
    [anon_sym_COLON2] = ACTIONS(13632),
    [anon_sym_export] = ACTIONS(13632),
    [anon_sym_import] = ACTIONS(13632),
    [anon_sym_using] = ACTIONS(13632),
    [anon_sym_LBRACK] = ACTIONS(13632),
    [anon_sym_RBRACK] = ACTIONS(13632),
    [anon_sym_LF] = ACTIONS(13634),
    [anon_sym_in] = ACTIONS(13632),
    [anon_sym_LBRACE] = ACTIONS(13632),
    [anon_sym_DOLLAR] = ACTIONS(13632),
    [anon_sym_COLON_COLON] = ACTIONS(13632),
    [anon_sym_isa] = ACTIONS(13632),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13632),
    [anon_sym_QMARK] = ACTIONS(13632),
    [anon_sym_AT] = ACTIONS(13632),
    [anon_sym_true] = ACTIONS(13632),
    [anon_sym_false] = ACTIONS(13632),
    [aux_sym_integer_literal_token1] = ACTIONS(13632),
    [aux_sym_integer_literal_token2] = ACTIONS(13632),
    [aux_sym_integer_literal_token3] = ACTIONS(13632),
    [aux_sym_integer_literal_token4] = ACTIONS(13632),
    [aux_sym_float_literal_token1] = ACTIONS(13632),
    [aux_sym_float_literal_token3] = ACTIONS(13632),
    [aux_sym_float_literal_token4] = ACTIONS(13632),
    [sym_character_literal] = ACTIONS(13632),
    [sym__pair_operator] = ACTIONS(13632),
    [sym__arrow_operator] = ACTIONS(13632),
    [sym__lazy_or_operator] = ACTIONS(13632),
    [sym__lazy_and_operator] = ACTIONS(13632),
    [sym__comparison_operator] = ACTIONS(13632),
    [sym__pipe_right_operator] = ACTIONS(13632),
    [sym__pipe_left_operator] = ACTIONS(13632),
    [sym__ellipsis_operator] = ACTIONS(13632),
    [sym__plus_operator] = ACTIONS(13632),
    [sym__times_operator] = ACTIONS(13632),
    [sym__rational_operator] = ACTIONS(13632),
    [sym__bitshift_operator] = ACTIONS(13632),
    [sym__power_operator] = ACTIONS(13632),
    [sym__tilde_operator] = ACTIONS(13632),
    [sym__type_order_operator] = ACTIONS(13632),
    [sym__unary_operator] = ACTIONS(13632),
    [sym__unary_plus_operator] = ACTIONS(13632),
    [aux_sym__terminator_token1] = ACTIONS(13632),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13634),
    [sym__command_start] = ACTIONS(13634),
  },
  [7859] = {
    [sym__word_identifier] = ACTIONS(13570),
    [anon_sym_EQ] = ACTIONS(13570),
    [anon_sym_COMMA] = ACTIONS(13570),
    [anon_sym_COLON] = ACTIONS(13570),
    [anon_sym_begin] = ACTIONS(13570),
    [anon_sym_module] = ACTIONS(13570),
    [anon_sym_baremodule] = ACTIONS(13570),
    [anon_sym_end] = ACTIONS(13570),
    [anon_sym_abstract] = ACTIONS(13570),
    [anon_sym_primitive] = ACTIONS(13570),
    [anon_sym_mutable] = ACTIONS(13570),
    [anon_sym_struct] = ACTIONS(13570),
    [anon_sym_function] = ACTIONS(13570),
    [anon_sym_macro] = ACTIONS(13570),
    [anon_sym_where] = ACTIONS(13570),
    [anon_sym_quote] = ACTIONS(13570),
    [anon_sym_let] = ACTIONS(13570),
    [anon_sym_if] = ACTIONS(13570),
    [anon_sym_elseif] = ACTIONS(13570),
    [anon_sym_else] = ACTIONS(13570),
    [anon_sym_try] = ACTIONS(13570),
    [anon_sym_for] = ACTIONS(13570),
    [anon_sym_while] = ACTIONS(13570),
    [sym_break_statement] = ACTIONS(13570),
    [sym_continue_statement] = ACTIONS(13570),
    [anon_sym_return] = ACTIONS(13570),
    [anon_sym_const] = ACTIONS(13570),
    [anon_sym_global] = ACTIONS(13570),
    [anon_sym_local] = ACTIONS(13570),
    [anon_sym_LPAREN] = ACTIONS(13570),
    [anon_sym_COLON2] = ACTIONS(13570),
    [anon_sym_export] = ACTIONS(13570),
    [anon_sym_import] = ACTIONS(13570),
    [anon_sym_using] = ACTIONS(13570),
    [anon_sym_LBRACK] = ACTIONS(13570),
    [anon_sym_LF] = ACTIONS(13568),
    [anon_sym_in] = ACTIONS(13570),
    [anon_sym_LBRACE] = ACTIONS(13570),
    [anon_sym_DOLLAR] = ACTIONS(13570),
    [anon_sym_COLON_COLON] = ACTIONS(13570),
    [anon_sym_isa] = ACTIONS(13570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13570),
    [anon_sym_QMARK] = ACTIONS(13570),
    [anon_sym_AT] = ACTIONS(13570),
    [anon_sym_true] = ACTIONS(13570),
    [anon_sym_false] = ACTIONS(13570),
    [aux_sym_integer_literal_token1] = ACTIONS(13570),
    [aux_sym_integer_literal_token2] = ACTIONS(13570),
    [aux_sym_integer_literal_token3] = ACTIONS(13570),
    [aux_sym_integer_literal_token4] = ACTIONS(13570),
    [aux_sym_float_literal_token1] = ACTIONS(13570),
    [aux_sym_float_literal_token3] = ACTIONS(13570),
    [aux_sym_float_literal_token4] = ACTIONS(13570),
    [sym_character_literal] = ACTIONS(13570),
    [sym__pair_operator] = ACTIONS(13570),
    [sym__arrow_operator] = ACTIONS(13570),
    [sym__lazy_or_operator] = ACTIONS(13570),
    [sym__lazy_and_operator] = ACTIONS(13570),
    [sym__comparison_operator] = ACTIONS(13570),
    [sym__pipe_right_operator] = ACTIONS(13570),
    [sym__pipe_left_operator] = ACTIONS(13570),
    [sym__ellipsis_operator] = ACTIONS(13570),
    [sym__plus_operator] = ACTIONS(13570),
    [sym__times_operator] = ACTIONS(13570),
    [sym__rational_operator] = ACTIONS(13570),
    [sym__bitshift_operator] = ACTIONS(13570),
    [sym__power_operator] = ACTIONS(13570),
    [sym__tilde_operator] = ACTIONS(13570),
    [sym__type_order_operator] = ACTIONS(13570),
    [sym__unary_operator] = ACTIONS(13570),
    [sym__unary_plus_operator] = ACTIONS(13570),
    [aux_sym__terminator_token1] = ACTIONS(13570),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13568),
    [sym__command_start] = ACTIONS(13568),
  },
  [7860] = {
    [sym__word_identifier] = ACTIONS(13566),
    [anon_sym_EQ] = ACTIONS(13566),
    [anon_sym_COMMA] = ACTIONS(13566),
    [anon_sym_COLON] = ACTIONS(13566),
    [anon_sym_begin] = ACTIONS(13566),
    [anon_sym_module] = ACTIONS(13566),
    [anon_sym_baremodule] = ACTIONS(13566),
    [anon_sym_end] = ACTIONS(13566),
    [anon_sym_abstract] = ACTIONS(13566),
    [anon_sym_primitive] = ACTIONS(13566),
    [anon_sym_mutable] = ACTIONS(13566),
    [anon_sym_struct] = ACTIONS(13566),
    [anon_sym_function] = ACTIONS(13566),
    [anon_sym_macro] = ACTIONS(13566),
    [anon_sym_where] = ACTIONS(13566),
    [anon_sym_quote] = ACTIONS(13566),
    [anon_sym_let] = ACTIONS(13566),
    [anon_sym_if] = ACTIONS(13566),
    [anon_sym_elseif] = ACTIONS(13566),
    [anon_sym_else] = ACTIONS(13566),
    [anon_sym_try] = ACTIONS(13566),
    [anon_sym_for] = ACTIONS(13566),
    [anon_sym_while] = ACTIONS(13566),
    [sym_break_statement] = ACTIONS(13566),
    [sym_continue_statement] = ACTIONS(13566),
    [anon_sym_return] = ACTIONS(13566),
    [anon_sym_const] = ACTIONS(13566),
    [anon_sym_global] = ACTIONS(13566),
    [anon_sym_local] = ACTIONS(13566),
    [anon_sym_LPAREN] = ACTIONS(13566),
    [anon_sym_COLON2] = ACTIONS(13566),
    [anon_sym_export] = ACTIONS(13566),
    [anon_sym_import] = ACTIONS(13566),
    [anon_sym_using] = ACTIONS(13566),
    [anon_sym_LBRACK] = ACTIONS(13566),
    [anon_sym_LF] = ACTIONS(13564),
    [anon_sym_in] = ACTIONS(13566),
    [anon_sym_LBRACE] = ACTIONS(13566),
    [anon_sym_DOLLAR] = ACTIONS(13566),
    [anon_sym_COLON_COLON] = ACTIONS(13566),
    [anon_sym_isa] = ACTIONS(13566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13566),
    [anon_sym_QMARK] = ACTIONS(13566),
    [anon_sym_AT] = ACTIONS(13566),
    [anon_sym_true] = ACTIONS(13566),
    [anon_sym_false] = ACTIONS(13566),
    [aux_sym_integer_literal_token1] = ACTIONS(13566),
    [aux_sym_integer_literal_token2] = ACTIONS(13566),
    [aux_sym_integer_literal_token3] = ACTIONS(13566),
    [aux_sym_integer_literal_token4] = ACTIONS(13566),
    [aux_sym_float_literal_token1] = ACTIONS(13566),
    [aux_sym_float_literal_token3] = ACTIONS(13566),
    [aux_sym_float_literal_token4] = ACTIONS(13566),
    [sym_character_literal] = ACTIONS(13566),
    [sym__pair_operator] = ACTIONS(13566),
    [sym__arrow_operator] = ACTIONS(13566),
    [sym__lazy_or_operator] = ACTIONS(13566),
    [sym__lazy_and_operator] = ACTIONS(13566),
    [sym__comparison_operator] = ACTIONS(13566),
    [sym__pipe_right_operator] = ACTIONS(13566),
    [sym__pipe_left_operator] = ACTIONS(13566),
    [sym__ellipsis_operator] = ACTIONS(13566),
    [sym__plus_operator] = ACTIONS(13566),
    [sym__times_operator] = ACTIONS(13566),
    [sym__rational_operator] = ACTIONS(13566),
    [sym__bitshift_operator] = ACTIONS(13566),
    [sym__power_operator] = ACTIONS(13566),
    [sym__tilde_operator] = ACTIONS(13566),
    [sym__type_order_operator] = ACTIONS(13566),
    [sym__unary_operator] = ACTIONS(13566),
    [sym__unary_plus_operator] = ACTIONS(13566),
    [aux_sym__terminator_token1] = ACTIONS(13566),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13564),
    [sym__command_start] = ACTIONS(13564),
  },
  [7861] = {
    [sym__word_identifier] = ACTIONS(13504),
    [anon_sym_EQ] = ACTIONS(13504),
    [anon_sym_COMMA] = ACTIONS(13504),
    [anon_sym_COLON] = ACTIONS(13504),
    [anon_sym_begin] = ACTIONS(13504),
    [anon_sym_module] = ACTIONS(13504),
    [anon_sym_baremodule] = ACTIONS(13504),
    [anon_sym_end] = ACTIONS(13504),
    [anon_sym_abstract] = ACTIONS(13504),
    [anon_sym_primitive] = ACTIONS(13504),
    [anon_sym_mutable] = ACTIONS(13504),
    [anon_sym_struct] = ACTIONS(13504),
    [anon_sym_function] = ACTIONS(13504),
    [anon_sym_macro] = ACTIONS(13504),
    [anon_sym_where] = ACTIONS(13504),
    [anon_sym_quote] = ACTIONS(13504),
    [anon_sym_let] = ACTIONS(13504),
    [anon_sym_if] = ACTIONS(13504),
    [anon_sym_elseif] = ACTIONS(13504),
    [anon_sym_else] = ACTIONS(13504),
    [anon_sym_try] = ACTIONS(13504),
    [anon_sym_for] = ACTIONS(13504),
    [anon_sym_while] = ACTIONS(13504),
    [sym_break_statement] = ACTIONS(13504),
    [sym_continue_statement] = ACTIONS(13504),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_const] = ACTIONS(13504),
    [anon_sym_global] = ACTIONS(13504),
    [anon_sym_local] = ACTIONS(13504),
    [anon_sym_LPAREN] = ACTIONS(13504),
    [anon_sym_COLON2] = ACTIONS(13504),
    [anon_sym_export] = ACTIONS(13504),
    [anon_sym_import] = ACTIONS(13504),
    [anon_sym_using] = ACTIONS(13504),
    [anon_sym_LBRACK] = ACTIONS(13504),
    [anon_sym_LF] = ACTIONS(13502),
    [anon_sym_in] = ACTIONS(13504),
    [anon_sym_LBRACE] = ACTIONS(13504),
    [anon_sym_DOLLAR] = ACTIONS(13504),
    [anon_sym_COLON_COLON] = ACTIONS(13504),
    [anon_sym_isa] = ACTIONS(13504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13504),
    [anon_sym_QMARK] = ACTIONS(13504),
    [anon_sym_AT] = ACTIONS(13504),
    [anon_sym_true] = ACTIONS(13504),
    [anon_sym_false] = ACTIONS(13504),
    [aux_sym_integer_literal_token1] = ACTIONS(13504),
    [aux_sym_integer_literal_token2] = ACTIONS(13504),
    [aux_sym_integer_literal_token3] = ACTIONS(13504),
    [aux_sym_integer_literal_token4] = ACTIONS(13504),
    [aux_sym_float_literal_token1] = ACTIONS(13504),
    [aux_sym_float_literal_token3] = ACTIONS(13504),
    [aux_sym_float_literal_token4] = ACTIONS(13504),
    [sym_character_literal] = ACTIONS(13504),
    [sym__pair_operator] = ACTIONS(13504),
    [sym__arrow_operator] = ACTIONS(13504),
    [sym__lazy_or_operator] = ACTIONS(13504),
    [sym__lazy_and_operator] = ACTIONS(13504),
    [sym__comparison_operator] = ACTIONS(13504),
    [sym__pipe_right_operator] = ACTIONS(13504),
    [sym__pipe_left_operator] = ACTIONS(13504),
    [sym__ellipsis_operator] = ACTIONS(13504),
    [sym__plus_operator] = ACTIONS(13504),
    [sym__times_operator] = ACTIONS(13504),
    [sym__rational_operator] = ACTIONS(13504),
    [sym__bitshift_operator] = ACTIONS(13504),
    [sym__power_operator] = ACTIONS(13504),
    [sym__tilde_operator] = ACTIONS(13504),
    [sym__type_order_operator] = ACTIONS(13504),
    [sym__unary_operator] = ACTIONS(13504),
    [sym__unary_plus_operator] = ACTIONS(13504),
    [aux_sym__terminator_token1] = ACTIONS(13504),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13502),
    [sym__command_start] = ACTIONS(13502),
  },
  [7862] = {
    [sym__comprehension_clause] = STATE(19617),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16997),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14272),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14274),
    [anon_sym_LF] = ACTIONS(14276),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14279),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7863] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_as] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [7864] = {
    [sym__word_identifier] = ACTIONS(13474),
    [anon_sym_EQ] = ACTIONS(13474),
    [anon_sym_COMMA] = ACTIONS(13474),
    [anon_sym_COLON] = ACTIONS(13474),
    [anon_sym_begin] = ACTIONS(13474),
    [anon_sym_module] = ACTIONS(13474),
    [anon_sym_baremodule] = ACTIONS(13474),
    [anon_sym_end] = ACTIONS(13474),
    [anon_sym_abstract] = ACTIONS(13474),
    [anon_sym_primitive] = ACTIONS(13474),
    [anon_sym_mutable] = ACTIONS(13474),
    [anon_sym_struct] = ACTIONS(13474),
    [anon_sym_function] = ACTIONS(13474),
    [anon_sym_macro] = ACTIONS(13474),
    [anon_sym_where] = ACTIONS(13474),
    [anon_sym_quote] = ACTIONS(13474),
    [anon_sym_let] = ACTIONS(13474),
    [anon_sym_if] = ACTIONS(13474),
    [anon_sym_elseif] = ACTIONS(13474),
    [anon_sym_else] = ACTIONS(13474),
    [anon_sym_try] = ACTIONS(13474),
    [anon_sym_for] = ACTIONS(13474),
    [anon_sym_while] = ACTIONS(13474),
    [sym_break_statement] = ACTIONS(13474),
    [sym_continue_statement] = ACTIONS(13474),
    [anon_sym_return] = ACTIONS(13474),
    [anon_sym_const] = ACTIONS(13474),
    [anon_sym_global] = ACTIONS(13474),
    [anon_sym_local] = ACTIONS(13474),
    [anon_sym_LPAREN] = ACTIONS(13474),
    [anon_sym_COLON2] = ACTIONS(13474),
    [anon_sym_export] = ACTIONS(13474),
    [anon_sym_import] = ACTIONS(13474),
    [anon_sym_using] = ACTIONS(13474),
    [anon_sym_LBRACK] = ACTIONS(13474),
    [anon_sym_LF] = ACTIONS(13472),
    [anon_sym_in] = ACTIONS(13474),
    [anon_sym_LBRACE] = ACTIONS(13474),
    [anon_sym_DOLLAR] = ACTIONS(13474),
    [anon_sym_COLON_COLON] = ACTIONS(13474),
    [anon_sym_isa] = ACTIONS(13474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13474),
    [anon_sym_AT] = ACTIONS(13474),
    [anon_sym_true] = ACTIONS(13474),
    [anon_sym_false] = ACTIONS(13474),
    [aux_sym_integer_literal_token1] = ACTIONS(13474),
    [aux_sym_integer_literal_token2] = ACTIONS(13474),
    [aux_sym_integer_literal_token3] = ACTIONS(13474),
    [aux_sym_integer_literal_token4] = ACTIONS(13474),
    [aux_sym_float_literal_token1] = ACTIONS(13474),
    [aux_sym_float_literal_token3] = ACTIONS(13474),
    [aux_sym_float_literal_token4] = ACTIONS(13474),
    [sym_character_literal] = ACTIONS(13474),
    [sym__pair_operator] = ACTIONS(13474),
    [sym__arrow_operator] = ACTIONS(13474),
    [sym__lazy_or_operator] = ACTIONS(13474),
    [sym__lazy_and_operator] = ACTIONS(13474),
    [sym__comparison_operator] = ACTIONS(13474),
    [sym__pipe_right_operator] = ACTIONS(13474),
    [sym__pipe_left_operator] = ACTIONS(13474),
    [sym__ellipsis_operator] = ACTIONS(13474),
    [sym__plus_operator] = ACTIONS(13474),
    [sym__times_operator] = ACTIONS(13474),
    [sym__rational_operator] = ACTIONS(13474),
    [sym__bitshift_operator] = ACTIONS(13474),
    [sym__power_operator] = ACTIONS(13474),
    [sym__tilde_operator] = ACTIONS(13474),
    [sym__type_order_operator] = ACTIONS(13474),
    [sym__unary_operator] = ACTIONS(13474),
    [sym__unary_plus_operator] = ACTIONS(13474),
    [aux_sym__terminator_token1] = ACTIONS(13474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13472),
    [sym__command_start] = ACTIONS(13472),
  },
  [7865] = {
    [sym__comprehension_clause] = STATE(19745),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17207),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14282),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14284),
    [anon_sym_LF] = ACTIONS(14286),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14289),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7866] = {
    [sym__primary_expression] = STATE(11373),
    [sym__array] = STATE(11373),
    [sym_comprehension_expression] = STATE(11373),
    [sym_matrix_expression] = STATE(11373),
    [sym_vector_expression] = STATE(11373),
    [sym_parenthesized_expression] = STATE(11373),
    [sym_tuple_expression] = STATE(11373),
    [sym_curly_expression] = STATE(11373),
    [sym_adjoint_expression] = STATE(11373),
    [sym_field_expression] = STATE(11373),
    [sym_index_expression] = STATE(11373),
    [sym_parametrized_type_expression] = STATE(11373),
    [sym_call_expression] = STATE(11373),
    [sym_broadcast_call_expression] = STATE(11373),
    [sym__closed_macrocall_expression] = STATE(11373),
    [sym_interpolation_expression] = STATE(11373),
    [sym_quote_expression] = STATE(11373),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(11113),
    [sym_boolean_literal] = STATE(11373),
    [sym__string] = STATE(11373),
    [sym_string_literal] = STATE(11373),
    [sym_command_literal] = STATE(11373),
    [sym_prefixed_string_literal] = STATE(11373),
    [sym_prefixed_command_literal] = STATE(11373),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(14292),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_catch] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(14294),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(14296),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [7867] = {
    [ts_builtin_sym_end] = ACTIONS(13562),
    [sym__word_identifier] = ACTIONS(13560),
    [anon_sym_EQ] = ACTIONS(13560),
    [anon_sym_COMMA] = ACTIONS(13560),
    [anon_sym_COLON] = ACTIONS(13560),
    [anon_sym_begin] = ACTIONS(13560),
    [anon_sym_module] = ACTIONS(13560),
    [anon_sym_baremodule] = ACTIONS(13560),
    [anon_sym_abstract] = ACTIONS(13560),
    [anon_sym_primitive] = ACTIONS(13560),
    [anon_sym_mutable] = ACTIONS(13560),
    [anon_sym_struct] = ACTIONS(13560),
    [anon_sym_function] = ACTIONS(13560),
    [anon_sym_macro] = ACTIONS(13560),
    [anon_sym_where] = ACTIONS(13560),
    [anon_sym_quote] = ACTIONS(13560),
    [anon_sym_let] = ACTIONS(13560),
    [anon_sym_if] = ACTIONS(13560),
    [anon_sym_try] = ACTIONS(13560),
    [anon_sym_for] = ACTIONS(13560),
    [anon_sym_while] = ACTIONS(13560),
    [sym_break_statement] = ACTIONS(13560),
    [sym_continue_statement] = ACTIONS(13560),
    [anon_sym_return] = ACTIONS(13560),
    [anon_sym_const] = ACTIONS(13560),
    [anon_sym_global] = ACTIONS(13560),
    [anon_sym_local] = ACTIONS(13560),
    [anon_sym_LPAREN] = ACTIONS(13560),
    [anon_sym_RPAREN] = ACTIONS(13560),
    [anon_sym_COLON2] = ACTIONS(13560),
    [anon_sym_export] = ACTIONS(13560),
    [anon_sym_import] = ACTIONS(13560),
    [anon_sym_using] = ACTIONS(13560),
    [anon_sym_LBRACK] = ACTIONS(13560),
    [anon_sym_RBRACK] = ACTIONS(13560),
    [anon_sym_LF] = ACTIONS(13562),
    [anon_sym_in] = ACTIONS(13560),
    [anon_sym_LBRACE] = ACTIONS(13560),
    [anon_sym_DOLLAR] = ACTIONS(13560),
    [anon_sym_COLON_COLON] = ACTIONS(13560),
    [anon_sym_isa] = ACTIONS(13560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13560),
    [anon_sym_QMARK] = ACTIONS(13560),
    [anon_sym_AT] = ACTIONS(13560),
    [anon_sym_true] = ACTIONS(13560),
    [anon_sym_false] = ACTIONS(13560),
    [aux_sym_integer_literal_token1] = ACTIONS(13560),
    [aux_sym_integer_literal_token2] = ACTIONS(13560),
    [aux_sym_integer_literal_token3] = ACTIONS(13560),
    [aux_sym_integer_literal_token4] = ACTIONS(13560),
    [aux_sym_float_literal_token1] = ACTIONS(13560),
    [aux_sym_float_literal_token3] = ACTIONS(13560),
    [aux_sym_float_literal_token4] = ACTIONS(13560),
    [sym_character_literal] = ACTIONS(13560),
    [sym__pair_operator] = ACTIONS(13560),
    [sym__arrow_operator] = ACTIONS(13560),
    [sym__lazy_or_operator] = ACTIONS(13560),
    [sym__lazy_and_operator] = ACTIONS(13560),
    [sym__comparison_operator] = ACTIONS(13560),
    [sym__pipe_right_operator] = ACTIONS(13560),
    [sym__pipe_left_operator] = ACTIONS(13560),
    [sym__ellipsis_operator] = ACTIONS(13560),
    [sym__plus_operator] = ACTIONS(13560),
    [sym__times_operator] = ACTIONS(13560),
    [sym__rational_operator] = ACTIONS(13560),
    [sym__bitshift_operator] = ACTIONS(13560),
    [sym__power_operator] = ACTIONS(13560),
    [sym__tilde_operator] = ACTIONS(13560),
    [sym__type_order_operator] = ACTIONS(13560),
    [sym__unary_operator] = ACTIONS(13560),
    [sym__unary_plus_operator] = ACTIONS(13560),
    [aux_sym__terminator_token1] = ACTIONS(13560),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13562),
    [sym__command_start] = ACTIONS(13562),
  },
  [7868] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_as] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [7869] = {
    [sym__word_identifier] = ACTIONS(13436),
    [anon_sym_EQ] = ACTIONS(13436),
    [anon_sym_COMMA] = ACTIONS(13436),
    [anon_sym_COLON] = ACTIONS(13436),
    [anon_sym_begin] = ACTIONS(13436),
    [anon_sym_module] = ACTIONS(13436),
    [anon_sym_baremodule] = ACTIONS(13436),
    [anon_sym_end] = ACTIONS(13436),
    [anon_sym_abstract] = ACTIONS(13436),
    [anon_sym_primitive] = ACTIONS(13436),
    [anon_sym_mutable] = ACTIONS(13436),
    [anon_sym_struct] = ACTIONS(13436),
    [anon_sym_function] = ACTIONS(13436),
    [anon_sym_macro] = ACTIONS(13436),
    [anon_sym_where] = ACTIONS(13436),
    [anon_sym_quote] = ACTIONS(13436),
    [anon_sym_let] = ACTIONS(13436),
    [anon_sym_if] = ACTIONS(13436),
    [anon_sym_elseif] = ACTIONS(13436),
    [anon_sym_else] = ACTIONS(13436),
    [anon_sym_try] = ACTIONS(13436),
    [anon_sym_for] = ACTIONS(13436),
    [anon_sym_while] = ACTIONS(13436),
    [sym_break_statement] = ACTIONS(13436),
    [sym_continue_statement] = ACTIONS(13436),
    [anon_sym_return] = ACTIONS(13436),
    [anon_sym_const] = ACTIONS(13436),
    [anon_sym_global] = ACTIONS(13436),
    [anon_sym_local] = ACTIONS(13436),
    [anon_sym_LPAREN] = ACTIONS(13436),
    [anon_sym_COLON2] = ACTIONS(13436),
    [anon_sym_export] = ACTIONS(13436),
    [anon_sym_import] = ACTIONS(13436),
    [anon_sym_using] = ACTIONS(13436),
    [anon_sym_LBRACK] = ACTIONS(13436),
    [anon_sym_LF] = ACTIONS(13434),
    [anon_sym_in] = ACTIONS(13436),
    [anon_sym_LBRACE] = ACTIONS(13436),
    [anon_sym_DOLLAR] = ACTIONS(13436),
    [anon_sym_COLON_COLON] = ACTIONS(13436),
    [anon_sym_isa] = ACTIONS(13436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13436),
    [anon_sym_QMARK] = ACTIONS(13436),
    [anon_sym_AT] = ACTIONS(13436),
    [anon_sym_true] = ACTIONS(13436),
    [anon_sym_false] = ACTIONS(13436),
    [aux_sym_integer_literal_token1] = ACTIONS(13436),
    [aux_sym_integer_literal_token2] = ACTIONS(13436),
    [aux_sym_integer_literal_token3] = ACTIONS(13436),
    [aux_sym_integer_literal_token4] = ACTIONS(13436),
    [aux_sym_float_literal_token1] = ACTIONS(13436),
    [aux_sym_float_literal_token3] = ACTIONS(13436),
    [aux_sym_float_literal_token4] = ACTIONS(13436),
    [sym_character_literal] = ACTIONS(13436),
    [sym__pair_operator] = ACTIONS(13436),
    [sym__arrow_operator] = ACTIONS(13436),
    [sym__lazy_or_operator] = ACTIONS(13436),
    [sym__lazy_and_operator] = ACTIONS(13436),
    [sym__comparison_operator] = ACTIONS(13436),
    [sym__pipe_right_operator] = ACTIONS(13436),
    [sym__pipe_left_operator] = ACTIONS(13436),
    [sym__ellipsis_operator] = ACTIONS(13436),
    [sym__plus_operator] = ACTIONS(13436),
    [sym__times_operator] = ACTIONS(13436),
    [sym__rational_operator] = ACTIONS(13436),
    [sym__bitshift_operator] = ACTIONS(13436),
    [sym__power_operator] = ACTIONS(13436),
    [sym__tilde_operator] = ACTIONS(13436),
    [sym__type_order_operator] = ACTIONS(13436),
    [sym__unary_operator] = ACTIONS(13436),
    [sym__unary_plus_operator] = ACTIONS(13436),
    [aux_sym__terminator_token1] = ACTIONS(13436),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13434),
    [sym__command_start] = ACTIONS(13434),
  },
  [7870] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11852),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7871] = {
    [sym__word_identifier] = ACTIONS(13478),
    [anon_sym_EQ] = ACTIONS(13478),
    [anon_sym_COMMA] = ACTIONS(13478),
    [anon_sym_COLON] = ACTIONS(13478),
    [anon_sym_begin] = ACTIONS(13478),
    [anon_sym_module] = ACTIONS(13478),
    [anon_sym_baremodule] = ACTIONS(13478),
    [anon_sym_end] = ACTIONS(13478),
    [anon_sym_abstract] = ACTIONS(13478),
    [anon_sym_primitive] = ACTIONS(13478),
    [anon_sym_mutable] = ACTIONS(13478),
    [anon_sym_struct] = ACTIONS(13478),
    [anon_sym_function] = ACTIONS(13478),
    [anon_sym_macro] = ACTIONS(13478),
    [anon_sym_where] = ACTIONS(13478),
    [anon_sym_quote] = ACTIONS(13478),
    [anon_sym_let] = ACTIONS(13478),
    [anon_sym_if] = ACTIONS(13478),
    [anon_sym_elseif] = ACTIONS(13478),
    [anon_sym_else] = ACTIONS(13478),
    [anon_sym_try] = ACTIONS(13478),
    [anon_sym_for] = ACTIONS(13478),
    [anon_sym_while] = ACTIONS(13478),
    [sym_break_statement] = ACTIONS(13478),
    [sym_continue_statement] = ACTIONS(13478),
    [anon_sym_return] = ACTIONS(13478),
    [anon_sym_const] = ACTIONS(13478),
    [anon_sym_global] = ACTIONS(13478),
    [anon_sym_local] = ACTIONS(13478),
    [anon_sym_LPAREN] = ACTIONS(13478),
    [anon_sym_COLON2] = ACTIONS(13478),
    [anon_sym_export] = ACTIONS(13478),
    [anon_sym_import] = ACTIONS(13478),
    [anon_sym_using] = ACTIONS(13478),
    [anon_sym_LBRACK] = ACTIONS(13478),
    [anon_sym_LF] = ACTIONS(13476),
    [anon_sym_in] = ACTIONS(13478),
    [anon_sym_LBRACE] = ACTIONS(13478),
    [anon_sym_DOLLAR] = ACTIONS(13478),
    [anon_sym_COLON_COLON] = ACTIONS(13478),
    [anon_sym_isa] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13478),
    [anon_sym_QMARK] = ACTIONS(13478),
    [anon_sym_AT] = ACTIONS(13478),
    [anon_sym_true] = ACTIONS(13478),
    [anon_sym_false] = ACTIONS(13478),
    [aux_sym_integer_literal_token1] = ACTIONS(13478),
    [aux_sym_integer_literal_token2] = ACTIONS(13478),
    [aux_sym_integer_literal_token3] = ACTIONS(13478),
    [aux_sym_integer_literal_token4] = ACTIONS(13478),
    [aux_sym_float_literal_token1] = ACTIONS(13478),
    [aux_sym_float_literal_token3] = ACTIONS(13478),
    [aux_sym_float_literal_token4] = ACTIONS(13478),
    [sym_character_literal] = ACTIONS(13478),
    [sym__pair_operator] = ACTIONS(13478),
    [sym__arrow_operator] = ACTIONS(13478),
    [sym__lazy_or_operator] = ACTIONS(13478),
    [sym__lazy_and_operator] = ACTIONS(13478),
    [sym__comparison_operator] = ACTIONS(13478),
    [sym__pipe_right_operator] = ACTIONS(13478),
    [sym__pipe_left_operator] = ACTIONS(13478),
    [sym__ellipsis_operator] = ACTIONS(13478),
    [sym__plus_operator] = ACTIONS(13478),
    [sym__times_operator] = ACTIONS(13478),
    [sym__rational_operator] = ACTIONS(13478),
    [sym__bitshift_operator] = ACTIONS(13478),
    [sym__power_operator] = ACTIONS(13478),
    [sym__tilde_operator] = ACTIONS(13478),
    [sym__type_order_operator] = ACTIONS(13478),
    [sym__unary_operator] = ACTIONS(13478),
    [sym__unary_plus_operator] = ACTIONS(13478),
    [aux_sym__terminator_token1] = ACTIONS(13478),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13476),
    [sym__command_start] = ACTIONS(13476),
  },
  [7872] = {
    [sym__word_identifier] = ACTIONS(13504),
    [anon_sym_EQ] = ACTIONS(13504),
    [anon_sym_COMMA] = ACTIONS(13504),
    [anon_sym_COLON] = ACTIONS(13504),
    [anon_sym_begin] = ACTIONS(13504),
    [anon_sym_module] = ACTIONS(13504),
    [anon_sym_baremodule] = ACTIONS(13504),
    [anon_sym_end] = ACTIONS(13504),
    [anon_sym_abstract] = ACTIONS(13504),
    [anon_sym_primitive] = ACTIONS(13504),
    [anon_sym_mutable] = ACTIONS(13504),
    [anon_sym_struct] = ACTIONS(13504),
    [anon_sym_function] = ACTIONS(13504),
    [anon_sym_macro] = ACTIONS(13504),
    [anon_sym_where] = ACTIONS(13504),
    [anon_sym_quote] = ACTIONS(13504),
    [anon_sym_let] = ACTIONS(13504),
    [anon_sym_if] = ACTIONS(13504),
    [anon_sym_else] = ACTIONS(13504),
    [anon_sym_try] = ACTIONS(13504),
    [anon_sym_finally] = ACTIONS(13504),
    [anon_sym_for] = ACTIONS(13504),
    [anon_sym_while] = ACTIONS(13504),
    [sym_break_statement] = ACTIONS(13504),
    [sym_continue_statement] = ACTIONS(13504),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_const] = ACTIONS(13504),
    [anon_sym_global] = ACTIONS(13504),
    [anon_sym_local] = ACTIONS(13504),
    [anon_sym_LPAREN] = ACTIONS(13504),
    [anon_sym_COLON2] = ACTIONS(13504),
    [anon_sym_export] = ACTIONS(13504),
    [anon_sym_import] = ACTIONS(13504),
    [anon_sym_using] = ACTIONS(13504),
    [anon_sym_LBRACK] = ACTIONS(13504),
    [anon_sym_LF] = ACTIONS(13502),
    [anon_sym_in] = ACTIONS(13504),
    [anon_sym_LBRACE] = ACTIONS(13504),
    [anon_sym_DOLLAR] = ACTIONS(13504),
    [anon_sym_COLON_COLON] = ACTIONS(13504),
    [anon_sym_isa] = ACTIONS(13504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13504),
    [anon_sym_QMARK] = ACTIONS(13504),
    [anon_sym_AT] = ACTIONS(13504),
    [anon_sym_true] = ACTIONS(13504),
    [anon_sym_false] = ACTIONS(13504),
    [aux_sym_integer_literal_token1] = ACTIONS(13504),
    [aux_sym_integer_literal_token2] = ACTIONS(13504),
    [aux_sym_integer_literal_token3] = ACTIONS(13504),
    [aux_sym_integer_literal_token4] = ACTIONS(13504),
    [aux_sym_float_literal_token1] = ACTIONS(13504),
    [aux_sym_float_literal_token3] = ACTIONS(13504),
    [aux_sym_float_literal_token4] = ACTIONS(13504),
    [sym_character_literal] = ACTIONS(13504),
    [sym__pair_operator] = ACTIONS(13504),
    [sym__arrow_operator] = ACTIONS(13504),
    [sym__lazy_or_operator] = ACTIONS(13504),
    [sym__lazy_and_operator] = ACTIONS(13504),
    [sym__comparison_operator] = ACTIONS(13504),
    [sym__pipe_right_operator] = ACTIONS(13504),
    [sym__pipe_left_operator] = ACTIONS(13504),
    [sym__ellipsis_operator] = ACTIONS(13504),
    [sym__plus_operator] = ACTIONS(13504),
    [sym__times_operator] = ACTIONS(13504),
    [sym__rational_operator] = ACTIONS(13504),
    [sym__bitshift_operator] = ACTIONS(13504),
    [sym__power_operator] = ACTIONS(13504),
    [sym__tilde_operator] = ACTIONS(13504),
    [sym__type_order_operator] = ACTIONS(13504),
    [sym__unary_operator] = ACTIONS(13504),
    [sym__unary_plus_operator] = ACTIONS(13504),
    [aux_sym__terminator_token1] = ACTIONS(13504),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13502),
    [sym__command_start] = ACTIONS(13502),
  },
  [7873] = {
    [aux_sym__import_list_repeat1] = STATE(7819),
    [sym__word_identifier] = ACTIONS(13164),
    [anon_sym_EQ] = ACTIONS(13164),
    [anon_sym_COMMA] = ACTIONS(13007),
    [anon_sym_COLON] = ACTIONS(13164),
    [anon_sym_begin] = ACTIONS(13164),
    [anon_sym_module] = ACTIONS(13164),
    [anon_sym_baremodule] = ACTIONS(13164),
    [anon_sym_end] = ACTIONS(13164),
    [anon_sym_abstract] = ACTIONS(13164),
    [anon_sym_primitive] = ACTIONS(13164),
    [anon_sym_mutable] = ACTIONS(13164),
    [anon_sym_struct] = ACTIONS(13164),
    [anon_sym_function] = ACTIONS(13164),
    [anon_sym_macro] = ACTIONS(13164),
    [anon_sym_where] = ACTIONS(13164),
    [anon_sym_quote] = ACTIONS(13164),
    [anon_sym_let] = ACTIONS(13164),
    [anon_sym_if] = ACTIONS(13164),
    [anon_sym_try] = ACTIONS(13164),
    [anon_sym_finally] = ACTIONS(13164),
    [anon_sym_for] = ACTIONS(13164),
    [anon_sym_while] = ACTIONS(13164),
    [sym_break_statement] = ACTIONS(13164),
    [sym_continue_statement] = ACTIONS(13164),
    [anon_sym_return] = ACTIONS(13164),
    [anon_sym_const] = ACTIONS(13164),
    [anon_sym_global] = ACTIONS(13164),
    [anon_sym_local] = ACTIONS(13164),
    [anon_sym_LPAREN] = ACTIONS(13164),
    [anon_sym_COLON2] = ACTIONS(13164),
    [anon_sym_export] = ACTIONS(13164),
    [anon_sym_import] = ACTIONS(13164),
    [anon_sym_using] = ACTIONS(13164),
    [anon_sym_LBRACK] = ACTIONS(13164),
    [anon_sym_LF] = ACTIONS(13162),
    [anon_sym_in] = ACTIONS(13164),
    [anon_sym_LBRACE] = ACTIONS(13164),
    [anon_sym_DOLLAR] = ACTIONS(13164),
    [anon_sym_COLON_COLON] = ACTIONS(13164),
    [anon_sym_isa] = ACTIONS(13164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13164),
    [anon_sym_QMARK] = ACTIONS(13164),
    [anon_sym_AT] = ACTIONS(13164),
    [anon_sym_true] = ACTIONS(13164),
    [anon_sym_false] = ACTIONS(13164),
    [aux_sym_integer_literal_token1] = ACTIONS(13164),
    [aux_sym_integer_literal_token2] = ACTIONS(13164),
    [aux_sym_integer_literal_token3] = ACTIONS(13164),
    [aux_sym_integer_literal_token4] = ACTIONS(13164),
    [aux_sym_float_literal_token1] = ACTIONS(13164),
    [aux_sym_float_literal_token3] = ACTIONS(13164),
    [aux_sym_float_literal_token4] = ACTIONS(13164),
    [sym_character_literal] = ACTIONS(13164),
    [sym__pair_operator] = ACTIONS(13164),
    [sym__arrow_operator] = ACTIONS(13164),
    [sym__lazy_or_operator] = ACTIONS(13164),
    [sym__lazy_and_operator] = ACTIONS(13164),
    [sym__comparison_operator] = ACTIONS(13164),
    [sym__pipe_right_operator] = ACTIONS(13164),
    [sym__pipe_left_operator] = ACTIONS(13164),
    [sym__ellipsis_operator] = ACTIONS(13164),
    [sym__plus_operator] = ACTIONS(13164),
    [sym__times_operator] = ACTIONS(13164),
    [sym__rational_operator] = ACTIONS(13164),
    [sym__bitshift_operator] = ACTIONS(13164),
    [sym__power_operator] = ACTIONS(13164),
    [sym__tilde_operator] = ACTIONS(13164),
    [sym__type_order_operator] = ACTIONS(13164),
    [sym__unary_operator] = ACTIONS(13164),
    [sym__unary_plus_operator] = ACTIONS(13164),
    [aux_sym__terminator_token1] = ACTIONS(13164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13162),
    [sym__command_start] = ACTIONS(13162),
  },
  [7874] = {
    [ts_builtin_sym_end] = ACTIONS(13284),
    [sym__word_identifier] = ACTIONS(13282),
    [anon_sym_EQ] = ACTIONS(13282),
    [anon_sym_COMMA] = ACTIONS(13282),
    [anon_sym_COLON] = ACTIONS(13282),
    [anon_sym_begin] = ACTIONS(13282),
    [anon_sym_module] = ACTIONS(13282),
    [anon_sym_baremodule] = ACTIONS(13282),
    [anon_sym_abstract] = ACTIONS(13282),
    [anon_sym_primitive] = ACTIONS(13282),
    [anon_sym_mutable] = ACTIONS(13282),
    [anon_sym_struct] = ACTIONS(13282),
    [anon_sym_function] = ACTIONS(13282),
    [anon_sym_macro] = ACTIONS(13282),
    [anon_sym_where] = ACTIONS(13282),
    [anon_sym_quote] = ACTIONS(13282),
    [anon_sym_let] = ACTIONS(13282),
    [anon_sym_if] = ACTIONS(13282),
    [anon_sym_try] = ACTIONS(13282),
    [anon_sym_for] = ACTIONS(13282),
    [anon_sym_while] = ACTIONS(13282),
    [sym_break_statement] = ACTIONS(13282),
    [sym_continue_statement] = ACTIONS(13282),
    [anon_sym_return] = ACTIONS(13282),
    [anon_sym_const] = ACTIONS(13282),
    [anon_sym_global] = ACTIONS(13282),
    [anon_sym_local] = ACTIONS(13282),
    [anon_sym_LPAREN] = ACTIONS(13282),
    [anon_sym_RPAREN] = ACTIONS(13282),
    [anon_sym_COLON2] = ACTIONS(13282),
    [anon_sym_export] = ACTIONS(13282),
    [anon_sym_import] = ACTIONS(13282),
    [anon_sym_using] = ACTIONS(13282),
    [anon_sym_LBRACK] = ACTIONS(13282),
    [anon_sym_RBRACK] = ACTIONS(13282),
    [anon_sym_LF] = ACTIONS(13284),
    [anon_sym_in] = ACTIONS(13282),
    [anon_sym_LBRACE] = ACTIONS(13282),
    [anon_sym_DOLLAR] = ACTIONS(13282),
    [anon_sym_COLON_COLON] = ACTIONS(13282),
    [anon_sym_isa] = ACTIONS(13282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13282),
    [anon_sym_QMARK] = ACTIONS(13282),
    [anon_sym_AT] = ACTIONS(13282),
    [anon_sym_true] = ACTIONS(13282),
    [anon_sym_false] = ACTIONS(13282),
    [aux_sym_integer_literal_token1] = ACTIONS(13282),
    [aux_sym_integer_literal_token2] = ACTIONS(13282),
    [aux_sym_integer_literal_token3] = ACTIONS(13282),
    [aux_sym_integer_literal_token4] = ACTIONS(13282),
    [aux_sym_float_literal_token1] = ACTIONS(13282),
    [aux_sym_float_literal_token3] = ACTIONS(13282),
    [aux_sym_float_literal_token4] = ACTIONS(13282),
    [sym_character_literal] = ACTIONS(13282),
    [sym__pair_operator] = ACTIONS(13282),
    [sym__arrow_operator] = ACTIONS(13282),
    [sym__lazy_or_operator] = ACTIONS(13282),
    [sym__lazy_and_operator] = ACTIONS(13282),
    [sym__comparison_operator] = ACTIONS(13282),
    [sym__pipe_right_operator] = ACTIONS(13282),
    [sym__pipe_left_operator] = ACTIONS(13282),
    [sym__ellipsis_operator] = ACTIONS(13282),
    [sym__plus_operator] = ACTIONS(13282),
    [sym__times_operator] = ACTIONS(13282),
    [sym__rational_operator] = ACTIONS(13282),
    [sym__bitshift_operator] = ACTIONS(13282),
    [sym__power_operator] = ACTIONS(13282),
    [sym__tilde_operator] = ACTIONS(13282),
    [sym__type_order_operator] = ACTIONS(13282),
    [sym__unary_operator] = ACTIONS(13282),
    [sym__unary_plus_operator] = ACTIONS(13282),
    [aux_sym__terminator_token1] = ACTIONS(13282),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13284),
    [sym__command_start] = ACTIONS(13284),
  },
  [7875] = {
    [sym__comprehension_clause] = STATE(19629),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17101),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14298),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14300),
    [anon_sym_LF] = ACTIONS(14302),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14305),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7876] = {
    [sym__word_identifier] = ACTIONS(13500),
    [anon_sym_EQ] = ACTIONS(13500),
    [anon_sym_COMMA] = ACTIONS(13500),
    [anon_sym_COLON] = ACTIONS(13500),
    [anon_sym_begin] = ACTIONS(13500),
    [anon_sym_module] = ACTIONS(13500),
    [anon_sym_baremodule] = ACTIONS(13500),
    [anon_sym_end] = ACTIONS(13500),
    [anon_sym_abstract] = ACTIONS(13500),
    [anon_sym_primitive] = ACTIONS(13500),
    [anon_sym_mutable] = ACTIONS(13500),
    [anon_sym_struct] = ACTIONS(13500),
    [anon_sym_function] = ACTIONS(13500),
    [anon_sym_macro] = ACTIONS(13500),
    [anon_sym_where] = ACTIONS(13500),
    [anon_sym_quote] = ACTIONS(13500),
    [anon_sym_let] = ACTIONS(13500),
    [anon_sym_if] = ACTIONS(13500),
    [anon_sym_elseif] = ACTIONS(13500),
    [anon_sym_else] = ACTIONS(13500),
    [anon_sym_try] = ACTIONS(13500),
    [anon_sym_for] = ACTIONS(13500),
    [anon_sym_while] = ACTIONS(13500),
    [sym_break_statement] = ACTIONS(13500),
    [sym_continue_statement] = ACTIONS(13500),
    [anon_sym_return] = ACTIONS(13500),
    [anon_sym_const] = ACTIONS(13500),
    [anon_sym_global] = ACTIONS(13500),
    [anon_sym_local] = ACTIONS(13500),
    [anon_sym_LPAREN] = ACTIONS(13500),
    [anon_sym_COLON2] = ACTIONS(13500),
    [anon_sym_export] = ACTIONS(13500),
    [anon_sym_import] = ACTIONS(13500),
    [anon_sym_using] = ACTIONS(13500),
    [anon_sym_LBRACK] = ACTIONS(13500),
    [anon_sym_LF] = ACTIONS(13498),
    [anon_sym_in] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(13500),
    [anon_sym_DOLLAR] = ACTIONS(13500),
    [anon_sym_COLON_COLON] = ACTIONS(13500),
    [anon_sym_isa] = ACTIONS(13500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13500),
    [anon_sym_QMARK] = ACTIONS(13500),
    [anon_sym_AT] = ACTIONS(13500),
    [anon_sym_true] = ACTIONS(13500),
    [anon_sym_false] = ACTIONS(13500),
    [aux_sym_integer_literal_token1] = ACTIONS(13500),
    [aux_sym_integer_literal_token2] = ACTIONS(13500),
    [aux_sym_integer_literal_token3] = ACTIONS(13500),
    [aux_sym_integer_literal_token4] = ACTIONS(13500),
    [aux_sym_float_literal_token1] = ACTIONS(13500),
    [aux_sym_float_literal_token3] = ACTIONS(13500),
    [aux_sym_float_literal_token4] = ACTIONS(13500),
    [sym_character_literal] = ACTIONS(13500),
    [sym__pair_operator] = ACTIONS(13500),
    [sym__arrow_operator] = ACTIONS(13500),
    [sym__lazy_or_operator] = ACTIONS(13500),
    [sym__lazy_and_operator] = ACTIONS(13500),
    [sym__comparison_operator] = ACTIONS(13500),
    [sym__pipe_right_operator] = ACTIONS(13500),
    [sym__pipe_left_operator] = ACTIONS(13500),
    [sym__ellipsis_operator] = ACTIONS(13500),
    [sym__plus_operator] = ACTIONS(13500),
    [sym__times_operator] = ACTIONS(13500),
    [sym__rational_operator] = ACTIONS(13500),
    [sym__bitshift_operator] = ACTIONS(13500),
    [sym__power_operator] = ACTIONS(13500),
    [sym__tilde_operator] = ACTIONS(13500),
    [sym__type_order_operator] = ACTIONS(13500),
    [sym__unary_operator] = ACTIONS(13500),
    [sym__unary_plus_operator] = ACTIONS(13500),
    [aux_sym__terminator_token1] = ACTIONS(13500),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13498),
    [sym__command_start] = ACTIONS(13498),
  },
  [7877] = {
    [sym__word_identifier] = ACTIONS(13474),
    [anon_sym_EQ] = ACTIONS(13474),
    [anon_sym_COMMA] = ACTIONS(13474),
    [anon_sym_COLON] = ACTIONS(13474),
    [anon_sym_begin] = ACTIONS(13474),
    [anon_sym_module] = ACTIONS(13474),
    [anon_sym_baremodule] = ACTIONS(13474),
    [anon_sym_end] = ACTIONS(13474),
    [anon_sym_abstract] = ACTIONS(13474),
    [anon_sym_primitive] = ACTIONS(13474),
    [anon_sym_mutable] = ACTIONS(13474),
    [anon_sym_struct] = ACTIONS(13474),
    [anon_sym_function] = ACTIONS(13474),
    [anon_sym_macro] = ACTIONS(13474),
    [anon_sym_where] = ACTIONS(13474),
    [anon_sym_quote] = ACTIONS(13474),
    [anon_sym_let] = ACTIONS(13474),
    [anon_sym_if] = ACTIONS(13474),
    [anon_sym_else] = ACTIONS(13474),
    [anon_sym_try] = ACTIONS(13474),
    [anon_sym_finally] = ACTIONS(13474),
    [anon_sym_for] = ACTIONS(13474),
    [anon_sym_while] = ACTIONS(13474),
    [sym_break_statement] = ACTIONS(13474),
    [sym_continue_statement] = ACTIONS(13474),
    [anon_sym_return] = ACTIONS(13474),
    [anon_sym_const] = ACTIONS(13474),
    [anon_sym_global] = ACTIONS(13474),
    [anon_sym_local] = ACTIONS(13474),
    [anon_sym_LPAREN] = ACTIONS(13474),
    [anon_sym_COLON2] = ACTIONS(13474),
    [anon_sym_export] = ACTIONS(13474),
    [anon_sym_import] = ACTIONS(13474),
    [anon_sym_using] = ACTIONS(13474),
    [anon_sym_LBRACK] = ACTIONS(13474),
    [anon_sym_LF] = ACTIONS(13472),
    [anon_sym_in] = ACTIONS(13474),
    [anon_sym_LBRACE] = ACTIONS(13474),
    [anon_sym_DOLLAR] = ACTIONS(13474),
    [anon_sym_COLON_COLON] = ACTIONS(13474),
    [anon_sym_isa] = ACTIONS(13474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13474),
    [anon_sym_AT] = ACTIONS(13474),
    [anon_sym_true] = ACTIONS(13474),
    [anon_sym_false] = ACTIONS(13474),
    [aux_sym_integer_literal_token1] = ACTIONS(13474),
    [aux_sym_integer_literal_token2] = ACTIONS(13474),
    [aux_sym_integer_literal_token3] = ACTIONS(13474),
    [aux_sym_integer_literal_token4] = ACTIONS(13474),
    [aux_sym_float_literal_token1] = ACTIONS(13474),
    [aux_sym_float_literal_token3] = ACTIONS(13474),
    [aux_sym_float_literal_token4] = ACTIONS(13474),
    [sym_character_literal] = ACTIONS(13474),
    [sym__pair_operator] = ACTIONS(13474),
    [sym__arrow_operator] = ACTIONS(13474),
    [sym__lazy_or_operator] = ACTIONS(13474),
    [sym__lazy_and_operator] = ACTIONS(13474),
    [sym__comparison_operator] = ACTIONS(13474),
    [sym__pipe_right_operator] = ACTIONS(13474),
    [sym__pipe_left_operator] = ACTIONS(13474),
    [sym__ellipsis_operator] = ACTIONS(13474),
    [sym__plus_operator] = ACTIONS(13474),
    [sym__times_operator] = ACTIONS(13474),
    [sym__rational_operator] = ACTIONS(13474),
    [sym__bitshift_operator] = ACTIONS(13474),
    [sym__power_operator] = ACTIONS(13474),
    [sym__tilde_operator] = ACTIONS(13474),
    [sym__type_order_operator] = ACTIONS(13474),
    [sym__unary_operator] = ACTIONS(13474),
    [sym__unary_plus_operator] = ACTIONS(13474),
    [aux_sym__terminator_token1] = ACTIONS(13474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13472),
    [sym__command_start] = ACTIONS(13472),
  },
  [7878] = {
    [sym__word_identifier] = ACTIONS(13538),
    [anon_sym_EQ] = ACTIONS(13538),
    [anon_sym_COMMA] = ACTIONS(13538),
    [anon_sym_COLON] = ACTIONS(13538),
    [anon_sym_begin] = ACTIONS(13538),
    [anon_sym_module] = ACTIONS(13538),
    [anon_sym_baremodule] = ACTIONS(13538),
    [anon_sym_end] = ACTIONS(13538),
    [anon_sym_abstract] = ACTIONS(13538),
    [anon_sym_primitive] = ACTIONS(13538),
    [anon_sym_mutable] = ACTIONS(13538),
    [anon_sym_struct] = ACTIONS(13538),
    [anon_sym_function] = ACTIONS(13538),
    [anon_sym_macro] = ACTIONS(13538),
    [anon_sym_where] = ACTIONS(13538),
    [anon_sym_quote] = ACTIONS(13538),
    [anon_sym_let] = ACTIONS(13538),
    [anon_sym_if] = ACTIONS(13538),
    [anon_sym_elseif] = ACTIONS(13538),
    [anon_sym_else] = ACTIONS(13538),
    [anon_sym_try] = ACTIONS(13538),
    [anon_sym_for] = ACTIONS(13538),
    [anon_sym_while] = ACTIONS(13538),
    [sym_break_statement] = ACTIONS(13538),
    [sym_continue_statement] = ACTIONS(13538),
    [anon_sym_return] = ACTIONS(13538),
    [anon_sym_const] = ACTIONS(13538),
    [anon_sym_global] = ACTIONS(13538),
    [anon_sym_local] = ACTIONS(13538),
    [anon_sym_LPAREN] = ACTIONS(13538),
    [anon_sym_COLON2] = ACTIONS(13538),
    [anon_sym_export] = ACTIONS(13538),
    [anon_sym_import] = ACTIONS(13538),
    [anon_sym_using] = ACTIONS(13538),
    [anon_sym_LBRACK] = ACTIONS(13538),
    [anon_sym_LF] = ACTIONS(13536),
    [anon_sym_in] = ACTIONS(13538),
    [anon_sym_LBRACE] = ACTIONS(13538),
    [anon_sym_DOLLAR] = ACTIONS(13538),
    [anon_sym_COLON_COLON] = ACTIONS(13538),
    [anon_sym_isa] = ACTIONS(13538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13538),
    [anon_sym_QMARK] = ACTIONS(13538),
    [anon_sym_AT] = ACTIONS(13538),
    [anon_sym_true] = ACTIONS(13538),
    [anon_sym_false] = ACTIONS(13538),
    [aux_sym_integer_literal_token1] = ACTIONS(13538),
    [aux_sym_integer_literal_token2] = ACTIONS(13538),
    [aux_sym_integer_literal_token3] = ACTIONS(13538),
    [aux_sym_integer_literal_token4] = ACTIONS(13538),
    [aux_sym_float_literal_token1] = ACTIONS(13538),
    [aux_sym_float_literal_token3] = ACTIONS(13538),
    [aux_sym_float_literal_token4] = ACTIONS(13538),
    [sym_character_literal] = ACTIONS(13538),
    [sym__pair_operator] = ACTIONS(13538),
    [sym__arrow_operator] = ACTIONS(13538),
    [sym__lazy_or_operator] = ACTIONS(13538),
    [sym__lazy_and_operator] = ACTIONS(13538),
    [sym__comparison_operator] = ACTIONS(13538),
    [sym__pipe_right_operator] = ACTIONS(13538),
    [sym__pipe_left_operator] = ACTIONS(13538),
    [sym__ellipsis_operator] = ACTIONS(13538),
    [sym__plus_operator] = ACTIONS(13538),
    [sym__times_operator] = ACTIONS(13538),
    [sym__rational_operator] = ACTIONS(13538),
    [sym__bitshift_operator] = ACTIONS(13538),
    [sym__power_operator] = ACTIONS(13538),
    [sym__tilde_operator] = ACTIONS(13538),
    [sym__type_order_operator] = ACTIONS(13538),
    [sym__unary_operator] = ACTIONS(13538),
    [sym__unary_plus_operator] = ACTIONS(13538),
    [aux_sym__terminator_token1] = ACTIONS(13538),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13536),
    [sym__command_start] = ACTIONS(13536),
  },
  [7879] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7880] = {
    [ts_builtin_sym_end] = ACTIONS(13402),
    [sym__word_identifier] = ACTIONS(13400),
    [anon_sym_EQ] = ACTIONS(13400),
    [anon_sym_COMMA] = ACTIONS(13400),
    [anon_sym_COLON] = ACTIONS(13400),
    [anon_sym_begin] = ACTIONS(13400),
    [anon_sym_module] = ACTIONS(13400),
    [anon_sym_baremodule] = ACTIONS(13400),
    [anon_sym_abstract] = ACTIONS(13400),
    [anon_sym_primitive] = ACTIONS(13400),
    [anon_sym_mutable] = ACTIONS(13400),
    [anon_sym_struct] = ACTIONS(13400),
    [anon_sym_function] = ACTIONS(13400),
    [anon_sym_macro] = ACTIONS(13400),
    [anon_sym_where] = ACTIONS(13400),
    [anon_sym_quote] = ACTIONS(13400),
    [anon_sym_let] = ACTIONS(13400),
    [anon_sym_if] = ACTIONS(13400),
    [anon_sym_try] = ACTIONS(13400),
    [anon_sym_for] = ACTIONS(13400),
    [anon_sym_while] = ACTIONS(13400),
    [sym_break_statement] = ACTIONS(13400),
    [sym_continue_statement] = ACTIONS(13400),
    [anon_sym_return] = ACTIONS(13400),
    [anon_sym_const] = ACTIONS(13400),
    [anon_sym_global] = ACTIONS(13400),
    [anon_sym_local] = ACTIONS(13400),
    [anon_sym_LPAREN] = ACTIONS(13400),
    [anon_sym_RPAREN] = ACTIONS(13400),
    [anon_sym_COLON2] = ACTIONS(13400),
    [anon_sym_export] = ACTIONS(13400),
    [anon_sym_import] = ACTIONS(13400),
    [anon_sym_using] = ACTIONS(13400),
    [anon_sym_LBRACK] = ACTIONS(13400),
    [anon_sym_RBRACK] = ACTIONS(13400),
    [anon_sym_LF] = ACTIONS(13402),
    [anon_sym_in] = ACTIONS(13400),
    [anon_sym_LBRACE] = ACTIONS(13400),
    [anon_sym_DOLLAR] = ACTIONS(13400),
    [anon_sym_COLON_COLON] = ACTIONS(13400),
    [anon_sym_isa] = ACTIONS(13400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13400),
    [anon_sym_QMARK] = ACTIONS(13400),
    [anon_sym_AT] = ACTIONS(13400),
    [anon_sym_true] = ACTIONS(13400),
    [anon_sym_false] = ACTIONS(13400),
    [aux_sym_integer_literal_token1] = ACTIONS(13400),
    [aux_sym_integer_literal_token2] = ACTIONS(13400),
    [aux_sym_integer_literal_token3] = ACTIONS(13400),
    [aux_sym_integer_literal_token4] = ACTIONS(13400),
    [aux_sym_float_literal_token1] = ACTIONS(13400),
    [aux_sym_float_literal_token3] = ACTIONS(13400),
    [aux_sym_float_literal_token4] = ACTIONS(13400),
    [sym_character_literal] = ACTIONS(13400),
    [sym__pair_operator] = ACTIONS(13400),
    [sym__arrow_operator] = ACTIONS(13400),
    [sym__lazy_or_operator] = ACTIONS(13400),
    [sym__lazy_and_operator] = ACTIONS(13400),
    [sym__comparison_operator] = ACTIONS(13400),
    [sym__pipe_right_operator] = ACTIONS(13400),
    [sym__pipe_left_operator] = ACTIONS(13400),
    [sym__ellipsis_operator] = ACTIONS(13400),
    [sym__plus_operator] = ACTIONS(13400),
    [sym__times_operator] = ACTIONS(13400),
    [sym__rational_operator] = ACTIONS(13400),
    [sym__bitshift_operator] = ACTIONS(13400),
    [sym__power_operator] = ACTIONS(13400),
    [sym__tilde_operator] = ACTIONS(13400),
    [sym__type_order_operator] = ACTIONS(13400),
    [sym__unary_operator] = ACTIONS(13400),
    [sym__unary_plus_operator] = ACTIONS(13400),
    [aux_sym__terminator_token1] = ACTIONS(13400),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13402),
    [sym__command_start] = ACTIONS(13402),
  },
  [7881] = {
    [aux_sym_export_statement_repeat1] = STATE(7822),
    [sym__word_identifier] = ACTIONS(13166),
    [anon_sym_EQ] = ACTIONS(13166),
    [anon_sym_COMMA] = ACTIONS(14308),
    [anon_sym_COLON] = ACTIONS(13166),
    [anon_sym_begin] = ACTIONS(13166),
    [anon_sym_module] = ACTIONS(13166),
    [anon_sym_baremodule] = ACTIONS(13166),
    [anon_sym_end] = ACTIONS(13166),
    [anon_sym_abstract] = ACTIONS(13166),
    [anon_sym_primitive] = ACTIONS(13166),
    [anon_sym_mutable] = ACTIONS(13166),
    [anon_sym_struct] = ACTIONS(13166),
    [anon_sym_function] = ACTIONS(13166),
    [anon_sym_macro] = ACTIONS(13166),
    [anon_sym_where] = ACTIONS(13166),
    [anon_sym_quote] = ACTIONS(13166),
    [anon_sym_let] = ACTIONS(13166),
    [anon_sym_if] = ACTIONS(13166),
    [anon_sym_try] = ACTIONS(13166),
    [anon_sym_finally] = ACTIONS(13166),
    [anon_sym_for] = ACTIONS(13166),
    [anon_sym_while] = ACTIONS(13166),
    [sym_break_statement] = ACTIONS(13166),
    [sym_continue_statement] = ACTIONS(13166),
    [anon_sym_return] = ACTIONS(13166),
    [anon_sym_const] = ACTIONS(13166),
    [anon_sym_global] = ACTIONS(13166),
    [anon_sym_local] = ACTIONS(13166),
    [anon_sym_LPAREN] = ACTIONS(13166),
    [anon_sym_COLON2] = ACTIONS(13166),
    [anon_sym_export] = ACTIONS(13166),
    [anon_sym_import] = ACTIONS(13166),
    [anon_sym_using] = ACTIONS(13166),
    [anon_sym_LBRACK] = ACTIONS(13166),
    [anon_sym_LF] = ACTIONS(13170),
    [anon_sym_in] = ACTIONS(13166),
    [anon_sym_LBRACE] = ACTIONS(13166),
    [anon_sym_DOLLAR] = ACTIONS(13166),
    [anon_sym_COLON_COLON] = ACTIONS(13166),
    [anon_sym_isa] = ACTIONS(13166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13166),
    [anon_sym_QMARK] = ACTIONS(13166),
    [anon_sym_AT] = ACTIONS(13166),
    [anon_sym_true] = ACTIONS(13166),
    [anon_sym_false] = ACTIONS(13166),
    [aux_sym_integer_literal_token1] = ACTIONS(13166),
    [aux_sym_integer_literal_token2] = ACTIONS(13166),
    [aux_sym_integer_literal_token3] = ACTIONS(13166),
    [aux_sym_integer_literal_token4] = ACTIONS(13166),
    [aux_sym_float_literal_token1] = ACTIONS(13166),
    [aux_sym_float_literal_token3] = ACTIONS(13166),
    [aux_sym_float_literal_token4] = ACTIONS(13166),
    [sym_character_literal] = ACTIONS(13166),
    [sym__pair_operator] = ACTIONS(13166),
    [sym__arrow_operator] = ACTIONS(13166),
    [sym__lazy_or_operator] = ACTIONS(13166),
    [sym__lazy_and_operator] = ACTIONS(13166),
    [sym__comparison_operator] = ACTIONS(13166),
    [sym__pipe_right_operator] = ACTIONS(13166),
    [sym__pipe_left_operator] = ACTIONS(13166),
    [sym__ellipsis_operator] = ACTIONS(13166),
    [sym__plus_operator] = ACTIONS(13166),
    [sym__times_operator] = ACTIONS(13166),
    [sym__rational_operator] = ACTIONS(13166),
    [sym__bitshift_operator] = ACTIONS(13166),
    [sym__power_operator] = ACTIONS(13166),
    [sym__tilde_operator] = ACTIONS(13166),
    [sym__type_order_operator] = ACTIONS(13166),
    [sym__unary_operator] = ACTIONS(13166),
    [sym__unary_plus_operator] = ACTIONS(13166),
    [aux_sym__terminator_token1] = ACTIONS(13166),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13170),
    [sym__command_start] = ACTIONS(13170),
  },
  [7882] = {
    [sym__comprehension_clause] = STATE(18602),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16943),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14310),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14312),
    [anon_sym_LF] = ACTIONS(14314),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14317),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7883] = {
    [sym__word_identifier] = ACTIONS(13546),
    [anon_sym_EQ] = ACTIONS(13546),
    [anon_sym_COMMA] = ACTIONS(13546),
    [anon_sym_COLON] = ACTIONS(13546),
    [anon_sym_begin] = ACTIONS(13546),
    [anon_sym_module] = ACTIONS(13546),
    [anon_sym_baremodule] = ACTIONS(13546),
    [anon_sym_end] = ACTIONS(13546),
    [anon_sym_abstract] = ACTIONS(13546),
    [anon_sym_primitive] = ACTIONS(13546),
    [anon_sym_mutable] = ACTIONS(13546),
    [anon_sym_struct] = ACTIONS(13546),
    [anon_sym_function] = ACTIONS(13546),
    [anon_sym_macro] = ACTIONS(13546),
    [anon_sym_where] = ACTIONS(13546),
    [anon_sym_quote] = ACTIONS(13546),
    [anon_sym_let] = ACTIONS(13546),
    [anon_sym_if] = ACTIONS(13546),
    [anon_sym_elseif] = ACTIONS(13546),
    [anon_sym_else] = ACTIONS(13546),
    [anon_sym_try] = ACTIONS(13546),
    [anon_sym_for] = ACTIONS(13546),
    [anon_sym_while] = ACTIONS(13546),
    [sym_break_statement] = ACTIONS(13546),
    [sym_continue_statement] = ACTIONS(13546),
    [anon_sym_return] = ACTIONS(13546),
    [anon_sym_const] = ACTIONS(13546),
    [anon_sym_global] = ACTIONS(13546),
    [anon_sym_local] = ACTIONS(13546),
    [anon_sym_LPAREN] = ACTIONS(13546),
    [anon_sym_COLON2] = ACTIONS(13546),
    [anon_sym_export] = ACTIONS(13546),
    [anon_sym_import] = ACTIONS(13546),
    [anon_sym_using] = ACTIONS(13546),
    [anon_sym_LBRACK] = ACTIONS(13546),
    [anon_sym_LF] = ACTIONS(13544),
    [anon_sym_in] = ACTIONS(13546),
    [anon_sym_LBRACE] = ACTIONS(13546),
    [anon_sym_DOLLAR] = ACTIONS(13546),
    [anon_sym_COLON_COLON] = ACTIONS(13546),
    [anon_sym_isa] = ACTIONS(13546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13546),
    [anon_sym_QMARK] = ACTIONS(13546),
    [anon_sym_AT] = ACTIONS(13546),
    [anon_sym_true] = ACTIONS(13546),
    [anon_sym_false] = ACTIONS(13546),
    [aux_sym_integer_literal_token1] = ACTIONS(13546),
    [aux_sym_integer_literal_token2] = ACTIONS(13546),
    [aux_sym_integer_literal_token3] = ACTIONS(13546),
    [aux_sym_integer_literal_token4] = ACTIONS(13546),
    [aux_sym_float_literal_token1] = ACTIONS(13546),
    [aux_sym_float_literal_token3] = ACTIONS(13546),
    [aux_sym_float_literal_token4] = ACTIONS(13546),
    [sym_character_literal] = ACTIONS(13546),
    [sym__pair_operator] = ACTIONS(13546),
    [sym__arrow_operator] = ACTIONS(13546),
    [sym__lazy_or_operator] = ACTIONS(13546),
    [sym__lazy_and_operator] = ACTIONS(13546),
    [sym__comparison_operator] = ACTIONS(13546),
    [sym__pipe_right_operator] = ACTIONS(13546),
    [sym__pipe_left_operator] = ACTIONS(13546),
    [sym__ellipsis_operator] = ACTIONS(13546),
    [sym__plus_operator] = ACTIONS(13546),
    [sym__times_operator] = ACTIONS(13546),
    [sym__rational_operator] = ACTIONS(13546),
    [sym__bitshift_operator] = ACTIONS(13546),
    [sym__power_operator] = ACTIONS(13546),
    [sym__tilde_operator] = ACTIONS(13546),
    [sym__type_order_operator] = ACTIONS(13546),
    [sym__unary_operator] = ACTIONS(13546),
    [sym__unary_plus_operator] = ACTIONS(13546),
    [aux_sym__terminator_token1] = ACTIONS(13546),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13544),
    [sym__command_start] = ACTIONS(13544),
  },
  [7884] = {
    [sym__word_identifier] = ACTIONS(13436),
    [anon_sym_EQ] = ACTIONS(13436),
    [anon_sym_COMMA] = ACTIONS(13436),
    [anon_sym_COLON] = ACTIONS(13436),
    [anon_sym_begin] = ACTIONS(13436),
    [anon_sym_module] = ACTIONS(13436),
    [anon_sym_baremodule] = ACTIONS(13436),
    [anon_sym_end] = ACTIONS(13436),
    [anon_sym_abstract] = ACTIONS(13436),
    [anon_sym_primitive] = ACTIONS(13436),
    [anon_sym_mutable] = ACTIONS(13436),
    [anon_sym_struct] = ACTIONS(13436),
    [anon_sym_function] = ACTIONS(13436),
    [anon_sym_macro] = ACTIONS(13436),
    [anon_sym_where] = ACTIONS(13436),
    [anon_sym_quote] = ACTIONS(13436),
    [anon_sym_let] = ACTIONS(13436),
    [anon_sym_if] = ACTIONS(13436),
    [anon_sym_else] = ACTIONS(13436),
    [anon_sym_try] = ACTIONS(13436),
    [anon_sym_finally] = ACTIONS(13436),
    [anon_sym_for] = ACTIONS(13436),
    [anon_sym_while] = ACTIONS(13436),
    [sym_break_statement] = ACTIONS(13436),
    [sym_continue_statement] = ACTIONS(13436),
    [anon_sym_return] = ACTIONS(13436),
    [anon_sym_const] = ACTIONS(13436),
    [anon_sym_global] = ACTIONS(13436),
    [anon_sym_local] = ACTIONS(13436),
    [anon_sym_LPAREN] = ACTIONS(13436),
    [anon_sym_COLON2] = ACTIONS(13436),
    [anon_sym_export] = ACTIONS(13436),
    [anon_sym_import] = ACTIONS(13436),
    [anon_sym_using] = ACTIONS(13436),
    [anon_sym_LBRACK] = ACTIONS(13436),
    [anon_sym_LF] = ACTIONS(13434),
    [anon_sym_in] = ACTIONS(13436),
    [anon_sym_LBRACE] = ACTIONS(13436),
    [anon_sym_DOLLAR] = ACTIONS(13436),
    [anon_sym_COLON_COLON] = ACTIONS(13436),
    [anon_sym_isa] = ACTIONS(13436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13436),
    [anon_sym_QMARK] = ACTIONS(13436),
    [anon_sym_AT] = ACTIONS(13436),
    [anon_sym_true] = ACTIONS(13436),
    [anon_sym_false] = ACTIONS(13436),
    [aux_sym_integer_literal_token1] = ACTIONS(13436),
    [aux_sym_integer_literal_token2] = ACTIONS(13436),
    [aux_sym_integer_literal_token3] = ACTIONS(13436),
    [aux_sym_integer_literal_token4] = ACTIONS(13436),
    [aux_sym_float_literal_token1] = ACTIONS(13436),
    [aux_sym_float_literal_token3] = ACTIONS(13436),
    [aux_sym_float_literal_token4] = ACTIONS(13436),
    [sym_character_literal] = ACTIONS(13436),
    [sym__pair_operator] = ACTIONS(13436),
    [sym__arrow_operator] = ACTIONS(13436),
    [sym__lazy_or_operator] = ACTIONS(13436),
    [sym__lazy_and_operator] = ACTIONS(13436),
    [sym__comparison_operator] = ACTIONS(13436),
    [sym__pipe_right_operator] = ACTIONS(13436),
    [sym__pipe_left_operator] = ACTIONS(13436),
    [sym__ellipsis_operator] = ACTIONS(13436),
    [sym__plus_operator] = ACTIONS(13436),
    [sym__times_operator] = ACTIONS(13436),
    [sym__rational_operator] = ACTIONS(13436),
    [sym__bitshift_operator] = ACTIONS(13436),
    [sym__power_operator] = ACTIONS(13436),
    [sym__tilde_operator] = ACTIONS(13436),
    [sym__type_order_operator] = ACTIONS(13436),
    [sym__unary_operator] = ACTIONS(13436),
    [sym__unary_plus_operator] = ACTIONS(13436),
    [aux_sym__terminator_token1] = ACTIONS(13436),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13434),
    [sym__command_start] = ACTIONS(13434),
  },
  [7885] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13390),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7886] = {
    [sym__word_identifier] = ACTIONS(13574),
    [anon_sym_EQ] = ACTIONS(13574),
    [anon_sym_COMMA] = ACTIONS(13574),
    [anon_sym_COLON] = ACTIONS(13574),
    [anon_sym_begin] = ACTIONS(13574),
    [anon_sym_module] = ACTIONS(13574),
    [anon_sym_baremodule] = ACTIONS(13574),
    [anon_sym_end] = ACTIONS(13574),
    [anon_sym_abstract] = ACTIONS(13574),
    [anon_sym_primitive] = ACTIONS(13574),
    [anon_sym_mutable] = ACTIONS(13574),
    [anon_sym_struct] = ACTIONS(13574),
    [anon_sym_function] = ACTIONS(13574),
    [anon_sym_macro] = ACTIONS(13574),
    [anon_sym_where] = ACTIONS(13574),
    [anon_sym_quote] = ACTIONS(13574),
    [anon_sym_let] = ACTIONS(13574),
    [anon_sym_if] = ACTIONS(13574),
    [anon_sym_elseif] = ACTIONS(13574),
    [anon_sym_else] = ACTIONS(13574),
    [anon_sym_try] = ACTIONS(13574),
    [anon_sym_for] = ACTIONS(13574),
    [anon_sym_while] = ACTIONS(13574),
    [sym_break_statement] = ACTIONS(13574),
    [sym_continue_statement] = ACTIONS(13574),
    [anon_sym_return] = ACTIONS(13574),
    [anon_sym_const] = ACTIONS(13574),
    [anon_sym_global] = ACTIONS(13574),
    [anon_sym_local] = ACTIONS(13574),
    [anon_sym_LPAREN] = ACTIONS(13574),
    [anon_sym_COLON2] = ACTIONS(13574),
    [anon_sym_export] = ACTIONS(13574),
    [anon_sym_import] = ACTIONS(13574),
    [anon_sym_using] = ACTIONS(13574),
    [anon_sym_LBRACK] = ACTIONS(13574),
    [anon_sym_LF] = ACTIONS(13572),
    [anon_sym_in] = ACTIONS(13574),
    [anon_sym_LBRACE] = ACTIONS(13574),
    [anon_sym_DOLLAR] = ACTIONS(13574),
    [anon_sym_COLON_COLON] = ACTIONS(13574),
    [anon_sym_isa] = ACTIONS(13574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13574),
    [anon_sym_QMARK] = ACTIONS(13574),
    [anon_sym_AT] = ACTIONS(13574),
    [anon_sym_true] = ACTIONS(13574),
    [anon_sym_false] = ACTIONS(13574),
    [aux_sym_integer_literal_token1] = ACTIONS(13574),
    [aux_sym_integer_literal_token2] = ACTIONS(13574),
    [aux_sym_integer_literal_token3] = ACTIONS(13574),
    [aux_sym_integer_literal_token4] = ACTIONS(13574),
    [aux_sym_float_literal_token1] = ACTIONS(13574),
    [aux_sym_float_literal_token3] = ACTIONS(13574),
    [aux_sym_float_literal_token4] = ACTIONS(13574),
    [sym_character_literal] = ACTIONS(13574),
    [sym__pair_operator] = ACTIONS(13574),
    [sym__arrow_operator] = ACTIONS(13574),
    [sym__lazy_or_operator] = ACTIONS(13574),
    [sym__lazy_and_operator] = ACTIONS(13574),
    [sym__comparison_operator] = ACTIONS(13574),
    [sym__pipe_right_operator] = ACTIONS(13574),
    [sym__pipe_left_operator] = ACTIONS(13574),
    [sym__ellipsis_operator] = ACTIONS(13574),
    [sym__plus_operator] = ACTIONS(13574),
    [sym__times_operator] = ACTIONS(13574),
    [sym__rational_operator] = ACTIONS(13574),
    [sym__bitshift_operator] = ACTIONS(13574),
    [sym__power_operator] = ACTIONS(13574),
    [sym__tilde_operator] = ACTIONS(13574),
    [sym__type_order_operator] = ACTIONS(13574),
    [sym__unary_operator] = ACTIONS(13574),
    [sym__unary_plus_operator] = ACTIONS(13574),
    [aux_sym__terminator_token1] = ACTIONS(13574),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13572),
    [sym__command_start] = ACTIONS(13572),
  },
  [7887] = {
    [sym__word_identifier] = ACTIONS(13592),
    [anon_sym_EQ] = ACTIONS(13592),
    [anon_sym_COMMA] = ACTIONS(13592),
    [anon_sym_COLON] = ACTIONS(13592),
    [anon_sym_begin] = ACTIONS(13592),
    [anon_sym_module] = ACTIONS(13592),
    [anon_sym_baremodule] = ACTIONS(13592),
    [anon_sym_end] = ACTIONS(13592),
    [anon_sym_abstract] = ACTIONS(13592),
    [anon_sym_primitive] = ACTIONS(13592),
    [anon_sym_mutable] = ACTIONS(13592),
    [anon_sym_struct] = ACTIONS(13592),
    [anon_sym_function] = ACTIONS(13592),
    [anon_sym_macro] = ACTIONS(13592),
    [anon_sym_where] = ACTIONS(13592),
    [anon_sym_quote] = ACTIONS(13592),
    [anon_sym_let] = ACTIONS(13592),
    [anon_sym_if] = ACTIONS(13592),
    [anon_sym_elseif] = ACTIONS(13592),
    [anon_sym_else] = ACTIONS(13592),
    [anon_sym_try] = ACTIONS(13592),
    [anon_sym_for] = ACTIONS(13592),
    [anon_sym_while] = ACTIONS(13592),
    [sym_break_statement] = ACTIONS(13592),
    [sym_continue_statement] = ACTIONS(13592),
    [anon_sym_return] = ACTIONS(13592),
    [anon_sym_const] = ACTIONS(13592),
    [anon_sym_global] = ACTIONS(13592),
    [anon_sym_local] = ACTIONS(13592),
    [anon_sym_LPAREN] = ACTIONS(13592),
    [anon_sym_COLON2] = ACTIONS(13592),
    [anon_sym_export] = ACTIONS(13592),
    [anon_sym_import] = ACTIONS(13592),
    [anon_sym_using] = ACTIONS(13592),
    [anon_sym_LBRACK] = ACTIONS(13592),
    [anon_sym_LF] = ACTIONS(13590),
    [anon_sym_in] = ACTIONS(13592),
    [anon_sym_LBRACE] = ACTIONS(13592),
    [anon_sym_DOLLAR] = ACTIONS(13592),
    [anon_sym_COLON_COLON] = ACTIONS(13592),
    [anon_sym_isa] = ACTIONS(13592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13592),
    [anon_sym_QMARK] = ACTIONS(13592),
    [anon_sym_AT] = ACTIONS(13592),
    [anon_sym_true] = ACTIONS(13592),
    [anon_sym_false] = ACTIONS(13592),
    [aux_sym_integer_literal_token1] = ACTIONS(13592),
    [aux_sym_integer_literal_token2] = ACTIONS(13592),
    [aux_sym_integer_literal_token3] = ACTIONS(13592),
    [aux_sym_integer_literal_token4] = ACTIONS(13592),
    [aux_sym_float_literal_token1] = ACTIONS(13592),
    [aux_sym_float_literal_token3] = ACTIONS(13592),
    [aux_sym_float_literal_token4] = ACTIONS(13592),
    [sym_character_literal] = ACTIONS(13592),
    [sym__pair_operator] = ACTIONS(13592),
    [sym__arrow_operator] = ACTIONS(13592),
    [sym__lazy_or_operator] = ACTIONS(13592),
    [sym__lazy_and_operator] = ACTIONS(13592),
    [sym__comparison_operator] = ACTIONS(13592),
    [sym__pipe_right_operator] = ACTIONS(13592),
    [sym__pipe_left_operator] = ACTIONS(13592),
    [sym__ellipsis_operator] = ACTIONS(13592),
    [sym__plus_operator] = ACTIONS(13592),
    [sym__times_operator] = ACTIONS(13592),
    [sym__rational_operator] = ACTIONS(13592),
    [sym__bitshift_operator] = ACTIONS(13592),
    [sym__power_operator] = ACTIONS(13592),
    [sym__tilde_operator] = ACTIONS(13592),
    [sym__type_order_operator] = ACTIONS(13592),
    [sym__unary_operator] = ACTIONS(13592),
    [sym__unary_plus_operator] = ACTIONS(13592),
    [aux_sym__terminator_token1] = ACTIONS(13592),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13590),
    [sym__command_start] = ACTIONS(13590),
  },
  [7888] = {
    [sym__word_identifier] = ACTIONS(13630),
    [anon_sym_EQ] = ACTIONS(13630),
    [anon_sym_COMMA] = ACTIONS(13630),
    [anon_sym_COLON] = ACTIONS(13630),
    [anon_sym_begin] = ACTIONS(13630),
    [anon_sym_module] = ACTIONS(13630),
    [anon_sym_baremodule] = ACTIONS(13630),
    [anon_sym_end] = ACTIONS(13630),
    [anon_sym_abstract] = ACTIONS(13630),
    [anon_sym_primitive] = ACTIONS(13630),
    [anon_sym_mutable] = ACTIONS(13630),
    [anon_sym_struct] = ACTIONS(13630),
    [anon_sym_function] = ACTIONS(13630),
    [anon_sym_macro] = ACTIONS(13630),
    [anon_sym_where] = ACTIONS(13630),
    [anon_sym_quote] = ACTIONS(13630),
    [anon_sym_let] = ACTIONS(13630),
    [anon_sym_if] = ACTIONS(13630),
    [anon_sym_elseif] = ACTIONS(13630),
    [anon_sym_else] = ACTIONS(13630),
    [anon_sym_try] = ACTIONS(13630),
    [anon_sym_for] = ACTIONS(13630),
    [anon_sym_while] = ACTIONS(13630),
    [sym_break_statement] = ACTIONS(13630),
    [sym_continue_statement] = ACTIONS(13630),
    [anon_sym_return] = ACTIONS(13630),
    [anon_sym_const] = ACTIONS(13630),
    [anon_sym_global] = ACTIONS(13630),
    [anon_sym_local] = ACTIONS(13630),
    [anon_sym_LPAREN] = ACTIONS(13630),
    [anon_sym_COLON2] = ACTIONS(13630),
    [anon_sym_export] = ACTIONS(13630),
    [anon_sym_import] = ACTIONS(13630),
    [anon_sym_using] = ACTIONS(13630),
    [anon_sym_LBRACK] = ACTIONS(13630),
    [anon_sym_LF] = ACTIONS(13628),
    [anon_sym_in] = ACTIONS(13630),
    [anon_sym_LBRACE] = ACTIONS(13630),
    [anon_sym_DOLLAR] = ACTIONS(13630),
    [anon_sym_COLON_COLON] = ACTIONS(13630),
    [anon_sym_isa] = ACTIONS(13630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13630),
    [anon_sym_QMARK] = ACTIONS(13630),
    [anon_sym_AT] = ACTIONS(13630),
    [anon_sym_true] = ACTIONS(13630),
    [anon_sym_false] = ACTIONS(13630),
    [aux_sym_integer_literal_token1] = ACTIONS(13630),
    [aux_sym_integer_literal_token2] = ACTIONS(13630),
    [aux_sym_integer_literal_token3] = ACTIONS(13630),
    [aux_sym_integer_literal_token4] = ACTIONS(13630),
    [aux_sym_float_literal_token1] = ACTIONS(13630),
    [aux_sym_float_literal_token3] = ACTIONS(13630),
    [aux_sym_float_literal_token4] = ACTIONS(13630),
    [sym_character_literal] = ACTIONS(13630),
    [sym__pair_operator] = ACTIONS(13630),
    [sym__arrow_operator] = ACTIONS(13630),
    [sym__lazy_or_operator] = ACTIONS(13630),
    [sym__lazy_and_operator] = ACTIONS(13630),
    [sym__comparison_operator] = ACTIONS(13630),
    [sym__pipe_right_operator] = ACTIONS(13630),
    [sym__pipe_left_operator] = ACTIONS(13630),
    [sym__ellipsis_operator] = ACTIONS(13630),
    [sym__plus_operator] = ACTIONS(13630),
    [sym__times_operator] = ACTIONS(13630),
    [sym__rational_operator] = ACTIONS(13630),
    [sym__bitshift_operator] = ACTIONS(13630),
    [sym__power_operator] = ACTIONS(13630),
    [sym__tilde_operator] = ACTIONS(13630),
    [sym__type_order_operator] = ACTIONS(13630),
    [sym__unary_operator] = ACTIONS(13630),
    [sym__unary_plus_operator] = ACTIONS(13630),
    [aux_sym__terminator_token1] = ACTIONS(13630),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13628),
    [sym__command_start] = ACTIONS(13628),
  },
  [7889] = {
    [sym__word_identifier] = ACTIONS(13478),
    [anon_sym_EQ] = ACTIONS(13478),
    [anon_sym_COMMA] = ACTIONS(13478),
    [anon_sym_COLON] = ACTIONS(13478),
    [anon_sym_begin] = ACTIONS(13478),
    [anon_sym_module] = ACTIONS(13478),
    [anon_sym_baremodule] = ACTIONS(13478),
    [anon_sym_end] = ACTIONS(13478),
    [anon_sym_abstract] = ACTIONS(13478),
    [anon_sym_primitive] = ACTIONS(13478),
    [anon_sym_mutable] = ACTIONS(13478),
    [anon_sym_struct] = ACTIONS(13478),
    [anon_sym_function] = ACTIONS(13478),
    [anon_sym_macro] = ACTIONS(13478),
    [anon_sym_where] = ACTIONS(13478),
    [anon_sym_quote] = ACTIONS(13478),
    [anon_sym_let] = ACTIONS(13478),
    [anon_sym_if] = ACTIONS(13478),
    [anon_sym_else] = ACTIONS(13478),
    [anon_sym_try] = ACTIONS(13478),
    [anon_sym_finally] = ACTIONS(13478),
    [anon_sym_for] = ACTIONS(13478),
    [anon_sym_while] = ACTIONS(13478),
    [sym_break_statement] = ACTIONS(13478),
    [sym_continue_statement] = ACTIONS(13478),
    [anon_sym_return] = ACTIONS(13478),
    [anon_sym_const] = ACTIONS(13478),
    [anon_sym_global] = ACTIONS(13478),
    [anon_sym_local] = ACTIONS(13478),
    [anon_sym_LPAREN] = ACTIONS(13478),
    [anon_sym_COLON2] = ACTIONS(13478),
    [anon_sym_export] = ACTIONS(13478),
    [anon_sym_import] = ACTIONS(13478),
    [anon_sym_using] = ACTIONS(13478),
    [anon_sym_LBRACK] = ACTIONS(13478),
    [anon_sym_LF] = ACTIONS(13476),
    [anon_sym_in] = ACTIONS(13478),
    [anon_sym_LBRACE] = ACTIONS(13478),
    [anon_sym_DOLLAR] = ACTIONS(13478),
    [anon_sym_COLON_COLON] = ACTIONS(13478),
    [anon_sym_isa] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13478),
    [anon_sym_QMARK] = ACTIONS(13478),
    [anon_sym_AT] = ACTIONS(13478),
    [anon_sym_true] = ACTIONS(13478),
    [anon_sym_false] = ACTIONS(13478),
    [aux_sym_integer_literal_token1] = ACTIONS(13478),
    [aux_sym_integer_literal_token2] = ACTIONS(13478),
    [aux_sym_integer_literal_token3] = ACTIONS(13478),
    [aux_sym_integer_literal_token4] = ACTIONS(13478),
    [aux_sym_float_literal_token1] = ACTIONS(13478),
    [aux_sym_float_literal_token3] = ACTIONS(13478),
    [aux_sym_float_literal_token4] = ACTIONS(13478),
    [sym_character_literal] = ACTIONS(13478),
    [sym__pair_operator] = ACTIONS(13478),
    [sym__arrow_operator] = ACTIONS(13478),
    [sym__lazy_or_operator] = ACTIONS(13478),
    [sym__lazy_and_operator] = ACTIONS(13478),
    [sym__comparison_operator] = ACTIONS(13478),
    [sym__pipe_right_operator] = ACTIONS(13478),
    [sym__pipe_left_operator] = ACTIONS(13478),
    [sym__ellipsis_operator] = ACTIONS(13478),
    [sym__plus_operator] = ACTIONS(13478),
    [sym__times_operator] = ACTIONS(13478),
    [sym__rational_operator] = ACTIONS(13478),
    [sym__bitshift_operator] = ACTIONS(13478),
    [sym__power_operator] = ACTIONS(13478),
    [sym__tilde_operator] = ACTIONS(13478),
    [sym__type_order_operator] = ACTIONS(13478),
    [sym__unary_operator] = ACTIONS(13478),
    [sym__unary_plus_operator] = ACTIONS(13478),
    [aux_sym__terminator_token1] = ACTIONS(13478),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13476),
    [sym__command_start] = ACTIONS(13476),
  },
  [7890] = {
    [sym__comprehension_clause] = STATE(18189),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17300),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14320),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14322),
    [anon_sym_LF] = ACTIONS(14324),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14327),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7891] = {
    [sym__word_identifier] = ACTIONS(13500),
    [anon_sym_EQ] = ACTIONS(13500),
    [anon_sym_COMMA] = ACTIONS(13500),
    [anon_sym_COLON] = ACTIONS(13500),
    [anon_sym_begin] = ACTIONS(13500),
    [anon_sym_module] = ACTIONS(13500),
    [anon_sym_baremodule] = ACTIONS(13500),
    [anon_sym_end] = ACTIONS(13500),
    [anon_sym_abstract] = ACTIONS(13500),
    [anon_sym_primitive] = ACTIONS(13500),
    [anon_sym_mutable] = ACTIONS(13500),
    [anon_sym_struct] = ACTIONS(13500),
    [anon_sym_function] = ACTIONS(13500),
    [anon_sym_macro] = ACTIONS(13500),
    [anon_sym_where] = ACTIONS(13500),
    [anon_sym_quote] = ACTIONS(13500),
    [anon_sym_let] = ACTIONS(13500),
    [anon_sym_if] = ACTIONS(13500),
    [anon_sym_else] = ACTIONS(13500),
    [anon_sym_try] = ACTIONS(13500),
    [anon_sym_finally] = ACTIONS(13500),
    [anon_sym_for] = ACTIONS(13500),
    [anon_sym_while] = ACTIONS(13500),
    [sym_break_statement] = ACTIONS(13500),
    [sym_continue_statement] = ACTIONS(13500),
    [anon_sym_return] = ACTIONS(13500),
    [anon_sym_const] = ACTIONS(13500),
    [anon_sym_global] = ACTIONS(13500),
    [anon_sym_local] = ACTIONS(13500),
    [anon_sym_LPAREN] = ACTIONS(13500),
    [anon_sym_COLON2] = ACTIONS(13500),
    [anon_sym_export] = ACTIONS(13500),
    [anon_sym_import] = ACTIONS(13500),
    [anon_sym_using] = ACTIONS(13500),
    [anon_sym_LBRACK] = ACTIONS(13500),
    [anon_sym_LF] = ACTIONS(13498),
    [anon_sym_in] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(13500),
    [anon_sym_DOLLAR] = ACTIONS(13500),
    [anon_sym_COLON_COLON] = ACTIONS(13500),
    [anon_sym_isa] = ACTIONS(13500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13500),
    [anon_sym_QMARK] = ACTIONS(13500),
    [anon_sym_AT] = ACTIONS(13500),
    [anon_sym_true] = ACTIONS(13500),
    [anon_sym_false] = ACTIONS(13500),
    [aux_sym_integer_literal_token1] = ACTIONS(13500),
    [aux_sym_integer_literal_token2] = ACTIONS(13500),
    [aux_sym_integer_literal_token3] = ACTIONS(13500),
    [aux_sym_integer_literal_token4] = ACTIONS(13500),
    [aux_sym_float_literal_token1] = ACTIONS(13500),
    [aux_sym_float_literal_token3] = ACTIONS(13500),
    [aux_sym_float_literal_token4] = ACTIONS(13500),
    [sym_character_literal] = ACTIONS(13500),
    [sym__pair_operator] = ACTIONS(13500),
    [sym__arrow_operator] = ACTIONS(13500),
    [sym__lazy_or_operator] = ACTIONS(13500),
    [sym__lazy_and_operator] = ACTIONS(13500),
    [sym__comparison_operator] = ACTIONS(13500),
    [sym__pipe_right_operator] = ACTIONS(13500),
    [sym__pipe_left_operator] = ACTIONS(13500),
    [sym__ellipsis_operator] = ACTIONS(13500),
    [sym__plus_operator] = ACTIONS(13500),
    [sym__times_operator] = ACTIONS(13500),
    [sym__rational_operator] = ACTIONS(13500),
    [sym__bitshift_operator] = ACTIONS(13500),
    [sym__power_operator] = ACTIONS(13500),
    [sym__tilde_operator] = ACTIONS(13500),
    [sym__type_order_operator] = ACTIONS(13500),
    [sym__unary_operator] = ACTIONS(13500),
    [sym__unary_plus_operator] = ACTIONS(13500),
    [aux_sym__terminator_token1] = ACTIONS(13500),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13498),
    [sym__command_start] = ACTIONS(13498),
  },
  [7892] = {
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13238),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_elseif] = ACTIONS(13238),
    [anon_sym_else] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13238),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13238),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13238),
    [anon_sym_isa] = ACTIONS(13238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13238),
    [anon_sym_QMARK] = ACTIONS(13238),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13238),
    [sym__arrow_operator] = ACTIONS(13238),
    [sym__lazy_or_operator] = ACTIONS(13238),
    [sym__lazy_and_operator] = ACTIONS(13238),
    [sym__comparison_operator] = ACTIONS(13238),
    [sym__pipe_right_operator] = ACTIONS(13238),
    [sym__pipe_left_operator] = ACTIONS(13238),
    [sym__ellipsis_operator] = ACTIONS(13238),
    [sym__plus_operator] = ACTIONS(13238),
    [sym__times_operator] = ACTIONS(13238),
    [sym__rational_operator] = ACTIONS(13238),
    [sym__bitshift_operator] = ACTIONS(13238),
    [sym__power_operator] = ACTIONS(13238),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13238),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13238),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7893] = {
    [sym__word_identifier] = ACTIONS(13538),
    [anon_sym_EQ] = ACTIONS(13538),
    [anon_sym_COMMA] = ACTIONS(13538),
    [anon_sym_COLON] = ACTIONS(13538),
    [anon_sym_begin] = ACTIONS(13538),
    [anon_sym_module] = ACTIONS(13538),
    [anon_sym_baremodule] = ACTIONS(13538),
    [anon_sym_end] = ACTIONS(13538),
    [anon_sym_abstract] = ACTIONS(13538),
    [anon_sym_primitive] = ACTIONS(13538),
    [anon_sym_mutable] = ACTIONS(13538),
    [anon_sym_struct] = ACTIONS(13538),
    [anon_sym_function] = ACTIONS(13538),
    [anon_sym_macro] = ACTIONS(13538),
    [anon_sym_where] = ACTIONS(13538),
    [anon_sym_quote] = ACTIONS(13538),
    [anon_sym_let] = ACTIONS(13538),
    [anon_sym_if] = ACTIONS(13538),
    [anon_sym_else] = ACTIONS(13538),
    [anon_sym_try] = ACTIONS(13538),
    [anon_sym_finally] = ACTIONS(13538),
    [anon_sym_for] = ACTIONS(13538),
    [anon_sym_while] = ACTIONS(13538),
    [sym_break_statement] = ACTIONS(13538),
    [sym_continue_statement] = ACTIONS(13538),
    [anon_sym_return] = ACTIONS(13538),
    [anon_sym_const] = ACTIONS(13538),
    [anon_sym_global] = ACTIONS(13538),
    [anon_sym_local] = ACTIONS(13538),
    [anon_sym_LPAREN] = ACTIONS(13538),
    [anon_sym_COLON2] = ACTIONS(13538),
    [anon_sym_export] = ACTIONS(13538),
    [anon_sym_import] = ACTIONS(13538),
    [anon_sym_using] = ACTIONS(13538),
    [anon_sym_LBRACK] = ACTIONS(13538),
    [anon_sym_LF] = ACTIONS(13536),
    [anon_sym_in] = ACTIONS(13538),
    [anon_sym_LBRACE] = ACTIONS(13538),
    [anon_sym_DOLLAR] = ACTIONS(13538),
    [anon_sym_COLON_COLON] = ACTIONS(13538),
    [anon_sym_isa] = ACTIONS(13538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13538),
    [anon_sym_QMARK] = ACTIONS(13538),
    [anon_sym_AT] = ACTIONS(13538),
    [anon_sym_true] = ACTIONS(13538),
    [anon_sym_false] = ACTIONS(13538),
    [aux_sym_integer_literal_token1] = ACTIONS(13538),
    [aux_sym_integer_literal_token2] = ACTIONS(13538),
    [aux_sym_integer_literal_token3] = ACTIONS(13538),
    [aux_sym_integer_literal_token4] = ACTIONS(13538),
    [aux_sym_float_literal_token1] = ACTIONS(13538),
    [aux_sym_float_literal_token3] = ACTIONS(13538),
    [aux_sym_float_literal_token4] = ACTIONS(13538),
    [sym_character_literal] = ACTIONS(13538),
    [sym__pair_operator] = ACTIONS(13538),
    [sym__arrow_operator] = ACTIONS(13538),
    [sym__lazy_or_operator] = ACTIONS(13538),
    [sym__lazy_and_operator] = ACTIONS(13538),
    [sym__comparison_operator] = ACTIONS(13538),
    [sym__pipe_right_operator] = ACTIONS(13538),
    [sym__pipe_left_operator] = ACTIONS(13538),
    [sym__ellipsis_operator] = ACTIONS(13538),
    [sym__plus_operator] = ACTIONS(13538),
    [sym__times_operator] = ACTIONS(13538),
    [sym__rational_operator] = ACTIONS(13538),
    [sym__bitshift_operator] = ACTIONS(13538),
    [sym__power_operator] = ACTIONS(13538),
    [sym__tilde_operator] = ACTIONS(13538),
    [sym__type_order_operator] = ACTIONS(13538),
    [sym__unary_operator] = ACTIONS(13538),
    [sym__unary_plus_operator] = ACTIONS(13538),
    [aux_sym__terminator_token1] = ACTIONS(13538),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13536),
    [sym__command_start] = ACTIONS(13536),
  },
  [7894] = {
    [ts_builtin_sym_end] = ACTIONS(13288),
    [sym__word_identifier] = ACTIONS(13286),
    [anon_sym_EQ] = ACTIONS(13286),
    [anon_sym_COMMA] = ACTIONS(13286),
    [anon_sym_COLON] = ACTIONS(13286),
    [anon_sym_begin] = ACTIONS(13286),
    [anon_sym_module] = ACTIONS(13286),
    [anon_sym_baremodule] = ACTIONS(13286),
    [anon_sym_abstract] = ACTIONS(13286),
    [anon_sym_primitive] = ACTIONS(13286),
    [anon_sym_mutable] = ACTIONS(13286),
    [anon_sym_struct] = ACTIONS(13286),
    [anon_sym_function] = ACTIONS(13286),
    [anon_sym_macro] = ACTIONS(13286),
    [anon_sym_where] = ACTIONS(13286),
    [anon_sym_quote] = ACTIONS(13286),
    [anon_sym_let] = ACTIONS(13286),
    [anon_sym_if] = ACTIONS(13286),
    [anon_sym_try] = ACTIONS(13286),
    [anon_sym_for] = ACTIONS(13286),
    [anon_sym_while] = ACTIONS(13286),
    [sym_break_statement] = ACTIONS(13286),
    [sym_continue_statement] = ACTIONS(13286),
    [anon_sym_return] = ACTIONS(13286),
    [anon_sym_const] = ACTIONS(13286),
    [anon_sym_global] = ACTIONS(13286),
    [anon_sym_local] = ACTIONS(13286),
    [anon_sym_LPAREN] = ACTIONS(13286),
    [anon_sym_RPAREN] = ACTIONS(13286),
    [anon_sym_COLON2] = ACTIONS(13286),
    [anon_sym_export] = ACTIONS(13286),
    [anon_sym_import] = ACTIONS(13286),
    [anon_sym_using] = ACTIONS(13286),
    [anon_sym_LBRACK] = ACTIONS(13286),
    [anon_sym_RBRACK] = ACTIONS(13286),
    [anon_sym_LF] = ACTIONS(13288),
    [anon_sym_in] = ACTIONS(13286),
    [anon_sym_LBRACE] = ACTIONS(13286),
    [anon_sym_DOLLAR] = ACTIONS(13286),
    [anon_sym_COLON_COLON] = ACTIONS(13286),
    [anon_sym_isa] = ACTIONS(13286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13286),
    [anon_sym_QMARK] = ACTIONS(13286),
    [anon_sym_AT] = ACTIONS(13286),
    [anon_sym_true] = ACTIONS(13286),
    [anon_sym_false] = ACTIONS(13286),
    [aux_sym_integer_literal_token1] = ACTIONS(13286),
    [aux_sym_integer_literal_token2] = ACTIONS(13286),
    [aux_sym_integer_literal_token3] = ACTIONS(13286),
    [aux_sym_integer_literal_token4] = ACTIONS(13286),
    [aux_sym_float_literal_token1] = ACTIONS(13286),
    [aux_sym_float_literal_token3] = ACTIONS(13286),
    [aux_sym_float_literal_token4] = ACTIONS(13286),
    [sym_character_literal] = ACTIONS(13286),
    [sym__pair_operator] = ACTIONS(13286),
    [sym__arrow_operator] = ACTIONS(13286),
    [sym__lazy_or_operator] = ACTIONS(13286),
    [sym__lazy_and_operator] = ACTIONS(13286),
    [sym__comparison_operator] = ACTIONS(13286),
    [sym__pipe_right_operator] = ACTIONS(13286),
    [sym__pipe_left_operator] = ACTIONS(13286),
    [sym__ellipsis_operator] = ACTIONS(13286),
    [sym__plus_operator] = ACTIONS(13286),
    [sym__times_operator] = ACTIONS(13286),
    [sym__rational_operator] = ACTIONS(13286),
    [sym__bitshift_operator] = ACTIONS(13286),
    [sym__power_operator] = ACTIONS(13286),
    [sym__tilde_operator] = ACTIONS(13286),
    [sym__type_order_operator] = ACTIONS(13286),
    [sym__unary_operator] = ACTIONS(13286),
    [sym__unary_plus_operator] = ACTIONS(13286),
    [aux_sym__terminator_token1] = ACTIONS(13286),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13288),
    [sym__command_start] = ACTIONS(13288),
  },
  [7895] = {
    [sym__word_identifier] = ACTIONS(13546),
    [anon_sym_EQ] = ACTIONS(13546),
    [anon_sym_COMMA] = ACTIONS(13546),
    [anon_sym_COLON] = ACTIONS(13546),
    [anon_sym_begin] = ACTIONS(13546),
    [anon_sym_module] = ACTIONS(13546),
    [anon_sym_baremodule] = ACTIONS(13546),
    [anon_sym_end] = ACTIONS(13546),
    [anon_sym_abstract] = ACTIONS(13546),
    [anon_sym_primitive] = ACTIONS(13546),
    [anon_sym_mutable] = ACTIONS(13546),
    [anon_sym_struct] = ACTIONS(13546),
    [anon_sym_function] = ACTIONS(13546),
    [anon_sym_macro] = ACTIONS(13546),
    [anon_sym_where] = ACTIONS(13546),
    [anon_sym_quote] = ACTIONS(13546),
    [anon_sym_let] = ACTIONS(13546),
    [anon_sym_if] = ACTIONS(13546),
    [anon_sym_else] = ACTIONS(13546),
    [anon_sym_try] = ACTIONS(13546),
    [anon_sym_finally] = ACTIONS(13546),
    [anon_sym_for] = ACTIONS(13546),
    [anon_sym_while] = ACTIONS(13546),
    [sym_break_statement] = ACTIONS(13546),
    [sym_continue_statement] = ACTIONS(13546),
    [anon_sym_return] = ACTIONS(13546),
    [anon_sym_const] = ACTIONS(13546),
    [anon_sym_global] = ACTIONS(13546),
    [anon_sym_local] = ACTIONS(13546),
    [anon_sym_LPAREN] = ACTIONS(13546),
    [anon_sym_COLON2] = ACTIONS(13546),
    [anon_sym_export] = ACTIONS(13546),
    [anon_sym_import] = ACTIONS(13546),
    [anon_sym_using] = ACTIONS(13546),
    [anon_sym_LBRACK] = ACTIONS(13546),
    [anon_sym_LF] = ACTIONS(13544),
    [anon_sym_in] = ACTIONS(13546),
    [anon_sym_LBRACE] = ACTIONS(13546),
    [anon_sym_DOLLAR] = ACTIONS(13546),
    [anon_sym_COLON_COLON] = ACTIONS(13546),
    [anon_sym_isa] = ACTIONS(13546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13546),
    [anon_sym_QMARK] = ACTIONS(13546),
    [anon_sym_AT] = ACTIONS(13546),
    [anon_sym_true] = ACTIONS(13546),
    [anon_sym_false] = ACTIONS(13546),
    [aux_sym_integer_literal_token1] = ACTIONS(13546),
    [aux_sym_integer_literal_token2] = ACTIONS(13546),
    [aux_sym_integer_literal_token3] = ACTIONS(13546),
    [aux_sym_integer_literal_token4] = ACTIONS(13546),
    [aux_sym_float_literal_token1] = ACTIONS(13546),
    [aux_sym_float_literal_token3] = ACTIONS(13546),
    [aux_sym_float_literal_token4] = ACTIONS(13546),
    [sym_character_literal] = ACTIONS(13546),
    [sym__pair_operator] = ACTIONS(13546),
    [sym__arrow_operator] = ACTIONS(13546),
    [sym__lazy_or_operator] = ACTIONS(13546),
    [sym__lazy_and_operator] = ACTIONS(13546),
    [sym__comparison_operator] = ACTIONS(13546),
    [sym__pipe_right_operator] = ACTIONS(13546),
    [sym__pipe_left_operator] = ACTIONS(13546),
    [sym__ellipsis_operator] = ACTIONS(13546),
    [sym__plus_operator] = ACTIONS(13546),
    [sym__times_operator] = ACTIONS(13546),
    [sym__rational_operator] = ACTIONS(13546),
    [sym__bitshift_operator] = ACTIONS(13546),
    [sym__power_operator] = ACTIONS(13546),
    [sym__tilde_operator] = ACTIONS(13546),
    [sym__type_order_operator] = ACTIONS(13546),
    [sym__unary_operator] = ACTIONS(13546),
    [sym__unary_plus_operator] = ACTIONS(13546),
    [aux_sym__terminator_token1] = ACTIONS(13546),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13544),
    [sym__command_start] = ACTIONS(13544),
  },
  [7896] = {
    [sym__word_identifier] = ACTIONS(13290),
    [anon_sym_EQ] = ACTIONS(13290),
    [anon_sym_COMMA] = ACTIONS(13290),
    [anon_sym_COLON] = ACTIONS(13290),
    [anon_sym_begin] = ACTIONS(13290),
    [anon_sym_module] = ACTIONS(13290),
    [anon_sym_baremodule] = ACTIONS(13290),
    [anon_sym_end] = ACTIONS(13290),
    [anon_sym_abstract] = ACTIONS(13290),
    [anon_sym_primitive] = ACTIONS(13290),
    [anon_sym_mutable] = ACTIONS(13290),
    [anon_sym_struct] = ACTIONS(13290),
    [anon_sym_function] = ACTIONS(13290),
    [anon_sym_macro] = ACTIONS(13290),
    [anon_sym_where] = ACTIONS(13290),
    [anon_sym_quote] = ACTIONS(13290),
    [anon_sym_let] = ACTIONS(13290),
    [anon_sym_if] = ACTIONS(13290),
    [anon_sym_else] = ACTIONS(13290),
    [anon_sym_try] = ACTIONS(13290),
    [anon_sym_finally] = ACTIONS(13290),
    [anon_sym_for] = ACTIONS(13290),
    [anon_sym_while] = ACTIONS(13290),
    [sym_break_statement] = ACTIONS(13290),
    [sym_continue_statement] = ACTIONS(13290),
    [anon_sym_return] = ACTIONS(13290),
    [anon_sym_const] = ACTIONS(13290),
    [anon_sym_global] = ACTIONS(13290),
    [anon_sym_local] = ACTIONS(13290),
    [anon_sym_LPAREN] = ACTIONS(13290),
    [anon_sym_COLON2] = ACTIONS(13290),
    [anon_sym_export] = ACTIONS(13290),
    [anon_sym_import] = ACTIONS(13290),
    [anon_sym_using] = ACTIONS(13290),
    [anon_sym_LBRACK] = ACTIONS(13290),
    [anon_sym_LF] = ACTIONS(13292),
    [anon_sym_in] = ACTIONS(13290),
    [anon_sym_LBRACE] = ACTIONS(13290),
    [anon_sym_DOLLAR] = ACTIONS(13290),
    [anon_sym_COLON_COLON] = ACTIONS(13290),
    [anon_sym_isa] = ACTIONS(13290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13290),
    [anon_sym_QMARK] = ACTIONS(13290),
    [anon_sym_AT] = ACTIONS(13290),
    [anon_sym_true] = ACTIONS(13290),
    [anon_sym_false] = ACTIONS(13290),
    [aux_sym_integer_literal_token1] = ACTIONS(13290),
    [aux_sym_integer_literal_token2] = ACTIONS(13290),
    [aux_sym_integer_literal_token3] = ACTIONS(13290),
    [aux_sym_integer_literal_token4] = ACTIONS(13290),
    [aux_sym_float_literal_token1] = ACTIONS(13290),
    [aux_sym_float_literal_token3] = ACTIONS(13290),
    [aux_sym_float_literal_token4] = ACTIONS(13290),
    [sym_character_literal] = ACTIONS(13290),
    [sym__pair_operator] = ACTIONS(13290),
    [sym__arrow_operator] = ACTIONS(13290),
    [sym__lazy_or_operator] = ACTIONS(13290),
    [sym__lazy_and_operator] = ACTIONS(13290),
    [sym__comparison_operator] = ACTIONS(13290),
    [sym__pipe_right_operator] = ACTIONS(13290),
    [sym__pipe_left_operator] = ACTIONS(13290),
    [sym__ellipsis_operator] = ACTIONS(13290),
    [sym__plus_operator] = ACTIONS(13290),
    [sym__times_operator] = ACTIONS(13290),
    [sym__rational_operator] = ACTIONS(13290),
    [sym__bitshift_operator] = ACTIONS(13290),
    [sym__power_operator] = ACTIONS(13290),
    [sym__tilde_operator] = ACTIONS(13290),
    [sym__type_order_operator] = ACTIONS(13290),
    [sym__unary_operator] = ACTIONS(13290),
    [sym__unary_plus_operator] = ACTIONS(13290),
    [aux_sym__terminator_token1] = ACTIONS(13290),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13292),
    [sym__command_start] = ACTIONS(13292),
  },
  [7897] = {
    [ts_builtin_sym_end] = ACTIONS(13428),
    [sym__word_identifier] = ACTIONS(13426),
    [anon_sym_EQ] = ACTIONS(13426),
    [anon_sym_COMMA] = ACTIONS(13426),
    [anon_sym_COLON] = ACTIONS(13426),
    [anon_sym_begin] = ACTIONS(13426),
    [anon_sym_module] = ACTIONS(13426),
    [anon_sym_baremodule] = ACTIONS(13426),
    [anon_sym_abstract] = ACTIONS(13426),
    [anon_sym_primitive] = ACTIONS(13426),
    [anon_sym_mutable] = ACTIONS(13426),
    [anon_sym_struct] = ACTIONS(13426),
    [anon_sym_function] = ACTIONS(13426),
    [anon_sym_macro] = ACTIONS(13426),
    [anon_sym_where] = ACTIONS(13426),
    [anon_sym_quote] = ACTIONS(13426),
    [anon_sym_let] = ACTIONS(13426),
    [anon_sym_if] = ACTIONS(13426),
    [anon_sym_try] = ACTIONS(13426),
    [anon_sym_for] = ACTIONS(13426),
    [anon_sym_while] = ACTIONS(13426),
    [sym_break_statement] = ACTIONS(13426),
    [sym_continue_statement] = ACTIONS(13426),
    [anon_sym_return] = ACTIONS(13426),
    [anon_sym_const] = ACTIONS(13426),
    [anon_sym_global] = ACTIONS(13426),
    [anon_sym_local] = ACTIONS(13426),
    [anon_sym_LPAREN] = ACTIONS(13426),
    [anon_sym_RPAREN] = ACTIONS(13426),
    [anon_sym_COLON2] = ACTIONS(13426),
    [anon_sym_export] = ACTIONS(13426),
    [anon_sym_import] = ACTIONS(13426),
    [anon_sym_using] = ACTIONS(13426),
    [anon_sym_LBRACK] = ACTIONS(13426),
    [anon_sym_RBRACK] = ACTIONS(13426),
    [anon_sym_LF] = ACTIONS(13428),
    [anon_sym_in] = ACTIONS(13426),
    [anon_sym_LBRACE] = ACTIONS(13426),
    [anon_sym_DOLLAR] = ACTIONS(13426),
    [anon_sym_COLON_COLON] = ACTIONS(13426),
    [anon_sym_isa] = ACTIONS(13426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13426),
    [anon_sym_QMARK] = ACTIONS(13426),
    [anon_sym_AT] = ACTIONS(13426),
    [anon_sym_true] = ACTIONS(13426),
    [anon_sym_false] = ACTIONS(13426),
    [aux_sym_integer_literal_token1] = ACTIONS(13426),
    [aux_sym_integer_literal_token2] = ACTIONS(13426),
    [aux_sym_integer_literal_token3] = ACTIONS(13426),
    [aux_sym_integer_literal_token4] = ACTIONS(13426),
    [aux_sym_float_literal_token1] = ACTIONS(13426),
    [aux_sym_float_literal_token3] = ACTIONS(13426),
    [aux_sym_float_literal_token4] = ACTIONS(13426),
    [sym_character_literal] = ACTIONS(13426),
    [sym__pair_operator] = ACTIONS(13426),
    [sym__arrow_operator] = ACTIONS(13426),
    [sym__lazy_or_operator] = ACTIONS(13426),
    [sym__lazy_and_operator] = ACTIONS(13426),
    [sym__comparison_operator] = ACTIONS(13426),
    [sym__pipe_right_operator] = ACTIONS(13426),
    [sym__pipe_left_operator] = ACTIONS(13426),
    [sym__ellipsis_operator] = ACTIONS(13426),
    [sym__plus_operator] = ACTIONS(13426),
    [sym__times_operator] = ACTIONS(13426),
    [sym__rational_operator] = ACTIONS(13426),
    [sym__bitshift_operator] = ACTIONS(13426),
    [sym__power_operator] = ACTIONS(13426),
    [sym__tilde_operator] = ACTIONS(13426),
    [sym__type_order_operator] = ACTIONS(13426),
    [sym__unary_operator] = ACTIONS(13426),
    [sym__unary_plus_operator] = ACTIONS(13426),
    [aux_sym__terminator_token1] = ACTIONS(13426),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13428),
    [sym__command_start] = ACTIONS(13428),
  },
  [7898] = {
    [sym__word_identifier] = ACTIONS(13574),
    [anon_sym_EQ] = ACTIONS(13574),
    [anon_sym_COMMA] = ACTIONS(13574),
    [anon_sym_COLON] = ACTIONS(13574),
    [anon_sym_begin] = ACTIONS(13574),
    [anon_sym_module] = ACTIONS(13574),
    [anon_sym_baremodule] = ACTIONS(13574),
    [anon_sym_end] = ACTIONS(13574),
    [anon_sym_abstract] = ACTIONS(13574),
    [anon_sym_primitive] = ACTIONS(13574),
    [anon_sym_mutable] = ACTIONS(13574),
    [anon_sym_struct] = ACTIONS(13574),
    [anon_sym_function] = ACTIONS(13574),
    [anon_sym_macro] = ACTIONS(13574),
    [anon_sym_where] = ACTIONS(13574),
    [anon_sym_quote] = ACTIONS(13574),
    [anon_sym_let] = ACTIONS(13574),
    [anon_sym_if] = ACTIONS(13574),
    [anon_sym_else] = ACTIONS(13574),
    [anon_sym_try] = ACTIONS(13574),
    [anon_sym_finally] = ACTIONS(13574),
    [anon_sym_for] = ACTIONS(13574),
    [anon_sym_while] = ACTIONS(13574),
    [sym_break_statement] = ACTIONS(13574),
    [sym_continue_statement] = ACTIONS(13574),
    [anon_sym_return] = ACTIONS(13574),
    [anon_sym_const] = ACTIONS(13574),
    [anon_sym_global] = ACTIONS(13574),
    [anon_sym_local] = ACTIONS(13574),
    [anon_sym_LPAREN] = ACTIONS(13574),
    [anon_sym_COLON2] = ACTIONS(13574),
    [anon_sym_export] = ACTIONS(13574),
    [anon_sym_import] = ACTIONS(13574),
    [anon_sym_using] = ACTIONS(13574),
    [anon_sym_LBRACK] = ACTIONS(13574),
    [anon_sym_LF] = ACTIONS(13572),
    [anon_sym_in] = ACTIONS(13574),
    [anon_sym_LBRACE] = ACTIONS(13574),
    [anon_sym_DOLLAR] = ACTIONS(13574),
    [anon_sym_COLON_COLON] = ACTIONS(13574),
    [anon_sym_isa] = ACTIONS(13574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13574),
    [anon_sym_QMARK] = ACTIONS(13574),
    [anon_sym_AT] = ACTIONS(13574),
    [anon_sym_true] = ACTIONS(13574),
    [anon_sym_false] = ACTIONS(13574),
    [aux_sym_integer_literal_token1] = ACTIONS(13574),
    [aux_sym_integer_literal_token2] = ACTIONS(13574),
    [aux_sym_integer_literal_token3] = ACTIONS(13574),
    [aux_sym_integer_literal_token4] = ACTIONS(13574),
    [aux_sym_float_literal_token1] = ACTIONS(13574),
    [aux_sym_float_literal_token3] = ACTIONS(13574),
    [aux_sym_float_literal_token4] = ACTIONS(13574),
    [sym_character_literal] = ACTIONS(13574),
    [sym__pair_operator] = ACTIONS(13574),
    [sym__arrow_operator] = ACTIONS(13574),
    [sym__lazy_or_operator] = ACTIONS(13574),
    [sym__lazy_and_operator] = ACTIONS(13574),
    [sym__comparison_operator] = ACTIONS(13574),
    [sym__pipe_right_operator] = ACTIONS(13574),
    [sym__pipe_left_operator] = ACTIONS(13574),
    [sym__ellipsis_operator] = ACTIONS(13574),
    [sym__plus_operator] = ACTIONS(13574),
    [sym__times_operator] = ACTIONS(13574),
    [sym__rational_operator] = ACTIONS(13574),
    [sym__bitshift_operator] = ACTIONS(13574),
    [sym__power_operator] = ACTIONS(13574),
    [sym__tilde_operator] = ACTIONS(13574),
    [sym__type_order_operator] = ACTIONS(13574),
    [sym__unary_operator] = ACTIONS(13574),
    [sym__unary_plus_operator] = ACTIONS(13574),
    [aux_sym__terminator_token1] = ACTIONS(13574),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13572),
    [sym__command_start] = ACTIONS(13572),
  },
  [7899] = {
    [ts_builtin_sym_end] = ACTIONS(13342),
    [sym__word_identifier] = ACTIONS(13340),
    [anon_sym_EQ] = ACTIONS(13340),
    [anon_sym_COMMA] = ACTIONS(13340),
    [anon_sym_COLON] = ACTIONS(13340),
    [anon_sym_begin] = ACTIONS(13340),
    [anon_sym_module] = ACTIONS(13340),
    [anon_sym_baremodule] = ACTIONS(13340),
    [anon_sym_abstract] = ACTIONS(13340),
    [anon_sym_primitive] = ACTIONS(13340),
    [anon_sym_mutable] = ACTIONS(13340),
    [anon_sym_struct] = ACTIONS(13340),
    [anon_sym_function] = ACTIONS(13340),
    [anon_sym_macro] = ACTIONS(13340),
    [anon_sym_where] = ACTIONS(13340),
    [anon_sym_quote] = ACTIONS(13340),
    [anon_sym_let] = ACTIONS(13340),
    [anon_sym_if] = ACTIONS(13340),
    [anon_sym_try] = ACTIONS(13340),
    [anon_sym_for] = ACTIONS(13340),
    [anon_sym_while] = ACTIONS(13340),
    [sym_break_statement] = ACTIONS(13340),
    [sym_continue_statement] = ACTIONS(13340),
    [anon_sym_return] = ACTIONS(13340),
    [anon_sym_const] = ACTIONS(13340),
    [anon_sym_global] = ACTIONS(13340),
    [anon_sym_local] = ACTIONS(13340),
    [anon_sym_LPAREN] = ACTIONS(13340),
    [anon_sym_RPAREN] = ACTIONS(13340),
    [anon_sym_COLON2] = ACTIONS(13340),
    [anon_sym_export] = ACTIONS(13340),
    [anon_sym_import] = ACTIONS(13340),
    [anon_sym_using] = ACTIONS(13340),
    [anon_sym_LBRACK] = ACTIONS(13340),
    [anon_sym_RBRACK] = ACTIONS(13340),
    [anon_sym_LF] = ACTIONS(13342),
    [anon_sym_in] = ACTIONS(13340),
    [anon_sym_LBRACE] = ACTIONS(13340),
    [anon_sym_DOLLAR] = ACTIONS(13340),
    [anon_sym_COLON_COLON] = ACTIONS(13340),
    [anon_sym_isa] = ACTIONS(13340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13340),
    [anon_sym_QMARK] = ACTIONS(13340),
    [anon_sym_AT] = ACTIONS(13340),
    [anon_sym_true] = ACTIONS(13340),
    [anon_sym_false] = ACTIONS(13340),
    [aux_sym_integer_literal_token1] = ACTIONS(13340),
    [aux_sym_integer_literal_token2] = ACTIONS(13340),
    [aux_sym_integer_literal_token3] = ACTIONS(13340),
    [aux_sym_integer_literal_token4] = ACTIONS(13340),
    [aux_sym_float_literal_token1] = ACTIONS(13340),
    [aux_sym_float_literal_token3] = ACTIONS(13340),
    [aux_sym_float_literal_token4] = ACTIONS(13340),
    [sym_character_literal] = ACTIONS(13340),
    [sym__pair_operator] = ACTIONS(13340),
    [sym__arrow_operator] = ACTIONS(13340),
    [sym__lazy_or_operator] = ACTIONS(13340),
    [sym__lazy_and_operator] = ACTIONS(13340),
    [sym__comparison_operator] = ACTIONS(13340),
    [sym__pipe_right_operator] = ACTIONS(13340),
    [sym__pipe_left_operator] = ACTIONS(13340),
    [sym__ellipsis_operator] = ACTIONS(13340),
    [sym__plus_operator] = ACTIONS(13340),
    [sym__times_operator] = ACTIONS(13340),
    [sym__rational_operator] = ACTIONS(13340),
    [sym__bitshift_operator] = ACTIONS(13340),
    [sym__power_operator] = ACTIONS(13340),
    [sym__tilde_operator] = ACTIONS(13340),
    [sym__type_order_operator] = ACTIONS(13340),
    [sym__unary_operator] = ACTIONS(13340),
    [sym__unary_plus_operator] = ACTIONS(13340),
    [aux_sym__terminator_token1] = ACTIONS(13340),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13342),
    [sym__command_start] = ACTIONS(13342),
  },
  [7900] = {
    [sym__word_identifier] = ACTIONS(13592),
    [anon_sym_EQ] = ACTIONS(13592),
    [anon_sym_COMMA] = ACTIONS(13592),
    [anon_sym_COLON] = ACTIONS(13592),
    [anon_sym_begin] = ACTIONS(13592),
    [anon_sym_module] = ACTIONS(13592),
    [anon_sym_baremodule] = ACTIONS(13592),
    [anon_sym_end] = ACTIONS(13592),
    [anon_sym_abstract] = ACTIONS(13592),
    [anon_sym_primitive] = ACTIONS(13592),
    [anon_sym_mutable] = ACTIONS(13592),
    [anon_sym_struct] = ACTIONS(13592),
    [anon_sym_function] = ACTIONS(13592),
    [anon_sym_macro] = ACTIONS(13592),
    [anon_sym_where] = ACTIONS(13592),
    [anon_sym_quote] = ACTIONS(13592),
    [anon_sym_let] = ACTIONS(13592),
    [anon_sym_if] = ACTIONS(13592),
    [anon_sym_else] = ACTIONS(13592),
    [anon_sym_try] = ACTIONS(13592),
    [anon_sym_finally] = ACTIONS(13592),
    [anon_sym_for] = ACTIONS(13592),
    [anon_sym_while] = ACTIONS(13592),
    [sym_break_statement] = ACTIONS(13592),
    [sym_continue_statement] = ACTIONS(13592),
    [anon_sym_return] = ACTIONS(13592),
    [anon_sym_const] = ACTIONS(13592),
    [anon_sym_global] = ACTIONS(13592),
    [anon_sym_local] = ACTIONS(13592),
    [anon_sym_LPAREN] = ACTIONS(13592),
    [anon_sym_COLON2] = ACTIONS(13592),
    [anon_sym_export] = ACTIONS(13592),
    [anon_sym_import] = ACTIONS(13592),
    [anon_sym_using] = ACTIONS(13592),
    [anon_sym_LBRACK] = ACTIONS(13592),
    [anon_sym_LF] = ACTIONS(13590),
    [anon_sym_in] = ACTIONS(13592),
    [anon_sym_LBRACE] = ACTIONS(13592),
    [anon_sym_DOLLAR] = ACTIONS(13592),
    [anon_sym_COLON_COLON] = ACTIONS(13592),
    [anon_sym_isa] = ACTIONS(13592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13592),
    [anon_sym_QMARK] = ACTIONS(13592),
    [anon_sym_AT] = ACTIONS(13592),
    [anon_sym_true] = ACTIONS(13592),
    [anon_sym_false] = ACTIONS(13592),
    [aux_sym_integer_literal_token1] = ACTIONS(13592),
    [aux_sym_integer_literal_token2] = ACTIONS(13592),
    [aux_sym_integer_literal_token3] = ACTIONS(13592),
    [aux_sym_integer_literal_token4] = ACTIONS(13592),
    [aux_sym_float_literal_token1] = ACTIONS(13592),
    [aux_sym_float_literal_token3] = ACTIONS(13592),
    [aux_sym_float_literal_token4] = ACTIONS(13592),
    [sym_character_literal] = ACTIONS(13592),
    [sym__pair_operator] = ACTIONS(13592),
    [sym__arrow_operator] = ACTIONS(13592),
    [sym__lazy_or_operator] = ACTIONS(13592),
    [sym__lazy_and_operator] = ACTIONS(13592),
    [sym__comparison_operator] = ACTIONS(13592),
    [sym__pipe_right_operator] = ACTIONS(13592),
    [sym__pipe_left_operator] = ACTIONS(13592),
    [sym__ellipsis_operator] = ACTIONS(13592),
    [sym__plus_operator] = ACTIONS(13592),
    [sym__times_operator] = ACTIONS(13592),
    [sym__rational_operator] = ACTIONS(13592),
    [sym__bitshift_operator] = ACTIONS(13592),
    [sym__power_operator] = ACTIONS(13592),
    [sym__tilde_operator] = ACTIONS(13592),
    [sym__type_order_operator] = ACTIONS(13592),
    [sym__unary_operator] = ACTIONS(13592),
    [sym__unary_plus_operator] = ACTIONS(13592),
    [aux_sym__terminator_token1] = ACTIONS(13592),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13590),
    [sym__command_start] = ACTIONS(13590),
  },
  [7901] = {
    [sym__word_identifier] = ACTIONS(13630),
    [anon_sym_EQ] = ACTIONS(13630),
    [anon_sym_COMMA] = ACTIONS(13630),
    [anon_sym_COLON] = ACTIONS(13630),
    [anon_sym_begin] = ACTIONS(13630),
    [anon_sym_module] = ACTIONS(13630),
    [anon_sym_baremodule] = ACTIONS(13630),
    [anon_sym_end] = ACTIONS(13630),
    [anon_sym_abstract] = ACTIONS(13630),
    [anon_sym_primitive] = ACTIONS(13630),
    [anon_sym_mutable] = ACTIONS(13630),
    [anon_sym_struct] = ACTIONS(13630),
    [anon_sym_function] = ACTIONS(13630),
    [anon_sym_macro] = ACTIONS(13630),
    [anon_sym_where] = ACTIONS(13630),
    [anon_sym_quote] = ACTIONS(13630),
    [anon_sym_let] = ACTIONS(13630),
    [anon_sym_if] = ACTIONS(13630),
    [anon_sym_else] = ACTIONS(13630),
    [anon_sym_try] = ACTIONS(13630),
    [anon_sym_finally] = ACTIONS(13630),
    [anon_sym_for] = ACTIONS(13630),
    [anon_sym_while] = ACTIONS(13630),
    [sym_break_statement] = ACTIONS(13630),
    [sym_continue_statement] = ACTIONS(13630),
    [anon_sym_return] = ACTIONS(13630),
    [anon_sym_const] = ACTIONS(13630),
    [anon_sym_global] = ACTIONS(13630),
    [anon_sym_local] = ACTIONS(13630),
    [anon_sym_LPAREN] = ACTIONS(13630),
    [anon_sym_COLON2] = ACTIONS(13630),
    [anon_sym_export] = ACTIONS(13630),
    [anon_sym_import] = ACTIONS(13630),
    [anon_sym_using] = ACTIONS(13630),
    [anon_sym_LBRACK] = ACTIONS(13630),
    [anon_sym_LF] = ACTIONS(13628),
    [anon_sym_in] = ACTIONS(13630),
    [anon_sym_LBRACE] = ACTIONS(13630),
    [anon_sym_DOLLAR] = ACTIONS(13630),
    [anon_sym_COLON_COLON] = ACTIONS(13630),
    [anon_sym_isa] = ACTIONS(13630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13630),
    [anon_sym_QMARK] = ACTIONS(13630),
    [anon_sym_AT] = ACTIONS(13630),
    [anon_sym_true] = ACTIONS(13630),
    [anon_sym_false] = ACTIONS(13630),
    [aux_sym_integer_literal_token1] = ACTIONS(13630),
    [aux_sym_integer_literal_token2] = ACTIONS(13630),
    [aux_sym_integer_literal_token3] = ACTIONS(13630),
    [aux_sym_integer_literal_token4] = ACTIONS(13630),
    [aux_sym_float_literal_token1] = ACTIONS(13630),
    [aux_sym_float_literal_token3] = ACTIONS(13630),
    [aux_sym_float_literal_token4] = ACTIONS(13630),
    [sym_character_literal] = ACTIONS(13630),
    [sym__pair_operator] = ACTIONS(13630),
    [sym__arrow_operator] = ACTIONS(13630),
    [sym__lazy_or_operator] = ACTIONS(13630),
    [sym__lazy_and_operator] = ACTIONS(13630),
    [sym__comparison_operator] = ACTIONS(13630),
    [sym__pipe_right_operator] = ACTIONS(13630),
    [sym__pipe_left_operator] = ACTIONS(13630),
    [sym__ellipsis_operator] = ACTIONS(13630),
    [sym__plus_operator] = ACTIONS(13630),
    [sym__times_operator] = ACTIONS(13630),
    [sym__rational_operator] = ACTIONS(13630),
    [sym__bitshift_operator] = ACTIONS(13630),
    [sym__power_operator] = ACTIONS(13630),
    [sym__tilde_operator] = ACTIONS(13630),
    [sym__type_order_operator] = ACTIONS(13630),
    [sym__unary_operator] = ACTIONS(13630),
    [sym__unary_plus_operator] = ACTIONS(13630),
    [aux_sym__terminator_token1] = ACTIONS(13630),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13628),
    [sym__command_start] = ACTIONS(13628),
  },
  [7902] = {
    [sym__comprehension_clause] = STATE(19557),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17021),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14330),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14332),
    [anon_sym_LF] = ACTIONS(14334),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14337),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7903] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7904] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7905] = {
    [ts_builtin_sym_end] = ACTIONS(13388),
    [sym__word_identifier] = ACTIONS(13386),
    [anon_sym_EQ] = ACTIONS(13386),
    [anon_sym_COMMA] = ACTIONS(13386),
    [anon_sym_COLON] = ACTIONS(13386),
    [anon_sym_begin] = ACTIONS(13386),
    [anon_sym_module] = ACTIONS(13386),
    [anon_sym_baremodule] = ACTIONS(13386),
    [anon_sym_abstract] = ACTIONS(13386),
    [anon_sym_primitive] = ACTIONS(13386),
    [anon_sym_mutable] = ACTIONS(13386),
    [anon_sym_struct] = ACTIONS(13386),
    [anon_sym_function] = ACTIONS(13386),
    [anon_sym_macro] = ACTIONS(13386),
    [anon_sym_where] = ACTIONS(13386),
    [anon_sym_quote] = ACTIONS(13386),
    [anon_sym_let] = ACTIONS(13386),
    [anon_sym_if] = ACTIONS(13386),
    [anon_sym_try] = ACTIONS(13386),
    [anon_sym_for] = ACTIONS(13386),
    [anon_sym_while] = ACTIONS(13386),
    [sym_break_statement] = ACTIONS(13386),
    [sym_continue_statement] = ACTIONS(13386),
    [anon_sym_return] = ACTIONS(13386),
    [anon_sym_const] = ACTIONS(13386),
    [anon_sym_global] = ACTIONS(13386),
    [anon_sym_local] = ACTIONS(13386),
    [anon_sym_LPAREN] = ACTIONS(13386),
    [anon_sym_RPAREN] = ACTIONS(13386),
    [anon_sym_COLON2] = ACTIONS(13386),
    [anon_sym_export] = ACTIONS(13386),
    [anon_sym_import] = ACTIONS(13386),
    [anon_sym_using] = ACTIONS(13386),
    [anon_sym_LBRACK] = ACTIONS(13386),
    [anon_sym_RBRACK] = ACTIONS(13386),
    [anon_sym_LF] = ACTIONS(13388),
    [anon_sym_in] = ACTIONS(13386),
    [anon_sym_LBRACE] = ACTIONS(13386),
    [anon_sym_DOLLAR] = ACTIONS(13386),
    [anon_sym_COLON_COLON] = ACTIONS(13386),
    [anon_sym_isa] = ACTIONS(13386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13386),
    [anon_sym_QMARK] = ACTIONS(13386),
    [anon_sym_AT] = ACTIONS(13386),
    [anon_sym_true] = ACTIONS(13386),
    [anon_sym_false] = ACTIONS(13386),
    [aux_sym_integer_literal_token1] = ACTIONS(13386),
    [aux_sym_integer_literal_token2] = ACTIONS(13386),
    [aux_sym_integer_literal_token3] = ACTIONS(13386),
    [aux_sym_integer_literal_token4] = ACTIONS(13386),
    [aux_sym_float_literal_token1] = ACTIONS(13386),
    [aux_sym_float_literal_token3] = ACTIONS(13386),
    [aux_sym_float_literal_token4] = ACTIONS(13386),
    [sym_character_literal] = ACTIONS(13386),
    [sym__pair_operator] = ACTIONS(13386),
    [sym__arrow_operator] = ACTIONS(13386),
    [sym__lazy_or_operator] = ACTIONS(13386),
    [sym__lazy_and_operator] = ACTIONS(13386),
    [sym__comparison_operator] = ACTIONS(13386),
    [sym__pipe_right_operator] = ACTIONS(13386),
    [sym__pipe_left_operator] = ACTIONS(13386),
    [sym__ellipsis_operator] = ACTIONS(13386),
    [sym__plus_operator] = ACTIONS(13386),
    [sym__times_operator] = ACTIONS(13386),
    [sym__rational_operator] = ACTIONS(13386),
    [sym__bitshift_operator] = ACTIONS(13386),
    [sym__power_operator] = ACTIONS(13386),
    [sym__tilde_operator] = ACTIONS(13386),
    [sym__type_order_operator] = ACTIONS(13386),
    [sym__unary_operator] = ACTIONS(13386),
    [sym__unary_plus_operator] = ACTIONS(13386),
    [aux_sym__terminator_token1] = ACTIONS(13386),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13388),
    [sym__command_start] = ACTIONS(13388),
  },
  [7906] = {
    [sym__word_identifier] = ACTIONS(14246),
    [anon_sym_EQ] = ACTIONS(14246),
    [anon_sym_COMMA] = ACTIONS(14246),
    [anon_sym_COLON] = ACTIONS(14246),
    [anon_sym_begin] = ACTIONS(14246),
    [anon_sym_module] = ACTIONS(14246),
    [anon_sym_baremodule] = ACTIONS(14246),
    [anon_sym_end] = ACTIONS(14246),
    [anon_sym_abstract] = ACTIONS(14246),
    [anon_sym_primitive] = ACTIONS(14246),
    [anon_sym_mutable] = ACTIONS(14246),
    [anon_sym_struct] = ACTIONS(14246),
    [anon_sym_function] = ACTIONS(14246),
    [anon_sym_macro] = ACTIONS(14246),
    [anon_sym_where] = ACTIONS(14246),
    [anon_sym_quote] = ACTIONS(14246),
    [anon_sym_let] = ACTIONS(14246),
    [anon_sym_if] = ACTIONS(14246),
    [anon_sym_else] = ACTIONS(14246),
    [anon_sym_try] = ACTIONS(14246),
    [anon_sym_finally] = ACTIONS(14246),
    [anon_sym_for] = ACTIONS(14246),
    [anon_sym_while] = ACTIONS(14246),
    [sym_break_statement] = ACTIONS(14246),
    [sym_continue_statement] = ACTIONS(14246),
    [anon_sym_return] = ACTIONS(14246),
    [anon_sym_const] = ACTIONS(14246),
    [anon_sym_global] = ACTIONS(14246),
    [anon_sym_local] = ACTIONS(14246),
    [anon_sym_LPAREN] = ACTIONS(14246),
    [anon_sym_COLON2] = ACTIONS(14246),
    [anon_sym_export] = ACTIONS(14246),
    [anon_sym_import] = ACTIONS(14246),
    [anon_sym_using] = ACTIONS(14246),
    [anon_sym_LBRACK] = ACTIONS(14246),
    [anon_sym_LF] = ACTIONS(14244),
    [anon_sym_in] = ACTIONS(14246),
    [anon_sym_LBRACE] = ACTIONS(14246),
    [anon_sym_DOLLAR] = ACTIONS(14246),
    [anon_sym_COLON_COLON] = ACTIONS(14246),
    [anon_sym_isa] = ACTIONS(14246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14246),
    [anon_sym_QMARK] = ACTIONS(14246),
    [anon_sym_AT] = ACTIONS(14246),
    [anon_sym_true] = ACTIONS(14246),
    [anon_sym_false] = ACTIONS(14246),
    [aux_sym_integer_literal_token1] = ACTIONS(14246),
    [aux_sym_integer_literal_token2] = ACTIONS(14246),
    [aux_sym_integer_literal_token3] = ACTIONS(14246),
    [aux_sym_integer_literal_token4] = ACTIONS(14246),
    [aux_sym_float_literal_token1] = ACTIONS(14246),
    [aux_sym_float_literal_token3] = ACTIONS(14246),
    [aux_sym_float_literal_token4] = ACTIONS(14246),
    [sym_character_literal] = ACTIONS(14246),
    [sym__pair_operator] = ACTIONS(14246),
    [sym__arrow_operator] = ACTIONS(14246),
    [sym__lazy_or_operator] = ACTIONS(14246),
    [sym__lazy_and_operator] = ACTIONS(14246),
    [sym__comparison_operator] = ACTIONS(14246),
    [sym__pipe_right_operator] = ACTIONS(14246),
    [sym__pipe_left_operator] = ACTIONS(14246),
    [sym__ellipsis_operator] = ACTIONS(14246),
    [sym__plus_operator] = ACTIONS(14246),
    [sym__times_operator] = ACTIONS(14246),
    [sym__rational_operator] = ACTIONS(14246),
    [sym__bitshift_operator] = ACTIONS(14246),
    [sym__power_operator] = ACTIONS(14246),
    [sym__tilde_operator] = ACTIONS(14246),
    [sym__type_order_operator] = ACTIONS(14246),
    [sym__unary_operator] = ACTIONS(14246),
    [sym__unary_plus_operator] = ACTIONS(14246),
    [aux_sym__terminator_token1] = ACTIONS(14246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14244),
    [sym__command_start] = ACTIONS(14244),
  },
  [7907] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7908] = {
    [aux_sym_open_tuple_repeat1] = STATE(7908),
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(14340),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_end] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(12957),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_catch] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(12957),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(12957),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(12957),
    [anon_sym_isa] = ACTIONS(12957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12957),
    [anon_sym_QMARK] = ACTIONS(12957),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(12957),
    [sym__arrow_operator] = ACTIONS(12957),
    [sym__lazy_or_operator] = ACTIONS(12957),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12957),
    [sym__pipe_right_operator] = ACTIONS(12957),
    [sym__pipe_left_operator] = ACTIONS(12957),
    [sym__ellipsis_operator] = ACTIONS(12957),
    [sym__plus_operator] = ACTIONS(12957),
    [sym__times_operator] = ACTIONS(12957),
    [sym__rational_operator] = ACTIONS(12957),
    [sym__bitshift_operator] = ACTIONS(12957),
    [sym__power_operator] = ACTIONS(12957),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(12957),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(12957),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [7909] = {
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13238),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_else] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_finally] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13238),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13238),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13238),
    [anon_sym_isa] = ACTIONS(13238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13238),
    [anon_sym_QMARK] = ACTIONS(13238),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13238),
    [sym__arrow_operator] = ACTIONS(13238),
    [sym__lazy_or_operator] = ACTIONS(13238),
    [sym__lazy_and_operator] = ACTIONS(13238),
    [sym__comparison_operator] = ACTIONS(13238),
    [sym__pipe_right_operator] = ACTIONS(13238),
    [sym__pipe_left_operator] = ACTIONS(13238),
    [sym__ellipsis_operator] = ACTIONS(13238),
    [sym__plus_operator] = ACTIONS(13238),
    [sym__times_operator] = ACTIONS(13238),
    [sym__rational_operator] = ACTIONS(13238),
    [sym__bitshift_operator] = ACTIONS(13238),
    [sym__power_operator] = ACTIONS(13238),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13238),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13238),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [7910] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_elseif] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7911] = {
    [sym__comprehension_clause] = STATE(18870),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17245),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14343),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14345),
    [anon_sym_LF] = ACTIONS(14347),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7912] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12248),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12248),
    [anon_sym_RPAREN] = ACTIONS(12248),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12248),
    [anon_sym_RBRACK] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_SEMI] = ACTIONS(12248),
    [anon_sym_LBRACE] = ACTIONS(12248),
    [anon_sym_RBRACE] = ACTIONS(12248),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12248),
    [anon_sym_COLON_COLON] = ACTIONS(12248),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12248),
    [anon_sym_QMARK] = ACTIONS(12248),
    [anon_sym_AT] = ACTIONS(12248),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12248),
    [aux_sym_integer_literal_token2] = ACTIONS(12248),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12248),
    [aux_sym_float_literal_token3] = ACTIONS(12248),
    [aux_sym_float_literal_token4] = ACTIONS(12248),
    [sym_character_literal] = ACTIONS(12248),
    [sym__pair_operator] = ACTIONS(12248),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12248),
    [sym__lazy_and_operator] = ACTIONS(12248),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12248),
    [sym__pipe_left_operator] = ACTIONS(12248),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12248),
    [sym__bitshift_operator] = ACTIONS(12248),
    [sym__power_operator] = ACTIONS(12248),
    [sym__tilde_operator] = ACTIONS(12248),
    [sym__type_order_operator] = ACTIONS(12248),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [7913] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12244),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12244),
    [anon_sym_RPAREN] = ACTIONS(12244),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12244),
    [anon_sym_RBRACK] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_SEMI] = ACTIONS(12244),
    [anon_sym_LBRACE] = ACTIONS(12244),
    [anon_sym_RBRACE] = ACTIONS(12244),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12244),
    [anon_sym_COLON_COLON] = ACTIONS(12244),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12244),
    [anon_sym_QMARK] = ACTIONS(12244),
    [anon_sym_AT] = ACTIONS(12244),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12244),
    [aux_sym_integer_literal_token2] = ACTIONS(12244),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12244),
    [aux_sym_float_literal_token3] = ACTIONS(12244),
    [aux_sym_float_literal_token4] = ACTIONS(12244),
    [sym_character_literal] = ACTIONS(12244),
    [sym__pair_operator] = ACTIONS(12244),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12244),
    [sym__lazy_and_operator] = ACTIONS(12244),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12244),
    [sym__pipe_left_operator] = ACTIONS(12244),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12244),
    [sym__bitshift_operator] = ACTIONS(12244),
    [sym__power_operator] = ACTIONS(12244),
    [sym__tilde_operator] = ACTIONS(12244),
    [sym__type_order_operator] = ACTIONS(12244),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [7914] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12160),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12160),
    [anon_sym_RPAREN] = ACTIONS(12160),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12160),
    [anon_sym_RBRACK] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_SEMI] = ACTIONS(12160),
    [anon_sym_LBRACE] = ACTIONS(12160),
    [anon_sym_RBRACE] = ACTIONS(12160),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12160),
    [anon_sym_COLON_COLON] = ACTIONS(12160),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12160),
    [anon_sym_QMARK] = ACTIONS(12160),
    [anon_sym_AT] = ACTIONS(12160),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12160),
    [aux_sym_integer_literal_token2] = ACTIONS(12160),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12160),
    [aux_sym_float_literal_token3] = ACTIONS(12160),
    [aux_sym_float_literal_token4] = ACTIONS(12160),
    [sym_character_literal] = ACTIONS(12160),
    [sym__pair_operator] = ACTIONS(12160),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12160),
    [sym__lazy_and_operator] = ACTIONS(12160),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12160),
    [sym__pipe_left_operator] = ACTIONS(12160),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12160),
    [sym__bitshift_operator] = ACTIONS(12160),
    [sym__power_operator] = ACTIONS(12160),
    [sym__tilde_operator] = ACTIONS(12160),
    [sym__type_order_operator] = ACTIONS(12160),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [7915] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12138),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12138),
    [anon_sym_RPAREN] = ACTIONS(12138),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12138),
    [anon_sym_RBRACK] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_SEMI] = ACTIONS(12138),
    [anon_sym_LBRACE] = ACTIONS(12138),
    [anon_sym_RBRACE] = ACTIONS(12138),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12138),
    [anon_sym_COLON_COLON] = ACTIONS(12138),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12138),
    [anon_sym_QMARK] = ACTIONS(12138),
    [anon_sym_AT] = ACTIONS(12138),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12138),
    [aux_sym_integer_literal_token2] = ACTIONS(12138),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12138),
    [aux_sym_float_literal_token3] = ACTIONS(12138),
    [aux_sym_float_literal_token4] = ACTIONS(12138),
    [sym_character_literal] = ACTIONS(12138),
    [sym__pair_operator] = ACTIONS(12138),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12138),
    [sym__lazy_and_operator] = ACTIONS(12138),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12138),
    [sym__pipe_left_operator] = ACTIONS(12138),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12138),
    [sym__bitshift_operator] = ACTIONS(12138),
    [sym__power_operator] = ACTIONS(12138),
    [sym__tilde_operator] = ACTIONS(12138),
    [sym__type_order_operator] = ACTIONS(12138),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [7916] = {
    [sym__comprehension_clause] = STATE(18523),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16932),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14353),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14355),
    [anon_sym_LF] = ACTIONS(14357),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14360),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7917] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13390),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7918] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12302),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12302),
    [anon_sym_RPAREN] = ACTIONS(12302),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12302),
    [anon_sym_RBRACK] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_SEMI] = ACTIONS(12302),
    [anon_sym_LBRACE] = ACTIONS(12302),
    [anon_sym_RBRACE] = ACTIONS(12302),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12302),
    [anon_sym_COLON_COLON] = ACTIONS(12302),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12302),
    [anon_sym_QMARK] = ACTIONS(12302),
    [anon_sym_AT] = ACTIONS(12302),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12302),
    [aux_sym_integer_literal_token2] = ACTIONS(12302),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12302),
    [aux_sym_float_literal_token3] = ACTIONS(12302),
    [aux_sym_float_literal_token4] = ACTIONS(12302),
    [sym_character_literal] = ACTIONS(12302),
    [sym__pair_operator] = ACTIONS(12302),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12302),
    [sym__lazy_and_operator] = ACTIONS(12302),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12302),
    [sym__pipe_left_operator] = ACTIONS(12302),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12302),
    [sym__bitshift_operator] = ACTIONS(12302),
    [sym__power_operator] = ACTIONS(12302),
    [sym__tilde_operator] = ACTIONS(12302),
    [sym__type_order_operator] = ACTIONS(12302),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [7919] = {
    [sym__word_identifier] = ACTIONS(14270),
    [anon_sym_EQ] = ACTIONS(14270),
    [anon_sym_COMMA] = ACTIONS(14270),
    [anon_sym_COLON] = ACTIONS(14270),
    [anon_sym_begin] = ACTIONS(14270),
    [anon_sym_module] = ACTIONS(14270),
    [anon_sym_baremodule] = ACTIONS(14270),
    [anon_sym_end] = ACTIONS(14270),
    [anon_sym_abstract] = ACTIONS(14270),
    [anon_sym_primitive] = ACTIONS(14270),
    [anon_sym_mutable] = ACTIONS(14270),
    [anon_sym_struct] = ACTIONS(14270),
    [anon_sym_function] = ACTIONS(14270),
    [anon_sym_macro] = ACTIONS(14270),
    [anon_sym_where] = ACTIONS(14270),
    [anon_sym_quote] = ACTIONS(14270),
    [anon_sym_let] = ACTIONS(14270),
    [anon_sym_if] = ACTIONS(14270),
    [anon_sym_else] = ACTIONS(14270),
    [anon_sym_try] = ACTIONS(14270),
    [anon_sym_finally] = ACTIONS(14270),
    [anon_sym_for] = ACTIONS(14270),
    [anon_sym_while] = ACTIONS(14270),
    [sym_break_statement] = ACTIONS(14270),
    [sym_continue_statement] = ACTIONS(14270),
    [anon_sym_return] = ACTIONS(14270),
    [anon_sym_const] = ACTIONS(14270),
    [anon_sym_global] = ACTIONS(14270),
    [anon_sym_local] = ACTIONS(14270),
    [anon_sym_LPAREN] = ACTIONS(14270),
    [anon_sym_COLON2] = ACTIONS(14270),
    [anon_sym_export] = ACTIONS(14270),
    [anon_sym_import] = ACTIONS(14270),
    [anon_sym_using] = ACTIONS(14270),
    [anon_sym_LBRACK] = ACTIONS(14270),
    [anon_sym_LF] = ACTIONS(14268),
    [anon_sym_in] = ACTIONS(14270),
    [anon_sym_LBRACE] = ACTIONS(14270),
    [anon_sym_DOLLAR] = ACTIONS(14270),
    [anon_sym_COLON_COLON] = ACTIONS(14270),
    [anon_sym_isa] = ACTIONS(14270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14270),
    [anon_sym_QMARK] = ACTIONS(14270),
    [anon_sym_AT] = ACTIONS(14270),
    [anon_sym_true] = ACTIONS(14270),
    [anon_sym_false] = ACTIONS(14270),
    [aux_sym_integer_literal_token1] = ACTIONS(14270),
    [aux_sym_integer_literal_token2] = ACTIONS(14270),
    [aux_sym_integer_literal_token3] = ACTIONS(14270),
    [aux_sym_integer_literal_token4] = ACTIONS(14270),
    [aux_sym_float_literal_token1] = ACTIONS(14270),
    [aux_sym_float_literal_token3] = ACTIONS(14270),
    [aux_sym_float_literal_token4] = ACTIONS(14270),
    [sym_character_literal] = ACTIONS(14270),
    [sym__pair_operator] = ACTIONS(14270),
    [sym__arrow_operator] = ACTIONS(14270),
    [sym__lazy_or_operator] = ACTIONS(14270),
    [sym__lazy_and_operator] = ACTIONS(14270),
    [sym__comparison_operator] = ACTIONS(14270),
    [sym__pipe_right_operator] = ACTIONS(14270),
    [sym__pipe_left_operator] = ACTIONS(14270),
    [sym__ellipsis_operator] = ACTIONS(14270),
    [sym__plus_operator] = ACTIONS(14270),
    [sym__times_operator] = ACTIONS(14270),
    [sym__rational_operator] = ACTIONS(14270),
    [sym__bitshift_operator] = ACTIONS(14270),
    [sym__power_operator] = ACTIONS(14270),
    [sym__tilde_operator] = ACTIONS(14270),
    [sym__type_order_operator] = ACTIONS(14270),
    [sym__unary_operator] = ACTIONS(14270),
    [sym__unary_plus_operator] = ACTIONS(14270),
    [aux_sym__terminator_token1] = ACTIONS(14270),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14268),
    [sym__command_start] = ACTIONS(14268),
  },
  [7920] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_as] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [7921] = {
    [sym__word_identifier] = ACTIONS(13985),
    [anon_sym_EQ] = ACTIONS(13985),
    [anon_sym_COMMA] = ACTIONS(13985),
    [anon_sym_COLON] = ACTIONS(13985),
    [anon_sym_begin] = ACTIONS(13985),
    [anon_sym_module] = ACTIONS(13985),
    [anon_sym_baremodule] = ACTIONS(13985),
    [anon_sym_end] = ACTIONS(13985),
    [anon_sym_abstract] = ACTIONS(13985),
    [anon_sym_primitive] = ACTIONS(13985),
    [anon_sym_mutable] = ACTIONS(13985),
    [anon_sym_struct] = ACTIONS(13985),
    [anon_sym_function] = ACTIONS(13985),
    [anon_sym_macro] = ACTIONS(13985),
    [anon_sym_where] = ACTIONS(13985),
    [anon_sym_quote] = ACTIONS(13985),
    [anon_sym_let] = ACTIONS(13985),
    [anon_sym_if] = ACTIONS(13985),
    [anon_sym_elseif] = ACTIONS(13985),
    [anon_sym_else] = ACTIONS(13985),
    [anon_sym_try] = ACTIONS(13985),
    [anon_sym_for] = ACTIONS(13985),
    [anon_sym_while] = ACTIONS(13985),
    [sym_break_statement] = ACTIONS(13985),
    [sym_continue_statement] = ACTIONS(13985),
    [anon_sym_return] = ACTIONS(13985),
    [anon_sym_const] = ACTIONS(13985),
    [anon_sym_global] = ACTIONS(13985),
    [anon_sym_local] = ACTIONS(13985),
    [anon_sym_LPAREN] = ACTIONS(13985),
    [anon_sym_COLON2] = ACTIONS(13985),
    [anon_sym_export] = ACTIONS(13985),
    [anon_sym_import] = ACTIONS(13985),
    [anon_sym_using] = ACTIONS(13985),
    [anon_sym_LBRACK] = ACTIONS(13985),
    [anon_sym_LF] = ACTIONS(13983),
    [anon_sym_in] = ACTIONS(13985),
    [anon_sym_LBRACE] = ACTIONS(13985),
    [anon_sym_DOLLAR] = ACTIONS(13985),
    [anon_sym_COLON_COLON] = ACTIONS(13985),
    [anon_sym_isa] = ACTIONS(13985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13985),
    [anon_sym_QMARK] = ACTIONS(13985),
    [anon_sym_AT] = ACTIONS(13985),
    [anon_sym_true] = ACTIONS(13985),
    [anon_sym_false] = ACTIONS(13985),
    [aux_sym_integer_literal_token1] = ACTIONS(13985),
    [aux_sym_integer_literal_token2] = ACTIONS(13985),
    [aux_sym_integer_literal_token3] = ACTIONS(13985),
    [aux_sym_integer_literal_token4] = ACTIONS(13985),
    [aux_sym_float_literal_token1] = ACTIONS(13985),
    [aux_sym_float_literal_token3] = ACTIONS(13985),
    [aux_sym_float_literal_token4] = ACTIONS(13985),
    [sym_character_literal] = ACTIONS(13985),
    [sym__pair_operator] = ACTIONS(13985),
    [sym__arrow_operator] = ACTIONS(13985),
    [sym__lazy_or_operator] = ACTIONS(13985),
    [sym__lazy_and_operator] = ACTIONS(13985),
    [sym__comparison_operator] = ACTIONS(13985),
    [sym__pipe_right_operator] = ACTIONS(13985),
    [sym__pipe_left_operator] = ACTIONS(13985),
    [sym__ellipsis_operator] = ACTIONS(13985),
    [sym__plus_operator] = ACTIONS(13985),
    [sym__times_operator] = ACTIONS(13985),
    [sym__rational_operator] = ACTIONS(13985),
    [sym__bitshift_operator] = ACTIONS(13985),
    [sym__power_operator] = ACTIONS(13985),
    [sym__tilde_operator] = ACTIONS(13985),
    [sym__type_order_operator] = ACTIONS(13985),
    [sym__unary_operator] = ACTIONS(13985),
    [sym__unary_plus_operator] = ACTIONS(13985),
    [aux_sym__terminator_token1] = ACTIONS(13985),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13983),
    [sym__command_start] = ACTIONS(13983),
  },
  [7922] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12298),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12298),
    [anon_sym_RPAREN] = ACTIONS(12298),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12298),
    [anon_sym_RBRACK] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_SEMI] = ACTIONS(12298),
    [anon_sym_LBRACE] = ACTIONS(12298),
    [anon_sym_RBRACE] = ACTIONS(12298),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12298),
    [anon_sym_COLON_COLON] = ACTIONS(12298),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12298),
    [anon_sym_QMARK] = ACTIONS(12298),
    [anon_sym_AT] = ACTIONS(12298),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12298),
    [aux_sym_integer_literal_token2] = ACTIONS(12298),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12298),
    [aux_sym_float_literal_token3] = ACTIONS(12298),
    [aux_sym_float_literal_token4] = ACTIONS(12298),
    [sym_character_literal] = ACTIONS(12298),
    [sym__pair_operator] = ACTIONS(12298),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12298),
    [sym__lazy_and_operator] = ACTIONS(12298),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12298),
    [sym__pipe_left_operator] = ACTIONS(12298),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12298),
    [sym__bitshift_operator] = ACTIONS(12298),
    [sym__power_operator] = ACTIONS(12298),
    [sym__tilde_operator] = ACTIONS(12298),
    [sym__type_order_operator] = ACTIONS(12298),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [7923] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12290),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12290),
    [anon_sym_RPAREN] = ACTIONS(12290),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12290),
    [anon_sym_RBRACK] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_SEMI] = ACTIONS(12290),
    [anon_sym_LBRACE] = ACTIONS(12290),
    [anon_sym_RBRACE] = ACTIONS(12290),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12290),
    [anon_sym_COLON_COLON] = ACTIONS(12290),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12290),
    [anon_sym_QMARK] = ACTIONS(12290),
    [anon_sym_AT] = ACTIONS(12290),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12290),
    [aux_sym_integer_literal_token2] = ACTIONS(12290),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12290),
    [aux_sym_float_literal_token3] = ACTIONS(12290),
    [aux_sym_float_literal_token4] = ACTIONS(12290),
    [sym_character_literal] = ACTIONS(12290),
    [sym__pair_operator] = ACTIONS(12290),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12290),
    [sym__lazy_and_operator] = ACTIONS(12290),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12290),
    [sym__pipe_left_operator] = ACTIONS(12290),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12290),
    [sym__bitshift_operator] = ACTIONS(12290),
    [sym__power_operator] = ACTIONS(12290),
    [sym__tilde_operator] = ACTIONS(12290),
    [sym__type_order_operator] = ACTIONS(12290),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [7924] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7925] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7926] = {
    [sym__word_identifier] = ACTIONS(13989),
    [anon_sym_EQ] = ACTIONS(13989),
    [anon_sym_COMMA] = ACTIONS(13989),
    [anon_sym_COLON] = ACTIONS(13989),
    [anon_sym_begin] = ACTIONS(13989),
    [anon_sym_module] = ACTIONS(13989),
    [anon_sym_baremodule] = ACTIONS(13989),
    [anon_sym_end] = ACTIONS(13989),
    [anon_sym_abstract] = ACTIONS(13989),
    [anon_sym_primitive] = ACTIONS(13989),
    [anon_sym_mutable] = ACTIONS(13989),
    [anon_sym_struct] = ACTIONS(13989),
    [anon_sym_function] = ACTIONS(13989),
    [anon_sym_macro] = ACTIONS(13989),
    [anon_sym_where] = ACTIONS(13989),
    [anon_sym_quote] = ACTIONS(13989),
    [anon_sym_let] = ACTIONS(13989),
    [anon_sym_if] = ACTIONS(13989),
    [anon_sym_elseif] = ACTIONS(13989),
    [anon_sym_else] = ACTIONS(13989),
    [anon_sym_try] = ACTIONS(13989),
    [anon_sym_for] = ACTIONS(13989),
    [anon_sym_while] = ACTIONS(13989),
    [sym_break_statement] = ACTIONS(13989),
    [sym_continue_statement] = ACTIONS(13989),
    [anon_sym_return] = ACTIONS(13989),
    [anon_sym_const] = ACTIONS(13989),
    [anon_sym_global] = ACTIONS(13989),
    [anon_sym_local] = ACTIONS(13989),
    [anon_sym_LPAREN] = ACTIONS(13989),
    [anon_sym_COLON2] = ACTIONS(13989),
    [anon_sym_export] = ACTIONS(13989),
    [anon_sym_import] = ACTIONS(13989),
    [anon_sym_using] = ACTIONS(13989),
    [anon_sym_LBRACK] = ACTIONS(13989),
    [anon_sym_LF] = ACTIONS(13987),
    [anon_sym_in] = ACTIONS(13989),
    [anon_sym_LBRACE] = ACTIONS(13989),
    [anon_sym_DOLLAR] = ACTIONS(13989),
    [anon_sym_COLON_COLON] = ACTIONS(13989),
    [anon_sym_isa] = ACTIONS(13989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13989),
    [anon_sym_QMARK] = ACTIONS(13989),
    [anon_sym_AT] = ACTIONS(13989),
    [anon_sym_true] = ACTIONS(13989),
    [anon_sym_false] = ACTIONS(13989),
    [aux_sym_integer_literal_token1] = ACTIONS(13989),
    [aux_sym_integer_literal_token2] = ACTIONS(13989),
    [aux_sym_integer_literal_token3] = ACTIONS(13989),
    [aux_sym_integer_literal_token4] = ACTIONS(13989),
    [aux_sym_float_literal_token1] = ACTIONS(13989),
    [aux_sym_float_literal_token3] = ACTIONS(13989),
    [aux_sym_float_literal_token4] = ACTIONS(13989),
    [sym_character_literal] = ACTIONS(13989),
    [sym__pair_operator] = ACTIONS(13989),
    [sym__arrow_operator] = ACTIONS(13989),
    [sym__lazy_or_operator] = ACTIONS(13989),
    [sym__lazy_and_operator] = ACTIONS(13989),
    [sym__comparison_operator] = ACTIONS(13989),
    [sym__pipe_right_operator] = ACTIONS(13989),
    [sym__pipe_left_operator] = ACTIONS(13989),
    [sym__ellipsis_operator] = ACTIONS(13989),
    [sym__plus_operator] = ACTIONS(13989),
    [sym__times_operator] = ACTIONS(13989),
    [sym__rational_operator] = ACTIONS(13989),
    [sym__bitshift_operator] = ACTIONS(13989),
    [sym__power_operator] = ACTIONS(13989),
    [sym__tilde_operator] = ACTIONS(13989),
    [sym__type_order_operator] = ACTIONS(13989),
    [sym__unary_operator] = ACTIONS(13989),
    [sym__unary_plus_operator] = ACTIONS(13989),
    [aux_sym__terminator_token1] = ACTIONS(13989),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13987),
    [sym__command_start] = ACTIONS(13987),
  },
  [7927] = {
    [sym__comprehension_clause] = STATE(18433),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17087),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14363),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14365),
    [anon_sym_LF] = ACTIONS(14367),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7928] = {
    [sym__word_identifier] = ACTIONS(13993),
    [anon_sym_EQ] = ACTIONS(13993),
    [anon_sym_COMMA] = ACTIONS(13993),
    [anon_sym_COLON] = ACTIONS(13993),
    [anon_sym_begin] = ACTIONS(13993),
    [anon_sym_module] = ACTIONS(13993),
    [anon_sym_baremodule] = ACTIONS(13993),
    [anon_sym_end] = ACTIONS(13993),
    [anon_sym_abstract] = ACTIONS(13993),
    [anon_sym_primitive] = ACTIONS(13993),
    [anon_sym_mutable] = ACTIONS(13993),
    [anon_sym_struct] = ACTIONS(13993),
    [anon_sym_function] = ACTIONS(13993),
    [anon_sym_macro] = ACTIONS(13993),
    [anon_sym_where] = ACTIONS(13993),
    [anon_sym_quote] = ACTIONS(13993),
    [anon_sym_let] = ACTIONS(13993),
    [anon_sym_if] = ACTIONS(13993),
    [anon_sym_elseif] = ACTIONS(13993),
    [anon_sym_else] = ACTIONS(13993),
    [anon_sym_try] = ACTIONS(13993),
    [anon_sym_for] = ACTIONS(13993),
    [anon_sym_while] = ACTIONS(13993),
    [sym_break_statement] = ACTIONS(13993),
    [sym_continue_statement] = ACTIONS(13993),
    [anon_sym_return] = ACTIONS(13993),
    [anon_sym_const] = ACTIONS(13993),
    [anon_sym_global] = ACTIONS(13993),
    [anon_sym_local] = ACTIONS(13993),
    [anon_sym_LPAREN] = ACTIONS(13993),
    [anon_sym_COLON2] = ACTIONS(13993),
    [anon_sym_export] = ACTIONS(13993),
    [anon_sym_import] = ACTIONS(13993),
    [anon_sym_using] = ACTIONS(13993),
    [anon_sym_LBRACK] = ACTIONS(13993),
    [anon_sym_LF] = ACTIONS(13991),
    [anon_sym_in] = ACTIONS(13993),
    [anon_sym_LBRACE] = ACTIONS(13993),
    [anon_sym_DOLLAR] = ACTIONS(13993),
    [anon_sym_COLON_COLON] = ACTIONS(13993),
    [anon_sym_isa] = ACTIONS(13993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13993),
    [anon_sym_QMARK] = ACTIONS(13993),
    [anon_sym_AT] = ACTIONS(13993),
    [anon_sym_true] = ACTIONS(13993),
    [anon_sym_false] = ACTIONS(13993),
    [aux_sym_integer_literal_token1] = ACTIONS(13993),
    [aux_sym_integer_literal_token2] = ACTIONS(13993),
    [aux_sym_integer_literal_token3] = ACTIONS(13993),
    [aux_sym_integer_literal_token4] = ACTIONS(13993),
    [aux_sym_float_literal_token1] = ACTIONS(13993),
    [aux_sym_float_literal_token3] = ACTIONS(13993),
    [aux_sym_float_literal_token4] = ACTIONS(13993),
    [sym_character_literal] = ACTIONS(13993),
    [sym__pair_operator] = ACTIONS(13993),
    [sym__arrow_operator] = ACTIONS(13993),
    [sym__lazy_or_operator] = ACTIONS(13993),
    [sym__lazy_and_operator] = ACTIONS(13993),
    [sym__comparison_operator] = ACTIONS(13993),
    [sym__pipe_right_operator] = ACTIONS(13993),
    [sym__pipe_left_operator] = ACTIONS(13993),
    [sym__ellipsis_operator] = ACTIONS(13993),
    [sym__plus_operator] = ACTIONS(13993),
    [sym__times_operator] = ACTIONS(13993),
    [sym__rational_operator] = ACTIONS(13993),
    [sym__bitshift_operator] = ACTIONS(13993),
    [sym__power_operator] = ACTIONS(13993),
    [sym__tilde_operator] = ACTIONS(13993),
    [sym__type_order_operator] = ACTIONS(13993),
    [sym__unary_operator] = ACTIONS(13993),
    [sym__unary_plus_operator] = ACTIONS(13993),
    [aux_sym__terminator_token1] = ACTIONS(13993),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13991),
    [sym__command_start] = ACTIONS(13991),
  },
  [7929] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_else] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7930] = {
    [sym__word_identifier] = ACTIONS(13834),
    [anon_sym_EQ] = ACTIONS(13834),
    [anon_sym_COMMA] = ACTIONS(13834),
    [anon_sym_COLON] = ACTIONS(13834),
    [anon_sym_begin] = ACTIONS(13834),
    [anon_sym_module] = ACTIONS(13834),
    [anon_sym_baremodule] = ACTIONS(13834),
    [anon_sym_end] = ACTIONS(13834),
    [anon_sym_abstract] = ACTIONS(13834),
    [anon_sym_primitive] = ACTIONS(13834),
    [anon_sym_mutable] = ACTIONS(13834),
    [anon_sym_struct] = ACTIONS(13834),
    [anon_sym_function] = ACTIONS(13834),
    [anon_sym_macro] = ACTIONS(13834),
    [anon_sym_where] = ACTIONS(13834),
    [anon_sym_quote] = ACTIONS(13834),
    [anon_sym_let] = ACTIONS(13834),
    [anon_sym_if] = ACTIONS(13834),
    [anon_sym_elseif] = ACTIONS(13834),
    [anon_sym_else] = ACTIONS(13834),
    [anon_sym_try] = ACTIONS(13834),
    [anon_sym_for] = ACTIONS(13834),
    [anon_sym_while] = ACTIONS(13834),
    [sym_break_statement] = ACTIONS(13834),
    [sym_continue_statement] = ACTIONS(13834),
    [anon_sym_return] = ACTIONS(13834),
    [anon_sym_const] = ACTIONS(13834),
    [anon_sym_global] = ACTIONS(13834),
    [anon_sym_local] = ACTIONS(13834),
    [anon_sym_LPAREN] = ACTIONS(13834),
    [anon_sym_COLON2] = ACTIONS(13834),
    [anon_sym_export] = ACTIONS(13834),
    [anon_sym_import] = ACTIONS(13834),
    [anon_sym_using] = ACTIONS(13834),
    [anon_sym_LBRACK] = ACTIONS(13834),
    [anon_sym_LF] = ACTIONS(13832),
    [anon_sym_in] = ACTIONS(13834),
    [anon_sym_LBRACE] = ACTIONS(13834),
    [anon_sym_DOLLAR] = ACTIONS(13834),
    [anon_sym_COLON_COLON] = ACTIONS(13834),
    [anon_sym_isa] = ACTIONS(13834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13834),
    [anon_sym_QMARK] = ACTIONS(13834),
    [anon_sym_AT] = ACTIONS(13834),
    [anon_sym_true] = ACTIONS(13834),
    [anon_sym_false] = ACTIONS(13834),
    [aux_sym_integer_literal_token1] = ACTIONS(13834),
    [aux_sym_integer_literal_token2] = ACTIONS(13834),
    [aux_sym_integer_literal_token3] = ACTIONS(13834),
    [aux_sym_integer_literal_token4] = ACTIONS(13834),
    [aux_sym_float_literal_token1] = ACTIONS(13834),
    [aux_sym_float_literal_token3] = ACTIONS(13834),
    [aux_sym_float_literal_token4] = ACTIONS(13834),
    [sym_character_literal] = ACTIONS(13834),
    [sym__pair_operator] = ACTIONS(13834),
    [sym__arrow_operator] = ACTIONS(13834),
    [sym__lazy_or_operator] = ACTIONS(13834),
    [sym__lazy_and_operator] = ACTIONS(13834),
    [sym__comparison_operator] = ACTIONS(13834),
    [sym__pipe_right_operator] = ACTIONS(13834),
    [sym__pipe_left_operator] = ACTIONS(13834),
    [sym__ellipsis_operator] = ACTIONS(13834),
    [sym__plus_operator] = ACTIONS(13834),
    [sym__times_operator] = ACTIONS(13834),
    [sym__rational_operator] = ACTIONS(13834),
    [sym__bitshift_operator] = ACTIONS(13834),
    [sym__power_operator] = ACTIONS(13834),
    [sym__tilde_operator] = ACTIONS(13834),
    [sym__type_order_operator] = ACTIONS(13834),
    [sym__unary_operator] = ACTIONS(13834),
    [sym__unary_plus_operator] = ACTIONS(13834),
    [aux_sym__terminator_token1] = ACTIONS(13834),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13832),
    [sym__command_start] = ACTIONS(13832),
  },
  [7931] = {
    [sym__word_identifier] = ACTIONS(14001),
    [anon_sym_EQ] = ACTIONS(14001),
    [anon_sym_COMMA] = ACTIONS(14001),
    [anon_sym_COLON] = ACTIONS(14001),
    [anon_sym_begin] = ACTIONS(14001),
    [anon_sym_module] = ACTIONS(14001),
    [anon_sym_baremodule] = ACTIONS(14001),
    [anon_sym_end] = ACTIONS(14001),
    [anon_sym_abstract] = ACTIONS(14001),
    [anon_sym_primitive] = ACTIONS(14001),
    [anon_sym_mutable] = ACTIONS(14001),
    [anon_sym_struct] = ACTIONS(14001),
    [anon_sym_function] = ACTIONS(14001),
    [anon_sym_macro] = ACTIONS(14001),
    [anon_sym_where] = ACTIONS(14001),
    [anon_sym_quote] = ACTIONS(14001),
    [anon_sym_let] = ACTIONS(14001),
    [anon_sym_if] = ACTIONS(14001),
    [anon_sym_elseif] = ACTIONS(14001),
    [anon_sym_else] = ACTIONS(14001),
    [anon_sym_try] = ACTIONS(14001),
    [anon_sym_for] = ACTIONS(14001),
    [anon_sym_while] = ACTIONS(14001),
    [sym_break_statement] = ACTIONS(14001),
    [sym_continue_statement] = ACTIONS(14001),
    [anon_sym_return] = ACTIONS(14001),
    [anon_sym_const] = ACTIONS(14001),
    [anon_sym_global] = ACTIONS(14001),
    [anon_sym_local] = ACTIONS(14001),
    [anon_sym_LPAREN] = ACTIONS(14001),
    [anon_sym_COLON2] = ACTIONS(14001),
    [anon_sym_export] = ACTIONS(14001),
    [anon_sym_import] = ACTIONS(14001),
    [anon_sym_using] = ACTIONS(14001),
    [anon_sym_LBRACK] = ACTIONS(14001),
    [anon_sym_LF] = ACTIONS(13999),
    [anon_sym_in] = ACTIONS(14001),
    [anon_sym_LBRACE] = ACTIONS(14001),
    [anon_sym_DOLLAR] = ACTIONS(14001),
    [anon_sym_COLON_COLON] = ACTIONS(14001),
    [anon_sym_isa] = ACTIONS(14001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14001),
    [anon_sym_QMARK] = ACTIONS(14001),
    [anon_sym_AT] = ACTIONS(14001),
    [anon_sym_true] = ACTIONS(14001),
    [anon_sym_false] = ACTIONS(14001),
    [aux_sym_integer_literal_token1] = ACTIONS(14001),
    [aux_sym_integer_literal_token2] = ACTIONS(14001),
    [aux_sym_integer_literal_token3] = ACTIONS(14001),
    [aux_sym_integer_literal_token4] = ACTIONS(14001),
    [aux_sym_float_literal_token1] = ACTIONS(14001),
    [aux_sym_float_literal_token3] = ACTIONS(14001),
    [aux_sym_float_literal_token4] = ACTIONS(14001),
    [sym_character_literal] = ACTIONS(14001),
    [sym__pair_operator] = ACTIONS(14001),
    [sym__arrow_operator] = ACTIONS(14001),
    [sym__lazy_or_operator] = ACTIONS(14001),
    [sym__lazy_and_operator] = ACTIONS(14001),
    [sym__comparison_operator] = ACTIONS(14001),
    [sym__pipe_right_operator] = ACTIONS(14001),
    [sym__pipe_left_operator] = ACTIONS(14001),
    [sym__ellipsis_operator] = ACTIONS(14001),
    [sym__plus_operator] = ACTIONS(14001),
    [sym__times_operator] = ACTIONS(14001),
    [sym__rational_operator] = ACTIONS(14001),
    [sym__bitshift_operator] = ACTIONS(14001),
    [sym__power_operator] = ACTIONS(14001),
    [sym__tilde_operator] = ACTIONS(14001),
    [sym__type_order_operator] = ACTIONS(14001),
    [sym__unary_operator] = ACTIONS(14001),
    [sym__unary_plus_operator] = ACTIONS(14001),
    [aux_sym__terminator_token1] = ACTIONS(14001),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13999),
    [sym__command_start] = ACTIONS(13999),
  },
  [7932] = {
    [sym__word_identifier] = ACTIONS(13997),
    [anon_sym_EQ] = ACTIONS(13997),
    [anon_sym_COMMA] = ACTIONS(13997),
    [anon_sym_COLON] = ACTIONS(13997),
    [anon_sym_begin] = ACTIONS(13997),
    [anon_sym_module] = ACTIONS(13997),
    [anon_sym_baremodule] = ACTIONS(13997),
    [anon_sym_end] = ACTIONS(13997),
    [anon_sym_abstract] = ACTIONS(13997),
    [anon_sym_primitive] = ACTIONS(13997),
    [anon_sym_mutable] = ACTIONS(13997),
    [anon_sym_struct] = ACTIONS(13997),
    [anon_sym_function] = ACTIONS(13997),
    [anon_sym_macro] = ACTIONS(13997),
    [anon_sym_where] = ACTIONS(13997),
    [anon_sym_quote] = ACTIONS(13997),
    [anon_sym_let] = ACTIONS(13997),
    [anon_sym_if] = ACTIONS(13997),
    [anon_sym_elseif] = ACTIONS(13997),
    [anon_sym_else] = ACTIONS(13997),
    [anon_sym_try] = ACTIONS(13997),
    [anon_sym_for] = ACTIONS(13997),
    [anon_sym_while] = ACTIONS(13997),
    [sym_break_statement] = ACTIONS(13997),
    [sym_continue_statement] = ACTIONS(13997),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_const] = ACTIONS(13997),
    [anon_sym_global] = ACTIONS(13997),
    [anon_sym_local] = ACTIONS(13997),
    [anon_sym_LPAREN] = ACTIONS(13997),
    [anon_sym_COLON2] = ACTIONS(13997),
    [anon_sym_export] = ACTIONS(13997),
    [anon_sym_import] = ACTIONS(13997),
    [anon_sym_using] = ACTIONS(13997),
    [anon_sym_LBRACK] = ACTIONS(13997),
    [anon_sym_LF] = ACTIONS(13995),
    [anon_sym_in] = ACTIONS(13997),
    [anon_sym_LBRACE] = ACTIONS(13997),
    [anon_sym_DOLLAR] = ACTIONS(13997),
    [anon_sym_COLON_COLON] = ACTIONS(13997),
    [anon_sym_isa] = ACTIONS(13997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13997),
    [anon_sym_QMARK] = ACTIONS(13997),
    [anon_sym_AT] = ACTIONS(13997),
    [anon_sym_true] = ACTIONS(13997),
    [anon_sym_false] = ACTIONS(13997),
    [aux_sym_integer_literal_token1] = ACTIONS(13997),
    [aux_sym_integer_literal_token2] = ACTIONS(13997),
    [aux_sym_integer_literal_token3] = ACTIONS(13997),
    [aux_sym_integer_literal_token4] = ACTIONS(13997),
    [aux_sym_float_literal_token1] = ACTIONS(13997),
    [aux_sym_float_literal_token3] = ACTIONS(13997),
    [aux_sym_float_literal_token4] = ACTIONS(13997),
    [sym_character_literal] = ACTIONS(13997),
    [sym__pair_operator] = ACTIONS(13997),
    [sym__arrow_operator] = ACTIONS(13997),
    [sym__lazy_or_operator] = ACTIONS(13997),
    [sym__lazy_and_operator] = ACTIONS(13997),
    [sym__comparison_operator] = ACTIONS(13997),
    [sym__pipe_right_operator] = ACTIONS(13997),
    [sym__pipe_left_operator] = ACTIONS(13997),
    [sym__ellipsis_operator] = ACTIONS(13997),
    [sym__plus_operator] = ACTIONS(13997),
    [sym__times_operator] = ACTIONS(13997),
    [sym__rational_operator] = ACTIONS(13997),
    [sym__bitshift_operator] = ACTIONS(13997),
    [sym__power_operator] = ACTIONS(13997),
    [sym__tilde_operator] = ACTIONS(13997),
    [sym__type_order_operator] = ACTIONS(13997),
    [sym__unary_operator] = ACTIONS(13997),
    [sym__unary_plus_operator] = ACTIONS(13997),
    [aux_sym__terminator_token1] = ACTIONS(13997),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13995),
    [sym__command_start] = ACTIONS(13995),
  },
  [7933] = {
    [sym__word_identifier] = ACTIONS(14011),
    [anon_sym_EQ] = ACTIONS(14011),
    [anon_sym_COMMA] = ACTIONS(14011),
    [anon_sym_COLON] = ACTIONS(14011),
    [anon_sym_begin] = ACTIONS(14011),
    [anon_sym_module] = ACTIONS(14011),
    [anon_sym_baremodule] = ACTIONS(14011),
    [anon_sym_end] = ACTIONS(14011),
    [anon_sym_abstract] = ACTIONS(14011),
    [anon_sym_primitive] = ACTIONS(14011),
    [anon_sym_mutable] = ACTIONS(14011),
    [anon_sym_struct] = ACTIONS(14011),
    [anon_sym_function] = ACTIONS(14011),
    [anon_sym_macro] = ACTIONS(14011),
    [anon_sym_where] = ACTIONS(14011),
    [anon_sym_quote] = ACTIONS(14011),
    [anon_sym_let] = ACTIONS(14011),
    [anon_sym_if] = ACTIONS(14011),
    [anon_sym_elseif] = ACTIONS(14011),
    [anon_sym_else] = ACTIONS(14011),
    [anon_sym_try] = ACTIONS(14011),
    [anon_sym_for] = ACTIONS(14011),
    [anon_sym_while] = ACTIONS(14011),
    [sym_break_statement] = ACTIONS(14011),
    [sym_continue_statement] = ACTIONS(14011),
    [anon_sym_return] = ACTIONS(14011),
    [anon_sym_const] = ACTIONS(14011),
    [anon_sym_global] = ACTIONS(14011),
    [anon_sym_local] = ACTIONS(14011),
    [anon_sym_LPAREN] = ACTIONS(14011),
    [anon_sym_COLON2] = ACTIONS(14011),
    [anon_sym_export] = ACTIONS(14011),
    [anon_sym_import] = ACTIONS(14011),
    [anon_sym_using] = ACTIONS(14011),
    [anon_sym_LBRACK] = ACTIONS(14011),
    [anon_sym_LF] = ACTIONS(14009),
    [anon_sym_in] = ACTIONS(14011),
    [anon_sym_LBRACE] = ACTIONS(14011),
    [anon_sym_DOLLAR] = ACTIONS(14011),
    [anon_sym_COLON_COLON] = ACTIONS(14011),
    [anon_sym_isa] = ACTIONS(14011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14011),
    [anon_sym_QMARK] = ACTIONS(14011),
    [anon_sym_AT] = ACTIONS(14011),
    [anon_sym_true] = ACTIONS(14011),
    [anon_sym_false] = ACTIONS(14011),
    [aux_sym_integer_literal_token1] = ACTIONS(14011),
    [aux_sym_integer_literal_token2] = ACTIONS(14011),
    [aux_sym_integer_literal_token3] = ACTIONS(14011),
    [aux_sym_integer_literal_token4] = ACTIONS(14011),
    [aux_sym_float_literal_token1] = ACTIONS(14011),
    [aux_sym_float_literal_token3] = ACTIONS(14011),
    [aux_sym_float_literal_token4] = ACTIONS(14011),
    [sym_character_literal] = ACTIONS(14011),
    [sym__pair_operator] = ACTIONS(14011),
    [sym__arrow_operator] = ACTIONS(14011),
    [sym__lazy_or_operator] = ACTIONS(14011),
    [sym__lazy_and_operator] = ACTIONS(14011),
    [sym__comparison_operator] = ACTIONS(14011),
    [sym__pipe_right_operator] = ACTIONS(14011),
    [sym__pipe_left_operator] = ACTIONS(14011),
    [sym__ellipsis_operator] = ACTIONS(14011),
    [sym__plus_operator] = ACTIONS(14011),
    [sym__times_operator] = ACTIONS(14011),
    [sym__rational_operator] = ACTIONS(14011),
    [sym__bitshift_operator] = ACTIONS(14011),
    [sym__power_operator] = ACTIONS(14011),
    [sym__tilde_operator] = ACTIONS(14011),
    [sym__type_order_operator] = ACTIONS(14011),
    [sym__unary_operator] = ACTIONS(14011),
    [sym__unary_plus_operator] = ACTIONS(14011),
    [aux_sym__terminator_token1] = ACTIONS(14011),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14009),
    [sym__command_start] = ACTIONS(14009),
  },
  [7934] = {
    [sym__word_identifier] = ACTIONS(13949),
    [anon_sym_EQ] = ACTIONS(13949),
    [anon_sym_COMMA] = ACTIONS(13949),
    [anon_sym_COLON] = ACTIONS(13949),
    [anon_sym_begin] = ACTIONS(13949),
    [anon_sym_module] = ACTIONS(13949),
    [anon_sym_baremodule] = ACTIONS(13949),
    [anon_sym_end] = ACTIONS(13949),
    [anon_sym_abstract] = ACTIONS(13949),
    [anon_sym_primitive] = ACTIONS(13949),
    [anon_sym_mutable] = ACTIONS(13949),
    [anon_sym_struct] = ACTIONS(13949),
    [anon_sym_function] = ACTIONS(13949),
    [anon_sym_macro] = ACTIONS(13949),
    [anon_sym_where] = ACTIONS(13949),
    [anon_sym_quote] = ACTIONS(13949),
    [anon_sym_let] = ACTIONS(13949),
    [anon_sym_if] = ACTIONS(13949),
    [anon_sym_elseif] = ACTIONS(13949),
    [anon_sym_else] = ACTIONS(13949),
    [anon_sym_try] = ACTIONS(13949),
    [anon_sym_for] = ACTIONS(13949),
    [anon_sym_while] = ACTIONS(13949),
    [sym_break_statement] = ACTIONS(13949),
    [sym_continue_statement] = ACTIONS(13949),
    [anon_sym_return] = ACTIONS(13949),
    [anon_sym_const] = ACTIONS(13949),
    [anon_sym_global] = ACTIONS(13949),
    [anon_sym_local] = ACTIONS(13949),
    [anon_sym_LPAREN] = ACTIONS(13949),
    [anon_sym_COLON2] = ACTIONS(13949),
    [anon_sym_export] = ACTIONS(13949),
    [anon_sym_import] = ACTIONS(13949),
    [anon_sym_using] = ACTIONS(13949),
    [anon_sym_LBRACK] = ACTIONS(13949),
    [anon_sym_LF] = ACTIONS(13951),
    [anon_sym_in] = ACTIONS(13949),
    [anon_sym_LBRACE] = ACTIONS(13949),
    [anon_sym_DOLLAR] = ACTIONS(13949),
    [anon_sym_COLON_COLON] = ACTIONS(13949),
    [anon_sym_isa] = ACTIONS(13949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13949),
    [anon_sym_QMARK] = ACTIONS(13949),
    [anon_sym_AT] = ACTIONS(13949),
    [anon_sym_true] = ACTIONS(13949),
    [anon_sym_false] = ACTIONS(13949),
    [aux_sym_integer_literal_token1] = ACTIONS(13949),
    [aux_sym_integer_literal_token2] = ACTIONS(13949),
    [aux_sym_integer_literal_token3] = ACTIONS(13949),
    [aux_sym_integer_literal_token4] = ACTIONS(13949),
    [aux_sym_float_literal_token1] = ACTIONS(13949),
    [aux_sym_float_literal_token3] = ACTIONS(13949),
    [aux_sym_float_literal_token4] = ACTIONS(13949),
    [sym_character_literal] = ACTIONS(13949),
    [sym__pair_operator] = ACTIONS(13949),
    [sym__arrow_operator] = ACTIONS(13949),
    [sym__lazy_or_operator] = ACTIONS(13949),
    [sym__lazy_and_operator] = ACTIONS(13949),
    [sym__comparison_operator] = ACTIONS(13949),
    [sym__pipe_right_operator] = ACTIONS(13949),
    [sym__pipe_left_operator] = ACTIONS(13949),
    [sym__ellipsis_operator] = ACTIONS(13949),
    [sym__plus_operator] = ACTIONS(13949),
    [sym__times_operator] = ACTIONS(13949),
    [sym__rational_operator] = ACTIONS(13949),
    [sym__bitshift_operator] = ACTIONS(13949),
    [sym__power_operator] = ACTIONS(13949),
    [sym__tilde_operator] = ACTIONS(13949),
    [sym__type_order_operator] = ACTIONS(13949),
    [sym__unary_operator] = ACTIONS(13949),
    [sym__unary_plus_operator] = ACTIONS(13949),
    [aux_sym__terminator_token1] = ACTIONS(13949),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13951),
    [sym__command_start] = ACTIONS(13951),
  },
  [7935] = {
    [sym__word_identifier] = ACTIONS(14015),
    [anon_sym_EQ] = ACTIONS(14015),
    [anon_sym_COMMA] = ACTIONS(14015),
    [anon_sym_COLON] = ACTIONS(14015),
    [anon_sym_begin] = ACTIONS(14015),
    [anon_sym_module] = ACTIONS(14015),
    [anon_sym_baremodule] = ACTIONS(14015),
    [anon_sym_end] = ACTIONS(14015),
    [anon_sym_abstract] = ACTIONS(14015),
    [anon_sym_primitive] = ACTIONS(14015),
    [anon_sym_mutable] = ACTIONS(14015),
    [anon_sym_struct] = ACTIONS(14015),
    [anon_sym_function] = ACTIONS(14015),
    [anon_sym_macro] = ACTIONS(14015),
    [anon_sym_where] = ACTIONS(14015),
    [anon_sym_quote] = ACTIONS(14015),
    [anon_sym_let] = ACTIONS(14015),
    [anon_sym_if] = ACTIONS(14015),
    [anon_sym_elseif] = ACTIONS(14015),
    [anon_sym_else] = ACTIONS(14015),
    [anon_sym_try] = ACTIONS(14015),
    [anon_sym_for] = ACTIONS(14015),
    [anon_sym_while] = ACTIONS(14015),
    [sym_break_statement] = ACTIONS(14015),
    [sym_continue_statement] = ACTIONS(14015),
    [anon_sym_return] = ACTIONS(14015),
    [anon_sym_const] = ACTIONS(14015),
    [anon_sym_global] = ACTIONS(14015),
    [anon_sym_local] = ACTIONS(14015),
    [anon_sym_LPAREN] = ACTIONS(14015),
    [anon_sym_COLON2] = ACTIONS(14015),
    [anon_sym_export] = ACTIONS(14015),
    [anon_sym_import] = ACTIONS(14015),
    [anon_sym_using] = ACTIONS(14015),
    [anon_sym_LBRACK] = ACTIONS(14015),
    [anon_sym_LF] = ACTIONS(14013),
    [anon_sym_in] = ACTIONS(14015),
    [anon_sym_LBRACE] = ACTIONS(14015),
    [anon_sym_DOLLAR] = ACTIONS(14015),
    [anon_sym_COLON_COLON] = ACTIONS(14015),
    [anon_sym_isa] = ACTIONS(14015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14015),
    [anon_sym_QMARK] = ACTIONS(14015),
    [anon_sym_AT] = ACTIONS(14015),
    [anon_sym_true] = ACTIONS(14015),
    [anon_sym_false] = ACTIONS(14015),
    [aux_sym_integer_literal_token1] = ACTIONS(14015),
    [aux_sym_integer_literal_token2] = ACTIONS(14015),
    [aux_sym_integer_literal_token3] = ACTIONS(14015),
    [aux_sym_integer_literal_token4] = ACTIONS(14015),
    [aux_sym_float_literal_token1] = ACTIONS(14015),
    [aux_sym_float_literal_token3] = ACTIONS(14015),
    [aux_sym_float_literal_token4] = ACTIONS(14015),
    [sym_character_literal] = ACTIONS(14015),
    [sym__pair_operator] = ACTIONS(14015),
    [sym__arrow_operator] = ACTIONS(14015),
    [sym__lazy_or_operator] = ACTIONS(14015),
    [sym__lazy_and_operator] = ACTIONS(14015),
    [sym__comparison_operator] = ACTIONS(14015),
    [sym__pipe_right_operator] = ACTIONS(14015),
    [sym__pipe_left_operator] = ACTIONS(14015),
    [sym__ellipsis_operator] = ACTIONS(14015),
    [sym__plus_operator] = ACTIONS(14015),
    [sym__times_operator] = ACTIONS(14015),
    [sym__rational_operator] = ACTIONS(14015),
    [sym__bitshift_operator] = ACTIONS(14015),
    [sym__power_operator] = ACTIONS(14015),
    [sym__tilde_operator] = ACTIONS(14015),
    [sym__type_order_operator] = ACTIONS(14015),
    [sym__unary_operator] = ACTIONS(14015),
    [sym__unary_plus_operator] = ACTIONS(14015),
    [aux_sym__terminator_token1] = ACTIONS(14015),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14013),
    [sym__command_start] = ACTIONS(14013),
  },
  [7936] = {
    [aux_sym_open_tuple_repeat1] = STATE(6904),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(12970),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_else] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13576),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7937] = {
    [sym__comprehension_clause] = STATE(19164),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16711),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14373),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14375),
    [anon_sym_LF] = ACTIONS(14377),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14380),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7938] = {
    [sym__word_identifier] = ACTIONS(14019),
    [anon_sym_EQ] = ACTIONS(14019),
    [anon_sym_COMMA] = ACTIONS(14019),
    [anon_sym_COLON] = ACTIONS(14019),
    [anon_sym_begin] = ACTIONS(14019),
    [anon_sym_module] = ACTIONS(14019),
    [anon_sym_baremodule] = ACTIONS(14019),
    [anon_sym_end] = ACTIONS(14019),
    [anon_sym_abstract] = ACTIONS(14019),
    [anon_sym_primitive] = ACTIONS(14019),
    [anon_sym_mutable] = ACTIONS(14019),
    [anon_sym_struct] = ACTIONS(14019),
    [anon_sym_function] = ACTIONS(14019),
    [anon_sym_macro] = ACTIONS(14019),
    [anon_sym_where] = ACTIONS(14019),
    [anon_sym_quote] = ACTIONS(14019),
    [anon_sym_let] = ACTIONS(14019),
    [anon_sym_if] = ACTIONS(14019),
    [anon_sym_elseif] = ACTIONS(14019),
    [anon_sym_else] = ACTIONS(14019),
    [anon_sym_try] = ACTIONS(14019),
    [anon_sym_for] = ACTIONS(14019),
    [anon_sym_while] = ACTIONS(14019),
    [sym_break_statement] = ACTIONS(14019),
    [sym_continue_statement] = ACTIONS(14019),
    [anon_sym_return] = ACTIONS(14019),
    [anon_sym_const] = ACTIONS(14019),
    [anon_sym_global] = ACTIONS(14019),
    [anon_sym_local] = ACTIONS(14019),
    [anon_sym_LPAREN] = ACTIONS(14019),
    [anon_sym_COLON2] = ACTIONS(14019),
    [anon_sym_export] = ACTIONS(14019),
    [anon_sym_import] = ACTIONS(14019),
    [anon_sym_using] = ACTIONS(14019),
    [anon_sym_LBRACK] = ACTIONS(14019),
    [anon_sym_LF] = ACTIONS(14017),
    [anon_sym_in] = ACTIONS(14019),
    [anon_sym_LBRACE] = ACTIONS(14019),
    [anon_sym_DOLLAR] = ACTIONS(14019),
    [anon_sym_COLON_COLON] = ACTIONS(14019),
    [anon_sym_isa] = ACTIONS(14019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14019),
    [anon_sym_QMARK] = ACTIONS(14019),
    [anon_sym_AT] = ACTIONS(14019),
    [anon_sym_true] = ACTIONS(14019),
    [anon_sym_false] = ACTIONS(14019),
    [aux_sym_integer_literal_token1] = ACTIONS(14019),
    [aux_sym_integer_literal_token2] = ACTIONS(14019),
    [aux_sym_integer_literal_token3] = ACTIONS(14019),
    [aux_sym_integer_literal_token4] = ACTIONS(14019),
    [aux_sym_float_literal_token1] = ACTIONS(14019),
    [aux_sym_float_literal_token3] = ACTIONS(14019),
    [aux_sym_float_literal_token4] = ACTIONS(14019),
    [sym_character_literal] = ACTIONS(14019),
    [sym__pair_operator] = ACTIONS(14019),
    [sym__arrow_operator] = ACTIONS(14019),
    [sym__lazy_or_operator] = ACTIONS(14019),
    [sym__lazy_and_operator] = ACTIONS(14019),
    [sym__comparison_operator] = ACTIONS(14019),
    [sym__pipe_right_operator] = ACTIONS(14019),
    [sym__pipe_left_operator] = ACTIONS(14019),
    [sym__ellipsis_operator] = ACTIONS(14019),
    [sym__plus_operator] = ACTIONS(14019),
    [sym__times_operator] = ACTIONS(14019),
    [sym__rational_operator] = ACTIONS(14019),
    [sym__bitshift_operator] = ACTIONS(14019),
    [sym__power_operator] = ACTIONS(14019),
    [sym__tilde_operator] = ACTIONS(14019),
    [sym__type_order_operator] = ACTIONS(14019),
    [sym__unary_operator] = ACTIONS(14019),
    [sym__unary_plus_operator] = ACTIONS(14019),
    [aux_sym__terminator_token1] = ACTIONS(14019),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14017),
    [sym__command_start] = ACTIONS(14017),
  },
  [7939] = {
    [sym__word_identifier] = ACTIONS(14023),
    [anon_sym_EQ] = ACTIONS(14023),
    [anon_sym_COMMA] = ACTIONS(14023),
    [anon_sym_COLON] = ACTIONS(14023),
    [anon_sym_begin] = ACTIONS(14023),
    [anon_sym_module] = ACTIONS(14023),
    [anon_sym_baremodule] = ACTIONS(14023),
    [anon_sym_end] = ACTIONS(14023),
    [anon_sym_abstract] = ACTIONS(14023),
    [anon_sym_primitive] = ACTIONS(14023),
    [anon_sym_mutable] = ACTIONS(14023),
    [anon_sym_struct] = ACTIONS(14023),
    [anon_sym_function] = ACTIONS(14023),
    [anon_sym_macro] = ACTIONS(14023),
    [anon_sym_where] = ACTIONS(14023),
    [anon_sym_quote] = ACTIONS(14023),
    [anon_sym_let] = ACTIONS(14023),
    [anon_sym_if] = ACTIONS(14023),
    [anon_sym_elseif] = ACTIONS(14023),
    [anon_sym_else] = ACTIONS(14023),
    [anon_sym_try] = ACTIONS(14023),
    [anon_sym_for] = ACTIONS(14023),
    [anon_sym_while] = ACTIONS(14023),
    [sym_break_statement] = ACTIONS(14023),
    [sym_continue_statement] = ACTIONS(14023),
    [anon_sym_return] = ACTIONS(14023),
    [anon_sym_const] = ACTIONS(14023),
    [anon_sym_global] = ACTIONS(14023),
    [anon_sym_local] = ACTIONS(14023),
    [anon_sym_LPAREN] = ACTIONS(14023),
    [anon_sym_COLON2] = ACTIONS(14023),
    [anon_sym_export] = ACTIONS(14023),
    [anon_sym_import] = ACTIONS(14023),
    [anon_sym_using] = ACTIONS(14023),
    [anon_sym_LBRACK] = ACTIONS(14023),
    [anon_sym_LF] = ACTIONS(14021),
    [anon_sym_in] = ACTIONS(14023),
    [anon_sym_LBRACE] = ACTIONS(14023),
    [anon_sym_DOLLAR] = ACTIONS(14023),
    [anon_sym_COLON_COLON] = ACTIONS(14023),
    [anon_sym_isa] = ACTIONS(14023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14023),
    [anon_sym_QMARK] = ACTIONS(14023),
    [anon_sym_AT] = ACTIONS(14023),
    [anon_sym_true] = ACTIONS(14023),
    [anon_sym_false] = ACTIONS(14023),
    [aux_sym_integer_literal_token1] = ACTIONS(14023),
    [aux_sym_integer_literal_token2] = ACTIONS(14023),
    [aux_sym_integer_literal_token3] = ACTIONS(14023),
    [aux_sym_integer_literal_token4] = ACTIONS(14023),
    [aux_sym_float_literal_token1] = ACTIONS(14023),
    [aux_sym_float_literal_token3] = ACTIONS(14023),
    [aux_sym_float_literal_token4] = ACTIONS(14023),
    [sym_character_literal] = ACTIONS(14023),
    [sym__pair_operator] = ACTIONS(14023),
    [sym__arrow_operator] = ACTIONS(14023),
    [sym__lazy_or_operator] = ACTIONS(14023),
    [sym__lazy_and_operator] = ACTIONS(14023),
    [sym__comparison_operator] = ACTIONS(14023),
    [sym__pipe_right_operator] = ACTIONS(14023),
    [sym__pipe_left_operator] = ACTIONS(14023),
    [sym__ellipsis_operator] = ACTIONS(14023),
    [sym__plus_operator] = ACTIONS(14023),
    [sym__times_operator] = ACTIONS(14023),
    [sym__rational_operator] = ACTIONS(14023),
    [sym__bitshift_operator] = ACTIONS(14023),
    [sym__power_operator] = ACTIONS(14023),
    [sym__tilde_operator] = ACTIONS(14023),
    [sym__type_order_operator] = ACTIONS(14023),
    [sym__unary_operator] = ACTIONS(14023),
    [sym__unary_plus_operator] = ACTIONS(14023),
    [aux_sym__terminator_token1] = ACTIONS(14023),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14021),
    [sym__command_start] = ACTIONS(14021),
  },
  [7940] = {
    [sym__comprehension_clause] = STATE(19144),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16753),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14383),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14385),
    [anon_sym_LF] = ACTIONS(14387),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [7941] = {
    [sym__word_identifier] = ACTIONS(14120),
    [anon_sym_EQ] = ACTIONS(14120),
    [anon_sym_COMMA] = ACTIONS(14120),
    [anon_sym_COLON] = ACTIONS(14120),
    [anon_sym_begin] = ACTIONS(14120),
    [anon_sym_module] = ACTIONS(14120),
    [anon_sym_baremodule] = ACTIONS(14120),
    [anon_sym_end] = ACTIONS(14120),
    [anon_sym_abstract] = ACTIONS(14120),
    [anon_sym_primitive] = ACTIONS(14120),
    [anon_sym_mutable] = ACTIONS(14120),
    [anon_sym_struct] = ACTIONS(14120),
    [anon_sym_function] = ACTIONS(14120),
    [anon_sym_macro] = ACTIONS(14120),
    [anon_sym_where] = ACTIONS(14120),
    [anon_sym_quote] = ACTIONS(14120),
    [anon_sym_let] = ACTIONS(14120),
    [anon_sym_if] = ACTIONS(14120),
    [anon_sym_else] = ACTIONS(14120),
    [anon_sym_try] = ACTIONS(14120),
    [anon_sym_finally] = ACTIONS(14120),
    [anon_sym_for] = ACTIONS(14120),
    [anon_sym_while] = ACTIONS(14120),
    [sym_break_statement] = ACTIONS(14120),
    [sym_continue_statement] = ACTIONS(14120),
    [anon_sym_return] = ACTIONS(14120),
    [anon_sym_const] = ACTIONS(14120),
    [anon_sym_global] = ACTIONS(14120),
    [anon_sym_local] = ACTIONS(14120),
    [anon_sym_LPAREN] = ACTIONS(14120),
    [anon_sym_COLON2] = ACTIONS(14120),
    [anon_sym_export] = ACTIONS(14120),
    [anon_sym_import] = ACTIONS(14120),
    [anon_sym_using] = ACTIONS(14120),
    [anon_sym_LBRACK] = ACTIONS(14120),
    [anon_sym_LF] = ACTIONS(14118),
    [anon_sym_in] = ACTIONS(14120),
    [anon_sym_LBRACE] = ACTIONS(14120),
    [anon_sym_DOLLAR] = ACTIONS(14120),
    [anon_sym_COLON_COLON] = ACTIONS(14120),
    [anon_sym_isa] = ACTIONS(14120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14120),
    [anon_sym_QMARK] = ACTIONS(14120),
    [anon_sym_AT] = ACTIONS(14120),
    [anon_sym_true] = ACTIONS(14120),
    [anon_sym_false] = ACTIONS(14120),
    [aux_sym_integer_literal_token1] = ACTIONS(14120),
    [aux_sym_integer_literal_token2] = ACTIONS(14120),
    [aux_sym_integer_literal_token3] = ACTIONS(14120),
    [aux_sym_integer_literal_token4] = ACTIONS(14120),
    [aux_sym_float_literal_token1] = ACTIONS(14120),
    [aux_sym_float_literal_token3] = ACTIONS(14120),
    [aux_sym_float_literal_token4] = ACTIONS(14120),
    [sym_character_literal] = ACTIONS(14120),
    [sym__pair_operator] = ACTIONS(14120),
    [sym__arrow_operator] = ACTIONS(14120),
    [sym__lazy_or_operator] = ACTIONS(14120),
    [sym__lazy_and_operator] = ACTIONS(14120),
    [sym__comparison_operator] = ACTIONS(14120),
    [sym__pipe_right_operator] = ACTIONS(14120),
    [sym__pipe_left_operator] = ACTIONS(14120),
    [sym__ellipsis_operator] = ACTIONS(14120),
    [sym__plus_operator] = ACTIONS(14120),
    [sym__times_operator] = ACTIONS(14120),
    [sym__rational_operator] = ACTIONS(14120),
    [sym__bitshift_operator] = ACTIONS(14120),
    [sym__power_operator] = ACTIONS(14120),
    [sym__tilde_operator] = ACTIONS(14120),
    [sym__type_order_operator] = ACTIONS(14120),
    [sym__unary_operator] = ACTIONS(14120),
    [sym__unary_plus_operator] = ACTIONS(14120),
    [aux_sym__terminator_token1] = ACTIONS(14120),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14118),
    [sym__command_start] = ACTIONS(14118),
  },
  [7942] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_else] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7943] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7944] = {
    [sym__word_identifier] = ACTIONS(14037),
    [anon_sym_EQ] = ACTIONS(14037),
    [anon_sym_COMMA] = ACTIONS(14037),
    [anon_sym_COLON] = ACTIONS(14037),
    [anon_sym_begin] = ACTIONS(14037),
    [anon_sym_module] = ACTIONS(14037),
    [anon_sym_baremodule] = ACTIONS(14037),
    [anon_sym_end] = ACTIONS(14037),
    [anon_sym_abstract] = ACTIONS(14037),
    [anon_sym_primitive] = ACTIONS(14037),
    [anon_sym_mutable] = ACTIONS(14037),
    [anon_sym_struct] = ACTIONS(14037),
    [anon_sym_function] = ACTIONS(14037),
    [anon_sym_macro] = ACTIONS(14037),
    [anon_sym_where] = ACTIONS(14037),
    [anon_sym_quote] = ACTIONS(14037),
    [anon_sym_let] = ACTIONS(14037),
    [anon_sym_if] = ACTIONS(14037),
    [anon_sym_elseif] = ACTIONS(14037),
    [anon_sym_else] = ACTIONS(14037),
    [anon_sym_try] = ACTIONS(14037),
    [anon_sym_for] = ACTIONS(14037),
    [anon_sym_while] = ACTIONS(14037),
    [sym_break_statement] = ACTIONS(14037),
    [sym_continue_statement] = ACTIONS(14037),
    [anon_sym_return] = ACTIONS(14037),
    [anon_sym_const] = ACTIONS(14037),
    [anon_sym_global] = ACTIONS(14037),
    [anon_sym_local] = ACTIONS(14037),
    [anon_sym_LPAREN] = ACTIONS(14037),
    [anon_sym_COLON2] = ACTIONS(14037),
    [anon_sym_export] = ACTIONS(14037),
    [anon_sym_import] = ACTIONS(14037),
    [anon_sym_using] = ACTIONS(14037),
    [anon_sym_LBRACK] = ACTIONS(14037),
    [anon_sym_LF] = ACTIONS(14035),
    [anon_sym_in] = ACTIONS(14037),
    [anon_sym_LBRACE] = ACTIONS(14037),
    [anon_sym_DOLLAR] = ACTIONS(14037),
    [anon_sym_COLON_COLON] = ACTIONS(14037),
    [anon_sym_isa] = ACTIONS(14037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14037),
    [anon_sym_QMARK] = ACTIONS(14037),
    [anon_sym_AT] = ACTIONS(14037),
    [anon_sym_true] = ACTIONS(14037),
    [anon_sym_false] = ACTIONS(14037),
    [aux_sym_integer_literal_token1] = ACTIONS(14037),
    [aux_sym_integer_literal_token2] = ACTIONS(14037),
    [aux_sym_integer_literal_token3] = ACTIONS(14037),
    [aux_sym_integer_literal_token4] = ACTIONS(14037),
    [aux_sym_float_literal_token1] = ACTIONS(14037),
    [aux_sym_float_literal_token3] = ACTIONS(14037),
    [aux_sym_float_literal_token4] = ACTIONS(14037),
    [sym_character_literal] = ACTIONS(14037),
    [sym__pair_operator] = ACTIONS(14037),
    [sym__arrow_operator] = ACTIONS(14037),
    [sym__lazy_or_operator] = ACTIONS(14037),
    [sym__lazy_and_operator] = ACTIONS(14037),
    [sym__comparison_operator] = ACTIONS(14037),
    [sym__pipe_right_operator] = ACTIONS(14037),
    [sym__pipe_left_operator] = ACTIONS(14037),
    [sym__ellipsis_operator] = ACTIONS(14037),
    [sym__plus_operator] = ACTIONS(14037),
    [sym__times_operator] = ACTIONS(14037),
    [sym__rational_operator] = ACTIONS(14037),
    [sym__bitshift_operator] = ACTIONS(14037),
    [sym__power_operator] = ACTIONS(14037),
    [sym__tilde_operator] = ACTIONS(14037),
    [sym__type_order_operator] = ACTIONS(14037),
    [sym__unary_operator] = ACTIONS(14037),
    [sym__unary_plus_operator] = ACTIONS(14037),
    [aux_sym__terminator_token1] = ACTIONS(14037),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14035),
    [sym__command_start] = ACTIONS(14035),
  },
  [7945] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7946] = {
    [sym__word_identifier] = ACTIONS(14043),
    [anon_sym_EQ] = ACTIONS(14043),
    [anon_sym_COMMA] = ACTIONS(14043),
    [anon_sym_COLON] = ACTIONS(14043),
    [anon_sym_begin] = ACTIONS(14043),
    [anon_sym_module] = ACTIONS(14043),
    [anon_sym_baremodule] = ACTIONS(14043),
    [anon_sym_end] = ACTIONS(14043),
    [anon_sym_abstract] = ACTIONS(14043),
    [anon_sym_primitive] = ACTIONS(14043),
    [anon_sym_mutable] = ACTIONS(14043),
    [anon_sym_struct] = ACTIONS(14043),
    [anon_sym_function] = ACTIONS(14043),
    [anon_sym_macro] = ACTIONS(14043),
    [anon_sym_where] = ACTIONS(14043),
    [anon_sym_quote] = ACTIONS(14043),
    [anon_sym_let] = ACTIONS(14043),
    [anon_sym_if] = ACTIONS(14043),
    [anon_sym_elseif] = ACTIONS(14043),
    [anon_sym_else] = ACTIONS(14043),
    [anon_sym_try] = ACTIONS(14043),
    [anon_sym_for] = ACTIONS(14043),
    [anon_sym_while] = ACTIONS(14043),
    [sym_break_statement] = ACTIONS(14043),
    [sym_continue_statement] = ACTIONS(14043),
    [anon_sym_return] = ACTIONS(14043),
    [anon_sym_const] = ACTIONS(14043),
    [anon_sym_global] = ACTIONS(14043),
    [anon_sym_local] = ACTIONS(14043),
    [anon_sym_LPAREN] = ACTIONS(14043),
    [anon_sym_COLON2] = ACTIONS(14043),
    [anon_sym_export] = ACTIONS(14043),
    [anon_sym_import] = ACTIONS(14043),
    [anon_sym_using] = ACTIONS(14043),
    [anon_sym_LBRACK] = ACTIONS(14043),
    [anon_sym_LF] = ACTIONS(14041),
    [anon_sym_in] = ACTIONS(14043),
    [anon_sym_LBRACE] = ACTIONS(14043),
    [anon_sym_DOLLAR] = ACTIONS(14043),
    [anon_sym_COLON_COLON] = ACTIONS(14043),
    [anon_sym_isa] = ACTIONS(14043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_QMARK] = ACTIONS(14043),
    [anon_sym_AT] = ACTIONS(14043),
    [anon_sym_true] = ACTIONS(14043),
    [anon_sym_false] = ACTIONS(14043),
    [aux_sym_integer_literal_token1] = ACTIONS(14043),
    [aux_sym_integer_literal_token2] = ACTIONS(14043),
    [aux_sym_integer_literal_token3] = ACTIONS(14043),
    [aux_sym_integer_literal_token4] = ACTIONS(14043),
    [aux_sym_float_literal_token1] = ACTIONS(14043),
    [aux_sym_float_literal_token3] = ACTIONS(14043),
    [aux_sym_float_literal_token4] = ACTIONS(14043),
    [sym_character_literal] = ACTIONS(14043),
    [sym__pair_operator] = ACTIONS(14043),
    [sym__arrow_operator] = ACTIONS(14043),
    [sym__lazy_or_operator] = ACTIONS(14043),
    [sym__lazy_and_operator] = ACTIONS(14043),
    [sym__comparison_operator] = ACTIONS(14043),
    [sym__pipe_right_operator] = ACTIONS(14043),
    [sym__pipe_left_operator] = ACTIONS(14043),
    [sym__ellipsis_operator] = ACTIONS(14043),
    [sym__plus_operator] = ACTIONS(14043),
    [sym__times_operator] = ACTIONS(14043),
    [sym__rational_operator] = ACTIONS(14043),
    [sym__bitshift_operator] = ACTIONS(14043),
    [sym__power_operator] = ACTIONS(14043),
    [sym__tilde_operator] = ACTIONS(14043),
    [sym__type_order_operator] = ACTIONS(14043),
    [sym__unary_operator] = ACTIONS(14043),
    [sym__unary_plus_operator] = ACTIONS(14043),
    [aux_sym__terminator_token1] = ACTIONS(14043),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14041),
    [sym__command_start] = ACTIONS(14041),
  },
  [7947] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7948] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_else] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [7949] = {
    [aux_sym_open_tuple_repeat1] = STATE(7111),
    [ts_builtin_sym_end] = ACTIONS(13212),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13124),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_RPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_RBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7950] = {
    [ts_builtin_sym_end] = ACTIONS(13410),
    [sym__word_identifier] = ACTIONS(13408),
    [anon_sym_EQ] = ACTIONS(13408),
    [anon_sym_COMMA] = ACTIONS(13408),
    [anon_sym_COLON] = ACTIONS(13408),
    [anon_sym_begin] = ACTIONS(13408),
    [anon_sym_module] = ACTIONS(13408),
    [anon_sym_baremodule] = ACTIONS(13408),
    [anon_sym_abstract] = ACTIONS(13408),
    [anon_sym_primitive] = ACTIONS(13408),
    [anon_sym_mutable] = ACTIONS(13408),
    [anon_sym_struct] = ACTIONS(13408),
    [anon_sym_function] = ACTIONS(13408),
    [anon_sym_macro] = ACTIONS(13408),
    [anon_sym_where] = ACTIONS(13408),
    [anon_sym_quote] = ACTIONS(13408),
    [anon_sym_let] = ACTIONS(13408),
    [anon_sym_if] = ACTIONS(13408),
    [anon_sym_try] = ACTIONS(13408),
    [anon_sym_for] = ACTIONS(13408),
    [anon_sym_while] = ACTIONS(13408),
    [sym_break_statement] = ACTIONS(13408),
    [sym_continue_statement] = ACTIONS(13408),
    [anon_sym_return] = ACTIONS(13408),
    [anon_sym_const] = ACTIONS(13408),
    [anon_sym_global] = ACTIONS(13408),
    [anon_sym_local] = ACTIONS(13408),
    [anon_sym_LPAREN] = ACTIONS(13408),
    [anon_sym_RPAREN] = ACTIONS(13408),
    [anon_sym_COLON2] = ACTIONS(13408),
    [anon_sym_export] = ACTIONS(13408),
    [anon_sym_import] = ACTIONS(13408),
    [anon_sym_using] = ACTIONS(13408),
    [anon_sym_LBRACK] = ACTIONS(13408),
    [anon_sym_RBRACK] = ACTIONS(13408),
    [anon_sym_LF] = ACTIONS(13410),
    [anon_sym_in] = ACTIONS(13408),
    [anon_sym_LBRACE] = ACTIONS(13408),
    [anon_sym_DOLLAR] = ACTIONS(13408),
    [anon_sym_COLON_COLON] = ACTIONS(13408),
    [anon_sym_isa] = ACTIONS(13408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13408),
    [anon_sym_QMARK] = ACTIONS(13408),
    [anon_sym_AT] = ACTIONS(13408),
    [anon_sym_true] = ACTIONS(13408),
    [anon_sym_false] = ACTIONS(13408),
    [aux_sym_integer_literal_token1] = ACTIONS(13408),
    [aux_sym_integer_literal_token2] = ACTIONS(13408),
    [aux_sym_integer_literal_token3] = ACTIONS(13408),
    [aux_sym_integer_literal_token4] = ACTIONS(13408),
    [aux_sym_float_literal_token1] = ACTIONS(13408),
    [aux_sym_float_literal_token3] = ACTIONS(13408),
    [aux_sym_float_literal_token4] = ACTIONS(13408),
    [sym_character_literal] = ACTIONS(13408),
    [sym__pair_operator] = ACTIONS(13408),
    [sym__arrow_operator] = ACTIONS(13408),
    [sym__lazy_or_operator] = ACTIONS(13408),
    [sym__lazy_and_operator] = ACTIONS(13408),
    [sym__comparison_operator] = ACTIONS(13408),
    [sym__pipe_right_operator] = ACTIONS(13408),
    [sym__pipe_left_operator] = ACTIONS(13408),
    [sym__ellipsis_operator] = ACTIONS(13408),
    [sym__plus_operator] = ACTIONS(13408),
    [sym__times_operator] = ACTIONS(13408),
    [sym__rational_operator] = ACTIONS(13408),
    [sym__bitshift_operator] = ACTIONS(13408),
    [sym__power_operator] = ACTIONS(13408),
    [sym__tilde_operator] = ACTIONS(13408),
    [sym__type_order_operator] = ACTIONS(13408),
    [sym__unary_operator] = ACTIONS(13408),
    [sym__unary_plus_operator] = ACTIONS(13408),
    [aux_sym__terminator_token1] = ACTIONS(13408),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13410),
    [sym__command_start] = ACTIONS(13410),
  },
  [7951] = {
    [ts_builtin_sym_end] = ACTIONS(13414),
    [sym__word_identifier] = ACTIONS(13412),
    [anon_sym_EQ] = ACTIONS(13412),
    [anon_sym_COMMA] = ACTIONS(13412),
    [anon_sym_COLON] = ACTIONS(13412),
    [anon_sym_begin] = ACTIONS(13412),
    [anon_sym_module] = ACTIONS(13412),
    [anon_sym_baremodule] = ACTIONS(13412),
    [anon_sym_abstract] = ACTIONS(13412),
    [anon_sym_primitive] = ACTIONS(13412),
    [anon_sym_mutable] = ACTIONS(13412),
    [anon_sym_struct] = ACTIONS(13412),
    [anon_sym_function] = ACTIONS(13412),
    [anon_sym_macro] = ACTIONS(13412),
    [anon_sym_where] = ACTIONS(13412),
    [anon_sym_quote] = ACTIONS(13412),
    [anon_sym_let] = ACTIONS(13412),
    [anon_sym_if] = ACTIONS(13412),
    [anon_sym_try] = ACTIONS(13412),
    [anon_sym_for] = ACTIONS(13412),
    [anon_sym_while] = ACTIONS(13412),
    [sym_break_statement] = ACTIONS(13412),
    [sym_continue_statement] = ACTIONS(13412),
    [anon_sym_return] = ACTIONS(13412),
    [anon_sym_const] = ACTIONS(13412),
    [anon_sym_global] = ACTIONS(13412),
    [anon_sym_local] = ACTIONS(13412),
    [anon_sym_LPAREN] = ACTIONS(13412),
    [anon_sym_RPAREN] = ACTIONS(13412),
    [anon_sym_COLON2] = ACTIONS(13412),
    [anon_sym_export] = ACTIONS(13412),
    [anon_sym_import] = ACTIONS(13412),
    [anon_sym_using] = ACTIONS(13412),
    [anon_sym_LBRACK] = ACTIONS(13412),
    [anon_sym_RBRACK] = ACTIONS(13412),
    [anon_sym_LF] = ACTIONS(13414),
    [anon_sym_in] = ACTIONS(13412),
    [anon_sym_LBRACE] = ACTIONS(13412),
    [anon_sym_DOLLAR] = ACTIONS(13412),
    [anon_sym_COLON_COLON] = ACTIONS(13412),
    [anon_sym_isa] = ACTIONS(13412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13412),
    [anon_sym_QMARK] = ACTIONS(13412),
    [anon_sym_AT] = ACTIONS(13412),
    [anon_sym_true] = ACTIONS(13412),
    [anon_sym_false] = ACTIONS(13412),
    [aux_sym_integer_literal_token1] = ACTIONS(13412),
    [aux_sym_integer_literal_token2] = ACTIONS(13412),
    [aux_sym_integer_literal_token3] = ACTIONS(13412),
    [aux_sym_integer_literal_token4] = ACTIONS(13412),
    [aux_sym_float_literal_token1] = ACTIONS(13412),
    [aux_sym_float_literal_token3] = ACTIONS(13412),
    [aux_sym_float_literal_token4] = ACTIONS(13412),
    [sym_character_literal] = ACTIONS(13412),
    [sym__pair_operator] = ACTIONS(13412),
    [sym__arrow_operator] = ACTIONS(13412),
    [sym__lazy_or_operator] = ACTIONS(13412),
    [sym__lazy_and_operator] = ACTIONS(13412),
    [sym__comparison_operator] = ACTIONS(13412),
    [sym__pipe_right_operator] = ACTIONS(13412),
    [sym__pipe_left_operator] = ACTIONS(13412),
    [sym__ellipsis_operator] = ACTIONS(13412),
    [sym__plus_operator] = ACTIONS(13412),
    [sym__times_operator] = ACTIONS(13412),
    [sym__rational_operator] = ACTIONS(13412),
    [sym__bitshift_operator] = ACTIONS(13412),
    [sym__power_operator] = ACTIONS(13412),
    [sym__tilde_operator] = ACTIONS(13412),
    [sym__type_order_operator] = ACTIONS(13412),
    [sym__unary_operator] = ACTIONS(13412),
    [sym__unary_plus_operator] = ACTIONS(13412),
    [aux_sym__terminator_token1] = ACTIONS(13412),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13414),
    [sym__command_start] = ACTIONS(13414),
  },
  [7952] = {
    [ts_builtin_sym_end] = ACTIONS(13482),
    [sym__word_identifier] = ACTIONS(13480),
    [anon_sym_EQ] = ACTIONS(13480),
    [anon_sym_COMMA] = ACTIONS(13480),
    [anon_sym_COLON] = ACTIONS(13480),
    [anon_sym_begin] = ACTIONS(13480),
    [anon_sym_module] = ACTIONS(13480),
    [anon_sym_baremodule] = ACTIONS(13480),
    [anon_sym_abstract] = ACTIONS(13480),
    [anon_sym_primitive] = ACTIONS(13480),
    [anon_sym_mutable] = ACTIONS(13480),
    [anon_sym_struct] = ACTIONS(13480),
    [anon_sym_function] = ACTIONS(13480),
    [anon_sym_macro] = ACTIONS(13480),
    [anon_sym_where] = ACTIONS(13480),
    [anon_sym_quote] = ACTIONS(13480),
    [anon_sym_let] = ACTIONS(13480),
    [anon_sym_if] = ACTIONS(13480),
    [anon_sym_try] = ACTIONS(13480),
    [anon_sym_for] = ACTIONS(13480),
    [anon_sym_while] = ACTIONS(13480),
    [sym_break_statement] = ACTIONS(13480),
    [sym_continue_statement] = ACTIONS(13480),
    [anon_sym_return] = ACTIONS(13480),
    [anon_sym_const] = ACTIONS(13480),
    [anon_sym_global] = ACTIONS(13480),
    [anon_sym_local] = ACTIONS(13480),
    [anon_sym_LPAREN] = ACTIONS(13480),
    [anon_sym_RPAREN] = ACTIONS(13480),
    [anon_sym_COLON2] = ACTIONS(13480),
    [anon_sym_export] = ACTIONS(13480),
    [anon_sym_import] = ACTIONS(13480),
    [anon_sym_using] = ACTIONS(13480),
    [anon_sym_LBRACK] = ACTIONS(13480),
    [anon_sym_RBRACK] = ACTIONS(13480),
    [anon_sym_LF] = ACTIONS(13482),
    [anon_sym_in] = ACTIONS(13480),
    [anon_sym_LBRACE] = ACTIONS(13480),
    [anon_sym_DOLLAR] = ACTIONS(13480),
    [anon_sym_COLON_COLON] = ACTIONS(13480),
    [anon_sym_isa] = ACTIONS(13480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_QMARK] = ACTIONS(13480),
    [anon_sym_AT] = ACTIONS(13480),
    [anon_sym_true] = ACTIONS(13480),
    [anon_sym_false] = ACTIONS(13480),
    [aux_sym_integer_literal_token1] = ACTIONS(13480),
    [aux_sym_integer_literal_token2] = ACTIONS(13480),
    [aux_sym_integer_literal_token3] = ACTIONS(13480),
    [aux_sym_integer_literal_token4] = ACTIONS(13480),
    [aux_sym_float_literal_token1] = ACTIONS(13480),
    [aux_sym_float_literal_token3] = ACTIONS(13480),
    [aux_sym_float_literal_token4] = ACTIONS(13480),
    [sym_character_literal] = ACTIONS(13480),
    [sym__pair_operator] = ACTIONS(13480),
    [sym__arrow_operator] = ACTIONS(13480),
    [sym__lazy_or_operator] = ACTIONS(13480),
    [sym__lazy_and_operator] = ACTIONS(13480),
    [sym__comparison_operator] = ACTIONS(13480),
    [sym__pipe_right_operator] = ACTIONS(13480),
    [sym__pipe_left_operator] = ACTIONS(13480),
    [sym__ellipsis_operator] = ACTIONS(13480),
    [sym__plus_operator] = ACTIONS(13480),
    [sym__times_operator] = ACTIONS(13480),
    [sym__rational_operator] = ACTIONS(13480),
    [sym__bitshift_operator] = ACTIONS(13480),
    [sym__power_operator] = ACTIONS(13480),
    [sym__tilde_operator] = ACTIONS(13480),
    [sym__type_order_operator] = ACTIONS(13480),
    [sym__unary_operator] = ACTIONS(13480),
    [sym__unary_plus_operator] = ACTIONS(13480),
    [aux_sym__terminator_token1] = ACTIONS(13480),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13482),
    [sym__command_start] = ACTIONS(13482),
  },
  [7953] = {
    [ts_builtin_sym_end] = ACTIONS(13486),
    [sym__word_identifier] = ACTIONS(13484),
    [anon_sym_EQ] = ACTIONS(13484),
    [anon_sym_COMMA] = ACTIONS(13484),
    [anon_sym_COLON] = ACTIONS(13484),
    [anon_sym_begin] = ACTIONS(13484),
    [anon_sym_module] = ACTIONS(13484),
    [anon_sym_baremodule] = ACTIONS(13484),
    [anon_sym_abstract] = ACTIONS(13484),
    [anon_sym_primitive] = ACTIONS(13484),
    [anon_sym_mutable] = ACTIONS(13484),
    [anon_sym_struct] = ACTIONS(13484),
    [anon_sym_function] = ACTIONS(13484),
    [anon_sym_macro] = ACTIONS(13484),
    [anon_sym_where] = ACTIONS(13484),
    [anon_sym_quote] = ACTIONS(13484),
    [anon_sym_let] = ACTIONS(13484),
    [anon_sym_if] = ACTIONS(13484),
    [anon_sym_try] = ACTIONS(13484),
    [anon_sym_for] = ACTIONS(13484),
    [anon_sym_while] = ACTIONS(13484),
    [sym_break_statement] = ACTIONS(13484),
    [sym_continue_statement] = ACTIONS(13484),
    [anon_sym_return] = ACTIONS(13484),
    [anon_sym_const] = ACTIONS(13484),
    [anon_sym_global] = ACTIONS(13484),
    [anon_sym_local] = ACTIONS(13484),
    [anon_sym_LPAREN] = ACTIONS(13484),
    [anon_sym_RPAREN] = ACTIONS(13484),
    [anon_sym_COLON2] = ACTIONS(13484),
    [anon_sym_export] = ACTIONS(13484),
    [anon_sym_import] = ACTIONS(13484),
    [anon_sym_using] = ACTIONS(13484),
    [anon_sym_LBRACK] = ACTIONS(13484),
    [anon_sym_RBRACK] = ACTIONS(13484),
    [anon_sym_LF] = ACTIONS(13486),
    [anon_sym_in] = ACTIONS(13484),
    [anon_sym_LBRACE] = ACTIONS(13484),
    [anon_sym_DOLLAR] = ACTIONS(13484),
    [anon_sym_COLON_COLON] = ACTIONS(13484),
    [anon_sym_isa] = ACTIONS(13484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13484),
    [anon_sym_QMARK] = ACTIONS(13484),
    [anon_sym_AT] = ACTIONS(13484),
    [anon_sym_true] = ACTIONS(13484),
    [anon_sym_false] = ACTIONS(13484),
    [aux_sym_integer_literal_token1] = ACTIONS(13484),
    [aux_sym_integer_literal_token2] = ACTIONS(13484),
    [aux_sym_integer_literal_token3] = ACTIONS(13484),
    [aux_sym_integer_literal_token4] = ACTIONS(13484),
    [aux_sym_float_literal_token1] = ACTIONS(13484),
    [aux_sym_float_literal_token3] = ACTIONS(13484),
    [aux_sym_float_literal_token4] = ACTIONS(13484),
    [sym_character_literal] = ACTIONS(13484),
    [sym__pair_operator] = ACTIONS(13484),
    [sym__arrow_operator] = ACTIONS(13484),
    [sym__lazy_or_operator] = ACTIONS(13484),
    [sym__lazy_and_operator] = ACTIONS(13484),
    [sym__comparison_operator] = ACTIONS(13484),
    [sym__pipe_right_operator] = ACTIONS(13484),
    [sym__pipe_left_operator] = ACTIONS(13484),
    [sym__ellipsis_operator] = ACTIONS(13484),
    [sym__plus_operator] = ACTIONS(13484),
    [sym__times_operator] = ACTIONS(13484),
    [sym__rational_operator] = ACTIONS(13484),
    [sym__bitshift_operator] = ACTIONS(13484),
    [sym__power_operator] = ACTIONS(13484),
    [sym__tilde_operator] = ACTIONS(13484),
    [sym__type_order_operator] = ACTIONS(13484),
    [sym__unary_operator] = ACTIONS(13484),
    [sym__unary_plus_operator] = ACTIONS(13484),
    [aux_sym__terminator_token1] = ACTIONS(13484),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13486),
    [sym__command_start] = ACTIONS(13486),
  },
  [7954] = {
    [aux_sym_open_tuple_repeat1] = STATE(6904),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(12970),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_else] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13576),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7955] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7956] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7957] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_else] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7958] = {
    [ts_builtin_sym_end] = ACTIONS(13510),
    [sym__word_identifier] = ACTIONS(13508),
    [anon_sym_EQ] = ACTIONS(13508),
    [anon_sym_COMMA] = ACTIONS(13508),
    [anon_sym_COLON] = ACTIONS(13508),
    [anon_sym_begin] = ACTIONS(13508),
    [anon_sym_module] = ACTIONS(13508),
    [anon_sym_baremodule] = ACTIONS(13508),
    [anon_sym_abstract] = ACTIONS(13508),
    [anon_sym_primitive] = ACTIONS(13508),
    [anon_sym_mutable] = ACTIONS(13508),
    [anon_sym_struct] = ACTIONS(13508),
    [anon_sym_function] = ACTIONS(13508),
    [anon_sym_macro] = ACTIONS(13508),
    [anon_sym_where] = ACTIONS(13508),
    [anon_sym_quote] = ACTIONS(13508),
    [anon_sym_let] = ACTIONS(13508),
    [anon_sym_if] = ACTIONS(13508),
    [anon_sym_try] = ACTIONS(13508),
    [anon_sym_for] = ACTIONS(13508),
    [anon_sym_while] = ACTIONS(13508),
    [sym_break_statement] = ACTIONS(13508),
    [sym_continue_statement] = ACTIONS(13508),
    [anon_sym_return] = ACTIONS(13508),
    [anon_sym_const] = ACTIONS(13508),
    [anon_sym_global] = ACTIONS(13508),
    [anon_sym_local] = ACTIONS(13508),
    [anon_sym_LPAREN] = ACTIONS(13508),
    [anon_sym_RPAREN] = ACTIONS(13508),
    [anon_sym_COLON2] = ACTIONS(13508),
    [anon_sym_export] = ACTIONS(13508),
    [anon_sym_import] = ACTIONS(13508),
    [anon_sym_using] = ACTIONS(13508),
    [anon_sym_LBRACK] = ACTIONS(13508),
    [anon_sym_RBRACK] = ACTIONS(13508),
    [anon_sym_LF] = ACTIONS(13510),
    [anon_sym_in] = ACTIONS(13508),
    [anon_sym_LBRACE] = ACTIONS(13508),
    [anon_sym_DOLLAR] = ACTIONS(13508),
    [anon_sym_COLON_COLON] = ACTIONS(13508),
    [anon_sym_isa] = ACTIONS(13508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13508),
    [anon_sym_QMARK] = ACTIONS(13508),
    [anon_sym_AT] = ACTIONS(13508),
    [anon_sym_true] = ACTIONS(13508),
    [anon_sym_false] = ACTIONS(13508),
    [aux_sym_integer_literal_token1] = ACTIONS(13508),
    [aux_sym_integer_literal_token2] = ACTIONS(13508),
    [aux_sym_integer_literal_token3] = ACTIONS(13508),
    [aux_sym_integer_literal_token4] = ACTIONS(13508),
    [aux_sym_float_literal_token1] = ACTIONS(13508),
    [aux_sym_float_literal_token3] = ACTIONS(13508),
    [aux_sym_float_literal_token4] = ACTIONS(13508),
    [sym_character_literal] = ACTIONS(13508),
    [sym__pair_operator] = ACTIONS(13508),
    [sym__arrow_operator] = ACTIONS(13508),
    [sym__lazy_or_operator] = ACTIONS(13508),
    [sym__lazy_and_operator] = ACTIONS(13508),
    [sym__comparison_operator] = ACTIONS(13508),
    [sym__pipe_right_operator] = ACTIONS(13508),
    [sym__pipe_left_operator] = ACTIONS(13508),
    [sym__ellipsis_operator] = ACTIONS(13508),
    [sym__plus_operator] = ACTIONS(13508),
    [sym__times_operator] = ACTIONS(13508),
    [sym__rational_operator] = ACTIONS(13508),
    [sym__bitshift_operator] = ACTIONS(13508),
    [sym__power_operator] = ACTIONS(13508),
    [sym__tilde_operator] = ACTIONS(13508),
    [sym__type_order_operator] = ACTIONS(13508),
    [sym__unary_operator] = ACTIONS(13508),
    [sym__unary_plus_operator] = ACTIONS(13508),
    [aux_sym__terminator_token1] = ACTIONS(13508),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13510),
    [sym__command_start] = ACTIONS(13510),
  },
  [7959] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7960] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7961] = {
    [aux_sym_open_tuple_repeat1] = STATE(6904),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(12970),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_else] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13576),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7962] = {
    [ts_builtin_sym_end] = ACTIONS(13955),
    [sym__word_identifier] = ACTIONS(13953),
    [anon_sym_EQ] = ACTIONS(13953),
    [anon_sym_COMMA] = ACTIONS(13953),
    [anon_sym_COLON] = ACTIONS(13953),
    [anon_sym_begin] = ACTIONS(13953),
    [anon_sym_module] = ACTIONS(13953),
    [anon_sym_baremodule] = ACTIONS(13953),
    [anon_sym_abstract] = ACTIONS(13953),
    [anon_sym_primitive] = ACTIONS(13953),
    [anon_sym_mutable] = ACTIONS(13953),
    [anon_sym_struct] = ACTIONS(13953),
    [anon_sym_function] = ACTIONS(13953),
    [anon_sym_macro] = ACTIONS(13953),
    [anon_sym_where] = ACTIONS(13953),
    [anon_sym_quote] = ACTIONS(13953),
    [anon_sym_let] = ACTIONS(13953),
    [anon_sym_if] = ACTIONS(13953),
    [anon_sym_try] = ACTIONS(13953),
    [anon_sym_for] = ACTIONS(13953),
    [anon_sym_while] = ACTIONS(13953),
    [sym_break_statement] = ACTIONS(13953),
    [sym_continue_statement] = ACTIONS(13953),
    [anon_sym_return] = ACTIONS(13953),
    [anon_sym_const] = ACTIONS(13953),
    [anon_sym_global] = ACTIONS(13953),
    [anon_sym_local] = ACTIONS(13953),
    [anon_sym_LPAREN] = ACTIONS(13953),
    [anon_sym_RPAREN] = ACTIONS(13953),
    [anon_sym_COLON2] = ACTIONS(13953),
    [anon_sym_export] = ACTIONS(13953),
    [anon_sym_import] = ACTIONS(13953),
    [anon_sym_using] = ACTIONS(13953),
    [anon_sym_LBRACK] = ACTIONS(13953),
    [anon_sym_RBRACK] = ACTIONS(13953),
    [anon_sym_LF] = ACTIONS(13955),
    [anon_sym_in] = ACTIONS(13953),
    [anon_sym_LBRACE] = ACTIONS(13953),
    [anon_sym_DOLLAR] = ACTIONS(13953),
    [anon_sym_COLON_COLON] = ACTIONS(13953),
    [anon_sym_isa] = ACTIONS(13953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13953),
    [anon_sym_QMARK] = ACTIONS(13953),
    [anon_sym_AT] = ACTIONS(13953),
    [anon_sym_true] = ACTIONS(13953),
    [anon_sym_false] = ACTIONS(13953),
    [aux_sym_integer_literal_token1] = ACTIONS(13953),
    [aux_sym_integer_literal_token2] = ACTIONS(13953),
    [aux_sym_integer_literal_token3] = ACTIONS(13953),
    [aux_sym_integer_literal_token4] = ACTIONS(13953),
    [aux_sym_float_literal_token1] = ACTIONS(13953),
    [aux_sym_float_literal_token3] = ACTIONS(13953),
    [aux_sym_float_literal_token4] = ACTIONS(13953),
    [sym_character_literal] = ACTIONS(13953),
    [sym__pair_operator] = ACTIONS(13953),
    [sym__arrow_operator] = ACTIONS(13953),
    [sym__lazy_or_operator] = ACTIONS(13953),
    [sym__lazy_and_operator] = ACTIONS(13953),
    [sym__comparison_operator] = ACTIONS(13953),
    [sym__pipe_right_operator] = ACTIONS(13953),
    [sym__pipe_left_operator] = ACTIONS(13953),
    [sym__ellipsis_operator] = ACTIONS(13953),
    [sym__plus_operator] = ACTIONS(13953),
    [sym__times_operator] = ACTIONS(13953),
    [sym__rational_operator] = ACTIONS(13953),
    [sym__bitshift_operator] = ACTIONS(13953),
    [sym__power_operator] = ACTIONS(13953),
    [sym__tilde_operator] = ACTIONS(13953),
    [sym__type_order_operator] = ACTIONS(13953),
    [sym__unary_operator] = ACTIONS(13953),
    [sym__unary_plus_operator] = ACTIONS(13953),
    [aux_sym__terminator_token1] = ACTIONS(13953),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13955),
    [sym__command_start] = ACTIONS(13955),
  },
  [7963] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7964] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12212),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12212),
    [anon_sym_RPAREN] = ACTIONS(12212),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12212),
    [anon_sym_RBRACK] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_SEMI] = ACTIONS(12212),
    [anon_sym_LBRACE] = ACTIONS(12212),
    [anon_sym_RBRACE] = ACTIONS(12212),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12212),
    [anon_sym_COLON_COLON] = ACTIONS(12212),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12212),
    [anon_sym_QMARK] = ACTIONS(12212),
    [anon_sym_AT] = ACTIONS(12212),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12212),
    [aux_sym_integer_literal_token2] = ACTIONS(12212),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12212),
    [aux_sym_float_literal_token3] = ACTIONS(12212),
    [aux_sym_float_literal_token4] = ACTIONS(12212),
    [sym_character_literal] = ACTIONS(12212),
    [sym__pair_operator] = ACTIONS(12212),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12212),
    [sym__lazy_and_operator] = ACTIONS(12212),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12212),
    [sym__pipe_left_operator] = ACTIONS(12212),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12212),
    [sym__bitshift_operator] = ACTIONS(12212),
    [sym__power_operator] = ACTIONS(12212),
    [sym__tilde_operator] = ACTIONS(12212),
    [sym__type_order_operator] = ACTIONS(12212),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [7965] = {
    [aux_sym__import_list_repeat1] = STATE(7873),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(13007),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_finally] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [7966] = {
    [sym__word_identifier] = ACTIONS(14131),
    [anon_sym_EQ] = ACTIONS(14131),
    [anon_sym_COMMA] = ACTIONS(14131),
    [anon_sym_COLON] = ACTIONS(14131),
    [anon_sym_begin] = ACTIONS(14131),
    [anon_sym_module] = ACTIONS(14131),
    [anon_sym_baremodule] = ACTIONS(14131),
    [anon_sym_end] = ACTIONS(14131),
    [anon_sym_abstract] = ACTIONS(14131),
    [anon_sym_primitive] = ACTIONS(14131),
    [anon_sym_mutable] = ACTIONS(14131),
    [anon_sym_struct] = ACTIONS(14131),
    [anon_sym_function] = ACTIONS(14131),
    [anon_sym_macro] = ACTIONS(14131),
    [anon_sym_where] = ACTIONS(14131),
    [anon_sym_quote] = ACTIONS(14131),
    [anon_sym_let] = ACTIONS(14131),
    [anon_sym_if] = ACTIONS(14131),
    [anon_sym_elseif] = ACTIONS(14131),
    [anon_sym_else] = ACTIONS(14131),
    [anon_sym_try] = ACTIONS(14131),
    [anon_sym_for] = ACTIONS(14131),
    [anon_sym_while] = ACTIONS(14131),
    [sym_break_statement] = ACTIONS(14131),
    [sym_continue_statement] = ACTIONS(14131),
    [anon_sym_return] = ACTIONS(14131),
    [anon_sym_const] = ACTIONS(14131),
    [anon_sym_global] = ACTIONS(14131),
    [anon_sym_local] = ACTIONS(14131),
    [anon_sym_LPAREN] = ACTIONS(14131),
    [anon_sym_COLON2] = ACTIONS(14131),
    [anon_sym_export] = ACTIONS(14131),
    [anon_sym_import] = ACTIONS(14131),
    [anon_sym_using] = ACTIONS(14131),
    [anon_sym_LBRACK] = ACTIONS(14131),
    [anon_sym_LF] = ACTIONS(14129),
    [anon_sym_in] = ACTIONS(14131),
    [anon_sym_LBRACE] = ACTIONS(14131),
    [anon_sym_DOLLAR] = ACTIONS(14131),
    [anon_sym_COLON_COLON] = ACTIONS(14131),
    [anon_sym_isa] = ACTIONS(14131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14131),
    [anon_sym_QMARK] = ACTIONS(14131),
    [anon_sym_AT] = ACTIONS(14131),
    [anon_sym_true] = ACTIONS(14131),
    [anon_sym_false] = ACTIONS(14131),
    [aux_sym_integer_literal_token1] = ACTIONS(14131),
    [aux_sym_integer_literal_token2] = ACTIONS(14131),
    [aux_sym_integer_literal_token3] = ACTIONS(14131),
    [aux_sym_integer_literal_token4] = ACTIONS(14131),
    [aux_sym_float_literal_token1] = ACTIONS(14131),
    [aux_sym_float_literal_token3] = ACTIONS(14131),
    [aux_sym_float_literal_token4] = ACTIONS(14131),
    [sym_character_literal] = ACTIONS(14131),
    [sym__pair_operator] = ACTIONS(14131),
    [sym__arrow_operator] = ACTIONS(14131),
    [sym__lazy_or_operator] = ACTIONS(14131),
    [sym__lazy_and_operator] = ACTIONS(14131),
    [sym__comparison_operator] = ACTIONS(14131),
    [sym__pipe_right_operator] = ACTIONS(14131),
    [sym__pipe_left_operator] = ACTIONS(14131),
    [sym__ellipsis_operator] = ACTIONS(14131),
    [sym__plus_operator] = ACTIONS(14131),
    [sym__times_operator] = ACTIONS(14131),
    [sym__rational_operator] = ACTIONS(14131),
    [sym__bitshift_operator] = ACTIONS(14131),
    [sym__power_operator] = ACTIONS(14131),
    [sym__tilde_operator] = ACTIONS(14131),
    [sym__type_order_operator] = ACTIONS(14131),
    [sym__unary_operator] = ACTIONS(14131),
    [sym__unary_plus_operator] = ACTIONS(14131),
    [aux_sym__terminator_token1] = ACTIONS(14131),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14129),
    [sym__command_start] = ACTIONS(14129),
  },
  [7967] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7968] = {
    [ts_builtin_sym_end] = ACTIONS(13120),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13257),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_RPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_RBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [7969] = {
    [aux_sym_open_tuple_repeat1] = STATE(7908),
    [sym__word_identifier] = ACTIONS(12968),
    [anon_sym_EQ] = ACTIONS(12968),
    [anon_sym_COMMA] = ACTIONS(13558),
    [anon_sym_COLON] = ACTIONS(12968),
    [anon_sym_begin] = ACTIONS(12968),
    [anon_sym_module] = ACTIONS(12968),
    [anon_sym_baremodule] = ACTIONS(12968),
    [anon_sym_end] = ACTIONS(12968),
    [anon_sym_abstract] = ACTIONS(12968),
    [anon_sym_primitive] = ACTIONS(12968),
    [anon_sym_mutable] = ACTIONS(12968),
    [anon_sym_struct] = ACTIONS(12968),
    [anon_sym_function] = ACTIONS(12968),
    [anon_sym_macro] = ACTIONS(12968),
    [anon_sym_where] = ACTIONS(12968),
    [anon_sym_quote] = ACTIONS(12968),
    [anon_sym_let] = ACTIONS(12968),
    [anon_sym_if] = ACTIONS(12968),
    [anon_sym_try] = ACTIONS(12968),
    [anon_sym_catch] = ACTIONS(12968),
    [anon_sym_for] = ACTIONS(12968),
    [anon_sym_while] = ACTIONS(12968),
    [sym_break_statement] = ACTIONS(12968),
    [sym_continue_statement] = ACTIONS(12968),
    [anon_sym_return] = ACTIONS(12968),
    [anon_sym_const] = ACTIONS(12968),
    [anon_sym_global] = ACTIONS(12968),
    [anon_sym_local] = ACTIONS(12968),
    [anon_sym_LPAREN] = ACTIONS(12968),
    [anon_sym_COLON2] = ACTIONS(12968),
    [anon_sym_export] = ACTIONS(12968),
    [anon_sym_import] = ACTIONS(12968),
    [anon_sym_using] = ACTIONS(12968),
    [anon_sym_LBRACK] = ACTIONS(12968),
    [anon_sym_LF] = ACTIONS(12972),
    [anon_sym_in] = ACTIONS(12968),
    [anon_sym_LBRACE] = ACTIONS(12968),
    [anon_sym_DOLLAR] = ACTIONS(12968),
    [anon_sym_COLON_COLON] = ACTIONS(12968),
    [anon_sym_isa] = ACTIONS(12968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12968),
    [anon_sym_QMARK] = ACTIONS(12968),
    [anon_sym_AT] = ACTIONS(12968),
    [anon_sym_true] = ACTIONS(12968),
    [anon_sym_false] = ACTIONS(12968),
    [aux_sym_integer_literal_token1] = ACTIONS(12968),
    [aux_sym_integer_literal_token2] = ACTIONS(12968),
    [aux_sym_integer_literal_token3] = ACTIONS(12968),
    [aux_sym_integer_literal_token4] = ACTIONS(12968),
    [aux_sym_float_literal_token1] = ACTIONS(12968),
    [aux_sym_float_literal_token3] = ACTIONS(12968),
    [aux_sym_float_literal_token4] = ACTIONS(12968),
    [sym_character_literal] = ACTIONS(12968),
    [sym__pair_operator] = ACTIONS(12968),
    [sym__arrow_operator] = ACTIONS(12968),
    [sym__lazy_or_operator] = ACTIONS(12968),
    [sym__lazy_and_operator] = ACTIONS(12968),
    [sym__comparison_operator] = ACTIONS(12968),
    [sym__pipe_right_operator] = ACTIONS(12968),
    [sym__pipe_left_operator] = ACTIONS(12968),
    [sym__ellipsis_operator] = ACTIONS(12968),
    [sym__plus_operator] = ACTIONS(12968),
    [sym__times_operator] = ACTIONS(12968),
    [sym__rational_operator] = ACTIONS(12968),
    [sym__bitshift_operator] = ACTIONS(12968),
    [sym__power_operator] = ACTIONS(12968),
    [sym__tilde_operator] = ACTIONS(12968),
    [sym__type_order_operator] = ACTIONS(12968),
    [sym__unary_operator] = ACTIONS(12968),
    [sym__unary_plus_operator] = ACTIONS(12968),
    [aux_sym__terminator_token1] = ACTIONS(12968),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12972),
    [sym__command_start] = ACTIONS(12972),
  },
  [7970] = {
    [aux_sym_export_statement_repeat1] = STATE(7881),
    [sym__word_identifier] = ACTIONS(13114),
    [anon_sym_EQ] = ACTIONS(13114),
    [anon_sym_COMMA] = ACTIONS(14308),
    [anon_sym_COLON] = ACTIONS(13114),
    [anon_sym_begin] = ACTIONS(13114),
    [anon_sym_module] = ACTIONS(13114),
    [anon_sym_baremodule] = ACTIONS(13114),
    [anon_sym_end] = ACTIONS(13114),
    [anon_sym_abstract] = ACTIONS(13114),
    [anon_sym_primitive] = ACTIONS(13114),
    [anon_sym_mutable] = ACTIONS(13114),
    [anon_sym_struct] = ACTIONS(13114),
    [anon_sym_function] = ACTIONS(13114),
    [anon_sym_macro] = ACTIONS(13114),
    [anon_sym_where] = ACTIONS(13114),
    [anon_sym_quote] = ACTIONS(13114),
    [anon_sym_let] = ACTIONS(13114),
    [anon_sym_if] = ACTIONS(13114),
    [anon_sym_try] = ACTIONS(13114),
    [anon_sym_finally] = ACTIONS(13114),
    [anon_sym_for] = ACTIONS(13114),
    [anon_sym_while] = ACTIONS(13114),
    [sym_break_statement] = ACTIONS(13114),
    [sym_continue_statement] = ACTIONS(13114),
    [anon_sym_return] = ACTIONS(13114),
    [anon_sym_const] = ACTIONS(13114),
    [anon_sym_global] = ACTIONS(13114),
    [anon_sym_local] = ACTIONS(13114),
    [anon_sym_LPAREN] = ACTIONS(13114),
    [anon_sym_COLON2] = ACTIONS(13114),
    [anon_sym_export] = ACTIONS(13114),
    [anon_sym_import] = ACTIONS(13114),
    [anon_sym_using] = ACTIONS(13114),
    [anon_sym_LBRACK] = ACTIONS(13114),
    [anon_sym_LF] = ACTIONS(13112),
    [anon_sym_in] = ACTIONS(13114),
    [anon_sym_LBRACE] = ACTIONS(13114),
    [anon_sym_DOLLAR] = ACTIONS(13114),
    [anon_sym_COLON_COLON] = ACTIONS(13114),
    [anon_sym_isa] = ACTIONS(13114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13114),
    [anon_sym_QMARK] = ACTIONS(13114),
    [anon_sym_AT] = ACTIONS(13114),
    [anon_sym_true] = ACTIONS(13114),
    [anon_sym_false] = ACTIONS(13114),
    [aux_sym_integer_literal_token1] = ACTIONS(13114),
    [aux_sym_integer_literal_token2] = ACTIONS(13114),
    [aux_sym_integer_literal_token3] = ACTIONS(13114),
    [aux_sym_integer_literal_token4] = ACTIONS(13114),
    [aux_sym_float_literal_token1] = ACTIONS(13114),
    [aux_sym_float_literal_token3] = ACTIONS(13114),
    [aux_sym_float_literal_token4] = ACTIONS(13114),
    [sym_character_literal] = ACTIONS(13114),
    [sym__pair_operator] = ACTIONS(13114),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13114),
    [sym__lazy_and_operator] = ACTIONS(13114),
    [sym__comparison_operator] = ACTIONS(13114),
    [sym__pipe_right_operator] = ACTIONS(13114),
    [sym__pipe_left_operator] = ACTIONS(13114),
    [sym__ellipsis_operator] = ACTIONS(13114),
    [sym__plus_operator] = ACTIONS(13114),
    [sym__times_operator] = ACTIONS(13114),
    [sym__rational_operator] = ACTIONS(13114),
    [sym__bitshift_operator] = ACTIONS(13114),
    [sym__power_operator] = ACTIONS(13114),
    [sym__tilde_operator] = ACTIONS(13114),
    [sym__type_order_operator] = ACTIONS(13114),
    [sym__unary_operator] = ACTIONS(13114),
    [sym__unary_plus_operator] = ACTIONS(13114),
    [aux_sym__terminator_token1] = ACTIONS(13114),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13112),
    [sym__command_start] = ACTIONS(13112),
  },
  [7971] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_EQ] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(13172),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_else] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_finally] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(13174),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(13176),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13182),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(13184),
    [sym__arrow_operator] = ACTIONS(13186),
    [sym__lazy_or_operator] = ACTIONS(13188),
    [sym__lazy_and_operator] = ACTIONS(13190),
    [sym__comparison_operator] = ACTIONS(13176),
    [sym__pipe_right_operator] = ACTIONS(13192),
    [sym__pipe_left_operator] = ACTIONS(13194),
    [sym__ellipsis_operator] = ACTIONS(13196),
    [sym__plus_operator] = ACTIONS(13198),
    [sym__times_operator] = ACTIONS(13200),
    [sym__rational_operator] = ACTIONS(13202),
    [sym__bitshift_operator] = ACTIONS(13204),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(13176),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(13198),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [7972] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_as] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [7973] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12110),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12110),
    [anon_sym_RPAREN] = ACTIONS(12110),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12110),
    [anon_sym_RBRACK] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12110),
    [anon_sym_LBRACE] = ACTIONS(12110),
    [anon_sym_RBRACE] = ACTIONS(12110),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12110),
    [anon_sym_COLON_COLON] = ACTIONS(12110),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12110),
    [anon_sym_QMARK] = ACTIONS(12110),
    [anon_sym_AT] = ACTIONS(12110),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12110),
    [aux_sym_integer_literal_token2] = ACTIONS(12110),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12110),
    [aux_sym_float_literal_token3] = ACTIONS(12110),
    [aux_sym_float_literal_token4] = ACTIONS(12110),
    [sym_character_literal] = ACTIONS(12110),
    [sym__pair_operator] = ACTIONS(12110),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12110),
    [sym__lazy_and_operator] = ACTIONS(12110),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12110),
    [sym__pipe_left_operator] = ACTIONS(12110),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12110),
    [sym__bitshift_operator] = ACTIONS(12110),
    [sym__power_operator] = ACTIONS(12110),
    [sym__tilde_operator] = ACTIONS(12110),
    [sym__type_order_operator] = ACTIONS(12110),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [7974] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13398),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_else] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7975] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7976] = {
    [aux_sym_open_tuple_repeat1] = STATE(6928),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(12986),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_elseif] = ACTIONS(13102),
    [anon_sym_else] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13588),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7977] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(12430),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_elseif] = ACTIONS(13102),
    [anon_sym_else] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7978] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_elseif] = ACTIONS(13102),
    [anon_sym_else] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [7979] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [7980] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12028),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12028),
    [anon_sym_RPAREN] = ACTIONS(12028),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12028),
    [anon_sym_RBRACK] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12028),
    [anon_sym_LBRACE] = ACTIONS(12028),
    [anon_sym_RBRACE] = ACTIONS(12028),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12028),
    [anon_sym_COLON_COLON] = ACTIONS(12028),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12028),
    [anon_sym_QMARK] = ACTIONS(12028),
    [anon_sym_AT] = ACTIONS(12028),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12028),
    [aux_sym_integer_literal_token2] = ACTIONS(12028),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12028),
    [aux_sym_float_literal_token3] = ACTIONS(12028),
    [aux_sym_float_literal_token4] = ACTIONS(12028),
    [sym_character_literal] = ACTIONS(12028),
    [sym__pair_operator] = ACTIONS(12028),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12028),
    [sym__lazy_and_operator] = ACTIONS(12028),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12028),
    [sym__pipe_left_operator] = ACTIONS(12028),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12028),
    [sym__bitshift_operator] = ACTIONS(12028),
    [sym__power_operator] = ACTIONS(12028),
    [sym__tilde_operator] = ACTIONS(12028),
    [sym__type_order_operator] = ACTIONS(12028),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [7981] = {
    [aux_sym_open_tuple_repeat1] = STATE(6928),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(12986),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_elseif] = ACTIONS(13092),
    [anon_sym_else] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13588),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7982] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(12430),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_elseif] = ACTIONS(13092),
    [anon_sym_else] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7983] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_elseif] = ACTIONS(13092),
    [anon_sym_else] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [7984] = {
    [sym__word_identifier] = ACTIONS(14120),
    [anon_sym_EQ] = ACTIONS(14120),
    [anon_sym_COMMA] = ACTIONS(14120),
    [anon_sym_COLON] = ACTIONS(14120),
    [anon_sym_begin] = ACTIONS(14120),
    [anon_sym_module] = ACTIONS(14120),
    [anon_sym_baremodule] = ACTIONS(14120),
    [anon_sym_end] = ACTIONS(14120),
    [anon_sym_abstract] = ACTIONS(14120),
    [anon_sym_primitive] = ACTIONS(14120),
    [anon_sym_mutable] = ACTIONS(14120),
    [anon_sym_struct] = ACTIONS(14120),
    [anon_sym_function] = ACTIONS(14120),
    [anon_sym_macro] = ACTIONS(14120),
    [anon_sym_where] = ACTIONS(14120),
    [anon_sym_quote] = ACTIONS(14120),
    [anon_sym_let] = ACTIONS(14120),
    [anon_sym_if] = ACTIONS(14120),
    [anon_sym_elseif] = ACTIONS(14120),
    [anon_sym_else] = ACTIONS(14120),
    [anon_sym_try] = ACTIONS(14120),
    [anon_sym_for] = ACTIONS(14120),
    [anon_sym_while] = ACTIONS(14120),
    [sym_break_statement] = ACTIONS(14120),
    [sym_continue_statement] = ACTIONS(14120),
    [anon_sym_return] = ACTIONS(14120),
    [anon_sym_const] = ACTIONS(14120),
    [anon_sym_global] = ACTIONS(14120),
    [anon_sym_local] = ACTIONS(14120),
    [anon_sym_LPAREN] = ACTIONS(14120),
    [anon_sym_COLON2] = ACTIONS(14120),
    [anon_sym_export] = ACTIONS(14120),
    [anon_sym_import] = ACTIONS(14120),
    [anon_sym_using] = ACTIONS(14120),
    [anon_sym_LBRACK] = ACTIONS(14120),
    [anon_sym_LF] = ACTIONS(14118),
    [anon_sym_in] = ACTIONS(14120),
    [anon_sym_LBRACE] = ACTIONS(14120),
    [anon_sym_DOLLAR] = ACTIONS(14120),
    [anon_sym_COLON_COLON] = ACTIONS(14120),
    [anon_sym_isa] = ACTIONS(14120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14120),
    [anon_sym_QMARK] = ACTIONS(14120),
    [anon_sym_AT] = ACTIONS(14120),
    [anon_sym_true] = ACTIONS(14120),
    [anon_sym_false] = ACTIONS(14120),
    [aux_sym_integer_literal_token1] = ACTIONS(14120),
    [aux_sym_integer_literal_token2] = ACTIONS(14120),
    [aux_sym_integer_literal_token3] = ACTIONS(14120),
    [aux_sym_integer_literal_token4] = ACTIONS(14120),
    [aux_sym_float_literal_token1] = ACTIONS(14120),
    [aux_sym_float_literal_token3] = ACTIONS(14120),
    [aux_sym_float_literal_token4] = ACTIONS(14120),
    [sym_character_literal] = ACTIONS(14120),
    [sym__pair_operator] = ACTIONS(14120),
    [sym__arrow_operator] = ACTIONS(14120),
    [sym__lazy_or_operator] = ACTIONS(14120),
    [sym__lazy_and_operator] = ACTIONS(14120),
    [sym__comparison_operator] = ACTIONS(14120),
    [sym__pipe_right_operator] = ACTIONS(14120),
    [sym__pipe_left_operator] = ACTIONS(14120),
    [sym__ellipsis_operator] = ACTIONS(14120),
    [sym__plus_operator] = ACTIONS(14120),
    [sym__times_operator] = ACTIONS(14120),
    [sym__rational_operator] = ACTIONS(14120),
    [sym__bitshift_operator] = ACTIONS(14120),
    [sym__power_operator] = ACTIONS(14120),
    [sym__tilde_operator] = ACTIONS(14120),
    [sym__type_order_operator] = ACTIONS(14120),
    [sym__unary_operator] = ACTIONS(14120),
    [sym__unary_plus_operator] = ACTIONS(14120),
    [aux_sym__terminator_token1] = ACTIONS(14120),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14118),
    [sym__command_start] = ACTIONS(14118),
  },
  [7985] = {
    [aux_sym_open_tuple_repeat1] = STATE(6928),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(12986),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_elseif] = ACTIONS(13054),
    [anon_sym_else] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13588),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7986] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(12430),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_elseif] = ACTIONS(13054),
    [anon_sym_else] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7987] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_elseif] = ACTIONS(13054),
    [anon_sym_else] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [7988] = {
    [ts_builtin_sym_end] = ACTIONS(13406),
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_EQ] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_RPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_RBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [7989] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12264),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12264),
    [anon_sym_RPAREN] = ACTIONS(12264),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12264),
    [anon_sym_RBRACK] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_SEMI] = ACTIONS(12264),
    [anon_sym_LBRACE] = ACTIONS(12264),
    [anon_sym_RBRACE] = ACTIONS(12264),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12264),
    [anon_sym_COLON_COLON] = ACTIONS(12264),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12264),
    [anon_sym_QMARK] = ACTIONS(12264),
    [anon_sym_AT] = ACTIONS(12264),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12264),
    [aux_sym_integer_literal_token2] = ACTIONS(12264),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12264),
    [aux_sym_float_literal_token3] = ACTIONS(12264),
    [aux_sym_float_literal_token4] = ACTIONS(12264),
    [sym_character_literal] = ACTIONS(12264),
    [sym__pair_operator] = ACTIONS(12264),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12264),
    [sym__lazy_and_operator] = ACTIONS(12264),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12264),
    [sym__pipe_left_operator] = ACTIONS(12264),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12264),
    [sym__bitshift_operator] = ACTIONS(12264),
    [sym__power_operator] = ACTIONS(12264),
    [sym__tilde_operator] = ACTIONS(12264),
    [sym__type_order_operator] = ACTIONS(12264),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [7990] = {
    [ts_builtin_sym_end] = ACTIONS(13922),
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_EQ] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_RPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_RBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [7991] = {
    [sym__word_identifier] = ACTIONS(14270),
    [anon_sym_EQ] = ACTIONS(14270),
    [anon_sym_COMMA] = ACTIONS(14270),
    [anon_sym_COLON] = ACTIONS(14270),
    [anon_sym_begin] = ACTIONS(14270),
    [anon_sym_module] = ACTIONS(14270),
    [anon_sym_baremodule] = ACTIONS(14270),
    [anon_sym_end] = ACTIONS(14270),
    [anon_sym_abstract] = ACTIONS(14270),
    [anon_sym_primitive] = ACTIONS(14270),
    [anon_sym_mutable] = ACTIONS(14270),
    [anon_sym_struct] = ACTIONS(14270),
    [anon_sym_function] = ACTIONS(14270),
    [anon_sym_macro] = ACTIONS(14270),
    [anon_sym_where] = ACTIONS(14270),
    [anon_sym_quote] = ACTIONS(14270),
    [anon_sym_let] = ACTIONS(14270),
    [anon_sym_if] = ACTIONS(14270),
    [anon_sym_elseif] = ACTIONS(14270),
    [anon_sym_else] = ACTIONS(14270),
    [anon_sym_try] = ACTIONS(14270),
    [anon_sym_for] = ACTIONS(14270),
    [anon_sym_while] = ACTIONS(14270),
    [sym_break_statement] = ACTIONS(14270),
    [sym_continue_statement] = ACTIONS(14270),
    [anon_sym_return] = ACTIONS(14270),
    [anon_sym_const] = ACTIONS(14270),
    [anon_sym_global] = ACTIONS(14270),
    [anon_sym_local] = ACTIONS(14270),
    [anon_sym_LPAREN] = ACTIONS(14270),
    [anon_sym_COLON2] = ACTIONS(14270),
    [anon_sym_export] = ACTIONS(14270),
    [anon_sym_import] = ACTIONS(14270),
    [anon_sym_using] = ACTIONS(14270),
    [anon_sym_LBRACK] = ACTIONS(14270),
    [anon_sym_LF] = ACTIONS(14268),
    [anon_sym_in] = ACTIONS(14270),
    [anon_sym_LBRACE] = ACTIONS(14270),
    [anon_sym_DOLLAR] = ACTIONS(14270),
    [anon_sym_COLON_COLON] = ACTIONS(14270),
    [anon_sym_isa] = ACTIONS(14270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14270),
    [anon_sym_QMARK] = ACTIONS(14270),
    [anon_sym_AT] = ACTIONS(14270),
    [anon_sym_true] = ACTIONS(14270),
    [anon_sym_false] = ACTIONS(14270),
    [aux_sym_integer_literal_token1] = ACTIONS(14270),
    [aux_sym_integer_literal_token2] = ACTIONS(14270),
    [aux_sym_integer_literal_token3] = ACTIONS(14270),
    [aux_sym_integer_literal_token4] = ACTIONS(14270),
    [aux_sym_float_literal_token1] = ACTIONS(14270),
    [aux_sym_float_literal_token3] = ACTIONS(14270),
    [aux_sym_float_literal_token4] = ACTIONS(14270),
    [sym_character_literal] = ACTIONS(14270),
    [sym__pair_operator] = ACTIONS(14270),
    [sym__arrow_operator] = ACTIONS(14270),
    [sym__lazy_or_operator] = ACTIONS(14270),
    [sym__lazy_and_operator] = ACTIONS(14270),
    [sym__comparison_operator] = ACTIONS(14270),
    [sym__pipe_right_operator] = ACTIONS(14270),
    [sym__pipe_left_operator] = ACTIONS(14270),
    [sym__ellipsis_operator] = ACTIONS(14270),
    [sym__plus_operator] = ACTIONS(14270),
    [sym__times_operator] = ACTIONS(14270),
    [sym__rational_operator] = ACTIONS(14270),
    [sym__bitshift_operator] = ACTIONS(14270),
    [sym__power_operator] = ACTIONS(14270),
    [sym__tilde_operator] = ACTIONS(14270),
    [sym__type_order_operator] = ACTIONS(14270),
    [sym__unary_operator] = ACTIONS(14270),
    [sym__unary_plus_operator] = ACTIONS(14270),
    [aux_sym__terminator_token1] = ACTIONS(14270),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14268),
    [sym__command_start] = ACTIONS(14268),
  },
  [7992] = {
    [sym__word_identifier] = ACTIONS(14246),
    [anon_sym_EQ] = ACTIONS(14246),
    [anon_sym_COMMA] = ACTIONS(14246),
    [anon_sym_COLON] = ACTIONS(14246),
    [anon_sym_begin] = ACTIONS(14246),
    [anon_sym_module] = ACTIONS(14246),
    [anon_sym_baremodule] = ACTIONS(14246),
    [anon_sym_end] = ACTIONS(14246),
    [anon_sym_abstract] = ACTIONS(14246),
    [anon_sym_primitive] = ACTIONS(14246),
    [anon_sym_mutable] = ACTIONS(14246),
    [anon_sym_struct] = ACTIONS(14246),
    [anon_sym_function] = ACTIONS(14246),
    [anon_sym_macro] = ACTIONS(14246),
    [anon_sym_where] = ACTIONS(14246),
    [anon_sym_quote] = ACTIONS(14246),
    [anon_sym_let] = ACTIONS(14246),
    [anon_sym_if] = ACTIONS(14246),
    [anon_sym_elseif] = ACTIONS(14246),
    [anon_sym_else] = ACTIONS(14246),
    [anon_sym_try] = ACTIONS(14246),
    [anon_sym_for] = ACTIONS(14246),
    [anon_sym_while] = ACTIONS(14246),
    [sym_break_statement] = ACTIONS(14246),
    [sym_continue_statement] = ACTIONS(14246),
    [anon_sym_return] = ACTIONS(14246),
    [anon_sym_const] = ACTIONS(14246),
    [anon_sym_global] = ACTIONS(14246),
    [anon_sym_local] = ACTIONS(14246),
    [anon_sym_LPAREN] = ACTIONS(14246),
    [anon_sym_COLON2] = ACTIONS(14246),
    [anon_sym_export] = ACTIONS(14246),
    [anon_sym_import] = ACTIONS(14246),
    [anon_sym_using] = ACTIONS(14246),
    [anon_sym_LBRACK] = ACTIONS(14246),
    [anon_sym_LF] = ACTIONS(14244),
    [anon_sym_in] = ACTIONS(14246),
    [anon_sym_LBRACE] = ACTIONS(14246),
    [anon_sym_DOLLAR] = ACTIONS(14246),
    [anon_sym_COLON_COLON] = ACTIONS(14246),
    [anon_sym_isa] = ACTIONS(14246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14246),
    [anon_sym_QMARK] = ACTIONS(14246),
    [anon_sym_AT] = ACTIONS(14246),
    [anon_sym_true] = ACTIONS(14246),
    [anon_sym_false] = ACTIONS(14246),
    [aux_sym_integer_literal_token1] = ACTIONS(14246),
    [aux_sym_integer_literal_token2] = ACTIONS(14246),
    [aux_sym_integer_literal_token3] = ACTIONS(14246),
    [aux_sym_integer_literal_token4] = ACTIONS(14246),
    [aux_sym_float_literal_token1] = ACTIONS(14246),
    [aux_sym_float_literal_token3] = ACTIONS(14246),
    [aux_sym_float_literal_token4] = ACTIONS(14246),
    [sym_character_literal] = ACTIONS(14246),
    [sym__pair_operator] = ACTIONS(14246),
    [sym__arrow_operator] = ACTIONS(14246),
    [sym__lazy_or_operator] = ACTIONS(14246),
    [sym__lazy_and_operator] = ACTIONS(14246),
    [sym__comparison_operator] = ACTIONS(14246),
    [sym__pipe_right_operator] = ACTIONS(14246),
    [sym__pipe_left_operator] = ACTIONS(14246),
    [sym__ellipsis_operator] = ACTIONS(14246),
    [sym__plus_operator] = ACTIONS(14246),
    [sym__times_operator] = ACTIONS(14246),
    [sym__rational_operator] = ACTIONS(14246),
    [sym__bitshift_operator] = ACTIONS(14246),
    [sym__power_operator] = ACTIONS(14246),
    [sym__tilde_operator] = ACTIONS(14246),
    [sym__type_order_operator] = ACTIONS(14246),
    [sym__unary_operator] = ACTIONS(14246),
    [sym__unary_plus_operator] = ACTIONS(14246),
    [aux_sym__terminator_token1] = ACTIONS(14246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14244),
    [sym__command_start] = ACTIONS(14244),
  },
  [7993] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12260),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12260),
    [anon_sym_RPAREN] = ACTIONS(12260),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12260),
    [anon_sym_RBRACK] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_SEMI] = ACTIONS(12260),
    [anon_sym_LBRACE] = ACTIONS(12260),
    [anon_sym_RBRACE] = ACTIONS(12260),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12260),
    [anon_sym_COLON_COLON] = ACTIONS(12260),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12260),
    [anon_sym_QMARK] = ACTIONS(12260),
    [anon_sym_AT] = ACTIONS(12260),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12260),
    [aux_sym_integer_literal_token2] = ACTIONS(12260),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12260),
    [aux_sym_float_literal_token3] = ACTIONS(12260),
    [aux_sym_float_literal_token4] = ACTIONS(12260),
    [sym_character_literal] = ACTIONS(12260),
    [sym__pair_operator] = ACTIONS(12260),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12260),
    [sym__lazy_and_operator] = ACTIONS(12260),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12260),
    [sym__pipe_left_operator] = ACTIONS(12260),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12260),
    [sym__bitshift_operator] = ACTIONS(12260),
    [sym__power_operator] = ACTIONS(12260),
    [sym__tilde_operator] = ACTIONS(12260),
    [sym__type_order_operator] = ACTIONS(12260),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [7994] = {
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12957),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_end] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_elseif] = ACTIONS(12957),
    [anon_sym_else] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13066),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [7995] = {
    [aux_sym_open_tuple_repeat1] = STATE(6928),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(12986),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13056),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_elseif] = ACTIONS(13210),
    [anon_sym_else] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13062),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13588),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13068),
    [sym__arrow_operator] = ACTIONS(13070),
    [sym__lazy_or_operator] = ACTIONS(13072),
    [sym__lazy_and_operator] = ACTIONS(13074),
    [sym__comparison_operator] = ACTIONS(13062),
    [sym__pipe_right_operator] = ACTIONS(13076),
    [sym__pipe_left_operator] = ACTIONS(13078),
    [sym__ellipsis_operator] = ACTIONS(13080),
    [sym__plus_operator] = ACTIONS(13082),
    [sym__times_operator] = ACTIONS(13084),
    [sym__rational_operator] = ACTIONS(13086),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13062),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13082),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [7996] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12256),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12256),
    [anon_sym_RPAREN] = ACTIONS(12256),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12256),
    [anon_sym_RBRACK] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_SEMI] = ACTIONS(12256),
    [anon_sym_LBRACE] = ACTIONS(12256),
    [anon_sym_RBRACE] = ACTIONS(12256),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12256),
    [anon_sym_COLON_COLON] = ACTIONS(12256),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12256),
    [anon_sym_QMARK] = ACTIONS(12256),
    [anon_sym_AT] = ACTIONS(12256),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12256),
    [aux_sym_integer_literal_token2] = ACTIONS(12256),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12256),
    [aux_sym_float_literal_token3] = ACTIONS(12256),
    [aux_sym_float_literal_token4] = ACTIONS(12256),
    [sym_character_literal] = ACTIONS(12256),
    [sym__pair_operator] = ACTIONS(12256),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12256),
    [sym__lazy_and_operator] = ACTIONS(12256),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12256),
    [sym__pipe_left_operator] = ACTIONS(12256),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12256),
    [sym__bitshift_operator] = ACTIONS(12256),
    [sym__power_operator] = ACTIONS(12256),
    [sym__tilde_operator] = ACTIONS(12256),
    [sym__type_order_operator] = ACTIONS(12256),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [7997] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12600),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12494),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7998] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [7999] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12600),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11914),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8000] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12236),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12236),
    [anon_sym_RPAREN] = ACTIONS(12236),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12236),
    [anon_sym_RBRACK] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_SEMI] = ACTIONS(12236),
    [anon_sym_LBRACE] = ACTIONS(12236),
    [anon_sym_RBRACE] = ACTIONS(12236),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12236),
    [anon_sym_COLON_COLON] = ACTIONS(12236),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12236),
    [anon_sym_QMARK] = ACTIONS(12236),
    [anon_sym_AT] = ACTIONS(12236),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12236),
    [aux_sym_integer_literal_token2] = ACTIONS(12236),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12236),
    [aux_sym_float_literal_token3] = ACTIONS(12236),
    [aux_sym_float_literal_token4] = ACTIONS(12236),
    [sym_character_literal] = ACTIONS(12236),
    [sym__pair_operator] = ACTIONS(12236),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12236),
    [sym__lazy_and_operator] = ACTIONS(12236),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12236),
    [sym__pipe_left_operator] = ACTIONS(12236),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12236),
    [sym__bitshift_operator] = ACTIONS(12236),
    [sym__power_operator] = ACTIONS(12236),
    [sym__tilde_operator] = ACTIONS(12236),
    [sym__type_order_operator] = ACTIONS(12236),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [8001] = {
    [sym__comprehension_clause] = STATE(19242),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16800),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14393),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14395),
    [anon_sym_LF] = ACTIONS(14397),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14400),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [8002] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12232),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12232),
    [anon_sym_RPAREN] = ACTIONS(12232),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12232),
    [anon_sym_RBRACK] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_SEMI] = ACTIONS(12232),
    [anon_sym_LBRACE] = ACTIONS(12232),
    [anon_sym_RBRACE] = ACTIONS(12232),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12232),
    [anon_sym_COLON_COLON] = ACTIONS(12232),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12232),
    [anon_sym_QMARK] = ACTIONS(12232),
    [anon_sym_AT] = ACTIONS(12232),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12232),
    [aux_sym_integer_literal_token2] = ACTIONS(12232),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12232),
    [aux_sym_float_literal_token3] = ACTIONS(12232),
    [aux_sym_float_literal_token4] = ACTIONS(12232),
    [sym_character_literal] = ACTIONS(12232),
    [sym__pair_operator] = ACTIONS(12232),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12232),
    [sym__lazy_and_operator] = ACTIONS(12232),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12232),
    [sym__pipe_left_operator] = ACTIONS(12232),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12232),
    [sym__bitshift_operator] = ACTIONS(12232),
    [sym__power_operator] = ACTIONS(12232),
    [sym__tilde_operator] = ACTIONS(12232),
    [sym__type_order_operator] = ACTIONS(12232),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [8003] = {
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12412),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8004] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12252),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12252),
    [anon_sym_RPAREN] = ACTIONS(12252),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12252),
    [anon_sym_RBRACK] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_SEMI] = ACTIONS(12252),
    [anon_sym_LBRACE] = ACTIONS(12252),
    [anon_sym_RBRACE] = ACTIONS(12252),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12252),
    [anon_sym_COLON_COLON] = ACTIONS(12252),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12252),
    [anon_sym_QMARK] = ACTIONS(12252),
    [anon_sym_AT] = ACTIONS(12252),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12252),
    [aux_sym_integer_literal_token2] = ACTIONS(12252),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12252),
    [aux_sym_float_literal_token3] = ACTIONS(12252),
    [aux_sym_float_literal_token4] = ACTIONS(12252),
    [sym_character_literal] = ACTIONS(12252),
    [sym__pair_operator] = ACTIONS(12252),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12252),
    [sym__lazy_and_operator] = ACTIONS(12252),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12252),
    [sym__pipe_left_operator] = ACTIONS(12252),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12252),
    [sym__bitshift_operator] = ACTIONS(12252),
    [sym__power_operator] = ACTIONS(12252),
    [sym__tilde_operator] = ACTIONS(12252),
    [sym__type_order_operator] = ACTIONS(12252),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [8005] = {
    [sym__primary_expression] = STATE(11204),
    [sym__array] = STATE(11204),
    [sym_comprehension_expression] = STATE(11204),
    [sym_matrix_expression] = STATE(11204),
    [sym_vector_expression] = STATE(11204),
    [sym_parenthesized_expression] = STATE(11204),
    [sym_tuple_expression] = STATE(11204),
    [sym_curly_expression] = STATE(11204),
    [sym_adjoint_expression] = STATE(11204),
    [sym_field_expression] = STATE(11204),
    [sym_index_expression] = STATE(11204),
    [sym_parametrized_type_expression] = STATE(11204),
    [sym_call_expression] = STATE(11204),
    [sym_broadcast_call_expression] = STATE(11204),
    [sym__closed_macrocall_expression] = STATE(11204),
    [sym_interpolation_expression] = STATE(11204),
    [sym_quote_expression] = STATE(11204),
    [sym_macro_identifier] = STATE(17010),
    [sym_identifier] = STATE(10591),
    [sym_boolean_literal] = STATE(11204),
    [sym__string] = STATE(11204),
    [sym_string_literal] = STATE(11204),
    [sym_command_literal] = STATE(11204),
    [sym_prefixed_string_literal] = STATE(11204),
    [sym_prefixed_command_literal] = STATE(11204),
    [sym_operator] = STATE(18511),
    [sym__word_identifier] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(14405),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(14407),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(14409),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(14411),
    [anon_sym_RBRACE] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(14413),
    [anon_sym_COLON_COLON] = ACTIONS(171),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(171),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(14415),
    [anon_sym_true] = ACTIONS(14417),
    [anon_sym_false] = ACTIONS(14417),
    [sym_character_literal] = ACTIONS(14419),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11325),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(171),
    [sym__lazy_and_operator] = ACTIONS(171),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11325),
    [sym__pipe_left_operator] = ACTIONS(11325),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11325),
    [sym__type_order_operator] = ACTIONS(11325),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(14421),
    [sym__command_start] = ACTIONS(14423),
  },
  [8006] = {
    [sym__comprehension_clause] = STATE(19849),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17304),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14425),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14427),
    [anon_sym_LF] = ACTIONS(14429),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14432),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [8007] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12528),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11952),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8008] = {
    [ts_builtin_sym_end] = ACTIONS(13945),
    [sym__word_identifier] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13943),
    [anon_sym_COLON] = ACTIONS(13943),
    [anon_sym_begin] = ACTIONS(13943),
    [anon_sym_module] = ACTIONS(13943),
    [anon_sym_baremodule] = ACTIONS(13943),
    [anon_sym_abstract] = ACTIONS(13943),
    [anon_sym_primitive] = ACTIONS(13943),
    [anon_sym_mutable] = ACTIONS(13943),
    [anon_sym_struct] = ACTIONS(13943),
    [anon_sym_function] = ACTIONS(13943),
    [anon_sym_macro] = ACTIONS(13943),
    [anon_sym_where] = ACTIONS(13943),
    [anon_sym_quote] = ACTIONS(13943),
    [anon_sym_let] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13943),
    [anon_sym_try] = ACTIONS(13943),
    [anon_sym_for] = ACTIONS(13943),
    [anon_sym_while] = ACTIONS(13943),
    [sym_break_statement] = ACTIONS(13943),
    [sym_continue_statement] = ACTIONS(13943),
    [anon_sym_return] = ACTIONS(13943),
    [anon_sym_const] = ACTIONS(13943),
    [anon_sym_global] = ACTIONS(13943),
    [anon_sym_local] = ACTIONS(13943),
    [anon_sym_LPAREN] = ACTIONS(13943),
    [anon_sym_RPAREN] = ACTIONS(13943),
    [anon_sym_COLON2] = ACTIONS(13943),
    [anon_sym_export] = ACTIONS(13943),
    [anon_sym_import] = ACTIONS(13943),
    [anon_sym_using] = ACTIONS(13943),
    [anon_sym_LBRACK] = ACTIONS(13943),
    [anon_sym_RBRACK] = ACTIONS(13943),
    [anon_sym_LF] = ACTIONS(13945),
    [anon_sym_in] = ACTIONS(13943),
    [anon_sym_LBRACE] = ACTIONS(13943),
    [anon_sym_DOLLAR] = ACTIONS(13943),
    [anon_sym_COLON_COLON] = ACTIONS(13943),
    [anon_sym_isa] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13943),
    [anon_sym_QMARK] = ACTIONS(13943),
    [anon_sym_AT] = ACTIONS(13943),
    [anon_sym_true] = ACTIONS(13943),
    [anon_sym_false] = ACTIONS(13943),
    [aux_sym_integer_literal_token1] = ACTIONS(13943),
    [aux_sym_integer_literal_token2] = ACTIONS(13943),
    [aux_sym_integer_literal_token3] = ACTIONS(13943),
    [aux_sym_integer_literal_token4] = ACTIONS(13943),
    [aux_sym_float_literal_token1] = ACTIONS(13943),
    [aux_sym_float_literal_token3] = ACTIONS(13943),
    [aux_sym_float_literal_token4] = ACTIONS(13943),
    [sym_character_literal] = ACTIONS(13943),
    [sym__pair_operator] = ACTIONS(13943),
    [sym__arrow_operator] = ACTIONS(13943),
    [sym__lazy_or_operator] = ACTIONS(13943),
    [sym__lazy_and_operator] = ACTIONS(13943),
    [sym__comparison_operator] = ACTIONS(13943),
    [sym__pipe_right_operator] = ACTIONS(13943),
    [sym__pipe_left_operator] = ACTIONS(13943),
    [sym__ellipsis_operator] = ACTIONS(13943),
    [sym__plus_operator] = ACTIONS(13943),
    [sym__times_operator] = ACTIONS(13943),
    [sym__rational_operator] = ACTIONS(13943),
    [sym__bitshift_operator] = ACTIONS(13943),
    [sym__power_operator] = ACTIONS(13943),
    [sym__tilde_operator] = ACTIONS(13943),
    [sym__type_order_operator] = ACTIONS(13943),
    [sym__unary_operator] = ACTIONS(13943),
    [sym__unary_plus_operator] = ACTIONS(13943),
    [aux_sym__terminator_token1] = ACTIONS(13943),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13945),
    [sym__command_start] = ACTIONS(13945),
  },
  [8009] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [ts_builtin_sym_end] = ACTIONS(13240),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_RPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_RBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8010] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12022),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12022),
    [anon_sym_RPAREN] = ACTIONS(12022),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12022),
    [anon_sym_RBRACK] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12022),
    [anon_sym_LBRACE] = ACTIONS(12022),
    [anon_sym_RBRACE] = ACTIONS(12022),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12022),
    [anon_sym_COLON_COLON] = ACTIONS(12022),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12022),
    [anon_sym_QMARK] = ACTIONS(12022),
    [anon_sym_AT] = ACTIONS(12022),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12022),
    [aux_sym_integer_literal_token2] = ACTIONS(12022),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12022),
    [aux_sym_float_literal_token3] = ACTIONS(12022),
    [aux_sym_float_literal_token4] = ACTIONS(12022),
    [sym_character_literal] = ACTIONS(12022),
    [sym__pair_operator] = ACTIONS(12022),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12022),
    [sym__lazy_and_operator] = ACTIONS(12022),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12022),
    [sym__pipe_left_operator] = ACTIONS(12022),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12022),
    [sym__bitshift_operator] = ACTIONS(12022),
    [sym__power_operator] = ACTIONS(12022),
    [sym__tilde_operator] = ACTIONS(12022),
    [sym__type_order_operator] = ACTIONS(12022),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [8011] = {
    [sym__word_identifier] = ACTIONS(13985),
    [anon_sym_EQ] = ACTIONS(13985),
    [anon_sym_COMMA] = ACTIONS(13985),
    [anon_sym_COLON] = ACTIONS(13985),
    [anon_sym_begin] = ACTIONS(13985),
    [anon_sym_module] = ACTIONS(13985),
    [anon_sym_baremodule] = ACTIONS(13985),
    [anon_sym_end] = ACTIONS(13985),
    [anon_sym_abstract] = ACTIONS(13985),
    [anon_sym_primitive] = ACTIONS(13985),
    [anon_sym_mutable] = ACTIONS(13985),
    [anon_sym_struct] = ACTIONS(13985),
    [anon_sym_function] = ACTIONS(13985),
    [anon_sym_macro] = ACTIONS(13985),
    [anon_sym_where] = ACTIONS(13985),
    [anon_sym_quote] = ACTIONS(13985),
    [anon_sym_let] = ACTIONS(13985),
    [anon_sym_if] = ACTIONS(13985),
    [anon_sym_else] = ACTIONS(13985),
    [anon_sym_try] = ACTIONS(13985),
    [anon_sym_finally] = ACTIONS(13985),
    [anon_sym_for] = ACTIONS(13985),
    [anon_sym_while] = ACTIONS(13985),
    [sym_break_statement] = ACTIONS(13985),
    [sym_continue_statement] = ACTIONS(13985),
    [anon_sym_return] = ACTIONS(13985),
    [anon_sym_const] = ACTIONS(13985),
    [anon_sym_global] = ACTIONS(13985),
    [anon_sym_local] = ACTIONS(13985),
    [anon_sym_LPAREN] = ACTIONS(13985),
    [anon_sym_COLON2] = ACTIONS(13985),
    [anon_sym_export] = ACTIONS(13985),
    [anon_sym_import] = ACTIONS(13985),
    [anon_sym_using] = ACTIONS(13985),
    [anon_sym_LBRACK] = ACTIONS(13985),
    [anon_sym_LF] = ACTIONS(13983),
    [anon_sym_in] = ACTIONS(13985),
    [anon_sym_LBRACE] = ACTIONS(13985),
    [anon_sym_DOLLAR] = ACTIONS(13985),
    [anon_sym_COLON_COLON] = ACTIONS(13985),
    [anon_sym_isa] = ACTIONS(13985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13985),
    [anon_sym_QMARK] = ACTIONS(13985),
    [anon_sym_AT] = ACTIONS(13985),
    [anon_sym_true] = ACTIONS(13985),
    [anon_sym_false] = ACTIONS(13985),
    [aux_sym_integer_literal_token1] = ACTIONS(13985),
    [aux_sym_integer_literal_token2] = ACTIONS(13985),
    [aux_sym_integer_literal_token3] = ACTIONS(13985),
    [aux_sym_integer_literal_token4] = ACTIONS(13985),
    [aux_sym_float_literal_token1] = ACTIONS(13985),
    [aux_sym_float_literal_token3] = ACTIONS(13985),
    [aux_sym_float_literal_token4] = ACTIONS(13985),
    [sym_character_literal] = ACTIONS(13985),
    [sym__pair_operator] = ACTIONS(13985),
    [sym__arrow_operator] = ACTIONS(13985),
    [sym__lazy_or_operator] = ACTIONS(13985),
    [sym__lazy_and_operator] = ACTIONS(13985),
    [sym__comparison_operator] = ACTIONS(13985),
    [sym__pipe_right_operator] = ACTIONS(13985),
    [sym__pipe_left_operator] = ACTIONS(13985),
    [sym__ellipsis_operator] = ACTIONS(13985),
    [sym__plus_operator] = ACTIONS(13985),
    [sym__times_operator] = ACTIONS(13985),
    [sym__rational_operator] = ACTIONS(13985),
    [sym__bitshift_operator] = ACTIONS(13985),
    [sym__power_operator] = ACTIONS(13985),
    [sym__tilde_operator] = ACTIONS(13985),
    [sym__type_order_operator] = ACTIONS(13985),
    [sym__unary_operator] = ACTIONS(13985),
    [sym__unary_plus_operator] = ACTIONS(13985),
    [aux_sym__terminator_token1] = ACTIONS(13985),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13983),
    [sym__command_start] = ACTIONS(13983),
  },
  [8012] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12228),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12228),
    [anon_sym_RPAREN] = ACTIONS(12228),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12228),
    [anon_sym_RBRACK] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_SEMI] = ACTIONS(12228),
    [anon_sym_LBRACE] = ACTIONS(12228),
    [anon_sym_RBRACE] = ACTIONS(12228),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12228),
    [anon_sym_COLON_COLON] = ACTIONS(12228),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12228),
    [anon_sym_QMARK] = ACTIONS(12228),
    [anon_sym_AT] = ACTIONS(12228),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12228),
    [aux_sym_integer_literal_token2] = ACTIONS(12228),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12228),
    [aux_sym_float_literal_token3] = ACTIONS(12228),
    [aux_sym_float_literal_token4] = ACTIONS(12228),
    [sym_character_literal] = ACTIONS(12228),
    [sym__pair_operator] = ACTIONS(12228),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12228),
    [sym__lazy_and_operator] = ACTIONS(12228),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12228),
    [sym__pipe_left_operator] = ACTIONS(12228),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12228),
    [sym__bitshift_operator] = ACTIONS(12228),
    [sym__power_operator] = ACTIONS(12228),
    [sym__tilde_operator] = ACTIONS(12228),
    [sym__type_order_operator] = ACTIONS(12228),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [8013] = {
    [ts_builtin_sym_end] = ACTIONS(13524),
    [sym__word_identifier] = ACTIONS(13522),
    [anon_sym_EQ] = ACTIONS(13522),
    [anon_sym_COMMA] = ACTIONS(13522),
    [anon_sym_COLON] = ACTIONS(13522),
    [anon_sym_begin] = ACTIONS(13522),
    [anon_sym_module] = ACTIONS(13522),
    [anon_sym_baremodule] = ACTIONS(13522),
    [anon_sym_abstract] = ACTIONS(13522),
    [anon_sym_primitive] = ACTIONS(13522),
    [anon_sym_mutable] = ACTIONS(13522),
    [anon_sym_struct] = ACTIONS(13522),
    [anon_sym_function] = ACTIONS(13522),
    [anon_sym_macro] = ACTIONS(13522),
    [anon_sym_where] = ACTIONS(13522),
    [anon_sym_quote] = ACTIONS(13522),
    [anon_sym_let] = ACTIONS(13522),
    [anon_sym_if] = ACTIONS(13522),
    [anon_sym_try] = ACTIONS(13522),
    [anon_sym_for] = ACTIONS(13522),
    [anon_sym_while] = ACTIONS(13522),
    [sym_break_statement] = ACTIONS(13522),
    [sym_continue_statement] = ACTIONS(13522),
    [anon_sym_return] = ACTIONS(13522),
    [anon_sym_const] = ACTIONS(13522),
    [anon_sym_global] = ACTIONS(13522),
    [anon_sym_local] = ACTIONS(13522),
    [anon_sym_LPAREN] = ACTIONS(13522),
    [anon_sym_RPAREN] = ACTIONS(13522),
    [anon_sym_COLON2] = ACTIONS(13522),
    [anon_sym_export] = ACTIONS(13522),
    [anon_sym_import] = ACTIONS(13522),
    [anon_sym_using] = ACTIONS(13522),
    [anon_sym_LBRACK] = ACTIONS(13522),
    [anon_sym_RBRACK] = ACTIONS(13522),
    [anon_sym_LF] = ACTIONS(13524),
    [anon_sym_in] = ACTIONS(13522),
    [anon_sym_LBRACE] = ACTIONS(13522),
    [anon_sym_DOLLAR] = ACTIONS(13522),
    [anon_sym_COLON_COLON] = ACTIONS(13522),
    [anon_sym_isa] = ACTIONS(13522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13522),
    [anon_sym_QMARK] = ACTIONS(13522),
    [anon_sym_AT] = ACTIONS(13522),
    [anon_sym_true] = ACTIONS(13522),
    [anon_sym_false] = ACTIONS(13522),
    [aux_sym_integer_literal_token1] = ACTIONS(13522),
    [aux_sym_integer_literal_token2] = ACTIONS(13522),
    [aux_sym_integer_literal_token3] = ACTIONS(13522),
    [aux_sym_integer_literal_token4] = ACTIONS(13522),
    [aux_sym_float_literal_token1] = ACTIONS(13522),
    [aux_sym_float_literal_token3] = ACTIONS(13522),
    [aux_sym_float_literal_token4] = ACTIONS(13522),
    [sym_character_literal] = ACTIONS(13522),
    [sym__pair_operator] = ACTIONS(13522),
    [sym__arrow_operator] = ACTIONS(13522),
    [sym__lazy_or_operator] = ACTIONS(13522),
    [sym__lazy_and_operator] = ACTIONS(13522),
    [sym__comparison_operator] = ACTIONS(13522),
    [sym__pipe_right_operator] = ACTIONS(13522),
    [sym__pipe_left_operator] = ACTIONS(13522),
    [sym__ellipsis_operator] = ACTIONS(13522),
    [sym__plus_operator] = ACTIONS(13522),
    [sym__times_operator] = ACTIONS(13522),
    [sym__rational_operator] = ACTIONS(13522),
    [sym__bitshift_operator] = ACTIONS(13522),
    [sym__power_operator] = ACTIONS(13522),
    [sym__tilde_operator] = ACTIONS(13522),
    [sym__type_order_operator] = ACTIONS(13522),
    [sym__unary_operator] = ACTIONS(13522),
    [sym__unary_plus_operator] = ACTIONS(13522),
    [aux_sym__terminator_token1] = ACTIONS(13522),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13524),
    [sym__command_start] = ACTIONS(13524),
  },
  [8014] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_as] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_RPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_SEMI] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [8015] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_as] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_RPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_SEMI] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [8016] = {
    [sym__word_identifier] = ACTIONS(13989),
    [anon_sym_EQ] = ACTIONS(13989),
    [anon_sym_COMMA] = ACTIONS(13989),
    [anon_sym_COLON] = ACTIONS(13989),
    [anon_sym_begin] = ACTIONS(13989),
    [anon_sym_module] = ACTIONS(13989),
    [anon_sym_baremodule] = ACTIONS(13989),
    [anon_sym_end] = ACTIONS(13989),
    [anon_sym_abstract] = ACTIONS(13989),
    [anon_sym_primitive] = ACTIONS(13989),
    [anon_sym_mutable] = ACTIONS(13989),
    [anon_sym_struct] = ACTIONS(13989),
    [anon_sym_function] = ACTIONS(13989),
    [anon_sym_macro] = ACTIONS(13989),
    [anon_sym_where] = ACTIONS(13989),
    [anon_sym_quote] = ACTIONS(13989),
    [anon_sym_let] = ACTIONS(13989),
    [anon_sym_if] = ACTIONS(13989),
    [anon_sym_else] = ACTIONS(13989),
    [anon_sym_try] = ACTIONS(13989),
    [anon_sym_finally] = ACTIONS(13989),
    [anon_sym_for] = ACTIONS(13989),
    [anon_sym_while] = ACTIONS(13989),
    [sym_break_statement] = ACTIONS(13989),
    [sym_continue_statement] = ACTIONS(13989),
    [anon_sym_return] = ACTIONS(13989),
    [anon_sym_const] = ACTIONS(13989),
    [anon_sym_global] = ACTIONS(13989),
    [anon_sym_local] = ACTIONS(13989),
    [anon_sym_LPAREN] = ACTIONS(13989),
    [anon_sym_COLON2] = ACTIONS(13989),
    [anon_sym_export] = ACTIONS(13989),
    [anon_sym_import] = ACTIONS(13989),
    [anon_sym_using] = ACTIONS(13989),
    [anon_sym_LBRACK] = ACTIONS(13989),
    [anon_sym_LF] = ACTIONS(13987),
    [anon_sym_in] = ACTIONS(13989),
    [anon_sym_LBRACE] = ACTIONS(13989),
    [anon_sym_DOLLAR] = ACTIONS(13989),
    [anon_sym_COLON_COLON] = ACTIONS(13989),
    [anon_sym_isa] = ACTIONS(13989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13989),
    [anon_sym_QMARK] = ACTIONS(13989),
    [anon_sym_AT] = ACTIONS(13989),
    [anon_sym_true] = ACTIONS(13989),
    [anon_sym_false] = ACTIONS(13989),
    [aux_sym_integer_literal_token1] = ACTIONS(13989),
    [aux_sym_integer_literal_token2] = ACTIONS(13989),
    [aux_sym_integer_literal_token3] = ACTIONS(13989),
    [aux_sym_integer_literal_token4] = ACTIONS(13989),
    [aux_sym_float_literal_token1] = ACTIONS(13989),
    [aux_sym_float_literal_token3] = ACTIONS(13989),
    [aux_sym_float_literal_token4] = ACTIONS(13989),
    [sym_character_literal] = ACTIONS(13989),
    [sym__pair_operator] = ACTIONS(13989),
    [sym__arrow_operator] = ACTIONS(13989),
    [sym__lazy_or_operator] = ACTIONS(13989),
    [sym__lazy_and_operator] = ACTIONS(13989),
    [sym__comparison_operator] = ACTIONS(13989),
    [sym__pipe_right_operator] = ACTIONS(13989),
    [sym__pipe_left_operator] = ACTIONS(13989),
    [sym__ellipsis_operator] = ACTIONS(13989),
    [sym__plus_operator] = ACTIONS(13989),
    [sym__times_operator] = ACTIONS(13989),
    [sym__rational_operator] = ACTIONS(13989),
    [sym__bitshift_operator] = ACTIONS(13989),
    [sym__power_operator] = ACTIONS(13989),
    [sym__tilde_operator] = ACTIONS(13989),
    [sym__type_order_operator] = ACTIONS(13989),
    [sym__unary_operator] = ACTIONS(13989),
    [sym__unary_plus_operator] = ACTIONS(13989),
    [aux_sym__terminator_token1] = ACTIONS(13989),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13987),
    [sym__command_start] = ACTIONS(13987),
  },
  [8017] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12220),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12220),
    [anon_sym_RPAREN] = ACTIONS(12220),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12220),
    [anon_sym_RBRACK] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_SEMI] = ACTIONS(12220),
    [anon_sym_LBRACE] = ACTIONS(12220),
    [anon_sym_RBRACE] = ACTIONS(12220),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12220),
    [anon_sym_COLON_COLON] = ACTIONS(12220),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12220),
    [anon_sym_QMARK] = ACTIONS(12220),
    [anon_sym_AT] = ACTIONS(12220),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12220),
    [aux_sym_integer_literal_token2] = ACTIONS(12220),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12220),
    [aux_sym_float_literal_token3] = ACTIONS(12220),
    [aux_sym_float_literal_token4] = ACTIONS(12220),
    [sym_character_literal] = ACTIONS(12220),
    [sym__pair_operator] = ACTIONS(12220),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12220),
    [sym__lazy_and_operator] = ACTIONS(12220),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12220),
    [sym__pipe_left_operator] = ACTIONS(12220),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12220),
    [sym__bitshift_operator] = ACTIONS(12220),
    [sym__power_operator] = ACTIONS(12220),
    [sym__tilde_operator] = ACTIONS(12220),
    [sym__type_order_operator] = ACTIONS(12220),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [8018] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_as] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_RPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_SEMI] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [8019] = {
    [sym__word_identifier] = ACTIONS(13993),
    [anon_sym_EQ] = ACTIONS(13993),
    [anon_sym_COMMA] = ACTIONS(13993),
    [anon_sym_COLON] = ACTIONS(13993),
    [anon_sym_begin] = ACTIONS(13993),
    [anon_sym_module] = ACTIONS(13993),
    [anon_sym_baremodule] = ACTIONS(13993),
    [anon_sym_end] = ACTIONS(13993),
    [anon_sym_abstract] = ACTIONS(13993),
    [anon_sym_primitive] = ACTIONS(13993),
    [anon_sym_mutable] = ACTIONS(13993),
    [anon_sym_struct] = ACTIONS(13993),
    [anon_sym_function] = ACTIONS(13993),
    [anon_sym_macro] = ACTIONS(13993),
    [anon_sym_where] = ACTIONS(13993),
    [anon_sym_quote] = ACTIONS(13993),
    [anon_sym_let] = ACTIONS(13993),
    [anon_sym_if] = ACTIONS(13993),
    [anon_sym_else] = ACTIONS(13993),
    [anon_sym_try] = ACTIONS(13993),
    [anon_sym_finally] = ACTIONS(13993),
    [anon_sym_for] = ACTIONS(13993),
    [anon_sym_while] = ACTIONS(13993),
    [sym_break_statement] = ACTIONS(13993),
    [sym_continue_statement] = ACTIONS(13993),
    [anon_sym_return] = ACTIONS(13993),
    [anon_sym_const] = ACTIONS(13993),
    [anon_sym_global] = ACTIONS(13993),
    [anon_sym_local] = ACTIONS(13993),
    [anon_sym_LPAREN] = ACTIONS(13993),
    [anon_sym_COLON2] = ACTIONS(13993),
    [anon_sym_export] = ACTIONS(13993),
    [anon_sym_import] = ACTIONS(13993),
    [anon_sym_using] = ACTIONS(13993),
    [anon_sym_LBRACK] = ACTIONS(13993),
    [anon_sym_LF] = ACTIONS(13991),
    [anon_sym_in] = ACTIONS(13993),
    [anon_sym_LBRACE] = ACTIONS(13993),
    [anon_sym_DOLLAR] = ACTIONS(13993),
    [anon_sym_COLON_COLON] = ACTIONS(13993),
    [anon_sym_isa] = ACTIONS(13993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13993),
    [anon_sym_QMARK] = ACTIONS(13993),
    [anon_sym_AT] = ACTIONS(13993),
    [anon_sym_true] = ACTIONS(13993),
    [anon_sym_false] = ACTIONS(13993),
    [aux_sym_integer_literal_token1] = ACTIONS(13993),
    [aux_sym_integer_literal_token2] = ACTIONS(13993),
    [aux_sym_integer_literal_token3] = ACTIONS(13993),
    [aux_sym_integer_literal_token4] = ACTIONS(13993),
    [aux_sym_float_literal_token1] = ACTIONS(13993),
    [aux_sym_float_literal_token3] = ACTIONS(13993),
    [aux_sym_float_literal_token4] = ACTIONS(13993),
    [sym_character_literal] = ACTIONS(13993),
    [sym__pair_operator] = ACTIONS(13993),
    [sym__arrow_operator] = ACTIONS(13993),
    [sym__lazy_or_operator] = ACTIONS(13993),
    [sym__lazy_and_operator] = ACTIONS(13993),
    [sym__comparison_operator] = ACTIONS(13993),
    [sym__pipe_right_operator] = ACTIONS(13993),
    [sym__pipe_left_operator] = ACTIONS(13993),
    [sym__ellipsis_operator] = ACTIONS(13993),
    [sym__plus_operator] = ACTIONS(13993),
    [sym__times_operator] = ACTIONS(13993),
    [sym__rational_operator] = ACTIONS(13993),
    [sym__bitshift_operator] = ACTIONS(13993),
    [sym__power_operator] = ACTIONS(13993),
    [sym__tilde_operator] = ACTIONS(13993),
    [sym__type_order_operator] = ACTIONS(13993),
    [sym__unary_operator] = ACTIONS(13993),
    [sym__unary_plus_operator] = ACTIONS(13993),
    [aux_sym__terminator_token1] = ACTIONS(13993),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13991),
    [sym__command_start] = ACTIONS(13991),
  },
  [8020] = {
    [ts_builtin_sym_end] = ACTIONS(13542),
    [sym__word_identifier] = ACTIONS(13540),
    [anon_sym_EQ] = ACTIONS(13540),
    [anon_sym_COMMA] = ACTIONS(13540),
    [anon_sym_COLON] = ACTIONS(13540),
    [anon_sym_begin] = ACTIONS(13540),
    [anon_sym_module] = ACTIONS(13540),
    [anon_sym_baremodule] = ACTIONS(13540),
    [anon_sym_abstract] = ACTIONS(13540),
    [anon_sym_primitive] = ACTIONS(13540),
    [anon_sym_mutable] = ACTIONS(13540),
    [anon_sym_struct] = ACTIONS(13540),
    [anon_sym_function] = ACTIONS(13540),
    [anon_sym_macro] = ACTIONS(13540),
    [anon_sym_where] = ACTIONS(13540),
    [anon_sym_quote] = ACTIONS(13540),
    [anon_sym_let] = ACTIONS(13540),
    [anon_sym_if] = ACTIONS(13540),
    [anon_sym_try] = ACTIONS(13540),
    [anon_sym_for] = ACTIONS(13540),
    [anon_sym_while] = ACTIONS(13540),
    [sym_break_statement] = ACTIONS(13540),
    [sym_continue_statement] = ACTIONS(13540),
    [anon_sym_return] = ACTIONS(13540),
    [anon_sym_const] = ACTIONS(13540),
    [anon_sym_global] = ACTIONS(13540),
    [anon_sym_local] = ACTIONS(13540),
    [anon_sym_LPAREN] = ACTIONS(13540),
    [anon_sym_RPAREN] = ACTIONS(13540),
    [anon_sym_COLON2] = ACTIONS(13540),
    [anon_sym_export] = ACTIONS(13540),
    [anon_sym_import] = ACTIONS(13540),
    [anon_sym_using] = ACTIONS(13540),
    [anon_sym_LBRACK] = ACTIONS(13540),
    [anon_sym_RBRACK] = ACTIONS(13540),
    [anon_sym_LF] = ACTIONS(13542),
    [anon_sym_in] = ACTIONS(13540),
    [anon_sym_LBRACE] = ACTIONS(13540),
    [anon_sym_DOLLAR] = ACTIONS(13540),
    [anon_sym_COLON_COLON] = ACTIONS(13540),
    [anon_sym_isa] = ACTIONS(13540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13540),
    [anon_sym_QMARK] = ACTIONS(13540),
    [anon_sym_AT] = ACTIONS(13540),
    [anon_sym_true] = ACTIONS(13540),
    [anon_sym_false] = ACTIONS(13540),
    [aux_sym_integer_literal_token1] = ACTIONS(13540),
    [aux_sym_integer_literal_token2] = ACTIONS(13540),
    [aux_sym_integer_literal_token3] = ACTIONS(13540),
    [aux_sym_integer_literal_token4] = ACTIONS(13540),
    [aux_sym_float_literal_token1] = ACTIONS(13540),
    [aux_sym_float_literal_token3] = ACTIONS(13540),
    [aux_sym_float_literal_token4] = ACTIONS(13540),
    [sym_character_literal] = ACTIONS(13540),
    [sym__pair_operator] = ACTIONS(13540),
    [sym__arrow_operator] = ACTIONS(13540),
    [sym__lazy_or_operator] = ACTIONS(13540),
    [sym__lazy_and_operator] = ACTIONS(13540),
    [sym__comparison_operator] = ACTIONS(13540),
    [sym__pipe_right_operator] = ACTIONS(13540),
    [sym__pipe_left_operator] = ACTIONS(13540),
    [sym__ellipsis_operator] = ACTIONS(13540),
    [sym__plus_operator] = ACTIONS(13540),
    [sym__times_operator] = ACTIONS(13540),
    [sym__rational_operator] = ACTIONS(13540),
    [sym__bitshift_operator] = ACTIONS(13540),
    [sym__power_operator] = ACTIONS(13540),
    [sym__tilde_operator] = ACTIONS(13540),
    [sym__type_order_operator] = ACTIONS(13540),
    [sym__unary_operator] = ACTIONS(13540),
    [sym__unary_plus_operator] = ACTIONS(13540),
    [aux_sym__terminator_token1] = ACTIONS(13540),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13542),
    [sym__command_start] = ACTIONS(13542),
  },
  [8021] = {
    [sym__word_identifier] = ACTIONS(13834),
    [anon_sym_EQ] = ACTIONS(13834),
    [anon_sym_COMMA] = ACTIONS(13834),
    [anon_sym_COLON] = ACTIONS(13834),
    [anon_sym_begin] = ACTIONS(13834),
    [anon_sym_module] = ACTIONS(13834),
    [anon_sym_baremodule] = ACTIONS(13834),
    [anon_sym_end] = ACTIONS(13834),
    [anon_sym_abstract] = ACTIONS(13834),
    [anon_sym_primitive] = ACTIONS(13834),
    [anon_sym_mutable] = ACTIONS(13834),
    [anon_sym_struct] = ACTIONS(13834),
    [anon_sym_function] = ACTIONS(13834),
    [anon_sym_macro] = ACTIONS(13834),
    [anon_sym_where] = ACTIONS(13834),
    [anon_sym_quote] = ACTIONS(13834),
    [anon_sym_let] = ACTIONS(13834),
    [anon_sym_if] = ACTIONS(13834),
    [anon_sym_else] = ACTIONS(13834),
    [anon_sym_try] = ACTIONS(13834),
    [anon_sym_finally] = ACTIONS(13834),
    [anon_sym_for] = ACTIONS(13834),
    [anon_sym_while] = ACTIONS(13834),
    [sym_break_statement] = ACTIONS(13834),
    [sym_continue_statement] = ACTIONS(13834),
    [anon_sym_return] = ACTIONS(13834),
    [anon_sym_const] = ACTIONS(13834),
    [anon_sym_global] = ACTIONS(13834),
    [anon_sym_local] = ACTIONS(13834),
    [anon_sym_LPAREN] = ACTIONS(13834),
    [anon_sym_COLON2] = ACTIONS(13834),
    [anon_sym_export] = ACTIONS(13834),
    [anon_sym_import] = ACTIONS(13834),
    [anon_sym_using] = ACTIONS(13834),
    [anon_sym_LBRACK] = ACTIONS(13834),
    [anon_sym_LF] = ACTIONS(13832),
    [anon_sym_in] = ACTIONS(13834),
    [anon_sym_LBRACE] = ACTIONS(13834),
    [anon_sym_DOLLAR] = ACTIONS(13834),
    [anon_sym_COLON_COLON] = ACTIONS(13834),
    [anon_sym_isa] = ACTIONS(13834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13834),
    [anon_sym_QMARK] = ACTIONS(13834),
    [anon_sym_AT] = ACTIONS(13834),
    [anon_sym_true] = ACTIONS(13834),
    [anon_sym_false] = ACTIONS(13834),
    [aux_sym_integer_literal_token1] = ACTIONS(13834),
    [aux_sym_integer_literal_token2] = ACTIONS(13834),
    [aux_sym_integer_literal_token3] = ACTIONS(13834),
    [aux_sym_integer_literal_token4] = ACTIONS(13834),
    [aux_sym_float_literal_token1] = ACTIONS(13834),
    [aux_sym_float_literal_token3] = ACTIONS(13834),
    [aux_sym_float_literal_token4] = ACTIONS(13834),
    [sym_character_literal] = ACTIONS(13834),
    [sym__pair_operator] = ACTIONS(13834),
    [sym__arrow_operator] = ACTIONS(13834),
    [sym__lazy_or_operator] = ACTIONS(13834),
    [sym__lazy_and_operator] = ACTIONS(13834),
    [sym__comparison_operator] = ACTIONS(13834),
    [sym__pipe_right_operator] = ACTIONS(13834),
    [sym__pipe_left_operator] = ACTIONS(13834),
    [sym__ellipsis_operator] = ACTIONS(13834),
    [sym__plus_operator] = ACTIONS(13834),
    [sym__times_operator] = ACTIONS(13834),
    [sym__rational_operator] = ACTIONS(13834),
    [sym__bitshift_operator] = ACTIONS(13834),
    [sym__power_operator] = ACTIONS(13834),
    [sym__tilde_operator] = ACTIONS(13834),
    [sym__type_order_operator] = ACTIONS(13834),
    [sym__unary_operator] = ACTIONS(13834),
    [sym__unary_plus_operator] = ACTIONS(13834),
    [aux_sym__terminator_token1] = ACTIONS(13834),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13832),
    [sym__command_start] = ACTIONS(13832),
  },
  [8022] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12216),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12216),
    [anon_sym_RPAREN] = ACTIONS(12216),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12216),
    [anon_sym_RBRACK] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_SEMI] = ACTIONS(12216),
    [anon_sym_LBRACE] = ACTIONS(12216),
    [anon_sym_RBRACE] = ACTIONS(12216),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12216),
    [anon_sym_COLON_COLON] = ACTIONS(12216),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12216),
    [anon_sym_QMARK] = ACTIONS(12216),
    [anon_sym_AT] = ACTIONS(12216),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12216),
    [aux_sym_integer_literal_token2] = ACTIONS(12216),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12216),
    [aux_sym_float_literal_token3] = ACTIONS(12216),
    [aux_sym_float_literal_token4] = ACTIONS(12216),
    [sym_character_literal] = ACTIONS(12216),
    [sym__pair_operator] = ACTIONS(12216),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12216),
    [sym__lazy_and_operator] = ACTIONS(12216),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12216),
    [sym__pipe_left_operator] = ACTIONS(12216),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12216),
    [sym__bitshift_operator] = ACTIONS(12216),
    [sym__power_operator] = ACTIONS(12216),
    [sym__tilde_operator] = ACTIONS(12216),
    [sym__type_order_operator] = ACTIONS(12216),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [8023] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_as] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_RPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_SEMI] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [8024] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_as] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_RPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_SEMI] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [8025] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12206),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12206),
    [anon_sym_RPAREN] = ACTIONS(12206),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12206),
    [anon_sym_RBRACK] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_SEMI] = ACTIONS(12206),
    [anon_sym_LBRACE] = ACTIONS(12206),
    [anon_sym_RBRACE] = ACTIONS(12206),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12206),
    [anon_sym_COLON_COLON] = ACTIONS(12206),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12206),
    [anon_sym_QMARK] = ACTIONS(12206),
    [anon_sym_AT] = ACTIONS(12206),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12206),
    [aux_sym_integer_literal_token2] = ACTIONS(12206),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12206),
    [aux_sym_float_literal_token3] = ACTIONS(12206),
    [aux_sym_float_literal_token4] = ACTIONS(12206),
    [sym_character_literal] = ACTIONS(12206),
    [sym__pair_operator] = ACTIONS(12206),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12206),
    [sym__lazy_and_operator] = ACTIONS(12206),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12206),
    [sym__pipe_left_operator] = ACTIONS(12206),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12206),
    [sym__bitshift_operator] = ACTIONS(12206),
    [sym__power_operator] = ACTIONS(12206),
    [sym__tilde_operator] = ACTIONS(12206),
    [sym__type_order_operator] = ACTIONS(12206),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [8026] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_as] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_RPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_SEMI] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [8027] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_as] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_RPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_SEMI] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [8028] = {
    [sym__word_identifier] = ACTIONS(14001),
    [anon_sym_EQ] = ACTIONS(14001),
    [anon_sym_COMMA] = ACTIONS(14001),
    [anon_sym_COLON] = ACTIONS(14001),
    [anon_sym_begin] = ACTIONS(14001),
    [anon_sym_module] = ACTIONS(14001),
    [anon_sym_baremodule] = ACTIONS(14001),
    [anon_sym_end] = ACTIONS(14001),
    [anon_sym_abstract] = ACTIONS(14001),
    [anon_sym_primitive] = ACTIONS(14001),
    [anon_sym_mutable] = ACTIONS(14001),
    [anon_sym_struct] = ACTIONS(14001),
    [anon_sym_function] = ACTIONS(14001),
    [anon_sym_macro] = ACTIONS(14001),
    [anon_sym_where] = ACTIONS(14001),
    [anon_sym_quote] = ACTIONS(14001),
    [anon_sym_let] = ACTIONS(14001),
    [anon_sym_if] = ACTIONS(14001),
    [anon_sym_else] = ACTIONS(14001),
    [anon_sym_try] = ACTIONS(14001),
    [anon_sym_finally] = ACTIONS(14001),
    [anon_sym_for] = ACTIONS(14001),
    [anon_sym_while] = ACTIONS(14001),
    [sym_break_statement] = ACTIONS(14001),
    [sym_continue_statement] = ACTIONS(14001),
    [anon_sym_return] = ACTIONS(14001),
    [anon_sym_const] = ACTIONS(14001),
    [anon_sym_global] = ACTIONS(14001),
    [anon_sym_local] = ACTIONS(14001),
    [anon_sym_LPAREN] = ACTIONS(14001),
    [anon_sym_COLON2] = ACTIONS(14001),
    [anon_sym_export] = ACTIONS(14001),
    [anon_sym_import] = ACTIONS(14001),
    [anon_sym_using] = ACTIONS(14001),
    [anon_sym_LBRACK] = ACTIONS(14001),
    [anon_sym_LF] = ACTIONS(13999),
    [anon_sym_in] = ACTIONS(14001),
    [anon_sym_LBRACE] = ACTIONS(14001),
    [anon_sym_DOLLAR] = ACTIONS(14001),
    [anon_sym_COLON_COLON] = ACTIONS(14001),
    [anon_sym_isa] = ACTIONS(14001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14001),
    [anon_sym_QMARK] = ACTIONS(14001),
    [anon_sym_AT] = ACTIONS(14001),
    [anon_sym_true] = ACTIONS(14001),
    [anon_sym_false] = ACTIONS(14001),
    [aux_sym_integer_literal_token1] = ACTIONS(14001),
    [aux_sym_integer_literal_token2] = ACTIONS(14001),
    [aux_sym_integer_literal_token3] = ACTIONS(14001),
    [aux_sym_integer_literal_token4] = ACTIONS(14001),
    [aux_sym_float_literal_token1] = ACTIONS(14001),
    [aux_sym_float_literal_token3] = ACTIONS(14001),
    [aux_sym_float_literal_token4] = ACTIONS(14001),
    [sym_character_literal] = ACTIONS(14001),
    [sym__pair_operator] = ACTIONS(14001),
    [sym__arrow_operator] = ACTIONS(14001),
    [sym__lazy_or_operator] = ACTIONS(14001),
    [sym__lazy_and_operator] = ACTIONS(14001),
    [sym__comparison_operator] = ACTIONS(14001),
    [sym__pipe_right_operator] = ACTIONS(14001),
    [sym__pipe_left_operator] = ACTIONS(14001),
    [sym__ellipsis_operator] = ACTIONS(14001),
    [sym__plus_operator] = ACTIONS(14001),
    [sym__times_operator] = ACTIONS(14001),
    [sym__rational_operator] = ACTIONS(14001),
    [sym__bitshift_operator] = ACTIONS(14001),
    [sym__power_operator] = ACTIONS(14001),
    [sym__tilde_operator] = ACTIONS(14001),
    [sym__type_order_operator] = ACTIONS(14001),
    [sym__unary_operator] = ACTIONS(14001),
    [sym__unary_plus_operator] = ACTIONS(14001),
    [aux_sym__terminator_token1] = ACTIONS(14001),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13999),
    [sym__command_start] = ACTIONS(13999),
  },
  [8029] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_as] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [8030] = {
    [sym__comprehension_clause] = STATE(18967),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17064),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14435),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14437),
    [anon_sym_LF] = ACTIONS(14439),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14442),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [8031] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12198),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12198),
    [anon_sym_RPAREN] = ACTIONS(12198),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12198),
    [anon_sym_RBRACK] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_SEMI] = ACTIONS(12198),
    [anon_sym_LBRACE] = ACTIONS(12198),
    [anon_sym_RBRACE] = ACTIONS(12198),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12198),
    [anon_sym_COLON_COLON] = ACTIONS(12198),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12198),
    [anon_sym_QMARK] = ACTIONS(12198),
    [anon_sym_AT] = ACTIONS(12198),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12198),
    [aux_sym_integer_literal_token2] = ACTIONS(12198),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12198),
    [aux_sym_float_literal_token3] = ACTIONS(12198),
    [aux_sym_float_literal_token4] = ACTIONS(12198),
    [sym_character_literal] = ACTIONS(12198),
    [sym__pair_operator] = ACTIONS(12198),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12198),
    [sym__lazy_and_operator] = ACTIONS(12198),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12198),
    [sym__pipe_left_operator] = ACTIONS(12198),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12198),
    [sym__bitshift_operator] = ACTIONS(12198),
    [sym__power_operator] = ACTIONS(12198),
    [sym__tilde_operator] = ACTIONS(12198),
    [sym__type_order_operator] = ACTIONS(12198),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [8032] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_as] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [8033] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_as] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [8034] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_as] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_RPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_SEMI] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [8035] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_as] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_RPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_SEMI] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [8036] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_as] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_RPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_SEMI] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [8037] = {
    [sym__word_identifier] = ACTIONS(13997),
    [anon_sym_EQ] = ACTIONS(13997),
    [anon_sym_COMMA] = ACTIONS(13997),
    [anon_sym_COLON] = ACTIONS(13997),
    [anon_sym_begin] = ACTIONS(13997),
    [anon_sym_module] = ACTIONS(13997),
    [anon_sym_baremodule] = ACTIONS(13997),
    [anon_sym_end] = ACTIONS(13997),
    [anon_sym_abstract] = ACTIONS(13997),
    [anon_sym_primitive] = ACTIONS(13997),
    [anon_sym_mutable] = ACTIONS(13997),
    [anon_sym_struct] = ACTIONS(13997),
    [anon_sym_function] = ACTIONS(13997),
    [anon_sym_macro] = ACTIONS(13997),
    [anon_sym_where] = ACTIONS(13997),
    [anon_sym_quote] = ACTIONS(13997),
    [anon_sym_let] = ACTIONS(13997),
    [anon_sym_if] = ACTIONS(13997),
    [anon_sym_else] = ACTIONS(13997),
    [anon_sym_try] = ACTIONS(13997),
    [anon_sym_finally] = ACTIONS(13997),
    [anon_sym_for] = ACTIONS(13997),
    [anon_sym_while] = ACTIONS(13997),
    [sym_break_statement] = ACTIONS(13997),
    [sym_continue_statement] = ACTIONS(13997),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_const] = ACTIONS(13997),
    [anon_sym_global] = ACTIONS(13997),
    [anon_sym_local] = ACTIONS(13997),
    [anon_sym_LPAREN] = ACTIONS(13997),
    [anon_sym_COLON2] = ACTIONS(13997),
    [anon_sym_export] = ACTIONS(13997),
    [anon_sym_import] = ACTIONS(13997),
    [anon_sym_using] = ACTIONS(13997),
    [anon_sym_LBRACK] = ACTIONS(13997),
    [anon_sym_LF] = ACTIONS(13995),
    [anon_sym_in] = ACTIONS(13997),
    [anon_sym_LBRACE] = ACTIONS(13997),
    [anon_sym_DOLLAR] = ACTIONS(13997),
    [anon_sym_COLON_COLON] = ACTIONS(13997),
    [anon_sym_isa] = ACTIONS(13997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13997),
    [anon_sym_QMARK] = ACTIONS(13997),
    [anon_sym_AT] = ACTIONS(13997),
    [anon_sym_true] = ACTIONS(13997),
    [anon_sym_false] = ACTIONS(13997),
    [aux_sym_integer_literal_token1] = ACTIONS(13997),
    [aux_sym_integer_literal_token2] = ACTIONS(13997),
    [aux_sym_integer_literal_token3] = ACTIONS(13997),
    [aux_sym_integer_literal_token4] = ACTIONS(13997),
    [aux_sym_float_literal_token1] = ACTIONS(13997),
    [aux_sym_float_literal_token3] = ACTIONS(13997),
    [aux_sym_float_literal_token4] = ACTIONS(13997),
    [sym_character_literal] = ACTIONS(13997),
    [sym__pair_operator] = ACTIONS(13997),
    [sym__arrow_operator] = ACTIONS(13997),
    [sym__lazy_or_operator] = ACTIONS(13997),
    [sym__lazy_and_operator] = ACTIONS(13997),
    [sym__comparison_operator] = ACTIONS(13997),
    [sym__pipe_right_operator] = ACTIONS(13997),
    [sym__pipe_left_operator] = ACTIONS(13997),
    [sym__ellipsis_operator] = ACTIONS(13997),
    [sym__plus_operator] = ACTIONS(13997),
    [sym__times_operator] = ACTIONS(13997),
    [sym__rational_operator] = ACTIONS(13997),
    [sym__bitshift_operator] = ACTIONS(13997),
    [sym__power_operator] = ACTIONS(13997),
    [sym__tilde_operator] = ACTIONS(13997),
    [sym__type_order_operator] = ACTIONS(13997),
    [sym__unary_operator] = ACTIONS(13997),
    [sym__unary_plus_operator] = ACTIONS(13997),
    [aux_sym__terminator_token1] = ACTIONS(13997),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13995),
    [sym__command_start] = ACTIONS(13995),
  },
  [8038] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_as] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [8039] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_as] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [8040] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_as] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_RPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_SEMI] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [8041] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12194),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12194),
    [anon_sym_RPAREN] = ACTIONS(12194),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12194),
    [anon_sym_RBRACK] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_SEMI] = ACTIONS(12194),
    [anon_sym_LBRACE] = ACTIONS(12194),
    [anon_sym_RBRACE] = ACTIONS(12194),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12194),
    [anon_sym_COLON_COLON] = ACTIONS(12194),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12194),
    [anon_sym_QMARK] = ACTIONS(12194),
    [anon_sym_AT] = ACTIONS(12194),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12194),
    [aux_sym_integer_literal_token2] = ACTIONS(12194),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12194),
    [aux_sym_float_literal_token3] = ACTIONS(12194),
    [aux_sym_float_literal_token4] = ACTIONS(12194),
    [sym_character_literal] = ACTIONS(12194),
    [sym__pair_operator] = ACTIONS(12194),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12194),
    [sym__lazy_and_operator] = ACTIONS(12194),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12194),
    [sym__pipe_left_operator] = ACTIONS(12194),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12194),
    [sym__bitshift_operator] = ACTIONS(12194),
    [sym__power_operator] = ACTIONS(12194),
    [sym__tilde_operator] = ACTIONS(12194),
    [sym__type_order_operator] = ACTIONS(12194),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [8042] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_as] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_RPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_SEMI] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [8043] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12190),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12190),
    [anon_sym_RPAREN] = ACTIONS(12190),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12190),
    [anon_sym_RBRACK] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_SEMI] = ACTIONS(12190),
    [anon_sym_LBRACE] = ACTIONS(12190),
    [anon_sym_RBRACE] = ACTIONS(12190),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12190),
    [anon_sym_COLON_COLON] = ACTIONS(12190),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12190),
    [anon_sym_QMARK] = ACTIONS(12190),
    [anon_sym_AT] = ACTIONS(12190),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12190),
    [aux_sym_integer_literal_token2] = ACTIONS(12190),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12190),
    [aux_sym_float_literal_token3] = ACTIONS(12190),
    [aux_sym_float_literal_token4] = ACTIONS(12190),
    [sym_character_literal] = ACTIONS(12190),
    [sym__pair_operator] = ACTIONS(12190),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12190),
    [sym__lazy_and_operator] = ACTIONS(12190),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12190),
    [sym__pipe_left_operator] = ACTIONS(12190),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12190),
    [sym__bitshift_operator] = ACTIONS(12190),
    [sym__power_operator] = ACTIONS(12190),
    [sym__tilde_operator] = ACTIONS(12190),
    [sym__type_order_operator] = ACTIONS(12190),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [8044] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8045] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_as] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [8046] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_as] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_RPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_SEMI] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [8047] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_as] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_RPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_SEMI] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [8048] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_as] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_RPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_SEMI] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [8049] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_as] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_RPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_SEMI] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [8050] = {
    [sym__word_identifier] = ACTIONS(14011),
    [anon_sym_EQ] = ACTIONS(14011),
    [anon_sym_COMMA] = ACTIONS(14011),
    [anon_sym_COLON] = ACTIONS(14011),
    [anon_sym_begin] = ACTIONS(14011),
    [anon_sym_module] = ACTIONS(14011),
    [anon_sym_baremodule] = ACTIONS(14011),
    [anon_sym_end] = ACTIONS(14011),
    [anon_sym_abstract] = ACTIONS(14011),
    [anon_sym_primitive] = ACTIONS(14011),
    [anon_sym_mutable] = ACTIONS(14011),
    [anon_sym_struct] = ACTIONS(14011),
    [anon_sym_function] = ACTIONS(14011),
    [anon_sym_macro] = ACTIONS(14011),
    [anon_sym_where] = ACTIONS(14011),
    [anon_sym_quote] = ACTIONS(14011),
    [anon_sym_let] = ACTIONS(14011),
    [anon_sym_if] = ACTIONS(14011),
    [anon_sym_else] = ACTIONS(14011),
    [anon_sym_try] = ACTIONS(14011),
    [anon_sym_finally] = ACTIONS(14011),
    [anon_sym_for] = ACTIONS(14011),
    [anon_sym_while] = ACTIONS(14011),
    [sym_break_statement] = ACTIONS(14011),
    [sym_continue_statement] = ACTIONS(14011),
    [anon_sym_return] = ACTIONS(14011),
    [anon_sym_const] = ACTIONS(14011),
    [anon_sym_global] = ACTIONS(14011),
    [anon_sym_local] = ACTIONS(14011),
    [anon_sym_LPAREN] = ACTIONS(14011),
    [anon_sym_COLON2] = ACTIONS(14011),
    [anon_sym_export] = ACTIONS(14011),
    [anon_sym_import] = ACTIONS(14011),
    [anon_sym_using] = ACTIONS(14011),
    [anon_sym_LBRACK] = ACTIONS(14011),
    [anon_sym_LF] = ACTIONS(14009),
    [anon_sym_in] = ACTIONS(14011),
    [anon_sym_LBRACE] = ACTIONS(14011),
    [anon_sym_DOLLAR] = ACTIONS(14011),
    [anon_sym_COLON_COLON] = ACTIONS(14011),
    [anon_sym_isa] = ACTIONS(14011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14011),
    [anon_sym_QMARK] = ACTIONS(14011),
    [anon_sym_AT] = ACTIONS(14011),
    [anon_sym_true] = ACTIONS(14011),
    [anon_sym_false] = ACTIONS(14011),
    [aux_sym_integer_literal_token1] = ACTIONS(14011),
    [aux_sym_integer_literal_token2] = ACTIONS(14011),
    [aux_sym_integer_literal_token3] = ACTIONS(14011),
    [aux_sym_integer_literal_token4] = ACTIONS(14011),
    [aux_sym_float_literal_token1] = ACTIONS(14011),
    [aux_sym_float_literal_token3] = ACTIONS(14011),
    [aux_sym_float_literal_token4] = ACTIONS(14011),
    [sym_character_literal] = ACTIONS(14011),
    [sym__pair_operator] = ACTIONS(14011),
    [sym__arrow_operator] = ACTIONS(14011),
    [sym__lazy_or_operator] = ACTIONS(14011),
    [sym__lazy_and_operator] = ACTIONS(14011),
    [sym__comparison_operator] = ACTIONS(14011),
    [sym__pipe_right_operator] = ACTIONS(14011),
    [sym__pipe_left_operator] = ACTIONS(14011),
    [sym__ellipsis_operator] = ACTIONS(14011),
    [sym__plus_operator] = ACTIONS(14011),
    [sym__times_operator] = ACTIONS(14011),
    [sym__rational_operator] = ACTIONS(14011),
    [sym__bitshift_operator] = ACTIONS(14011),
    [sym__power_operator] = ACTIONS(14011),
    [sym__tilde_operator] = ACTIONS(14011),
    [sym__type_order_operator] = ACTIONS(14011),
    [sym__unary_operator] = ACTIONS(14011),
    [sym__unary_plus_operator] = ACTIONS(14011),
    [aux_sym__terminator_token1] = ACTIONS(14011),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14009),
    [sym__command_start] = ACTIONS(14009),
  },
  [8051] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_as] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_RPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_SEMI] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [8052] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_as] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_RPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_SEMI] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [8053] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_as] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_RPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_SEMI] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [8054] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_as] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_RPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_SEMI] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [8055] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_as] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_RPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_SEMI] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [8056] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_as] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_RPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_SEMI] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [8057] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12186),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12186),
    [anon_sym_RPAREN] = ACTIONS(12186),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12186),
    [anon_sym_RBRACK] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_SEMI] = ACTIONS(12186),
    [anon_sym_LBRACE] = ACTIONS(12186),
    [anon_sym_RBRACE] = ACTIONS(12186),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12186),
    [anon_sym_COLON_COLON] = ACTIONS(12186),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12186),
    [anon_sym_QMARK] = ACTIONS(12186),
    [anon_sym_AT] = ACTIONS(12186),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12186),
    [aux_sym_integer_literal_token2] = ACTIONS(12186),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12186),
    [aux_sym_float_literal_token3] = ACTIONS(12186),
    [aux_sym_float_literal_token4] = ACTIONS(12186),
    [sym_character_literal] = ACTIONS(12186),
    [sym__pair_operator] = ACTIONS(12186),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12186),
    [sym__lazy_and_operator] = ACTIONS(12186),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12186),
    [sym__pipe_left_operator] = ACTIONS(12186),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12186),
    [sym__bitshift_operator] = ACTIONS(12186),
    [sym__power_operator] = ACTIONS(12186),
    [sym__tilde_operator] = ACTIONS(12186),
    [sym__type_order_operator] = ACTIONS(12186),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [8058] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12182),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12182),
    [anon_sym_RPAREN] = ACTIONS(12182),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12182),
    [anon_sym_RBRACK] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_SEMI] = ACTIONS(12182),
    [anon_sym_LBRACE] = ACTIONS(12182),
    [anon_sym_RBRACE] = ACTIONS(12182),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12182),
    [anon_sym_COLON_COLON] = ACTIONS(12182),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12182),
    [anon_sym_QMARK] = ACTIONS(12182),
    [anon_sym_AT] = ACTIONS(12182),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12182),
    [aux_sym_integer_literal_token2] = ACTIONS(12182),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12182),
    [aux_sym_float_literal_token3] = ACTIONS(12182),
    [aux_sym_float_literal_token4] = ACTIONS(12182),
    [sym_character_literal] = ACTIONS(12182),
    [sym__pair_operator] = ACTIONS(12182),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12182),
    [sym__lazy_and_operator] = ACTIONS(12182),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12182),
    [sym__pipe_left_operator] = ACTIONS(12182),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12182),
    [sym__bitshift_operator] = ACTIONS(12182),
    [sym__power_operator] = ACTIONS(12182),
    [sym__tilde_operator] = ACTIONS(12182),
    [sym__type_order_operator] = ACTIONS(12182),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [8059] = {
    [aux_sym__import_list_repeat1] = STATE(8059),
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(14445),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_catch] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [8060] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12178),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12178),
    [anon_sym_RPAREN] = ACTIONS(12178),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12178),
    [anon_sym_RBRACK] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_SEMI] = ACTIONS(12178),
    [anon_sym_LBRACE] = ACTIONS(12178),
    [anon_sym_RBRACE] = ACTIONS(12178),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12178),
    [anon_sym_COLON_COLON] = ACTIONS(12178),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12178),
    [anon_sym_QMARK] = ACTIONS(12178),
    [anon_sym_AT] = ACTIONS(12178),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12178),
    [aux_sym_integer_literal_token2] = ACTIONS(12178),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12178),
    [aux_sym_float_literal_token3] = ACTIONS(12178),
    [aux_sym_float_literal_token4] = ACTIONS(12178),
    [sym_character_literal] = ACTIONS(12178),
    [sym__pair_operator] = ACTIONS(12178),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12178),
    [sym__lazy_and_operator] = ACTIONS(12178),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12178),
    [sym__pipe_left_operator] = ACTIONS(12178),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12178),
    [sym__bitshift_operator] = ACTIONS(12178),
    [sym__power_operator] = ACTIONS(12178),
    [sym__tilde_operator] = ACTIONS(12178),
    [sym__type_order_operator] = ACTIONS(12178),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [8061] = {
    [ts_builtin_sym_end] = ACTIONS(13240),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13242),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_RPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_RBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13242),
    [anon_sym_isa] = ACTIONS(13242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13242),
    [anon_sym_QMARK] = ACTIONS(13242),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13242),
    [sym__lazy_or_operator] = ACTIONS(13242),
    [sym__lazy_and_operator] = ACTIONS(13242),
    [sym__comparison_operator] = ACTIONS(13242),
    [sym__pipe_right_operator] = ACTIONS(13242),
    [sym__pipe_left_operator] = ACTIONS(13242),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13242),
    [sym__times_operator] = ACTIONS(13242),
    [sym__rational_operator] = ACTIONS(13242),
    [sym__bitshift_operator] = ACTIONS(13242),
    [sym__power_operator] = ACTIONS(13242),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13242),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13242),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8062] = {
    [aux_sym_open_tuple_repeat1] = STATE(7111),
    [ts_builtin_sym_end] = ACTIONS(13120),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(13124),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_RPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_RBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8063] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12158),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12158),
    [anon_sym_RPAREN] = ACTIONS(12158),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12158),
    [anon_sym_RBRACK] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_SEMI] = ACTIONS(12158),
    [anon_sym_LBRACE] = ACTIONS(12158),
    [anon_sym_RBRACE] = ACTIONS(12158),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12158),
    [anon_sym_COLON_COLON] = ACTIONS(12158),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12158),
    [anon_sym_QMARK] = ACTIONS(12158),
    [anon_sym_AT] = ACTIONS(12158),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12158),
    [aux_sym_integer_literal_token2] = ACTIONS(12158),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12158),
    [aux_sym_float_literal_token3] = ACTIONS(12158),
    [aux_sym_float_literal_token4] = ACTIONS(12158),
    [sym_character_literal] = ACTIONS(12158),
    [sym__pair_operator] = ACTIONS(12158),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12158),
    [sym__lazy_and_operator] = ACTIONS(12158),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12158),
    [sym__pipe_left_operator] = ACTIONS(12158),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12158),
    [sym__bitshift_operator] = ACTIONS(12158),
    [sym__power_operator] = ACTIONS(12158),
    [sym__tilde_operator] = ACTIONS(12158),
    [sym__type_order_operator] = ACTIONS(12158),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [8064] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8065] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_as] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_RPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_SEMI] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [8066] = {
    [ts_builtin_sym_end] = ACTIONS(13120),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(12412),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_RPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_RBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8067] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_as] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [8068] = {
    [ts_builtin_sym_end] = ACTIONS(13700),
    [sym__word_identifier] = ACTIONS(13698),
    [anon_sym_EQ] = ACTIONS(13698),
    [anon_sym_COMMA] = ACTIONS(13698),
    [anon_sym_COLON] = ACTIONS(13698),
    [anon_sym_begin] = ACTIONS(13698),
    [anon_sym_module] = ACTIONS(13698),
    [anon_sym_baremodule] = ACTIONS(13698),
    [anon_sym_abstract] = ACTIONS(13698),
    [anon_sym_primitive] = ACTIONS(13698),
    [anon_sym_mutable] = ACTIONS(13698),
    [anon_sym_struct] = ACTIONS(13698),
    [anon_sym_function] = ACTIONS(13698),
    [anon_sym_macro] = ACTIONS(13698),
    [anon_sym_where] = ACTIONS(13698),
    [anon_sym_quote] = ACTIONS(13698),
    [anon_sym_let] = ACTIONS(13698),
    [anon_sym_if] = ACTIONS(13698),
    [anon_sym_try] = ACTIONS(13698),
    [anon_sym_for] = ACTIONS(13698),
    [anon_sym_while] = ACTIONS(13698),
    [sym_break_statement] = ACTIONS(13698),
    [sym_continue_statement] = ACTIONS(13698),
    [anon_sym_return] = ACTIONS(13698),
    [anon_sym_const] = ACTIONS(13698),
    [anon_sym_global] = ACTIONS(13698),
    [anon_sym_local] = ACTIONS(13698),
    [anon_sym_LPAREN] = ACTIONS(13698),
    [anon_sym_RPAREN] = ACTIONS(13698),
    [anon_sym_COLON2] = ACTIONS(13698),
    [anon_sym_export] = ACTIONS(13698),
    [anon_sym_import] = ACTIONS(13698),
    [anon_sym_using] = ACTIONS(13698),
    [anon_sym_LBRACK] = ACTIONS(13698),
    [anon_sym_RBRACK] = ACTIONS(13698),
    [anon_sym_LF] = ACTIONS(13700),
    [anon_sym_in] = ACTIONS(13698),
    [anon_sym_LBRACE] = ACTIONS(13698),
    [anon_sym_DOLLAR] = ACTIONS(13698),
    [anon_sym_COLON_COLON] = ACTIONS(13698),
    [anon_sym_isa] = ACTIONS(13698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13698),
    [anon_sym_QMARK] = ACTIONS(13698),
    [anon_sym_AT] = ACTIONS(13698),
    [anon_sym_true] = ACTIONS(13698),
    [anon_sym_false] = ACTIONS(13698),
    [aux_sym_integer_literal_token1] = ACTIONS(13698),
    [aux_sym_integer_literal_token2] = ACTIONS(13698),
    [aux_sym_integer_literal_token3] = ACTIONS(13698),
    [aux_sym_integer_literal_token4] = ACTIONS(13698),
    [aux_sym_float_literal_token1] = ACTIONS(13698),
    [aux_sym_float_literal_token3] = ACTIONS(13698),
    [aux_sym_float_literal_token4] = ACTIONS(13698),
    [sym_character_literal] = ACTIONS(13698),
    [sym__pair_operator] = ACTIONS(13698),
    [sym__arrow_operator] = ACTIONS(13698),
    [sym__lazy_or_operator] = ACTIONS(13698),
    [sym__lazy_and_operator] = ACTIONS(13698),
    [sym__comparison_operator] = ACTIONS(13698),
    [sym__pipe_right_operator] = ACTIONS(13698),
    [sym__pipe_left_operator] = ACTIONS(13698),
    [sym__ellipsis_operator] = ACTIONS(13698),
    [sym__plus_operator] = ACTIONS(13698),
    [sym__times_operator] = ACTIONS(13698),
    [sym__rational_operator] = ACTIONS(13698),
    [sym__bitshift_operator] = ACTIONS(13698),
    [sym__power_operator] = ACTIONS(13698),
    [sym__tilde_operator] = ACTIONS(13698),
    [sym__type_order_operator] = ACTIONS(13698),
    [sym__unary_operator] = ACTIONS(13698),
    [sym__unary_plus_operator] = ACTIONS(13698),
    [aux_sym__terminator_token1] = ACTIONS(13698),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13700),
    [sym__command_start] = ACTIONS(13700),
  },
  [8069] = {
    [sym__word_identifier] = ACTIONS(14131),
    [anon_sym_EQ] = ACTIONS(14131),
    [anon_sym_COMMA] = ACTIONS(14131),
    [anon_sym_COLON] = ACTIONS(14131),
    [anon_sym_begin] = ACTIONS(14131),
    [anon_sym_module] = ACTIONS(14131),
    [anon_sym_baremodule] = ACTIONS(14131),
    [anon_sym_end] = ACTIONS(14131),
    [anon_sym_abstract] = ACTIONS(14131),
    [anon_sym_primitive] = ACTIONS(14131),
    [anon_sym_mutable] = ACTIONS(14131),
    [anon_sym_struct] = ACTIONS(14131),
    [anon_sym_function] = ACTIONS(14131),
    [anon_sym_macro] = ACTIONS(14131),
    [anon_sym_where] = ACTIONS(14131),
    [anon_sym_quote] = ACTIONS(14131),
    [anon_sym_let] = ACTIONS(14131),
    [anon_sym_if] = ACTIONS(14131),
    [anon_sym_else] = ACTIONS(14131),
    [anon_sym_try] = ACTIONS(14131),
    [anon_sym_finally] = ACTIONS(14131),
    [anon_sym_for] = ACTIONS(14131),
    [anon_sym_while] = ACTIONS(14131),
    [sym_break_statement] = ACTIONS(14131),
    [sym_continue_statement] = ACTIONS(14131),
    [anon_sym_return] = ACTIONS(14131),
    [anon_sym_const] = ACTIONS(14131),
    [anon_sym_global] = ACTIONS(14131),
    [anon_sym_local] = ACTIONS(14131),
    [anon_sym_LPAREN] = ACTIONS(14131),
    [anon_sym_COLON2] = ACTIONS(14131),
    [anon_sym_export] = ACTIONS(14131),
    [anon_sym_import] = ACTIONS(14131),
    [anon_sym_using] = ACTIONS(14131),
    [anon_sym_LBRACK] = ACTIONS(14131),
    [anon_sym_LF] = ACTIONS(14129),
    [anon_sym_in] = ACTIONS(14131),
    [anon_sym_LBRACE] = ACTIONS(14131),
    [anon_sym_DOLLAR] = ACTIONS(14131),
    [anon_sym_COLON_COLON] = ACTIONS(14131),
    [anon_sym_isa] = ACTIONS(14131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14131),
    [anon_sym_QMARK] = ACTIONS(14131),
    [anon_sym_AT] = ACTIONS(14131),
    [anon_sym_true] = ACTIONS(14131),
    [anon_sym_false] = ACTIONS(14131),
    [aux_sym_integer_literal_token1] = ACTIONS(14131),
    [aux_sym_integer_literal_token2] = ACTIONS(14131),
    [aux_sym_integer_literal_token3] = ACTIONS(14131),
    [aux_sym_integer_literal_token4] = ACTIONS(14131),
    [aux_sym_float_literal_token1] = ACTIONS(14131),
    [aux_sym_float_literal_token3] = ACTIONS(14131),
    [aux_sym_float_literal_token4] = ACTIONS(14131),
    [sym_character_literal] = ACTIONS(14131),
    [sym__pair_operator] = ACTIONS(14131),
    [sym__arrow_operator] = ACTIONS(14131),
    [sym__lazy_or_operator] = ACTIONS(14131),
    [sym__lazy_and_operator] = ACTIONS(14131),
    [sym__comparison_operator] = ACTIONS(14131),
    [sym__pipe_right_operator] = ACTIONS(14131),
    [sym__pipe_left_operator] = ACTIONS(14131),
    [sym__ellipsis_operator] = ACTIONS(14131),
    [sym__plus_operator] = ACTIONS(14131),
    [sym__times_operator] = ACTIONS(14131),
    [sym__rational_operator] = ACTIONS(14131),
    [sym__bitshift_operator] = ACTIONS(14131),
    [sym__power_operator] = ACTIONS(14131),
    [sym__tilde_operator] = ACTIONS(14131),
    [sym__type_order_operator] = ACTIONS(14131),
    [sym__unary_operator] = ACTIONS(14131),
    [sym__unary_plus_operator] = ACTIONS(14131),
    [aux_sym__terminator_token1] = ACTIONS(14131),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14129),
    [sym__command_start] = ACTIONS(14129),
  },
  [8070] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_as] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_RPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_SEMI] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [8071] = {
    [ts_builtin_sym_end] = ACTIONS(13738),
    [sym__word_identifier] = ACTIONS(13736),
    [anon_sym_EQ] = ACTIONS(13736),
    [anon_sym_COMMA] = ACTIONS(13736),
    [anon_sym_COLON] = ACTIONS(13736),
    [anon_sym_begin] = ACTIONS(13736),
    [anon_sym_module] = ACTIONS(13736),
    [anon_sym_baremodule] = ACTIONS(13736),
    [anon_sym_abstract] = ACTIONS(13736),
    [anon_sym_primitive] = ACTIONS(13736),
    [anon_sym_mutable] = ACTIONS(13736),
    [anon_sym_struct] = ACTIONS(13736),
    [anon_sym_function] = ACTIONS(13736),
    [anon_sym_macro] = ACTIONS(13736),
    [anon_sym_where] = ACTIONS(13736),
    [anon_sym_quote] = ACTIONS(13736),
    [anon_sym_let] = ACTIONS(13736),
    [anon_sym_if] = ACTIONS(13736),
    [anon_sym_try] = ACTIONS(13736),
    [anon_sym_for] = ACTIONS(13736),
    [anon_sym_while] = ACTIONS(13736),
    [sym_break_statement] = ACTIONS(13736),
    [sym_continue_statement] = ACTIONS(13736),
    [anon_sym_return] = ACTIONS(13736),
    [anon_sym_const] = ACTIONS(13736),
    [anon_sym_global] = ACTIONS(13736),
    [anon_sym_local] = ACTIONS(13736),
    [anon_sym_LPAREN] = ACTIONS(13736),
    [anon_sym_RPAREN] = ACTIONS(13736),
    [anon_sym_COLON2] = ACTIONS(13736),
    [anon_sym_export] = ACTIONS(13736),
    [anon_sym_import] = ACTIONS(13736),
    [anon_sym_using] = ACTIONS(13736),
    [anon_sym_LBRACK] = ACTIONS(13736),
    [anon_sym_RBRACK] = ACTIONS(13736),
    [anon_sym_LF] = ACTIONS(13738),
    [anon_sym_in] = ACTIONS(13736),
    [anon_sym_LBRACE] = ACTIONS(13736),
    [anon_sym_DOLLAR] = ACTIONS(13736),
    [anon_sym_COLON_COLON] = ACTIONS(13736),
    [anon_sym_isa] = ACTIONS(13736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13736),
    [anon_sym_QMARK] = ACTIONS(13736),
    [anon_sym_AT] = ACTIONS(13736),
    [anon_sym_true] = ACTIONS(13736),
    [anon_sym_false] = ACTIONS(13736),
    [aux_sym_integer_literal_token1] = ACTIONS(13736),
    [aux_sym_integer_literal_token2] = ACTIONS(13736),
    [aux_sym_integer_literal_token3] = ACTIONS(13736),
    [aux_sym_integer_literal_token4] = ACTIONS(13736),
    [aux_sym_float_literal_token1] = ACTIONS(13736),
    [aux_sym_float_literal_token3] = ACTIONS(13736),
    [aux_sym_float_literal_token4] = ACTIONS(13736),
    [sym_character_literal] = ACTIONS(13736),
    [sym__pair_operator] = ACTIONS(13736),
    [sym__arrow_operator] = ACTIONS(13736),
    [sym__lazy_or_operator] = ACTIONS(13736),
    [sym__lazy_and_operator] = ACTIONS(13736),
    [sym__comparison_operator] = ACTIONS(13736),
    [sym__pipe_right_operator] = ACTIONS(13736),
    [sym__pipe_left_operator] = ACTIONS(13736),
    [sym__ellipsis_operator] = ACTIONS(13736),
    [sym__plus_operator] = ACTIONS(13736),
    [sym__times_operator] = ACTIONS(13736),
    [sym__rational_operator] = ACTIONS(13736),
    [sym__bitshift_operator] = ACTIONS(13736),
    [sym__power_operator] = ACTIONS(13736),
    [sym__tilde_operator] = ACTIONS(13736),
    [sym__type_order_operator] = ACTIONS(13736),
    [sym__unary_operator] = ACTIONS(13736),
    [sym__unary_plus_operator] = ACTIONS(13736),
    [aux_sym__terminator_token1] = ACTIONS(13736),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13738),
    [sym__command_start] = ACTIONS(13738),
  },
  [8072] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_catch] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_as] = ACTIONS(12993),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [8073] = {
    [aux_sym_export_statement_repeat1] = STATE(8073),
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(14448),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_end] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_catch] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [8074] = {
    [ts_builtin_sym_end] = ACTIONS(13742),
    [sym__word_identifier] = ACTIONS(13740),
    [anon_sym_EQ] = ACTIONS(13740),
    [anon_sym_COMMA] = ACTIONS(13740),
    [anon_sym_COLON] = ACTIONS(13740),
    [anon_sym_begin] = ACTIONS(13740),
    [anon_sym_module] = ACTIONS(13740),
    [anon_sym_baremodule] = ACTIONS(13740),
    [anon_sym_abstract] = ACTIONS(13740),
    [anon_sym_primitive] = ACTIONS(13740),
    [anon_sym_mutable] = ACTIONS(13740),
    [anon_sym_struct] = ACTIONS(13740),
    [anon_sym_function] = ACTIONS(13740),
    [anon_sym_macro] = ACTIONS(13740),
    [anon_sym_where] = ACTIONS(13740),
    [anon_sym_quote] = ACTIONS(13740),
    [anon_sym_let] = ACTIONS(13740),
    [anon_sym_if] = ACTIONS(13740),
    [anon_sym_try] = ACTIONS(13740),
    [anon_sym_for] = ACTIONS(13740),
    [anon_sym_while] = ACTIONS(13740),
    [sym_break_statement] = ACTIONS(13740),
    [sym_continue_statement] = ACTIONS(13740),
    [anon_sym_return] = ACTIONS(13740),
    [anon_sym_const] = ACTIONS(13740),
    [anon_sym_global] = ACTIONS(13740),
    [anon_sym_local] = ACTIONS(13740),
    [anon_sym_LPAREN] = ACTIONS(13740),
    [anon_sym_RPAREN] = ACTIONS(13740),
    [anon_sym_COLON2] = ACTIONS(13740),
    [anon_sym_export] = ACTIONS(13740),
    [anon_sym_import] = ACTIONS(13740),
    [anon_sym_using] = ACTIONS(13740),
    [anon_sym_LBRACK] = ACTIONS(13740),
    [anon_sym_RBRACK] = ACTIONS(13740),
    [anon_sym_LF] = ACTIONS(13742),
    [anon_sym_in] = ACTIONS(13740),
    [anon_sym_LBRACE] = ACTIONS(13740),
    [anon_sym_DOLLAR] = ACTIONS(13740),
    [anon_sym_COLON_COLON] = ACTIONS(13740),
    [anon_sym_isa] = ACTIONS(13740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13740),
    [anon_sym_QMARK] = ACTIONS(13740),
    [anon_sym_AT] = ACTIONS(13740),
    [anon_sym_true] = ACTIONS(13740),
    [anon_sym_false] = ACTIONS(13740),
    [aux_sym_integer_literal_token1] = ACTIONS(13740),
    [aux_sym_integer_literal_token2] = ACTIONS(13740),
    [aux_sym_integer_literal_token3] = ACTIONS(13740),
    [aux_sym_integer_literal_token4] = ACTIONS(13740),
    [aux_sym_float_literal_token1] = ACTIONS(13740),
    [aux_sym_float_literal_token3] = ACTIONS(13740),
    [aux_sym_float_literal_token4] = ACTIONS(13740),
    [sym_character_literal] = ACTIONS(13740),
    [sym__pair_operator] = ACTIONS(13740),
    [sym__arrow_operator] = ACTIONS(13740),
    [sym__lazy_or_operator] = ACTIONS(13740),
    [sym__lazy_and_operator] = ACTIONS(13740),
    [sym__comparison_operator] = ACTIONS(13740),
    [sym__pipe_right_operator] = ACTIONS(13740),
    [sym__pipe_left_operator] = ACTIONS(13740),
    [sym__ellipsis_operator] = ACTIONS(13740),
    [sym__plus_operator] = ACTIONS(13740),
    [sym__times_operator] = ACTIONS(13740),
    [sym__rational_operator] = ACTIONS(13740),
    [sym__bitshift_operator] = ACTIONS(13740),
    [sym__power_operator] = ACTIONS(13740),
    [sym__tilde_operator] = ACTIONS(13740),
    [sym__type_order_operator] = ACTIONS(13740),
    [sym__unary_operator] = ACTIONS(13740),
    [sym__unary_plus_operator] = ACTIONS(13740),
    [aux_sym__terminator_token1] = ACTIONS(13740),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13742),
    [sym__command_start] = ACTIONS(13742),
  },
  [8075] = {
    [ts_builtin_sym_end] = ACTIONS(13750),
    [sym__word_identifier] = ACTIONS(13748),
    [anon_sym_EQ] = ACTIONS(13748),
    [anon_sym_COMMA] = ACTIONS(13748),
    [anon_sym_COLON] = ACTIONS(13748),
    [anon_sym_begin] = ACTIONS(13748),
    [anon_sym_module] = ACTIONS(13748),
    [anon_sym_baremodule] = ACTIONS(13748),
    [anon_sym_abstract] = ACTIONS(13748),
    [anon_sym_primitive] = ACTIONS(13748),
    [anon_sym_mutable] = ACTIONS(13748),
    [anon_sym_struct] = ACTIONS(13748),
    [anon_sym_function] = ACTIONS(13748),
    [anon_sym_macro] = ACTIONS(13748),
    [anon_sym_where] = ACTIONS(13748),
    [anon_sym_quote] = ACTIONS(13748),
    [anon_sym_let] = ACTIONS(13748),
    [anon_sym_if] = ACTIONS(13748),
    [anon_sym_try] = ACTIONS(13748),
    [anon_sym_for] = ACTIONS(13748),
    [anon_sym_while] = ACTIONS(13748),
    [sym_break_statement] = ACTIONS(13748),
    [sym_continue_statement] = ACTIONS(13748),
    [anon_sym_return] = ACTIONS(13748),
    [anon_sym_const] = ACTIONS(13748),
    [anon_sym_global] = ACTIONS(13748),
    [anon_sym_local] = ACTIONS(13748),
    [anon_sym_LPAREN] = ACTIONS(13748),
    [anon_sym_RPAREN] = ACTIONS(13748),
    [anon_sym_COLON2] = ACTIONS(13748),
    [anon_sym_export] = ACTIONS(13748),
    [anon_sym_import] = ACTIONS(13748),
    [anon_sym_using] = ACTIONS(13748),
    [anon_sym_LBRACK] = ACTIONS(13748),
    [anon_sym_RBRACK] = ACTIONS(13748),
    [anon_sym_LF] = ACTIONS(13750),
    [anon_sym_in] = ACTIONS(13748),
    [anon_sym_LBRACE] = ACTIONS(13748),
    [anon_sym_DOLLAR] = ACTIONS(13748),
    [anon_sym_COLON_COLON] = ACTIONS(13748),
    [anon_sym_isa] = ACTIONS(13748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13748),
    [anon_sym_QMARK] = ACTIONS(13748),
    [anon_sym_AT] = ACTIONS(13748),
    [anon_sym_true] = ACTIONS(13748),
    [anon_sym_false] = ACTIONS(13748),
    [aux_sym_integer_literal_token1] = ACTIONS(13748),
    [aux_sym_integer_literal_token2] = ACTIONS(13748),
    [aux_sym_integer_literal_token3] = ACTIONS(13748),
    [aux_sym_integer_literal_token4] = ACTIONS(13748),
    [aux_sym_float_literal_token1] = ACTIONS(13748),
    [aux_sym_float_literal_token3] = ACTIONS(13748),
    [aux_sym_float_literal_token4] = ACTIONS(13748),
    [sym_character_literal] = ACTIONS(13748),
    [sym__pair_operator] = ACTIONS(13748),
    [sym__arrow_operator] = ACTIONS(13748),
    [sym__lazy_or_operator] = ACTIONS(13748),
    [sym__lazy_and_operator] = ACTIONS(13748),
    [sym__comparison_operator] = ACTIONS(13748),
    [sym__pipe_right_operator] = ACTIONS(13748),
    [sym__pipe_left_operator] = ACTIONS(13748),
    [sym__ellipsis_operator] = ACTIONS(13748),
    [sym__plus_operator] = ACTIONS(13748),
    [sym__times_operator] = ACTIONS(13748),
    [sym__rational_operator] = ACTIONS(13748),
    [sym__bitshift_operator] = ACTIONS(13748),
    [sym__power_operator] = ACTIONS(13748),
    [sym__tilde_operator] = ACTIONS(13748),
    [sym__type_order_operator] = ACTIONS(13748),
    [sym__unary_operator] = ACTIONS(13748),
    [sym__unary_plus_operator] = ACTIONS(13748),
    [aux_sym__terminator_token1] = ACTIONS(13748),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13750),
    [sym__command_start] = ACTIONS(13750),
  },
  [8076] = {
    [ts_builtin_sym_end] = ACTIONS(13766),
    [sym__word_identifier] = ACTIONS(13764),
    [anon_sym_EQ] = ACTIONS(13764),
    [anon_sym_COMMA] = ACTIONS(13764),
    [anon_sym_COLON] = ACTIONS(13764),
    [anon_sym_begin] = ACTIONS(13764),
    [anon_sym_module] = ACTIONS(13764),
    [anon_sym_baremodule] = ACTIONS(13764),
    [anon_sym_abstract] = ACTIONS(13764),
    [anon_sym_primitive] = ACTIONS(13764),
    [anon_sym_mutable] = ACTIONS(13764),
    [anon_sym_struct] = ACTIONS(13764),
    [anon_sym_function] = ACTIONS(13764),
    [anon_sym_macro] = ACTIONS(13764),
    [anon_sym_where] = ACTIONS(13764),
    [anon_sym_quote] = ACTIONS(13764),
    [anon_sym_let] = ACTIONS(13764),
    [anon_sym_if] = ACTIONS(13764),
    [anon_sym_try] = ACTIONS(13764),
    [anon_sym_for] = ACTIONS(13764),
    [anon_sym_while] = ACTIONS(13764),
    [sym_break_statement] = ACTIONS(13764),
    [sym_continue_statement] = ACTIONS(13764),
    [anon_sym_return] = ACTIONS(13764),
    [anon_sym_const] = ACTIONS(13764),
    [anon_sym_global] = ACTIONS(13764),
    [anon_sym_local] = ACTIONS(13764),
    [anon_sym_LPAREN] = ACTIONS(13764),
    [anon_sym_RPAREN] = ACTIONS(13764),
    [anon_sym_COLON2] = ACTIONS(13764),
    [anon_sym_export] = ACTIONS(13764),
    [anon_sym_import] = ACTIONS(13764),
    [anon_sym_using] = ACTIONS(13764),
    [anon_sym_LBRACK] = ACTIONS(13764),
    [anon_sym_RBRACK] = ACTIONS(13764),
    [anon_sym_LF] = ACTIONS(13766),
    [anon_sym_in] = ACTIONS(13764),
    [anon_sym_LBRACE] = ACTIONS(13764),
    [anon_sym_DOLLAR] = ACTIONS(13764),
    [anon_sym_COLON_COLON] = ACTIONS(13764),
    [anon_sym_isa] = ACTIONS(13764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13764),
    [anon_sym_QMARK] = ACTIONS(13764),
    [anon_sym_AT] = ACTIONS(13764),
    [anon_sym_true] = ACTIONS(13764),
    [anon_sym_false] = ACTIONS(13764),
    [aux_sym_integer_literal_token1] = ACTIONS(13764),
    [aux_sym_integer_literal_token2] = ACTIONS(13764),
    [aux_sym_integer_literal_token3] = ACTIONS(13764),
    [aux_sym_integer_literal_token4] = ACTIONS(13764),
    [aux_sym_float_literal_token1] = ACTIONS(13764),
    [aux_sym_float_literal_token3] = ACTIONS(13764),
    [aux_sym_float_literal_token4] = ACTIONS(13764),
    [sym_character_literal] = ACTIONS(13764),
    [sym__pair_operator] = ACTIONS(13764),
    [sym__arrow_operator] = ACTIONS(13764),
    [sym__lazy_or_operator] = ACTIONS(13764),
    [sym__lazy_and_operator] = ACTIONS(13764),
    [sym__comparison_operator] = ACTIONS(13764),
    [sym__pipe_right_operator] = ACTIONS(13764),
    [sym__pipe_left_operator] = ACTIONS(13764),
    [sym__ellipsis_operator] = ACTIONS(13764),
    [sym__plus_operator] = ACTIONS(13764),
    [sym__times_operator] = ACTIONS(13764),
    [sym__rational_operator] = ACTIONS(13764),
    [sym__bitshift_operator] = ACTIONS(13764),
    [sym__power_operator] = ACTIONS(13764),
    [sym__tilde_operator] = ACTIONS(13764),
    [sym__type_order_operator] = ACTIONS(13764),
    [sym__unary_operator] = ACTIONS(13764),
    [sym__unary_plus_operator] = ACTIONS(13764),
    [aux_sym__terminator_token1] = ACTIONS(13764),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13766),
    [sym__command_start] = ACTIONS(13766),
  },
  [8077] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_as] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_RPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_SEMI] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [8078] = {
    [sym__comprehension_clause] = STATE(19854),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17311),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14451),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14453),
    [anon_sym_LF] = ACTIONS(14455),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14458),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [8079] = {
    [sym__comprehension_clause] = STATE(19794),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17257),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14461),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14463),
    [anon_sym_LF] = ACTIONS(14465),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14468),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [8080] = {
    [sym__comprehension_clause] = STATE(18297),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17223),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14471),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14473),
    [anon_sym_LF] = ACTIONS(14475),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14478),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [8081] = {
    [ts_builtin_sym_end] = ACTIONS(13770),
    [sym__word_identifier] = ACTIONS(13768),
    [anon_sym_EQ] = ACTIONS(13768),
    [anon_sym_COMMA] = ACTIONS(13768),
    [anon_sym_COLON] = ACTIONS(13768),
    [anon_sym_begin] = ACTIONS(13768),
    [anon_sym_module] = ACTIONS(13768),
    [anon_sym_baremodule] = ACTIONS(13768),
    [anon_sym_abstract] = ACTIONS(13768),
    [anon_sym_primitive] = ACTIONS(13768),
    [anon_sym_mutable] = ACTIONS(13768),
    [anon_sym_struct] = ACTIONS(13768),
    [anon_sym_function] = ACTIONS(13768),
    [anon_sym_macro] = ACTIONS(13768),
    [anon_sym_where] = ACTIONS(13768),
    [anon_sym_quote] = ACTIONS(13768),
    [anon_sym_let] = ACTIONS(13768),
    [anon_sym_if] = ACTIONS(13768),
    [anon_sym_try] = ACTIONS(13768),
    [anon_sym_for] = ACTIONS(13768),
    [anon_sym_while] = ACTIONS(13768),
    [sym_break_statement] = ACTIONS(13768),
    [sym_continue_statement] = ACTIONS(13768),
    [anon_sym_return] = ACTIONS(13768),
    [anon_sym_const] = ACTIONS(13768),
    [anon_sym_global] = ACTIONS(13768),
    [anon_sym_local] = ACTIONS(13768),
    [anon_sym_LPAREN] = ACTIONS(13768),
    [anon_sym_RPAREN] = ACTIONS(13768),
    [anon_sym_COLON2] = ACTIONS(13768),
    [anon_sym_export] = ACTIONS(13768),
    [anon_sym_import] = ACTIONS(13768),
    [anon_sym_using] = ACTIONS(13768),
    [anon_sym_LBRACK] = ACTIONS(13768),
    [anon_sym_RBRACK] = ACTIONS(13768),
    [anon_sym_LF] = ACTIONS(13770),
    [anon_sym_in] = ACTIONS(13768),
    [anon_sym_LBRACE] = ACTIONS(13768),
    [anon_sym_DOLLAR] = ACTIONS(13768),
    [anon_sym_COLON_COLON] = ACTIONS(13768),
    [anon_sym_isa] = ACTIONS(13768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13768),
    [anon_sym_QMARK] = ACTIONS(13768),
    [anon_sym_AT] = ACTIONS(13768),
    [anon_sym_true] = ACTIONS(13768),
    [anon_sym_false] = ACTIONS(13768),
    [aux_sym_integer_literal_token1] = ACTIONS(13768),
    [aux_sym_integer_literal_token2] = ACTIONS(13768),
    [aux_sym_integer_literal_token3] = ACTIONS(13768),
    [aux_sym_integer_literal_token4] = ACTIONS(13768),
    [aux_sym_float_literal_token1] = ACTIONS(13768),
    [aux_sym_float_literal_token3] = ACTIONS(13768),
    [aux_sym_float_literal_token4] = ACTIONS(13768),
    [sym_character_literal] = ACTIONS(13768),
    [sym__pair_operator] = ACTIONS(13768),
    [sym__arrow_operator] = ACTIONS(13768),
    [sym__lazy_or_operator] = ACTIONS(13768),
    [sym__lazy_and_operator] = ACTIONS(13768),
    [sym__comparison_operator] = ACTIONS(13768),
    [sym__pipe_right_operator] = ACTIONS(13768),
    [sym__pipe_left_operator] = ACTIONS(13768),
    [sym__ellipsis_operator] = ACTIONS(13768),
    [sym__plus_operator] = ACTIONS(13768),
    [sym__times_operator] = ACTIONS(13768),
    [sym__rational_operator] = ACTIONS(13768),
    [sym__bitshift_operator] = ACTIONS(13768),
    [sym__power_operator] = ACTIONS(13768),
    [sym__tilde_operator] = ACTIONS(13768),
    [sym__type_order_operator] = ACTIONS(13768),
    [sym__unary_operator] = ACTIONS(13768),
    [sym__unary_plus_operator] = ACTIONS(13768),
    [aux_sym__terminator_token1] = ACTIONS(13768),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13770),
    [sym__command_start] = ACTIONS(13770),
  },
  [8082] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [ts_builtin_sym_end] = ACTIONS(13236),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_RPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_RBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8083] = {
    [sym__comprehension_clause] = STATE(18939),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17127),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14481),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14483),
    [anon_sym_LF] = ACTIONS(14485),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14488),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [8084] = {
    [ts_builtin_sym_end] = ACTIONS(13774),
    [sym__word_identifier] = ACTIONS(13772),
    [anon_sym_EQ] = ACTIONS(13772),
    [anon_sym_COMMA] = ACTIONS(13772),
    [anon_sym_COLON] = ACTIONS(13772),
    [anon_sym_begin] = ACTIONS(13772),
    [anon_sym_module] = ACTIONS(13772),
    [anon_sym_baremodule] = ACTIONS(13772),
    [anon_sym_abstract] = ACTIONS(13772),
    [anon_sym_primitive] = ACTIONS(13772),
    [anon_sym_mutable] = ACTIONS(13772),
    [anon_sym_struct] = ACTIONS(13772),
    [anon_sym_function] = ACTIONS(13772),
    [anon_sym_macro] = ACTIONS(13772),
    [anon_sym_where] = ACTIONS(13772),
    [anon_sym_quote] = ACTIONS(13772),
    [anon_sym_let] = ACTIONS(13772),
    [anon_sym_if] = ACTIONS(13772),
    [anon_sym_try] = ACTIONS(13772),
    [anon_sym_for] = ACTIONS(13772),
    [anon_sym_while] = ACTIONS(13772),
    [sym_break_statement] = ACTIONS(13772),
    [sym_continue_statement] = ACTIONS(13772),
    [anon_sym_return] = ACTIONS(13772),
    [anon_sym_const] = ACTIONS(13772),
    [anon_sym_global] = ACTIONS(13772),
    [anon_sym_local] = ACTIONS(13772),
    [anon_sym_LPAREN] = ACTIONS(13772),
    [anon_sym_RPAREN] = ACTIONS(13772),
    [anon_sym_COLON2] = ACTIONS(13772),
    [anon_sym_export] = ACTIONS(13772),
    [anon_sym_import] = ACTIONS(13772),
    [anon_sym_using] = ACTIONS(13772),
    [anon_sym_LBRACK] = ACTIONS(13772),
    [anon_sym_RBRACK] = ACTIONS(13772),
    [anon_sym_LF] = ACTIONS(13774),
    [anon_sym_in] = ACTIONS(13772),
    [anon_sym_LBRACE] = ACTIONS(13772),
    [anon_sym_DOLLAR] = ACTIONS(13772),
    [anon_sym_COLON_COLON] = ACTIONS(13772),
    [anon_sym_isa] = ACTIONS(13772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13772),
    [anon_sym_QMARK] = ACTIONS(13772),
    [anon_sym_AT] = ACTIONS(13772),
    [anon_sym_true] = ACTIONS(13772),
    [anon_sym_false] = ACTIONS(13772),
    [aux_sym_integer_literal_token1] = ACTIONS(13772),
    [aux_sym_integer_literal_token2] = ACTIONS(13772),
    [aux_sym_integer_literal_token3] = ACTIONS(13772),
    [aux_sym_integer_literal_token4] = ACTIONS(13772),
    [aux_sym_float_literal_token1] = ACTIONS(13772),
    [aux_sym_float_literal_token3] = ACTIONS(13772),
    [aux_sym_float_literal_token4] = ACTIONS(13772),
    [sym_character_literal] = ACTIONS(13772),
    [sym__pair_operator] = ACTIONS(13772),
    [sym__arrow_operator] = ACTIONS(13772),
    [sym__lazy_or_operator] = ACTIONS(13772),
    [sym__lazy_and_operator] = ACTIONS(13772),
    [sym__comparison_operator] = ACTIONS(13772),
    [sym__pipe_right_operator] = ACTIONS(13772),
    [sym__pipe_left_operator] = ACTIONS(13772),
    [sym__ellipsis_operator] = ACTIONS(13772),
    [sym__plus_operator] = ACTIONS(13772),
    [sym__times_operator] = ACTIONS(13772),
    [sym__rational_operator] = ACTIONS(13772),
    [sym__bitshift_operator] = ACTIONS(13772),
    [sym__power_operator] = ACTIONS(13772),
    [sym__tilde_operator] = ACTIONS(13772),
    [sym__type_order_operator] = ACTIONS(13772),
    [sym__unary_operator] = ACTIONS(13772),
    [sym__unary_plus_operator] = ACTIONS(13772),
    [aux_sym__terminator_token1] = ACTIONS(13772),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13774),
    [sym__command_start] = ACTIONS(13774),
  },
  [8085] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_as] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_RPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_SEMI] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [8086] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12172),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12172),
    [anon_sym_RPAREN] = ACTIONS(12172),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12172),
    [anon_sym_RBRACK] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_SEMI] = ACTIONS(12172),
    [anon_sym_LBRACE] = ACTIONS(12172),
    [anon_sym_RBRACE] = ACTIONS(12172),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12172),
    [anon_sym_COLON_COLON] = ACTIONS(12172),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12172),
    [anon_sym_QMARK] = ACTIONS(12172),
    [anon_sym_AT] = ACTIONS(12172),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12172),
    [aux_sym_integer_literal_token2] = ACTIONS(12172),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12172),
    [aux_sym_float_literal_token3] = ACTIONS(12172),
    [aux_sym_float_literal_token4] = ACTIONS(12172),
    [sym_character_literal] = ACTIONS(12172),
    [sym__pair_operator] = ACTIONS(12172),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12172),
    [sym__lazy_and_operator] = ACTIONS(12172),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12172),
    [sym__pipe_left_operator] = ACTIONS(12172),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12172),
    [sym__bitshift_operator] = ACTIONS(12172),
    [sym__power_operator] = ACTIONS(12172),
    [sym__tilde_operator] = ACTIONS(12172),
    [sym__type_order_operator] = ACTIONS(12172),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [8087] = {
    [ts_builtin_sym_end] = ACTIONS(13778),
    [sym__word_identifier] = ACTIONS(13776),
    [anon_sym_EQ] = ACTIONS(13776),
    [anon_sym_COMMA] = ACTIONS(13776),
    [anon_sym_COLON] = ACTIONS(13776),
    [anon_sym_begin] = ACTIONS(13776),
    [anon_sym_module] = ACTIONS(13776),
    [anon_sym_baremodule] = ACTIONS(13776),
    [anon_sym_abstract] = ACTIONS(13776),
    [anon_sym_primitive] = ACTIONS(13776),
    [anon_sym_mutable] = ACTIONS(13776),
    [anon_sym_struct] = ACTIONS(13776),
    [anon_sym_function] = ACTIONS(13776),
    [anon_sym_macro] = ACTIONS(13776),
    [anon_sym_where] = ACTIONS(13776),
    [anon_sym_quote] = ACTIONS(13776),
    [anon_sym_let] = ACTIONS(13776),
    [anon_sym_if] = ACTIONS(13776),
    [anon_sym_try] = ACTIONS(13776),
    [anon_sym_for] = ACTIONS(13776),
    [anon_sym_while] = ACTIONS(13776),
    [sym_break_statement] = ACTIONS(13776),
    [sym_continue_statement] = ACTIONS(13776),
    [anon_sym_return] = ACTIONS(13776),
    [anon_sym_const] = ACTIONS(13776),
    [anon_sym_global] = ACTIONS(13776),
    [anon_sym_local] = ACTIONS(13776),
    [anon_sym_LPAREN] = ACTIONS(13776),
    [anon_sym_RPAREN] = ACTIONS(13776),
    [anon_sym_COLON2] = ACTIONS(13776),
    [anon_sym_export] = ACTIONS(13776),
    [anon_sym_import] = ACTIONS(13776),
    [anon_sym_using] = ACTIONS(13776),
    [anon_sym_LBRACK] = ACTIONS(13776),
    [anon_sym_RBRACK] = ACTIONS(13776),
    [anon_sym_LF] = ACTIONS(13778),
    [anon_sym_in] = ACTIONS(13776),
    [anon_sym_LBRACE] = ACTIONS(13776),
    [anon_sym_DOLLAR] = ACTIONS(13776),
    [anon_sym_COLON_COLON] = ACTIONS(13776),
    [anon_sym_isa] = ACTIONS(13776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13776),
    [anon_sym_QMARK] = ACTIONS(13776),
    [anon_sym_AT] = ACTIONS(13776),
    [anon_sym_true] = ACTIONS(13776),
    [anon_sym_false] = ACTIONS(13776),
    [aux_sym_integer_literal_token1] = ACTIONS(13776),
    [aux_sym_integer_literal_token2] = ACTIONS(13776),
    [aux_sym_integer_literal_token3] = ACTIONS(13776),
    [aux_sym_integer_literal_token4] = ACTIONS(13776),
    [aux_sym_float_literal_token1] = ACTIONS(13776),
    [aux_sym_float_literal_token3] = ACTIONS(13776),
    [aux_sym_float_literal_token4] = ACTIONS(13776),
    [sym_character_literal] = ACTIONS(13776),
    [sym__pair_operator] = ACTIONS(13776),
    [sym__arrow_operator] = ACTIONS(13776),
    [sym__lazy_or_operator] = ACTIONS(13776),
    [sym__lazy_and_operator] = ACTIONS(13776),
    [sym__comparison_operator] = ACTIONS(13776),
    [sym__pipe_right_operator] = ACTIONS(13776),
    [sym__pipe_left_operator] = ACTIONS(13776),
    [sym__ellipsis_operator] = ACTIONS(13776),
    [sym__plus_operator] = ACTIONS(13776),
    [sym__times_operator] = ACTIONS(13776),
    [sym__rational_operator] = ACTIONS(13776),
    [sym__bitshift_operator] = ACTIONS(13776),
    [sym__power_operator] = ACTIONS(13776),
    [sym__tilde_operator] = ACTIONS(13776),
    [sym__type_order_operator] = ACTIONS(13776),
    [sym__unary_operator] = ACTIONS(13776),
    [sym__unary_plus_operator] = ACTIONS(13776),
    [aux_sym__terminator_token1] = ACTIONS(13776),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13778),
    [sym__command_start] = ACTIONS(13778),
  },
  [8088] = {
    [ts_builtin_sym_end] = ACTIONS(13782),
    [sym__word_identifier] = ACTIONS(13780),
    [anon_sym_EQ] = ACTIONS(13780),
    [anon_sym_COMMA] = ACTIONS(13780),
    [anon_sym_COLON] = ACTIONS(13780),
    [anon_sym_begin] = ACTIONS(13780),
    [anon_sym_module] = ACTIONS(13780),
    [anon_sym_baremodule] = ACTIONS(13780),
    [anon_sym_abstract] = ACTIONS(13780),
    [anon_sym_primitive] = ACTIONS(13780),
    [anon_sym_mutable] = ACTIONS(13780),
    [anon_sym_struct] = ACTIONS(13780),
    [anon_sym_function] = ACTIONS(13780),
    [anon_sym_macro] = ACTIONS(13780),
    [anon_sym_where] = ACTIONS(13780),
    [anon_sym_quote] = ACTIONS(13780),
    [anon_sym_let] = ACTIONS(13780),
    [anon_sym_if] = ACTIONS(13780),
    [anon_sym_try] = ACTIONS(13780),
    [anon_sym_for] = ACTIONS(13780),
    [anon_sym_while] = ACTIONS(13780),
    [sym_break_statement] = ACTIONS(13780),
    [sym_continue_statement] = ACTIONS(13780),
    [anon_sym_return] = ACTIONS(13780),
    [anon_sym_const] = ACTIONS(13780),
    [anon_sym_global] = ACTIONS(13780),
    [anon_sym_local] = ACTIONS(13780),
    [anon_sym_LPAREN] = ACTIONS(13780),
    [anon_sym_RPAREN] = ACTIONS(13780),
    [anon_sym_COLON2] = ACTIONS(13780),
    [anon_sym_export] = ACTIONS(13780),
    [anon_sym_import] = ACTIONS(13780),
    [anon_sym_using] = ACTIONS(13780),
    [anon_sym_LBRACK] = ACTIONS(13780),
    [anon_sym_RBRACK] = ACTIONS(13780),
    [anon_sym_LF] = ACTIONS(13782),
    [anon_sym_in] = ACTIONS(13780),
    [anon_sym_LBRACE] = ACTIONS(13780),
    [anon_sym_DOLLAR] = ACTIONS(13780),
    [anon_sym_COLON_COLON] = ACTIONS(13780),
    [anon_sym_isa] = ACTIONS(13780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13780),
    [anon_sym_QMARK] = ACTIONS(13780),
    [anon_sym_AT] = ACTIONS(13780),
    [anon_sym_true] = ACTIONS(13780),
    [anon_sym_false] = ACTIONS(13780),
    [aux_sym_integer_literal_token1] = ACTIONS(13780),
    [aux_sym_integer_literal_token2] = ACTIONS(13780),
    [aux_sym_integer_literal_token3] = ACTIONS(13780),
    [aux_sym_integer_literal_token4] = ACTIONS(13780),
    [aux_sym_float_literal_token1] = ACTIONS(13780),
    [aux_sym_float_literal_token3] = ACTIONS(13780),
    [aux_sym_float_literal_token4] = ACTIONS(13780),
    [sym_character_literal] = ACTIONS(13780),
    [sym__pair_operator] = ACTIONS(13780),
    [sym__arrow_operator] = ACTIONS(13780),
    [sym__lazy_or_operator] = ACTIONS(13780),
    [sym__lazy_and_operator] = ACTIONS(13780),
    [sym__comparison_operator] = ACTIONS(13780),
    [sym__pipe_right_operator] = ACTIONS(13780),
    [sym__pipe_left_operator] = ACTIONS(13780),
    [sym__ellipsis_operator] = ACTIONS(13780),
    [sym__plus_operator] = ACTIONS(13780),
    [sym__times_operator] = ACTIONS(13780),
    [sym__rational_operator] = ACTIONS(13780),
    [sym__bitshift_operator] = ACTIONS(13780),
    [sym__power_operator] = ACTIONS(13780),
    [sym__tilde_operator] = ACTIONS(13780),
    [sym__type_order_operator] = ACTIONS(13780),
    [sym__unary_operator] = ACTIONS(13780),
    [sym__unary_plus_operator] = ACTIONS(13780),
    [aux_sym__terminator_token1] = ACTIONS(13780),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13782),
    [sym__command_start] = ACTIONS(13782),
  },
  [8089] = {
    [ts_builtin_sym_end] = ACTIONS(13806),
    [sym__word_identifier] = ACTIONS(13804),
    [anon_sym_EQ] = ACTIONS(13804),
    [anon_sym_COMMA] = ACTIONS(13804),
    [anon_sym_COLON] = ACTIONS(13804),
    [anon_sym_begin] = ACTIONS(13804),
    [anon_sym_module] = ACTIONS(13804),
    [anon_sym_baremodule] = ACTIONS(13804),
    [anon_sym_abstract] = ACTIONS(13804),
    [anon_sym_primitive] = ACTIONS(13804),
    [anon_sym_mutable] = ACTIONS(13804),
    [anon_sym_struct] = ACTIONS(13804),
    [anon_sym_function] = ACTIONS(13804),
    [anon_sym_macro] = ACTIONS(13804),
    [anon_sym_where] = ACTIONS(13804),
    [anon_sym_quote] = ACTIONS(13804),
    [anon_sym_let] = ACTIONS(13804),
    [anon_sym_if] = ACTIONS(13804),
    [anon_sym_try] = ACTIONS(13804),
    [anon_sym_for] = ACTIONS(13804),
    [anon_sym_while] = ACTIONS(13804),
    [sym_break_statement] = ACTIONS(13804),
    [sym_continue_statement] = ACTIONS(13804),
    [anon_sym_return] = ACTIONS(13804),
    [anon_sym_const] = ACTIONS(13804),
    [anon_sym_global] = ACTIONS(13804),
    [anon_sym_local] = ACTIONS(13804),
    [anon_sym_LPAREN] = ACTIONS(13804),
    [anon_sym_RPAREN] = ACTIONS(13804),
    [anon_sym_COLON2] = ACTIONS(13804),
    [anon_sym_export] = ACTIONS(13804),
    [anon_sym_import] = ACTIONS(13804),
    [anon_sym_using] = ACTIONS(13804),
    [anon_sym_LBRACK] = ACTIONS(13804),
    [anon_sym_RBRACK] = ACTIONS(13804),
    [anon_sym_LF] = ACTIONS(13806),
    [anon_sym_in] = ACTIONS(13804),
    [anon_sym_LBRACE] = ACTIONS(13804),
    [anon_sym_DOLLAR] = ACTIONS(13804),
    [anon_sym_COLON_COLON] = ACTIONS(13804),
    [anon_sym_isa] = ACTIONS(13804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13804),
    [anon_sym_QMARK] = ACTIONS(13804),
    [anon_sym_AT] = ACTIONS(13804),
    [anon_sym_true] = ACTIONS(13804),
    [anon_sym_false] = ACTIONS(13804),
    [aux_sym_integer_literal_token1] = ACTIONS(13804),
    [aux_sym_integer_literal_token2] = ACTIONS(13804),
    [aux_sym_integer_literal_token3] = ACTIONS(13804),
    [aux_sym_integer_literal_token4] = ACTIONS(13804),
    [aux_sym_float_literal_token1] = ACTIONS(13804),
    [aux_sym_float_literal_token3] = ACTIONS(13804),
    [aux_sym_float_literal_token4] = ACTIONS(13804),
    [sym_character_literal] = ACTIONS(13804),
    [sym__pair_operator] = ACTIONS(13804),
    [sym__arrow_operator] = ACTIONS(13804),
    [sym__lazy_or_operator] = ACTIONS(13804),
    [sym__lazy_and_operator] = ACTIONS(13804),
    [sym__comparison_operator] = ACTIONS(13804),
    [sym__pipe_right_operator] = ACTIONS(13804),
    [sym__pipe_left_operator] = ACTIONS(13804),
    [sym__ellipsis_operator] = ACTIONS(13804),
    [sym__plus_operator] = ACTIONS(13804),
    [sym__times_operator] = ACTIONS(13804),
    [sym__rational_operator] = ACTIONS(13804),
    [sym__bitshift_operator] = ACTIONS(13804),
    [sym__power_operator] = ACTIONS(13804),
    [sym__tilde_operator] = ACTIONS(13804),
    [sym__type_order_operator] = ACTIONS(13804),
    [sym__unary_operator] = ACTIONS(13804),
    [sym__unary_plus_operator] = ACTIONS(13804),
    [aux_sym__terminator_token1] = ACTIONS(13804),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13806),
    [sym__command_start] = ACTIONS(13806),
  },
  [8090] = {
    [ts_builtin_sym_end] = ACTIONS(13810),
    [sym__word_identifier] = ACTIONS(13808),
    [anon_sym_EQ] = ACTIONS(13808),
    [anon_sym_COMMA] = ACTIONS(13808),
    [anon_sym_COLON] = ACTIONS(13808),
    [anon_sym_begin] = ACTIONS(13808),
    [anon_sym_module] = ACTIONS(13808),
    [anon_sym_baremodule] = ACTIONS(13808),
    [anon_sym_abstract] = ACTIONS(13808),
    [anon_sym_primitive] = ACTIONS(13808),
    [anon_sym_mutable] = ACTIONS(13808),
    [anon_sym_struct] = ACTIONS(13808),
    [anon_sym_function] = ACTIONS(13808),
    [anon_sym_macro] = ACTIONS(13808),
    [anon_sym_where] = ACTIONS(13808),
    [anon_sym_quote] = ACTIONS(13808),
    [anon_sym_let] = ACTIONS(13808),
    [anon_sym_if] = ACTIONS(13808),
    [anon_sym_try] = ACTIONS(13808),
    [anon_sym_for] = ACTIONS(13808),
    [anon_sym_while] = ACTIONS(13808),
    [sym_break_statement] = ACTIONS(13808),
    [sym_continue_statement] = ACTIONS(13808),
    [anon_sym_return] = ACTIONS(13808),
    [anon_sym_const] = ACTIONS(13808),
    [anon_sym_global] = ACTIONS(13808),
    [anon_sym_local] = ACTIONS(13808),
    [anon_sym_LPAREN] = ACTIONS(13808),
    [anon_sym_RPAREN] = ACTIONS(13808),
    [anon_sym_COLON2] = ACTIONS(13808),
    [anon_sym_export] = ACTIONS(13808),
    [anon_sym_import] = ACTIONS(13808),
    [anon_sym_using] = ACTIONS(13808),
    [anon_sym_LBRACK] = ACTIONS(13808),
    [anon_sym_RBRACK] = ACTIONS(13808),
    [anon_sym_LF] = ACTIONS(13810),
    [anon_sym_in] = ACTIONS(13808),
    [anon_sym_LBRACE] = ACTIONS(13808),
    [anon_sym_DOLLAR] = ACTIONS(13808),
    [anon_sym_COLON_COLON] = ACTIONS(13808),
    [anon_sym_isa] = ACTIONS(13808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13808),
    [anon_sym_QMARK] = ACTIONS(13808),
    [anon_sym_AT] = ACTIONS(13808),
    [anon_sym_true] = ACTIONS(13808),
    [anon_sym_false] = ACTIONS(13808),
    [aux_sym_integer_literal_token1] = ACTIONS(13808),
    [aux_sym_integer_literal_token2] = ACTIONS(13808),
    [aux_sym_integer_literal_token3] = ACTIONS(13808),
    [aux_sym_integer_literal_token4] = ACTIONS(13808),
    [aux_sym_float_literal_token1] = ACTIONS(13808),
    [aux_sym_float_literal_token3] = ACTIONS(13808),
    [aux_sym_float_literal_token4] = ACTIONS(13808),
    [sym_character_literal] = ACTIONS(13808),
    [sym__pair_operator] = ACTIONS(13808),
    [sym__arrow_operator] = ACTIONS(13808),
    [sym__lazy_or_operator] = ACTIONS(13808),
    [sym__lazy_and_operator] = ACTIONS(13808),
    [sym__comparison_operator] = ACTIONS(13808),
    [sym__pipe_right_operator] = ACTIONS(13808),
    [sym__pipe_left_operator] = ACTIONS(13808),
    [sym__ellipsis_operator] = ACTIONS(13808),
    [sym__plus_operator] = ACTIONS(13808),
    [sym__times_operator] = ACTIONS(13808),
    [sym__rational_operator] = ACTIONS(13808),
    [sym__bitshift_operator] = ACTIONS(13808),
    [sym__power_operator] = ACTIONS(13808),
    [sym__tilde_operator] = ACTIONS(13808),
    [sym__type_order_operator] = ACTIONS(13808),
    [sym__unary_operator] = ACTIONS(13808),
    [sym__unary_plus_operator] = ACTIONS(13808),
    [aux_sym__terminator_token1] = ACTIONS(13808),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13810),
    [sym__command_start] = ACTIONS(13810),
  },
  [8091] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_else] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8092] = {
    [sym__comprehension_clause] = STATE(19320),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16840),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14491),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14493),
    [anon_sym_LF] = ACTIONS(14495),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14498),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [8093] = {
    [ts_builtin_sym_end] = ACTIONS(13814),
    [sym__word_identifier] = ACTIONS(13812),
    [anon_sym_EQ] = ACTIONS(13812),
    [anon_sym_COMMA] = ACTIONS(13812),
    [anon_sym_COLON] = ACTIONS(13812),
    [anon_sym_begin] = ACTIONS(13812),
    [anon_sym_module] = ACTIONS(13812),
    [anon_sym_baremodule] = ACTIONS(13812),
    [anon_sym_abstract] = ACTIONS(13812),
    [anon_sym_primitive] = ACTIONS(13812),
    [anon_sym_mutable] = ACTIONS(13812),
    [anon_sym_struct] = ACTIONS(13812),
    [anon_sym_function] = ACTIONS(13812),
    [anon_sym_macro] = ACTIONS(13812),
    [anon_sym_where] = ACTIONS(13812),
    [anon_sym_quote] = ACTIONS(13812),
    [anon_sym_let] = ACTIONS(13812),
    [anon_sym_if] = ACTIONS(13812),
    [anon_sym_try] = ACTIONS(13812),
    [anon_sym_for] = ACTIONS(13812),
    [anon_sym_while] = ACTIONS(13812),
    [sym_break_statement] = ACTIONS(13812),
    [sym_continue_statement] = ACTIONS(13812),
    [anon_sym_return] = ACTIONS(13812),
    [anon_sym_const] = ACTIONS(13812),
    [anon_sym_global] = ACTIONS(13812),
    [anon_sym_local] = ACTIONS(13812),
    [anon_sym_LPAREN] = ACTIONS(13812),
    [anon_sym_RPAREN] = ACTIONS(13812),
    [anon_sym_COLON2] = ACTIONS(13812),
    [anon_sym_export] = ACTIONS(13812),
    [anon_sym_import] = ACTIONS(13812),
    [anon_sym_using] = ACTIONS(13812),
    [anon_sym_LBRACK] = ACTIONS(13812),
    [anon_sym_RBRACK] = ACTIONS(13812),
    [anon_sym_LF] = ACTIONS(13814),
    [anon_sym_in] = ACTIONS(13812),
    [anon_sym_LBRACE] = ACTIONS(13812),
    [anon_sym_DOLLAR] = ACTIONS(13812),
    [anon_sym_COLON_COLON] = ACTIONS(13812),
    [anon_sym_isa] = ACTIONS(13812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13812),
    [anon_sym_QMARK] = ACTIONS(13812),
    [anon_sym_AT] = ACTIONS(13812),
    [anon_sym_true] = ACTIONS(13812),
    [anon_sym_false] = ACTIONS(13812),
    [aux_sym_integer_literal_token1] = ACTIONS(13812),
    [aux_sym_integer_literal_token2] = ACTIONS(13812),
    [aux_sym_integer_literal_token3] = ACTIONS(13812),
    [aux_sym_integer_literal_token4] = ACTIONS(13812),
    [aux_sym_float_literal_token1] = ACTIONS(13812),
    [aux_sym_float_literal_token3] = ACTIONS(13812),
    [aux_sym_float_literal_token4] = ACTIONS(13812),
    [sym_character_literal] = ACTIONS(13812),
    [sym__pair_operator] = ACTIONS(13812),
    [sym__arrow_operator] = ACTIONS(13812),
    [sym__lazy_or_operator] = ACTIONS(13812),
    [sym__lazy_and_operator] = ACTIONS(13812),
    [sym__comparison_operator] = ACTIONS(13812),
    [sym__pipe_right_operator] = ACTIONS(13812),
    [sym__pipe_left_operator] = ACTIONS(13812),
    [sym__ellipsis_operator] = ACTIONS(13812),
    [sym__plus_operator] = ACTIONS(13812),
    [sym__times_operator] = ACTIONS(13812),
    [sym__rational_operator] = ACTIONS(13812),
    [sym__bitshift_operator] = ACTIONS(13812),
    [sym__power_operator] = ACTIONS(13812),
    [sym__tilde_operator] = ACTIONS(13812),
    [sym__type_order_operator] = ACTIONS(13812),
    [sym__unary_operator] = ACTIONS(13812),
    [sym__unary_plus_operator] = ACTIONS(13812),
    [aux_sym__terminator_token1] = ACTIONS(13812),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13814),
    [sym__command_start] = ACTIONS(13814),
  },
  [8094] = {
    [ts_builtin_sym_end] = ACTIONS(13818),
    [sym__word_identifier] = ACTIONS(13816),
    [anon_sym_EQ] = ACTIONS(13816),
    [anon_sym_COMMA] = ACTIONS(13816),
    [anon_sym_COLON] = ACTIONS(13816),
    [anon_sym_begin] = ACTIONS(13816),
    [anon_sym_module] = ACTIONS(13816),
    [anon_sym_baremodule] = ACTIONS(13816),
    [anon_sym_abstract] = ACTIONS(13816),
    [anon_sym_primitive] = ACTIONS(13816),
    [anon_sym_mutable] = ACTIONS(13816),
    [anon_sym_struct] = ACTIONS(13816),
    [anon_sym_function] = ACTIONS(13816),
    [anon_sym_macro] = ACTIONS(13816),
    [anon_sym_where] = ACTIONS(13816),
    [anon_sym_quote] = ACTIONS(13816),
    [anon_sym_let] = ACTIONS(13816),
    [anon_sym_if] = ACTIONS(13816),
    [anon_sym_try] = ACTIONS(13816),
    [anon_sym_for] = ACTIONS(13816),
    [anon_sym_while] = ACTIONS(13816),
    [sym_break_statement] = ACTIONS(13816),
    [sym_continue_statement] = ACTIONS(13816),
    [anon_sym_return] = ACTIONS(13816),
    [anon_sym_const] = ACTIONS(13816),
    [anon_sym_global] = ACTIONS(13816),
    [anon_sym_local] = ACTIONS(13816),
    [anon_sym_LPAREN] = ACTIONS(13816),
    [anon_sym_RPAREN] = ACTIONS(13816),
    [anon_sym_COLON2] = ACTIONS(13816),
    [anon_sym_export] = ACTIONS(13816),
    [anon_sym_import] = ACTIONS(13816),
    [anon_sym_using] = ACTIONS(13816),
    [anon_sym_LBRACK] = ACTIONS(13816),
    [anon_sym_RBRACK] = ACTIONS(13816),
    [anon_sym_LF] = ACTIONS(13818),
    [anon_sym_in] = ACTIONS(13816),
    [anon_sym_LBRACE] = ACTIONS(13816),
    [anon_sym_DOLLAR] = ACTIONS(13816),
    [anon_sym_COLON_COLON] = ACTIONS(13816),
    [anon_sym_isa] = ACTIONS(13816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13816),
    [anon_sym_QMARK] = ACTIONS(13816),
    [anon_sym_AT] = ACTIONS(13816),
    [anon_sym_true] = ACTIONS(13816),
    [anon_sym_false] = ACTIONS(13816),
    [aux_sym_integer_literal_token1] = ACTIONS(13816),
    [aux_sym_integer_literal_token2] = ACTIONS(13816),
    [aux_sym_integer_literal_token3] = ACTIONS(13816),
    [aux_sym_integer_literal_token4] = ACTIONS(13816),
    [aux_sym_float_literal_token1] = ACTIONS(13816),
    [aux_sym_float_literal_token3] = ACTIONS(13816),
    [aux_sym_float_literal_token4] = ACTIONS(13816),
    [sym_character_literal] = ACTIONS(13816),
    [sym__pair_operator] = ACTIONS(13816),
    [sym__arrow_operator] = ACTIONS(13816),
    [sym__lazy_or_operator] = ACTIONS(13816),
    [sym__lazy_and_operator] = ACTIONS(13816),
    [sym__comparison_operator] = ACTIONS(13816),
    [sym__pipe_right_operator] = ACTIONS(13816),
    [sym__pipe_left_operator] = ACTIONS(13816),
    [sym__ellipsis_operator] = ACTIONS(13816),
    [sym__plus_operator] = ACTIONS(13816),
    [sym__times_operator] = ACTIONS(13816),
    [sym__rational_operator] = ACTIONS(13816),
    [sym__bitshift_operator] = ACTIONS(13816),
    [sym__power_operator] = ACTIONS(13816),
    [sym__tilde_operator] = ACTIONS(13816),
    [sym__type_order_operator] = ACTIONS(13816),
    [sym__unary_operator] = ACTIONS(13816),
    [sym__unary_plus_operator] = ACTIONS(13816),
    [aux_sym__terminator_token1] = ACTIONS(13816),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13818),
    [sym__command_start] = ACTIONS(13818),
  },
  [8095] = {
    [ts_builtin_sym_end] = ACTIONS(13914),
    [sym__word_identifier] = ACTIONS(13912),
    [anon_sym_EQ] = ACTIONS(13912),
    [anon_sym_COMMA] = ACTIONS(13912),
    [anon_sym_COLON] = ACTIONS(13912),
    [anon_sym_begin] = ACTIONS(13912),
    [anon_sym_module] = ACTIONS(13912),
    [anon_sym_baremodule] = ACTIONS(13912),
    [anon_sym_abstract] = ACTIONS(13912),
    [anon_sym_primitive] = ACTIONS(13912),
    [anon_sym_mutable] = ACTIONS(13912),
    [anon_sym_struct] = ACTIONS(13912),
    [anon_sym_function] = ACTIONS(13912),
    [anon_sym_macro] = ACTIONS(13912),
    [anon_sym_where] = ACTIONS(13912),
    [anon_sym_quote] = ACTIONS(13912),
    [anon_sym_let] = ACTIONS(13912),
    [anon_sym_if] = ACTIONS(13912),
    [anon_sym_try] = ACTIONS(13912),
    [anon_sym_for] = ACTIONS(13912),
    [anon_sym_while] = ACTIONS(13912),
    [sym_break_statement] = ACTIONS(13912),
    [sym_continue_statement] = ACTIONS(13912),
    [anon_sym_return] = ACTIONS(13912),
    [anon_sym_const] = ACTIONS(13912),
    [anon_sym_global] = ACTIONS(13912),
    [anon_sym_local] = ACTIONS(13912),
    [anon_sym_LPAREN] = ACTIONS(13912),
    [anon_sym_RPAREN] = ACTIONS(13912),
    [anon_sym_COLON2] = ACTIONS(13912),
    [anon_sym_export] = ACTIONS(13912),
    [anon_sym_import] = ACTIONS(13912),
    [anon_sym_using] = ACTIONS(13912),
    [anon_sym_LBRACK] = ACTIONS(13912),
    [anon_sym_RBRACK] = ACTIONS(13912),
    [anon_sym_LF] = ACTIONS(13914),
    [anon_sym_in] = ACTIONS(13912),
    [anon_sym_LBRACE] = ACTIONS(13912),
    [anon_sym_DOLLAR] = ACTIONS(13912),
    [anon_sym_COLON_COLON] = ACTIONS(13912),
    [anon_sym_isa] = ACTIONS(13912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13912),
    [anon_sym_QMARK] = ACTIONS(13912),
    [anon_sym_AT] = ACTIONS(13912),
    [anon_sym_true] = ACTIONS(13912),
    [anon_sym_false] = ACTIONS(13912),
    [aux_sym_integer_literal_token1] = ACTIONS(13912),
    [aux_sym_integer_literal_token2] = ACTIONS(13912),
    [aux_sym_integer_literal_token3] = ACTIONS(13912),
    [aux_sym_integer_literal_token4] = ACTIONS(13912),
    [aux_sym_float_literal_token1] = ACTIONS(13912),
    [aux_sym_float_literal_token3] = ACTIONS(13912),
    [aux_sym_float_literal_token4] = ACTIONS(13912),
    [sym_character_literal] = ACTIONS(13912),
    [sym__pair_operator] = ACTIONS(13912),
    [sym__arrow_operator] = ACTIONS(13912),
    [sym__lazy_or_operator] = ACTIONS(13912),
    [sym__lazy_and_operator] = ACTIONS(13912),
    [sym__comparison_operator] = ACTIONS(13912),
    [sym__pipe_right_operator] = ACTIONS(13912),
    [sym__pipe_left_operator] = ACTIONS(13912),
    [sym__ellipsis_operator] = ACTIONS(13912),
    [sym__plus_operator] = ACTIONS(13912),
    [sym__times_operator] = ACTIONS(13912),
    [sym__rational_operator] = ACTIONS(13912),
    [sym__bitshift_operator] = ACTIONS(13912),
    [sym__power_operator] = ACTIONS(13912),
    [sym__tilde_operator] = ACTIONS(13912),
    [sym__type_order_operator] = ACTIONS(13912),
    [sym__unary_operator] = ACTIONS(13912),
    [sym__unary_plus_operator] = ACTIONS(13912),
    [aux_sym__terminator_token1] = ACTIONS(13912),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13914),
    [sym__command_start] = ACTIONS(13914),
  },
  [8096] = {
    [aux_sym__import_list_repeat1] = STATE(8059),
    [sym__word_identifier] = ACTIONS(13164),
    [anon_sym_EQ] = ACTIONS(13164),
    [anon_sym_COMMA] = ACTIONS(12991),
    [anon_sym_COLON] = ACTIONS(13164),
    [anon_sym_begin] = ACTIONS(13164),
    [anon_sym_module] = ACTIONS(13164),
    [anon_sym_baremodule] = ACTIONS(13164),
    [anon_sym_end] = ACTIONS(13164),
    [anon_sym_abstract] = ACTIONS(13164),
    [anon_sym_primitive] = ACTIONS(13164),
    [anon_sym_mutable] = ACTIONS(13164),
    [anon_sym_struct] = ACTIONS(13164),
    [anon_sym_function] = ACTIONS(13164),
    [anon_sym_macro] = ACTIONS(13164),
    [anon_sym_where] = ACTIONS(13164),
    [anon_sym_quote] = ACTIONS(13164),
    [anon_sym_let] = ACTIONS(13164),
    [anon_sym_if] = ACTIONS(13164),
    [anon_sym_try] = ACTIONS(13164),
    [anon_sym_catch] = ACTIONS(13164),
    [anon_sym_for] = ACTIONS(13164),
    [anon_sym_while] = ACTIONS(13164),
    [sym_break_statement] = ACTIONS(13164),
    [sym_continue_statement] = ACTIONS(13164),
    [anon_sym_return] = ACTIONS(13164),
    [anon_sym_const] = ACTIONS(13164),
    [anon_sym_global] = ACTIONS(13164),
    [anon_sym_local] = ACTIONS(13164),
    [anon_sym_LPAREN] = ACTIONS(13164),
    [anon_sym_COLON2] = ACTIONS(13164),
    [anon_sym_export] = ACTIONS(13164),
    [anon_sym_import] = ACTIONS(13164),
    [anon_sym_using] = ACTIONS(13164),
    [anon_sym_LBRACK] = ACTIONS(13164),
    [anon_sym_LF] = ACTIONS(13162),
    [anon_sym_in] = ACTIONS(13164),
    [anon_sym_LBRACE] = ACTIONS(13164),
    [anon_sym_DOLLAR] = ACTIONS(13164),
    [anon_sym_COLON_COLON] = ACTIONS(13164),
    [anon_sym_isa] = ACTIONS(13164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13164),
    [anon_sym_QMARK] = ACTIONS(13164),
    [anon_sym_AT] = ACTIONS(13164),
    [anon_sym_true] = ACTIONS(13164),
    [anon_sym_false] = ACTIONS(13164),
    [aux_sym_integer_literal_token1] = ACTIONS(13164),
    [aux_sym_integer_literal_token2] = ACTIONS(13164),
    [aux_sym_integer_literal_token3] = ACTIONS(13164),
    [aux_sym_integer_literal_token4] = ACTIONS(13164),
    [aux_sym_float_literal_token1] = ACTIONS(13164),
    [aux_sym_float_literal_token3] = ACTIONS(13164),
    [aux_sym_float_literal_token4] = ACTIONS(13164),
    [sym_character_literal] = ACTIONS(13164),
    [sym__pair_operator] = ACTIONS(13164),
    [sym__arrow_operator] = ACTIONS(13164),
    [sym__lazy_or_operator] = ACTIONS(13164),
    [sym__lazy_and_operator] = ACTIONS(13164),
    [sym__comparison_operator] = ACTIONS(13164),
    [sym__pipe_right_operator] = ACTIONS(13164),
    [sym__pipe_left_operator] = ACTIONS(13164),
    [sym__ellipsis_operator] = ACTIONS(13164),
    [sym__plus_operator] = ACTIONS(13164),
    [sym__times_operator] = ACTIONS(13164),
    [sym__rational_operator] = ACTIONS(13164),
    [sym__bitshift_operator] = ACTIONS(13164),
    [sym__power_operator] = ACTIONS(13164),
    [sym__tilde_operator] = ACTIONS(13164),
    [sym__type_order_operator] = ACTIONS(13164),
    [sym__unary_operator] = ACTIONS(13164),
    [sym__unary_plus_operator] = ACTIONS(13164),
    [aux_sym__terminator_token1] = ACTIONS(13164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13162),
    [sym__command_start] = ACTIONS(13162),
  },
  [8097] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_else] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_finally] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(13206),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8098] = {
    [sym__word_identifier] = ACTIONS(14043),
    [anon_sym_EQ] = ACTIONS(14043),
    [anon_sym_COMMA] = ACTIONS(14043),
    [anon_sym_COLON] = ACTIONS(14043),
    [anon_sym_begin] = ACTIONS(14043),
    [anon_sym_module] = ACTIONS(14043),
    [anon_sym_baremodule] = ACTIONS(14043),
    [anon_sym_end] = ACTIONS(14043),
    [anon_sym_abstract] = ACTIONS(14043),
    [anon_sym_primitive] = ACTIONS(14043),
    [anon_sym_mutable] = ACTIONS(14043),
    [anon_sym_struct] = ACTIONS(14043),
    [anon_sym_function] = ACTIONS(14043),
    [anon_sym_macro] = ACTIONS(14043),
    [anon_sym_where] = ACTIONS(14043),
    [anon_sym_quote] = ACTIONS(14043),
    [anon_sym_let] = ACTIONS(14043),
    [anon_sym_if] = ACTIONS(14043),
    [anon_sym_else] = ACTIONS(14043),
    [anon_sym_try] = ACTIONS(14043),
    [anon_sym_finally] = ACTIONS(14043),
    [anon_sym_for] = ACTIONS(14043),
    [anon_sym_while] = ACTIONS(14043),
    [sym_break_statement] = ACTIONS(14043),
    [sym_continue_statement] = ACTIONS(14043),
    [anon_sym_return] = ACTIONS(14043),
    [anon_sym_const] = ACTIONS(14043),
    [anon_sym_global] = ACTIONS(14043),
    [anon_sym_local] = ACTIONS(14043),
    [anon_sym_LPAREN] = ACTIONS(14043),
    [anon_sym_COLON2] = ACTIONS(14043),
    [anon_sym_export] = ACTIONS(14043),
    [anon_sym_import] = ACTIONS(14043),
    [anon_sym_using] = ACTIONS(14043),
    [anon_sym_LBRACK] = ACTIONS(14043),
    [anon_sym_LF] = ACTIONS(14041),
    [anon_sym_in] = ACTIONS(14043),
    [anon_sym_LBRACE] = ACTIONS(14043),
    [anon_sym_DOLLAR] = ACTIONS(14043),
    [anon_sym_COLON_COLON] = ACTIONS(14043),
    [anon_sym_isa] = ACTIONS(14043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_QMARK] = ACTIONS(14043),
    [anon_sym_AT] = ACTIONS(14043),
    [anon_sym_true] = ACTIONS(14043),
    [anon_sym_false] = ACTIONS(14043),
    [aux_sym_integer_literal_token1] = ACTIONS(14043),
    [aux_sym_integer_literal_token2] = ACTIONS(14043),
    [aux_sym_integer_literal_token3] = ACTIONS(14043),
    [aux_sym_integer_literal_token4] = ACTIONS(14043),
    [aux_sym_float_literal_token1] = ACTIONS(14043),
    [aux_sym_float_literal_token3] = ACTIONS(14043),
    [aux_sym_float_literal_token4] = ACTIONS(14043),
    [sym_character_literal] = ACTIONS(14043),
    [sym__pair_operator] = ACTIONS(14043),
    [sym__arrow_operator] = ACTIONS(14043),
    [sym__lazy_or_operator] = ACTIONS(14043),
    [sym__lazy_and_operator] = ACTIONS(14043),
    [sym__comparison_operator] = ACTIONS(14043),
    [sym__pipe_right_operator] = ACTIONS(14043),
    [sym__pipe_left_operator] = ACTIONS(14043),
    [sym__ellipsis_operator] = ACTIONS(14043),
    [sym__plus_operator] = ACTIONS(14043),
    [sym__times_operator] = ACTIONS(14043),
    [sym__rational_operator] = ACTIONS(14043),
    [sym__bitshift_operator] = ACTIONS(14043),
    [sym__power_operator] = ACTIONS(14043),
    [sym__tilde_operator] = ACTIONS(14043),
    [sym__type_order_operator] = ACTIONS(14043),
    [sym__unary_operator] = ACTIONS(14043),
    [sym__unary_plus_operator] = ACTIONS(14043),
    [aux_sym__terminator_token1] = ACTIONS(14043),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14041),
    [sym__command_start] = ACTIONS(14041),
  },
  [8099] = {
    [aux_sym_export_statement_repeat1] = STATE(8073),
    [sym__word_identifier] = ACTIONS(13166),
    [anon_sym_EQ] = ACTIONS(13166),
    [anon_sym_COMMA] = ACTIONS(14184),
    [anon_sym_COLON] = ACTIONS(13166),
    [anon_sym_begin] = ACTIONS(13166),
    [anon_sym_module] = ACTIONS(13166),
    [anon_sym_baremodule] = ACTIONS(13166),
    [anon_sym_end] = ACTIONS(13166),
    [anon_sym_abstract] = ACTIONS(13166),
    [anon_sym_primitive] = ACTIONS(13166),
    [anon_sym_mutable] = ACTIONS(13166),
    [anon_sym_struct] = ACTIONS(13166),
    [anon_sym_function] = ACTIONS(13166),
    [anon_sym_macro] = ACTIONS(13166),
    [anon_sym_where] = ACTIONS(13166),
    [anon_sym_quote] = ACTIONS(13166),
    [anon_sym_let] = ACTIONS(13166),
    [anon_sym_if] = ACTIONS(13166),
    [anon_sym_try] = ACTIONS(13166),
    [anon_sym_catch] = ACTIONS(13166),
    [anon_sym_for] = ACTIONS(13166),
    [anon_sym_while] = ACTIONS(13166),
    [sym_break_statement] = ACTIONS(13166),
    [sym_continue_statement] = ACTIONS(13166),
    [anon_sym_return] = ACTIONS(13166),
    [anon_sym_const] = ACTIONS(13166),
    [anon_sym_global] = ACTIONS(13166),
    [anon_sym_local] = ACTIONS(13166),
    [anon_sym_LPAREN] = ACTIONS(13166),
    [anon_sym_COLON2] = ACTIONS(13166),
    [anon_sym_export] = ACTIONS(13166),
    [anon_sym_import] = ACTIONS(13166),
    [anon_sym_using] = ACTIONS(13166),
    [anon_sym_LBRACK] = ACTIONS(13166),
    [anon_sym_LF] = ACTIONS(13170),
    [anon_sym_in] = ACTIONS(13166),
    [anon_sym_LBRACE] = ACTIONS(13166),
    [anon_sym_DOLLAR] = ACTIONS(13166),
    [anon_sym_COLON_COLON] = ACTIONS(13166),
    [anon_sym_isa] = ACTIONS(13166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13166),
    [anon_sym_QMARK] = ACTIONS(13166),
    [anon_sym_AT] = ACTIONS(13166),
    [anon_sym_true] = ACTIONS(13166),
    [anon_sym_false] = ACTIONS(13166),
    [aux_sym_integer_literal_token1] = ACTIONS(13166),
    [aux_sym_integer_literal_token2] = ACTIONS(13166),
    [aux_sym_integer_literal_token3] = ACTIONS(13166),
    [aux_sym_integer_literal_token4] = ACTIONS(13166),
    [aux_sym_float_literal_token1] = ACTIONS(13166),
    [aux_sym_float_literal_token3] = ACTIONS(13166),
    [aux_sym_float_literal_token4] = ACTIONS(13166),
    [sym_character_literal] = ACTIONS(13166),
    [sym__pair_operator] = ACTIONS(13166),
    [sym__arrow_operator] = ACTIONS(13166),
    [sym__lazy_or_operator] = ACTIONS(13166),
    [sym__lazy_and_operator] = ACTIONS(13166),
    [sym__comparison_operator] = ACTIONS(13166),
    [sym__pipe_right_operator] = ACTIONS(13166),
    [sym__pipe_left_operator] = ACTIONS(13166),
    [sym__ellipsis_operator] = ACTIONS(13166),
    [sym__plus_operator] = ACTIONS(13166),
    [sym__times_operator] = ACTIONS(13166),
    [sym__rational_operator] = ACTIONS(13166),
    [sym__bitshift_operator] = ACTIONS(13166),
    [sym__power_operator] = ACTIONS(13166),
    [sym__tilde_operator] = ACTIONS(13166),
    [sym__type_order_operator] = ACTIONS(13166),
    [sym__unary_operator] = ACTIONS(13166),
    [sym__unary_plus_operator] = ACTIONS(13166),
    [aux_sym__terminator_token1] = ACTIONS(13166),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13170),
    [sym__command_start] = ACTIONS(13170),
  },
  [8100] = {
    [ts_builtin_sym_end] = ACTIONS(13918),
    [sym__word_identifier] = ACTIONS(13916),
    [anon_sym_EQ] = ACTIONS(13916),
    [anon_sym_COMMA] = ACTIONS(13916),
    [anon_sym_COLON] = ACTIONS(13916),
    [anon_sym_begin] = ACTIONS(13916),
    [anon_sym_module] = ACTIONS(13916),
    [anon_sym_baremodule] = ACTIONS(13916),
    [anon_sym_abstract] = ACTIONS(13916),
    [anon_sym_primitive] = ACTIONS(13916),
    [anon_sym_mutable] = ACTIONS(13916),
    [anon_sym_struct] = ACTIONS(13916),
    [anon_sym_function] = ACTIONS(13916),
    [anon_sym_macro] = ACTIONS(13916),
    [anon_sym_where] = ACTIONS(13916),
    [anon_sym_quote] = ACTIONS(13916),
    [anon_sym_let] = ACTIONS(13916),
    [anon_sym_if] = ACTIONS(13916),
    [anon_sym_try] = ACTIONS(13916),
    [anon_sym_for] = ACTIONS(13916),
    [anon_sym_while] = ACTIONS(13916),
    [sym_break_statement] = ACTIONS(13916),
    [sym_continue_statement] = ACTIONS(13916),
    [anon_sym_return] = ACTIONS(13916),
    [anon_sym_const] = ACTIONS(13916),
    [anon_sym_global] = ACTIONS(13916),
    [anon_sym_local] = ACTIONS(13916),
    [anon_sym_LPAREN] = ACTIONS(13916),
    [anon_sym_RPAREN] = ACTIONS(13916),
    [anon_sym_COLON2] = ACTIONS(13916),
    [anon_sym_export] = ACTIONS(13916),
    [anon_sym_import] = ACTIONS(13916),
    [anon_sym_using] = ACTIONS(13916),
    [anon_sym_LBRACK] = ACTIONS(13916),
    [anon_sym_RBRACK] = ACTIONS(13916),
    [anon_sym_LF] = ACTIONS(13918),
    [anon_sym_in] = ACTIONS(13916),
    [anon_sym_LBRACE] = ACTIONS(13916),
    [anon_sym_DOLLAR] = ACTIONS(13916),
    [anon_sym_COLON_COLON] = ACTIONS(13916),
    [anon_sym_isa] = ACTIONS(13916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13916),
    [anon_sym_QMARK] = ACTIONS(13916),
    [anon_sym_AT] = ACTIONS(13916),
    [anon_sym_true] = ACTIONS(13916),
    [anon_sym_false] = ACTIONS(13916),
    [aux_sym_integer_literal_token1] = ACTIONS(13916),
    [aux_sym_integer_literal_token2] = ACTIONS(13916),
    [aux_sym_integer_literal_token3] = ACTIONS(13916),
    [aux_sym_integer_literal_token4] = ACTIONS(13916),
    [aux_sym_float_literal_token1] = ACTIONS(13916),
    [aux_sym_float_literal_token3] = ACTIONS(13916),
    [aux_sym_float_literal_token4] = ACTIONS(13916),
    [sym_character_literal] = ACTIONS(13916),
    [sym__pair_operator] = ACTIONS(13916),
    [sym__arrow_operator] = ACTIONS(13916),
    [sym__lazy_or_operator] = ACTIONS(13916),
    [sym__lazy_and_operator] = ACTIONS(13916),
    [sym__comparison_operator] = ACTIONS(13916),
    [sym__pipe_right_operator] = ACTIONS(13916),
    [sym__pipe_left_operator] = ACTIONS(13916),
    [sym__ellipsis_operator] = ACTIONS(13916),
    [sym__plus_operator] = ACTIONS(13916),
    [sym__times_operator] = ACTIONS(13916),
    [sym__rational_operator] = ACTIONS(13916),
    [sym__bitshift_operator] = ACTIONS(13916),
    [sym__power_operator] = ACTIONS(13916),
    [sym__tilde_operator] = ACTIONS(13916),
    [sym__type_order_operator] = ACTIONS(13916),
    [sym__unary_operator] = ACTIONS(13916),
    [sym__unary_plus_operator] = ACTIONS(13916),
    [aux_sym__terminator_token1] = ACTIONS(13916),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13918),
    [sym__command_start] = ACTIONS(13918),
  },
  [8101] = {
    [sym__primary_expression] = STATE(11394),
    [sym__array] = STATE(11394),
    [sym_comprehension_expression] = STATE(11394),
    [sym_matrix_expression] = STATE(11394),
    [sym_vector_expression] = STATE(11394),
    [sym_parenthesized_expression] = STATE(11394),
    [sym_tuple_expression] = STATE(11394),
    [sym_curly_expression] = STATE(11394),
    [sym_adjoint_expression] = STATE(11394),
    [sym_field_expression] = STATE(11394),
    [sym_index_expression] = STATE(11394),
    [sym_parametrized_type_expression] = STATE(11394),
    [sym_call_expression] = STATE(11394),
    [sym_broadcast_call_expression] = STATE(11394),
    [sym__closed_macrocall_expression] = STATE(11394),
    [sym_interpolation_expression] = STATE(11394),
    [sym_quote_expression] = STATE(11394),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(10938),
    [sym_boolean_literal] = STATE(11394),
    [sym__string] = STATE(11394),
    [sym_string_literal] = STATE(11394),
    [sym_command_literal] = STATE(11394),
    [sym_prefixed_string_literal] = STATE(11394),
    [sym_prefixed_command_literal] = STATE(11394),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(14501),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_finally] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(14503),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(14505),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [8102] = {
    [sym__word_identifier] = ACTIONS(14037),
    [anon_sym_EQ] = ACTIONS(14037),
    [anon_sym_COMMA] = ACTIONS(14037),
    [anon_sym_COLON] = ACTIONS(14037),
    [anon_sym_begin] = ACTIONS(14037),
    [anon_sym_module] = ACTIONS(14037),
    [anon_sym_baremodule] = ACTIONS(14037),
    [anon_sym_end] = ACTIONS(14037),
    [anon_sym_abstract] = ACTIONS(14037),
    [anon_sym_primitive] = ACTIONS(14037),
    [anon_sym_mutable] = ACTIONS(14037),
    [anon_sym_struct] = ACTIONS(14037),
    [anon_sym_function] = ACTIONS(14037),
    [anon_sym_macro] = ACTIONS(14037),
    [anon_sym_where] = ACTIONS(14037),
    [anon_sym_quote] = ACTIONS(14037),
    [anon_sym_let] = ACTIONS(14037),
    [anon_sym_if] = ACTIONS(14037),
    [anon_sym_else] = ACTIONS(14037),
    [anon_sym_try] = ACTIONS(14037),
    [anon_sym_finally] = ACTIONS(14037),
    [anon_sym_for] = ACTIONS(14037),
    [anon_sym_while] = ACTIONS(14037),
    [sym_break_statement] = ACTIONS(14037),
    [sym_continue_statement] = ACTIONS(14037),
    [anon_sym_return] = ACTIONS(14037),
    [anon_sym_const] = ACTIONS(14037),
    [anon_sym_global] = ACTIONS(14037),
    [anon_sym_local] = ACTIONS(14037),
    [anon_sym_LPAREN] = ACTIONS(14037),
    [anon_sym_COLON2] = ACTIONS(14037),
    [anon_sym_export] = ACTIONS(14037),
    [anon_sym_import] = ACTIONS(14037),
    [anon_sym_using] = ACTIONS(14037),
    [anon_sym_LBRACK] = ACTIONS(14037),
    [anon_sym_LF] = ACTIONS(14035),
    [anon_sym_in] = ACTIONS(14037),
    [anon_sym_LBRACE] = ACTIONS(14037),
    [anon_sym_DOLLAR] = ACTIONS(14037),
    [anon_sym_COLON_COLON] = ACTIONS(14037),
    [anon_sym_isa] = ACTIONS(14037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14037),
    [anon_sym_QMARK] = ACTIONS(14037),
    [anon_sym_AT] = ACTIONS(14037),
    [anon_sym_true] = ACTIONS(14037),
    [anon_sym_false] = ACTIONS(14037),
    [aux_sym_integer_literal_token1] = ACTIONS(14037),
    [aux_sym_integer_literal_token2] = ACTIONS(14037),
    [aux_sym_integer_literal_token3] = ACTIONS(14037),
    [aux_sym_integer_literal_token4] = ACTIONS(14037),
    [aux_sym_float_literal_token1] = ACTIONS(14037),
    [aux_sym_float_literal_token3] = ACTIONS(14037),
    [aux_sym_float_literal_token4] = ACTIONS(14037),
    [sym_character_literal] = ACTIONS(14037),
    [sym__pair_operator] = ACTIONS(14037),
    [sym__arrow_operator] = ACTIONS(14037),
    [sym__lazy_or_operator] = ACTIONS(14037),
    [sym__lazy_and_operator] = ACTIONS(14037),
    [sym__comparison_operator] = ACTIONS(14037),
    [sym__pipe_right_operator] = ACTIONS(14037),
    [sym__pipe_left_operator] = ACTIONS(14037),
    [sym__ellipsis_operator] = ACTIONS(14037),
    [sym__plus_operator] = ACTIONS(14037),
    [sym__times_operator] = ACTIONS(14037),
    [sym__rational_operator] = ACTIONS(14037),
    [sym__bitshift_operator] = ACTIONS(14037),
    [sym__power_operator] = ACTIONS(14037),
    [sym__tilde_operator] = ACTIONS(14037),
    [sym__type_order_operator] = ACTIONS(14037),
    [sym__unary_operator] = ACTIONS(14037),
    [sym__unary_plus_operator] = ACTIONS(14037),
    [aux_sym__terminator_token1] = ACTIONS(14037),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14035),
    [sym__command_start] = ACTIONS(14035),
  },
  [8103] = {
    [sym__word_identifier] = ACTIONS(14023),
    [anon_sym_EQ] = ACTIONS(14023),
    [anon_sym_COMMA] = ACTIONS(14023),
    [anon_sym_COLON] = ACTIONS(14023),
    [anon_sym_begin] = ACTIONS(14023),
    [anon_sym_module] = ACTIONS(14023),
    [anon_sym_baremodule] = ACTIONS(14023),
    [anon_sym_end] = ACTIONS(14023),
    [anon_sym_abstract] = ACTIONS(14023),
    [anon_sym_primitive] = ACTIONS(14023),
    [anon_sym_mutable] = ACTIONS(14023),
    [anon_sym_struct] = ACTIONS(14023),
    [anon_sym_function] = ACTIONS(14023),
    [anon_sym_macro] = ACTIONS(14023),
    [anon_sym_where] = ACTIONS(14023),
    [anon_sym_quote] = ACTIONS(14023),
    [anon_sym_let] = ACTIONS(14023),
    [anon_sym_if] = ACTIONS(14023),
    [anon_sym_else] = ACTIONS(14023),
    [anon_sym_try] = ACTIONS(14023),
    [anon_sym_finally] = ACTIONS(14023),
    [anon_sym_for] = ACTIONS(14023),
    [anon_sym_while] = ACTIONS(14023),
    [sym_break_statement] = ACTIONS(14023),
    [sym_continue_statement] = ACTIONS(14023),
    [anon_sym_return] = ACTIONS(14023),
    [anon_sym_const] = ACTIONS(14023),
    [anon_sym_global] = ACTIONS(14023),
    [anon_sym_local] = ACTIONS(14023),
    [anon_sym_LPAREN] = ACTIONS(14023),
    [anon_sym_COLON2] = ACTIONS(14023),
    [anon_sym_export] = ACTIONS(14023),
    [anon_sym_import] = ACTIONS(14023),
    [anon_sym_using] = ACTIONS(14023),
    [anon_sym_LBRACK] = ACTIONS(14023),
    [anon_sym_LF] = ACTIONS(14021),
    [anon_sym_in] = ACTIONS(14023),
    [anon_sym_LBRACE] = ACTIONS(14023),
    [anon_sym_DOLLAR] = ACTIONS(14023),
    [anon_sym_COLON_COLON] = ACTIONS(14023),
    [anon_sym_isa] = ACTIONS(14023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14023),
    [anon_sym_QMARK] = ACTIONS(14023),
    [anon_sym_AT] = ACTIONS(14023),
    [anon_sym_true] = ACTIONS(14023),
    [anon_sym_false] = ACTIONS(14023),
    [aux_sym_integer_literal_token1] = ACTIONS(14023),
    [aux_sym_integer_literal_token2] = ACTIONS(14023),
    [aux_sym_integer_literal_token3] = ACTIONS(14023),
    [aux_sym_integer_literal_token4] = ACTIONS(14023),
    [aux_sym_float_literal_token1] = ACTIONS(14023),
    [aux_sym_float_literal_token3] = ACTIONS(14023),
    [aux_sym_float_literal_token4] = ACTIONS(14023),
    [sym_character_literal] = ACTIONS(14023),
    [sym__pair_operator] = ACTIONS(14023),
    [sym__arrow_operator] = ACTIONS(14023),
    [sym__lazy_or_operator] = ACTIONS(14023),
    [sym__lazy_and_operator] = ACTIONS(14023),
    [sym__comparison_operator] = ACTIONS(14023),
    [sym__pipe_right_operator] = ACTIONS(14023),
    [sym__pipe_left_operator] = ACTIONS(14023),
    [sym__ellipsis_operator] = ACTIONS(14023),
    [sym__plus_operator] = ACTIONS(14023),
    [sym__times_operator] = ACTIONS(14023),
    [sym__rational_operator] = ACTIONS(14023),
    [sym__bitshift_operator] = ACTIONS(14023),
    [sym__power_operator] = ACTIONS(14023),
    [sym__tilde_operator] = ACTIONS(14023),
    [sym__type_order_operator] = ACTIONS(14023),
    [sym__unary_operator] = ACTIONS(14023),
    [sym__unary_plus_operator] = ACTIONS(14023),
    [aux_sym__terminator_token1] = ACTIONS(14023),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14021),
    [sym__command_start] = ACTIONS(14021),
  },
  [8104] = {
    [sym__word_identifier] = ACTIONS(14019),
    [anon_sym_EQ] = ACTIONS(14019),
    [anon_sym_COMMA] = ACTIONS(14019),
    [anon_sym_COLON] = ACTIONS(14019),
    [anon_sym_begin] = ACTIONS(14019),
    [anon_sym_module] = ACTIONS(14019),
    [anon_sym_baremodule] = ACTIONS(14019),
    [anon_sym_end] = ACTIONS(14019),
    [anon_sym_abstract] = ACTIONS(14019),
    [anon_sym_primitive] = ACTIONS(14019),
    [anon_sym_mutable] = ACTIONS(14019),
    [anon_sym_struct] = ACTIONS(14019),
    [anon_sym_function] = ACTIONS(14019),
    [anon_sym_macro] = ACTIONS(14019),
    [anon_sym_where] = ACTIONS(14019),
    [anon_sym_quote] = ACTIONS(14019),
    [anon_sym_let] = ACTIONS(14019),
    [anon_sym_if] = ACTIONS(14019),
    [anon_sym_else] = ACTIONS(14019),
    [anon_sym_try] = ACTIONS(14019),
    [anon_sym_finally] = ACTIONS(14019),
    [anon_sym_for] = ACTIONS(14019),
    [anon_sym_while] = ACTIONS(14019),
    [sym_break_statement] = ACTIONS(14019),
    [sym_continue_statement] = ACTIONS(14019),
    [anon_sym_return] = ACTIONS(14019),
    [anon_sym_const] = ACTIONS(14019),
    [anon_sym_global] = ACTIONS(14019),
    [anon_sym_local] = ACTIONS(14019),
    [anon_sym_LPAREN] = ACTIONS(14019),
    [anon_sym_COLON2] = ACTIONS(14019),
    [anon_sym_export] = ACTIONS(14019),
    [anon_sym_import] = ACTIONS(14019),
    [anon_sym_using] = ACTIONS(14019),
    [anon_sym_LBRACK] = ACTIONS(14019),
    [anon_sym_LF] = ACTIONS(14017),
    [anon_sym_in] = ACTIONS(14019),
    [anon_sym_LBRACE] = ACTIONS(14019),
    [anon_sym_DOLLAR] = ACTIONS(14019),
    [anon_sym_COLON_COLON] = ACTIONS(14019),
    [anon_sym_isa] = ACTIONS(14019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14019),
    [anon_sym_QMARK] = ACTIONS(14019),
    [anon_sym_AT] = ACTIONS(14019),
    [anon_sym_true] = ACTIONS(14019),
    [anon_sym_false] = ACTIONS(14019),
    [aux_sym_integer_literal_token1] = ACTIONS(14019),
    [aux_sym_integer_literal_token2] = ACTIONS(14019),
    [aux_sym_integer_literal_token3] = ACTIONS(14019),
    [aux_sym_integer_literal_token4] = ACTIONS(14019),
    [aux_sym_float_literal_token1] = ACTIONS(14019),
    [aux_sym_float_literal_token3] = ACTIONS(14019),
    [aux_sym_float_literal_token4] = ACTIONS(14019),
    [sym_character_literal] = ACTIONS(14019),
    [sym__pair_operator] = ACTIONS(14019),
    [sym__arrow_operator] = ACTIONS(14019),
    [sym__lazy_or_operator] = ACTIONS(14019),
    [sym__lazy_and_operator] = ACTIONS(14019),
    [sym__comparison_operator] = ACTIONS(14019),
    [sym__pipe_right_operator] = ACTIONS(14019),
    [sym__pipe_left_operator] = ACTIONS(14019),
    [sym__ellipsis_operator] = ACTIONS(14019),
    [sym__plus_operator] = ACTIONS(14019),
    [sym__times_operator] = ACTIONS(14019),
    [sym__rational_operator] = ACTIONS(14019),
    [sym__bitshift_operator] = ACTIONS(14019),
    [sym__power_operator] = ACTIONS(14019),
    [sym__tilde_operator] = ACTIONS(14019),
    [sym__type_order_operator] = ACTIONS(14019),
    [sym__unary_operator] = ACTIONS(14019),
    [sym__unary_plus_operator] = ACTIONS(14019),
    [aux_sym__terminator_token1] = ACTIONS(14019),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14017),
    [sym__command_start] = ACTIONS(14017),
  },
  [8105] = {
    [sym__comprehension_clause] = STATE(19217),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16692),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14507),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14509),
    [anon_sym_LF] = ACTIONS(14511),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(14514),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [8106] = {
    [sym__word_identifier] = ACTIONS(14015),
    [anon_sym_EQ] = ACTIONS(14015),
    [anon_sym_COMMA] = ACTIONS(14015),
    [anon_sym_COLON] = ACTIONS(14015),
    [anon_sym_begin] = ACTIONS(14015),
    [anon_sym_module] = ACTIONS(14015),
    [anon_sym_baremodule] = ACTIONS(14015),
    [anon_sym_end] = ACTIONS(14015),
    [anon_sym_abstract] = ACTIONS(14015),
    [anon_sym_primitive] = ACTIONS(14015),
    [anon_sym_mutable] = ACTIONS(14015),
    [anon_sym_struct] = ACTIONS(14015),
    [anon_sym_function] = ACTIONS(14015),
    [anon_sym_macro] = ACTIONS(14015),
    [anon_sym_where] = ACTIONS(14015),
    [anon_sym_quote] = ACTIONS(14015),
    [anon_sym_let] = ACTIONS(14015),
    [anon_sym_if] = ACTIONS(14015),
    [anon_sym_else] = ACTIONS(14015),
    [anon_sym_try] = ACTIONS(14015),
    [anon_sym_finally] = ACTIONS(14015),
    [anon_sym_for] = ACTIONS(14015),
    [anon_sym_while] = ACTIONS(14015),
    [sym_break_statement] = ACTIONS(14015),
    [sym_continue_statement] = ACTIONS(14015),
    [anon_sym_return] = ACTIONS(14015),
    [anon_sym_const] = ACTIONS(14015),
    [anon_sym_global] = ACTIONS(14015),
    [anon_sym_local] = ACTIONS(14015),
    [anon_sym_LPAREN] = ACTIONS(14015),
    [anon_sym_COLON2] = ACTIONS(14015),
    [anon_sym_export] = ACTIONS(14015),
    [anon_sym_import] = ACTIONS(14015),
    [anon_sym_using] = ACTIONS(14015),
    [anon_sym_LBRACK] = ACTIONS(14015),
    [anon_sym_LF] = ACTIONS(14013),
    [anon_sym_in] = ACTIONS(14015),
    [anon_sym_LBRACE] = ACTIONS(14015),
    [anon_sym_DOLLAR] = ACTIONS(14015),
    [anon_sym_COLON_COLON] = ACTIONS(14015),
    [anon_sym_isa] = ACTIONS(14015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14015),
    [anon_sym_QMARK] = ACTIONS(14015),
    [anon_sym_AT] = ACTIONS(14015),
    [anon_sym_true] = ACTIONS(14015),
    [anon_sym_false] = ACTIONS(14015),
    [aux_sym_integer_literal_token1] = ACTIONS(14015),
    [aux_sym_integer_literal_token2] = ACTIONS(14015),
    [aux_sym_integer_literal_token3] = ACTIONS(14015),
    [aux_sym_integer_literal_token4] = ACTIONS(14015),
    [aux_sym_float_literal_token1] = ACTIONS(14015),
    [aux_sym_float_literal_token3] = ACTIONS(14015),
    [aux_sym_float_literal_token4] = ACTIONS(14015),
    [sym_character_literal] = ACTIONS(14015),
    [sym__pair_operator] = ACTIONS(14015),
    [sym__arrow_operator] = ACTIONS(14015),
    [sym__lazy_or_operator] = ACTIONS(14015),
    [sym__lazy_and_operator] = ACTIONS(14015),
    [sym__comparison_operator] = ACTIONS(14015),
    [sym__pipe_right_operator] = ACTIONS(14015),
    [sym__pipe_left_operator] = ACTIONS(14015),
    [sym__ellipsis_operator] = ACTIONS(14015),
    [sym__plus_operator] = ACTIONS(14015),
    [sym__times_operator] = ACTIONS(14015),
    [sym__rational_operator] = ACTIONS(14015),
    [sym__bitshift_operator] = ACTIONS(14015),
    [sym__power_operator] = ACTIONS(14015),
    [sym__tilde_operator] = ACTIONS(14015),
    [sym__type_order_operator] = ACTIONS(14015),
    [sym__unary_operator] = ACTIONS(14015),
    [sym__unary_plus_operator] = ACTIONS(14015),
    [aux_sym__terminator_token1] = ACTIONS(14015),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14013),
    [sym__command_start] = ACTIONS(14013),
  },
  [8107] = {
    [aux_sym_open_tuple_repeat1] = STATE(7590),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13688),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_catch] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(14517),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8108] = {
    [aux_sym_open_tuple_repeat1] = STATE(8326),
    [sym__word_identifier] = ACTIONS(12968),
    [anon_sym_EQ] = ACTIONS(12968),
    [anon_sym_COMMA] = ACTIONS(14519),
    [anon_sym_COLON] = ACTIONS(12968),
    [anon_sym_begin] = ACTIONS(12968),
    [anon_sym_module] = ACTIONS(12968),
    [anon_sym_baremodule] = ACTIONS(12968),
    [anon_sym_abstract] = ACTIONS(12968),
    [anon_sym_primitive] = ACTIONS(12968),
    [anon_sym_mutable] = ACTIONS(12968),
    [anon_sym_struct] = ACTIONS(12968),
    [anon_sym_function] = ACTIONS(12968),
    [anon_sym_macro] = ACTIONS(12968),
    [anon_sym_where] = ACTIONS(12968),
    [anon_sym_quote] = ACTIONS(12968),
    [anon_sym_let] = ACTIONS(12968),
    [anon_sym_if] = ACTIONS(12968),
    [anon_sym_try] = ACTIONS(12968),
    [anon_sym_for] = ACTIONS(12968),
    [anon_sym_while] = ACTIONS(12968),
    [sym_break_statement] = ACTIONS(12968),
    [sym_continue_statement] = ACTIONS(12968),
    [anon_sym_return] = ACTIONS(12968),
    [anon_sym_const] = ACTIONS(12968),
    [anon_sym_global] = ACTIONS(12968),
    [anon_sym_local] = ACTIONS(12968),
    [anon_sym_LPAREN] = ACTIONS(12972),
    [anon_sym_RPAREN] = ACTIONS(12972),
    [anon_sym_COLON2] = ACTIONS(12968),
    [anon_sym_export] = ACTIONS(12968),
    [anon_sym_import] = ACTIONS(12968),
    [anon_sym_using] = ACTIONS(12968),
    [anon_sym_LBRACK] = ACTIONS(12972),
    [anon_sym_RBRACK] = ACTIONS(12972),
    [anon_sym_in] = ACTIONS(12968),
    [anon_sym_LBRACE] = ACTIONS(12972),
    [anon_sym_RBRACE] = ACTIONS(12972),
    [anon_sym_DOLLAR] = ACTIONS(12972),
    [anon_sym_COLON_COLON] = ACTIONS(12972),
    [anon_sym_isa] = ACTIONS(12968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12972),
    [anon_sym_QMARK] = ACTIONS(12972),
    [anon_sym_AT] = ACTIONS(12972),
    [anon_sym_true] = ACTIONS(12968),
    [anon_sym_false] = ACTIONS(12968),
    [aux_sym_integer_literal_token1] = ACTIONS(12972),
    [aux_sym_integer_literal_token2] = ACTIONS(12972),
    [aux_sym_integer_literal_token3] = ACTIONS(12968),
    [aux_sym_integer_literal_token4] = ACTIONS(12968),
    [aux_sym_float_literal_token1] = ACTIONS(12972),
    [aux_sym_float_literal_token3] = ACTIONS(12972),
    [aux_sym_float_literal_token4] = ACTIONS(12972),
    [sym_character_literal] = ACTIONS(12972),
    [sym__pair_operator] = ACTIONS(12972),
    [sym__arrow_operator] = ACTIONS(12968),
    [sym__lazy_or_operator] = ACTIONS(12972),
    [sym__lazy_and_operator] = ACTIONS(12972),
    [sym__comparison_operator] = ACTIONS(12968),
    [sym__pipe_right_operator] = ACTIONS(12972),
    [sym__pipe_left_operator] = ACTIONS(12972),
    [sym__ellipsis_operator] = ACTIONS(12968),
    [sym__plus_operator] = ACTIONS(12968),
    [sym__times_operator] = ACTIONS(12968),
    [sym__rational_operator] = ACTIONS(12972),
    [sym__bitshift_operator] = ACTIONS(12972),
    [sym__power_operator] = ACTIONS(12972),
    [sym__tilde_operator] = ACTIONS(12972),
    [sym__type_order_operator] = ACTIONS(12972),
    [sym__unary_operator] = ACTIONS(12968),
    [sym__unary_plus_operator] = ACTIONS(12968),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12972),
    [sym__command_start] = ACTIONS(12972),
  },
  [8109] = {
    [sym__word_identifier] = ACTIONS(14023),
    [anon_sym_EQ] = ACTIONS(14023),
    [anon_sym_COMMA] = ACTIONS(14023),
    [anon_sym_COLON] = ACTIONS(14023),
    [anon_sym_begin] = ACTIONS(14023),
    [anon_sym_module] = ACTIONS(14023),
    [anon_sym_baremodule] = ACTIONS(14023),
    [anon_sym_end] = ACTIONS(14023),
    [anon_sym_abstract] = ACTIONS(14023),
    [anon_sym_primitive] = ACTIONS(14023),
    [anon_sym_mutable] = ACTIONS(14023),
    [anon_sym_struct] = ACTIONS(14023),
    [anon_sym_function] = ACTIONS(14023),
    [anon_sym_macro] = ACTIONS(14023),
    [anon_sym_where] = ACTIONS(14023),
    [anon_sym_quote] = ACTIONS(14023),
    [anon_sym_let] = ACTIONS(14023),
    [anon_sym_if] = ACTIONS(14023),
    [anon_sym_try] = ACTIONS(14023),
    [anon_sym_catch] = ACTIONS(14023),
    [anon_sym_for] = ACTIONS(14023),
    [anon_sym_while] = ACTIONS(14023),
    [sym_break_statement] = ACTIONS(14023),
    [sym_continue_statement] = ACTIONS(14023),
    [anon_sym_return] = ACTIONS(14023),
    [anon_sym_const] = ACTIONS(14023),
    [anon_sym_global] = ACTIONS(14023),
    [anon_sym_local] = ACTIONS(14023),
    [anon_sym_LPAREN] = ACTIONS(14023),
    [anon_sym_COLON2] = ACTIONS(14023),
    [anon_sym_export] = ACTIONS(14023),
    [anon_sym_import] = ACTIONS(14023),
    [anon_sym_using] = ACTIONS(14023),
    [anon_sym_LBRACK] = ACTIONS(14023),
    [anon_sym_LF] = ACTIONS(14021),
    [anon_sym_in] = ACTIONS(14023),
    [anon_sym_LBRACE] = ACTIONS(14023),
    [anon_sym_DOLLAR] = ACTIONS(14023),
    [anon_sym_COLON_COLON] = ACTIONS(14023),
    [anon_sym_isa] = ACTIONS(14023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14023),
    [anon_sym_QMARK] = ACTIONS(14023),
    [anon_sym_AT] = ACTIONS(14023),
    [anon_sym_true] = ACTIONS(14023),
    [anon_sym_false] = ACTIONS(14023),
    [aux_sym_integer_literal_token1] = ACTIONS(14023),
    [aux_sym_integer_literal_token2] = ACTIONS(14023),
    [aux_sym_integer_literal_token3] = ACTIONS(14023),
    [aux_sym_integer_literal_token4] = ACTIONS(14023),
    [aux_sym_float_literal_token1] = ACTIONS(14023),
    [aux_sym_float_literal_token3] = ACTIONS(14023),
    [aux_sym_float_literal_token4] = ACTIONS(14023),
    [sym_character_literal] = ACTIONS(14023),
    [sym__pair_operator] = ACTIONS(14023),
    [sym__arrow_operator] = ACTIONS(14023),
    [sym__lazy_or_operator] = ACTIONS(14023),
    [sym__lazy_and_operator] = ACTIONS(14023),
    [sym__comparison_operator] = ACTIONS(14023),
    [sym__pipe_right_operator] = ACTIONS(14023),
    [sym__pipe_left_operator] = ACTIONS(14023),
    [sym__ellipsis_operator] = ACTIONS(14023),
    [sym__plus_operator] = ACTIONS(14023),
    [sym__times_operator] = ACTIONS(14023),
    [sym__rational_operator] = ACTIONS(14023),
    [sym__bitshift_operator] = ACTIONS(14023),
    [sym__power_operator] = ACTIONS(14023),
    [sym__tilde_operator] = ACTIONS(14023),
    [sym__type_order_operator] = ACTIONS(14023),
    [sym__unary_operator] = ACTIONS(14023),
    [sym__unary_plus_operator] = ACTIONS(14023),
    [aux_sym__terminator_token1] = ACTIONS(14023),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14021),
    [sym__command_start] = ACTIONS(14021),
  },
  [8110] = {
    [sym__word_identifier] = ACTIONS(14019),
    [anon_sym_EQ] = ACTIONS(14019),
    [anon_sym_COMMA] = ACTIONS(14019),
    [anon_sym_COLON] = ACTIONS(14019),
    [anon_sym_begin] = ACTIONS(14019),
    [anon_sym_module] = ACTIONS(14019),
    [anon_sym_baremodule] = ACTIONS(14019),
    [anon_sym_end] = ACTIONS(14019),
    [anon_sym_abstract] = ACTIONS(14019),
    [anon_sym_primitive] = ACTIONS(14019),
    [anon_sym_mutable] = ACTIONS(14019),
    [anon_sym_struct] = ACTIONS(14019),
    [anon_sym_function] = ACTIONS(14019),
    [anon_sym_macro] = ACTIONS(14019),
    [anon_sym_where] = ACTIONS(14019),
    [anon_sym_quote] = ACTIONS(14019),
    [anon_sym_let] = ACTIONS(14019),
    [anon_sym_if] = ACTIONS(14019),
    [anon_sym_try] = ACTIONS(14019),
    [anon_sym_catch] = ACTIONS(14019),
    [anon_sym_for] = ACTIONS(14019),
    [anon_sym_while] = ACTIONS(14019),
    [sym_break_statement] = ACTIONS(14019),
    [sym_continue_statement] = ACTIONS(14019),
    [anon_sym_return] = ACTIONS(14019),
    [anon_sym_const] = ACTIONS(14019),
    [anon_sym_global] = ACTIONS(14019),
    [anon_sym_local] = ACTIONS(14019),
    [anon_sym_LPAREN] = ACTIONS(14019),
    [anon_sym_COLON2] = ACTIONS(14019),
    [anon_sym_export] = ACTIONS(14019),
    [anon_sym_import] = ACTIONS(14019),
    [anon_sym_using] = ACTIONS(14019),
    [anon_sym_LBRACK] = ACTIONS(14019),
    [anon_sym_LF] = ACTIONS(14017),
    [anon_sym_in] = ACTIONS(14019),
    [anon_sym_LBRACE] = ACTIONS(14019),
    [anon_sym_DOLLAR] = ACTIONS(14019),
    [anon_sym_COLON_COLON] = ACTIONS(14019),
    [anon_sym_isa] = ACTIONS(14019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14019),
    [anon_sym_QMARK] = ACTIONS(14019),
    [anon_sym_AT] = ACTIONS(14019),
    [anon_sym_true] = ACTIONS(14019),
    [anon_sym_false] = ACTIONS(14019),
    [aux_sym_integer_literal_token1] = ACTIONS(14019),
    [aux_sym_integer_literal_token2] = ACTIONS(14019),
    [aux_sym_integer_literal_token3] = ACTIONS(14019),
    [aux_sym_integer_literal_token4] = ACTIONS(14019),
    [aux_sym_float_literal_token1] = ACTIONS(14019),
    [aux_sym_float_literal_token3] = ACTIONS(14019),
    [aux_sym_float_literal_token4] = ACTIONS(14019),
    [sym_character_literal] = ACTIONS(14019),
    [sym__pair_operator] = ACTIONS(14019),
    [sym__arrow_operator] = ACTIONS(14019),
    [sym__lazy_or_operator] = ACTIONS(14019),
    [sym__lazy_and_operator] = ACTIONS(14019),
    [sym__comparison_operator] = ACTIONS(14019),
    [sym__pipe_right_operator] = ACTIONS(14019),
    [sym__pipe_left_operator] = ACTIONS(14019),
    [sym__ellipsis_operator] = ACTIONS(14019),
    [sym__plus_operator] = ACTIONS(14019),
    [sym__times_operator] = ACTIONS(14019),
    [sym__rational_operator] = ACTIONS(14019),
    [sym__bitshift_operator] = ACTIONS(14019),
    [sym__power_operator] = ACTIONS(14019),
    [sym__tilde_operator] = ACTIONS(14019),
    [sym__type_order_operator] = ACTIONS(14019),
    [sym__unary_operator] = ACTIONS(14019),
    [sym__unary_plus_operator] = ACTIONS(14019),
    [aux_sym__terminator_token1] = ACTIONS(14019),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14017),
    [sym__command_start] = ACTIONS(14017),
  },
  [8111] = {
    [sym__word_identifier] = ACTIONS(14015),
    [anon_sym_EQ] = ACTIONS(14015),
    [anon_sym_COMMA] = ACTIONS(14015),
    [anon_sym_COLON] = ACTIONS(14015),
    [anon_sym_begin] = ACTIONS(14015),
    [anon_sym_module] = ACTIONS(14015),
    [anon_sym_baremodule] = ACTIONS(14015),
    [anon_sym_end] = ACTIONS(14015),
    [anon_sym_abstract] = ACTIONS(14015),
    [anon_sym_primitive] = ACTIONS(14015),
    [anon_sym_mutable] = ACTIONS(14015),
    [anon_sym_struct] = ACTIONS(14015),
    [anon_sym_function] = ACTIONS(14015),
    [anon_sym_macro] = ACTIONS(14015),
    [anon_sym_where] = ACTIONS(14015),
    [anon_sym_quote] = ACTIONS(14015),
    [anon_sym_let] = ACTIONS(14015),
    [anon_sym_if] = ACTIONS(14015),
    [anon_sym_try] = ACTIONS(14015),
    [anon_sym_catch] = ACTIONS(14015),
    [anon_sym_for] = ACTIONS(14015),
    [anon_sym_while] = ACTIONS(14015),
    [sym_break_statement] = ACTIONS(14015),
    [sym_continue_statement] = ACTIONS(14015),
    [anon_sym_return] = ACTIONS(14015),
    [anon_sym_const] = ACTIONS(14015),
    [anon_sym_global] = ACTIONS(14015),
    [anon_sym_local] = ACTIONS(14015),
    [anon_sym_LPAREN] = ACTIONS(14015),
    [anon_sym_COLON2] = ACTIONS(14015),
    [anon_sym_export] = ACTIONS(14015),
    [anon_sym_import] = ACTIONS(14015),
    [anon_sym_using] = ACTIONS(14015),
    [anon_sym_LBRACK] = ACTIONS(14015),
    [anon_sym_LF] = ACTIONS(14013),
    [anon_sym_in] = ACTIONS(14015),
    [anon_sym_LBRACE] = ACTIONS(14015),
    [anon_sym_DOLLAR] = ACTIONS(14015),
    [anon_sym_COLON_COLON] = ACTIONS(14015),
    [anon_sym_isa] = ACTIONS(14015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14015),
    [anon_sym_QMARK] = ACTIONS(14015),
    [anon_sym_AT] = ACTIONS(14015),
    [anon_sym_true] = ACTIONS(14015),
    [anon_sym_false] = ACTIONS(14015),
    [aux_sym_integer_literal_token1] = ACTIONS(14015),
    [aux_sym_integer_literal_token2] = ACTIONS(14015),
    [aux_sym_integer_literal_token3] = ACTIONS(14015),
    [aux_sym_integer_literal_token4] = ACTIONS(14015),
    [aux_sym_float_literal_token1] = ACTIONS(14015),
    [aux_sym_float_literal_token3] = ACTIONS(14015),
    [aux_sym_float_literal_token4] = ACTIONS(14015),
    [sym_character_literal] = ACTIONS(14015),
    [sym__pair_operator] = ACTIONS(14015),
    [sym__arrow_operator] = ACTIONS(14015),
    [sym__lazy_or_operator] = ACTIONS(14015),
    [sym__lazy_and_operator] = ACTIONS(14015),
    [sym__comparison_operator] = ACTIONS(14015),
    [sym__pipe_right_operator] = ACTIONS(14015),
    [sym__pipe_left_operator] = ACTIONS(14015),
    [sym__ellipsis_operator] = ACTIONS(14015),
    [sym__plus_operator] = ACTIONS(14015),
    [sym__times_operator] = ACTIONS(14015),
    [sym__rational_operator] = ACTIONS(14015),
    [sym__bitshift_operator] = ACTIONS(14015),
    [sym__power_operator] = ACTIONS(14015),
    [sym__tilde_operator] = ACTIONS(14015),
    [sym__type_order_operator] = ACTIONS(14015),
    [sym__unary_operator] = ACTIONS(14015),
    [sym__unary_plus_operator] = ACTIONS(14015),
    [aux_sym__terminator_token1] = ACTIONS(14015),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14013),
    [sym__command_start] = ACTIONS(14013),
  },
  [8112] = {
    [sym__word_identifier] = ACTIONS(13949),
    [anon_sym_EQ] = ACTIONS(13949),
    [anon_sym_COMMA] = ACTIONS(13949),
    [anon_sym_COLON] = ACTIONS(13949),
    [anon_sym_begin] = ACTIONS(13949),
    [anon_sym_module] = ACTIONS(13949),
    [anon_sym_baremodule] = ACTIONS(13949),
    [anon_sym_end] = ACTIONS(13949),
    [anon_sym_abstract] = ACTIONS(13949),
    [anon_sym_primitive] = ACTIONS(13949),
    [anon_sym_mutable] = ACTIONS(13949),
    [anon_sym_struct] = ACTIONS(13949),
    [anon_sym_function] = ACTIONS(13949),
    [anon_sym_macro] = ACTIONS(13949),
    [anon_sym_where] = ACTIONS(13949),
    [anon_sym_quote] = ACTIONS(13949),
    [anon_sym_let] = ACTIONS(13949),
    [anon_sym_if] = ACTIONS(13949),
    [anon_sym_try] = ACTIONS(13949),
    [anon_sym_catch] = ACTIONS(13949),
    [anon_sym_for] = ACTIONS(13949),
    [anon_sym_while] = ACTIONS(13949),
    [sym_break_statement] = ACTIONS(13949),
    [sym_continue_statement] = ACTIONS(13949),
    [anon_sym_return] = ACTIONS(13949),
    [anon_sym_const] = ACTIONS(13949),
    [anon_sym_global] = ACTIONS(13949),
    [anon_sym_local] = ACTIONS(13949),
    [anon_sym_LPAREN] = ACTIONS(13949),
    [anon_sym_COLON2] = ACTIONS(13949),
    [anon_sym_export] = ACTIONS(13949),
    [anon_sym_import] = ACTIONS(13949),
    [anon_sym_using] = ACTIONS(13949),
    [anon_sym_LBRACK] = ACTIONS(13949),
    [anon_sym_LF] = ACTIONS(13951),
    [anon_sym_in] = ACTIONS(13949),
    [anon_sym_LBRACE] = ACTIONS(13949),
    [anon_sym_DOLLAR] = ACTIONS(13949),
    [anon_sym_COLON_COLON] = ACTIONS(13949),
    [anon_sym_isa] = ACTIONS(13949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13949),
    [anon_sym_QMARK] = ACTIONS(13949),
    [anon_sym_AT] = ACTIONS(13949),
    [anon_sym_true] = ACTIONS(13949),
    [anon_sym_false] = ACTIONS(13949),
    [aux_sym_integer_literal_token1] = ACTIONS(13949),
    [aux_sym_integer_literal_token2] = ACTIONS(13949),
    [aux_sym_integer_literal_token3] = ACTIONS(13949),
    [aux_sym_integer_literal_token4] = ACTIONS(13949),
    [aux_sym_float_literal_token1] = ACTIONS(13949),
    [aux_sym_float_literal_token3] = ACTIONS(13949),
    [aux_sym_float_literal_token4] = ACTIONS(13949),
    [sym_character_literal] = ACTIONS(13949),
    [sym__pair_operator] = ACTIONS(13949),
    [sym__arrow_operator] = ACTIONS(13949),
    [sym__lazy_or_operator] = ACTIONS(13949),
    [sym__lazy_and_operator] = ACTIONS(13949),
    [sym__comparison_operator] = ACTIONS(13949),
    [sym__pipe_right_operator] = ACTIONS(13949),
    [sym__pipe_left_operator] = ACTIONS(13949),
    [sym__ellipsis_operator] = ACTIONS(13949),
    [sym__plus_operator] = ACTIONS(13949),
    [sym__times_operator] = ACTIONS(13949),
    [sym__rational_operator] = ACTIONS(13949),
    [sym__bitshift_operator] = ACTIONS(13949),
    [sym__power_operator] = ACTIONS(13949),
    [sym__tilde_operator] = ACTIONS(13949),
    [sym__type_order_operator] = ACTIONS(13949),
    [sym__unary_operator] = ACTIONS(13949),
    [sym__unary_plus_operator] = ACTIONS(13949),
    [aux_sym__terminator_token1] = ACTIONS(13949),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13951),
    [sym__command_start] = ACTIONS(13951),
  },
  [8113] = {
    [sym__word_identifier] = ACTIONS(14011),
    [anon_sym_EQ] = ACTIONS(14011),
    [anon_sym_COMMA] = ACTIONS(14011),
    [anon_sym_COLON] = ACTIONS(14011),
    [anon_sym_begin] = ACTIONS(14011),
    [anon_sym_module] = ACTIONS(14011),
    [anon_sym_baremodule] = ACTIONS(14011),
    [anon_sym_end] = ACTIONS(14011),
    [anon_sym_abstract] = ACTIONS(14011),
    [anon_sym_primitive] = ACTIONS(14011),
    [anon_sym_mutable] = ACTIONS(14011),
    [anon_sym_struct] = ACTIONS(14011),
    [anon_sym_function] = ACTIONS(14011),
    [anon_sym_macro] = ACTIONS(14011),
    [anon_sym_where] = ACTIONS(14011),
    [anon_sym_quote] = ACTIONS(14011),
    [anon_sym_let] = ACTIONS(14011),
    [anon_sym_if] = ACTIONS(14011),
    [anon_sym_try] = ACTIONS(14011),
    [anon_sym_catch] = ACTIONS(14011),
    [anon_sym_for] = ACTIONS(14011),
    [anon_sym_while] = ACTIONS(14011),
    [sym_break_statement] = ACTIONS(14011),
    [sym_continue_statement] = ACTIONS(14011),
    [anon_sym_return] = ACTIONS(14011),
    [anon_sym_const] = ACTIONS(14011),
    [anon_sym_global] = ACTIONS(14011),
    [anon_sym_local] = ACTIONS(14011),
    [anon_sym_LPAREN] = ACTIONS(14011),
    [anon_sym_COLON2] = ACTIONS(14011),
    [anon_sym_export] = ACTIONS(14011),
    [anon_sym_import] = ACTIONS(14011),
    [anon_sym_using] = ACTIONS(14011),
    [anon_sym_LBRACK] = ACTIONS(14011),
    [anon_sym_LF] = ACTIONS(14009),
    [anon_sym_in] = ACTIONS(14011),
    [anon_sym_LBRACE] = ACTIONS(14011),
    [anon_sym_DOLLAR] = ACTIONS(14011),
    [anon_sym_COLON_COLON] = ACTIONS(14011),
    [anon_sym_isa] = ACTIONS(14011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14011),
    [anon_sym_QMARK] = ACTIONS(14011),
    [anon_sym_AT] = ACTIONS(14011),
    [anon_sym_true] = ACTIONS(14011),
    [anon_sym_false] = ACTIONS(14011),
    [aux_sym_integer_literal_token1] = ACTIONS(14011),
    [aux_sym_integer_literal_token2] = ACTIONS(14011),
    [aux_sym_integer_literal_token3] = ACTIONS(14011),
    [aux_sym_integer_literal_token4] = ACTIONS(14011),
    [aux_sym_float_literal_token1] = ACTIONS(14011),
    [aux_sym_float_literal_token3] = ACTIONS(14011),
    [aux_sym_float_literal_token4] = ACTIONS(14011),
    [sym_character_literal] = ACTIONS(14011),
    [sym__pair_operator] = ACTIONS(14011),
    [sym__arrow_operator] = ACTIONS(14011),
    [sym__lazy_or_operator] = ACTIONS(14011),
    [sym__lazy_and_operator] = ACTIONS(14011),
    [sym__comparison_operator] = ACTIONS(14011),
    [sym__pipe_right_operator] = ACTIONS(14011),
    [sym__pipe_left_operator] = ACTIONS(14011),
    [sym__ellipsis_operator] = ACTIONS(14011),
    [sym__plus_operator] = ACTIONS(14011),
    [sym__times_operator] = ACTIONS(14011),
    [sym__rational_operator] = ACTIONS(14011),
    [sym__bitshift_operator] = ACTIONS(14011),
    [sym__power_operator] = ACTIONS(14011),
    [sym__tilde_operator] = ACTIONS(14011),
    [sym__type_order_operator] = ACTIONS(14011),
    [sym__unary_operator] = ACTIONS(14011),
    [sym__unary_plus_operator] = ACTIONS(14011),
    [aux_sym__terminator_token1] = ACTIONS(14011),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14009),
    [sym__command_start] = ACTIONS(14009),
  },
  [8114] = {
    [sym__word_identifier] = ACTIONS(13997),
    [anon_sym_EQ] = ACTIONS(13997),
    [anon_sym_COMMA] = ACTIONS(13997),
    [anon_sym_COLON] = ACTIONS(13997),
    [anon_sym_begin] = ACTIONS(13997),
    [anon_sym_module] = ACTIONS(13997),
    [anon_sym_baremodule] = ACTIONS(13997),
    [anon_sym_end] = ACTIONS(13997),
    [anon_sym_abstract] = ACTIONS(13997),
    [anon_sym_primitive] = ACTIONS(13997),
    [anon_sym_mutable] = ACTIONS(13997),
    [anon_sym_struct] = ACTIONS(13997),
    [anon_sym_function] = ACTIONS(13997),
    [anon_sym_macro] = ACTIONS(13997),
    [anon_sym_where] = ACTIONS(13997),
    [anon_sym_quote] = ACTIONS(13997),
    [anon_sym_let] = ACTIONS(13997),
    [anon_sym_if] = ACTIONS(13997),
    [anon_sym_try] = ACTIONS(13997),
    [anon_sym_catch] = ACTIONS(13997),
    [anon_sym_for] = ACTIONS(13997),
    [anon_sym_while] = ACTIONS(13997),
    [sym_break_statement] = ACTIONS(13997),
    [sym_continue_statement] = ACTIONS(13997),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_const] = ACTIONS(13997),
    [anon_sym_global] = ACTIONS(13997),
    [anon_sym_local] = ACTIONS(13997),
    [anon_sym_LPAREN] = ACTIONS(13997),
    [anon_sym_COLON2] = ACTIONS(13997),
    [anon_sym_export] = ACTIONS(13997),
    [anon_sym_import] = ACTIONS(13997),
    [anon_sym_using] = ACTIONS(13997),
    [anon_sym_LBRACK] = ACTIONS(13997),
    [anon_sym_LF] = ACTIONS(13995),
    [anon_sym_in] = ACTIONS(13997),
    [anon_sym_LBRACE] = ACTIONS(13997),
    [anon_sym_DOLLAR] = ACTIONS(13997),
    [anon_sym_COLON_COLON] = ACTIONS(13997),
    [anon_sym_isa] = ACTIONS(13997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13997),
    [anon_sym_QMARK] = ACTIONS(13997),
    [anon_sym_AT] = ACTIONS(13997),
    [anon_sym_true] = ACTIONS(13997),
    [anon_sym_false] = ACTIONS(13997),
    [aux_sym_integer_literal_token1] = ACTIONS(13997),
    [aux_sym_integer_literal_token2] = ACTIONS(13997),
    [aux_sym_integer_literal_token3] = ACTIONS(13997),
    [aux_sym_integer_literal_token4] = ACTIONS(13997),
    [aux_sym_float_literal_token1] = ACTIONS(13997),
    [aux_sym_float_literal_token3] = ACTIONS(13997),
    [aux_sym_float_literal_token4] = ACTIONS(13997),
    [sym_character_literal] = ACTIONS(13997),
    [sym__pair_operator] = ACTIONS(13997),
    [sym__arrow_operator] = ACTIONS(13997),
    [sym__lazy_or_operator] = ACTIONS(13997),
    [sym__lazy_and_operator] = ACTIONS(13997),
    [sym__comparison_operator] = ACTIONS(13997),
    [sym__pipe_right_operator] = ACTIONS(13997),
    [sym__pipe_left_operator] = ACTIONS(13997),
    [sym__ellipsis_operator] = ACTIONS(13997),
    [sym__plus_operator] = ACTIONS(13997),
    [sym__times_operator] = ACTIONS(13997),
    [sym__rational_operator] = ACTIONS(13997),
    [sym__bitshift_operator] = ACTIONS(13997),
    [sym__power_operator] = ACTIONS(13997),
    [sym__tilde_operator] = ACTIONS(13997),
    [sym__type_order_operator] = ACTIONS(13997),
    [sym__unary_operator] = ACTIONS(13997),
    [sym__unary_plus_operator] = ACTIONS(13997),
    [aux_sym__terminator_token1] = ACTIONS(13997),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13995),
    [sym__command_start] = ACTIONS(13995),
  },
  [8115] = {
    [sym__word_identifier] = ACTIONS(14001),
    [anon_sym_EQ] = ACTIONS(14001),
    [anon_sym_COMMA] = ACTIONS(14001),
    [anon_sym_COLON] = ACTIONS(14001),
    [anon_sym_begin] = ACTIONS(14001),
    [anon_sym_module] = ACTIONS(14001),
    [anon_sym_baremodule] = ACTIONS(14001),
    [anon_sym_end] = ACTIONS(14001),
    [anon_sym_abstract] = ACTIONS(14001),
    [anon_sym_primitive] = ACTIONS(14001),
    [anon_sym_mutable] = ACTIONS(14001),
    [anon_sym_struct] = ACTIONS(14001),
    [anon_sym_function] = ACTIONS(14001),
    [anon_sym_macro] = ACTIONS(14001),
    [anon_sym_where] = ACTIONS(14001),
    [anon_sym_quote] = ACTIONS(14001),
    [anon_sym_let] = ACTIONS(14001),
    [anon_sym_if] = ACTIONS(14001),
    [anon_sym_try] = ACTIONS(14001),
    [anon_sym_catch] = ACTIONS(14001),
    [anon_sym_for] = ACTIONS(14001),
    [anon_sym_while] = ACTIONS(14001),
    [sym_break_statement] = ACTIONS(14001),
    [sym_continue_statement] = ACTIONS(14001),
    [anon_sym_return] = ACTIONS(14001),
    [anon_sym_const] = ACTIONS(14001),
    [anon_sym_global] = ACTIONS(14001),
    [anon_sym_local] = ACTIONS(14001),
    [anon_sym_LPAREN] = ACTIONS(14001),
    [anon_sym_COLON2] = ACTIONS(14001),
    [anon_sym_export] = ACTIONS(14001),
    [anon_sym_import] = ACTIONS(14001),
    [anon_sym_using] = ACTIONS(14001),
    [anon_sym_LBRACK] = ACTIONS(14001),
    [anon_sym_LF] = ACTIONS(13999),
    [anon_sym_in] = ACTIONS(14001),
    [anon_sym_LBRACE] = ACTIONS(14001),
    [anon_sym_DOLLAR] = ACTIONS(14001),
    [anon_sym_COLON_COLON] = ACTIONS(14001),
    [anon_sym_isa] = ACTIONS(14001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14001),
    [anon_sym_QMARK] = ACTIONS(14001),
    [anon_sym_AT] = ACTIONS(14001),
    [anon_sym_true] = ACTIONS(14001),
    [anon_sym_false] = ACTIONS(14001),
    [aux_sym_integer_literal_token1] = ACTIONS(14001),
    [aux_sym_integer_literal_token2] = ACTIONS(14001),
    [aux_sym_integer_literal_token3] = ACTIONS(14001),
    [aux_sym_integer_literal_token4] = ACTIONS(14001),
    [aux_sym_float_literal_token1] = ACTIONS(14001),
    [aux_sym_float_literal_token3] = ACTIONS(14001),
    [aux_sym_float_literal_token4] = ACTIONS(14001),
    [sym_character_literal] = ACTIONS(14001),
    [sym__pair_operator] = ACTIONS(14001),
    [sym__arrow_operator] = ACTIONS(14001),
    [sym__lazy_or_operator] = ACTIONS(14001),
    [sym__lazy_and_operator] = ACTIONS(14001),
    [sym__comparison_operator] = ACTIONS(14001),
    [sym__pipe_right_operator] = ACTIONS(14001),
    [sym__pipe_left_operator] = ACTIONS(14001),
    [sym__ellipsis_operator] = ACTIONS(14001),
    [sym__plus_operator] = ACTIONS(14001),
    [sym__times_operator] = ACTIONS(14001),
    [sym__rational_operator] = ACTIONS(14001),
    [sym__bitshift_operator] = ACTIONS(14001),
    [sym__power_operator] = ACTIONS(14001),
    [sym__tilde_operator] = ACTIONS(14001),
    [sym__type_order_operator] = ACTIONS(14001),
    [sym__unary_operator] = ACTIONS(14001),
    [sym__unary_plus_operator] = ACTIONS(14001),
    [aux_sym__terminator_token1] = ACTIONS(14001),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13999),
    [sym__command_start] = ACTIONS(13999),
  },
  [8116] = {
    [sym__word_identifier] = ACTIONS(13834),
    [anon_sym_EQ] = ACTIONS(13834),
    [anon_sym_COMMA] = ACTIONS(13834),
    [anon_sym_COLON] = ACTIONS(13834),
    [anon_sym_begin] = ACTIONS(13834),
    [anon_sym_module] = ACTIONS(13834),
    [anon_sym_baremodule] = ACTIONS(13834),
    [anon_sym_end] = ACTIONS(13834),
    [anon_sym_abstract] = ACTIONS(13834),
    [anon_sym_primitive] = ACTIONS(13834),
    [anon_sym_mutable] = ACTIONS(13834),
    [anon_sym_struct] = ACTIONS(13834),
    [anon_sym_function] = ACTIONS(13834),
    [anon_sym_macro] = ACTIONS(13834),
    [anon_sym_where] = ACTIONS(13834),
    [anon_sym_quote] = ACTIONS(13834),
    [anon_sym_let] = ACTIONS(13834),
    [anon_sym_if] = ACTIONS(13834),
    [anon_sym_try] = ACTIONS(13834),
    [anon_sym_catch] = ACTIONS(13834),
    [anon_sym_for] = ACTIONS(13834),
    [anon_sym_while] = ACTIONS(13834),
    [sym_break_statement] = ACTIONS(13834),
    [sym_continue_statement] = ACTIONS(13834),
    [anon_sym_return] = ACTIONS(13834),
    [anon_sym_const] = ACTIONS(13834),
    [anon_sym_global] = ACTIONS(13834),
    [anon_sym_local] = ACTIONS(13834),
    [anon_sym_LPAREN] = ACTIONS(13834),
    [anon_sym_COLON2] = ACTIONS(13834),
    [anon_sym_export] = ACTIONS(13834),
    [anon_sym_import] = ACTIONS(13834),
    [anon_sym_using] = ACTIONS(13834),
    [anon_sym_LBRACK] = ACTIONS(13834),
    [anon_sym_LF] = ACTIONS(13832),
    [anon_sym_in] = ACTIONS(13834),
    [anon_sym_LBRACE] = ACTIONS(13834),
    [anon_sym_DOLLAR] = ACTIONS(13834),
    [anon_sym_COLON_COLON] = ACTIONS(13834),
    [anon_sym_isa] = ACTIONS(13834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13834),
    [anon_sym_QMARK] = ACTIONS(13834),
    [anon_sym_AT] = ACTIONS(13834),
    [anon_sym_true] = ACTIONS(13834),
    [anon_sym_false] = ACTIONS(13834),
    [aux_sym_integer_literal_token1] = ACTIONS(13834),
    [aux_sym_integer_literal_token2] = ACTIONS(13834),
    [aux_sym_integer_literal_token3] = ACTIONS(13834),
    [aux_sym_integer_literal_token4] = ACTIONS(13834),
    [aux_sym_float_literal_token1] = ACTIONS(13834),
    [aux_sym_float_literal_token3] = ACTIONS(13834),
    [aux_sym_float_literal_token4] = ACTIONS(13834),
    [sym_character_literal] = ACTIONS(13834),
    [sym__pair_operator] = ACTIONS(13834),
    [sym__arrow_operator] = ACTIONS(13834),
    [sym__lazy_or_operator] = ACTIONS(13834),
    [sym__lazy_and_operator] = ACTIONS(13834),
    [sym__comparison_operator] = ACTIONS(13834),
    [sym__pipe_right_operator] = ACTIONS(13834),
    [sym__pipe_left_operator] = ACTIONS(13834),
    [sym__ellipsis_operator] = ACTIONS(13834),
    [sym__plus_operator] = ACTIONS(13834),
    [sym__times_operator] = ACTIONS(13834),
    [sym__rational_operator] = ACTIONS(13834),
    [sym__bitshift_operator] = ACTIONS(13834),
    [sym__power_operator] = ACTIONS(13834),
    [sym__tilde_operator] = ACTIONS(13834),
    [sym__type_order_operator] = ACTIONS(13834),
    [sym__unary_operator] = ACTIONS(13834),
    [sym__unary_plus_operator] = ACTIONS(13834),
    [aux_sym__terminator_token1] = ACTIONS(13834),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13832),
    [sym__command_start] = ACTIONS(13832),
  },
  [8117] = {
    [sym__word_identifier] = ACTIONS(13993),
    [anon_sym_EQ] = ACTIONS(13993),
    [anon_sym_COMMA] = ACTIONS(13993),
    [anon_sym_COLON] = ACTIONS(13993),
    [anon_sym_begin] = ACTIONS(13993),
    [anon_sym_module] = ACTIONS(13993),
    [anon_sym_baremodule] = ACTIONS(13993),
    [anon_sym_end] = ACTIONS(13993),
    [anon_sym_abstract] = ACTIONS(13993),
    [anon_sym_primitive] = ACTIONS(13993),
    [anon_sym_mutable] = ACTIONS(13993),
    [anon_sym_struct] = ACTIONS(13993),
    [anon_sym_function] = ACTIONS(13993),
    [anon_sym_macro] = ACTIONS(13993),
    [anon_sym_where] = ACTIONS(13993),
    [anon_sym_quote] = ACTIONS(13993),
    [anon_sym_let] = ACTIONS(13993),
    [anon_sym_if] = ACTIONS(13993),
    [anon_sym_try] = ACTIONS(13993),
    [anon_sym_catch] = ACTIONS(13993),
    [anon_sym_for] = ACTIONS(13993),
    [anon_sym_while] = ACTIONS(13993),
    [sym_break_statement] = ACTIONS(13993),
    [sym_continue_statement] = ACTIONS(13993),
    [anon_sym_return] = ACTIONS(13993),
    [anon_sym_const] = ACTIONS(13993),
    [anon_sym_global] = ACTIONS(13993),
    [anon_sym_local] = ACTIONS(13993),
    [anon_sym_LPAREN] = ACTIONS(13993),
    [anon_sym_COLON2] = ACTIONS(13993),
    [anon_sym_export] = ACTIONS(13993),
    [anon_sym_import] = ACTIONS(13993),
    [anon_sym_using] = ACTIONS(13993),
    [anon_sym_LBRACK] = ACTIONS(13993),
    [anon_sym_LF] = ACTIONS(13991),
    [anon_sym_in] = ACTIONS(13993),
    [anon_sym_LBRACE] = ACTIONS(13993),
    [anon_sym_DOLLAR] = ACTIONS(13993),
    [anon_sym_COLON_COLON] = ACTIONS(13993),
    [anon_sym_isa] = ACTIONS(13993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13993),
    [anon_sym_QMARK] = ACTIONS(13993),
    [anon_sym_AT] = ACTIONS(13993),
    [anon_sym_true] = ACTIONS(13993),
    [anon_sym_false] = ACTIONS(13993),
    [aux_sym_integer_literal_token1] = ACTIONS(13993),
    [aux_sym_integer_literal_token2] = ACTIONS(13993),
    [aux_sym_integer_literal_token3] = ACTIONS(13993),
    [aux_sym_integer_literal_token4] = ACTIONS(13993),
    [aux_sym_float_literal_token1] = ACTIONS(13993),
    [aux_sym_float_literal_token3] = ACTIONS(13993),
    [aux_sym_float_literal_token4] = ACTIONS(13993),
    [sym_character_literal] = ACTIONS(13993),
    [sym__pair_operator] = ACTIONS(13993),
    [sym__arrow_operator] = ACTIONS(13993),
    [sym__lazy_or_operator] = ACTIONS(13993),
    [sym__lazy_and_operator] = ACTIONS(13993),
    [sym__comparison_operator] = ACTIONS(13993),
    [sym__pipe_right_operator] = ACTIONS(13993),
    [sym__pipe_left_operator] = ACTIONS(13993),
    [sym__ellipsis_operator] = ACTIONS(13993),
    [sym__plus_operator] = ACTIONS(13993),
    [sym__times_operator] = ACTIONS(13993),
    [sym__rational_operator] = ACTIONS(13993),
    [sym__bitshift_operator] = ACTIONS(13993),
    [sym__power_operator] = ACTIONS(13993),
    [sym__tilde_operator] = ACTIONS(13993),
    [sym__type_order_operator] = ACTIONS(13993),
    [sym__unary_operator] = ACTIONS(13993),
    [sym__unary_plus_operator] = ACTIONS(13993),
    [aux_sym__terminator_token1] = ACTIONS(13993),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13991),
    [sym__command_start] = ACTIONS(13991),
  },
  [8118] = {
    [sym__word_identifier] = ACTIONS(13989),
    [anon_sym_EQ] = ACTIONS(13989),
    [anon_sym_COMMA] = ACTIONS(13989),
    [anon_sym_COLON] = ACTIONS(13989),
    [anon_sym_begin] = ACTIONS(13989),
    [anon_sym_module] = ACTIONS(13989),
    [anon_sym_baremodule] = ACTIONS(13989),
    [anon_sym_end] = ACTIONS(13989),
    [anon_sym_abstract] = ACTIONS(13989),
    [anon_sym_primitive] = ACTIONS(13989),
    [anon_sym_mutable] = ACTIONS(13989),
    [anon_sym_struct] = ACTIONS(13989),
    [anon_sym_function] = ACTIONS(13989),
    [anon_sym_macro] = ACTIONS(13989),
    [anon_sym_where] = ACTIONS(13989),
    [anon_sym_quote] = ACTIONS(13989),
    [anon_sym_let] = ACTIONS(13989),
    [anon_sym_if] = ACTIONS(13989),
    [anon_sym_try] = ACTIONS(13989),
    [anon_sym_catch] = ACTIONS(13989),
    [anon_sym_for] = ACTIONS(13989),
    [anon_sym_while] = ACTIONS(13989),
    [sym_break_statement] = ACTIONS(13989),
    [sym_continue_statement] = ACTIONS(13989),
    [anon_sym_return] = ACTIONS(13989),
    [anon_sym_const] = ACTIONS(13989),
    [anon_sym_global] = ACTIONS(13989),
    [anon_sym_local] = ACTIONS(13989),
    [anon_sym_LPAREN] = ACTIONS(13989),
    [anon_sym_COLON2] = ACTIONS(13989),
    [anon_sym_export] = ACTIONS(13989),
    [anon_sym_import] = ACTIONS(13989),
    [anon_sym_using] = ACTIONS(13989),
    [anon_sym_LBRACK] = ACTIONS(13989),
    [anon_sym_LF] = ACTIONS(13987),
    [anon_sym_in] = ACTIONS(13989),
    [anon_sym_LBRACE] = ACTIONS(13989),
    [anon_sym_DOLLAR] = ACTIONS(13989),
    [anon_sym_COLON_COLON] = ACTIONS(13989),
    [anon_sym_isa] = ACTIONS(13989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13989),
    [anon_sym_QMARK] = ACTIONS(13989),
    [anon_sym_AT] = ACTIONS(13989),
    [anon_sym_true] = ACTIONS(13989),
    [anon_sym_false] = ACTIONS(13989),
    [aux_sym_integer_literal_token1] = ACTIONS(13989),
    [aux_sym_integer_literal_token2] = ACTIONS(13989),
    [aux_sym_integer_literal_token3] = ACTIONS(13989),
    [aux_sym_integer_literal_token4] = ACTIONS(13989),
    [aux_sym_float_literal_token1] = ACTIONS(13989),
    [aux_sym_float_literal_token3] = ACTIONS(13989),
    [aux_sym_float_literal_token4] = ACTIONS(13989),
    [sym_character_literal] = ACTIONS(13989),
    [sym__pair_operator] = ACTIONS(13989),
    [sym__arrow_operator] = ACTIONS(13989),
    [sym__lazy_or_operator] = ACTIONS(13989),
    [sym__lazy_and_operator] = ACTIONS(13989),
    [sym__comparison_operator] = ACTIONS(13989),
    [sym__pipe_right_operator] = ACTIONS(13989),
    [sym__pipe_left_operator] = ACTIONS(13989),
    [sym__ellipsis_operator] = ACTIONS(13989),
    [sym__plus_operator] = ACTIONS(13989),
    [sym__times_operator] = ACTIONS(13989),
    [sym__rational_operator] = ACTIONS(13989),
    [sym__bitshift_operator] = ACTIONS(13989),
    [sym__power_operator] = ACTIONS(13989),
    [sym__tilde_operator] = ACTIONS(13989),
    [sym__type_order_operator] = ACTIONS(13989),
    [sym__unary_operator] = ACTIONS(13989),
    [sym__unary_plus_operator] = ACTIONS(13989),
    [aux_sym__terminator_token1] = ACTIONS(13989),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13987),
    [sym__command_start] = ACTIONS(13987),
  },
  [8119] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(14521),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_catch] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8120] = {
    [sym__word_identifier] = ACTIONS(13985),
    [anon_sym_EQ] = ACTIONS(13985),
    [anon_sym_COMMA] = ACTIONS(13985),
    [anon_sym_COLON] = ACTIONS(13985),
    [anon_sym_begin] = ACTIONS(13985),
    [anon_sym_module] = ACTIONS(13985),
    [anon_sym_baremodule] = ACTIONS(13985),
    [anon_sym_end] = ACTIONS(13985),
    [anon_sym_abstract] = ACTIONS(13985),
    [anon_sym_primitive] = ACTIONS(13985),
    [anon_sym_mutable] = ACTIONS(13985),
    [anon_sym_struct] = ACTIONS(13985),
    [anon_sym_function] = ACTIONS(13985),
    [anon_sym_macro] = ACTIONS(13985),
    [anon_sym_where] = ACTIONS(13985),
    [anon_sym_quote] = ACTIONS(13985),
    [anon_sym_let] = ACTIONS(13985),
    [anon_sym_if] = ACTIONS(13985),
    [anon_sym_try] = ACTIONS(13985),
    [anon_sym_catch] = ACTIONS(13985),
    [anon_sym_for] = ACTIONS(13985),
    [anon_sym_while] = ACTIONS(13985),
    [sym_break_statement] = ACTIONS(13985),
    [sym_continue_statement] = ACTIONS(13985),
    [anon_sym_return] = ACTIONS(13985),
    [anon_sym_const] = ACTIONS(13985),
    [anon_sym_global] = ACTIONS(13985),
    [anon_sym_local] = ACTIONS(13985),
    [anon_sym_LPAREN] = ACTIONS(13985),
    [anon_sym_COLON2] = ACTIONS(13985),
    [anon_sym_export] = ACTIONS(13985),
    [anon_sym_import] = ACTIONS(13985),
    [anon_sym_using] = ACTIONS(13985),
    [anon_sym_LBRACK] = ACTIONS(13985),
    [anon_sym_LF] = ACTIONS(13983),
    [anon_sym_in] = ACTIONS(13985),
    [anon_sym_LBRACE] = ACTIONS(13985),
    [anon_sym_DOLLAR] = ACTIONS(13985),
    [anon_sym_COLON_COLON] = ACTIONS(13985),
    [anon_sym_isa] = ACTIONS(13985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13985),
    [anon_sym_QMARK] = ACTIONS(13985),
    [anon_sym_AT] = ACTIONS(13985),
    [anon_sym_true] = ACTIONS(13985),
    [anon_sym_false] = ACTIONS(13985),
    [aux_sym_integer_literal_token1] = ACTIONS(13985),
    [aux_sym_integer_literal_token2] = ACTIONS(13985),
    [aux_sym_integer_literal_token3] = ACTIONS(13985),
    [aux_sym_integer_literal_token4] = ACTIONS(13985),
    [aux_sym_float_literal_token1] = ACTIONS(13985),
    [aux_sym_float_literal_token3] = ACTIONS(13985),
    [aux_sym_float_literal_token4] = ACTIONS(13985),
    [sym_character_literal] = ACTIONS(13985),
    [sym__pair_operator] = ACTIONS(13985),
    [sym__arrow_operator] = ACTIONS(13985),
    [sym__lazy_or_operator] = ACTIONS(13985),
    [sym__lazy_and_operator] = ACTIONS(13985),
    [sym__comparison_operator] = ACTIONS(13985),
    [sym__pipe_right_operator] = ACTIONS(13985),
    [sym__pipe_left_operator] = ACTIONS(13985),
    [sym__ellipsis_operator] = ACTIONS(13985),
    [sym__plus_operator] = ACTIONS(13985),
    [sym__times_operator] = ACTIONS(13985),
    [sym__rational_operator] = ACTIONS(13985),
    [sym__bitshift_operator] = ACTIONS(13985),
    [sym__power_operator] = ACTIONS(13985),
    [sym__tilde_operator] = ACTIONS(13985),
    [sym__type_order_operator] = ACTIONS(13985),
    [sym__unary_operator] = ACTIONS(13985),
    [sym__unary_plus_operator] = ACTIONS(13985),
    [aux_sym__terminator_token1] = ACTIONS(13985),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13983),
    [sym__command_start] = ACTIONS(13983),
  },
  [8121] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13390),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8122] = {
    [aux_sym_open_tuple_repeat1] = STATE(8245),
    [sym__word_identifier] = ACTIONS(12968),
    [anon_sym_EQ] = ACTIONS(12968),
    [anon_sym_COMMA] = ACTIONS(14523),
    [anon_sym_COLON] = ACTIONS(12968),
    [anon_sym_begin] = ACTIONS(12968),
    [anon_sym_module] = ACTIONS(12968),
    [anon_sym_baremodule] = ACTIONS(12968),
    [anon_sym_end] = ACTIONS(12968),
    [anon_sym_abstract] = ACTIONS(12968),
    [anon_sym_primitive] = ACTIONS(12968),
    [anon_sym_mutable] = ACTIONS(12968),
    [anon_sym_struct] = ACTIONS(12968),
    [anon_sym_function] = ACTIONS(12968),
    [anon_sym_macro] = ACTIONS(12968),
    [anon_sym_where] = ACTIONS(12968),
    [anon_sym_quote] = ACTIONS(12968),
    [anon_sym_let] = ACTIONS(12968),
    [anon_sym_if] = ACTIONS(12968),
    [anon_sym_try] = ACTIONS(12968),
    [anon_sym_for] = ACTIONS(12968),
    [anon_sym_while] = ACTIONS(12968),
    [sym_break_statement] = ACTIONS(12968),
    [sym_continue_statement] = ACTIONS(12968),
    [anon_sym_return] = ACTIONS(12968),
    [anon_sym_const] = ACTIONS(12968),
    [anon_sym_global] = ACTIONS(12968),
    [anon_sym_local] = ACTIONS(12968),
    [anon_sym_LPAREN] = ACTIONS(12968),
    [anon_sym_COLON2] = ACTIONS(12968),
    [anon_sym_export] = ACTIONS(12968),
    [anon_sym_import] = ACTIONS(12968),
    [anon_sym_using] = ACTIONS(12968),
    [anon_sym_LBRACK] = ACTIONS(12968),
    [anon_sym_LF] = ACTIONS(12972),
    [anon_sym_in] = ACTIONS(12968),
    [anon_sym_LBRACE] = ACTIONS(12968),
    [anon_sym_DOLLAR] = ACTIONS(12968),
    [anon_sym_COLON_COLON] = ACTIONS(12968),
    [anon_sym_isa] = ACTIONS(12968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12968),
    [anon_sym_QMARK] = ACTIONS(12968),
    [anon_sym_AT] = ACTIONS(12968),
    [anon_sym_true] = ACTIONS(12968),
    [anon_sym_false] = ACTIONS(12968),
    [aux_sym_integer_literal_token1] = ACTIONS(12968),
    [aux_sym_integer_literal_token2] = ACTIONS(12968),
    [aux_sym_integer_literal_token3] = ACTIONS(12968),
    [aux_sym_integer_literal_token4] = ACTIONS(12968),
    [aux_sym_float_literal_token1] = ACTIONS(12968),
    [aux_sym_float_literal_token3] = ACTIONS(12968),
    [aux_sym_float_literal_token4] = ACTIONS(12968),
    [sym_character_literal] = ACTIONS(12968),
    [sym__pair_operator] = ACTIONS(12968),
    [sym__arrow_operator] = ACTIONS(12968),
    [sym__lazy_or_operator] = ACTIONS(12968),
    [sym__lazy_and_operator] = ACTIONS(12968),
    [sym__comparison_operator] = ACTIONS(12968),
    [sym__pipe_right_operator] = ACTIONS(12968),
    [sym__pipe_left_operator] = ACTIONS(12968),
    [sym__ellipsis_operator] = ACTIONS(12968),
    [sym__plus_operator] = ACTIONS(12968),
    [sym__times_operator] = ACTIONS(12968),
    [sym__rational_operator] = ACTIONS(12968),
    [sym__bitshift_operator] = ACTIONS(12968),
    [sym__power_operator] = ACTIONS(12968),
    [sym__tilde_operator] = ACTIONS(12968),
    [sym__type_order_operator] = ACTIONS(12968),
    [sym__unary_operator] = ACTIONS(12968),
    [sym__unary_plus_operator] = ACTIONS(12968),
    [aux_sym__terminator_token1] = ACTIONS(12968),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12972),
    [sym__command_start] = ACTIONS(12972),
  },
  [8123] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12100),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8124] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(14521),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_catch] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8125] = {
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13238),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_catch] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13238),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13238),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13238),
    [anon_sym_isa] = ACTIONS(13238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13238),
    [anon_sym_QMARK] = ACTIONS(13238),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13238),
    [sym__arrow_operator] = ACTIONS(13238),
    [sym__lazy_or_operator] = ACTIONS(13238),
    [sym__lazy_and_operator] = ACTIONS(13238),
    [sym__comparison_operator] = ACTIONS(13238),
    [sym__pipe_right_operator] = ACTIONS(13238),
    [sym__pipe_left_operator] = ACTIONS(13238),
    [sym__ellipsis_operator] = ACTIONS(13238),
    [sym__plus_operator] = ACTIONS(13238),
    [sym__times_operator] = ACTIONS(13238),
    [sym__rational_operator] = ACTIONS(13238),
    [sym__bitshift_operator] = ACTIONS(13238),
    [sym__power_operator] = ACTIONS(13238),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13238),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13238),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8126] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(12552),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8127] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(14521),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_catch] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8128] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12676),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12676),
    [anon_sym_RPAREN] = ACTIONS(12676),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12676),
    [anon_sym_RBRACK] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12676),
    [anon_sym_LBRACE] = ACTIONS(12676),
    [anon_sym_RBRACE] = ACTIONS(12676),
    [anon_sym_DOLLAR] = ACTIONS(12676),
    [anon_sym_COLON_COLON] = ACTIONS(12676),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12676),
    [anon_sym_QMARK] = ACTIONS(12676),
    [anon_sym_AT] = ACTIONS(12676),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12676),
    [aux_sym_integer_literal_token2] = ACTIONS(12676),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12676),
    [aux_sym_float_literal_token3] = ACTIONS(12676),
    [aux_sym_float_literal_token4] = ACTIONS(12676),
    [sym_character_literal] = ACTIONS(12676),
    [sym__pair_operator] = ACTIONS(12676),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12676),
    [sym__lazy_and_operator] = ACTIONS(12676),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12676),
    [sym__pipe_left_operator] = ACTIONS(12676),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12676),
    [sym__bitshift_operator] = ACTIONS(12676),
    [sym__power_operator] = ACTIONS(12676),
    [sym__tilde_operator] = ACTIONS(12676),
    [sym__type_order_operator] = ACTIONS(12676),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [8129] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12710),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12094),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8130] = {
    [sym__word_identifier] = ACTIONS(13630),
    [anon_sym_EQ] = ACTIONS(13630),
    [anon_sym_COMMA] = ACTIONS(13630),
    [anon_sym_COLON] = ACTIONS(13630),
    [anon_sym_begin] = ACTIONS(13630),
    [anon_sym_module] = ACTIONS(13630),
    [anon_sym_baremodule] = ACTIONS(13630),
    [anon_sym_end] = ACTIONS(13630),
    [anon_sym_abstract] = ACTIONS(13630),
    [anon_sym_primitive] = ACTIONS(13630),
    [anon_sym_mutable] = ACTIONS(13630),
    [anon_sym_struct] = ACTIONS(13630),
    [anon_sym_function] = ACTIONS(13630),
    [anon_sym_macro] = ACTIONS(13630),
    [anon_sym_where] = ACTIONS(13630),
    [anon_sym_quote] = ACTIONS(13630),
    [anon_sym_let] = ACTIONS(13630),
    [anon_sym_if] = ACTIONS(13630),
    [anon_sym_try] = ACTIONS(13630),
    [anon_sym_catch] = ACTIONS(13630),
    [anon_sym_for] = ACTIONS(13630),
    [anon_sym_while] = ACTIONS(13630),
    [sym_break_statement] = ACTIONS(13630),
    [sym_continue_statement] = ACTIONS(13630),
    [anon_sym_return] = ACTIONS(13630),
    [anon_sym_const] = ACTIONS(13630),
    [anon_sym_global] = ACTIONS(13630),
    [anon_sym_local] = ACTIONS(13630),
    [anon_sym_LPAREN] = ACTIONS(13630),
    [anon_sym_COLON2] = ACTIONS(13630),
    [anon_sym_export] = ACTIONS(13630),
    [anon_sym_import] = ACTIONS(13630),
    [anon_sym_using] = ACTIONS(13630),
    [anon_sym_LBRACK] = ACTIONS(13630),
    [anon_sym_LF] = ACTIONS(13628),
    [anon_sym_in] = ACTIONS(13630),
    [anon_sym_LBRACE] = ACTIONS(13630),
    [anon_sym_DOLLAR] = ACTIONS(13630),
    [anon_sym_COLON_COLON] = ACTIONS(13630),
    [anon_sym_isa] = ACTIONS(13630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13630),
    [anon_sym_QMARK] = ACTIONS(13630),
    [anon_sym_AT] = ACTIONS(13630),
    [anon_sym_true] = ACTIONS(13630),
    [anon_sym_false] = ACTIONS(13630),
    [aux_sym_integer_literal_token1] = ACTIONS(13630),
    [aux_sym_integer_literal_token2] = ACTIONS(13630),
    [aux_sym_integer_literal_token3] = ACTIONS(13630),
    [aux_sym_integer_literal_token4] = ACTIONS(13630),
    [aux_sym_float_literal_token1] = ACTIONS(13630),
    [aux_sym_float_literal_token3] = ACTIONS(13630),
    [aux_sym_float_literal_token4] = ACTIONS(13630),
    [sym_character_literal] = ACTIONS(13630),
    [sym__pair_operator] = ACTIONS(13630),
    [sym__arrow_operator] = ACTIONS(13630),
    [sym__lazy_or_operator] = ACTIONS(13630),
    [sym__lazy_and_operator] = ACTIONS(13630),
    [sym__comparison_operator] = ACTIONS(13630),
    [sym__pipe_right_operator] = ACTIONS(13630),
    [sym__pipe_left_operator] = ACTIONS(13630),
    [sym__ellipsis_operator] = ACTIONS(13630),
    [sym__plus_operator] = ACTIONS(13630),
    [sym__times_operator] = ACTIONS(13630),
    [sym__rational_operator] = ACTIONS(13630),
    [sym__bitshift_operator] = ACTIONS(13630),
    [sym__power_operator] = ACTIONS(13630),
    [sym__tilde_operator] = ACTIONS(13630),
    [sym__type_order_operator] = ACTIONS(13630),
    [sym__unary_operator] = ACTIONS(13630),
    [sym__unary_plus_operator] = ACTIONS(13630),
    [aux_sym__terminator_token1] = ACTIONS(13630),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13628),
    [sym__command_start] = ACTIONS(13628),
  },
  [8131] = {
    [sym__word_identifier] = ACTIONS(13592),
    [anon_sym_EQ] = ACTIONS(13592),
    [anon_sym_COMMA] = ACTIONS(13592),
    [anon_sym_COLON] = ACTIONS(13592),
    [anon_sym_begin] = ACTIONS(13592),
    [anon_sym_module] = ACTIONS(13592),
    [anon_sym_baremodule] = ACTIONS(13592),
    [anon_sym_end] = ACTIONS(13592),
    [anon_sym_abstract] = ACTIONS(13592),
    [anon_sym_primitive] = ACTIONS(13592),
    [anon_sym_mutable] = ACTIONS(13592),
    [anon_sym_struct] = ACTIONS(13592),
    [anon_sym_function] = ACTIONS(13592),
    [anon_sym_macro] = ACTIONS(13592),
    [anon_sym_where] = ACTIONS(13592),
    [anon_sym_quote] = ACTIONS(13592),
    [anon_sym_let] = ACTIONS(13592),
    [anon_sym_if] = ACTIONS(13592),
    [anon_sym_try] = ACTIONS(13592),
    [anon_sym_catch] = ACTIONS(13592),
    [anon_sym_for] = ACTIONS(13592),
    [anon_sym_while] = ACTIONS(13592),
    [sym_break_statement] = ACTIONS(13592),
    [sym_continue_statement] = ACTIONS(13592),
    [anon_sym_return] = ACTIONS(13592),
    [anon_sym_const] = ACTIONS(13592),
    [anon_sym_global] = ACTIONS(13592),
    [anon_sym_local] = ACTIONS(13592),
    [anon_sym_LPAREN] = ACTIONS(13592),
    [anon_sym_COLON2] = ACTIONS(13592),
    [anon_sym_export] = ACTIONS(13592),
    [anon_sym_import] = ACTIONS(13592),
    [anon_sym_using] = ACTIONS(13592),
    [anon_sym_LBRACK] = ACTIONS(13592),
    [anon_sym_LF] = ACTIONS(13590),
    [anon_sym_in] = ACTIONS(13592),
    [anon_sym_LBRACE] = ACTIONS(13592),
    [anon_sym_DOLLAR] = ACTIONS(13592),
    [anon_sym_COLON_COLON] = ACTIONS(13592),
    [anon_sym_isa] = ACTIONS(13592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13592),
    [anon_sym_QMARK] = ACTIONS(13592),
    [anon_sym_AT] = ACTIONS(13592),
    [anon_sym_true] = ACTIONS(13592),
    [anon_sym_false] = ACTIONS(13592),
    [aux_sym_integer_literal_token1] = ACTIONS(13592),
    [aux_sym_integer_literal_token2] = ACTIONS(13592),
    [aux_sym_integer_literal_token3] = ACTIONS(13592),
    [aux_sym_integer_literal_token4] = ACTIONS(13592),
    [aux_sym_float_literal_token1] = ACTIONS(13592),
    [aux_sym_float_literal_token3] = ACTIONS(13592),
    [aux_sym_float_literal_token4] = ACTIONS(13592),
    [sym_character_literal] = ACTIONS(13592),
    [sym__pair_operator] = ACTIONS(13592),
    [sym__arrow_operator] = ACTIONS(13592),
    [sym__lazy_or_operator] = ACTIONS(13592),
    [sym__lazy_and_operator] = ACTIONS(13592),
    [sym__comparison_operator] = ACTIONS(13592),
    [sym__pipe_right_operator] = ACTIONS(13592),
    [sym__pipe_left_operator] = ACTIONS(13592),
    [sym__ellipsis_operator] = ACTIONS(13592),
    [sym__plus_operator] = ACTIONS(13592),
    [sym__times_operator] = ACTIONS(13592),
    [sym__rational_operator] = ACTIONS(13592),
    [sym__bitshift_operator] = ACTIONS(13592),
    [sym__power_operator] = ACTIONS(13592),
    [sym__tilde_operator] = ACTIONS(13592),
    [sym__type_order_operator] = ACTIONS(13592),
    [sym__unary_operator] = ACTIONS(13592),
    [sym__unary_plus_operator] = ACTIONS(13592),
    [aux_sym__terminator_token1] = ACTIONS(13592),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13590),
    [sym__command_start] = ACTIONS(13590),
  },
  [8132] = {
    [sym__word_identifier] = ACTIONS(13574),
    [anon_sym_EQ] = ACTIONS(13574),
    [anon_sym_COMMA] = ACTIONS(13574),
    [anon_sym_COLON] = ACTIONS(13574),
    [anon_sym_begin] = ACTIONS(13574),
    [anon_sym_module] = ACTIONS(13574),
    [anon_sym_baremodule] = ACTIONS(13574),
    [anon_sym_end] = ACTIONS(13574),
    [anon_sym_abstract] = ACTIONS(13574),
    [anon_sym_primitive] = ACTIONS(13574),
    [anon_sym_mutable] = ACTIONS(13574),
    [anon_sym_struct] = ACTIONS(13574),
    [anon_sym_function] = ACTIONS(13574),
    [anon_sym_macro] = ACTIONS(13574),
    [anon_sym_where] = ACTIONS(13574),
    [anon_sym_quote] = ACTIONS(13574),
    [anon_sym_let] = ACTIONS(13574),
    [anon_sym_if] = ACTIONS(13574),
    [anon_sym_try] = ACTIONS(13574),
    [anon_sym_catch] = ACTIONS(13574),
    [anon_sym_for] = ACTIONS(13574),
    [anon_sym_while] = ACTIONS(13574),
    [sym_break_statement] = ACTIONS(13574),
    [sym_continue_statement] = ACTIONS(13574),
    [anon_sym_return] = ACTIONS(13574),
    [anon_sym_const] = ACTIONS(13574),
    [anon_sym_global] = ACTIONS(13574),
    [anon_sym_local] = ACTIONS(13574),
    [anon_sym_LPAREN] = ACTIONS(13574),
    [anon_sym_COLON2] = ACTIONS(13574),
    [anon_sym_export] = ACTIONS(13574),
    [anon_sym_import] = ACTIONS(13574),
    [anon_sym_using] = ACTIONS(13574),
    [anon_sym_LBRACK] = ACTIONS(13574),
    [anon_sym_LF] = ACTIONS(13572),
    [anon_sym_in] = ACTIONS(13574),
    [anon_sym_LBRACE] = ACTIONS(13574),
    [anon_sym_DOLLAR] = ACTIONS(13574),
    [anon_sym_COLON_COLON] = ACTIONS(13574),
    [anon_sym_isa] = ACTIONS(13574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13574),
    [anon_sym_QMARK] = ACTIONS(13574),
    [anon_sym_AT] = ACTIONS(13574),
    [anon_sym_true] = ACTIONS(13574),
    [anon_sym_false] = ACTIONS(13574),
    [aux_sym_integer_literal_token1] = ACTIONS(13574),
    [aux_sym_integer_literal_token2] = ACTIONS(13574),
    [aux_sym_integer_literal_token3] = ACTIONS(13574),
    [aux_sym_integer_literal_token4] = ACTIONS(13574),
    [aux_sym_float_literal_token1] = ACTIONS(13574),
    [aux_sym_float_literal_token3] = ACTIONS(13574),
    [aux_sym_float_literal_token4] = ACTIONS(13574),
    [sym_character_literal] = ACTIONS(13574),
    [sym__pair_operator] = ACTIONS(13574),
    [sym__arrow_operator] = ACTIONS(13574),
    [sym__lazy_or_operator] = ACTIONS(13574),
    [sym__lazy_and_operator] = ACTIONS(13574),
    [sym__comparison_operator] = ACTIONS(13574),
    [sym__pipe_right_operator] = ACTIONS(13574),
    [sym__pipe_left_operator] = ACTIONS(13574),
    [sym__ellipsis_operator] = ACTIONS(13574),
    [sym__plus_operator] = ACTIONS(13574),
    [sym__times_operator] = ACTIONS(13574),
    [sym__rational_operator] = ACTIONS(13574),
    [sym__bitshift_operator] = ACTIONS(13574),
    [sym__power_operator] = ACTIONS(13574),
    [sym__tilde_operator] = ACTIONS(13574),
    [sym__type_order_operator] = ACTIONS(13574),
    [sym__unary_operator] = ACTIONS(13574),
    [sym__unary_plus_operator] = ACTIONS(13574),
    [aux_sym__terminator_token1] = ACTIONS(13574),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13572),
    [sym__command_start] = ACTIONS(13572),
  },
  [8133] = {
    [sym__word_identifier] = ACTIONS(13290),
    [anon_sym_EQ] = ACTIONS(13290),
    [anon_sym_COMMA] = ACTIONS(13290),
    [anon_sym_COLON] = ACTIONS(13290),
    [anon_sym_begin] = ACTIONS(13290),
    [anon_sym_module] = ACTIONS(13290),
    [anon_sym_baremodule] = ACTIONS(13290),
    [anon_sym_end] = ACTIONS(13290),
    [anon_sym_abstract] = ACTIONS(13290),
    [anon_sym_primitive] = ACTIONS(13290),
    [anon_sym_mutable] = ACTIONS(13290),
    [anon_sym_struct] = ACTIONS(13290),
    [anon_sym_function] = ACTIONS(13290),
    [anon_sym_macro] = ACTIONS(13290),
    [anon_sym_where] = ACTIONS(13290),
    [anon_sym_quote] = ACTIONS(13290),
    [anon_sym_let] = ACTIONS(13290),
    [anon_sym_if] = ACTIONS(13290),
    [anon_sym_try] = ACTIONS(13290),
    [anon_sym_catch] = ACTIONS(13290),
    [anon_sym_for] = ACTIONS(13290),
    [anon_sym_while] = ACTIONS(13290),
    [sym_break_statement] = ACTIONS(13290),
    [sym_continue_statement] = ACTIONS(13290),
    [anon_sym_return] = ACTIONS(13290),
    [anon_sym_const] = ACTIONS(13290),
    [anon_sym_global] = ACTIONS(13290),
    [anon_sym_local] = ACTIONS(13290),
    [anon_sym_LPAREN] = ACTIONS(13290),
    [anon_sym_COLON2] = ACTIONS(13290),
    [anon_sym_export] = ACTIONS(13290),
    [anon_sym_import] = ACTIONS(13290),
    [anon_sym_using] = ACTIONS(13290),
    [anon_sym_LBRACK] = ACTIONS(13290),
    [anon_sym_LF] = ACTIONS(13292),
    [anon_sym_in] = ACTIONS(13290),
    [anon_sym_LBRACE] = ACTIONS(13290),
    [anon_sym_DOLLAR] = ACTIONS(13290),
    [anon_sym_COLON_COLON] = ACTIONS(13290),
    [anon_sym_isa] = ACTIONS(13290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13290),
    [anon_sym_QMARK] = ACTIONS(13290),
    [anon_sym_AT] = ACTIONS(13290),
    [anon_sym_true] = ACTIONS(13290),
    [anon_sym_false] = ACTIONS(13290),
    [aux_sym_integer_literal_token1] = ACTIONS(13290),
    [aux_sym_integer_literal_token2] = ACTIONS(13290),
    [aux_sym_integer_literal_token3] = ACTIONS(13290),
    [aux_sym_integer_literal_token4] = ACTIONS(13290),
    [aux_sym_float_literal_token1] = ACTIONS(13290),
    [aux_sym_float_literal_token3] = ACTIONS(13290),
    [aux_sym_float_literal_token4] = ACTIONS(13290),
    [sym_character_literal] = ACTIONS(13290),
    [sym__pair_operator] = ACTIONS(13290),
    [sym__arrow_operator] = ACTIONS(13290),
    [sym__lazy_or_operator] = ACTIONS(13290),
    [sym__lazy_and_operator] = ACTIONS(13290),
    [sym__comparison_operator] = ACTIONS(13290),
    [sym__pipe_right_operator] = ACTIONS(13290),
    [sym__pipe_left_operator] = ACTIONS(13290),
    [sym__ellipsis_operator] = ACTIONS(13290),
    [sym__plus_operator] = ACTIONS(13290),
    [sym__times_operator] = ACTIONS(13290),
    [sym__rational_operator] = ACTIONS(13290),
    [sym__bitshift_operator] = ACTIONS(13290),
    [sym__power_operator] = ACTIONS(13290),
    [sym__tilde_operator] = ACTIONS(13290),
    [sym__type_order_operator] = ACTIONS(13290),
    [sym__unary_operator] = ACTIONS(13290),
    [sym__unary_plus_operator] = ACTIONS(13290),
    [aux_sym__terminator_token1] = ACTIONS(13290),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13292),
    [sym__command_start] = ACTIONS(13292),
  },
  [8134] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12108),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8135] = {
    [sym__word_identifier] = ACTIONS(13546),
    [anon_sym_EQ] = ACTIONS(13546),
    [anon_sym_COMMA] = ACTIONS(13546),
    [anon_sym_COLON] = ACTIONS(13546),
    [anon_sym_begin] = ACTIONS(13546),
    [anon_sym_module] = ACTIONS(13546),
    [anon_sym_baremodule] = ACTIONS(13546),
    [anon_sym_end] = ACTIONS(13546),
    [anon_sym_abstract] = ACTIONS(13546),
    [anon_sym_primitive] = ACTIONS(13546),
    [anon_sym_mutable] = ACTIONS(13546),
    [anon_sym_struct] = ACTIONS(13546),
    [anon_sym_function] = ACTIONS(13546),
    [anon_sym_macro] = ACTIONS(13546),
    [anon_sym_where] = ACTIONS(13546),
    [anon_sym_quote] = ACTIONS(13546),
    [anon_sym_let] = ACTIONS(13546),
    [anon_sym_if] = ACTIONS(13546),
    [anon_sym_try] = ACTIONS(13546),
    [anon_sym_catch] = ACTIONS(13546),
    [anon_sym_for] = ACTIONS(13546),
    [anon_sym_while] = ACTIONS(13546),
    [sym_break_statement] = ACTIONS(13546),
    [sym_continue_statement] = ACTIONS(13546),
    [anon_sym_return] = ACTIONS(13546),
    [anon_sym_const] = ACTIONS(13546),
    [anon_sym_global] = ACTIONS(13546),
    [anon_sym_local] = ACTIONS(13546),
    [anon_sym_LPAREN] = ACTIONS(13546),
    [anon_sym_COLON2] = ACTIONS(13546),
    [anon_sym_export] = ACTIONS(13546),
    [anon_sym_import] = ACTIONS(13546),
    [anon_sym_using] = ACTIONS(13546),
    [anon_sym_LBRACK] = ACTIONS(13546),
    [anon_sym_LF] = ACTIONS(13544),
    [anon_sym_in] = ACTIONS(13546),
    [anon_sym_LBRACE] = ACTIONS(13546),
    [anon_sym_DOLLAR] = ACTIONS(13546),
    [anon_sym_COLON_COLON] = ACTIONS(13546),
    [anon_sym_isa] = ACTIONS(13546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13546),
    [anon_sym_QMARK] = ACTIONS(13546),
    [anon_sym_AT] = ACTIONS(13546),
    [anon_sym_true] = ACTIONS(13546),
    [anon_sym_false] = ACTIONS(13546),
    [aux_sym_integer_literal_token1] = ACTIONS(13546),
    [aux_sym_integer_literal_token2] = ACTIONS(13546),
    [aux_sym_integer_literal_token3] = ACTIONS(13546),
    [aux_sym_integer_literal_token4] = ACTIONS(13546),
    [aux_sym_float_literal_token1] = ACTIONS(13546),
    [aux_sym_float_literal_token3] = ACTIONS(13546),
    [aux_sym_float_literal_token4] = ACTIONS(13546),
    [sym_character_literal] = ACTIONS(13546),
    [sym__pair_operator] = ACTIONS(13546),
    [sym__arrow_operator] = ACTIONS(13546),
    [sym__lazy_or_operator] = ACTIONS(13546),
    [sym__lazy_and_operator] = ACTIONS(13546),
    [sym__comparison_operator] = ACTIONS(13546),
    [sym__pipe_right_operator] = ACTIONS(13546),
    [sym__pipe_left_operator] = ACTIONS(13546),
    [sym__ellipsis_operator] = ACTIONS(13546),
    [sym__plus_operator] = ACTIONS(13546),
    [sym__times_operator] = ACTIONS(13546),
    [sym__rational_operator] = ACTIONS(13546),
    [sym__bitshift_operator] = ACTIONS(13546),
    [sym__power_operator] = ACTIONS(13546),
    [sym__tilde_operator] = ACTIONS(13546),
    [sym__type_order_operator] = ACTIONS(13546),
    [sym__unary_operator] = ACTIONS(13546),
    [sym__unary_plus_operator] = ACTIONS(13546),
    [aux_sym__terminator_token1] = ACTIONS(13546),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13544),
    [sym__command_start] = ACTIONS(13544),
  },
  [8136] = {
    [sym__word_identifier] = ACTIONS(13538),
    [anon_sym_EQ] = ACTIONS(13538),
    [anon_sym_COMMA] = ACTIONS(13538),
    [anon_sym_COLON] = ACTIONS(13538),
    [anon_sym_begin] = ACTIONS(13538),
    [anon_sym_module] = ACTIONS(13538),
    [anon_sym_baremodule] = ACTIONS(13538),
    [anon_sym_end] = ACTIONS(13538),
    [anon_sym_abstract] = ACTIONS(13538),
    [anon_sym_primitive] = ACTIONS(13538),
    [anon_sym_mutable] = ACTIONS(13538),
    [anon_sym_struct] = ACTIONS(13538),
    [anon_sym_function] = ACTIONS(13538),
    [anon_sym_macro] = ACTIONS(13538),
    [anon_sym_where] = ACTIONS(13538),
    [anon_sym_quote] = ACTIONS(13538),
    [anon_sym_let] = ACTIONS(13538),
    [anon_sym_if] = ACTIONS(13538),
    [anon_sym_try] = ACTIONS(13538),
    [anon_sym_catch] = ACTIONS(13538),
    [anon_sym_for] = ACTIONS(13538),
    [anon_sym_while] = ACTIONS(13538),
    [sym_break_statement] = ACTIONS(13538),
    [sym_continue_statement] = ACTIONS(13538),
    [anon_sym_return] = ACTIONS(13538),
    [anon_sym_const] = ACTIONS(13538),
    [anon_sym_global] = ACTIONS(13538),
    [anon_sym_local] = ACTIONS(13538),
    [anon_sym_LPAREN] = ACTIONS(13538),
    [anon_sym_COLON2] = ACTIONS(13538),
    [anon_sym_export] = ACTIONS(13538),
    [anon_sym_import] = ACTIONS(13538),
    [anon_sym_using] = ACTIONS(13538),
    [anon_sym_LBRACK] = ACTIONS(13538),
    [anon_sym_LF] = ACTIONS(13536),
    [anon_sym_in] = ACTIONS(13538),
    [anon_sym_LBRACE] = ACTIONS(13538),
    [anon_sym_DOLLAR] = ACTIONS(13538),
    [anon_sym_COLON_COLON] = ACTIONS(13538),
    [anon_sym_isa] = ACTIONS(13538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13538),
    [anon_sym_QMARK] = ACTIONS(13538),
    [anon_sym_AT] = ACTIONS(13538),
    [anon_sym_true] = ACTIONS(13538),
    [anon_sym_false] = ACTIONS(13538),
    [aux_sym_integer_literal_token1] = ACTIONS(13538),
    [aux_sym_integer_literal_token2] = ACTIONS(13538),
    [aux_sym_integer_literal_token3] = ACTIONS(13538),
    [aux_sym_integer_literal_token4] = ACTIONS(13538),
    [aux_sym_float_literal_token1] = ACTIONS(13538),
    [aux_sym_float_literal_token3] = ACTIONS(13538),
    [aux_sym_float_literal_token4] = ACTIONS(13538),
    [sym_character_literal] = ACTIONS(13538),
    [sym__pair_operator] = ACTIONS(13538),
    [sym__arrow_operator] = ACTIONS(13538),
    [sym__lazy_or_operator] = ACTIONS(13538),
    [sym__lazy_and_operator] = ACTIONS(13538),
    [sym__comparison_operator] = ACTIONS(13538),
    [sym__pipe_right_operator] = ACTIONS(13538),
    [sym__pipe_left_operator] = ACTIONS(13538),
    [sym__ellipsis_operator] = ACTIONS(13538),
    [sym__plus_operator] = ACTIONS(13538),
    [sym__times_operator] = ACTIONS(13538),
    [sym__rational_operator] = ACTIONS(13538),
    [sym__bitshift_operator] = ACTIONS(13538),
    [sym__power_operator] = ACTIONS(13538),
    [sym__tilde_operator] = ACTIONS(13538),
    [sym__type_order_operator] = ACTIONS(13538),
    [sym__unary_operator] = ACTIONS(13538),
    [sym__unary_plus_operator] = ACTIONS(13538),
    [aux_sym__terminator_token1] = ACTIONS(13538),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13536),
    [sym__command_start] = ACTIONS(13536),
  },
  [8137] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(14525),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_catch] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8138] = {
    [sym__word_identifier] = ACTIONS(13500),
    [anon_sym_EQ] = ACTIONS(13500),
    [anon_sym_COMMA] = ACTIONS(13500),
    [anon_sym_COLON] = ACTIONS(13500),
    [anon_sym_begin] = ACTIONS(13500),
    [anon_sym_module] = ACTIONS(13500),
    [anon_sym_baremodule] = ACTIONS(13500),
    [anon_sym_end] = ACTIONS(13500),
    [anon_sym_abstract] = ACTIONS(13500),
    [anon_sym_primitive] = ACTIONS(13500),
    [anon_sym_mutable] = ACTIONS(13500),
    [anon_sym_struct] = ACTIONS(13500),
    [anon_sym_function] = ACTIONS(13500),
    [anon_sym_macro] = ACTIONS(13500),
    [anon_sym_where] = ACTIONS(13500),
    [anon_sym_quote] = ACTIONS(13500),
    [anon_sym_let] = ACTIONS(13500),
    [anon_sym_if] = ACTIONS(13500),
    [anon_sym_try] = ACTIONS(13500),
    [anon_sym_catch] = ACTIONS(13500),
    [anon_sym_for] = ACTIONS(13500),
    [anon_sym_while] = ACTIONS(13500),
    [sym_break_statement] = ACTIONS(13500),
    [sym_continue_statement] = ACTIONS(13500),
    [anon_sym_return] = ACTIONS(13500),
    [anon_sym_const] = ACTIONS(13500),
    [anon_sym_global] = ACTIONS(13500),
    [anon_sym_local] = ACTIONS(13500),
    [anon_sym_LPAREN] = ACTIONS(13500),
    [anon_sym_COLON2] = ACTIONS(13500),
    [anon_sym_export] = ACTIONS(13500),
    [anon_sym_import] = ACTIONS(13500),
    [anon_sym_using] = ACTIONS(13500),
    [anon_sym_LBRACK] = ACTIONS(13500),
    [anon_sym_LF] = ACTIONS(13498),
    [anon_sym_in] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(13500),
    [anon_sym_DOLLAR] = ACTIONS(13500),
    [anon_sym_COLON_COLON] = ACTIONS(13500),
    [anon_sym_isa] = ACTIONS(13500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13500),
    [anon_sym_QMARK] = ACTIONS(13500),
    [anon_sym_AT] = ACTIONS(13500),
    [anon_sym_true] = ACTIONS(13500),
    [anon_sym_false] = ACTIONS(13500),
    [aux_sym_integer_literal_token1] = ACTIONS(13500),
    [aux_sym_integer_literal_token2] = ACTIONS(13500),
    [aux_sym_integer_literal_token3] = ACTIONS(13500),
    [aux_sym_integer_literal_token4] = ACTIONS(13500),
    [aux_sym_float_literal_token1] = ACTIONS(13500),
    [aux_sym_float_literal_token3] = ACTIONS(13500),
    [aux_sym_float_literal_token4] = ACTIONS(13500),
    [sym_character_literal] = ACTIONS(13500),
    [sym__pair_operator] = ACTIONS(13500),
    [sym__arrow_operator] = ACTIONS(13500),
    [sym__lazy_or_operator] = ACTIONS(13500),
    [sym__lazy_and_operator] = ACTIONS(13500),
    [sym__comparison_operator] = ACTIONS(13500),
    [sym__pipe_right_operator] = ACTIONS(13500),
    [sym__pipe_left_operator] = ACTIONS(13500),
    [sym__ellipsis_operator] = ACTIONS(13500),
    [sym__plus_operator] = ACTIONS(13500),
    [sym__times_operator] = ACTIONS(13500),
    [sym__rational_operator] = ACTIONS(13500),
    [sym__bitshift_operator] = ACTIONS(13500),
    [sym__power_operator] = ACTIONS(13500),
    [sym__tilde_operator] = ACTIONS(13500),
    [sym__type_order_operator] = ACTIONS(13500),
    [sym__unary_operator] = ACTIONS(13500),
    [sym__unary_plus_operator] = ACTIONS(13500),
    [aux_sym__terminator_token1] = ACTIONS(13500),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13498),
    [sym__command_start] = ACTIONS(13498),
  },
  [8139] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_RPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_SEMI] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [8140] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_RPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_SEMI] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [8141] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_RPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_SEMI] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [8142] = {
    [sym__word_identifier] = ACTIONS(13478),
    [anon_sym_EQ] = ACTIONS(13478),
    [anon_sym_COMMA] = ACTIONS(13478),
    [anon_sym_COLON] = ACTIONS(13478),
    [anon_sym_begin] = ACTIONS(13478),
    [anon_sym_module] = ACTIONS(13478),
    [anon_sym_baremodule] = ACTIONS(13478),
    [anon_sym_end] = ACTIONS(13478),
    [anon_sym_abstract] = ACTIONS(13478),
    [anon_sym_primitive] = ACTIONS(13478),
    [anon_sym_mutable] = ACTIONS(13478),
    [anon_sym_struct] = ACTIONS(13478),
    [anon_sym_function] = ACTIONS(13478),
    [anon_sym_macro] = ACTIONS(13478),
    [anon_sym_where] = ACTIONS(13478),
    [anon_sym_quote] = ACTIONS(13478),
    [anon_sym_let] = ACTIONS(13478),
    [anon_sym_if] = ACTIONS(13478),
    [anon_sym_try] = ACTIONS(13478),
    [anon_sym_catch] = ACTIONS(13478),
    [anon_sym_for] = ACTIONS(13478),
    [anon_sym_while] = ACTIONS(13478),
    [sym_break_statement] = ACTIONS(13478),
    [sym_continue_statement] = ACTIONS(13478),
    [anon_sym_return] = ACTIONS(13478),
    [anon_sym_const] = ACTIONS(13478),
    [anon_sym_global] = ACTIONS(13478),
    [anon_sym_local] = ACTIONS(13478),
    [anon_sym_LPAREN] = ACTIONS(13478),
    [anon_sym_COLON2] = ACTIONS(13478),
    [anon_sym_export] = ACTIONS(13478),
    [anon_sym_import] = ACTIONS(13478),
    [anon_sym_using] = ACTIONS(13478),
    [anon_sym_LBRACK] = ACTIONS(13478),
    [anon_sym_LF] = ACTIONS(13476),
    [anon_sym_in] = ACTIONS(13478),
    [anon_sym_LBRACE] = ACTIONS(13478),
    [anon_sym_DOLLAR] = ACTIONS(13478),
    [anon_sym_COLON_COLON] = ACTIONS(13478),
    [anon_sym_isa] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13478),
    [anon_sym_QMARK] = ACTIONS(13478),
    [anon_sym_AT] = ACTIONS(13478),
    [anon_sym_true] = ACTIONS(13478),
    [anon_sym_false] = ACTIONS(13478),
    [aux_sym_integer_literal_token1] = ACTIONS(13478),
    [aux_sym_integer_literal_token2] = ACTIONS(13478),
    [aux_sym_integer_literal_token3] = ACTIONS(13478),
    [aux_sym_integer_literal_token4] = ACTIONS(13478),
    [aux_sym_float_literal_token1] = ACTIONS(13478),
    [aux_sym_float_literal_token3] = ACTIONS(13478),
    [aux_sym_float_literal_token4] = ACTIONS(13478),
    [sym_character_literal] = ACTIONS(13478),
    [sym__pair_operator] = ACTIONS(13478),
    [sym__arrow_operator] = ACTIONS(13478),
    [sym__lazy_or_operator] = ACTIONS(13478),
    [sym__lazy_and_operator] = ACTIONS(13478),
    [sym__comparison_operator] = ACTIONS(13478),
    [sym__pipe_right_operator] = ACTIONS(13478),
    [sym__pipe_left_operator] = ACTIONS(13478),
    [sym__ellipsis_operator] = ACTIONS(13478),
    [sym__plus_operator] = ACTIONS(13478),
    [sym__times_operator] = ACTIONS(13478),
    [sym__rational_operator] = ACTIONS(13478),
    [sym__bitshift_operator] = ACTIONS(13478),
    [sym__power_operator] = ACTIONS(13478),
    [sym__tilde_operator] = ACTIONS(13478),
    [sym__type_order_operator] = ACTIONS(13478),
    [sym__unary_operator] = ACTIONS(13478),
    [sym__unary_plus_operator] = ACTIONS(13478),
    [aux_sym__terminator_token1] = ACTIONS(13478),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13476),
    [sym__command_start] = ACTIONS(13476),
  },
  [8143] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_RPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_SEMI] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [8144] = {
    [sym__word_identifier] = ACTIONS(13436),
    [anon_sym_EQ] = ACTIONS(13436),
    [anon_sym_COMMA] = ACTIONS(13436),
    [anon_sym_COLON] = ACTIONS(13436),
    [anon_sym_begin] = ACTIONS(13436),
    [anon_sym_module] = ACTIONS(13436),
    [anon_sym_baremodule] = ACTIONS(13436),
    [anon_sym_end] = ACTIONS(13436),
    [anon_sym_abstract] = ACTIONS(13436),
    [anon_sym_primitive] = ACTIONS(13436),
    [anon_sym_mutable] = ACTIONS(13436),
    [anon_sym_struct] = ACTIONS(13436),
    [anon_sym_function] = ACTIONS(13436),
    [anon_sym_macro] = ACTIONS(13436),
    [anon_sym_where] = ACTIONS(13436),
    [anon_sym_quote] = ACTIONS(13436),
    [anon_sym_let] = ACTIONS(13436),
    [anon_sym_if] = ACTIONS(13436),
    [anon_sym_try] = ACTIONS(13436),
    [anon_sym_catch] = ACTIONS(13436),
    [anon_sym_for] = ACTIONS(13436),
    [anon_sym_while] = ACTIONS(13436),
    [sym_break_statement] = ACTIONS(13436),
    [sym_continue_statement] = ACTIONS(13436),
    [anon_sym_return] = ACTIONS(13436),
    [anon_sym_const] = ACTIONS(13436),
    [anon_sym_global] = ACTIONS(13436),
    [anon_sym_local] = ACTIONS(13436),
    [anon_sym_LPAREN] = ACTIONS(13436),
    [anon_sym_COLON2] = ACTIONS(13436),
    [anon_sym_export] = ACTIONS(13436),
    [anon_sym_import] = ACTIONS(13436),
    [anon_sym_using] = ACTIONS(13436),
    [anon_sym_LBRACK] = ACTIONS(13436),
    [anon_sym_LF] = ACTIONS(13434),
    [anon_sym_in] = ACTIONS(13436),
    [anon_sym_LBRACE] = ACTIONS(13436),
    [anon_sym_DOLLAR] = ACTIONS(13436),
    [anon_sym_COLON_COLON] = ACTIONS(13436),
    [anon_sym_isa] = ACTIONS(13436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13436),
    [anon_sym_QMARK] = ACTIONS(13436),
    [anon_sym_AT] = ACTIONS(13436),
    [anon_sym_true] = ACTIONS(13436),
    [anon_sym_false] = ACTIONS(13436),
    [aux_sym_integer_literal_token1] = ACTIONS(13436),
    [aux_sym_integer_literal_token2] = ACTIONS(13436),
    [aux_sym_integer_literal_token3] = ACTIONS(13436),
    [aux_sym_integer_literal_token4] = ACTIONS(13436),
    [aux_sym_float_literal_token1] = ACTIONS(13436),
    [aux_sym_float_literal_token3] = ACTIONS(13436),
    [aux_sym_float_literal_token4] = ACTIONS(13436),
    [sym_character_literal] = ACTIONS(13436),
    [sym__pair_operator] = ACTIONS(13436),
    [sym__arrow_operator] = ACTIONS(13436),
    [sym__lazy_or_operator] = ACTIONS(13436),
    [sym__lazy_and_operator] = ACTIONS(13436),
    [sym__comparison_operator] = ACTIONS(13436),
    [sym__pipe_right_operator] = ACTIONS(13436),
    [sym__pipe_left_operator] = ACTIONS(13436),
    [sym__ellipsis_operator] = ACTIONS(13436),
    [sym__plus_operator] = ACTIONS(13436),
    [sym__times_operator] = ACTIONS(13436),
    [sym__rational_operator] = ACTIONS(13436),
    [sym__bitshift_operator] = ACTIONS(13436),
    [sym__power_operator] = ACTIONS(13436),
    [sym__tilde_operator] = ACTIONS(13436),
    [sym__type_order_operator] = ACTIONS(13436),
    [sym__unary_operator] = ACTIONS(13436),
    [sym__unary_plus_operator] = ACTIONS(13436),
    [aux_sym__terminator_token1] = ACTIONS(13436),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13434),
    [sym__command_start] = ACTIONS(13434),
  },
  [8145] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_RPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_SEMI] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [8146] = {
    [sym__word_identifier] = ACTIONS(13474),
    [anon_sym_EQ] = ACTIONS(13474),
    [anon_sym_COMMA] = ACTIONS(13474),
    [anon_sym_COLON] = ACTIONS(13474),
    [anon_sym_begin] = ACTIONS(13474),
    [anon_sym_module] = ACTIONS(13474),
    [anon_sym_baremodule] = ACTIONS(13474),
    [anon_sym_end] = ACTIONS(13474),
    [anon_sym_abstract] = ACTIONS(13474),
    [anon_sym_primitive] = ACTIONS(13474),
    [anon_sym_mutable] = ACTIONS(13474),
    [anon_sym_struct] = ACTIONS(13474),
    [anon_sym_function] = ACTIONS(13474),
    [anon_sym_macro] = ACTIONS(13474),
    [anon_sym_where] = ACTIONS(13474),
    [anon_sym_quote] = ACTIONS(13474),
    [anon_sym_let] = ACTIONS(13474),
    [anon_sym_if] = ACTIONS(13474),
    [anon_sym_try] = ACTIONS(13474),
    [anon_sym_catch] = ACTIONS(13474),
    [anon_sym_for] = ACTIONS(13474),
    [anon_sym_while] = ACTIONS(13474),
    [sym_break_statement] = ACTIONS(13474),
    [sym_continue_statement] = ACTIONS(13474),
    [anon_sym_return] = ACTIONS(13474),
    [anon_sym_const] = ACTIONS(13474),
    [anon_sym_global] = ACTIONS(13474),
    [anon_sym_local] = ACTIONS(13474),
    [anon_sym_LPAREN] = ACTIONS(13474),
    [anon_sym_COLON2] = ACTIONS(13474),
    [anon_sym_export] = ACTIONS(13474),
    [anon_sym_import] = ACTIONS(13474),
    [anon_sym_using] = ACTIONS(13474),
    [anon_sym_LBRACK] = ACTIONS(13474),
    [anon_sym_LF] = ACTIONS(13472),
    [anon_sym_in] = ACTIONS(13474),
    [anon_sym_LBRACE] = ACTIONS(13474),
    [anon_sym_DOLLAR] = ACTIONS(13474),
    [anon_sym_COLON_COLON] = ACTIONS(13474),
    [anon_sym_isa] = ACTIONS(13474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13474),
    [anon_sym_AT] = ACTIONS(13474),
    [anon_sym_true] = ACTIONS(13474),
    [anon_sym_false] = ACTIONS(13474),
    [aux_sym_integer_literal_token1] = ACTIONS(13474),
    [aux_sym_integer_literal_token2] = ACTIONS(13474),
    [aux_sym_integer_literal_token3] = ACTIONS(13474),
    [aux_sym_integer_literal_token4] = ACTIONS(13474),
    [aux_sym_float_literal_token1] = ACTIONS(13474),
    [aux_sym_float_literal_token3] = ACTIONS(13474),
    [aux_sym_float_literal_token4] = ACTIONS(13474),
    [sym_character_literal] = ACTIONS(13474),
    [sym__pair_operator] = ACTIONS(13474),
    [sym__arrow_operator] = ACTIONS(13474),
    [sym__lazy_or_operator] = ACTIONS(13474),
    [sym__lazy_and_operator] = ACTIONS(13474),
    [sym__comparison_operator] = ACTIONS(13474),
    [sym__pipe_right_operator] = ACTIONS(13474),
    [sym__pipe_left_operator] = ACTIONS(13474),
    [sym__ellipsis_operator] = ACTIONS(13474),
    [sym__plus_operator] = ACTIONS(13474),
    [sym__times_operator] = ACTIONS(13474),
    [sym__rational_operator] = ACTIONS(13474),
    [sym__bitshift_operator] = ACTIONS(13474),
    [sym__power_operator] = ACTIONS(13474),
    [sym__tilde_operator] = ACTIONS(13474),
    [sym__type_order_operator] = ACTIONS(13474),
    [sym__unary_operator] = ACTIONS(13474),
    [sym__unary_plus_operator] = ACTIONS(13474),
    [aux_sym__terminator_token1] = ACTIONS(13474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13472),
    [sym__command_start] = ACTIONS(13472),
  },
  [8147] = {
    [sym__word_identifier] = ACTIONS(13504),
    [anon_sym_EQ] = ACTIONS(13504),
    [anon_sym_COMMA] = ACTIONS(13504),
    [anon_sym_COLON] = ACTIONS(13504),
    [anon_sym_begin] = ACTIONS(13504),
    [anon_sym_module] = ACTIONS(13504),
    [anon_sym_baremodule] = ACTIONS(13504),
    [anon_sym_end] = ACTIONS(13504),
    [anon_sym_abstract] = ACTIONS(13504),
    [anon_sym_primitive] = ACTIONS(13504),
    [anon_sym_mutable] = ACTIONS(13504),
    [anon_sym_struct] = ACTIONS(13504),
    [anon_sym_function] = ACTIONS(13504),
    [anon_sym_macro] = ACTIONS(13504),
    [anon_sym_where] = ACTIONS(13504),
    [anon_sym_quote] = ACTIONS(13504),
    [anon_sym_let] = ACTIONS(13504),
    [anon_sym_if] = ACTIONS(13504),
    [anon_sym_try] = ACTIONS(13504),
    [anon_sym_catch] = ACTIONS(13504),
    [anon_sym_for] = ACTIONS(13504),
    [anon_sym_while] = ACTIONS(13504),
    [sym_break_statement] = ACTIONS(13504),
    [sym_continue_statement] = ACTIONS(13504),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_const] = ACTIONS(13504),
    [anon_sym_global] = ACTIONS(13504),
    [anon_sym_local] = ACTIONS(13504),
    [anon_sym_LPAREN] = ACTIONS(13504),
    [anon_sym_COLON2] = ACTIONS(13504),
    [anon_sym_export] = ACTIONS(13504),
    [anon_sym_import] = ACTIONS(13504),
    [anon_sym_using] = ACTIONS(13504),
    [anon_sym_LBRACK] = ACTIONS(13504),
    [anon_sym_LF] = ACTIONS(13502),
    [anon_sym_in] = ACTIONS(13504),
    [anon_sym_LBRACE] = ACTIONS(13504),
    [anon_sym_DOLLAR] = ACTIONS(13504),
    [anon_sym_COLON_COLON] = ACTIONS(13504),
    [anon_sym_isa] = ACTIONS(13504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13504),
    [anon_sym_QMARK] = ACTIONS(13504),
    [anon_sym_AT] = ACTIONS(13504),
    [anon_sym_true] = ACTIONS(13504),
    [anon_sym_false] = ACTIONS(13504),
    [aux_sym_integer_literal_token1] = ACTIONS(13504),
    [aux_sym_integer_literal_token2] = ACTIONS(13504),
    [aux_sym_integer_literal_token3] = ACTIONS(13504),
    [aux_sym_integer_literal_token4] = ACTIONS(13504),
    [aux_sym_float_literal_token1] = ACTIONS(13504),
    [aux_sym_float_literal_token3] = ACTIONS(13504),
    [aux_sym_float_literal_token4] = ACTIONS(13504),
    [sym_character_literal] = ACTIONS(13504),
    [sym__pair_operator] = ACTIONS(13504),
    [sym__arrow_operator] = ACTIONS(13504),
    [sym__lazy_or_operator] = ACTIONS(13504),
    [sym__lazy_and_operator] = ACTIONS(13504),
    [sym__comparison_operator] = ACTIONS(13504),
    [sym__pipe_right_operator] = ACTIONS(13504),
    [sym__pipe_left_operator] = ACTIONS(13504),
    [sym__ellipsis_operator] = ACTIONS(13504),
    [sym__plus_operator] = ACTIONS(13504),
    [sym__times_operator] = ACTIONS(13504),
    [sym__rational_operator] = ACTIONS(13504),
    [sym__bitshift_operator] = ACTIONS(13504),
    [sym__power_operator] = ACTIONS(13504),
    [sym__tilde_operator] = ACTIONS(13504),
    [sym__type_order_operator] = ACTIONS(13504),
    [sym__unary_operator] = ACTIONS(13504),
    [sym__unary_plus_operator] = ACTIONS(13504),
    [aux_sym__terminator_token1] = ACTIONS(13504),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13502),
    [sym__command_start] = ACTIONS(13502),
  },
  [8148] = {
    [sym__word_identifier] = ACTIONS(13566),
    [anon_sym_EQ] = ACTIONS(13566),
    [anon_sym_COMMA] = ACTIONS(13566),
    [anon_sym_COLON] = ACTIONS(13566),
    [anon_sym_begin] = ACTIONS(13566),
    [anon_sym_module] = ACTIONS(13566),
    [anon_sym_baremodule] = ACTIONS(13566),
    [anon_sym_end] = ACTIONS(13566),
    [anon_sym_abstract] = ACTIONS(13566),
    [anon_sym_primitive] = ACTIONS(13566),
    [anon_sym_mutable] = ACTIONS(13566),
    [anon_sym_struct] = ACTIONS(13566),
    [anon_sym_function] = ACTIONS(13566),
    [anon_sym_macro] = ACTIONS(13566),
    [anon_sym_where] = ACTIONS(13566),
    [anon_sym_quote] = ACTIONS(13566),
    [anon_sym_let] = ACTIONS(13566),
    [anon_sym_if] = ACTIONS(13566),
    [anon_sym_try] = ACTIONS(13566),
    [anon_sym_catch] = ACTIONS(13566),
    [anon_sym_for] = ACTIONS(13566),
    [anon_sym_while] = ACTIONS(13566),
    [sym_break_statement] = ACTIONS(13566),
    [sym_continue_statement] = ACTIONS(13566),
    [anon_sym_return] = ACTIONS(13566),
    [anon_sym_const] = ACTIONS(13566),
    [anon_sym_global] = ACTIONS(13566),
    [anon_sym_local] = ACTIONS(13566),
    [anon_sym_LPAREN] = ACTIONS(13566),
    [anon_sym_COLON2] = ACTIONS(13566),
    [anon_sym_export] = ACTIONS(13566),
    [anon_sym_import] = ACTIONS(13566),
    [anon_sym_using] = ACTIONS(13566),
    [anon_sym_LBRACK] = ACTIONS(13566),
    [anon_sym_LF] = ACTIONS(13564),
    [anon_sym_in] = ACTIONS(13566),
    [anon_sym_LBRACE] = ACTIONS(13566),
    [anon_sym_DOLLAR] = ACTIONS(13566),
    [anon_sym_COLON_COLON] = ACTIONS(13566),
    [anon_sym_isa] = ACTIONS(13566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13566),
    [anon_sym_QMARK] = ACTIONS(13566),
    [anon_sym_AT] = ACTIONS(13566),
    [anon_sym_true] = ACTIONS(13566),
    [anon_sym_false] = ACTIONS(13566),
    [aux_sym_integer_literal_token1] = ACTIONS(13566),
    [aux_sym_integer_literal_token2] = ACTIONS(13566),
    [aux_sym_integer_literal_token3] = ACTIONS(13566),
    [aux_sym_integer_literal_token4] = ACTIONS(13566),
    [aux_sym_float_literal_token1] = ACTIONS(13566),
    [aux_sym_float_literal_token3] = ACTIONS(13566),
    [aux_sym_float_literal_token4] = ACTIONS(13566),
    [sym_character_literal] = ACTIONS(13566),
    [sym__pair_operator] = ACTIONS(13566),
    [sym__arrow_operator] = ACTIONS(13566),
    [sym__lazy_or_operator] = ACTIONS(13566),
    [sym__lazy_and_operator] = ACTIONS(13566),
    [sym__comparison_operator] = ACTIONS(13566),
    [sym__pipe_right_operator] = ACTIONS(13566),
    [sym__pipe_left_operator] = ACTIONS(13566),
    [sym__ellipsis_operator] = ACTIONS(13566),
    [sym__plus_operator] = ACTIONS(13566),
    [sym__times_operator] = ACTIONS(13566),
    [sym__rational_operator] = ACTIONS(13566),
    [sym__bitshift_operator] = ACTIONS(13566),
    [sym__power_operator] = ACTIONS(13566),
    [sym__tilde_operator] = ACTIONS(13566),
    [sym__type_order_operator] = ACTIONS(13566),
    [sym__unary_operator] = ACTIONS(13566),
    [sym__unary_plus_operator] = ACTIONS(13566),
    [aux_sym__terminator_token1] = ACTIONS(13566),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13564),
    [sym__command_start] = ACTIONS(13564),
  },
  [8149] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_RPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_SEMI] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [8150] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_RPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_SEMI] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [8151] = {
    [sym__word_identifier] = ACTIONS(13570),
    [anon_sym_EQ] = ACTIONS(13570),
    [anon_sym_COMMA] = ACTIONS(13570),
    [anon_sym_COLON] = ACTIONS(13570),
    [anon_sym_begin] = ACTIONS(13570),
    [anon_sym_module] = ACTIONS(13570),
    [anon_sym_baremodule] = ACTIONS(13570),
    [anon_sym_end] = ACTIONS(13570),
    [anon_sym_abstract] = ACTIONS(13570),
    [anon_sym_primitive] = ACTIONS(13570),
    [anon_sym_mutable] = ACTIONS(13570),
    [anon_sym_struct] = ACTIONS(13570),
    [anon_sym_function] = ACTIONS(13570),
    [anon_sym_macro] = ACTIONS(13570),
    [anon_sym_where] = ACTIONS(13570),
    [anon_sym_quote] = ACTIONS(13570),
    [anon_sym_let] = ACTIONS(13570),
    [anon_sym_if] = ACTIONS(13570),
    [anon_sym_try] = ACTIONS(13570),
    [anon_sym_catch] = ACTIONS(13570),
    [anon_sym_for] = ACTIONS(13570),
    [anon_sym_while] = ACTIONS(13570),
    [sym_break_statement] = ACTIONS(13570),
    [sym_continue_statement] = ACTIONS(13570),
    [anon_sym_return] = ACTIONS(13570),
    [anon_sym_const] = ACTIONS(13570),
    [anon_sym_global] = ACTIONS(13570),
    [anon_sym_local] = ACTIONS(13570),
    [anon_sym_LPAREN] = ACTIONS(13570),
    [anon_sym_COLON2] = ACTIONS(13570),
    [anon_sym_export] = ACTIONS(13570),
    [anon_sym_import] = ACTIONS(13570),
    [anon_sym_using] = ACTIONS(13570),
    [anon_sym_LBRACK] = ACTIONS(13570),
    [anon_sym_LF] = ACTIONS(13568),
    [anon_sym_in] = ACTIONS(13570),
    [anon_sym_LBRACE] = ACTIONS(13570),
    [anon_sym_DOLLAR] = ACTIONS(13570),
    [anon_sym_COLON_COLON] = ACTIONS(13570),
    [anon_sym_isa] = ACTIONS(13570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13570),
    [anon_sym_QMARK] = ACTIONS(13570),
    [anon_sym_AT] = ACTIONS(13570),
    [anon_sym_true] = ACTIONS(13570),
    [anon_sym_false] = ACTIONS(13570),
    [aux_sym_integer_literal_token1] = ACTIONS(13570),
    [aux_sym_integer_literal_token2] = ACTIONS(13570),
    [aux_sym_integer_literal_token3] = ACTIONS(13570),
    [aux_sym_integer_literal_token4] = ACTIONS(13570),
    [aux_sym_float_literal_token1] = ACTIONS(13570),
    [aux_sym_float_literal_token3] = ACTIONS(13570),
    [aux_sym_float_literal_token4] = ACTIONS(13570),
    [sym_character_literal] = ACTIONS(13570),
    [sym__pair_operator] = ACTIONS(13570),
    [sym__arrow_operator] = ACTIONS(13570),
    [sym__lazy_or_operator] = ACTIONS(13570),
    [sym__lazy_and_operator] = ACTIONS(13570),
    [sym__comparison_operator] = ACTIONS(13570),
    [sym__pipe_right_operator] = ACTIONS(13570),
    [sym__pipe_left_operator] = ACTIONS(13570),
    [sym__ellipsis_operator] = ACTIONS(13570),
    [sym__plus_operator] = ACTIONS(13570),
    [sym__times_operator] = ACTIONS(13570),
    [sym__rational_operator] = ACTIONS(13570),
    [sym__bitshift_operator] = ACTIONS(13570),
    [sym__power_operator] = ACTIONS(13570),
    [sym__tilde_operator] = ACTIONS(13570),
    [sym__type_order_operator] = ACTIONS(13570),
    [sym__unary_operator] = ACTIONS(13570),
    [sym__unary_plus_operator] = ACTIONS(13570),
    [aux_sym__terminator_token1] = ACTIONS(13570),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13568),
    [sym__command_start] = ACTIONS(13568),
  },
  [8152] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_RPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_SEMI] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [8153] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_RPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_SEMI] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [8154] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_RPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_SEMI] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [8155] = {
    [sym__word_identifier] = ACTIONS(13606),
    [anon_sym_EQ] = ACTIONS(13606),
    [anon_sym_COMMA] = ACTIONS(13606),
    [anon_sym_COLON] = ACTIONS(13606),
    [anon_sym_begin] = ACTIONS(13606),
    [anon_sym_module] = ACTIONS(13606),
    [anon_sym_baremodule] = ACTIONS(13606),
    [anon_sym_end] = ACTIONS(13606),
    [anon_sym_abstract] = ACTIONS(13606),
    [anon_sym_primitive] = ACTIONS(13606),
    [anon_sym_mutable] = ACTIONS(13606),
    [anon_sym_struct] = ACTIONS(13606),
    [anon_sym_function] = ACTIONS(13606),
    [anon_sym_macro] = ACTIONS(13606),
    [anon_sym_where] = ACTIONS(13606),
    [anon_sym_quote] = ACTIONS(13606),
    [anon_sym_let] = ACTIONS(13606),
    [anon_sym_if] = ACTIONS(13606),
    [anon_sym_try] = ACTIONS(13606),
    [anon_sym_catch] = ACTIONS(13606),
    [anon_sym_for] = ACTIONS(13606),
    [anon_sym_while] = ACTIONS(13606),
    [sym_break_statement] = ACTIONS(13606),
    [sym_continue_statement] = ACTIONS(13606),
    [anon_sym_return] = ACTIONS(13606),
    [anon_sym_const] = ACTIONS(13606),
    [anon_sym_global] = ACTIONS(13606),
    [anon_sym_local] = ACTIONS(13606),
    [anon_sym_LPAREN] = ACTIONS(13606),
    [anon_sym_COLON2] = ACTIONS(13606),
    [anon_sym_export] = ACTIONS(13606),
    [anon_sym_import] = ACTIONS(13606),
    [anon_sym_using] = ACTIONS(13606),
    [anon_sym_LBRACK] = ACTIONS(13606),
    [anon_sym_LF] = ACTIONS(13604),
    [anon_sym_in] = ACTIONS(13606),
    [anon_sym_LBRACE] = ACTIONS(13606),
    [anon_sym_DOLLAR] = ACTIONS(13606),
    [anon_sym_COLON_COLON] = ACTIONS(13606),
    [anon_sym_isa] = ACTIONS(13606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13606),
    [anon_sym_QMARK] = ACTIONS(13606),
    [anon_sym_AT] = ACTIONS(13606),
    [anon_sym_true] = ACTIONS(13606),
    [anon_sym_false] = ACTIONS(13606),
    [aux_sym_integer_literal_token1] = ACTIONS(13606),
    [aux_sym_integer_literal_token2] = ACTIONS(13606),
    [aux_sym_integer_literal_token3] = ACTIONS(13606),
    [aux_sym_integer_literal_token4] = ACTIONS(13606),
    [aux_sym_float_literal_token1] = ACTIONS(13606),
    [aux_sym_float_literal_token3] = ACTIONS(13606),
    [aux_sym_float_literal_token4] = ACTIONS(13606),
    [sym_character_literal] = ACTIONS(13606),
    [sym__pair_operator] = ACTIONS(13606),
    [sym__arrow_operator] = ACTIONS(13606),
    [sym__lazy_or_operator] = ACTIONS(13606),
    [sym__lazy_and_operator] = ACTIONS(13606),
    [sym__comparison_operator] = ACTIONS(13606),
    [sym__pipe_right_operator] = ACTIONS(13606),
    [sym__pipe_left_operator] = ACTIONS(13606),
    [sym__ellipsis_operator] = ACTIONS(13606),
    [sym__plus_operator] = ACTIONS(13606),
    [sym__times_operator] = ACTIONS(13606),
    [sym__rational_operator] = ACTIONS(13606),
    [sym__bitshift_operator] = ACTIONS(13606),
    [sym__power_operator] = ACTIONS(13606),
    [sym__tilde_operator] = ACTIONS(13606),
    [sym__type_order_operator] = ACTIONS(13606),
    [sym__unary_operator] = ACTIONS(13606),
    [sym__unary_plus_operator] = ACTIONS(13606),
    [aux_sym__terminator_token1] = ACTIONS(13606),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13604),
    [sym__command_start] = ACTIONS(13604),
  },
  [8156] = {
    [sym__word_identifier] = ACTIONS(13696),
    [anon_sym_EQ] = ACTIONS(13696),
    [anon_sym_COMMA] = ACTIONS(13696),
    [anon_sym_COLON] = ACTIONS(13696),
    [anon_sym_begin] = ACTIONS(13696),
    [anon_sym_module] = ACTIONS(13696),
    [anon_sym_baremodule] = ACTIONS(13696),
    [anon_sym_end] = ACTIONS(13696),
    [anon_sym_abstract] = ACTIONS(13696),
    [anon_sym_primitive] = ACTIONS(13696),
    [anon_sym_mutable] = ACTIONS(13696),
    [anon_sym_struct] = ACTIONS(13696),
    [anon_sym_function] = ACTIONS(13696),
    [anon_sym_macro] = ACTIONS(13696),
    [anon_sym_where] = ACTIONS(13696),
    [anon_sym_quote] = ACTIONS(13696),
    [anon_sym_let] = ACTIONS(13696),
    [anon_sym_if] = ACTIONS(13696),
    [anon_sym_try] = ACTIONS(13696),
    [anon_sym_catch] = ACTIONS(13696),
    [anon_sym_for] = ACTIONS(13696),
    [anon_sym_while] = ACTIONS(13696),
    [sym_break_statement] = ACTIONS(13696),
    [sym_continue_statement] = ACTIONS(13696),
    [anon_sym_return] = ACTIONS(13696),
    [anon_sym_const] = ACTIONS(13696),
    [anon_sym_global] = ACTIONS(13696),
    [anon_sym_local] = ACTIONS(13696),
    [anon_sym_LPAREN] = ACTIONS(13696),
    [anon_sym_COLON2] = ACTIONS(13696),
    [anon_sym_export] = ACTIONS(13696),
    [anon_sym_import] = ACTIONS(13696),
    [anon_sym_using] = ACTIONS(13696),
    [anon_sym_LBRACK] = ACTIONS(13696),
    [anon_sym_LF] = ACTIONS(13694),
    [anon_sym_in] = ACTIONS(13696),
    [anon_sym_LBRACE] = ACTIONS(13696),
    [anon_sym_DOLLAR] = ACTIONS(13696),
    [anon_sym_COLON_COLON] = ACTIONS(13696),
    [anon_sym_isa] = ACTIONS(13696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13696),
    [anon_sym_QMARK] = ACTIONS(13696),
    [anon_sym_AT] = ACTIONS(13696),
    [anon_sym_true] = ACTIONS(13696),
    [anon_sym_false] = ACTIONS(13696),
    [aux_sym_integer_literal_token1] = ACTIONS(13696),
    [aux_sym_integer_literal_token2] = ACTIONS(13696),
    [aux_sym_integer_literal_token3] = ACTIONS(13696),
    [aux_sym_integer_literal_token4] = ACTIONS(13696),
    [aux_sym_float_literal_token1] = ACTIONS(13696),
    [aux_sym_float_literal_token3] = ACTIONS(13696),
    [aux_sym_float_literal_token4] = ACTIONS(13696),
    [sym_character_literal] = ACTIONS(13696),
    [sym__pair_operator] = ACTIONS(13696),
    [sym__arrow_operator] = ACTIONS(13696),
    [sym__lazy_or_operator] = ACTIONS(13696),
    [sym__lazy_and_operator] = ACTIONS(13696),
    [sym__comparison_operator] = ACTIONS(13696),
    [sym__pipe_right_operator] = ACTIONS(13696),
    [sym__pipe_left_operator] = ACTIONS(13696),
    [sym__ellipsis_operator] = ACTIONS(13696),
    [sym__plus_operator] = ACTIONS(13696),
    [sym__times_operator] = ACTIONS(13696),
    [sym__rational_operator] = ACTIONS(13696),
    [sym__bitshift_operator] = ACTIONS(13696),
    [sym__power_operator] = ACTIONS(13696),
    [sym__tilde_operator] = ACTIONS(13696),
    [sym__type_order_operator] = ACTIONS(13696),
    [sym__unary_operator] = ACTIONS(13696),
    [sym__unary_plus_operator] = ACTIONS(13696),
    [aux_sym__terminator_token1] = ACTIONS(13696),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13694),
    [sym__command_start] = ACTIONS(13694),
  },
  [8157] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_EQ] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_finally] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13314),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [8158] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13030),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13030),
    [anon_sym_RPAREN] = ACTIONS(13030),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13030),
    [anon_sym_RBRACK] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_SEMI] = ACTIONS(13030),
    [anon_sym_LBRACE] = ACTIONS(13030),
    [anon_sym_RBRACE] = ACTIONS(13030),
    [anon_sym_DOLLAR] = ACTIONS(13030),
    [anon_sym_COLON_COLON] = ACTIONS(13030),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13030),
    [anon_sym_QMARK] = ACTIONS(13030),
    [anon_sym_AT] = ACTIONS(13030),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13030),
    [aux_sym_integer_literal_token2] = ACTIONS(13030),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13030),
    [aux_sym_float_literal_token3] = ACTIONS(13030),
    [aux_sym_float_literal_token4] = ACTIONS(13030),
    [sym_character_literal] = ACTIONS(13030),
    [sym__pair_operator] = ACTIONS(13030),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13030),
    [sym__lazy_and_operator] = ACTIONS(13030),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13030),
    [sym__pipe_left_operator] = ACTIONS(13030),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13030),
    [sym__bitshift_operator] = ACTIONS(13030),
    [sym__power_operator] = ACTIONS(13030),
    [sym__tilde_operator] = ACTIONS(13030),
    [sym__type_order_operator] = ACTIONS(13030),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [8159] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_RPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_SEMI] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [8160] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_RPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_SEMI] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [8161] = {
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(12976),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_end] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_catch] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [8162] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_RPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_SEMI] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [8163] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_RPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_SEMI] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [8164] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_catch] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [8165] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11954),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8166] = {
    [sym__word_identifier] = ACTIONS(13698),
    [anon_sym_EQ] = ACTIONS(13698),
    [anon_sym_COMMA] = ACTIONS(13700),
    [anon_sym_COLON] = ACTIONS(13698),
    [anon_sym_begin] = ACTIONS(13698),
    [anon_sym_module] = ACTIONS(13698),
    [anon_sym_baremodule] = ACTIONS(13698),
    [anon_sym_abstract] = ACTIONS(13698),
    [anon_sym_primitive] = ACTIONS(13698),
    [anon_sym_mutable] = ACTIONS(13698),
    [anon_sym_struct] = ACTIONS(13698),
    [anon_sym_function] = ACTIONS(13698),
    [anon_sym_macro] = ACTIONS(13698),
    [anon_sym_where] = ACTIONS(13698),
    [anon_sym_quote] = ACTIONS(13698),
    [anon_sym_let] = ACTIONS(13698),
    [anon_sym_if] = ACTIONS(13698),
    [anon_sym_try] = ACTIONS(13698),
    [anon_sym_for] = ACTIONS(13698),
    [anon_sym_while] = ACTIONS(13698),
    [sym_break_statement] = ACTIONS(13698),
    [sym_continue_statement] = ACTIONS(13698),
    [anon_sym_return] = ACTIONS(13698),
    [anon_sym_const] = ACTIONS(13698),
    [anon_sym_global] = ACTIONS(13698),
    [anon_sym_local] = ACTIONS(13698),
    [anon_sym_LPAREN] = ACTIONS(13700),
    [anon_sym_RPAREN] = ACTIONS(13700),
    [anon_sym_COLON2] = ACTIONS(13698),
    [anon_sym_export] = ACTIONS(13698),
    [anon_sym_import] = ACTIONS(13698),
    [anon_sym_using] = ACTIONS(13698),
    [anon_sym_LBRACK] = ACTIONS(13700),
    [anon_sym_RBRACK] = ACTIONS(13700),
    [anon_sym_in] = ACTIONS(13698),
    [anon_sym_SEMI] = ACTIONS(13700),
    [anon_sym_LBRACE] = ACTIONS(13700),
    [anon_sym_RBRACE] = ACTIONS(13700),
    [anon_sym_DOLLAR] = ACTIONS(13700),
    [anon_sym_COLON_COLON] = ACTIONS(13700),
    [anon_sym_isa] = ACTIONS(13698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13700),
    [anon_sym_QMARK] = ACTIONS(13700),
    [anon_sym_AT] = ACTIONS(13700),
    [anon_sym_true] = ACTIONS(13698),
    [anon_sym_false] = ACTIONS(13698),
    [aux_sym_integer_literal_token1] = ACTIONS(13700),
    [aux_sym_integer_literal_token2] = ACTIONS(13700),
    [aux_sym_integer_literal_token3] = ACTIONS(13698),
    [aux_sym_integer_literal_token4] = ACTIONS(13698),
    [aux_sym_float_literal_token1] = ACTIONS(13700),
    [aux_sym_float_literal_token3] = ACTIONS(13700),
    [aux_sym_float_literal_token4] = ACTIONS(13700),
    [sym_character_literal] = ACTIONS(13700),
    [sym__pair_operator] = ACTIONS(13700),
    [sym__arrow_operator] = ACTIONS(13698),
    [sym__lazy_or_operator] = ACTIONS(13700),
    [sym__lazy_and_operator] = ACTIONS(13700),
    [sym__comparison_operator] = ACTIONS(13698),
    [sym__pipe_right_operator] = ACTIONS(13700),
    [sym__pipe_left_operator] = ACTIONS(13700),
    [sym__ellipsis_operator] = ACTIONS(13698),
    [sym__plus_operator] = ACTIONS(13698),
    [sym__times_operator] = ACTIONS(13698),
    [sym__rational_operator] = ACTIONS(13700),
    [sym__bitshift_operator] = ACTIONS(13700),
    [sym__power_operator] = ACTIONS(13700),
    [sym__tilde_operator] = ACTIONS(13700),
    [sym__type_order_operator] = ACTIONS(13700),
    [sym__unary_operator] = ACTIONS(13698),
    [sym__unary_plus_operator] = ACTIONS(13698),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13700),
    [sym__command_start] = ACTIONS(13700),
  },
  [8167] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_RPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_SEMI] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [8168] = {
    [sym__word_identifier] = ACTIONS(14168),
    [anon_sym_EQ] = ACTIONS(14168),
    [anon_sym_COMMA] = ACTIONS(14168),
    [anon_sym_COLON] = ACTIONS(14168),
    [anon_sym_begin] = ACTIONS(14168),
    [anon_sym_module] = ACTIONS(14168),
    [anon_sym_baremodule] = ACTIONS(14168),
    [anon_sym_end] = ACTIONS(14168),
    [anon_sym_abstract] = ACTIONS(14168),
    [anon_sym_primitive] = ACTIONS(14168),
    [anon_sym_mutable] = ACTIONS(14168),
    [anon_sym_struct] = ACTIONS(14168),
    [anon_sym_function] = ACTIONS(14168),
    [anon_sym_macro] = ACTIONS(14168),
    [anon_sym_where] = ACTIONS(14168),
    [anon_sym_quote] = ACTIONS(14168),
    [anon_sym_let] = ACTIONS(14168),
    [anon_sym_if] = ACTIONS(14168),
    [anon_sym_try] = ACTIONS(14168),
    [anon_sym_catch] = ACTIONS(14168),
    [anon_sym_for] = ACTIONS(14168),
    [anon_sym_while] = ACTIONS(14168),
    [sym_break_statement] = ACTIONS(14168),
    [sym_continue_statement] = ACTIONS(14168),
    [anon_sym_return] = ACTIONS(14168),
    [anon_sym_const] = ACTIONS(14168),
    [anon_sym_global] = ACTIONS(14168),
    [anon_sym_local] = ACTIONS(14168),
    [anon_sym_LPAREN] = ACTIONS(14168),
    [anon_sym_COLON2] = ACTIONS(14168),
    [anon_sym_export] = ACTIONS(14168),
    [anon_sym_import] = ACTIONS(14168),
    [anon_sym_using] = ACTIONS(14168),
    [anon_sym_LBRACK] = ACTIONS(14168),
    [anon_sym_LF] = ACTIONS(14166),
    [anon_sym_in] = ACTIONS(14168),
    [anon_sym_LBRACE] = ACTIONS(14168),
    [anon_sym_DOLLAR] = ACTIONS(14168),
    [anon_sym_COLON_COLON] = ACTIONS(14168),
    [anon_sym_isa] = ACTIONS(14168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14168),
    [anon_sym_QMARK] = ACTIONS(14168),
    [anon_sym_AT] = ACTIONS(14168),
    [anon_sym_true] = ACTIONS(14168),
    [anon_sym_false] = ACTIONS(14168),
    [aux_sym_integer_literal_token1] = ACTIONS(14168),
    [aux_sym_integer_literal_token2] = ACTIONS(14168),
    [aux_sym_integer_literal_token3] = ACTIONS(14168),
    [aux_sym_integer_literal_token4] = ACTIONS(14168),
    [aux_sym_float_literal_token1] = ACTIONS(14168),
    [aux_sym_float_literal_token3] = ACTIONS(14168),
    [aux_sym_float_literal_token4] = ACTIONS(14168),
    [sym_character_literal] = ACTIONS(14168),
    [sym__pair_operator] = ACTIONS(14168),
    [sym__arrow_operator] = ACTIONS(14168),
    [sym__lazy_or_operator] = ACTIONS(14168),
    [sym__lazy_and_operator] = ACTIONS(14168),
    [sym__comparison_operator] = ACTIONS(14168),
    [sym__pipe_right_operator] = ACTIONS(14168),
    [sym__pipe_left_operator] = ACTIONS(14168),
    [sym__ellipsis_operator] = ACTIONS(14168),
    [sym__plus_operator] = ACTIONS(14168),
    [sym__times_operator] = ACTIONS(14168),
    [sym__rational_operator] = ACTIONS(14168),
    [sym__bitshift_operator] = ACTIONS(14168),
    [sym__power_operator] = ACTIONS(14168),
    [sym__tilde_operator] = ACTIONS(14168),
    [sym__type_order_operator] = ACTIONS(14168),
    [sym__unary_operator] = ACTIONS(14168),
    [sym__unary_plus_operator] = ACTIONS(14168),
    [aux_sym__terminator_token1] = ACTIONS(14168),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14166),
    [sym__command_start] = ACTIONS(14166),
  },
  [8169] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_RPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_SEMI] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [8170] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_RPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_SEMI] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [8171] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_RPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [8172] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_RPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_SEMI] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [8173] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12652),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8174] = {
    [sym__word_identifier] = ACTIONS(13736),
    [anon_sym_EQ] = ACTIONS(13736),
    [anon_sym_COMMA] = ACTIONS(13738),
    [anon_sym_COLON] = ACTIONS(13736),
    [anon_sym_begin] = ACTIONS(13736),
    [anon_sym_module] = ACTIONS(13736),
    [anon_sym_baremodule] = ACTIONS(13736),
    [anon_sym_abstract] = ACTIONS(13736),
    [anon_sym_primitive] = ACTIONS(13736),
    [anon_sym_mutable] = ACTIONS(13736),
    [anon_sym_struct] = ACTIONS(13736),
    [anon_sym_function] = ACTIONS(13736),
    [anon_sym_macro] = ACTIONS(13736),
    [anon_sym_where] = ACTIONS(13736),
    [anon_sym_quote] = ACTIONS(13736),
    [anon_sym_let] = ACTIONS(13736),
    [anon_sym_if] = ACTIONS(13736),
    [anon_sym_try] = ACTIONS(13736),
    [anon_sym_for] = ACTIONS(13736),
    [anon_sym_while] = ACTIONS(13736),
    [sym_break_statement] = ACTIONS(13736),
    [sym_continue_statement] = ACTIONS(13736),
    [anon_sym_return] = ACTIONS(13736),
    [anon_sym_const] = ACTIONS(13736),
    [anon_sym_global] = ACTIONS(13736),
    [anon_sym_local] = ACTIONS(13736),
    [anon_sym_LPAREN] = ACTIONS(13738),
    [anon_sym_RPAREN] = ACTIONS(13738),
    [anon_sym_COLON2] = ACTIONS(13736),
    [anon_sym_export] = ACTIONS(13736),
    [anon_sym_import] = ACTIONS(13736),
    [anon_sym_using] = ACTIONS(13736),
    [anon_sym_LBRACK] = ACTIONS(13738),
    [anon_sym_RBRACK] = ACTIONS(13738),
    [anon_sym_in] = ACTIONS(13736),
    [anon_sym_SEMI] = ACTIONS(13738),
    [anon_sym_LBRACE] = ACTIONS(13738),
    [anon_sym_RBRACE] = ACTIONS(13738),
    [anon_sym_DOLLAR] = ACTIONS(13738),
    [anon_sym_COLON_COLON] = ACTIONS(13738),
    [anon_sym_isa] = ACTIONS(13736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13738),
    [anon_sym_QMARK] = ACTIONS(13738),
    [anon_sym_AT] = ACTIONS(13738),
    [anon_sym_true] = ACTIONS(13736),
    [anon_sym_false] = ACTIONS(13736),
    [aux_sym_integer_literal_token1] = ACTIONS(13738),
    [aux_sym_integer_literal_token2] = ACTIONS(13738),
    [aux_sym_integer_literal_token3] = ACTIONS(13736),
    [aux_sym_integer_literal_token4] = ACTIONS(13736),
    [aux_sym_float_literal_token1] = ACTIONS(13738),
    [aux_sym_float_literal_token3] = ACTIONS(13738),
    [aux_sym_float_literal_token4] = ACTIONS(13738),
    [sym_character_literal] = ACTIONS(13738),
    [sym__pair_operator] = ACTIONS(13738),
    [sym__arrow_operator] = ACTIONS(13736),
    [sym__lazy_or_operator] = ACTIONS(13738),
    [sym__lazy_and_operator] = ACTIONS(13738),
    [sym__comparison_operator] = ACTIONS(13736),
    [sym__pipe_right_operator] = ACTIONS(13738),
    [sym__pipe_left_operator] = ACTIONS(13738),
    [sym__ellipsis_operator] = ACTIONS(13736),
    [sym__plus_operator] = ACTIONS(13736),
    [sym__times_operator] = ACTIONS(13736),
    [sym__rational_operator] = ACTIONS(13738),
    [sym__bitshift_operator] = ACTIONS(13738),
    [sym__power_operator] = ACTIONS(13738),
    [sym__tilde_operator] = ACTIONS(13738),
    [sym__type_order_operator] = ACTIONS(13738),
    [sym__unary_operator] = ACTIONS(13736),
    [sym__unary_plus_operator] = ACTIONS(13736),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13738),
    [sym__command_start] = ACTIONS(13738),
  },
  [8175] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_RPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_SEMI] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [8176] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_RPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_SEMI] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [8177] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_RPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_SEMI] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [8178] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_RPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_SEMI] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [8179] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_RPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_SEMI] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [8180] = {
    [sym__word_identifier] = ACTIONS(14170),
    [anon_sym_EQ] = ACTIONS(14170),
    [anon_sym_COMMA] = ACTIONS(14170),
    [anon_sym_COLON] = ACTIONS(14170),
    [anon_sym_begin] = ACTIONS(14170),
    [anon_sym_module] = ACTIONS(14170),
    [anon_sym_baremodule] = ACTIONS(14170),
    [anon_sym_end] = ACTIONS(14170),
    [anon_sym_abstract] = ACTIONS(14170),
    [anon_sym_primitive] = ACTIONS(14170),
    [anon_sym_mutable] = ACTIONS(14170),
    [anon_sym_struct] = ACTIONS(14170),
    [anon_sym_function] = ACTIONS(14170),
    [anon_sym_macro] = ACTIONS(14170),
    [anon_sym_where] = ACTIONS(14170),
    [anon_sym_quote] = ACTIONS(14170),
    [anon_sym_let] = ACTIONS(14170),
    [anon_sym_if] = ACTIONS(14170),
    [anon_sym_try] = ACTIONS(14170),
    [anon_sym_catch] = ACTIONS(14170),
    [anon_sym_for] = ACTIONS(14170),
    [anon_sym_while] = ACTIONS(14170),
    [sym_break_statement] = ACTIONS(14170),
    [sym_continue_statement] = ACTIONS(14170),
    [anon_sym_return] = ACTIONS(14170),
    [anon_sym_const] = ACTIONS(14170),
    [anon_sym_global] = ACTIONS(14170),
    [anon_sym_local] = ACTIONS(14170),
    [anon_sym_LPAREN] = ACTIONS(14170),
    [anon_sym_COLON2] = ACTIONS(14170),
    [anon_sym_export] = ACTIONS(14170),
    [anon_sym_import] = ACTIONS(14170),
    [anon_sym_using] = ACTIONS(14170),
    [anon_sym_LBRACK] = ACTIONS(14170),
    [anon_sym_LF] = ACTIONS(14172),
    [anon_sym_in] = ACTIONS(14170),
    [anon_sym_LBRACE] = ACTIONS(14170),
    [anon_sym_DOLLAR] = ACTIONS(14170),
    [anon_sym_COLON_COLON] = ACTIONS(14170),
    [anon_sym_isa] = ACTIONS(14170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14170),
    [anon_sym_QMARK] = ACTIONS(14170),
    [anon_sym_AT] = ACTIONS(14170),
    [anon_sym_true] = ACTIONS(14170),
    [anon_sym_false] = ACTIONS(14170),
    [aux_sym_integer_literal_token1] = ACTIONS(14170),
    [aux_sym_integer_literal_token2] = ACTIONS(14170),
    [aux_sym_integer_literal_token3] = ACTIONS(14170),
    [aux_sym_integer_literal_token4] = ACTIONS(14170),
    [aux_sym_float_literal_token1] = ACTIONS(14170),
    [aux_sym_float_literal_token3] = ACTIONS(14170),
    [aux_sym_float_literal_token4] = ACTIONS(14170),
    [sym_character_literal] = ACTIONS(14170),
    [sym__pair_operator] = ACTIONS(14170),
    [sym__arrow_operator] = ACTIONS(14170),
    [sym__lazy_or_operator] = ACTIONS(14170),
    [sym__lazy_and_operator] = ACTIONS(14170),
    [sym__comparison_operator] = ACTIONS(14170),
    [sym__pipe_right_operator] = ACTIONS(14170),
    [sym__pipe_left_operator] = ACTIONS(14170),
    [sym__ellipsis_operator] = ACTIONS(14170),
    [sym__plus_operator] = ACTIONS(14170),
    [sym__times_operator] = ACTIONS(14170),
    [sym__rational_operator] = ACTIONS(14170),
    [sym__bitshift_operator] = ACTIONS(14170),
    [sym__power_operator] = ACTIONS(14170),
    [sym__tilde_operator] = ACTIONS(14170),
    [sym__type_order_operator] = ACTIONS(14170),
    [sym__unary_operator] = ACTIONS(14170),
    [sym__unary_plus_operator] = ACTIONS(14170),
    [aux_sym__terminator_token1] = ACTIONS(14170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14172),
    [sym__command_start] = ACTIONS(14172),
  },
  [8181] = {
    [sym__word_identifier] = ACTIONS(13953),
    [anon_sym_EQ] = ACTIONS(13953),
    [anon_sym_COMMA] = ACTIONS(13953),
    [anon_sym_COLON] = ACTIONS(13953),
    [anon_sym_begin] = ACTIONS(13953),
    [anon_sym_module] = ACTIONS(13953),
    [anon_sym_baremodule] = ACTIONS(13953),
    [anon_sym_end] = ACTIONS(13953),
    [anon_sym_abstract] = ACTIONS(13953),
    [anon_sym_primitive] = ACTIONS(13953),
    [anon_sym_mutable] = ACTIONS(13953),
    [anon_sym_struct] = ACTIONS(13953),
    [anon_sym_function] = ACTIONS(13953),
    [anon_sym_macro] = ACTIONS(13953),
    [anon_sym_where] = ACTIONS(13953),
    [anon_sym_quote] = ACTIONS(13953),
    [anon_sym_let] = ACTIONS(13953),
    [anon_sym_if] = ACTIONS(13953),
    [anon_sym_try] = ACTIONS(13953),
    [anon_sym_catch] = ACTIONS(13953),
    [anon_sym_for] = ACTIONS(13953),
    [anon_sym_while] = ACTIONS(13953),
    [sym_break_statement] = ACTIONS(13953),
    [sym_continue_statement] = ACTIONS(13953),
    [anon_sym_return] = ACTIONS(13953),
    [anon_sym_const] = ACTIONS(13953),
    [anon_sym_global] = ACTIONS(13953),
    [anon_sym_local] = ACTIONS(13953),
    [anon_sym_LPAREN] = ACTIONS(13953),
    [anon_sym_COLON2] = ACTIONS(13953),
    [anon_sym_export] = ACTIONS(13953),
    [anon_sym_import] = ACTIONS(13953),
    [anon_sym_using] = ACTIONS(13953),
    [anon_sym_LBRACK] = ACTIONS(13953),
    [anon_sym_LF] = ACTIONS(13955),
    [anon_sym_in] = ACTIONS(13953),
    [anon_sym_LBRACE] = ACTIONS(13953),
    [anon_sym_DOLLAR] = ACTIONS(13953),
    [anon_sym_COLON_COLON] = ACTIONS(13953),
    [anon_sym_isa] = ACTIONS(13953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13953),
    [anon_sym_QMARK] = ACTIONS(13953),
    [anon_sym_AT] = ACTIONS(13953),
    [anon_sym_true] = ACTIONS(13953),
    [anon_sym_false] = ACTIONS(13953),
    [aux_sym_integer_literal_token1] = ACTIONS(13953),
    [aux_sym_integer_literal_token2] = ACTIONS(13953),
    [aux_sym_integer_literal_token3] = ACTIONS(13953),
    [aux_sym_integer_literal_token4] = ACTIONS(13953),
    [aux_sym_float_literal_token1] = ACTIONS(13953),
    [aux_sym_float_literal_token3] = ACTIONS(13953),
    [aux_sym_float_literal_token4] = ACTIONS(13953),
    [sym_character_literal] = ACTIONS(13953),
    [sym__pair_operator] = ACTIONS(13953),
    [sym__arrow_operator] = ACTIONS(13953),
    [sym__lazy_or_operator] = ACTIONS(13953),
    [sym__lazy_and_operator] = ACTIONS(13953),
    [sym__comparison_operator] = ACTIONS(13953),
    [sym__pipe_right_operator] = ACTIONS(13953),
    [sym__pipe_left_operator] = ACTIONS(13953),
    [sym__ellipsis_operator] = ACTIONS(13953),
    [sym__plus_operator] = ACTIONS(13953),
    [sym__times_operator] = ACTIONS(13953),
    [sym__rational_operator] = ACTIONS(13953),
    [sym__bitshift_operator] = ACTIONS(13953),
    [sym__power_operator] = ACTIONS(13953),
    [sym__tilde_operator] = ACTIONS(13953),
    [sym__type_order_operator] = ACTIONS(13953),
    [sym__unary_operator] = ACTIONS(13953),
    [sym__unary_plus_operator] = ACTIONS(13953),
    [aux_sym__terminator_token1] = ACTIONS(13953),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13955),
    [sym__command_start] = ACTIONS(13955),
  },
  [8182] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_RPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_SEMI] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [8183] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_catch] = ACTIONS(13242),
    [anon_sym_finally] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(14517),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8184] = {
    [sym__word_identifier] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13943),
    [anon_sym_COLON] = ACTIONS(13943),
    [anon_sym_begin] = ACTIONS(13943),
    [anon_sym_module] = ACTIONS(13943),
    [anon_sym_baremodule] = ACTIONS(13943),
    [anon_sym_end] = ACTIONS(13943),
    [anon_sym_abstract] = ACTIONS(13943),
    [anon_sym_primitive] = ACTIONS(13943),
    [anon_sym_mutable] = ACTIONS(13943),
    [anon_sym_struct] = ACTIONS(13943),
    [anon_sym_function] = ACTIONS(13943),
    [anon_sym_macro] = ACTIONS(13943),
    [anon_sym_where] = ACTIONS(13943),
    [anon_sym_quote] = ACTIONS(13943),
    [anon_sym_let] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13943),
    [anon_sym_try] = ACTIONS(13943),
    [anon_sym_catch] = ACTIONS(13943),
    [anon_sym_for] = ACTIONS(13943),
    [anon_sym_while] = ACTIONS(13943),
    [sym_break_statement] = ACTIONS(13943),
    [sym_continue_statement] = ACTIONS(13943),
    [anon_sym_return] = ACTIONS(13943),
    [anon_sym_const] = ACTIONS(13943),
    [anon_sym_global] = ACTIONS(13943),
    [anon_sym_local] = ACTIONS(13943),
    [anon_sym_LPAREN] = ACTIONS(13943),
    [anon_sym_COLON2] = ACTIONS(13943),
    [anon_sym_export] = ACTIONS(13943),
    [anon_sym_import] = ACTIONS(13943),
    [anon_sym_using] = ACTIONS(13943),
    [anon_sym_LBRACK] = ACTIONS(13943),
    [anon_sym_LF] = ACTIONS(13945),
    [anon_sym_in] = ACTIONS(13943),
    [anon_sym_LBRACE] = ACTIONS(13943),
    [anon_sym_DOLLAR] = ACTIONS(13943),
    [anon_sym_COLON_COLON] = ACTIONS(13943),
    [anon_sym_isa] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13943),
    [anon_sym_QMARK] = ACTIONS(13943),
    [anon_sym_AT] = ACTIONS(13943),
    [anon_sym_true] = ACTIONS(13943),
    [anon_sym_false] = ACTIONS(13943),
    [aux_sym_integer_literal_token1] = ACTIONS(13943),
    [aux_sym_integer_literal_token2] = ACTIONS(13943),
    [aux_sym_integer_literal_token3] = ACTIONS(13943),
    [aux_sym_integer_literal_token4] = ACTIONS(13943),
    [aux_sym_float_literal_token1] = ACTIONS(13943),
    [aux_sym_float_literal_token3] = ACTIONS(13943),
    [aux_sym_float_literal_token4] = ACTIONS(13943),
    [sym_character_literal] = ACTIONS(13943),
    [sym__pair_operator] = ACTIONS(13943),
    [sym__arrow_operator] = ACTIONS(13943),
    [sym__lazy_or_operator] = ACTIONS(13943),
    [sym__lazy_and_operator] = ACTIONS(13943),
    [sym__comparison_operator] = ACTIONS(13943),
    [sym__pipe_right_operator] = ACTIONS(13943),
    [sym__pipe_left_operator] = ACTIONS(13943),
    [sym__ellipsis_operator] = ACTIONS(13943),
    [sym__plus_operator] = ACTIONS(13943),
    [sym__times_operator] = ACTIONS(13943),
    [sym__rational_operator] = ACTIONS(13943),
    [sym__bitshift_operator] = ACTIONS(13943),
    [sym__power_operator] = ACTIONS(13943),
    [sym__tilde_operator] = ACTIONS(13943),
    [sym__type_order_operator] = ACTIONS(13943),
    [sym__unary_operator] = ACTIONS(13943),
    [sym__unary_plus_operator] = ACTIONS(13943),
    [aux_sym__terminator_token1] = ACTIONS(13943),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13945),
    [sym__command_start] = ACTIONS(13945),
  },
  [8185] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_RPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_SEMI] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [8186] = {
    [sym__word_identifier] = ACTIONS(13916),
    [anon_sym_EQ] = ACTIONS(13916),
    [anon_sym_COMMA] = ACTIONS(13918),
    [anon_sym_COLON] = ACTIONS(13916),
    [anon_sym_begin] = ACTIONS(13916),
    [anon_sym_module] = ACTIONS(13916),
    [anon_sym_baremodule] = ACTIONS(13916),
    [anon_sym_abstract] = ACTIONS(13916),
    [anon_sym_primitive] = ACTIONS(13916),
    [anon_sym_mutable] = ACTIONS(13916),
    [anon_sym_struct] = ACTIONS(13916),
    [anon_sym_function] = ACTIONS(13916),
    [anon_sym_macro] = ACTIONS(13916),
    [anon_sym_where] = ACTIONS(13916),
    [anon_sym_quote] = ACTIONS(13916),
    [anon_sym_let] = ACTIONS(13916),
    [anon_sym_if] = ACTIONS(13916),
    [anon_sym_try] = ACTIONS(13916),
    [anon_sym_for] = ACTIONS(13916),
    [anon_sym_while] = ACTIONS(13916),
    [sym_break_statement] = ACTIONS(13916),
    [sym_continue_statement] = ACTIONS(13916),
    [anon_sym_return] = ACTIONS(13916),
    [anon_sym_const] = ACTIONS(13916),
    [anon_sym_global] = ACTIONS(13916),
    [anon_sym_local] = ACTIONS(13916),
    [anon_sym_LPAREN] = ACTIONS(13918),
    [anon_sym_RPAREN] = ACTIONS(13918),
    [anon_sym_COLON2] = ACTIONS(13916),
    [anon_sym_export] = ACTIONS(13916),
    [anon_sym_import] = ACTIONS(13916),
    [anon_sym_using] = ACTIONS(13916),
    [anon_sym_LBRACK] = ACTIONS(13918),
    [anon_sym_RBRACK] = ACTIONS(13918),
    [anon_sym_in] = ACTIONS(13916),
    [anon_sym_SEMI] = ACTIONS(13918),
    [anon_sym_LBRACE] = ACTIONS(13918),
    [anon_sym_RBRACE] = ACTIONS(13918),
    [anon_sym_DOLLAR] = ACTIONS(13918),
    [anon_sym_COLON_COLON] = ACTIONS(13918),
    [anon_sym_isa] = ACTIONS(13916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13918),
    [anon_sym_QMARK] = ACTIONS(13918),
    [anon_sym_AT] = ACTIONS(13918),
    [anon_sym_true] = ACTIONS(13916),
    [anon_sym_false] = ACTIONS(13916),
    [aux_sym_integer_literal_token1] = ACTIONS(13918),
    [aux_sym_integer_literal_token2] = ACTIONS(13918),
    [aux_sym_integer_literal_token3] = ACTIONS(13916),
    [aux_sym_integer_literal_token4] = ACTIONS(13916),
    [aux_sym_float_literal_token1] = ACTIONS(13918),
    [aux_sym_float_literal_token3] = ACTIONS(13918),
    [aux_sym_float_literal_token4] = ACTIONS(13918),
    [sym_character_literal] = ACTIONS(13918),
    [sym__pair_operator] = ACTIONS(13918),
    [sym__arrow_operator] = ACTIONS(13916),
    [sym__lazy_or_operator] = ACTIONS(13918),
    [sym__lazy_and_operator] = ACTIONS(13918),
    [sym__comparison_operator] = ACTIONS(13916),
    [sym__pipe_right_operator] = ACTIONS(13918),
    [sym__pipe_left_operator] = ACTIONS(13918),
    [sym__ellipsis_operator] = ACTIONS(13916),
    [sym__plus_operator] = ACTIONS(13916),
    [sym__times_operator] = ACTIONS(13916),
    [sym__rational_operator] = ACTIONS(13918),
    [sym__bitshift_operator] = ACTIONS(13918),
    [sym__power_operator] = ACTIONS(13918),
    [sym__tilde_operator] = ACTIONS(13918),
    [sym__type_order_operator] = ACTIONS(13918),
    [sym__unary_operator] = ACTIONS(13916),
    [sym__unary_plus_operator] = ACTIONS(13916),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13918),
    [sym__command_start] = ACTIONS(13918),
  },
  [8187] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_RPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_SEMI] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [8188] = {
    [sym__word_identifier] = ACTIONS(13916),
    [anon_sym_EQ] = ACTIONS(13916),
    [anon_sym_COMMA] = ACTIONS(13916),
    [anon_sym_COLON] = ACTIONS(13916),
    [anon_sym_begin] = ACTIONS(13916),
    [anon_sym_module] = ACTIONS(13916),
    [anon_sym_baremodule] = ACTIONS(13916),
    [anon_sym_end] = ACTIONS(13916),
    [anon_sym_abstract] = ACTIONS(13916),
    [anon_sym_primitive] = ACTIONS(13916),
    [anon_sym_mutable] = ACTIONS(13916),
    [anon_sym_struct] = ACTIONS(13916),
    [anon_sym_function] = ACTIONS(13916),
    [anon_sym_macro] = ACTIONS(13916),
    [anon_sym_where] = ACTIONS(13916),
    [anon_sym_quote] = ACTIONS(13916),
    [anon_sym_let] = ACTIONS(13916),
    [anon_sym_if] = ACTIONS(13916),
    [anon_sym_try] = ACTIONS(13916),
    [anon_sym_catch] = ACTIONS(13916),
    [anon_sym_for] = ACTIONS(13916),
    [anon_sym_while] = ACTIONS(13916),
    [sym_break_statement] = ACTIONS(13916),
    [sym_continue_statement] = ACTIONS(13916),
    [anon_sym_return] = ACTIONS(13916),
    [anon_sym_const] = ACTIONS(13916),
    [anon_sym_global] = ACTIONS(13916),
    [anon_sym_local] = ACTIONS(13916),
    [anon_sym_LPAREN] = ACTIONS(13916),
    [anon_sym_COLON2] = ACTIONS(13916),
    [anon_sym_export] = ACTIONS(13916),
    [anon_sym_import] = ACTIONS(13916),
    [anon_sym_using] = ACTIONS(13916),
    [anon_sym_LBRACK] = ACTIONS(13916),
    [anon_sym_LF] = ACTIONS(13918),
    [anon_sym_in] = ACTIONS(13916),
    [anon_sym_LBRACE] = ACTIONS(13916),
    [anon_sym_DOLLAR] = ACTIONS(13916),
    [anon_sym_COLON_COLON] = ACTIONS(13916),
    [anon_sym_isa] = ACTIONS(13916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13916),
    [anon_sym_QMARK] = ACTIONS(13916),
    [anon_sym_AT] = ACTIONS(13916),
    [anon_sym_true] = ACTIONS(13916),
    [anon_sym_false] = ACTIONS(13916),
    [aux_sym_integer_literal_token1] = ACTIONS(13916),
    [aux_sym_integer_literal_token2] = ACTIONS(13916),
    [aux_sym_integer_literal_token3] = ACTIONS(13916),
    [aux_sym_integer_literal_token4] = ACTIONS(13916),
    [aux_sym_float_literal_token1] = ACTIONS(13916),
    [aux_sym_float_literal_token3] = ACTIONS(13916),
    [aux_sym_float_literal_token4] = ACTIONS(13916),
    [sym_character_literal] = ACTIONS(13916),
    [sym__pair_operator] = ACTIONS(13916),
    [sym__arrow_operator] = ACTIONS(13916),
    [sym__lazy_or_operator] = ACTIONS(13916),
    [sym__lazy_and_operator] = ACTIONS(13916),
    [sym__comparison_operator] = ACTIONS(13916),
    [sym__pipe_right_operator] = ACTIONS(13916),
    [sym__pipe_left_operator] = ACTIONS(13916),
    [sym__ellipsis_operator] = ACTIONS(13916),
    [sym__plus_operator] = ACTIONS(13916),
    [sym__times_operator] = ACTIONS(13916),
    [sym__rational_operator] = ACTIONS(13916),
    [sym__bitshift_operator] = ACTIONS(13916),
    [sym__power_operator] = ACTIONS(13916),
    [sym__tilde_operator] = ACTIONS(13916),
    [sym__type_order_operator] = ACTIONS(13916),
    [sym__unary_operator] = ACTIONS(13916),
    [sym__unary_plus_operator] = ACTIONS(13916),
    [aux_sym__terminator_token1] = ACTIONS(13916),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13918),
    [sym__command_start] = ACTIONS(13918),
  },
  [8189] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_RPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_SEMI] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [8190] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_RPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_SEMI] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [8191] = {
    [sym__word_identifier] = ACTIONS(13912),
    [anon_sym_EQ] = ACTIONS(13912),
    [anon_sym_COMMA] = ACTIONS(13912),
    [anon_sym_COLON] = ACTIONS(13912),
    [anon_sym_begin] = ACTIONS(13912),
    [anon_sym_module] = ACTIONS(13912),
    [anon_sym_baremodule] = ACTIONS(13912),
    [anon_sym_end] = ACTIONS(13912),
    [anon_sym_abstract] = ACTIONS(13912),
    [anon_sym_primitive] = ACTIONS(13912),
    [anon_sym_mutable] = ACTIONS(13912),
    [anon_sym_struct] = ACTIONS(13912),
    [anon_sym_function] = ACTIONS(13912),
    [anon_sym_macro] = ACTIONS(13912),
    [anon_sym_where] = ACTIONS(13912),
    [anon_sym_quote] = ACTIONS(13912),
    [anon_sym_let] = ACTIONS(13912),
    [anon_sym_if] = ACTIONS(13912),
    [anon_sym_try] = ACTIONS(13912),
    [anon_sym_catch] = ACTIONS(13912),
    [anon_sym_for] = ACTIONS(13912),
    [anon_sym_while] = ACTIONS(13912),
    [sym_break_statement] = ACTIONS(13912),
    [sym_continue_statement] = ACTIONS(13912),
    [anon_sym_return] = ACTIONS(13912),
    [anon_sym_const] = ACTIONS(13912),
    [anon_sym_global] = ACTIONS(13912),
    [anon_sym_local] = ACTIONS(13912),
    [anon_sym_LPAREN] = ACTIONS(13912),
    [anon_sym_COLON2] = ACTIONS(13912),
    [anon_sym_export] = ACTIONS(13912),
    [anon_sym_import] = ACTIONS(13912),
    [anon_sym_using] = ACTIONS(13912),
    [anon_sym_LBRACK] = ACTIONS(13912),
    [anon_sym_LF] = ACTIONS(13914),
    [anon_sym_in] = ACTIONS(13912),
    [anon_sym_LBRACE] = ACTIONS(13912),
    [anon_sym_DOLLAR] = ACTIONS(13912),
    [anon_sym_COLON_COLON] = ACTIONS(13912),
    [anon_sym_isa] = ACTIONS(13912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13912),
    [anon_sym_QMARK] = ACTIONS(13912),
    [anon_sym_AT] = ACTIONS(13912),
    [anon_sym_true] = ACTIONS(13912),
    [anon_sym_false] = ACTIONS(13912),
    [aux_sym_integer_literal_token1] = ACTIONS(13912),
    [aux_sym_integer_literal_token2] = ACTIONS(13912),
    [aux_sym_integer_literal_token3] = ACTIONS(13912),
    [aux_sym_integer_literal_token4] = ACTIONS(13912),
    [aux_sym_float_literal_token1] = ACTIONS(13912),
    [aux_sym_float_literal_token3] = ACTIONS(13912),
    [aux_sym_float_literal_token4] = ACTIONS(13912),
    [sym_character_literal] = ACTIONS(13912),
    [sym__pair_operator] = ACTIONS(13912),
    [sym__arrow_operator] = ACTIONS(13912),
    [sym__lazy_or_operator] = ACTIONS(13912),
    [sym__lazy_and_operator] = ACTIONS(13912),
    [sym__comparison_operator] = ACTIONS(13912),
    [sym__pipe_right_operator] = ACTIONS(13912),
    [sym__pipe_left_operator] = ACTIONS(13912),
    [sym__ellipsis_operator] = ACTIONS(13912),
    [sym__plus_operator] = ACTIONS(13912),
    [sym__times_operator] = ACTIONS(13912),
    [sym__rational_operator] = ACTIONS(13912),
    [sym__bitshift_operator] = ACTIONS(13912),
    [sym__power_operator] = ACTIONS(13912),
    [sym__tilde_operator] = ACTIONS(13912),
    [sym__type_order_operator] = ACTIONS(13912),
    [sym__unary_operator] = ACTIONS(13912),
    [sym__unary_plus_operator] = ACTIONS(13912),
    [aux_sym__terminator_token1] = ACTIONS(13912),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13914),
    [sym__command_start] = ACTIONS(13914),
  },
  [8192] = {
    [sym__word_identifier] = ACTIONS(13816),
    [anon_sym_EQ] = ACTIONS(13816),
    [anon_sym_COMMA] = ACTIONS(13816),
    [anon_sym_COLON] = ACTIONS(13816),
    [anon_sym_begin] = ACTIONS(13816),
    [anon_sym_module] = ACTIONS(13816),
    [anon_sym_baremodule] = ACTIONS(13816),
    [anon_sym_end] = ACTIONS(13816),
    [anon_sym_abstract] = ACTIONS(13816),
    [anon_sym_primitive] = ACTIONS(13816),
    [anon_sym_mutable] = ACTIONS(13816),
    [anon_sym_struct] = ACTIONS(13816),
    [anon_sym_function] = ACTIONS(13816),
    [anon_sym_macro] = ACTIONS(13816),
    [anon_sym_where] = ACTIONS(13816),
    [anon_sym_quote] = ACTIONS(13816),
    [anon_sym_let] = ACTIONS(13816),
    [anon_sym_if] = ACTIONS(13816),
    [anon_sym_try] = ACTIONS(13816),
    [anon_sym_catch] = ACTIONS(13816),
    [anon_sym_for] = ACTIONS(13816),
    [anon_sym_while] = ACTIONS(13816),
    [sym_break_statement] = ACTIONS(13816),
    [sym_continue_statement] = ACTIONS(13816),
    [anon_sym_return] = ACTIONS(13816),
    [anon_sym_const] = ACTIONS(13816),
    [anon_sym_global] = ACTIONS(13816),
    [anon_sym_local] = ACTIONS(13816),
    [anon_sym_LPAREN] = ACTIONS(13816),
    [anon_sym_COLON2] = ACTIONS(13816),
    [anon_sym_export] = ACTIONS(13816),
    [anon_sym_import] = ACTIONS(13816),
    [anon_sym_using] = ACTIONS(13816),
    [anon_sym_LBRACK] = ACTIONS(13816),
    [anon_sym_LF] = ACTIONS(13818),
    [anon_sym_in] = ACTIONS(13816),
    [anon_sym_LBRACE] = ACTIONS(13816),
    [anon_sym_DOLLAR] = ACTIONS(13816),
    [anon_sym_COLON_COLON] = ACTIONS(13816),
    [anon_sym_isa] = ACTIONS(13816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13816),
    [anon_sym_QMARK] = ACTIONS(13816),
    [anon_sym_AT] = ACTIONS(13816),
    [anon_sym_true] = ACTIONS(13816),
    [anon_sym_false] = ACTIONS(13816),
    [aux_sym_integer_literal_token1] = ACTIONS(13816),
    [aux_sym_integer_literal_token2] = ACTIONS(13816),
    [aux_sym_integer_literal_token3] = ACTIONS(13816),
    [aux_sym_integer_literal_token4] = ACTIONS(13816),
    [aux_sym_float_literal_token1] = ACTIONS(13816),
    [aux_sym_float_literal_token3] = ACTIONS(13816),
    [aux_sym_float_literal_token4] = ACTIONS(13816),
    [sym_character_literal] = ACTIONS(13816),
    [sym__pair_operator] = ACTIONS(13816),
    [sym__arrow_operator] = ACTIONS(13816),
    [sym__lazy_or_operator] = ACTIONS(13816),
    [sym__lazy_and_operator] = ACTIONS(13816),
    [sym__comparison_operator] = ACTIONS(13816),
    [sym__pipe_right_operator] = ACTIONS(13816),
    [sym__pipe_left_operator] = ACTIONS(13816),
    [sym__ellipsis_operator] = ACTIONS(13816),
    [sym__plus_operator] = ACTIONS(13816),
    [sym__times_operator] = ACTIONS(13816),
    [sym__rational_operator] = ACTIONS(13816),
    [sym__bitshift_operator] = ACTIONS(13816),
    [sym__power_operator] = ACTIONS(13816),
    [sym__tilde_operator] = ACTIONS(13816),
    [sym__type_order_operator] = ACTIONS(13816),
    [sym__unary_operator] = ACTIONS(13816),
    [sym__unary_plus_operator] = ACTIONS(13816),
    [aux_sym__terminator_token1] = ACTIONS(13816),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13818),
    [sym__command_start] = ACTIONS(13818),
  },
  [8193] = {
    [sym__word_identifier] = ACTIONS(13812),
    [anon_sym_EQ] = ACTIONS(13812),
    [anon_sym_COMMA] = ACTIONS(13812),
    [anon_sym_COLON] = ACTIONS(13812),
    [anon_sym_begin] = ACTIONS(13812),
    [anon_sym_module] = ACTIONS(13812),
    [anon_sym_baremodule] = ACTIONS(13812),
    [anon_sym_end] = ACTIONS(13812),
    [anon_sym_abstract] = ACTIONS(13812),
    [anon_sym_primitive] = ACTIONS(13812),
    [anon_sym_mutable] = ACTIONS(13812),
    [anon_sym_struct] = ACTIONS(13812),
    [anon_sym_function] = ACTIONS(13812),
    [anon_sym_macro] = ACTIONS(13812),
    [anon_sym_where] = ACTIONS(13812),
    [anon_sym_quote] = ACTIONS(13812),
    [anon_sym_let] = ACTIONS(13812),
    [anon_sym_if] = ACTIONS(13812),
    [anon_sym_try] = ACTIONS(13812),
    [anon_sym_catch] = ACTIONS(13812),
    [anon_sym_for] = ACTIONS(13812),
    [anon_sym_while] = ACTIONS(13812),
    [sym_break_statement] = ACTIONS(13812),
    [sym_continue_statement] = ACTIONS(13812),
    [anon_sym_return] = ACTIONS(13812),
    [anon_sym_const] = ACTIONS(13812),
    [anon_sym_global] = ACTIONS(13812),
    [anon_sym_local] = ACTIONS(13812),
    [anon_sym_LPAREN] = ACTIONS(13812),
    [anon_sym_COLON2] = ACTIONS(13812),
    [anon_sym_export] = ACTIONS(13812),
    [anon_sym_import] = ACTIONS(13812),
    [anon_sym_using] = ACTIONS(13812),
    [anon_sym_LBRACK] = ACTIONS(13812),
    [anon_sym_LF] = ACTIONS(13814),
    [anon_sym_in] = ACTIONS(13812),
    [anon_sym_LBRACE] = ACTIONS(13812),
    [anon_sym_DOLLAR] = ACTIONS(13812),
    [anon_sym_COLON_COLON] = ACTIONS(13812),
    [anon_sym_isa] = ACTIONS(13812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13812),
    [anon_sym_QMARK] = ACTIONS(13812),
    [anon_sym_AT] = ACTIONS(13812),
    [anon_sym_true] = ACTIONS(13812),
    [anon_sym_false] = ACTIONS(13812),
    [aux_sym_integer_literal_token1] = ACTIONS(13812),
    [aux_sym_integer_literal_token2] = ACTIONS(13812),
    [aux_sym_integer_literal_token3] = ACTIONS(13812),
    [aux_sym_integer_literal_token4] = ACTIONS(13812),
    [aux_sym_float_literal_token1] = ACTIONS(13812),
    [aux_sym_float_literal_token3] = ACTIONS(13812),
    [aux_sym_float_literal_token4] = ACTIONS(13812),
    [sym_character_literal] = ACTIONS(13812),
    [sym__pair_operator] = ACTIONS(13812),
    [sym__arrow_operator] = ACTIONS(13812),
    [sym__lazy_or_operator] = ACTIONS(13812),
    [sym__lazy_and_operator] = ACTIONS(13812),
    [sym__comparison_operator] = ACTIONS(13812),
    [sym__pipe_right_operator] = ACTIONS(13812),
    [sym__pipe_left_operator] = ACTIONS(13812),
    [sym__ellipsis_operator] = ACTIONS(13812),
    [sym__plus_operator] = ACTIONS(13812),
    [sym__times_operator] = ACTIONS(13812),
    [sym__rational_operator] = ACTIONS(13812),
    [sym__bitshift_operator] = ACTIONS(13812),
    [sym__power_operator] = ACTIONS(13812),
    [sym__tilde_operator] = ACTIONS(13812),
    [sym__type_order_operator] = ACTIONS(13812),
    [sym__unary_operator] = ACTIONS(13812),
    [sym__unary_plus_operator] = ACTIONS(13812),
    [aux_sym__terminator_token1] = ACTIONS(13812),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13814),
    [sym__command_start] = ACTIONS(13814),
  },
  [8194] = {
    [sym__word_identifier] = ACTIONS(13808),
    [anon_sym_EQ] = ACTIONS(13808),
    [anon_sym_COMMA] = ACTIONS(13808),
    [anon_sym_COLON] = ACTIONS(13808),
    [anon_sym_begin] = ACTIONS(13808),
    [anon_sym_module] = ACTIONS(13808),
    [anon_sym_baremodule] = ACTIONS(13808),
    [anon_sym_end] = ACTIONS(13808),
    [anon_sym_abstract] = ACTIONS(13808),
    [anon_sym_primitive] = ACTIONS(13808),
    [anon_sym_mutable] = ACTIONS(13808),
    [anon_sym_struct] = ACTIONS(13808),
    [anon_sym_function] = ACTIONS(13808),
    [anon_sym_macro] = ACTIONS(13808),
    [anon_sym_where] = ACTIONS(13808),
    [anon_sym_quote] = ACTIONS(13808),
    [anon_sym_let] = ACTIONS(13808),
    [anon_sym_if] = ACTIONS(13808),
    [anon_sym_try] = ACTIONS(13808),
    [anon_sym_catch] = ACTIONS(13808),
    [anon_sym_for] = ACTIONS(13808),
    [anon_sym_while] = ACTIONS(13808),
    [sym_break_statement] = ACTIONS(13808),
    [sym_continue_statement] = ACTIONS(13808),
    [anon_sym_return] = ACTIONS(13808),
    [anon_sym_const] = ACTIONS(13808),
    [anon_sym_global] = ACTIONS(13808),
    [anon_sym_local] = ACTIONS(13808),
    [anon_sym_LPAREN] = ACTIONS(13808),
    [anon_sym_COLON2] = ACTIONS(13808),
    [anon_sym_export] = ACTIONS(13808),
    [anon_sym_import] = ACTIONS(13808),
    [anon_sym_using] = ACTIONS(13808),
    [anon_sym_LBRACK] = ACTIONS(13808),
    [anon_sym_LF] = ACTIONS(13810),
    [anon_sym_in] = ACTIONS(13808),
    [anon_sym_LBRACE] = ACTIONS(13808),
    [anon_sym_DOLLAR] = ACTIONS(13808),
    [anon_sym_COLON_COLON] = ACTIONS(13808),
    [anon_sym_isa] = ACTIONS(13808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13808),
    [anon_sym_QMARK] = ACTIONS(13808),
    [anon_sym_AT] = ACTIONS(13808),
    [anon_sym_true] = ACTIONS(13808),
    [anon_sym_false] = ACTIONS(13808),
    [aux_sym_integer_literal_token1] = ACTIONS(13808),
    [aux_sym_integer_literal_token2] = ACTIONS(13808),
    [aux_sym_integer_literal_token3] = ACTIONS(13808),
    [aux_sym_integer_literal_token4] = ACTIONS(13808),
    [aux_sym_float_literal_token1] = ACTIONS(13808),
    [aux_sym_float_literal_token3] = ACTIONS(13808),
    [aux_sym_float_literal_token4] = ACTIONS(13808),
    [sym_character_literal] = ACTIONS(13808),
    [sym__pair_operator] = ACTIONS(13808),
    [sym__arrow_operator] = ACTIONS(13808),
    [sym__lazy_or_operator] = ACTIONS(13808),
    [sym__lazy_and_operator] = ACTIONS(13808),
    [sym__comparison_operator] = ACTIONS(13808),
    [sym__pipe_right_operator] = ACTIONS(13808),
    [sym__pipe_left_operator] = ACTIONS(13808),
    [sym__ellipsis_operator] = ACTIONS(13808),
    [sym__plus_operator] = ACTIONS(13808),
    [sym__times_operator] = ACTIONS(13808),
    [sym__rational_operator] = ACTIONS(13808),
    [sym__bitshift_operator] = ACTIONS(13808),
    [sym__power_operator] = ACTIONS(13808),
    [sym__tilde_operator] = ACTIONS(13808),
    [sym__type_order_operator] = ACTIONS(13808),
    [sym__unary_operator] = ACTIONS(13808),
    [sym__unary_plus_operator] = ACTIONS(13808),
    [aux_sym__terminator_token1] = ACTIONS(13808),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13810),
    [sym__command_start] = ACTIONS(13810),
  },
  [8195] = {
    [sym__word_identifier] = ACTIONS(13804),
    [anon_sym_EQ] = ACTIONS(13804),
    [anon_sym_COMMA] = ACTIONS(13804),
    [anon_sym_COLON] = ACTIONS(13804),
    [anon_sym_begin] = ACTIONS(13804),
    [anon_sym_module] = ACTIONS(13804),
    [anon_sym_baremodule] = ACTIONS(13804),
    [anon_sym_end] = ACTIONS(13804),
    [anon_sym_abstract] = ACTIONS(13804),
    [anon_sym_primitive] = ACTIONS(13804),
    [anon_sym_mutable] = ACTIONS(13804),
    [anon_sym_struct] = ACTIONS(13804),
    [anon_sym_function] = ACTIONS(13804),
    [anon_sym_macro] = ACTIONS(13804),
    [anon_sym_where] = ACTIONS(13804),
    [anon_sym_quote] = ACTIONS(13804),
    [anon_sym_let] = ACTIONS(13804),
    [anon_sym_if] = ACTIONS(13804),
    [anon_sym_try] = ACTIONS(13804),
    [anon_sym_catch] = ACTIONS(13804),
    [anon_sym_for] = ACTIONS(13804),
    [anon_sym_while] = ACTIONS(13804),
    [sym_break_statement] = ACTIONS(13804),
    [sym_continue_statement] = ACTIONS(13804),
    [anon_sym_return] = ACTIONS(13804),
    [anon_sym_const] = ACTIONS(13804),
    [anon_sym_global] = ACTIONS(13804),
    [anon_sym_local] = ACTIONS(13804),
    [anon_sym_LPAREN] = ACTIONS(13804),
    [anon_sym_COLON2] = ACTIONS(13804),
    [anon_sym_export] = ACTIONS(13804),
    [anon_sym_import] = ACTIONS(13804),
    [anon_sym_using] = ACTIONS(13804),
    [anon_sym_LBRACK] = ACTIONS(13804),
    [anon_sym_LF] = ACTIONS(13806),
    [anon_sym_in] = ACTIONS(13804),
    [anon_sym_LBRACE] = ACTIONS(13804),
    [anon_sym_DOLLAR] = ACTIONS(13804),
    [anon_sym_COLON_COLON] = ACTIONS(13804),
    [anon_sym_isa] = ACTIONS(13804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13804),
    [anon_sym_QMARK] = ACTIONS(13804),
    [anon_sym_AT] = ACTIONS(13804),
    [anon_sym_true] = ACTIONS(13804),
    [anon_sym_false] = ACTIONS(13804),
    [aux_sym_integer_literal_token1] = ACTIONS(13804),
    [aux_sym_integer_literal_token2] = ACTIONS(13804),
    [aux_sym_integer_literal_token3] = ACTIONS(13804),
    [aux_sym_integer_literal_token4] = ACTIONS(13804),
    [aux_sym_float_literal_token1] = ACTIONS(13804),
    [aux_sym_float_literal_token3] = ACTIONS(13804),
    [aux_sym_float_literal_token4] = ACTIONS(13804),
    [sym_character_literal] = ACTIONS(13804),
    [sym__pair_operator] = ACTIONS(13804),
    [sym__arrow_operator] = ACTIONS(13804),
    [sym__lazy_or_operator] = ACTIONS(13804),
    [sym__lazy_and_operator] = ACTIONS(13804),
    [sym__comparison_operator] = ACTIONS(13804),
    [sym__pipe_right_operator] = ACTIONS(13804),
    [sym__pipe_left_operator] = ACTIONS(13804),
    [sym__ellipsis_operator] = ACTIONS(13804),
    [sym__plus_operator] = ACTIONS(13804),
    [sym__times_operator] = ACTIONS(13804),
    [sym__rational_operator] = ACTIONS(13804),
    [sym__bitshift_operator] = ACTIONS(13804),
    [sym__power_operator] = ACTIONS(13804),
    [sym__tilde_operator] = ACTIONS(13804),
    [sym__type_order_operator] = ACTIONS(13804),
    [sym__unary_operator] = ACTIONS(13804),
    [sym__unary_plus_operator] = ACTIONS(13804),
    [aux_sym__terminator_token1] = ACTIONS(13804),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13806),
    [sym__command_start] = ACTIONS(13806),
  },
  [8196] = {
    [sym__word_identifier] = ACTIONS(13780),
    [anon_sym_EQ] = ACTIONS(13780),
    [anon_sym_COMMA] = ACTIONS(13780),
    [anon_sym_COLON] = ACTIONS(13780),
    [anon_sym_begin] = ACTIONS(13780),
    [anon_sym_module] = ACTIONS(13780),
    [anon_sym_baremodule] = ACTIONS(13780),
    [anon_sym_end] = ACTIONS(13780),
    [anon_sym_abstract] = ACTIONS(13780),
    [anon_sym_primitive] = ACTIONS(13780),
    [anon_sym_mutable] = ACTIONS(13780),
    [anon_sym_struct] = ACTIONS(13780),
    [anon_sym_function] = ACTIONS(13780),
    [anon_sym_macro] = ACTIONS(13780),
    [anon_sym_where] = ACTIONS(13780),
    [anon_sym_quote] = ACTIONS(13780),
    [anon_sym_let] = ACTIONS(13780),
    [anon_sym_if] = ACTIONS(13780),
    [anon_sym_try] = ACTIONS(13780),
    [anon_sym_catch] = ACTIONS(13780),
    [anon_sym_for] = ACTIONS(13780),
    [anon_sym_while] = ACTIONS(13780),
    [sym_break_statement] = ACTIONS(13780),
    [sym_continue_statement] = ACTIONS(13780),
    [anon_sym_return] = ACTIONS(13780),
    [anon_sym_const] = ACTIONS(13780),
    [anon_sym_global] = ACTIONS(13780),
    [anon_sym_local] = ACTIONS(13780),
    [anon_sym_LPAREN] = ACTIONS(13780),
    [anon_sym_COLON2] = ACTIONS(13780),
    [anon_sym_export] = ACTIONS(13780),
    [anon_sym_import] = ACTIONS(13780),
    [anon_sym_using] = ACTIONS(13780),
    [anon_sym_LBRACK] = ACTIONS(13780),
    [anon_sym_LF] = ACTIONS(13782),
    [anon_sym_in] = ACTIONS(13780),
    [anon_sym_LBRACE] = ACTIONS(13780),
    [anon_sym_DOLLAR] = ACTIONS(13780),
    [anon_sym_COLON_COLON] = ACTIONS(13780),
    [anon_sym_isa] = ACTIONS(13780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13780),
    [anon_sym_QMARK] = ACTIONS(13780),
    [anon_sym_AT] = ACTIONS(13780),
    [anon_sym_true] = ACTIONS(13780),
    [anon_sym_false] = ACTIONS(13780),
    [aux_sym_integer_literal_token1] = ACTIONS(13780),
    [aux_sym_integer_literal_token2] = ACTIONS(13780),
    [aux_sym_integer_literal_token3] = ACTIONS(13780),
    [aux_sym_integer_literal_token4] = ACTIONS(13780),
    [aux_sym_float_literal_token1] = ACTIONS(13780),
    [aux_sym_float_literal_token3] = ACTIONS(13780),
    [aux_sym_float_literal_token4] = ACTIONS(13780),
    [sym_character_literal] = ACTIONS(13780),
    [sym__pair_operator] = ACTIONS(13780),
    [sym__arrow_operator] = ACTIONS(13780),
    [sym__lazy_or_operator] = ACTIONS(13780),
    [sym__lazy_and_operator] = ACTIONS(13780),
    [sym__comparison_operator] = ACTIONS(13780),
    [sym__pipe_right_operator] = ACTIONS(13780),
    [sym__pipe_left_operator] = ACTIONS(13780),
    [sym__ellipsis_operator] = ACTIONS(13780),
    [sym__plus_operator] = ACTIONS(13780),
    [sym__times_operator] = ACTIONS(13780),
    [sym__rational_operator] = ACTIONS(13780),
    [sym__bitshift_operator] = ACTIONS(13780),
    [sym__power_operator] = ACTIONS(13780),
    [sym__tilde_operator] = ACTIONS(13780),
    [sym__type_order_operator] = ACTIONS(13780),
    [sym__unary_operator] = ACTIONS(13780),
    [sym__unary_plus_operator] = ACTIONS(13780),
    [aux_sym__terminator_token1] = ACTIONS(13780),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13782),
    [sym__command_start] = ACTIONS(13782),
  },
  [8197] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [8198] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_RPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_SEMI] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [8199] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_RPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_SEMI] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [8200] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_RPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_SEMI] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [8201] = {
    [sym__word_identifier] = ACTIONS(13776),
    [anon_sym_EQ] = ACTIONS(13776),
    [anon_sym_COMMA] = ACTIONS(13776),
    [anon_sym_COLON] = ACTIONS(13776),
    [anon_sym_begin] = ACTIONS(13776),
    [anon_sym_module] = ACTIONS(13776),
    [anon_sym_baremodule] = ACTIONS(13776),
    [anon_sym_end] = ACTIONS(13776),
    [anon_sym_abstract] = ACTIONS(13776),
    [anon_sym_primitive] = ACTIONS(13776),
    [anon_sym_mutable] = ACTIONS(13776),
    [anon_sym_struct] = ACTIONS(13776),
    [anon_sym_function] = ACTIONS(13776),
    [anon_sym_macro] = ACTIONS(13776),
    [anon_sym_where] = ACTIONS(13776),
    [anon_sym_quote] = ACTIONS(13776),
    [anon_sym_let] = ACTIONS(13776),
    [anon_sym_if] = ACTIONS(13776),
    [anon_sym_try] = ACTIONS(13776),
    [anon_sym_catch] = ACTIONS(13776),
    [anon_sym_for] = ACTIONS(13776),
    [anon_sym_while] = ACTIONS(13776),
    [sym_break_statement] = ACTIONS(13776),
    [sym_continue_statement] = ACTIONS(13776),
    [anon_sym_return] = ACTIONS(13776),
    [anon_sym_const] = ACTIONS(13776),
    [anon_sym_global] = ACTIONS(13776),
    [anon_sym_local] = ACTIONS(13776),
    [anon_sym_LPAREN] = ACTIONS(13776),
    [anon_sym_COLON2] = ACTIONS(13776),
    [anon_sym_export] = ACTIONS(13776),
    [anon_sym_import] = ACTIONS(13776),
    [anon_sym_using] = ACTIONS(13776),
    [anon_sym_LBRACK] = ACTIONS(13776),
    [anon_sym_LF] = ACTIONS(13778),
    [anon_sym_in] = ACTIONS(13776),
    [anon_sym_LBRACE] = ACTIONS(13776),
    [anon_sym_DOLLAR] = ACTIONS(13776),
    [anon_sym_COLON_COLON] = ACTIONS(13776),
    [anon_sym_isa] = ACTIONS(13776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13776),
    [anon_sym_QMARK] = ACTIONS(13776),
    [anon_sym_AT] = ACTIONS(13776),
    [anon_sym_true] = ACTIONS(13776),
    [anon_sym_false] = ACTIONS(13776),
    [aux_sym_integer_literal_token1] = ACTIONS(13776),
    [aux_sym_integer_literal_token2] = ACTIONS(13776),
    [aux_sym_integer_literal_token3] = ACTIONS(13776),
    [aux_sym_integer_literal_token4] = ACTIONS(13776),
    [aux_sym_float_literal_token1] = ACTIONS(13776),
    [aux_sym_float_literal_token3] = ACTIONS(13776),
    [aux_sym_float_literal_token4] = ACTIONS(13776),
    [sym_character_literal] = ACTIONS(13776),
    [sym__pair_operator] = ACTIONS(13776),
    [sym__arrow_operator] = ACTIONS(13776),
    [sym__lazy_or_operator] = ACTIONS(13776),
    [sym__lazy_and_operator] = ACTIONS(13776),
    [sym__comparison_operator] = ACTIONS(13776),
    [sym__pipe_right_operator] = ACTIONS(13776),
    [sym__pipe_left_operator] = ACTIONS(13776),
    [sym__ellipsis_operator] = ACTIONS(13776),
    [sym__plus_operator] = ACTIONS(13776),
    [sym__times_operator] = ACTIONS(13776),
    [sym__rational_operator] = ACTIONS(13776),
    [sym__bitshift_operator] = ACTIONS(13776),
    [sym__power_operator] = ACTIONS(13776),
    [sym__tilde_operator] = ACTIONS(13776),
    [sym__type_order_operator] = ACTIONS(13776),
    [sym__unary_operator] = ACTIONS(13776),
    [sym__unary_plus_operator] = ACTIONS(13776),
    [aux_sym__terminator_token1] = ACTIONS(13776),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13778),
    [sym__command_start] = ACTIONS(13778),
  },
  [8202] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_RPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [8203] = {
    [sym__word_identifier] = ACTIONS(13772),
    [anon_sym_EQ] = ACTIONS(13772),
    [anon_sym_COMMA] = ACTIONS(13772),
    [anon_sym_COLON] = ACTIONS(13772),
    [anon_sym_begin] = ACTIONS(13772),
    [anon_sym_module] = ACTIONS(13772),
    [anon_sym_baremodule] = ACTIONS(13772),
    [anon_sym_end] = ACTIONS(13772),
    [anon_sym_abstract] = ACTIONS(13772),
    [anon_sym_primitive] = ACTIONS(13772),
    [anon_sym_mutable] = ACTIONS(13772),
    [anon_sym_struct] = ACTIONS(13772),
    [anon_sym_function] = ACTIONS(13772),
    [anon_sym_macro] = ACTIONS(13772),
    [anon_sym_where] = ACTIONS(13772),
    [anon_sym_quote] = ACTIONS(13772),
    [anon_sym_let] = ACTIONS(13772),
    [anon_sym_if] = ACTIONS(13772),
    [anon_sym_try] = ACTIONS(13772),
    [anon_sym_catch] = ACTIONS(13772),
    [anon_sym_for] = ACTIONS(13772),
    [anon_sym_while] = ACTIONS(13772),
    [sym_break_statement] = ACTIONS(13772),
    [sym_continue_statement] = ACTIONS(13772),
    [anon_sym_return] = ACTIONS(13772),
    [anon_sym_const] = ACTIONS(13772),
    [anon_sym_global] = ACTIONS(13772),
    [anon_sym_local] = ACTIONS(13772),
    [anon_sym_LPAREN] = ACTIONS(13772),
    [anon_sym_COLON2] = ACTIONS(13772),
    [anon_sym_export] = ACTIONS(13772),
    [anon_sym_import] = ACTIONS(13772),
    [anon_sym_using] = ACTIONS(13772),
    [anon_sym_LBRACK] = ACTIONS(13772),
    [anon_sym_LF] = ACTIONS(13774),
    [anon_sym_in] = ACTIONS(13772),
    [anon_sym_LBRACE] = ACTIONS(13772),
    [anon_sym_DOLLAR] = ACTIONS(13772),
    [anon_sym_COLON_COLON] = ACTIONS(13772),
    [anon_sym_isa] = ACTIONS(13772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13772),
    [anon_sym_QMARK] = ACTIONS(13772),
    [anon_sym_AT] = ACTIONS(13772),
    [anon_sym_true] = ACTIONS(13772),
    [anon_sym_false] = ACTIONS(13772),
    [aux_sym_integer_literal_token1] = ACTIONS(13772),
    [aux_sym_integer_literal_token2] = ACTIONS(13772),
    [aux_sym_integer_literal_token3] = ACTIONS(13772),
    [aux_sym_integer_literal_token4] = ACTIONS(13772),
    [aux_sym_float_literal_token1] = ACTIONS(13772),
    [aux_sym_float_literal_token3] = ACTIONS(13772),
    [aux_sym_float_literal_token4] = ACTIONS(13772),
    [sym_character_literal] = ACTIONS(13772),
    [sym__pair_operator] = ACTIONS(13772),
    [sym__arrow_operator] = ACTIONS(13772),
    [sym__lazy_or_operator] = ACTIONS(13772),
    [sym__lazy_and_operator] = ACTIONS(13772),
    [sym__comparison_operator] = ACTIONS(13772),
    [sym__pipe_right_operator] = ACTIONS(13772),
    [sym__pipe_left_operator] = ACTIONS(13772),
    [sym__ellipsis_operator] = ACTIONS(13772),
    [sym__plus_operator] = ACTIONS(13772),
    [sym__times_operator] = ACTIONS(13772),
    [sym__rational_operator] = ACTIONS(13772),
    [sym__bitshift_operator] = ACTIONS(13772),
    [sym__power_operator] = ACTIONS(13772),
    [sym__tilde_operator] = ACTIONS(13772),
    [sym__type_order_operator] = ACTIONS(13772),
    [sym__unary_operator] = ACTIONS(13772),
    [sym__unary_plus_operator] = ACTIONS(13772),
    [aux_sym__terminator_token1] = ACTIONS(13772),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13774),
    [sym__command_start] = ACTIONS(13774),
  },
  [8204] = {
    [sym__word_identifier] = ACTIONS(13768),
    [anon_sym_EQ] = ACTIONS(13768),
    [anon_sym_COMMA] = ACTIONS(13768),
    [anon_sym_COLON] = ACTIONS(13768),
    [anon_sym_begin] = ACTIONS(13768),
    [anon_sym_module] = ACTIONS(13768),
    [anon_sym_baremodule] = ACTIONS(13768),
    [anon_sym_end] = ACTIONS(13768),
    [anon_sym_abstract] = ACTIONS(13768),
    [anon_sym_primitive] = ACTIONS(13768),
    [anon_sym_mutable] = ACTIONS(13768),
    [anon_sym_struct] = ACTIONS(13768),
    [anon_sym_function] = ACTIONS(13768),
    [anon_sym_macro] = ACTIONS(13768),
    [anon_sym_where] = ACTIONS(13768),
    [anon_sym_quote] = ACTIONS(13768),
    [anon_sym_let] = ACTIONS(13768),
    [anon_sym_if] = ACTIONS(13768),
    [anon_sym_try] = ACTIONS(13768),
    [anon_sym_catch] = ACTIONS(13768),
    [anon_sym_for] = ACTIONS(13768),
    [anon_sym_while] = ACTIONS(13768),
    [sym_break_statement] = ACTIONS(13768),
    [sym_continue_statement] = ACTIONS(13768),
    [anon_sym_return] = ACTIONS(13768),
    [anon_sym_const] = ACTIONS(13768),
    [anon_sym_global] = ACTIONS(13768),
    [anon_sym_local] = ACTIONS(13768),
    [anon_sym_LPAREN] = ACTIONS(13768),
    [anon_sym_COLON2] = ACTIONS(13768),
    [anon_sym_export] = ACTIONS(13768),
    [anon_sym_import] = ACTIONS(13768),
    [anon_sym_using] = ACTIONS(13768),
    [anon_sym_LBRACK] = ACTIONS(13768),
    [anon_sym_LF] = ACTIONS(13770),
    [anon_sym_in] = ACTIONS(13768),
    [anon_sym_LBRACE] = ACTIONS(13768),
    [anon_sym_DOLLAR] = ACTIONS(13768),
    [anon_sym_COLON_COLON] = ACTIONS(13768),
    [anon_sym_isa] = ACTIONS(13768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13768),
    [anon_sym_QMARK] = ACTIONS(13768),
    [anon_sym_AT] = ACTIONS(13768),
    [anon_sym_true] = ACTIONS(13768),
    [anon_sym_false] = ACTIONS(13768),
    [aux_sym_integer_literal_token1] = ACTIONS(13768),
    [aux_sym_integer_literal_token2] = ACTIONS(13768),
    [aux_sym_integer_literal_token3] = ACTIONS(13768),
    [aux_sym_integer_literal_token4] = ACTIONS(13768),
    [aux_sym_float_literal_token1] = ACTIONS(13768),
    [aux_sym_float_literal_token3] = ACTIONS(13768),
    [aux_sym_float_literal_token4] = ACTIONS(13768),
    [sym_character_literal] = ACTIONS(13768),
    [sym__pair_operator] = ACTIONS(13768),
    [sym__arrow_operator] = ACTIONS(13768),
    [sym__lazy_or_operator] = ACTIONS(13768),
    [sym__lazy_and_operator] = ACTIONS(13768),
    [sym__comparison_operator] = ACTIONS(13768),
    [sym__pipe_right_operator] = ACTIONS(13768),
    [sym__pipe_left_operator] = ACTIONS(13768),
    [sym__ellipsis_operator] = ACTIONS(13768),
    [sym__plus_operator] = ACTIONS(13768),
    [sym__times_operator] = ACTIONS(13768),
    [sym__rational_operator] = ACTIONS(13768),
    [sym__bitshift_operator] = ACTIONS(13768),
    [sym__power_operator] = ACTIONS(13768),
    [sym__tilde_operator] = ACTIONS(13768),
    [sym__type_order_operator] = ACTIONS(13768),
    [sym__unary_operator] = ACTIONS(13768),
    [sym__unary_plus_operator] = ACTIONS(13768),
    [aux_sym__terminator_token1] = ACTIONS(13768),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13770),
    [sym__command_start] = ACTIONS(13770),
  },
  [8205] = {
    [sym__word_identifier] = ACTIONS(13764),
    [anon_sym_EQ] = ACTIONS(13764),
    [anon_sym_COMMA] = ACTIONS(13764),
    [anon_sym_COLON] = ACTIONS(13764),
    [anon_sym_begin] = ACTIONS(13764),
    [anon_sym_module] = ACTIONS(13764),
    [anon_sym_baremodule] = ACTIONS(13764),
    [anon_sym_end] = ACTIONS(13764),
    [anon_sym_abstract] = ACTIONS(13764),
    [anon_sym_primitive] = ACTIONS(13764),
    [anon_sym_mutable] = ACTIONS(13764),
    [anon_sym_struct] = ACTIONS(13764),
    [anon_sym_function] = ACTIONS(13764),
    [anon_sym_macro] = ACTIONS(13764),
    [anon_sym_where] = ACTIONS(13764),
    [anon_sym_quote] = ACTIONS(13764),
    [anon_sym_let] = ACTIONS(13764),
    [anon_sym_if] = ACTIONS(13764),
    [anon_sym_try] = ACTIONS(13764),
    [anon_sym_catch] = ACTIONS(13764),
    [anon_sym_for] = ACTIONS(13764),
    [anon_sym_while] = ACTIONS(13764),
    [sym_break_statement] = ACTIONS(13764),
    [sym_continue_statement] = ACTIONS(13764),
    [anon_sym_return] = ACTIONS(13764),
    [anon_sym_const] = ACTIONS(13764),
    [anon_sym_global] = ACTIONS(13764),
    [anon_sym_local] = ACTIONS(13764),
    [anon_sym_LPAREN] = ACTIONS(13764),
    [anon_sym_COLON2] = ACTIONS(13764),
    [anon_sym_export] = ACTIONS(13764),
    [anon_sym_import] = ACTIONS(13764),
    [anon_sym_using] = ACTIONS(13764),
    [anon_sym_LBRACK] = ACTIONS(13764),
    [anon_sym_LF] = ACTIONS(13766),
    [anon_sym_in] = ACTIONS(13764),
    [anon_sym_LBRACE] = ACTIONS(13764),
    [anon_sym_DOLLAR] = ACTIONS(13764),
    [anon_sym_COLON_COLON] = ACTIONS(13764),
    [anon_sym_isa] = ACTIONS(13764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13764),
    [anon_sym_QMARK] = ACTIONS(13764),
    [anon_sym_AT] = ACTIONS(13764),
    [anon_sym_true] = ACTIONS(13764),
    [anon_sym_false] = ACTIONS(13764),
    [aux_sym_integer_literal_token1] = ACTIONS(13764),
    [aux_sym_integer_literal_token2] = ACTIONS(13764),
    [aux_sym_integer_literal_token3] = ACTIONS(13764),
    [aux_sym_integer_literal_token4] = ACTIONS(13764),
    [aux_sym_float_literal_token1] = ACTIONS(13764),
    [aux_sym_float_literal_token3] = ACTIONS(13764),
    [aux_sym_float_literal_token4] = ACTIONS(13764),
    [sym_character_literal] = ACTIONS(13764),
    [sym__pair_operator] = ACTIONS(13764),
    [sym__arrow_operator] = ACTIONS(13764),
    [sym__lazy_or_operator] = ACTIONS(13764),
    [sym__lazy_and_operator] = ACTIONS(13764),
    [sym__comparison_operator] = ACTIONS(13764),
    [sym__pipe_right_operator] = ACTIONS(13764),
    [sym__pipe_left_operator] = ACTIONS(13764),
    [sym__ellipsis_operator] = ACTIONS(13764),
    [sym__plus_operator] = ACTIONS(13764),
    [sym__times_operator] = ACTIONS(13764),
    [sym__rational_operator] = ACTIONS(13764),
    [sym__bitshift_operator] = ACTIONS(13764),
    [sym__power_operator] = ACTIONS(13764),
    [sym__tilde_operator] = ACTIONS(13764),
    [sym__type_order_operator] = ACTIONS(13764),
    [sym__unary_operator] = ACTIONS(13764),
    [sym__unary_plus_operator] = ACTIONS(13764),
    [aux_sym__terminator_token1] = ACTIONS(13764),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13766),
    [sym__command_start] = ACTIONS(13766),
  },
  [8206] = {
    [sym__word_identifier] = ACTIONS(13740),
    [anon_sym_EQ] = ACTIONS(13740),
    [anon_sym_COMMA] = ACTIONS(13740),
    [anon_sym_COLON] = ACTIONS(13740),
    [anon_sym_begin] = ACTIONS(13740),
    [anon_sym_module] = ACTIONS(13740),
    [anon_sym_baremodule] = ACTIONS(13740),
    [anon_sym_end] = ACTIONS(13740),
    [anon_sym_abstract] = ACTIONS(13740),
    [anon_sym_primitive] = ACTIONS(13740),
    [anon_sym_mutable] = ACTIONS(13740),
    [anon_sym_struct] = ACTIONS(13740),
    [anon_sym_function] = ACTIONS(13740),
    [anon_sym_macro] = ACTIONS(13740),
    [anon_sym_where] = ACTIONS(13740),
    [anon_sym_quote] = ACTIONS(13740),
    [anon_sym_let] = ACTIONS(13740),
    [anon_sym_if] = ACTIONS(13740),
    [anon_sym_try] = ACTIONS(13740),
    [anon_sym_catch] = ACTIONS(13740),
    [anon_sym_for] = ACTIONS(13740),
    [anon_sym_while] = ACTIONS(13740),
    [sym_break_statement] = ACTIONS(13740),
    [sym_continue_statement] = ACTIONS(13740),
    [anon_sym_return] = ACTIONS(13740),
    [anon_sym_const] = ACTIONS(13740),
    [anon_sym_global] = ACTIONS(13740),
    [anon_sym_local] = ACTIONS(13740),
    [anon_sym_LPAREN] = ACTIONS(13740),
    [anon_sym_COLON2] = ACTIONS(13740),
    [anon_sym_export] = ACTIONS(13740),
    [anon_sym_import] = ACTIONS(13740),
    [anon_sym_using] = ACTIONS(13740),
    [anon_sym_LBRACK] = ACTIONS(13740),
    [anon_sym_LF] = ACTIONS(13742),
    [anon_sym_in] = ACTIONS(13740),
    [anon_sym_LBRACE] = ACTIONS(13740),
    [anon_sym_DOLLAR] = ACTIONS(13740),
    [anon_sym_COLON_COLON] = ACTIONS(13740),
    [anon_sym_isa] = ACTIONS(13740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13740),
    [anon_sym_QMARK] = ACTIONS(13740),
    [anon_sym_AT] = ACTIONS(13740),
    [anon_sym_true] = ACTIONS(13740),
    [anon_sym_false] = ACTIONS(13740),
    [aux_sym_integer_literal_token1] = ACTIONS(13740),
    [aux_sym_integer_literal_token2] = ACTIONS(13740),
    [aux_sym_integer_literal_token3] = ACTIONS(13740),
    [aux_sym_integer_literal_token4] = ACTIONS(13740),
    [aux_sym_float_literal_token1] = ACTIONS(13740),
    [aux_sym_float_literal_token3] = ACTIONS(13740),
    [aux_sym_float_literal_token4] = ACTIONS(13740),
    [sym_character_literal] = ACTIONS(13740),
    [sym__pair_operator] = ACTIONS(13740),
    [sym__arrow_operator] = ACTIONS(13740),
    [sym__lazy_or_operator] = ACTIONS(13740),
    [sym__lazy_and_operator] = ACTIONS(13740),
    [sym__comparison_operator] = ACTIONS(13740),
    [sym__pipe_right_operator] = ACTIONS(13740),
    [sym__pipe_left_operator] = ACTIONS(13740),
    [sym__ellipsis_operator] = ACTIONS(13740),
    [sym__plus_operator] = ACTIONS(13740),
    [sym__times_operator] = ACTIONS(13740),
    [sym__rational_operator] = ACTIONS(13740),
    [sym__bitshift_operator] = ACTIONS(13740),
    [sym__power_operator] = ACTIONS(13740),
    [sym__tilde_operator] = ACTIONS(13740),
    [sym__type_order_operator] = ACTIONS(13740),
    [sym__unary_operator] = ACTIONS(13740),
    [sym__unary_plus_operator] = ACTIONS(13740),
    [aux_sym__terminator_token1] = ACTIONS(13740),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13742),
    [sym__command_start] = ACTIONS(13742),
  },
  [8207] = {
    [sym__word_identifier] = ACTIONS(13736),
    [anon_sym_EQ] = ACTIONS(13736),
    [anon_sym_COMMA] = ACTIONS(13736),
    [anon_sym_COLON] = ACTIONS(13736),
    [anon_sym_begin] = ACTIONS(13736),
    [anon_sym_module] = ACTIONS(13736),
    [anon_sym_baremodule] = ACTIONS(13736),
    [anon_sym_end] = ACTIONS(13736),
    [anon_sym_abstract] = ACTIONS(13736),
    [anon_sym_primitive] = ACTIONS(13736),
    [anon_sym_mutable] = ACTIONS(13736),
    [anon_sym_struct] = ACTIONS(13736),
    [anon_sym_function] = ACTIONS(13736),
    [anon_sym_macro] = ACTIONS(13736),
    [anon_sym_where] = ACTIONS(13736),
    [anon_sym_quote] = ACTIONS(13736),
    [anon_sym_let] = ACTIONS(13736),
    [anon_sym_if] = ACTIONS(13736),
    [anon_sym_try] = ACTIONS(13736),
    [anon_sym_catch] = ACTIONS(13736),
    [anon_sym_for] = ACTIONS(13736),
    [anon_sym_while] = ACTIONS(13736),
    [sym_break_statement] = ACTIONS(13736),
    [sym_continue_statement] = ACTIONS(13736),
    [anon_sym_return] = ACTIONS(13736),
    [anon_sym_const] = ACTIONS(13736),
    [anon_sym_global] = ACTIONS(13736),
    [anon_sym_local] = ACTIONS(13736),
    [anon_sym_LPAREN] = ACTIONS(13736),
    [anon_sym_COLON2] = ACTIONS(13736),
    [anon_sym_export] = ACTIONS(13736),
    [anon_sym_import] = ACTIONS(13736),
    [anon_sym_using] = ACTIONS(13736),
    [anon_sym_LBRACK] = ACTIONS(13736),
    [anon_sym_LF] = ACTIONS(13738),
    [anon_sym_in] = ACTIONS(13736),
    [anon_sym_LBRACE] = ACTIONS(13736),
    [anon_sym_DOLLAR] = ACTIONS(13736),
    [anon_sym_COLON_COLON] = ACTIONS(13736),
    [anon_sym_isa] = ACTIONS(13736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13736),
    [anon_sym_QMARK] = ACTIONS(13736),
    [anon_sym_AT] = ACTIONS(13736),
    [anon_sym_true] = ACTIONS(13736),
    [anon_sym_false] = ACTIONS(13736),
    [aux_sym_integer_literal_token1] = ACTIONS(13736),
    [aux_sym_integer_literal_token2] = ACTIONS(13736),
    [aux_sym_integer_literal_token3] = ACTIONS(13736),
    [aux_sym_integer_literal_token4] = ACTIONS(13736),
    [aux_sym_float_literal_token1] = ACTIONS(13736),
    [aux_sym_float_literal_token3] = ACTIONS(13736),
    [aux_sym_float_literal_token4] = ACTIONS(13736),
    [sym_character_literal] = ACTIONS(13736),
    [sym__pair_operator] = ACTIONS(13736),
    [sym__arrow_operator] = ACTIONS(13736),
    [sym__lazy_or_operator] = ACTIONS(13736),
    [sym__lazy_and_operator] = ACTIONS(13736),
    [sym__comparison_operator] = ACTIONS(13736),
    [sym__pipe_right_operator] = ACTIONS(13736),
    [sym__pipe_left_operator] = ACTIONS(13736),
    [sym__ellipsis_operator] = ACTIONS(13736),
    [sym__plus_operator] = ACTIONS(13736),
    [sym__times_operator] = ACTIONS(13736),
    [sym__rational_operator] = ACTIONS(13736),
    [sym__bitshift_operator] = ACTIONS(13736),
    [sym__power_operator] = ACTIONS(13736),
    [sym__tilde_operator] = ACTIONS(13736),
    [sym__type_order_operator] = ACTIONS(13736),
    [sym__unary_operator] = ACTIONS(13736),
    [sym__unary_plus_operator] = ACTIONS(13736),
    [aux_sym__terminator_token1] = ACTIONS(13736),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13738),
    [sym__command_start] = ACTIONS(13738),
  },
  [8208] = {
    [sym__word_identifier] = ACTIONS(13698),
    [anon_sym_EQ] = ACTIONS(13698),
    [anon_sym_COMMA] = ACTIONS(13698),
    [anon_sym_COLON] = ACTIONS(13698),
    [anon_sym_begin] = ACTIONS(13698),
    [anon_sym_module] = ACTIONS(13698),
    [anon_sym_baremodule] = ACTIONS(13698),
    [anon_sym_end] = ACTIONS(13698),
    [anon_sym_abstract] = ACTIONS(13698),
    [anon_sym_primitive] = ACTIONS(13698),
    [anon_sym_mutable] = ACTIONS(13698),
    [anon_sym_struct] = ACTIONS(13698),
    [anon_sym_function] = ACTIONS(13698),
    [anon_sym_macro] = ACTIONS(13698),
    [anon_sym_where] = ACTIONS(13698),
    [anon_sym_quote] = ACTIONS(13698),
    [anon_sym_let] = ACTIONS(13698),
    [anon_sym_if] = ACTIONS(13698),
    [anon_sym_try] = ACTIONS(13698),
    [anon_sym_catch] = ACTIONS(13698),
    [anon_sym_for] = ACTIONS(13698),
    [anon_sym_while] = ACTIONS(13698),
    [sym_break_statement] = ACTIONS(13698),
    [sym_continue_statement] = ACTIONS(13698),
    [anon_sym_return] = ACTIONS(13698),
    [anon_sym_const] = ACTIONS(13698),
    [anon_sym_global] = ACTIONS(13698),
    [anon_sym_local] = ACTIONS(13698),
    [anon_sym_LPAREN] = ACTIONS(13698),
    [anon_sym_COLON2] = ACTIONS(13698),
    [anon_sym_export] = ACTIONS(13698),
    [anon_sym_import] = ACTIONS(13698),
    [anon_sym_using] = ACTIONS(13698),
    [anon_sym_LBRACK] = ACTIONS(13698),
    [anon_sym_LF] = ACTIONS(13700),
    [anon_sym_in] = ACTIONS(13698),
    [anon_sym_LBRACE] = ACTIONS(13698),
    [anon_sym_DOLLAR] = ACTIONS(13698),
    [anon_sym_COLON_COLON] = ACTIONS(13698),
    [anon_sym_isa] = ACTIONS(13698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13698),
    [anon_sym_QMARK] = ACTIONS(13698),
    [anon_sym_AT] = ACTIONS(13698),
    [anon_sym_true] = ACTIONS(13698),
    [anon_sym_false] = ACTIONS(13698),
    [aux_sym_integer_literal_token1] = ACTIONS(13698),
    [aux_sym_integer_literal_token2] = ACTIONS(13698),
    [aux_sym_integer_literal_token3] = ACTIONS(13698),
    [aux_sym_integer_literal_token4] = ACTIONS(13698),
    [aux_sym_float_literal_token1] = ACTIONS(13698),
    [aux_sym_float_literal_token3] = ACTIONS(13698),
    [aux_sym_float_literal_token4] = ACTIONS(13698),
    [sym_character_literal] = ACTIONS(13698),
    [sym__pair_operator] = ACTIONS(13698),
    [sym__arrow_operator] = ACTIONS(13698),
    [sym__lazy_or_operator] = ACTIONS(13698),
    [sym__lazy_and_operator] = ACTIONS(13698),
    [sym__comparison_operator] = ACTIONS(13698),
    [sym__pipe_right_operator] = ACTIONS(13698),
    [sym__pipe_left_operator] = ACTIONS(13698),
    [sym__ellipsis_operator] = ACTIONS(13698),
    [sym__plus_operator] = ACTIONS(13698),
    [sym__times_operator] = ACTIONS(13698),
    [sym__rational_operator] = ACTIONS(13698),
    [sym__bitshift_operator] = ACTIONS(13698),
    [sym__power_operator] = ACTIONS(13698),
    [sym__tilde_operator] = ACTIONS(13698),
    [sym__type_order_operator] = ACTIONS(13698),
    [sym__unary_operator] = ACTIONS(13698),
    [sym__unary_plus_operator] = ACTIONS(13698),
    [aux_sym__terminator_token1] = ACTIONS(13698),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13700),
    [sym__command_start] = ACTIONS(13700),
  },
  [8209] = {
    [sym__word_identifier] = ACTIONS(13748),
    [anon_sym_EQ] = ACTIONS(13748),
    [anon_sym_COMMA] = ACTIONS(13748),
    [anon_sym_COLON] = ACTIONS(13748),
    [anon_sym_begin] = ACTIONS(13748),
    [anon_sym_module] = ACTIONS(13748),
    [anon_sym_baremodule] = ACTIONS(13748),
    [anon_sym_end] = ACTIONS(13748),
    [anon_sym_abstract] = ACTIONS(13748),
    [anon_sym_primitive] = ACTIONS(13748),
    [anon_sym_mutable] = ACTIONS(13748),
    [anon_sym_struct] = ACTIONS(13748),
    [anon_sym_function] = ACTIONS(13748),
    [anon_sym_macro] = ACTIONS(13748),
    [anon_sym_where] = ACTIONS(13748),
    [anon_sym_quote] = ACTIONS(13748),
    [anon_sym_let] = ACTIONS(13748),
    [anon_sym_if] = ACTIONS(13748),
    [anon_sym_try] = ACTIONS(13748),
    [anon_sym_catch] = ACTIONS(13748),
    [anon_sym_for] = ACTIONS(13748),
    [anon_sym_while] = ACTIONS(13748),
    [sym_break_statement] = ACTIONS(13748),
    [sym_continue_statement] = ACTIONS(13748),
    [anon_sym_return] = ACTIONS(13748),
    [anon_sym_const] = ACTIONS(13748),
    [anon_sym_global] = ACTIONS(13748),
    [anon_sym_local] = ACTIONS(13748),
    [anon_sym_LPAREN] = ACTIONS(13748),
    [anon_sym_COLON2] = ACTIONS(13748),
    [anon_sym_export] = ACTIONS(13748),
    [anon_sym_import] = ACTIONS(13748),
    [anon_sym_using] = ACTIONS(13748),
    [anon_sym_LBRACK] = ACTIONS(13748),
    [anon_sym_LF] = ACTIONS(13750),
    [anon_sym_in] = ACTIONS(13748),
    [anon_sym_LBRACE] = ACTIONS(13748),
    [anon_sym_DOLLAR] = ACTIONS(13748),
    [anon_sym_COLON_COLON] = ACTIONS(13748),
    [anon_sym_isa] = ACTIONS(13748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13748),
    [anon_sym_QMARK] = ACTIONS(13748),
    [anon_sym_AT] = ACTIONS(13748),
    [anon_sym_true] = ACTIONS(13748),
    [anon_sym_false] = ACTIONS(13748),
    [aux_sym_integer_literal_token1] = ACTIONS(13748),
    [aux_sym_integer_literal_token2] = ACTIONS(13748),
    [aux_sym_integer_literal_token3] = ACTIONS(13748),
    [aux_sym_integer_literal_token4] = ACTIONS(13748),
    [aux_sym_float_literal_token1] = ACTIONS(13748),
    [aux_sym_float_literal_token3] = ACTIONS(13748),
    [aux_sym_float_literal_token4] = ACTIONS(13748),
    [sym_character_literal] = ACTIONS(13748),
    [sym__pair_operator] = ACTIONS(13748),
    [sym__arrow_operator] = ACTIONS(13748),
    [sym__lazy_or_operator] = ACTIONS(13748),
    [sym__lazy_and_operator] = ACTIONS(13748),
    [sym__comparison_operator] = ACTIONS(13748),
    [sym__pipe_right_operator] = ACTIONS(13748),
    [sym__pipe_left_operator] = ACTIONS(13748),
    [sym__ellipsis_operator] = ACTIONS(13748),
    [sym__plus_operator] = ACTIONS(13748),
    [sym__times_operator] = ACTIONS(13748),
    [sym__rational_operator] = ACTIONS(13748),
    [sym__bitshift_operator] = ACTIONS(13748),
    [sym__power_operator] = ACTIONS(13748),
    [sym__tilde_operator] = ACTIONS(13748),
    [sym__type_order_operator] = ACTIONS(13748),
    [sym__unary_operator] = ACTIONS(13748),
    [sym__unary_plus_operator] = ACTIONS(13748),
    [aux_sym__terminator_token1] = ACTIONS(13748),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13750),
    [sym__command_start] = ACTIONS(13750),
  },
  [8210] = {
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13242),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_catch] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13242),
    [anon_sym_isa] = ACTIONS(13242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13242),
    [anon_sym_QMARK] = ACTIONS(13242),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13242),
    [sym__lazy_or_operator] = ACTIONS(13242),
    [sym__lazy_and_operator] = ACTIONS(13242),
    [sym__comparison_operator] = ACTIONS(13242),
    [sym__pipe_right_operator] = ACTIONS(13242),
    [sym__pipe_left_operator] = ACTIONS(13242),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13242),
    [sym__times_operator] = ACTIONS(13242),
    [sym__rational_operator] = ACTIONS(13242),
    [sym__bitshift_operator] = ACTIONS(13242),
    [sym__power_operator] = ACTIONS(13242),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13242),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13242),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8211] = {
    [sym__word_identifier] = ACTIONS(13748),
    [anon_sym_EQ] = ACTIONS(13748),
    [anon_sym_COMMA] = ACTIONS(13750),
    [anon_sym_COLON] = ACTIONS(13748),
    [anon_sym_begin] = ACTIONS(13748),
    [anon_sym_module] = ACTIONS(13748),
    [anon_sym_baremodule] = ACTIONS(13748),
    [anon_sym_abstract] = ACTIONS(13748),
    [anon_sym_primitive] = ACTIONS(13748),
    [anon_sym_mutable] = ACTIONS(13748),
    [anon_sym_struct] = ACTIONS(13748),
    [anon_sym_function] = ACTIONS(13748),
    [anon_sym_macro] = ACTIONS(13748),
    [anon_sym_where] = ACTIONS(13748),
    [anon_sym_quote] = ACTIONS(13748),
    [anon_sym_let] = ACTIONS(13748),
    [anon_sym_if] = ACTIONS(13748),
    [anon_sym_try] = ACTIONS(13748),
    [anon_sym_for] = ACTIONS(13748),
    [anon_sym_while] = ACTIONS(13748),
    [sym_break_statement] = ACTIONS(13748),
    [sym_continue_statement] = ACTIONS(13748),
    [anon_sym_return] = ACTIONS(13748),
    [anon_sym_const] = ACTIONS(13748),
    [anon_sym_global] = ACTIONS(13748),
    [anon_sym_local] = ACTIONS(13748),
    [anon_sym_LPAREN] = ACTIONS(13750),
    [anon_sym_RPAREN] = ACTIONS(13750),
    [anon_sym_COLON2] = ACTIONS(13748),
    [anon_sym_export] = ACTIONS(13748),
    [anon_sym_import] = ACTIONS(13748),
    [anon_sym_using] = ACTIONS(13748),
    [anon_sym_LBRACK] = ACTIONS(13750),
    [anon_sym_RBRACK] = ACTIONS(13750),
    [anon_sym_in] = ACTIONS(13748),
    [anon_sym_SEMI] = ACTIONS(13750),
    [anon_sym_LBRACE] = ACTIONS(13750),
    [anon_sym_RBRACE] = ACTIONS(13750),
    [anon_sym_DOLLAR] = ACTIONS(13750),
    [anon_sym_COLON_COLON] = ACTIONS(13750),
    [anon_sym_isa] = ACTIONS(13748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13750),
    [anon_sym_QMARK] = ACTIONS(13750),
    [anon_sym_AT] = ACTIONS(13750),
    [anon_sym_true] = ACTIONS(13748),
    [anon_sym_false] = ACTIONS(13748),
    [aux_sym_integer_literal_token1] = ACTIONS(13750),
    [aux_sym_integer_literal_token2] = ACTIONS(13750),
    [aux_sym_integer_literal_token3] = ACTIONS(13748),
    [aux_sym_integer_literal_token4] = ACTIONS(13748),
    [aux_sym_float_literal_token1] = ACTIONS(13750),
    [aux_sym_float_literal_token3] = ACTIONS(13750),
    [aux_sym_float_literal_token4] = ACTIONS(13750),
    [sym_character_literal] = ACTIONS(13750),
    [sym__pair_operator] = ACTIONS(13750),
    [sym__arrow_operator] = ACTIONS(13748),
    [sym__lazy_or_operator] = ACTIONS(13750),
    [sym__lazy_and_operator] = ACTIONS(13750),
    [sym__comparison_operator] = ACTIONS(13748),
    [sym__pipe_right_operator] = ACTIONS(13750),
    [sym__pipe_left_operator] = ACTIONS(13750),
    [sym__ellipsis_operator] = ACTIONS(13748),
    [sym__plus_operator] = ACTIONS(13748),
    [sym__times_operator] = ACTIONS(13748),
    [sym__rational_operator] = ACTIONS(13750),
    [sym__bitshift_operator] = ACTIONS(13750),
    [sym__power_operator] = ACTIONS(13750),
    [sym__tilde_operator] = ACTIONS(13750),
    [sym__type_order_operator] = ACTIONS(13750),
    [sym__unary_operator] = ACTIONS(13748),
    [sym__unary_plus_operator] = ACTIONS(13748),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13750),
    [sym__command_start] = ACTIONS(13750),
  },
  [8212] = {
    [sym__word_identifier] = ACTIONS(14037),
    [anon_sym_EQ] = ACTIONS(14037),
    [anon_sym_COMMA] = ACTIONS(14037),
    [anon_sym_COLON] = ACTIONS(14037),
    [anon_sym_begin] = ACTIONS(14037),
    [anon_sym_module] = ACTIONS(14037),
    [anon_sym_baremodule] = ACTIONS(14037),
    [anon_sym_end] = ACTIONS(14037),
    [anon_sym_abstract] = ACTIONS(14037),
    [anon_sym_primitive] = ACTIONS(14037),
    [anon_sym_mutable] = ACTIONS(14037),
    [anon_sym_struct] = ACTIONS(14037),
    [anon_sym_function] = ACTIONS(14037),
    [anon_sym_macro] = ACTIONS(14037),
    [anon_sym_where] = ACTIONS(14037),
    [anon_sym_quote] = ACTIONS(14037),
    [anon_sym_let] = ACTIONS(14037),
    [anon_sym_if] = ACTIONS(14037),
    [anon_sym_try] = ACTIONS(14037),
    [anon_sym_catch] = ACTIONS(14037),
    [anon_sym_for] = ACTIONS(14037),
    [anon_sym_while] = ACTIONS(14037),
    [sym_break_statement] = ACTIONS(14037),
    [sym_continue_statement] = ACTIONS(14037),
    [anon_sym_return] = ACTIONS(14037),
    [anon_sym_const] = ACTIONS(14037),
    [anon_sym_global] = ACTIONS(14037),
    [anon_sym_local] = ACTIONS(14037),
    [anon_sym_LPAREN] = ACTIONS(14037),
    [anon_sym_COLON2] = ACTIONS(14037),
    [anon_sym_export] = ACTIONS(14037),
    [anon_sym_import] = ACTIONS(14037),
    [anon_sym_using] = ACTIONS(14037),
    [anon_sym_LBRACK] = ACTIONS(14037),
    [anon_sym_LF] = ACTIONS(14035),
    [anon_sym_in] = ACTIONS(14037),
    [anon_sym_LBRACE] = ACTIONS(14037),
    [anon_sym_DOLLAR] = ACTIONS(14037),
    [anon_sym_COLON_COLON] = ACTIONS(14037),
    [anon_sym_isa] = ACTIONS(14037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14037),
    [anon_sym_QMARK] = ACTIONS(14037),
    [anon_sym_AT] = ACTIONS(14037),
    [anon_sym_true] = ACTIONS(14037),
    [anon_sym_false] = ACTIONS(14037),
    [aux_sym_integer_literal_token1] = ACTIONS(14037),
    [aux_sym_integer_literal_token2] = ACTIONS(14037),
    [aux_sym_integer_literal_token3] = ACTIONS(14037),
    [aux_sym_integer_literal_token4] = ACTIONS(14037),
    [aux_sym_float_literal_token1] = ACTIONS(14037),
    [aux_sym_float_literal_token3] = ACTIONS(14037),
    [aux_sym_float_literal_token4] = ACTIONS(14037),
    [sym_character_literal] = ACTIONS(14037),
    [sym__pair_operator] = ACTIONS(14037),
    [sym__arrow_operator] = ACTIONS(14037),
    [sym__lazy_or_operator] = ACTIONS(14037),
    [sym__lazy_and_operator] = ACTIONS(14037),
    [sym__comparison_operator] = ACTIONS(14037),
    [sym__pipe_right_operator] = ACTIONS(14037),
    [sym__pipe_left_operator] = ACTIONS(14037),
    [sym__ellipsis_operator] = ACTIONS(14037),
    [sym__plus_operator] = ACTIONS(14037),
    [sym__times_operator] = ACTIONS(14037),
    [sym__rational_operator] = ACTIONS(14037),
    [sym__bitshift_operator] = ACTIONS(14037),
    [sym__power_operator] = ACTIONS(14037),
    [sym__tilde_operator] = ACTIONS(14037),
    [sym__type_order_operator] = ACTIONS(14037),
    [sym__unary_operator] = ACTIONS(14037),
    [sym__unary_plus_operator] = ACTIONS(14037),
    [aux_sym__terminator_token1] = ACTIONS(14037),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14035),
    [sym__command_start] = ACTIONS(14035),
  },
  [8213] = {
    [sym__word_identifier] = ACTIONS(13540),
    [anon_sym_EQ] = ACTIONS(13540),
    [anon_sym_COMMA] = ACTIONS(13540),
    [anon_sym_COLON] = ACTIONS(13540),
    [anon_sym_begin] = ACTIONS(13540),
    [anon_sym_module] = ACTIONS(13540),
    [anon_sym_baremodule] = ACTIONS(13540),
    [anon_sym_end] = ACTIONS(13540),
    [anon_sym_abstract] = ACTIONS(13540),
    [anon_sym_primitive] = ACTIONS(13540),
    [anon_sym_mutable] = ACTIONS(13540),
    [anon_sym_struct] = ACTIONS(13540),
    [anon_sym_function] = ACTIONS(13540),
    [anon_sym_macro] = ACTIONS(13540),
    [anon_sym_where] = ACTIONS(13540),
    [anon_sym_quote] = ACTIONS(13540),
    [anon_sym_let] = ACTIONS(13540),
    [anon_sym_if] = ACTIONS(13540),
    [anon_sym_try] = ACTIONS(13540),
    [anon_sym_catch] = ACTIONS(13540),
    [anon_sym_for] = ACTIONS(13540),
    [anon_sym_while] = ACTIONS(13540),
    [sym_break_statement] = ACTIONS(13540),
    [sym_continue_statement] = ACTIONS(13540),
    [anon_sym_return] = ACTIONS(13540),
    [anon_sym_const] = ACTIONS(13540),
    [anon_sym_global] = ACTIONS(13540),
    [anon_sym_local] = ACTIONS(13540),
    [anon_sym_LPAREN] = ACTIONS(13540),
    [anon_sym_COLON2] = ACTIONS(13540),
    [anon_sym_export] = ACTIONS(13540),
    [anon_sym_import] = ACTIONS(13540),
    [anon_sym_using] = ACTIONS(13540),
    [anon_sym_LBRACK] = ACTIONS(13540),
    [anon_sym_LF] = ACTIONS(13542),
    [anon_sym_in] = ACTIONS(13540),
    [anon_sym_LBRACE] = ACTIONS(13540),
    [anon_sym_DOLLAR] = ACTIONS(13540),
    [anon_sym_COLON_COLON] = ACTIONS(13540),
    [anon_sym_isa] = ACTIONS(13540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13540),
    [anon_sym_QMARK] = ACTIONS(13540),
    [anon_sym_AT] = ACTIONS(13540),
    [anon_sym_true] = ACTIONS(13540),
    [anon_sym_false] = ACTIONS(13540),
    [aux_sym_integer_literal_token1] = ACTIONS(13540),
    [aux_sym_integer_literal_token2] = ACTIONS(13540),
    [aux_sym_integer_literal_token3] = ACTIONS(13540),
    [aux_sym_integer_literal_token4] = ACTIONS(13540),
    [aux_sym_float_literal_token1] = ACTIONS(13540),
    [aux_sym_float_literal_token3] = ACTIONS(13540),
    [aux_sym_float_literal_token4] = ACTIONS(13540),
    [sym_character_literal] = ACTIONS(13540),
    [sym__pair_operator] = ACTIONS(13540),
    [sym__arrow_operator] = ACTIONS(13540),
    [sym__lazy_or_operator] = ACTIONS(13540),
    [sym__lazy_and_operator] = ACTIONS(13540),
    [sym__comparison_operator] = ACTIONS(13540),
    [sym__pipe_right_operator] = ACTIONS(13540),
    [sym__pipe_left_operator] = ACTIONS(13540),
    [sym__ellipsis_operator] = ACTIONS(13540),
    [sym__plus_operator] = ACTIONS(13540),
    [sym__times_operator] = ACTIONS(13540),
    [sym__rational_operator] = ACTIONS(13540),
    [sym__bitshift_operator] = ACTIONS(13540),
    [sym__power_operator] = ACTIONS(13540),
    [sym__tilde_operator] = ACTIONS(13540),
    [sym__type_order_operator] = ACTIONS(13540),
    [sym__unary_operator] = ACTIONS(13540),
    [sym__unary_plus_operator] = ACTIONS(13540),
    [aux_sym__terminator_token1] = ACTIONS(13540),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13542),
    [sym__command_start] = ACTIONS(13542),
  },
  [8214] = {
    [sym__word_identifier] = ACTIONS(13522),
    [anon_sym_EQ] = ACTIONS(13522),
    [anon_sym_COMMA] = ACTIONS(13522),
    [anon_sym_COLON] = ACTIONS(13522),
    [anon_sym_begin] = ACTIONS(13522),
    [anon_sym_module] = ACTIONS(13522),
    [anon_sym_baremodule] = ACTIONS(13522),
    [anon_sym_end] = ACTIONS(13522),
    [anon_sym_abstract] = ACTIONS(13522),
    [anon_sym_primitive] = ACTIONS(13522),
    [anon_sym_mutable] = ACTIONS(13522),
    [anon_sym_struct] = ACTIONS(13522),
    [anon_sym_function] = ACTIONS(13522),
    [anon_sym_macro] = ACTIONS(13522),
    [anon_sym_where] = ACTIONS(13522),
    [anon_sym_quote] = ACTIONS(13522),
    [anon_sym_let] = ACTIONS(13522),
    [anon_sym_if] = ACTIONS(13522),
    [anon_sym_try] = ACTIONS(13522),
    [anon_sym_catch] = ACTIONS(13522),
    [anon_sym_for] = ACTIONS(13522),
    [anon_sym_while] = ACTIONS(13522),
    [sym_break_statement] = ACTIONS(13522),
    [sym_continue_statement] = ACTIONS(13522),
    [anon_sym_return] = ACTIONS(13522),
    [anon_sym_const] = ACTIONS(13522),
    [anon_sym_global] = ACTIONS(13522),
    [anon_sym_local] = ACTIONS(13522),
    [anon_sym_LPAREN] = ACTIONS(13522),
    [anon_sym_COLON2] = ACTIONS(13522),
    [anon_sym_export] = ACTIONS(13522),
    [anon_sym_import] = ACTIONS(13522),
    [anon_sym_using] = ACTIONS(13522),
    [anon_sym_LBRACK] = ACTIONS(13522),
    [anon_sym_LF] = ACTIONS(13524),
    [anon_sym_in] = ACTIONS(13522),
    [anon_sym_LBRACE] = ACTIONS(13522),
    [anon_sym_DOLLAR] = ACTIONS(13522),
    [anon_sym_COLON_COLON] = ACTIONS(13522),
    [anon_sym_isa] = ACTIONS(13522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13522),
    [anon_sym_QMARK] = ACTIONS(13522),
    [anon_sym_AT] = ACTIONS(13522),
    [anon_sym_true] = ACTIONS(13522),
    [anon_sym_false] = ACTIONS(13522),
    [aux_sym_integer_literal_token1] = ACTIONS(13522),
    [aux_sym_integer_literal_token2] = ACTIONS(13522),
    [aux_sym_integer_literal_token3] = ACTIONS(13522),
    [aux_sym_integer_literal_token4] = ACTIONS(13522),
    [aux_sym_float_literal_token1] = ACTIONS(13522),
    [aux_sym_float_literal_token3] = ACTIONS(13522),
    [aux_sym_float_literal_token4] = ACTIONS(13522),
    [sym_character_literal] = ACTIONS(13522),
    [sym__pair_operator] = ACTIONS(13522),
    [sym__arrow_operator] = ACTIONS(13522),
    [sym__lazy_or_operator] = ACTIONS(13522),
    [sym__lazy_and_operator] = ACTIONS(13522),
    [sym__comparison_operator] = ACTIONS(13522),
    [sym__pipe_right_operator] = ACTIONS(13522),
    [sym__pipe_left_operator] = ACTIONS(13522),
    [sym__ellipsis_operator] = ACTIONS(13522),
    [sym__plus_operator] = ACTIONS(13522),
    [sym__times_operator] = ACTIONS(13522),
    [sym__rational_operator] = ACTIONS(13522),
    [sym__bitshift_operator] = ACTIONS(13522),
    [sym__power_operator] = ACTIONS(13522),
    [sym__tilde_operator] = ACTIONS(13522),
    [sym__type_order_operator] = ACTIONS(13522),
    [sym__unary_operator] = ACTIONS(13522),
    [sym__unary_plus_operator] = ACTIONS(13522),
    [aux_sym__terminator_token1] = ACTIONS(13522),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13524),
    [sym__command_start] = ACTIONS(13524),
  },
  [8215] = {
    [sym__word_identifier] = ACTIONS(13508),
    [anon_sym_EQ] = ACTIONS(13508),
    [anon_sym_COMMA] = ACTIONS(13508),
    [anon_sym_COLON] = ACTIONS(13508),
    [anon_sym_begin] = ACTIONS(13508),
    [anon_sym_module] = ACTIONS(13508),
    [anon_sym_baremodule] = ACTIONS(13508),
    [anon_sym_end] = ACTIONS(13508),
    [anon_sym_abstract] = ACTIONS(13508),
    [anon_sym_primitive] = ACTIONS(13508),
    [anon_sym_mutable] = ACTIONS(13508),
    [anon_sym_struct] = ACTIONS(13508),
    [anon_sym_function] = ACTIONS(13508),
    [anon_sym_macro] = ACTIONS(13508),
    [anon_sym_where] = ACTIONS(13508),
    [anon_sym_quote] = ACTIONS(13508),
    [anon_sym_let] = ACTIONS(13508),
    [anon_sym_if] = ACTIONS(13508),
    [anon_sym_try] = ACTIONS(13508),
    [anon_sym_catch] = ACTIONS(13508),
    [anon_sym_for] = ACTIONS(13508),
    [anon_sym_while] = ACTIONS(13508),
    [sym_break_statement] = ACTIONS(13508),
    [sym_continue_statement] = ACTIONS(13508),
    [anon_sym_return] = ACTIONS(13508),
    [anon_sym_const] = ACTIONS(13508),
    [anon_sym_global] = ACTIONS(13508),
    [anon_sym_local] = ACTIONS(13508),
    [anon_sym_LPAREN] = ACTIONS(13508),
    [anon_sym_COLON2] = ACTIONS(13508),
    [anon_sym_export] = ACTIONS(13508),
    [anon_sym_import] = ACTIONS(13508),
    [anon_sym_using] = ACTIONS(13508),
    [anon_sym_LBRACK] = ACTIONS(13508),
    [anon_sym_LF] = ACTIONS(13510),
    [anon_sym_in] = ACTIONS(13508),
    [anon_sym_LBRACE] = ACTIONS(13508),
    [anon_sym_DOLLAR] = ACTIONS(13508),
    [anon_sym_COLON_COLON] = ACTIONS(13508),
    [anon_sym_isa] = ACTIONS(13508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13508),
    [anon_sym_QMARK] = ACTIONS(13508),
    [anon_sym_AT] = ACTIONS(13508),
    [anon_sym_true] = ACTIONS(13508),
    [anon_sym_false] = ACTIONS(13508),
    [aux_sym_integer_literal_token1] = ACTIONS(13508),
    [aux_sym_integer_literal_token2] = ACTIONS(13508),
    [aux_sym_integer_literal_token3] = ACTIONS(13508),
    [aux_sym_integer_literal_token4] = ACTIONS(13508),
    [aux_sym_float_literal_token1] = ACTIONS(13508),
    [aux_sym_float_literal_token3] = ACTIONS(13508),
    [aux_sym_float_literal_token4] = ACTIONS(13508),
    [sym_character_literal] = ACTIONS(13508),
    [sym__pair_operator] = ACTIONS(13508),
    [sym__arrow_operator] = ACTIONS(13508),
    [sym__lazy_or_operator] = ACTIONS(13508),
    [sym__lazy_and_operator] = ACTIONS(13508),
    [sym__comparison_operator] = ACTIONS(13508),
    [sym__pipe_right_operator] = ACTIONS(13508),
    [sym__pipe_left_operator] = ACTIONS(13508),
    [sym__ellipsis_operator] = ACTIONS(13508),
    [sym__plus_operator] = ACTIONS(13508),
    [sym__times_operator] = ACTIONS(13508),
    [sym__rational_operator] = ACTIONS(13508),
    [sym__bitshift_operator] = ACTIONS(13508),
    [sym__power_operator] = ACTIONS(13508),
    [sym__tilde_operator] = ACTIONS(13508),
    [sym__type_order_operator] = ACTIONS(13508),
    [sym__unary_operator] = ACTIONS(13508),
    [sym__unary_plus_operator] = ACTIONS(13508),
    [aux_sym__terminator_token1] = ACTIONS(13508),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13510),
    [sym__command_start] = ACTIONS(13510),
  },
  [8216] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(14527),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_elseif] = ACTIONS(13969),
    [anon_sym_else] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(14529),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(14531),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(14531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13588),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(14533),
    [sym__arrow_operator] = ACTIONS(14535),
    [sym__lazy_or_operator] = ACTIONS(14537),
    [sym__lazy_and_operator] = ACTIONS(14539),
    [sym__comparison_operator] = ACTIONS(14531),
    [sym__pipe_right_operator] = ACTIONS(14541),
    [sym__pipe_left_operator] = ACTIONS(14543),
    [sym__ellipsis_operator] = ACTIONS(14545),
    [sym__plus_operator] = ACTIONS(14547),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(14531),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14547),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [8217] = {
    [sym__word_identifier] = ACTIONS(13484),
    [anon_sym_EQ] = ACTIONS(13484),
    [anon_sym_COMMA] = ACTIONS(13484),
    [anon_sym_COLON] = ACTIONS(13484),
    [anon_sym_begin] = ACTIONS(13484),
    [anon_sym_module] = ACTIONS(13484),
    [anon_sym_baremodule] = ACTIONS(13484),
    [anon_sym_end] = ACTIONS(13484),
    [anon_sym_abstract] = ACTIONS(13484),
    [anon_sym_primitive] = ACTIONS(13484),
    [anon_sym_mutable] = ACTIONS(13484),
    [anon_sym_struct] = ACTIONS(13484),
    [anon_sym_function] = ACTIONS(13484),
    [anon_sym_macro] = ACTIONS(13484),
    [anon_sym_where] = ACTIONS(13484),
    [anon_sym_quote] = ACTIONS(13484),
    [anon_sym_let] = ACTIONS(13484),
    [anon_sym_if] = ACTIONS(13484),
    [anon_sym_try] = ACTIONS(13484),
    [anon_sym_catch] = ACTIONS(13484),
    [anon_sym_for] = ACTIONS(13484),
    [anon_sym_while] = ACTIONS(13484),
    [sym_break_statement] = ACTIONS(13484),
    [sym_continue_statement] = ACTIONS(13484),
    [anon_sym_return] = ACTIONS(13484),
    [anon_sym_const] = ACTIONS(13484),
    [anon_sym_global] = ACTIONS(13484),
    [anon_sym_local] = ACTIONS(13484),
    [anon_sym_LPAREN] = ACTIONS(13484),
    [anon_sym_COLON2] = ACTIONS(13484),
    [anon_sym_export] = ACTIONS(13484),
    [anon_sym_import] = ACTIONS(13484),
    [anon_sym_using] = ACTIONS(13484),
    [anon_sym_LBRACK] = ACTIONS(13484),
    [anon_sym_LF] = ACTIONS(13486),
    [anon_sym_in] = ACTIONS(13484),
    [anon_sym_LBRACE] = ACTIONS(13484),
    [anon_sym_DOLLAR] = ACTIONS(13484),
    [anon_sym_COLON_COLON] = ACTIONS(13484),
    [anon_sym_isa] = ACTIONS(13484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13484),
    [anon_sym_QMARK] = ACTIONS(13484),
    [anon_sym_AT] = ACTIONS(13484),
    [anon_sym_true] = ACTIONS(13484),
    [anon_sym_false] = ACTIONS(13484),
    [aux_sym_integer_literal_token1] = ACTIONS(13484),
    [aux_sym_integer_literal_token2] = ACTIONS(13484),
    [aux_sym_integer_literal_token3] = ACTIONS(13484),
    [aux_sym_integer_literal_token4] = ACTIONS(13484),
    [aux_sym_float_literal_token1] = ACTIONS(13484),
    [aux_sym_float_literal_token3] = ACTIONS(13484),
    [aux_sym_float_literal_token4] = ACTIONS(13484),
    [sym_character_literal] = ACTIONS(13484),
    [sym__pair_operator] = ACTIONS(13484),
    [sym__arrow_operator] = ACTIONS(13484),
    [sym__lazy_or_operator] = ACTIONS(13484),
    [sym__lazy_and_operator] = ACTIONS(13484),
    [sym__comparison_operator] = ACTIONS(13484),
    [sym__pipe_right_operator] = ACTIONS(13484),
    [sym__pipe_left_operator] = ACTIONS(13484),
    [sym__ellipsis_operator] = ACTIONS(13484),
    [sym__plus_operator] = ACTIONS(13484),
    [sym__times_operator] = ACTIONS(13484),
    [sym__rational_operator] = ACTIONS(13484),
    [sym__bitshift_operator] = ACTIONS(13484),
    [sym__power_operator] = ACTIONS(13484),
    [sym__tilde_operator] = ACTIONS(13484),
    [sym__type_order_operator] = ACTIONS(13484),
    [sym__unary_operator] = ACTIONS(13484),
    [sym__unary_plus_operator] = ACTIONS(13484),
    [aux_sym__terminator_token1] = ACTIONS(13484),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13486),
    [sym__command_start] = ACTIONS(13486),
  },
  [8218] = {
    [sym__word_identifier] = ACTIONS(13480),
    [anon_sym_EQ] = ACTIONS(13480),
    [anon_sym_COMMA] = ACTIONS(13480),
    [anon_sym_COLON] = ACTIONS(13480),
    [anon_sym_begin] = ACTIONS(13480),
    [anon_sym_module] = ACTIONS(13480),
    [anon_sym_baremodule] = ACTIONS(13480),
    [anon_sym_end] = ACTIONS(13480),
    [anon_sym_abstract] = ACTIONS(13480),
    [anon_sym_primitive] = ACTIONS(13480),
    [anon_sym_mutable] = ACTIONS(13480),
    [anon_sym_struct] = ACTIONS(13480),
    [anon_sym_function] = ACTIONS(13480),
    [anon_sym_macro] = ACTIONS(13480),
    [anon_sym_where] = ACTIONS(13480),
    [anon_sym_quote] = ACTIONS(13480),
    [anon_sym_let] = ACTIONS(13480),
    [anon_sym_if] = ACTIONS(13480),
    [anon_sym_try] = ACTIONS(13480),
    [anon_sym_catch] = ACTIONS(13480),
    [anon_sym_for] = ACTIONS(13480),
    [anon_sym_while] = ACTIONS(13480),
    [sym_break_statement] = ACTIONS(13480),
    [sym_continue_statement] = ACTIONS(13480),
    [anon_sym_return] = ACTIONS(13480),
    [anon_sym_const] = ACTIONS(13480),
    [anon_sym_global] = ACTIONS(13480),
    [anon_sym_local] = ACTIONS(13480),
    [anon_sym_LPAREN] = ACTIONS(13480),
    [anon_sym_COLON2] = ACTIONS(13480),
    [anon_sym_export] = ACTIONS(13480),
    [anon_sym_import] = ACTIONS(13480),
    [anon_sym_using] = ACTIONS(13480),
    [anon_sym_LBRACK] = ACTIONS(13480),
    [anon_sym_LF] = ACTIONS(13482),
    [anon_sym_in] = ACTIONS(13480),
    [anon_sym_LBRACE] = ACTIONS(13480),
    [anon_sym_DOLLAR] = ACTIONS(13480),
    [anon_sym_COLON_COLON] = ACTIONS(13480),
    [anon_sym_isa] = ACTIONS(13480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_QMARK] = ACTIONS(13480),
    [anon_sym_AT] = ACTIONS(13480),
    [anon_sym_true] = ACTIONS(13480),
    [anon_sym_false] = ACTIONS(13480),
    [aux_sym_integer_literal_token1] = ACTIONS(13480),
    [aux_sym_integer_literal_token2] = ACTIONS(13480),
    [aux_sym_integer_literal_token3] = ACTIONS(13480),
    [aux_sym_integer_literal_token4] = ACTIONS(13480),
    [aux_sym_float_literal_token1] = ACTIONS(13480),
    [aux_sym_float_literal_token3] = ACTIONS(13480),
    [aux_sym_float_literal_token4] = ACTIONS(13480),
    [sym_character_literal] = ACTIONS(13480),
    [sym__pair_operator] = ACTIONS(13480),
    [sym__arrow_operator] = ACTIONS(13480),
    [sym__lazy_or_operator] = ACTIONS(13480),
    [sym__lazy_and_operator] = ACTIONS(13480),
    [sym__comparison_operator] = ACTIONS(13480),
    [sym__pipe_right_operator] = ACTIONS(13480),
    [sym__pipe_left_operator] = ACTIONS(13480),
    [sym__ellipsis_operator] = ACTIONS(13480),
    [sym__plus_operator] = ACTIONS(13480),
    [sym__times_operator] = ACTIONS(13480),
    [sym__rational_operator] = ACTIONS(13480),
    [sym__bitshift_operator] = ACTIONS(13480),
    [sym__power_operator] = ACTIONS(13480),
    [sym__tilde_operator] = ACTIONS(13480),
    [sym__type_order_operator] = ACTIONS(13480),
    [sym__unary_operator] = ACTIONS(13480),
    [sym__unary_plus_operator] = ACTIONS(13480),
    [aux_sym__terminator_token1] = ACTIONS(13480),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13482),
    [sym__command_start] = ACTIONS(13482),
  },
  [8219] = {
    [sym__word_identifier] = ACTIONS(13412),
    [anon_sym_EQ] = ACTIONS(13412),
    [anon_sym_COMMA] = ACTIONS(13412),
    [anon_sym_COLON] = ACTIONS(13412),
    [anon_sym_begin] = ACTIONS(13412),
    [anon_sym_module] = ACTIONS(13412),
    [anon_sym_baremodule] = ACTIONS(13412),
    [anon_sym_end] = ACTIONS(13412),
    [anon_sym_abstract] = ACTIONS(13412),
    [anon_sym_primitive] = ACTIONS(13412),
    [anon_sym_mutable] = ACTIONS(13412),
    [anon_sym_struct] = ACTIONS(13412),
    [anon_sym_function] = ACTIONS(13412),
    [anon_sym_macro] = ACTIONS(13412),
    [anon_sym_where] = ACTIONS(13412),
    [anon_sym_quote] = ACTIONS(13412),
    [anon_sym_let] = ACTIONS(13412),
    [anon_sym_if] = ACTIONS(13412),
    [anon_sym_try] = ACTIONS(13412),
    [anon_sym_catch] = ACTIONS(13412),
    [anon_sym_for] = ACTIONS(13412),
    [anon_sym_while] = ACTIONS(13412),
    [sym_break_statement] = ACTIONS(13412),
    [sym_continue_statement] = ACTIONS(13412),
    [anon_sym_return] = ACTIONS(13412),
    [anon_sym_const] = ACTIONS(13412),
    [anon_sym_global] = ACTIONS(13412),
    [anon_sym_local] = ACTIONS(13412),
    [anon_sym_LPAREN] = ACTIONS(13412),
    [anon_sym_COLON2] = ACTIONS(13412),
    [anon_sym_export] = ACTIONS(13412),
    [anon_sym_import] = ACTIONS(13412),
    [anon_sym_using] = ACTIONS(13412),
    [anon_sym_LBRACK] = ACTIONS(13412),
    [anon_sym_LF] = ACTIONS(13414),
    [anon_sym_in] = ACTIONS(13412),
    [anon_sym_LBRACE] = ACTIONS(13412),
    [anon_sym_DOLLAR] = ACTIONS(13412),
    [anon_sym_COLON_COLON] = ACTIONS(13412),
    [anon_sym_isa] = ACTIONS(13412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13412),
    [anon_sym_QMARK] = ACTIONS(13412),
    [anon_sym_AT] = ACTIONS(13412),
    [anon_sym_true] = ACTIONS(13412),
    [anon_sym_false] = ACTIONS(13412),
    [aux_sym_integer_literal_token1] = ACTIONS(13412),
    [aux_sym_integer_literal_token2] = ACTIONS(13412),
    [aux_sym_integer_literal_token3] = ACTIONS(13412),
    [aux_sym_integer_literal_token4] = ACTIONS(13412),
    [aux_sym_float_literal_token1] = ACTIONS(13412),
    [aux_sym_float_literal_token3] = ACTIONS(13412),
    [aux_sym_float_literal_token4] = ACTIONS(13412),
    [sym_character_literal] = ACTIONS(13412),
    [sym__pair_operator] = ACTIONS(13412),
    [sym__arrow_operator] = ACTIONS(13412),
    [sym__lazy_or_operator] = ACTIONS(13412),
    [sym__lazy_and_operator] = ACTIONS(13412),
    [sym__comparison_operator] = ACTIONS(13412),
    [sym__pipe_right_operator] = ACTIONS(13412),
    [sym__pipe_left_operator] = ACTIONS(13412),
    [sym__ellipsis_operator] = ACTIONS(13412),
    [sym__plus_operator] = ACTIONS(13412),
    [sym__times_operator] = ACTIONS(13412),
    [sym__rational_operator] = ACTIONS(13412),
    [sym__bitshift_operator] = ACTIONS(13412),
    [sym__power_operator] = ACTIONS(13412),
    [sym__tilde_operator] = ACTIONS(13412),
    [sym__type_order_operator] = ACTIONS(13412),
    [sym__unary_operator] = ACTIONS(13412),
    [sym__unary_plus_operator] = ACTIONS(13412),
    [aux_sym__terminator_token1] = ACTIONS(13412),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13414),
    [sym__command_start] = ACTIONS(13414),
  },
  [8220] = {
    [sym__word_identifier] = ACTIONS(13408),
    [anon_sym_EQ] = ACTIONS(13408),
    [anon_sym_COMMA] = ACTIONS(13408),
    [anon_sym_COLON] = ACTIONS(13408),
    [anon_sym_begin] = ACTIONS(13408),
    [anon_sym_module] = ACTIONS(13408),
    [anon_sym_baremodule] = ACTIONS(13408),
    [anon_sym_end] = ACTIONS(13408),
    [anon_sym_abstract] = ACTIONS(13408),
    [anon_sym_primitive] = ACTIONS(13408),
    [anon_sym_mutable] = ACTIONS(13408),
    [anon_sym_struct] = ACTIONS(13408),
    [anon_sym_function] = ACTIONS(13408),
    [anon_sym_macro] = ACTIONS(13408),
    [anon_sym_where] = ACTIONS(13408),
    [anon_sym_quote] = ACTIONS(13408),
    [anon_sym_let] = ACTIONS(13408),
    [anon_sym_if] = ACTIONS(13408),
    [anon_sym_try] = ACTIONS(13408),
    [anon_sym_catch] = ACTIONS(13408),
    [anon_sym_for] = ACTIONS(13408),
    [anon_sym_while] = ACTIONS(13408),
    [sym_break_statement] = ACTIONS(13408),
    [sym_continue_statement] = ACTIONS(13408),
    [anon_sym_return] = ACTIONS(13408),
    [anon_sym_const] = ACTIONS(13408),
    [anon_sym_global] = ACTIONS(13408),
    [anon_sym_local] = ACTIONS(13408),
    [anon_sym_LPAREN] = ACTIONS(13408),
    [anon_sym_COLON2] = ACTIONS(13408),
    [anon_sym_export] = ACTIONS(13408),
    [anon_sym_import] = ACTIONS(13408),
    [anon_sym_using] = ACTIONS(13408),
    [anon_sym_LBRACK] = ACTIONS(13408),
    [anon_sym_LF] = ACTIONS(13410),
    [anon_sym_in] = ACTIONS(13408),
    [anon_sym_LBRACE] = ACTIONS(13408),
    [anon_sym_DOLLAR] = ACTIONS(13408),
    [anon_sym_COLON_COLON] = ACTIONS(13408),
    [anon_sym_isa] = ACTIONS(13408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13408),
    [anon_sym_QMARK] = ACTIONS(13408),
    [anon_sym_AT] = ACTIONS(13408),
    [anon_sym_true] = ACTIONS(13408),
    [anon_sym_false] = ACTIONS(13408),
    [aux_sym_integer_literal_token1] = ACTIONS(13408),
    [aux_sym_integer_literal_token2] = ACTIONS(13408),
    [aux_sym_integer_literal_token3] = ACTIONS(13408),
    [aux_sym_integer_literal_token4] = ACTIONS(13408),
    [aux_sym_float_literal_token1] = ACTIONS(13408),
    [aux_sym_float_literal_token3] = ACTIONS(13408),
    [aux_sym_float_literal_token4] = ACTIONS(13408),
    [sym_character_literal] = ACTIONS(13408),
    [sym__pair_operator] = ACTIONS(13408),
    [sym__arrow_operator] = ACTIONS(13408),
    [sym__lazy_or_operator] = ACTIONS(13408),
    [sym__lazy_and_operator] = ACTIONS(13408),
    [sym__comparison_operator] = ACTIONS(13408),
    [sym__pipe_right_operator] = ACTIONS(13408),
    [sym__pipe_left_operator] = ACTIONS(13408),
    [sym__ellipsis_operator] = ACTIONS(13408),
    [sym__plus_operator] = ACTIONS(13408),
    [sym__times_operator] = ACTIONS(13408),
    [sym__rational_operator] = ACTIONS(13408),
    [sym__bitshift_operator] = ACTIONS(13408),
    [sym__power_operator] = ACTIONS(13408),
    [sym__tilde_operator] = ACTIONS(13408),
    [sym__type_order_operator] = ACTIONS(13408),
    [sym__unary_operator] = ACTIONS(13408),
    [sym__unary_plus_operator] = ACTIONS(13408),
    [aux_sym__terminator_token1] = ACTIONS(13408),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13410),
    [sym__command_start] = ACTIONS(13410),
  },
  [8221] = {
    [sym__word_identifier] = ACTIONS(13386),
    [anon_sym_EQ] = ACTIONS(13386),
    [anon_sym_COMMA] = ACTIONS(13386),
    [anon_sym_COLON] = ACTIONS(13386),
    [anon_sym_begin] = ACTIONS(13386),
    [anon_sym_module] = ACTIONS(13386),
    [anon_sym_baremodule] = ACTIONS(13386),
    [anon_sym_end] = ACTIONS(13386),
    [anon_sym_abstract] = ACTIONS(13386),
    [anon_sym_primitive] = ACTIONS(13386),
    [anon_sym_mutable] = ACTIONS(13386),
    [anon_sym_struct] = ACTIONS(13386),
    [anon_sym_function] = ACTIONS(13386),
    [anon_sym_macro] = ACTIONS(13386),
    [anon_sym_where] = ACTIONS(13386),
    [anon_sym_quote] = ACTIONS(13386),
    [anon_sym_let] = ACTIONS(13386),
    [anon_sym_if] = ACTIONS(13386),
    [anon_sym_try] = ACTIONS(13386),
    [anon_sym_catch] = ACTIONS(13386),
    [anon_sym_for] = ACTIONS(13386),
    [anon_sym_while] = ACTIONS(13386),
    [sym_break_statement] = ACTIONS(13386),
    [sym_continue_statement] = ACTIONS(13386),
    [anon_sym_return] = ACTIONS(13386),
    [anon_sym_const] = ACTIONS(13386),
    [anon_sym_global] = ACTIONS(13386),
    [anon_sym_local] = ACTIONS(13386),
    [anon_sym_LPAREN] = ACTIONS(13386),
    [anon_sym_COLON2] = ACTIONS(13386),
    [anon_sym_export] = ACTIONS(13386),
    [anon_sym_import] = ACTIONS(13386),
    [anon_sym_using] = ACTIONS(13386),
    [anon_sym_LBRACK] = ACTIONS(13386),
    [anon_sym_LF] = ACTIONS(13388),
    [anon_sym_in] = ACTIONS(13386),
    [anon_sym_LBRACE] = ACTIONS(13386),
    [anon_sym_DOLLAR] = ACTIONS(13386),
    [anon_sym_COLON_COLON] = ACTIONS(13386),
    [anon_sym_isa] = ACTIONS(13386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13386),
    [anon_sym_QMARK] = ACTIONS(13386),
    [anon_sym_AT] = ACTIONS(13386),
    [anon_sym_true] = ACTIONS(13386),
    [anon_sym_false] = ACTIONS(13386),
    [aux_sym_integer_literal_token1] = ACTIONS(13386),
    [aux_sym_integer_literal_token2] = ACTIONS(13386),
    [aux_sym_integer_literal_token3] = ACTIONS(13386),
    [aux_sym_integer_literal_token4] = ACTIONS(13386),
    [aux_sym_float_literal_token1] = ACTIONS(13386),
    [aux_sym_float_literal_token3] = ACTIONS(13386),
    [aux_sym_float_literal_token4] = ACTIONS(13386),
    [sym_character_literal] = ACTIONS(13386),
    [sym__pair_operator] = ACTIONS(13386),
    [sym__arrow_operator] = ACTIONS(13386),
    [sym__lazy_or_operator] = ACTIONS(13386),
    [sym__lazy_and_operator] = ACTIONS(13386),
    [sym__comparison_operator] = ACTIONS(13386),
    [sym__pipe_right_operator] = ACTIONS(13386),
    [sym__pipe_left_operator] = ACTIONS(13386),
    [sym__ellipsis_operator] = ACTIONS(13386),
    [sym__plus_operator] = ACTIONS(13386),
    [sym__times_operator] = ACTIONS(13386),
    [sym__rational_operator] = ACTIONS(13386),
    [sym__bitshift_operator] = ACTIONS(13386),
    [sym__power_operator] = ACTIONS(13386),
    [sym__tilde_operator] = ACTIONS(13386),
    [sym__type_order_operator] = ACTIONS(13386),
    [sym__unary_operator] = ACTIONS(13386),
    [sym__unary_plus_operator] = ACTIONS(13386),
    [aux_sym__terminator_token1] = ACTIONS(13386),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13388),
    [sym__command_start] = ACTIONS(13388),
  },
  [8222] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(12528),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_catch] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8223] = {
    [sym__word_identifier] = ACTIONS(13340),
    [anon_sym_EQ] = ACTIONS(13340),
    [anon_sym_COMMA] = ACTIONS(13340),
    [anon_sym_COLON] = ACTIONS(13340),
    [anon_sym_begin] = ACTIONS(13340),
    [anon_sym_module] = ACTIONS(13340),
    [anon_sym_baremodule] = ACTIONS(13340),
    [anon_sym_end] = ACTIONS(13340),
    [anon_sym_abstract] = ACTIONS(13340),
    [anon_sym_primitive] = ACTIONS(13340),
    [anon_sym_mutable] = ACTIONS(13340),
    [anon_sym_struct] = ACTIONS(13340),
    [anon_sym_function] = ACTIONS(13340),
    [anon_sym_macro] = ACTIONS(13340),
    [anon_sym_where] = ACTIONS(13340),
    [anon_sym_quote] = ACTIONS(13340),
    [anon_sym_let] = ACTIONS(13340),
    [anon_sym_if] = ACTIONS(13340),
    [anon_sym_try] = ACTIONS(13340),
    [anon_sym_catch] = ACTIONS(13340),
    [anon_sym_for] = ACTIONS(13340),
    [anon_sym_while] = ACTIONS(13340),
    [sym_break_statement] = ACTIONS(13340),
    [sym_continue_statement] = ACTIONS(13340),
    [anon_sym_return] = ACTIONS(13340),
    [anon_sym_const] = ACTIONS(13340),
    [anon_sym_global] = ACTIONS(13340),
    [anon_sym_local] = ACTIONS(13340),
    [anon_sym_LPAREN] = ACTIONS(13340),
    [anon_sym_COLON2] = ACTIONS(13340),
    [anon_sym_export] = ACTIONS(13340),
    [anon_sym_import] = ACTIONS(13340),
    [anon_sym_using] = ACTIONS(13340),
    [anon_sym_LBRACK] = ACTIONS(13340),
    [anon_sym_LF] = ACTIONS(13342),
    [anon_sym_in] = ACTIONS(13340),
    [anon_sym_LBRACE] = ACTIONS(13340),
    [anon_sym_DOLLAR] = ACTIONS(13340),
    [anon_sym_COLON_COLON] = ACTIONS(13340),
    [anon_sym_isa] = ACTIONS(13340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13340),
    [anon_sym_QMARK] = ACTIONS(13340),
    [anon_sym_AT] = ACTIONS(13340),
    [anon_sym_true] = ACTIONS(13340),
    [anon_sym_false] = ACTIONS(13340),
    [aux_sym_integer_literal_token1] = ACTIONS(13340),
    [aux_sym_integer_literal_token2] = ACTIONS(13340),
    [aux_sym_integer_literal_token3] = ACTIONS(13340),
    [aux_sym_integer_literal_token4] = ACTIONS(13340),
    [aux_sym_float_literal_token1] = ACTIONS(13340),
    [aux_sym_float_literal_token3] = ACTIONS(13340),
    [aux_sym_float_literal_token4] = ACTIONS(13340),
    [sym_character_literal] = ACTIONS(13340),
    [sym__pair_operator] = ACTIONS(13340),
    [sym__arrow_operator] = ACTIONS(13340),
    [sym__lazy_or_operator] = ACTIONS(13340),
    [sym__lazy_and_operator] = ACTIONS(13340),
    [sym__comparison_operator] = ACTIONS(13340),
    [sym__pipe_right_operator] = ACTIONS(13340),
    [sym__pipe_left_operator] = ACTIONS(13340),
    [sym__ellipsis_operator] = ACTIONS(13340),
    [sym__plus_operator] = ACTIONS(13340),
    [sym__times_operator] = ACTIONS(13340),
    [sym__rational_operator] = ACTIONS(13340),
    [sym__bitshift_operator] = ACTIONS(13340),
    [sym__power_operator] = ACTIONS(13340),
    [sym__tilde_operator] = ACTIONS(13340),
    [sym__type_order_operator] = ACTIONS(13340),
    [sym__unary_operator] = ACTIONS(13340),
    [sym__unary_plus_operator] = ACTIONS(13340),
    [aux_sym__terminator_token1] = ACTIONS(13340),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13342),
    [sym__command_start] = ACTIONS(13342),
  },
  [8224] = {
    [sym__word_identifier] = ACTIONS(13426),
    [anon_sym_EQ] = ACTIONS(13426),
    [anon_sym_COMMA] = ACTIONS(13426),
    [anon_sym_COLON] = ACTIONS(13426),
    [anon_sym_begin] = ACTIONS(13426),
    [anon_sym_module] = ACTIONS(13426),
    [anon_sym_baremodule] = ACTIONS(13426),
    [anon_sym_end] = ACTIONS(13426),
    [anon_sym_abstract] = ACTIONS(13426),
    [anon_sym_primitive] = ACTIONS(13426),
    [anon_sym_mutable] = ACTIONS(13426),
    [anon_sym_struct] = ACTIONS(13426),
    [anon_sym_function] = ACTIONS(13426),
    [anon_sym_macro] = ACTIONS(13426),
    [anon_sym_where] = ACTIONS(13426),
    [anon_sym_quote] = ACTIONS(13426),
    [anon_sym_let] = ACTIONS(13426),
    [anon_sym_if] = ACTIONS(13426),
    [anon_sym_try] = ACTIONS(13426),
    [anon_sym_catch] = ACTIONS(13426),
    [anon_sym_for] = ACTIONS(13426),
    [anon_sym_while] = ACTIONS(13426),
    [sym_break_statement] = ACTIONS(13426),
    [sym_continue_statement] = ACTIONS(13426),
    [anon_sym_return] = ACTIONS(13426),
    [anon_sym_const] = ACTIONS(13426),
    [anon_sym_global] = ACTIONS(13426),
    [anon_sym_local] = ACTIONS(13426),
    [anon_sym_LPAREN] = ACTIONS(13426),
    [anon_sym_COLON2] = ACTIONS(13426),
    [anon_sym_export] = ACTIONS(13426),
    [anon_sym_import] = ACTIONS(13426),
    [anon_sym_using] = ACTIONS(13426),
    [anon_sym_LBRACK] = ACTIONS(13426),
    [anon_sym_LF] = ACTIONS(13428),
    [anon_sym_in] = ACTIONS(13426),
    [anon_sym_LBRACE] = ACTIONS(13426),
    [anon_sym_DOLLAR] = ACTIONS(13426),
    [anon_sym_COLON_COLON] = ACTIONS(13426),
    [anon_sym_isa] = ACTIONS(13426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13426),
    [anon_sym_QMARK] = ACTIONS(13426),
    [anon_sym_AT] = ACTIONS(13426),
    [anon_sym_true] = ACTIONS(13426),
    [anon_sym_false] = ACTIONS(13426),
    [aux_sym_integer_literal_token1] = ACTIONS(13426),
    [aux_sym_integer_literal_token2] = ACTIONS(13426),
    [aux_sym_integer_literal_token3] = ACTIONS(13426),
    [aux_sym_integer_literal_token4] = ACTIONS(13426),
    [aux_sym_float_literal_token1] = ACTIONS(13426),
    [aux_sym_float_literal_token3] = ACTIONS(13426),
    [aux_sym_float_literal_token4] = ACTIONS(13426),
    [sym_character_literal] = ACTIONS(13426),
    [sym__pair_operator] = ACTIONS(13426),
    [sym__arrow_operator] = ACTIONS(13426),
    [sym__lazy_or_operator] = ACTIONS(13426),
    [sym__lazy_and_operator] = ACTIONS(13426),
    [sym__comparison_operator] = ACTIONS(13426),
    [sym__pipe_right_operator] = ACTIONS(13426),
    [sym__pipe_left_operator] = ACTIONS(13426),
    [sym__ellipsis_operator] = ACTIONS(13426),
    [sym__plus_operator] = ACTIONS(13426),
    [sym__times_operator] = ACTIONS(13426),
    [sym__rational_operator] = ACTIONS(13426),
    [sym__bitshift_operator] = ACTIONS(13426),
    [sym__power_operator] = ACTIONS(13426),
    [sym__tilde_operator] = ACTIONS(13426),
    [sym__type_order_operator] = ACTIONS(13426),
    [sym__unary_operator] = ACTIONS(13426),
    [sym__unary_plus_operator] = ACTIONS(13426),
    [aux_sym__terminator_token1] = ACTIONS(13426),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13428),
    [sym__command_start] = ACTIONS(13428),
  },
  [8225] = {
    [sym__word_identifier] = ACTIONS(13286),
    [anon_sym_EQ] = ACTIONS(13286),
    [anon_sym_COMMA] = ACTIONS(13286),
    [anon_sym_COLON] = ACTIONS(13286),
    [anon_sym_begin] = ACTIONS(13286),
    [anon_sym_module] = ACTIONS(13286),
    [anon_sym_baremodule] = ACTIONS(13286),
    [anon_sym_end] = ACTIONS(13286),
    [anon_sym_abstract] = ACTIONS(13286),
    [anon_sym_primitive] = ACTIONS(13286),
    [anon_sym_mutable] = ACTIONS(13286),
    [anon_sym_struct] = ACTIONS(13286),
    [anon_sym_function] = ACTIONS(13286),
    [anon_sym_macro] = ACTIONS(13286),
    [anon_sym_where] = ACTIONS(13286),
    [anon_sym_quote] = ACTIONS(13286),
    [anon_sym_let] = ACTIONS(13286),
    [anon_sym_if] = ACTIONS(13286),
    [anon_sym_try] = ACTIONS(13286),
    [anon_sym_catch] = ACTIONS(13286),
    [anon_sym_for] = ACTIONS(13286),
    [anon_sym_while] = ACTIONS(13286),
    [sym_break_statement] = ACTIONS(13286),
    [sym_continue_statement] = ACTIONS(13286),
    [anon_sym_return] = ACTIONS(13286),
    [anon_sym_const] = ACTIONS(13286),
    [anon_sym_global] = ACTIONS(13286),
    [anon_sym_local] = ACTIONS(13286),
    [anon_sym_LPAREN] = ACTIONS(13286),
    [anon_sym_COLON2] = ACTIONS(13286),
    [anon_sym_export] = ACTIONS(13286),
    [anon_sym_import] = ACTIONS(13286),
    [anon_sym_using] = ACTIONS(13286),
    [anon_sym_LBRACK] = ACTIONS(13286),
    [anon_sym_LF] = ACTIONS(13288),
    [anon_sym_in] = ACTIONS(13286),
    [anon_sym_LBRACE] = ACTIONS(13286),
    [anon_sym_DOLLAR] = ACTIONS(13286),
    [anon_sym_COLON_COLON] = ACTIONS(13286),
    [anon_sym_isa] = ACTIONS(13286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13286),
    [anon_sym_QMARK] = ACTIONS(13286),
    [anon_sym_AT] = ACTIONS(13286),
    [anon_sym_true] = ACTIONS(13286),
    [anon_sym_false] = ACTIONS(13286),
    [aux_sym_integer_literal_token1] = ACTIONS(13286),
    [aux_sym_integer_literal_token2] = ACTIONS(13286),
    [aux_sym_integer_literal_token3] = ACTIONS(13286),
    [aux_sym_integer_literal_token4] = ACTIONS(13286),
    [aux_sym_float_literal_token1] = ACTIONS(13286),
    [aux_sym_float_literal_token3] = ACTIONS(13286),
    [aux_sym_float_literal_token4] = ACTIONS(13286),
    [sym_character_literal] = ACTIONS(13286),
    [sym__pair_operator] = ACTIONS(13286),
    [sym__arrow_operator] = ACTIONS(13286),
    [sym__lazy_or_operator] = ACTIONS(13286),
    [sym__lazy_and_operator] = ACTIONS(13286),
    [sym__comparison_operator] = ACTIONS(13286),
    [sym__pipe_right_operator] = ACTIONS(13286),
    [sym__pipe_left_operator] = ACTIONS(13286),
    [sym__ellipsis_operator] = ACTIONS(13286),
    [sym__plus_operator] = ACTIONS(13286),
    [sym__times_operator] = ACTIONS(13286),
    [sym__rational_operator] = ACTIONS(13286),
    [sym__bitshift_operator] = ACTIONS(13286),
    [sym__power_operator] = ACTIONS(13286),
    [sym__tilde_operator] = ACTIONS(13286),
    [sym__type_order_operator] = ACTIONS(13286),
    [sym__unary_operator] = ACTIONS(13286),
    [sym__unary_plus_operator] = ACTIONS(13286),
    [aux_sym__terminator_token1] = ACTIONS(13286),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13288),
    [sym__command_start] = ACTIONS(13288),
  },
  [8226] = {
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12957),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_end] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_finally] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13314),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [8227] = {
    [sym__word_identifier] = ACTIONS(13259),
    [anon_sym_EQ] = ACTIONS(13259),
    [anon_sym_COMMA] = ACTIONS(13259),
    [anon_sym_COLON] = ACTIONS(13259),
    [anon_sym_begin] = ACTIONS(13259),
    [anon_sym_module] = ACTIONS(13259),
    [anon_sym_baremodule] = ACTIONS(13259),
    [anon_sym_end] = ACTIONS(13259),
    [anon_sym_abstract] = ACTIONS(13259),
    [anon_sym_primitive] = ACTIONS(13259),
    [anon_sym_mutable] = ACTIONS(13259),
    [anon_sym_struct] = ACTIONS(13259),
    [anon_sym_function] = ACTIONS(13259),
    [anon_sym_macro] = ACTIONS(13259),
    [anon_sym_where] = ACTIONS(13259),
    [anon_sym_quote] = ACTIONS(13259),
    [anon_sym_let] = ACTIONS(13259),
    [anon_sym_if] = ACTIONS(13259),
    [anon_sym_try] = ACTIONS(13259),
    [anon_sym_catch] = ACTIONS(13259),
    [anon_sym_for] = ACTIONS(13259),
    [anon_sym_while] = ACTIONS(13259),
    [sym_break_statement] = ACTIONS(13259),
    [sym_continue_statement] = ACTIONS(13259),
    [anon_sym_return] = ACTIONS(13259),
    [anon_sym_const] = ACTIONS(13259),
    [anon_sym_global] = ACTIONS(13259),
    [anon_sym_local] = ACTIONS(13259),
    [anon_sym_LPAREN] = ACTIONS(13259),
    [anon_sym_COLON2] = ACTIONS(13259),
    [anon_sym_export] = ACTIONS(13259),
    [anon_sym_import] = ACTIONS(13259),
    [anon_sym_using] = ACTIONS(13259),
    [anon_sym_LBRACK] = ACTIONS(13259),
    [anon_sym_LF] = ACTIONS(13261),
    [anon_sym_in] = ACTIONS(13259),
    [anon_sym_LBRACE] = ACTIONS(13259),
    [anon_sym_DOLLAR] = ACTIONS(13259),
    [anon_sym_COLON_COLON] = ACTIONS(13259),
    [anon_sym_isa] = ACTIONS(13259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13259),
    [anon_sym_QMARK] = ACTIONS(13259),
    [anon_sym_AT] = ACTIONS(13259),
    [anon_sym_true] = ACTIONS(13259),
    [anon_sym_false] = ACTIONS(13259),
    [aux_sym_integer_literal_token1] = ACTIONS(13259),
    [aux_sym_integer_literal_token2] = ACTIONS(13259),
    [aux_sym_integer_literal_token3] = ACTIONS(13259),
    [aux_sym_integer_literal_token4] = ACTIONS(13259),
    [aux_sym_float_literal_token1] = ACTIONS(13259),
    [aux_sym_float_literal_token3] = ACTIONS(13259),
    [aux_sym_float_literal_token4] = ACTIONS(13259),
    [sym_character_literal] = ACTIONS(13259),
    [sym__pair_operator] = ACTIONS(13259),
    [sym__arrow_operator] = ACTIONS(13259),
    [sym__lazy_or_operator] = ACTIONS(13259),
    [sym__lazy_and_operator] = ACTIONS(13259),
    [sym__comparison_operator] = ACTIONS(13259),
    [sym__pipe_right_operator] = ACTIONS(13259),
    [sym__pipe_left_operator] = ACTIONS(13259),
    [sym__ellipsis_operator] = ACTIONS(13259),
    [sym__plus_operator] = ACTIONS(13259),
    [sym__times_operator] = ACTIONS(13259),
    [sym__rational_operator] = ACTIONS(13259),
    [sym__bitshift_operator] = ACTIONS(13259),
    [sym__power_operator] = ACTIONS(13259),
    [sym__tilde_operator] = ACTIONS(13259),
    [sym__type_order_operator] = ACTIONS(13259),
    [sym__unary_operator] = ACTIONS(13259),
    [sym__unary_plus_operator] = ACTIONS(13259),
    [aux_sym__terminator_token1] = ACTIONS(13259),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13261),
    [sym__command_start] = ACTIONS(13261),
  },
  [8228] = {
    [sym__word_identifier] = ACTIONS(13400),
    [anon_sym_EQ] = ACTIONS(13400),
    [anon_sym_COMMA] = ACTIONS(13400),
    [anon_sym_COLON] = ACTIONS(13400),
    [anon_sym_begin] = ACTIONS(13400),
    [anon_sym_module] = ACTIONS(13400),
    [anon_sym_baremodule] = ACTIONS(13400),
    [anon_sym_end] = ACTIONS(13400),
    [anon_sym_abstract] = ACTIONS(13400),
    [anon_sym_primitive] = ACTIONS(13400),
    [anon_sym_mutable] = ACTIONS(13400),
    [anon_sym_struct] = ACTIONS(13400),
    [anon_sym_function] = ACTIONS(13400),
    [anon_sym_macro] = ACTIONS(13400),
    [anon_sym_where] = ACTIONS(13400),
    [anon_sym_quote] = ACTIONS(13400),
    [anon_sym_let] = ACTIONS(13400),
    [anon_sym_if] = ACTIONS(13400),
    [anon_sym_try] = ACTIONS(13400),
    [anon_sym_catch] = ACTIONS(13400),
    [anon_sym_for] = ACTIONS(13400),
    [anon_sym_while] = ACTIONS(13400),
    [sym_break_statement] = ACTIONS(13400),
    [sym_continue_statement] = ACTIONS(13400),
    [anon_sym_return] = ACTIONS(13400),
    [anon_sym_const] = ACTIONS(13400),
    [anon_sym_global] = ACTIONS(13400),
    [anon_sym_local] = ACTIONS(13400),
    [anon_sym_LPAREN] = ACTIONS(13400),
    [anon_sym_COLON2] = ACTIONS(13400),
    [anon_sym_export] = ACTIONS(13400),
    [anon_sym_import] = ACTIONS(13400),
    [anon_sym_using] = ACTIONS(13400),
    [anon_sym_LBRACK] = ACTIONS(13400),
    [anon_sym_LF] = ACTIONS(13402),
    [anon_sym_in] = ACTIONS(13400),
    [anon_sym_LBRACE] = ACTIONS(13400),
    [anon_sym_DOLLAR] = ACTIONS(13400),
    [anon_sym_COLON_COLON] = ACTIONS(13400),
    [anon_sym_isa] = ACTIONS(13400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13400),
    [anon_sym_QMARK] = ACTIONS(13400),
    [anon_sym_AT] = ACTIONS(13400),
    [anon_sym_true] = ACTIONS(13400),
    [anon_sym_false] = ACTIONS(13400),
    [aux_sym_integer_literal_token1] = ACTIONS(13400),
    [aux_sym_integer_literal_token2] = ACTIONS(13400),
    [aux_sym_integer_literal_token3] = ACTIONS(13400),
    [aux_sym_integer_literal_token4] = ACTIONS(13400),
    [aux_sym_float_literal_token1] = ACTIONS(13400),
    [aux_sym_float_literal_token3] = ACTIONS(13400),
    [aux_sym_float_literal_token4] = ACTIONS(13400),
    [sym_character_literal] = ACTIONS(13400),
    [sym__pair_operator] = ACTIONS(13400),
    [sym__arrow_operator] = ACTIONS(13400),
    [sym__lazy_or_operator] = ACTIONS(13400),
    [sym__lazy_and_operator] = ACTIONS(13400),
    [sym__comparison_operator] = ACTIONS(13400),
    [sym__pipe_right_operator] = ACTIONS(13400),
    [sym__pipe_left_operator] = ACTIONS(13400),
    [sym__ellipsis_operator] = ACTIONS(13400),
    [sym__plus_operator] = ACTIONS(13400),
    [sym__times_operator] = ACTIONS(13400),
    [sym__rational_operator] = ACTIONS(13400),
    [sym__bitshift_operator] = ACTIONS(13400),
    [sym__power_operator] = ACTIONS(13400),
    [sym__tilde_operator] = ACTIONS(13400),
    [sym__type_order_operator] = ACTIONS(13400),
    [sym__unary_operator] = ACTIONS(13400),
    [sym__unary_plus_operator] = ACTIONS(13400),
    [aux_sym__terminator_token1] = ACTIONS(13400),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13402),
    [sym__command_start] = ACTIONS(13402),
  },
  [8229] = {
    [sym__word_identifier] = ACTIONS(13282),
    [anon_sym_EQ] = ACTIONS(13282),
    [anon_sym_COMMA] = ACTIONS(13282),
    [anon_sym_COLON] = ACTIONS(13282),
    [anon_sym_begin] = ACTIONS(13282),
    [anon_sym_module] = ACTIONS(13282),
    [anon_sym_baremodule] = ACTIONS(13282),
    [anon_sym_end] = ACTIONS(13282),
    [anon_sym_abstract] = ACTIONS(13282),
    [anon_sym_primitive] = ACTIONS(13282),
    [anon_sym_mutable] = ACTIONS(13282),
    [anon_sym_struct] = ACTIONS(13282),
    [anon_sym_function] = ACTIONS(13282),
    [anon_sym_macro] = ACTIONS(13282),
    [anon_sym_where] = ACTIONS(13282),
    [anon_sym_quote] = ACTIONS(13282),
    [anon_sym_let] = ACTIONS(13282),
    [anon_sym_if] = ACTIONS(13282),
    [anon_sym_try] = ACTIONS(13282),
    [anon_sym_catch] = ACTIONS(13282),
    [anon_sym_for] = ACTIONS(13282),
    [anon_sym_while] = ACTIONS(13282),
    [sym_break_statement] = ACTIONS(13282),
    [sym_continue_statement] = ACTIONS(13282),
    [anon_sym_return] = ACTIONS(13282),
    [anon_sym_const] = ACTIONS(13282),
    [anon_sym_global] = ACTIONS(13282),
    [anon_sym_local] = ACTIONS(13282),
    [anon_sym_LPAREN] = ACTIONS(13282),
    [anon_sym_COLON2] = ACTIONS(13282),
    [anon_sym_export] = ACTIONS(13282),
    [anon_sym_import] = ACTIONS(13282),
    [anon_sym_using] = ACTIONS(13282),
    [anon_sym_LBRACK] = ACTIONS(13282),
    [anon_sym_LF] = ACTIONS(13284),
    [anon_sym_in] = ACTIONS(13282),
    [anon_sym_LBRACE] = ACTIONS(13282),
    [anon_sym_DOLLAR] = ACTIONS(13282),
    [anon_sym_COLON_COLON] = ACTIONS(13282),
    [anon_sym_isa] = ACTIONS(13282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13282),
    [anon_sym_QMARK] = ACTIONS(13282),
    [anon_sym_AT] = ACTIONS(13282),
    [anon_sym_true] = ACTIONS(13282),
    [anon_sym_false] = ACTIONS(13282),
    [aux_sym_integer_literal_token1] = ACTIONS(13282),
    [aux_sym_integer_literal_token2] = ACTIONS(13282),
    [aux_sym_integer_literal_token3] = ACTIONS(13282),
    [aux_sym_integer_literal_token4] = ACTIONS(13282),
    [aux_sym_float_literal_token1] = ACTIONS(13282),
    [aux_sym_float_literal_token3] = ACTIONS(13282),
    [aux_sym_float_literal_token4] = ACTIONS(13282),
    [sym_character_literal] = ACTIONS(13282),
    [sym__pair_operator] = ACTIONS(13282),
    [sym__arrow_operator] = ACTIONS(13282),
    [sym__lazy_or_operator] = ACTIONS(13282),
    [sym__lazy_and_operator] = ACTIONS(13282),
    [sym__comparison_operator] = ACTIONS(13282),
    [sym__pipe_right_operator] = ACTIONS(13282),
    [sym__pipe_left_operator] = ACTIONS(13282),
    [sym__ellipsis_operator] = ACTIONS(13282),
    [sym__plus_operator] = ACTIONS(13282),
    [sym__times_operator] = ACTIONS(13282),
    [sym__rational_operator] = ACTIONS(13282),
    [sym__bitshift_operator] = ACTIONS(13282),
    [sym__power_operator] = ACTIONS(13282),
    [sym__tilde_operator] = ACTIONS(13282),
    [sym__type_order_operator] = ACTIONS(13282),
    [sym__unary_operator] = ACTIONS(13282),
    [sym__unary_plus_operator] = ACTIONS(13282),
    [aux_sym__terminator_token1] = ACTIONS(13282),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13284),
    [sym__command_start] = ACTIONS(13284),
  },
  [8230] = {
    [sym__word_identifier] = ACTIONS(13560),
    [anon_sym_EQ] = ACTIONS(13560),
    [anon_sym_COMMA] = ACTIONS(13560),
    [anon_sym_COLON] = ACTIONS(13560),
    [anon_sym_begin] = ACTIONS(13560),
    [anon_sym_module] = ACTIONS(13560),
    [anon_sym_baremodule] = ACTIONS(13560),
    [anon_sym_end] = ACTIONS(13560),
    [anon_sym_abstract] = ACTIONS(13560),
    [anon_sym_primitive] = ACTIONS(13560),
    [anon_sym_mutable] = ACTIONS(13560),
    [anon_sym_struct] = ACTIONS(13560),
    [anon_sym_function] = ACTIONS(13560),
    [anon_sym_macro] = ACTIONS(13560),
    [anon_sym_where] = ACTIONS(13560),
    [anon_sym_quote] = ACTIONS(13560),
    [anon_sym_let] = ACTIONS(13560),
    [anon_sym_if] = ACTIONS(13560),
    [anon_sym_try] = ACTIONS(13560),
    [anon_sym_catch] = ACTIONS(13560),
    [anon_sym_for] = ACTIONS(13560),
    [anon_sym_while] = ACTIONS(13560),
    [sym_break_statement] = ACTIONS(13560),
    [sym_continue_statement] = ACTIONS(13560),
    [anon_sym_return] = ACTIONS(13560),
    [anon_sym_const] = ACTIONS(13560),
    [anon_sym_global] = ACTIONS(13560),
    [anon_sym_local] = ACTIONS(13560),
    [anon_sym_LPAREN] = ACTIONS(13560),
    [anon_sym_COLON2] = ACTIONS(13560),
    [anon_sym_export] = ACTIONS(13560),
    [anon_sym_import] = ACTIONS(13560),
    [anon_sym_using] = ACTIONS(13560),
    [anon_sym_LBRACK] = ACTIONS(13560),
    [anon_sym_LF] = ACTIONS(13562),
    [anon_sym_in] = ACTIONS(13560),
    [anon_sym_LBRACE] = ACTIONS(13560),
    [anon_sym_DOLLAR] = ACTIONS(13560),
    [anon_sym_COLON_COLON] = ACTIONS(13560),
    [anon_sym_isa] = ACTIONS(13560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13560),
    [anon_sym_QMARK] = ACTIONS(13560),
    [anon_sym_AT] = ACTIONS(13560),
    [anon_sym_true] = ACTIONS(13560),
    [anon_sym_false] = ACTIONS(13560),
    [aux_sym_integer_literal_token1] = ACTIONS(13560),
    [aux_sym_integer_literal_token2] = ACTIONS(13560),
    [aux_sym_integer_literal_token3] = ACTIONS(13560),
    [aux_sym_integer_literal_token4] = ACTIONS(13560),
    [aux_sym_float_literal_token1] = ACTIONS(13560),
    [aux_sym_float_literal_token3] = ACTIONS(13560),
    [aux_sym_float_literal_token4] = ACTIONS(13560),
    [sym_character_literal] = ACTIONS(13560),
    [sym__pair_operator] = ACTIONS(13560),
    [sym__arrow_operator] = ACTIONS(13560),
    [sym__lazy_or_operator] = ACTIONS(13560),
    [sym__lazy_and_operator] = ACTIONS(13560),
    [sym__comparison_operator] = ACTIONS(13560),
    [sym__pipe_right_operator] = ACTIONS(13560),
    [sym__pipe_left_operator] = ACTIONS(13560),
    [sym__ellipsis_operator] = ACTIONS(13560),
    [sym__plus_operator] = ACTIONS(13560),
    [sym__times_operator] = ACTIONS(13560),
    [sym__rational_operator] = ACTIONS(13560),
    [sym__bitshift_operator] = ACTIONS(13560),
    [sym__power_operator] = ACTIONS(13560),
    [sym__tilde_operator] = ACTIONS(13560),
    [sym__type_order_operator] = ACTIONS(13560),
    [sym__unary_operator] = ACTIONS(13560),
    [sym__unary_plus_operator] = ACTIONS(13560),
    [aux_sym__terminator_token1] = ACTIONS(13560),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13562),
    [sym__command_start] = ACTIONS(13562),
  },
  [8231] = {
    [sym__word_identifier] = ACTIONS(13632),
    [anon_sym_EQ] = ACTIONS(13632),
    [anon_sym_COMMA] = ACTIONS(13632),
    [anon_sym_COLON] = ACTIONS(13632),
    [anon_sym_begin] = ACTIONS(13632),
    [anon_sym_module] = ACTIONS(13632),
    [anon_sym_baremodule] = ACTIONS(13632),
    [anon_sym_end] = ACTIONS(13632),
    [anon_sym_abstract] = ACTIONS(13632),
    [anon_sym_primitive] = ACTIONS(13632),
    [anon_sym_mutable] = ACTIONS(13632),
    [anon_sym_struct] = ACTIONS(13632),
    [anon_sym_function] = ACTIONS(13632),
    [anon_sym_macro] = ACTIONS(13632),
    [anon_sym_where] = ACTIONS(13632),
    [anon_sym_quote] = ACTIONS(13632),
    [anon_sym_let] = ACTIONS(13632),
    [anon_sym_if] = ACTIONS(13632),
    [anon_sym_try] = ACTIONS(13632),
    [anon_sym_catch] = ACTIONS(13632),
    [anon_sym_for] = ACTIONS(13632),
    [anon_sym_while] = ACTIONS(13632),
    [sym_break_statement] = ACTIONS(13632),
    [sym_continue_statement] = ACTIONS(13632),
    [anon_sym_return] = ACTIONS(13632),
    [anon_sym_const] = ACTIONS(13632),
    [anon_sym_global] = ACTIONS(13632),
    [anon_sym_local] = ACTIONS(13632),
    [anon_sym_LPAREN] = ACTIONS(13632),
    [anon_sym_COLON2] = ACTIONS(13632),
    [anon_sym_export] = ACTIONS(13632),
    [anon_sym_import] = ACTIONS(13632),
    [anon_sym_using] = ACTIONS(13632),
    [anon_sym_LBRACK] = ACTIONS(13632),
    [anon_sym_LF] = ACTIONS(13634),
    [anon_sym_in] = ACTIONS(13632),
    [anon_sym_LBRACE] = ACTIONS(13632),
    [anon_sym_DOLLAR] = ACTIONS(13632),
    [anon_sym_COLON_COLON] = ACTIONS(13632),
    [anon_sym_isa] = ACTIONS(13632),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13632),
    [anon_sym_QMARK] = ACTIONS(13632),
    [anon_sym_AT] = ACTIONS(13632),
    [anon_sym_true] = ACTIONS(13632),
    [anon_sym_false] = ACTIONS(13632),
    [aux_sym_integer_literal_token1] = ACTIONS(13632),
    [aux_sym_integer_literal_token2] = ACTIONS(13632),
    [aux_sym_integer_literal_token3] = ACTIONS(13632),
    [aux_sym_integer_literal_token4] = ACTIONS(13632),
    [aux_sym_float_literal_token1] = ACTIONS(13632),
    [aux_sym_float_literal_token3] = ACTIONS(13632),
    [aux_sym_float_literal_token4] = ACTIONS(13632),
    [sym_character_literal] = ACTIONS(13632),
    [sym__pair_operator] = ACTIONS(13632),
    [sym__arrow_operator] = ACTIONS(13632),
    [sym__lazy_or_operator] = ACTIONS(13632),
    [sym__lazy_and_operator] = ACTIONS(13632),
    [sym__comparison_operator] = ACTIONS(13632),
    [sym__pipe_right_operator] = ACTIONS(13632),
    [sym__pipe_left_operator] = ACTIONS(13632),
    [sym__ellipsis_operator] = ACTIONS(13632),
    [sym__plus_operator] = ACTIONS(13632),
    [sym__times_operator] = ACTIONS(13632),
    [sym__rational_operator] = ACTIONS(13632),
    [sym__bitshift_operator] = ACTIONS(13632),
    [sym__power_operator] = ACTIONS(13632),
    [sym__tilde_operator] = ACTIONS(13632),
    [sym__type_order_operator] = ACTIONS(13632),
    [sym__unary_operator] = ACTIONS(13632),
    [sym__unary_plus_operator] = ACTIONS(13632),
    [aux_sym__terminator_token1] = ACTIONS(13632),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13634),
    [sym__command_start] = ACTIONS(13634),
  },
  [8232] = {
    [sym__word_identifier] = ACTIONS(13656),
    [anon_sym_EQ] = ACTIONS(13656),
    [anon_sym_COMMA] = ACTIONS(13656),
    [anon_sym_COLON] = ACTIONS(13656),
    [anon_sym_begin] = ACTIONS(13656),
    [anon_sym_module] = ACTIONS(13656),
    [anon_sym_baremodule] = ACTIONS(13656),
    [anon_sym_end] = ACTIONS(13656),
    [anon_sym_abstract] = ACTIONS(13656),
    [anon_sym_primitive] = ACTIONS(13656),
    [anon_sym_mutable] = ACTIONS(13656),
    [anon_sym_struct] = ACTIONS(13656),
    [anon_sym_function] = ACTIONS(13656),
    [anon_sym_macro] = ACTIONS(13656),
    [anon_sym_where] = ACTIONS(13656),
    [anon_sym_quote] = ACTIONS(13656),
    [anon_sym_let] = ACTIONS(13656),
    [anon_sym_if] = ACTIONS(13656),
    [anon_sym_try] = ACTIONS(13656),
    [anon_sym_catch] = ACTIONS(13656),
    [anon_sym_for] = ACTIONS(13656),
    [anon_sym_while] = ACTIONS(13656),
    [sym_break_statement] = ACTIONS(13656),
    [sym_continue_statement] = ACTIONS(13656),
    [anon_sym_return] = ACTIONS(13656),
    [anon_sym_const] = ACTIONS(13656),
    [anon_sym_global] = ACTIONS(13656),
    [anon_sym_local] = ACTIONS(13656),
    [anon_sym_LPAREN] = ACTIONS(13656),
    [anon_sym_COLON2] = ACTIONS(13656),
    [anon_sym_export] = ACTIONS(13656),
    [anon_sym_import] = ACTIONS(13656),
    [anon_sym_using] = ACTIONS(13656),
    [anon_sym_LBRACK] = ACTIONS(13656),
    [anon_sym_LF] = ACTIONS(13658),
    [anon_sym_in] = ACTIONS(13656),
    [anon_sym_LBRACE] = ACTIONS(13656),
    [anon_sym_DOLLAR] = ACTIONS(13656),
    [anon_sym_COLON_COLON] = ACTIONS(13656),
    [anon_sym_isa] = ACTIONS(13656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13656),
    [anon_sym_QMARK] = ACTIONS(13656),
    [anon_sym_AT] = ACTIONS(13656),
    [anon_sym_true] = ACTIONS(13656),
    [anon_sym_false] = ACTIONS(13656),
    [aux_sym_integer_literal_token1] = ACTIONS(13656),
    [aux_sym_integer_literal_token2] = ACTIONS(13656),
    [aux_sym_integer_literal_token3] = ACTIONS(13656),
    [aux_sym_integer_literal_token4] = ACTIONS(13656),
    [aux_sym_float_literal_token1] = ACTIONS(13656),
    [aux_sym_float_literal_token3] = ACTIONS(13656),
    [aux_sym_float_literal_token4] = ACTIONS(13656),
    [sym_character_literal] = ACTIONS(13656),
    [sym__pair_operator] = ACTIONS(13656),
    [sym__arrow_operator] = ACTIONS(13656),
    [sym__lazy_or_operator] = ACTIONS(13656),
    [sym__lazy_and_operator] = ACTIONS(13656),
    [sym__comparison_operator] = ACTIONS(13656),
    [sym__pipe_right_operator] = ACTIONS(13656),
    [sym__pipe_left_operator] = ACTIONS(13656),
    [sym__ellipsis_operator] = ACTIONS(13656),
    [sym__plus_operator] = ACTIONS(13656),
    [sym__times_operator] = ACTIONS(13656),
    [sym__rational_operator] = ACTIONS(13656),
    [sym__bitshift_operator] = ACTIONS(13656),
    [sym__power_operator] = ACTIONS(13656),
    [sym__tilde_operator] = ACTIONS(13656),
    [sym__type_order_operator] = ACTIONS(13656),
    [sym__unary_operator] = ACTIONS(13656),
    [sym__unary_plus_operator] = ACTIONS(13656),
    [aux_sym__terminator_token1] = ACTIONS(13656),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13658),
    [sym__command_start] = ACTIONS(13658),
  },
  [8233] = {
    [sym__word_identifier] = ACTIONS(13660),
    [anon_sym_EQ] = ACTIONS(13660),
    [anon_sym_COMMA] = ACTIONS(13660),
    [anon_sym_COLON] = ACTIONS(13660),
    [anon_sym_begin] = ACTIONS(13660),
    [anon_sym_module] = ACTIONS(13660),
    [anon_sym_baremodule] = ACTIONS(13660),
    [anon_sym_end] = ACTIONS(13660),
    [anon_sym_abstract] = ACTIONS(13660),
    [anon_sym_primitive] = ACTIONS(13660),
    [anon_sym_mutable] = ACTIONS(13660),
    [anon_sym_struct] = ACTIONS(13660),
    [anon_sym_function] = ACTIONS(13660),
    [anon_sym_macro] = ACTIONS(13660),
    [anon_sym_where] = ACTIONS(13660),
    [anon_sym_quote] = ACTIONS(13660),
    [anon_sym_let] = ACTIONS(13660),
    [anon_sym_if] = ACTIONS(13660),
    [anon_sym_try] = ACTIONS(13660),
    [anon_sym_catch] = ACTIONS(13660),
    [anon_sym_for] = ACTIONS(13660),
    [anon_sym_while] = ACTIONS(13660),
    [sym_break_statement] = ACTIONS(13660),
    [sym_continue_statement] = ACTIONS(13660),
    [anon_sym_return] = ACTIONS(13660),
    [anon_sym_const] = ACTIONS(13660),
    [anon_sym_global] = ACTIONS(13660),
    [anon_sym_local] = ACTIONS(13660),
    [anon_sym_LPAREN] = ACTIONS(13660),
    [anon_sym_COLON2] = ACTIONS(13660),
    [anon_sym_export] = ACTIONS(13660),
    [anon_sym_import] = ACTIONS(13660),
    [anon_sym_using] = ACTIONS(13660),
    [anon_sym_LBRACK] = ACTIONS(13660),
    [anon_sym_LF] = ACTIONS(13662),
    [anon_sym_in] = ACTIONS(13660),
    [anon_sym_LBRACE] = ACTIONS(13660),
    [anon_sym_DOLLAR] = ACTIONS(13660),
    [anon_sym_COLON_COLON] = ACTIONS(13660),
    [anon_sym_isa] = ACTIONS(13660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13660),
    [anon_sym_QMARK] = ACTIONS(13660),
    [anon_sym_AT] = ACTIONS(13660),
    [anon_sym_true] = ACTIONS(13660),
    [anon_sym_false] = ACTIONS(13660),
    [aux_sym_integer_literal_token1] = ACTIONS(13660),
    [aux_sym_integer_literal_token2] = ACTIONS(13660),
    [aux_sym_integer_literal_token3] = ACTIONS(13660),
    [aux_sym_integer_literal_token4] = ACTIONS(13660),
    [aux_sym_float_literal_token1] = ACTIONS(13660),
    [aux_sym_float_literal_token3] = ACTIONS(13660),
    [aux_sym_float_literal_token4] = ACTIONS(13660),
    [sym_character_literal] = ACTIONS(13660),
    [sym__pair_operator] = ACTIONS(13660),
    [sym__arrow_operator] = ACTIONS(13660),
    [sym__lazy_or_operator] = ACTIONS(13660),
    [sym__lazy_and_operator] = ACTIONS(13660),
    [sym__comparison_operator] = ACTIONS(13660),
    [sym__pipe_right_operator] = ACTIONS(13660),
    [sym__pipe_left_operator] = ACTIONS(13660),
    [sym__ellipsis_operator] = ACTIONS(13660),
    [sym__plus_operator] = ACTIONS(13660),
    [sym__times_operator] = ACTIONS(13660),
    [sym__rational_operator] = ACTIONS(13660),
    [sym__bitshift_operator] = ACTIONS(13660),
    [sym__power_operator] = ACTIONS(13660),
    [sym__tilde_operator] = ACTIONS(13660),
    [sym__type_order_operator] = ACTIONS(13660),
    [sym__unary_operator] = ACTIONS(13660),
    [sym__unary_plus_operator] = ACTIONS(13660),
    [aux_sym__terminator_token1] = ACTIONS(13660),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13662),
    [sym__command_start] = ACTIONS(13662),
  },
  [8234] = {
    [sym__word_identifier] = ACTIONS(13684),
    [anon_sym_EQ] = ACTIONS(13684),
    [anon_sym_COMMA] = ACTIONS(13684),
    [anon_sym_COLON] = ACTIONS(13684),
    [anon_sym_begin] = ACTIONS(13684),
    [anon_sym_module] = ACTIONS(13684),
    [anon_sym_baremodule] = ACTIONS(13684),
    [anon_sym_end] = ACTIONS(13684),
    [anon_sym_abstract] = ACTIONS(13684),
    [anon_sym_primitive] = ACTIONS(13684),
    [anon_sym_mutable] = ACTIONS(13684),
    [anon_sym_struct] = ACTIONS(13684),
    [anon_sym_function] = ACTIONS(13684),
    [anon_sym_macro] = ACTIONS(13684),
    [anon_sym_where] = ACTIONS(13684),
    [anon_sym_quote] = ACTIONS(13684),
    [anon_sym_let] = ACTIONS(13684),
    [anon_sym_if] = ACTIONS(13684),
    [anon_sym_try] = ACTIONS(13684),
    [anon_sym_catch] = ACTIONS(13684),
    [anon_sym_for] = ACTIONS(13684),
    [anon_sym_while] = ACTIONS(13684),
    [sym_break_statement] = ACTIONS(13684),
    [sym_continue_statement] = ACTIONS(13684),
    [anon_sym_return] = ACTIONS(13684),
    [anon_sym_const] = ACTIONS(13684),
    [anon_sym_global] = ACTIONS(13684),
    [anon_sym_local] = ACTIONS(13684),
    [anon_sym_LPAREN] = ACTIONS(13684),
    [anon_sym_COLON2] = ACTIONS(13684),
    [anon_sym_export] = ACTIONS(13684),
    [anon_sym_import] = ACTIONS(13684),
    [anon_sym_using] = ACTIONS(13684),
    [anon_sym_LBRACK] = ACTIONS(13684),
    [anon_sym_LF] = ACTIONS(13686),
    [anon_sym_in] = ACTIONS(13684),
    [anon_sym_LBRACE] = ACTIONS(13684),
    [anon_sym_DOLLAR] = ACTIONS(13684),
    [anon_sym_COLON_COLON] = ACTIONS(13684),
    [anon_sym_isa] = ACTIONS(13684),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13684),
    [anon_sym_QMARK] = ACTIONS(13684),
    [anon_sym_AT] = ACTIONS(13684),
    [anon_sym_true] = ACTIONS(13684),
    [anon_sym_false] = ACTIONS(13684),
    [aux_sym_integer_literal_token1] = ACTIONS(13684),
    [aux_sym_integer_literal_token2] = ACTIONS(13684),
    [aux_sym_integer_literal_token3] = ACTIONS(13684),
    [aux_sym_integer_literal_token4] = ACTIONS(13684),
    [aux_sym_float_literal_token1] = ACTIONS(13684),
    [aux_sym_float_literal_token3] = ACTIONS(13684),
    [aux_sym_float_literal_token4] = ACTIONS(13684),
    [sym_character_literal] = ACTIONS(13684),
    [sym__pair_operator] = ACTIONS(13684),
    [sym__arrow_operator] = ACTIONS(13684),
    [sym__lazy_or_operator] = ACTIONS(13684),
    [sym__lazy_and_operator] = ACTIONS(13684),
    [sym__comparison_operator] = ACTIONS(13684),
    [sym__pipe_right_operator] = ACTIONS(13684),
    [sym__pipe_left_operator] = ACTIONS(13684),
    [sym__ellipsis_operator] = ACTIONS(13684),
    [sym__plus_operator] = ACTIONS(13684),
    [sym__times_operator] = ACTIONS(13684),
    [sym__rational_operator] = ACTIONS(13684),
    [sym__bitshift_operator] = ACTIONS(13684),
    [sym__power_operator] = ACTIONS(13684),
    [sym__tilde_operator] = ACTIONS(13684),
    [sym__type_order_operator] = ACTIONS(13684),
    [sym__unary_operator] = ACTIONS(13684),
    [sym__unary_plus_operator] = ACTIONS(13684),
    [aux_sym__terminator_token1] = ACTIONS(13684),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13686),
    [sym__command_start] = ACTIONS(13686),
  },
  [8235] = {
    [sym__word_identifier] = ACTIONS(13764),
    [anon_sym_EQ] = ACTIONS(13764),
    [anon_sym_COMMA] = ACTIONS(13766),
    [anon_sym_COLON] = ACTIONS(13764),
    [anon_sym_begin] = ACTIONS(13764),
    [anon_sym_module] = ACTIONS(13764),
    [anon_sym_baremodule] = ACTIONS(13764),
    [anon_sym_abstract] = ACTIONS(13764),
    [anon_sym_primitive] = ACTIONS(13764),
    [anon_sym_mutable] = ACTIONS(13764),
    [anon_sym_struct] = ACTIONS(13764),
    [anon_sym_function] = ACTIONS(13764),
    [anon_sym_macro] = ACTIONS(13764),
    [anon_sym_where] = ACTIONS(13764),
    [anon_sym_quote] = ACTIONS(13764),
    [anon_sym_let] = ACTIONS(13764),
    [anon_sym_if] = ACTIONS(13764),
    [anon_sym_try] = ACTIONS(13764),
    [anon_sym_for] = ACTIONS(13764),
    [anon_sym_while] = ACTIONS(13764),
    [sym_break_statement] = ACTIONS(13764),
    [sym_continue_statement] = ACTIONS(13764),
    [anon_sym_return] = ACTIONS(13764),
    [anon_sym_const] = ACTIONS(13764),
    [anon_sym_global] = ACTIONS(13764),
    [anon_sym_local] = ACTIONS(13764),
    [anon_sym_LPAREN] = ACTIONS(13766),
    [anon_sym_RPAREN] = ACTIONS(13766),
    [anon_sym_COLON2] = ACTIONS(13764),
    [anon_sym_export] = ACTIONS(13764),
    [anon_sym_import] = ACTIONS(13764),
    [anon_sym_using] = ACTIONS(13764),
    [anon_sym_LBRACK] = ACTIONS(13766),
    [anon_sym_RBRACK] = ACTIONS(13766),
    [anon_sym_in] = ACTIONS(13764),
    [anon_sym_SEMI] = ACTIONS(13766),
    [anon_sym_LBRACE] = ACTIONS(13766),
    [anon_sym_RBRACE] = ACTIONS(13766),
    [anon_sym_DOLLAR] = ACTIONS(13766),
    [anon_sym_COLON_COLON] = ACTIONS(13766),
    [anon_sym_isa] = ACTIONS(13764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13766),
    [anon_sym_QMARK] = ACTIONS(13766),
    [anon_sym_AT] = ACTIONS(13766),
    [anon_sym_true] = ACTIONS(13764),
    [anon_sym_false] = ACTIONS(13764),
    [aux_sym_integer_literal_token1] = ACTIONS(13766),
    [aux_sym_integer_literal_token2] = ACTIONS(13766),
    [aux_sym_integer_literal_token3] = ACTIONS(13764),
    [aux_sym_integer_literal_token4] = ACTIONS(13764),
    [aux_sym_float_literal_token1] = ACTIONS(13766),
    [aux_sym_float_literal_token3] = ACTIONS(13766),
    [aux_sym_float_literal_token4] = ACTIONS(13766),
    [sym_character_literal] = ACTIONS(13766),
    [sym__pair_operator] = ACTIONS(13766),
    [sym__arrow_operator] = ACTIONS(13764),
    [sym__lazy_or_operator] = ACTIONS(13766),
    [sym__lazy_and_operator] = ACTIONS(13766),
    [sym__comparison_operator] = ACTIONS(13764),
    [sym__pipe_right_operator] = ACTIONS(13766),
    [sym__pipe_left_operator] = ACTIONS(13766),
    [sym__ellipsis_operator] = ACTIONS(13764),
    [sym__plus_operator] = ACTIONS(13764),
    [sym__times_operator] = ACTIONS(13764),
    [sym__rational_operator] = ACTIONS(13766),
    [sym__bitshift_operator] = ACTIONS(13766),
    [sym__power_operator] = ACTIONS(13766),
    [sym__tilde_operator] = ACTIONS(13766),
    [sym__type_order_operator] = ACTIONS(13766),
    [sym__unary_operator] = ACTIONS(13764),
    [sym__unary_plus_operator] = ACTIONS(13764),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13766),
    [sym__command_start] = ACTIONS(13766),
  },
  [8236] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_EQ] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_catch] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13357),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [8237] = {
    [sym__word_identifier] = ACTIONS(13690),
    [anon_sym_EQ] = ACTIONS(13690),
    [anon_sym_COMMA] = ACTIONS(13690),
    [anon_sym_COLON] = ACTIONS(13690),
    [anon_sym_begin] = ACTIONS(13690),
    [anon_sym_module] = ACTIONS(13690),
    [anon_sym_baremodule] = ACTIONS(13690),
    [anon_sym_end] = ACTIONS(13690),
    [anon_sym_abstract] = ACTIONS(13690),
    [anon_sym_primitive] = ACTIONS(13690),
    [anon_sym_mutable] = ACTIONS(13690),
    [anon_sym_struct] = ACTIONS(13690),
    [anon_sym_function] = ACTIONS(13690),
    [anon_sym_macro] = ACTIONS(13690),
    [anon_sym_where] = ACTIONS(13690),
    [anon_sym_quote] = ACTIONS(13690),
    [anon_sym_let] = ACTIONS(13690),
    [anon_sym_if] = ACTIONS(13690),
    [anon_sym_try] = ACTIONS(13690),
    [anon_sym_catch] = ACTIONS(13690),
    [anon_sym_for] = ACTIONS(13690),
    [anon_sym_while] = ACTIONS(13690),
    [sym_break_statement] = ACTIONS(13690),
    [sym_continue_statement] = ACTIONS(13690),
    [anon_sym_return] = ACTIONS(13690),
    [anon_sym_const] = ACTIONS(13690),
    [anon_sym_global] = ACTIONS(13690),
    [anon_sym_local] = ACTIONS(13690),
    [anon_sym_LPAREN] = ACTIONS(13690),
    [anon_sym_COLON2] = ACTIONS(13690),
    [anon_sym_export] = ACTIONS(13690),
    [anon_sym_import] = ACTIONS(13690),
    [anon_sym_using] = ACTIONS(13690),
    [anon_sym_LBRACK] = ACTIONS(13690),
    [anon_sym_LF] = ACTIONS(13692),
    [anon_sym_in] = ACTIONS(13690),
    [anon_sym_LBRACE] = ACTIONS(13690),
    [anon_sym_DOLLAR] = ACTIONS(13690),
    [anon_sym_COLON_COLON] = ACTIONS(13690),
    [anon_sym_isa] = ACTIONS(13690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13690),
    [anon_sym_QMARK] = ACTIONS(13690),
    [anon_sym_AT] = ACTIONS(13690),
    [anon_sym_true] = ACTIONS(13690),
    [anon_sym_false] = ACTIONS(13690),
    [aux_sym_integer_literal_token1] = ACTIONS(13690),
    [aux_sym_integer_literal_token2] = ACTIONS(13690),
    [aux_sym_integer_literal_token3] = ACTIONS(13690),
    [aux_sym_integer_literal_token4] = ACTIONS(13690),
    [aux_sym_float_literal_token1] = ACTIONS(13690),
    [aux_sym_float_literal_token3] = ACTIONS(13690),
    [aux_sym_float_literal_token4] = ACTIONS(13690),
    [sym_character_literal] = ACTIONS(13690),
    [sym__pair_operator] = ACTIONS(13690),
    [sym__arrow_operator] = ACTIONS(13690),
    [sym__lazy_or_operator] = ACTIONS(13690),
    [sym__lazy_and_operator] = ACTIONS(13690),
    [sym__comparison_operator] = ACTIONS(13690),
    [sym__pipe_right_operator] = ACTIONS(13690),
    [sym__pipe_left_operator] = ACTIONS(13690),
    [sym__ellipsis_operator] = ACTIONS(13690),
    [sym__plus_operator] = ACTIONS(13690),
    [sym__times_operator] = ACTIONS(13690),
    [sym__rational_operator] = ACTIONS(13690),
    [sym__bitshift_operator] = ACTIONS(13690),
    [sym__power_operator] = ACTIONS(13690),
    [sym__tilde_operator] = ACTIONS(13690),
    [sym__type_order_operator] = ACTIONS(13690),
    [sym__unary_operator] = ACTIONS(13690),
    [sym__unary_plus_operator] = ACTIONS(13690),
    [aux_sym__terminator_token1] = ACTIONS(13690),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13692),
    [sym__command_start] = ACTIONS(13692),
  },
  [8238] = {
    [sym__word_identifier] = ACTIONS(13744),
    [anon_sym_EQ] = ACTIONS(13744),
    [anon_sym_COMMA] = ACTIONS(13744),
    [anon_sym_COLON] = ACTIONS(13744),
    [anon_sym_begin] = ACTIONS(13744),
    [anon_sym_module] = ACTIONS(13744),
    [anon_sym_baremodule] = ACTIONS(13744),
    [anon_sym_end] = ACTIONS(13744),
    [anon_sym_abstract] = ACTIONS(13744),
    [anon_sym_primitive] = ACTIONS(13744),
    [anon_sym_mutable] = ACTIONS(13744),
    [anon_sym_struct] = ACTIONS(13744),
    [anon_sym_function] = ACTIONS(13744),
    [anon_sym_macro] = ACTIONS(13744),
    [anon_sym_where] = ACTIONS(13744),
    [anon_sym_quote] = ACTIONS(13744),
    [anon_sym_let] = ACTIONS(13744),
    [anon_sym_if] = ACTIONS(13744),
    [anon_sym_try] = ACTIONS(13744),
    [anon_sym_catch] = ACTIONS(13744),
    [anon_sym_for] = ACTIONS(13744),
    [anon_sym_while] = ACTIONS(13744),
    [sym_break_statement] = ACTIONS(13744),
    [sym_continue_statement] = ACTIONS(13744),
    [anon_sym_return] = ACTIONS(13744),
    [anon_sym_const] = ACTIONS(13744),
    [anon_sym_global] = ACTIONS(13744),
    [anon_sym_local] = ACTIONS(13744),
    [anon_sym_LPAREN] = ACTIONS(13744),
    [anon_sym_COLON2] = ACTIONS(13744),
    [anon_sym_export] = ACTIONS(13744),
    [anon_sym_import] = ACTIONS(13744),
    [anon_sym_using] = ACTIONS(13744),
    [anon_sym_LBRACK] = ACTIONS(13744),
    [anon_sym_LF] = ACTIONS(13746),
    [anon_sym_in] = ACTIONS(13744),
    [anon_sym_LBRACE] = ACTIONS(13744),
    [anon_sym_DOLLAR] = ACTIONS(13744),
    [anon_sym_COLON_COLON] = ACTIONS(13744),
    [anon_sym_isa] = ACTIONS(13744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13744),
    [anon_sym_QMARK] = ACTIONS(13744),
    [anon_sym_AT] = ACTIONS(13744),
    [anon_sym_true] = ACTIONS(13744),
    [anon_sym_false] = ACTIONS(13744),
    [aux_sym_integer_literal_token1] = ACTIONS(13744),
    [aux_sym_integer_literal_token2] = ACTIONS(13744),
    [aux_sym_integer_literal_token3] = ACTIONS(13744),
    [aux_sym_integer_literal_token4] = ACTIONS(13744),
    [aux_sym_float_literal_token1] = ACTIONS(13744),
    [aux_sym_float_literal_token3] = ACTIONS(13744),
    [aux_sym_float_literal_token4] = ACTIONS(13744),
    [sym_character_literal] = ACTIONS(13744),
    [sym__pair_operator] = ACTIONS(13744),
    [sym__arrow_operator] = ACTIONS(13744),
    [sym__lazy_or_operator] = ACTIONS(13744),
    [sym__lazy_and_operator] = ACTIONS(13744),
    [sym__comparison_operator] = ACTIONS(13744),
    [sym__pipe_right_operator] = ACTIONS(13744),
    [sym__pipe_left_operator] = ACTIONS(13744),
    [sym__ellipsis_operator] = ACTIONS(13744),
    [sym__plus_operator] = ACTIONS(13744),
    [sym__times_operator] = ACTIONS(13744),
    [sym__rational_operator] = ACTIONS(13744),
    [sym__bitshift_operator] = ACTIONS(13744),
    [sym__power_operator] = ACTIONS(13744),
    [sym__tilde_operator] = ACTIONS(13744),
    [sym__type_order_operator] = ACTIONS(13744),
    [sym__unary_operator] = ACTIONS(13744),
    [sym__unary_plus_operator] = ACTIONS(13744),
    [aux_sym__terminator_token1] = ACTIONS(13744),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13746),
    [sym__command_start] = ACTIONS(13746),
  },
  [8239] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_RPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_SEMI] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [8240] = {
    [sym__word_identifier] = ACTIONS(13824),
    [anon_sym_EQ] = ACTIONS(13824),
    [anon_sym_COMMA] = ACTIONS(13824),
    [anon_sym_COLON] = ACTIONS(13824),
    [anon_sym_begin] = ACTIONS(13824),
    [anon_sym_module] = ACTIONS(13824),
    [anon_sym_baremodule] = ACTIONS(13824),
    [anon_sym_end] = ACTIONS(13824),
    [anon_sym_abstract] = ACTIONS(13824),
    [anon_sym_primitive] = ACTIONS(13824),
    [anon_sym_mutable] = ACTIONS(13824),
    [anon_sym_struct] = ACTIONS(13824),
    [anon_sym_function] = ACTIONS(13824),
    [anon_sym_macro] = ACTIONS(13824),
    [anon_sym_where] = ACTIONS(13824),
    [anon_sym_quote] = ACTIONS(13824),
    [anon_sym_let] = ACTIONS(13824),
    [anon_sym_if] = ACTIONS(13824),
    [anon_sym_try] = ACTIONS(13824),
    [anon_sym_catch] = ACTIONS(13824),
    [anon_sym_for] = ACTIONS(13824),
    [anon_sym_while] = ACTIONS(13824),
    [sym_break_statement] = ACTIONS(13824),
    [sym_continue_statement] = ACTIONS(13824),
    [anon_sym_return] = ACTIONS(13824),
    [anon_sym_const] = ACTIONS(13824),
    [anon_sym_global] = ACTIONS(13824),
    [anon_sym_local] = ACTIONS(13824),
    [anon_sym_LPAREN] = ACTIONS(13824),
    [anon_sym_COLON2] = ACTIONS(13824),
    [anon_sym_export] = ACTIONS(13824),
    [anon_sym_import] = ACTIONS(13824),
    [anon_sym_using] = ACTIONS(13824),
    [anon_sym_LBRACK] = ACTIONS(13824),
    [anon_sym_LF] = ACTIONS(13826),
    [anon_sym_in] = ACTIONS(13824),
    [anon_sym_LBRACE] = ACTIONS(13824),
    [anon_sym_DOLLAR] = ACTIONS(13824),
    [anon_sym_COLON_COLON] = ACTIONS(13824),
    [anon_sym_isa] = ACTIONS(13824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13824),
    [anon_sym_QMARK] = ACTIONS(13824),
    [anon_sym_AT] = ACTIONS(13824),
    [anon_sym_true] = ACTIONS(13824),
    [anon_sym_false] = ACTIONS(13824),
    [aux_sym_integer_literal_token1] = ACTIONS(13824),
    [aux_sym_integer_literal_token2] = ACTIONS(13824),
    [aux_sym_integer_literal_token3] = ACTIONS(13824),
    [aux_sym_integer_literal_token4] = ACTIONS(13824),
    [aux_sym_float_literal_token1] = ACTIONS(13824),
    [aux_sym_float_literal_token3] = ACTIONS(13824),
    [aux_sym_float_literal_token4] = ACTIONS(13824),
    [sym_character_literal] = ACTIONS(13824),
    [sym__pair_operator] = ACTIONS(13824),
    [sym__arrow_operator] = ACTIONS(13824),
    [sym__lazy_or_operator] = ACTIONS(13824),
    [sym__lazy_and_operator] = ACTIONS(13824),
    [sym__comparison_operator] = ACTIONS(13824),
    [sym__pipe_right_operator] = ACTIONS(13824),
    [sym__pipe_left_operator] = ACTIONS(13824),
    [sym__ellipsis_operator] = ACTIONS(13824),
    [sym__plus_operator] = ACTIONS(13824),
    [sym__times_operator] = ACTIONS(13824),
    [sym__rational_operator] = ACTIONS(13824),
    [sym__bitshift_operator] = ACTIONS(13824),
    [sym__power_operator] = ACTIONS(13824),
    [sym__tilde_operator] = ACTIONS(13824),
    [sym__type_order_operator] = ACTIONS(13824),
    [sym__unary_operator] = ACTIONS(13824),
    [sym__unary_plus_operator] = ACTIONS(13824),
    [aux_sym__terminator_token1] = ACTIONS(13824),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13826),
    [sym__command_start] = ACTIONS(13826),
  },
  [8241] = {
    [sym__word_identifier] = ACTIONS(13828),
    [anon_sym_EQ] = ACTIONS(13828),
    [anon_sym_COMMA] = ACTIONS(13828),
    [anon_sym_COLON] = ACTIONS(13828),
    [anon_sym_begin] = ACTIONS(13828),
    [anon_sym_module] = ACTIONS(13828),
    [anon_sym_baremodule] = ACTIONS(13828),
    [anon_sym_end] = ACTIONS(13828),
    [anon_sym_abstract] = ACTIONS(13828),
    [anon_sym_primitive] = ACTIONS(13828),
    [anon_sym_mutable] = ACTIONS(13828),
    [anon_sym_struct] = ACTIONS(13828),
    [anon_sym_function] = ACTIONS(13828),
    [anon_sym_macro] = ACTIONS(13828),
    [anon_sym_where] = ACTIONS(13828),
    [anon_sym_quote] = ACTIONS(13828),
    [anon_sym_let] = ACTIONS(13828),
    [anon_sym_if] = ACTIONS(13828),
    [anon_sym_try] = ACTIONS(13828),
    [anon_sym_catch] = ACTIONS(13828),
    [anon_sym_for] = ACTIONS(13828),
    [anon_sym_while] = ACTIONS(13828),
    [sym_break_statement] = ACTIONS(13828),
    [sym_continue_statement] = ACTIONS(13828),
    [anon_sym_return] = ACTIONS(13828),
    [anon_sym_const] = ACTIONS(13828),
    [anon_sym_global] = ACTIONS(13828),
    [anon_sym_local] = ACTIONS(13828),
    [anon_sym_LPAREN] = ACTIONS(13828),
    [anon_sym_COLON2] = ACTIONS(13828),
    [anon_sym_export] = ACTIONS(13828),
    [anon_sym_import] = ACTIONS(13828),
    [anon_sym_using] = ACTIONS(13828),
    [anon_sym_LBRACK] = ACTIONS(13828),
    [anon_sym_LF] = ACTIONS(13830),
    [anon_sym_in] = ACTIONS(13828),
    [anon_sym_LBRACE] = ACTIONS(13828),
    [anon_sym_DOLLAR] = ACTIONS(13828),
    [anon_sym_COLON_COLON] = ACTIONS(13828),
    [anon_sym_isa] = ACTIONS(13828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13828),
    [anon_sym_QMARK] = ACTIONS(13828),
    [anon_sym_AT] = ACTIONS(13828),
    [anon_sym_true] = ACTIONS(13828),
    [anon_sym_false] = ACTIONS(13828),
    [aux_sym_integer_literal_token1] = ACTIONS(13828),
    [aux_sym_integer_literal_token2] = ACTIONS(13828),
    [aux_sym_integer_literal_token3] = ACTIONS(13828),
    [aux_sym_integer_literal_token4] = ACTIONS(13828),
    [aux_sym_float_literal_token1] = ACTIONS(13828),
    [aux_sym_float_literal_token3] = ACTIONS(13828),
    [aux_sym_float_literal_token4] = ACTIONS(13828),
    [sym_character_literal] = ACTIONS(13828),
    [sym__pair_operator] = ACTIONS(13828),
    [sym__arrow_operator] = ACTIONS(13828),
    [sym__lazy_or_operator] = ACTIONS(13828),
    [sym__lazy_and_operator] = ACTIONS(13828),
    [sym__comparison_operator] = ACTIONS(13828),
    [sym__pipe_right_operator] = ACTIONS(13828),
    [sym__pipe_left_operator] = ACTIONS(13828),
    [sym__ellipsis_operator] = ACTIONS(13828),
    [sym__plus_operator] = ACTIONS(13828),
    [sym__times_operator] = ACTIONS(13828),
    [sym__rational_operator] = ACTIONS(13828),
    [sym__bitshift_operator] = ACTIONS(13828),
    [sym__power_operator] = ACTIONS(13828),
    [sym__tilde_operator] = ACTIONS(13828),
    [sym__type_order_operator] = ACTIONS(13828),
    [sym__unary_operator] = ACTIONS(13828),
    [sym__unary_plus_operator] = ACTIONS(13828),
    [aux_sym__terminator_token1] = ACTIONS(13828),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13830),
    [sym__command_start] = ACTIONS(13830),
  },
  [8242] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8243] = {
    [sym__word_identifier] = ACTIONS(13768),
    [anon_sym_EQ] = ACTIONS(13768),
    [anon_sym_COMMA] = ACTIONS(13770),
    [anon_sym_COLON] = ACTIONS(13768),
    [anon_sym_begin] = ACTIONS(13768),
    [anon_sym_module] = ACTIONS(13768),
    [anon_sym_baremodule] = ACTIONS(13768),
    [anon_sym_abstract] = ACTIONS(13768),
    [anon_sym_primitive] = ACTIONS(13768),
    [anon_sym_mutable] = ACTIONS(13768),
    [anon_sym_struct] = ACTIONS(13768),
    [anon_sym_function] = ACTIONS(13768),
    [anon_sym_macro] = ACTIONS(13768),
    [anon_sym_where] = ACTIONS(13768),
    [anon_sym_quote] = ACTIONS(13768),
    [anon_sym_let] = ACTIONS(13768),
    [anon_sym_if] = ACTIONS(13768),
    [anon_sym_try] = ACTIONS(13768),
    [anon_sym_for] = ACTIONS(13768),
    [anon_sym_while] = ACTIONS(13768),
    [sym_break_statement] = ACTIONS(13768),
    [sym_continue_statement] = ACTIONS(13768),
    [anon_sym_return] = ACTIONS(13768),
    [anon_sym_const] = ACTIONS(13768),
    [anon_sym_global] = ACTIONS(13768),
    [anon_sym_local] = ACTIONS(13768),
    [anon_sym_LPAREN] = ACTIONS(13770),
    [anon_sym_RPAREN] = ACTIONS(13770),
    [anon_sym_COLON2] = ACTIONS(13768),
    [anon_sym_export] = ACTIONS(13768),
    [anon_sym_import] = ACTIONS(13768),
    [anon_sym_using] = ACTIONS(13768),
    [anon_sym_LBRACK] = ACTIONS(13770),
    [anon_sym_RBRACK] = ACTIONS(13770),
    [anon_sym_in] = ACTIONS(13768),
    [anon_sym_SEMI] = ACTIONS(13770),
    [anon_sym_LBRACE] = ACTIONS(13770),
    [anon_sym_RBRACE] = ACTIONS(13770),
    [anon_sym_DOLLAR] = ACTIONS(13770),
    [anon_sym_COLON_COLON] = ACTIONS(13770),
    [anon_sym_isa] = ACTIONS(13768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13770),
    [anon_sym_QMARK] = ACTIONS(13770),
    [anon_sym_AT] = ACTIONS(13770),
    [anon_sym_true] = ACTIONS(13768),
    [anon_sym_false] = ACTIONS(13768),
    [aux_sym_integer_literal_token1] = ACTIONS(13770),
    [aux_sym_integer_literal_token2] = ACTIONS(13770),
    [aux_sym_integer_literal_token3] = ACTIONS(13768),
    [aux_sym_integer_literal_token4] = ACTIONS(13768),
    [aux_sym_float_literal_token1] = ACTIONS(13770),
    [aux_sym_float_literal_token3] = ACTIONS(13770),
    [aux_sym_float_literal_token4] = ACTIONS(13770),
    [sym_character_literal] = ACTIONS(13770),
    [sym__pair_operator] = ACTIONS(13770),
    [sym__arrow_operator] = ACTIONS(13768),
    [sym__lazy_or_operator] = ACTIONS(13770),
    [sym__lazy_and_operator] = ACTIONS(13770),
    [sym__comparison_operator] = ACTIONS(13768),
    [sym__pipe_right_operator] = ACTIONS(13770),
    [sym__pipe_left_operator] = ACTIONS(13770),
    [sym__ellipsis_operator] = ACTIONS(13768),
    [sym__plus_operator] = ACTIONS(13768),
    [sym__times_operator] = ACTIONS(13768),
    [sym__rational_operator] = ACTIONS(13770),
    [sym__bitshift_operator] = ACTIONS(13770),
    [sym__power_operator] = ACTIONS(13770),
    [sym__tilde_operator] = ACTIONS(13770),
    [sym__type_order_operator] = ACTIONS(13770),
    [sym__unary_operator] = ACTIONS(13768),
    [sym__unary_plus_operator] = ACTIONS(13768),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13770),
    [sym__command_start] = ACTIONS(13770),
  },
  [8244] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12600),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8245] = {
    [aux_sym_open_tuple_repeat1] = STATE(8245),
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(14557),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_end] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(12957),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(12957),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(12957),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(12957),
    [anon_sym_isa] = ACTIONS(12957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12957),
    [anon_sym_QMARK] = ACTIONS(12957),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(12957),
    [sym__arrow_operator] = ACTIONS(12957),
    [sym__lazy_or_operator] = ACTIONS(12957),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12957),
    [sym__pipe_right_operator] = ACTIONS(12957),
    [sym__pipe_left_operator] = ACTIONS(12957),
    [sym__ellipsis_operator] = ACTIONS(12957),
    [sym__plus_operator] = ACTIONS(12957),
    [sym__times_operator] = ACTIONS(12957),
    [sym__rational_operator] = ACTIONS(12957),
    [sym__bitshift_operator] = ACTIONS(12957),
    [sym__power_operator] = ACTIONS(12957),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(12957),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(12957),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [8246] = {
    [sym__word_identifier] = ACTIONS(13772),
    [anon_sym_EQ] = ACTIONS(13772),
    [anon_sym_COMMA] = ACTIONS(13774),
    [anon_sym_COLON] = ACTIONS(13772),
    [anon_sym_begin] = ACTIONS(13772),
    [anon_sym_module] = ACTIONS(13772),
    [anon_sym_baremodule] = ACTIONS(13772),
    [anon_sym_abstract] = ACTIONS(13772),
    [anon_sym_primitive] = ACTIONS(13772),
    [anon_sym_mutable] = ACTIONS(13772),
    [anon_sym_struct] = ACTIONS(13772),
    [anon_sym_function] = ACTIONS(13772),
    [anon_sym_macro] = ACTIONS(13772),
    [anon_sym_where] = ACTIONS(13772),
    [anon_sym_quote] = ACTIONS(13772),
    [anon_sym_let] = ACTIONS(13772),
    [anon_sym_if] = ACTIONS(13772),
    [anon_sym_try] = ACTIONS(13772),
    [anon_sym_for] = ACTIONS(13772),
    [anon_sym_while] = ACTIONS(13772),
    [sym_break_statement] = ACTIONS(13772),
    [sym_continue_statement] = ACTIONS(13772),
    [anon_sym_return] = ACTIONS(13772),
    [anon_sym_const] = ACTIONS(13772),
    [anon_sym_global] = ACTIONS(13772),
    [anon_sym_local] = ACTIONS(13772),
    [anon_sym_LPAREN] = ACTIONS(13774),
    [anon_sym_RPAREN] = ACTIONS(13774),
    [anon_sym_COLON2] = ACTIONS(13772),
    [anon_sym_export] = ACTIONS(13772),
    [anon_sym_import] = ACTIONS(13772),
    [anon_sym_using] = ACTIONS(13772),
    [anon_sym_LBRACK] = ACTIONS(13774),
    [anon_sym_RBRACK] = ACTIONS(13774),
    [anon_sym_in] = ACTIONS(13772),
    [anon_sym_SEMI] = ACTIONS(13774),
    [anon_sym_LBRACE] = ACTIONS(13774),
    [anon_sym_RBRACE] = ACTIONS(13774),
    [anon_sym_DOLLAR] = ACTIONS(13774),
    [anon_sym_COLON_COLON] = ACTIONS(13774),
    [anon_sym_isa] = ACTIONS(13772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13774),
    [anon_sym_QMARK] = ACTIONS(13774),
    [anon_sym_AT] = ACTIONS(13774),
    [anon_sym_true] = ACTIONS(13772),
    [anon_sym_false] = ACTIONS(13772),
    [aux_sym_integer_literal_token1] = ACTIONS(13774),
    [aux_sym_integer_literal_token2] = ACTIONS(13774),
    [aux_sym_integer_literal_token3] = ACTIONS(13772),
    [aux_sym_integer_literal_token4] = ACTIONS(13772),
    [aux_sym_float_literal_token1] = ACTIONS(13774),
    [aux_sym_float_literal_token3] = ACTIONS(13774),
    [aux_sym_float_literal_token4] = ACTIONS(13774),
    [sym_character_literal] = ACTIONS(13774),
    [sym__pair_operator] = ACTIONS(13774),
    [sym__arrow_operator] = ACTIONS(13772),
    [sym__lazy_or_operator] = ACTIONS(13774),
    [sym__lazy_and_operator] = ACTIONS(13774),
    [sym__comparison_operator] = ACTIONS(13772),
    [sym__pipe_right_operator] = ACTIONS(13774),
    [sym__pipe_left_operator] = ACTIONS(13774),
    [sym__ellipsis_operator] = ACTIONS(13772),
    [sym__plus_operator] = ACTIONS(13772),
    [sym__times_operator] = ACTIONS(13772),
    [sym__rational_operator] = ACTIONS(13774),
    [sym__bitshift_operator] = ACTIONS(13774),
    [sym__power_operator] = ACTIONS(13774),
    [sym__tilde_operator] = ACTIONS(13774),
    [sym__type_order_operator] = ACTIONS(13774),
    [sym__unary_operator] = ACTIONS(13772),
    [sym__unary_plus_operator] = ACTIONS(13772),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13774),
    [sym__command_start] = ACTIONS(13774),
  },
  [8247] = {
    [sym__word_identifier] = ACTIONS(13540),
    [anon_sym_EQ] = ACTIONS(13540),
    [anon_sym_COMMA] = ACTIONS(13542),
    [anon_sym_COLON] = ACTIONS(13540),
    [anon_sym_begin] = ACTIONS(13540),
    [anon_sym_module] = ACTIONS(13540),
    [anon_sym_baremodule] = ACTIONS(13540),
    [anon_sym_abstract] = ACTIONS(13540),
    [anon_sym_primitive] = ACTIONS(13540),
    [anon_sym_mutable] = ACTIONS(13540),
    [anon_sym_struct] = ACTIONS(13540),
    [anon_sym_function] = ACTIONS(13540),
    [anon_sym_macro] = ACTIONS(13540),
    [anon_sym_where] = ACTIONS(13540),
    [anon_sym_quote] = ACTIONS(13540),
    [anon_sym_let] = ACTIONS(13540),
    [anon_sym_if] = ACTIONS(13540),
    [anon_sym_try] = ACTIONS(13540),
    [anon_sym_for] = ACTIONS(13540),
    [anon_sym_while] = ACTIONS(13540),
    [sym_break_statement] = ACTIONS(13540),
    [sym_continue_statement] = ACTIONS(13540),
    [anon_sym_return] = ACTIONS(13540),
    [anon_sym_const] = ACTIONS(13540),
    [anon_sym_global] = ACTIONS(13540),
    [anon_sym_local] = ACTIONS(13540),
    [anon_sym_LPAREN] = ACTIONS(13542),
    [anon_sym_RPAREN] = ACTIONS(13542),
    [anon_sym_COLON2] = ACTIONS(13540),
    [anon_sym_export] = ACTIONS(13540),
    [anon_sym_import] = ACTIONS(13540),
    [anon_sym_using] = ACTIONS(13540),
    [anon_sym_LBRACK] = ACTIONS(13542),
    [anon_sym_RBRACK] = ACTIONS(13542),
    [anon_sym_in] = ACTIONS(13540),
    [anon_sym_SEMI] = ACTIONS(13542),
    [anon_sym_LBRACE] = ACTIONS(13542),
    [anon_sym_RBRACE] = ACTIONS(13542),
    [anon_sym_DOLLAR] = ACTIONS(13542),
    [anon_sym_COLON_COLON] = ACTIONS(13542),
    [anon_sym_isa] = ACTIONS(13540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13542),
    [anon_sym_QMARK] = ACTIONS(13542),
    [anon_sym_AT] = ACTIONS(13542),
    [anon_sym_true] = ACTIONS(13540),
    [anon_sym_false] = ACTIONS(13540),
    [aux_sym_integer_literal_token1] = ACTIONS(13542),
    [aux_sym_integer_literal_token2] = ACTIONS(13542),
    [aux_sym_integer_literal_token3] = ACTIONS(13540),
    [aux_sym_integer_literal_token4] = ACTIONS(13540),
    [aux_sym_float_literal_token1] = ACTIONS(13542),
    [aux_sym_float_literal_token3] = ACTIONS(13542),
    [aux_sym_float_literal_token4] = ACTIONS(13542),
    [sym_character_literal] = ACTIONS(13542),
    [sym__pair_operator] = ACTIONS(13542),
    [sym__arrow_operator] = ACTIONS(13540),
    [sym__lazy_or_operator] = ACTIONS(13542),
    [sym__lazy_and_operator] = ACTIONS(13542),
    [sym__comparison_operator] = ACTIONS(13540),
    [sym__pipe_right_operator] = ACTIONS(13542),
    [sym__pipe_left_operator] = ACTIONS(13542),
    [sym__ellipsis_operator] = ACTIONS(13540),
    [sym__plus_operator] = ACTIONS(13540),
    [sym__times_operator] = ACTIONS(13540),
    [sym__rational_operator] = ACTIONS(13542),
    [sym__bitshift_operator] = ACTIONS(13542),
    [sym__power_operator] = ACTIONS(13542),
    [sym__tilde_operator] = ACTIONS(13542),
    [sym__type_order_operator] = ACTIONS(13542),
    [sym__unary_operator] = ACTIONS(13540),
    [sym__unary_plus_operator] = ACTIONS(13540),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13542),
    [sym__command_start] = ACTIONS(13542),
  },
  [8248] = {
    [sym__word_identifier] = ACTIONS(14246),
    [anon_sym_EQ] = ACTIONS(14246),
    [anon_sym_COMMA] = ACTIONS(14246),
    [anon_sym_COLON] = ACTIONS(14246),
    [anon_sym_begin] = ACTIONS(14246),
    [anon_sym_module] = ACTIONS(14246),
    [anon_sym_baremodule] = ACTIONS(14246),
    [anon_sym_end] = ACTIONS(14246),
    [anon_sym_abstract] = ACTIONS(14246),
    [anon_sym_primitive] = ACTIONS(14246),
    [anon_sym_mutable] = ACTIONS(14246),
    [anon_sym_struct] = ACTIONS(14246),
    [anon_sym_function] = ACTIONS(14246),
    [anon_sym_macro] = ACTIONS(14246),
    [anon_sym_where] = ACTIONS(14246),
    [anon_sym_quote] = ACTIONS(14246),
    [anon_sym_let] = ACTIONS(14246),
    [anon_sym_if] = ACTIONS(14246),
    [anon_sym_try] = ACTIONS(14246),
    [anon_sym_finally] = ACTIONS(14246),
    [anon_sym_for] = ACTIONS(14246),
    [anon_sym_while] = ACTIONS(14246),
    [sym_break_statement] = ACTIONS(14246),
    [sym_continue_statement] = ACTIONS(14246),
    [anon_sym_return] = ACTIONS(14246),
    [anon_sym_const] = ACTIONS(14246),
    [anon_sym_global] = ACTIONS(14246),
    [anon_sym_local] = ACTIONS(14246),
    [anon_sym_LPAREN] = ACTIONS(14246),
    [anon_sym_COLON2] = ACTIONS(14246),
    [anon_sym_export] = ACTIONS(14246),
    [anon_sym_import] = ACTIONS(14246),
    [anon_sym_using] = ACTIONS(14246),
    [anon_sym_LBRACK] = ACTIONS(14246),
    [anon_sym_LF] = ACTIONS(14244),
    [anon_sym_in] = ACTIONS(14246),
    [anon_sym_LBRACE] = ACTIONS(14246),
    [anon_sym_DOLLAR] = ACTIONS(14246),
    [anon_sym_COLON_COLON] = ACTIONS(14246),
    [anon_sym_isa] = ACTIONS(14246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14246),
    [anon_sym_QMARK] = ACTIONS(14246),
    [anon_sym_AT] = ACTIONS(14246),
    [anon_sym_true] = ACTIONS(14246),
    [anon_sym_false] = ACTIONS(14246),
    [aux_sym_integer_literal_token1] = ACTIONS(14246),
    [aux_sym_integer_literal_token2] = ACTIONS(14246),
    [aux_sym_integer_literal_token3] = ACTIONS(14246),
    [aux_sym_integer_literal_token4] = ACTIONS(14246),
    [aux_sym_float_literal_token1] = ACTIONS(14246),
    [aux_sym_float_literal_token3] = ACTIONS(14246),
    [aux_sym_float_literal_token4] = ACTIONS(14246),
    [sym_character_literal] = ACTIONS(14246),
    [sym__pair_operator] = ACTIONS(14246),
    [sym__arrow_operator] = ACTIONS(14246),
    [sym__lazy_or_operator] = ACTIONS(14246),
    [sym__lazy_and_operator] = ACTIONS(14246),
    [sym__comparison_operator] = ACTIONS(14246),
    [sym__pipe_right_operator] = ACTIONS(14246),
    [sym__pipe_left_operator] = ACTIONS(14246),
    [sym__ellipsis_operator] = ACTIONS(14246),
    [sym__plus_operator] = ACTIONS(14246),
    [sym__times_operator] = ACTIONS(14246),
    [sym__rational_operator] = ACTIONS(14246),
    [sym__bitshift_operator] = ACTIONS(14246),
    [sym__power_operator] = ACTIONS(14246),
    [sym__tilde_operator] = ACTIONS(14246),
    [sym__type_order_operator] = ACTIONS(14246),
    [sym__unary_operator] = ACTIONS(14246),
    [sym__unary_plus_operator] = ACTIONS(14246),
    [aux_sym__terminator_token1] = ACTIONS(14246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14244),
    [sym__command_start] = ACTIONS(14244),
  },
  [8249] = {
    [sym__word_identifier] = ACTIONS(14270),
    [anon_sym_EQ] = ACTIONS(14270),
    [anon_sym_COMMA] = ACTIONS(14270),
    [anon_sym_COLON] = ACTIONS(14270),
    [anon_sym_begin] = ACTIONS(14270),
    [anon_sym_module] = ACTIONS(14270),
    [anon_sym_baremodule] = ACTIONS(14270),
    [anon_sym_end] = ACTIONS(14270),
    [anon_sym_abstract] = ACTIONS(14270),
    [anon_sym_primitive] = ACTIONS(14270),
    [anon_sym_mutable] = ACTIONS(14270),
    [anon_sym_struct] = ACTIONS(14270),
    [anon_sym_function] = ACTIONS(14270),
    [anon_sym_macro] = ACTIONS(14270),
    [anon_sym_where] = ACTIONS(14270),
    [anon_sym_quote] = ACTIONS(14270),
    [anon_sym_let] = ACTIONS(14270),
    [anon_sym_if] = ACTIONS(14270),
    [anon_sym_try] = ACTIONS(14270),
    [anon_sym_finally] = ACTIONS(14270),
    [anon_sym_for] = ACTIONS(14270),
    [anon_sym_while] = ACTIONS(14270),
    [sym_break_statement] = ACTIONS(14270),
    [sym_continue_statement] = ACTIONS(14270),
    [anon_sym_return] = ACTIONS(14270),
    [anon_sym_const] = ACTIONS(14270),
    [anon_sym_global] = ACTIONS(14270),
    [anon_sym_local] = ACTIONS(14270),
    [anon_sym_LPAREN] = ACTIONS(14270),
    [anon_sym_COLON2] = ACTIONS(14270),
    [anon_sym_export] = ACTIONS(14270),
    [anon_sym_import] = ACTIONS(14270),
    [anon_sym_using] = ACTIONS(14270),
    [anon_sym_LBRACK] = ACTIONS(14270),
    [anon_sym_LF] = ACTIONS(14268),
    [anon_sym_in] = ACTIONS(14270),
    [anon_sym_LBRACE] = ACTIONS(14270),
    [anon_sym_DOLLAR] = ACTIONS(14270),
    [anon_sym_COLON_COLON] = ACTIONS(14270),
    [anon_sym_isa] = ACTIONS(14270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14270),
    [anon_sym_QMARK] = ACTIONS(14270),
    [anon_sym_AT] = ACTIONS(14270),
    [anon_sym_true] = ACTIONS(14270),
    [anon_sym_false] = ACTIONS(14270),
    [aux_sym_integer_literal_token1] = ACTIONS(14270),
    [aux_sym_integer_literal_token2] = ACTIONS(14270),
    [aux_sym_integer_literal_token3] = ACTIONS(14270),
    [aux_sym_integer_literal_token4] = ACTIONS(14270),
    [aux_sym_float_literal_token1] = ACTIONS(14270),
    [aux_sym_float_literal_token3] = ACTIONS(14270),
    [aux_sym_float_literal_token4] = ACTIONS(14270),
    [sym_character_literal] = ACTIONS(14270),
    [sym__pair_operator] = ACTIONS(14270),
    [sym__arrow_operator] = ACTIONS(14270),
    [sym__lazy_or_operator] = ACTIONS(14270),
    [sym__lazy_and_operator] = ACTIONS(14270),
    [sym__comparison_operator] = ACTIONS(14270),
    [sym__pipe_right_operator] = ACTIONS(14270),
    [sym__pipe_left_operator] = ACTIONS(14270),
    [sym__ellipsis_operator] = ACTIONS(14270),
    [sym__plus_operator] = ACTIONS(14270),
    [sym__times_operator] = ACTIONS(14270),
    [sym__rational_operator] = ACTIONS(14270),
    [sym__bitshift_operator] = ACTIONS(14270),
    [sym__power_operator] = ACTIONS(14270),
    [sym__tilde_operator] = ACTIONS(14270),
    [sym__type_order_operator] = ACTIONS(14270),
    [sym__unary_operator] = ACTIONS(14270),
    [sym__unary_plus_operator] = ACTIONS(14270),
    [aux_sym__terminator_token1] = ACTIONS(14270),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14268),
    [sym__command_start] = ACTIONS(14268),
  },
  [8250] = {
    [sym__word_identifier] = ACTIONS(13776),
    [anon_sym_EQ] = ACTIONS(13776),
    [anon_sym_COMMA] = ACTIONS(13778),
    [anon_sym_COLON] = ACTIONS(13776),
    [anon_sym_begin] = ACTIONS(13776),
    [anon_sym_module] = ACTIONS(13776),
    [anon_sym_baremodule] = ACTIONS(13776),
    [anon_sym_abstract] = ACTIONS(13776),
    [anon_sym_primitive] = ACTIONS(13776),
    [anon_sym_mutable] = ACTIONS(13776),
    [anon_sym_struct] = ACTIONS(13776),
    [anon_sym_function] = ACTIONS(13776),
    [anon_sym_macro] = ACTIONS(13776),
    [anon_sym_where] = ACTIONS(13776),
    [anon_sym_quote] = ACTIONS(13776),
    [anon_sym_let] = ACTIONS(13776),
    [anon_sym_if] = ACTIONS(13776),
    [anon_sym_try] = ACTIONS(13776),
    [anon_sym_for] = ACTIONS(13776),
    [anon_sym_while] = ACTIONS(13776),
    [sym_break_statement] = ACTIONS(13776),
    [sym_continue_statement] = ACTIONS(13776),
    [anon_sym_return] = ACTIONS(13776),
    [anon_sym_const] = ACTIONS(13776),
    [anon_sym_global] = ACTIONS(13776),
    [anon_sym_local] = ACTIONS(13776),
    [anon_sym_LPAREN] = ACTIONS(13778),
    [anon_sym_RPAREN] = ACTIONS(13778),
    [anon_sym_COLON2] = ACTIONS(13776),
    [anon_sym_export] = ACTIONS(13776),
    [anon_sym_import] = ACTIONS(13776),
    [anon_sym_using] = ACTIONS(13776),
    [anon_sym_LBRACK] = ACTIONS(13778),
    [anon_sym_RBRACK] = ACTIONS(13778),
    [anon_sym_in] = ACTIONS(13776),
    [anon_sym_SEMI] = ACTIONS(13778),
    [anon_sym_LBRACE] = ACTIONS(13778),
    [anon_sym_RBRACE] = ACTIONS(13778),
    [anon_sym_DOLLAR] = ACTIONS(13778),
    [anon_sym_COLON_COLON] = ACTIONS(13778),
    [anon_sym_isa] = ACTIONS(13776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13778),
    [anon_sym_QMARK] = ACTIONS(13778),
    [anon_sym_AT] = ACTIONS(13778),
    [anon_sym_true] = ACTIONS(13776),
    [anon_sym_false] = ACTIONS(13776),
    [aux_sym_integer_literal_token1] = ACTIONS(13778),
    [aux_sym_integer_literal_token2] = ACTIONS(13778),
    [aux_sym_integer_literal_token3] = ACTIONS(13776),
    [aux_sym_integer_literal_token4] = ACTIONS(13776),
    [aux_sym_float_literal_token1] = ACTIONS(13778),
    [aux_sym_float_literal_token3] = ACTIONS(13778),
    [aux_sym_float_literal_token4] = ACTIONS(13778),
    [sym_character_literal] = ACTIONS(13778),
    [sym__pair_operator] = ACTIONS(13778),
    [sym__arrow_operator] = ACTIONS(13776),
    [sym__lazy_or_operator] = ACTIONS(13778),
    [sym__lazy_and_operator] = ACTIONS(13778),
    [sym__comparison_operator] = ACTIONS(13776),
    [sym__pipe_right_operator] = ACTIONS(13778),
    [sym__pipe_left_operator] = ACTIONS(13778),
    [sym__ellipsis_operator] = ACTIONS(13776),
    [sym__plus_operator] = ACTIONS(13776),
    [sym__times_operator] = ACTIONS(13776),
    [sym__rational_operator] = ACTIONS(13778),
    [sym__bitshift_operator] = ACTIONS(13778),
    [sym__power_operator] = ACTIONS(13778),
    [sym__tilde_operator] = ACTIONS(13778),
    [sym__type_order_operator] = ACTIONS(13778),
    [sym__unary_operator] = ACTIONS(13776),
    [sym__unary_plus_operator] = ACTIONS(13776),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13778),
    [sym__command_start] = ACTIONS(13778),
  },
  [8251] = {
    [sym__word_identifier] = ACTIONS(13522),
    [anon_sym_EQ] = ACTIONS(13522),
    [anon_sym_COMMA] = ACTIONS(13524),
    [anon_sym_COLON] = ACTIONS(13522),
    [anon_sym_begin] = ACTIONS(13522),
    [anon_sym_module] = ACTIONS(13522),
    [anon_sym_baremodule] = ACTIONS(13522),
    [anon_sym_abstract] = ACTIONS(13522),
    [anon_sym_primitive] = ACTIONS(13522),
    [anon_sym_mutable] = ACTIONS(13522),
    [anon_sym_struct] = ACTIONS(13522),
    [anon_sym_function] = ACTIONS(13522),
    [anon_sym_macro] = ACTIONS(13522),
    [anon_sym_where] = ACTIONS(13522),
    [anon_sym_quote] = ACTIONS(13522),
    [anon_sym_let] = ACTIONS(13522),
    [anon_sym_if] = ACTIONS(13522),
    [anon_sym_try] = ACTIONS(13522),
    [anon_sym_for] = ACTIONS(13522),
    [anon_sym_while] = ACTIONS(13522),
    [sym_break_statement] = ACTIONS(13522),
    [sym_continue_statement] = ACTIONS(13522),
    [anon_sym_return] = ACTIONS(13522),
    [anon_sym_const] = ACTIONS(13522),
    [anon_sym_global] = ACTIONS(13522),
    [anon_sym_local] = ACTIONS(13522),
    [anon_sym_LPAREN] = ACTIONS(13524),
    [anon_sym_RPAREN] = ACTIONS(13524),
    [anon_sym_COLON2] = ACTIONS(13522),
    [anon_sym_export] = ACTIONS(13522),
    [anon_sym_import] = ACTIONS(13522),
    [anon_sym_using] = ACTIONS(13522),
    [anon_sym_LBRACK] = ACTIONS(13524),
    [anon_sym_RBRACK] = ACTIONS(13524),
    [anon_sym_in] = ACTIONS(13522),
    [anon_sym_SEMI] = ACTIONS(13524),
    [anon_sym_LBRACE] = ACTIONS(13524),
    [anon_sym_RBRACE] = ACTIONS(13524),
    [anon_sym_DOLLAR] = ACTIONS(13524),
    [anon_sym_COLON_COLON] = ACTIONS(13524),
    [anon_sym_isa] = ACTIONS(13522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13524),
    [anon_sym_QMARK] = ACTIONS(13524),
    [anon_sym_AT] = ACTIONS(13524),
    [anon_sym_true] = ACTIONS(13522),
    [anon_sym_false] = ACTIONS(13522),
    [aux_sym_integer_literal_token1] = ACTIONS(13524),
    [aux_sym_integer_literal_token2] = ACTIONS(13524),
    [aux_sym_integer_literal_token3] = ACTIONS(13522),
    [aux_sym_integer_literal_token4] = ACTIONS(13522),
    [aux_sym_float_literal_token1] = ACTIONS(13524),
    [aux_sym_float_literal_token3] = ACTIONS(13524),
    [aux_sym_float_literal_token4] = ACTIONS(13524),
    [sym_character_literal] = ACTIONS(13524),
    [sym__pair_operator] = ACTIONS(13524),
    [sym__arrow_operator] = ACTIONS(13522),
    [sym__lazy_or_operator] = ACTIONS(13524),
    [sym__lazy_and_operator] = ACTIONS(13524),
    [sym__comparison_operator] = ACTIONS(13522),
    [sym__pipe_right_operator] = ACTIONS(13524),
    [sym__pipe_left_operator] = ACTIONS(13524),
    [sym__ellipsis_operator] = ACTIONS(13522),
    [sym__plus_operator] = ACTIONS(13522),
    [sym__times_operator] = ACTIONS(13522),
    [sym__rational_operator] = ACTIONS(13524),
    [sym__bitshift_operator] = ACTIONS(13524),
    [sym__power_operator] = ACTIONS(13524),
    [sym__tilde_operator] = ACTIONS(13524),
    [sym__type_order_operator] = ACTIONS(13524),
    [sym__unary_operator] = ACTIONS(13522),
    [sym__unary_plus_operator] = ACTIONS(13522),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13524),
    [sym__command_start] = ACTIONS(13524),
  },
  [8252] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8253] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8254] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8255] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8256] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14568),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14568),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8257] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14570),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14572),
    [sym__pipe_left_operator] = ACTIONS(14574),
    [sym__ellipsis_operator] = ACTIONS(14576),
    [sym__plus_operator] = ACTIONS(14568),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14568),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8258] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14570),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(14576),
    [sym__plus_operator] = ACTIONS(14568),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14568),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8259] = {
    [ts_builtin_sym_end] = ACTIONS(13971),
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(14578),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_RPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(14580),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_RBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(14582),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(14584),
    [sym__arrow_operator] = ACTIONS(14586),
    [sym__lazy_or_operator] = ACTIONS(14588),
    [sym__lazy_and_operator] = ACTIONS(14590),
    [sym__comparison_operator] = ACTIONS(14582),
    [sym__pipe_right_operator] = ACTIONS(14592),
    [sym__pipe_left_operator] = ACTIONS(14594),
    [sym__ellipsis_operator] = ACTIONS(14596),
    [sym__plus_operator] = ACTIONS(14598),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(14582),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14598),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [8260] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14608),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14570),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14610),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(14610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(14610),
    [sym__pipe_right_operator] = ACTIONS(14572),
    [sym__pipe_left_operator] = ACTIONS(14574),
    [sym__ellipsis_operator] = ACTIONS(14576),
    [sym__plus_operator] = ACTIONS(14568),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14610),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14568),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8261] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14608),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14570),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14610),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(14610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(14612),
    [sym__comparison_operator] = ACTIONS(14610),
    [sym__pipe_right_operator] = ACTIONS(14572),
    [sym__pipe_left_operator] = ACTIONS(14574),
    [sym__ellipsis_operator] = ACTIONS(14576),
    [sym__plus_operator] = ACTIONS(14568),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14610),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14568),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8262] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14608),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14570),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14610),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(14610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(14614),
    [sym__lazy_or_operator] = ACTIONS(14616),
    [sym__lazy_and_operator] = ACTIONS(14612),
    [sym__comparison_operator] = ACTIONS(14610),
    [sym__pipe_right_operator] = ACTIONS(14572),
    [sym__pipe_left_operator] = ACTIONS(14574),
    [sym__ellipsis_operator] = ACTIONS(14576),
    [sym__plus_operator] = ACTIONS(14568),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14610),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14568),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8263] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14608),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14570),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14610),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(14610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13576),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(14618),
    [sym__arrow_operator] = ACTIONS(14614),
    [sym__lazy_or_operator] = ACTIONS(14616),
    [sym__lazy_and_operator] = ACTIONS(14612),
    [sym__comparison_operator] = ACTIONS(14610),
    [sym__pipe_right_operator] = ACTIONS(14572),
    [sym__pipe_left_operator] = ACTIONS(14574),
    [sym__ellipsis_operator] = ACTIONS(14576),
    [sym__plus_operator] = ACTIONS(14568),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14610),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14568),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8264] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14570),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14572),
    [sym__pipe_left_operator] = ACTIONS(14574),
    [sym__ellipsis_operator] = ACTIONS(14576),
    [sym__plus_operator] = ACTIONS(14568),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14568),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8265] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_finally] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(14620),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8266] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_RPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_SEMI] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [8267] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_else] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_finally] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14568),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14568),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [8268] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_else] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_finally] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(14570),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(14610),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(14610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(14610),
    [sym__pipe_right_operator] = ACTIONS(14572),
    [sym__pipe_left_operator] = ACTIONS(14574),
    [sym__ellipsis_operator] = ACTIONS(14576),
    [sym__plus_operator] = ACTIONS(14568),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(14610),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14568),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [8269] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(14521),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_catch] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8270] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8271] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(12528),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_catch] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8272] = {
    [aux_sym_open_tuple_repeat1] = STATE(7595),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13432),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(14620),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8273] = {
    [sym__word_identifier] = ACTIONS(14120),
    [anon_sym_EQ] = ACTIONS(14120),
    [anon_sym_COMMA] = ACTIONS(14120),
    [anon_sym_COLON] = ACTIONS(14120),
    [anon_sym_begin] = ACTIONS(14120),
    [anon_sym_module] = ACTIONS(14120),
    [anon_sym_baremodule] = ACTIONS(14120),
    [anon_sym_end] = ACTIONS(14120),
    [anon_sym_abstract] = ACTIONS(14120),
    [anon_sym_primitive] = ACTIONS(14120),
    [anon_sym_mutable] = ACTIONS(14120),
    [anon_sym_struct] = ACTIONS(14120),
    [anon_sym_function] = ACTIONS(14120),
    [anon_sym_macro] = ACTIONS(14120),
    [anon_sym_where] = ACTIONS(14120),
    [anon_sym_quote] = ACTIONS(14120),
    [anon_sym_let] = ACTIONS(14120),
    [anon_sym_if] = ACTIONS(14120),
    [anon_sym_try] = ACTIONS(14120),
    [anon_sym_finally] = ACTIONS(14120),
    [anon_sym_for] = ACTIONS(14120),
    [anon_sym_while] = ACTIONS(14120),
    [sym_break_statement] = ACTIONS(14120),
    [sym_continue_statement] = ACTIONS(14120),
    [anon_sym_return] = ACTIONS(14120),
    [anon_sym_const] = ACTIONS(14120),
    [anon_sym_global] = ACTIONS(14120),
    [anon_sym_local] = ACTIONS(14120),
    [anon_sym_LPAREN] = ACTIONS(14120),
    [anon_sym_COLON2] = ACTIONS(14120),
    [anon_sym_export] = ACTIONS(14120),
    [anon_sym_import] = ACTIONS(14120),
    [anon_sym_using] = ACTIONS(14120),
    [anon_sym_LBRACK] = ACTIONS(14120),
    [anon_sym_LF] = ACTIONS(14118),
    [anon_sym_in] = ACTIONS(14120),
    [anon_sym_LBRACE] = ACTIONS(14120),
    [anon_sym_DOLLAR] = ACTIONS(14120),
    [anon_sym_COLON_COLON] = ACTIONS(14120),
    [anon_sym_isa] = ACTIONS(14120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14120),
    [anon_sym_QMARK] = ACTIONS(14120),
    [anon_sym_AT] = ACTIONS(14120),
    [anon_sym_true] = ACTIONS(14120),
    [anon_sym_false] = ACTIONS(14120),
    [aux_sym_integer_literal_token1] = ACTIONS(14120),
    [aux_sym_integer_literal_token2] = ACTIONS(14120),
    [aux_sym_integer_literal_token3] = ACTIONS(14120),
    [aux_sym_integer_literal_token4] = ACTIONS(14120),
    [aux_sym_float_literal_token1] = ACTIONS(14120),
    [aux_sym_float_literal_token3] = ACTIONS(14120),
    [aux_sym_float_literal_token4] = ACTIONS(14120),
    [sym_character_literal] = ACTIONS(14120),
    [sym__pair_operator] = ACTIONS(14120),
    [sym__arrow_operator] = ACTIONS(14120),
    [sym__lazy_or_operator] = ACTIONS(14120),
    [sym__lazy_and_operator] = ACTIONS(14120),
    [sym__comparison_operator] = ACTIONS(14120),
    [sym__pipe_right_operator] = ACTIONS(14120),
    [sym__pipe_left_operator] = ACTIONS(14120),
    [sym__ellipsis_operator] = ACTIONS(14120),
    [sym__plus_operator] = ACTIONS(14120),
    [sym__times_operator] = ACTIONS(14120),
    [sym__rational_operator] = ACTIONS(14120),
    [sym__bitshift_operator] = ACTIONS(14120),
    [sym__power_operator] = ACTIONS(14120),
    [sym__tilde_operator] = ACTIONS(14120),
    [sym__type_order_operator] = ACTIONS(14120),
    [sym__unary_operator] = ACTIONS(14120),
    [sym__unary_plus_operator] = ACTIONS(14120),
    [aux_sym__terminator_token1] = ACTIONS(14120),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14118),
    [sym__command_start] = ACTIONS(14118),
  },
  [8274] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8275] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(12528),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_catch] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8276] = {
    [aux_sym_open_tuple_repeat1] = STATE(7595),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13432),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(14620),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8277] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8278] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(12528),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_catch] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8279] = {
    [aux_sym_open_tuple_repeat1] = STATE(7595),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13432),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(14620),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8280] = {
    [sym__word_identifier] = ACTIONS(13780),
    [anon_sym_EQ] = ACTIONS(13780),
    [anon_sym_COMMA] = ACTIONS(13782),
    [anon_sym_COLON] = ACTIONS(13780),
    [anon_sym_begin] = ACTIONS(13780),
    [anon_sym_module] = ACTIONS(13780),
    [anon_sym_baremodule] = ACTIONS(13780),
    [anon_sym_abstract] = ACTIONS(13780),
    [anon_sym_primitive] = ACTIONS(13780),
    [anon_sym_mutable] = ACTIONS(13780),
    [anon_sym_struct] = ACTIONS(13780),
    [anon_sym_function] = ACTIONS(13780),
    [anon_sym_macro] = ACTIONS(13780),
    [anon_sym_where] = ACTIONS(13780),
    [anon_sym_quote] = ACTIONS(13780),
    [anon_sym_let] = ACTIONS(13780),
    [anon_sym_if] = ACTIONS(13780),
    [anon_sym_try] = ACTIONS(13780),
    [anon_sym_for] = ACTIONS(13780),
    [anon_sym_while] = ACTIONS(13780),
    [sym_break_statement] = ACTIONS(13780),
    [sym_continue_statement] = ACTIONS(13780),
    [anon_sym_return] = ACTIONS(13780),
    [anon_sym_const] = ACTIONS(13780),
    [anon_sym_global] = ACTIONS(13780),
    [anon_sym_local] = ACTIONS(13780),
    [anon_sym_LPAREN] = ACTIONS(13782),
    [anon_sym_RPAREN] = ACTIONS(13782),
    [anon_sym_COLON2] = ACTIONS(13780),
    [anon_sym_export] = ACTIONS(13780),
    [anon_sym_import] = ACTIONS(13780),
    [anon_sym_using] = ACTIONS(13780),
    [anon_sym_LBRACK] = ACTIONS(13782),
    [anon_sym_RBRACK] = ACTIONS(13782),
    [anon_sym_in] = ACTIONS(13780),
    [anon_sym_SEMI] = ACTIONS(13782),
    [anon_sym_LBRACE] = ACTIONS(13782),
    [anon_sym_RBRACE] = ACTIONS(13782),
    [anon_sym_DOLLAR] = ACTIONS(13782),
    [anon_sym_COLON_COLON] = ACTIONS(13782),
    [anon_sym_isa] = ACTIONS(13780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13782),
    [anon_sym_QMARK] = ACTIONS(13782),
    [anon_sym_AT] = ACTIONS(13782),
    [anon_sym_true] = ACTIONS(13780),
    [anon_sym_false] = ACTIONS(13780),
    [aux_sym_integer_literal_token1] = ACTIONS(13782),
    [aux_sym_integer_literal_token2] = ACTIONS(13782),
    [aux_sym_integer_literal_token3] = ACTIONS(13780),
    [aux_sym_integer_literal_token4] = ACTIONS(13780),
    [aux_sym_float_literal_token1] = ACTIONS(13782),
    [aux_sym_float_literal_token3] = ACTIONS(13782),
    [aux_sym_float_literal_token4] = ACTIONS(13782),
    [sym_character_literal] = ACTIONS(13782),
    [sym__pair_operator] = ACTIONS(13782),
    [sym__arrow_operator] = ACTIONS(13780),
    [sym__lazy_or_operator] = ACTIONS(13782),
    [sym__lazy_and_operator] = ACTIONS(13782),
    [sym__comparison_operator] = ACTIONS(13780),
    [sym__pipe_right_operator] = ACTIONS(13782),
    [sym__pipe_left_operator] = ACTIONS(13782),
    [sym__ellipsis_operator] = ACTIONS(13780),
    [sym__plus_operator] = ACTIONS(13780),
    [sym__times_operator] = ACTIONS(13780),
    [sym__rational_operator] = ACTIONS(13782),
    [sym__bitshift_operator] = ACTIONS(13782),
    [sym__power_operator] = ACTIONS(13782),
    [sym__tilde_operator] = ACTIONS(13782),
    [sym__type_order_operator] = ACTIONS(13782),
    [sym__unary_operator] = ACTIONS(13780),
    [sym__unary_plus_operator] = ACTIONS(13780),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13782),
    [sym__command_start] = ACTIONS(13782),
  },
  [8281] = {
    [sym__word_identifier] = ACTIONS(13804),
    [anon_sym_EQ] = ACTIONS(13804),
    [anon_sym_COMMA] = ACTIONS(13806),
    [anon_sym_COLON] = ACTIONS(13804),
    [anon_sym_begin] = ACTIONS(13804),
    [anon_sym_module] = ACTIONS(13804),
    [anon_sym_baremodule] = ACTIONS(13804),
    [anon_sym_abstract] = ACTIONS(13804),
    [anon_sym_primitive] = ACTIONS(13804),
    [anon_sym_mutable] = ACTIONS(13804),
    [anon_sym_struct] = ACTIONS(13804),
    [anon_sym_function] = ACTIONS(13804),
    [anon_sym_macro] = ACTIONS(13804),
    [anon_sym_where] = ACTIONS(13804),
    [anon_sym_quote] = ACTIONS(13804),
    [anon_sym_let] = ACTIONS(13804),
    [anon_sym_if] = ACTIONS(13804),
    [anon_sym_try] = ACTIONS(13804),
    [anon_sym_for] = ACTIONS(13804),
    [anon_sym_while] = ACTIONS(13804),
    [sym_break_statement] = ACTIONS(13804),
    [sym_continue_statement] = ACTIONS(13804),
    [anon_sym_return] = ACTIONS(13804),
    [anon_sym_const] = ACTIONS(13804),
    [anon_sym_global] = ACTIONS(13804),
    [anon_sym_local] = ACTIONS(13804),
    [anon_sym_LPAREN] = ACTIONS(13806),
    [anon_sym_RPAREN] = ACTIONS(13806),
    [anon_sym_COLON2] = ACTIONS(13804),
    [anon_sym_export] = ACTIONS(13804),
    [anon_sym_import] = ACTIONS(13804),
    [anon_sym_using] = ACTIONS(13804),
    [anon_sym_LBRACK] = ACTIONS(13806),
    [anon_sym_RBRACK] = ACTIONS(13806),
    [anon_sym_in] = ACTIONS(13804),
    [anon_sym_SEMI] = ACTIONS(13806),
    [anon_sym_LBRACE] = ACTIONS(13806),
    [anon_sym_RBRACE] = ACTIONS(13806),
    [anon_sym_DOLLAR] = ACTIONS(13806),
    [anon_sym_COLON_COLON] = ACTIONS(13806),
    [anon_sym_isa] = ACTIONS(13804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13806),
    [anon_sym_QMARK] = ACTIONS(13806),
    [anon_sym_AT] = ACTIONS(13806),
    [anon_sym_true] = ACTIONS(13804),
    [anon_sym_false] = ACTIONS(13804),
    [aux_sym_integer_literal_token1] = ACTIONS(13806),
    [aux_sym_integer_literal_token2] = ACTIONS(13806),
    [aux_sym_integer_literal_token3] = ACTIONS(13804),
    [aux_sym_integer_literal_token4] = ACTIONS(13804),
    [aux_sym_float_literal_token1] = ACTIONS(13806),
    [aux_sym_float_literal_token3] = ACTIONS(13806),
    [aux_sym_float_literal_token4] = ACTIONS(13806),
    [sym_character_literal] = ACTIONS(13806),
    [sym__pair_operator] = ACTIONS(13806),
    [sym__arrow_operator] = ACTIONS(13804),
    [sym__lazy_or_operator] = ACTIONS(13806),
    [sym__lazy_and_operator] = ACTIONS(13806),
    [sym__comparison_operator] = ACTIONS(13804),
    [sym__pipe_right_operator] = ACTIONS(13806),
    [sym__pipe_left_operator] = ACTIONS(13806),
    [sym__ellipsis_operator] = ACTIONS(13804),
    [sym__plus_operator] = ACTIONS(13804),
    [sym__times_operator] = ACTIONS(13804),
    [sym__rational_operator] = ACTIONS(13806),
    [sym__bitshift_operator] = ACTIONS(13806),
    [sym__power_operator] = ACTIONS(13806),
    [sym__tilde_operator] = ACTIONS(13806),
    [sym__type_order_operator] = ACTIONS(13806),
    [sym__unary_operator] = ACTIONS(13804),
    [sym__unary_plus_operator] = ACTIONS(13804),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13806),
    [sym__command_start] = ACTIONS(13806),
  },
  [8282] = {
    [sym__word_identifier] = ACTIONS(13808),
    [anon_sym_EQ] = ACTIONS(13808),
    [anon_sym_COMMA] = ACTIONS(13810),
    [anon_sym_COLON] = ACTIONS(13808),
    [anon_sym_begin] = ACTIONS(13808),
    [anon_sym_module] = ACTIONS(13808),
    [anon_sym_baremodule] = ACTIONS(13808),
    [anon_sym_abstract] = ACTIONS(13808),
    [anon_sym_primitive] = ACTIONS(13808),
    [anon_sym_mutable] = ACTIONS(13808),
    [anon_sym_struct] = ACTIONS(13808),
    [anon_sym_function] = ACTIONS(13808),
    [anon_sym_macro] = ACTIONS(13808),
    [anon_sym_where] = ACTIONS(13808),
    [anon_sym_quote] = ACTIONS(13808),
    [anon_sym_let] = ACTIONS(13808),
    [anon_sym_if] = ACTIONS(13808),
    [anon_sym_try] = ACTIONS(13808),
    [anon_sym_for] = ACTIONS(13808),
    [anon_sym_while] = ACTIONS(13808),
    [sym_break_statement] = ACTIONS(13808),
    [sym_continue_statement] = ACTIONS(13808),
    [anon_sym_return] = ACTIONS(13808),
    [anon_sym_const] = ACTIONS(13808),
    [anon_sym_global] = ACTIONS(13808),
    [anon_sym_local] = ACTIONS(13808),
    [anon_sym_LPAREN] = ACTIONS(13810),
    [anon_sym_RPAREN] = ACTIONS(13810),
    [anon_sym_COLON2] = ACTIONS(13808),
    [anon_sym_export] = ACTIONS(13808),
    [anon_sym_import] = ACTIONS(13808),
    [anon_sym_using] = ACTIONS(13808),
    [anon_sym_LBRACK] = ACTIONS(13810),
    [anon_sym_RBRACK] = ACTIONS(13810),
    [anon_sym_in] = ACTIONS(13808),
    [anon_sym_SEMI] = ACTIONS(13810),
    [anon_sym_LBRACE] = ACTIONS(13810),
    [anon_sym_RBRACE] = ACTIONS(13810),
    [anon_sym_DOLLAR] = ACTIONS(13810),
    [anon_sym_COLON_COLON] = ACTIONS(13810),
    [anon_sym_isa] = ACTIONS(13808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13810),
    [anon_sym_QMARK] = ACTIONS(13810),
    [anon_sym_AT] = ACTIONS(13810),
    [anon_sym_true] = ACTIONS(13808),
    [anon_sym_false] = ACTIONS(13808),
    [aux_sym_integer_literal_token1] = ACTIONS(13810),
    [aux_sym_integer_literal_token2] = ACTIONS(13810),
    [aux_sym_integer_literal_token3] = ACTIONS(13808),
    [aux_sym_integer_literal_token4] = ACTIONS(13808),
    [aux_sym_float_literal_token1] = ACTIONS(13810),
    [aux_sym_float_literal_token3] = ACTIONS(13810),
    [aux_sym_float_literal_token4] = ACTIONS(13810),
    [sym_character_literal] = ACTIONS(13810),
    [sym__pair_operator] = ACTIONS(13810),
    [sym__arrow_operator] = ACTIONS(13808),
    [sym__lazy_or_operator] = ACTIONS(13810),
    [sym__lazy_and_operator] = ACTIONS(13810),
    [sym__comparison_operator] = ACTIONS(13808),
    [sym__pipe_right_operator] = ACTIONS(13810),
    [sym__pipe_left_operator] = ACTIONS(13810),
    [sym__ellipsis_operator] = ACTIONS(13808),
    [sym__plus_operator] = ACTIONS(13808),
    [sym__times_operator] = ACTIONS(13808),
    [sym__rational_operator] = ACTIONS(13810),
    [sym__bitshift_operator] = ACTIONS(13810),
    [sym__power_operator] = ACTIONS(13810),
    [sym__tilde_operator] = ACTIONS(13810),
    [sym__type_order_operator] = ACTIONS(13810),
    [sym__unary_operator] = ACTIONS(13808),
    [sym__unary_plus_operator] = ACTIONS(13808),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13810),
    [sym__command_start] = ACTIONS(13810),
  },
  [8283] = {
    [sym__word_identifier] = ACTIONS(13656),
    [anon_sym_EQ] = ACTIONS(13656),
    [anon_sym_COMMA] = ACTIONS(13656),
    [anon_sym_COLON] = ACTIONS(13656),
    [anon_sym_begin] = ACTIONS(13656),
    [anon_sym_module] = ACTIONS(13656),
    [anon_sym_baremodule] = ACTIONS(13656),
    [anon_sym_abstract] = ACTIONS(13656),
    [anon_sym_primitive] = ACTIONS(13656),
    [anon_sym_mutable] = ACTIONS(13656),
    [anon_sym_struct] = ACTIONS(13656),
    [anon_sym_function] = ACTIONS(13656),
    [anon_sym_macro] = ACTIONS(13656),
    [anon_sym_where] = ACTIONS(13656),
    [anon_sym_quote] = ACTIONS(13656),
    [anon_sym_let] = ACTIONS(13656),
    [anon_sym_if] = ACTIONS(13656),
    [anon_sym_try] = ACTIONS(13656),
    [anon_sym_catch] = ACTIONS(13656),
    [anon_sym_finally] = ACTIONS(13656),
    [anon_sym_for] = ACTIONS(13656),
    [anon_sym_while] = ACTIONS(13656),
    [sym_break_statement] = ACTIONS(13656),
    [sym_continue_statement] = ACTIONS(13656),
    [anon_sym_return] = ACTIONS(13656),
    [anon_sym_const] = ACTIONS(13656),
    [anon_sym_global] = ACTIONS(13656),
    [anon_sym_local] = ACTIONS(13656),
    [anon_sym_LPAREN] = ACTIONS(13656),
    [anon_sym_COLON2] = ACTIONS(13656),
    [anon_sym_export] = ACTIONS(13656),
    [anon_sym_import] = ACTIONS(13656),
    [anon_sym_using] = ACTIONS(13656),
    [anon_sym_LBRACK] = ACTIONS(13656),
    [anon_sym_LF] = ACTIONS(13658),
    [anon_sym_in] = ACTIONS(13656),
    [anon_sym_LBRACE] = ACTIONS(13656),
    [anon_sym_DOLLAR] = ACTIONS(13656),
    [anon_sym_COLON_COLON] = ACTIONS(13656),
    [anon_sym_isa] = ACTIONS(13656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13656),
    [anon_sym_QMARK] = ACTIONS(13656),
    [anon_sym_AT] = ACTIONS(13656),
    [anon_sym_true] = ACTIONS(13656),
    [anon_sym_false] = ACTIONS(13656),
    [aux_sym_integer_literal_token1] = ACTIONS(13656),
    [aux_sym_integer_literal_token2] = ACTIONS(13656),
    [aux_sym_integer_literal_token3] = ACTIONS(13656),
    [aux_sym_integer_literal_token4] = ACTIONS(13656),
    [aux_sym_float_literal_token1] = ACTIONS(13656),
    [aux_sym_float_literal_token3] = ACTIONS(13656),
    [aux_sym_float_literal_token4] = ACTIONS(13656),
    [sym_character_literal] = ACTIONS(13656),
    [sym__pair_operator] = ACTIONS(13656),
    [sym__arrow_operator] = ACTIONS(13656),
    [sym__lazy_or_operator] = ACTIONS(13656),
    [sym__lazy_and_operator] = ACTIONS(13656),
    [sym__comparison_operator] = ACTIONS(13656),
    [sym__pipe_right_operator] = ACTIONS(13656),
    [sym__pipe_left_operator] = ACTIONS(13656),
    [sym__ellipsis_operator] = ACTIONS(13656),
    [sym__plus_operator] = ACTIONS(13656),
    [sym__times_operator] = ACTIONS(13656),
    [sym__rational_operator] = ACTIONS(13656),
    [sym__bitshift_operator] = ACTIONS(13656),
    [sym__power_operator] = ACTIONS(13656),
    [sym__tilde_operator] = ACTIONS(13656),
    [sym__type_order_operator] = ACTIONS(13656),
    [sym__unary_operator] = ACTIONS(13656),
    [sym__unary_plus_operator] = ACTIONS(13656),
    [aux_sym__terminator_token1] = ACTIONS(13656),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13658),
    [sym__command_start] = ACTIONS(13658),
  },
  [8284] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_RPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_SEMI] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [8285] = {
    [sym__word_identifier] = ACTIONS(14131),
    [anon_sym_EQ] = ACTIONS(14131),
    [anon_sym_COMMA] = ACTIONS(14131),
    [anon_sym_COLON] = ACTIONS(14131),
    [anon_sym_begin] = ACTIONS(14131),
    [anon_sym_module] = ACTIONS(14131),
    [anon_sym_baremodule] = ACTIONS(14131),
    [anon_sym_end] = ACTIONS(14131),
    [anon_sym_abstract] = ACTIONS(14131),
    [anon_sym_primitive] = ACTIONS(14131),
    [anon_sym_mutable] = ACTIONS(14131),
    [anon_sym_struct] = ACTIONS(14131),
    [anon_sym_function] = ACTIONS(14131),
    [anon_sym_macro] = ACTIONS(14131),
    [anon_sym_where] = ACTIONS(14131),
    [anon_sym_quote] = ACTIONS(14131),
    [anon_sym_let] = ACTIONS(14131),
    [anon_sym_if] = ACTIONS(14131),
    [anon_sym_try] = ACTIONS(14131),
    [anon_sym_finally] = ACTIONS(14131),
    [anon_sym_for] = ACTIONS(14131),
    [anon_sym_while] = ACTIONS(14131),
    [sym_break_statement] = ACTIONS(14131),
    [sym_continue_statement] = ACTIONS(14131),
    [anon_sym_return] = ACTIONS(14131),
    [anon_sym_const] = ACTIONS(14131),
    [anon_sym_global] = ACTIONS(14131),
    [anon_sym_local] = ACTIONS(14131),
    [anon_sym_LPAREN] = ACTIONS(14131),
    [anon_sym_COLON2] = ACTIONS(14131),
    [anon_sym_export] = ACTIONS(14131),
    [anon_sym_import] = ACTIONS(14131),
    [anon_sym_using] = ACTIONS(14131),
    [anon_sym_LBRACK] = ACTIONS(14131),
    [anon_sym_LF] = ACTIONS(14129),
    [anon_sym_in] = ACTIONS(14131),
    [anon_sym_LBRACE] = ACTIONS(14131),
    [anon_sym_DOLLAR] = ACTIONS(14131),
    [anon_sym_COLON_COLON] = ACTIONS(14131),
    [anon_sym_isa] = ACTIONS(14131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14131),
    [anon_sym_QMARK] = ACTIONS(14131),
    [anon_sym_AT] = ACTIONS(14131),
    [anon_sym_true] = ACTIONS(14131),
    [anon_sym_false] = ACTIONS(14131),
    [aux_sym_integer_literal_token1] = ACTIONS(14131),
    [aux_sym_integer_literal_token2] = ACTIONS(14131),
    [aux_sym_integer_literal_token3] = ACTIONS(14131),
    [aux_sym_integer_literal_token4] = ACTIONS(14131),
    [aux_sym_float_literal_token1] = ACTIONS(14131),
    [aux_sym_float_literal_token3] = ACTIONS(14131),
    [aux_sym_float_literal_token4] = ACTIONS(14131),
    [sym_character_literal] = ACTIONS(14131),
    [sym__pair_operator] = ACTIONS(14131),
    [sym__arrow_operator] = ACTIONS(14131),
    [sym__lazy_or_operator] = ACTIONS(14131),
    [sym__lazy_and_operator] = ACTIONS(14131),
    [sym__comparison_operator] = ACTIONS(14131),
    [sym__pipe_right_operator] = ACTIONS(14131),
    [sym__pipe_left_operator] = ACTIONS(14131),
    [sym__ellipsis_operator] = ACTIONS(14131),
    [sym__plus_operator] = ACTIONS(14131),
    [sym__times_operator] = ACTIONS(14131),
    [sym__rational_operator] = ACTIONS(14131),
    [sym__bitshift_operator] = ACTIONS(14131),
    [sym__power_operator] = ACTIONS(14131),
    [sym__tilde_operator] = ACTIONS(14131),
    [sym__type_order_operator] = ACTIONS(14131),
    [sym__unary_operator] = ACTIONS(14131),
    [sym__unary_plus_operator] = ACTIONS(14131),
    [aux_sym__terminator_token1] = ACTIONS(14131),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14129),
    [sym__command_start] = ACTIONS(14129),
  },
  [8286] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_finally] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(14620),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8287] = {
    [sym__word_identifier] = ACTIONS(13740),
    [anon_sym_EQ] = ACTIONS(13740),
    [anon_sym_COMMA] = ACTIONS(13742),
    [anon_sym_COLON] = ACTIONS(13740),
    [anon_sym_begin] = ACTIONS(13740),
    [anon_sym_module] = ACTIONS(13740),
    [anon_sym_baremodule] = ACTIONS(13740),
    [anon_sym_abstract] = ACTIONS(13740),
    [anon_sym_primitive] = ACTIONS(13740),
    [anon_sym_mutable] = ACTIONS(13740),
    [anon_sym_struct] = ACTIONS(13740),
    [anon_sym_function] = ACTIONS(13740),
    [anon_sym_macro] = ACTIONS(13740),
    [anon_sym_where] = ACTIONS(13740),
    [anon_sym_quote] = ACTIONS(13740),
    [anon_sym_let] = ACTIONS(13740),
    [anon_sym_if] = ACTIONS(13740),
    [anon_sym_try] = ACTIONS(13740),
    [anon_sym_for] = ACTIONS(13740),
    [anon_sym_while] = ACTIONS(13740),
    [sym_break_statement] = ACTIONS(13740),
    [sym_continue_statement] = ACTIONS(13740),
    [anon_sym_return] = ACTIONS(13740),
    [anon_sym_const] = ACTIONS(13740),
    [anon_sym_global] = ACTIONS(13740),
    [anon_sym_local] = ACTIONS(13740),
    [anon_sym_LPAREN] = ACTIONS(13742),
    [anon_sym_RPAREN] = ACTIONS(13742),
    [anon_sym_COLON2] = ACTIONS(13740),
    [anon_sym_export] = ACTIONS(13740),
    [anon_sym_import] = ACTIONS(13740),
    [anon_sym_using] = ACTIONS(13740),
    [anon_sym_LBRACK] = ACTIONS(13742),
    [anon_sym_RBRACK] = ACTIONS(13742),
    [anon_sym_in] = ACTIONS(13740),
    [anon_sym_SEMI] = ACTIONS(13742),
    [anon_sym_LBRACE] = ACTIONS(13742),
    [anon_sym_RBRACE] = ACTIONS(13742),
    [anon_sym_DOLLAR] = ACTIONS(13742),
    [anon_sym_COLON_COLON] = ACTIONS(13742),
    [anon_sym_isa] = ACTIONS(13740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13742),
    [anon_sym_QMARK] = ACTIONS(13742),
    [anon_sym_AT] = ACTIONS(13742),
    [anon_sym_true] = ACTIONS(13740),
    [anon_sym_false] = ACTIONS(13740),
    [aux_sym_integer_literal_token1] = ACTIONS(13742),
    [aux_sym_integer_literal_token2] = ACTIONS(13742),
    [aux_sym_integer_literal_token3] = ACTIONS(13740),
    [aux_sym_integer_literal_token4] = ACTIONS(13740),
    [aux_sym_float_literal_token1] = ACTIONS(13742),
    [aux_sym_float_literal_token3] = ACTIONS(13742),
    [aux_sym_float_literal_token4] = ACTIONS(13742),
    [sym_character_literal] = ACTIONS(13742),
    [sym__pair_operator] = ACTIONS(13742),
    [sym__arrow_operator] = ACTIONS(13740),
    [sym__lazy_or_operator] = ACTIONS(13742),
    [sym__lazy_and_operator] = ACTIONS(13742),
    [sym__comparison_operator] = ACTIONS(13740),
    [sym__pipe_right_operator] = ACTIONS(13742),
    [sym__pipe_left_operator] = ACTIONS(13742),
    [sym__ellipsis_operator] = ACTIONS(13740),
    [sym__plus_operator] = ACTIONS(13740),
    [sym__times_operator] = ACTIONS(13740),
    [sym__rational_operator] = ACTIONS(13742),
    [sym__bitshift_operator] = ACTIONS(13742),
    [sym__power_operator] = ACTIONS(13742),
    [sym__tilde_operator] = ACTIONS(13742),
    [sym__type_order_operator] = ACTIONS(13742),
    [sym__unary_operator] = ACTIONS(13740),
    [sym__unary_plus_operator] = ACTIONS(13740),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13742),
    [sym__command_start] = ACTIONS(13742),
  },
  [8288] = {
    [sym__word_identifier] = ACTIONS(13816),
    [anon_sym_EQ] = ACTIONS(13816),
    [anon_sym_COMMA] = ACTIONS(13818),
    [anon_sym_COLON] = ACTIONS(13816),
    [anon_sym_begin] = ACTIONS(13816),
    [anon_sym_module] = ACTIONS(13816),
    [anon_sym_baremodule] = ACTIONS(13816),
    [anon_sym_abstract] = ACTIONS(13816),
    [anon_sym_primitive] = ACTIONS(13816),
    [anon_sym_mutable] = ACTIONS(13816),
    [anon_sym_struct] = ACTIONS(13816),
    [anon_sym_function] = ACTIONS(13816),
    [anon_sym_macro] = ACTIONS(13816),
    [anon_sym_where] = ACTIONS(13816),
    [anon_sym_quote] = ACTIONS(13816),
    [anon_sym_let] = ACTIONS(13816),
    [anon_sym_if] = ACTIONS(13816),
    [anon_sym_try] = ACTIONS(13816),
    [anon_sym_for] = ACTIONS(13816),
    [anon_sym_while] = ACTIONS(13816),
    [sym_break_statement] = ACTIONS(13816),
    [sym_continue_statement] = ACTIONS(13816),
    [anon_sym_return] = ACTIONS(13816),
    [anon_sym_const] = ACTIONS(13816),
    [anon_sym_global] = ACTIONS(13816),
    [anon_sym_local] = ACTIONS(13816),
    [anon_sym_LPAREN] = ACTIONS(13818),
    [anon_sym_RPAREN] = ACTIONS(13818),
    [anon_sym_COLON2] = ACTIONS(13816),
    [anon_sym_export] = ACTIONS(13816),
    [anon_sym_import] = ACTIONS(13816),
    [anon_sym_using] = ACTIONS(13816),
    [anon_sym_LBRACK] = ACTIONS(13818),
    [anon_sym_RBRACK] = ACTIONS(13818),
    [anon_sym_in] = ACTIONS(13816),
    [anon_sym_SEMI] = ACTIONS(13818),
    [anon_sym_LBRACE] = ACTIONS(13818),
    [anon_sym_RBRACE] = ACTIONS(13818),
    [anon_sym_DOLLAR] = ACTIONS(13818),
    [anon_sym_COLON_COLON] = ACTIONS(13818),
    [anon_sym_isa] = ACTIONS(13816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13818),
    [anon_sym_QMARK] = ACTIONS(13818),
    [anon_sym_AT] = ACTIONS(13818),
    [anon_sym_true] = ACTIONS(13816),
    [anon_sym_false] = ACTIONS(13816),
    [aux_sym_integer_literal_token1] = ACTIONS(13818),
    [aux_sym_integer_literal_token2] = ACTIONS(13818),
    [aux_sym_integer_literal_token3] = ACTIONS(13816),
    [aux_sym_integer_literal_token4] = ACTIONS(13816),
    [aux_sym_float_literal_token1] = ACTIONS(13818),
    [aux_sym_float_literal_token3] = ACTIONS(13818),
    [aux_sym_float_literal_token4] = ACTIONS(13818),
    [sym_character_literal] = ACTIONS(13818),
    [sym__pair_operator] = ACTIONS(13818),
    [sym__arrow_operator] = ACTIONS(13816),
    [sym__lazy_or_operator] = ACTIONS(13818),
    [sym__lazy_and_operator] = ACTIONS(13818),
    [sym__comparison_operator] = ACTIONS(13816),
    [sym__pipe_right_operator] = ACTIONS(13818),
    [sym__pipe_left_operator] = ACTIONS(13818),
    [sym__ellipsis_operator] = ACTIONS(13816),
    [sym__plus_operator] = ACTIONS(13816),
    [sym__times_operator] = ACTIONS(13816),
    [sym__rational_operator] = ACTIONS(13818),
    [sym__bitshift_operator] = ACTIONS(13818),
    [sym__power_operator] = ACTIONS(13818),
    [sym__tilde_operator] = ACTIONS(13818),
    [sym__type_order_operator] = ACTIONS(13818),
    [sym__unary_operator] = ACTIONS(13816),
    [sym__unary_plus_operator] = ACTIONS(13816),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13818),
    [sym__command_start] = ACTIONS(13818),
  },
  [8289] = {
    [sym__word_identifier] = ACTIONS(13912),
    [anon_sym_EQ] = ACTIONS(13912),
    [anon_sym_COMMA] = ACTIONS(13914),
    [anon_sym_COLON] = ACTIONS(13912),
    [anon_sym_begin] = ACTIONS(13912),
    [anon_sym_module] = ACTIONS(13912),
    [anon_sym_baremodule] = ACTIONS(13912),
    [anon_sym_abstract] = ACTIONS(13912),
    [anon_sym_primitive] = ACTIONS(13912),
    [anon_sym_mutable] = ACTIONS(13912),
    [anon_sym_struct] = ACTIONS(13912),
    [anon_sym_function] = ACTIONS(13912),
    [anon_sym_macro] = ACTIONS(13912),
    [anon_sym_where] = ACTIONS(13912),
    [anon_sym_quote] = ACTIONS(13912),
    [anon_sym_let] = ACTIONS(13912),
    [anon_sym_if] = ACTIONS(13912),
    [anon_sym_try] = ACTIONS(13912),
    [anon_sym_for] = ACTIONS(13912),
    [anon_sym_while] = ACTIONS(13912),
    [sym_break_statement] = ACTIONS(13912),
    [sym_continue_statement] = ACTIONS(13912),
    [anon_sym_return] = ACTIONS(13912),
    [anon_sym_const] = ACTIONS(13912),
    [anon_sym_global] = ACTIONS(13912),
    [anon_sym_local] = ACTIONS(13912),
    [anon_sym_LPAREN] = ACTIONS(13914),
    [anon_sym_RPAREN] = ACTIONS(13914),
    [anon_sym_COLON2] = ACTIONS(13912),
    [anon_sym_export] = ACTIONS(13912),
    [anon_sym_import] = ACTIONS(13912),
    [anon_sym_using] = ACTIONS(13912),
    [anon_sym_LBRACK] = ACTIONS(13914),
    [anon_sym_RBRACK] = ACTIONS(13914),
    [anon_sym_in] = ACTIONS(13912),
    [anon_sym_SEMI] = ACTIONS(13914),
    [anon_sym_LBRACE] = ACTIONS(13914),
    [anon_sym_RBRACE] = ACTIONS(13914),
    [anon_sym_DOLLAR] = ACTIONS(13914),
    [anon_sym_COLON_COLON] = ACTIONS(13914),
    [anon_sym_isa] = ACTIONS(13912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13914),
    [anon_sym_QMARK] = ACTIONS(13914),
    [anon_sym_AT] = ACTIONS(13914),
    [anon_sym_true] = ACTIONS(13912),
    [anon_sym_false] = ACTIONS(13912),
    [aux_sym_integer_literal_token1] = ACTIONS(13914),
    [aux_sym_integer_literal_token2] = ACTIONS(13914),
    [aux_sym_integer_literal_token3] = ACTIONS(13912),
    [aux_sym_integer_literal_token4] = ACTIONS(13912),
    [aux_sym_float_literal_token1] = ACTIONS(13914),
    [aux_sym_float_literal_token3] = ACTIONS(13914),
    [aux_sym_float_literal_token4] = ACTIONS(13914),
    [sym_character_literal] = ACTIONS(13914),
    [sym__pair_operator] = ACTIONS(13914),
    [sym__arrow_operator] = ACTIONS(13912),
    [sym__lazy_or_operator] = ACTIONS(13914),
    [sym__lazy_and_operator] = ACTIONS(13914),
    [sym__comparison_operator] = ACTIONS(13912),
    [sym__pipe_right_operator] = ACTIONS(13914),
    [sym__pipe_left_operator] = ACTIONS(13914),
    [sym__ellipsis_operator] = ACTIONS(13912),
    [sym__plus_operator] = ACTIONS(13912),
    [sym__times_operator] = ACTIONS(13912),
    [sym__rational_operator] = ACTIONS(13914),
    [sym__bitshift_operator] = ACTIONS(13914),
    [sym__power_operator] = ACTIONS(13914),
    [sym__tilde_operator] = ACTIONS(13914),
    [sym__type_order_operator] = ACTIONS(13914),
    [sym__unary_operator] = ACTIONS(13912),
    [sym__unary_plus_operator] = ACTIONS(13912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13914),
    [sym__command_start] = ACTIONS(13914),
  },
  [8290] = {
    [sym__word_identifier] = ACTIONS(14043),
    [anon_sym_EQ] = ACTIONS(14043),
    [anon_sym_COMMA] = ACTIONS(14043),
    [anon_sym_COLON] = ACTIONS(14043),
    [anon_sym_begin] = ACTIONS(14043),
    [anon_sym_module] = ACTIONS(14043),
    [anon_sym_baremodule] = ACTIONS(14043),
    [anon_sym_end] = ACTIONS(14043),
    [anon_sym_abstract] = ACTIONS(14043),
    [anon_sym_primitive] = ACTIONS(14043),
    [anon_sym_mutable] = ACTIONS(14043),
    [anon_sym_struct] = ACTIONS(14043),
    [anon_sym_function] = ACTIONS(14043),
    [anon_sym_macro] = ACTIONS(14043),
    [anon_sym_where] = ACTIONS(14043),
    [anon_sym_quote] = ACTIONS(14043),
    [anon_sym_let] = ACTIONS(14043),
    [anon_sym_if] = ACTIONS(14043),
    [anon_sym_try] = ACTIONS(14043),
    [anon_sym_catch] = ACTIONS(14043),
    [anon_sym_for] = ACTIONS(14043),
    [anon_sym_while] = ACTIONS(14043),
    [sym_break_statement] = ACTIONS(14043),
    [sym_continue_statement] = ACTIONS(14043),
    [anon_sym_return] = ACTIONS(14043),
    [anon_sym_const] = ACTIONS(14043),
    [anon_sym_global] = ACTIONS(14043),
    [anon_sym_local] = ACTIONS(14043),
    [anon_sym_LPAREN] = ACTIONS(14043),
    [anon_sym_COLON2] = ACTIONS(14043),
    [anon_sym_export] = ACTIONS(14043),
    [anon_sym_import] = ACTIONS(14043),
    [anon_sym_using] = ACTIONS(14043),
    [anon_sym_LBRACK] = ACTIONS(14043),
    [anon_sym_LF] = ACTIONS(14041),
    [anon_sym_in] = ACTIONS(14043),
    [anon_sym_LBRACE] = ACTIONS(14043),
    [anon_sym_DOLLAR] = ACTIONS(14043),
    [anon_sym_COLON_COLON] = ACTIONS(14043),
    [anon_sym_isa] = ACTIONS(14043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_QMARK] = ACTIONS(14043),
    [anon_sym_AT] = ACTIONS(14043),
    [anon_sym_true] = ACTIONS(14043),
    [anon_sym_false] = ACTIONS(14043),
    [aux_sym_integer_literal_token1] = ACTIONS(14043),
    [aux_sym_integer_literal_token2] = ACTIONS(14043),
    [aux_sym_integer_literal_token3] = ACTIONS(14043),
    [aux_sym_integer_literal_token4] = ACTIONS(14043),
    [aux_sym_float_literal_token1] = ACTIONS(14043),
    [aux_sym_float_literal_token3] = ACTIONS(14043),
    [aux_sym_float_literal_token4] = ACTIONS(14043),
    [sym_character_literal] = ACTIONS(14043),
    [sym__pair_operator] = ACTIONS(14043),
    [sym__arrow_operator] = ACTIONS(14043),
    [sym__lazy_or_operator] = ACTIONS(14043),
    [sym__lazy_and_operator] = ACTIONS(14043),
    [sym__comparison_operator] = ACTIONS(14043),
    [sym__pipe_right_operator] = ACTIONS(14043),
    [sym__pipe_left_operator] = ACTIONS(14043),
    [sym__ellipsis_operator] = ACTIONS(14043),
    [sym__plus_operator] = ACTIONS(14043),
    [sym__times_operator] = ACTIONS(14043),
    [sym__rational_operator] = ACTIONS(14043),
    [sym__bitshift_operator] = ACTIONS(14043),
    [sym__power_operator] = ACTIONS(14043),
    [sym__tilde_operator] = ACTIONS(14043),
    [sym__type_order_operator] = ACTIONS(14043),
    [sym__unary_operator] = ACTIONS(14043),
    [sym__unary_plus_operator] = ACTIONS(14043),
    [aux_sym__terminator_token1] = ACTIONS(14043),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14041),
    [sym__command_start] = ACTIONS(14041),
  },
  [8291] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_RPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [8292] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_catch] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8293] = {
    [sym__word_identifier] = ACTIONS(13508),
    [anon_sym_EQ] = ACTIONS(13508),
    [anon_sym_COMMA] = ACTIONS(13510),
    [anon_sym_COLON] = ACTIONS(13508),
    [anon_sym_begin] = ACTIONS(13508),
    [anon_sym_module] = ACTIONS(13508),
    [anon_sym_baremodule] = ACTIONS(13508),
    [anon_sym_abstract] = ACTIONS(13508),
    [anon_sym_primitive] = ACTIONS(13508),
    [anon_sym_mutable] = ACTIONS(13508),
    [anon_sym_struct] = ACTIONS(13508),
    [anon_sym_function] = ACTIONS(13508),
    [anon_sym_macro] = ACTIONS(13508),
    [anon_sym_where] = ACTIONS(13508),
    [anon_sym_quote] = ACTIONS(13508),
    [anon_sym_let] = ACTIONS(13508),
    [anon_sym_if] = ACTIONS(13508),
    [anon_sym_try] = ACTIONS(13508),
    [anon_sym_for] = ACTIONS(13508),
    [anon_sym_while] = ACTIONS(13508),
    [sym_break_statement] = ACTIONS(13508),
    [sym_continue_statement] = ACTIONS(13508),
    [anon_sym_return] = ACTIONS(13508),
    [anon_sym_const] = ACTIONS(13508),
    [anon_sym_global] = ACTIONS(13508),
    [anon_sym_local] = ACTIONS(13508),
    [anon_sym_LPAREN] = ACTIONS(13510),
    [anon_sym_RPAREN] = ACTIONS(13510),
    [anon_sym_COLON2] = ACTIONS(13508),
    [anon_sym_export] = ACTIONS(13508),
    [anon_sym_import] = ACTIONS(13508),
    [anon_sym_using] = ACTIONS(13508),
    [anon_sym_LBRACK] = ACTIONS(13510),
    [anon_sym_RBRACK] = ACTIONS(13510),
    [anon_sym_in] = ACTIONS(13508),
    [anon_sym_SEMI] = ACTIONS(13510),
    [anon_sym_LBRACE] = ACTIONS(13510),
    [anon_sym_RBRACE] = ACTIONS(13510),
    [anon_sym_DOLLAR] = ACTIONS(13510),
    [anon_sym_COLON_COLON] = ACTIONS(13510),
    [anon_sym_isa] = ACTIONS(13508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13510),
    [anon_sym_QMARK] = ACTIONS(13510),
    [anon_sym_AT] = ACTIONS(13510),
    [anon_sym_true] = ACTIONS(13508),
    [anon_sym_false] = ACTIONS(13508),
    [aux_sym_integer_literal_token1] = ACTIONS(13510),
    [aux_sym_integer_literal_token2] = ACTIONS(13510),
    [aux_sym_integer_literal_token3] = ACTIONS(13508),
    [aux_sym_integer_literal_token4] = ACTIONS(13508),
    [aux_sym_float_literal_token1] = ACTIONS(13510),
    [aux_sym_float_literal_token3] = ACTIONS(13510),
    [aux_sym_float_literal_token4] = ACTIONS(13510),
    [sym_character_literal] = ACTIONS(13510),
    [sym__pair_operator] = ACTIONS(13510),
    [sym__arrow_operator] = ACTIONS(13508),
    [sym__lazy_or_operator] = ACTIONS(13510),
    [sym__lazy_and_operator] = ACTIONS(13510),
    [sym__comparison_operator] = ACTIONS(13508),
    [sym__pipe_right_operator] = ACTIONS(13510),
    [sym__pipe_left_operator] = ACTIONS(13510),
    [sym__ellipsis_operator] = ACTIONS(13508),
    [sym__plus_operator] = ACTIONS(13508),
    [sym__times_operator] = ACTIONS(13508),
    [sym__rational_operator] = ACTIONS(13510),
    [sym__bitshift_operator] = ACTIONS(13510),
    [sym__power_operator] = ACTIONS(13510),
    [sym__tilde_operator] = ACTIONS(13510),
    [sym__type_order_operator] = ACTIONS(13510),
    [sym__unary_operator] = ACTIONS(13508),
    [sym__unary_plus_operator] = ACTIONS(13508),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13510),
    [sym__command_start] = ACTIONS(13510),
  },
  [8294] = {
    [sym__word_identifier] = ACTIONS(13484),
    [anon_sym_EQ] = ACTIONS(13484),
    [anon_sym_COMMA] = ACTIONS(13486),
    [anon_sym_COLON] = ACTIONS(13484),
    [anon_sym_begin] = ACTIONS(13484),
    [anon_sym_module] = ACTIONS(13484),
    [anon_sym_baremodule] = ACTIONS(13484),
    [anon_sym_abstract] = ACTIONS(13484),
    [anon_sym_primitive] = ACTIONS(13484),
    [anon_sym_mutable] = ACTIONS(13484),
    [anon_sym_struct] = ACTIONS(13484),
    [anon_sym_function] = ACTIONS(13484),
    [anon_sym_macro] = ACTIONS(13484),
    [anon_sym_where] = ACTIONS(13484),
    [anon_sym_quote] = ACTIONS(13484),
    [anon_sym_let] = ACTIONS(13484),
    [anon_sym_if] = ACTIONS(13484),
    [anon_sym_try] = ACTIONS(13484),
    [anon_sym_for] = ACTIONS(13484),
    [anon_sym_while] = ACTIONS(13484),
    [sym_break_statement] = ACTIONS(13484),
    [sym_continue_statement] = ACTIONS(13484),
    [anon_sym_return] = ACTIONS(13484),
    [anon_sym_const] = ACTIONS(13484),
    [anon_sym_global] = ACTIONS(13484),
    [anon_sym_local] = ACTIONS(13484),
    [anon_sym_LPAREN] = ACTIONS(13486),
    [anon_sym_RPAREN] = ACTIONS(13486),
    [anon_sym_COLON2] = ACTIONS(13484),
    [anon_sym_export] = ACTIONS(13484),
    [anon_sym_import] = ACTIONS(13484),
    [anon_sym_using] = ACTIONS(13484),
    [anon_sym_LBRACK] = ACTIONS(13486),
    [anon_sym_RBRACK] = ACTIONS(13486),
    [anon_sym_in] = ACTIONS(13484),
    [anon_sym_SEMI] = ACTIONS(13486),
    [anon_sym_LBRACE] = ACTIONS(13486),
    [anon_sym_RBRACE] = ACTIONS(13486),
    [anon_sym_DOLLAR] = ACTIONS(13486),
    [anon_sym_COLON_COLON] = ACTIONS(13486),
    [anon_sym_isa] = ACTIONS(13484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13486),
    [anon_sym_QMARK] = ACTIONS(13486),
    [anon_sym_AT] = ACTIONS(13486),
    [anon_sym_true] = ACTIONS(13484),
    [anon_sym_false] = ACTIONS(13484),
    [aux_sym_integer_literal_token1] = ACTIONS(13486),
    [aux_sym_integer_literal_token2] = ACTIONS(13486),
    [aux_sym_integer_literal_token3] = ACTIONS(13484),
    [aux_sym_integer_literal_token4] = ACTIONS(13484),
    [aux_sym_float_literal_token1] = ACTIONS(13486),
    [aux_sym_float_literal_token3] = ACTIONS(13486),
    [aux_sym_float_literal_token4] = ACTIONS(13486),
    [sym_character_literal] = ACTIONS(13486),
    [sym__pair_operator] = ACTIONS(13486),
    [sym__arrow_operator] = ACTIONS(13484),
    [sym__lazy_or_operator] = ACTIONS(13486),
    [sym__lazy_and_operator] = ACTIONS(13486),
    [sym__comparison_operator] = ACTIONS(13484),
    [sym__pipe_right_operator] = ACTIONS(13486),
    [sym__pipe_left_operator] = ACTIONS(13486),
    [sym__ellipsis_operator] = ACTIONS(13484),
    [sym__plus_operator] = ACTIONS(13484),
    [sym__times_operator] = ACTIONS(13484),
    [sym__rational_operator] = ACTIONS(13486),
    [sym__bitshift_operator] = ACTIONS(13486),
    [sym__power_operator] = ACTIONS(13486),
    [sym__tilde_operator] = ACTIONS(13486),
    [sym__type_order_operator] = ACTIONS(13486),
    [sym__unary_operator] = ACTIONS(13484),
    [sym__unary_plus_operator] = ACTIONS(13484),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13486),
    [sym__command_start] = ACTIONS(13486),
  },
  [8295] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_finally] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8296] = {
    [sym__word_identifier] = ACTIONS(14043),
    [anon_sym_EQ] = ACTIONS(14043),
    [anon_sym_COMMA] = ACTIONS(14043),
    [anon_sym_COLON] = ACTIONS(14043),
    [anon_sym_begin] = ACTIONS(14043),
    [anon_sym_module] = ACTIONS(14043),
    [anon_sym_baremodule] = ACTIONS(14043),
    [anon_sym_end] = ACTIONS(14043),
    [anon_sym_abstract] = ACTIONS(14043),
    [anon_sym_primitive] = ACTIONS(14043),
    [anon_sym_mutable] = ACTIONS(14043),
    [anon_sym_struct] = ACTIONS(14043),
    [anon_sym_function] = ACTIONS(14043),
    [anon_sym_macro] = ACTIONS(14043),
    [anon_sym_where] = ACTIONS(14043),
    [anon_sym_quote] = ACTIONS(14043),
    [anon_sym_let] = ACTIONS(14043),
    [anon_sym_if] = ACTIONS(14043),
    [anon_sym_try] = ACTIONS(14043),
    [anon_sym_finally] = ACTIONS(14043),
    [anon_sym_for] = ACTIONS(14043),
    [anon_sym_while] = ACTIONS(14043),
    [sym_break_statement] = ACTIONS(14043),
    [sym_continue_statement] = ACTIONS(14043),
    [anon_sym_return] = ACTIONS(14043),
    [anon_sym_const] = ACTIONS(14043),
    [anon_sym_global] = ACTIONS(14043),
    [anon_sym_local] = ACTIONS(14043),
    [anon_sym_LPAREN] = ACTIONS(14043),
    [anon_sym_COLON2] = ACTIONS(14043),
    [anon_sym_export] = ACTIONS(14043),
    [anon_sym_import] = ACTIONS(14043),
    [anon_sym_using] = ACTIONS(14043),
    [anon_sym_LBRACK] = ACTIONS(14043),
    [anon_sym_LF] = ACTIONS(14041),
    [anon_sym_in] = ACTIONS(14043),
    [anon_sym_LBRACE] = ACTIONS(14043),
    [anon_sym_DOLLAR] = ACTIONS(14043),
    [anon_sym_COLON_COLON] = ACTIONS(14043),
    [anon_sym_isa] = ACTIONS(14043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_QMARK] = ACTIONS(14043),
    [anon_sym_AT] = ACTIONS(14043),
    [anon_sym_true] = ACTIONS(14043),
    [anon_sym_false] = ACTIONS(14043),
    [aux_sym_integer_literal_token1] = ACTIONS(14043),
    [aux_sym_integer_literal_token2] = ACTIONS(14043),
    [aux_sym_integer_literal_token3] = ACTIONS(14043),
    [aux_sym_integer_literal_token4] = ACTIONS(14043),
    [aux_sym_float_literal_token1] = ACTIONS(14043),
    [aux_sym_float_literal_token3] = ACTIONS(14043),
    [aux_sym_float_literal_token4] = ACTIONS(14043),
    [sym_character_literal] = ACTIONS(14043),
    [sym__pair_operator] = ACTIONS(14043),
    [sym__arrow_operator] = ACTIONS(14043),
    [sym__lazy_or_operator] = ACTIONS(14043),
    [sym__lazy_and_operator] = ACTIONS(14043),
    [sym__comparison_operator] = ACTIONS(14043),
    [sym__pipe_right_operator] = ACTIONS(14043),
    [sym__pipe_left_operator] = ACTIONS(14043),
    [sym__ellipsis_operator] = ACTIONS(14043),
    [sym__plus_operator] = ACTIONS(14043),
    [sym__times_operator] = ACTIONS(14043),
    [sym__rational_operator] = ACTIONS(14043),
    [sym__bitshift_operator] = ACTIONS(14043),
    [sym__power_operator] = ACTIONS(14043),
    [sym__tilde_operator] = ACTIONS(14043),
    [sym__type_order_operator] = ACTIONS(14043),
    [sym__unary_operator] = ACTIONS(14043),
    [sym__unary_plus_operator] = ACTIONS(14043),
    [aux_sym__terminator_token1] = ACTIONS(14043),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14041),
    [sym__command_start] = ACTIONS(14041),
  },
  [8297] = {
    [sym__word_identifier] = ACTIONS(13480),
    [anon_sym_EQ] = ACTIONS(13480),
    [anon_sym_COMMA] = ACTIONS(13482),
    [anon_sym_COLON] = ACTIONS(13480),
    [anon_sym_begin] = ACTIONS(13480),
    [anon_sym_module] = ACTIONS(13480),
    [anon_sym_baremodule] = ACTIONS(13480),
    [anon_sym_abstract] = ACTIONS(13480),
    [anon_sym_primitive] = ACTIONS(13480),
    [anon_sym_mutable] = ACTIONS(13480),
    [anon_sym_struct] = ACTIONS(13480),
    [anon_sym_function] = ACTIONS(13480),
    [anon_sym_macro] = ACTIONS(13480),
    [anon_sym_where] = ACTIONS(13480),
    [anon_sym_quote] = ACTIONS(13480),
    [anon_sym_let] = ACTIONS(13480),
    [anon_sym_if] = ACTIONS(13480),
    [anon_sym_try] = ACTIONS(13480),
    [anon_sym_for] = ACTIONS(13480),
    [anon_sym_while] = ACTIONS(13480),
    [sym_break_statement] = ACTIONS(13480),
    [sym_continue_statement] = ACTIONS(13480),
    [anon_sym_return] = ACTIONS(13480),
    [anon_sym_const] = ACTIONS(13480),
    [anon_sym_global] = ACTIONS(13480),
    [anon_sym_local] = ACTIONS(13480),
    [anon_sym_LPAREN] = ACTIONS(13482),
    [anon_sym_RPAREN] = ACTIONS(13482),
    [anon_sym_COLON2] = ACTIONS(13480),
    [anon_sym_export] = ACTIONS(13480),
    [anon_sym_import] = ACTIONS(13480),
    [anon_sym_using] = ACTIONS(13480),
    [anon_sym_LBRACK] = ACTIONS(13482),
    [anon_sym_RBRACK] = ACTIONS(13482),
    [anon_sym_in] = ACTIONS(13480),
    [anon_sym_SEMI] = ACTIONS(13482),
    [anon_sym_LBRACE] = ACTIONS(13482),
    [anon_sym_RBRACE] = ACTIONS(13482),
    [anon_sym_DOLLAR] = ACTIONS(13482),
    [anon_sym_COLON_COLON] = ACTIONS(13482),
    [anon_sym_isa] = ACTIONS(13480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13482),
    [anon_sym_QMARK] = ACTIONS(13482),
    [anon_sym_AT] = ACTIONS(13482),
    [anon_sym_true] = ACTIONS(13480),
    [anon_sym_false] = ACTIONS(13480),
    [aux_sym_integer_literal_token1] = ACTIONS(13482),
    [aux_sym_integer_literal_token2] = ACTIONS(13482),
    [aux_sym_integer_literal_token3] = ACTIONS(13480),
    [aux_sym_integer_literal_token4] = ACTIONS(13480),
    [aux_sym_float_literal_token1] = ACTIONS(13482),
    [aux_sym_float_literal_token3] = ACTIONS(13482),
    [aux_sym_float_literal_token4] = ACTIONS(13482),
    [sym_character_literal] = ACTIONS(13482),
    [sym__pair_operator] = ACTIONS(13482),
    [sym__arrow_operator] = ACTIONS(13480),
    [sym__lazy_or_operator] = ACTIONS(13482),
    [sym__lazy_and_operator] = ACTIONS(13482),
    [sym__comparison_operator] = ACTIONS(13480),
    [sym__pipe_right_operator] = ACTIONS(13482),
    [sym__pipe_left_operator] = ACTIONS(13482),
    [sym__ellipsis_operator] = ACTIONS(13480),
    [sym__plus_operator] = ACTIONS(13480),
    [sym__times_operator] = ACTIONS(13480),
    [sym__rational_operator] = ACTIONS(13482),
    [sym__bitshift_operator] = ACTIONS(13482),
    [sym__power_operator] = ACTIONS(13482),
    [sym__tilde_operator] = ACTIONS(13482),
    [sym__type_order_operator] = ACTIONS(13482),
    [sym__unary_operator] = ACTIONS(13480),
    [sym__unary_plus_operator] = ACTIONS(13480),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13482),
    [sym__command_start] = ACTIONS(13482),
  },
  [8298] = {
    [sym__word_identifier] = ACTIONS(14037),
    [anon_sym_EQ] = ACTIONS(14037),
    [anon_sym_COMMA] = ACTIONS(14037),
    [anon_sym_COLON] = ACTIONS(14037),
    [anon_sym_begin] = ACTIONS(14037),
    [anon_sym_module] = ACTIONS(14037),
    [anon_sym_baremodule] = ACTIONS(14037),
    [anon_sym_end] = ACTIONS(14037),
    [anon_sym_abstract] = ACTIONS(14037),
    [anon_sym_primitive] = ACTIONS(14037),
    [anon_sym_mutable] = ACTIONS(14037),
    [anon_sym_struct] = ACTIONS(14037),
    [anon_sym_function] = ACTIONS(14037),
    [anon_sym_macro] = ACTIONS(14037),
    [anon_sym_where] = ACTIONS(14037),
    [anon_sym_quote] = ACTIONS(14037),
    [anon_sym_let] = ACTIONS(14037),
    [anon_sym_if] = ACTIONS(14037),
    [anon_sym_try] = ACTIONS(14037),
    [anon_sym_finally] = ACTIONS(14037),
    [anon_sym_for] = ACTIONS(14037),
    [anon_sym_while] = ACTIONS(14037),
    [sym_break_statement] = ACTIONS(14037),
    [sym_continue_statement] = ACTIONS(14037),
    [anon_sym_return] = ACTIONS(14037),
    [anon_sym_const] = ACTIONS(14037),
    [anon_sym_global] = ACTIONS(14037),
    [anon_sym_local] = ACTIONS(14037),
    [anon_sym_LPAREN] = ACTIONS(14037),
    [anon_sym_COLON2] = ACTIONS(14037),
    [anon_sym_export] = ACTIONS(14037),
    [anon_sym_import] = ACTIONS(14037),
    [anon_sym_using] = ACTIONS(14037),
    [anon_sym_LBRACK] = ACTIONS(14037),
    [anon_sym_LF] = ACTIONS(14035),
    [anon_sym_in] = ACTIONS(14037),
    [anon_sym_LBRACE] = ACTIONS(14037),
    [anon_sym_DOLLAR] = ACTIONS(14037),
    [anon_sym_COLON_COLON] = ACTIONS(14037),
    [anon_sym_isa] = ACTIONS(14037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14037),
    [anon_sym_QMARK] = ACTIONS(14037),
    [anon_sym_AT] = ACTIONS(14037),
    [anon_sym_true] = ACTIONS(14037),
    [anon_sym_false] = ACTIONS(14037),
    [aux_sym_integer_literal_token1] = ACTIONS(14037),
    [aux_sym_integer_literal_token2] = ACTIONS(14037),
    [aux_sym_integer_literal_token3] = ACTIONS(14037),
    [aux_sym_integer_literal_token4] = ACTIONS(14037),
    [aux_sym_float_literal_token1] = ACTIONS(14037),
    [aux_sym_float_literal_token3] = ACTIONS(14037),
    [aux_sym_float_literal_token4] = ACTIONS(14037),
    [sym_character_literal] = ACTIONS(14037),
    [sym__pair_operator] = ACTIONS(14037),
    [sym__arrow_operator] = ACTIONS(14037),
    [sym__lazy_or_operator] = ACTIONS(14037),
    [sym__lazy_and_operator] = ACTIONS(14037),
    [sym__comparison_operator] = ACTIONS(14037),
    [sym__pipe_right_operator] = ACTIONS(14037),
    [sym__pipe_left_operator] = ACTIONS(14037),
    [sym__ellipsis_operator] = ACTIONS(14037),
    [sym__plus_operator] = ACTIONS(14037),
    [sym__times_operator] = ACTIONS(14037),
    [sym__rational_operator] = ACTIONS(14037),
    [sym__bitshift_operator] = ACTIONS(14037),
    [sym__power_operator] = ACTIONS(14037),
    [sym__tilde_operator] = ACTIONS(14037),
    [sym__type_order_operator] = ACTIONS(14037),
    [sym__unary_operator] = ACTIONS(14037),
    [sym__unary_plus_operator] = ACTIONS(14037),
    [aux_sym__terminator_token1] = ACTIONS(14037),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14035),
    [sym__command_start] = ACTIONS(14035),
  },
  [8299] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [8300] = {
    [sym__word_identifier] = ACTIONS(13412),
    [anon_sym_EQ] = ACTIONS(13412),
    [anon_sym_COMMA] = ACTIONS(13414),
    [anon_sym_COLON] = ACTIONS(13412),
    [anon_sym_begin] = ACTIONS(13412),
    [anon_sym_module] = ACTIONS(13412),
    [anon_sym_baremodule] = ACTIONS(13412),
    [anon_sym_abstract] = ACTIONS(13412),
    [anon_sym_primitive] = ACTIONS(13412),
    [anon_sym_mutable] = ACTIONS(13412),
    [anon_sym_struct] = ACTIONS(13412),
    [anon_sym_function] = ACTIONS(13412),
    [anon_sym_macro] = ACTIONS(13412),
    [anon_sym_where] = ACTIONS(13412),
    [anon_sym_quote] = ACTIONS(13412),
    [anon_sym_let] = ACTIONS(13412),
    [anon_sym_if] = ACTIONS(13412),
    [anon_sym_try] = ACTIONS(13412),
    [anon_sym_for] = ACTIONS(13412),
    [anon_sym_while] = ACTIONS(13412),
    [sym_break_statement] = ACTIONS(13412),
    [sym_continue_statement] = ACTIONS(13412),
    [anon_sym_return] = ACTIONS(13412),
    [anon_sym_const] = ACTIONS(13412),
    [anon_sym_global] = ACTIONS(13412),
    [anon_sym_local] = ACTIONS(13412),
    [anon_sym_LPAREN] = ACTIONS(13414),
    [anon_sym_RPAREN] = ACTIONS(13414),
    [anon_sym_COLON2] = ACTIONS(13412),
    [anon_sym_export] = ACTIONS(13412),
    [anon_sym_import] = ACTIONS(13412),
    [anon_sym_using] = ACTIONS(13412),
    [anon_sym_LBRACK] = ACTIONS(13414),
    [anon_sym_RBRACK] = ACTIONS(13414),
    [anon_sym_in] = ACTIONS(13412),
    [anon_sym_SEMI] = ACTIONS(13414),
    [anon_sym_LBRACE] = ACTIONS(13414),
    [anon_sym_RBRACE] = ACTIONS(13414),
    [anon_sym_DOLLAR] = ACTIONS(13414),
    [anon_sym_COLON_COLON] = ACTIONS(13414),
    [anon_sym_isa] = ACTIONS(13412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13414),
    [anon_sym_QMARK] = ACTIONS(13414),
    [anon_sym_AT] = ACTIONS(13414),
    [anon_sym_true] = ACTIONS(13412),
    [anon_sym_false] = ACTIONS(13412),
    [aux_sym_integer_literal_token1] = ACTIONS(13414),
    [aux_sym_integer_literal_token2] = ACTIONS(13414),
    [aux_sym_integer_literal_token3] = ACTIONS(13412),
    [aux_sym_integer_literal_token4] = ACTIONS(13412),
    [aux_sym_float_literal_token1] = ACTIONS(13414),
    [aux_sym_float_literal_token3] = ACTIONS(13414),
    [aux_sym_float_literal_token4] = ACTIONS(13414),
    [sym_character_literal] = ACTIONS(13414),
    [sym__pair_operator] = ACTIONS(13414),
    [sym__arrow_operator] = ACTIONS(13412),
    [sym__lazy_or_operator] = ACTIONS(13414),
    [sym__lazy_and_operator] = ACTIONS(13414),
    [sym__comparison_operator] = ACTIONS(13412),
    [sym__pipe_right_operator] = ACTIONS(13414),
    [sym__pipe_left_operator] = ACTIONS(13414),
    [sym__ellipsis_operator] = ACTIONS(13412),
    [sym__plus_operator] = ACTIONS(13412),
    [sym__times_operator] = ACTIONS(13412),
    [sym__rational_operator] = ACTIONS(13414),
    [sym__bitshift_operator] = ACTIONS(13414),
    [sym__power_operator] = ACTIONS(13414),
    [sym__tilde_operator] = ACTIONS(13414),
    [sym__type_order_operator] = ACTIONS(13414),
    [sym__unary_operator] = ACTIONS(13412),
    [sym__unary_plus_operator] = ACTIONS(13412),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13414),
    [sym__command_start] = ACTIONS(13414),
  },
  [8301] = {
    [sym__word_identifier] = ACTIONS(14023),
    [anon_sym_EQ] = ACTIONS(14023),
    [anon_sym_COMMA] = ACTIONS(14023),
    [anon_sym_COLON] = ACTIONS(14023),
    [anon_sym_begin] = ACTIONS(14023),
    [anon_sym_module] = ACTIONS(14023),
    [anon_sym_baremodule] = ACTIONS(14023),
    [anon_sym_end] = ACTIONS(14023),
    [anon_sym_abstract] = ACTIONS(14023),
    [anon_sym_primitive] = ACTIONS(14023),
    [anon_sym_mutable] = ACTIONS(14023),
    [anon_sym_struct] = ACTIONS(14023),
    [anon_sym_function] = ACTIONS(14023),
    [anon_sym_macro] = ACTIONS(14023),
    [anon_sym_where] = ACTIONS(14023),
    [anon_sym_quote] = ACTIONS(14023),
    [anon_sym_let] = ACTIONS(14023),
    [anon_sym_if] = ACTIONS(14023),
    [anon_sym_try] = ACTIONS(14023),
    [anon_sym_finally] = ACTIONS(14023),
    [anon_sym_for] = ACTIONS(14023),
    [anon_sym_while] = ACTIONS(14023),
    [sym_break_statement] = ACTIONS(14023),
    [sym_continue_statement] = ACTIONS(14023),
    [anon_sym_return] = ACTIONS(14023),
    [anon_sym_const] = ACTIONS(14023),
    [anon_sym_global] = ACTIONS(14023),
    [anon_sym_local] = ACTIONS(14023),
    [anon_sym_LPAREN] = ACTIONS(14023),
    [anon_sym_COLON2] = ACTIONS(14023),
    [anon_sym_export] = ACTIONS(14023),
    [anon_sym_import] = ACTIONS(14023),
    [anon_sym_using] = ACTIONS(14023),
    [anon_sym_LBRACK] = ACTIONS(14023),
    [anon_sym_LF] = ACTIONS(14021),
    [anon_sym_in] = ACTIONS(14023),
    [anon_sym_LBRACE] = ACTIONS(14023),
    [anon_sym_DOLLAR] = ACTIONS(14023),
    [anon_sym_COLON_COLON] = ACTIONS(14023),
    [anon_sym_isa] = ACTIONS(14023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14023),
    [anon_sym_QMARK] = ACTIONS(14023),
    [anon_sym_AT] = ACTIONS(14023),
    [anon_sym_true] = ACTIONS(14023),
    [anon_sym_false] = ACTIONS(14023),
    [aux_sym_integer_literal_token1] = ACTIONS(14023),
    [aux_sym_integer_literal_token2] = ACTIONS(14023),
    [aux_sym_integer_literal_token3] = ACTIONS(14023),
    [aux_sym_integer_literal_token4] = ACTIONS(14023),
    [aux_sym_float_literal_token1] = ACTIONS(14023),
    [aux_sym_float_literal_token3] = ACTIONS(14023),
    [aux_sym_float_literal_token4] = ACTIONS(14023),
    [sym_character_literal] = ACTIONS(14023),
    [sym__pair_operator] = ACTIONS(14023),
    [sym__arrow_operator] = ACTIONS(14023),
    [sym__lazy_or_operator] = ACTIONS(14023),
    [sym__lazy_and_operator] = ACTIONS(14023),
    [sym__comparison_operator] = ACTIONS(14023),
    [sym__pipe_right_operator] = ACTIONS(14023),
    [sym__pipe_left_operator] = ACTIONS(14023),
    [sym__ellipsis_operator] = ACTIONS(14023),
    [sym__plus_operator] = ACTIONS(14023),
    [sym__times_operator] = ACTIONS(14023),
    [sym__rational_operator] = ACTIONS(14023),
    [sym__bitshift_operator] = ACTIONS(14023),
    [sym__power_operator] = ACTIONS(14023),
    [sym__tilde_operator] = ACTIONS(14023),
    [sym__type_order_operator] = ACTIONS(14023),
    [sym__unary_operator] = ACTIONS(14023),
    [sym__unary_plus_operator] = ACTIONS(14023),
    [aux_sym__terminator_token1] = ACTIONS(14023),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14021),
    [sym__command_start] = ACTIONS(14021),
  },
  [8302] = {
    [sym__word_identifier] = ACTIONS(14019),
    [anon_sym_EQ] = ACTIONS(14019),
    [anon_sym_COMMA] = ACTIONS(14019),
    [anon_sym_COLON] = ACTIONS(14019),
    [anon_sym_begin] = ACTIONS(14019),
    [anon_sym_module] = ACTIONS(14019),
    [anon_sym_baremodule] = ACTIONS(14019),
    [anon_sym_end] = ACTIONS(14019),
    [anon_sym_abstract] = ACTIONS(14019),
    [anon_sym_primitive] = ACTIONS(14019),
    [anon_sym_mutable] = ACTIONS(14019),
    [anon_sym_struct] = ACTIONS(14019),
    [anon_sym_function] = ACTIONS(14019),
    [anon_sym_macro] = ACTIONS(14019),
    [anon_sym_where] = ACTIONS(14019),
    [anon_sym_quote] = ACTIONS(14019),
    [anon_sym_let] = ACTIONS(14019),
    [anon_sym_if] = ACTIONS(14019),
    [anon_sym_try] = ACTIONS(14019),
    [anon_sym_finally] = ACTIONS(14019),
    [anon_sym_for] = ACTIONS(14019),
    [anon_sym_while] = ACTIONS(14019),
    [sym_break_statement] = ACTIONS(14019),
    [sym_continue_statement] = ACTIONS(14019),
    [anon_sym_return] = ACTIONS(14019),
    [anon_sym_const] = ACTIONS(14019),
    [anon_sym_global] = ACTIONS(14019),
    [anon_sym_local] = ACTIONS(14019),
    [anon_sym_LPAREN] = ACTIONS(14019),
    [anon_sym_COLON2] = ACTIONS(14019),
    [anon_sym_export] = ACTIONS(14019),
    [anon_sym_import] = ACTIONS(14019),
    [anon_sym_using] = ACTIONS(14019),
    [anon_sym_LBRACK] = ACTIONS(14019),
    [anon_sym_LF] = ACTIONS(14017),
    [anon_sym_in] = ACTIONS(14019),
    [anon_sym_LBRACE] = ACTIONS(14019),
    [anon_sym_DOLLAR] = ACTIONS(14019),
    [anon_sym_COLON_COLON] = ACTIONS(14019),
    [anon_sym_isa] = ACTIONS(14019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14019),
    [anon_sym_QMARK] = ACTIONS(14019),
    [anon_sym_AT] = ACTIONS(14019),
    [anon_sym_true] = ACTIONS(14019),
    [anon_sym_false] = ACTIONS(14019),
    [aux_sym_integer_literal_token1] = ACTIONS(14019),
    [aux_sym_integer_literal_token2] = ACTIONS(14019),
    [aux_sym_integer_literal_token3] = ACTIONS(14019),
    [aux_sym_integer_literal_token4] = ACTIONS(14019),
    [aux_sym_float_literal_token1] = ACTIONS(14019),
    [aux_sym_float_literal_token3] = ACTIONS(14019),
    [aux_sym_float_literal_token4] = ACTIONS(14019),
    [sym_character_literal] = ACTIONS(14019),
    [sym__pair_operator] = ACTIONS(14019),
    [sym__arrow_operator] = ACTIONS(14019),
    [sym__lazy_or_operator] = ACTIONS(14019),
    [sym__lazy_and_operator] = ACTIONS(14019),
    [sym__comparison_operator] = ACTIONS(14019),
    [sym__pipe_right_operator] = ACTIONS(14019),
    [sym__pipe_left_operator] = ACTIONS(14019),
    [sym__ellipsis_operator] = ACTIONS(14019),
    [sym__plus_operator] = ACTIONS(14019),
    [sym__times_operator] = ACTIONS(14019),
    [sym__rational_operator] = ACTIONS(14019),
    [sym__bitshift_operator] = ACTIONS(14019),
    [sym__power_operator] = ACTIONS(14019),
    [sym__tilde_operator] = ACTIONS(14019),
    [sym__type_order_operator] = ACTIONS(14019),
    [sym__unary_operator] = ACTIONS(14019),
    [sym__unary_plus_operator] = ACTIONS(14019),
    [aux_sym__terminator_token1] = ACTIONS(14019),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14017),
    [sym__command_start] = ACTIONS(14017),
  },
  [8303] = {
    [sym__word_identifier] = ACTIONS(14015),
    [anon_sym_EQ] = ACTIONS(14015),
    [anon_sym_COMMA] = ACTIONS(14015),
    [anon_sym_COLON] = ACTIONS(14015),
    [anon_sym_begin] = ACTIONS(14015),
    [anon_sym_module] = ACTIONS(14015),
    [anon_sym_baremodule] = ACTIONS(14015),
    [anon_sym_end] = ACTIONS(14015),
    [anon_sym_abstract] = ACTIONS(14015),
    [anon_sym_primitive] = ACTIONS(14015),
    [anon_sym_mutable] = ACTIONS(14015),
    [anon_sym_struct] = ACTIONS(14015),
    [anon_sym_function] = ACTIONS(14015),
    [anon_sym_macro] = ACTIONS(14015),
    [anon_sym_where] = ACTIONS(14015),
    [anon_sym_quote] = ACTIONS(14015),
    [anon_sym_let] = ACTIONS(14015),
    [anon_sym_if] = ACTIONS(14015),
    [anon_sym_try] = ACTIONS(14015),
    [anon_sym_finally] = ACTIONS(14015),
    [anon_sym_for] = ACTIONS(14015),
    [anon_sym_while] = ACTIONS(14015),
    [sym_break_statement] = ACTIONS(14015),
    [sym_continue_statement] = ACTIONS(14015),
    [anon_sym_return] = ACTIONS(14015),
    [anon_sym_const] = ACTIONS(14015),
    [anon_sym_global] = ACTIONS(14015),
    [anon_sym_local] = ACTIONS(14015),
    [anon_sym_LPAREN] = ACTIONS(14015),
    [anon_sym_COLON2] = ACTIONS(14015),
    [anon_sym_export] = ACTIONS(14015),
    [anon_sym_import] = ACTIONS(14015),
    [anon_sym_using] = ACTIONS(14015),
    [anon_sym_LBRACK] = ACTIONS(14015),
    [anon_sym_LF] = ACTIONS(14013),
    [anon_sym_in] = ACTIONS(14015),
    [anon_sym_LBRACE] = ACTIONS(14015),
    [anon_sym_DOLLAR] = ACTIONS(14015),
    [anon_sym_COLON_COLON] = ACTIONS(14015),
    [anon_sym_isa] = ACTIONS(14015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14015),
    [anon_sym_QMARK] = ACTIONS(14015),
    [anon_sym_AT] = ACTIONS(14015),
    [anon_sym_true] = ACTIONS(14015),
    [anon_sym_false] = ACTIONS(14015),
    [aux_sym_integer_literal_token1] = ACTIONS(14015),
    [aux_sym_integer_literal_token2] = ACTIONS(14015),
    [aux_sym_integer_literal_token3] = ACTIONS(14015),
    [aux_sym_integer_literal_token4] = ACTIONS(14015),
    [aux_sym_float_literal_token1] = ACTIONS(14015),
    [aux_sym_float_literal_token3] = ACTIONS(14015),
    [aux_sym_float_literal_token4] = ACTIONS(14015),
    [sym_character_literal] = ACTIONS(14015),
    [sym__pair_operator] = ACTIONS(14015),
    [sym__arrow_operator] = ACTIONS(14015),
    [sym__lazy_or_operator] = ACTIONS(14015),
    [sym__lazy_and_operator] = ACTIONS(14015),
    [sym__comparison_operator] = ACTIONS(14015),
    [sym__pipe_right_operator] = ACTIONS(14015),
    [sym__pipe_left_operator] = ACTIONS(14015),
    [sym__ellipsis_operator] = ACTIONS(14015),
    [sym__plus_operator] = ACTIONS(14015),
    [sym__times_operator] = ACTIONS(14015),
    [sym__rational_operator] = ACTIONS(14015),
    [sym__bitshift_operator] = ACTIONS(14015),
    [sym__power_operator] = ACTIONS(14015),
    [sym__tilde_operator] = ACTIONS(14015),
    [sym__type_order_operator] = ACTIONS(14015),
    [sym__unary_operator] = ACTIONS(14015),
    [sym__unary_plus_operator] = ACTIONS(14015),
    [aux_sym__terminator_token1] = ACTIONS(14015),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14013),
    [sym__command_start] = ACTIONS(14013),
  },
  [8304] = {
    [sym__word_identifier] = ACTIONS(13949),
    [anon_sym_EQ] = ACTIONS(13949),
    [anon_sym_COMMA] = ACTIONS(13949),
    [anon_sym_COLON] = ACTIONS(13949),
    [anon_sym_begin] = ACTIONS(13949),
    [anon_sym_module] = ACTIONS(13949),
    [anon_sym_baremodule] = ACTIONS(13949),
    [anon_sym_end] = ACTIONS(13949),
    [anon_sym_abstract] = ACTIONS(13949),
    [anon_sym_primitive] = ACTIONS(13949),
    [anon_sym_mutable] = ACTIONS(13949),
    [anon_sym_struct] = ACTIONS(13949),
    [anon_sym_function] = ACTIONS(13949),
    [anon_sym_macro] = ACTIONS(13949),
    [anon_sym_where] = ACTIONS(13949),
    [anon_sym_quote] = ACTIONS(13949),
    [anon_sym_let] = ACTIONS(13949),
    [anon_sym_if] = ACTIONS(13949),
    [anon_sym_try] = ACTIONS(13949),
    [anon_sym_finally] = ACTIONS(13949),
    [anon_sym_for] = ACTIONS(13949),
    [anon_sym_while] = ACTIONS(13949),
    [sym_break_statement] = ACTIONS(13949),
    [sym_continue_statement] = ACTIONS(13949),
    [anon_sym_return] = ACTIONS(13949),
    [anon_sym_const] = ACTIONS(13949),
    [anon_sym_global] = ACTIONS(13949),
    [anon_sym_local] = ACTIONS(13949),
    [anon_sym_LPAREN] = ACTIONS(13949),
    [anon_sym_COLON2] = ACTIONS(13949),
    [anon_sym_export] = ACTIONS(13949),
    [anon_sym_import] = ACTIONS(13949),
    [anon_sym_using] = ACTIONS(13949),
    [anon_sym_LBRACK] = ACTIONS(13949),
    [anon_sym_LF] = ACTIONS(13951),
    [anon_sym_in] = ACTIONS(13949),
    [anon_sym_LBRACE] = ACTIONS(13949),
    [anon_sym_DOLLAR] = ACTIONS(13949),
    [anon_sym_COLON_COLON] = ACTIONS(13949),
    [anon_sym_isa] = ACTIONS(13949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13949),
    [anon_sym_QMARK] = ACTIONS(13949),
    [anon_sym_AT] = ACTIONS(13949),
    [anon_sym_true] = ACTIONS(13949),
    [anon_sym_false] = ACTIONS(13949),
    [aux_sym_integer_literal_token1] = ACTIONS(13949),
    [aux_sym_integer_literal_token2] = ACTIONS(13949),
    [aux_sym_integer_literal_token3] = ACTIONS(13949),
    [aux_sym_integer_literal_token4] = ACTIONS(13949),
    [aux_sym_float_literal_token1] = ACTIONS(13949),
    [aux_sym_float_literal_token3] = ACTIONS(13949),
    [aux_sym_float_literal_token4] = ACTIONS(13949),
    [sym_character_literal] = ACTIONS(13949),
    [sym__pair_operator] = ACTIONS(13949),
    [sym__arrow_operator] = ACTIONS(13949),
    [sym__lazy_or_operator] = ACTIONS(13949),
    [sym__lazy_and_operator] = ACTIONS(13949),
    [sym__comparison_operator] = ACTIONS(13949),
    [sym__pipe_right_operator] = ACTIONS(13949),
    [sym__pipe_left_operator] = ACTIONS(13949),
    [sym__ellipsis_operator] = ACTIONS(13949),
    [sym__plus_operator] = ACTIONS(13949),
    [sym__times_operator] = ACTIONS(13949),
    [sym__rational_operator] = ACTIONS(13949),
    [sym__bitshift_operator] = ACTIONS(13949),
    [sym__power_operator] = ACTIONS(13949),
    [sym__tilde_operator] = ACTIONS(13949),
    [sym__type_order_operator] = ACTIONS(13949),
    [sym__unary_operator] = ACTIONS(13949),
    [sym__unary_plus_operator] = ACTIONS(13949),
    [aux_sym__terminator_token1] = ACTIONS(13949),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13951),
    [sym__command_start] = ACTIONS(13951),
  },
  [8305] = {
    [sym__word_identifier] = ACTIONS(14011),
    [anon_sym_EQ] = ACTIONS(14011),
    [anon_sym_COMMA] = ACTIONS(14011),
    [anon_sym_COLON] = ACTIONS(14011),
    [anon_sym_begin] = ACTIONS(14011),
    [anon_sym_module] = ACTIONS(14011),
    [anon_sym_baremodule] = ACTIONS(14011),
    [anon_sym_end] = ACTIONS(14011),
    [anon_sym_abstract] = ACTIONS(14011),
    [anon_sym_primitive] = ACTIONS(14011),
    [anon_sym_mutable] = ACTIONS(14011),
    [anon_sym_struct] = ACTIONS(14011),
    [anon_sym_function] = ACTIONS(14011),
    [anon_sym_macro] = ACTIONS(14011),
    [anon_sym_where] = ACTIONS(14011),
    [anon_sym_quote] = ACTIONS(14011),
    [anon_sym_let] = ACTIONS(14011),
    [anon_sym_if] = ACTIONS(14011),
    [anon_sym_try] = ACTIONS(14011),
    [anon_sym_finally] = ACTIONS(14011),
    [anon_sym_for] = ACTIONS(14011),
    [anon_sym_while] = ACTIONS(14011),
    [sym_break_statement] = ACTIONS(14011),
    [sym_continue_statement] = ACTIONS(14011),
    [anon_sym_return] = ACTIONS(14011),
    [anon_sym_const] = ACTIONS(14011),
    [anon_sym_global] = ACTIONS(14011),
    [anon_sym_local] = ACTIONS(14011),
    [anon_sym_LPAREN] = ACTIONS(14011),
    [anon_sym_COLON2] = ACTIONS(14011),
    [anon_sym_export] = ACTIONS(14011),
    [anon_sym_import] = ACTIONS(14011),
    [anon_sym_using] = ACTIONS(14011),
    [anon_sym_LBRACK] = ACTIONS(14011),
    [anon_sym_LF] = ACTIONS(14009),
    [anon_sym_in] = ACTIONS(14011),
    [anon_sym_LBRACE] = ACTIONS(14011),
    [anon_sym_DOLLAR] = ACTIONS(14011),
    [anon_sym_COLON_COLON] = ACTIONS(14011),
    [anon_sym_isa] = ACTIONS(14011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14011),
    [anon_sym_QMARK] = ACTIONS(14011),
    [anon_sym_AT] = ACTIONS(14011),
    [anon_sym_true] = ACTIONS(14011),
    [anon_sym_false] = ACTIONS(14011),
    [aux_sym_integer_literal_token1] = ACTIONS(14011),
    [aux_sym_integer_literal_token2] = ACTIONS(14011),
    [aux_sym_integer_literal_token3] = ACTIONS(14011),
    [aux_sym_integer_literal_token4] = ACTIONS(14011),
    [aux_sym_float_literal_token1] = ACTIONS(14011),
    [aux_sym_float_literal_token3] = ACTIONS(14011),
    [aux_sym_float_literal_token4] = ACTIONS(14011),
    [sym_character_literal] = ACTIONS(14011),
    [sym__pair_operator] = ACTIONS(14011),
    [sym__arrow_operator] = ACTIONS(14011),
    [sym__lazy_or_operator] = ACTIONS(14011),
    [sym__lazy_and_operator] = ACTIONS(14011),
    [sym__comparison_operator] = ACTIONS(14011),
    [sym__pipe_right_operator] = ACTIONS(14011),
    [sym__pipe_left_operator] = ACTIONS(14011),
    [sym__ellipsis_operator] = ACTIONS(14011),
    [sym__plus_operator] = ACTIONS(14011),
    [sym__times_operator] = ACTIONS(14011),
    [sym__rational_operator] = ACTIONS(14011),
    [sym__bitshift_operator] = ACTIONS(14011),
    [sym__power_operator] = ACTIONS(14011),
    [sym__tilde_operator] = ACTIONS(14011),
    [sym__type_order_operator] = ACTIONS(14011),
    [sym__unary_operator] = ACTIONS(14011),
    [sym__unary_plus_operator] = ACTIONS(14011),
    [aux_sym__terminator_token1] = ACTIONS(14011),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14009),
    [sym__command_start] = ACTIONS(14009),
  },
  [8306] = {
    [sym__word_identifier] = ACTIONS(13997),
    [anon_sym_EQ] = ACTIONS(13997),
    [anon_sym_COMMA] = ACTIONS(13997),
    [anon_sym_COLON] = ACTIONS(13997),
    [anon_sym_begin] = ACTIONS(13997),
    [anon_sym_module] = ACTIONS(13997),
    [anon_sym_baremodule] = ACTIONS(13997),
    [anon_sym_end] = ACTIONS(13997),
    [anon_sym_abstract] = ACTIONS(13997),
    [anon_sym_primitive] = ACTIONS(13997),
    [anon_sym_mutable] = ACTIONS(13997),
    [anon_sym_struct] = ACTIONS(13997),
    [anon_sym_function] = ACTIONS(13997),
    [anon_sym_macro] = ACTIONS(13997),
    [anon_sym_where] = ACTIONS(13997),
    [anon_sym_quote] = ACTIONS(13997),
    [anon_sym_let] = ACTIONS(13997),
    [anon_sym_if] = ACTIONS(13997),
    [anon_sym_try] = ACTIONS(13997),
    [anon_sym_finally] = ACTIONS(13997),
    [anon_sym_for] = ACTIONS(13997),
    [anon_sym_while] = ACTIONS(13997),
    [sym_break_statement] = ACTIONS(13997),
    [sym_continue_statement] = ACTIONS(13997),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_const] = ACTIONS(13997),
    [anon_sym_global] = ACTIONS(13997),
    [anon_sym_local] = ACTIONS(13997),
    [anon_sym_LPAREN] = ACTIONS(13997),
    [anon_sym_COLON2] = ACTIONS(13997),
    [anon_sym_export] = ACTIONS(13997),
    [anon_sym_import] = ACTIONS(13997),
    [anon_sym_using] = ACTIONS(13997),
    [anon_sym_LBRACK] = ACTIONS(13997),
    [anon_sym_LF] = ACTIONS(13995),
    [anon_sym_in] = ACTIONS(13997),
    [anon_sym_LBRACE] = ACTIONS(13997),
    [anon_sym_DOLLAR] = ACTIONS(13997),
    [anon_sym_COLON_COLON] = ACTIONS(13997),
    [anon_sym_isa] = ACTIONS(13997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13997),
    [anon_sym_QMARK] = ACTIONS(13997),
    [anon_sym_AT] = ACTIONS(13997),
    [anon_sym_true] = ACTIONS(13997),
    [anon_sym_false] = ACTIONS(13997),
    [aux_sym_integer_literal_token1] = ACTIONS(13997),
    [aux_sym_integer_literal_token2] = ACTIONS(13997),
    [aux_sym_integer_literal_token3] = ACTIONS(13997),
    [aux_sym_integer_literal_token4] = ACTIONS(13997),
    [aux_sym_float_literal_token1] = ACTIONS(13997),
    [aux_sym_float_literal_token3] = ACTIONS(13997),
    [aux_sym_float_literal_token4] = ACTIONS(13997),
    [sym_character_literal] = ACTIONS(13997),
    [sym__pair_operator] = ACTIONS(13997),
    [sym__arrow_operator] = ACTIONS(13997),
    [sym__lazy_or_operator] = ACTIONS(13997),
    [sym__lazy_and_operator] = ACTIONS(13997),
    [sym__comparison_operator] = ACTIONS(13997),
    [sym__pipe_right_operator] = ACTIONS(13997),
    [sym__pipe_left_operator] = ACTIONS(13997),
    [sym__ellipsis_operator] = ACTIONS(13997),
    [sym__plus_operator] = ACTIONS(13997),
    [sym__times_operator] = ACTIONS(13997),
    [sym__rational_operator] = ACTIONS(13997),
    [sym__bitshift_operator] = ACTIONS(13997),
    [sym__power_operator] = ACTIONS(13997),
    [sym__tilde_operator] = ACTIONS(13997),
    [sym__type_order_operator] = ACTIONS(13997),
    [sym__unary_operator] = ACTIONS(13997),
    [sym__unary_plus_operator] = ACTIONS(13997),
    [aux_sym__terminator_token1] = ACTIONS(13997),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13995),
    [sym__command_start] = ACTIONS(13995),
  },
  [8307] = {
    [sym__word_identifier] = ACTIONS(14001),
    [anon_sym_EQ] = ACTIONS(14001),
    [anon_sym_COMMA] = ACTIONS(14001),
    [anon_sym_COLON] = ACTIONS(14001),
    [anon_sym_begin] = ACTIONS(14001),
    [anon_sym_module] = ACTIONS(14001),
    [anon_sym_baremodule] = ACTIONS(14001),
    [anon_sym_end] = ACTIONS(14001),
    [anon_sym_abstract] = ACTIONS(14001),
    [anon_sym_primitive] = ACTIONS(14001),
    [anon_sym_mutable] = ACTIONS(14001),
    [anon_sym_struct] = ACTIONS(14001),
    [anon_sym_function] = ACTIONS(14001),
    [anon_sym_macro] = ACTIONS(14001),
    [anon_sym_where] = ACTIONS(14001),
    [anon_sym_quote] = ACTIONS(14001),
    [anon_sym_let] = ACTIONS(14001),
    [anon_sym_if] = ACTIONS(14001),
    [anon_sym_try] = ACTIONS(14001),
    [anon_sym_finally] = ACTIONS(14001),
    [anon_sym_for] = ACTIONS(14001),
    [anon_sym_while] = ACTIONS(14001),
    [sym_break_statement] = ACTIONS(14001),
    [sym_continue_statement] = ACTIONS(14001),
    [anon_sym_return] = ACTIONS(14001),
    [anon_sym_const] = ACTIONS(14001),
    [anon_sym_global] = ACTIONS(14001),
    [anon_sym_local] = ACTIONS(14001),
    [anon_sym_LPAREN] = ACTIONS(14001),
    [anon_sym_COLON2] = ACTIONS(14001),
    [anon_sym_export] = ACTIONS(14001),
    [anon_sym_import] = ACTIONS(14001),
    [anon_sym_using] = ACTIONS(14001),
    [anon_sym_LBRACK] = ACTIONS(14001),
    [anon_sym_LF] = ACTIONS(13999),
    [anon_sym_in] = ACTIONS(14001),
    [anon_sym_LBRACE] = ACTIONS(14001),
    [anon_sym_DOLLAR] = ACTIONS(14001),
    [anon_sym_COLON_COLON] = ACTIONS(14001),
    [anon_sym_isa] = ACTIONS(14001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14001),
    [anon_sym_QMARK] = ACTIONS(14001),
    [anon_sym_AT] = ACTIONS(14001),
    [anon_sym_true] = ACTIONS(14001),
    [anon_sym_false] = ACTIONS(14001),
    [aux_sym_integer_literal_token1] = ACTIONS(14001),
    [aux_sym_integer_literal_token2] = ACTIONS(14001),
    [aux_sym_integer_literal_token3] = ACTIONS(14001),
    [aux_sym_integer_literal_token4] = ACTIONS(14001),
    [aux_sym_float_literal_token1] = ACTIONS(14001),
    [aux_sym_float_literal_token3] = ACTIONS(14001),
    [aux_sym_float_literal_token4] = ACTIONS(14001),
    [sym_character_literal] = ACTIONS(14001),
    [sym__pair_operator] = ACTIONS(14001),
    [sym__arrow_operator] = ACTIONS(14001),
    [sym__lazy_or_operator] = ACTIONS(14001),
    [sym__lazy_and_operator] = ACTIONS(14001),
    [sym__comparison_operator] = ACTIONS(14001),
    [sym__pipe_right_operator] = ACTIONS(14001),
    [sym__pipe_left_operator] = ACTIONS(14001),
    [sym__ellipsis_operator] = ACTIONS(14001),
    [sym__plus_operator] = ACTIONS(14001),
    [sym__times_operator] = ACTIONS(14001),
    [sym__rational_operator] = ACTIONS(14001),
    [sym__bitshift_operator] = ACTIONS(14001),
    [sym__power_operator] = ACTIONS(14001),
    [sym__tilde_operator] = ACTIONS(14001),
    [sym__type_order_operator] = ACTIONS(14001),
    [sym__unary_operator] = ACTIONS(14001),
    [sym__unary_plus_operator] = ACTIONS(14001),
    [aux_sym__terminator_token1] = ACTIONS(14001),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13999),
    [sym__command_start] = ACTIONS(13999),
  },
  [8308] = {
    [sym__word_identifier] = ACTIONS(13834),
    [anon_sym_EQ] = ACTIONS(13834),
    [anon_sym_COMMA] = ACTIONS(13834),
    [anon_sym_COLON] = ACTIONS(13834),
    [anon_sym_begin] = ACTIONS(13834),
    [anon_sym_module] = ACTIONS(13834),
    [anon_sym_baremodule] = ACTIONS(13834),
    [anon_sym_end] = ACTIONS(13834),
    [anon_sym_abstract] = ACTIONS(13834),
    [anon_sym_primitive] = ACTIONS(13834),
    [anon_sym_mutable] = ACTIONS(13834),
    [anon_sym_struct] = ACTIONS(13834),
    [anon_sym_function] = ACTIONS(13834),
    [anon_sym_macro] = ACTIONS(13834),
    [anon_sym_where] = ACTIONS(13834),
    [anon_sym_quote] = ACTIONS(13834),
    [anon_sym_let] = ACTIONS(13834),
    [anon_sym_if] = ACTIONS(13834),
    [anon_sym_try] = ACTIONS(13834),
    [anon_sym_finally] = ACTIONS(13834),
    [anon_sym_for] = ACTIONS(13834),
    [anon_sym_while] = ACTIONS(13834),
    [sym_break_statement] = ACTIONS(13834),
    [sym_continue_statement] = ACTIONS(13834),
    [anon_sym_return] = ACTIONS(13834),
    [anon_sym_const] = ACTIONS(13834),
    [anon_sym_global] = ACTIONS(13834),
    [anon_sym_local] = ACTIONS(13834),
    [anon_sym_LPAREN] = ACTIONS(13834),
    [anon_sym_COLON2] = ACTIONS(13834),
    [anon_sym_export] = ACTIONS(13834),
    [anon_sym_import] = ACTIONS(13834),
    [anon_sym_using] = ACTIONS(13834),
    [anon_sym_LBRACK] = ACTIONS(13834),
    [anon_sym_LF] = ACTIONS(13832),
    [anon_sym_in] = ACTIONS(13834),
    [anon_sym_LBRACE] = ACTIONS(13834),
    [anon_sym_DOLLAR] = ACTIONS(13834),
    [anon_sym_COLON_COLON] = ACTIONS(13834),
    [anon_sym_isa] = ACTIONS(13834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13834),
    [anon_sym_QMARK] = ACTIONS(13834),
    [anon_sym_AT] = ACTIONS(13834),
    [anon_sym_true] = ACTIONS(13834),
    [anon_sym_false] = ACTIONS(13834),
    [aux_sym_integer_literal_token1] = ACTIONS(13834),
    [aux_sym_integer_literal_token2] = ACTIONS(13834),
    [aux_sym_integer_literal_token3] = ACTIONS(13834),
    [aux_sym_integer_literal_token4] = ACTIONS(13834),
    [aux_sym_float_literal_token1] = ACTIONS(13834),
    [aux_sym_float_literal_token3] = ACTIONS(13834),
    [aux_sym_float_literal_token4] = ACTIONS(13834),
    [sym_character_literal] = ACTIONS(13834),
    [sym__pair_operator] = ACTIONS(13834),
    [sym__arrow_operator] = ACTIONS(13834),
    [sym__lazy_or_operator] = ACTIONS(13834),
    [sym__lazy_and_operator] = ACTIONS(13834),
    [sym__comparison_operator] = ACTIONS(13834),
    [sym__pipe_right_operator] = ACTIONS(13834),
    [sym__pipe_left_operator] = ACTIONS(13834),
    [sym__ellipsis_operator] = ACTIONS(13834),
    [sym__plus_operator] = ACTIONS(13834),
    [sym__times_operator] = ACTIONS(13834),
    [sym__rational_operator] = ACTIONS(13834),
    [sym__bitshift_operator] = ACTIONS(13834),
    [sym__power_operator] = ACTIONS(13834),
    [sym__tilde_operator] = ACTIONS(13834),
    [sym__type_order_operator] = ACTIONS(13834),
    [sym__unary_operator] = ACTIONS(13834),
    [sym__unary_plus_operator] = ACTIONS(13834),
    [aux_sym__terminator_token1] = ACTIONS(13834),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13832),
    [sym__command_start] = ACTIONS(13832),
  },
  [8309] = {
    [sym__word_identifier] = ACTIONS(13993),
    [anon_sym_EQ] = ACTIONS(13993),
    [anon_sym_COMMA] = ACTIONS(13993),
    [anon_sym_COLON] = ACTIONS(13993),
    [anon_sym_begin] = ACTIONS(13993),
    [anon_sym_module] = ACTIONS(13993),
    [anon_sym_baremodule] = ACTIONS(13993),
    [anon_sym_end] = ACTIONS(13993),
    [anon_sym_abstract] = ACTIONS(13993),
    [anon_sym_primitive] = ACTIONS(13993),
    [anon_sym_mutable] = ACTIONS(13993),
    [anon_sym_struct] = ACTIONS(13993),
    [anon_sym_function] = ACTIONS(13993),
    [anon_sym_macro] = ACTIONS(13993),
    [anon_sym_where] = ACTIONS(13993),
    [anon_sym_quote] = ACTIONS(13993),
    [anon_sym_let] = ACTIONS(13993),
    [anon_sym_if] = ACTIONS(13993),
    [anon_sym_try] = ACTIONS(13993),
    [anon_sym_finally] = ACTIONS(13993),
    [anon_sym_for] = ACTIONS(13993),
    [anon_sym_while] = ACTIONS(13993),
    [sym_break_statement] = ACTIONS(13993),
    [sym_continue_statement] = ACTIONS(13993),
    [anon_sym_return] = ACTIONS(13993),
    [anon_sym_const] = ACTIONS(13993),
    [anon_sym_global] = ACTIONS(13993),
    [anon_sym_local] = ACTIONS(13993),
    [anon_sym_LPAREN] = ACTIONS(13993),
    [anon_sym_COLON2] = ACTIONS(13993),
    [anon_sym_export] = ACTIONS(13993),
    [anon_sym_import] = ACTIONS(13993),
    [anon_sym_using] = ACTIONS(13993),
    [anon_sym_LBRACK] = ACTIONS(13993),
    [anon_sym_LF] = ACTIONS(13991),
    [anon_sym_in] = ACTIONS(13993),
    [anon_sym_LBRACE] = ACTIONS(13993),
    [anon_sym_DOLLAR] = ACTIONS(13993),
    [anon_sym_COLON_COLON] = ACTIONS(13993),
    [anon_sym_isa] = ACTIONS(13993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13993),
    [anon_sym_QMARK] = ACTIONS(13993),
    [anon_sym_AT] = ACTIONS(13993),
    [anon_sym_true] = ACTIONS(13993),
    [anon_sym_false] = ACTIONS(13993),
    [aux_sym_integer_literal_token1] = ACTIONS(13993),
    [aux_sym_integer_literal_token2] = ACTIONS(13993),
    [aux_sym_integer_literal_token3] = ACTIONS(13993),
    [aux_sym_integer_literal_token4] = ACTIONS(13993),
    [aux_sym_float_literal_token1] = ACTIONS(13993),
    [aux_sym_float_literal_token3] = ACTIONS(13993),
    [aux_sym_float_literal_token4] = ACTIONS(13993),
    [sym_character_literal] = ACTIONS(13993),
    [sym__pair_operator] = ACTIONS(13993),
    [sym__arrow_operator] = ACTIONS(13993),
    [sym__lazy_or_operator] = ACTIONS(13993),
    [sym__lazy_and_operator] = ACTIONS(13993),
    [sym__comparison_operator] = ACTIONS(13993),
    [sym__pipe_right_operator] = ACTIONS(13993),
    [sym__pipe_left_operator] = ACTIONS(13993),
    [sym__ellipsis_operator] = ACTIONS(13993),
    [sym__plus_operator] = ACTIONS(13993),
    [sym__times_operator] = ACTIONS(13993),
    [sym__rational_operator] = ACTIONS(13993),
    [sym__bitshift_operator] = ACTIONS(13993),
    [sym__power_operator] = ACTIONS(13993),
    [sym__tilde_operator] = ACTIONS(13993),
    [sym__type_order_operator] = ACTIONS(13993),
    [sym__unary_operator] = ACTIONS(13993),
    [sym__unary_plus_operator] = ACTIONS(13993),
    [aux_sym__terminator_token1] = ACTIONS(13993),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13991),
    [sym__command_start] = ACTIONS(13991),
  },
  [8310] = {
    [sym__word_identifier] = ACTIONS(13989),
    [anon_sym_EQ] = ACTIONS(13989),
    [anon_sym_COMMA] = ACTIONS(13989),
    [anon_sym_COLON] = ACTIONS(13989),
    [anon_sym_begin] = ACTIONS(13989),
    [anon_sym_module] = ACTIONS(13989),
    [anon_sym_baremodule] = ACTIONS(13989),
    [anon_sym_end] = ACTIONS(13989),
    [anon_sym_abstract] = ACTIONS(13989),
    [anon_sym_primitive] = ACTIONS(13989),
    [anon_sym_mutable] = ACTIONS(13989),
    [anon_sym_struct] = ACTIONS(13989),
    [anon_sym_function] = ACTIONS(13989),
    [anon_sym_macro] = ACTIONS(13989),
    [anon_sym_where] = ACTIONS(13989),
    [anon_sym_quote] = ACTIONS(13989),
    [anon_sym_let] = ACTIONS(13989),
    [anon_sym_if] = ACTIONS(13989),
    [anon_sym_try] = ACTIONS(13989),
    [anon_sym_finally] = ACTIONS(13989),
    [anon_sym_for] = ACTIONS(13989),
    [anon_sym_while] = ACTIONS(13989),
    [sym_break_statement] = ACTIONS(13989),
    [sym_continue_statement] = ACTIONS(13989),
    [anon_sym_return] = ACTIONS(13989),
    [anon_sym_const] = ACTIONS(13989),
    [anon_sym_global] = ACTIONS(13989),
    [anon_sym_local] = ACTIONS(13989),
    [anon_sym_LPAREN] = ACTIONS(13989),
    [anon_sym_COLON2] = ACTIONS(13989),
    [anon_sym_export] = ACTIONS(13989),
    [anon_sym_import] = ACTIONS(13989),
    [anon_sym_using] = ACTIONS(13989),
    [anon_sym_LBRACK] = ACTIONS(13989),
    [anon_sym_LF] = ACTIONS(13987),
    [anon_sym_in] = ACTIONS(13989),
    [anon_sym_LBRACE] = ACTIONS(13989),
    [anon_sym_DOLLAR] = ACTIONS(13989),
    [anon_sym_COLON_COLON] = ACTIONS(13989),
    [anon_sym_isa] = ACTIONS(13989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13989),
    [anon_sym_QMARK] = ACTIONS(13989),
    [anon_sym_AT] = ACTIONS(13989),
    [anon_sym_true] = ACTIONS(13989),
    [anon_sym_false] = ACTIONS(13989),
    [aux_sym_integer_literal_token1] = ACTIONS(13989),
    [aux_sym_integer_literal_token2] = ACTIONS(13989),
    [aux_sym_integer_literal_token3] = ACTIONS(13989),
    [aux_sym_integer_literal_token4] = ACTIONS(13989),
    [aux_sym_float_literal_token1] = ACTIONS(13989),
    [aux_sym_float_literal_token3] = ACTIONS(13989),
    [aux_sym_float_literal_token4] = ACTIONS(13989),
    [sym_character_literal] = ACTIONS(13989),
    [sym__pair_operator] = ACTIONS(13989),
    [sym__arrow_operator] = ACTIONS(13989),
    [sym__lazy_or_operator] = ACTIONS(13989),
    [sym__lazy_and_operator] = ACTIONS(13989),
    [sym__comparison_operator] = ACTIONS(13989),
    [sym__pipe_right_operator] = ACTIONS(13989),
    [sym__pipe_left_operator] = ACTIONS(13989),
    [sym__ellipsis_operator] = ACTIONS(13989),
    [sym__plus_operator] = ACTIONS(13989),
    [sym__times_operator] = ACTIONS(13989),
    [sym__rational_operator] = ACTIONS(13989),
    [sym__bitshift_operator] = ACTIONS(13989),
    [sym__power_operator] = ACTIONS(13989),
    [sym__tilde_operator] = ACTIONS(13989),
    [sym__type_order_operator] = ACTIONS(13989),
    [sym__unary_operator] = ACTIONS(13989),
    [sym__unary_plus_operator] = ACTIONS(13989),
    [aux_sym__terminator_token1] = ACTIONS(13989),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13987),
    [sym__command_start] = ACTIONS(13987),
  },
  [8311] = {
    [sym__word_identifier] = ACTIONS(13985),
    [anon_sym_EQ] = ACTIONS(13985),
    [anon_sym_COMMA] = ACTIONS(13985),
    [anon_sym_COLON] = ACTIONS(13985),
    [anon_sym_begin] = ACTIONS(13985),
    [anon_sym_module] = ACTIONS(13985),
    [anon_sym_baremodule] = ACTIONS(13985),
    [anon_sym_end] = ACTIONS(13985),
    [anon_sym_abstract] = ACTIONS(13985),
    [anon_sym_primitive] = ACTIONS(13985),
    [anon_sym_mutable] = ACTIONS(13985),
    [anon_sym_struct] = ACTIONS(13985),
    [anon_sym_function] = ACTIONS(13985),
    [anon_sym_macro] = ACTIONS(13985),
    [anon_sym_where] = ACTIONS(13985),
    [anon_sym_quote] = ACTIONS(13985),
    [anon_sym_let] = ACTIONS(13985),
    [anon_sym_if] = ACTIONS(13985),
    [anon_sym_try] = ACTIONS(13985),
    [anon_sym_finally] = ACTIONS(13985),
    [anon_sym_for] = ACTIONS(13985),
    [anon_sym_while] = ACTIONS(13985),
    [sym_break_statement] = ACTIONS(13985),
    [sym_continue_statement] = ACTIONS(13985),
    [anon_sym_return] = ACTIONS(13985),
    [anon_sym_const] = ACTIONS(13985),
    [anon_sym_global] = ACTIONS(13985),
    [anon_sym_local] = ACTIONS(13985),
    [anon_sym_LPAREN] = ACTIONS(13985),
    [anon_sym_COLON2] = ACTIONS(13985),
    [anon_sym_export] = ACTIONS(13985),
    [anon_sym_import] = ACTIONS(13985),
    [anon_sym_using] = ACTIONS(13985),
    [anon_sym_LBRACK] = ACTIONS(13985),
    [anon_sym_LF] = ACTIONS(13983),
    [anon_sym_in] = ACTIONS(13985),
    [anon_sym_LBRACE] = ACTIONS(13985),
    [anon_sym_DOLLAR] = ACTIONS(13985),
    [anon_sym_COLON_COLON] = ACTIONS(13985),
    [anon_sym_isa] = ACTIONS(13985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13985),
    [anon_sym_QMARK] = ACTIONS(13985),
    [anon_sym_AT] = ACTIONS(13985),
    [anon_sym_true] = ACTIONS(13985),
    [anon_sym_false] = ACTIONS(13985),
    [aux_sym_integer_literal_token1] = ACTIONS(13985),
    [aux_sym_integer_literal_token2] = ACTIONS(13985),
    [aux_sym_integer_literal_token3] = ACTIONS(13985),
    [aux_sym_integer_literal_token4] = ACTIONS(13985),
    [aux_sym_float_literal_token1] = ACTIONS(13985),
    [aux_sym_float_literal_token3] = ACTIONS(13985),
    [aux_sym_float_literal_token4] = ACTIONS(13985),
    [sym_character_literal] = ACTIONS(13985),
    [sym__pair_operator] = ACTIONS(13985),
    [sym__arrow_operator] = ACTIONS(13985),
    [sym__lazy_or_operator] = ACTIONS(13985),
    [sym__lazy_and_operator] = ACTIONS(13985),
    [sym__comparison_operator] = ACTIONS(13985),
    [sym__pipe_right_operator] = ACTIONS(13985),
    [sym__pipe_left_operator] = ACTIONS(13985),
    [sym__ellipsis_operator] = ACTIONS(13985),
    [sym__plus_operator] = ACTIONS(13985),
    [sym__times_operator] = ACTIONS(13985),
    [sym__rational_operator] = ACTIONS(13985),
    [sym__bitshift_operator] = ACTIONS(13985),
    [sym__power_operator] = ACTIONS(13985),
    [sym__tilde_operator] = ACTIONS(13985),
    [sym__type_order_operator] = ACTIONS(13985),
    [sym__unary_operator] = ACTIONS(13985),
    [sym__unary_plus_operator] = ACTIONS(13985),
    [aux_sym__terminator_token1] = ACTIONS(13985),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13983),
    [sym__command_start] = ACTIONS(13983),
  },
  [8312] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_COLON2] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_in] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_isa] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2188),
    [anon_sym_QMARK] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__lazy_or_operator] = ACTIONS(2188),
    [sym__lazy_and_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [8313] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_end] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_finally] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [8314] = {
    [aux_sym_open_tuple_repeat1] = STATE(7595),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(13432),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(14620),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8315] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_end] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [aux_sym__terminator_token1] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [8316] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_EQ] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_catch] = ACTIONS(13969),
    [anon_sym_finally] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13448),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [8317] = {
    [sym__word_identifier] = ACTIONS(13408),
    [anon_sym_EQ] = ACTIONS(13408),
    [anon_sym_COMMA] = ACTIONS(13410),
    [anon_sym_COLON] = ACTIONS(13408),
    [anon_sym_begin] = ACTIONS(13408),
    [anon_sym_module] = ACTIONS(13408),
    [anon_sym_baremodule] = ACTIONS(13408),
    [anon_sym_abstract] = ACTIONS(13408),
    [anon_sym_primitive] = ACTIONS(13408),
    [anon_sym_mutable] = ACTIONS(13408),
    [anon_sym_struct] = ACTIONS(13408),
    [anon_sym_function] = ACTIONS(13408),
    [anon_sym_macro] = ACTIONS(13408),
    [anon_sym_where] = ACTIONS(13408),
    [anon_sym_quote] = ACTIONS(13408),
    [anon_sym_let] = ACTIONS(13408),
    [anon_sym_if] = ACTIONS(13408),
    [anon_sym_try] = ACTIONS(13408),
    [anon_sym_for] = ACTIONS(13408),
    [anon_sym_while] = ACTIONS(13408),
    [sym_break_statement] = ACTIONS(13408),
    [sym_continue_statement] = ACTIONS(13408),
    [anon_sym_return] = ACTIONS(13408),
    [anon_sym_const] = ACTIONS(13408),
    [anon_sym_global] = ACTIONS(13408),
    [anon_sym_local] = ACTIONS(13408),
    [anon_sym_LPAREN] = ACTIONS(13410),
    [anon_sym_RPAREN] = ACTIONS(13410),
    [anon_sym_COLON2] = ACTIONS(13408),
    [anon_sym_export] = ACTIONS(13408),
    [anon_sym_import] = ACTIONS(13408),
    [anon_sym_using] = ACTIONS(13408),
    [anon_sym_LBRACK] = ACTIONS(13410),
    [anon_sym_RBRACK] = ACTIONS(13410),
    [anon_sym_in] = ACTIONS(13408),
    [anon_sym_SEMI] = ACTIONS(13410),
    [anon_sym_LBRACE] = ACTIONS(13410),
    [anon_sym_RBRACE] = ACTIONS(13410),
    [anon_sym_DOLLAR] = ACTIONS(13410),
    [anon_sym_COLON_COLON] = ACTIONS(13410),
    [anon_sym_isa] = ACTIONS(13408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13410),
    [anon_sym_QMARK] = ACTIONS(13410),
    [anon_sym_AT] = ACTIONS(13410),
    [anon_sym_true] = ACTIONS(13408),
    [anon_sym_false] = ACTIONS(13408),
    [aux_sym_integer_literal_token1] = ACTIONS(13410),
    [aux_sym_integer_literal_token2] = ACTIONS(13410),
    [aux_sym_integer_literal_token3] = ACTIONS(13408),
    [aux_sym_integer_literal_token4] = ACTIONS(13408),
    [aux_sym_float_literal_token1] = ACTIONS(13410),
    [aux_sym_float_literal_token3] = ACTIONS(13410),
    [aux_sym_float_literal_token4] = ACTIONS(13410),
    [sym_character_literal] = ACTIONS(13410),
    [sym__pair_operator] = ACTIONS(13410),
    [sym__arrow_operator] = ACTIONS(13408),
    [sym__lazy_or_operator] = ACTIONS(13410),
    [sym__lazy_and_operator] = ACTIONS(13410),
    [sym__comparison_operator] = ACTIONS(13408),
    [sym__pipe_right_operator] = ACTIONS(13410),
    [sym__pipe_left_operator] = ACTIONS(13410),
    [sym__ellipsis_operator] = ACTIONS(13408),
    [sym__plus_operator] = ACTIONS(13408),
    [sym__times_operator] = ACTIONS(13408),
    [sym__rational_operator] = ACTIONS(13410),
    [sym__bitshift_operator] = ACTIONS(13410),
    [sym__power_operator] = ACTIONS(13410),
    [sym__tilde_operator] = ACTIONS(13410),
    [sym__type_order_operator] = ACTIONS(13410),
    [sym__unary_operator] = ACTIONS(13408),
    [sym__unary_plus_operator] = ACTIONS(13408),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13410),
    [sym__command_start] = ACTIONS(13410),
  },
  [8318] = {
    [sym__word_identifier] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13945),
    [anon_sym_COLON] = ACTIONS(13943),
    [anon_sym_begin] = ACTIONS(13943),
    [anon_sym_module] = ACTIONS(13943),
    [anon_sym_baremodule] = ACTIONS(13943),
    [anon_sym_abstract] = ACTIONS(13943),
    [anon_sym_primitive] = ACTIONS(13943),
    [anon_sym_mutable] = ACTIONS(13943),
    [anon_sym_struct] = ACTIONS(13943),
    [anon_sym_function] = ACTIONS(13943),
    [anon_sym_macro] = ACTIONS(13943),
    [anon_sym_where] = ACTIONS(13943),
    [anon_sym_quote] = ACTIONS(13943),
    [anon_sym_let] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13943),
    [anon_sym_try] = ACTIONS(13943),
    [anon_sym_for] = ACTIONS(13943),
    [anon_sym_while] = ACTIONS(13943),
    [sym_break_statement] = ACTIONS(13943),
    [sym_continue_statement] = ACTIONS(13943),
    [anon_sym_return] = ACTIONS(13943),
    [anon_sym_const] = ACTIONS(13943),
    [anon_sym_global] = ACTIONS(13943),
    [anon_sym_local] = ACTIONS(13943),
    [anon_sym_LPAREN] = ACTIONS(13945),
    [anon_sym_RPAREN] = ACTIONS(13945),
    [anon_sym_COLON2] = ACTIONS(13943),
    [anon_sym_export] = ACTIONS(13943),
    [anon_sym_import] = ACTIONS(13943),
    [anon_sym_using] = ACTIONS(13943),
    [anon_sym_LBRACK] = ACTIONS(13945),
    [anon_sym_RBRACK] = ACTIONS(13945),
    [anon_sym_in] = ACTIONS(13943),
    [anon_sym_SEMI] = ACTIONS(13945),
    [anon_sym_LBRACE] = ACTIONS(13945),
    [anon_sym_RBRACE] = ACTIONS(13945),
    [anon_sym_DOLLAR] = ACTIONS(13945),
    [anon_sym_COLON_COLON] = ACTIONS(13945),
    [anon_sym_isa] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13945),
    [anon_sym_QMARK] = ACTIONS(13945),
    [anon_sym_AT] = ACTIONS(13945),
    [anon_sym_true] = ACTIONS(13943),
    [anon_sym_false] = ACTIONS(13943),
    [aux_sym_integer_literal_token1] = ACTIONS(13945),
    [aux_sym_integer_literal_token2] = ACTIONS(13945),
    [aux_sym_integer_literal_token3] = ACTIONS(13943),
    [aux_sym_integer_literal_token4] = ACTIONS(13943),
    [aux_sym_float_literal_token1] = ACTIONS(13945),
    [aux_sym_float_literal_token3] = ACTIONS(13945),
    [aux_sym_float_literal_token4] = ACTIONS(13945),
    [sym_character_literal] = ACTIONS(13945),
    [sym__pair_operator] = ACTIONS(13945),
    [sym__arrow_operator] = ACTIONS(13943),
    [sym__lazy_or_operator] = ACTIONS(13945),
    [sym__lazy_and_operator] = ACTIONS(13945),
    [sym__comparison_operator] = ACTIONS(13943),
    [sym__pipe_right_operator] = ACTIONS(13945),
    [sym__pipe_left_operator] = ACTIONS(13945),
    [sym__ellipsis_operator] = ACTIONS(13943),
    [sym__plus_operator] = ACTIONS(13943),
    [sym__times_operator] = ACTIONS(13943),
    [sym__rational_operator] = ACTIONS(13945),
    [sym__bitshift_operator] = ACTIONS(13945),
    [sym__power_operator] = ACTIONS(13945),
    [sym__tilde_operator] = ACTIONS(13945),
    [sym__type_order_operator] = ACTIONS(13945),
    [sym__unary_operator] = ACTIONS(13943),
    [sym__unary_plus_operator] = ACTIONS(13943),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13945),
    [sym__command_start] = ACTIONS(13945),
  },
  [8319] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11952),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8320] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12644),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12118),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8321] = {
    [aux_sym__import_list_repeat1] = STATE(8592),
    [sym__word_identifier] = ACTIONS(13164),
    [anon_sym_EQ] = ACTIONS(13164),
    [anon_sym_COMMA] = ACTIONS(14003),
    [anon_sym_COLON] = ACTIONS(13164),
    [anon_sym_begin] = ACTIONS(13164),
    [anon_sym_module] = ACTIONS(13164),
    [anon_sym_baremodule] = ACTIONS(13164),
    [anon_sym_end] = ACTIONS(13164),
    [anon_sym_abstract] = ACTIONS(13164),
    [anon_sym_primitive] = ACTIONS(13164),
    [anon_sym_mutable] = ACTIONS(13164),
    [anon_sym_struct] = ACTIONS(13164),
    [anon_sym_function] = ACTIONS(13164),
    [anon_sym_macro] = ACTIONS(13164),
    [anon_sym_where] = ACTIONS(13164),
    [anon_sym_quote] = ACTIONS(13164),
    [anon_sym_let] = ACTIONS(13164),
    [anon_sym_if] = ACTIONS(13164),
    [anon_sym_try] = ACTIONS(13164),
    [anon_sym_for] = ACTIONS(13164),
    [anon_sym_while] = ACTIONS(13164),
    [sym_break_statement] = ACTIONS(13164),
    [sym_continue_statement] = ACTIONS(13164),
    [anon_sym_return] = ACTIONS(13164),
    [anon_sym_const] = ACTIONS(13164),
    [anon_sym_global] = ACTIONS(13164),
    [anon_sym_local] = ACTIONS(13164),
    [anon_sym_LPAREN] = ACTIONS(13164),
    [anon_sym_COLON2] = ACTIONS(13164),
    [anon_sym_export] = ACTIONS(13164),
    [anon_sym_import] = ACTIONS(13164),
    [anon_sym_using] = ACTIONS(13164),
    [anon_sym_LBRACK] = ACTIONS(13164),
    [anon_sym_LF] = ACTIONS(13162),
    [anon_sym_in] = ACTIONS(13164),
    [anon_sym_LBRACE] = ACTIONS(13164),
    [anon_sym_DOLLAR] = ACTIONS(13164),
    [anon_sym_COLON_COLON] = ACTIONS(13164),
    [anon_sym_isa] = ACTIONS(13164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13164),
    [anon_sym_QMARK] = ACTIONS(13164),
    [anon_sym_AT] = ACTIONS(13164),
    [anon_sym_true] = ACTIONS(13164),
    [anon_sym_false] = ACTIONS(13164),
    [aux_sym_integer_literal_token1] = ACTIONS(13164),
    [aux_sym_integer_literal_token2] = ACTIONS(13164),
    [aux_sym_integer_literal_token3] = ACTIONS(13164),
    [aux_sym_integer_literal_token4] = ACTIONS(13164),
    [aux_sym_float_literal_token1] = ACTIONS(13164),
    [aux_sym_float_literal_token3] = ACTIONS(13164),
    [aux_sym_float_literal_token4] = ACTIONS(13164),
    [sym_character_literal] = ACTIONS(13164),
    [sym__pair_operator] = ACTIONS(13164),
    [sym__arrow_operator] = ACTIONS(13164),
    [sym__lazy_or_operator] = ACTIONS(13164),
    [sym__lazy_and_operator] = ACTIONS(13164),
    [sym__comparison_operator] = ACTIONS(13164),
    [sym__pipe_right_operator] = ACTIONS(13164),
    [sym__pipe_left_operator] = ACTIONS(13164),
    [sym__ellipsis_operator] = ACTIONS(13164),
    [sym__plus_operator] = ACTIONS(13164),
    [sym__times_operator] = ACTIONS(13164),
    [sym__rational_operator] = ACTIONS(13164),
    [sym__bitshift_operator] = ACTIONS(13164),
    [sym__power_operator] = ACTIONS(13164),
    [sym__tilde_operator] = ACTIONS(13164),
    [sym__type_order_operator] = ACTIONS(13164),
    [sym__unary_operator] = ACTIONS(13164),
    [sym__unary_plus_operator] = ACTIONS(13164),
    [aux_sym__terminator_token1] = ACTIONS(13164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13162),
    [sym__command_start] = ACTIONS(13162),
  },
  [8322] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_catch] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8323] = {
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12957),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_catch] = ACTIONS(12957),
    [anon_sym_finally] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13448),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [8324] = {
    [sym__word_identifier] = ACTIONS(13953),
    [anon_sym_EQ] = ACTIONS(13953),
    [anon_sym_COMMA] = ACTIONS(13955),
    [anon_sym_COLON] = ACTIONS(13953),
    [anon_sym_begin] = ACTIONS(13953),
    [anon_sym_module] = ACTIONS(13953),
    [anon_sym_baremodule] = ACTIONS(13953),
    [anon_sym_abstract] = ACTIONS(13953),
    [anon_sym_primitive] = ACTIONS(13953),
    [anon_sym_mutable] = ACTIONS(13953),
    [anon_sym_struct] = ACTIONS(13953),
    [anon_sym_function] = ACTIONS(13953),
    [anon_sym_macro] = ACTIONS(13953),
    [anon_sym_where] = ACTIONS(13953),
    [anon_sym_quote] = ACTIONS(13953),
    [anon_sym_let] = ACTIONS(13953),
    [anon_sym_if] = ACTIONS(13953),
    [anon_sym_try] = ACTIONS(13953),
    [anon_sym_for] = ACTIONS(13953),
    [anon_sym_while] = ACTIONS(13953),
    [sym_break_statement] = ACTIONS(13953),
    [sym_continue_statement] = ACTIONS(13953),
    [anon_sym_return] = ACTIONS(13953),
    [anon_sym_const] = ACTIONS(13953),
    [anon_sym_global] = ACTIONS(13953),
    [anon_sym_local] = ACTIONS(13953),
    [anon_sym_LPAREN] = ACTIONS(13955),
    [anon_sym_RPAREN] = ACTIONS(13955),
    [anon_sym_COLON2] = ACTIONS(13953),
    [anon_sym_export] = ACTIONS(13953),
    [anon_sym_import] = ACTIONS(13953),
    [anon_sym_using] = ACTIONS(13953),
    [anon_sym_LBRACK] = ACTIONS(13955),
    [anon_sym_RBRACK] = ACTIONS(13955),
    [anon_sym_in] = ACTIONS(13953),
    [anon_sym_SEMI] = ACTIONS(13955),
    [anon_sym_LBRACE] = ACTIONS(13955),
    [anon_sym_RBRACE] = ACTIONS(13955),
    [anon_sym_DOLLAR] = ACTIONS(13955),
    [anon_sym_COLON_COLON] = ACTIONS(13955),
    [anon_sym_isa] = ACTIONS(13953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13955),
    [anon_sym_QMARK] = ACTIONS(13955),
    [anon_sym_AT] = ACTIONS(13955),
    [anon_sym_true] = ACTIONS(13953),
    [anon_sym_false] = ACTIONS(13953),
    [aux_sym_integer_literal_token1] = ACTIONS(13955),
    [aux_sym_integer_literal_token2] = ACTIONS(13955),
    [aux_sym_integer_literal_token3] = ACTIONS(13953),
    [aux_sym_integer_literal_token4] = ACTIONS(13953),
    [aux_sym_float_literal_token1] = ACTIONS(13955),
    [aux_sym_float_literal_token3] = ACTIONS(13955),
    [aux_sym_float_literal_token4] = ACTIONS(13955),
    [sym_character_literal] = ACTIONS(13955),
    [sym__pair_operator] = ACTIONS(13955),
    [sym__arrow_operator] = ACTIONS(13953),
    [sym__lazy_or_operator] = ACTIONS(13955),
    [sym__lazy_and_operator] = ACTIONS(13955),
    [sym__comparison_operator] = ACTIONS(13953),
    [sym__pipe_right_operator] = ACTIONS(13955),
    [sym__pipe_left_operator] = ACTIONS(13955),
    [sym__ellipsis_operator] = ACTIONS(13953),
    [sym__plus_operator] = ACTIONS(13953),
    [sym__times_operator] = ACTIONS(13953),
    [sym__rational_operator] = ACTIONS(13955),
    [sym__bitshift_operator] = ACTIONS(13955),
    [sym__power_operator] = ACTIONS(13955),
    [sym__tilde_operator] = ACTIONS(13955),
    [sym__type_order_operator] = ACTIONS(13955),
    [sym__unary_operator] = ACTIONS(13953),
    [sym__unary_plus_operator] = ACTIONS(13953),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13955),
    [sym__command_start] = ACTIONS(13955),
  },
  [8325] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13390),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8326] = {
    [aux_sym_open_tuple_repeat1] = STATE(8326),
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(14622),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(12957),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12962),
    [anon_sym_RPAREN] = ACTIONS(12962),
    [anon_sym_COLON2] = ACTIONS(12957),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12962),
    [anon_sym_RBRACK] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(12957),
    [anon_sym_LBRACE] = ACTIONS(12962),
    [anon_sym_RBRACE] = ACTIONS(12962),
    [anon_sym_DOLLAR] = ACTIONS(12962),
    [anon_sym_COLON_COLON] = ACTIONS(12962),
    [anon_sym_isa] = ACTIONS(12957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12962),
    [anon_sym_QMARK] = ACTIONS(12962),
    [anon_sym_AT] = ACTIONS(12962),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12962),
    [aux_sym_integer_literal_token2] = ACTIONS(12962),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12962),
    [aux_sym_float_literal_token3] = ACTIONS(12962),
    [aux_sym_float_literal_token4] = ACTIONS(12962),
    [sym_character_literal] = ACTIONS(12962),
    [sym__pair_operator] = ACTIONS(12962),
    [sym__arrow_operator] = ACTIONS(12957),
    [sym__lazy_or_operator] = ACTIONS(12962),
    [sym__lazy_and_operator] = ACTIONS(12962),
    [sym__comparison_operator] = ACTIONS(12957),
    [sym__pipe_right_operator] = ACTIONS(12962),
    [sym__pipe_left_operator] = ACTIONS(12962),
    [sym__ellipsis_operator] = ACTIONS(12957),
    [sym__plus_operator] = ACTIONS(12957),
    [sym__times_operator] = ACTIONS(12957),
    [sym__rational_operator] = ACTIONS(12962),
    [sym__bitshift_operator] = ACTIONS(12962),
    [sym__power_operator] = ACTIONS(12962),
    [sym__tilde_operator] = ACTIONS(12962),
    [sym__type_order_operator] = ACTIONS(12962),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [8327] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12644),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12652),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8328] = {
    [sym__word_identifier] = ACTIONS(13386),
    [anon_sym_EQ] = ACTIONS(13386),
    [anon_sym_COMMA] = ACTIONS(13388),
    [anon_sym_COLON] = ACTIONS(13386),
    [anon_sym_begin] = ACTIONS(13386),
    [anon_sym_module] = ACTIONS(13386),
    [anon_sym_baremodule] = ACTIONS(13386),
    [anon_sym_abstract] = ACTIONS(13386),
    [anon_sym_primitive] = ACTIONS(13386),
    [anon_sym_mutable] = ACTIONS(13386),
    [anon_sym_struct] = ACTIONS(13386),
    [anon_sym_function] = ACTIONS(13386),
    [anon_sym_macro] = ACTIONS(13386),
    [anon_sym_where] = ACTIONS(13386),
    [anon_sym_quote] = ACTIONS(13386),
    [anon_sym_let] = ACTIONS(13386),
    [anon_sym_if] = ACTIONS(13386),
    [anon_sym_try] = ACTIONS(13386),
    [anon_sym_for] = ACTIONS(13386),
    [anon_sym_while] = ACTIONS(13386),
    [sym_break_statement] = ACTIONS(13386),
    [sym_continue_statement] = ACTIONS(13386),
    [anon_sym_return] = ACTIONS(13386),
    [anon_sym_const] = ACTIONS(13386),
    [anon_sym_global] = ACTIONS(13386),
    [anon_sym_local] = ACTIONS(13386),
    [anon_sym_LPAREN] = ACTIONS(13388),
    [anon_sym_RPAREN] = ACTIONS(13388),
    [anon_sym_COLON2] = ACTIONS(13386),
    [anon_sym_export] = ACTIONS(13386),
    [anon_sym_import] = ACTIONS(13386),
    [anon_sym_using] = ACTIONS(13386),
    [anon_sym_LBRACK] = ACTIONS(13388),
    [anon_sym_RBRACK] = ACTIONS(13388),
    [anon_sym_in] = ACTIONS(13386),
    [anon_sym_SEMI] = ACTIONS(13388),
    [anon_sym_LBRACE] = ACTIONS(13388),
    [anon_sym_RBRACE] = ACTIONS(13388),
    [anon_sym_DOLLAR] = ACTIONS(13388),
    [anon_sym_COLON_COLON] = ACTIONS(13388),
    [anon_sym_isa] = ACTIONS(13386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13388),
    [anon_sym_QMARK] = ACTIONS(13388),
    [anon_sym_AT] = ACTIONS(13388),
    [anon_sym_true] = ACTIONS(13386),
    [anon_sym_false] = ACTIONS(13386),
    [aux_sym_integer_literal_token1] = ACTIONS(13388),
    [aux_sym_integer_literal_token2] = ACTIONS(13388),
    [aux_sym_integer_literal_token3] = ACTIONS(13386),
    [aux_sym_integer_literal_token4] = ACTIONS(13386),
    [aux_sym_float_literal_token1] = ACTIONS(13388),
    [aux_sym_float_literal_token3] = ACTIONS(13388),
    [aux_sym_float_literal_token4] = ACTIONS(13388),
    [sym_character_literal] = ACTIONS(13388),
    [sym__pair_operator] = ACTIONS(13388),
    [sym__arrow_operator] = ACTIONS(13386),
    [sym__lazy_or_operator] = ACTIONS(13388),
    [sym__lazy_and_operator] = ACTIONS(13388),
    [sym__comparison_operator] = ACTIONS(13386),
    [sym__pipe_right_operator] = ACTIONS(13388),
    [sym__pipe_left_operator] = ACTIONS(13388),
    [sym__ellipsis_operator] = ACTIONS(13386),
    [sym__plus_operator] = ACTIONS(13386),
    [sym__times_operator] = ACTIONS(13386),
    [sym__rational_operator] = ACTIONS(13388),
    [sym__bitshift_operator] = ACTIONS(13388),
    [sym__power_operator] = ACTIONS(13388),
    [sym__tilde_operator] = ACTIONS(13388),
    [sym__type_order_operator] = ACTIONS(13388),
    [sym__unary_operator] = ACTIONS(13386),
    [sym__unary_plus_operator] = ACTIONS(13386),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13388),
    [sym__command_start] = ACTIONS(13388),
  },
  [8329] = {
    [sym__word_identifier] = ACTIONS(13340),
    [anon_sym_EQ] = ACTIONS(13340),
    [anon_sym_COMMA] = ACTIONS(13342),
    [anon_sym_COLON] = ACTIONS(13340),
    [anon_sym_begin] = ACTIONS(13340),
    [anon_sym_module] = ACTIONS(13340),
    [anon_sym_baremodule] = ACTIONS(13340),
    [anon_sym_abstract] = ACTIONS(13340),
    [anon_sym_primitive] = ACTIONS(13340),
    [anon_sym_mutable] = ACTIONS(13340),
    [anon_sym_struct] = ACTIONS(13340),
    [anon_sym_function] = ACTIONS(13340),
    [anon_sym_macro] = ACTIONS(13340),
    [anon_sym_where] = ACTIONS(13340),
    [anon_sym_quote] = ACTIONS(13340),
    [anon_sym_let] = ACTIONS(13340),
    [anon_sym_if] = ACTIONS(13340),
    [anon_sym_try] = ACTIONS(13340),
    [anon_sym_for] = ACTIONS(13340),
    [anon_sym_while] = ACTIONS(13340),
    [sym_break_statement] = ACTIONS(13340),
    [sym_continue_statement] = ACTIONS(13340),
    [anon_sym_return] = ACTIONS(13340),
    [anon_sym_const] = ACTIONS(13340),
    [anon_sym_global] = ACTIONS(13340),
    [anon_sym_local] = ACTIONS(13340),
    [anon_sym_LPAREN] = ACTIONS(13342),
    [anon_sym_RPAREN] = ACTIONS(13342),
    [anon_sym_COLON2] = ACTIONS(13340),
    [anon_sym_export] = ACTIONS(13340),
    [anon_sym_import] = ACTIONS(13340),
    [anon_sym_using] = ACTIONS(13340),
    [anon_sym_LBRACK] = ACTIONS(13342),
    [anon_sym_RBRACK] = ACTIONS(13342),
    [anon_sym_in] = ACTIONS(13340),
    [anon_sym_SEMI] = ACTIONS(13342),
    [anon_sym_LBRACE] = ACTIONS(13342),
    [anon_sym_RBRACE] = ACTIONS(13342),
    [anon_sym_DOLLAR] = ACTIONS(13342),
    [anon_sym_COLON_COLON] = ACTIONS(13342),
    [anon_sym_isa] = ACTIONS(13340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13342),
    [anon_sym_QMARK] = ACTIONS(13342),
    [anon_sym_AT] = ACTIONS(13342),
    [anon_sym_true] = ACTIONS(13340),
    [anon_sym_false] = ACTIONS(13340),
    [aux_sym_integer_literal_token1] = ACTIONS(13342),
    [aux_sym_integer_literal_token2] = ACTIONS(13342),
    [aux_sym_integer_literal_token3] = ACTIONS(13340),
    [aux_sym_integer_literal_token4] = ACTIONS(13340),
    [aux_sym_float_literal_token1] = ACTIONS(13342),
    [aux_sym_float_literal_token3] = ACTIONS(13342),
    [aux_sym_float_literal_token4] = ACTIONS(13342),
    [sym_character_literal] = ACTIONS(13342),
    [sym__pair_operator] = ACTIONS(13342),
    [sym__arrow_operator] = ACTIONS(13340),
    [sym__lazy_or_operator] = ACTIONS(13342),
    [sym__lazy_and_operator] = ACTIONS(13342),
    [sym__comparison_operator] = ACTIONS(13340),
    [sym__pipe_right_operator] = ACTIONS(13342),
    [sym__pipe_left_operator] = ACTIONS(13342),
    [sym__ellipsis_operator] = ACTIONS(13340),
    [sym__plus_operator] = ACTIONS(13340),
    [sym__times_operator] = ACTIONS(13340),
    [sym__rational_operator] = ACTIONS(13342),
    [sym__bitshift_operator] = ACTIONS(13342),
    [sym__power_operator] = ACTIONS(13342),
    [sym__tilde_operator] = ACTIONS(13342),
    [sym__type_order_operator] = ACTIONS(13342),
    [sym__unary_operator] = ACTIONS(13340),
    [sym__unary_plus_operator] = ACTIONS(13340),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13342),
    [sym__command_start] = ACTIONS(13342),
  },
  [8330] = {
    [sym__word_identifier] = ACTIONS(13426),
    [anon_sym_EQ] = ACTIONS(13426),
    [anon_sym_COMMA] = ACTIONS(13428),
    [anon_sym_COLON] = ACTIONS(13426),
    [anon_sym_begin] = ACTIONS(13426),
    [anon_sym_module] = ACTIONS(13426),
    [anon_sym_baremodule] = ACTIONS(13426),
    [anon_sym_abstract] = ACTIONS(13426),
    [anon_sym_primitive] = ACTIONS(13426),
    [anon_sym_mutable] = ACTIONS(13426),
    [anon_sym_struct] = ACTIONS(13426),
    [anon_sym_function] = ACTIONS(13426),
    [anon_sym_macro] = ACTIONS(13426),
    [anon_sym_where] = ACTIONS(13426),
    [anon_sym_quote] = ACTIONS(13426),
    [anon_sym_let] = ACTIONS(13426),
    [anon_sym_if] = ACTIONS(13426),
    [anon_sym_try] = ACTIONS(13426),
    [anon_sym_for] = ACTIONS(13426),
    [anon_sym_while] = ACTIONS(13426),
    [sym_break_statement] = ACTIONS(13426),
    [sym_continue_statement] = ACTIONS(13426),
    [anon_sym_return] = ACTIONS(13426),
    [anon_sym_const] = ACTIONS(13426),
    [anon_sym_global] = ACTIONS(13426),
    [anon_sym_local] = ACTIONS(13426),
    [anon_sym_LPAREN] = ACTIONS(13428),
    [anon_sym_RPAREN] = ACTIONS(13428),
    [anon_sym_COLON2] = ACTIONS(13426),
    [anon_sym_export] = ACTIONS(13426),
    [anon_sym_import] = ACTIONS(13426),
    [anon_sym_using] = ACTIONS(13426),
    [anon_sym_LBRACK] = ACTIONS(13428),
    [anon_sym_RBRACK] = ACTIONS(13428),
    [anon_sym_in] = ACTIONS(13426),
    [anon_sym_SEMI] = ACTIONS(13428),
    [anon_sym_LBRACE] = ACTIONS(13428),
    [anon_sym_RBRACE] = ACTIONS(13428),
    [anon_sym_DOLLAR] = ACTIONS(13428),
    [anon_sym_COLON_COLON] = ACTIONS(13428),
    [anon_sym_isa] = ACTIONS(13426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13428),
    [anon_sym_QMARK] = ACTIONS(13428),
    [anon_sym_AT] = ACTIONS(13428),
    [anon_sym_true] = ACTIONS(13426),
    [anon_sym_false] = ACTIONS(13426),
    [aux_sym_integer_literal_token1] = ACTIONS(13428),
    [aux_sym_integer_literal_token2] = ACTIONS(13428),
    [aux_sym_integer_literal_token3] = ACTIONS(13426),
    [aux_sym_integer_literal_token4] = ACTIONS(13426),
    [aux_sym_float_literal_token1] = ACTIONS(13428),
    [aux_sym_float_literal_token3] = ACTIONS(13428),
    [aux_sym_float_literal_token4] = ACTIONS(13428),
    [sym_character_literal] = ACTIONS(13428),
    [sym__pair_operator] = ACTIONS(13428),
    [sym__arrow_operator] = ACTIONS(13426),
    [sym__lazy_or_operator] = ACTIONS(13428),
    [sym__lazy_and_operator] = ACTIONS(13428),
    [sym__comparison_operator] = ACTIONS(13426),
    [sym__pipe_right_operator] = ACTIONS(13428),
    [sym__pipe_left_operator] = ACTIONS(13428),
    [sym__ellipsis_operator] = ACTIONS(13426),
    [sym__plus_operator] = ACTIONS(13426),
    [sym__times_operator] = ACTIONS(13426),
    [sym__rational_operator] = ACTIONS(13428),
    [sym__bitshift_operator] = ACTIONS(13428),
    [sym__power_operator] = ACTIONS(13428),
    [sym__tilde_operator] = ACTIONS(13428),
    [sym__type_order_operator] = ACTIONS(13428),
    [sym__unary_operator] = ACTIONS(13426),
    [sym__unary_plus_operator] = ACTIONS(13426),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13428),
    [sym__command_start] = ACTIONS(13428),
  },
  [8331] = {
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13238),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_finally] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13238),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13238),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13238),
    [anon_sym_isa] = ACTIONS(13238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13238),
    [anon_sym_QMARK] = ACTIONS(13238),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13238),
    [sym__arrow_operator] = ACTIONS(13238),
    [sym__lazy_or_operator] = ACTIONS(13238),
    [sym__lazy_and_operator] = ACTIONS(13238),
    [sym__comparison_operator] = ACTIONS(13238),
    [sym__pipe_right_operator] = ACTIONS(13238),
    [sym__pipe_left_operator] = ACTIONS(13238),
    [sym__ellipsis_operator] = ACTIONS(13238),
    [sym__plus_operator] = ACTIONS(13238),
    [sym__times_operator] = ACTIONS(13238),
    [sym__rational_operator] = ACTIONS(13238),
    [sym__bitshift_operator] = ACTIONS(13238),
    [sym__power_operator] = ACTIONS(13238),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13238),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13238),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8332] = {
    [sym__word_identifier] = ACTIONS(13286),
    [anon_sym_EQ] = ACTIONS(13286),
    [anon_sym_COMMA] = ACTIONS(13288),
    [anon_sym_COLON] = ACTIONS(13286),
    [anon_sym_begin] = ACTIONS(13286),
    [anon_sym_module] = ACTIONS(13286),
    [anon_sym_baremodule] = ACTIONS(13286),
    [anon_sym_abstract] = ACTIONS(13286),
    [anon_sym_primitive] = ACTIONS(13286),
    [anon_sym_mutable] = ACTIONS(13286),
    [anon_sym_struct] = ACTIONS(13286),
    [anon_sym_function] = ACTIONS(13286),
    [anon_sym_macro] = ACTIONS(13286),
    [anon_sym_where] = ACTIONS(13286),
    [anon_sym_quote] = ACTIONS(13286),
    [anon_sym_let] = ACTIONS(13286),
    [anon_sym_if] = ACTIONS(13286),
    [anon_sym_try] = ACTIONS(13286),
    [anon_sym_for] = ACTIONS(13286),
    [anon_sym_while] = ACTIONS(13286),
    [sym_break_statement] = ACTIONS(13286),
    [sym_continue_statement] = ACTIONS(13286),
    [anon_sym_return] = ACTIONS(13286),
    [anon_sym_const] = ACTIONS(13286),
    [anon_sym_global] = ACTIONS(13286),
    [anon_sym_local] = ACTIONS(13286),
    [anon_sym_LPAREN] = ACTIONS(13288),
    [anon_sym_RPAREN] = ACTIONS(13288),
    [anon_sym_COLON2] = ACTIONS(13286),
    [anon_sym_export] = ACTIONS(13286),
    [anon_sym_import] = ACTIONS(13286),
    [anon_sym_using] = ACTIONS(13286),
    [anon_sym_LBRACK] = ACTIONS(13288),
    [anon_sym_RBRACK] = ACTIONS(13288),
    [anon_sym_in] = ACTIONS(13286),
    [anon_sym_SEMI] = ACTIONS(13288),
    [anon_sym_LBRACE] = ACTIONS(13288),
    [anon_sym_RBRACE] = ACTIONS(13288),
    [anon_sym_DOLLAR] = ACTIONS(13288),
    [anon_sym_COLON_COLON] = ACTIONS(13288),
    [anon_sym_isa] = ACTIONS(13286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13288),
    [anon_sym_QMARK] = ACTIONS(13288),
    [anon_sym_AT] = ACTIONS(13288),
    [anon_sym_true] = ACTIONS(13286),
    [anon_sym_false] = ACTIONS(13286),
    [aux_sym_integer_literal_token1] = ACTIONS(13288),
    [aux_sym_integer_literal_token2] = ACTIONS(13288),
    [aux_sym_integer_literal_token3] = ACTIONS(13286),
    [aux_sym_integer_literal_token4] = ACTIONS(13286),
    [aux_sym_float_literal_token1] = ACTIONS(13288),
    [aux_sym_float_literal_token3] = ACTIONS(13288),
    [aux_sym_float_literal_token4] = ACTIONS(13288),
    [sym_character_literal] = ACTIONS(13288),
    [sym__pair_operator] = ACTIONS(13288),
    [sym__arrow_operator] = ACTIONS(13286),
    [sym__lazy_or_operator] = ACTIONS(13288),
    [sym__lazy_and_operator] = ACTIONS(13288),
    [sym__comparison_operator] = ACTIONS(13286),
    [sym__pipe_right_operator] = ACTIONS(13288),
    [sym__pipe_left_operator] = ACTIONS(13288),
    [sym__ellipsis_operator] = ACTIONS(13286),
    [sym__plus_operator] = ACTIONS(13286),
    [sym__times_operator] = ACTIONS(13286),
    [sym__rational_operator] = ACTIONS(13288),
    [sym__bitshift_operator] = ACTIONS(13288),
    [sym__power_operator] = ACTIONS(13288),
    [sym__tilde_operator] = ACTIONS(13288),
    [sym__type_order_operator] = ACTIONS(13288),
    [sym__unary_operator] = ACTIONS(13286),
    [sym__unary_plus_operator] = ACTIONS(13286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13288),
    [sym__command_start] = ACTIONS(13288),
  },
  [8333] = {
    [aux_sym_export_statement_repeat1] = STATE(8666),
    [sym__word_identifier] = ACTIONS(13166),
    [anon_sym_EQ] = ACTIONS(13166),
    [anon_sym_COMMA] = ACTIONS(14625),
    [anon_sym_COLON] = ACTIONS(13166),
    [anon_sym_begin] = ACTIONS(13166),
    [anon_sym_module] = ACTIONS(13166),
    [anon_sym_baremodule] = ACTIONS(13166),
    [anon_sym_end] = ACTIONS(13166),
    [anon_sym_abstract] = ACTIONS(13166),
    [anon_sym_primitive] = ACTIONS(13166),
    [anon_sym_mutable] = ACTIONS(13166),
    [anon_sym_struct] = ACTIONS(13166),
    [anon_sym_function] = ACTIONS(13166),
    [anon_sym_macro] = ACTIONS(13166),
    [anon_sym_where] = ACTIONS(13166),
    [anon_sym_quote] = ACTIONS(13166),
    [anon_sym_let] = ACTIONS(13166),
    [anon_sym_if] = ACTIONS(13166),
    [anon_sym_try] = ACTIONS(13166),
    [anon_sym_for] = ACTIONS(13166),
    [anon_sym_while] = ACTIONS(13166),
    [sym_break_statement] = ACTIONS(13166),
    [sym_continue_statement] = ACTIONS(13166),
    [anon_sym_return] = ACTIONS(13166),
    [anon_sym_const] = ACTIONS(13166),
    [anon_sym_global] = ACTIONS(13166),
    [anon_sym_local] = ACTIONS(13166),
    [anon_sym_LPAREN] = ACTIONS(13166),
    [anon_sym_COLON2] = ACTIONS(13166),
    [anon_sym_export] = ACTIONS(13166),
    [anon_sym_import] = ACTIONS(13166),
    [anon_sym_using] = ACTIONS(13166),
    [anon_sym_LBRACK] = ACTIONS(13166),
    [anon_sym_LF] = ACTIONS(13170),
    [anon_sym_in] = ACTIONS(13166),
    [anon_sym_LBRACE] = ACTIONS(13166),
    [anon_sym_DOLLAR] = ACTIONS(13166),
    [anon_sym_COLON_COLON] = ACTIONS(13166),
    [anon_sym_isa] = ACTIONS(13166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13166),
    [anon_sym_QMARK] = ACTIONS(13166),
    [anon_sym_AT] = ACTIONS(13166),
    [anon_sym_true] = ACTIONS(13166),
    [anon_sym_false] = ACTIONS(13166),
    [aux_sym_integer_literal_token1] = ACTIONS(13166),
    [aux_sym_integer_literal_token2] = ACTIONS(13166),
    [aux_sym_integer_literal_token3] = ACTIONS(13166),
    [aux_sym_integer_literal_token4] = ACTIONS(13166),
    [aux_sym_float_literal_token1] = ACTIONS(13166),
    [aux_sym_float_literal_token3] = ACTIONS(13166),
    [aux_sym_float_literal_token4] = ACTIONS(13166),
    [sym_character_literal] = ACTIONS(13166),
    [sym__pair_operator] = ACTIONS(13166),
    [sym__arrow_operator] = ACTIONS(13166),
    [sym__lazy_or_operator] = ACTIONS(13166),
    [sym__lazy_and_operator] = ACTIONS(13166),
    [sym__comparison_operator] = ACTIONS(13166),
    [sym__pipe_right_operator] = ACTIONS(13166),
    [sym__pipe_left_operator] = ACTIONS(13166),
    [sym__ellipsis_operator] = ACTIONS(13166),
    [sym__plus_operator] = ACTIONS(13166),
    [sym__times_operator] = ACTIONS(13166),
    [sym__rational_operator] = ACTIONS(13166),
    [sym__bitshift_operator] = ACTIONS(13166),
    [sym__power_operator] = ACTIONS(13166),
    [sym__tilde_operator] = ACTIONS(13166),
    [sym__type_order_operator] = ACTIONS(13166),
    [sym__unary_operator] = ACTIONS(13166),
    [sym__unary_plus_operator] = ACTIONS(13166),
    [aux_sym__terminator_token1] = ACTIONS(13166),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13170),
    [sym__command_start] = ACTIONS(13170),
  },
  [8334] = {
    [sym__word_identifier] = ACTIONS(13828),
    [anon_sym_EQ] = ACTIONS(13828),
    [anon_sym_COMMA] = ACTIONS(13828),
    [anon_sym_COLON] = ACTIONS(13828),
    [anon_sym_begin] = ACTIONS(13828),
    [anon_sym_module] = ACTIONS(13828),
    [anon_sym_baremodule] = ACTIONS(13828),
    [anon_sym_abstract] = ACTIONS(13828),
    [anon_sym_primitive] = ACTIONS(13828),
    [anon_sym_mutable] = ACTIONS(13828),
    [anon_sym_struct] = ACTIONS(13828),
    [anon_sym_function] = ACTIONS(13828),
    [anon_sym_macro] = ACTIONS(13828),
    [anon_sym_where] = ACTIONS(13828),
    [anon_sym_quote] = ACTIONS(13828),
    [anon_sym_let] = ACTIONS(13828),
    [anon_sym_if] = ACTIONS(13828),
    [anon_sym_try] = ACTIONS(13828),
    [anon_sym_catch] = ACTIONS(13828),
    [anon_sym_finally] = ACTIONS(13828),
    [anon_sym_for] = ACTIONS(13828),
    [anon_sym_while] = ACTIONS(13828),
    [sym_break_statement] = ACTIONS(13828),
    [sym_continue_statement] = ACTIONS(13828),
    [anon_sym_return] = ACTIONS(13828),
    [anon_sym_const] = ACTIONS(13828),
    [anon_sym_global] = ACTIONS(13828),
    [anon_sym_local] = ACTIONS(13828),
    [anon_sym_LPAREN] = ACTIONS(13828),
    [anon_sym_COLON2] = ACTIONS(13828),
    [anon_sym_export] = ACTIONS(13828),
    [anon_sym_import] = ACTIONS(13828),
    [anon_sym_using] = ACTIONS(13828),
    [anon_sym_LBRACK] = ACTIONS(13828),
    [anon_sym_LF] = ACTIONS(13830),
    [anon_sym_in] = ACTIONS(13828),
    [anon_sym_LBRACE] = ACTIONS(13828),
    [anon_sym_DOLLAR] = ACTIONS(13828),
    [anon_sym_COLON_COLON] = ACTIONS(13828),
    [anon_sym_isa] = ACTIONS(13828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13828),
    [anon_sym_QMARK] = ACTIONS(13828),
    [anon_sym_AT] = ACTIONS(13828),
    [anon_sym_true] = ACTIONS(13828),
    [anon_sym_false] = ACTIONS(13828),
    [aux_sym_integer_literal_token1] = ACTIONS(13828),
    [aux_sym_integer_literal_token2] = ACTIONS(13828),
    [aux_sym_integer_literal_token3] = ACTIONS(13828),
    [aux_sym_integer_literal_token4] = ACTIONS(13828),
    [aux_sym_float_literal_token1] = ACTIONS(13828),
    [aux_sym_float_literal_token3] = ACTIONS(13828),
    [aux_sym_float_literal_token4] = ACTIONS(13828),
    [sym_character_literal] = ACTIONS(13828),
    [sym__pair_operator] = ACTIONS(13828),
    [sym__arrow_operator] = ACTIONS(13828),
    [sym__lazy_or_operator] = ACTIONS(13828),
    [sym__lazy_and_operator] = ACTIONS(13828),
    [sym__comparison_operator] = ACTIONS(13828),
    [sym__pipe_right_operator] = ACTIONS(13828),
    [sym__pipe_left_operator] = ACTIONS(13828),
    [sym__ellipsis_operator] = ACTIONS(13828),
    [sym__plus_operator] = ACTIONS(13828),
    [sym__times_operator] = ACTIONS(13828),
    [sym__rational_operator] = ACTIONS(13828),
    [sym__bitshift_operator] = ACTIONS(13828),
    [sym__power_operator] = ACTIONS(13828),
    [sym__tilde_operator] = ACTIONS(13828),
    [sym__type_order_operator] = ACTIONS(13828),
    [sym__unary_operator] = ACTIONS(13828),
    [sym__unary_plus_operator] = ACTIONS(13828),
    [aux_sym__terminator_token1] = ACTIONS(13828),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13830),
    [sym__command_start] = ACTIONS(13830),
  },
  [8335] = {
    [sym__word_identifier] = ACTIONS(13824),
    [anon_sym_EQ] = ACTIONS(13824),
    [anon_sym_COMMA] = ACTIONS(13824),
    [anon_sym_COLON] = ACTIONS(13824),
    [anon_sym_begin] = ACTIONS(13824),
    [anon_sym_module] = ACTIONS(13824),
    [anon_sym_baremodule] = ACTIONS(13824),
    [anon_sym_abstract] = ACTIONS(13824),
    [anon_sym_primitive] = ACTIONS(13824),
    [anon_sym_mutable] = ACTIONS(13824),
    [anon_sym_struct] = ACTIONS(13824),
    [anon_sym_function] = ACTIONS(13824),
    [anon_sym_macro] = ACTIONS(13824),
    [anon_sym_where] = ACTIONS(13824),
    [anon_sym_quote] = ACTIONS(13824),
    [anon_sym_let] = ACTIONS(13824),
    [anon_sym_if] = ACTIONS(13824),
    [anon_sym_try] = ACTIONS(13824),
    [anon_sym_catch] = ACTIONS(13824),
    [anon_sym_finally] = ACTIONS(13824),
    [anon_sym_for] = ACTIONS(13824),
    [anon_sym_while] = ACTIONS(13824),
    [sym_break_statement] = ACTIONS(13824),
    [sym_continue_statement] = ACTIONS(13824),
    [anon_sym_return] = ACTIONS(13824),
    [anon_sym_const] = ACTIONS(13824),
    [anon_sym_global] = ACTIONS(13824),
    [anon_sym_local] = ACTIONS(13824),
    [anon_sym_LPAREN] = ACTIONS(13824),
    [anon_sym_COLON2] = ACTIONS(13824),
    [anon_sym_export] = ACTIONS(13824),
    [anon_sym_import] = ACTIONS(13824),
    [anon_sym_using] = ACTIONS(13824),
    [anon_sym_LBRACK] = ACTIONS(13824),
    [anon_sym_LF] = ACTIONS(13826),
    [anon_sym_in] = ACTIONS(13824),
    [anon_sym_LBRACE] = ACTIONS(13824),
    [anon_sym_DOLLAR] = ACTIONS(13824),
    [anon_sym_COLON_COLON] = ACTIONS(13824),
    [anon_sym_isa] = ACTIONS(13824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13824),
    [anon_sym_QMARK] = ACTIONS(13824),
    [anon_sym_AT] = ACTIONS(13824),
    [anon_sym_true] = ACTIONS(13824),
    [anon_sym_false] = ACTIONS(13824),
    [aux_sym_integer_literal_token1] = ACTIONS(13824),
    [aux_sym_integer_literal_token2] = ACTIONS(13824),
    [aux_sym_integer_literal_token3] = ACTIONS(13824),
    [aux_sym_integer_literal_token4] = ACTIONS(13824),
    [aux_sym_float_literal_token1] = ACTIONS(13824),
    [aux_sym_float_literal_token3] = ACTIONS(13824),
    [aux_sym_float_literal_token4] = ACTIONS(13824),
    [sym_character_literal] = ACTIONS(13824),
    [sym__pair_operator] = ACTIONS(13824),
    [sym__arrow_operator] = ACTIONS(13824),
    [sym__lazy_or_operator] = ACTIONS(13824),
    [sym__lazy_and_operator] = ACTIONS(13824),
    [sym__comparison_operator] = ACTIONS(13824),
    [sym__pipe_right_operator] = ACTIONS(13824),
    [sym__pipe_left_operator] = ACTIONS(13824),
    [sym__ellipsis_operator] = ACTIONS(13824),
    [sym__plus_operator] = ACTIONS(13824),
    [sym__times_operator] = ACTIONS(13824),
    [sym__rational_operator] = ACTIONS(13824),
    [sym__bitshift_operator] = ACTIONS(13824),
    [sym__power_operator] = ACTIONS(13824),
    [sym__tilde_operator] = ACTIONS(13824),
    [sym__type_order_operator] = ACTIONS(13824),
    [sym__unary_operator] = ACTIONS(13824),
    [sym__unary_plus_operator] = ACTIONS(13824),
    [aux_sym__terminator_token1] = ACTIONS(13824),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13826),
    [sym__command_start] = ACTIONS(13826),
  },
  [8336] = {
    [sym__word_identifier] = ACTIONS(13744),
    [anon_sym_EQ] = ACTIONS(13744),
    [anon_sym_COMMA] = ACTIONS(13744),
    [anon_sym_COLON] = ACTIONS(13744),
    [anon_sym_begin] = ACTIONS(13744),
    [anon_sym_module] = ACTIONS(13744),
    [anon_sym_baremodule] = ACTIONS(13744),
    [anon_sym_abstract] = ACTIONS(13744),
    [anon_sym_primitive] = ACTIONS(13744),
    [anon_sym_mutable] = ACTIONS(13744),
    [anon_sym_struct] = ACTIONS(13744),
    [anon_sym_function] = ACTIONS(13744),
    [anon_sym_macro] = ACTIONS(13744),
    [anon_sym_where] = ACTIONS(13744),
    [anon_sym_quote] = ACTIONS(13744),
    [anon_sym_let] = ACTIONS(13744),
    [anon_sym_if] = ACTIONS(13744),
    [anon_sym_try] = ACTIONS(13744),
    [anon_sym_catch] = ACTIONS(13744),
    [anon_sym_finally] = ACTIONS(13744),
    [anon_sym_for] = ACTIONS(13744),
    [anon_sym_while] = ACTIONS(13744),
    [sym_break_statement] = ACTIONS(13744),
    [sym_continue_statement] = ACTIONS(13744),
    [anon_sym_return] = ACTIONS(13744),
    [anon_sym_const] = ACTIONS(13744),
    [anon_sym_global] = ACTIONS(13744),
    [anon_sym_local] = ACTIONS(13744),
    [anon_sym_LPAREN] = ACTIONS(13744),
    [anon_sym_COLON2] = ACTIONS(13744),
    [anon_sym_export] = ACTIONS(13744),
    [anon_sym_import] = ACTIONS(13744),
    [anon_sym_using] = ACTIONS(13744),
    [anon_sym_LBRACK] = ACTIONS(13744),
    [anon_sym_LF] = ACTIONS(13746),
    [anon_sym_in] = ACTIONS(13744),
    [anon_sym_LBRACE] = ACTIONS(13744),
    [anon_sym_DOLLAR] = ACTIONS(13744),
    [anon_sym_COLON_COLON] = ACTIONS(13744),
    [anon_sym_isa] = ACTIONS(13744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13744),
    [anon_sym_QMARK] = ACTIONS(13744),
    [anon_sym_AT] = ACTIONS(13744),
    [anon_sym_true] = ACTIONS(13744),
    [anon_sym_false] = ACTIONS(13744),
    [aux_sym_integer_literal_token1] = ACTIONS(13744),
    [aux_sym_integer_literal_token2] = ACTIONS(13744),
    [aux_sym_integer_literal_token3] = ACTIONS(13744),
    [aux_sym_integer_literal_token4] = ACTIONS(13744),
    [aux_sym_float_literal_token1] = ACTIONS(13744),
    [aux_sym_float_literal_token3] = ACTIONS(13744),
    [aux_sym_float_literal_token4] = ACTIONS(13744),
    [sym_character_literal] = ACTIONS(13744),
    [sym__pair_operator] = ACTIONS(13744),
    [sym__arrow_operator] = ACTIONS(13744),
    [sym__lazy_or_operator] = ACTIONS(13744),
    [sym__lazy_and_operator] = ACTIONS(13744),
    [sym__comparison_operator] = ACTIONS(13744),
    [sym__pipe_right_operator] = ACTIONS(13744),
    [sym__pipe_left_operator] = ACTIONS(13744),
    [sym__ellipsis_operator] = ACTIONS(13744),
    [sym__plus_operator] = ACTIONS(13744),
    [sym__times_operator] = ACTIONS(13744),
    [sym__rational_operator] = ACTIONS(13744),
    [sym__bitshift_operator] = ACTIONS(13744),
    [sym__power_operator] = ACTIONS(13744),
    [sym__tilde_operator] = ACTIONS(13744),
    [sym__type_order_operator] = ACTIONS(13744),
    [sym__unary_operator] = ACTIONS(13744),
    [sym__unary_plus_operator] = ACTIONS(13744),
    [aux_sym__terminator_token1] = ACTIONS(13744),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13746),
    [sym__command_start] = ACTIONS(13746),
  },
  [8337] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_as] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_RPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_SEMI] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [8338] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8339] = {
    [sym__word_identifier] = ACTIONS(13630),
    [anon_sym_EQ] = ACTIONS(13630),
    [anon_sym_COMMA] = ACTIONS(13630),
    [anon_sym_COLON] = ACTIONS(13630),
    [anon_sym_begin] = ACTIONS(13630),
    [anon_sym_module] = ACTIONS(13630),
    [anon_sym_baremodule] = ACTIONS(13630),
    [anon_sym_end] = ACTIONS(13630),
    [anon_sym_abstract] = ACTIONS(13630),
    [anon_sym_primitive] = ACTIONS(13630),
    [anon_sym_mutable] = ACTIONS(13630),
    [anon_sym_struct] = ACTIONS(13630),
    [anon_sym_function] = ACTIONS(13630),
    [anon_sym_macro] = ACTIONS(13630),
    [anon_sym_where] = ACTIONS(13630),
    [anon_sym_quote] = ACTIONS(13630),
    [anon_sym_let] = ACTIONS(13630),
    [anon_sym_if] = ACTIONS(13630),
    [anon_sym_try] = ACTIONS(13630),
    [anon_sym_finally] = ACTIONS(13630),
    [anon_sym_for] = ACTIONS(13630),
    [anon_sym_while] = ACTIONS(13630),
    [sym_break_statement] = ACTIONS(13630),
    [sym_continue_statement] = ACTIONS(13630),
    [anon_sym_return] = ACTIONS(13630),
    [anon_sym_const] = ACTIONS(13630),
    [anon_sym_global] = ACTIONS(13630),
    [anon_sym_local] = ACTIONS(13630),
    [anon_sym_LPAREN] = ACTIONS(13630),
    [anon_sym_COLON2] = ACTIONS(13630),
    [anon_sym_export] = ACTIONS(13630),
    [anon_sym_import] = ACTIONS(13630),
    [anon_sym_using] = ACTIONS(13630),
    [anon_sym_LBRACK] = ACTIONS(13630),
    [anon_sym_LF] = ACTIONS(13628),
    [anon_sym_in] = ACTIONS(13630),
    [anon_sym_LBRACE] = ACTIONS(13630),
    [anon_sym_DOLLAR] = ACTIONS(13630),
    [anon_sym_COLON_COLON] = ACTIONS(13630),
    [anon_sym_isa] = ACTIONS(13630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13630),
    [anon_sym_QMARK] = ACTIONS(13630),
    [anon_sym_AT] = ACTIONS(13630),
    [anon_sym_true] = ACTIONS(13630),
    [anon_sym_false] = ACTIONS(13630),
    [aux_sym_integer_literal_token1] = ACTIONS(13630),
    [aux_sym_integer_literal_token2] = ACTIONS(13630),
    [aux_sym_integer_literal_token3] = ACTIONS(13630),
    [aux_sym_integer_literal_token4] = ACTIONS(13630),
    [aux_sym_float_literal_token1] = ACTIONS(13630),
    [aux_sym_float_literal_token3] = ACTIONS(13630),
    [aux_sym_float_literal_token4] = ACTIONS(13630),
    [sym_character_literal] = ACTIONS(13630),
    [sym__pair_operator] = ACTIONS(13630),
    [sym__arrow_operator] = ACTIONS(13630),
    [sym__lazy_or_operator] = ACTIONS(13630),
    [sym__lazy_and_operator] = ACTIONS(13630),
    [sym__comparison_operator] = ACTIONS(13630),
    [sym__pipe_right_operator] = ACTIONS(13630),
    [sym__pipe_left_operator] = ACTIONS(13630),
    [sym__ellipsis_operator] = ACTIONS(13630),
    [sym__plus_operator] = ACTIONS(13630),
    [sym__times_operator] = ACTIONS(13630),
    [sym__rational_operator] = ACTIONS(13630),
    [sym__bitshift_operator] = ACTIONS(13630),
    [sym__power_operator] = ACTIONS(13630),
    [sym__tilde_operator] = ACTIONS(13630),
    [sym__type_order_operator] = ACTIONS(13630),
    [sym__unary_operator] = ACTIONS(13630),
    [sym__unary_plus_operator] = ACTIONS(13630),
    [aux_sym__terminator_token1] = ACTIONS(13630),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13628),
    [sym__command_start] = ACTIONS(13628),
  },
  [8340] = {
    [sym__word_identifier] = ACTIONS(13592),
    [anon_sym_EQ] = ACTIONS(13592),
    [anon_sym_COMMA] = ACTIONS(13592),
    [anon_sym_COLON] = ACTIONS(13592),
    [anon_sym_begin] = ACTIONS(13592),
    [anon_sym_module] = ACTIONS(13592),
    [anon_sym_baremodule] = ACTIONS(13592),
    [anon_sym_end] = ACTIONS(13592),
    [anon_sym_abstract] = ACTIONS(13592),
    [anon_sym_primitive] = ACTIONS(13592),
    [anon_sym_mutable] = ACTIONS(13592),
    [anon_sym_struct] = ACTIONS(13592),
    [anon_sym_function] = ACTIONS(13592),
    [anon_sym_macro] = ACTIONS(13592),
    [anon_sym_where] = ACTIONS(13592),
    [anon_sym_quote] = ACTIONS(13592),
    [anon_sym_let] = ACTIONS(13592),
    [anon_sym_if] = ACTIONS(13592),
    [anon_sym_try] = ACTIONS(13592),
    [anon_sym_finally] = ACTIONS(13592),
    [anon_sym_for] = ACTIONS(13592),
    [anon_sym_while] = ACTIONS(13592),
    [sym_break_statement] = ACTIONS(13592),
    [sym_continue_statement] = ACTIONS(13592),
    [anon_sym_return] = ACTIONS(13592),
    [anon_sym_const] = ACTIONS(13592),
    [anon_sym_global] = ACTIONS(13592),
    [anon_sym_local] = ACTIONS(13592),
    [anon_sym_LPAREN] = ACTIONS(13592),
    [anon_sym_COLON2] = ACTIONS(13592),
    [anon_sym_export] = ACTIONS(13592),
    [anon_sym_import] = ACTIONS(13592),
    [anon_sym_using] = ACTIONS(13592),
    [anon_sym_LBRACK] = ACTIONS(13592),
    [anon_sym_LF] = ACTIONS(13590),
    [anon_sym_in] = ACTIONS(13592),
    [anon_sym_LBRACE] = ACTIONS(13592),
    [anon_sym_DOLLAR] = ACTIONS(13592),
    [anon_sym_COLON_COLON] = ACTIONS(13592),
    [anon_sym_isa] = ACTIONS(13592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13592),
    [anon_sym_QMARK] = ACTIONS(13592),
    [anon_sym_AT] = ACTIONS(13592),
    [anon_sym_true] = ACTIONS(13592),
    [anon_sym_false] = ACTIONS(13592),
    [aux_sym_integer_literal_token1] = ACTIONS(13592),
    [aux_sym_integer_literal_token2] = ACTIONS(13592),
    [aux_sym_integer_literal_token3] = ACTIONS(13592),
    [aux_sym_integer_literal_token4] = ACTIONS(13592),
    [aux_sym_float_literal_token1] = ACTIONS(13592),
    [aux_sym_float_literal_token3] = ACTIONS(13592),
    [aux_sym_float_literal_token4] = ACTIONS(13592),
    [sym_character_literal] = ACTIONS(13592),
    [sym__pair_operator] = ACTIONS(13592),
    [sym__arrow_operator] = ACTIONS(13592),
    [sym__lazy_or_operator] = ACTIONS(13592),
    [sym__lazy_and_operator] = ACTIONS(13592),
    [sym__comparison_operator] = ACTIONS(13592),
    [sym__pipe_right_operator] = ACTIONS(13592),
    [sym__pipe_left_operator] = ACTIONS(13592),
    [sym__ellipsis_operator] = ACTIONS(13592),
    [sym__plus_operator] = ACTIONS(13592),
    [sym__times_operator] = ACTIONS(13592),
    [sym__rational_operator] = ACTIONS(13592),
    [sym__bitshift_operator] = ACTIONS(13592),
    [sym__power_operator] = ACTIONS(13592),
    [sym__tilde_operator] = ACTIONS(13592),
    [sym__type_order_operator] = ACTIONS(13592),
    [sym__unary_operator] = ACTIONS(13592),
    [sym__unary_plus_operator] = ACTIONS(13592),
    [aux_sym__terminator_token1] = ACTIONS(13592),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13590),
    [sym__command_start] = ACTIONS(13590),
  },
  [8341] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8342] = {
    [sym__word_identifier] = ACTIONS(13690),
    [anon_sym_EQ] = ACTIONS(13690),
    [anon_sym_COMMA] = ACTIONS(13690),
    [anon_sym_COLON] = ACTIONS(13690),
    [anon_sym_begin] = ACTIONS(13690),
    [anon_sym_module] = ACTIONS(13690),
    [anon_sym_baremodule] = ACTIONS(13690),
    [anon_sym_abstract] = ACTIONS(13690),
    [anon_sym_primitive] = ACTIONS(13690),
    [anon_sym_mutable] = ACTIONS(13690),
    [anon_sym_struct] = ACTIONS(13690),
    [anon_sym_function] = ACTIONS(13690),
    [anon_sym_macro] = ACTIONS(13690),
    [anon_sym_where] = ACTIONS(13690),
    [anon_sym_quote] = ACTIONS(13690),
    [anon_sym_let] = ACTIONS(13690),
    [anon_sym_if] = ACTIONS(13690),
    [anon_sym_try] = ACTIONS(13690),
    [anon_sym_catch] = ACTIONS(13690),
    [anon_sym_finally] = ACTIONS(13690),
    [anon_sym_for] = ACTIONS(13690),
    [anon_sym_while] = ACTIONS(13690),
    [sym_break_statement] = ACTIONS(13690),
    [sym_continue_statement] = ACTIONS(13690),
    [anon_sym_return] = ACTIONS(13690),
    [anon_sym_const] = ACTIONS(13690),
    [anon_sym_global] = ACTIONS(13690),
    [anon_sym_local] = ACTIONS(13690),
    [anon_sym_LPAREN] = ACTIONS(13690),
    [anon_sym_COLON2] = ACTIONS(13690),
    [anon_sym_export] = ACTIONS(13690),
    [anon_sym_import] = ACTIONS(13690),
    [anon_sym_using] = ACTIONS(13690),
    [anon_sym_LBRACK] = ACTIONS(13690),
    [anon_sym_LF] = ACTIONS(13692),
    [anon_sym_in] = ACTIONS(13690),
    [anon_sym_LBRACE] = ACTIONS(13690),
    [anon_sym_DOLLAR] = ACTIONS(13690),
    [anon_sym_COLON_COLON] = ACTIONS(13690),
    [anon_sym_isa] = ACTIONS(13690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13690),
    [anon_sym_QMARK] = ACTIONS(13690),
    [anon_sym_AT] = ACTIONS(13690),
    [anon_sym_true] = ACTIONS(13690),
    [anon_sym_false] = ACTIONS(13690),
    [aux_sym_integer_literal_token1] = ACTIONS(13690),
    [aux_sym_integer_literal_token2] = ACTIONS(13690),
    [aux_sym_integer_literal_token3] = ACTIONS(13690),
    [aux_sym_integer_literal_token4] = ACTIONS(13690),
    [aux_sym_float_literal_token1] = ACTIONS(13690),
    [aux_sym_float_literal_token3] = ACTIONS(13690),
    [aux_sym_float_literal_token4] = ACTIONS(13690),
    [sym_character_literal] = ACTIONS(13690),
    [sym__pair_operator] = ACTIONS(13690),
    [sym__arrow_operator] = ACTIONS(13690),
    [sym__lazy_or_operator] = ACTIONS(13690),
    [sym__lazy_and_operator] = ACTIONS(13690),
    [sym__comparison_operator] = ACTIONS(13690),
    [sym__pipe_right_operator] = ACTIONS(13690),
    [sym__pipe_left_operator] = ACTIONS(13690),
    [sym__ellipsis_operator] = ACTIONS(13690),
    [sym__plus_operator] = ACTIONS(13690),
    [sym__times_operator] = ACTIONS(13690),
    [sym__rational_operator] = ACTIONS(13690),
    [sym__bitshift_operator] = ACTIONS(13690),
    [sym__power_operator] = ACTIONS(13690),
    [sym__tilde_operator] = ACTIONS(13690),
    [sym__type_order_operator] = ACTIONS(13690),
    [sym__unary_operator] = ACTIONS(13690),
    [sym__unary_plus_operator] = ACTIONS(13690),
    [aux_sym__terminator_token1] = ACTIONS(13690),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13692),
    [sym__command_start] = ACTIONS(13692),
  },
  [8343] = {
    [sym__word_identifier] = ACTIONS(13574),
    [anon_sym_EQ] = ACTIONS(13574),
    [anon_sym_COMMA] = ACTIONS(13574),
    [anon_sym_COLON] = ACTIONS(13574),
    [anon_sym_begin] = ACTIONS(13574),
    [anon_sym_module] = ACTIONS(13574),
    [anon_sym_baremodule] = ACTIONS(13574),
    [anon_sym_end] = ACTIONS(13574),
    [anon_sym_abstract] = ACTIONS(13574),
    [anon_sym_primitive] = ACTIONS(13574),
    [anon_sym_mutable] = ACTIONS(13574),
    [anon_sym_struct] = ACTIONS(13574),
    [anon_sym_function] = ACTIONS(13574),
    [anon_sym_macro] = ACTIONS(13574),
    [anon_sym_where] = ACTIONS(13574),
    [anon_sym_quote] = ACTIONS(13574),
    [anon_sym_let] = ACTIONS(13574),
    [anon_sym_if] = ACTIONS(13574),
    [anon_sym_try] = ACTIONS(13574),
    [anon_sym_finally] = ACTIONS(13574),
    [anon_sym_for] = ACTIONS(13574),
    [anon_sym_while] = ACTIONS(13574),
    [sym_break_statement] = ACTIONS(13574),
    [sym_continue_statement] = ACTIONS(13574),
    [anon_sym_return] = ACTIONS(13574),
    [anon_sym_const] = ACTIONS(13574),
    [anon_sym_global] = ACTIONS(13574),
    [anon_sym_local] = ACTIONS(13574),
    [anon_sym_LPAREN] = ACTIONS(13574),
    [anon_sym_COLON2] = ACTIONS(13574),
    [anon_sym_export] = ACTIONS(13574),
    [anon_sym_import] = ACTIONS(13574),
    [anon_sym_using] = ACTIONS(13574),
    [anon_sym_LBRACK] = ACTIONS(13574),
    [anon_sym_LF] = ACTIONS(13572),
    [anon_sym_in] = ACTIONS(13574),
    [anon_sym_LBRACE] = ACTIONS(13574),
    [anon_sym_DOLLAR] = ACTIONS(13574),
    [anon_sym_COLON_COLON] = ACTIONS(13574),
    [anon_sym_isa] = ACTIONS(13574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13574),
    [anon_sym_QMARK] = ACTIONS(13574),
    [anon_sym_AT] = ACTIONS(13574),
    [anon_sym_true] = ACTIONS(13574),
    [anon_sym_false] = ACTIONS(13574),
    [aux_sym_integer_literal_token1] = ACTIONS(13574),
    [aux_sym_integer_literal_token2] = ACTIONS(13574),
    [aux_sym_integer_literal_token3] = ACTIONS(13574),
    [aux_sym_integer_literal_token4] = ACTIONS(13574),
    [aux_sym_float_literal_token1] = ACTIONS(13574),
    [aux_sym_float_literal_token3] = ACTIONS(13574),
    [aux_sym_float_literal_token4] = ACTIONS(13574),
    [sym_character_literal] = ACTIONS(13574),
    [sym__pair_operator] = ACTIONS(13574),
    [sym__arrow_operator] = ACTIONS(13574),
    [sym__lazy_or_operator] = ACTIONS(13574),
    [sym__lazy_and_operator] = ACTIONS(13574),
    [sym__comparison_operator] = ACTIONS(13574),
    [sym__pipe_right_operator] = ACTIONS(13574),
    [sym__pipe_left_operator] = ACTIONS(13574),
    [sym__ellipsis_operator] = ACTIONS(13574),
    [sym__plus_operator] = ACTIONS(13574),
    [sym__times_operator] = ACTIONS(13574),
    [sym__rational_operator] = ACTIONS(13574),
    [sym__bitshift_operator] = ACTIONS(13574),
    [sym__power_operator] = ACTIONS(13574),
    [sym__tilde_operator] = ACTIONS(13574),
    [sym__type_order_operator] = ACTIONS(13574),
    [sym__unary_operator] = ACTIONS(13574),
    [sym__unary_plus_operator] = ACTIONS(13574),
    [aux_sym__terminator_token1] = ACTIONS(13574),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13572),
    [sym__command_start] = ACTIONS(13572),
  },
  [8344] = {
    [sym__word_identifier] = ACTIONS(13290),
    [anon_sym_EQ] = ACTIONS(13290),
    [anon_sym_COMMA] = ACTIONS(13290),
    [anon_sym_COLON] = ACTIONS(13290),
    [anon_sym_begin] = ACTIONS(13290),
    [anon_sym_module] = ACTIONS(13290),
    [anon_sym_baremodule] = ACTIONS(13290),
    [anon_sym_end] = ACTIONS(13290),
    [anon_sym_abstract] = ACTIONS(13290),
    [anon_sym_primitive] = ACTIONS(13290),
    [anon_sym_mutable] = ACTIONS(13290),
    [anon_sym_struct] = ACTIONS(13290),
    [anon_sym_function] = ACTIONS(13290),
    [anon_sym_macro] = ACTIONS(13290),
    [anon_sym_where] = ACTIONS(13290),
    [anon_sym_quote] = ACTIONS(13290),
    [anon_sym_let] = ACTIONS(13290),
    [anon_sym_if] = ACTIONS(13290),
    [anon_sym_try] = ACTIONS(13290),
    [anon_sym_finally] = ACTIONS(13290),
    [anon_sym_for] = ACTIONS(13290),
    [anon_sym_while] = ACTIONS(13290),
    [sym_break_statement] = ACTIONS(13290),
    [sym_continue_statement] = ACTIONS(13290),
    [anon_sym_return] = ACTIONS(13290),
    [anon_sym_const] = ACTIONS(13290),
    [anon_sym_global] = ACTIONS(13290),
    [anon_sym_local] = ACTIONS(13290),
    [anon_sym_LPAREN] = ACTIONS(13290),
    [anon_sym_COLON2] = ACTIONS(13290),
    [anon_sym_export] = ACTIONS(13290),
    [anon_sym_import] = ACTIONS(13290),
    [anon_sym_using] = ACTIONS(13290),
    [anon_sym_LBRACK] = ACTIONS(13290),
    [anon_sym_LF] = ACTIONS(13292),
    [anon_sym_in] = ACTIONS(13290),
    [anon_sym_LBRACE] = ACTIONS(13290),
    [anon_sym_DOLLAR] = ACTIONS(13290),
    [anon_sym_COLON_COLON] = ACTIONS(13290),
    [anon_sym_isa] = ACTIONS(13290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13290),
    [anon_sym_QMARK] = ACTIONS(13290),
    [anon_sym_AT] = ACTIONS(13290),
    [anon_sym_true] = ACTIONS(13290),
    [anon_sym_false] = ACTIONS(13290),
    [aux_sym_integer_literal_token1] = ACTIONS(13290),
    [aux_sym_integer_literal_token2] = ACTIONS(13290),
    [aux_sym_integer_literal_token3] = ACTIONS(13290),
    [aux_sym_integer_literal_token4] = ACTIONS(13290),
    [aux_sym_float_literal_token1] = ACTIONS(13290),
    [aux_sym_float_literal_token3] = ACTIONS(13290),
    [aux_sym_float_literal_token4] = ACTIONS(13290),
    [sym_character_literal] = ACTIONS(13290),
    [sym__pair_operator] = ACTIONS(13290),
    [sym__arrow_operator] = ACTIONS(13290),
    [sym__lazy_or_operator] = ACTIONS(13290),
    [sym__lazy_and_operator] = ACTIONS(13290),
    [sym__comparison_operator] = ACTIONS(13290),
    [sym__pipe_right_operator] = ACTIONS(13290),
    [sym__pipe_left_operator] = ACTIONS(13290),
    [sym__ellipsis_operator] = ACTIONS(13290),
    [sym__plus_operator] = ACTIONS(13290),
    [sym__times_operator] = ACTIONS(13290),
    [sym__rational_operator] = ACTIONS(13290),
    [sym__bitshift_operator] = ACTIONS(13290),
    [sym__power_operator] = ACTIONS(13290),
    [sym__tilde_operator] = ACTIONS(13290),
    [sym__type_order_operator] = ACTIONS(13290),
    [sym__unary_operator] = ACTIONS(13290),
    [sym__unary_plus_operator] = ACTIONS(13290),
    [aux_sym__terminator_token1] = ACTIONS(13290),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13292),
    [sym__command_start] = ACTIONS(13292),
  },
  [8345] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [8346] = {
    [sym__word_identifier] = ACTIONS(13259),
    [anon_sym_EQ] = ACTIONS(13259),
    [anon_sym_COMMA] = ACTIONS(13261),
    [anon_sym_COLON] = ACTIONS(13259),
    [anon_sym_begin] = ACTIONS(13259),
    [anon_sym_module] = ACTIONS(13259),
    [anon_sym_baremodule] = ACTIONS(13259),
    [anon_sym_abstract] = ACTIONS(13259),
    [anon_sym_primitive] = ACTIONS(13259),
    [anon_sym_mutable] = ACTIONS(13259),
    [anon_sym_struct] = ACTIONS(13259),
    [anon_sym_function] = ACTIONS(13259),
    [anon_sym_macro] = ACTIONS(13259),
    [anon_sym_where] = ACTIONS(13259),
    [anon_sym_quote] = ACTIONS(13259),
    [anon_sym_let] = ACTIONS(13259),
    [anon_sym_if] = ACTIONS(13259),
    [anon_sym_try] = ACTIONS(13259),
    [anon_sym_for] = ACTIONS(13259),
    [anon_sym_while] = ACTIONS(13259),
    [sym_break_statement] = ACTIONS(13259),
    [sym_continue_statement] = ACTIONS(13259),
    [anon_sym_return] = ACTIONS(13259),
    [anon_sym_const] = ACTIONS(13259),
    [anon_sym_global] = ACTIONS(13259),
    [anon_sym_local] = ACTIONS(13259),
    [anon_sym_LPAREN] = ACTIONS(13261),
    [anon_sym_RPAREN] = ACTIONS(13261),
    [anon_sym_COLON2] = ACTIONS(13259),
    [anon_sym_export] = ACTIONS(13259),
    [anon_sym_import] = ACTIONS(13259),
    [anon_sym_using] = ACTIONS(13259),
    [anon_sym_LBRACK] = ACTIONS(13261),
    [anon_sym_RBRACK] = ACTIONS(13261),
    [anon_sym_in] = ACTIONS(13259),
    [anon_sym_SEMI] = ACTIONS(13261),
    [anon_sym_LBRACE] = ACTIONS(13261),
    [anon_sym_RBRACE] = ACTIONS(13261),
    [anon_sym_DOLLAR] = ACTIONS(13261),
    [anon_sym_COLON_COLON] = ACTIONS(13261),
    [anon_sym_isa] = ACTIONS(13259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13261),
    [anon_sym_QMARK] = ACTIONS(13261),
    [anon_sym_AT] = ACTIONS(13261),
    [anon_sym_true] = ACTIONS(13259),
    [anon_sym_false] = ACTIONS(13259),
    [aux_sym_integer_literal_token1] = ACTIONS(13261),
    [aux_sym_integer_literal_token2] = ACTIONS(13261),
    [aux_sym_integer_literal_token3] = ACTIONS(13259),
    [aux_sym_integer_literal_token4] = ACTIONS(13259),
    [aux_sym_float_literal_token1] = ACTIONS(13261),
    [aux_sym_float_literal_token3] = ACTIONS(13261),
    [aux_sym_float_literal_token4] = ACTIONS(13261),
    [sym_character_literal] = ACTIONS(13261),
    [sym__pair_operator] = ACTIONS(13261),
    [sym__arrow_operator] = ACTIONS(13259),
    [sym__lazy_or_operator] = ACTIONS(13261),
    [sym__lazy_and_operator] = ACTIONS(13261),
    [sym__comparison_operator] = ACTIONS(13259),
    [sym__pipe_right_operator] = ACTIONS(13261),
    [sym__pipe_left_operator] = ACTIONS(13261),
    [sym__ellipsis_operator] = ACTIONS(13259),
    [sym__plus_operator] = ACTIONS(13259),
    [sym__times_operator] = ACTIONS(13259),
    [sym__rational_operator] = ACTIONS(13261),
    [sym__bitshift_operator] = ACTIONS(13261),
    [sym__power_operator] = ACTIONS(13261),
    [sym__tilde_operator] = ACTIONS(13261),
    [sym__type_order_operator] = ACTIONS(13261),
    [sym__unary_operator] = ACTIONS(13259),
    [sym__unary_plus_operator] = ACTIONS(13259),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13261),
    [sym__command_start] = ACTIONS(13261),
  },
  [8347] = {
    [sym__word_identifier] = ACTIONS(13546),
    [anon_sym_EQ] = ACTIONS(13546),
    [anon_sym_COMMA] = ACTIONS(13546),
    [anon_sym_COLON] = ACTIONS(13546),
    [anon_sym_begin] = ACTIONS(13546),
    [anon_sym_module] = ACTIONS(13546),
    [anon_sym_baremodule] = ACTIONS(13546),
    [anon_sym_end] = ACTIONS(13546),
    [anon_sym_abstract] = ACTIONS(13546),
    [anon_sym_primitive] = ACTIONS(13546),
    [anon_sym_mutable] = ACTIONS(13546),
    [anon_sym_struct] = ACTIONS(13546),
    [anon_sym_function] = ACTIONS(13546),
    [anon_sym_macro] = ACTIONS(13546),
    [anon_sym_where] = ACTIONS(13546),
    [anon_sym_quote] = ACTIONS(13546),
    [anon_sym_let] = ACTIONS(13546),
    [anon_sym_if] = ACTIONS(13546),
    [anon_sym_try] = ACTIONS(13546),
    [anon_sym_finally] = ACTIONS(13546),
    [anon_sym_for] = ACTIONS(13546),
    [anon_sym_while] = ACTIONS(13546),
    [sym_break_statement] = ACTIONS(13546),
    [sym_continue_statement] = ACTIONS(13546),
    [anon_sym_return] = ACTIONS(13546),
    [anon_sym_const] = ACTIONS(13546),
    [anon_sym_global] = ACTIONS(13546),
    [anon_sym_local] = ACTIONS(13546),
    [anon_sym_LPAREN] = ACTIONS(13546),
    [anon_sym_COLON2] = ACTIONS(13546),
    [anon_sym_export] = ACTIONS(13546),
    [anon_sym_import] = ACTIONS(13546),
    [anon_sym_using] = ACTIONS(13546),
    [anon_sym_LBRACK] = ACTIONS(13546),
    [anon_sym_LF] = ACTIONS(13544),
    [anon_sym_in] = ACTIONS(13546),
    [anon_sym_LBRACE] = ACTIONS(13546),
    [anon_sym_DOLLAR] = ACTIONS(13546),
    [anon_sym_COLON_COLON] = ACTIONS(13546),
    [anon_sym_isa] = ACTIONS(13546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13546),
    [anon_sym_QMARK] = ACTIONS(13546),
    [anon_sym_AT] = ACTIONS(13546),
    [anon_sym_true] = ACTIONS(13546),
    [anon_sym_false] = ACTIONS(13546),
    [aux_sym_integer_literal_token1] = ACTIONS(13546),
    [aux_sym_integer_literal_token2] = ACTIONS(13546),
    [aux_sym_integer_literal_token3] = ACTIONS(13546),
    [aux_sym_integer_literal_token4] = ACTIONS(13546),
    [aux_sym_float_literal_token1] = ACTIONS(13546),
    [aux_sym_float_literal_token3] = ACTIONS(13546),
    [aux_sym_float_literal_token4] = ACTIONS(13546),
    [sym_character_literal] = ACTIONS(13546),
    [sym__pair_operator] = ACTIONS(13546),
    [sym__arrow_operator] = ACTIONS(13546),
    [sym__lazy_or_operator] = ACTIONS(13546),
    [sym__lazy_and_operator] = ACTIONS(13546),
    [sym__comparison_operator] = ACTIONS(13546),
    [sym__pipe_right_operator] = ACTIONS(13546),
    [sym__pipe_left_operator] = ACTIONS(13546),
    [sym__ellipsis_operator] = ACTIONS(13546),
    [sym__plus_operator] = ACTIONS(13546),
    [sym__times_operator] = ACTIONS(13546),
    [sym__rational_operator] = ACTIONS(13546),
    [sym__bitshift_operator] = ACTIONS(13546),
    [sym__power_operator] = ACTIONS(13546),
    [sym__tilde_operator] = ACTIONS(13546),
    [sym__type_order_operator] = ACTIONS(13546),
    [sym__unary_operator] = ACTIONS(13546),
    [sym__unary_plus_operator] = ACTIONS(13546),
    [aux_sym__terminator_token1] = ACTIONS(13546),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13544),
    [sym__command_start] = ACTIONS(13544),
  },
  [8348] = {
    [sym__word_identifier] = ACTIONS(13538),
    [anon_sym_EQ] = ACTIONS(13538),
    [anon_sym_COMMA] = ACTIONS(13538),
    [anon_sym_COLON] = ACTIONS(13538),
    [anon_sym_begin] = ACTIONS(13538),
    [anon_sym_module] = ACTIONS(13538),
    [anon_sym_baremodule] = ACTIONS(13538),
    [anon_sym_end] = ACTIONS(13538),
    [anon_sym_abstract] = ACTIONS(13538),
    [anon_sym_primitive] = ACTIONS(13538),
    [anon_sym_mutable] = ACTIONS(13538),
    [anon_sym_struct] = ACTIONS(13538),
    [anon_sym_function] = ACTIONS(13538),
    [anon_sym_macro] = ACTIONS(13538),
    [anon_sym_where] = ACTIONS(13538),
    [anon_sym_quote] = ACTIONS(13538),
    [anon_sym_let] = ACTIONS(13538),
    [anon_sym_if] = ACTIONS(13538),
    [anon_sym_try] = ACTIONS(13538),
    [anon_sym_finally] = ACTIONS(13538),
    [anon_sym_for] = ACTIONS(13538),
    [anon_sym_while] = ACTIONS(13538),
    [sym_break_statement] = ACTIONS(13538),
    [sym_continue_statement] = ACTIONS(13538),
    [anon_sym_return] = ACTIONS(13538),
    [anon_sym_const] = ACTIONS(13538),
    [anon_sym_global] = ACTIONS(13538),
    [anon_sym_local] = ACTIONS(13538),
    [anon_sym_LPAREN] = ACTIONS(13538),
    [anon_sym_COLON2] = ACTIONS(13538),
    [anon_sym_export] = ACTIONS(13538),
    [anon_sym_import] = ACTIONS(13538),
    [anon_sym_using] = ACTIONS(13538),
    [anon_sym_LBRACK] = ACTIONS(13538),
    [anon_sym_LF] = ACTIONS(13536),
    [anon_sym_in] = ACTIONS(13538),
    [anon_sym_LBRACE] = ACTIONS(13538),
    [anon_sym_DOLLAR] = ACTIONS(13538),
    [anon_sym_COLON_COLON] = ACTIONS(13538),
    [anon_sym_isa] = ACTIONS(13538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13538),
    [anon_sym_QMARK] = ACTIONS(13538),
    [anon_sym_AT] = ACTIONS(13538),
    [anon_sym_true] = ACTIONS(13538),
    [anon_sym_false] = ACTIONS(13538),
    [aux_sym_integer_literal_token1] = ACTIONS(13538),
    [aux_sym_integer_literal_token2] = ACTIONS(13538),
    [aux_sym_integer_literal_token3] = ACTIONS(13538),
    [aux_sym_integer_literal_token4] = ACTIONS(13538),
    [aux_sym_float_literal_token1] = ACTIONS(13538),
    [aux_sym_float_literal_token3] = ACTIONS(13538),
    [aux_sym_float_literal_token4] = ACTIONS(13538),
    [sym_character_literal] = ACTIONS(13538),
    [sym__pair_operator] = ACTIONS(13538),
    [sym__arrow_operator] = ACTIONS(13538),
    [sym__lazy_or_operator] = ACTIONS(13538),
    [sym__lazy_and_operator] = ACTIONS(13538),
    [sym__comparison_operator] = ACTIONS(13538),
    [sym__pipe_right_operator] = ACTIONS(13538),
    [sym__pipe_left_operator] = ACTIONS(13538),
    [sym__ellipsis_operator] = ACTIONS(13538),
    [sym__plus_operator] = ACTIONS(13538),
    [sym__times_operator] = ACTIONS(13538),
    [sym__rational_operator] = ACTIONS(13538),
    [sym__bitshift_operator] = ACTIONS(13538),
    [sym__power_operator] = ACTIONS(13538),
    [sym__tilde_operator] = ACTIONS(13538),
    [sym__type_order_operator] = ACTIONS(13538),
    [sym__unary_operator] = ACTIONS(13538),
    [sym__unary_plus_operator] = ACTIONS(13538),
    [aux_sym__terminator_token1] = ACTIONS(13538),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13536),
    [sym__command_start] = ACTIONS(13536),
  },
  [8349] = {
    [sym__word_identifier] = ACTIONS(13500),
    [anon_sym_EQ] = ACTIONS(13500),
    [anon_sym_COMMA] = ACTIONS(13500),
    [anon_sym_COLON] = ACTIONS(13500),
    [anon_sym_begin] = ACTIONS(13500),
    [anon_sym_module] = ACTIONS(13500),
    [anon_sym_baremodule] = ACTIONS(13500),
    [anon_sym_end] = ACTIONS(13500),
    [anon_sym_abstract] = ACTIONS(13500),
    [anon_sym_primitive] = ACTIONS(13500),
    [anon_sym_mutable] = ACTIONS(13500),
    [anon_sym_struct] = ACTIONS(13500),
    [anon_sym_function] = ACTIONS(13500),
    [anon_sym_macro] = ACTIONS(13500),
    [anon_sym_where] = ACTIONS(13500),
    [anon_sym_quote] = ACTIONS(13500),
    [anon_sym_let] = ACTIONS(13500),
    [anon_sym_if] = ACTIONS(13500),
    [anon_sym_try] = ACTIONS(13500),
    [anon_sym_finally] = ACTIONS(13500),
    [anon_sym_for] = ACTIONS(13500),
    [anon_sym_while] = ACTIONS(13500),
    [sym_break_statement] = ACTIONS(13500),
    [sym_continue_statement] = ACTIONS(13500),
    [anon_sym_return] = ACTIONS(13500),
    [anon_sym_const] = ACTIONS(13500),
    [anon_sym_global] = ACTIONS(13500),
    [anon_sym_local] = ACTIONS(13500),
    [anon_sym_LPAREN] = ACTIONS(13500),
    [anon_sym_COLON2] = ACTIONS(13500),
    [anon_sym_export] = ACTIONS(13500),
    [anon_sym_import] = ACTIONS(13500),
    [anon_sym_using] = ACTIONS(13500),
    [anon_sym_LBRACK] = ACTIONS(13500),
    [anon_sym_LF] = ACTIONS(13498),
    [anon_sym_in] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(13500),
    [anon_sym_DOLLAR] = ACTIONS(13500),
    [anon_sym_COLON_COLON] = ACTIONS(13500),
    [anon_sym_isa] = ACTIONS(13500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13500),
    [anon_sym_QMARK] = ACTIONS(13500),
    [anon_sym_AT] = ACTIONS(13500),
    [anon_sym_true] = ACTIONS(13500),
    [anon_sym_false] = ACTIONS(13500),
    [aux_sym_integer_literal_token1] = ACTIONS(13500),
    [aux_sym_integer_literal_token2] = ACTIONS(13500),
    [aux_sym_integer_literal_token3] = ACTIONS(13500),
    [aux_sym_integer_literal_token4] = ACTIONS(13500),
    [aux_sym_float_literal_token1] = ACTIONS(13500),
    [aux_sym_float_literal_token3] = ACTIONS(13500),
    [aux_sym_float_literal_token4] = ACTIONS(13500),
    [sym_character_literal] = ACTIONS(13500),
    [sym__pair_operator] = ACTIONS(13500),
    [sym__arrow_operator] = ACTIONS(13500),
    [sym__lazy_or_operator] = ACTIONS(13500),
    [sym__lazy_and_operator] = ACTIONS(13500),
    [sym__comparison_operator] = ACTIONS(13500),
    [sym__pipe_right_operator] = ACTIONS(13500),
    [sym__pipe_left_operator] = ACTIONS(13500),
    [sym__ellipsis_operator] = ACTIONS(13500),
    [sym__plus_operator] = ACTIONS(13500),
    [sym__times_operator] = ACTIONS(13500),
    [sym__rational_operator] = ACTIONS(13500),
    [sym__bitshift_operator] = ACTIONS(13500),
    [sym__power_operator] = ACTIONS(13500),
    [sym__tilde_operator] = ACTIONS(13500),
    [sym__type_order_operator] = ACTIONS(13500),
    [sym__unary_operator] = ACTIONS(13500),
    [sym__unary_plus_operator] = ACTIONS(13500),
    [aux_sym__terminator_token1] = ACTIONS(13500),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13498),
    [sym__command_start] = ACTIONS(13498),
  },
  [8350] = {
    [sym__word_identifier] = ACTIONS(13478),
    [anon_sym_EQ] = ACTIONS(13478),
    [anon_sym_COMMA] = ACTIONS(13478),
    [anon_sym_COLON] = ACTIONS(13478),
    [anon_sym_begin] = ACTIONS(13478),
    [anon_sym_module] = ACTIONS(13478),
    [anon_sym_baremodule] = ACTIONS(13478),
    [anon_sym_end] = ACTIONS(13478),
    [anon_sym_abstract] = ACTIONS(13478),
    [anon_sym_primitive] = ACTIONS(13478),
    [anon_sym_mutable] = ACTIONS(13478),
    [anon_sym_struct] = ACTIONS(13478),
    [anon_sym_function] = ACTIONS(13478),
    [anon_sym_macro] = ACTIONS(13478),
    [anon_sym_where] = ACTIONS(13478),
    [anon_sym_quote] = ACTIONS(13478),
    [anon_sym_let] = ACTIONS(13478),
    [anon_sym_if] = ACTIONS(13478),
    [anon_sym_try] = ACTIONS(13478),
    [anon_sym_finally] = ACTIONS(13478),
    [anon_sym_for] = ACTIONS(13478),
    [anon_sym_while] = ACTIONS(13478),
    [sym_break_statement] = ACTIONS(13478),
    [sym_continue_statement] = ACTIONS(13478),
    [anon_sym_return] = ACTIONS(13478),
    [anon_sym_const] = ACTIONS(13478),
    [anon_sym_global] = ACTIONS(13478),
    [anon_sym_local] = ACTIONS(13478),
    [anon_sym_LPAREN] = ACTIONS(13478),
    [anon_sym_COLON2] = ACTIONS(13478),
    [anon_sym_export] = ACTIONS(13478),
    [anon_sym_import] = ACTIONS(13478),
    [anon_sym_using] = ACTIONS(13478),
    [anon_sym_LBRACK] = ACTIONS(13478),
    [anon_sym_LF] = ACTIONS(13476),
    [anon_sym_in] = ACTIONS(13478),
    [anon_sym_LBRACE] = ACTIONS(13478),
    [anon_sym_DOLLAR] = ACTIONS(13478),
    [anon_sym_COLON_COLON] = ACTIONS(13478),
    [anon_sym_isa] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13478),
    [anon_sym_QMARK] = ACTIONS(13478),
    [anon_sym_AT] = ACTIONS(13478),
    [anon_sym_true] = ACTIONS(13478),
    [anon_sym_false] = ACTIONS(13478),
    [aux_sym_integer_literal_token1] = ACTIONS(13478),
    [aux_sym_integer_literal_token2] = ACTIONS(13478),
    [aux_sym_integer_literal_token3] = ACTIONS(13478),
    [aux_sym_integer_literal_token4] = ACTIONS(13478),
    [aux_sym_float_literal_token1] = ACTIONS(13478),
    [aux_sym_float_literal_token3] = ACTIONS(13478),
    [aux_sym_float_literal_token4] = ACTIONS(13478),
    [sym_character_literal] = ACTIONS(13478),
    [sym__pair_operator] = ACTIONS(13478),
    [sym__arrow_operator] = ACTIONS(13478),
    [sym__lazy_or_operator] = ACTIONS(13478),
    [sym__lazy_and_operator] = ACTIONS(13478),
    [sym__comparison_operator] = ACTIONS(13478),
    [sym__pipe_right_operator] = ACTIONS(13478),
    [sym__pipe_left_operator] = ACTIONS(13478),
    [sym__ellipsis_operator] = ACTIONS(13478),
    [sym__plus_operator] = ACTIONS(13478),
    [sym__times_operator] = ACTIONS(13478),
    [sym__rational_operator] = ACTIONS(13478),
    [sym__bitshift_operator] = ACTIONS(13478),
    [sym__power_operator] = ACTIONS(13478),
    [sym__tilde_operator] = ACTIONS(13478),
    [sym__type_order_operator] = ACTIONS(13478),
    [sym__unary_operator] = ACTIONS(13478),
    [sym__unary_plus_operator] = ACTIONS(13478),
    [aux_sym__terminator_token1] = ACTIONS(13478),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13476),
    [sym__command_start] = ACTIONS(13476),
  },
  [8351] = {
    [sym__word_identifier] = ACTIONS(13436),
    [anon_sym_EQ] = ACTIONS(13436),
    [anon_sym_COMMA] = ACTIONS(13436),
    [anon_sym_COLON] = ACTIONS(13436),
    [anon_sym_begin] = ACTIONS(13436),
    [anon_sym_module] = ACTIONS(13436),
    [anon_sym_baremodule] = ACTIONS(13436),
    [anon_sym_end] = ACTIONS(13436),
    [anon_sym_abstract] = ACTIONS(13436),
    [anon_sym_primitive] = ACTIONS(13436),
    [anon_sym_mutable] = ACTIONS(13436),
    [anon_sym_struct] = ACTIONS(13436),
    [anon_sym_function] = ACTIONS(13436),
    [anon_sym_macro] = ACTIONS(13436),
    [anon_sym_where] = ACTIONS(13436),
    [anon_sym_quote] = ACTIONS(13436),
    [anon_sym_let] = ACTIONS(13436),
    [anon_sym_if] = ACTIONS(13436),
    [anon_sym_try] = ACTIONS(13436),
    [anon_sym_finally] = ACTIONS(13436),
    [anon_sym_for] = ACTIONS(13436),
    [anon_sym_while] = ACTIONS(13436),
    [sym_break_statement] = ACTIONS(13436),
    [sym_continue_statement] = ACTIONS(13436),
    [anon_sym_return] = ACTIONS(13436),
    [anon_sym_const] = ACTIONS(13436),
    [anon_sym_global] = ACTIONS(13436),
    [anon_sym_local] = ACTIONS(13436),
    [anon_sym_LPAREN] = ACTIONS(13436),
    [anon_sym_COLON2] = ACTIONS(13436),
    [anon_sym_export] = ACTIONS(13436),
    [anon_sym_import] = ACTIONS(13436),
    [anon_sym_using] = ACTIONS(13436),
    [anon_sym_LBRACK] = ACTIONS(13436),
    [anon_sym_LF] = ACTIONS(13434),
    [anon_sym_in] = ACTIONS(13436),
    [anon_sym_LBRACE] = ACTIONS(13436),
    [anon_sym_DOLLAR] = ACTIONS(13436),
    [anon_sym_COLON_COLON] = ACTIONS(13436),
    [anon_sym_isa] = ACTIONS(13436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13436),
    [anon_sym_QMARK] = ACTIONS(13436),
    [anon_sym_AT] = ACTIONS(13436),
    [anon_sym_true] = ACTIONS(13436),
    [anon_sym_false] = ACTIONS(13436),
    [aux_sym_integer_literal_token1] = ACTIONS(13436),
    [aux_sym_integer_literal_token2] = ACTIONS(13436),
    [aux_sym_integer_literal_token3] = ACTIONS(13436),
    [aux_sym_integer_literal_token4] = ACTIONS(13436),
    [aux_sym_float_literal_token1] = ACTIONS(13436),
    [aux_sym_float_literal_token3] = ACTIONS(13436),
    [aux_sym_float_literal_token4] = ACTIONS(13436),
    [sym_character_literal] = ACTIONS(13436),
    [sym__pair_operator] = ACTIONS(13436),
    [sym__arrow_operator] = ACTIONS(13436),
    [sym__lazy_or_operator] = ACTIONS(13436),
    [sym__lazy_and_operator] = ACTIONS(13436),
    [sym__comparison_operator] = ACTIONS(13436),
    [sym__pipe_right_operator] = ACTIONS(13436),
    [sym__pipe_left_operator] = ACTIONS(13436),
    [sym__ellipsis_operator] = ACTIONS(13436),
    [sym__plus_operator] = ACTIONS(13436),
    [sym__times_operator] = ACTIONS(13436),
    [sym__rational_operator] = ACTIONS(13436),
    [sym__bitshift_operator] = ACTIONS(13436),
    [sym__power_operator] = ACTIONS(13436),
    [sym__tilde_operator] = ACTIONS(13436),
    [sym__type_order_operator] = ACTIONS(13436),
    [sym__unary_operator] = ACTIONS(13436),
    [sym__unary_plus_operator] = ACTIONS(13436),
    [aux_sym__terminator_token1] = ACTIONS(13436),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13434),
    [sym__command_start] = ACTIONS(13434),
  },
  [8352] = {
    [sym__word_identifier] = ACTIONS(13474),
    [anon_sym_EQ] = ACTIONS(13474),
    [anon_sym_COMMA] = ACTIONS(13474),
    [anon_sym_COLON] = ACTIONS(13474),
    [anon_sym_begin] = ACTIONS(13474),
    [anon_sym_module] = ACTIONS(13474),
    [anon_sym_baremodule] = ACTIONS(13474),
    [anon_sym_end] = ACTIONS(13474),
    [anon_sym_abstract] = ACTIONS(13474),
    [anon_sym_primitive] = ACTIONS(13474),
    [anon_sym_mutable] = ACTIONS(13474),
    [anon_sym_struct] = ACTIONS(13474),
    [anon_sym_function] = ACTIONS(13474),
    [anon_sym_macro] = ACTIONS(13474),
    [anon_sym_where] = ACTIONS(13474),
    [anon_sym_quote] = ACTIONS(13474),
    [anon_sym_let] = ACTIONS(13474),
    [anon_sym_if] = ACTIONS(13474),
    [anon_sym_try] = ACTIONS(13474),
    [anon_sym_finally] = ACTIONS(13474),
    [anon_sym_for] = ACTIONS(13474),
    [anon_sym_while] = ACTIONS(13474),
    [sym_break_statement] = ACTIONS(13474),
    [sym_continue_statement] = ACTIONS(13474),
    [anon_sym_return] = ACTIONS(13474),
    [anon_sym_const] = ACTIONS(13474),
    [anon_sym_global] = ACTIONS(13474),
    [anon_sym_local] = ACTIONS(13474),
    [anon_sym_LPAREN] = ACTIONS(13474),
    [anon_sym_COLON2] = ACTIONS(13474),
    [anon_sym_export] = ACTIONS(13474),
    [anon_sym_import] = ACTIONS(13474),
    [anon_sym_using] = ACTIONS(13474),
    [anon_sym_LBRACK] = ACTIONS(13474),
    [anon_sym_LF] = ACTIONS(13472),
    [anon_sym_in] = ACTIONS(13474),
    [anon_sym_LBRACE] = ACTIONS(13474),
    [anon_sym_DOLLAR] = ACTIONS(13474),
    [anon_sym_COLON_COLON] = ACTIONS(13474),
    [anon_sym_isa] = ACTIONS(13474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13474),
    [anon_sym_AT] = ACTIONS(13474),
    [anon_sym_true] = ACTIONS(13474),
    [anon_sym_false] = ACTIONS(13474),
    [aux_sym_integer_literal_token1] = ACTIONS(13474),
    [aux_sym_integer_literal_token2] = ACTIONS(13474),
    [aux_sym_integer_literal_token3] = ACTIONS(13474),
    [aux_sym_integer_literal_token4] = ACTIONS(13474),
    [aux_sym_float_literal_token1] = ACTIONS(13474),
    [aux_sym_float_literal_token3] = ACTIONS(13474),
    [aux_sym_float_literal_token4] = ACTIONS(13474),
    [sym_character_literal] = ACTIONS(13474),
    [sym__pair_operator] = ACTIONS(13474),
    [sym__arrow_operator] = ACTIONS(13474),
    [sym__lazy_or_operator] = ACTIONS(13474),
    [sym__lazy_and_operator] = ACTIONS(13474),
    [sym__comparison_operator] = ACTIONS(13474),
    [sym__pipe_right_operator] = ACTIONS(13474),
    [sym__pipe_left_operator] = ACTIONS(13474),
    [sym__ellipsis_operator] = ACTIONS(13474),
    [sym__plus_operator] = ACTIONS(13474),
    [sym__times_operator] = ACTIONS(13474),
    [sym__rational_operator] = ACTIONS(13474),
    [sym__bitshift_operator] = ACTIONS(13474),
    [sym__power_operator] = ACTIONS(13474),
    [sym__tilde_operator] = ACTIONS(13474),
    [sym__type_order_operator] = ACTIONS(13474),
    [sym__unary_operator] = ACTIONS(13474),
    [sym__unary_plus_operator] = ACTIONS(13474),
    [aux_sym__terminator_token1] = ACTIONS(13474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13472),
    [sym__command_start] = ACTIONS(13472),
  },
  [8353] = {
    [sym__word_identifier] = ACTIONS(13684),
    [anon_sym_EQ] = ACTIONS(13684),
    [anon_sym_COMMA] = ACTIONS(13684),
    [anon_sym_COLON] = ACTIONS(13684),
    [anon_sym_begin] = ACTIONS(13684),
    [anon_sym_module] = ACTIONS(13684),
    [anon_sym_baremodule] = ACTIONS(13684),
    [anon_sym_abstract] = ACTIONS(13684),
    [anon_sym_primitive] = ACTIONS(13684),
    [anon_sym_mutable] = ACTIONS(13684),
    [anon_sym_struct] = ACTIONS(13684),
    [anon_sym_function] = ACTIONS(13684),
    [anon_sym_macro] = ACTIONS(13684),
    [anon_sym_where] = ACTIONS(13684),
    [anon_sym_quote] = ACTIONS(13684),
    [anon_sym_let] = ACTIONS(13684),
    [anon_sym_if] = ACTIONS(13684),
    [anon_sym_try] = ACTIONS(13684),
    [anon_sym_catch] = ACTIONS(13684),
    [anon_sym_finally] = ACTIONS(13684),
    [anon_sym_for] = ACTIONS(13684),
    [anon_sym_while] = ACTIONS(13684),
    [sym_break_statement] = ACTIONS(13684),
    [sym_continue_statement] = ACTIONS(13684),
    [anon_sym_return] = ACTIONS(13684),
    [anon_sym_const] = ACTIONS(13684),
    [anon_sym_global] = ACTIONS(13684),
    [anon_sym_local] = ACTIONS(13684),
    [anon_sym_LPAREN] = ACTIONS(13684),
    [anon_sym_COLON2] = ACTIONS(13684),
    [anon_sym_export] = ACTIONS(13684),
    [anon_sym_import] = ACTIONS(13684),
    [anon_sym_using] = ACTIONS(13684),
    [anon_sym_LBRACK] = ACTIONS(13684),
    [anon_sym_LF] = ACTIONS(13686),
    [anon_sym_in] = ACTIONS(13684),
    [anon_sym_LBRACE] = ACTIONS(13684),
    [anon_sym_DOLLAR] = ACTIONS(13684),
    [anon_sym_COLON_COLON] = ACTIONS(13684),
    [anon_sym_isa] = ACTIONS(13684),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13684),
    [anon_sym_QMARK] = ACTIONS(13684),
    [anon_sym_AT] = ACTIONS(13684),
    [anon_sym_true] = ACTIONS(13684),
    [anon_sym_false] = ACTIONS(13684),
    [aux_sym_integer_literal_token1] = ACTIONS(13684),
    [aux_sym_integer_literal_token2] = ACTIONS(13684),
    [aux_sym_integer_literal_token3] = ACTIONS(13684),
    [aux_sym_integer_literal_token4] = ACTIONS(13684),
    [aux_sym_float_literal_token1] = ACTIONS(13684),
    [aux_sym_float_literal_token3] = ACTIONS(13684),
    [aux_sym_float_literal_token4] = ACTIONS(13684),
    [sym_character_literal] = ACTIONS(13684),
    [sym__pair_operator] = ACTIONS(13684),
    [sym__arrow_operator] = ACTIONS(13684),
    [sym__lazy_or_operator] = ACTIONS(13684),
    [sym__lazy_and_operator] = ACTIONS(13684),
    [sym__comparison_operator] = ACTIONS(13684),
    [sym__pipe_right_operator] = ACTIONS(13684),
    [sym__pipe_left_operator] = ACTIONS(13684),
    [sym__ellipsis_operator] = ACTIONS(13684),
    [sym__plus_operator] = ACTIONS(13684),
    [sym__times_operator] = ACTIONS(13684),
    [sym__rational_operator] = ACTIONS(13684),
    [sym__bitshift_operator] = ACTIONS(13684),
    [sym__power_operator] = ACTIONS(13684),
    [sym__tilde_operator] = ACTIONS(13684),
    [sym__type_order_operator] = ACTIONS(13684),
    [sym__unary_operator] = ACTIONS(13684),
    [sym__unary_plus_operator] = ACTIONS(13684),
    [aux_sym__terminator_token1] = ACTIONS(13684),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13686),
    [sym__command_start] = ACTIONS(13686),
  },
  [8354] = {
    [sym__word_identifier] = ACTIONS(13504),
    [anon_sym_EQ] = ACTIONS(13504),
    [anon_sym_COMMA] = ACTIONS(13504),
    [anon_sym_COLON] = ACTIONS(13504),
    [anon_sym_begin] = ACTIONS(13504),
    [anon_sym_module] = ACTIONS(13504),
    [anon_sym_baremodule] = ACTIONS(13504),
    [anon_sym_end] = ACTIONS(13504),
    [anon_sym_abstract] = ACTIONS(13504),
    [anon_sym_primitive] = ACTIONS(13504),
    [anon_sym_mutable] = ACTIONS(13504),
    [anon_sym_struct] = ACTIONS(13504),
    [anon_sym_function] = ACTIONS(13504),
    [anon_sym_macro] = ACTIONS(13504),
    [anon_sym_where] = ACTIONS(13504),
    [anon_sym_quote] = ACTIONS(13504),
    [anon_sym_let] = ACTIONS(13504),
    [anon_sym_if] = ACTIONS(13504),
    [anon_sym_try] = ACTIONS(13504),
    [anon_sym_finally] = ACTIONS(13504),
    [anon_sym_for] = ACTIONS(13504),
    [anon_sym_while] = ACTIONS(13504),
    [sym_break_statement] = ACTIONS(13504),
    [sym_continue_statement] = ACTIONS(13504),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_const] = ACTIONS(13504),
    [anon_sym_global] = ACTIONS(13504),
    [anon_sym_local] = ACTIONS(13504),
    [anon_sym_LPAREN] = ACTIONS(13504),
    [anon_sym_COLON2] = ACTIONS(13504),
    [anon_sym_export] = ACTIONS(13504),
    [anon_sym_import] = ACTIONS(13504),
    [anon_sym_using] = ACTIONS(13504),
    [anon_sym_LBRACK] = ACTIONS(13504),
    [anon_sym_LF] = ACTIONS(13502),
    [anon_sym_in] = ACTIONS(13504),
    [anon_sym_LBRACE] = ACTIONS(13504),
    [anon_sym_DOLLAR] = ACTIONS(13504),
    [anon_sym_COLON_COLON] = ACTIONS(13504),
    [anon_sym_isa] = ACTIONS(13504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13504),
    [anon_sym_QMARK] = ACTIONS(13504),
    [anon_sym_AT] = ACTIONS(13504),
    [anon_sym_true] = ACTIONS(13504),
    [anon_sym_false] = ACTIONS(13504),
    [aux_sym_integer_literal_token1] = ACTIONS(13504),
    [aux_sym_integer_literal_token2] = ACTIONS(13504),
    [aux_sym_integer_literal_token3] = ACTIONS(13504),
    [aux_sym_integer_literal_token4] = ACTIONS(13504),
    [aux_sym_float_literal_token1] = ACTIONS(13504),
    [aux_sym_float_literal_token3] = ACTIONS(13504),
    [aux_sym_float_literal_token4] = ACTIONS(13504),
    [sym_character_literal] = ACTIONS(13504),
    [sym__pair_operator] = ACTIONS(13504),
    [sym__arrow_operator] = ACTIONS(13504),
    [sym__lazy_or_operator] = ACTIONS(13504),
    [sym__lazy_and_operator] = ACTIONS(13504),
    [sym__comparison_operator] = ACTIONS(13504),
    [sym__pipe_right_operator] = ACTIONS(13504),
    [sym__pipe_left_operator] = ACTIONS(13504),
    [sym__ellipsis_operator] = ACTIONS(13504),
    [sym__plus_operator] = ACTIONS(13504),
    [sym__times_operator] = ACTIONS(13504),
    [sym__rational_operator] = ACTIONS(13504),
    [sym__bitshift_operator] = ACTIONS(13504),
    [sym__power_operator] = ACTIONS(13504),
    [sym__tilde_operator] = ACTIONS(13504),
    [sym__type_order_operator] = ACTIONS(13504),
    [sym__unary_operator] = ACTIONS(13504),
    [sym__unary_plus_operator] = ACTIONS(13504),
    [aux_sym__terminator_token1] = ACTIONS(13504),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13502),
    [sym__command_start] = ACTIONS(13502),
  },
  [8355] = {
    [sym__word_identifier] = ACTIONS(13566),
    [anon_sym_EQ] = ACTIONS(13566),
    [anon_sym_COMMA] = ACTIONS(13566),
    [anon_sym_COLON] = ACTIONS(13566),
    [anon_sym_begin] = ACTIONS(13566),
    [anon_sym_module] = ACTIONS(13566),
    [anon_sym_baremodule] = ACTIONS(13566),
    [anon_sym_end] = ACTIONS(13566),
    [anon_sym_abstract] = ACTIONS(13566),
    [anon_sym_primitive] = ACTIONS(13566),
    [anon_sym_mutable] = ACTIONS(13566),
    [anon_sym_struct] = ACTIONS(13566),
    [anon_sym_function] = ACTIONS(13566),
    [anon_sym_macro] = ACTIONS(13566),
    [anon_sym_where] = ACTIONS(13566),
    [anon_sym_quote] = ACTIONS(13566),
    [anon_sym_let] = ACTIONS(13566),
    [anon_sym_if] = ACTIONS(13566),
    [anon_sym_try] = ACTIONS(13566),
    [anon_sym_finally] = ACTIONS(13566),
    [anon_sym_for] = ACTIONS(13566),
    [anon_sym_while] = ACTIONS(13566),
    [sym_break_statement] = ACTIONS(13566),
    [sym_continue_statement] = ACTIONS(13566),
    [anon_sym_return] = ACTIONS(13566),
    [anon_sym_const] = ACTIONS(13566),
    [anon_sym_global] = ACTIONS(13566),
    [anon_sym_local] = ACTIONS(13566),
    [anon_sym_LPAREN] = ACTIONS(13566),
    [anon_sym_COLON2] = ACTIONS(13566),
    [anon_sym_export] = ACTIONS(13566),
    [anon_sym_import] = ACTIONS(13566),
    [anon_sym_using] = ACTIONS(13566),
    [anon_sym_LBRACK] = ACTIONS(13566),
    [anon_sym_LF] = ACTIONS(13564),
    [anon_sym_in] = ACTIONS(13566),
    [anon_sym_LBRACE] = ACTIONS(13566),
    [anon_sym_DOLLAR] = ACTIONS(13566),
    [anon_sym_COLON_COLON] = ACTIONS(13566),
    [anon_sym_isa] = ACTIONS(13566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13566),
    [anon_sym_QMARK] = ACTIONS(13566),
    [anon_sym_AT] = ACTIONS(13566),
    [anon_sym_true] = ACTIONS(13566),
    [anon_sym_false] = ACTIONS(13566),
    [aux_sym_integer_literal_token1] = ACTIONS(13566),
    [aux_sym_integer_literal_token2] = ACTIONS(13566),
    [aux_sym_integer_literal_token3] = ACTIONS(13566),
    [aux_sym_integer_literal_token4] = ACTIONS(13566),
    [aux_sym_float_literal_token1] = ACTIONS(13566),
    [aux_sym_float_literal_token3] = ACTIONS(13566),
    [aux_sym_float_literal_token4] = ACTIONS(13566),
    [sym_character_literal] = ACTIONS(13566),
    [sym__pair_operator] = ACTIONS(13566),
    [sym__arrow_operator] = ACTIONS(13566),
    [sym__lazy_or_operator] = ACTIONS(13566),
    [sym__lazy_and_operator] = ACTIONS(13566),
    [sym__comparison_operator] = ACTIONS(13566),
    [sym__pipe_right_operator] = ACTIONS(13566),
    [sym__pipe_left_operator] = ACTIONS(13566),
    [sym__ellipsis_operator] = ACTIONS(13566),
    [sym__plus_operator] = ACTIONS(13566),
    [sym__times_operator] = ACTIONS(13566),
    [sym__rational_operator] = ACTIONS(13566),
    [sym__bitshift_operator] = ACTIONS(13566),
    [sym__power_operator] = ACTIONS(13566),
    [sym__tilde_operator] = ACTIONS(13566),
    [sym__type_order_operator] = ACTIONS(13566),
    [sym__unary_operator] = ACTIONS(13566),
    [sym__unary_plus_operator] = ACTIONS(13566),
    [aux_sym__terminator_token1] = ACTIONS(13566),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13564),
    [sym__command_start] = ACTIONS(13564),
  },
  [8356] = {
    [sym__word_identifier] = ACTIONS(13570),
    [anon_sym_EQ] = ACTIONS(13570),
    [anon_sym_COMMA] = ACTIONS(13570),
    [anon_sym_COLON] = ACTIONS(13570),
    [anon_sym_begin] = ACTIONS(13570),
    [anon_sym_module] = ACTIONS(13570),
    [anon_sym_baremodule] = ACTIONS(13570),
    [anon_sym_end] = ACTIONS(13570),
    [anon_sym_abstract] = ACTIONS(13570),
    [anon_sym_primitive] = ACTIONS(13570),
    [anon_sym_mutable] = ACTIONS(13570),
    [anon_sym_struct] = ACTIONS(13570),
    [anon_sym_function] = ACTIONS(13570),
    [anon_sym_macro] = ACTIONS(13570),
    [anon_sym_where] = ACTIONS(13570),
    [anon_sym_quote] = ACTIONS(13570),
    [anon_sym_let] = ACTIONS(13570),
    [anon_sym_if] = ACTIONS(13570),
    [anon_sym_try] = ACTIONS(13570),
    [anon_sym_finally] = ACTIONS(13570),
    [anon_sym_for] = ACTIONS(13570),
    [anon_sym_while] = ACTIONS(13570),
    [sym_break_statement] = ACTIONS(13570),
    [sym_continue_statement] = ACTIONS(13570),
    [anon_sym_return] = ACTIONS(13570),
    [anon_sym_const] = ACTIONS(13570),
    [anon_sym_global] = ACTIONS(13570),
    [anon_sym_local] = ACTIONS(13570),
    [anon_sym_LPAREN] = ACTIONS(13570),
    [anon_sym_COLON2] = ACTIONS(13570),
    [anon_sym_export] = ACTIONS(13570),
    [anon_sym_import] = ACTIONS(13570),
    [anon_sym_using] = ACTIONS(13570),
    [anon_sym_LBRACK] = ACTIONS(13570),
    [anon_sym_LF] = ACTIONS(13568),
    [anon_sym_in] = ACTIONS(13570),
    [anon_sym_LBRACE] = ACTIONS(13570),
    [anon_sym_DOLLAR] = ACTIONS(13570),
    [anon_sym_COLON_COLON] = ACTIONS(13570),
    [anon_sym_isa] = ACTIONS(13570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13570),
    [anon_sym_QMARK] = ACTIONS(13570),
    [anon_sym_AT] = ACTIONS(13570),
    [anon_sym_true] = ACTIONS(13570),
    [anon_sym_false] = ACTIONS(13570),
    [aux_sym_integer_literal_token1] = ACTIONS(13570),
    [aux_sym_integer_literal_token2] = ACTIONS(13570),
    [aux_sym_integer_literal_token3] = ACTIONS(13570),
    [aux_sym_integer_literal_token4] = ACTIONS(13570),
    [aux_sym_float_literal_token1] = ACTIONS(13570),
    [aux_sym_float_literal_token3] = ACTIONS(13570),
    [aux_sym_float_literal_token4] = ACTIONS(13570),
    [sym_character_literal] = ACTIONS(13570),
    [sym__pair_operator] = ACTIONS(13570),
    [sym__arrow_operator] = ACTIONS(13570),
    [sym__lazy_or_operator] = ACTIONS(13570),
    [sym__lazy_and_operator] = ACTIONS(13570),
    [sym__comparison_operator] = ACTIONS(13570),
    [sym__pipe_right_operator] = ACTIONS(13570),
    [sym__pipe_left_operator] = ACTIONS(13570),
    [sym__ellipsis_operator] = ACTIONS(13570),
    [sym__plus_operator] = ACTIONS(13570),
    [sym__times_operator] = ACTIONS(13570),
    [sym__rational_operator] = ACTIONS(13570),
    [sym__bitshift_operator] = ACTIONS(13570),
    [sym__power_operator] = ACTIONS(13570),
    [sym__tilde_operator] = ACTIONS(13570),
    [sym__type_order_operator] = ACTIONS(13570),
    [sym__unary_operator] = ACTIONS(13570),
    [sym__unary_plus_operator] = ACTIONS(13570),
    [aux_sym__terminator_token1] = ACTIONS(13570),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13568),
    [sym__command_start] = ACTIONS(13568),
  },
  [8357] = {
    [sym__word_identifier] = ACTIONS(13606),
    [anon_sym_EQ] = ACTIONS(13606),
    [anon_sym_COMMA] = ACTIONS(13606),
    [anon_sym_COLON] = ACTIONS(13606),
    [anon_sym_begin] = ACTIONS(13606),
    [anon_sym_module] = ACTIONS(13606),
    [anon_sym_baremodule] = ACTIONS(13606),
    [anon_sym_end] = ACTIONS(13606),
    [anon_sym_abstract] = ACTIONS(13606),
    [anon_sym_primitive] = ACTIONS(13606),
    [anon_sym_mutable] = ACTIONS(13606),
    [anon_sym_struct] = ACTIONS(13606),
    [anon_sym_function] = ACTIONS(13606),
    [anon_sym_macro] = ACTIONS(13606),
    [anon_sym_where] = ACTIONS(13606),
    [anon_sym_quote] = ACTIONS(13606),
    [anon_sym_let] = ACTIONS(13606),
    [anon_sym_if] = ACTIONS(13606),
    [anon_sym_try] = ACTIONS(13606),
    [anon_sym_finally] = ACTIONS(13606),
    [anon_sym_for] = ACTIONS(13606),
    [anon_sym_while] = ACTIONS(13606),
    [sym_break_statement] = ACTIONS(13606),
    [sym_continue_statement] = ACTIONS(13606),
    [anon_sym_return] = ACTIONS(13606),
    [anon_sym_const] = ACTIONS(13606),
    [anon_sym_global] = ACTIONS(13606),
    [anon_sym_local] = ACTIONS(13606),
    [anon_sym_LPAREN] = ACTIONS(13606),
    [anon_sym_COLON2] = ACTIONS(13606),
    [anon_sym_export] = ACTIONS(13606),
    [anon_sym_import] = ACTIONS(13606),
    [anon_sym_using] = ACTIONS(13606),
    [anon_sym_LBRACK] = ACTIONS(13606),
    [anon_sym_LF] = ACTIONS(13604),
    [anon_sym_in] = ACTIONS(13606),
    [anon_sym_LBRACE] = ACTIONS(13606),
    [anon_sym_DOLLAR] = ACTIONS(13606),
    [anon_sym_COLON_COLON] = ACTIONS(13606),
    [anon_sym_isa] = ACTIONS(13606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13606),
    [anon_sym_QMARK] = ACTIONS(13606),
    [anon_sym_AT] = ACTIONS(13606),
    [anon_sym_true] = ACTIONS(13606),
    [anon_sym_false] = ACTIONS(13606),
    [aux_sym_integer_literal_token1] = ACTIONS(13606),
    [aux_sym_integer_literal_token2] = ACTIONS(13606),
    [aux_sym_integer_literal_token3] = ACTIONS(13606),
    [aux_sym_integer_literal_token4] = ACTIONS(13606),
    [aux_sym_float_literal_token1] = ACTIONS(13606),
    [aux_sym_float_literal_token3] = ACTIONS(13606),
    [aux_sym_float_literal_token4] = ACTIONS(13606),
    [sym_character_literal] = ACTIONS(13606),
    [sym__pair_operator] = ACTIONS(13606),
    [sym__arrow_operator] = ACTIONS(13606),
    [sym__lazy_or_operator] = ACTIONS(13606),
    [sym__lazy_and_operator] = ACTIONS(13606),
    [sym__comparison_operator] = ACTIONS(13606),
    [sym__pipe_right_operator] = ACTIONS(13606),
    [sym__pipe_left_operator] = ACTIONS(13606),
    [sym__ellipsis_operator] = ACTIONS(13606),
    [sym__plus_operator] = ACTIONS(13606),
    [sym__times_operator] = ACTIONS(13606),
    [sym__rational_operator] = ACTIONS(13606),
    [sym__bitshift_operator] = ACTIONS(13606),
    [sym__power_operator] = ACTIONS(13606),
    [sym__tilde_operator] = ACTIONS(13606),
    [sym__type_order_operator] = ACTIONS(13606),
    [sym__unary_operator] = ACTIONS(13606),
    [sym__unary_plus_operator] = ACTIONS(13606),
    [aux_sym__terminator_token1] = ACTIONS(13606),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13604),
    [sym__command_start] = ACTIONS(13604),
  },
  [8358] = {
    [sym__word_identifier] = ACTIONS(13696),
    [anon_sym_EQ] = ACTIONS(13696),
    [anon_sym_COMMA] = ACTIONS(13696),
    [anon_sym_COLON] = ACTIONS(13696),
    [anon_sym_begin] = ACTIONS(13696),
    [anon_sym_module] = ACTIONS(13696),
    [anon_sym_baremodule] = ACTIONS(13696),
    [anon_sym_end] = ACTIONS(13696),
    [anon_sym_abstract] = ACTIONS(13696),
    [anon_sym_primitive] = ACTIONS(13696),
    [anon_sym_mutable] = ACTIONS(13696),
    [anon_sym_struct] = ACTIONS(13696),
    [anon_sym_function] = ACTIONS(13696),
    [anon_sym_macro] = ACTIONS(13696),
    [anon_sym_where] = ACTIONS(13696),
    [anon_sym_quote] = ACTIONS(13696),
    [anon_sym_let] = ACTIONS(13696),
    [anon_sym_if] = ACTIONS(13696),
    [anon_sym_try] = ACTIONS(13696),
    [anon_sym_finally] = ACTIONS(13696),
    [anon_sym_for] = ACTIONS(13696),
    [anon_sym_while] = ACTIONS(13696),
    [sym_break_statement] = ACTIONS(13696),
    [sym_continue_statement] = ACTIONS(13696),
    [anon_sym_return] = ACTIONS(13696),
    [anon_sym_const] = ACTIONS(13696),
    [anon_sym_global] = ACTIONS(13696),
    [anon_sym_local] = ACTIONS(13696),
    [anon_sym_LPAREN] = ACTIONS(13696),
    [anon_sym_COLON2] = ACTIONS(13696),
    [anon_sym_export] = ACTIONS(13696),
    [anon_sym_import] = ACTIONS(13696),
    [anon_sym_using] = ACTIONS(13696),
    [anon_sym_LBRACK] = ACTIONS(13696),
    [anon_sym_LF] = ACTIONS(13694),
    [anon_sym_in] = ACTIONS(13696),
    [anon_sym_LBRACE] = ACTIONS(13696),
    [anon_sym_DOLLAR] = ACTIONS(13696),
    [anon_sym_COLON_COLON] = ACTIONS(13696),
    [anon_sym_isa] = ACTIONS(13696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13696),
    [anon_sym_QMARK] = ACTIONS(13696),
    [anon_sym_AT] = ACTIONS(13696),
    [anon_sym_true] = ACTIONS(13696),
    [anon_sym_false] = ACTIONS(13696),
    [aux_sym_integer_literal_token1] = ACTIONS(13696),
    [aux_sym_integer_literal_token2] = ACTIONS(13696),
    [aux_sym_integer_literal_token3] = ACTIONS(13696),
    [aux_sym_integer_literal_token4] = ACTIONS(13696),
    [aux_sym_float_literal_token1] = ACTIONS(13696),
    [aux_sym_float_literal_token3] = ACTIONS(13696),
    [aux_sym_float_literal_token4] = ACTIONS(13696),
    [sym_character_literal] = ACTIONS(13696),
    [sym__pair_operator] = ACTIONS(13696),
    [sym__arrow_operator] = ACTIONS(13696),
    [sym__lazy_or_operator] = ACTIONS(13696),
    [sym__lazy_and_operator] = ACTIONS(13696),
    [sym__comparison_operator] = ACTIONS(13696),
    [sym__pipe_right_operator] = ACTIONS(13696),
    [sym__pipe_left_operator] = ACTIONS(13696),
    [sym__ellipsis_operator] = ACTIONS(13696),
    [sym__plus_operator] = ACTIONS(13696),
    [sym__times_operator] = ACTIONS(13696),
    [sym__rational_operator] = ACTIONS(13696),
    [sym__bitshift_operator] = ACTIONS(13696),
    [sym__power_operator] = ACTIONS(13696),
    [sym__tilde_operator] = ACTIONS(13696),
    [sym__type_order_operator] = ACTIONS(13696),
    [sym__unary_operator] = ACTIONS(13696),
    [sym__unary_plus_operator] = ACTIONS(13696),
    [aux_sym__terminator_token1] = ACTIONS(13696),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13694),
    [sym__command_start] = ACTIONS(13694),
  },
  [8359] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [8360] = {
    [sym__word_identifier] = ACTIONS(13812),
    [anon_sym_EQ] = ACTIONS(13812),
    [anon_sym_COMMA] = ACTIONS(13814),
    [anon_sym_COLON] = ACTIONS(13812),
    [anon_sym_begin] = ACTIONS(13812),
    [anon_sym_module] = ACTIONS(13812),
    [anon_sym_baremodule] = ACTIONS(13812),
    [anon_sym_abstract] = ACTIONS(13812),
    [anon_sym_primitive] = ACTIONS(13812),
    [anon_sym_mutable] = ACTIONS(13812),
    [anon_sym_struct] = ACTIONS(13812),
    [anon_sym_function] = ACTIONS(13812),
    [anon_sym_macro] = ACTIONS(13812),
    [anon_sym_where] = ACTIONS(13812),
    [anon_sym_quote] = ACTIONS(13812),
    [anon_sym_let] = ACTIONS(13812),
    [anon_sym_if] = ACTIONS(13812),
    [anon_sym_try] = ACTIONS(13812),
    [anon_sym_for] = ACTIONS(13812),
    [anon_sym_while] = ACTIONS(13812),
    [sym_break_statement] = ACTIONS(13812),
    [sym_continue_statement] = ACTIONS(13812),
    [anon_sym_return] = ACTIONS(13812),
    [anon_sym_const] = ACTIONS(13812),
    [anon_sym_global] = ACTIONS(13812),
    [anon_sym_local] = ACTIONS(13812),
    [anon_sym_LPAREN] = ACTIONS(13814),
    [anon_sym_RPAREN] = ACTIONS(13814),
    [anon_sym_COLON2] = ACTIONS(13812),
    [anon_sym_export] = ACTIONS(13812),
    [anon_sym_import] = ACTIONS(13812),
    [anon_sym_using] = ACTIONS(13812),
    [anon_sym_LBRACK] = ACTIONS(13814),
    [anon_sym_RBRACK] = ACTIONS(13814),
    [anon_sym_in] = ACTIONS(13812),
    [anon_sym_SEMI] = ACTIONS(13814),
    [anon_sym_LBRACE] = ACTIONS(13814),
    [anon_sym_RBRACE] = ACTIONS(13814),
    [anon_sym_DOLLAR] = ACTIONS(13814),
    [anon_sym_COLON_COLON] = ACTIONS(13814),
    [anon_sym_isa] = ACTIONS(13812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13814),
    [anon_sym_QMARK] = ACTIONS(13814),
    [anon_sym_AT] = ACTIONS(13814),
    [anon_sym_true] = ACTIONS(13812),
    [anon_sym_false] = ACTIONS(13812),
    [aux_sym_integer_literal_token1] = ACTIONS(13814),
    [aux_sym_integer_literal_token2] = ACTIONS(13814),
    [aux_sym_integer_literal_token3] = ACTIONS(13812),
    [aux_sym_integer_literal_token4] = ACTIONS(13812),
    [aux_sym_float_literal_token1] = ACTIONS(13814),
    [aux_sym_float_literal_token3] = ACTIONS(13814),
    [aux_sym_float_literal_token4] = ACTIONS(13814),
    [sym_character_literal] = ACTIONS(13814),
    [sym__pair_operator] = ACTIONS(13814),
    [sym__arrow_operator] = ACTIONS(13812),
    [sym__lazy_or_operator] = ACTIONS(13814),
    [sym__lazy_and_operator] = ACTIONS(13814),
    [sym__comparison_operator] = ACTIONS(13812),
    [sym__pipe_right_operator] = ACTIONS(13814),
    [sym__pipe_left_operator] = ACTIONS(13814),
    [sym__ellipsis_operator] = ACTIONS(13812),
    [sym__plus_operator] = ACTIONS(13812),
    [sym__times_operator] = ACTIONS(13812),
    [sym__rational_operator] = ACTIONS(13814),
    [sym__bitshift_operator] = ACTIONS(13814),
    [sym__power_operator] = ACTIONS(13814),
    [sym__tilde_operator] = ACTIONS(13814),
    [sym__type_order_operator] = ACTIONS(13814),
    [sym__unary_operator] = ACTIONS(13812),
    [sym__unary_plus_operator] = ACTIONS(13812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13814),
    [sym__command_start] = ACTIONS(13814),
  },
  [8361] = {
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(12974),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12974),
    [anon_sym_RPAREN] = ACTIONS(12974),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12974),
    [anon_sym_RBRACK] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_SEMI] = ACTIONS(12974),
    [anon_sym_LBRACE] = ACTIONS(12974),
    [anon_sym_RBRACE] = ACTIONS(12974),
    [anon_sym_DOLLAR] = ACTIONS(12974),
    [anon_sym_COLON_COLON] = ACTIONS(12974),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12974),
    [anon_sym_QMARK] = ACTIONS(12974),
    [anon_sym_AT] = ACTIONS(12974),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12974),
    [aux_sym_integer_literal_token2] = ACTIONS(12974),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12974),
    [aux_sym_float_literal_token3] = ACTIONS(12974),
    [aux_sym_float_literal_token4] = ACTIONS(12974),
    [sym_character_literal] = ACTIONS(12974),
    [sym__pair_operator] = ACTIONS(12974),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12974),
    [sym__lazy_and_operator] = ACTIONS(12974),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12974),
    [sym__pipe_left_operator] = ACTIONS(12974),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12974),
    [sym__bitshift_operator] = ACTIONS(12974),
    [sym__power_operator] = ACTIONS(12974),
    [sym__tilde_operator] = ACTIONS(12974),
    [sym__type_order_operator] = ACTIONS(12974),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [8362] = {
    [sym__word_identifier] = ACTIONS(13660),
    [anon_sym_EQ] = ACTIONS(13660),
    [anon_sym_COMMA] = ACTIONS(13660),
    [anon_sym_COLON] = ACTIONS(13660),
    [anon_sym_begin] = ACTIONS(13660),
    [anon_sym_module] = ACTIONS(13660),
    [anon_sym_baremodule] = ACTIONS(13660),
    [anon_sym_abstract] = ACTIONS(13660),
    [anon_sym_primitive] = ACTIONS(13660),
    [anon_sym_mutable] = ACTIONS(13660),
    [anon_sym_struct] = ACTIONS(13660),
    [anon_sym_function] = ACTIONS(13660),
    [anon_sym_macro] = ACTIONS(13660),
    [anon_sym_where] = ACTIONS(13660),
    [anon_sym_quote] = ACTIONS(13660),
    [anon_sym_let] = ACTIONS(13660),
    [anon_sym_if] = ACTIONS(13660),
    [anon_sym_try] = ACTIONS(13660),
    [anon_sym_catch] = ACTIONS(13660),
    [anon_sym_finally] = ACTIONS(13660),
    [anon_sym_for] = ACTIONS(13660),
    [anon_sym_while] = ACTIONS(13660),
    [sym_break_statement] = ACTIONS(13660),
    [sym_continue_statement] = ACTIONS(13660),
    [anon_sym_return] = ACTIONS(13660),
    [anon_sym_const] = ACTIONS(13660),
    [anon_sym_global] = ACTIONS(13660),
    [anon_sym_local] = ACTIONS(13660),
    [anon_sym_LPAREN] = ACTIONS(13660),
    [anon_sym_COLON2] = ACTIONS(13660),
    [anon_sym_export] = ACTIONS(13660),
    [anon_sym_import] = ACTIONS(13660),
    [anon_sym_using] = ACTIONS(13660),
    [anon_sym_LBRACK] = ACTIONS(13660),
    [anon_sym_LF] = ACTIONS(13662),
    [anon_sym_in] = ACTIONS(13660),
    [anon_sym_LBRACE] = ACTIONS(13660),
    [anon_sym_DOLLAR] = ACTIONS(13660),
    [anon_sym_COLON_COLON] = ACTIONS(13660),
    [anon_sym_isa] = ACTIONS(13660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13660),
    [anon_sym_QMARK] = ACTIONS(13660),
    [anon_sym_AT] = ACTIONS(13660),
    [anon_sym_true] = ACTIONS(13660),
    [anon_sym_false] = ACTIONS(13660),
    [aux_sym_integer_literal_token1] = ACTIONS(13660),
    [aux_sym_integer_literal_token2] = ACTIONS(13660),
    [aux_sym_integer_literal_token3] = ACTIONS(13660),
    [aux_sym_integer_literal_token4] = ACTIONS(13660),
    [aux_sym_float_literal_token1] = ACTIONS(13660),
    [aux_sym_float_literal_token3] = ACTIONS(13660),
    [aux_sym_float_literal_token4] = ACTIONS(13660),
    [sym_character_literal] = ACTIONS(13660),
    [sym__pair_operator] = ACTIONS(13660),
    [sym__arrow_operator] = ACTIONS(13660),
    [sym__lazy_or_operator] = ACTIONS(13660),
    [sym__lazy_and_operator] = ACTIONS(13660),
    [sym__comparison_operator] = ACTIONS(13660),
    [sym__pipe_right_operator] = ACTIONS(13660),
    [sym__pipe_left_operator] = ACTIONS(13660),
    [sym__ellipsis_operator] = ACTIONS(13660),
    [sym__plus_operator] = ACTIONS(13660),
    [sym__times_operator] = ACTIONS(13660),
    [sym__rational_operator] = ACTIONS(13660),
    [sym__bitshift_operator] = ACTIONS(13660),
    [sym__power_operator] = ACTIONS(13660),
    [sym__tilde_operator] = ACTIONS(13660),
    [sym__type_order_operator] = ACTIONS(13660),
    [sym__unary_operator] = ACTIONS(13660),
    [sym__unary_plus_operator] = ACTIONS(13660),
    [aux_sym__terminator_token1] = ACTIONS(13660),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13662),
    [sym__command_start] = ACTIONS(13662),
  },
  [8363] = {
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(12976),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_end] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_finally] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [8364] = {
    [sym__word_identifier] = ACTIONS(14170),
    [anon_sym_EQ] = ACTIONS(14170),
    [anon_sym_COMMA] = ACTIONS(14172),
    [anon_sym_COLON] = ACTIONS(14170),
    [anon_sym_begin] = ACTIONS(14170),
    [anon_sym_module] = ACTIONS(14170),
    [anon_sym_baremodule] = ACTIONS(14170),
    [anon_sym_abstract] = ACTIONS(14170),
    [anon_sym_primitive] = ACTIONS(14170),
    [anon_sym_mutable] = ACTIONS(14170),
    [anon_sym_struct] = ACTIONS(14170),
    [anon_sym_function] = ACTIONS(14170),
    [anon_sym_macro] = ACTIONS(14170),
    [anon_sym_where] = ACTIONS(14170),
    [anon_sym_quote] = ACTIONS(14170),
    [anon_sym_let] = ACTIONS(14170),
    [anon_sym_if] = ACTIONS(14170),
    [anon_sym_try] = ACTIONS(14170),
    [anon_sym_for] = ACTIONS(14170),
    [anon_sym_while] = ACTIONS(14170),
    [sym_break_statement] = ACTIONS(14170),
    [sym_continue_statement] = ACTIONS(14170),
    [anon_sym_return] = ACTIONS(14170),
    [anon_sym_const] = ACTIONS(14170),
    [anon_sym_global] = ACTIONS(14170),
    [anon_sym_local] = ACTIONS(14170),
    [anon_sym_LPAREN] = ACTIONS(14172),
    [anon_sym_RPAREN] = ACTIONS(14172),
    [anon_sym_COLON2] = ACTIONS(14170),
    [anon_sym_export] = ACTIONS(14170),
    [anon_sym_import] = ACTIONS(14170),
    [anon_sym_using] = ACTIONS(14170),
    [anon_sym_LBRACK] = ACTIONS(14172),
    [anon_sym_RBRACK] = ACTIONS(14172),
    [anon_sym_in] = ACTIONS(14170),
    [anon_sym_SEMI] = ACTIONS(14172),
    [anon_sym_LBRACE] = ACTIONS(14172),
    [anon_sym_RBRACE] = ACTIONS(14172),
    [anon_sym_DOLLAR] = ACTIONS(14172),
    [anon_sym_COLON_COLON] = ACTIONS(14172),
    [anon_sym_isa] = ACTIONS(14170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14172),
    [anon_sym_QMARK] = ACTIONS(14172),
    [anon_sym_AT] = ACTIONS(14172),
    [anon_sym_true] = ACTIONS(14170),
    [anon_sym_false] = ACTIONS(14170),
    [aux_sym_integer_literal_token1] = ACTIONS(14172),
    [aux_sym_integer_literal_token2] = ACTIONS(14172),
    [aux_sym_integer_literal_token3] = ACTIONS(14170),
    [aux_sym_integer_literal_token4] = ACTIONS(14170),
    [aux_sym_float_literal_token1] = ACTIONS(14172),
    [aux_sym_float_literal_token3] = ACTIONS(14172),
    [aux_sym_float_literal_token4] = ACTIONS(14172),
    [sym_character_literal] = ACTIONS(14172),
    [sym__pair_operator] = ACTIONS(14172),
    [sym__arrow_operator] = ACTIONS(14170),
    [sym__lazy_or_operator] = ACTIONS(14172),
    [sym__lazy_and_operator] = ACTIONS(14172),
    [sym__comparison_operator] = ACTIONS(14170),
    [sym__pipe_right_operator] = ACTIONS(14172),
    [sym__pipe_left_operator] = ACTIONS(14172),
    [sym__ellipsis_operator] = ACTIONS(14170),
    [sym__plus_operator] = ACTIONS(14170),
    [sym__times_operator] = ACTIONS(14170),
    [sym__rational_operator] = ACTIONS(14172),
    [sym__bitshift_operator] = ACTIONS(14172),
    [sym__power_operator] = ACTIONS(14172),
    [sym__tilde_operator] = ACTIONS(14172),
    [sym__type_order_operator] = ACTIONS(14172),
    [sym__unary_operator] = ACTIONS(14170),
    [sym__unary_plus_operator] = ACTIONS(14170),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14172),
    [sym__command_start] = ACTIONS(14172),
  },
  [8365] = {
    [sym__word_identifier] = ACTIONS(13632),
    [anon_sym_EQ] = ACTIONS(13632),
    [anon_sym_COMMA] = ACTIONS(13632),
    [anon_sym_COLON] = ACTIONS(13632),
    [anon_sym_begin] = ACTIONS(13632),
    [anon_sym_module] = ACTIONS(13632),
    [anon_sym_baremodule] = ACTIONS(13632),
    [anon_sym_abstract] = ACTIONS(13632),
    [anon_sym_primitive] = ACTIONS(13632),
    [anon_sym_mutable] = ACTIONS(13632),
    [anon_sym_struct] = ACTIONS(13632),
    [anon_sym_function] = ACTIONS(13632),
    [anon_sym_macro] = ACTIONS(13632),
    [anon_sym_where] = ACTIONS(13632),
    [anon_sym_quote] = ACTIONS(13632),
    [anon_sym_let] = ACTIONS(13632),
    [anon_sym_if] = ACTIONS(13632),
    [anon_sym_try] = ACTIONS(13632),
    [anon_sym_catch] = ACTIONS(13632),
    [anon_sym_finally] = ACTIONS(13632),
    [anon_sym_for] = ACTIONS(13632),
    [anon_sym_while] = ACTIONS(13632),
    [sym_break_statement] = ACTIONS(13632),
    [sym_continue_statement] = ACTIONS(13632),
    [anon_sym_return] = ACTIONS(13632),
    [anon_sym_const] = ACTIONS(13632),
    [anon_sym_global] = ACTIONS(13632),
    [anon_sym_local] = ACTIONS(13632),
    [anon_sym_LPAREN] = ACTIONS(13632),
    [anon_sym_COLON2] = ACTIONS(13632),
    [anon_sym_export] = ACTIONS(13632),
    [anon_sym_import] = ACTIONS(13632),
    [anon_sym_using] = ACTIONS(13632),
    [anon_sym_LBRACK] = ACTIONS(13632),
    [anon_sym_LF] = ACTIONS(13634),
    [anon_sym_in] = ACTIONS(13632),
    [anon_sym_LBRACE] = ACTIONS(13632),
    [anon_sym_DOLLAR] = ACTIONS(13632),
    [anon_sym_COLON_COLON] = ACTIONS(13632),
    [anon_sym_isa] = ACTIONS(13632),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13632),
    [anon_sym_QMARK] = ACTIONS(13632),
    [anon_sym_AT] = ACTIONS(13632),
    [anon_sym_true] = ACTIONS(13632),
    [anon_sym_false] = ACTIONS(13632),
    [aux_sym_integer_literal_token1] = ACTIONS(13632),
    [aux_sym_integer_literal_token2] = ACTIONS(13632),
    [aux_sym_integer_literal_token3] = ACTIONS(13632),
    [aux_sym_integer_literal_token4] = ACTIONS(13632),
    [aux_sym_float_literal_token1] = ACTIONS(13632),
    [aux_sym_float_literal_token3] = ACTIONS(13632),
    [aux_sym_float_literal_token4] = ACTIONS(13632),
    [sym_character_literal] = ACTIONS(13632),
    [sym__pair_operator] = ACTIONS(13632),
    [sym__arrow_operator] = ACTIONS(13632),
    [sym__lazy_or_operator] = ACTIONS(13632),
    [sym__lazy_and_operator] = ACTIONS(13632),
    [sym__comparison_operator] = ACTIONS(13632),
    [sym__pipe_right_operator] = ACTIONS(13632),
    [sym__pipe_left_operator] = ACTIONS(13632),
    [sym__ellipsis_operator] = ACTIONS(13632),
    [sym__plus_operator] = ACTIONS(13632),
    [sym__times_operator] = ACTIONS(13632),
    [sym__rational_operator] = ACTIONS(13632),
    [sym__bitshift_operator] = ACTIONS(13632),
    [sym__power_operator] = ACTIONS(13632),
    [sym__tilde_operator] = ACTIONS(13632),
    [sym__type_order_operator] = ACTIONS(13632),
    [sym__unary_operator] = ACTIONS(13632),
    [sym__unary_plus_operator] = ACTIONS(13632),
    [aux_sym__terminator_token1] = ACTIONS(13632),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13634),
    [sym__command_start] = ACTIONS(13634),
  },
  [8366] = {
    [sym__word_identifier] = ACTIONS(13560),
    [anon_sym_EQ] = ACTIONS(13560),
    [anon_sym_COMMA] = ACTIONS(13560),
    [anon_sym_COLON] = ACTIONS(13560),
    [anon_sym_begin] = ACTIONS(13560),
    [anon_sym_module] = ACTIONS(13560),
    [anon_sym_baremodule] = ACTIONS(13560),
    [anon_sym_abstract] = ACTIONS(13560),
    [anon_sym_primitive] = ACTIONS(13560),
    [anon_sym_mutable] = ACTIONS(13560),
    [anon_sym_struct] = ACTIONS(13560),
    [anon_sym_function] = ACTIONS(13560),
    [anon_sym_macro] = ACTIONS(13560),
    [anon_sym_where] = ACTIONS(13560),
    [anon_sym_quote] = ACTIONS(13560),
    [anon_sym_let] = ACTIONS(13560),
    [anon_sym_if] = ACTIONS(13560),
    [anon_sym_try] = ACTIONS(13560),
    [anon_sym_catch] = ACTIONS(13560),
    [anon_sym_finally] = ACTIONS(13560),
    [anon_sym_for] = ACTIONS(13560),
    [anon_sym_while] = ACTIONS(13560),
    [sym_break_statement] = ACTIONS(13560),
    [sym_continue_statement] = ACTIONS(13560),
    [anon_sym_return] = ACTIONS(13560),
    [anon_sym_const] = ACTIONS(13560),
    [anon_sym_global] = ACTIONS(13560),
    [anon_sym_local] = ACTIONS(13560),
    [anon_sym_LPAREN] = ACTIONS(13560),
    [anon_sym_COLON2] = ACTIONS(13560),
    [anon_sym_export] = ACTIONS(13560),
    [anon_sym_import] = ACTIONS(13560),
    [anon_sym_using] = ACTIONS(13560),
    [anon_sym_LBRACK] = ACTIONS(13560),
    [anon_sym_LF] = ACTIONS(13562),
    [anon_sym_in] = ACTIONS(13560),
    [anon_sym_LBRACE] = ACTIONS(13560),
    [anon_sym_DOLLAR] = ACTIONS(13560),
    [anon_sym_COLON_COLON] = ACTIONS(13560),
    [anon_sym_isa] = ACTIONS(13560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13560),
    [anon_sym_QMARK] = ACTIONS(13560),
    [anon_sym_AT] = ACTIONS(13560),
    [anon_sym_true] = ACTIONS(13560),
    [anon_sym_false] = ACTIONS(13560),
    [aux_sym_integer_literal_token1] = ACTIONS(13560),
    [aux_sym_integer_literal_token2] = ACTIONS(13560),
    [aux_sym_integer_literal_token3] = ACTIONS(13560),
    [aux_sym_integer_literal_token4] = ACTIONS(13560),
    [aux_sym_float_literal_token1] = ACTIONS(13560),
    [aux_sym_float_literal_token3] = ACTIONS(13560),
    [aux_sym_float_literal_token4] = ACTIONS(13560),
    [sym_character_literal] = ACTIONS(13560),
    [sym__pair_operator] = ACTIONS(13560),
    [sym__arrow_operator] = ACTIONS(13560),
    [sym__lazy_or_operator] = ACTIONS(13560),
    [sym__lazy_and_operator] = ACTIONS(13560),
    [sym__comparison_operator] = ACTIONS(13560),
    [sym__pipe_right_operator] = ACTIONS(13560),
    [sym__pipe_left_operator] = ACTIONS(13560),
    [sym__ellipsis_operator] = ACTIONS(13560),
    [sym__plus_operator] = ACTIONS(13560),
    [sym__times_operator] = ACTIONS(13560),
    [sym__rational_operator] = ACTIONS(13560),
    [sym__bitshift_operator] = ACTIONS(13560),
    [sym__power_operator] = ACTIONS(13560),
    [sym__tilde_operator] = ACTIONS(13560),
    [sym__type_order_operator] = ACTIONS(13560),
    [sym__unary_operator] = ACTIONS(13560),
    [sym__unary_plus_operator] = ACTIONS(13560),
    [aux_sym__terminator_token1] = ACTIONS(13560),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13562),
    [sym__command_start] = ACTIONS(13562),
  },
  [8367] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_finally] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [8368] = {
    [sym__word_identifier] = ACTIONS(13400),
    [anon_sym_EQ] = ACTIONS(13400),
    [anon_sym_COMMA] = ACTIONS(13402),
    [anon_sym_COLON] = ACTIONS(13400),
    [anon_sym_begin] = ACTIONS(13400),
    [anon_sym_module] = ACTIONS(13400),
    [anon_sym_baremodule] = ACTIONS(13400),
    [anon_sym_abstract] = ACTIONS(13400),
    [anon_sym_primitive] = ACTIONS(13400),
    [anon_sym_mutable] = ACTIONS(13400),
    [anon_sym_struct] = ACTIONS(13400),
    [anon_sym_function] = ACTIONS(13400),
    [anon_sym_macro] = ACTIONS(13400),
    [anon_sym_where] = ACTIONS(13400),
    [anon_sym_quote] = ACTIONS(13400),
    [anon_sym_let] = ACTIONS(13400),
    [anon_sym_if] = ACTIONS(13400),
    [anon_sym_try] = ACTIONS(13400),
    [anon_sym_for] = ACTIONS(13400),
    [anon_sym_while] = ACTIONS(13400),
    [sym_break_statement] = ACTIONS(13400),
    [sym_continue_statement] = ACTIONS(13400),
    [anon_sym_return] = ACTIONS(13400),
    [anon_sym_const] = ACTIONS(13400),
    [anon_sym_global] = ACTIONS(13400),
    [anon_sym_local] = ACTIONS(13400),
    [anon_sym_LPAREN] = ACTIONS(13402),
    [anon_sym_RPAREN] = ACTIONS(13402),
    [anon_sym_COLON2] = ACTIONS(13400),
    [anon_sym_export] = ACTIONS(13400),
    [anon_sym_import] = ACTIONS(13400),
    [anon_sym_using] = ACTIONS(13400),
    [anon_sym_LBRACK] = ACTIONS(13402),
    [anon_sym_RBRACK] = ACTIONS(13402),
    [anon_sym_in] = ACTIONS(13400),
    [anon_sym_SEMI] = ACTIONS(13402),
    [anon_sym_LBRACE] = ACTIONS(13402),
    [anon_sym_RBRACE] = ACTIONS(13402),
    [anon_sym_DOLLAR] = ACTIONS(13402),
    [anon_sym_COLON_COLON] = ACTIONS(13402),
    [anon_sym_isa] = ACTIONS(13400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13402),
    [anon_sym_QMARK] = ACTIONS(13402),
    [anon_sym_AT] = ACTIONS(13402),
    [anon_sym_true] = ACTIONS(13400),
    [anon_sym_false] = ACTIONS(13400),
    [aux_sym_integer_literal_token1] = ACTIONS(13402),
    [aux_sym_integer_literal_token2] = ACTIONS(13402),
    [aux_sym_integer_literal_token3] = ACTIONS(13400),
    [aux_sym_integer_literal_token4] = ACTIONS(13400),
    [aux_sym_float_literal_token1] = ACTIONS(13402),
    [aux_sym_float_literal_token3] = ACTIONS(13402),
    [aux_sym_float_literal_token4] = ACTIONS(13402),
    [sym_character_literal] = ACTIONS(13402),
    [sym__pair_operator] = ACTIONS(13402),
    [sym__arrow_operator] = ACTIONS(13400),
    [sym__lazy_or_operator] = ACTIONS(13402),
    [sym__lazy_and_operator] = ACTIONS(13402),
    [sym__comparison_operator] = ACTIONS(13400),
    [sym__pipe_right_operator] = ACTIONS(13402),
    [sym__pipe_left_operator] = ACTIONS(13402),
    [sym__ellipsis_operator] = ACTIONS(13400),
    [sym__plus_operator] = ACTIONS(13400),
    [sym__times_operator] = ACTIONS(13400),
    [sym__rational_operator] = ACTIONS(13402),
    [sym__bitshift_operator] = ACTIONS(13402),
    [sym__power_operator] = ACTIONS(13402),
    [sym__tilde_operator] = ACTIONS(13402),
    [sym__type_order_operator] = ACTIONS(13402),
    [sym__unary_operator] = ACTIONS(13400),
    [sym__unary_plus_operator] = ACTIONS(13400),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13402),
    [sym__command_start] = ACTIONS(13402),
  },
  [8369] = {
    [sym__word_identifier] = ACTIONS(14168),
    [anon_sym_EQ] = ACTIONS(14168),
    [anon_sym_COMMA] = ACTIONS(14168),
    [anon_sym_COLON] = ACTIONS(14168),
    [anon_sym_begin] = ACTIONS(14168),
    [anon_sym_module] = ACTIONS(14168),
    [anon_sym_baremodule] = ACTIONS(14168),
    [anon_sym_end] = ACTIONS(14168),
    [anon_sym_abstract] = ACTIONS(14168),
    [anon_sym_primitive] = ACTIONS(14168),
    [anon_sym_mutable] = ACTIONS(14168),
    [anon_sym_struct] = ACTIONS(14168),
    [anon_sym_function] = ACTIONS(14168),
    [anon_sym_macro] = ACTIONS(14168),
    [anon_sym_where] = ACTIONS(14168),
    [anon_sym_quote] = ACTIONS(14168),
    [anon_sym_let] = ACTIONS(14168),
    [anon_sym_if] = ACTIONS(14168),
    [anon_sym_try] = ACTIONS(14168),
    [anon_sym_finally] = ACTIONS(14168),
    [anon_sym_for] = ACTIONS(14168),
    [anon_sym_while] = ACTIONS(14168),
    [sym_break_statement] = ACTIONS(14168),
    [sym_continue_statement] = ACTIONS(14168),
    [anon_sym_return] = ACTIONS(14168),
    [anon_sym_const] = ACTIONS(14168),
    [anon_sym_global] = ACTIONS(14168),
    [anon_sym_local] = ACTIONS(14168),
    [anon_sym_LPAREN] = ACTIONS(14168),
    [anon_sym_COLON2] = ACTIONS(14168),
    [anon_sym_export] = ACTIONS(14168),
    [anon_sym_import] = ACTIONS(14168),
    [anon_sym_using] = ACTIONS(14168),
    [anon_sym_LBRACK] = ACTIONS(14168),
    [anon_sym_LF] = ACTIONS(14166),
    [anon_sym_in] = ACTIONS(14168),
    [anon_sym_LBRACE] = ACTIONS(14168),
    [anon_sym_DOLLAR] = ACTIONS(14168),
    [anon_sym_COLON_COLON] = ACTIONS(14168),
    [anon_sym_isa] = ACTIONS(14168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14168),
    [anon_sym_QMARK] = ACTIONS(14168),
    [anon_sym_AT] = ACTIONS(14168),
    [anon_sym_true] = ACTIONS(14168),
    [anon_sym_false] = ACTIONS(14168),
    [aux_sym_integer_literal_token1] = ACTIONS(14168),
    [aux_sym_integer_literal_token2] = ACTIONS(14168),
    [aux_sym_integer_literal_token3] = ACTIONS(14168),
    [aux_sym_integer_literal_token4] = ACTIONS(14168),
    [aux_sym_float_literal_token1] = ACTIONS(14168),
    [aux_sym_float_literal_token3] = ACTIONS(14168),
    [aux_sym_float_literal_token4] = ACTIONS(14168),
    [sym_character_literal] = ACTIONS(14168),
    [sym__pair_operator] = ACTIONS(14168),
    [sym__arrow_operator] = ACTIONS(14168),
    [sym__lazy_or_operator] = ACTIONS(14168),
    [sym__lazy_and_operator] = ACTIONS(14168),
    [sym__comparison_operator] = ACTIONS(14168),
    [sym__pipe_right_operator] = ACTIONS(14168),
    [sym__pipe_left_operator] = ACTIONS(14168),
    [sym__ellipsis_operator] = ACTIONS(14168),
    [sym__plus_operator] = ACTIONS(14168),
    [sym__times_operator] = ACTIONS(14168),
    [sym__rational_operator] = ACTIONS(14168),
    [sym__bitshift_operator] = ACTIONS(14168),
    [sym__power_operator] = ACTIONS(14168),
    [sym__tilde_operator] = ACTIONS(14168),
    [sym__type_order_operator] = ACTIONS(14168),
    [sym__unary_operator] = ACTIONS(14168),
    [sym__unary_plus_operator] = ACTIONS(14168),
    [aux_sym__terminator_token1] = ACTIONS(14168),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14166),
    [sym__command_start] = ACTIONS(14166),
  },
  [8370] = {
    [sym__word_identifier] = ACTIONS(14170),
    [anon_sym_EQ] = ACTIONS(14170),
    [anon_sym_COMMA] = ACTIONS(14170),
    [anon_sym_COLON] = ACTIONS(14170),
    [anon_sym_begin] = ACTIONS(14170),
    [anon_sym_module] = ACTIONS(14170),
    [anon_sym_baremodule] = ACTIONS(14170),
    [anon_sym_end] = ACTIONS(14170),
    [anon_sym_abstract] = ACTIONS(14170),
    [anon_sym_primitive] = ACTIONS(14170),
    [anon_sym_mutable] = ACTIONS(14170),
    [anon_sym_struct] = ACTIONS(14170),
    [anon_sym_function] = ACTIONS(14170),
    [anon_sym_macro] = ACTIONS(14170),
    [anon_sym_where] = ACTIONS(14170),
    [anon_sym_quote] = ACTIONS(14170),
    [anon_sym_let] = ACTIONS(14170),
    [anon_sym_if] = ACTIONS(14170),
    [anon_sym_try] = ACTIONS(14170),
    [anon_sym_finally] = ACTIONS(14170),
    [anon_sym_for] = ACTIONS(14170),
    [anon_sym_while] = ACTIONS(14170),
    [sym_break_statement] = ACTIONS(14170),
    [sym_continue_statement] = ACTIONS(14170),
    [anon_sym_return] = ACTIONS(14170),
    [anon_sym_const] = ACTIONS(14170),
    [anon_sym_global] = ACTIONS(14170),
    [anon_sym_local] = ACTIONS(14170),
    [anon_sym_LPAREN] = ACTIONS(14170),
    [anon_sym_COLON2] = ACTIONS(14170),
    [anon_sym_export] = ACTIONS(14170),
    [anon_sym_import] = ACTIONS(14170),
    [anon_sym_using] = ACTIONS(14170),
    [anon_sym_LBRACK] = ACTIONS(14170),
    [anon_sym_LF] = ACTIONS(14172),
    [anon_sym_in] = ACTIONS(14170),
    [anon_sym_LBRACE] = ACTIONS(14170),
    [anon_sym_DOLLAR] = ACTIONS(14170),
    [anon_sym_COLON_COLON] = ACTIONS(14170),
    [anon_sym_isa] = ACTIONS(14170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14170),
    [anon_sym_QMARK] = ACTIONS(14170),
    [anon_sym_AT] = ACTIONS(14170),
    [anon_sym_true] = ACTIONS(14170),
    [anon_sym_false] = ACTIONS(14170),
    [aux_sym_integer_literal_token1] = ACTIONS(14170),
    [aux_sym_integer_literal_token2] = ACTIONS(14170),
    [aux_sym_integer_literal_token3] = ACTIONS(14170),
    [aux_sym_integer_literal_token4] = ACTIONS(14170),
    [aux_sym_float_literal_token1] = ACTIONS(14170),
    [aux_sym_float_literal_token3] = ACTIONS(14170),
    [aux_sym_float_literal_token4] = ACTIONS(14170),
    [sym_character_literal] = ACTIONS(14170),
    [sym__pair_operator] = ACTIONS(14170),
    [sym__arrow_operator] = ACTIONS(14170),
    [sym__lazy_or_operator] = ACTIONS(14170),
    [sym__lazy_and_operator] = ACTIONS(14170),
    [sym__comparison_operator] = ACTIONS(14170),
    [sym__pipe_right_operator] = ACTIONS(14170),
    [sym__pipe_left_operator] = ACTIONS(14170),
    [sym__ellipsis_operator] = ACTIONS(14170),
    [sym__plus_operator] = ACTIONS(14170),
    [sym__times_operator] = ACTIONS(14170),
    [sym__rational_operator] = ACTIONS(14170),
    [sym__bitshift_operator] = ACTIONS(14170),
    [sym__power_operator] = ACTIONS(14170),
    [sym__tilde_operator] = ACTIONS(14170),
    [sym__type_order_operator] = ACTIONS(14170),
    [sym__unary_operator] = ACTIONS(14170),
    [sym__unary_plus_operator] = ACTIONS(14170),
    [aux_sym__terminator_token1] = ACTIONS(14170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14172),
    [sym__command_start] = ACTIONS(14172),
  },
  [8371] = {
    [sym__word_identifier] = ACTIONS(14131),
    [anon_sym_EQ] = ACTIONS(14131),
    [anon_sym_COMMA] = ACTIONS(14131),
    [anon_sym_COLON] = ACTIONS(14131),
    [anon_sym_begin] = ACTIONS(14131),
    [anon_sym_module] = ACTIONS(14131),
    [anon_sym_baremodule] = ACTIONS(14131),
    [anon_sym_end] = ACTIONS(14131),
    [anon_sym_abstract] = ACTIONS(14131),
    [anon_sym_primitive] = ACTIONS(14131),
    [anon_sym_mutable] = ACTIONS(14131),
    [anon_sym_struct] = ACTIONS(14131),
    [anon_sym_function] = ACTIONS(14131),
    [anon_sym_macro] = ACTIONS(14131),
    [anon_sym_where] = ACTIONS(14131),
    [anon_sym_quote] = ACTIONS(14131),
    [anon_sym_let] = ACTIONS(14131),
    [anon_sym_if] = ACTIONS(14131),
    [anon_sym_try] = ACTIONS(14131),
    [anon_sym_catch] = ACTIONS(14131),
    [anon_sym_for] = ACTIONS(14131),
    [anon_sym_while] = ACTIONS(14131),
    [sym_break_statement] = ACTIONS(14131),
    [sym_continue_statement] = ACTIONS(14131),
    [anon_sym_return] = ACTIONS(14131),
    [anon_sym_const] = ACTIONS(14131),
    [anon_sym_global] = ACTIONS(14131),
    [anon_sym_local] = ACTIONS(14131),
    [anon_sym_LPAREN] = ACTIONS(14131),
    [anon_sym_COLON2] = ACTIONS(14131),
    [anon_sym_export] = ACTIONS(14131),
    [anon_sym_import] = ACTIONS(14131),
    [anon_sym_using] = ACTIONS(14131),
    [anon_sym_LBRACK] = ACTIONS(14131),
    [anon_sym_LF] = ACTIONS(14129),
    [anon_sym_in] = ACTIONS(14131),
    [anon_sym_LBRACE] = ACTIONS(14131),
    [anon_sym_DOLLAR] = ACTIONS(14131),
    [anon_sym_COLON_COLON] = ACTIONS(14131),
    [anon_sym_isa] = ACTIONS(14131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14131),
    [anon_sym_QMARK] = ACTIONS(14131),
    [anon_sym_AT] = ACTIONS(14131),
    [anon_sym_true] = ACTIONS(14131),
    [anon_sym_false] = ACTIONS(14131),
    [aux_sym_integer_literal_token1] = ACTIONS(14131),
    [aux_sym_integer_literal_token2] = ACTIONS(14131),
    [aux_sym_integer_literal_token3] = ACTIONS(14131),
    [aux_sym_integer_literal_token4] = ACTIONS(14131),
    [aux_sym_float_literal_token1] = ACTIONS(14131),
    [aux_sym_float_literal_token3] = ACTIONS(14131),
    [aux_sym_float_literal_token4] = ACTIONS(14131),
    [sym_character_literal] = ACTIONS(14131),
    [sym__pair_operator] = ACTIONS(14131),
    [sym__arrow_operator] = ACTIONS(14131),
    [sym__lazy_or_operator] = ACTIONS(14131),
    [sym__lazy_and_operator] = ACTIONS(14131),
    [sym__comparison_operator] = ACTIONS(14131),
    [sym__pipe_right_operator] = ACTIONS(14131),
    [sym__pipe_left_operator] = ACTIONS(14131),
    [sym__ellipsis_operator] = ACTIONS(14131),
    [sym__plus_operator] = ACTIONS(14131),
    [sym__times_operator] = ACTIONS(14131),
    [sym__rational_operator] = ACTIONS(14131),
    [sym__bitshift_operator] = ACTIONS(14131),
    [sym__power_operator] = ACTIONS(14131),
    [sym__tilde_operator] = ACTIONS(14131),
    [sym__type_order_operator] = ACTIONS(14131),
    [sym__unary_operator] = ACTIONS(14131),
    [sym__unary_plus_operator] = ACTIONS(14131),
    [aux_sym__terminator_token1] = ACTIONS(14131),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14129),
    [sym__command_start] = ACTIONS(14129),
  },
  [8372] = {
    [sym__word_identifier] = ACTIONS(13282),
    [anon_sym_EQ] = ACTIONS(13282),
    [anon_sym_COMMA] = ACTIONS(13282),
    [anon_sym_COLON] = ACTIONS(13282),
    [anon_sym_begin] = ACTIONS(13282),
    [anon_sym_module] = ACTIONS(13282),
    [anon_sym_baremodule] = ACTIONS(13282),
    [anon_sym_abstract] = ACTIONS(13282),
    [anon_sym_primitive] = ACTIONS(13282),
    [anon_sym_mutable] = ACTIONS(13282),
    [anon_sym_struct] = ACTIONS(13282),
    [anon_sym_function] = ACTIONS(13282),
    [anon_sym_macro] = ACTIONS(13282),
    [anon_sym_where] = ACTIONS(13282),
    [anon_sym_quote] = ACTIONS(13282),
    [anon_sym_let] = ACTIONS(13282),
    [anon_sym_if] = ACTIONS(13282),
    [anon_sym_try] = ACTIONS(13282),
    [anon_sym_catch] = ACTIONS(13282),
    [anon_sym_finally] = ACTIONS(13282),
    [anon_sym_for] = ACTIONS(13282),
    [anon_sym_while] = ACTIONS(13282),
    [sym_break_statement] = ACTIONS(13282),
    [sym_continue_statement] = ACTIONS(13282),
    [anon_sym_return] = ACTIONS(13282),
    [anon_sym_const] = ACTIONS(13282),
    [anon_sym_global] = ACTIONS(13282),
    [anon_sym_local] = ACTIONS(13282),
    [anon_sym_LPAREN] = ACTIONS(13282),
    [anon_sym_COLON2] = ACTIONS(13282),
    [anon_sym_export] = ACTIONS(13282),
    [anon_sym_import] = ACTIONS(13282),
    [anon_sym_using] = ACTIONS(13282),
    [anon_sym_LBRACK] = ACTIONS(13282),
    [anon_sym_LF] = ACTIONS(13284),
    [anon_sym_in] = ACTIONS(13282),
    [anon_sym_LBRACE] = ACTIONS(13282),
    [anon_sym_DOLLAR] = ACTIONS(13282),
    [anon_sym_COLON_COLON] = ACTIONS(13282),
    [anon_sym_isa] = ACTIONS(13282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13282),
    [anon_sym_QMARK] = ACTIONS(13282),
    [anon_sym_AT] = ACTIONS(13282),
    [anon_sym_true] = ACTIONS(13282),
    [anon_sym_false] = ACTIONS(13282),
    [aux_sym_integer_literal_token1] = ACTIONS(13282),
    [aux_sym_integer_literal_token2] = ACTIONS(13282),
    [aux_sym_integer_literal_token3] = ACTIONS(13282),
    [aux_sym_integer_literal_token4] = ACTIONS(13282),
    [aux_sym_float_literal_token1] = ACTIONS(13282),
    [aux_sym_float_literal_token3] = ACTIONS(13282),
    [aux_sym_float_literal_token4] = ACTIONS(13282),
    [sym_character_literal] = ACTIONS(13282),
    [sym__pair_operator] = ACTIONS(13282),
    [sym__arrow_operator] = ACTIONS(13282),
    [sym__lazy_or_operator] = ACTIONS(13282),
    [sym__lazy_and_operator] = ACTIONS(13282),
    [sym__comparison_operator] = ACTIONS(13282),
    [sym__pipe_right_operator] = ACTIONS(13282),
    [sym__pipe_left_operator] = ACTIONS(13282),
    [sym__ellipsis_operator] = ACTIONS(13282),
    [sym__plus_operator] = ACTIONS(13282),
    [sym__times_operator] = ACTIONS(13282),
    [sym__rational_operator] = ACTIONS(13282),
    [sym__bitshift_operator] = ACTIONS(13282),
    [sym__power_operator] = ACTIONS(13282),
    [sym__tilde_operator] = ACTIONS(13282),
    [sym__type_order_operator] = ACTIONS(13282),
    [sym__unary_operator] = ACTIONS(13282),
    [sym__unary_plus_operator] = ACTIONS(13282),
    [aux_sym__terminator_token1] = ACTIONS(13282),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13284),
    [sym__command_start] = ACTIONS(13284),
  },
  [8373] = {
    [sym__word_identifier] = ACTIONS(13560),
    [anon_sym_EQ] = ACTIONS(13560),
    [anon_sym_COMMA] = ACTIONS(13562),
    [anon_sym_COLON] = ACTIONS(13560),
    [anon_sym_begin] = ACTIONS(13560),
    [anon_sym_module] = ACTIONS(13560),
    [anon_sym_baremodule] = ACTIONS(13560),
    [anon_sym_abstract] = ACTIONS(13560),
    [anon_sym_primitive] = ACTIONS(13560),
    [anon_sym_mutable] = ACTIONS(13560),
    [anon_sym_struct] = ACTIONS(13560),
    [anon_sym_function] = ACTIONS(13560),
    [anon_sym_macro] = ACTIONS(13560),
    [anon_sym_where] = ACTIONS(13560),
    [anon_sym_quote] = ACTIONS(13560),
    [anon_sym_let] = ACTIONS(13560),
    [anon_sym_if] = ACTIONS(13560),
    [anon_sym_try] = ACTIONS(13560),
    [anon_sym_for] = ACTIONS(13560),
    [anon_sym_while] = ACTIONS(13560),
    [sym_break_statement] = ACTIONS(13560),
    [sym_continue_statement] = ACTIONS(13560),
    [anon_sym_return] = ACTIONS(13560),
    [anon_sym_const] = ACTIONS(13560),
    [anon_sym_global] = ACTIONS(13560),
    [anon_sym_local] = ACTIONS(13560),
    [anon_sym_LPAREN] = ACTIONS(13562),
    [anon_sym_RPAREN] = ACTIONS(13562),
    [anon_sym_COLON2] = ACTIONS(13560),
    [anon_sym_export] = ACTIONS(13560),
    [anon_sym_import] = ACTIONS(13560),
    [anon_sym_using] = ACTIONS(13560),
    [anon_sym_LBRACK] = ACTIONS(13562),
    [anon_sym_RBRACK] = ACTIONS(13562),
    [anon_sym_in] = ACTIONS(13560),
    [anon_sym_SEMI] = ACTIONS(13562),
    [anon_sym_LBRACE] = ACTIONS(13562),
    [anon_sym_RBRACE] = ACTIONS(13562),
    [anon_sym_DOLLAR] = ACTIONS(13562),
    [anon_sym_COLON_COLON] = ACTIONS(13562),
    [anon_sym_isa] = ACTIONS(13560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13562),
    [anon_sym_QMARK] = ACTIONS(13562),
    [anon_sym_AT] = ACTIONS(13562),
    [anon_sym_true] = ACTIONS(13560),
    [anon_sym_false] = ACTIONS(13560),
    [aux_sym_integer_literal_token1] = ACTIONS(13562),
    [aux_sym_integer_literal_token2] = ACTIONS(13562),
    [aux_sym_integer_literal_token3] = ACTIONS(13560),
    [aux_sym_integer_literal_token4] = ACTIONS(13560),
    [aux_sym_float_literal_token1] = ACTIONS(13562),
    [aux_sym_float_literal_token3] = ACTIONS(13562),
    [aux_sym_float_literal_token4] = ACTIONS(13562),
    [sym_character_literal] = ACTIONS(13562),
    [sym__pair_operator] = ACTIONS(13562),
    [sym__arrow_operator] = ACTIONS(13560),
    [sym__lazy_or_operator] = ACTIONS(13562),
    [sym__lazy_and_operator] = ACTIONS(13562),
    [sym__comparison_operator] = ACTIONS(13560),
    [sym__pipe_right_operator] = ACTIONS(13562),
    [sym__pipe_left_operator] = ACTIONS(13562),
    [sym__ellipsis_operator] = ACTIONS(13560),
    [sym__plus_operator] = ACTIONS(13560),
    [sym__times_operator] = ACTIONS(13560),
    [sym__rational_operator] = ACTIONS(13562),
    [sym__bitshift_operator] = ACTIONS(13562),
    [sym__power_operator] = ACTIONS(13562),
    [sym__tilde_operator] = ACTIONS(13562),
    [sym__type_order_operator] = ACTIONS(13562),
    [sym__unary_operator] = ACTIONS(13560),
    [sym__unary_plus_operator] = ACTIONS(13560),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13562),
    [sym__command_start] = ACTIONS(13562),
  },
  [8374] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12074),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8375] = {
    [ts_builtin_sym_end] = ACTIONS(13394),
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_RPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_RBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8376] = {
    [sym__word_identifier] = ACTIONS(13400),
    [anon_sym_EQ] = ACTIONS(13400),
    [anon_sym_COMMA] = ACTIONS(13400),
    [anon_sym_COLON] = ACTIONS(13400),
    [anon_sym_begin] = ACTIONS(13400),
    [anon_sym_module] = ACTIONS(13400),
    [anon_sym_baremodule] = ACTIONS(13400),
    [anon_sym_abstract] = ACTIONS(13400),
    [anon_sym_primitive] = ACTIONS(13400),
    [anon_sym_mutable] = ACTIONS(13400),
    [anon_sym_struct] = ACTIONS(13400),
    [anon_sym_function] = ACTIONS(13400),
    [anon_sym_macro] = ACTIONS(13400),
    [anon_sym_where] = ACTIONS(13400),
    [anon_sym_quote] = ACTIONS(13400),
    [anon_sym_let] = ACTIONS(13400),
    [anon_sym_if] = ACTIONS(13400),
    [anon_sym_try] = ACTIONS(13400),
    [anon_sym_catch] = ACTIONS(13400),
    [anon_sym_finally] = ACTIONS(13400),
    [anon_sym_for] = ACTIONS(13400),
    [anon_sym_while] = ACTIONS(13400),
    [sym_break_statement] = ACTIONS(13400),
    [sym_continue_statement] = ACTIONS(13400),
    [anon_sym_return] = ACTIONS(13400),
    [anon_sym_const] = ACTIONS(13400),
    [anon_sym_global] = ACTIONS(13400),
    [anon_sym_local] = ACTIONS(13400),
    [anon_sym_LPAREN] = ACTIONS(13400),
    [anon_sym_COLON2] = ACTIONS(13400),
    [anon_sym_export] = ACTIONS(13400),
    [anon_sym_import] = ACTIONS(13400),
    [anon_sym_using] = ACTIONS(13400),
    [anon_sym_LBRACK] = ACTIONS(13400),
    [anon_sym_LF] = ACTIONS(13402),
    [anon_sym_in] = ACTIONS(13400),
    [anon_sym_LBRACE] = ACTIONS(13400),
    [anon_sym_DOLLAR] = ACTIONS(13400),
    [anon_sym_COLON_COLON] = ACTIONS(13400),
    [anon_sym_isa] = ACTIONS(13400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13400),
    [anon_sym_QMARK] = ACTIONS(13400),
    [anon_sym_AT] = ACTIONS(13400),
    [anon_sym_true] = ACTIONS(13400),
    [anon_sym_false] = ACTIONS(13400),
    [aux_sym_integer_literal_token1] = ACTIONS(13400),
    [aux_sym_integer_literal_token2] = ACTIONS(13400),
    [aux_sym_integer_literal_token3] = ACTIONS(13400),
    [aux_sym_integer_literal_token4] = ACTIONS(13400),
    [aux_sym_float_literal_token1] = ACTIONS(13400),
    [aux_sym_float_literal_token3] = ACTIONS(13400),
    [aux_sym_float_literal_token4] = ACTIONS(13400),
    [sym_character_literal] = ACTIONS(13400),
    [sym__pair_operator] = ACTIONS(13400),
    [sym__arrow_operator] = ACTIONS(13400),
    [sym__lazy_or_operator] = ACTIONS(13400),
    [sym__lazy_and_operator] = ACTIONS(13400),
    [sym__comparison_operator] = ACTIONS(13400),
    [sym__pipe_right_operator] = ACTIONS(13400),
    [sym__pipe_left_operator] = ACTIONS(13400),
    [sym__ellipsis_operator] = ACTIONS(13400),
    [sym__plus_operator] = ACTIONS(13400),
    [sym__times_operator] = ACTIONS(13400),
    [sym__rational_operator] = ACTIONS(13400),
    [sym__bitshift_operator] = ACTIONS(13400),
    [sym__power_operator] = ACTIONS(13400),
    [sym__tilde_operator] = ACTIONS(13400),
    [sym__type_order_operator] = ACTIONS(13400),
    [sym__unary_operator] = ACTIONS(13400),
    [sym__unary_plus_operator] = ACTIONS(13400),
    [aux_sym__terminator_token1] = ACTIONS(13400),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13402),
    [sym__command_start] = ACTIONS(13402),
  },
  [8377] = {
    [sym__word_identifier] = ACTIONS(13953),
    [anon_sym_EQ] = ACTIONS(13953),
    [anon_sym_COMMA] = ACTIONS(13953),
    [anon_sym_COLON] = ACTIONS(13953),
    [anon_sym_begin] = ACTIONS(13953),
    [anon_sym_module] = ACTIONS(13953),
    [anon_sym_baremodule] = ACTIONS(13953),
    [anon_sym_end] = ACTIONS(13953),
    [anon_sym_abstract] = ACTIONS(13953),
    [anon_sym_primitive] = ACTIONS(13953),
    [anon_sym_mutable] = ACTIONS(13953),
    [anon_sym_struct] = ACTIONS(13953),
    [anon_sym_function] = ACTIONS(13953),
    [anon_sym_macro] = ACTIONS(13953),
    [anon_sym_where] = ACTIONS(13953),
    [anon_sym_quote] = ACTIONS(13953),
    [anon_sym_let] = ACTIONS(13953),
    [anon_sym_if] = ACTIONS(13953),
    [anon_sym_try] = ACTIONS(13953),
    [anon_sym_finally] = ACTIONS(13953),
    [anon_sym_for] = ACTIONS(13953),
    [anon_sym_while] = ACTIONS(13953),
    [sym_break_statement] = ACTIONS(13953),
    [sym_continue_statement] = ACTIONS(13953),
    [anon_sym_return] = ACTIONS(13953),
    [anon_sym_const] = ACTIONS(13953),
    [anon_sym_global] = ACTIONS(13953),
    [anon_sym_local] = ACTIONS(13953),
    [anon_sym_LPAREN] = ACTIONS(13953),
    [anon_sym_COLON2] = ACTIONS(13953),
    [anon_sym_export] = ACTIONS(13953),
    [anon_sym_import] = ACTIONS(13953),
    [anon_sym_using] = ACTIONS(13953),
    [anon_sym_LBRACK] = ACTIONS(13953),
    [anon_sym_LF] = ACTIONS(13955),
    [anon_sym_in] = ACTIONS(13953),
    [anon_sym_LBRACE] = ACTIONS(13953),
    [anon_sym_DOLLAR] = ACTIONS(13953),
    [anon_sym_COLON_COLON] = ACTIONS(13953),
    [anon_sym_isa] = ACTIONS(13953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13953),
    [anon_sym_QMARK] = ACTIONS(13953),
    [anon_sym_AT] = ACTIONS(13953),
    [anon_sym_true] = ACTIONS(13953),
    [anon_sym_false] = ACTIONS(13953),
    [aux_sym_integer_literal_token1] = ACTIONS(13953),
    [aux_sym_integer_literal_token2] = ACTIONS(13953),
    [aux_sym_integer_literal_token3] = ACTIONS(13953),
    [aux_sym_integer_literal_token4] = ACTIONS(13953),
    [aux_sym_float_literal_token1] = ACTIONS(13953),
    [aux_sym_float_literal_token3] = ACTIONS(13953),
    [aux_sym_float_literal_token4] = ACTIONS(13953),
    [sym_character_literal] = ACTIONS(13953),
    [sym__pair_operator] = ACTIONS(13953),
    [sym__arrow_operator] = ACTIONS(13953),
    [sym__lazy_or_operator] = ACTIONS(13953),
    [sym__lazy_and_operator] = ACTIONS(13953),
    [sym__comparison_operator] = ACTIONS(13953),
    [sym__pipe_right_operator] = ACTIONS(13953),
    [sym__pipe_left_operator] = ACTIONS(13953),
    [sym__ellipsis_operator] = ACTIONS(13953),
    [sym__plus_operator] = ACTIONS(13953),
    [sym__times_operator] = ACTIONS(13953),
    [sym__rational_operator] = ACTIONS(13953),
    [sym__bitshift_operator] = ACTIONS(13953),
    [sym__power_operator] = ACTIONS(13953),
    [sym__tilde_operator] = ACTIONS(13953),
    [sym__type_order_operator] = ACTIONS(13953),
    [sym__unary_operator] = ACTIONS(13953),
    [sym__unary_plus_operator] = ACTIONS(13953),
    [aux_sym__terminator_token1] = ACTIONS(13953),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13955),
    [sym__command_start] = ACTIONS(13955),
  },
  [8378] = {
    [sym__word_identifier] = ACTIONS(13632),
    [anon_sym_EQ] = ACTIONS(13632),
    [anon_sym_COMMA] = ACTIONS(13634),
    [anon_sym_COLON] = ACTIONS(13632),
    [anon_sym_begin] = ACTIONS(13632),
    [anon_sym_module] = ACTIONS(13632),
    [anon_sym_baremodule] = ACTIONS(13632),
    [anon_sym_abstract] = ACTIONS(13632),
    [anon_sym_primitive] = ACTIONS(13632),
    [anon_sym_mutable] = ACTIONS(13632),
    [anon_sym_struct] = ACTIONS(13632),
    [anon_sym_function] = ACTIONS(13632),
    [anon_sym_macro] = ACTIONS(13632),
    [anon_sym_where] = ACTIONS(13632),
    [anon_sym_quote] = ACTIONS(13632),
    [anon_sym_let] = ACTIONS(13632),
    [anon_sym_if] = ACTIONS(13632),
    [anon_sym_try] = ACTIONS(13632),
    [anon_sym_for] = ACTIONS(13632),
    [anon_sym_while] = ACTIONS(13632),
    [sym_break_statement] = ACTIONS(13632),
    [sym_continue_statement] = ACTIONS(13632),
    [anon_sym_return] = ACTIONS(13632),
    [anon_sym_const] = ACTIONS(13632),
    [anon_sym_global] = ACTIONS(13632),
    [anon_sym_local] = ACTIONS(13632),
    [anon_sym_LPAREN] = ACTIONS(13634),
    [anon_sym_RPAREN] = ACTIONS(13634),
    [anon_sym_COLON2] = ACTIONS(13632),
    [anon_sym_export] = ACTIONS(13632),
    [anon_sym_import] = ACTIONS(13632),
    [anon_sym_using] = ACTIONS(13632),
    [anon_sym_LBRACK] = ACTIONS(13634),
    [anon_sym_RBRACK] = ACTIONS(13634),
    [anon_sym_in] = ACTIONS(13632),
    [anon_sym_SEMI] = ACTIONS(13634),
    [anon_sym_LBRACE] = ACTIONS(13634),
    [anon_sym_RBRACE] = ACTIONS(13634),
    [anon_sym_DOLLAR] = ACTIONS(13634),
    [anon_sym_COLON_COLON] = ACTIONS(13634),
    [anon_sym_isa] = ACTIONS(13632),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13634),
    [anon_sym_QMARK] = ACTIONS(13634),
    [anon_sym_AT] = ACTIONS(13634),
    [anon_sym_true] = ACTIONS(13632),
    [anon_sym_false] = ACTIONS(13632),
    [aux_sym_integer_literal_token1] = ACTIONS(13634),
    [aux_sym_integer_literal_token2] = ACTIONS(13634),
    [aux_sym_integer_literal_token3] = ACTIONS(13632),
    [aux_sym_integer_literal_token4] = ACTIONS(13632),
    [aux_sym_float_literal_token1] = ACTIONS(13634),
    [aux_sym_float_literal_token3] = ACTIONS(13634),
    [aux_sym_float_literal_token4] = ACTIONS(13634),
    [sym_character_literal] = ACTIONS(13634),
    [sym__pair_operator] = ACTIONS(13634),
    [sym__arrow_operator] = ACTIONS(13632),
    [sym__lazy_or_operator] = ACTIONS(13634),
    [sym__lazy_and_operator] = ACTIONS(13634),
    [sym__comparison_operator] = ACTIONS(13632),
    [sym__pipe_right_operator] = ACTIONS(13634),
    [sym__pipe_left_operator] = ACTIONS(13634),
    [sym__ellipsis_operator] = ACTIONS(13632),
    [sym__plus_operator] = ACTIONS(13632),
    [sym__times_operator] = ACTIONS(13632),
    [sym__rational_operator] = ACTIONS(13634),
    [sym__bitshift_operator] = ACTIONS(13634),
    [sym__power_operator] = ACTIONS(13634),
    [sym__tilde_operator] = ACTIONS(13634),
    [sym__type_order_operator] = ACTIONS(13634),
    [sym__unary_operator] = ACTIONS(13632),
    [sym__unary_plus_operator] = ACTIONS(13632),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13634),
    [sym__command_start] = ACTIONS(13634),
  },
  [8379] = {
    [sym__word_identifier] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13943),
    [anon_sym_COLON] = ACTIONS(13943),
    [anon_sym_begin] = ACTIONS(13943),
    [anon_sym_module] = ACTIONS(13943),
    [anon_sym_baremodule] = ACTIONS(13943),
    [anon_sym_end] = ACTIONS(13943),
    [anon_sym_abstract] = ACTIONS(13943),
    [anon_sym_primitive] = ACTIONS(13943),
    [anon_sym_mutable] = ACTIONS(13943),
    [anon_sym_struct] = ACTIONS(13943),
    [anon_sym_function] = ACTIONS(13943),
    [anon_sym_macro] = ACTIONS(13943),
    [anon_sym_where] = ACTIONS(13943),
    [anon_sym_quote] = ACTIONS(13943),
    [anon_sym_let] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13943),
    [anon_sym_try] = ACTIONS(13943),
    [anon_sym_finally] = ACTIONS(13943),
    [anon_sym_for] = ACTIONS(13943),
    [anon_sym_while] = ACTIONS(13943),
    [sym_break_statement] = ACTIONS(13943),
    [sym_continue_statement] = ACTIONS(13943),
    [anon_sym_return] = ACTIONS(13943),
    [anon_sym_const] = ACTIONS(13943),
    [anon_sym_global] = ACTIONS(13943),
    [anon_sym_local] = ACTIONS(13943),
    [anon_sym_LPAREN] = ACTIONS(13943),
    [anon_sym_COLON2] = ACTIONS(13943),
    [anon_sym_export] = ACTIONS(13943),
    [anon_sym_import] = ACTIONS(13943),
    [anon_sym_using] = ACTIONS(13943),
    [anon_sym_LBRACK] = ACTIONS(13943),
    [anon_sym_LF] = ACTIONS(13945),
    [anon_sym_in] = ACTIONS(13943),
    [anon_sym_LBRACE] = ACTIONS(13943),
    [anon_sym_DOLLAR] = ACTIONS(13943),
    [anon_sym_COLON_COLON] = ACTIONS(13943),
    [anon_sym_isa] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13943),
    [anon_sym_QMARK] = ACTIONS(13943),
    [anon_sym_AT] = ACTIONS(13943),
    [anon_sym_true] = ACTIONS(13943),
    [anon_sym_false] = ACTIONS(13943),
    [aux_sym_integer_literal_token1] = ACTIONS(13943),
    [aux_sym_integer_literal_token2] = ACTIONS(13943),
    [aux_sym_integer_literal_token3] = ACTIONS(13943),
    [aux_sym_integer_literal_token4] = ACTIONS(13943),
    [aux_sym_float_literal_token1] = ACTIONS(13943),
    [aux_sym_float_literal_token3] = ACTIONS(13943),
    [aux_sym_float_literal_token4] = ACTIONS(13943),
    [sym_character_literal] = ACTIONS(13943),
    [sym__pair_operator] = ACTIONS(13943),
    [sym__arrow_operator] = ACTIONS(13943),
    [sym__lazy_or_operator] = ACTIONS(13943),
    [sym__lazy_and_operator] = ACTIONS(13943),
    [sym__comparison_operator] = ACTIONS(13943),
    [sym__pipe_right_operator] = ACTIONS(13943),
    [sym__pipe_left_operator] = ACTIONS(13943),
    [sym__ellipsis_operator] = ACTIONS(13943),
    [sym__plus_operator] = ACTIONS(13943),
    [sym__times_operator] = ACTIONS(13943),
    [sym__rational_operator] = ACTIONS(13943),
    [sym__bitshift_operator] = ACTIONS(13943),
    [sym__power_operator] = ACTIONS(13943),
    [sym__tilde_operator] = ACTIONS(13943),
    [sym__type_order_operator] = ACTIONS(13943),
    [sym__unary_operator] = ACTIONS(13943),
    [sym__unary_plus_operator] = ACTIONS(13943),
    [aux_sym__terminator_token1] = ACTIONS(13943),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13945),
    [sym__command_start] = ACTIONS(13945),
  },
  [8380] = {
    [sym__word_identifier] = ACTIONS(13916),
    [anon_sym_EQ] = ACTIONS(13916),
    [anon_sym_COMMA] = ACTIONS(13916),
    [anon_sym_COLON] = ACTIONS(13916),
    [anon_sym_begin] = ACTIONS(13916),
    [anon_sym_module] = ACTIONS(13916),
    [anon_sym_baremodule] = ACTIONS(13916),
    [anon_sym_end] = ACTIONS(13916),
    [anon_sym_abstract] = ACTIONS(13916),
    [anon_sym_primitive] = ACTIONS(13916),
    [anon_sym_mutable] = ACTIONS(13916),
    [anon_sym_struct] = ACTIONS(13916),
    [anon_sym_function] = ACTIONS(13916),
    [anon_sym_macro] = ACTIONS(13916),
    [anon_sym_where] = ACTIONS(13916),
    [anon_sym_quote] = ACTIONS(13916),
    [anon_sym_let] = ACTIONS(13916),
    [anon_sym_if] = ACTIONS(13916),
    [anon_sym_try] = ACTIONS(13916),
    [anon_sym_finally] = ACTIONS(13916),
    [anon_sym_for] = ACTIONS(13916),
    [anon_sym_while] = ACTIONS(13916),
    [sym_break_statement] = ACTIONS(13916),
    [sym_continue_statement] = ACTIONS(13916),
    [anon_sym_return] = ACTIONS(13916),
    [anon_sym_const] = ACTIONS(13916),
    [anon_sym_global] = ACTIONS(13916),
    [anon_sym_local] = ACTIONS(13916),
    [anon_sym_LPAREN] = ACTIONS(13916),
    [anon_sym_COLON2] = ACTIONS(13916),
    [anon_sym_export] = ACTIONS(13916),
    [anon_sym_import] = ACTIONS(13916),
    [anon_sym_using] = ACTIONS(13916),
    [anon_sym_LBRACK] = ACTIONS(13916),
    [anon_sym_LF] = ACTIONS(13918),
    [anon_sym_in] = ACTIONS(13916),
    [anon_sym_LBRACE] = ACTIONS(13916),
    [anon_sym_DOLLAR] = ACTIONS(13916),
    [anon_sym_COLON_COLON] = ACTIONS(13916),
    [anon_sym_isa] = ACTIONS(13916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13916),
    [anon_sym_QMARK] = ACTIONS(13916),
    [anon_sym_AT] = ACTIONS(13916),
    [anon_sym_true] = ACTIONS(13916),
    [anon_sym_false] = ACTIONS(13916),
    [aux_sym_integer_literal_token1] = ACTIONS(13916),
    [aux_sym_integer_literal_token2] = ACTIONS(13916),
    [aux_sym_integer_literal_token3] = ACTIONS(13916),
    [aux_sym_integer_literal_token4] = ACTIONS(13916),
    [aux_sym_float_literal_token1] = ACTIONS(13916),
    [aux_sym_float_literal_token3] = ACTIONS(13916),
    [aux_sym_float_literal_token4] = ACTIONS(13916),
    [sym_character_literal] = ACTIONS(13916),
    [sym__pair_operator] = ACTIONS(13916),
    [sym__arrow_operator] = ACTIONS(13916),
    [sym__lazy_or_operator] = ACTIONS(13916),
    [sym__lazy_and_operator] = ACTIONS(13916),
    [sym__comparison_operator] = ACTIONS(13916),
    [sym__pipe_right_operator] = ACTIONS(13916),
    [sym__pipe_left_operator] = ACTIONS(13916),
    [sym__ellipsis_operator] = ACTIONS(13916),
    [sym__plus_operator] = ACTIONS(13916),
    [sym__times_operator] = ACTIONS(13916),
    [sym__rational_operator] = ACTIONS(13916),
    [sym__bitshift_operator] = ACTIONS(13916),
    [sym__power_operator] = ACTIONS(13916),
    [sym__tilde_operator] = ACTIONS(13916),
    [sym__type_order_operator] = ACTIONS(13916),
    [sym__unary_operator] = ACTIONS(13916),
    [sym__unary_plus_operator] = ACTIONS(13916),
    [aux_sym__terminator_token1] = ACTIONS(13916),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13918),
    [sym__command_start] = ACTIONS(13918),
  },
  [8381] = {
    [sym__word_identifier] = ACTIONS(13912),
    [anon_sym_EQ] = ACTIONS(13912),
    [anon_sym_COMMA] = ACTIONS(13912),
    [anon_sym_COLON] = ACTIONS(13912),
    [anon_sym_begin] = ACTIONS(13912),
    [anon_sym_module] = ACTIONS(13912),
    [anon_sym_baremodule] = ACTIONS(13912),
    [anon_sym_end] = ACTIONS(13912),
    [anon_sym_abstract] = ACTIONS(13912),
    [anon_sym_primitive] = ACTIONS(13912),
    [anon_sym_mutable] = ACTIONS(13912),
    [anon_sym_struct] = ACTIONS(13912),
    [anon_sym_function] = ACTIONS(13912),
    [anon_sym_macro] = ACTIONS(13912),
    [anon_sym_where] = ACTIONS(13912),
    [anon_sym_quote] = ACTIONS(13912),
    [anon_sym_let] = ACTIONS(13912),
    [anon_sym_if] = ACTIONS(13912),
    [anon_sym_try] = ACTIONS(13912),
    [anon_sym_finally] = ACTIONS(13912),
    [anon_sym_for] = ACTIONS(13912),
    [anon_sym_while] = ACTIONS(13912),
    [sym_break_statement] = ACTIONS(13912),
    [sym_continue_statement] = ACTIONS(13912),
    [anon_sym_return] = ACTIONS(13912),
    [anon_sym_const] = ACTIONS(13912),
    [anon_sym_global] = ACTIONS(13912),
    [anon_sym_local] = ACTIONS(13912),
    [anon_sym_LPAREN] = ACTIONS(13912),
    [anon_sym_COLON2] = ACTIONS(13912),
    [anon_sym_export] = ACTIONS(13912),
    [anon_sym_import] = ACTIONS(13912),
    [anon_sym_using] = ACTIONS(13912),
    [anon_sym_LBRACK] = ACTIONS(13912),
    [anon_sym_LF] = ACTIONS(13914),
    [anon_sym_in] = ACTIONS(13912),
    [anon_sym_LBRACE] = ACTIONS(13912),
    [anon_sym_DOLLAR] = ACTIONS(13912),
    [anon_sym_COLON_COLON] = ACTIONS(13912),
    [anon_sym_isa] = ACTIONS(13912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13912),
    [anon_sym_QMARK] = ACTIONS(13912),
    [anon_sym_AT] = ACTIONS(13912),
    [anon_sym_true] = ACTIONS(13912),
    [anon_sym_false] = ACTIONS(13912),
    [aux_sym_integer_literal_token1] = ACTIONS(13912),
    [aux_sym_integer_literal_token2] = ACTIONS(13912),
    [aux_sym_integer_literal_token3] = ACTIONS(13912),
    [aux_sym_integer_literal_token4] = ACTIONS(13912),
    [aux_sym_float_literal_token1] = ACTIONS(13912),
    [aux_sym_float_literal_token3] = ACTIONS(13912),
    [aux_sym_float_literal_token4] = ACTIONS(13912),
    [sym_character_literal] = ACTIONS(13912),
    [sym__pair_operator] = ACTIONS(13912),
    [sym__arrow_operator] = ACTIONS(13912),
    [sym__lazy_or_operator] = ACTIONS(13912),
    [sym__lazy_and_operator] = ACTIONS(13912),
    [sym__comparison_operator] = ACTIONS(13912),
    [sym__pipe_right_operator] = ACTIONS(13912),
    [sym__pipe_left_operator] = ACTIONS(13912),
    [sym__ellipsis_operator] = ACTIONS(13912),
    [sym__plus_operator] = ACTIONS(13912),
    [sym__times_operator] = ACTIONS(13912),
    [sym__rational_operator] = ACTIONS(13912),
    [sym__bitshift_operator] = ACTIONS(13912),
    [sym__power_operator] = ACTIONS(13912),
    [sym__tilde_operator] = ACTIONS(13912),
    [sym__type_order_operator] = ACTIONS(13912),
    [sym__unary_operator] = ACTIONS(13912),
    [sym__unary_plus_operator] = ACTIONS(13912),
    [aux_sym__terminator_token1] = ACTIONS(13912),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13914),
    [sym__command_start] = ACTIONS(13914),
  },
  [8382] = {
    [sym__word_identifier] = ACTIONS(13816),
    [anon_sym_EQ] = ACTIONS(13816),
    [anon_sym_COMMA] = ACTIONS(13816),
    [anon_sym_COLON] = ACTIONS(13816),
    [anon_sym_begin] = ACTIONS(13816),
    [anon_sym_module] = ACTIONS(13816),
    [anon_sym_baremodule] = ACTIONS(13816),
    [anon_sym_end] = ACTIONS(13816),
    [anon_sym_abstract] = ACTIONS(13816),
    [anon_sym_primitive] = ACTIONS(13816),
    [anon_sym_mutable] = ACTIONS(13816),
    [anon_sym_struct] = ACTIONS(13816),
    [anon_sym_function] = ACTIONS(13816),
    [anon_sym_macro] = ACTIONS(13816),
    [anon_sym_where] = ACTIONS(13816),
    [anon_sym_quote] = ACTIONS(13816),
    [anon_sym_let] = ACTIONS(13816),
    [anon_sym_if] = ACTIONS(13816),
    [anon_sym_try] = ACTIONS(13816),
    [anon_sym_finally] = ACTIONS(13816),
    [anon_sym_for] = ACTIONS(13816),
    [anon_sym_while] = ACTIONS(13816),
    [sym_break_statement] = ACTIONS(13816),
    [sym_continue_statement] = ACTIONS(13816),
    [anon_sym_return] = ACTIONS(13816),
    [anon_sym_const] = ACTIONS(13816),
    [anon_sym_global] = ACTIONS(13816),
    [anon_sym_local] = ACTIONS(13816),
    [anon_sym_LPAREN] = ACTIONS(13816),
    [anon_sym_COLON2] = ACTIONS(13816),
    [anon_sym_export] = ACTIONS(13816),
    [anon_sym_import] = ACTIONS(13816),
    [anon_sym_using] = ACTIONS(13816),
    [anon_sym_LBRACK] = ACTIONS(13816),
    [anon_sym_LF] = ACTIONS(13818),
    [anon_sym_in] = ACTIONS(13816),
    [anon_sym_LBRACE] = ACTIONS(13816),
    [anon_sym_DOLLAR] = ACTIONS(13816),
    [anon_sym_COLON_COLON] = ACTIONS(13816),
    [anon_sym_isa] = ACTIONS(13816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13816),
    [anon_sym_QMARK] = ACTIONS(13816),
    [anon_sym_AT] = ACTIONS(13816),
    [anon_sym_true] = ACTIONS(13816),
    [anon_sym_false] = ACTIONS(13816),
    [aux_sym_integer_literal_token1] = ACTIONS(13816),
    [aux_sym_integer_literal_token2] = ACTIONS(13816),
    [aux_sym_integer_literal_token3] = ACTIONS(13816),
    [aux_sym_integer_literal_token4] = ACTIONS(13816),
    [aux_sym_float_literal_token1] = ACTIONS(13816),
    [aux_sym_float_literal_token3] = ACTIONS(13816),
    [aux_sym_float_literal_token4] = ACTIONS(13816),
    [sym_character_literal] = ACTIONS(13816),
    [sym__pair_operator] = ACTIONS(13816),
    [sym__arrow_operator] = ACTIONS(13816),
    [sym__lazy_or_operator] = ACTIONS(13816),
    [sym__lazy_and_operator] = ACTIONS(13816),
    [sym__comparison_operator] = ACTIONS(13816),
    [sym__pipe_right_operator] = ACTIONS(13816),
    [sym__pipe_left_operator] = ACTIONS(13816),
    [sym__ellipsis_operator] = ACTIONS(13816),
    [sym__plus_operator] = ACTIONS(13816),
    [sym__times_operator] = ACTIONS(13816),
    [sym__rational_operator] = ACTIONS(13816),
    [sym__bitshift_operator] = ACTIONS(13816),
    [sym__power_operator] = ACTIONS(13816),
    [sym__tilde_operator] = ACTIONS(13816),
    [sym__type_order_operator] = ACTIONS(13816),
    [sym__unary_operator] = ACTIONS(13816),
    [sym__unary_plus_operator] = ACTIONS(13816),
    [aux_sym__terminator_token1] = ACTIONS(13816),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13818),
    [sym__command_start] = ACTIONS(13818),
  },
  [8383] = {
    [sym__word_identifier] = ACTIONS(13812),
    [anon_sym_EQ] = ACTIONS(13812),
    [anon_sym_COMMA] = ACTIONS(13812),
    [anon_sym_COLON] = ACTIONS(13812),
    [anon_sym_begin] = ACTIONS(13812),
    [anon_sym_module] = ACTIONS(13812),
    [anon_sym_baremodule] = ACTIONS(13812),
    [anon_sym_end] = ACTIONS(13812),
    [anon_sym_abstract] = ACTIONS(13812),
    [anon_sym_primitive] = ACTIONS(13812),
    [anon_sym_mutable] = ACTIONS(13812),
    [anon_sym_struct] = ACTIONS(13812),
    [anon_sym_function] = ACTIONS(13812),
    [anon_sym_macro] = ACTIONS(13812),
    [anon_sym_where] = ACTIONS(13812),
    [anon_sym_quote] = ACTIONS(13812),
    [anon_sym_let] = ACTIONS(13812),
    [anon_sym_if] = ACTIONS(13812),
    [anon_sym_try] = ACTIONS(13812),
    [anon_sym_finally] = ACTIONS(13812),
    [anon_sym_for] = ACTIONS(13812),
    [anon_sym_while] = ACTIONS(13812),
    [sym_break_statement] = ACTIONS(13812),
    [sym_continue_statement] = ACTIONS(13812),
    [anon_sym_return] = ACTIONS(13812),
    [anon_sym_const] = ACTIONS(13812),
    [anon_sym_global] = ACTIONS(13812),
    [anon_sym_local] = ACTIONS(13812),
    [anon_sym_LPAREN] = ACTIONS(13812),
    [anon_sym_COLON2] = ACTIONS(13812),
    [anon_sym_export] = ACTIONS(13812),
    [anon_sym_import] = ACTIONS(13812),
    [anon_sym_using] = ACTIONS(13812),
    [anon_sym_LBRACK] = ACTIONS(13812),
    [anon_sym_LF] = ACTIONS(13814),
    [anon_sym_in] = ACTIONS(13812),
    [anon_sym_LBRACE] = ACTIONS(13812),
    [anon_sym_DOLLAR] = ACTIONS(13812),
    [anon_sym_COLON_COLON] = ACTIONS(13812),
    [anon_sym_isa] = ACTIONS(13812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13812),
    [anon_sym_QMARK] = ACTIONS(13812),
    [anon_sym_AT] = ACTIONS(13812),
    [anon_sym_true] = ACTIONS(13812),
    [anon_sym_false] = ACTIONS(13812),
    [aux_sym_integer_literal_token1] = ACTIONS(13812),
    [aux_sym_integer_literal_token2] = ACTIONS(13812),
    [aux_sym_integer_literal_token3] = ACTIONS(13812),
    [aux_sym_integer_literal_token4] = ACTIONS(13812),
    [aux_sym_float_literal_token1] = ACTIONS(13812),
    [aux_sym_float_literal_token3] = ACTIONS(13812),
    [aux_sym_float_literal_token4] = ACTIONS(13812),
    [sym_character_literal] = ACTIONS(13812),
    [sym__pair_operator] = ACTIONS(13812),
    [sym__arrow_operator] = ACTIONS(13812),
    [sym__lazy_or_operator] = ACTIONS(13812),
    [sym__lazy_and_operator] = ACTIONS(13812),
    [sym__comparison_operator] = ACTIONS(13812),
    [sym__pipe_right_operator] = ACTIONS(13812),
    [sym__pipe_left_operator] = ACTIONS(13812),
    [sym__ellipsis_operator] = ACTIONS(13812),
    [sym__plus_operator] = ACTIONS(13812),
    [sym__times_operator] = ACTIONS(13812),
    [sym__rational_operator] = ACTIONS(13812),
    [sym__bitshift_operator] = ACTIONS(13812),
    [sym__power_operator] = ACTIONS(13812),
    [sym__tilde_operator] = ACTIONS(13812),
    [sym__type_order_operator] = ACTIONS(13812),
    [sym__unary_operator] = ACTIONS(13812),
    [sym__unary_plus_operator] = ACTIONS(13812),
    [aux_sym__terminator_token1] = ACTIONS(13812),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13814),
    [sym__command_start] = ACTIONS(13814),
  },
  [8384] = {
    [sym__word_identifier] = ACTIONS(13808),
    [anon_sym_EQ] = ACTIONS(13808),
    [anon_sym_COMMA] = ACTIONS(13808),
    [anon_sym_COLON] = ACTIONS(13808),
    [anon_sym_begin] = ACTIONS(13808),
    [anon_sym_module] = ACTIONS(13808),
    [anon_sym_baremodule] = ACTIONS(13808),
    [anon_sym_end] = ACTIONS(13808),
    [anon_sym_abstract] = ACTIONS(13808),
    [anon_sym_primitive] = ACTIONS(13808),
    [anon_sym_mutable] = ACTIONS(13808),
    [anon_sym_struct] = ACTIONS(13808),
    [anon_sym_function] = ACTIONS(13808),
    [anon_sym_macro] = ACTIONS(13808),
    [anon_sym_where] = ACTIONS(13808),
    [anon_sym_quote] = ACTIONS(13808),
    [anon_sym_let] = ACTIONS(13808),
    [anon_sym_if] = ACTIONS(13808),
    [anon_sym_try] = ACTIONS(13808),
    [anon_sym_finally] = ACTIONS(13808),
    [anon_sym_for] = ACTIONS(13808),
    [anon_sym_while] = ACTIONS(13808),
    [sym_break_statement] = ACTIONS(13808),
    [sym_continue_statement] = ACTIONS(13808),
    [anon_sym_return] = ACTIONS(13808),
    [anon_sym_const] = ACTIONS(13808),
    [anon_sym_global] = ACTIONS(13808),
    [anon_sym_local] = ACTIONS(13808),
    [anon_sym_LPAREN] = ACTIONS(13808),
    [anon_sym_COLON2] = ACTIONS(13808),
    [anon_sym_export] = ACTIONS(13808),
    [anon_sym_import] = ACTIONS(13808),
    [anon_sym_using] = ACTIONS(13808),
    [anon_sym_LBRACK] = ACTIONS(13808),
    [anon_sym_LF] = ACTIONS(13810),
    [anon_sym_in] = ACTIONS(13808),
    [anon_sym_LBRACE] = ACTIONS(13808),
    [anon_sym_DOLLAR] = ACTIONS(13808),
    [anon_sym_COLON_COLON] = ACTIONS(13808),
    [anon_sym_isa] = ACTIONS(13808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13808),
    [anon_sym_QMARK] = ACTIONS(13808),
    [anon_sym_AT] = ACTIONS(13808),
    [anon_sym_true] = ACTIONS(13808),
    [anon_sym_false] = ACTIONS(13808),
    [aux_sym_integer_literal_token1] = ACTIONS(13808),
    [aux_sym_integer_literal_token2] = ACTIONS(13808),
    [aux_sym_integer_literal_token3] = ACTIONS(13808),
    [aux_sym_integer_literal_token4] = ACTIONS(13808),
    [aux_sym_float_literal_token1] = ACTIONS(13808),
    [aux_sym_float_literal_token3] = ACTIONS(13808),
    [aux_sym_float_literal_token4] = ACTIONS(13808),
    [sym_character_literal] = ACTIONS(13808),
    [sym__pair_operator] = ACTIONS(13808),
    [sym__arrow_operator] = ACTIONS(13808),
    [sym__lazy_or_operator] = ACTIONS(13808),
    [sym__lazy_and_operator] = ACTIONS(13808),
    [sym__comparison_operator] = ACTIONS(13808),
    [sym__pipe_right_operator] = ACTIONS(13808),
    [sym__pipe_left_operator] = ACTIONS(13808),
    [sym__ellipsis_operator] = ACTIONS(13808),
    [sym__plus_operator] = ACTIONS(13808),
    [sym__times_operator] = ACTIONS(13808),
    [sym__rational_operator] = ACTIONS(13808),
    [sym__bitshift_operator] = ACTIONS(13808),
    [sym__power_operator] = ACTIONS(13808),
    [sym__tilde_operator] = ACTIONS(13808),
    [sym__type_order_operator] = ACTIONS(13808),
    [sym__unary_operator] = ACTIONS(13808),
    [sym__unary_plus_operator] = ACTIONS(13808),
    [aux_sym__terminator_token1] = ACTIONS(13808),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13810),
    [sym__command_start] = ACTIONS(13810),
  },
  [8385] = {
    [sym__word_identifier] = ACTIONS(13804),
    [anon_sym_EQ] = ACTIONS(13804),
    [anon_sym_COMMA] = ACTIONS(13804),
    [anon_sym_COLON] = ACTIONS(13804),
    [anon_sym_begin] = ACTIONS(13804),
    [anon_sym_module] = ACTIONS(13804),
    [anon_sym_baremodule] = ACTIONS(13804),
    [anon_sym_end] = ACTIONS(13804),
    [anon_sym_abstract] = ACTIONS(13804),
    [anon_sym_primitive] = ACTIONS(13804),
    [anon_sym_mutable] = ACTIONS(13804),
    [anon_sym_struct] = ACTIONS(13804),
    [anon_sym_function] = ACTIONS(13804),
    [anon_sym_macro] = ACTIONS(13804),
    [anon_sym_where] = ACTIONS(13804),
    [anon_sym_quote] = ACTIONS(13804),
    [anon_sym_let] = ACTIONS(13804),
    [anon_sym_if] = ACTIONS(13804),
    [anon_sym_try] = ACTIONS(13804),
    [anon_sym_finally] = ACTIONS(13804),
    [anon_sym_for] = ACTIONS(13804),
    [anon_sym_while] = ACTIONS(13804),
    [sym_break_statement] = ACTIONS(13804),
    [sym_continue_statement] = ACTIONS(13804),
    [anon_sym_return] = ACTIONS(13804),
    [anon_sym_const] = ACTIONS(13804),
    [anon_sym_global] = ACTIONS(13804),
    [anon_sym_local] = ACTIONS(13804),
    [anon_sym_LPAREN] = ACTIONS(13804),
    [anon_sym_COLON2] = ACTIONS(13804),
    [anon_sym_export] = ACTIONS(13804),
    [anon_sym_import] = ACTIONS(13804),
    [anon_sym_using] = ACTIONS(13804),
    [anon_sym_LBRACK] = ACTIONS(13804),
    [anon_sym_LF] = ACTIONS(13806),
    [anon_sym_in] = ACTIONS(13804),
    [anon_sym_LBRACE] = ACTIONS(13804),
    [anon_sym_DOLLAR] = ACTIONS(13804),
    [anon_sym_COLON_COLON] = ACTIONS(13804),
    [anon_sym_isa] = ACTIONS(13804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13804),
    [anon_sym_QMARK] = ACTIONS(13804),
    [anon_sym_AT] = ACTIONS(13804),
    [anon_sym_true] = ACTIONS(13804),
    [anon_sym_false] = ACTIONS(13804),
    [aux_sym_integer_literal_token1] = ACTIONS(13804),
    [aux_sym_integer_literal_token2] = ACTIONS(13804),
    [aux_sym_integer_literal_token3] = ACTIONS(13804),
    [aux_sym_integer_literal_token4] = ACTIONS(13804),
    [aux_sym_float_literal_token1] = ACTIONS(13804),
    [aux_sym_float_literal_token3] = ACTIONS(13804),
    [aux_sym_float_literal_token4] = ACTIONS(13804),
    [sym_character_literal] = ACTIONS(13804),
    [sym__pair_operator] = ACTIONS(13804),
    [sym__arrow_operator] = ACTIONS(13804),
    [sym__lazy_or_operator] = ACTIONS(13804),
    [sym__lazy_and_operator] = ACTIONS(13804),
    [sym__comparison_operator] = ACTIONS(13804),
    [sym__pipe_right_operator] = ACTIONS(13804),
    [sym__pipe_left_operator] = ACTIONS(13804),
    [sym__ellipsis_operator] = ACTIONS(13804),
    [sym__plus_operator] = ACTIONS(13804),
    [sym__times_operator] = ACTIONS(13804),
    [sym__rational_operator] = ACTIONS(13804),
    [sym__bitshift_operator] = ACTIONS(13804),
    [sym__power_operator] = ACTIONS(13804),
    [sym__tilde_operator] = ACTIONS(13804),
    [sym__type_order_operator] = ACTIONS(13804),
    [sym__unary_operator] = ACTIONS(13804),
    [sym__unary_plus_operator] = ACTIONS(13804),
    [aux_sym__terminator_token1] = ACTIONS(13804),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13806),
    [sym__command_start] = ACTIONS(13806),
  },
  [8386] = {
    [sym__word_identifier] = ACTIONS(13780),
    [anon_sym_EQ] = ACTIONS(13780),
    [anon_sym_COMMA] = ACTIONS(13780),
    [anon_sym_COLON] = ACTIONS(13780),
    [anon_sym_begin] = ACTIONS(13780),
    [anon_sym_module] = ACTIONS(13780),
    [anon_sym_baremodule] = ACTIONS(13780),
    [anon_sym_end] = ACTIONS(13780),
    [anon_sym_abstract] = ACTIONS(13780),
    [anon_sym_primitive] = ACTIONS(13780),
    [anon_sym_mutable] = ACTIONS(13780),
    [anon_sym_struct] = ACTIONS(13780),
    [anon_sym_function] = ACTIONS(13780),
    [anon_sym_macro] = ACTIONS(13780),
    [anon_sym_where] = ACTIONS(13780),
    [anon_sym_quote] = ACTIONS(13780),
    [anon_sym_let] = ACTIONS(13780),
    [anon_sym_if] = ACTIONS(13780),
    [anon_sym_try] = ACTIONS(13780),
    [anon_sym_finally] = ACTIONS(13780),
    [anon_sym_for] = ACTIONS(13780),
    [anon_sym_while] = ACTIONS(13780),
    [sym_break_statement] = ACTIONS(13780),
    [sym_continue_statement] = ACTIONS(13780),
    [anon_sym_return] = ACTIONS(13780),
    [anon_sym_const] = ACTIONS(13780),
    [anon_sym_global] = ACTIONS(13780),
    [anon_sym_local] = ACTIONS(13780),
    [anon_sym_LPAREN] = ACTIONS(13780),
    [anon_sym_COLON2] = ACTIONS(13780),
    [anon_sym_export] = ACTIONS(13780),
    [anon_sym_import] = ACTIONS(13780),
    [anon_sym_using] = ACTIONS(13780),
    [anon_sym_LBRACK] = ACTIONS(13780),
    [anon_sym_LF] = ACTIONS(13782),
    [anon_sym_in] = ACTIONS(13780),
    [anon_sym_LBRACE] = ACTIONS(13780),
    [anon_sym_DOLLAR] = ACTIONS(13780),
    [anon_sym_COLON_COLON] = ACTIONS(13780),
    [anon_sym_isa] = ACTIONS(13780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13780),
    [anon_sym_QMARK] = ACTIONS(13780),
    [anon_sym_AT] = ACTIONS(13780),
    [anon_sym_true] = ACTIONS(13780),
    [anon_sym_false] = ACTIONS(13780),
    [aux_sym_integer_literal_token1] = ACTIONS(13780),
    [aux_sym_integer_literal_token2] = ACTIONS(13780),
    [aux_sym_integer_literal_token3] = ACTIONS(13780),
    [aux_sym_integer_literal_token4] = ACTIONS(13780),
    [aux_sym_float_literal_token1] = ACTIONS(13780),
    [aux_sym_float_literal_token3] = ACTIONS(13780),
    [aux_sym_float_literal_token4] = ACTIONS(13780),
    [sym_character_literal] = ACTIONS(13780),
    [sym__pair_operator] = ACTIONS(13780),
    [sym__arrow_operator] = ACTIONS(13780),
    [sym__lazy_or_operator] = ACTIONS(13780),
    [sym__lazy_and_operator] = ACTIONS(13780),
    [sym__comparison_operator] = ACTIONS(13780),
    [sym__pipe_right_operator] = ACTIONS(13780),
    [sym__pipe_left_operator] = ACTIONS(13780),
    [sym__ellipsis_operator] = ACTIONS(13780),
    [sym__plus_operator] = ACTIONS(13780),
    [sym__times_operator] = ACTIONS(13780),
    [sym__rational_operator] = ACTIONS(13780),
    [sym__bitshift_operator] = ACTIONS(13780),
    [sym__power_operator] = ACTIONS(13780),
    [sym__tilde_operator] = ACTIONS(13780),
    [sym__type_order_operator] = ACTIONS(13780),
    [sym__unary_operator] = ACTIONS(13780),
    [sym__unary_plus_operator] = ACTIONS(13780),
    [aux_sym__terminator_token1] = ACTIONS(13780),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13782),
    [sym__command_start] = ACTIONS(13782),
  },
  [8387] = {
    [sym__word_identifier] = ACTIONS(13776),
    [anon_sym_EQ] = ACTIONS(13776),
    [anon_sym_COMMA] = ACTIONS(13776),
    [anon_sym_COLON] = ACTIONS(13776),
    [anon_sym_begin] = ACTIONS(13776),
    [anon_sym_module] = ACTIONS(13776),
    [anon_sym_baremodule] = ACTIONS(13776),
    [anon_sym_end] = ACTIONS(13776),
    [anon_sym_abstract] = ACTIONS(13776),
    [anon_sym_primitive] = ACTIONS(13776),
    [anon_sym_mutable] = ACTIONS(13776),
    [anon_sym_struct] = ACTIONS(13776),
    [anon_sym_function] = ACTIONS(13776),
    [anon_sym_macro] = ACTIONS(13776),
    [anon_sym_where] = ACTIONS(13776),
    [anon_sym_quote] = ACTIONS(13776),
    [anon_sym_let] = ACTIONS(13776),
    [anon_sym_if] = ACTIONS(13776),
    [anon_sym_try] = ACTIONS(13776),
    [anon_sym_finally] = ACTIONS(13776),
    [anon_sym_for] = ACTIONS(13776),
    [anon_sym_while] = ACTIONS(13776),
    [sym_break_statement] = ACTIONS(13776),
    [sym_continue_statement] = ACTIONS(13776),
    [anon_sym_return] = ACTIONS(13776),
    [anon_sym_const] = ACTIONS(13776),
    [anon_sym_global] = ACTIONS(13776),
    [anon_sym_local] = ACTIONS(13776),
    [anon_sym_LPAREN] = ACTIONS(13776),
    [anon_sym_COLON2] = ACTIONS(13776),
    [anon_sym_export] = ACTIONS(13776),
    [anon_sym_import] = ACTIONS(13776),
    [anon_sym_using] = ACTIONS(13776),
    [anon_sym_LBRACK] = ACTIONS(13776),
    [anon_sym_LF] = ACTIONS(13778),
    [anon_sym_in] = ACTIONS(13776),
    [anon_sym_LBRACE] = ACTIONS(13776),
    [anon_sym_DOLLAR] = ACTIONS(13776),
    [anon_sym_COLON_COLON] = ACTIONS(13776),
    [anon_sym_isa] = ACTIONS(13776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13776),
    [anon_sym_QMARK] = ACTIONS(13776),
    [anon_sym_AT] = ACTIONS(13776),
    [anon_sym_true] = ACTIONS(13776),
    [anon_sym_false] = ACTIONS(13776),
    [aux_sym_integer_literal_token1] = ACTIONS(13776),
    [aux_sym_integer_literal_token2] = ACTIONS(13776),
    [aux_sym_integer_literal_token3] = ACTIONS(13776),
    [aux_sym_integer_literal_token4] = ACTIONS(13776),
    [aux_sym_float_literal_token1] = ACTIONS(13776),
    [aux_sym_float_literal_token3] = ACTIONS(13776),
    [aux_sym_float_literal_token4] = ACTIONS(13776),
    [sym_character_literal] = ACTIONS(13776),
    [sym__pair_operator] = ACTIONS(13776),
    [sym__arrow_operator] = ACTIONS(13776),
    [sym__lazy_or_operator] = ACTIONS(13776),
    [sym__lazy_and_operator] = ACTIONS(13776),
    [sym__comparison_operator] = ACTIONS(13776),
    [sym__pipe_right_operator] = ACTIONS(13776),
    [sym__pipe_left_operator] = ACTIONS(13776),
    [sym__ellipsis_operator] = ACTIONS(13776),
    [sym__plus_operator] = ACTIONS(13776),
    [sym__times_operator] = ACTIONS(13776),
    [sym__rational_operator] = ACTIONS(13776),
    [sym__bitshift_operator] = ACTIONS(13776),
    [sym__power_operator] = ACTIONS(13776),
    [sym__tilde_operator] = ACTIONS(13776),
    [sym__type_order_operator] = ACTIONS(13776),
    [sym__unary_operator] = ACTIONS(13776),
    [sym__unary_plus_operator] = ACTIONS(13776),
    [aux_sym__terminator_token1] = ACTIONS(13776),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13778),
    [sym__command_start] = ACTIONS(13778),
  },
  [8388] = {
    [sym__word_identifier] = ACTIONS(14246),
    [anon_sym_EQ] = ACTIONS(14246),
    [anon_sym_COMMA] = ACTIONS(14244),
    [anon_sym_COLON] = ACTIONS(14246),
    [anon_sym_begin] = ACTIONS(14246),
    [anon_sym_module] = ACTIONS(14246),
    [anon_sym_baremodule] = ACTIONS(14246),
    [anon_sym_abstract] = ACTIONS(14246),
    [anon_sym_primitive] = ACTIONS(14246),
    [anon_sym_mutable] = ACTIONS(14246),
    [anon_sym_struct] = ACTIONS(14246),
    [anon_sym_function] = ACTIONS(14246),
    [anon_sym_macro] = ACTIONS(14246),
    [anon_sym_where] = ACTIONS(14246),
    [anon_sym_quote] = ACTIONS(14246),
    [anon_sym_let] = ACTIONS(14246),
    [anon_sym_if] = ACTIONS(14246),
    [anon_sym_try] = ACTIONS(14246),
    [anon_sym_for] = ACTIONS(14246),
    [anon_sym_while] = ACTIONS(14246),
    [sym_break_statement] = ACTIONS(14246),
    [sym_continue_statement] = ACTIONS(14246),
    [anon_sym_return] = ACTIONS(14246),
    [anon_sym_const] = ACTIONS(14246),
    [anon_sym_global] = ACTIONS(14246),
    [anon_sym_local] = ACTIONS(14246),
    [anon_sym_LPAREN] = ACTIONS(14244),
    [anon_sym_RPAREN] = ACTIONS(14244),
    [anon_sym_COLON2] = ACTIONS(14246),
    [anon_sym_export] = ACTIONS(14246),
    [anon_sym_import] = ACTIONS(14246),
    [anon_sym_using] = ACTIONS(14246),
    [anon_sym_LBRACK] = ACTIONS(14244),
    [anon_sym_RBRACK] = ACTIONS(14244),
    [anon_sym_in] = ACTIONS(14246),
    [anon_sym_SEMI] = ACTIONS(14244),
    [anon_sym_LBRACE] = ACTIONS(14244),
    [anon_sym_RBRACE] = ACTIONS(14244),
    [anon_sym_DOLLAR] = ACTIONS(14244),
    [anon_sym_COLON_COLON] = ACTIONS(14244),
    [anon_sym_isa] = ACTIONS(14246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14244),
    [anon_sym_QMARK] = ACTIONS(14244),
    [anon_sym_AT] = ACTIONS(14244),
    [anon_sym_true] = ACTIONS(14246),
    [anon_sym_false] = ACTIONS(14246),
    [aux_sym_integer_literal_token1] = ACTIONS(14244),
    [aux_sym_integer_literal_token2] = ACTIONS(14244),
    [aux_sym_integer_literal_token3] = ACTIONS(14246),
    [aux_sym_integer_literal_token4] = ACTIONS(14246),
    [aux_sym_float_literal_token1] = ACTIONS(14244),
    [aux_sym_float_literal_token3] = ACTIONS(14244),
    [aux_sym_float_literal_token4] = ACTIONS(14244),
    [sym_character_literal] = ACTIONS(14244),
    [sym__pair_operator] = ACTIONS(14244),
    [sym__arrow_operator] = ACTIONS(14246),
    [sym__lazy_or_operator] = ACTIONS(14244),
    [sym__lazy_and_operator] = ACTIONS(14244),
    [sym__comparison_operator] = ACTIONS(14246),
    [sym__pipe_right_operator] = ACTIONS(14244),
    [sym__pipe_left_operator] = ACTIONS(14244),
    [sym__ellipsis_operator] = ACTIONS(14246),
    [sym__plus_operator] = ACTIONS(14246),
    [sym__times_operator] = ACTIONS(14246),
    [sym__rational_operator] = ACTIONS(14244),
    [sym__bitshift_operator] = ACTIONS(14244),
    [sym__power_operator] = ACTIONS(14244),
    [sym__tilde_operator] = ACTIONS(14244),
    [sym__type_order_operator] = ACTIONS(14244),
    [sym__unary_operator] = ACTIONS(14246),
    [sym__unary_plus_operator] = ACTIONS(14246),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14244),
    [sym__command_start] = ACTIONS(14244),
  },
  [8389] = {
    [sym__word_identifier] = ACTIONS(13772),
    [anon_sym_EQ] = ACTIONS(13772),
    [anon_sym_COMMA] = ACTIONS(13772),
    [anon_sym_COLON] = ACTIONS(13772),
    [anon_sym_begin] = ACTIONS(13772),
    [anon_sym_module] = ACTIONS(13772),
    [anon_sym_baremodule] = ACTIONS(13772),
    [anon_sym_end] = ACTIONS(13772),
    [anon_sym_abstract] = ACTIONS(13772),
    [anon_sym_primitive] = ACTIONS(13772),
    [anon_sym_mutable] = ACTIONS(13772),
    [anon_sym_struct] = ACTIONS(13772),
    [anon_sym_function] = ACTIONS(13772),
    [anon_sym_macro] = ACTIONS(13772),
    [anon_sym_where] = ACTIONS(13772),
    [anon_sym_quote] = ACTIONS(13772),
    [anon_sym_let] = ACTIONS(13772),
    [anon_sym_if] = ACTIONS(13772),
    [anon_sym_try] = ACTIONS(13772),
    [anon_sym_finally] = ACTIONS(13772),
    [anon_sym_for] = ACTIONS(13772),
    [anon_sym_while] = ACTIONS(13772),
    [sym_break_statement] = ACTIONS(13772),
    [sym_continue_statement] = ACTIONS(13772),
    [anon_sym_return] = ACTIONS(13772),
    [anon_sym_const] = ACTIONS(13772),
    [anon_sym_global] = ACTIONS(13772),
    [anon_sym_local] = ACTIONS(13772),
    [anon_sym_LPAREN] = ACTIONS(13772),
    [anon_sym_COLON2] = ACTIONS(13772),
    [anon_sym_export] = ACTIONS(13772),
    [anon_sym_import] = ACTIONS(13772),
    [anon_sym_using] = ACTIONS(13772),
    [anon_sym_LBRACK] = ACTIONS(13772),
    [anon_sym_LF] = ACTIONS(13774),
    [anon_sym_in] = ACTIONS(13772),
    [anon_sym_LBRACE] = ACTIONS(13772),
    [anon_sym_DOLLAR] = ACTIONS(13772),
    [anon_sym_COLON_COLON] = ACTIONS(13772),
    [anon_sym_isa] = ACTIONS(13772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13772),
    [anon_sym_QMARK] = ACTIONS(13772),
    [anon_sym_AT] = ACTIONS(13772),
    [anon_sym_true] = ACTIONS(13772),
    [anon_sym_false] = ACTIONS(13772),
    [aux_sym_integer_literal_token1] = ACTIONS(13772),
    [aux_sym_integer_literal_token2] = ACTIONS(13772),
    [aux_sym_integer_literal_token3] = ACTIONS(13772),
    [aux_sym_integer_literal_token4] = ACTIONS(13772),
    [aux_sym_float_literal_token1] = ACTIONS(13772),
    [aux_sym_float_literal_token3] = ACTIONS(13772),
    [aux_sym_float_literal_token4] = ACTIONS(13772),
    [sym_character_literal] = ACTIONS(13772),
    [sym__pair_operator] = ACTIONS(13772),
    [sym__arrow_operator] = ACTIONS(13772),
    [sym__lazy_or_operator] = ACTIONS(13772),
    [sym__lazy_and_operator] = ACTIONS(13772),
    [sym__comparison_operator] = ACTIONS(13772),
    [sym__pipe_right_operator] = ACTIONS(13772),
    [sym__pipe_left_operator] = ACTIONS(13772),
    [sym__ellipsis_operator] = ACTIONS(13772),
    [sym__plus_operator] = ACTIONS(13772),
    [sym__times_operator] = ACTIONS(13772),
    [sym__rational_operator] = ACTIONS(13772),
    [sym__bitshift_operator] = ACTIONS(13772),
    [sym__power_operator] = ACTIONS(13772),
    [sym__tilde_operator] = ACTIONS(13772),
    [sym__type_order_operator] = ACTIONS(13772),
    [sym__unary_operator] = ACTIONS(13772),
    [sym__unary_plus_operator] = ACTIONS(13772),
    [aux_sym__terminator_token1] = ACTIONS(13772),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13774),
    [sym__command_start] = ACTIONS(13774),
  },
  [8390] = {
    [sym__word_identifier] = ACTIONS(13764),
    [anon_sym_EQ] = ACTIONS(13764),
    [anon_sym_COMMA] = ACTIONS(13764),
    [anon_sym_COLON] = ACTIONS(13764),
    [anon_sym_begin] = ACTIONS(13764),
    [anon_sym_module] = ACTIONS(13764),
    [anon_sym_baremodule] = ACTIONS(13764),
    [anon_sym_end] = ACTIONS(13764),
    [anon_sym_abstract] = ACTIONS(13764),
    [anon_sym_primitive] = ACTIONS(13764),
    [anon_sym_mutable] = ACTIONS(13764),
    [anon_sym_struct] = ACTIONS(13764),
    [anon_sym_function] = ACTIONS(13764),
    [anon_sym_macro] = ACTIONS(13764),
    [anon_sym_where] = ACTIONS(13764),
    [anon_sym_quote] = ACTIONS(13764),
    [anon_sym_let] = ACTIONS(13764),
    [anon_sym_if] = ACTIONS(13764),
    [anon_sym_try] = ACTIONS(13764),
    [anon_sym_finally] = ACTIONS(13764),
    [anon_sym_for] = ACTIONS(13764),
    [anon_sym_while] = ACTIONS(13764),
    [sym_break_statement] = ACTIONS(13764),
    [sym_continue_statement] = ACTIONS(13764),
    [anon_sym_return] = ACTIONS(13764),
    [anon_sym_const] = ACTIONS(13764),
    [anon_sym_global] = ACTIONS(13764),
    [anon_sym_local] = ACTIONS(13764),
    [anon_sym_LPAREN] = ACTIONS(13764),
    [anon_sym_COLON2] = ACTIONS(13764),
    [anon_sym_export] = ACTIONS(13764),
    [anon_sym_import] = ACTIONS(13764),
    [anon_sym_using] = ACTIONS(13764),
    [anon_sym_LBRACK] = ACTIONS(13764),
    [anon_sym_LF] = ACTIONS(13766),
    [anon_sym_in] = ACTIONS(13764),
    [anon_sym_LBRACE] = ACTIONS(13764),
    [anon_sym_DOLLAR] = ACTIONS(13764),
    [anon_sym_COLON_COLON] = ACTIONS(13764),
    [anon_sym_isa] = ACTIONS(13764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13764),
    [anon_sym_QMARK] = ACTIONS(13764),
    [anon_sym_AT] = ACTIONS(13764),
    [anon_sym_true] = ACTIONS(13764),
    [anon_sym_false] = ACTIONS(13764),
    [aux_sym_integer_literal_token1] = ACTIONS(13764),
    [aux_sym_integer_literal_token2] = ACTIONS(13764),
    [aux_sym_integer_literal_token3] = ACTIONS(13764),
    [aux_sym_integer_literal_token4] = ACTIONS(13764),
    [aux_sym_float_literal_token1] = ACTIONS(13764),
    [aux_sym_float_literal_token3] = ACTIONS(13764),
    [aux_sym_float_literal_token4] = ACTIONS(13764),
    [sym_character_literal] = ACTIONS(13764),
    [sym__pair_operator] = ACTIONS(13764),
    [sym__arrow_operator] = ACTIONS(13764),
    [sym__lazy_or_operator] = ACTIONS(13764),
    [sym__lazy_and_operator] = ACTIONS(13764),
    [sym__comparison_operator] = ACTIONS(13764),
    [sym__pipe_right_operator] = ACTIONS(13764),
    [sym__pipe_left_operator] = ACTIONS(13764),
    [sym__ellipsis_operator] = ACTIONS(13764),
    [sym__plus_operator] = ACTIONS(13764),
    [sym__times_operator] = ACTIONS(13764),
    [sym__rational_operator] = ACTIONS(13764),
    [sym__bitshift_operator] = ACTIONS(13764),
    [sym__power_operator] = ACTIONS(13764),
    [sym__tilde_operator] = ACTIONS(13764),
    [sym__type_order_operator] = ACTIONS(13764),
    [sym__unary_operator] = ACTIONS(13764),
    [sym__unary_plus_operator] = ACTIONS(13764),
    [aux_sym__terminator_token1] = ACTIONS(13764),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13766),
    [sym__command_start] = ACTIONS(13766),
  },
  [8391] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12552),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8392] = {
    [sym__word_identifier] = ACTIONS(13748),
    [anon_sym_EQ] = ACTIONS(13748),
    [anon_sym_COMMA] = ACTIONS(13748),
    [anon_sym_COLON] = ACTIONS(13748),
    [anon_sym_begin] = ACTIONS(13748),
    [anon_sym_module] = ACTIONS(13748),
    [anon_sym_baremodule] = ACTIONS(13748),
    [anon_sym_end] = ACTIONS(13748),
    [anon_sym_abstract] = ACTIONS(13748),
    [anon_sym_primitive] = ACTIONS(13748),
    [anon_sym_mutable] = ACTIONS(13748),
    [anon_sym_struct] = ACTIONS(13748),
    [anon_sym_function] = ACTIONS(13748),
    [anon_sym_macro] = ACTIONS(13748),
    [anon_sym_where] = ACTIONS(13748),
    [anon_sym_quote] = ACTIONS(13748),
    [anon_sym_let] = ACTIONS(13748),
    [anon_sym_if] = ACTIONS(13748),
    [anon_sym_try] = ACTIONS(13748),
    [anon_sym_finally] = ACTIONS(13748),
    [anon_sym_for] = ACTIONS(13748),
    [anon_sym_while] = ACTIONS(13748),
    [sym_break_statement] = ACTIONS(13748),
    [sym_continue_statement] = ACTIONS(13748),
    [anon_sym_return] = ACTIONS(13748),
    [anon_sym_const] = ACTIONS(13748),
    [anon_sym_global] = ACTIONS(13748),
    [anon_sym_local] = ACTIONS(13748),
    [anon_sym_LPAREN] = ACTIONS(13748),
    [anon_sym_COLON2] = ACTIONS(13748),
    [anon_sym_export] = ACTIONS(13748),
    [anon_sym_import] = ACTIONS(13748),
    [anon_sym_using] = ACTIONS(13748),
    [anon_sym_LBRACK] = ACTIONS(13748),
    [anon_sym_LF] = ACTIONS(13750),
    [anon_sym_in] = ACTIONS(13748),
    [anon_sym_LBRACE] = ACTIONS(13748),
    [anon_sym_DOLLAR] = ACTIONS(13748),
    [anon_sym_COLON_COLON] = ACTIONS(13748),
    [anon_sym_isa] = ACTIONS(13748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13748),
    [anon_sym_QMARK] = ACTIONS(13748),
    [anon_sym_AT] = ACTIONS(13748),
    [anon_sym_true] = ACTIONS(13748),
    [anon_sym_false] = ACTIONS(13748),
    [aux_sym_integer_literal_token1] = ACTIONS(13748),
    [aux_sym_integer_literal_token2] = ACTIONS(13748),
    [aux_sym_integer_literal_token3] = ACTIONS(13748),
    [aux_sym_integer_literal_token4] = ACTIONS(13748),
    [aux_sym_float_literal_token1] = ACTIONS(13748),
    [aux_sym_float_literal_token3] = ACTIONS(13748),
    [aux_sym_float_literal_token4] = ACTIONS(13748),
    [sym_character_literal] = ACTIONS(13748),
    [sym__pair_operator] = ACTIONS(13748),
    [sym__arrow_operator] = ACTIONS(13748),
    [sym__lazy_or_operator] = ACTIONS(13748),
    [sym__lazy_and_operator] = ACTIONS(13748),
    [sym__comparison_operator] = ACTIONS(13748),
    [sym__pipe_right_operator] = ACTIONS(13748),
    [sym__pipe_left_operator] = ACTIONS(13748),
    [sym__ellipsis_operator] = ACTIONS(13748),
    [sym__plus_operator] = ACTIONS(13748),
    [sym__times_operator] = ACTIONS(13748),
    [sym__rational_operator] = ACTIONS(13748),
    [sym__bitshift_operator] = ACTIONS(13748),
    [sym__power_operator] = ACTIONS(13748),
    [sym__tilde_operator] = ACTIONS(13748),
    [sym__type_order_operator] = ACTIONS(13748),
    [sym__unary_operator] = ACTIONS(13748),
    [sym__unary_plus_operator] = ACTIONS(13748),
    [aux_sym__terminator_token1] = ACTIONS(13748),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13750),
    [sym__command_start] = ACTIONS(13750),
  },
  [8393] = {
    [sym__word_identifier] = ACTIONS(13740),
    [anon_sym_EQ] = ACTIONS(13740),
    [anon_sym_COMMA] = ACTIONS(13740),
    [anon_sym_COLON] = ACTIONS(13740),
    [anon_sym_begin] = ACTIONS(13740),
    [anon_sym_module] = ACTIONS(13740),
    [anon_sym_baremodule] = ACTIONS(13740),
    [anon_sym_end] = ACTIONS(13740),
    [anon_sym_abstract] = ACTIONS(13740),
    [anon_sym_primitive] = ACTIONS(13740),
    [anon_sym_mutable] = ACTIONS(13740),
    [anon_sym_struct] = ACTIONS(13740),
    [anon_sym_function] = ACTIONS(13740),
    [anon_sym_macro] = ACTIONS(13740),
    [anon_sym_where] = ACTIONS(13740),
    [anon_sym_quote] = ACTIONS(13740),
    [anon_sym_let] = ACTIONS(13740),
    [anon_sym_if] = ACTIONS(13740),
    [anon_sym_try] = ACTIONS(13740),
    [anon_sym_finally] = ACTIONS(13740),
    [anon_sym_for] = ACTIONS(13740),
    [anon_sym_while] = ACTIONS(13740),
    [sym_break_statement] = ACTIONS(13740),
    [sym_continue_statement] = ACTIONS(13740),
    [anon_sym_return] = ACTIONS(13740),
    [anon_sym_const] = ACTIONS(13740),
    [anon_sym_global] = ACTIONS(13740),
    [anon_sym_local] = ACTIONS(13740),
    [anon_sym_LPAREN] = ACTIONS(13740),
    [anon_sym_COLON2] = ACTIONS(13740),
    [anon_sym_export] = ACTIONS(13740),
    [anon_sym_import] = ACTIONS(13740),
    [anon_sym_using] = ACTIONS(13740),
    [anon_sym_LBRACK] = ACTIONS(13740),
    [anon_sym_LF] = ACTIONS(13742),
    [anon_sym_in] = ACTIONS(13740),
    [anon_sym_LBRACE] = ACTIONS(13740),
    [anon_sym_DOLLAR] = ACTIONS(13740),
    [anon_sym_COLON_COLON] = ACTIONS(13740),
    [anon_sym_isa] = ACTIONS(13740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13740),
    [anon_sym_QMARK] = ACTIONS(13740),
    [anon_sym_AT] = ACTIONS(13740),
    [anon_sym_true] = ACTIONS(13740),
    [anon_sym_false] = ACTIONS(13740),
    [aux_sym_integer_literal_token1] = ACTIONS(13740),
    [aux_sym_integer_literal_token2] = ACTIONS(13740),
    [aux_sym_integer_literal_token3] = ACTIONS(13740),
    [aux_sym_integer_literal_token4] = ACTIONS(13740),
    [aux_sym_float_literal_token1] = ACTIONS(13740),
    [aux_sym_float_literal_token3] = ACTIONS(13740),
    [aux_sym_float_literal_token4] = ACTIONS(13740),
    [sym_character_literal] = ACTIONS(13740),
    [sym__pair_operator] = ACTIONS(13740),
    [sym__arrow_operator] = ACTIONS(13740),
    [sym__lazy_or_operator] = ACTIONS(13740),
    [sym__lazy_and_operator] = ACTIONS(13740),
    [sym__comparison_operator] = ACTIONS(13740),
    [sym__pipe_right_operator] = ACTIONS(13740),
    [sym__pipe_left_operator] = ACTIONS(13740),
    [sym__ellipsis_operator] = ACTIONS(13740),
    [sym__plus_operator] = ACTIONS(13740),
    [sym__times_operator] = ACTIONS(13740),
    [sym__rational_operator] = ACTIONS(13740),
    [sym__bitshift_operator] = ACTIONS(13740),
    [sym__power_operator] = ACTIONS(13740),
    [sym__tilde_operator] = ACTIONS(13740),
    [sym__type_order_operator] = ACTIONS(13740),
    [sym__unary_operator] = ACTIONS(13740),
    [sym__unary_plus_operator] = ACTIONS(13740),
    [aux_sym__terminator_token1] = ACTIONS(13740),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13742),
    [sym__command_start] = ACTIONS(13742),
  },
  [8394] = {
    [sym__word_identifier] = ACTIONS(13736),
    [anon_sym_EQ] = ACTIONS(13736),
    [anon_sym_COMMA] = ACTIONS(13736),
    [anon_sym_COLON] = ACTIONS(13736),
    [anon_sym_begin] = ACTIONS(13736),
    [anon_sym_module] = ACTIONS(13736),
    [anon_sym_baremodule] = ACTIONS(13736),
    [anon_sym_end] = ACTIONS(13736),
    [anon_sym_abstract] = ACTIONS(13736),
    [anon_sym_primitive] = ACTIONS(13736),
    [anon_sym_mutable] = ACTIONS(13736),
    [anon_sym_struct] = ACTIONS(13736),
    [anon_sym_function] = ACTIONS(13736),
    [anon_sym_macro] = ACTIONS(13736),
    [anon_sym_where] = ACTIONS(13736),
    [anon_sym_quote] = ACTIONS(13736),
    [anon_sym_let] = ACTIONS(13736),
    [anon_sym_if] = ACTIONS(13736),
    [anon_sym_try] = ACTIONS(13736),
    [anon_sym_finally] = ACTIONS(13736),
    [anon_sym_for] = ACTIONS(13736),
    [anon_sym_while] = ACTIONS(13736),
    [sym_break_statement] = ACTIONS(13736),
    [sym_continue_statement] = ACTIONS(13736),
    [anon_sym_return] = ACTIONS(13736),
    [anon_sym_const] = ACTIONS(13736),
    [anon_sym_global] = ACTIONS(13736),
    [anon_sym_local] = ACTIONS(13736),
    [anon_sym_LPAREN] = ACTIONS(13736),
    [anon_sym_COLON2] = ACTIONS(13736),
    [anon_sym_export] = ACTIONS(13736),
    [anon_sym_import] = ACTIONS(13736),
    [anon_sym_using] = ACTIONS(13736),
    [anon_sym_LBRACK] = ACTIONS(13736),
    [anon_sym_LF] = ACTIONS(13738),
    [anon_sym_in] = ACTIONS(13736),
    [anon_sym_LBRACE] = ACTIONS(13736),
    [anon_sym_DOLLAR] = ACTIONS(13736),
    [anon_sym_COLON_COLON] = ACTIONS(13736),
    [anon_sym_isa] = ACTIONS(13736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13736),
    [anon_sym_QMARK] = ACTIONS(13736),
    [anon_sym_AT] = ACTIONS(13736),
    [anon_sym_true] = ACTIONS(13736),
    [anon_sym_false] = ACTIONS(13736),
    [aux_sym_integer_literal_token1] = ACTIONS(13736),
    [aux_sym_integer_literal_token2] = ACTIONS(13736),
    [aux_sym_integer_literal_token3] = ACTIONS(13736),
    [aux_sym_integer_literal_token4] = ACTIONS(13736),
    [aux_sym_float_literal_token1] = ACTIONS(13736),
    [aux_sym_float_literal_token3] = ACTIONS(13736),
    [aux_sym_float_literal_token4] = ACTIONS(13736),
    [sym_character_literal] = ACTIONS(13736),
    [sym__pair_operator] = ACTIONS(13736),
    [sym__arrow_operator] = ACTIONS(13736),
    [sym__lazy_or_operator] = ACTIONS(13736),
    [sym__lazy_and_operator] = ACTIONS(13736),
    [sym__comparison_operator] = ACTIONS(13736),
    [sym__pipe_right_operator] = ACTIONS(13736),
    [sym__pipe_left_operator] = ACTIONS(13736),
    [sym__ellipsis_operator] = ACTIONS(13736),
    [sym__plus_operator] = ACTIONS(13736),
    [sym__times_operator] = ACTIONS(13736),
    [sym__rational_operator] = ACTIONS(13736),
    [sym__bitshift_operator] = ACTIONS(13736),
    [sym__power_operator] = ACTIONS(13736),
    [sym__tilde_operator] = ACTIONS(13736),
    [sym__type_order_operator] = ACTIONS(13736),
    [sym__unary_operator] = ACTIONS(13736),
    [sym__unary_plus_operator] = ACTIONS(13736),
    [aux_sym__terminator_token1] = ACTIONS(13736),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13738),
    [sym__command_start] = ACTIONS(13738),
  },
  [8395] = {
    [sym__word_identifier] = ACTIONS(13698),
    [anon_sym_EQ] = ACTIONS(13698),
    [anon_sym_COMMA] = ACTIONS(13698),
    [anon_sym_COLON] = ACTIONS(13698),
    [anon_sym_begin] = ACTIONS(13698),
    [anon_sym_module] = ACTIONS(13698),
    [anon_sym_baremodule] = ACTIONS(13698),
    [anon_sym_end] = ACTIONS(13698),
    [anon_sym_abstract] = ACTIONS(13698),
    [anon_sym_primitive] = ACTIONS(13698),
    [anon_sym_mutable] = ACTIONS(13698),
    [anon_sym_struct] = ACTIONS(13698),
    [anon_sym_function] = ACTIONS(13698),
    [anon_sym_macro] = ACTIONS(13698),
    [anon_sym_where] = ACTIONS(13698),
    [anon_sym_quote] = ACTIONS(13698),
    [anon_sym_let] = ACTIONS(13698),
    [anon_sym_if] = ACTIONS(13698),
    [anon_sym_try] = ACTIONS(13698),
    [anon_sym_finally] = ACTIONS(13698),
    [anon_sym_for] = ACTIONS(13698),
    [anon_sym_while] = ACTIONS(13698),
    [sym_break_statement] = ACTIONS(13698),
    [sym_continue_statement] = ACTIONS(13698),
    [anon_sym_return] = ACTIONS(13698),
    [anon_sym_const] = ACTIONS(13698),
    [anon_sym_global] = ACTIONS(13698),
    [anon_sym_local] = ACTIONS(13698),
    [anon_sym_LPAREN] = ACTIONS(13698),
    [anon_sym_COLON2] = ACTIONS(13698),
    [anon_sym_export] = ACTIONS(13698),
    [anon_sym_import] = ACTIONS(13698),
    [anon_sym_using] = ACTIONS(13698),
    [anon_sym_LBRACK] = ACTIONS(13698),
    [anon_sym_LF] = ACTIONS(13700),
    [anon_sym_in] = ACTIONS(13698),
    [anon_sym_LBRACE] = ACTIONS(13698),
    [anon_sym_DOLLAR] = ACTIONS(13698),
    [anon_sym_COLON_COLON] = ACTIONS(13698),
    [anon_sym_isa] = ACTIONS(13698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13698),
    [anon_sym_QMARK] = ACTIONS(13698),
    [anon_sym_AT] = ACTIONS(13698),
    [anon_sym_true] = ACTIONS(13698),
    [anon_sym_false] = ACTIONS(13698),
    [aux_sym_integer_literal_token1] = ACTIONS(13698),
    [aux_sym_integer_literal_token2] = ACTIONS(13698),
    [aux_sym_integer_literal_token3] = ACTIONS(13698),
    [aux_sym_integer_literal_token4] = ACTIONS(13698),
    [aux_sym_float_literal_token1] = ACTIONS(13698),
    [aux_sym_float_literal_token3] = ACTIONS(13698),
    [aux_sym_float_literal_token4] = ACTIONS(13698),
    [sym_character_literal] = ACTIONS(13698),
    [sym__pair_operator] = ACTIONS(13698),
    [sym__arrow_operator] = ACTIONS(13698),
    [sym__lazy_or_operator] = ACTIONS(13698),
    [sym__lazy_and_operator] = ACTIONS(13698),
    [sym__comparison_operator] = ACTIONS(13698),
    [sym__pipe_right_operator] = ACTIONS(13698),
    [sym__pipe_left_operator] = ACTIONS(13698),
    [sym__ellipsis_operator] = ACTIONS(13698),
    [sym__plus_operator] = ACTIONS(13698),
    [sym__times_operator] = ACTIONS(13698),
    [sym__rational_operator] = ACTIONS(13698),
    [sym__bitshift_operator] = ACTIONS(13698),
    [sym__power_operator] = ACTIONS(13698),
    [sym__tilde_operator] = ACTIONS(13698),
    [sym__type_order_operator] = ACTIONS(13698),
    [sym__unary_operator] = ACTIONS(13698),
    [sym__unary_plus_operator] = ACTIONS(13698),
    [aux_sym__terminator_token1] = ACTIONS(13698),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13700),
    [sym__command_start] = ACTIONS(13700),
  },
  [8396] = {
    [sym__word_identifier] = ACTIONS(13259),
    [anon_sym_EQ] = ACTIONS(13259),
    [anon_sym_COMMA] = ACTIONS(13259),
    [anon_sym_COLON] = ACTIONS(13259),
    [anon_sym_begin] = ACTIONS(13259),
    [anon_sym_module] = ACTIONS(13259),
    [anon_sym_baremodule] = ACTIONS(13259),
    [anon_sym_abstract] = ACTIONS(13259),
    [anon_sym_primitive] = ACTIONS(13259),
    [anon_sym_mutable] = ACTIONS(13259),
    [anon_sym_struct] = ACTIONS(13259),
    [anon_sym_function] = ACTIONS(13259),
    [anon_sym_macro] = ACTIONS(13259),
    [anon_sym_where] = ACTIONS(13259),
    [anon_sym_quote] = ACTIONS(13259),
    [anon_sym_let] = ACTIONS(13259),
    [anon_sym_if] = ACTIONS(13259),
    [anon_sym_try] = ACTIONS(13259),
    [anon_sym_catch] = ACTIONS(13259),
    [anon_sym_finally] = ACTIONS(13259),
    [anon_sym_for] = ACTIONS(13259),
    [anon_sym_while] = ACTIONS(13259),
    [sym_break_statement] = ACTIONS(13259),
    [sym_continue_statement] = ACTIONS(13259),
    [anon_sym_return] = ACTIONS(13259),
    [anon_sym_const] = ACTIONS(13259),
    [anon_sym_global] = ACTIONS(13259),
    [anon_sym_local] = ACTIONS(13259),
    [anon_sym_LPAREN] = ACTIONS(13259),
    [anon_sym_COLON2] = ACTIONS(13259),
    [anon_sym_export] = ACTIONS(13259),
    [anon_sym_import] = ACTIONS(13259),
    [anon_sym_using] = ACTIONS(13259),
    [anon_sym_LBRACK] = ACTIONS(13259),
    [anon_sym_LF] = ACTIONS(13261),
    [anon_sym_in] = ACTIONS(13259),
    [anon_sym_LBRACE] = ACTIONS(13259),
    [anon_sym_DOLLAR] = ACTIONS(13259),
    [anon_sym_COLON_COLON] = ACTIONS(13259),
    [anon_sym_isa] = ACTIONS(13259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13259),
    [anon_sym_QMARK] = ACTIONS(13259),
    [anon_sym_AT] = ACTIONS(13259),
    [anon_sym_true] = ACTIONS(13259),
    [anon_sym_false] = ACTIONS(13259),
    [aux_sym_integer_literal_token1] = ACTIONS(13259),
    [aux_sym_integer_literal_token2] = ACTIONS(13259),
    [aux_sym_integer_literal_token3] = ACTIONS(13259),
    [aux_sym_integer_literal_token4] = ACTIONS(13259),
    [aux_sym_float_literal_token1] = ACTIONS(13259),
    [aux_sym_float_literal_token3] = ACTIONS(13259),
    [aux_sym_float_literal_token4] = ACTIONS(13259),
    [sym_character_literal] = ACTIONS(13259),
    [sym__pair_operator] = ACTIONS(13259),
    [sym__arrow_operator] = ACTIONS(13259),
    [sym__lazy_or_operator] = ACTIONS(13259),
    [sym__lazy_and_operator] = ACTIONS(13259),
    [sym__comparison_operator] = ACTIONS(13259),
    [sym__pipe_right_operator] = ACTIONS(13259),
    [sym__pipe_left_operator] = ACTIONS(13259),
    [sym__ellipsis_operator] = ACTIONS(13259),
    [sym__plus_operator] = ACTIONS(13259),
    [sym__times_operator] = ACTIONS(13259),
    [sym__rational_operator] = ACTIONS(13259),
    [sym__bitshift_operator] = ACTIONS(13259),
    [sym__power_operator] = ACTIONS(13259),
    [sym__tilde_operator] = ACTIONS(13259),
    [sym__type_order_operator] = ACTIONS(13259),
    [sym__unary_operator] = ACTIONS(13259),
    [sym__unary_plus_operator] = ACTIONS(13259),
    [aux_sym__terminator_token1] = ACTIONS(13259),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13261),
    [sym__command_start] = ACTIONS(13261),
  },
  [8397] = {
    [sym__word_identifier] = ACTIONS(13656),
    [anon_sym_EQ] = ACTIONS(13656),
    [anon_sym_COMMA] = ACTIONS(13658),
    [anon_sym_COLON] = ACTIONS(13656),
    [anon_sym_begin] = ACTIONS(13656),
    [anon_sym_module] = ACTIONS(13656),
    [anon_sym_baremodule] = ACTIONS(13656),
    [anon_sym_abstract] = ACTIONS(13656),
    [anon_sym_primitive] = ACTIONS(13656),
    [anon_sym_mutable] = ACTIONS(13656),
    [anon_sym_struct] = ACTIONS(13656),
    [anon_sym_function] = ACTIONS(13656),
    [anon_sym_macro] = ACTIONS(13656),
    [anon_sym_where] = ACTIONS(13656),
    [anon_sym_quote] = ACTIONS(13656),
    [anon_sym_let] = ACTIONS(13656),
    [anon_sym_if] = ACTIONS(13656),
    [anon_sym_try] = ACTIONS(13656),
    [anon_sym_for] = ACTIONS(13656),
    [anon_sym_while] = ACTIONS(13656),
    [sym_break_statement] = ACTIONS(13656),
    [sym_continue_statement] = ACTIONS(13656),
    [anon_sym_return] = ACTIONS(13656),
    [anon_sym_const] = ACTIONS(13656),
    [anon_sym_global] = ACTIONS(13656),
    [anon_sym_local] = ACTIONS(13656),
    [anon_sym_LPAREN] = ACTIONS(13658),
    [anon_sym_RPAREN] = ACTIONS(13658),
    [anon_sym_COLON2] = ACTIONS(13656),
    [anon_sym_export] = ACTIONS(13656),
    [anon_sym_import] = ACTIONS(13656),
    [anon_sym_using] = ACTIONS(13656),
    [anon_sym_LBRACK] = ACTIONS(13658),
    [anon_sym_RBRACK] = ACTIONS(13658),
    [anon_sym_in] = ACTIONS(13656),
    [anon_sym_SEMI] = ACTIONS(13658),
    [anon_sym_LBRACE] = ACTIONS(13658),
    [anon_sym_RBRACE] = ACTIONS(13658),
    [anon_sym_DOLLAR] = ACTIONS(13658),
    [anon_sym_COLON_COLON] = ACTIONS(13658),
    [anon_sym_isa] = ACTIONS(13656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13658),
    [anon_sym_QMARK] = ACTIONS(13658),
    [anon_sym_AT] = ACTIONS(13658),
    [anon_sym_true] = ACTIONS(13656),
    [anon_sym_false] = ACTIONS(13656),
    [aux_sym_integer_literal_token1] = ACTIONS(13658),
    [aux_sym_integer_literal_token2] = ACTIONS(13658),
    [aux_sym_integer_literal_token3] = ACTIONS(13656),
    [aux_sym_integer_literal_token4] = ACTIONS(13656),
    [aux_sym_float_literal_token1] = ACTIONS(13658),
    [aux_sym_float_literal_token3] = ACTIONS(13658),
    [aux_sym_float_literal_token4] = ACTIONS(13658),
    [sym_character_literal] = ACTIONS(13658),
    [sym__pair_operator] = ACTIONS(13658),
    [sym__arrow_operator] = ACTIONS(13656),
    [sym__lazy_or_operator] = ACTIONS(13658),
    [sym__lazy_and_operator] = ACTIONS(13658),
    [sym__comparison_operator] = ACTIONS(13656),
    [sym__pipe_right_operator] = ACTIONS(13658),
    [sym__pipe_left_operator] = ACTIONS(13658),
    [sym__ellipsis_operator] = ACTIONS(13656),
    [sym__plus_operator] = ACTIONS(13656),
    [sym__times_operator] = ACTIONS(13656),
    [sym__rational_operator] = ACTIONS(13658),
    [sym__bitshift_operator] = ACTIONS(13658),
    [sym__power_operator] = ACTIONS(13658),
    [sym__tilde_operator] = ACTIONS(13658),
    [sym__type_order_operator] = ACTIONS(13658),
    [sym__unary_operator] = ACTIONS(13656),
    [sym__unary_plus_operator] = ACTIONS(13656),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13658),
    [sym__command_start] = ACTIONS(13658),
  },
  [8398] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13060),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13060),
    [anon_sym_RPAREN] = ACTIONS(13060),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13060),
    [anon_sym_RBRACK] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_SEMI] = ACTIONS(13060),
    [anon_sym_LBRACE] = ACTIONS(13060),
    [anon_sym_RBRACE] = ACTIONS(13060),
    [anon_sym_DOLLAR] = ACTIONS(13060),
    [anon_sym_COLON_COLON] = ACTIONS(13060),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13060),
    [anon_sym_QMARK] = ACTIONS(13060),
    [anon_sym_AT] = ACTIONS(13060),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13060),
    [aux_sym_integer_literal_token2] = ACTIONS(13060),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13060),
    [aux_sym_float_literal_token3] = ACTIONS(13060),
    [aux_sym_float_literal_token4] = ACTIONS(13060),
    [sym_character_literal] = ACTIONS(13060),
    [sym__pair_operator] = ACTIONS(13060),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13060),
    [sym__lazy_and_operator] = ACTIONS(13060),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13060),
    [sym__pipe_left_operator] = ACTIONS(13060),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13060),
    [sym__bitshift_operator] = ACTIONS(13060),
    [sym__power_operator] = ACTIONS(13060),
    [sym__tilde_operator] = ACTIONS(13060),
    [sym__type_order_operator] = ACTIONS(13060),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8399] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_else] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_finally] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8400] = {
    [sym__word_identifier] = ACTIONS(13660),
    [anon_sym_EQ] = ACTIONS(13660),
    [anon_sym_COMMA] = ACTIONS(13662),
    [anon_sym_COLON] = ACTIONS(13660),
    [anon_sym_begin] = ACTIONS(13660),
    [anon_sym_module] = ACTIONS(13660),
    [anon_sym_baremodule] = ACTIONS(13660),
    [anon_sym_abstract] = ACTIONS(13660),
    [anon_sym_primitive] = ACTIONS(13660),
    [anon_sym_mutable] = ACTIONS(13660),
    [anon_sym_struct] = ACTIONS(13660),
    [anon_sym_function] = ACTIONS(13660),
    [anon_sym_macro] = ACTIONS(13660),
    [anon_sym_where] = ACTIONS(13660),
    [anon_sym_quote] = ACTIONS(13660),
    [anon_sym_let] = ACTIONS(13660),
    [anon_sym_if] = ACTIONS(13660),
    [anon_sym_try] = ACTIONS(13660),
    [anon_sym_for] = ACTIONS(13660),
    [anon_sym_while] = ACTIONS(13660),
    [sym_break_statement] = ACTIONS(13660),
    [sym_continue_statement] = ACTIONS(13660),
    [anon_sym_return] = ACTIONS(13660),
    [anon_sym_const] = ACTIONS(13660),
    [anon_sym_global] = ACTIONS(13660),
    [anon_sym_local] = ACTIONS(13660),
    [anon_sym_LPAREN] = ACTIONS(13662),
    [anon_sym_RPAREN] = ACTIONS(13662),
    [anon_sym_COLON2] = ACTIONS(13660),
    [anon_sym_export] = ACTIONS(13660),
    [anon_sym_import] = ACTIONS(13660),
    [anon_sym_using] = ACTIONS(13660),
    [anon_sym_LBRACK] = ACTIONS(13662),
    [anon_sym_RBRACK] = ACTIONS(13662),
    [anon_sym_in] = ACTIONS(13660),
    [anon_sym_SEMI] = ACTIONS(13662),
    [anon_sym_LBRACE] = ACTIONS(13662),
    [anon_sym_RBRACE] = ACTIONS(13662),
    [anon_sym_DOLLAR] = ACTIONS(13662),
    [anon_sym_COLON_COLON] = ACTIONS(13662),
    [anon_sym_isa] = ACTIONS(13660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13662),
    [anon_sym_QMARK] = ACTIONS(13662),
    [anon_sym_AT] = ACTIONS(13662),
    [anon_sym_true] = ACTIONS(13660),
    [anon_sym_false] = ACTIONS(13660),
    [aux_sym_integer_literal_token1] = ACTIONS(13662),
    [aux_sym_integer_literal_token2] = ACTIONS(13662),
    [aux_sym_integer_literal_token3] = ACTIONS(13660),
    [aux_sym_integer_literal_token4] = ACTIONS(13660),
    [aux_sym_float_literal_token1] = ACTIONS(13662),
    [aux_sym_float_literal_token3] = ACTIONS(13662),
    [aux_sym_float_literal_token4] = ACTIONS(13662),
    [sym_character_literal] = ACTIONS(13662),
    [sym__pair_operator] = ACTIONS(13662),
    [sym__arrow_operator] = ACTIONS(13660),
    [sym__lazy_or_operator] = ACTIONS(13662),
    [sym__lazy_and_operator] = ACTIONS(13662),
    [sym__comparison_operator] = ACTIONS(13660),
    [sym__pipe_right_operator] = ACTIONS(13662),
    [sym__pipe_left_operator] = ACTIONS(13662),
    [sym__ellipsis_operator] = ACTIONS(13660),
    [sym__plus_operator] = ACTIONS(13660),
    [sym__times_operator] = ACTIONS(13660),
    [sym__rational_operator] = ACTIONS(13662),
    [sym__bitshift_operator] = ACTIONS(13662),
    [sym__power_operator] = ACTIONS(13662),
    [sym__tilde_operator] = ACTIONS(13662),
    [sym__type_order_operator] = ACTIONS(13662),
    [sym__unary_operator] = ACTIONS(13660),
    [sym__unary_plus_operator] = ACTIONS(13660),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13662),
    [sym__command_start] = ACTIONS(13662),
  },
  [8401] = {
    [sym__word_identifier] = ACTIONS(13684),
    [anon_sym_EQ] = ACTIONS(13684),
    [anon_sym_COMMA] = ACTIONS(13686),
    [anon_sym_COLON] = ACTIONS(13684),
    [anon_sym_begin] = ACTIONS(13684),
    [anon_sym_module] = ACTIONS(13684),
    [anon_sym_baremodule] = ACTIONS(13684),
    [anon_sym_abstract] = ACTIONS(13684),
    [anon_sym_primitive] = ACTIONS(13684),
    [anon_sym_mutable] = ACTIONS(13684),
    [anon_sym_struct] = ACTIONS(13684),
    [anon_sym_function] = ACTIONS(13684),
    [anon_sym_macro] = ACTIONS(13684),
    [anon_sym_where] = ACTIONS(13684),
    [anon_sym_quote] = ACTIONS(13684),
    [anon_sym_let] = ACTIONS(13684),
    [anon_sym_if] = ACTIONS(13684),
    [anon_sym_try] = ACTIONS(13684),
    [anon_sym_for] = ACTIONS(13684),
    [anon_sym_while] = ACTIONS(13684),
    [sym_break_statement] = ACTIONS(13684),
    [sym_continue_statement] = ACTIONS(13684),
    [anon_sym_return] = ACTIONS(13684),
    [anon_sym_const] = ACTIONS(13684),
    [anon_sym_global] = ACTIONS(13684),
    [anon_sym_local] = ACTIONS(13684),
    [anon_sym_LPAREN] = ACTIONS(13686),
    [anon_sym_RPAREN] = ACTIONS(13686),
    [anon_sym_COLON2] = ACTIONS(13684),
    [anon_sym_export] = ACTIONS(13684),
    [anon_sym_import] = ACTIONS(13684),
    [anon_sym_using] = ACTIONS(13684),
    [anon_sym_LBRACK] = ACTIONS(13686),
    [anon_sym_RBRACK] = ACTIONS(13686),
    [anon_sym_in] = ACTIONS(13684),
    [anon_sym_SEMI] = ACTIONS(13686),
    [anon_sym_LBRACE] = ACTIONS(13686),
    [anon_sym_RBRACE] = ACTIONS(13686),
    [anon_sym_DOLLAR] = ACTIONS(13686),
    [anon_sym_COLON_COLON] = ACTIONS(13686),
    [anon_sym_isa] = ACTIONS(13684),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13686),
    [anon_sym_QMARK] = ACTIONS(13686),
    [anon_sym_AT] = ACTIONS(13686),
    [anon_sym_true] = ACTIONS(13684),
    [anon_sym_false] = ACTIONS(13684),
    [aux_sym_integer_literal_token1] = ACTIONS(13686),
    [aux_sym_integer_literal_token2] = ACTIONS(13686),
    [aux_sym_integer_literal_token3] = ACTIONS(13684),
    [aux_sym_integer_literal_token4] = ACTIONS(13684),
    [aux_sym_float_literal_token1] = ACTIONS(13686),
    [aux_sym_float_literal_token3] = ACTIONS(13686),
    [aux_sym_float_literal_token4] = ACTIONS(13686),
    [sym_character_literal] = ACTIONS(13686),
    [sym__pair_operator] = ACTIONS(13686),
    [sym__arrow_operator] = ACTIONS(13684),
    [sym__lazy_or_operator] = ACTIONS(13686),
    [sym__lazy_and_operator] = ACTIONS(13686),
    [sym__comparison_operator] = ACTIONS(13684),
    [sym__pipe_right_operator] = ACTIONS(13686),
    [sym__pipe_left_operator] = ACTIONS(13686),
    [sym__ellipsis_operator] = ACTIONS(13684),
    [sym__plus_operator] = ACTIONS(13684),
    [sym__times_operator] = ACTIONS(13684),
    [sym__rational_operator] = ACTIONS(13686),
    [sym__bitshift_operator] = ACTIONS(13686),
    [sym__power_operator] = ACTIONS(13686),
    [sym__tilde_operator] = ACTIONS(13686),
    [sym__type_order_operator] = ACTIONS(13686),
    [sym__unary_operator] = ACTIONS(13684),
    [sym__unary_plus_operator] = ACTIONS(13684),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13686),
    [sym__command_start] = ACTIONS(13686),
  },
  [8402] = {
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13242),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_finally] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13242),
    [anon_sym_isa] = ACTIONS(13242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13242),
    [anon_sym_QMARK] = ACTIONS(13242),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13242),
    [sym__lazy_or_operator] = ACTIONS(13242),
    [sym__lazy_and_operator] = ACTIONS(13242),
    [sym__comparison_operator] = ACTIONS(13242),
    [sym__pipe_right_operator] = ACTIONS(13242),
    [sym__pipe_left_operator] = ACTIONS(13242),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13242),
    [sym__times_operator] = ACTIONS(13242),
    [sym__rational_operator] = ACTIONS(13242),
    [sym__bitshift_operator] = ACTIONS(13242),
    [sym__power_operator] = ACTIONS(13242),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13242),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13242),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8403] = {
    [sym__word_identifier] = ACTIONS(14001),
    [anon_sym_EQ] = ACTIONS(14001),
    [anon_sym_COMMA] = ACTIONS(13999),
    [anon_sym_COLON] = ACTIONS(14001),
    [anon_sym_begin] = ACTIONS(14001),
    [anon_sym_module] = ACTIONS(14001),
    [anon_sym_baremodule] = ACTIONS(14001),
    [anon_sym_abstract] = ACTIONS(14001),
    [anon_sym_primitive] = ACTIONS(14001),
    [anon_sym_mutable] = ACTIONS(14001),
    [anon_sym_struct] = ACTIONS(14001),
    [anon_sym_function] = ACTIONS(14001),
    [anon_sym_macro] = ACTIONS(14001),
    [anon_sym_where] = ACTIONS(14001),
    [anon_sym_quote] = ACTIONS(14001),
    [anon_sym_let] = ACTIONS(14001),
    [anon_sym_if] = ACTIONS(14001),
    [anon_sym_try] = ACTIONS(14001),
    [anon_sym_for] = ACTIONS(14001),
    [anon_sym_while] = ACTIONS(14001),
    [sym_break_statement] = ACTIONS(14001),
    [sym_continue_statement] = ACTIONS(14001),
    [anon_sym_return] = ACTIONS(14001),
    [anon_sym_const] = ACTIONS(14001),
    [anon_sym_global] = ACTIONS(14001),
    [anon_sym_local] = ACTIONS(14001),
    [anon_sym_LPAREN] = ACTIONS(13999),
    [anon_sym_RPAREN] = ACTIONS(13999),
    [anon_sym_COLON2] = ACTIONS(14001),
    [anon_sym_export] = ACTIONS(14001),
    [anon_sym_import] = ACTIONS(14001),
    [anon_sym_using] = ACTIONS(14001),
    [anon_sym_LBRACK] = ACTIONS(13999),
    [anon_sym_RBRACK] = ACTIONS(13999),
    [anon_sym_in] = ACTIONS(14001),
    [anon_sym_SEMI] = ACTIONS(13999),
    [anon_sym_LBRACE] = ACTIONS(13999),
    [anon_sym_RBRACE] = ACTIONS(13999),
    [anon_sym_DOLLAR] = ACTIONS(13999),
    [anon_sym_COLON_COLON] = ACTIONS(13999),
    [anon_sym_isa] = ACTIONS(14001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13999),
    [anon_sym_QMARK] = ACTIONS(13999),
    [anon_sym_AT] = ACTIONS(13999),
    [anon_sym_true] = ACTIONS(14001),
    [anon_sym_false] = ACTIONS(14001),
    [aux_sym_integer_literal_token1] = ACTIONS(13999),
    [aux_sym_integer_literal_token2] = ACTIONS(13999),
    [aux_sym_integer_literal_token3] = ACTIONS(14001),
    [aux_sym_integer_literal_token4] = ACTIONS(14001),
    [aux_sym_float_literal_token1] = ACTIONS(13999),
    [aux_sym_float_literal_token3] = ACTIONS(13999),
    [aux_sym_float_literal_token4] = ACTIONS(13999),
    [sym_character_literal] = ACTIONS(13999),
    [sym__pair_operator] = ACTIONS(13999),
    [sym__arrow_operator] = ACTIONS(14001),
    [sym__lazy_or_operator] = ACTIONS(13999),
    [sym__lazy_and_operator] = ACTIONS(13999),
    [sym__comparison_operator] = ACTIONS(14001),
    [sym__pipe_right_operator] = ACTIONS(13999),
    [sym__pipe_left_operator] = ACTIONS(13999),
    [sym__ellipsis_operator] = ACTIONS(14001),
    [sym__plus_operator] = ACTIONS(14001),
    [sym__times_operator] = ACTIONS(14001),
    [sym__rational_operator] = ACTIONS(13999),
    [sym__bitshift_operator] = ACTIONS(13999),
    [sym__power_operator] = ACTIONS(13999),
    [sym__tilde_operator] = ACTIONS(13999),
    [sym__type_order_operator] = ACTIONS(13999),
    [sym__unary_operator] = ACTIONS(14001),
    [sym__unary_plus_operator] = ACTIONS(14001),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13999),
    [sym__command_start] = ACTIONS(13999),
  },
  [8404] = {
    [sym__word_identifier] = ACTIONS(13690),
    [anon_sym_EQ] = ACTIONS(13690),
    [anon_sym_COMMA] = ACTIONS(13692),
    [anon_sym_COLON] = ACTIONS(13690),
    [anon_sym_begin] = ACTIONS(13690),
    [anon_sym_module] = ACTIONS(13690),
    [anon_sym_baremodule] = ACTIONS(13690),
    [anon_sym_abstract] = ACTIONS(13690),
    [anon_sym_primitive] = ACTIONS(13690),
    [anon_sym_mutable] = ACTIONS(13690),
    [anon_sym_struct] = ACTIONS(13690),
    [anon_sym_function] = ACTIONS(13690),
    [anon_sym_macro] = ACTIONS(13690),
    [anon_sym_where] = ACTIONS(13690),
    [anon_sym_quote] = ACTIONS(13690),
    [anon_sym_let] = ACTIONS(13690),
    [anon_sym_if] = ACTIONS(13690),
    [anon_sym_try] = ACTIONS(13690),
    [anon_sym_for] = ACTIONS(13690),
    [anon_sym_while] = ACTIONS(13690),
    [sym_break_statement] = ACTIONS(13690),
    [sym_continue_statement] = ACTIONS(13690),
    [anon_sym_return] = ACTIONS(13690),
    [anon_sym_const] = ACTIONS(13690),
    [anon_sym_global] = ACTIONS(13690),
    [anon_sym_local] = ACTIONS(13690),
    [anon_sym_LPAREN] = ACTIONS(13692),
    [anon_sym_RPAREN] = ACTIONS(13692),
    [anon_sym_COLON2] = ACTIONS(13690),
    [anon_sym_export] = ACTIONS(13690),
    [anon_sym_import] = ACTIONS(13690),
    [anon_sym_using] = ACTIONS(13690),
    [anon_sym_LBRACK] = ACTIONS(13692),
    [anon_sym_RBRACK] = ACTIONS(13692),
    [anon_sym_in] = ACTIONS(13690),
    [anon_sym_SEMI] = ACTIONS(13692),
    [anon_sym_LBRACE] = ACTIONS(13692),
    [anon_sym_RBRACE] = ACTIONS(13692),
    [anon_sym_DOLLAR] = ACTIONS(13692),
    [anon_sym_COLON_COLON] = ACTIONS(13692),
    [anon_sym_isa] = ACTIONS(13690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13692),
    [anon_sym_QMARK] = ACTIONS(13692),
    [anon_sym_AT] = ACTIONS(13692),
    [anon_sym_true] = ACTIONS(13690),
    [anon_sym_false] = ACTIONS(13690),
    [aux_sym_integer_literal_token1] = ACTIONS(13692),
    [aux_sym_integer_literal_token2] = ACTIONS(13692),
    [aux_sym_integer_literal_token3] = ACTIONS(13690),
    [aux_sym_integer_literal_token4] = ACTIONS(13690),
    [aux_sym_float_literal_token1] = ACTIONS(13692),
    [aux_sym_float_literal_token3] = ACTIONS(13692),
    [aux_sym_float_literal_token4] = ACTIONS(13692),
    [sym_character_literal] = ACTIONS(13692),
    [sym__pair_operator] = ACTIONS(13692),
    [sym__arrow_operator] = ACTIONS(13690),
    [sym__lazy_or_operator] = ACTIONS(13692),
    [sym__lazy_and_operator] = ACTIONS(13692),
    [sym__comparison_operator] = ACTIONS(13690),
    [sym__pipe_right_operator] = ACTIONS(13692),
    [sym__pipe_left_operator] = ACTIONS(13692),
    [sym__ellipsis_operator] = ACTIONS(13690),
    [sym__plus_operator] = ACTIONS(13690),
    [sym__times_operator] = ACTIONS(13690),
    [sym__rational_operator] = ACTIONS(13692),
    [sym__bitshift_operator] = ACTIONS(13692),
    [sym__power_operator] = ACTIONS(13692),
    [sym__tilde_operator] = ACTIONS(13692),
    [sym__type_order_operator] = ACTIONS(13692),
    [sym__unary_operator] = ACTIONS(13690),
    [sym__unary_plus_operator] = ACTIONS(13690),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13692),
    [sym__command_start] = ACTIONS(13692),
  },
  [8405] = {
    [sym__word_identifier] = ACTIONS(13744),
    [anon_sym_EQ] = ACTIONS(13744),
    [anon_sym_COMMA] = ACTIONS(13746),
    [anon_sym_COLON] = ACTIONS(13744),
    [anon_sym_begin] = ACTIONS(13744),
    [anon_sym_module] = ACTIONS(13744),
    [anon_sym_baremodule] = ACTIONS(13744),
    [anon_sym_abstract] = ACTIONS(13744),
    [anon_sym_primitive] = ACTIONS(13744),
    [anon_sym_mutable] = ACTIONS(13744),
    [anon_sym_struct] = ACTIONS(13744),
    [anon_sym_function] = ACTIONS(13744),
    [anon_sym_macro] = ACTIONS(13744),
    [anon_sym_where] = ACTIONS(13744),
    [anon_sym_quote] = ACTIONS(13744),
    [anon_sym_let] = ACTIONS(13744),
    [anon_sym_if] = ACTIONS(13744),
    [anon_sym_try] = ACTIONS(13744),
    [anon_sym_for] = ACTIONS(13744),
    [anon_sym_while] = ACTIONS(13744),
    [sym_break_statement] = ACTIONS(13744),
    [sym_continue_statement] = ACTIONS(13744),
    [anon_sym_return] = ACTIONS(13744),
    [anon_sym_const] = ACTIONS(13744),
    [anon_sym_global] = ACTIONS(13744),
    [anon_sym_local] = ACTIONS(13744),
    [anon_sym_LPAREN] = ACTIONS(13746),
    [anon_sym_RPAREN] = ACTIONS(13746),
    [anon_sym_COLON2] = ACTIONS(13744),
    [anon_sym_export] = ACTIONS(13744),
    [anon_sym_import] = ACTIONS(13744),
    [anon_sym_using] = ACTIONS(13744),
    [anon_sym_LBRACK] = ACTIONS(13746),
    [anon_sym_RBRACK] = ACTIONS(13746),
    [anon_sym_in] = ACTIONS(13744),
    [anon_sym_SEMI] = ACTIONS(13746),
    [anon_sym_LBRACE] = ACTIONS(13746),
    [anon_sym_RBRACE] = ACTIONS(13746),
    [anon_sym_DOLLAR] = ACTIONS(13746),
    [anon_sym_COLON_COLON] = ACTIONS(13746),
    [anon_sym_isa] = ACTIONS(13744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13746),
    [anon_sym_QMARK] = ACTIONS(13746),
    [anon_sym_AT] = ACTIONS(13746),
    [anon_sym_true] = ACTIONS(13744),
    [anon_sym_false] = ACTIONS(13744),
    [aux_sym_integer_literal_token1] = ACTIONS(13746),
    [aux_sym_integer_literal_token2] = ACTIONS(13746),
    [aux_sym_integer_literal_token3] = ACTIONS(13744),
    [aux_sym_integer_literal_token4] = ACTIONS(13744),
    [aux_sym_float_literal_token1] = ACTIONS(13746),
    [aux_sym_float_literal_token3] = ACTIONS(13746),
    [aux_sym_float_literal_token4] = ACTIONS(13746),
    [sym_character_literal] = ACTIONS(13746),
    [sym__pair_operator] = ACTIONS(13746),
    [sym__arrow_operator] = ACTIONS(13744),
    [sym__lazy_or_operator] = ACTIONS(13746),
    [sym__lazy_and_operator] = ACTIONS(13746),
    [sym__comparison_operator] = ACTIONS(13744),
    [sym__pipe_right_operator] = ACTIONS(13746),
    [sym__pipe_left_operator] = ACTIONS(13746),
    [sym__ellipsis_operator] = ACTIONS(13744),
    [sym__plus_operator] = ACTIONS(13744),
    [sym__times_operator] = ACTIONS(13744),
    [sym__rational_operator] = ACTIONS(13746),
    [sym__bitshift_operator] = ACTIONS(13746),
    [sym__power_operator] = ACTIONS(13746),
    [sym__tilde_operator] = ACTIONS(13746),
    [sym__type_order_operator] = ACTIONS(13746),
    [sym__unary_operator] = ACTIONS(13744),
    [sym__unary_plus_operator] = ACTIONS(13744),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13746),
    [sym__command_start] = ACTIONS(13746),
  },
  [8406] = {
    [aux_sym_open_tuple_repeat1] = STATE(8122),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(14523),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14635),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8407] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8408] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12074),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8409] = {
    [sym__word_identifier] = ACTIONS(13540),
    [anon_sym_EQ] = ACTIONS(13540),
    [anon_sym_COMMA] = ACTIONS(13540),
    [anon_sym_COLON] = ACTIONS(13540),
    [anon_sym_begin] = ACTIONS(13540),
    [anon_sym_module] = ACTIONS(13540),
    [anon_sym_baremodule] = ACTIONS(13540),
    [anon_sym_end] = ACTIONS(13540),
    [anon_sym_abstract] = ACTIONS(13540),
    [anon_sym_primitive] = ACTIONS(13540),
    [anon_sym_mutable] = ACTIONS(13540),
    [anon_sym_struct] = ACTIONS(13540),
    [anon_sym_function] = ACTIONS(13540),
    [anon_sym_macro] = ACTIONS(13540),
    [anon_sym_where] = ACTIONS(13540),
    [anon_sym_quote] = ACTIONS(13540),
    [anon_sym_let] = ACTIONS(13540),
    [anon_sym_if] = ACTIONS(13540),
    [anon_sym_try] = ACTIONS(13540),
    [anon_sym_finally] = ACTIONS(13540),
    [anon_sym_for] = ACTIONS(13540),
    [anon_sym_while] = ACTIONS(13540),
    [sym_break_statement] = ACTIONS(13540),
    [sym_continue_statement] = ACTIONS(13540),
    [anon_sym_return] = ACTIONS(13540),
    [anon_sym_const] = ACTIONS(13540),
    [anon_sym_global] = ACTIONS(13540),
    [anon_sym_local] = ACTIONS(13540),
    [anon_sym_LPAREN] = ACTIONS(13540),
    [anon_sym_COLON2] = ACTIONS(13540),
    [anon_sym_export] = ACTIONS(13540),
    [anon_sym_import] = ACTIONS(13540),
    [anon_sym_using] = ACTIONS(13540),
    [anon_sym_LBRACK] = ACTIONS(13540),
    [anon_sym_LF] = ACTIONS(13542),
    [anon_sym_in] = ACTIONS(13540),
    [anon_sym_LBRACE] = ACTIONS(13540),
    [anon_sym_DOLLAR] = ACTIONS(13540),
    [anon_sym_COLON_COLON] = ACTIONS(13540),
    [anon_sym_isa] = ACTIONS(13540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13540),
    [anon_sym_QMARK] = ACTIONS(13540),
    [anon_sym_AT] = ACTIONS(13540),
    [anon_sym_true] = ACTIONS(13540),
    [anon_sym_false] = ACTIONS(13540),
    [aux_sym_integer_literal_token1] = ACTIONS(13540),
    [aux_sym_integer_literal_token2] = ACTIONS(13540),
    [aux_sym_integer_literal_token3] = ACTIONS(13540),
    [aux_sym_integer_literal_token4] = ACTIONS(13540),
    [aux_sym_float_literal_token1] = ACTIONS(13540),
    [aux_sym_float_literal_token3] = ACTIONS(13540),
    [aux_sym_float_literal_token4] = ACTIONS(13540),
    [sym_character_literal] = ACTIONS(13540),
    [sym__pair_operator] = ACTIONS(13540),
    [sym__arrow_operator] = ACTIONS(13540),
    [sym__lazy_or_operator] = ACTIONS(13540),
    [sym__lazy_and_operator] = ACTIONS(13540),
    [sym__comparison_operator] = ACTIONS(13540),
    [sym__pipe_right_operator] = ACTIONS(13540),
    [sym__pipe_left_operator] = ACTIONS(13540),
    [sym__ellipsis_operator] = ACTIONS(13540),
    [sym__plus_operator] = ACTIONS(13540),
    [sym__times_operator] = ACTIONS(13540),
    [sym__rational_operator] = ACTIONS(13540),
    [sym__bitshift_operator] = ACTIONS(13540),
    [sym__power_operator] = ACTIONS(13540),
    [sym__tilde_operator] = ACTIONS(13540),
    [sym__type_order_operator] = ACTIONS(13540),
    [sym__unary_operator] = ACTIONS(13540),
    [sym__unary_plus_operator] = ACTIONS(13540),
    [aux_sym__terminator_token1] = ACTIONS(13540),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13542),
    [sym__command_start] = ACTIONS(13542),
  },
  [8410] = {
    [sym__word_identifier] = ACTIONS(13522),
    [anon_sym_EQ] = ACTIONS(13522),
    [anon_sym_COMMA] = ACTIONS(13522),
    [anon_sym_COLON] = ACTIONS(13522),
    [anon_sym_begin] = ACTIONS(13522),
    [anon_sym_module] = ACTIONS(13522),
    [anon_sym_baremodule] = ACTIONS(13522),
    [anon_sym_end] = ACTIONS(13522),
    [anon_sym_abstract] = ACTIONS(13522),
    [anon_sym_primitive] = ACTIONS(13522),
    [anon_sym_mutable] = ACTIONS(13522),
    [anon_sym_struct] = ACTIONS(13522),
    [anon_sym_function] = ACTIONS(13522),
    [anon_sym_macro] = ACTIONS(13522),
    [anon_sym_where] = ACTIONS(13522),
    [anon_sym_quote] = ACTIONS(13522),
    [anon_sym_let] = ACTIONS(13522),
    [anon_sym_if] = ACTIONS(13522),
    [anon_sym_try] = ACTIONS(13522),
    [anon_sym_finally] = ACTIONS(13522),
    [anon_sym_for] = ACTIONS(13522),
    [anon_sym_while] = ACTIONS(13522),
    [sym_break_statement] = ACTIONS(13522),
    [sym_continue_statement] = ACTIONS(13522),
    [anon_sym_return] = ACTIONS(13522),
    [anon_sym_const] = ACTIONS(13522),
    [anon_sym_global] = ACTIONS(13522),
    [anon_sym_local] = ACTIONS(13522),
    [anon_sym_LPAREN] = ACTIONS(13522),
    [anon_sym_COLON2] = ACTIONS(13522),
    [anon_sym_export] = ACTIONS(13522),
    [anon_sym_import] = ACTIONS(13522),
    [anon_sym_using] = ACTIONS(13522),
    [anon_sym_LBRACK] = ACTIONS(13522),
    [anon_sym_LF] = ACTIONS(13524),
    [anon_sym_in] = ACTIONS(13522),
    [anon_sym_LBRACE] = ACTIONS(13522),
    [anon_sym_DOLLAR] = ACTIONS(13522),
    [anon_sym_COLON_COLON] = ACTIONS(13522),
    [anon_sym_isa] = ACTIONS(13522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13522),
    [anon_sym_QMARK] = ACTIONS(13522),
    [anon_sym_AT] = ACTIONS(13522),
    [anon_sym_true] = ACTIONS(13522),
    [anon_sym_false] = ACTIONS(13522),
    [aux_sym_integer_literal_token1] = ACTIONS(13522),
    [aux_sym_integer_literal_token2] = ACTIONS(13522),
    [aux_sym_integer_literal_token3] = ACTIONS(13522),
    [aux_sym_integer_literal_token4] = ACTIONS(13522),
    [aux_sym_float_literal_token1] = ACTIONS(13522),
    [aux_sym_float_literal_token3] = ACTIONS(13522),
    [aux_sym_float_literal_token4] = ACTIONS(13522),
    [sym_character_literal] = ACTIONS(13522),
    [sym__pair_operator] = ACTIONS(13522),
    [sym__arrow_operator] = ACTIONS(13522),
    [sym__lazy_or_operator] = ACTIONS(13522),
    [sym__lazy_and_operator] = ACTIONS(13522),
    [sym__comparison_operator] = ACTIONS(13522),
    [sym__pipe_right_operator] = ACTIONS(13522),
    [sym__pipe_left_operator] = ACTIONS(13522),
    [sym__ellipsis_operator] = ACTIONS(13522),
    [sym__plus_operator] = ACTIONS(13522),
    [sym__times_operator] = ACTIONS(13522),
    [sym__rational_operator] = ACTIONS(13522),
    [sym__bitshift_operator] = ACTIONS(13522),
    [sym__power_operator] = ACTIONS(13522),
    [sym__tilde_operator] = ACTIONS(13522),
    [sym__type_order_operator] = ACTIONS(13522),
    [sym__unary_operator] = ACTIONS(13522),
    [sym__unary_plus_operator] = ACTIONS(13522),
    [aux_sym__terminator_token1] = ACTIONS(13522),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13524),
    [sym__command_start] = ACTIONS(13524),
  },
  [8411] = {
    [sym__word_identifier] = ACTIONS(13508),
    [anon_sym_EQ] = ACTIONS(13508),
    [anon_sym_COMMA] = ACTIONS(13508),
    [anon_sym_COLON] = ACTIONS(13508),
    [anon_sym_begin] = ACTIONS(13508),
    [anon_sym_module] = ACTIONS(13508),
    [anon_sym_baremodule] = ACTIONS(13508),
    [anon_sym_end] = ACTIONS(13508),
    [anon_sym_abstract] = ACTIONS(13508),
    [anon_sym_primitive] = ACTIONS(13508),
    [anon_sym_mutable] = ACTIONS(13508),
    [anon_sym_struct] = ACTIONS(13508),
    [anon_sym_function] = ACTIONS(13508),
    [anon_sym_macro] = ACTIONS(13508),
    [anon_sym_where] = ACTIONS(13508),
    [anon_sym_quote] = ACTIONS(13508),
    [anon_sym_let] = ACTIONS(13508),
    [anon_sym_if] = ACTIONS(13508),
    [anon_sym_try] = ACTIONS(13508),
    [anon_sym_finally] = ACTIONS(13508),
    [anon_sym_for] = ACTIONS(13508),
    [anon_sym_while] = ACTIONS(13508),
    [sym_break_statement] = ACTIONS(13508),
    [sym_continue_statement] = ACTIONS(13508),
    [anon_sym_return] = ACTIONS(13508),
    [anon_sym_const] = ACTIONS(13508),
    [anon_sym_global] = ACTIONS(13508),
    [anon_sym_local] = ACTIONS(13508),
    [anon_sym_LPAREN] = ACTIONS(13508),
    [anon_sym_COLON2] = ACTIONS(13508),
    [anon_sym_export] = ACTIONS(13508),
    [anon_sym_import] = ACTIONS(13508),
    [anon_sym_using] = ACTIONS(13508),
    [anon_sym_LBRACK] = ACTIONS(13508),
    [anon_sym_LF] = ACTIONS(13510),
    [anon_sym_in] = ACTIONS(13508),
    [anon_sym_LBRACE] = ACTIONS(13508),
    [anon_sym_DOLLAR] = ACTIONS(13508),
    [anon_sym_COLON_COLON] = ACTIONS(13508),
    [anon_sym_isa] = ACTIONS(13508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13508),
    [anon_sym_QMARK] = ACTIONS(13508),
    [anon_sym_AT] = ACTIONS(13508),
    [anon_sym_true] = ACTIONS(13508),
    [anon_sym_false] = ACTIONS(13508),
    [aux_sym_integer_literal_token1] = ACTIONS(13508),
    [aux_sym_integer_literal_token2] = ACTIONS(13508),
    [aux_sym_integer_literal_token3] = ACTIONS(13508),
    [aux_sym_integer_literal_token4] = ACTIONS(13508),
    [aux_sym_float_literal_token1] = ACTIONS(13508),
    [aux_sym_float_literal_token3] = ACTIONS(13508),
    [aux_sym_float_literal_token4] = ACTIONS(13508),
    [sym_character_literal] = ACTIONS(13508),
    [sym__pair_operator] = ACTIONS(13508),
    [sym__arrow_operator] = ACTIONS(13508),
    [sym__lazy_or_operator] = ACTIONS(13508),
    [sym__lazy_and_operator] = ACTIONS(13508),
    [sym__comparison_operator] = ACTIONS(13508),
    [sym__pipe_right_operator] = ACTIONS(13508),
    [sym__pipe_left_operator] = ACTIONS(13508),
    [sym__ellipsis_operator] = ACTIONS(13508),
    [sym__plus_operator] = ACTIONS(13508),
    [sym__times_operator] = ACTIONS(13508),
    [sym__rational_operator] = ACTIONS(13508),
    [sym__bitshift_operator] = ACTIONS(13508),
    [sym__power_operator] = ACTIONS(13508),
    [sym__tilde_operator] = ACTIONS(13508),
    [sym__type_order_operator] = ACTIONS(13508),
    [sym__unary_operator] = ACTIONS(13508),
    [sym__unary_plus_operator] = ACTIONS(13508),
    [aux_sym__terminator_token1] = ACTIONS(13508),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13510),
    [sym__command_start] = ACTIONS(13510),
  },
  [8412] = {
    [sym__word_identifier] = ACTIONS(13286),
    [anon_sym_EQ] = ACTIONS(13286),
    [anon_sym_COMMA] = ACTIONS(13286),
    [anon_sym_COLON] = ACTIONS(13286),
    [anon_sym_begin] = ACTIONS(13286),
    [anon_sym_module] = ACTIONS(13286),
    [anon_sym_baremodule] = ACTIONS(13286),
    [anon_sym_abstract] = ACTIONS(13286),
    [anon_sym_primitive] = ACTIONS(13286),
    [anon_sym_mutable] = ACTIONS(13286),
    [anon_sym_struct] = ACTIONS(13286),
    [anon_sym_function] = ACTIONS(13286),
    [anon_sym_macro] = ACTIONS(13286),
    [anon_sym_where] = ACTIONS(13286),
    [anon_sym_quote] = ACTIONS(13286),
    [anon_sym_let] = ACTIONS(13286),
    [anon_sym_if] = ACTIONS(13286),
    [anon_sym_try] = ACTIONS(13286),
    [anon_sym_catch] = ACTIONS(13286),
    [anon_sym_finally] = ACTIONS(13286),
    [anon_sym_for] = ACTIONS(13286),
    [anon_sym_while] = ACTIONS(13286),
    [sym_break_statement] = ACTIONS(13286),
    [sym_continue_statement] = ACTIONS(13286),
    [anon_sym_return] = ACTIONS(13286),
    [anon_sym_const] = ACTIONS(13286),
    [anon_sym_global] = ACTIONS(13286),
    [anon_sym_local] = ACTIONS(13286),
    [anon_sym_LPAREN] = ACTIONS(13286),
    [anon_sym_COLON2] = ACTIONS(13286),
    [anon_sym_export] = ACTIONS(13286),
    [anon_sym_import] = ACTIONS(13286),
    [anon_sym_using] = ACTIONS(13286),
    [anon_sym_LBRACK] = ACTIONS(13286),
    [anon_sym_LF] = ACTIONS(13288),
    [anon_sym_in] = ACTIONS(13286),
    [anon_sym_LBRACE] = ACTIONS(13286),
    [anon_sym_DOLLAR] = ACTIONS(13286),
    [anon_sym_COLON_COLON] = ACTIONS(13286),
    [anon_sym_isa] = ACTIONS(13286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13286),
    [anon_sym_QMARK] = ACTIONS(13286),
    [anon_sym_AT] = ACTIONS(13286),
    [anon_sym_true] = ACTIONS(13286),
    [anon_sym_false] = ACTIONS(13286),
    [aux_sym_integer_literal_token1] = ACTIONS(13286),
    [aux_sym_integer_literal_token2] = ACTIONS(13286),
    [aux_sym_integer_literal_token3] = ACTIONS(13286),
    [aux_sym_integer_literal_token4] = ACTIONS(13286),
    [aux_sym_float_literal_token1] = ACTIONS(13286),
    [aux_sym_float_literal_token3] = ACTIONS(13286),
    [aux_sym_float_literal_token4] = ACTIONS(13286),
    [sym_character_literal] = ACTIONS(13286),
    [sym__pair_operator] = ACTIONS(13286),
    [sym__arrow_operator] = ACTIONS(13286),
    [sym__lazy_or_operator] = ACTIONS(13286),
    [sym__lazy_and_operator] = ACTIONS(13286),
    [sym__comparison_operator] = ACTIONS(13286),
    [sym__pipe_right_operator] = ACTIONS(13286),
    [sym__pipe_left_operator] = ACTIONS(13286),
    [sym__ellipsis_operator] = ACTIONS(13286),
    [sym__plus_operator] = ACTIONS(13286),
    [sym__times_operator] = ACTIONS(13286),
    [sym__rational_operator] = ACTIONS(13286),
    [sym__bitshift_operator] = ACTIONS(13286),
    [sym__power_operator] = ACTIONS(13286),
    [sym__tilde_operator] = ACTIONS(13286),
    [sym__type_order_operator] = ACTIONS(13286),
    [sym__unary_operator] = ACTIONS(13286),
    [sym__unary_plus_operator] = ACTIONS(13286),
    [aux_sym__terminator_token1] = ACTIONS(13286),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13288),
    [sym__command_start] = ACTIONS(13288),
  },
  [8413] = {
    [sym__word_identifier] = ACTIONS(13484),
    [anon_sym_EQ] = ACTIONS(13484),
    [anon_sym_COMMA] = ACTIONS(13484),
    [anon_sym_COLON] = ACTIONS(13484),
    [anon_sym_begin] = ACTIONS(13484),
    [anon_sym_module] = ACTIONS(13484),
    [anon_sym_baremodule] = ACTIONS(13484),
    [anon_sym_end] = ACTIONS(13484),
    [anon_sym_abstract] = ACTIONS(13484),
    [anon_sym_primitive] = ACTIONS(13484),
    [anon_sym_mutable] = ACTIONS(13484),
    [anon_sym_struct] = ACTIONS(13484),
    [anon_sym_function] = ACTIONS(13484),
    [anon_sym_macro] = ACTIONS(13484),
    [anon_sym_where] = ACTIONS(13484),
    [anon_sym_quote] = ACTIONS(13484),
    [anon_sym_let] = ACTIONS(13484),
    [anon_sym_if] = ACTIONS(13484),
    [anon_sym_try] = ACTIONS(13484),
    [anon_sym_finally] = ACTIONS(13484),
    [anon_sym_for] = ACTIONS(13484),
    [anon_sym_while] = ACTIONS(13484),
    [sym_break_statement] = ACTIONS(13484),
    [sym_continue_statement] = ACTIONS(13484),
    [anon_sym_return] = ACTIONS(13484),
    [anon_sym_const] = ACTIONS(13484),
    [anon_sym_global] = ACTIONS(13484),
    [anon_sym_local] = ACTIONS(13484),
    [anon_sym_LPAREN] = ACTIONS(13484),
    [anon_sym_COLON2] = ACTIONS(13484),
    [anon_sym_export] = ACTIONS(13484),
    [anon_sym_import] = ACTIONS(13484),
    [anon_sym_using] = ACTIONS(13484),
    [anon_sym_LBRACK] = ACTIONS(13484),
    [anon_sym_LF] = ACTIONS(13486),
    [anon_sym_in] = ACTIONS(13484),
    [anon_sym_LBRACE] = ACTIONS(13484),
    [anon_sym_DOLLAR] = ACTIONS(13484),
    [anon_sym_COLON_COLON] = ACTIONS(13484),
    [anon_sym_isa] = ACTIONS(13484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13484),
    [anon_sym_QMARK] = ACTIONS(13484),
    [anon_sym_AT] = ACTIONS(13484),
    [anon_sym_true] = ACTIONS(13484),
    [anon_sym_false] = ACTIONS(13484),
    [aux_sym_integer_literal_token1] = ACTIONS(13484),
    [aux_sym_integer_literal_token2] = ACTIONS(13484),
    [aux_sym_integer_literal_token3] = ACTIONS(13484),
    [aux_sym_integer_literal_token4] = ACTIONS(13484),
    [aux_sym_float_literal_token1] = ACTIONS(13484),
    [aux_sym_float_literal_token3] = ACTIONS(13484),
    [aux_sym_float_literal_token4] = ACTIONS(13484),
    [sym_character_literal] = ACTIONS(13484),
    [sym__pair_operator] = ACTIONS(13484),
    [sym__arrow_operator] = ACTIONS(13484),
    [sym__lazy_or_operator] = ACTIONS(13484),
    [sym__lazy_and_operator] = ACTIONS(13484),
    [sym__comparison_operator] = ACTIONS(13484),
    [sym__pipe_right_operator] = ACTIONS(13484),
    [sym__pipe_left_operator] = ACTIONS(13484),
    [sym__ellipsis_operator] = ACTIONS(13484),
    [sym__plus_operator] = ACTIONS(13484),
    [sym__times_operator] = ACTIONS(13484),
    [sym__rational_operator] = ACTIONS(13484),
    [sym__bitshift_operator] = ACTIONS(13484),
    [sym__power_operator] = ACTIONS(13484),
    [sym__tilde_operator] = ACTIONS(13484),
    [sym__type_order_operator] = ACTIONS(13484),
    [sym__unary_operator] = ACTIONS(13484),
    [sym__unary_plus_operator] = ACTIONS(13484),
    [aux_sym__terminator_token1] = ACTIONS(13484),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13486),
    [sym__command_start] = ACTIONS(13486),
  },
  [8414] = {
    [sym__word_identifier] = ACTIONS(13480),
    [anon_sym_EQ] = ACTIONS(13480),
    [anon_sym_COMMA] = ACTIONS(13480),
    [anon_sym_COLON] = ACTIONS(13480),
    [anon_sym_begin] = ACTIONS(13480),
    [anon_sym_module] = ACTIONS(13480),
    [anon_sym_baremodule] = ACTIONS(13480),
    [anon_sym_end] = ACTIONS(13480),
    [anon_sym_abstract] = ACTIONS(13480),
    [anon_sym_primitive] = ACTIONS(13480),
    [anon_sym_mutable] = ACTIONS(13480),
    [anon_sym_struct] = ACTIONS(13480),
    [anon_sym_function] = ACTIONS(13480),
    [anon_sym_macro] = ACTIONS(13480),
    [anon_sym_where] = ACTIONS(13480),
    [anon_sym_quote] = ACTIONS(13480),
    [anon_sym_let] = ACTIONS(13480),
    [anon_sym_if] = ACTIONS(13480),
    [anon_sym_try] = ACTIONS(13480),
    [anon_sym_finally] = ACTIONS(13480),
    [anon_sym_for] = ACTIONS(13480),
    [anon_sym_while] = ACTIONS(13480),
    [sym_break_statement] = ACTIONS(13480),
    [sym_continue_statement] = ACTIONS(13480),
    [anon_sym_return] = ACTIONS(13480),
    [anon_sym_const] = ACTIONS(13480),
    [anon_sym_global] = ACTIONS(13480),
    [anon_sym_local] = ACTIONS(13480),
    [anon_sym_LPAREN] = ACTIONS(13480),
    [anon_sym_COLON2] = ACTIONS(13480),
    [anon_sym_export] = ACTIONS(13480),
    [anon_sym_import] = ACTIONS(13480),
    [anon_sym_using] = ACTIONS(13480),
    [anon_sym_LBRACK] = ACTIONS(13480),
    [anon_sym_LF] = ACTIONS(13482),
    [anon_sym_in] = ACTIONS(13480),
    [anon_sym_LBRACE] = ACTIONS(13480),
    [anon_sym_DOLLAR] = ACTIONS(13480),
    [anon_sym_COLON_COLON] = ACTIONS(13480),
    [anon_sym_isa] = ACTIONS(13480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_QMARK] = ACTIONS(13480),
    [anon_sym_AT] = ACTIONS(13480),
    [anon_sym_true] = ACTIONS(13480),
    [anon_sym_false] = ACTIONS(13480),
    [aux_sym_integer_literal_token1] = ACTIONS(13480),
    [aux_sym_integer_literal_token2] = ACTIONS(13480),
    [aux_sym_integer_literal_token3] = ACTIONS(13480),
    [aux_sym_integer_literal_token4] = ACTIONS(13480),
    [aux_sym_float_literal_token1] = ACTIONS(13480),
    [aux_sym_float_literal_token3] = ACTIONS(13480),
    [aux_sym_float_literal_token4] = ACTIONS(13480),
    [sym_character_literal] = ACTIONS(13480),
    [sym__pair_operator] = ACTIONS(13480),
    [sym__arrow_operator] = ACTIONS(13480),
    [sym__lazy_or_operator] = ACTIONS(13480),
    [sym__lazy_and_operator] = ACTIONS(13480),
    [sym__comparison_operator] = ACTIONS(13480),
    [sym__pipe_right_operator] = ACTIONS(13480),
    [sym__pipe_left_operator] = ACTIONS(13480),
    [sym__ellipsis_operator] = ACTIONS(13480),
    [sym__plus_operator] = ACTIONS(13480),
    [sym__times_operator] = ACTIONS(13480),
    [sym__rational_operator] = ACTIONS(13480),
    [sym__bitshift_operator] = ACTIONS(13480),
    [sym__power_operator] = ACTIONS(13480),
    [sym__tilde_operator] = ACTIONS(13480),
    [sym__type_order_operator] = ACTIONS(13480),
    [sym__unary_operator] = ACTIONS(13480),
    [sym__unary_plus_operator] = ACTIONS(13480),
    [aux_sym__terminator_token1] = ACTIONS(13480),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13482),
    [sym__command_start] = ACTIONS(13482),
  },
  [8415] = {
    [sym__word_identifier] = ACTIONS(13412),
    [anon_sym_EQ] = ACTIONS(13412),
    [anon_sym_COMMA] = ACTIONS(13412),
    [anon_sym_COLON] = ACTIONS(13412),
    [anon_sym_begin] = ACTIONS(13412),
    [anon_sym_module] = ACTIONS(13412),
    [anon_sym_baremodule] = ACTIONS(13412),
    [anon_sym_end] = ACTIONS(13412),
    [anon_sym_abstract] = ACTIONS(13412),
    [anon_sym_primitive] = ACTIONS(13412),
    [anon_sym_mutable] = ACTIONS(13412),
    [anon_sym_struct] = ACTIONS(13412),
    [anon_sym_function] = ACTIONS(13412),
    [anon_sym_macro] = ACTIONS(13412),
    [anon_sym_where] = ACTIONS(13412),
    [anon_sym_quote] = ACTIONS(13412),
    [anon_sym_let] = ACTIONS(13412),
    [anon_sym_if] = ACTIONS(13412),
    [anon_sym_try] = ACTIONS(13412),
    [anon_sym_finally] = ACTIONS(13412),
    [anon_sym_for] = ACTIONS(13412),
    [anon_sym_while] = ACTIONS(13412),
    [sym_break_statement] = ACTIONS(13412),
    [sym_continue_statement] = ACTIONS(13412),
    [anon_sym_return] = ACTIONS(13412),
    [anon_sym_const] = ACTIONS(13412),
    [anon_sym_global] = ACTIONS(13412),
    [anon_sym_local] = ACTIONS(13412),
    [anon_sym_LPAREN] = ACTIONS(13412),
    [anon_sym_COLON2] = ACTIONS(13412),
    [anon_sym_export] = ACTIONS(13412),
    [anon_sym_import] = ACTIONS(13412),
    [anon_sym_using] = ACTIONS(13412),
    [anon_sym_LBRACK] = ACTIONS(13412),
    [anon_sym_LF] = ACTIONS(13414),
    [anon_sym_in] = ACTIONS(13412),
    [anon_sym_LBRACE] = ACTIONS(13412),
    [anon_sym_DOLLAR] = ACTIONS(13412),
    [anon_sym_COLON_COLON] = ACTIONS(13412),
    [anon_sym_isa] = ACTIONS(13412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13412),
    [anon_sym_QMARK] = ACTIONS(13412),
    [anon_sym_AT] = ACTIONS(13412),
    [anon_sym_true] = ACTIONS(13412),
    [anon_sym_false] = ACTIONS(13412),
    [aux_sym_integer_literal_token1] = ACTIONS(13412),
    [aux_sym_integer_literal_token2] = ACTIONS(13412),
    [aux_sym_integer_literal_token3] = ACTIONS(13412),
    [aux_sym_integer_literal_token4] = ACTIONS(13412),
    [aux_sym_float_literal_token1] = ACTIONS(13412),
    [aux_sym_float_literal_token3] = ACTIONS(13412),
    [aux_sym_float_literal_token4] = ACTIONS(13412),
    [sym_character_literal] = ACTIONS(13412),
    [sym__pair_operator] = ACTIONS(13412),
    [sym__arrow_operator] = ACTIONS(13412),
    [sym__lazy_or_operator] = ACTIONS(13412),
    [sym__lazy_and_operator] = ACTIONS(13412),
    [sym__comparison_operator] = ACTIONS(13412),
    [sym__pipe_right_operator] = ACTIONS(13412),
    [sym__pipe_left_operator] = ACTIONS(13412),
    [sym__ellipsis_operator] = ACTIONS(13412),
    [sym__plus_operator] = ACTIONS(13412),
    [sym__times_operator] = ACTIONS(13412),
    [sym__rational_operator] = ACTIONS(13412),
    [sym__bitshift_operator] = ACTIONS(13412),
    [sym__power_operator] = ACTIONS(13412),
    [sym__tilde_operator] = ACTIONS(13412),
    [sym__type_order_operator] = ACTIONS(13412),
    [sym__unary_operator] = ACTIONS(13412),
    [sym__unary_plus_operator] = ACTIONS(13412),
    [aux_sym__terminator_token1] = ACTIONS(13412),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13414),
    [sym__command_start] = ACTIONS(13414),
  },
  [8416] = {
    [sym__word_identifier] = ACTIONS(13408),
    [anon_sym_EQ] = ACTIONS(13408),
    [anon_sym_COMMA] = ACTIONS(13408),
    [anon_sym_COLON] = ACTIONS(13408),
    [anon_sym_begin] = ACTIONS(13408),
    [anon_sym_module] = ACTIONS(13408),
    [anon_sym_baremodule] = ACTIONS(13408),
    [anon_sym_end] = ACTIONS(13408),
    [anon_sym_abstract] = ACTIONS(13408),
    [anon_sym_primitive] = ACTIONS(13408),
    [anon_sym_mutable] = ACTIONS(13408),
    [anon_sym_struct] = ACTIONS(13408),
    [anon_sym_function] = ACTIONS(13408),
    [anon_sym_macro] = ACTIONS(13408),
    [anon_sym_where] = ACTIONS(13408),
    [anon_sym_quote] = ACTIONS(13408),
    [anon_sym_let] = ACTIONS(13408),
    [anon_sym_if] = ACTIONS(13408),
    [anon_sym_try] = ACTIONS(13408),
    [anon_sym_finally] = ACTIONS(13408),
    [anon_sym_for] = ACTIONS(13408),
    [anon_sym_while] = ACTIONS(13408),
    [sym_break_statement] = ACTIONS(13408),
    [sym_continue_statement] = ACTIONS(13408),
    [anon_sym_return] = ACTIONS(13408),
    [anon_sym_const] = ACTIONS(13408),
    [anon_sym_global] = ACTIONS(13408),
    [anon_sym_local] = ACTIONS(13408),
    [anon_sym_LPAREN] = ACTIONS(13408),
    [anon_sym_COLON2] = ACTIONS(13408),
    [anon_sym_export] = ACTIONS(13408),
    [anon_sym_import] = ACTIONS(13408),
    [anon_sym_using] = ACTIONS(13408),
    [anon_sym_LBRACK] = ACTIONS(13408),
    [anon_sym_LF] = ACTIONS(13410),
    [anon_sym_in] = ACTIONS(13408),
    [anon_sym_LBRACE] = ACTIONS(13408),
    [anon_sym_DOLLAR] = ACTIONS(13408),
    [anon_sym_COLON_COLON] = ACTIONS(13408),
    [anon_sym_isa] = ACTIONS(13408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13408),
    [anon_sym_QMARK] = ACTIONS(13408),
    [anon_sym_AT] = ACTIONS(13408),
    [anon_sym_true] = ACTIONS(13408),
    [anon_sym_false] = ACTIONS(13408),
    [aux_sym_integer_literal_token1] = ACTIONS(13408),
    [aux_sym_integer_literal_token2] = ACTIONS(13408),
    [aux_sym_integer_literal_token3] = ACTIONS(13408),
    [aux_sym_integer_literal_token4] = ACTIONS(13408),
    [aux_sym_float_literal_token1] = ACTIONS(13408),
    [aux_sym_float_literal_token3] = ACTIONS(13408),
    [aux_sym_float_literal_token4] = ACTIONS(13408),
    [sym_character_literal] = ACTIONS(13408),
    [sym__pair_operator] = ACTIONS(13408),
    [sym__arrow_operator] = ACTIONS(13408),
    [sym__lazy_or_operator] = ACTIONS(13408),
    [sym__lazy_and_operator] = ACTIONS(13408),
    [sym__comparison_operator] = ACTIONS(13408),
    [sym__pipe_right_operator] = ACTIONS(13408),
    [sym__pipe_left_operator] = ACTIONS(13408),
    [sym__ellipsis_operator] = ACTIONS(13408),
    [sym__plus_operator] = ACTIONS(13408),
    [sym__times_operator] = ACTIONS(13408),
    [sym__rational_operator] = ACTIONS(13408),
    [sym__bitshift_operator] = ACTIONS(13408),
    [sym__power_operator] = ACTIONS(13408),
    [sym__tilde_operator] = ACTIONS(13408),
    [sym__type_order_operator] = ACTIONS(13408),
    [sym__unary_operator] = ACTIONS(13408),
    [sym__unary_plus_operator] = ACTIONS(13408),
    [aux_sym__terminator_token1] = ACTIONS(13408),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13410),
    [sym__command_start] = ACTIONS(13410),
  },
  [8417] = {
    [aux_sym_open_tuple_repeat1] = STATE(7969),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13558),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_catch] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(14661),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8418] = {
    [sym__word_identifier] = ACTIONS(13824),
    [anon_sym_EQ] = ACTIONS(13824),
    [anon_sym_COMMA] = ACTIONS(13826),
    [anon_sym_COLON] = ACTIONS(13824),
    [anon_sym_begin] = ACTIONS(13824),
    [anon_sym_module] = ACTIONS(13824),
    [anon_sym_baremodule] = ACTIONS(13824),
    [anon_sym_abstract] = ACTIONS(13824),
    [anon_sym_primitive] = ACTIONS(13824),
    [anon_sym_mutable] = ACTIONS(13824),
    [anon_sym_struct] = ACTIONS(13824),
    [anon_sym_function] = ACTIONS(13824),
    [anon_sym_macro] = ACTIONS(13824),
    [anon_sym_where] = ACTIONS(13824),
    [anon_sym_quote] = ACTIONS(13824),
    [anon_sym_let] = ACTIONS(13824),
    [anon_sym_if] = ACTIONS(13824),
    [anon_sym_try] = ACTIONS(13824),
    [anon_sym_for] = ACTIONS(13824),
    [anon_sym_while] = ACTIONS(13824),
    [sym_break_statement] = ACTIONS(13824),
    [sym_continue_statement] = ACTIONS(13824),
    [anon_sym_return] = ACTIONS(13824),
    [anon_sym_const] = ACTIONS(13824),
    [anon_sym_global] = ACTIONS(13824),
    [anon_sym_local] = ACTIONS(13824),
    [anon_sym_LPAREN] = ACTIONS(13826),
    [anon_sym_RPAREN] = ACTIONS(13826),
    [anon_sym_COLON2] = ACTIONS(13824),
    [anon_sym_export] = ACTIONS(13824),
    [anon_sym_import] = ACTIONS(13824),
    [anon_sym_using] = ACTIONS(13824),
    [anon_sym_LBRACK] = ACTIONS(13826),
    [anon_sym_RBRACK] = ACTIONS(13826),
    [anon_sym_in] = ACTIONS(13824),
    [anon_sym_SEMI] = ACTIONS(13826),
    [anon_sym_LBRACE] = ACTIONS(13826),
    [anon_sym_RBRACE] = ACTIONS(13826),
    [anon_sym_DOLLAR] = ACTIONS(13826),
    [anon_sym_COLON_COLON] = ACTIONS(13826),
    [anon_sym_isa] = ACTIONS(13824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13826),
    [anon_sym_QMARK] = ACTIONS(13826),
    [anon_sym_AT] = ACTIONS(13826),
    [anon_sym_true] = ACTIONS(13824),
    [anon_sym_false] = ACTIONS(13824),
    [aux_sym_integer_literal_token1] = ACTIONS(13826),
    [aux_sym_integer_literal_token2] = ACTIONS(13826),
    [aux_sym_integer_literal_token3] = ACTIONS(13824),
    [aux_sym_integer_literal_token4] = ACTIONS(13824),
    [aux_sym_float_literal_token1] = ACTIONS(13826),
    [aux_sym_float_literal_token3] = ACTIONS(13826),
    [aux_sym_float_literal_token4] = ACTIONS(13826),
    [sym_character_literal] = ACTIONS(13826),
    [sym__pair_operator] = ACTIONS(13826),
    [sym__arrow_operator] = ACTIONS(13824),
    [sym__lazy_or_operator] = ACTIONS(13826),
    [sym__lazy_and_operator] = ACTIONS(13826),
    [sym__comparison_operator] = ACTIONS(13824),
    [sym__pipe_right_operator] = ACTIONS(13826),
    [sym__pipe_left_operator] = ACTIONS(13826),
    [sym__ellipsis_operator] = ACTIONS(13824),
    [sym__plus_operator] = ACTIONS(13824),
    [sym__times_operator] = ACTIONS(13824),
    [sym__rational_operator] = ACTIONS(13826),
    [sym__bitshift_operator] = ACTIONS(13826),
    [sym__power_operator] = ACTIONS(13826),
    [sym__tilde_operator] = ACTIONS(13826),
    [sym__type_order_operator] = ACTIONS(13826),
    [sym__unary_operator] = ACTIONS(13824),
    [sym__unary_plus_operator] = ACTIONS(13824),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13826),
    [sym__command_start] = ACTIONS(13826),
  },
  [8419] = {
    [sym__word_identifier] = ACTIONS(14120),
    [anon_sym_EQ] = ACTIONS(14120),
    [anon_sym_COMMA] = ACTIONS(14118),
    [anon_sym_COLON] = ACTIONS(14120),
    [anon_sym_begin] = ACTIONS(14120),
    [anon_sym_module] = ACTIONS(14120),
    [anon_sym_baremodule] = ACTIONS(14120),
    [anon_sym_abstract] = ACTIONS(14120),
    [anon_sym_primitive] = ACTIONS(14120),
    [anon_sym_mutable] = ACTIONS(14120),
    [anon_sym_struct] = ACTIONS(14120),
    [anon_sym_function] = ACTIONS(14120),
    [anon_sym_macro] = ACTIONS(14120),
    [anon_sym_where] = ACTIONS(14120),
    [anon_sym_quote] = ACTIONS(14120),
    [anon_sym_let] = ACTIONS(14120),
    [anon_sym_if] = ACTIONS(14120),
    [anon_sym_try] = ACTIONS(14120),
    [anon_sym_for] = ACTIONS(14120),
    [anon_sym_while] = ACTIONS(14120),
    [sym_break_statement] = ACTIONS(14120),
    [sym_continue_statement] = ACTIONS(14120),
    [anon_sym_return] = ACTIONS(14120),
    [anon_sym_const] = ACTIONS(14120),
    [anon_sym_global] = ACTIONS(14120),
    [anon_sym_local] = ACTIONS(14120),
    [anon_sym_LPAREN] = ACTIONS(14118),
    [anon_sym_RPAREN] = ACTIONS(14118),
    [anon_sym_COLON2] = ACTIONS(14120),
    [anon_sym_export] = ACTIONS(14120),
    [anon_sym_import] = ACTIONS(14120),
    [anon_sym_using] = ACTIONS(14120),
    [anon_sym_LBRACK] = ACTIONS(14118),
    [anon_sym_RBRACK] = ACTIONS(14118),
    [anon_sym_in] = ACTIONS(14120),
    [anon_sym_SEMI] = ACTIONS(14118),
    [anon_sym_LBRACE] = ACTIONS(14118),
    [anon_sym_RBRACE] = ACTIONS(14118),
    [anon_sym_DOLLAR] = ACTIONS(14118),
    [anon_sym_COLON_COLON] = ACTIONS(14118),
    [anon_sym_isa] = ACTIONS(14120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14118),
    [anon_sym_QMARK] = ACTIONS(14118),
    [anon_sym_AT] = ACTIONS(14118),
    [anon_sym_true] = ACTIONS(14120),
    [anon_sym_false] = ACTIONS(14120),
    [aux_sym_integer_literal_token1] = ACTIONS(14118),
    [aux_sym_integer_literal_token2] = ACTIONS(14118),
    [aux_sym_integer_literal_token3] = ACTIONS(14120),
    [aux_sym_integer_literal_token4] = ACTIONS(14120),
    [aux_sym_float_literal_token1] = ACTIONS(14118),
    [aux_sym_float_literal_token3] = ACTIONS(14118),
    [aux_sym_float_literal_token4] = ACTIONS(14118),
    [sym_character_literal] = ACTIONS(14118),
    [sym__pair_operator] = ACTIONS(14118),
    [sym__arrow_operator] = ACTIONS(14120),
    [sym__lazy_or_operator] = ACTIONS(14118),
    [sym__lazy_and_operator] = ACTIONS(14118),
    [sym__comparison_operator] = ACTIONS(14120),
    [sym__pipe_right_operator] = ACTIONS(14118),
    [sym__pipe_left_operator] = ACTIONS(14118),
    [sym__ellipsis_operator] = ACTIONS(14120),
    [sym__plus_operator] = ACTIONS(14120),
    [sym__times_operator] = ACTIONS(14120),
    [sym__rational_operator] = ACTIONS(14118),
    [sym__bitshift_operator] = ACTIONS(14118),
    [sym__power_operator] = ACTIONS(14118),
    [sym__tilde_operator] = ACTIONS(14118),
    [sym__type_order_operator] = ACTIONS(14118),
    [sym__unary_operator] = ACTIONS(14120),
    [sym__unary_plus_operator] = ACTIONS(14120),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14118),
    [sym__command_start] = ACTIONS(14118),
  },
  [8420] = {
    [sym__word_identifier] = ACTIONS(13828),
    [anon_sym_EQ] = ACTIONS(13828),
    [anon_sym_COMMA] = ACTIONS(13830),
    [anon_sym_COLON] = ACTIONS(13828),
    [anon_sym_begin] = ACTIONS(13828),
    [anon_sym_module] = ACTIONS(13828),
    [anon_sym_baremodule] = ACTIONS(13828),
    [anon_sym_abstract] = ACTIONS(13828),
    [anon_sym_primitive] = ACTIONS(13828),
    [anon_sym_mutable] = ACTIONS(13828),
    [anon_sym_struct] = ACTIONS(13828),
    [anon_sym_function] = ACTIONS(13828),
    [anon_sym_macro] = ACTIONS(13828),
    [anon_sym_where] = ACTIONS(13828),
    [anon_sym_quote] = ACTIONS(13828),
    [anon_sym_let] = ACTIONS(13828),
    [anon_sym_if] = ACTIONS(13828),
    [anon_sym_try] = ACTIONS(13828),
    [anon_sym_for] = ACTIONS(13828),
    [anon_sym_while] = ACTIONS(13828),
    [sym_break_statement] = ACTIONS(13828),
    [sym_continue_statement] = ACTIONS(13828),
    [anon_sym_return] = ACTIONS(13828),
    [anon_sym_const] = ACTIONS(13828),
    [anon_sym_global] = ACTIONS(13828),
    [anon_sym_local] = ACTIONS(13828),
    [anon_sym_LPAREN] = ACTIONS(13830),
    [anon_sym_RPAREN] = ACTIONS(13830),
    [anon_sym_COLON2] = ACTIONS(13828),
    [anon_sym_export] = ACTIONS(13828),
    [anon_sym_import] = ACTIONS(13828),
    [anon_sym_using] = ACTIONS(13828),
    [anon_sym_LBRACK] = ACTIONS(13830),
    [anon_sym_RBRACK] = ACTIONS(13830),
    [anon_sym_in] = ACTIONS(13828),
    [anon_sym_SEMI] = ACTIONS(13830),
    [anon_sym_LBRACE] = ACTIONS(13830),
    [anon_sym_RBRACE] = ACTIONS(13830),
    [anon_sym_DOLLAR] = ACTIONS(13830),
    [anon_sym_COLON_COLON] = ACTIONS(13830),
    [anon_sym_isa] = ACTIONS(13828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13830),
    [anon_sym_QMARK] = ACTIONS(13830),
    [anon_sym_AT] = ACTIONS(13830),
    [anon_sym_true] = ACTIONS(13828),
    [anon_sym_false] = ACTIONS(13828),
    [aux_sym_integer_literal_token1] = ACTIONS(13830),
    [aux_sym_integer_literal_token2] = ACTIONS(13830),
    [aux_sym_integer_literal_token3] = ACTIONS(13828),
    [aux_sym_integer_literal_token4] = ACTIONS(13828),
    [aux_sym_float_literal_token1] = ACTIONS(13830),
    [aux_sym_float_literal_token3] = ACTIONS(13830),
    [aux_sym_float_literal_token4] = ACTIONS(13830),
    [sym_character_literal] = ACTIONS(13830),
    [sym__pair_operator] = ACTIONS(13830),
    [sym__arrow_operator] = ACTIONS(13828),
    [sym__lazy_or_operator] = ACTIONS(13830),
    [sym__lazy_and_operator] = ACTIONS(13830),
    [sym__comparison_operator] = ACTIONS(13828),
    [sym__pipe_right_operator] = ACTIONS(13830),
    [sym__pipe_left_operator] = ACTIONS(13830),
    [sym__ellipsis_operator] = ACTIONS(13828),
    [sym__plus_operator] = ACTIONS(13828),
    [sym__times_operator] = ACTIONS(13828),
    [sym__rational_operator] = ACTIONS(13830),
    [sym__bitshift_operator] = ACTIONS(13830),
    [sym__power_operator] = ACTIONS(13830),
    [sym__tilde_operator] = ACTIONS(13830),
    [sym__type_order_operator] = ACTIONS(13830),
    [sym__unary_operator] = ACTIONS(13828),
    [sym__unary_plus_operator] = ACTIONS(13828),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13830),
    [sym__command_start] = ACTIONS(13830),
  },
  [8421] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14529),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14541),
    [sym__pipe_left_operator] = ACTIONS(14543),
    [sym__ellipsis_operator] = ACTIONS(14545),
    [sym__plus_operator] = ACTIONS(14547),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14547),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8422] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13094),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13094),
    [anon_sym_RPAREN] = ACTIONS(13094),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13094),
    [anon_sym_RBRACK] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_SEMI] = ACTIONS(13094),
    [anon_sym_LBRACE] = ACTIONS(13094),
    [anon_sym_RBRACE] = ACTIONS(13094),
    [anon_sym_DOLLAR] = ACTIONS(13094),
    [anon_sym_COLON_COLON] = ACTIONS(13094),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13094),
    [anon_sym_QMARK] = ACTIONS(13094),
    [anon_sym_AT] = ACTIONS(13094),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13094),
    [aux_sym_integer_literal_token2] = ACTIONS(13094),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13094),
    [aux_sym_float_literal_token3] = ACTIONS(13094),
    [aux_sym_float_literal_token4] = ACTIONS(13094),
    [sym_character_literal] = ACTIONS(13094),
    [sym__pair_operator] = ACTIONS(13094),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13094),
    [sym__lazy_and_operator] = ACTIONS(13094),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13094),
    [sym__pipe_left_operator] = ACTIONS(13094),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13094),
    [sym__bitshift_operator] = ACTIONS(13094),
    [sym__power_operator] = ACTIONS(13094),
    [sym__tilde_operator] = ACTIONS(13094),
    [sym__type_order_operator] = ACTIONS(13094),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8423] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14529),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(14545),
    [sym__plus_operator] = ACTIONS(14547),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14547),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8424] = {
    [sym__word_identifier] = ACTIONS(13386),
    [anon_sym_EQ] = ACTIONS(13386),
    [anon_sym_COMMA] = ACTIONS(13386),
    [anon_sym_COLON] = ACTIONS(13386),
    [anon_sym_begin] = ACTIONS(13386),
    [anon_sym_module] = ACTIONS(13386),
    [anon_sym_baremodule] = ACTIONS(13386),
    [anon_sym_end] = ACTIONS(13386),
    [anon_sym_abstract] = ACTIONS(13386),
    [anon_sym_primitive] = ACTIONS(13386),
    [anon_sym_mutable] = ACTIONS(13386),
    [anon_sym_struct] = ACTIONS(13386),
    [anon_sym_function] = ACTIONS(13386),
    [anon_sym_macro] = ACTIONS(13386),
    [anon_sym_where] = ACTIONS(13386),
    [anon_sym_quote] = ACTIONS(13386),
    [anon_sym_let] = ACTIONS(13386),
    [anon_sym_if] = ACTIONS(13386),
    [anon_sym_try] = ACTIONS(13386),
    [anon_sym_finally] = ACTIONS(13386),
    [anon_sym_for] = ACTIONS(13386),
    [anon_sym_while] = ACTIONS(13386),
    [sym_break_statement] = ACTIONS(13386),
    [sym_continue_statement] = ACTIONS(13386),
    [anon_sym_return] = ACTIONS(13386),
    [anon_sym_const] = ACTIONS(13386),
    [anon_sym_global] = ACTIONS(13386),
    [anon_sym_local] = ACTIONS(13386),
    [anon_sym_LPAREN] = ACTIONS(13386),
    [anon_sym_COLON2] = ACTIONS(13386),
    [anon_sym_export] = ACTIONS(13386),
    [anon_sym_import] = ACTIONS(13386),
    [anon_sym_using] = ACTIONS(13386),
    [anon_sym_LBRACK] = ACTIONS(13386),
    [anon_sym_LF] = ACTIONS(13388),
    [anon_sym_in] = ACTIONS(13386),
    [anon_sym_LBRACE] = ACTIONS(13386),
    [anon_sym_DOLLAR] = ACTIONS(13386),
    [anon_sym_COLON_COLON] = ACTIONS(13386),
    [anon_sym_isa] = ACTIONS(13386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13386),
    [anon_sym_QMARK] = ACTIONS(13386),
    [anon_sym_AT] = ACTIONS(13386),
    [anon_sym_true] = ACTIONS(13386),
    [anon_sym_false] = ACTIONS(13386),
    [aux_sym_integer_literal_token1] = ACTIONS(13386),
    [aux_sym_integer_literal_token2] = ACTIONS(13386),
    [aux_sym_integer_literal_token3] = ACTIONS(13386),
    [aux_sym_integer_literal_token4] = ACTIONS(13386),
    [aux_sym_float_literal_token1] = ACTIONS(13386),
    [aux_sym_float_literal_token3] = ACTIONS(13386),
    [aux_sym_float_literal_token4] = ACTIONS(13386),
    [sym_character_literal] = ACTIONS(13386),
    [sym__pair_operator] = ACTIONS(13386),
    [sym__arrow_operator] = ACTIONS(13386),
    [sym__lazy_or_operator] = ACTIONS(13386),
    [sym__lazy_and_operator] = ACTIONS(13386),
    [sym__comparison_operator] = ACTIONS(13386),
    [sym__pipe_right_operator] = ACTIONS(13386),
    [sym__pipe_left_operator] = ACTIONS(13386),
    [sym__ellipsis_operator] = ACTIONS(13386),
    [sym__plus_operator] = ACTIONS(13386),
    [sym__times_operator] = ACTIONS(13386),
    [sym__rational_operator] = ACTIONS(13386),
    [sym__bitshift_operator] = ACTIONS(13386),
    [sym__power_operator] = ACTIONS(13386),
    [sym__tilde_operator] = ACTIONS(13386),
    [sym__type_order_operator] = ACTIONS(13386),
    [sym__unary_operator] = ACTIONS(13386),
    [sym__unary_plus_operator] = ACTIONS(13386),
    [aux_sym__terminator_token1] = ACTIONS(13386),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13388),
    [sym__command_start] = ACTIONS(13388),
  },
  [8425] = {
    [sym__word_identifier] = ACTIONS(13340),
    [anon_sym_EQ] = ACTIONS(13340),
    [anon_sym_COMMA] = ACTIONS(13340),
    [anon_sym_COLON] = ACTIONS(13340),
    [anon_sym_begin] = ACTIONS(13340),
    [anon_sym_module] = ACTIONS(13340),
    [anon_sym_baremodule] = ACTIONS(13340),
    [anon_sym_end] = ACTIONS(13340),
    [anon_sym_abstract] = ACTIONS(13340),
    [anon_sym_primitive] = ACTIONS(13340),
    [anon_sym_mutable] = ACTIONS(13340),
    [anon_sym_struct] = ACTIONS(13340),
    [anon_sym_function] = ACTIONS(13340),
    [anon_sym_macro] = ACTIONS(13340),
    [anon_sym_where] = ACTIONS(13340),
    [anon_sym_quote] = ACTIONS(13340),
    [anon_sym_let] = ACTIONS(13340),
    [anon_sym_if] = ACTIONS(13340),
    [anon_sym_try] = ACTIONS(13340),
    [anon_sym_finally] = ACTIONS(13340),
    [anon_sym_for] = ACTIONS(13340),
    [anon_sym_while] = ACTIONS(13340),
    [sym_break_statement] = ACTIONS(13340),
    [sym_continue_statement] = ACTIONS(13340),
    [anon_sym_return] = ACTIONS(13340),
    [anon_sym_const] = ACTIONS(13340),
    [anon_sym_global] = ACTIONS(13340),
    [anon_sym_local] = ACTIONS(13340),
    [anon_sym_LPAREN] = ACTIONS(13340),
    [anon_sym_COLON2] = ACTIONS(13340),
    [anon_sym_export] = ACTIONS(13340),
    [anon_sym_import] = ACTIONS(13340),
    [anon_sym_using] = ACTIONS(13340),
    [anon_sym_LBRACK] = ACTIONS(13340),
    [anon_sym_LF] = ACTIONS(13342),
    [anon_sym_in] = ACTIONS(13340),
    [anon_sym_LBRACE] = ACTIONS(13340),
    [anon_sym_DOLLAR] = ACTIONS(13340),
    [anon_sym_COLON_COLON] = ACTIONS(13340),
    [anon_sym_isa] = ACTIONS(13340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13340),
    [anon_sym_QMARK] = ACTIONS(13340),
    [anon_sym_AT] = ACTIONS(13340),
    [anon_sym_true] = ACTIONS(13340),
    [anon_sym_false] = ACTIONS(13340),
    [aux_sym_integer_literal_token1] = ACTIONS(13340),
    [aux_sym_integer_literal_token2] = ACTIONS(13340),
    [aux_sym_integer_literal_token3] = ACTIONS(13340),
    [aux_sym_integer_literal_token4] = ACTIONS(13340),
    [aux_sym_float_literal_token1] = ACTIONS(13340),
    [aux_sym_float_literal_token3] = ACTIONS(13340),
    [aux_sym_float_literal_token4] = ACTIONS(13340),
    [sym_character_literal] = ACTIONS(13340),
    [sym__pair_operator] = ACTIONS(13340),
    [sym__arrow_operator] = ACTIONS(13340),
    [sym__lazy_or_operator] = ACTIONS(13340),
    [sym__lazy_and_operator] = ACTIONS(13340),
    [sym__comparison_operator] = ACTIONS(13340),
    [sym__pipe_right_operator] = ACTIONS(13340),
    [sym__pipe_left_operator] = ACTIONS(13340),
    [sym__ellipsis_operator] = ACTIONS(13340),
    [sym__plus_operator] = ACTIONS(13340),
    [sym__times_operator] = ACTIONS(13340),
    [sym__rational_operator] = ACTIONS(13340),
    [sym__bitshift_operator] = ACTIONS(13340),
    [sym__power_operator] = ACTIONS(13340),
    [sym__tilde_operator] = ACTIONS(13340),
    [sym__type_order_operator] = ACTIONS(13340),
    [sym__unary_operator] = ACTIONS(13340),
    [sym__unary_plus_operator] = ACTIONS(13340),
    [aux_sym__terminator_token1] = ACTIONS(13340),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13342),
    [sym__command_start] = ACTIONS(13342),
  },
  [8426] = {
    [sym__word_identifier] = ACTIONS(13426),
    [anon_sym_EQ] = ACTIONS(13426),
    [anon_sym_COMMA] = ACTIONS(13426),
    [anon_sym_COLON] = ACTIONS(13426),
    [anon_sym_begin] = ACTIONS(13426),
    [anon_sym_module] = ACTIONS(13426),
    [anon_sym_baremodule] = ACTIONS(13426),
    [anon_sym_abstract] = ACTIONS(13426),
    [anon_sym_primitive] = ACTIONS(13426),
    [anon_sym_mutable] = ACTIONS(13426),
    [anon_sym_struct] = ACTIONS(13426),
    [anon_sym_function] = ACTIONS(13426),
    [anon_sym_macro] = ACTIONS(13426),
    [anon_sym_where] = ACTIONS(13426),
    [anon_sym_quote] = ACTIONS(13426),
    [anon_sym_let] = ACTIONS(13426),
    [anon_sym_if] = ACTIONS(13426),
    [anon_sym_try] = ACTIONS(13426),
    [anon_sym_catch] = ACTIONS(13426),
    [anon_sym_finally] = ACTIONS(13426),
    [anon_sym_for] = ACTIONS(13426),
    [anon_sym_while] = ACTIONS(13426),
    [sym_break_statement] = ACTIONS(13426),
    [sym_continue_statement] = ACTIONS(13426),
    [anon_sym_return] = ACTIONS(13426),
    [anon_sym_const] = ACTIONS(13426),
    [anon_sym_global] = ACTIONS(13426),
    [anon_sym_local] = ACTIONS(13426),
    [anon_sym_LPAREN] = ACTIONS(13426),
    [anon_sym_COLON2] = ACTIONS(13426),
    [anon_sym_export] = ACTIONS(13426),
    [anon_sym_import] = ACTIONS(13426),
    [anon_sym_using] = ACTIONS(13426),
    [anon_sym_LBRACK] = ACTIONS(13426),
    [anon_sym_LF] = ACTIONS(13428),
    [anon_sym_in] = ACTIONS(13426),
    [anon_sym_LBRACE] = ACTIONS(13426),
    [anon_sym_DOLLAR] = ACTIONS(13426),
    [anon_sym_COLON_COLON] = ACTIONS(13426),
    [anon_sym_isa] = ACTIONS(13426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13426),
    [anon_sym_QMARK] = ACTIONS(13426),
    [anon_sym_AT] = ACTIONS(13426),
    [anon_sym_true] = ACTIONS(13426),
    [anon_sym_false] = ACTIONS(13426),
    [aux_sym_integer_literal_token1] = ACTIONS(13426),
    [aux_sym_integer_literal_token2] = ACTIONS(13426),
    [aux_sym_integer_literal_token3] = ACTIONS(13426),
    [aux_sym_integer_literal_token4] = ACTIONS(13426),
    [aux_sym_float_literal_token1] = ACTIONS(13426),
    [aux_sym_float_literal_token3] = ACTIONS(13426),
    [aux_sym_float_literal_token4] = ACTIONS(13426),
    [sym_character_literal] = ACTIONS(13426),
    [sym__pair_operator] = ACTIONS(13426),
    [sym__arrow_operator] = ACTIONS(13426),
    [sym__lazy_or_operator] = ACTIONS(13426),
    [sym__lazy_and_operator] = ACTIONS(13426),
    [sym__comparison_operator] = ACTIONS(13426),
    [sym__pipe_right_operator] = ACTIONS(13426),
    [sym__pipe_left_operator] = ACTIONS(13426),
    [sym__ellipsis_operator] = ACTIONS(13426),
    [sym__plus_operator] = ACTIONS(13426),
    [sym__times_operator] = ACTIONS(13426),
    [sym__rational_operator] = ACTIONS(13426),
    [sym__bitshift_operator] = ACTIONS(13426),
    [sym__power_operator] = ACTIONS(13426),
    [sym__tilde_operator] = ACTIONS(13426),
    [sym__type_order_operator] = ACTIONS(13426),
    [sym__unary_operator] = ACTIONS(13426),
    [sym__unary_plus_operator] = ACTIONS(13426),
    [aux_sym__terminator_token1] = ACTIONS(13426),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13428),
    [sym__command_start] = ACTIONS(13428),
  },
  [8427] = {
    [sym__word_identifier] = ACTIONS(13426),
    [anon_sym_EQ] = ACTIONS(13426),
    [anon_sym_COMMA] = ACTIONS(13426),
    [anon_sym_COLON] = ACTIONS(13426),
    [anon_sym_begin] = ACTIONS(13426),
    [anon_sym_module] = ACTIONS(13426),
    [anon_sym_baremodule] = ACTIONS(13426),
    [anon_sym_end] = ACTIONS(13426),
    [anon_sym_abstract] = ACTIONS(13426),
    [anon_sym_primitive] = ACTIONS(13426),
    [anon_sym_mutable] = ACTIONS(13426),
    [anon_sym_struct] = ACTIONS(13426),
    [anon_sym_function] = ACTIONS(13426),
    [anon_sym_macro] = ACTIONS(13426),
    [anon_sym_where] = ACTIONS(13426),
    [anon_sym_quote] = ACTIONS(13426),
    [anon_sym_let] = ACTIONS(13426),
    [anon_sym_if] = ACTIONS(13426),
    [anon_sym_try] = ACTIONS(13426),
    [anon_sym_finally] = ACTIONS(13426),
    [anon_sym_for] = ACTIONS(13426),
    [anon_sym_while] = ACTIONS(13426),
    [sym_break_statement] = ACTIONS(13426),
    [sym_continue_statement] = ACTIONS(13426),
    [anon_sym_return] = ACTIONS(13426),
    [anon_sym_const] = ACTIONS(13426),
    [anon_sym_global] = ACTIONS(13426),
    [anon_sym_local] = ACTIONS(13426),
    [anon_sym_LPAREN] = ACTIONS(13426),
    [anon_sym_COLON2] = ACTIONS(13426),
    [anon_sym_export] = ACTIONS(13426),
    [anon_sym_import] = ACTIONS(13426),
    [anon_sym_using] = ACTIONS(13426),
    [anon_sym_LBRACK] = ACTIONS(13426),
    [anon_sym_LF] = ACTIONS(13428),
    [anon_sym_in] = ACTIONS(13426),
    [anon_sym_LBRACE] = ACTIONS(13426),
    [anon_sym_DOLLAR] = ACTIONS(13426),
    [anon_sym_COLON_COLON] = ACTIONS(13426),
    [anon_sym_isa] = ACTIONS(13426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13426),
    [anon_sym_QMARK] = ACTIONS(13426),
    [anon_sym_AT] = ACTIONS(13426),
    [anon_sym_true] = ACTIONS(13426),
    [anon_sym_false] = ACTIONS(13426),
    [aux_sym_integer_literal_token1] = ACTIONS(13426),
    [aux_sym_integer_literal_token2] = ACTIONS(13426),
    [aux_sym_integer_literal_token3] = ACTIONS(13426),
    [aux_sym_integer_literal_token4] = ACTIONS(13426),
    [aux_sym_float_literal_token1] = ACTIONS(13426),
    [aux_sym_float_literal_token3] = ACTIONS(13426),
    [aux_sym_float_literal_token4] = ACTIONS(13426),
    [sym_character_literal] = ACTIONS(13426),
    [sym__pair_operator] = ACTIONS(13426),
    [sym__arrow_operator] = ACTIONS(13426),
    [sym__lazy_or_operator] = ACTIONS(13426),
    [sym__lazy_and_operator] = ACTIONS(13426),
    [sym__comparison_operator] = ACTIONS(13426),
    [sym__pipe_right_operator] = ACTIONS(13426),
    [sym__pipe_left_operator] = ACTIONS(13426),
    [sym__ellipsis_operator] = ACTIONS(13426),
    [sym__plus_operator] = ACTIONS(13426),
    [sym__times_operator] = ACTIONS(13426),
    [sym__rational_operator] = ACTIONS(13426),
    [sym__bitshift_operator] = ACTIONS(13426),
    [sym__power_operator] = ACTIONS(13426),
    [sym__tilde_operator] = ACTIONS(13426),
    [sym__type_order_operator] = ACTIONS(13426),
    [sym__unary_operator] = ACTIONS(13426),
    [sym__unary_plus_operator] = ACTIONS(13426),
    [aux_sym__terminator_token1] = ACTIONS(13426),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13428),
    [sym__command_start] = ACTIONS(13428),
  },
  [8428] = {
    [sym__word_identifier] = ACTIONS(13286),
    [anon_sym_EQ] = ACTIONS(13286),
    [anon_sym_COMMA] = ACTIONS(13286),
    [anon_sym_COLON] = ACTIONS(13286),
    [anon_sym_begin] = ACTIONS(13286),
    [anon_sym_module] = ACTIONS(13286),
    [anon_sym_baremodule] = ACTIONS(13286),
    [anon_sym_end] = ACTIONS(13286),
    [anon_sym_abstract] = ACTIONS(13286),
    [anon_sym_primitive] = ACTIONS(13286),
    [anon_sym_mutable] = ACTIONS(13286),
    [anon_sym_struct] = ACTIONS(13286),
    [anon_sym_function] = ACTIONS(13286),
    [anon_sym_macro] = ACTIONS(13286),
    [anon_sym_where] = ACTIONS(13286),
    [anon_sym_quote] = ACTIONS(13286),
    [anon_sym_let] = ACTIONS(13286),
    [anon_sym_if] = ACTIONS(13286),
    [anon_sym_try] = ACTIONS(13286),
    [anon_sym_finally] = ACTIONS(13286),
    [anon_sym_for] = ACTIONS(13286),
    [anon_sym_while] = ACTIONS(13286),
    [sym_break_statement] = ACTIONS(13286),
    [sym_continue_statement] = ACTIONS(13286),
    [anon_sym_return] = ACTIONS(13286),
    [anon_sym_const] = ACTIONS(13286),
    [anon_sym_global] = ACTIONS(13286),
    [anon_sym_local] = ACTIONS(13286),
    [anon_sym_LPAREN] = ACTIONS(13286),
    [anon_sym_COLON2] = ACTIONS(13286),
    [anon_sym_export] = ACTIONS(13286),
    [anon_sym_import] = ACTIONS(13286),
    [anon_sym_using] = ACTIONS(13286),
    [anon_sym_LBRACK] = ACTIONS(13286),
    [anon_sym_LF] = ACTIONS(13288),
    [anon_sym_in] = ACTIONS(13286),
    [anon_sym_LBRACE] = ACTIONS(13286),
    [anon_sym_DOLLAR] = ACTIONS(13286),
    [anon_sym_COLON_COLON] = ACTIONS(13286),
    [anon_sym_isa] = ACTIONS(13286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13286),
    [anon_sym_QMARK] = ACTIONS(13286),
    [anon_sym_AT] = ACTIONS(13286),
    [anon_sym_true] = ACTIONS(13286),
    [anon_sym_false] = ACTIONS(13286),
    [aux_sym_integer_literal_token1] = ACTIONS(13286),
    [aux_sym_integer_literal_token2] = ACTIONS(13286),
    [aux_sym_integer_literal_token3] = ACTIONS(13286),
    [aux_sym_integer_literal_token4] = ACTIONS(13286),
    [aux_sym_float_literal_token1] = ACTIONS(13286),
    [aux_sym_float_literal_token3] = ACTIONS(13286),
    [aux_sym_float_literal_token4] = ACTIONS(13286),
    [sym_character_literal] = ACTIONS(13286),
    [sym__pair_operator] = ACTIONS(13286),
    [sym__arrow_operator] = ACTIONS(13286),
    [sym__lazy_or_operator] = ACTIONS(13286),
    [sym__lazy_and_operator] = ACTIONS(13286),
    [sym__comparison_operator] = ACTIONS(13286),
    [sym__pipe_right_operator] = ACTIONS(13286),
    [sym__pipe_left_operator] = ACTIONS(13286),
    [sym__ellipsis_operator] = ACTIONS(13286),
    [sym__plus_operator] = ACTIONS(13286),
    [sym__times_operator] = ACTIONS(13286),
    [sym__rational_operator] = ACTIONS(13286),
    [sym__bitshift_operator] = ACTIONS(13286),
    [sym__power_operator] = ACTIONS(13286),
    [sym__tilde_operator] = ACTIONS(13286),
    [sym__type_order_operator] = ACTIONS(13286),
    [sym__unary_operator] = ACTIONS(13286),
    [sym__unary_plus_operator] = ACTIONS(13286),
    [aux_sym__terminator_token1] = ACTIONS(13286),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13288),
    [sym__command_start] = ACTIONS(13288),
  },
  [8429] = {
    [sym__word_identifier] = ACTIONS(13340),
    [anon_sym_EQ] = ACTIONS(13340),
    [anon_sym_COMMA] = ACTIONS(13340),
    [anon_sym_COLON] = ACTIONS(13340),
    [anon_sym_begin] = ACTIONS(13340),
    [anon_sym_module] = ACTIONS(13340),
    [anon_sym_baremodule] = ACTIONS(13340),
    [anon_sym_abstract] = ACTIONS(13340),
    [anon_sym_primitive] = ACTIONS(13340),
    [anon_sym_mutable] = ACTIONS(13340),
    [anon_sym_struct] = ACTIONS(13340),
    [anon_sym_function] = ACTIONS(13340),
    [anon_sym_macro] = ACTIONS(13340),
    [anon_sym_where] = ACTIONS(13340),
    [anon_sym_quote] = ACTIONS(13340),
    [anon_sym_let] = ACTIONS(13340),
    [anon_sym_if] = ACTIONS(13340),
    [anon_sym_try] = ACTIONS(13340),
    [anon_sym_catch] = ACTIONS(13340),
    [anon_sym_finally] = ACTIONS(13340),
    [anon_sym_for] = ACTIONS(13340),
    [anon_sym_while] = ACTIONS(13340),
    [sym_break_statement] = ACTIONS(13340),
    [sym_continue_statement] = ACTIONS(13340),
    [anon_sym_return] = ACTIONS(13340),
    [anon_sym_const] = ACTIONS(13340),
    [anon_sym_global] = ACTIONS(13340),
    [anon_sym_local] = ACTIONS(13340),
    [anon_sym_LPAREN] = ACTIONS(13340),
    [anon_sym_COLON2] = ACTIONS(13340),
    [anon_sym_export] = ACTIONS(13340),
    [anon_sym_import] = ACTIONS(13340),
    [anon_sym_using] = ACTIONS(13340),
    [anon_sym_LBRACK] = ACTIONS(13340),
    [anon_sym_LF] = ACTIONS(13342),
    [anon_sym_in] = ACTIONS(13340),
    [anon_sym_LBRACE] = ACTIONS(13340),
    [anon_sym_DOLLAR] = ACTIONS(13340),
    [anon_sym_COLON_COLON] = ACTIONS(13340),
    [anon_sym_isa] = ACTIONS(13340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13340),
    [anon_sym_QMARK] = ACTIONS(13340),
    [anon_sym_AT] = ACTIONS(13340),
    [anon_sym_true] = ACTIONS(13340),
    [anon_sym_false] = ACTIONS(13340),
    [aux_sym_integer_literal_token1] = ACTIONS(13340),
    [aux_sym_integer_literal_token2] = ACTIONS(13340),
    [aux_sym_integer_literal_token3] = ACTIONS(13340),
    [aux_sym_integer_literal_token4] = ACTIONS(13340),
    [aux_sym_float_literal_token1] = ACTIONS(13340),
    [aux_sym_float_literal_token3] = ACTIONS(13340),
    [aux_sym_float_literal_token4] = ACTIONS(13340),
    [sym_character_literal] = ACTIONS(13340),
    [sym__pair_operator] = ACTIONS(13340),
    [sym__arrow_operator] = ACTIONS(13340),
    [sym__lazy_or_operator] = ACTIONS(13340),
    [sym__lazy_and_operator] = ACTIONS(13340),
    [sym__comparison_operator] = ACTIONS(13340),
    [sym__pipe_right_operator] = ACTIONS(13340),
    [sym__pipe_left_operator] = ACTIONS(13340),
    [sym__ellipsis_operator] = ACTIONS(13340),
    [sym__plus_operator] = ACTIONS(13340),
    [sym__times_operator] = ACTIONS(13340),
    [sym__rational_operator] = ACTIONS(13340),
    [sym__bitshift_operator] = ACTIONS(13340),
    [sym__power_operator] = ACTIONS(13340),
    [sym__tilde_operator] = ACTIONS(13340),
    [sym__type_order_operator] = ACTIONS(13340),
    [sym__unary_operator] = ACTIONS(13340),
    [sym__unary_plus_operator] = ACTIONS(13340),
    [aux_sym__terminator_token1] = ACTIONS(13340),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13342),
    [sym__command_start] = ACTIONS(13342),
  },
  [8430] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13104),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13104),
    [anon_sym_RPAREN] = ACTIONS(13104),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13104),
    [anon_sym_RBRACK] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_SEMI] = ACTIONS(13104),
    [anon_sym_LBRACE] = ACTIONS(13104),
    [anon_sym_RBRACE] = ACTIONS(13104),
    [anon_sym_DOLLAR] = ACTIONS(13104),
    [anon_sym_COLON_COLON] = ACTIONS(13104),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13104),
    [anon_sym_QMARK] = ACTIONS(13104),
    [anon_sym_AT] = ACTIONS(13104),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13104),
    [aux_sym_integer_literal_token2] = ACTIONS(13104),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13104),
    [aux_sym_float_literal_token3] = ACTIONS(13104),
    [aux_sym_float_literal_token4] = ACTIONS(13104),
    [sym_character_literal] = ACTIONS(13104),
    [sym__pair_operator] = ACTIONS(13104),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13104),
    [sym__lazy_and_operator] = ACTIONS(13104),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13104),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13104),
    [sym__bitshift_operator] = ACTIONS(13104),
    [sym__power_operator] = ACTIONS(13104),
    [sym__tilde_operator] = ACTIONS(13104),
    [sym__type_order_operator] = ACTIONS(13104),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8431] = {
    [sym__word_identifier] = ACTIONS(13386),
    [anon_sym_EQ] = ACTIONS(13386),
    [anon_sym_COMMA] = ACTIONS(13386),
    [anon_sym_COLON] = ACTIONS(13386),
    [anon_sym_begin] = ACTIONS(13386),
    [anon_sym_module] = ACTIONS(13386),
    [anon_sym_baremodule] = ACTIONS(13386),
    [anon_sym_abstract] = ACTIONS(13386),
    [anon_sym_primitive] = ACTIONS(13386),
    [anon_sym_mutable] = ACTIONS(13386),
    [anon_sym_struct] = ACTIONS(13386),
    [anon_sym_function] = ACTIONS(13386),
    [anon_sym_macro] = ACTIONS(13386),
    [anon_sym_where] = ACTIONS(13386),
    [anon_sym_quote] = ACTIONS(13386),
    [anon_sym_let] = ACTIONS(13386),
    [anon_sym_if] = ACTIONS(13386),
    [anon_sym_try] = ACTIONS(13386),
    [anon_sym_catch] = ACTIONS(13386),
    [anon_sym_finally] = ACTIONS(13386),
    [anon_sym_for] = ACTIONS(13386),
    [anon_sym_while] = ACTIONS(13386),
    [sym_break_statement] = ACTIONS(13386),
    [sym_continue_statement] = ACTIONS(13386),
    [anon_sym_return] = ACTIONS(13386),
    [anon_sym_const] = ACTIONS(13386),
    [anon_sym_global] = ACTIONS(13386),
    [anon_sym_local] = ACTIONS(13386),
    [anon_sym_LPAREN] = ACTIONS(13386),
    [anon_sym_COLON2] = ACTIONS(13386),
    [anon_sym_export] = ACTIONS(13386),
    [anon_sym_import] = ACTIONS(13386),
    [anon_sym_using] = ACTIONS(13386),
    [anon_sym_LBRACK] = ACTIONS(13386),
    [anon_sym_LF] = ACTIONS(13388),
    [anon_sym_in] = ACTIONS(13386),
    [anon_sym_LBRACE] = ACTIONS(13386),
    [anon_sym_DOLLAR] = ACTIONS(13386),
    [anon_sym_COLON_COLON] = ACTIONS(13386),
    [anon_sym_isa] = ACTIONS(13386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13386),
    [anon_sym_QMARK] = ACTIONS(13386),
    [anon_sym_AT] = ACTIONS(13386),
    [anon_sym_true] = ACTIONS(13386),
    [anon_sym_false] = ACTIONS(13386),
    [aux_sym_integer_literal_token1] = ACTIONS(13386),
    [aux_sym_integer_literal_token2] = ACTIONS(13386),
    [aux_sym_integer_literal_token3] = ACTIONS(13386),
    [aux_sym_integer_literal_token4] = ACTIONS(13386),
    [aux_sym_float_literal_token1] = ACTIONS(13386),
    [aux_sym_float_literal_token3] = ACTIONS(13386),
    [aux_sym_float_literal_token4] = ACTIONS(13386),
    [sym_character_literal] = ACTIONS(13386),
    [sym__pair_operator] = ACTIONS(13386),
    [sym__arrow_operator] = ACTIONS(13386),
    [sym__lazy_or_operator] = ACTIONS(13386),
    [sym__lazy_and_operator] = ACTIONS(13386),
    [sym__comparison_operator] = ACTIONS(13386),
    [sym__pipe_right_operator] = ACTIONS(13386),
    [sym__pipe_left_operator] = ACTIONS(13386),
    [sym__ellipsis_operator] = ACTIONS(13386),
    [sym__plus_operator] = ACTIONS(13386),
    [sym__times_operator] = ACTIONS(13386),
    [sym__rational_operator] = ACTIONS(13386),
    [sym__bitshift_operator] = ACTIONS(13386),
    [sym__power_operator] = ACTIONS(13386),
    [sym__tilde_operator] = ACTIONS(13386),
    [sym__type_order_operator] = ACTIONS(13386),
    [sym__unary_operator] = ACTIONS(13386),
    [sym__unary_plus_operator] = ACTIONS(13386),
    [aux_sym__terminator_token1] = ACTIONS(13386),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13388),
    [sym__command_start] = ACTIONS(13388),
  },
  [8432] = {
    [sym__word_identifier] = ACTIONS(13408),
    [anon_sym_EQ] = ACTIONS(13408),
    [anon_sym_COMMA] = ACTIONS(13408),
    [anon_sym_COLON] = ACTIONS(13408),
    [anon_sym_begin] = ACTIONS(13408),
    [anon_sym_module] = ACTIONS(13408),
    [anon_sym_baremodule] = ACTIONS(13408),
    [anon_sym_abstract] = ACTIONS(13408),
    [anon_sym_primitive] = ACTIONS(13408),
    [anon_sym_mutable] = ACTIONS(13408),
    [anon_sym_struct] = ACTIONS(13408),
    [anon_sym_function] = ACTIONS(13408),
    [anon_sym_macro] = ACTIONS(13408),
    [anon_sym_where] = ACTIONS(13408),
    [anon_sym_quote] = ACTIONS(13408),
    [anon_sym_let] = ACTIONS(13408),
    [anon_sym_if] = ACTIONS(13408),
    [anon_sym_try] = ACTIONS(13408),
    [anon_sym_catch] = ACTIONS(13408),
    [anon_sym_finally] = ACTIONS(13408),
    [anon_sym_for] = ACTIONS(13408),
    [anon_sym_while] = ACTIONS(13408),
    [sym_break_statement] = ACTIONS(13408),
    [sym_continue_statement] = ACTIONS(13408),
    [anon_sym_return] = ACTIONS(13408),
    [anon_sym_const] = ACTIONS(13408),
    [anon_sym_global] = ACTIONS(13408),
    [anon_sym_local] = ACTIONS(13408),
    [anon_sym_LPAREN] = ACTIONS(13408),
    [anon_sym_COLON2] = ACTIONS(13408),
    [anon_sym_export] = ACTIONS(13408),
    [anon_sym_import] = ACTIONS(13408),
    [anon_sym_using] = ACTIONS(13408),
    [anon_sym_LBRACK] = ACTIONS(13408),
    [anon_sym_LF] = ACTIONS(13410),
    [anon_sym_in] = ACTIONS(13408),
    [anon_sym_LBRACE] = ACTIONS(13408),
    [anon_sym_DOLLAR] = ACTIONS(13408),
    [anon_sym_COLON_COLON] = ACTIONS(13408),
    [anon_sym_isa] = ACTIONS(13408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13408),
    [anon_sym_QMARK] = ACTIONS(13408),
    [anon_sym_AT] = ACTIONS(13408),
    [anon_sym_true] = ACTIONS(13408),
    [anon_sym_false] = ACTIONS(13408),
    [aux_sym_integer_literal_token1] = ACTIONS(13408),
    [aux_sym_integer_literal_token2] = ACTIONS(13408),
    [aux_sym_integer_literal_token3] = ACTIONS(13408),
    [aux_sym_integer_literal_token4] = ACTIONS(13408),
    [aux_sym_float_literal_token1] = ACTIONS(13408),
    [aux_sym_float_literal_token3] = ACTIONS(13408),
    [aux_sym_float_literal_token4] = ACTIONS(13408),
    [sym_character_literal] = ACTIONS(13408),
    [sym__pair_operator] = ACTIONS(13408),
    [sym__arrow_operator] = ACTIONS(13408),
    [sym__lazy_or_operator] = ACTIONS(13408),
    [sym__lazy_and_operator] = ACTIONS(13408),
    [sym__comparison_operator] = ACTIONS(13408),
    [sym__pipe_right_operator] = ACTIONS(13408),
    [sym__pipe_left_operator] = ACTIONS(13408),
    [sym__ellipsis_operator] = ACTIONS(13408),
    [sym__plus_operator] = ACTIONS(13408),
    [sym__times_operator] = ACTIONS(13408),
    [sym__rational_operator] = ACTIONS(13408),
    [sym__bitshift_operator] = ACTIONS(13408),
    [sym__power_operator] = ACTIONS(13408),
    [sym__tilde_operator] = ACTIONS(13408),
    [sym__type_order_operator] = ACTIONS(13408),
    [sym__unary_operator] = ACTIONS(13408),
    [sym__unary_plus_operator] = ACTIONS(13408),
    [aux_sym__terminator_token1] = ACTIONS(13408),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13410),
    [sym__command_start] = ACTIONS(13410),
  },
  [8433] = {
    [sym__word_identifier] = ACTIONS(13259),
    [anon_sym_EQ] = ACTIONS(13259),
    [anon_sym_COMMA] = ACTIONS(13259),
    [anon_sym_COLON] = ACTIONS(13259),
    [anon_sym_begin] = ACTIONS(13259),
    [anon_sym_module] = ACTIONS(13259),
    [anon_sym_baremodule] = ACTIONS(13259),
    [anon_sym_end] = ACTIONS(13259),
    [anon_sym_abstract] = ACTIONS(13259),
    [anon_sym_primitive] = ACTIONS(13259),
    [anon_sym_mutable] = ACTIONS(13259),
    [anon_sym_struct] = ACTIONS(13259),
    [anon_sym_function] = ACTIONS(13259),
    [anon_sym_macro] = ACTIONS(13259),
    [anon_sym_where] = ACTIONS(13259),
    [anon_sym_quote] = ACTIONS(13259),
    [anon_sym_let] = ACTIONS(13259),
    [anon_sym_if] = ACTIONS(13259),
    [anon_sym_try] = ACTIONS(13259),
    [anon_sym_finally] = ACTIONS(13259),
    [anon_sym_for] = ACTIONS(13259),
    [anon_sym_while] = ACTIONS(13259),
    [sym_break_statement] = ACTIONS(13259),
    [sym_continue_statement] = ACTIONS(13259),
    [anon_sym_return] = ACTIONS(13259),
    [anon_sym_const] = ACTIONS(13259),
    [anon_sym_global] = ACTIONS(13259),
    [anon_sym_local] = ACTIONS(13259),
    [anon_sym_LPAREN] = ACTIONS(13259),
    [anon_sym_COLON2] = ACTIONS(13259),
    [anon_sym_export] = ACTIONS(13259),
    [anon_sym_import] = ACTIONS(13259),
    [anon_sym_using] = ACTIONS(13259),
    [anon_sym_LBRACK] = ACTIONS(13259),
    [anon_sym_LF] = ACTIONS(13261),
    [anon_sym_in] = ACTIONS(13259),
    [anon_sym_LBRACE] = ACTIONS(13259),
    [anon_sym_DOLLAR] = ACTIONS(13259),
    [anon_sym_COLON_COLON] = ACTIONS(13259),
    [anon_sym_isa] = ACTIONS(13259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13259),
    [anon_sym_QMARK] = ACTIONS(13259),
    [anon_sym_AT] = ACTIONS(13259),
    [anon_sym_true] = ACTIONS(13259),
    [anon_sym_false] = ACTIONS(13259),
    [aux_sym_integer_literal_token1] = ACTIONS(13259),
    [aux_sym_integer_literal_token2] = ACTIONS(13259),
    [aux_sym_integer_literal_token3] = ACTIONS(13259),
    [aux_sym_integer_literal_token4] = ACTIONS(13259),
    [aux_sym_float_literal_token1] = ACTIONS(13259),
    [aux_sym_float_literal_token3] = ACTIONS(13259),
    [aux_sym_float_literal_token4] = ACTIONS(13259),
    [sym_character_literal] = ACTIONS(13259),
    [sym__pair_operator] = ACTIONS(13259),
    [sym__arrow_operator] = ACTIONS(13259),
    [sym__lazy_or_operator] = ACTIONS(13259),
    [sym__lazy_and_operator] = ACTIONS(13259),
    [sym__comparison_operator] = ACTIONS(13259),
    [sym__pipe_right_operator] = ACTIONS(13259),
    [sym__pipe_left_operator] = ACTIONS(13259),
    [sym__ellipsis_operator] = ACTIONS(13259),
    [sym__plus_operator] = ACTIONS(13259),
    [sym__times_operator] = ACTIONS(13259),
    [sym__rational_operator] = ACTIONS(13259),
    [sym__bitshift_operator] = ACTIONS(13259),
    [sym__power_operator] = ACTIONS(13259),
    [sym__tilde_operator] = ACTIONS(13259),
    [sym__type_order_operator] = ACTIONS(13259),
    [sym__unary_operator] = ACTIONS(13259),
    [sym__unary_plus_operator] = ACTIONS(13259),
    [aux_sym__terminator_token1] = ACTIONS(13259),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13261),
    [sym__command_start] = ACTIONS(13261),
  },
  [8434] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_catch] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8435] = {
    [sym__word_identifier] = ACTIONS(13412),
    [anon_sym_EQ] = ACTIONS(13412),
    [anon_sym_COMMA] = ACTIONS(13412),
    [anon_sym_COLON] = ACTIONS(13412),
    [anon_sym_begin] = ACTIONS(13412),
    [anon_sym_module] = ACTIONS(13412),
    [anon_sym_baremodule] = ACTIONS(13412),
    [anon_sym_abstract] = ACTIONS(13412),
    [anon_sym_primitive] = ACTIONS(13412),
    [anon_sym_mutable] = ACTIONS(13412),
    [anon_sym_struct] = ACTIONS(13412),
    [anon_sym_function] = ACTIONS(13412),
    [anon_sym_macro] = ACTIONS(13412),
    [anon_sym_where] = ACTIONS(13412),
    [anon_sym_quote] = ACTIONS(13412),
    [anon_sym_let] = ACTIONS(13412),
    [anon_sym_if] = ACTIONS(13412),
    [anon_sym_try] = ACTIONS(13412),
    [anon_sym_catch] = ACTIONS(13412),
    [anon_sym_finally] = ACTIONS(13412),
    [anon_sym_for] = ACTIONS(13412),
    [anon_sym_while] = ACTIONS(13412),
    [sym_break_statement] = ACTIONS(13412),
    [sym_continue_statement] = ACTIONS(13412),
    [anon_sym_return] = ACTIONS(13412),
    [anon_sym_const] = ACTIONS(13412),
    [anon_sym_global] = ACTIONS(13412),
    [anon_sym_local] = ACTIONS(13412),
    [anon_sym_LPAREN] = ACTIONS(13412),
    [anon_sym_COLON2] = ACTIONS(13412),
    [anon_sym_export] = ACTIONS(13412),
    [anon_sym_import] = ACTIONS(13412),
    [anon_sym_using] = ACTIONS(13412),
    [anon_sym_LBRACK] = ACTIONS(13412),
    [anon_sym_LF] = ACTIONS(13414),
    [anon_sym_in] = ACTIONS(13412),
    [anon_sym_LBRACE] = ACTIONS(13412),
    [anon_sym_DOLLAR] = ACTIONS(13412),
    [anon_sym_COLON_COLON] = ACTIONS(13412),
    [anon_sym_isa] = ACTIONS(13412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13412),
    [anon_sym_QMARK] = ACTIONS(13412),
    [anon_sym_AT] = ACTIONS(13412),
    [anon_sym_true] = ACTIONS(13412),
    [anon_sym_false] = ACTIONS(13412),
    [aux_sym_integer_literal_token1] = ACTIONS(13412),
    [aux_sym_integer_literal_token2] = ACTIONS(13412),
    [aux_sym_integer_literal_token3] = ACTIONS(13412),
    [aux_sym_integer_literal_token4] = ACTIONS(13412),
    [aux_sym_float_literal_token1] = ACTIONS(13412),
    [aux_sym_float_literal_token3] = ACTIONS(13412),
    [aux_sym_float_literal_token4] = ACTIONS(13412),
    [sym_character_literal] = ACTIONS(13412),
    [sym__pair_operator] = ACTIONS(13412),
    [sym__arrow_operator] = ACTIONS(13412),
    [sym__lazy_or_operator] = ACTIONS(13412),
    [sym__lazy_and_operator] = ACTIONS(13412),
    [sym__comparison_operator] = ACTIONS(13412),
    [sym__pipe_right_operator] = ACTIONS(13412),
    [sym__pipe_left_operator] = ACTIONS(13412),
    [sym__ellipsis_operator] = ACTIONS(13412),
    [sym__plus_operator] = ACTIONS(13412),
    [sym__times_operator] = ACTIONS(13412),
    [sym__rational_operator] = ACTIONS(13412),
    [sym__bitshift_operator] = ACTIONS(13412),
    [sym__power_operator] = ACTIONS(13412),
    [sym__tilde_operator] = ACTIONS(13412),
    [sym__type_order_operator] = ACTIONS(13412),
    [sym__unary_operator] = ACTIONS(13412),
    [sym__unary_plus_operator] = ACTIONS(13412),
    [aux_sym__terminator_token1] = ACTIONS(13412),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13414),
    [sym__command_start] = ACTIONS(13414),
  },
  [8436] = {
    [aux_sym_open_tuple_repeat1] = STATE(7969),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13558),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_catch] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(14661),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8437] = {
    [sym__word_identifier] = ACTIONS(14168),
    [anon_sym_EQ] = ACTIONS(14168),
    [anon_sym_COMMA] = ACTIONS(14166),
    [anon_sym_COLON] = ACTIONS(14168),
    [anon_sym_begin] = ACTIONS(14168),
    [anon_sym_module] = ACTIONS(14168),
    [anon_sym_baremodule] = ACTIONS(14168),
    [anon_sym_abstract] = ACTIONS(14168),
    [anon_sym_primitive] = ACTIONS(14168),
    [anon_sym_mutable] = ACTIONS(14168),
    [anon_sym_struct] = ACTIONS(14168),
    [anon_sym_function] = ACTIONS(14168),
    [anon_sym_macro] = ACTIONS(14168),
    [anon_sym_where] = ACTIONS(14168),
    [anon_sym_quote] = ACTIONS(14168),
    [anon_sym_let] = ACTIONS(14168),
    [anon_sym_if] = ACTIONS(14168),
    [anon_sym_try] = ACTIONS(14168),
    [anon_sym_for] = ACTIONS(14168),
    [anon_sym_while] = ACTIONS(14168),
    [sym_break_statement] = ACTIONS(14168),
    [sym_continue_statement] = ACTIONS(14168),
    [anon_sym_return] = ACTIONS(14168),
    [anon_sym_const] = ACTIONS(14168),
    [anon_sym_global] = ACTIONS(14168),
    [anon_sym_local] = ACTIONS(14168),
    [anon_sym_LPAREN] = ACTIONS(14166),
    [anon_sym_RPAREN] = ACTIONS(14166),
    [anon_sym_COLON2] = ACTIONS(14168),
    [anon_sym_export] = ACTIONS(14168),
    [anon_sym_import] = ACTIONS(14168),
    [anon_sym_using] = ACTIONS(14168),
    [anon_sym_LBRACK] = ACTIONS(14166),
    [anon_sym_RBRACK] = ACTIONS(14166),
    [anon_sym_in] = ACTIONS(14168),
    [anon_sym_SEMI] = ACTIONS(14166),
    [anon_sym_LBRACE] = ACTIONS(14166),
    [anon_sym_RBRACE] = ACTIONS(14166),
    [anon_sym_DOLLAR] = ACTIONS(14166),
    [anon_sym_COLON_COLON] = ACTIONS(14166),
    [anon_sym_isa] = ACTIONS(14168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14166),
    [anon_sym_QMARK] = ACTIONS(14166),
    [anon_sym_AT] = ACTIONS(14166),
    [anon_sym_true] = ACTIONS(14168),
    [anon_sym_false] = ACTIONS(14168),
    [aux_sym_integer_literal_token1] = ACTIONS(14166),
    [aux_sym_integer_literal_token2] = ACTIONS(14166),
    [aux_sym_integer_literal_token3] = ACTIONS(14168),
    [aux_sym_integer_literal_token4] = ACTIONS(14168),
    [aux_sym_float_literal_token1] = ACTIONS(14166),
    [aux_sym_float_literal_token3] = ACTIONS(14166),
    [aux_sym_float_literal_token4] = ACTIONS(14166),
    [sym_character_literal] = ACTIONS(14166),
    [sym__pair_operator] = ACTIONS(14166),
    [sym__arrow_operator] = ACTIONS(14168),
    [sym__lazy_or_operator] = ACTIONS(14166),
    [sym__lazy_and_operator] = ACTIONS(14166),
    [sym__comparison_operator] = ACTIONS(14168),
    [sym__pipe_right_operator] = ACTIONS(14166),
    [sym__pipe_left_operator] = ACTIONS(14166),
    [sym__ellipsis_operator] = ACTIONS(14168),
    [sym__plus_operator] = ACTIONS(14168),
    [sym__times_operator] = ACTIONS(14168),
    [sym__rational_operator] = ACTIONS(14166),
    [sym__bitshift_operator] = ACTIONS(14166),
    [sym__power_operator] = ACTIONS(14166),
    [sym__tilde_operator] = ACTIONS(14166),
    [sym__type_order_operator] = ACTIONS(14166),
    [sym__unary_operator] = ACTIONS(14168),
    [sym__unary_plus_operator] = ACTIONS(14168),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14166),
    [sym__command_start] = ACTIONS(14166),
  },
  [8438] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12948),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12948),
    [anon_sym_RPAREN] = ACTIONS(12948),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12948),
    [anon_sym_RBRACK] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_SEMI] = ACTIONS(12948),
    [anon_sym_LBRACE] = ACTIONS(12948),
    [anon_sym_RBRACE] = ACTIONS(12948),
    [anon_sym_DOLLAR] = ACTIONS(12948),
    [anon_sym_COLON_COLON] = ACTIONS(12948),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12948),
    [anon_sym_QMARK] = ACTIONS(12948),
    [anon_sym_AT] = ACTIONS(12948),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12948),
    [aux_sym_integer_literal_token2] = ACTIONS(12948),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12948),
    [aux_sym_float_literal_token3] = ACTIONS(12948),
    [aux_sym_float_literal_token4] = ACTIONS(12948),
    [sym_character_literal] = ACTIONS(12948),
    [sym__pair_operator] = ACTIONS(12948),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12948),
    [sym__lazy_and_operator] = ACTIONS(12948),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12948),
    [sym__pipe_left_operator] = ACTIONS(12948),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12948),
    [sym__bitshift_operator] = ACTIONS(12948),
    [sym__power_operator] = ACTIONS(12948),
    [sym__tilde_operator] = ACTIONS(12948),
    [sym__type_order_operator] = ACTIONS(12948),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [8439] = {
    [sym__word_identifier] = ACTIONS(14270),
    [anon_sym_EQ] = ACTIONS(14270),
    [anon_sym_COMMA] = ACTIONS(14268),
    [anon_sym_COLON] = ACTIONS(14270),
    [anon_sym_begin] = ACTIONS(14270),
    [anon_sym_module] = ACTIONS(14270),
    [anon_sym_baremodule] = ACTIONS(14270),
    [anon_sym_abstract] = ACTIONS(14270),
    [anon_sym_primitive] = ACTIONS(14270),
    [anon_sym_mutable] = ACTIONS(14270),
    [anon_sym_struct] = ACTIONS(14270),
    [anon_sym_function] = ACTIONS(14270),
    [anon_sym_macro] = ACTIONS(14270),
    [anon_sym_where] = ACTIONS(14270),
    [anon_sym_quote] = ACTIONS(14270),
    [anon_sym_let] = ACTIONS(14270),
    [anon_sym_if] = ACTIONS(14270),
    [anon_sym_try] = ACTIONS(14270),
    [anon_sym_for] = ACTIONS(14270),
    [anon_sym_while] = ACTIONS(14270),
    [sym_break_statement] = ACTIONS(14270),
    [sym_continue_statement] = ACTIONS(14270),
    [anon_sym_return] = ACTIONS(14270),
    [anon_sym_const] = ACTIONS(14270),
    [anon_sym_global] = ACTIONS(14270),
    [anon_sym_local] = ACTIONS(14270),
    [anon_sym_LPAREN] = ACTIONS(14268),
    [anon_sym_RPAREN] = ACTIONS(14268),
    [anon_sym_COLON2] = ACTIONS(14270),
    [anon_sym_export] = ACTIONS(14270),
    [anon_sym_import] = ACTIONS(14270),
    [anon_sym_using] = ACTIONS(14270),
    [anon_sym_LBRACK] = ACTIONS(14268),
    [anon_sym_RBRACK] = ACTIONS(14268),
    [anon_sym_in] = ACTIONS(14270),
    [anon_sym_SEMI] = ACTIONS(14268),
    [anon_sym_LBRACE] = ACTIONS(14268),
    [anon_sym_RBRACE] = ACTIONS(14268),
    [anon_sym_DOLLAR] = ACTIONS(14268),
    [anon_sym_COLON_COLON] = ACTIONS(14268),
    [anon_sym_isa] = ACTIONS(14270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14268),
    [anon_sym_QMARK] = ACTIONS(14268),
    [anon_sym_AT] = ACTIONS(14268),
    [anon_sym_true] = ACTIONS(14270),
    [anon_sym_false] = ACTIONS(14270),
    [aux_sym_integer_literal_token1] = ACTIONS(14268),
    [aux_sym_integer_literal_token2] = ACTIONS(14268),
    [aux_sym_integer_literal_token3] = ACTIONS(14270),
    [aux_sym_integer_literal_token4] = ACTIONS(14270),
    [aux_sym_float_literal_token1] = ACTIONS(14268),
    [aux_sym_float_literal_token3] = ACTIONS(14268),
    [aux_sym_float_literal_token4] = ACTIONS(14268),
    [sym_character_literal] = ACTIONS(14268),
    [sym__pair_operator] = ACTIONS(14268),
    [sym__arrow_operator] = ACTIONS(14270),
    [sym__lazy_or_operator] = ACTIONS(14268),
    [sym__lazy_and_operator] = ACTIONS(14268),
    [sym__comparison_operator] = ACTIONS(14270),
    [sym__pipe_right_operator] = ACTIONS(14268),
    [sym__pipe_left_operator] = ACTIONS(14268),
    [sym__ellipsis_operator] = ACTIONS(14270),
    [sym__plus_operator] = ACTIONS(14270),
    [sym__times_operator] = ACTIONS(14270),
    [sym__rational_operator] = ACTIONS(14268),
    [sym__bitshift_operator] = ACTIONS(14268),
    [sym__power_operator] = ACTIONS(14268),
    [sym__tilde_operator] = ACTIONS(14268),
    [sym__type_order_operator] = ACTIONS(14268),
    [sym__unary_operator] = ACTIONS(14270),
    [sym__unary_plus_operator] = ACTIONS(14270),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14268),
    [sym__command_start] = ACTIONS(14268),
  },
  [8440] = {
    [sym__word_identifier] = ACTIONS(13400),
    [anon_sym_EQ] = ACTIONS(13400),
    [anon_sym_COMMA] = ACTIONS(13400),
    [anon_sym_COLON] = ACTIONS(13400),
    [anon_sym_begin] = ACTIONS(13400),
    [anon_sym_module] = ACTIONS(13400),
    [anon_sym_baremodule] = ACTIONS(13400),
    [anon_sym_end] = ACTIONS(13400),
    [anon_sym_abstract] = ACTIONS(13400),
    [anon_sym_primitive] = ACTIONS(13400),
    [anon_sym_mutable] = ACTIONS(13400),
    [anon_sym_struct] = ACTIONS(13400),
    [anon_sym_function] = ACTIONS(13400),
    [anon_sym_macro] = ACTIONS(13400),
    [anon_sym_where] = ACTIONS(13400),
    [anon_sym_quote] = ACTIONS(13400),
    [anon_sym_let] = ACTIONS(13400),
    [anon_sym_if] = ACTIONS(13400),
    [anon_sym_try] = ACTIONS(13400),
    [anon_sym_finally] = ACTIONS(13400),
    [anon_sym_for] = ACTIONS(13400),
    [anon_sym_while] = ACTIONS(13400),
    [sym_break_statement] = ACTIONS(13400),
    [sym_continue_statement] = ACTIONS(13400),
    [anon_sym_return] = ACTIONS(13400),
    [anon_sym_const] = ACTIONS(13400),
    [anon_sym_global] = ACTIONS(13400),
    [anon_sym_local] = ACTIONS(13400),
    [anon_sym_LPAREN] = ACTIONS(13400),
    [anon_sym_COLON2] = ACTIONS(13400),
    [anon_sym_export] = ACTIONS(13400),
    [anon_sym_import] = ACTIONS(13400),
    [anon_sym_using] = ACTIONS(13400),
    [anon_sym_LBRACK] = ACTIONS(13400),
    [anon_sym_LF] = ACTIONS(13402),
    [anon_sym_in] = ACTIONS(13400),
    [anon_sym_LBRACE] = ACTIONS(13400),
    [anon_sym_DOLLAR] = ACTIONS(13400),
    [anon_sym_COLON_COLON] = ACTIONS(13400),
    [anon_sym_isa] = ACTIONS(13400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13400),
    [anon_sym_QMARK] = ACTIONS(13400),
    [anon_sym_AT] = ACTIONS(13400),
    [anon_sym_true] = ACTIONS(13400),
    [anon_sym_false] = ACTIONS(13400),
    [aux_sym_integer_literal_token1] = ACTIONS(13400),
    [aux_sym_integer_literal_token2] = ACTIONS(13400),
    [aux_sym_integer_literal_token3] = ACTIONS(13400),
    [aux_sym_integer_literal_token4] = ACTIONS(13400),
    [aux_sym_float_literal_token1] = ACTIONS(13400),
    [aux_sym_float_literal_token3] = ACTIONS(13400),
    [aux_sym_float_literal_token4] = ACTIONS(13400),
    [sym_character_literal] = ACTIONS(13400),
    [sym__pair_operator] = ACTIONS(13400),
    [sym__arrow_operator] = ACTIONS(13400),
    [sym__lazy_or_operator] = ACTIONS(13400),
    [sym__lazy_and_operator] = ACTIONS(13400),
    [sym__comparison_operator] = ACTIONS(13400),
    [sym__pipe_right_operator] = ACTIONS(13400),
    [sym__pipe_left_operator] = ACTIONS(13400),
    [sym__ellipsis_operator] = ACTIONS(13400),
    [sym__plus_operator] = ACTIONS(13400),
    [sym__times_operator] = ACTIONS(13400),
    [sym__rational_operator] = ACTIONS(13400),
    [sym__bitshift_operator] = ACTIONS(13400),
    [sym__power_operator] = ACTIONS(13400),
    [sym__tilde_operator] = ACTIONS(13400),
    [sym__type_order_operator] = ACTIONS(13400),
    [sym__unary_operator] = ACTIONS(13400),
    [sym__unary_plus_operator] = ACTIONS(13400),
    [aux_sym__terminator_token1] = ACTIONS(13400),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13402),
    [sym__command_start] = ACTIONS(13402),
  },
  [8441] = {
    [sym__word_identifier] = ACTIONS(13282),
    [anon_sym_EQ] = ACTIONS(13282),
    [anon_sym_COMMA] = ACTIONS(13282),
    [anon_sym_COLON] = ACTIONS(13282),
    [anon_sym_begin] = ACTIONS(13282),
    [anon_sym_module] = ACTIONS(13282),
    [anon_sym_baremodule] = ACTIONS(13282),
    [anon_sym_end] = ACTIONS(13282),
    [anon_sym_abstract] = ACTIONS(13282),
    [anon_sym_primitive] = ACTIONS(13282),
    [anon_sym_mutable] = ACTIONS(13282),
    [anon_sym_struct] = ACTIONS(13282),
    [anon_sym_function] = ACTIONS(13282),
    [anon_sym_macro] = ACTIONS(13282),
    [anon_sym_where] = ACTIONS(13282),
    [anon_sym_quote] = ACTIONS(13282),
    [anon_sym_let] = ACTIONS(13282),
    [anon_sym_if] = ACTIONS(13282),
    [anon_sym_try] = ACTIONS(13282),
    [anon_sym_finally] = ACTIONS(13282),
    [anon_sym_for] = ACTIONS(13282),
    [anon_sym_while] = ACTIONS(13282),
    [sym_break_statement] = ACTIONS(13282),
    [sym_continue_statement] = ACTIONS(13282),
    [anon_sym_return] = ACTIONS(13282),
    [anon_sym_const] = ACTIONS(13282),
    [anon_sym_global] = ACTIONS(13282),
    [anon_sym_local] = ACTIONS(13282),
    [anon_sym_LPAREN] = ACTIONS(13282),
    [anon_sym_COLON2] = ACTIONS(13282),
    [anon_sym_export] = ACTIONS(13282),
    [anon_sym_import] = ACTIONS(13282),
    [anon_sym_using] = ACTIONS(13282),
    [anon_sym_LBRACK] = ACTIONS(13282),
    [anon_sym_LF] = ACTIONS(13284),
    [anon_sym_in] = ACTIONS(13282),
    [anon_sym_LBRACE] = ACTIONS(13282),
    [anon_sym_DOLLAR] = ACTIONS(13282),
    [anon_sym_COLON_COLON] = ACTIONS(13282),
    [anon_sym_isa] = ACTIONS(13282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13282),
    [anon_sym_QMARK] = ACTIONS(13282),
    [anon_sym_AT] = ACTIONS(13282),
    [anon_sym_true] = ACTIONS(13282),
    [anon_sym_false] = ACTIONS(13282),
    [aux_sym_integer_literal_token1] = ACTIONS(13282),
    [aux_sym_integer_literal_token2] = ACTIONS(13282),
    [aux_sym_integer_literal_token3] = ACTIONS(13282),
    [aux_sym_integer_literal_token4] = ACTIONS(13282),
    [aux_sym_float_literal_token1] = ACTIONS(13282),
    [aux_sym_float_literal_token3] = ACTIONS(13282),
    [aux_sym_float_literal_token4] = ACTIONS(13282),
    [sym_character_literal] = ACTIONS(13282),
    [sym__pair_operator] = ACTIONS(13282),
    [sym__arrow_operator] = ACTIONS(13282),
    [sym__lazy_or_operator] = ACTIONS(13282),
    [sym__lazy_and_operator] = ACTIONS(13282),
    [sym__comparison_operator] = ACTIONS(13282),
    [sym__pipe_right_operator] = ACTIONS(13282),
    [sym__pipe_left_operator] = ACTIONS(13282),
    [sym__ellipsis_operator] = ACTIONS(13282),
    [sym__plus_operator] = ACTIONS(13282),
    [sym__times_operator] = ACTIONS(13282),
    [sym__rational_operator] = ACTIONS(13282),
    [sym__bitshift_operator] = ACTIONS(13282),
    [sym__power_operator] = ACTIONS(13282),
    [sym__tilde_operator] = ACTIONS(13282),
    [sym__type_order_operator] = ACTIONS(13282),
    [sym__unary_operator] = ACTIONS(13282),
    [sym__unary_plus_operator] = ACTIONS(13282),
    [aux_sym__terminator_token1] = ACTIONS(13282),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13284),
    [sym__command_start] = ACTIONS(13284),
  },
  [8442] = {
    [sym__word_identifier] = ACTIONS(13560),
    [anon_sym_EQ] = ACTIONS(13560),
    [anon_sym_COMMA] = ACTIONS(13560),
    [anon_sym_COLON] = ACTIONS(13560),
    [anon_sym_begin] = ACTIONS(13560),
    [anon_sym_module] = ACTIONS(13560),
    [anon_sym_baremodule] = ACTIONS(13560),
    [anon_sym_end] = ACTIONS(13560),
    [anon_sym_abstract] = ACTIONS(13560),
    [anon_sym_primitive] = ACTIONS(13560),
    [anon_sym_mutable] = ACTIONS(13560),
    [anon_sym_struct] = ACTIONS(13560),
    [anon_sym_function] = ACTIONS(13560),
    [anon_sym_macro] = ACTIONS(13560),
    [anon_sym_where] = ACTIONS(13560),
    [anon_sym_quote] = ACTIONS(13560),
    [anon_sym_let] = ACTIONS(13560),
    [anon_sym_if] = ACTIONS(13560),
    [anon_sym_try] = ACTIONS(13560),
    [anon_sym_finally] = ACTIONS(13560),
    [anon_sym_for] = ACTIONS(13560),
    [anon_sym_while] = ACTIONS(13560),
    [sym_break_statement] = ACTIONS(13560),
    [sym_continue_statement] = ACTIONS(13560),
    [anon_sym_return] = ACTIONS(13560),
    [anon_sym_const] = ACTIONS(13560),
    [anon_sym_global] = ACTIONS(13560),
    [anon_sym_local] = ACTIONS(13560),
    [anon_sym_LPAREN] = ACTIONS(13560),
    [anon_sym_COLON2] = ACTIONS(13560),
    [anon_sym_export] = ACTIONS(13560),
    [anon_sym_import] = ACTIONS(13560),
    [anon_sym_using] = ACTIONS(13560),
    [anon_sym_LBRACK] = ACTIONS(13560),
    [anon_sym_LF] = ACTIONS(13562),
    [anon_sym_in] = ACTIONS(13560),
    [anon_sym_LBRACE] = ACTIONS(13560),
    [anon_sym_DOLLAR] = ACTIONS(13560),
    [anon_sym_COLON_COLON] = ACTIONS(13560),
    [anon_sym_isa] = ACTIONS(13560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13560),
    [anon_sym_QMARK] = ACTIONS(13560),
    [anon_sym_AT] = ACTIONS(13560),
    [anon_sym_true] = ACTIONS(13560),
    [anon_sym_false] = ACTIONS(13560),
    [aux_sym_integer_literal_token1] = ACTIONS(13560),
    [aux_sym_integer_literal_token2] = ACTIONS(13560),
    [aux_sym_integer_literal_token3] = ACTIONS(13560),
    [aux_sym_integer_literal_token4] = ACTIONS(13560),
    [aux_sym_float_literal_token1] = ACTIONS(13560),
    [aux_sym_float_literal_token3] = ACTIONS(13560),
    [aux_sym_float_literal_token4] = ACTIONS(13560),
    [sym_character_literal] = ACTIONS(13560),
    [sym__pair_operator] = ACTIONS(13560),
    [sym__arrow_operator] = ACTIONS(13560),
    [sym__lazy_or_operator] = ACTIONS(13560),
    [sym__lazy_and_operator] = ACTIONS(13560),
    [sym__comparison_operator] = ACTIONS(13560),
    [sym__pipe_right_operator] = ACTIONS(13560),
    [sym__pipe_left_operator] = ACTIONS(13560),
    [sym__ellipsis_operator] = ACTIONS(13560),
    [sym__plus_operator] = ACTIONS(13560),
    [sym__times_operator] = ACTIONS(13560),
    [sym__rational_operator] = ACTIONS(13560),
    [sym__bitshift_operator] = ACTIONS(13560),
    [sym__power_operator] = ACTIONS(13560),
    [sym__tilde_operator] = ACTIONS(13560),
    [sym__type_order_operator] = ACTIONS(13560),
    [sym__unary_operator] = ACTIONS(13560),
    [sym__unary_plus_operator] = ACTIONS(13560),
    [aux_sym__terminator_token1] = ACTIONS(13560),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13562),
    [sym__command_start] = ACTIONS(13562),
  },
  [8443] = {
    [sym__word_identifier] = ACTIONS(13632),
    [anon_sym_EQ] = ACTIONS(13632),
    [anon_sym_COMMA] = ACTIONS(13632),
    [anon_sym_COLON] = ACTIONS(13632),
    [anon_sym_begin] = ACTIONS(13632),
    [anon_sym_module] = ACTIONS(13632),
    [anon_sym_baremodule] = ACTIONS(13632),
    [anon_sym_end] = ACTIONS(13632),
    [anon_sym_abstract] = ACTIONS(13632),
    [anon_sym_primitive] = ACTIONS(13632),
    [anon_sym_mutable] = ACTIONS(13632),
    [anon_sym_struct] = ACTIONS(13632),
    [anon_sym_function] = ACTIONS(13632),
    [anon_sym_macro] = ACTIONS(13632),
    [anon_sym_where] = ACTIONS(13632),
    [anon_sym_quote] = ACTIONS(13632),
    [anon_sym_let] = ACTIONS(13632),
    [anon_sym_if] = ACTIONS(13632),
    [anon_sym_try] = ACTIONS(13632),
    [anon_sym_finally] = ACTIONS(13632),
    [anon_sym_for] = ACTIONS(13632),
    [anon_sym_while] = ACTIONS(13632),
    [sym_break_statement] = ACTIONS(13632),
    [sym_continue_statement] = ACTIONS(13632),
    [anon_sym_return] = ACTIONS(13632),
    [anon_sym_const] = ACTIONS(13632),
    [anon_sym_global] = ACTIONS(13632),
    [anon_sym_local] = ACTIONS(13632),
    [anon_sym_LPAREN] = ACTIONS(13632),
    [anon_sym_COLON2] = ACTIONS(13632),
    [anon_sym_export] = ACTIONS(13632),
    [anon_sym_import] = ACTIONS(13632),
    [anon_sym_using] = ACTIONS(13632),
    [anon_sym_LBRACK] = ACTIONS(13632),
    [anon_sym_LF] = ACTIONS(13634),
    [anon_sym_in] = ACTIONS(13632),
    [anon_sym_LBRACE] = ACTIONS(13632),
    [anon_sym_DOLLAR] = ACTIONS(13632),
    [anon_sym_COLON_COLON] = ACTIONS(13632),
    [anon_sym_isa] = ACTIONS(13632),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13632),
    [anon_sym_QMARK] = ACTIONS(13632),
    [anon_sym_AT] = ACTIONS(13632),
    [anon_sym_true] = ACTIONS(13632),
    [anon_sym_false] = ACTIONS(13632),
    [aux_sym_integer_literal_token1] = ACTIONS(13632),
    [aux_sym_integer_literal_token2] = ACTIONS(13632),
    [aux_sym_integer_literal_token3] = ACTIONS(13632),
    [aux_sym_integer_literal_token4] = ACTIONS(13632),
    [aux_sym_float_literal_token1] = ACTIONS(13632),
    [aux_sym_float_literal_token3] = ACTIONS(13632),
    [aux_sym_float_literal_token4] = ACTIONS(13632),
    [sym_character_literal] = ACTIONS(13632),
    [sym__pair_operator] = ACTIONS(13632),
    [sym__arrow_operator] = ACTIONS(13632),
    [sym__lazy_or_operator] = ACTIONS(13632),
    [sym__lazy_and_operator] = ACTIONS(13632),
    [sym__comparison_operator] = ACTIONS(13632),
    [sym__pipe_right_operator] = ACTIONS(13632),
    [sym__pipe_left_operator] = ACTIONS(13632),
    [sym__ellipsis_operator] = ACTIONS(13632),
    [sym__plus_operator] = ACTIONS(13632),
    [sym__times_operator] = ACTIONS(13632),
    [sym__rational_operator] = ACTIONS(13632),
    [sym__bitshift_operator] = ACTIONS(13632),
    [sym__power_operator] = ACTIONS(13632),
    [sym__tilde_operator] = ACTIONS(13632),
    [sym__type_order_operator] = ACTIONS(13632),
    [sym__unary_operator] = ACTIONS(13632),
    [sym__unary_plus_operator] = ACTIONS(13632),
    [aux_sym__terminator_token1] = ACTIONS(13632),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13634),
    [sym__command_start] = ACTIONS(13634),
  },
  [8444] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(12600),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_catch] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8445] = {
    [sym__word_identifier] = ACTIONS(13480),
    [anon_sym_EQ] = ACTIONS(13480),
    [anon_sym_COMMA] = ACTIONS(13480),
    [anon_sym_COLON] = ACTIONS(13480),
    [anon_sym_begin] = ACTIONS(13480),
    [anon_sym_module] = ACTIONS(13480),
    [anon_sym_baremodule] = ACTIONS(13480),
    [anon_sym_abstract] = ACTIONS(13480),
    [anon_sym_primitive] = ACTIONS(13480),
    [anon_sym_mutable] = ACTIONS(13480),
    [anon_sym_struct] = ACTIONS(13480),
    [anon_sym_function] = ACTIONS(13480),
    [anon_sym_macro] = ACTIONS(13480),
    [anon_sym_where] = ACTIONS(13480),
    [anon_sym_quote] = ACTIONS(13480),
    [anon_sym_let] = ACTIONS(13480),
    [anon_sym_if] = ACTIONS(13480),
    [anon_sym_try] = ACTIONS(13480),
    [anon_sym_catch] = ACTIONS(13480),
    [anon_sym_finally] = ACTIONS(13480),
    [anon_sym_for] = ACTIONS(13480),
    [anon_sym_while] = ACTIONS(13480),
    [sym_break_statement] = ACTIONS(13480),
    [sym_continue_statement] = ACTIONS(13480),
    [anon_sym_return] = ACTIONS(13480),
    [anon_sym_const] = ACTIONS(13480),
    [anon_sym_global] = ACTIONS(13480),
    [anon_sym_local] = ACTIONS(13480),
    [anon_sym_LPAREN] = ACTIONS(13480),
    [anon_sym_COLON2] = ACTIONS(13480),
    [anon_sym_export] = ACTIONS(13480),
    [anon_sym_import] = ACTIONS(13480),
    [anon_sym_using] = ACTIONS(13480),
    [anon_sym_LBRACK] = ACTIONS(13480),
    [anon_sym_LF] = ACTIONS(13482),
    [anon_sym_in] = ACTIONS(13480),
    [anon_sym_LBRACE] = ACTIONS(13480),
    [anon_sym_DOLLAR] = ACTIONS(13480),
    [anon_sym_COLON_COLON] = ACTIONS(13480),
    [anon_sym_isa] = ACTIONS(13480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_QMARK] = ACTIONS(13480),
    [anon_sym_AT] = ACTIONS(13480),
    [anon_sym_true] = ACTIONS(13480),
    [anon_sym_false] = ACTIONS(13480),
    [aux_sym_integer_literal_token1] = ACTIONS(13480),
    [aux_sym_integer_literal_token2] = ACTIONS(13480),
    [aux_sym_integer_literal_token3] = ACTIONS(13480),
    [aux_sym_integer_literal_token4] = ACTIONS(13480),
    [aux_sym_float_literal_token1] = ACTIONS(13480),
    [aux_sym_float_literal_token3] = ACTIONS(13480),
    [aux_sym_float_literal_token4] = ACTIONS(13480),
    [sym_character_literal] = ACTIONS(13480),
    [sym__pair_operator] = ACTIONS(13480),
    [sym__arrow_operator] = ACTIONS(13480),
    [sym__lazy_or_operator] = ACTIONS(13480),
    [sym__lazy_and_operator] = ACTIONS(13480),
    [sym__comparison_operator] = ACTIONS(13480),
    [sym__pipe_right_operator] = ACTIONS(13480),
    [sym__pipe_left_operator] = ACTIONS(13480),
    [sym__ellipsis_operator] = ACTIONS(13480),
    [sym__plus_operator] = ACTIONS(13480),
    [sym__times_operator] = ACTIONS(13480),
    [sym__rational_operator] = ACTIONS(13480),
    [sym__bitshift_operator] = ACTIONS(13480),
    [sym__power_operator] = ACTIONS(13480),
    [sym__tilde_operator] = ACTIONS(13480),
    [sym__type_order_operator] = ACTIONS(13480),
    [sym__unary_operator] = ACTIONS(13480),
    [sym__unary_plus_operator] = ACTIONS(13480),
    [aux_sym__terminator_token1] = ACTIONS(13480),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13482),
    [sym__command_start] = ACTIONS(13482),
  },
  [8446] = {
    [sym__word_identifier] = ACTIONS(13656),
    [anon_sym_EQ] = ACTIONS(13656),
    [anon_sym_COMMA] = ACTIONS(13656),
    [anon_sym_COLON] = ACTIONS(13656),
    [anon_sym_begin] = ACTIONS(13656),
    [anon_sym_module] = ACTIONS(13656),
    [anon_sym_baremodule] = ACTIONS(13656),
    [anon_sym_end] = ACTIONS(13656),
    [anon_sym_abstract] = ACTIONS(13656),
    [anon_sym_primitive] = ACTIONS(13656),
    [anon_sym_mutable] = ACTIONS(13656),
    [anon_sym_struct] = ACTIONS(13656),
    [anon_sym_function] = ACTIONS(13656),
    [anon_sym_macro] = ACTIONS(13656),
    [anon_sym_where] = ACTIONS(13656),
    [anon_sym_quote] = ACTIONS(13656),
    [anon_sym_let] = ACTIONS(13656),
    [anon_sym_if] = ACTIONS(13656),
    [anon_sym_try] = ACTIONS(13656),
    [anon_sym_finally] = ACTIONS(13656),
    [anon_sym_for] = ACTIONS(13656),
    [anon_sym_while] = ACTIONS(13656),
    [sym_break_statement] = ACTIONS(13656),
    [sym_continue_statement] = ACTIONS(13656),
    [anon_sym_return] = ACTIONS(13656),
    [anon_sym_const] = ACTIONS(13656),
    [anon_sym_global] = ACTIONS(13656),
    [anon_sym_local] = ACTIONS(13656),
    [anon_sym_LPAREN] = ACTIONS(13656),
    [anon_sym_COLON2] = ACTIONS(13656),
    [anon_sym_export] = ACTIONS(13656),
    [anon_sym_import] = ACTIONS(13656),
    [anon_sym_using] = ACTIONS(13656),
    [anon_sym_LBRACK] = ACTIONS(13656),
    [anon_sym_LF] = ACTIONS(13658),
    [anon_sym_in] = ACTIONS(13656),
    [anon_sym_LBRACE] = ACTIONS(13656),
    [anon_sym_DOLLAR] = ACTIONS(13656),
    [anon_sym_COLON_COLON] = ACTIONS(13656),
    [anon_sym_isa] = ACTIONS(13656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13656),
    [anon_sym_QMARK] = ACTIONS(13656),
    [anon_sym_AT] = ACTIONS(13656),
    [anon_sym_true] = ACTIONS(13656),
    [anon_sym_false] = ACTIONS(13656),
    [aux_sym_integer_literal_token1] = ACTIONS(13656),
    [aux_sym_integer_literal_token2] = ACTIONS(13656),
    [aux_sym_integer_literal_token3] = ACTIONS(13656),
    [aux_sym_integer_literal_token4] = ACTIONS(13656),
    [aux_sym_float_literal_token1] = ACTIONS(13656),
    [aux_sym_float_literal_token3] = ACTIONS(13656),
    [aux_sym_float_literal_token4] = ACTIONS(13656),
    [sym_character_literal] = ACTIONS(13656),
    [sym__pair_operator] = ACTIONS(13656),
    [sym__arrow_operator] = ACTIONS(13656),
    [sym__lazy_or_operator] = ACTIONS(13656),
    [sym__lazy_and_operator] = ACTIONS(13656),
    [sym__comparison_operator] = ACTIONS(13656),
    [sym__pipe_right_operator] = ACTIONS(13656),
    [sym__pipe_left_operator] = ACTIONS(13656),
    [sym__ellipsis_operator] = ACTIONS(13656),
    [sym__plus_operator] = ACTIONS(13656),
    [sym__times_operator] = ACTIONS(13656),
    [sym__rational_operator] = ACTIONS(13656),
    [sym__bitshift_operator] = ACTIONS(13656),
    [sym__power_operator] = ACTIONS(13656),
    [sym__tilde_operator] = ACTIONS(13656),
    [sym__type_order_operator] = ACTIONS(13656),
    [sym__unary_operator] = ACTIONS(13656),
    [sym__unary_plus_operator] = ACTIONS(13656),
    [aux_sym__terminator_token1] = ACTIONS(13656),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13658),
    [sym__command_start] = ACTIONS(13658),
  },
  [8447] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14527),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14529),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14531),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(14531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(14531),
    [sym__pipe_right_operator] = ACTIONS(14541),
    [sym__pipe_left_operator] = ACTIONS(14543),
    [sym__ellipsis_operator] = ACTIONS(14545),
    [sym__plus_operator] = ACTIONS(14547),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14531),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14547),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8448] = {
    [sym__word_identifier] = ACTIONS(14131),
    [anon_sym_EQ] = ACTIONS(14131),
    [anon_sym_COMMA] = ACTIONS(14129),
    [anon_sym_COLON] = ACTIONS(14131),
    [anon_sym_begin] = ACTIONS(14131),
    [anon_sym_module] = ACTIONS(14131),
    [anon_sym_baremodule] = ACTIONS(14131),
    [anon_sym_abstract] = ACTIONS(14131),
    [anon_sym_primitive] = ACTIONS(14131),
    [anon_sym_mutable] = ACTIONS(14131),
    [anon_sym_struct] = ACTIONS(14131),
    [anon_sym_function] = ACTIONS(14131),
    [anon_sym_macro] = ACTIONS(14131),
    [anon_sym_where] = ACTIONS(14131),
    [anon_sym_quote] = ACTIONS(14131),
    [anon_sym_let] = ACTIONS(14131),
    [anon_sym_if] = ACTIONS(14131),
    [anon_sym_try] = ACTIONS(14131),
    [anon_sym_for] = ACTIONS(14131),
    [anon_sym_while] = ACTIONS(14131),
    [sym_break_statement] = ACTIONS(14131),
    [sym_continue_statement] = ACTIONS(14131),
    [anon_sym_return] = ACTIONS(14131),
    [anon_sym_const] = ACTIONS(14131),
    [anon_sym_global] = ACTIONS(14131),
    [anon_sym_local] = ACTIONS(14131),
    [anon_sym_LPAREN] = ACTIONS(14129),
    [anon_sym_RPAREN] = ACTIONS(14129),
    [anon_sym_COLON2] = ACTIONS(14131),
    [anon_sym_export] = ACTIONS(14131),
    [anon_sym_import] = ACTIONS(14131),
    [anon_sym_using] = ACTIONS(14131),
    [anon_sym_LBRACK] = ACTIONS(14129),
    [anon_sym_RBRACK] = ACTIONS(14129),
    [anon_sym_in] = ACTIONS(14131),
    [anon_sym_SEMI] = ACTIONS(14129),
    [anon_sym_LBRACE] = ACTIONS(14129),
    [anon_sym_RBRACE] = ACTIONS(14129),
    [anon_sym_DOLLAR] = ACTIONS(14129),
    [anon_sym_COLON_COLON] = ACTIONS(14129),
    [anon_sym_isa] = ACTIONS(14131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14129),
    [anon_sym_QMARK] = ACTIONS(14129),
    [anon_sym_AT] = ACTIONS(14129),
    [anon_sym_true] = ACTIONS(14131),
    [anon_sym_false] = ACTIONS(14131),
    [aux_sym_integer_literal_token1] = ACTIONS(14129),
    [aux_sym_integer_literal_token2] = ACTIONS(14129),
    [aux_sym_integer_literal_token3] = ACTIONS(14131),
    [aux_sym_integer_literal_token4] = ACTIONS(14131),
    [aux_sym_float_literal_token1] = ACTIONS(14129),
    [aux_sym_float_literal_token3] = ACTIONS(14129),
    [aux_sym_float_literal_token4] = ACTIONS(14129),
    [sym_character_literal] = ACTIONS(14129),
    [sym__pair_operator] = ACTIONS(14129),
    [sym__arrow_operator] = ACTIONS(14131),
    [sym__lazy_or_operator] = ACTIONS(14129),
    [sym__lazy_and_operator] = ACTIONS(14129),
    [sym__comparison_operator] = ACTIONS(14131),
    [sym__pipe_right_operator] = ACTIONS(14129),
    [sym__pipe_left_operator] = ACTIONS(14129),
    [sym__ellipsis_operator] = ACTIONS(14131),
    [sym__plus_operator] = ACTIONS(14131),
    [sym__times_operator] = ACTIONS(14131),
    [sym__rational_operator] = ACTIONS(14129),
    [sym__bitshift_operator] = ACTIONS(14129),
    [sym__power_operator] = ACTIONS(14129),
    [sym__tilde_operator] = ACTIONS(14129),
    [sym__type_order_operator] = ACTIONS(14129),
    [sym__unary_operator] = ACTIONS(14131),
    [sym__unary_plus_operator] = ACTIONS(14131),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14129),
    [sym__command_start] = ACTIONS(14129),
  },
  [8449] = {
    [sym__word_identifier] = ACTIONS(13660),
    [anon_sym_EQ] = ACTIONS(13660),
    [anon_sym_COMMA] = ACTIONS(13660),
    [anon_sym_COLON] = ACTIONS(13660),
    [anon_sym_begin] = ACTIONS(13660),
    [anon_sym_module] = ACTIONS(13660),
    [anon_sym_baremodule] = ACTIONS(13660),
    [anon_sym_end] = ACTIONS(13660),
    [anon_sym_abstract] = ACTIONS(13660),
    [anon_sym_primitive] = ACTIONS(13660),
    [anon_sym_mutable] = ACTIONS(13660),
    [anon_sym_struct] = ACTIONS(13660),
    [anon_sym_function] = ACTIONS(13660),
    [anon_sym_macro] = ACTIONS(13660),
    [anon_sym_where] = ACTIONS(13660),
    [anon_sym_quote] = ACTIONS(13660),
    [anon_sym_let] = ACTIONS(13660),
    [anon_sym_if] = ACTIONS(13660),
    [anon_sym_try] = ACTIONS(13660),
    [anon_sym_finally] = ACTIONS(13660),
    [anon_sym_for] = ACTIONS(13660),
    [anon_sym_while] = ACTIONS(13660),
    [sym_break_statement] = ACTIONS(13660),
    [sym_continue_statement] = ACTIONS(13660),
    [anon_sym_return] = ACTIONS(13660),
    [anon_sym_const] = ACTIONS(13660),
    [anon_sym_global] = ACTIONS(13660),
    [anon_sym_local] = ACTIONS(13660),
    [anon_sym_LPAREN] = ACTIONS(13660),
    [anon_sym_COLON2] = ACTIONS(13660),
    [anon_sym_export] = ACTIONS(13660),
    [anon_sym_import] = ACTIONS(13660),
    [anon_sym_using] = ACTIONS(13660),
    [anon_sym_LBRACK] = ACTIONS(13660),
    [anon_sym_LF] = ACTIONS(13662),
    [anon_sym_in] = ACTIONS(13660),
    [anon_sym_LBRACE] = ACTIONS(13660),
    [anon_sym_DOLLAR] = ACTIONS(13660),
    [anon_sym_COLON_COLON] = ACTIONS(13660),
    [anon_sym_isa] = ACTIONS(13660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13660),
    [anon_sym_QMARK] = ACTIONS(13660),
    [anon_sym_AT] = ACTIONS(13660),
    [anon_sym_true] = ACTIONS(13660),
    [anon_sym_false] = ACTIONS(13660),
    [aux_sym_integer_literal_token1] = ACTIONS(13660),
    [aux_sym_integer_literal_token2] = ACTIONS(13660),
    [aux_sym_integer_literal_token3] = ACTIONS(13660),
    [aux_sym_integer_literal_token4] = ACTIONS(13660),
    [aux_sym_float_literal_token1] = ACTIONS(13660),
    [aux_sym_float_literal_token3] = ACTIONS(13660),
    [aux_sym_float_literal_token4] = ACTIONS(13660),
    [sym_character_literal] = ACTIONS(13660),
    [sym__pair_operator] = ACTIONS(13660),
    [sym__arrow_operator] = ACTIONS(13660),
    [sym__lazy_or_operator] = ACTIONS(13660),
    [sym__lazy_and_operator] = ACTIONS(13660),
    [sym__comparison_operator] = ACTIONS(13660),
    [sym__pipe_right_operator] = ACTIONS(13660),
    [sym__pipe_left_operator] = ACTIONS(13660),
    [sym__ellipsis_operator] = ACTIONS(13660),
    [sym__plus_operator] = ACTIONS(13660),
    [sym__times_operator] = ACTIONS(13660),
    [sym__rational_operator] = ACTIONS(13660),
    [sym__bitshift_operator] = ACTIONS(13660),
    [sym__power_operator] = ACTIONS(13660),
    [sym__tilde_operator] = ACTIONS(13660),
    [sym__type_order_operator] = ACTIONS(13660),
    [sym__unary_operator] = ACTIONS(13660),
    [sym__unary_plus_operator] = ACTIONS(13660),
    [aux_sym__terminator_token1] = ACTIONS(13660),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13662),
    [sym__command_start] = ACTIONS(13662),
  },
  [8450] = {
    [sym__word_identifier] = ACTIONS(13684),
    [anon_sym_EQ] = ACTIONS(13684),
    [anon_sym_COMMA] = ACTIONS(13684),
    [anon_sym_COLON] = ACTIONS(13684),
    [anon_sym_begin] = ACTIONS(13684),
    [anon_sym_module] = ACTIONS(13684),
    [anon_sym_baremodule] = ACTIONS(13684),
    [anon_sym_end] = ACTIONS(13684),
    [anon_sym_abstract] = ACTIONS(13684),
    [anon_sym_primitive] = ACTIONS(13684),
    [anon_sym_mutable] = ACTIONS(13684),
    [anon_sym_struct] = ACTIONS(13684),
    [anon_sym_function] = ACTIONS(13684),
    [anon_sym_macro] = ACTIONS(13684),
    [anon_sym_where] = ACTIONS(13684),
    [anon_sym_quote] = ACTIONS(13684),
    [anon_sym_let] = ACTIONS(13684),
    [anon_sym_if] = ACTIONS(13684),
    [anon_sym_try] = ACTIONS(13684),
    [anon_sym_finally] = ACTIONS(13684),
    [anon_sym_for] = ACTIONS(13684),
    [anon_sym_while] = ACTIONS(13684),
    [sym_break_statement] = ACTIONS(13684),
    [sym_continue_statement] = ACTIONS(13684),
    [anon_sym_return] = ACTIONS(13684),
    [anon_sym_const] = ACTIONS(13684),
    [anon_sym_global] = ACTIONS(13684),
    [anon_sym_local] = ACTIONS(13684),
    [anon_sym_LPAREN] = ACTIONS(13684),
    [anon_sym_COLON2] = ACTIONS(13684),
    [anon_sym_export] = ACTIONS(13684),
    [anon_sym_import] = ACTIONS(13684),
    [anon_sym_using] = ACTIONS(13684),
    [anon_sym_LBRACK] = ACTIONS(13684),
    [anon_sym_LF] = ACTIONS(13686),
    [anon_sym_in] = ACTIONS(13684),
    [anon_sym_LBRACE] = ACTIONS(13684),
    [anon_sym_DOLLAR] = ACTIONS(13684),
    [anon_sym_COLON_COLON] = ACTIONS(13684),
    [anon_sym_isa] = ACTIONS(13684),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13684),
    [anon_sym_QMARK] = ACTIONS(13684),
    [anon_sym_AT] = ACTIONS(13684),
    [anon_sym_true] = ACTIONS(13684),
    [anon_sym_false] = ACTIONS(13684),
    [aux_sym_integer_literal_token1] = ACTIONS(13684),
    [aux_sym_integer_literal_token2] = ACTIONS(13684),
    [aux_sym_integer_literal_token3] = ACTIONS(13684),
    [aux_sym_integer_literal_token4] = ACTIONS(13684),
    [aux_sym_float_literal_token1] = ACTIONS(13684),
    [aux_sym_float_literal_token3] = ACTIONS(13684),
    [aux_sym_float_literal_token4] = ACTIONS(13684),
    [sym_character_literal] = ACTIONS(13684),
    [sym__pair_operator] = ACTIONS(13684),
    [sym__arrow_operator] = ACTIONS(13684),
    [sym__lazy_or_operator] = ACTIONS(13684),
    [sym__lazy_and_operator] = ACTIONS(13684),
    [sym__comparison_operator] = ACTIONS(13684),
    [sym__pipe_right_operator] = ACTIONS(13684),
    [sym__pipe_left_operator] = ACTIONS(13684),
    [sym__ellipsis_operator] = ACTIONS(13684),
    [sym__plus_operator] = ACTIONS(13684),
    [sym__times_operator] = ACTIONS(13684),
    [sym__rational_operator] = ACTIONS(13684),
    [sym__bitshift_operator] = ACTIONS(13684),
    [sym__power_operator] = ACTIONS(13684),
    [sym__tilde_operator] = ACTIONS(13684),
    [sym__type_order_operator] = ACTIONS(13684),
    [sym__unary_operator] = ACTIONS(13684),
    [sym__unary_plus_operator] = ACTIONS(13684),
    [aux_sym__terminator_token1] = ACTIONS(13684),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13686),
    [sym__command_start] = ACTIONS(13686),
  },
  [8451] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8452] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8453] = {
    [ts_builtin_sym_end] = ACTIONS(13406),
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_RPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_RBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14598),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14598),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [8454] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14598),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14598),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8455] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_catch] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8456] = {
    [sym__word_identifier] = ACTIONS(13690),
    [anon_sym_EQ] = ACTIONS(13690),
    [anon_sym_COMMA] = ACTIONS(13690),
    [anon_sym_COLON] = ACTIONS(13690),
    [anon_sym_begin] = ACTIONS(13690),
    [anon_sym_module] = ACTIONS(13690),
    [anon_sym_baremodule] = ACTIONS(13690),
    [anon_sym_end] = ACTIONS(13690),
    [anon_sym_abstract] = ACTIONS(13690),
    [anon_sym_primitive] = ACTIONS(13690),
    [anon_sym_mutable] = ACTIONS(13690),
    [anon_sym_struct] = ACTIONS(13690),
    [anon_sym_function] = ACTIONS(13690),
    [anon_sym_macro] = ACTIONS(13690),
    [anon_sym_where] = ACTIONS(13690),
    [anon_sym_quote] = ACTIONS(13690),
    [anon_sym_let] = ACTIONS(13690),
    [anon_sym_if] = ACTIONS(13690),
    [anon_sym_try] = ACTIONS(13690),
    [anon_sym_finally] = ACTIONS(13690),
    [anon_sym_for] = ACTIONS(13690),
    [anon_sym_while] = ACTIONS(13690),
    [sym_break_statement] = ACTIONS(13690),
    [sym_continue_statement] = ACTIONS(13690),
    [anon_sym_return] = ACTIONS(13690),
    [anon_sym_const] = ACTIONS(13690),
    [anon_sym_global] = ACTIONS(13690),
    [anon_sym_local] = ACTIONS(13690),
    [anon_sym_LPAREN] = ACTIONS(13690),
    [anon_sym_COLON2] = ACTIONS(13690),
    [anon_sym_export] = ACTIONS(13690),
    [anon_sym_import] = ACTIONS(13690),
    [anon_sym_using] = ACTIONS(13690),
    [anon_sym_LBRACK] = ACTIONS(13690),
    [anon_sym_LF] = ACTIONS(13692),
    [anon_sym_in] = ACTIONS(13690),
    [anon_sym_LBRACE] = ACTIONS(13690),
    [anon_sym_DOLLAR] = ACTIONS(13690),
    [anon_sym_COLON_COLON] = ACTIONS(13690),
    [anon_sym_isa] = ACTIONS(13690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13690),
    [anon_sym_QMARK] = ACTIONS(13690),
    [anon_sym_AT] = ACTIONS(13690),
    [anon_sym_true] = ACTIONS(13690),
    [anon_sym_false] = ACTIONS(13690),
    [aux_sym_integer_literal_token1] = ACTIONS(13690),
    [aux_sym_integer_literal_token2] = ACTIONS(13690),
    [aux_sym_integer_literal_token3] = ACTIONS(13690),
    [aux_sym_integer_literal_token4] = ACTIONS(13690),
    [aux_sym_float_literal_token1] = ACTIONS(13690),
    [aux_sym_float_literal_token3] = ACTIONS(13690),
    [aux_sym_float_literal_token4] = ACTIONS(13690),
    [sym_character_literal] = ACTIONS(13690),
    [sym__pair_operator] = ACTIONS(13690),
    [sym__arrow_operator] = ACTIONS(13690),
    [sym__lazy_or_operator] = ACTIONS(13690),
    [sym__lazy_and_operator] = ACTIONS(13690),
    [sym__comparison_operator] = ACTIONS(13690),
    [sym__pipe_right_operator] = ACTIONS(13690),
    [sym__pipe_left_operator] = ACTIONS(13690),
    [sym__ellipsis_operator] = ACTIONS(13690),
    [sym__plus_operator] = ACTIONS(13690),
    [sym__times_operator] = ACTIONS(13690),
    [sym__rational_operator] = ACTIONS(13690),
    [sym__bitshift_operator] = ACTIONS(13690),
    [sym__power_operator] = ACTIONS(13690),
    [sym__tilde_operator] = ACTIONS(13690),
    [sym__type_order_operator] = ACTIONS(13690),
    [sym__unary_operator] = ACTIONS(13690),
    [sym__unary_plus_operator] = ACTIONS(13690),
    [aux_sym__terminator_token1] = ACTIONS(13690),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13692),
    [sym__command_start] = ACTIONS(13692),
  },
  [8457] = {
    [sym__word_identifier] = ACTIONS(13744),
    [anon_sym_EQ] = ACTIONS(13744),
    [anon_sym_COMMA] = ACTIONS(13744),
    [anon_sym_COLON] = ACTIONS(13744),
    [anon_sym_begin] = ACTIONS(13744),
    [anon_sym_module] = ACTIONS(13744),
    [anon_sym_baremodule] = ACTIONS(13744),
    [anon_sym_end] = ACTIONS(13744),
    [anon_sym_abstract] = ACTIONS(13744),
    [anon_sym_primitive] = ACTIONS(13744),
    [anon_sym_mutable] = ACTIONS(13744),
    [anon_sym_struct] = ACTIONS(13744),
    [anon_sym_function] = ACTIONS(13744),
    [anon_sym_macro] = ACTIONS(13744),
    [anon_sym_where] = ACTIONS(13744),
    [anon_sym_quote] = ACTIONS(13744),
    [anon_sym_let] = ACTIONS(13744),
    [anon_sym_if] = ACTIONS(13744),
    [anon_sym_try] = ACTIONS(13744),
    [anon_sym_finally] = ACTIONS(13744),
    [anon_sym_for] = ACTIONS(13744),
    [anon_sym_while] = ACTIONS(13744),
    [sym_break_statement] = ACTIONS(13744),
    [sym_continue_statement] = ACTIONS(13744),
    [anon_sym_return] = ACTIONS(13744),
    [anon_sym_const] = ACTIONS(13744),
    [anon_sym_global] = ACTIONS(13744),
    [anon_sym_local] = ACTIONS(13744),
    [anon_sym_LPAREN] = ACTIONS(13744),
    [anon_sym_COLON2] = ACTIONS(13744),
    [anon_sym_export] = ACTIONS(13744),
    [anon_sym_import] = ACTIONS(13744),
    [anon_sym_using] = ACTIONS(13744),
    [anon_sym_LBRACK] = ACTIONS(13744),
    [anon_sym_LF] = ACTIONS(13746),
    [anon_sym_in] = ACTIONS(13744),
    [anon_sym_LBRACE] = ACTIONS(13744),
    [anon_sym_DOLLAR] = ACTIONS(13744),
    [anon_sym_COLON_COLON] = ACTIONS(13744),
    [anon_sym_isa] = ACTIONS(13744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13744),
    [anon_sym_QMARK] = ACTIONS(13744),
    [anon_sym_AT] = ACTIONS(13744),
    [anon_sym_true] = ACTIONS(13744),
    [anon_sym_false] = ACTIONS(13744),
    [aux_sym_integer_literal_token1] = ACTIONS(13744),
    [aux_sym_integer_literal_token2] = ACTIONS(13744),
    [aux_sym_integer_literal_token3] = ACTIONS(13744),
    [aux_sym_integer_literal_token4] = ACTIONS(13744),
    [aux_sym_float_literal_token1] = ACTIONS(13744),
    [aux_sym_float_literal_token3] = ACTIONS(13744),
    [aux_sym_float_literal_token4] = ACTIONS(13744),
    [sym_character_literal] = ACTIONS(13744),
    [sym__pair_operator] = ACTIONS(13744),
    [sym__arrow_operator] = ACTIONS(13744),
    [sym__lazy_or_operator] = ACTIONS(13744),
    [sym__lazy_and_operator] = ACTIONS(13744),
    [sym__comparison_operator] = ACTIONS(13744),
    [sym__pipe_right_operator] = ACTIONS(13744),
    [sym__pipe_left_operator] = ACTIONS(13744),
    [sym__ellipsis_operator] = ACTIONS(13744),
    [sym__plus_operator] = ACTIONS(13744),
    [sym__times_operator] = ACTIONS(13744),
    [sym__rational_operator] = ACTIONS(13744),
    [sym__bitshift_operator] = ACTIONS(13744),
    [sym__power_operator] = ACTIONS(13744),
    [sym__tilde_operator] = ACTIONS(13744),
    [sym__type_order_operator] = ACTIONS(13744),
    [sym__unary_operator] = ACTIONS(13744),
    [sym__unary_plus_operator] = ACTIONS(13744),
    [aux_sym__terminator_token1] = ACTIONS(13744),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13746),
    [sym__command_start] = ACTIONS(13746),
  },
  [8458] = {
    [sym__word_identifier] = ACTIONS(13824),
    [anon_sym_EQ] = ACTIONS(13824),
    [anon_sym_COMMA] = ACTIONS(13824),
    [anon_sym_COLON] = ACTIONS(13824),
    [anon_sym_begin] = ACTIONS(13824),
    [anon_sym_module] = ACTIONS(13824),
    [anon_sym_baremodule] = ACTIONS(13824),
    [anon_sym_end] = ACTIONS(13824),
    [anon_sym_abstract] = ACTIONS(13824),
    [anon_sym_primitive] = ACTIONS(13824),
    [anon_sym_mutable] = ACTIONS(13824),
    [anon_sym_struct] = ACTIONS(13824),
    [anon_sym_function] = ACTIONS(13824),
    [anon_sym_macro] = ACTIONS(13824),
    [anon_sym_where] = ACTIONS(13824),
    [anon_sym_quote] = ACTIONS(13824),
    [anon_sym_let] = ACTIONS(13824),
    [anon_sym_if] = ACTIONS(13824),
    [anon_sym_try] = ACTIONS(13824),
    [anon_sym_finally] = ACTIONS(13824),
    [anon_sym_for] = ACTIONS(13824),
    [anon_sym_while] = ACTIONS(13824),
    [sym_break_statement] = ACTIONS(13824),
    [sym_continue_statement] = ACTIONS(13824),
    [anon_sym_return] = ACTIONS(13824),
    [anon_sym_const] = ACTIONS(13824),
    [anon_sym_global] = ACTIONS(13824),
    [anon_sym_local] = ACTIONS(13824),
    [anon_sym_LPAREN] = ACTIONS(13824),
    [anon_sym_COLON2] = ACTIONS(13824),
    [anon_sym_export] = ACTIONS(13824),
    [anon_sym_import] = ACTIONS(13824),
    [anon_sym_using] = ACTIONS(13824),
    [anon_sym_LBRACK] = ACTIONS(13824),
    [anon_sym_LF] = ACTIONS(13826),
    [anon_sym_in] = ACTIONS(13824),
    [anon_sym_LBRACE] = ACTIONS(13824),
    [anon_sym_DOLLAR] = ACTIONS(13824),
    [anon_sym_COLON_COLON] = ACTIONS(13824),
    [anon_sym_isa] = ACTIONS(13824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13824),
    [anon_sym_QMARK] = ACTIONS(13824),
    [anon_sym_AT] = ACTIONS(13824),
    [anon_sym_true] = ACTIONS(13824),
    [anon_sym_false] = ACTIONS(13824),
    [aux_sym_integer_literal_token1] = ACTIONS(13824),
    [aux_sym_integer_literal_token2] = ACTIONS(13824),
    [aux_sym_integer_literal_token3] = ACTIONS(13824),
    [aux_sym_integer_literal_token4] = ACTIONS(13824),
    [aux_sym_float_literal_token1] = ACTIONS(13824),
    [aux_sym_float_literal_token3] = ACTIONS(13824),
    [aux_sym_float_literal_token4] = ACTIONS(13824),
    [sym_character_literal] = ACTIONS(13824),
    [sym__pair_operator] = ACTIONS(13824),
    [sym__arrow_operator] = ACTIONS(13824),
    [sym__lazy_or_operator] = ACTIONS(13824),
    [sym__lazy_and_operator] = ACTIONS(13824),
    [sym__comparison_operator] = ACTIONS(13824),
    [sym__pipe_right_operator] = ACTIONS(13824),
    [sym__pipe_left_operator] = ACTIONS(13824),
    [sym__ellipsis_operator] = ACTIONS(13824),
    [sym__plus_operator] = ACTIONS(13824),
    [sym__times_operator] = ACTIONS(13824),
    [sym__rational_operator] = ACTIONS(13824),
    [sym__bitshift_operator] = ACTIONS(13824),
    [sym__power_operator] = ACTIONS(13824),
    [sym__tilde_operator] = ACTIONS(13824),
    [sym__type_order_operator] = ACTIONS(13824),
    [sym__unary_operator] = ACTIONS(13824),
    [sym__unary_plus_operator] = ACTIONS(13824),
    [aux_sym__terminator_token1] = ACTIONS(13824),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13826),
    [sym__command_start] = ACTIONS(13826),
  },
  [8459] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8460] = {
    [sym__word_identifier] = ACTIONS(13828),
    [anon_sym_EQ] = ACTIONS(13828),
    [anon_sym_COMMA] = ACTIONS(13828),
    [anon_sym_COLON] = ACTIONS(13828),
    [anon_sym_begin] = ACTIONS(13828),
    [anon_sym_module] = ACTIONS(13828),
    [anon_sym_baremodule] = ACTIONS(13828),
    [anon_sym_end] = ACTIONS(13828),
    [anon_sym_abstract] = ACTIONS(13828),
    [anon_sym_primitive] = ACTIONS(13828),
    [anon_sym_mutable] = ACTIONS(13828),
    [anon_sym_struct] = ACTIONS(13828),
    [anon_sym_function] = ACTIONS(13828),
    [anon_sym_macro] = ACTIONS(13828),
    [anon_sym_where] = ACTIONS(13828),
    [anon_sym_quote] = ACTIONS(13828),
    [anon_sym_let] = ACTIONS(13828),
    [anon_sym_if] = ACTIONS(13828),
    [anon_sym_try] = ACTIONS(13828),
    [anon_sym_finally] = ACTIONS(13828),
    [anon_sym_for] = ACTIONS(13828),
    [anon_sym_while] = ACTIONS(13828),
    [sym_break_statement] = ACTIONS(13828),
    [sym_continue_statement] = ACTIONS(13828),
    [anon_sym_return] = ACTIONS(13828),
    [anon_sym_const] = ACTIONS(13828),
    [anon_sym_global] = ACTIONS(13828),
    [anon_sym_local] = ACTIONS(13828),
    [anon_sym_LPAREN] = ACTIONS(13828),
    [anon_sym_COLON2] = ACTIONS(13828),
    [anon_sym_export] = ACTIONS(13828),
    [anon_sym_import] = ACTIONS(13828),
    [anon_sym_using] = ACTIONS(13828),
    [anon_sym_LBRACK] = ACTIONS(13828),
    [anon_sym_LF] = ACTIONS(13830),
    [anon_sym_in] = ACTIONS(13828),
    [anon_sym_LBRACE] = ACTIONS(13828),
    [anon_sym_DOLLAR] = ACTIONS(13828),
    [anon_sym_COLON_COLON] = ACTIONS(13828),
    [anon_sym_isa] = ACTIONS(13828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13828),
    [anon_sym_QMARK] = ACTIONS(13828),
    [anon_sym_AT] = ACTIONS(13828),
    [anon_sym_true] = ACTIONS(13828),
    [anon_sym_false] = ACTIONS(13828),
    [aux_sym_integer_literal_token1] = ACTIONS(13828),
    [aux_sym_integer_literal_token2] = ACTIONS(13828),
    [aux_sym_integer_literal_token3] = ACTIONS(13828),
    [aux_sym_integer_literal_token4] = ACTIONS(13828),
    [aux_sym_float_literal_token1] = ACTIONS(13828),
    [aux_sym_float_literal_token3] = ACTIONS(13828),
    [aux_sym_float_literal_token4] = ACTIONS(13828),
    [sym_character_literal] = ACTIONS(13828),
    [sym__pair_operator] = ACTIONS(13828),
    [sym__arrow_operator] = ACTIONS(13828),
    [sym__lazy_or_operator] = ACTIONS(13828),
    [sym__lazy_and_operator] = ACTIONS(13828),
    [sym__comparison_operator] = ACTIONS(13828),
    [sym__pipe_right_operator] = ACTIONS(13828),
    [sym__pipe_left_operator] = ACTIONS(13828),
    [sym__ellipsis_operator] = ACTIONS(13828),
    [sym__plus_operator] = ACTIONS(13828),
    [sym__times_operator] = ACTIONS(13828),
    [sym__rational_operator] = ACTIONS(13828),
    [sym__bitshift_operator] = ACTIONS(13828),
    [sym__power_operator] = ACTIONS(13828),
    [sym__tilde_operator] = ACTIONS(13828),
    [sym__type_order_operator] = ACTIONS(13828),
    [sym__unary_operator] = ACTIONS(13828),
    [sym__unary_plus_operator] = ACTIONS(13828),
    [aux_sym__terminator_token1] = ACTIONS(13828),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13830),
    [sym__command_start] = ACTIONS(13830),
  },
  [8461] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [8462] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8463] = {
    [sym__word_identifier] = ACTIONS(14120),
    [anon_sym_EQ] = ACTIONS(14120),
    [anon_sym_COMMA] = ACTIONS(14120),
    [anon_sym_COLON] = ACTIONS(14120),
    [anon_sym_begin] = ACTIONS(14120),
    [anon_sym_module] = ACTIONS(14120),
    [anon_sym_baremodule] = ACTIONS(14120),
    [anon_sym_end] = ACTIONS(14120),
    [anon_sym_abstract] = ACTIONS(14120),
    [anon_sym_primitive] = ACTIONS(14120),
    [anon_sym_mutable] = ACTIONS(14120),
    [anon_sym_struct] = ACTIONS(14120),
    [anon_sym_function] = ACTIONS(14120),
    [anon_sym_macro] = ACTIONS(14120),
    [anon_sym_where] = ACTIONS(14120),
    [anon_sym_quote] = ACTIONS(14120),
    [anon_sym_let] = ACTIONS(14120),
    [anon_sym_if] = ACTIONS(14120),
    [anon_sym_try] = ACTIONS(14120),
    [anon_sym_catch] = ACTIONS(14120),
    [anon_sym_for] = ACTIONS(14120),
    [anon_sym_while] = ACTIONS(14120),
    [sym_break_statement] = ACTIONS(14120),
    [sym_continue_statement] = ACTIONS(14120),
    [anon_sym_return] = ACTIONS(14120),
    [anon_sym_const] = ACTIONS(14120),
    [anon_sym_global] = ACTIONS(14120),
    [anon_sym_local] = ACTIONS(14120),
    [anon_sym_LPAREN] = ACTIONS(14120),
    [anon_sym_COLON2] = ACTIONS(14120),
    [anon_sym_export] = ACTIONS(14120),
    [anon_sym_import] = ACTIONS(14120),
    [anon_sym_using] = ACTIONS(14120),
    [anon_sym_LBRACK] = ACTIONS(14120),
    [anon_sym_LF] = ACTIONS(14118),
    [anon_sym_in] = ACTIONS(14120),
    [anon_sym_LBRACE] = ACTIONS(14120),
    [anon_sym_DOLLAR] = ACTIONS(14120),
    [anon_sym_COLON_COLON] = ACTIONS(14120),
    [anon_sym_isa] = ACTIONS(14120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14120),
    [anon_sym_QMARK] = ACTIONS(14120),
    [anon_sym_AT] = ACTIONS(14120),
    [anon_sym_true] = ACTIONS(14120),
    [anon_sym_false] = ACTIONS(14120),
    [aux_sym_integer_literal_token1] = ACTIONS(14120),
    [aux_sym_integer_literal_token2] = ACTIONS(14120),
    [aux_sym_integer_literal_token3] = ACTIONS(14120),
    [aux_sym_integer_literal_token4] = ACTIONS(14120),
    [aux_sym_float_literal_token1] = ACTIONS(14120),
    [aux_sym_float_literal_token3] = ACTIONS(14120),
    [aux_sym_float_literal_token4] = ACTIONS(14120),
    [sym_character_literal] = ACTIONS(14120),
    [sym__pair_operator] = ACTIONS(14120),
    [sym__arrow_operator] = ACTIONS(14120),
    [sym__lazy_or_operator] = ACTIONS(14120),
    [sym__lazy_and_operator] = ACTIONS(14120),
    [sym__comparison_operator] = ACTIONS(14120),
    [sym__pipe_right_operator] = ACTIONS(14120),
    [sym__pipe_left_operator] = ACTIONS(14120),
    [sym__ellipsis_operator] = ACTIONS(14120),
    [sym__plus_operator] = ACTIONS(14120),
    [sym__times_operator] = ACTIONS(14120),
    [sym__rational_operator] = ACTIONS(14120),
    [sym__bitshift_operator] = ACTIONS(14120),
    [sym__power_operator] = ACTIONS(14120),
    [sym__tilde_operator] = ACTIONS(14120),
    [sym__type_order_operator] = ACTIONS(14120),
    [sym__unary_operator] = ACTIONS(14120),
    [sym__unary_plus_operator] = ACTIONS(14120),
    [aux_sym__terminator_token1] = ACTIONS(14120),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14118),
    [sym__command_start] = ACTIONS(14118),
  },
  [8464] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [8465] = {
    [aux_sym_open_tuple_repeat1] = STATE(7969),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13558),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_catch] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(14661),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8466] = {
    [sym__word_identifier] = ACTIONS(13570),
    [anon_sym_EQ] = ACTIONS(13570),
    [anon_sym_COMMA] = ACTIONS(13568),
    [anon_sym_COLON] = ACTIONS(13570),
    [anon_sym_begin] = ACTIONS(13570),
    [anon_sym_module] = ACTIONS(13570),
    [anon_sym_baremodule] = ACTIONS(13570),
    [anon_sym_abstract] = ACTIONS(13570),
    [anon_sym_primitive] = ACTIONS(13570),
    [anon_sym_mutable] = ACTIONS(13570),
    [anon_sym_struct] = ACTIONS(13570),
    [anon_sym_function] = ACTIONS(13570),
    [anon_sym_macro] = ACTIONS(13570),
    [anon_sym_where] = ACTIONS(13570),
    [anon_sym_quote] = ACTIONS(13570),
    [anon_sym_let] = ACTIONS(13570),
    [anon_sym_if] = ACTIONS(13570),
    [anon_sym_try] = ACTIONS(13570),
    [anon_sym_for] = ACTIONS(13570),
    [anon_sym_while] = ACTIONS(13570),
    [sym_break_statement] = ACTIONS(13570),
    [sym_continue_statement] = ACTIONS(13570),
    [anon_sym_return] = ACTIONS(13570),
    [anon_sym_const] = ACTIONS(13570),
    [anon_sym_global] = ACTIONS(13570),
    [anon_sym_local] = ACTIONS(13570),
    [anon_sym_LPAREN] = ACTIONS(13568),
    [anon_sym_RPAREN] = ACTIONS(13568),
    [anon_sym_COLON2] = ACTIONS(13570),
    [anon_sym_export] = ACTIONS(13570),
    [anon_sym_import] = ACTIONS(13570),
    [anon_sym_using] = ACTIONS(13570),
    [anon_sym_LBRACK] = ACTIONS(13568),
    [anon_sym_RBRACK] = ACTIONS(13568),
    [anon_sym_in] = ACTIONS(13570),
    [anon_sym_SEMI] = ACTIONS(13568),
    [anon_sym_LBRACE] = ACTIONS(13568),
    [anon_sym_RBRACE] = ACTIONS(13568),
    [anon_sym_DOLLAR] = ACTIONS(13568),
    [anon_sym_COLON_COLON] = ACTIONS(13568),
    [anon_sym_isa] = ACTIONS(13570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13568),
    [anon_sym_QMARK] = ACTIONS(13568),
    [anon_sym_AT] = ACTIONS(13568),
    [anon_sym_true] = ACTIONS(13570),
    [anon_sym_false] = ACTIONS(13570),
    [aux_sym_integer_literal_token1] = ACTIONS(13568),
    [aux_sym_integer_literal_token2] = ACTIONS(13568),
    [aux_sym_integer_literal_token3] = ACTIONS(13570),
    [aux_sym_integer_literal_token4] = ACTIONS(13570),
    [aux_sym_float_literal_token1] = ACTIONS(13568),
    [aux_sym_float_literal_token3] = ACTIONS(13568),
    [aux_sym_float_literal_token4] = ACTIONS(13568),
    [sym_character_literal] = ACTIONS(13568),
    [sym__pair_operator] = ACTIONS(13568),
    [sym__arrow_operator] = ACTIONS(13570),
    [sym__lazy_or_operator] = ACTIONS(13568),
    [sym__lazy_and_operator] = ACTIONS(13568),
    [sym__comparison_operator] = ACTIONS(13570),
    [sym__pipe_right_operator] = ACTIONS(13568),
    [sym__pipe_left_operator] = ACTIONS(13568),
    [sym__ellipsis_operator] = ACTIONS(13570),
    [sym__plus_operator] = ACTIONS(13570),
    [sym__times_operator] = ACTIONS(13570),
    [sym__rational_operator] = ACTIONS(13568),
    [sym__bitshift_operator] = ACTIONS(13568),
    [sym__power_operator] = ACTIONS(13568),
    [sym__tilde_operator] = ACTIONS(13568),
    [sym__type_order_operator] = ACTIONS(13568),
    [sym__unary_operator] = ACTIONS(13570),
    [sym__unary_plus_operator] = ACTIONS(13570),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13568),
    [sym__command_start] = ACTIONS(13568),
  },
  [8467] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12668),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8468] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12668),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11852),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8469] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_end] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_as] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [8470] = {
    [sym__word_identifier] = ACTIONS(13484),
    [anon_sym_EQ] = ACTIONS(13484),
    [anon_sym_COMMA] = ACTIONS(13484),
    [anon_sym_COLON] = ACTIONS(13484),
    [anon_sym_begin] = ACTIONS(13484),
    [anon_sym_module] = ACTIONS(13484),
    [anon_sym_baremodule] = ACTIONS(13484),
    [anon_sym_abstract] = ACTIONS(13484),
    [anon_sym_primitive] = ACTIONS(13484),
    [anon_sym_mutable] = ACTIONS(13484),
    [anon_sym_struct] = ACTIONS(13484),
    [anon_sym_function] = ACTIONS(13484),
    [anon_sym_macro] = ACTIONS(13484),
    [anon_sym_where] = ACTIONS(13484),
    [anon_sym_quote] = ACTIONS(13484),
    [anon_sym_let] = ACTIONS(13484),
    [anon_sym_if] = ACTIONS(13484),
    [anon_sym_try] = ACTIONS(13484),
    [anon_sym_catch] = ACTIONS(13484),
    [anon_sym_finally] = ACTIONS(13484),
    [anon_sym_for] = ACTIONS(13484),
    [anon_sym_while] = ACTIONS(13484),
    [sym_break_statement] = ACTIONS(13484),
    [sym_continue_statement] = ACTIONS(13484),
    [anon_sym_return] = ACTIONS(13484),
    [anon_sym_const] = ACTIONS(13484),
    [anon_sym_global] = ACTIONS(13484),
    [anon_sym_local] = ACTIONS(13484),
    [anon_sym_LPAREN] = ACTIONS(13484),
    [anon_sym_COLON2] = ACTIONS(13484),
    [anon_sym_export] = ACTIONS(13484),
    [anon_sym_import] = ACTIONS(13484),
    [anon_sym_using] = ACTIONS(13484),
    [anon_sym_LBRACK] = ACTIONS(13484),
    [anon_sym_LF] = ACTIONS(13486),
    [anon_sym_in] = ACTIONS(13484),
    [anon_sym_LBRACE] = ACTIONS(13484),
    [anon_sym_DOLLAR] = ACTIONS(13484),
    [anon_sym_COLON_COLON] = ACTIONS(13484),
    [anon_sym_isa] = ACTIONS(13484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13484),
    [anon_sym_QMARK] = ACTIONS(13484),
    [anon_sym_AT] = ACTIONS(13484),
    [anon_sym_true] = ACTIONS(13484),
    [anon_sym_false] = ACTIONS(13484),
    [aux_sym_integer_literal_token1] = ACTIONS(13484),
    [aux_sym_integer_literal_token2] = ACTIONS(13484),
    [aux_sym_integer_literal_token3] = ACTIONS(13484),
    [aux_sym_integer_literal_token4] = ACTIONS(13484),
    [aux_sym_float_literal_token1] = ACTIONS(13484),
    [aux_sym_float_literal_token3] = ACTIONS(13484),
    [aux_sym_float_literal_token4] = ACTIONS(13484),
    [sym_character_literal] = ACTIONS(13484),
    [sym__pair_operator] = ACTIONS(13484),
    [sym__arrow_operator] = ACTIONS(13484),
    [sym__lazy_or_operator] = ACTIONS(13484),
    [sym__lazy_and_operator] = ACTIONS(13484),
    [sym__comparison_operator] = ACTIONS(13484),
    [sym__pipe_right_operator] = ACTIONS(13484),
    [sym__pipe_left_operator] = ACTIONS(13484),
    [sym__ellipsis_operator] = ACTIONS(13484),
    [sym__plus_operator] = ACTIONS(13484),
    [sym__times_operator] = ACTIONS(13484),
    [sym__rational_operator] = ACTIONS(13484),
    [sym__bitshift_operator] = ACTIONS(13484),
    [sym__power_operator] = ACTIONS(13484),
    [sym__tilde_operator] = ACTIONS(13484),
    [sym__type_order_operator] = ACTIONS(13484),
    [sym__unary_operator] = ACTIONS(13484),
    [sym__unary_plus_operator] = ACTIONS(13484),
    [aux_sym__terminator_token1] = ACTIONS(13484),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13486),
    [sym__command_start] = ACTIONS(13486),
  },
  [8471] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(14206),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [8472] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(12552),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8473] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(12552),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8474] = {
    [sym__primary_expression] = STATE(11488),
    [sym__array] = STATE(11488),
    [sym_comprehension_expression] = STATE(11488),
    [sym_matrix_expression] = STATE(11488),
    [sym_vector_expression] = STATE(11488),
    [sym_parenthesized_expression] = STATE(11488),
    [sym_tuple_expression] = STATE(11488),
    [sym_curly_expression] = STATE(11488),
    [sym_adjoint_expression] = STATE(11488),
    [sym_field_expression] = STATE(11488),
    [sym_index_expression] = STATE(11488),
    [sym_parametrized_type_expression] = STATE(11488),
    [sym_call_expression] = STATE(11488),
    [sym_broadcast_call_expression] = STATE(11488),
    [sym__closed_macrocall_expression] = STATE(11488),
    [sym_interpolation_expression] = STATE(11488),
    [sym_quote_expression] = STATE(11488),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(11262),
    [sym_boolean_literal] = STATE(11488),
    [sym__string] = STATE(11488),
    [sym_string_literal] = STATE(11488),
    [sym_command_literal] = STATE(11488),
    [sym_prefixed_string_literal] = STATE(11488),
    [sym_prefixed_command_literal] = STATE(11488),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(14663),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(14665),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(14667),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [8475] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(12552),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8476] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [8477] = {
    [sym__word_identifier] = ACTIONS(13282),
    [anon_sym_EQ] = ACTIONS(13282),
    [anon_sym_COMMA] = ACTIONS(13284),
    [anon_sym_COLON] = ACTIONS(13282),
    [anon_sym_begin] = ACTIONS(13282),
    [anon_sym_module] = ACTIONS(13282),
    [anon_sym_baremodule] = ACTIONS(13282),
    [anon_sym_abstract] = ACTIONS(13282),
    [anon_sym_primitive] = ACTIONS(13282),
    [anon_sym_mutable] = ACTIONS(13282),
    [anon_sym_struct] = ACTIONS(13282),
    [anon_sym_function] = ACTIONS(13282),
    [anon_sym_macro] = ACTIONS(13282),
    [anon_sym_where] = ACTIONS(13282),
    [anon_sym_quote] = ACTIONS(13282),
    [anon_sym_let] = ACTIONS(13282),
    [anon_sym_if] = ACTIONS(13282),
    [anon_sym_try] = ACTIONS(13282),
    [anon_sym_for] = ACTIONS(13282),
    [anon_sym_while] = ACTIONS(13282),
    [sym_break_statement] = ACTIONS(13282),
    [sym_continue_statement] = ACTIONS(13282),
    [anon_sym_return] = ACTIONS(13282),
    [anon_sym_const] = ACTIONS(13282),
    [anon_sym_global] = ACTIONS(13282),
    [anon_sym_local] = ACTIONS(13282),
    [anon_sym_LPAREN] = ACTIONS(13284),
    [anon_sym_RPAREN] = ACTIONS(13284),
    [anon_sym_COLON2] = ACTIONS(13282),
    [anon_sym_export] = ACTIONS(13282),
    [anon_sym_import] = ACTIONS(13282),
    [anon_sym_using] = ACTIONS(13282),
    [anon_sym_LBRACK] = ACTIONS(13284),
    [anon_sym_RBRACK] = ACTIONS(13284),
    [anon_sym_in] = ACTIONS(13282),
    [anon_sym_SEMI] = ACTIONS(13284),
    [anon_sym_LBRACE] = ACTIONS(13284),
    [anon_sym_RBRACE] = ACTIONS(13284),
    [anon_sym_DOLLAR] = ACTIONS(13284),
    [anon_sym_COLON_COLON] = ACTIONS(13284),
    [anon_sym_isa] = ACTIONS(13282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13284),
    [anon_sym_QMARK] = ACTIONS(13284),
    [anon_sym_AT] = ACTIONS(13284),
    [anon_sym_true] = ACTIONS(13282),
    [anon_sym_false] = ACTIONS(13282),
    [aux_sym_integer_literal_token1] = ACTIONS(13284),
    [aux_sym_integer_literal_token2] = ACTIONS(13284),
    [aux_sym_integer_literal_token3] = ACTIONS(13282),
    [aux_sym_integer_literal_token4] = ACTIONS(13282),
    [aux_sym_float_literal_token1] = ACTIONS(13284),
    [aux_sym_float_literal_token3] = ACTIONS(13284),
    [aux_sym_float_literal_token4] = ACTIONS(13284),
    [sym_character_literal] = ACTIONS(13284),
    [sym__pair_operator] = ACTIONS(13284),
    [sym__arrow_operator] = ACTIONS(13282),
    [sym__lazy_or_operator] = ACTIONS(13284),
    [sym__lazy_and_operator] = ACTIONS(13284),
    [sym__comparison_operator] = ACTIONS(13282),
    [sym__pipe_right_operator] = ACTIONS(13284),
    [sym__pipe_left_operator] = ACTIONS(13284),
    [sym__ellipsis_operator] = ACTIONS(13282),
    [sym__plus_operator] = ACTIONS(13282),
    [sym__times_operator] = ACTIONS(13282),
    [sym__rational_operator] = ACTIONS(13284),
    [sym__bitshift_operator] = ACTIONS(13284),
    [sym__power_operator] = ACTIONS(13284),
    [sym__tilde_operator] = ACTIONS(13284),
    [sym__type_order_operator] = ACTIONS(13284),
    [sym__unary_operator] = ACTIONS(13282),
    [sym__unary_plus_operator] = ACTIONS(13282),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13284),
    [sym__command_start] = ACTIONS(13284),
  },
  [8478] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_catch] = ACTIONS(13238),
    [anon_sym_finally] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(14517),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8479] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_catch] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8480] = {
    [sym__word_identifier] = ACTIONS(13508),
    [anon_sym_EQ] = ACTIONS(13508),
    [anon_sym_COMMA] = ACTIONS(13508),
    [anon_sym_COLON] = ACTIONS(13508),
    [anon_sym_begin] = ACTIONS(13508),
    [anon_sym_module] = ACTIONS(13508),
    [anon_sym_baremodule] = ACTIONS(13508),
    [anon_sym_abstract] = ACTIONS(13508),
    [anon_sym_primitive] = ACTIONS(13508),
    [anon_sym_mutable] = ACTIONS(13508),
    [anon_sym_struct] = ACTIONS(13508),
    [anon_sym_function] = ACTIONS(13508),
    [anon_sym_macro] = ACTIONS(13508),
    [anon_sym_where] = ACTIONS(13508),
    [anon_sym_quote] = ACTIONS(13508),
    [anon_sym_let] = ACTIONS(13508),
    [anon_sym_if] = ACTIONS(13508),
    [anon_sym_try] = ACTIONS(13508),
    [anon_sym_catch] = ACTIONS(13508),
    [anon_sym_finally] = ACTIONS(13508),
    [anon_sym_for] = ACTIONS(13508),
    [anon_sym_while] = ACTIONS(13508),
    [sym_break_statement] = ACTIONS(13508),
    [sym_continue_statement] = ACTIONS(13508),
    [anon_sym_return] = ACTIONS(13508),
    [anon_sym_const] = ACTIONS(13508),
    [anon_sym_global] = ACTIONS(13508),
    [anon_sym_local] = ACTIONS(13508),
    [anon_sym_LPAREN] = ACTIONS(13508),
    [anon_sym_COLON2] = ACTIONS(13508),
    [anon_sym_export] = ACTIONS(13508),
    [anon_sym_import] = ACTIONS(13508),
    [anon_sym_using] = ACTIONS(13508),
    [anon_sym_LBRACK] = ACTIONS(13508),
    [anon_sym_LF] = ACTIONS(13510),
    [anon_sym_in] = ACTIONS(13508),
    [anon_sym_LBRACE] = ACTIONS(13508),
    [anon_sym_DOLLAR] = ACTIONS(13508),
    [anon_sym_COLON_COLON] = ACTIONS(13508),
    [anon_sym_isa] = ACTIONS(13508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13508),
    [anon_sym_QMARK] = ACTIONS(13508),
    [anon_sym_AT] = ACTIONS(13508),
    [anon_sym_true] = ACTIONS(13508),
    [anon_sym_false] = ACTIONS(13508),
    [aux_sym_integer_literal_token1] = ACTIONS(13508),
    [aux_sym_integer_literal_token2] = ACTIONS(13508),
    [aux_sym_integer_literal_token3] = ACTIONS(13508),
    [aux_sym_integer_literal_token4] = ACTIONS(13508),
    [aux_sym_float_literal_token1] = ACTIONS(13508),
    [aux_sym_float_literal_token3] = ACTIONS(13508),
    [aux_sym_float_literal_token4] = ACTIONS(13508),
    [sym_character_literal] = ACTIONS(13508),
    [sym__pair_operator] = ACTIONS(13508),
    [sym__arrow_operator] = ACTIONS(13508),
    [sym__lazy_or_operator] = ACTIONS(13508),
    [sym__lazy_and_operator] = ACTIONS(13508),
    [sym__comparison_operator] = ACTIONS(13508),
    [sym__pipe_right_operator] = ACTIONS(13508),
    [sym__pipe_left_operator] = ACTIONS(13508),
    [sym__ellipsis_operator] = ACTIONS(13508),
    [sym__plus_operator] = ACTIONS(13508),
    [sym__times_operator] = ACTIONS(13508),
    [sym__rational_operator] = ACTIONS(13508),
    [sym__bitshift_operator] = ACTIONS(13508),
    [sym__power_operator] = ACTIONS(13508),
    [sym__tilde_operator] = ACTIONS(13508),
    [sym__type_order_operator] = ACTIONS(13508),
    [sym__unary_operator] = ACTIONS(13508),
    [sym__unary_plus_operator] = ACTIONS(13508),
    [aux_sym__terminator_token1] = ACTIONS(13508),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13510),
    [sym__command_start] = ACTIONS(13510),
  },
  [8481] = {
    [sym__word_identifier] = ACTIONS(13522),
    [anon_sym_EQ] = ACTIONS(13522),
    [anon_sym_COMMA] = ACTIONS(13522),
    [anon_sym_COLON] = ACTIONS(13522),
    [anon_sym_begin] = ACTIONS(13522),
    [anon_sym_module] = ACTIONS(13522),
    [anon_sym_baremodule] = ACTIONS(13522),
    [anon_sym_abstract] = ACTIONS(13522),
    [anon_sym_primitive] = ACTIONS(13522),
    [anon_sym_mutable] = ACTIONS(13522),
    [anon_sym_struct] = ACTIONS(13522),
    [anon_sym_function] = ACTIONS(13522),
    [anon_sym_macro] = ACTIONS(13522),
    [anon_sym_where] = ACTIONS(13522),
    [anon_sym_quote] = ACTIONS(13522),
    [anon_sym_let] = ACTIONS(13522),
    [anon_sym_if] = ACTIONS(13522),
    [anon_sym_try] = ACTIONS(13522),
    [anon_sym_catch] = ACTIONS(13522),
    [anon_sym_finally] = ACTIONS(13522),
    [anon_sym_for] = ACTIONS(13522),
    [anon_sym_while] = ACTIONS(13522),
    [sym_break_statement] = ACTIONS(13522),
    [sym_continue_statement] = ACTIONS(13522),
    [anon_sym_return] = ACTIONS(13522),
    [anon_sym_const] = ACTIONS(13522),
    [anon_sym_global] = ACTIONS(13522),
    [anon_sym_local] = ACTIONS(13522),
    [anon_sym_LPAREN] = ACTIONS(13522),
    [anon_sym_COLON2] = ACTIONS(13522),
    [anon_sym_export] = ACTIONS(13522),
    [anon_sym_import] = ACTIONS(13522),
    [anon_sym_using] = ACTIONS(13522),
    [anon_sym_LBRACK] = ACTIONS(13522),
    [anon_sym_LF] = ACTIONS(13524),
    [anon_sym_in] = ACTIONS(13522),
    [anon_sym_LBRACE] = ACTIONS(13522),
    [anon_sym_DOLLAR] = ACTIONS(13522),
    [anon_sym_COLON_COLON] = ACTIONS(13522),
    [anon_sym_isa] = ACTIONS(13522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13522),
    [anon_sym_QMARK] = ACTIONS(13522),
    [anon_sym_AT] = ACTIONS(13522),
    [anon_sym_true] = ACTIONS(13522),
    [anon_sym_false] = ACTIONS(13522),
    [aux_sym_integer_literal_token1] = ACTIONS(13522),
    [aux_sym_integer_literal_token2] = ACTIONS(13522),
    [aux_sym_integer_literal_token3] = ACTIONS(13522),
    [aux_sym_integer_literal_token4] = ACTIONS(13522),
    [aux_sym_float_literal_token1] = ACTIONS(13522),
    [aux_sym_float_literal_token3] = ACTIONS(13522),
    [aux_sym_float_literal_token4] = ACTIONS(13522),
    [sym_character_literal] = ACTIONS(13522),
    [sym__pair_operator] = ACTIONS(13522),
    [sym__arrow_operator] = ACTIONS(13522),
    [sym__lazy_or_operator] = ACTIONS(13522),
    [sym__lazy_and_operator] = ACTIONS(13522),
    [sym__comparison_operator] = ACTIONS(13522),
    [sym__pipe_right_operator] = ACTIONS(13522),
    [sym__pipe_left_operator] = ACTIONS(13522),
    [sym__ellipsis_operator] = ACTIONS(13522),
    [sym__plus_operator] = ACTIONS(13522),
    [sym__times_operator] = ACTIONS(13522),
    [sym__rational_operator] = ACTIONS(13522),
    [sym__bitshift_operator] = ACTIONS(13522),
    [sym__power_operator] = ACTIONS(13522),
    [sym__tilde_operator] = ACTIONS(13522),
    [sym__type_order_operator] = ACTIONS(13522),
    [sym__unary_operator] = ACTIONS(13522),
    [sym__unary_plus_operator] = ACTIONS(13522),
    [aux_sym__terminator_token1] = ACTIONS(13522),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13524),
    [sym__command_start] = ACTIONS(13524),
  },
  [8482] = {
    [sym__word_identifier] = ACTIONS(13540),
    [anon_sym_EQ] = ACTIONS(13540),
    [anon_sym_COMMA] = ACTIONS(13540),
    [anon_sym_COLON] = ACTIONS(13540),
    [anon_sym_begin] = ACTIONS(13540),
    [anon_sym_module] = ACTIONS(13540),
    [anon_sym_baremodule] = ACTIONS(13540),
    [anon_sym_abstract] = ACTIONS(13540),
    [anon_sym_primitive] = ACTIONS(13540),
    [anon_sym_mutable] = ACTIONS(13540),
    [anon_sym_struct] = ACTIONS(13540),
    [anon_sym_function] = ACTIONS(13540),
    [anon_sym_macro] = ACTIONS(13540),
    [anon_sym_where] = ACTIONS(13540),
    [anon_sym_quote] = ACTIONS(13540),
    [anon_sym_let] = ACTIONS(13540),
    [anon_sym_if] = ACTIONS(13540),
    [anon_sym_try] = ACTIONS(13540),
    [anon_sym_catch] = ACTIONS(13540),
    [anon_sym_finally] = ACTIONS(13540),
    [anon_sym_for] = ACTIONS(13540),
    [anon_sym_while] = ACTIONS(13540),
    [sym_break_statement] = ACTIONS(13540),
    [sym_continue_statement] = ACTIONS(13540),
    [anon_sym_return] = ACTIONS(13540),
    [anon_sym_const] = ACTIONS(13540),
    [anon_sym_global] = ACTIONS(13540),
    [anon_sym_local] = ACTIONS(13540),
    [anon_sym_LPAREN] = ACTIONS(13540),
    [anon_sym_COLON2] = ACTIONS(13540),
    [anon_sym_export] = ACTIONS(13540),
    [anon_sym_import] = ACTIONS(13540),
    [anon_sym_using] = ACTIONS(13540),
    [anon_sym_LBRACK] = ACTIONS(13540),
    [anon_sym_LF] = ACTIONS(13542),
    [anon_sym_in] = ACTIONS(13540),
    [anon_sym_LBRACE] = ACTIONS(13540),
    [anon_sym_DOLLAR] = ACTIONS(13540),
    [anon_sym_COLON_COLON] = ACTIONS(13540),
    [anon_sym_isa] = ACTIONS(13540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13540),
    [anon_sym_QMARK] = ACTIONS(13540),
    [anon_sym_AT] = ACTIONS(13540),
    [anon_sym_true] = ACTIONS(13540),
    [anon_sym_false] = ACTIONS(13540),
    [aux_sym_integer_literal_token1] = ACTIONS(13540),
    [aux_sym_integer_literal_token2] = ACTIONS(13540),
    [aux_sym_integer_literal_token3] = ACTIONS(13540),
    [aux_sym_integer_literal_token4] = ACTIONS(13540),
    [aux_sym_float_literal_token1] = ACTIONS(13540),
    [aux_sym_float_literal_token3] = ACTIONS(13540),
    [aux_sym_float_literal_token4] = ACTIONS(13540),
    [sym_character_literal] = ACTIONS(13540),
    [sym__pair_operator] = ACTIONS(13540),
    [sym__arrow_operator] = ACTIONS(13540),
    [sym__lazy_or_operator] = ACTIONS(13540),
    [sym__lazy_and_operator] = ACTIONS(13540),
    [sym__comparison_operator] = ACTIONS(13540),
    [sym__pipe_right_operator] = ACTIONS(13540),
    [sym__pipe_left_operator] = ACTIONS(13540),
    [sym__ellipsis_operator] = ACTIONS(13540),
    [sym__plus_operator] = ACTIONS(13540),
    [sym__times_operator] = ACTIONS(13540),
    [sym__rational_operator] = ACTIONS(13540),
    [sym__bitshift_operator] = ACTIONS(13540),
    [sym__power_operator] = ACTIONS(13540),
    [sym__tilde_operator] = ACTIONS(13540),
    [sym__type_order_operator] = ACTIONS(13540),
    [sym__unary_operator] = ACTIONS(13540),
    [sym__unary_plus_operator] = ACTIONS(13540),
    [aux_sym__terminator_token1] = ACTIONS(13540),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13542),
    [sym__command_start] = ACTIONS(13542),
  },
  [8483] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_elseif] = ACTIONS(13392),
    [anon_sym_else] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8484] = {
    [sym__word_identifier] = ACTIONS(13768),
    [anon_sym_EQ] = ACTIONS(13768),
    [anon_sym_COMMA] = ACTIONS(13768),
    [anon_sym_COLON] = ACTIONS(13768),
    [anon_sym_begin] = ACTIONS(13768),
    [anon_sym_module] = ACTIONS(13768),
    [anon_sym_baremodule] = ACTIONS(13768),
    [anon_sym_end] = ACTIONS(13768),
    [anon_sym_abstract] = ACTIONS(13768),
    [anon_sym_primitive] = ACTIONS(13768),
    [anon_sym_mutable] = ACTIONS(13768),
    [anon_sym_struct] = ACTIONS(13768),
    [anon_sym_function] = ACTIONS(13768),
    [anon_sym_macro] = ACTIONS(13768),
    [anon_sym_where] = ACTIONS(13768),
    [anon_sym_quote] = ACTIONS(13768),
    [anon_sym_let] = ACTIONS(13768),
    [anon_sym_if] = ACTIONS(13768),
    [anon_sym_try] = ACTIONS(13768),
    [anon_sym_finally] = ACTIONS(13768),
    [anon_sym_for] = ACTIONS(13768),
    [anon_sym_while] = ACTIONS(13768),
    [sym_break_statement] = ACTIONS(13768),
    [sym_continue_statement] = ACTIONS(13768),
    [anon_sym_return] = ACTIONS(13768),
    [anon_sym_const] = ACTIONS(13768),
    [anon_sym_global] = ACTIONS(13768),
    [anon_sym_local] = ACTIONS(13768),
    [anon_sym_LPAREN] = ACTIONS(13768),
    [anon_sym_COLON2] = ACTIONS(13768),
    [anon_sym_export] = ACTIONS(13768),
    [anon_sym_import] = ACTIONS(13768),
    [anon_sym_using] = ACTIONS(13768),
    [anon_sym_LBRACK] = ACTIONS(13768),
    [anon_sym_LF] = ACTIONS(13770),
    [anon_sym_in] = ACTIONS(13768),
    [anon_sym_LBRACE] = ACTIONS(13768),
    [anon_sym_DOLLAR] = ACTIONS(13768),
    [anon_sym_COLON_COLON] = ACTIONS(13768),
    [anon_sym_isa] = ACTIONS(13768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13768),
    [anon_sym_QMARK] = ACTIONS(13768),
    [anon_sym_AT] = ACTIONS(13768),
    [anon_sym_true] = ACTIONS(13768),
    [anon_sym_false] = ACTIONS(13768),
    [aux_sym_integer_literal_token1] = ACTIONS(13768),
    [aux_sym_integer_literal_token2] = ACTIONS(13768),
    [aux_sym_integer_literal_token3] = ACTIONS(13768),
    [aux_sym_integer_literal_token4] = ACTIONS(13768),
    [aux_sym_float_literal_token1] = ACTIONS(13768),
    [aux_sym_float_literal_token3] = ACTIONS(13768),
    [aux_sym_float_literal_token4] = ACTIONS(13768),
    [sym_character_literal] = ACTIONS(13768),
    [sym__pair_operator] = ACTIONS(13768),
    [sym__arrow_operator] = ACTIONS(13768),
    [sym__lazy_or_operator] = ACTIONS(13768),
    [sym__lazy_and_operator] = ACTIONS(13768),
    [sym__comparison_operator] = ACTIONS(13768),
    [sym__pipe_right_operator] = ACTIONS(13768),
    [sym__pipe_left_operator] = ACTIONS(13768),
    [sym__ellipsis_operator] = ACTIONS(13768),
    [sym__plus_operator] = ACTIONS(13768),
    [sym__times_operator] = ACTIONS(13768),
    [sym__rational_operator] = ACTIONS(13768),
    [sym__bitshift_operator] = ACTIONS(13768),
    [sym__power_operator] = ACTIONS(13768),
    [sym__tilde_operator] = ACTIONS(13768),
    [sym__type_order_operator] = ACTIONS(13768),
    [sym__unary_operator] = ACTIONS(13768),
    [sym__unary_plus_operator] = ACTIONS(13768),
    [aux_sym__terminator_token1] = ACTIONS(13768),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13770),
    [sym__command_start] = ACTIONS(13770),
  },
  [8485] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(11914),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8486] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14580),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14592),
    [sym__pipe_left_operator] = ACTIONS(14594),
    [sym__ellipsis_operator] = ACTIONS(14596),
    [sym__plus_operator] = ACTIONS(14598),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14598),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8487] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14580),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(14596),
    [sym__plus_operator] = ACTIONS(14598),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14598),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8488] = {
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13242),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_catch] = ACTIONS(13242),
    [anon_sym_finally] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13242),
    [anon_sym_isa] = ACTIONS(13242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13242),
    [anon_sym_QMARK] = ACTIONS(13242),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13242),
    [sym__lazy_or_operator] = ACTIONS(13242),
    [sym__lazy_and_operator] = ACTIONS(13242),
    [sym__comparison_operator] = ACTIONS(13242),
    [sym__pipe_right_operator] = ACTIONS(13242),
    [sym__pipe_left_operator] = ACTIONS(13242),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13242),
    [sym__times_operator] = ACTIONS(13242),
    [sym__rational_operator] = ACTIONS(13242),
    [sym__bitshift_operator] = ACTIONS(13242),
    [sym__power_operator] = ACTIONS(13242),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13242),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13242),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8489] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_catch] = ACTIONS(12950),
    [anon_sym_finally] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [8490] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14578),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14580),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14582),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(14582),
    [sym__pipe_right_operator] = ACTIONS(14592),
    [sym__pipe_left_operator] = ACTIONS(14594),
    [sym__ellipsis_operator] = ACTIONS(14596),
    [sym__plus_operator] = ACTIONS(14598),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14582),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14598),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8491] = {
    [sym__word_identifier] = ACTIONS(13698),
    [anon_sym_EQ] = ACTIONS(13698),
    [anon_sym_COMMA] = ACTIONS(13698),
    [anon_sym_COLON] = ACTIONS(13698),
    [anon_sym_begin] = ACTIONS(13698),
    [anon_sym_module] = ACTIONS(13698),
    [anon_sym_baremodule] = ACTIONS(13698),
    [anon_sym_abstract] = ACTIONS(13698),
    [anon_sym_primitive] = ACTIONS(13698),
    [anon_sym_mutable] = ACTIONS(13698),
    [anon_sym_struct] = ACTIONS(13698),
    [anon_sym_function] = ACTIONS(13698),
    [anon_sym_macro] = ACTIONS(13698),
    [anon_sym_where] = ACTIONS(13698),
    [anon_sym_quote] = ACTIONS(13698),
    [anon_sym_let] = ACTIONS(13698),
    [anon_sym_if] = ACTIONS(13698),
    [anon_sym_try] = ACTIONS(13698),
    [anon_sym_catch] = ACTIONS(13698),
    [anon_sym_finally] = ACTIONS(13698),
    [anon_sym_for] = ACTIONS(13698),
    [anon_sym_while] = ACTIONS(13698),
    [sym_break_statement] = ACTIONS(13698),
    [sym_continue_statement] = ACTIONS(13698),
    [anon_sym_return] = ACTIONS(13698),
    [anon_sym_const] = ACTIONS(13698),
    [anon_sym_global] = ACTIONS(13698),
    [anon_sym_local] = ACTIONS(13698),
    [anon_sym_LPAREN] = ACTIONS(13698),
    [anon_sym_COLON2] = ACTIONS(13698),
    [anon_sym_export] = ACTIONS(13698),
    [anon_sym_import] = ACTIONS(13698),
    [anon_sym_using] = ACTIONS(13698),
    [anon_sym_LBRACK] = ACTIONS(13698),
    [anon_sym_LF] = ACTIONS(13700),
    [anon_sym_in] = ACTIONS(13698),
    [anon_sym_LBRACE] = ACTIONS(13698),
    [anon_sym_DOLLAR] = ACTIONS(13698),
    [anon_sym_COLON_COLON] = ACTIONS(13698),
    [anon_sym_isa] = ACTIONS(13698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13698),
    [anon_sym_QMARK] = ACTIONS(13698),
    [anon_sym_AT] = ACTIONS(13698),
    [anon_sym_true] = ACTIONS(13698),
    [anon_sym_false] = ACTIONS(13698),
    [aux_sym_integer_literal_token1] = ACTIONS(13698),
    [aux_sym_integer_literal_token2] = ACTIONS(13698),
    [aux_sym_integer_literal_token3] = ACTIONS(13698),
    [aux_sym_integer_literal_token4] = ACTIONS(13698),
    [aux_sym_float_literal_token1] = ACTIONS(13698),
    [aux_sym_float_literal_token3] = ACTIONS(13698),
    [aux_sym_float_literal_token4] = ACTIONS(13698),
    [sym_character_literal] = ACTIONS(13698),
    [sym__pair_operator] = ACTIONS(13698),
    [sym__arrow_operator] = ACTIONS(13698),
    [sym__lazy_or_operator] = ACTIONS(13698),
    [sym__lazy_and_operator] = ACTIONS(13698),
    [sym__comparison_operator] = ACTIONS(13698),
    [sym__pipe_right_operator] = ACTIONS(13698),
    [sym__pipe_left_operator] = ACTIONS(13698),
    [sym__ellipsis_operator] = ACTIONS(13698),
    [sym__plus_operator] = ACTIONS(13698),
    [sym__times_operator] = ACTIONS(13698),
    [sym__rational_operator] = ACTIONS(13698),
    [sym__bitshift_operator] = ACTIONS(13698),
    [sym__power_operator] = ACTIONS(13698),
    [sym__tilde_operator] = ACTIONS(13698),
    [sym__type_order_operator] = ACTIONS(13698),
    [sym__unary_operator] = ACTIONS(13698),
    [sym__unary_plus_operator] = ACTIONS(13698),
    [aux_sym__terminator_token1] = ACTIONS(13698),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13700),
    [sym__command_start] = ACTIONS(13700),
  },
  [8492] = {
    [aux_sym_open_tuple_repeat1] = STATE(8108),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(14519),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13120),
    [anon_sym_RPAREN] = ACTIONS(13120),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13120),
    [anon_sym_RBRACK] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13120),
    [anon_sym_RBRACE] = ACTIONS(13120),
    [anon_sym_DOLLAR] = ACTIONS(13120),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14679),
    [anon_sym_AT] = ACTIONS(13120),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13120),
    [aux_sym_integer_literal_token2] = ACTIONS(13120),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13120),
    [aux_sym_float_literal_token3] = ACTIONS(13120),
    [aux_sym_float_literal_token4] = ACTIONS(13120),
    [sym_character_literal] = ACTIONS(13120),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13120),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8493] = {
    [sym__word_identifier] = ACTIONS(13736),
    [anon_sym_EQ] = ACTIONS(13736),
    [anon_sym_COMMA] = ACTIONS(13736),
    [anon_sym_COLON] = ACTIONS(13736),
    [anon_sym_begin] = ACTIONS(13736),
    [anon_sym_module] = ACTIONS(13736),
    [anon_sym_baremodule] = ACTIONS(13736),
    [anon_sym_abstract] = ACTIONS(13736),
    [anon_sym_primitive] = ACTIONS(13736),
    [anon_sym_mutable] = ACTIONS(13736),
    [anon_sym_struct] = ACTIONS(13736),
    [anon_sym_function] = ACTIONS(13736),
    [anon_sym_macro] = ACTIONS(13736),
    [anon_sym_where] = ACTIONS(13736),
    [anon_sym_quote] = ACTIONS(13736),
    [anon_sym_let] = ACTIONS(13736),
    [anon_sym_if] = ACTIONS(13736),
    [anon_sym_try] = ACTIONS(13736),
    [anon_sym_catch] = ACTIONS(13736),
    [anon_sym_finally] = ACTIONS(13736),
    [anon_sym_for] = ACTIONS(13736),
    [anon_sym_while] = ACTIONS(13736),
    [sym_break_statement] = ACTIONS(13736),
    [sym_continue_statement] = ACTIONS(13736),
    [anon_sym_return] = ACTIONS(13736),
    [anon_sym_const] = ACTIONS(13736),
    [anon_sym_global] = ACTIONS(13736),
    [anon_sym_local] = ACTIONS(13736),
    [anon_sym_LPAREN] = ACTIONS(13736),
    [anon_sym_COLON2] = ACTIONS(13736),
    [anon_sym_export] = ACTIONS(13736),
    [anon_sym_import] = ACTIONS(13736),
    [anon_sym_using] = ACTIONS(13736),
    [anon_sym_LBRACK] = ACTIONS(13736),
    [anon_sym_LF] = ACTIONS(13738),
    [anon_sym_in] = ACTIONS(13736),
    [anon_sym_LBRACE] = ACTIONS(13736),
    [anon_sym_DOLLAR] = ACTIONS(13736),
    [anon_sym_COLON_COLON] = ACTIONS(13736),
    [anon_sym_isa] = ACTIONS(13736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13736),
    [anon_sym_QMARK] = ACTIONS(13736),
    [anon_sym_AT] = ACTIONS(13736),
    [anon_sym_true] = ACTIONS(13736),
    [anon_sym_false] = ACTIONS(13736),
    [aux_sym_integer_literal_token1] = ACTIONS(13736),
    [aux_sym_integer_literal_token2] = ACTIONS(13736),
    [aux_sym_integer_literal_token3] = ACTIONS(13736),
    [aux_sym_integer_literal_token4] = ACTIONS(13736),
    [aux_sym_float_literal_token1] = ACTIONS(13736),
    [aux_sym_float_literal_token3] = ACTIONS(13736),
    [aux_sym_float_literal_token4] = ACTIONS(13736),
    [sym_character_literal] = ACTIONS(13736),
    [sym__pair_operator] = ACTIONS(13736),
    [sym__arrow_operator] = ACTIONS(13736),
    [sym__lazy_or_operator] = ACTIONS(13736),
    [sym__lazy_and_operator] = ACTIONS(13736),
    [sym__comparison_operator] = ACTIONS(13736),
    [sym__pipe_right_operator] = ACTIONS(13736),
    [sym__pipe_left_operator] = ACTIONS(13736),
    [sym__ellipsis_operator] = ACTIONS(13736),
    [sym__plus_operator] = ACTIONS(13736),
    [sym__times_operator] = ACTIONS(13736),
    [sym__rational_operator] = ACTIONS(13736),
    [sym__bitshift_operator] = ACTIONS(13736),
    [sym__power_operator] = ACTIONS(13736),
    [sym__tilde_operator] = ACTIONS(13736),
    [sym__type_order_operator] = ACTIONS(13736),
    [sym__unary_operator] = ACTIONS(13736),
    [sym__unary_plus_operator] = ACTIONS(13736),
    [aux_sym__terminator_token1] = ACTIONS(13736),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13738),
    [sym__command_start] = ACTIONS(13738),
  },
  [8494] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14578),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14580),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14582),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(14590),
    [sym__comparison_operator] = ACTIONS(14582),
    [sym__pipe_right_operator] = ACTIONS(14592),
    [sym__pipe_left_operator] = ACTIONS(14594),
    [sym__ellipsis_operator] = ACTIONS(14596),
    [sym__plus_operator] = ACTIONS(14598),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14582),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14598),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8495] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14578),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14580),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14582),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(14586),
    [sym__lazy_or_operator] = ACTIONS(14588),
    [sym__lazy_and_operator] = ACTIONS(14590),
    [sym__comparison_operator] = ACTIONS(14582),
    [sym__pipe_right_operator] = ACTIONS(14592),
    [sym__pipe_left_operator] = ACTIONS(14594),
    [sym__ellipsis_operator] = ACTIONS(14596),
    [sym__plus_operator] = ACTIONS(14598),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14582),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14598),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8496] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14578),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14580),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14582),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(14584),
    [sym__arrow_operator] = ACTIONS(14586),
    [sym__lazy_or_operator] = ACTIONS(14588),
    [sym__lazy_and_operator] = ACTIONS(14590),
    [sym__comparison_operator] = ACTIONS(14582),
    [sym__pipe_right_operator] = ACTIONS(14592),
    [sym__pipe_left_operator] = ACTIONS(14594),
    [sym__ellipsis_operator] = ACTIONS(14596),
    [sym__plus_operator] = ACTIONS(14598),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14582),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14598),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8497] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14580),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14592),
    [sym__pipe_left_operator] = ACTIONS(14594),
    [sym__ellipsis_operator] = ACTIONS(14596),
    [sym__plus_operator] = ACTIONS(14598),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14598),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8498] = {
    [sym__word_identifier] = ACTIONS(14043),
    [anon_sym_EQ] = ACTIONS(14043),
    [anon_sym_COMMA] = ACTIONS(14041),
    [anon_sym_COLON] = ACTIONS(14043),
    [anon_sym_begin] = ACTIONS(14043),
    [anon_sym_module] = ACTIONS(14043),
    [anon_sym_baremodule] = ACTIONS(14043),
    [anon_sym_abstract] = ACTIONS(14043),
    [anon_sym_primitive] = ACTIONS(14043),
    [anon_sym_mutable] = ACTIONS(14043),
    [anon_sym_struct] = ACTIONS(14043),
    [anon_sym_function] = ACTIONS(14043),
    [anon_sym_macro] = ACTIONS(14043),
    [anon_sym_where] = ACTIONS(14043),
    [anon_sym_quote] = ACTIONS(14043),
    [anon_sym_let] = ACTIONS(14043),
    [anon_sym_if] = ACTIONS(14043),
    [anon_sym_try] = ACTIONS(14043),
    [anon_sym_for] = ACTIONS(14043),
    [anon_sym_while] = ACTIONS(14043),
    [sym_break_statement] = ACTIONS(14043),
    [sym_continue_statement] = ACTIONS(14043),
    [anon_sym_return] = ACTIONS(14043),
    [anon_sym_const] = ACTIONS(14043),
    [anon_sym_global] = ACTIONS(14043),
    [anon_sym_local] = ACTIONS(14043),
    [anon_sym_LPAREN] = ACTIONS(14041),
    [anon_sym_RPAREN] = ACTIONS(14041),
    [anon_sym_COLON2] = ACTIONS(14043),
    [anon_sym_export] = ACTIONS(14043),
    [anon_sym_import] = ACTIONS(14043),
    [anon_sym_using] = ACTIONS(14043),
    [anon_sym_LBRACK] = ACTIONS(14041),
    [anon_sym_RBRACK] = ACTIONS(14041),
    [anon_sym_in] = ACTIONS(14043),
    [anon_sym_SEMI] = ACTIONS(14041),
    [anon_sym_LBRACE] = ACTIONS(14041),
    [anon_sym_RBRACE] = ACTIONS(14041),
    [anon_sym_DOLLAR] = ACTIONS(14041),
    [anon_sym_COLON_COLON] = ACTIONS(14041),
    [anon_sym_isa] = ACTIONS(14043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14041),
    [anon_sym_QMARK] = ACTIONS(14041),
    [anon_sym_AT] = ACTIONS(14041),
    [anon_sym_true] = ACTIONS(14043),
    [anon_sym_false] = ACTIONS(14043),
    [aux_sym_integer_literal_token1] = ACTIONS(14041),
    [aux_sym_integer_literal_token2] = ACTIONS(14041),
    [aux_sym_integer_literal_token3] = ACTIONS(14043),
    [aux_sym_integer_literal_token4] = ACTIONS(14043),
    [aux_sym_float_literal_token1] = ACTIONS(14041),
    [aux_sym_float_literal_token3] = ACTIONS(14041),
    [aux_sym_float_literal_token4] = ACTIONS(14041),
    [sym_character_literal] = ACTIONS(14041),
    [sym__pair_operator] = ACTIONS(14041),
    [sym__arrow_operator] = ACTIONS(14043),
    [sym__lazy_or_operator] = ACTIONS(14041),
    [sym__lazy_and_operator] = ACTIONS(14041),
    [sym__comparison_operator] = ACTIONS(14043),
    [sym__pipe_right_operator] = ACTIONS(14041),
    [sym__pipe_left_operator] = ACTIONS(14041),
    [sym__ellipsis_operator] = ACTIONS(14043),
    [sym__plus_operator] = ACTIONS(14043),
    [sym__times_operator] = ACTIONS(14043),
    [sym__rational_operator] = ACTIONS(14041),
    [sym__bitshift_operator] = ACTIONS(14041),
    [sym__power_operator] = ACTIONS(14041),
    [sym__tilde_operator] = ACTIONS(14041),
    [sym__type_order_operator] = ACTIONS(14041),
    [sym__unary_operator] = ACTIONS(14043),
    [sym__unary_plus_operator] = ACTIONS(14043),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14041),
    [sym__command_start] = ACTIONS(14041),
  },
  [8499] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_catch] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(14661),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8500] = {
    [ts_builtin_sym_end] = ACTIONS(13922),
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_RPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(14580),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_RBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(14582),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(14582),
    [sym__pipe_right_operator] = ACTIONS(14592),
    [sym__pipe_left_operator] = ACTIONS(14594),
    [sym__ellipsis_operator] = ACTIONS(14596),
    [sym__plus_operator] = ACTIONS(14598),
    [sym__times_operator] = ACTIONS(14600),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(14582),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14598),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [8501] = {
    [sym__word_identifier] = ACTIONS(13696),
    [anon_sym_EQ] = ACTIONS(13696),
    [anon_sym_COMMA] = ACTIONS(13694),
    [anon_sym_COLON] = ACTIONS(13696),
    [anon_sym_begin] = ACTIONS(13696),
    [anon_sym_module] = ACTIONS(13696),
    [anon_sym_baremodule] = ACTIONS(13696),
    [anon_sym_abstract] = ACTIONS(13696),
    [anon_sym_primitive] = ACTIONS(13696),
    [anon_sym_mutable] = ACTIONS(13696),
    [anon_sym_struct] = ACTIONS(13696),
    [anon_sym_function] = ACTIONS(13696),
    [anon_sym_macro] = ACTIONS(13696),
    [anon_sym_where] = ACTIONS(13696),
    [anon_sym_quote] = ACTIONS(13696),
    [anon_sym_let] = ACTIONS(13696),
    [anon_sym_if] = ACTIONS(13696),
    [anon_sym_try] = ACTIONS(13696),
    [anon_sym_for] = ACTIONS(13696),
    [anon_sym_while] = ACTIONS(13696),
    [sym_break_statement] = ACTIONS(13696),
    [sym_continue_statement] = ACTIONS(13696),
    [anon_sym_return] = ACTIONS(13696),
    [anon_sym_const] = ACTIONS(13696),
    [anon_sym_global] = ACTIONS(13696),
    [anon_sym_local] = ACTIONS(13696),
    [anon_sym_LPAREN] = ACTIONS(13694),
    [anon_sym_RPAREN] = ACTIONS(13694),
    [anon_sym_COLON2] = ACTIONS(13696),
    [anon_sym_export] = ACTIONS(13696),
    [anon_sym_import] = ACTIONS(13696),
    [anon_sym_using] = ACTIONS(13696),
    [anon_sym_LBRACK] = ACTIONS(13694),
    [anon_sym_RBRACK] = ACTIONS(13694),
    [anon_sym_in] = ACTIONS(13696),
    [anon_sym_SEMI] = ACTIONS(13694),
    [anon_sym_LBRACE] = ACTIONS(13694),
    [anon_sym_RBRACE] = ACTIONS(13694),
    [anon_sym_DOLLAR] = ACTIONS(13694),
    [anon_sym_COLON_COLON] = ACTIONS(13694),
    [anon_sym_isa] = ACTIONS(13696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13694),
    [anon_sym_QMARK] = ACTIONS(13694),
    [anon_sym_AT] = ACTIONS(13694),
    [anon_sym_true] = ACTIONS(13696),
    [anon_sym_false] = ACTIONS(13696),
    [aux_sym_integer_literal_token1] = ACTIONS(13694),
    [aux_sym_integer_literal_token2] = ACTIONS(13694),
    [aux_sym_integer_literal_token3] = ACTIONS(13696),
    [aux_sym_integer_literal_token4] = ACTIONS(13696),
    [aux_sym_float_literal_token1] = ACTIONS(13694),
    [aux_sym_float_literal_token3] = ACTIONS(13694),
    [aux_sym_float_literal_token4] = ACTIONS(13694),
    [sym_character_literal] = ACTIONS(13694),
    [sym__pair_operator] = ACTIONS(13694),
    [sym__arrow_operator] = ACTIONS(13696),
    [sym__lazy_or_operator] = ACTIONS(13694),
    [sym__lazy_and_operator] = ACTIONS(13694),
    [sym__comparison_operator] = ACTIONS(13696),
    [sym__pipe_right_operator] = ACTIONS(13694),
    [sym__pipe_left_operator] = ACTIONS(13694),
    [sym__ellipsis_operator] = ACTIONS(13696),
    [sym__plus_operator] = ACTIONS(13696),
    [sym__times_operator] = ACTIONS(13696),
    [sym__rational_operator] = ACTIONS(13694),
    [sym__bitshift_operator] = ACTIONS(13694),
    [sym__power_operator] = ACTIONS(13694),
    [sym__tilde_operator] = ACTIONS(13694),
    [sym__type_order_operator] = ACTIONS(13694),
    [sym__unary_operator] = ACTIONS(13696),
    [sym__unary_plus_operator] = ACTIONS(13696),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13694),
    [sym__command_start] = ACTIONS(13694),
  },
  [8502] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8503] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8504] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14602),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8505] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(14604),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8506] = {
    [ts_builtin_sym_end] = ACTIONS(13396),
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14606),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8507] = {
    [sym__primary_expression] = STATE(11560),
    [sym__array] = STATE(11560),
    [sym_comprehension_expression] = STATE(11560),
    [sym_matrix_expression] = STATE(11560),
    [sym_vector_expression] = STATE(11560),
    [sym_parenthesized_expression] = STATE(11560),
    [sym_tuple_expression] = STATE(11560),
    [sym_curly_expression] = STATE(11560),
    [sym_adjoint_expression] = STATE(11560),
    [sym_field_expression] = STATE(11560),
    [sym_index_expression] = STATE(11560),
    [sym_parametrized_type_expression] = STATE(11560),
    [sym_call_expression] = STATE(11560),
    [sym_broadcast_call_expression] = STATE(11560),
    [sym__closed_macrocall_expression] = STATE(11560),
    [sym_interpolation_expression] = STATE(11560),
    [sym_quote_expression] = STATE(11560),
    [sym_macro_identifier] = STATE(17010),
    [sym_identifier] = STATE(11202),
    [sym_boolean_literal] = STATE(11560),
    [sym__string] = STATE(11560),
    [sym_string_literal] = STATE(11560),
    [sym_command_literal] = STATE(11560),
    [sym_prefixed_string_literal] = STATE(11560),
    [sym_prefixed_command_literal] = STATE(11560),
    [sym_operator] = STATE(18511),
    [sym__word_identifier] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(14707),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(14407),
    [anon_sym_RPAREN] = ACTIONS(171),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(14409),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(14411),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(14709),
    [anon_sym_COLON_COLON] = ACTIONS(171),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(171),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(14415),
    [anon_sym_true] = ACTIONS(14417),
    [anon_sym_false] = ACTIONS(14417),
    [sym_character_literal] = ACTIONS(14711),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11325),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(171),
    [sym__lazy_and_operator] = ACTIONS(171),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11325),
    [sym__pipe_left_operator] = ACTIONS(11325),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11325),
    [sym__type_order_operator] = ACTIONS(11325),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(14421),
    [sym__command_start] = ACTIONS(14423),
  },
  [8508] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_DASH_GT] = ACTIONS(12054),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8509] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8510] = {
    [sym__word_identifier] = ACTIONS(14270),
    [anon_sym_EQ] = ACTIONS(14270),
    [anon_sym_COMMA] = ACTIONS(14270),
    [anon_sym_COLON] = ACTIONS(14270),
    [anon_sym_begin] = ACTIONS(14270),
    [anon_sym_module] = ACTIONS(14270),
    [anon_sym_baremodule] = ACTIONS(14270),
    [anon_sym_end] = ACTIONS(14270),
    [anon_sym_abstract] = ACTIONS(14270),
    [anon_sym_primitive] = ACTIONS(14270),
    [anon_sym_mutable] = ACTIONS(14270),
    [anon_sym_struct] = ACTIONS(14270),
    [anon_sym_function] = ACTIONS(14270),
    [anon_sym_macro] = ACTIONS(14270),
    [anon_sym_where] = ACTIONS(14270),
    [anon_sym_quote] = ACTIONS(14270),
    [anon_sym_let] = ACTIONS(14270),
    [anon_sym_if] = ACTIONS(14270),
    [anon_sym_try] = ACTIONS(14270),
    [anon_sym_catch] = ACTIONS(14270),
    [anon_sym_for] = ACTIONS(14270),
    [anon_sym_while] = ACTIONS(14270),
    [sym_break_statement] = ACTIONS(14270),
    [sym_continue_statement] = ACTIONS(14270),
    [anon_sym_return] = ACTIONS(14270),
    [anon_sym_const] = ACTIONS(14270),
    [anon_sym_global] = ACTIONS(14270),
    [anon_sym_local] = ACTIONS(14270),
    [anon_sym_LPAREN] = ACTIONS(14270),
    [anon_sym_COLON2] = ACTIONS(14270),
    [anon_sym_export] = ACTIONS(14270),
    [anon_sym_import] = ACTIONS(14270),
    [anon_sym_using] = ACTIONS(14270),
    [anon_sym_LBRACK] = ACTIONS(14270),
    [anon_sym_LF] = ACTIONS(14268),
    [anon_sym_in] = ACTIONS(14270),
    [anon_sym_LBRACE] = ACTIONS(14270),
    [anon_sym_DOLLAR] = ACTIONS(14270),
    [anon_sym_COLON_COLON] = ACTIONS(14270),
    [anon_sym_isa] = ACTIONS(14270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14270),
    [anon_sym_QMARK] = ACTIONS(14270),
    [anon_sym_AT] = ACTIONS(14270),
    [anon_sym_true] = ACTIONS(14270),
    [anon_sym_false] = ACTIONS(14270),
    [aux_sym_integer_literal_token1] = ACTIONS(14270),
    [aux_sym_integer_literal_token2] = ACTIONS(14270),
    [aux_sym_integer_literal_token3] = ACTIONS(14270),
    [aux_sym_integer_literal_token4] = ACTIONS(14270),
    [aux_sym_float_literal_token1] = ACTIONS(14270),
    [aux_sym_float_literal_token3] = ACTIONS(14270),
    [aux_sym_float_literal_token4] = ACTIONS(14270),
    [sym_character_literal] = ACTIONS(14270),
    [sym__pair_operator] = ACTIONS(14270),
    [sym__arrow_operator] = ACTIONS(14270),
    [sym__lazy_or_operator] = ACTIONS(14270),
    [sym__lazy_and_operator] = ACTIONS(14270),
    [sym__comparison_operator] = ACTIONS(14270),
    [sym__pipe_right_operator] = ACTIONS(14270),
    [sym__pipe_left_operator] = ACTIONS(14270),
    [sym__ellipsis_operator] = ACTIONS(14270),
    [sym__plus_operator] = ACTIONS(14270),
    [sym__times_operator] = ACTIONS(14270),
    [sym__rational_operator] = ACTIONS(14270),
    [sym__bitshift_operator] = ACTIONS(14270),
    [sym__power_operator] = ACTIONS(14270),
    [sym__tilde_operator] = ACTIONS(14270),
    [sym__type_order_operator] = ACTIONS(14270),
    [sym__unary_operator] = ACTIONS(14270),
    [sym__unary_plus_operator] = ACTIONS(14270),
    [aux_sym__terminator_token1] = ACTIONS(14270),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14268),
    [sym__command_start] = ACTIONS(14268),
  },
  [8511] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(12552),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8512] = {
    [sym__word_identifier] = ACTIONS(13740),
    [anon_sym_EQ] = ACTIONS(13740),
    [anon_sym_COMMA] = ACTIONS(13740),
    [anon_sym_COLON] = ACTIONS(13740),
    [anon_sym_begin] = ACTIONS(13740),
    [anon_sym_module] = ACTIONS(13740),
    [anon_sym_baremodule] = ACTIONS(13740),
    [anon_sym_abstract] = ACTIONS(13740),
    [anon_sym_primitive] = ACTIONS(13740),
    [anon_sym_mutable] = ACTIONS(13740),
    [anon_sym_struct] = ACTIONS(13740),
    [anon_sym_function] = ACTIONS(13740),
    [anon_sym_macro] = ACTIONS(13740),
    [anon_sym_where] = ACTIONS(13740),
    [anon_sym_quote] = ACTIONS(13740),
    [anon_sym_let] = ACTIONS(13740),
    [anon_sym_if] = ACTIONS(13740),
    [anon_sym_try] = ACTIONS(13740),
    [anon_sym_catch] = ACTIONS(13740),
    [anon_sym_finally] = ACTIONS(13740),
    [anon_sym_for] = ACTIONS(13740),
    [anon_sym_while] = ACTIONS(13740),
    [sym_break_statement] = ACTIONS(13740),
    [sym_continue_statement] = ACTIONS(13740),
    [anon_sym_return] = ACTIONS(13740),
    [anon_sym_const] = ACTIONS(13740),
    [anon_sym_global] = ACTIONS(13740),
    [anon_sym_local] = ACTIONS(13740),
    [anon_sym_LPAREN] = ACTIONS(13740),
    [anon_sym_COLON2] = ACTIONS(13740),
    [anon_sym_export] = ACTIONS(13740),
    [anon_sym_import] = ACTIONS(13740),
    [anon_sym_using] = ACTIONS(13740),
    [anon_sym_LBRACK] = ACTIONS(13740),
    [anon_sym_LF] = ACTIONS(13742),
    [anon_sym_in] = ACTIONS(13740),
    [anon_sym_LBRACE] = ACTIONS(13740),
    [anon_sym_DOLLAR] = ACTIONS(13740),
    [anon_sym_COLON_COLON] = ACTIONS(13740),
    [anon_sym_isa] = ACTIONS(13740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13740),
    [anon_sym_QMARK] = ACTIONS(13740),
    [anon_sym_AT] = ACTIONS(13740),
    [anon_sym_true] = ACTIONS(13740),
    [anon_sym_false] = ACTIONS(13740),
    [aux_sym_integer_literal_token1] = ACTIONS(13740),
    [aux_sym_integer_literal_token2] = ACTIONS(13740),
    [aux_sym_integer_literal_token3] = ACTIONS(13740),
    [aux_sym_integer_literal_token4] = ACTIONS(13740),
    [aux_sym_float_literal_token1] = ACTIONS(13740),
    [aux_sym_float_literal_token3] = ACTIONS(13740),
    [aux_sym_float_literal_token4] = ACTIONS(13740),
    [sym_character_literal] = ACTIONS(13740),
    [sym__pair_operator] = ACTIONS(13740),
    [sym__arrow_operator] = ACTIONS(13740),
    [sym__lazy_or_operator] = ACTIONS(13740),
    [sym__lazy_and_operator] = ACTIONS(13740),
    [sym__comparison_operator] = ACTIONS(13740),
    [sym__pipe_right_operator] = ACTIONS(13740),
    [sym__pipe_left_operator] = ACTIONS(13740),
    [sym__ellipsis_operator] = ACTIONS(13740),
    [sym__plus_operator] = ACTIONS(13740),
    [sym__times_operator] = ACTIONS(13740),
    [sym__rational_operator] = ACTIONS(13740),
    [sym__bitshift_operator] = ACTIONS(13740),
    [sym__power_operator] = ACTIONS(13740),
    [sym__tilde_operator] = ACTIONS(13740),
    [sym__type_order_operator] = ACTIONS(13740),
    [sym__unary_operator] = ACTIONS(13740),
    [sym__unary_plus_operator] = ACTIONS(13740),
    [aux_sym__terminator_token1] = ACTIONS(13740),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13742),
    [sym__command_start] = ACTIONS(13742),
  },
  [8513] = {
    [sym__word_identifier] = ACTIONS(13748),
    [anon_sym_EQ] = ACTIONS(13748),
    [anon_sym_COMMA] = ACTIONS(13748),
    [anon_sym_COLON] = ACTIONS(13748),
    [anon_sym_begin] = ACTIONS(13748),
    [anon_sym_module] = ACTIONS(13748),
    [anon_sym_baremodule] = ACTIONS(13748),
    [anon_sym_abstract] = ACTIONS(13748),
    [anon_sym_primitive] = ACTIONS(13748),
    [anon_sym_mutable] = ACTIONS(13748),
    [anon_sym_struct] = ACTIONS(13748),
    [anon_sym_function] = ACTIONS(13748),
    [anon_sym_macro] = ACTIONS(13748),
    [anon_sym_where] = ACTIONS(13748),
    [anon_sym_quote] = ACTIONS(13748),
    [anon_sym_let] = ACTIONS(13748),
    [anon_sym_if] = ACTIONS(13748),
    [anon_sym_try] = ACTIONS(13748),
    [anon_sym_catch] = ACTIONS(13748),
    [anon_sym_finally] = ACTIONS(13748),
    [anon_sym_for] = ACTIONS(13748),
    [anon_sym_while] = ACTIONS(13748),
    [sym_break_statement] = ACTIONS(13748),
    [sym_continue_statement] = ACTIONS(13748),
    [anon_sym_return] = ACTIONS(13748),
    [anon_sym_const] = ACTIONS(13748),
    [anon_sym_global] = ACTIONS(13748),
    [anon_sym_local] = ACTIONS(13748),
    [anon_sym_LPAREN] = ACTIONS(13748),
    [anon_sym_COLON2] = ACTIONS(13748),
    [anon_sym_export] = ACTIONS(13748),
    [anon_sym_import] = ACTIONS(13748),
    [anon_sym_using] = ACTIONS(13748),
    [anon_sym_LBRACK] = ACTIONS(13748),
    [anon_sym_LF] = ACTIONS(13750),
    [anon_sym_in] = ACTIONS(13748),
    [anon_sym_LBRACE] = ACTIONS(13748),
    [anon_sym_DOLLAR] = ACTIONS(13748),
    [anon_sym_COLON_COLON] = ACTIONS(13748),
    [anon_sym_isa] = ACTIONS(13748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13748),
    [anon_sym_QMARK] = ACTIONS(13748),
    [anon_sym_AT] = ACTIONS(13748),
    [anon_sym_true] = ACTIONS(13748),
    [anon_sym_false] = ACTIONS(13748),
    [aux_sym_integer_literal_token1] = ACTIONS(13748),
    [aux_sym_integer_literal_token2] = ACTIONS(13748),
    [aux_sym_integer_literal_token3] = ACTIONS(13748),
    [aux_sym_integer_literal_token4] = ACTIONS(13748),
    [aux_sym_float_literal_token1] = ACTIONS(13748),
    [aux_sym_float_literal_token3] = ACTIONS(13748),
    [aux_sym_float_literal_token4] = ACTIONS(13748),
    [sym_character_literal] = ACTIONS(13748),
    [sym__pair_operator] = ACTIONS(13748),
    [sym__arrow_operator] = ACTIONS(13748),
    [sym__lazy_or_operator] = ACTIONS(13748),
    [sym__lazy_and_operator] = ACTIONS(13748),
    [sym__comparison_operator] = ACTIONS(13748),
    [sym__pipe_right_operator] = ACTIONS(13748),
    [sym__pipe_left_operator] = ACTIONS(13748),
    [sym__ellipsis_operator] = ACTIONS(13748),
    [sym__plus_operator] = ACTIONS(13748),
    [sym__times_operator] = ACTIONS(13748),
    [sym__rational_operator] = ACTIONS(13748),
    [sym__bitshift_operator] = ACTIONS(13748),
    [sym__power_operator] = ACTIONS(13748),
    [sym__tilde_operator] = ACTIONS(13748),
    [sym__type_order_operator] = ACTIONS(13748),
    [sym__unary_operator] = ACTIONS(13748),
    [sym__unary_plus_operator] = ACTIONS(13748),
    [aux_sym__terminator_token1] = ACTIONS(13748),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13750),
    [sym__command_start] = ACTIONS(13750),
  },
  [8514] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(14713),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8515] = {
    [sym__word_identifier] = ACTIONS(14246),
    [anon_sym_EQ] = ACTIONS(14246),
    [anon_sym_COMMA] = ACTIONS(14246),
    [anon_sym_COLON] = ACTIONS(14246),
    [anon_sym_begin] = ACTIONS(14246),
    [anon_sym_module] = ACTIONS(14246),
    [anon_sym_baremodule] = ACTIONS(14246),
    [anon_sym_end] = ACTIONS(14246),
    [anon_sym_abstract] = ACTIONS(14246),
    [anon_sym_primitive] = ACTIONS(14246),
    [anon_sym_mutable] = ACTIONS(14246),
    [anon_sym_struct] = ACTIONS(14246),
    [anon_sym_function] = ACTIONS(14246),
    [anon_sym_macro] = ACTIONS(14246),
    [anon_sym_where] = ACTIONS(14246),
    [anon_sym_quote] = ACTIONS(14246),
    [anon_sym_let] = ACTIONS(14246),
    [anon_sym_if] = ACTIONS(14246),
    [anon_sym_try] = ACTIONS(14246),
    [anon_sym_catch] = ACTIONS(14246),
    [anon_sym_for] = ACTIONS(14246),
    [anon_sym_while] = ACTIONS(14246),
    [sym_break_statement] = ACTIONS(14246),
    [sym_continue_statement] = ACTIONS(14246),
    [anon_sym_return] = ACTIONS(14246),
    [anon_sym_const] = ACTIONS(14246),
    [anon_sym_global] = ACTIONS(14246),
    [anon_sym_local] = ACTIONS(14246),
    [anon_sym_LPAREN] = ACTIONS(14246),
    [anon_sym_COLON2] = ACTIONS(14246),
    [anon_sym_export] = ACTIONS(14246),
    [anon_sym_import] = ACTIONS(14246),
    [anon_sym_using] = ACTIONS(14246),
    [anon_sym_LBRACK] = ACTIONS(14246),
    [anon_sym_LF] = ACTIONS(14244),
    [anon_sym_in] = ACTIONS(14246),
    [anon_sym_LBRACE] = ACTIONS(14246),
    [anon_sym_DOLLAR] = ACTIONS(14246),
    [anon_sym_COLON_COLON] = ACTIONS(14246),
    [anon_sym_isa] = ACTIONS(14246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14246),
    [anon_sym_QMARK] = ACTIONS(14246),
    [anon_sym_AT] = ACTIONS(14246),
    [anon_sym_true] = ACTIONS(14246),
    [anon_sym_false] = ACTIONS(14246),
    [aux_sym_integer_literal_token1] = ACTIONS(14246),
    [aux_sym_integer_literal_token2] = ACTIONS(14246),
    [aux_sym_integer_literal_token3] = ACTIONS(14246),
    [aux_sym_integer_literal_token4] = ACTIONS(14246),
    [aux_sym_float_literal_token1] = ACTIONS(14246),
    [aux_sym_float_literal_token3] = ACTIONS(14246),
    [aux_sym_float_literal_token4] = ACTIONS(14246),
    [sym_character_literal] = ACTIONS(14246),
    [sym__pair_operator] = ACTIONS(14246),
    [sym__arrow_operator] = ACTIONS(14246),
    [sym__lazy_or_operator] = ACTIONS(14246),
    [sym__lazy_and_operator] = ACTIONS(14246),
    [sym__comparison_operator] = ACTIONS(14246),
    [sym__pipe_right_operator] = ACTIONS(14246),
    [sym__pipe_left_operator] = ACTIONS(14246),
    [sym__ellipsis_operator] = ACTIONS(14246),
    [sym__plus_operator] = ACTIONS(14246),
    [sym__times_operator] = ACTIONS(14246),
    [sym__rational_operator] = ACTIONS(14246),
    [sym__bitshift_operator] = ACTIONS(14246),
    [sym__power_operator] = ACTIONS(14246),
    [sym__tilde_operator] = ACTIONS(14246),
    [sym__type_order_operator] = ACTIONS(14246),
    [sym__unary_operator] = ACTIONS(14246),
    [sym__unary_plus_operator] = ACTIONS(14246),
    [aux_sym__terminator_token1] = ACTIONS(14246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14244),
    [sym__command_start] = ACTIONS(14244),
  },
  [8516] = {
    [sym__word_identifier] = ACTIONS(13764),
    [anon_sym_EQ] = ACTIONS(13764),
    [anon_sym_COMMA] = ACTIONS(13764),
    [anon_sym_COLON] = ACTIONS(13764),
    [anon_sym_begin] = ACTIONS(13764),
    [anon_sym_module] = ACTIONS(13764),
    [anon_sym_baremodule] = ACTIONS(13764),
    [anon_sym_abstract] = ACTIONS(13764),
    [anon_sym_primitive] = ACTIONS(13764),
    [anon_sym_mutable] = ACTIONS(13764),
    [anon_sym_struct] = ACTIONS(13764),
    [anon_sym_function] = ACTIONS(13764),
    [anon_sym_macro] = ACTIONS(13764),
    [anon_sym_where] = ACTIONS(13764),
    [anon_sym_quote] = ACTIONS(13764),
    [anon_sym_let] = ACTIONS(13764),
    [anon_sym_if] = ACTIONS(13764),
    [anon_sym_try] = ACTIONS(13764),
    [anon_sym_catch] = ACTIONS(13764),
    [anon_sym_finally] = ACTIONS(13764),
    [anon_sym_for] = ACTIONS(13764),
    [anon_sym_while] = ACTIONS(13764),
    [sym_break_statement] = ACTIONS(13764),
    [sym_continue_statement] = ACTIONS(13764),
    [anon_sym_return] = ACTIONS(13764),
    [anon_sym_const] = ACTIONS(13764),
    [anon_sym_global] = ACTIONS(13764),
    [anon_sym_local] = ACTIONS(13764),
    [anon_sym_LPAREN] = ACTIONS(13764),
    [anon_sym_COLON2] = ACTIONS(13764),
    [anon_sym_export] = ACTIONS(13764),
    [anon_sym_import] = ACTIONS(13764),
    [anon_sym_using] = ACTIONS(13764),
    [anon_sym_LBRACK] = ACTIONS(13764),
    [anon_sym_LF] = ACTIONS(13766),
    [anon_sym_in] = ACTIONS(13764),
    [anon_sym_LBRACE] = ACTIONS(13764),
    [anon_sym_DOLLAR] = ACTIONS(13764),
    [anon_sym_COLON_COLON] = ACTIONS(13764),
    [anon_sym_isa] = ACTIONS(13764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13764),
    [anon_sym_QMARK] = ACTIONS(13764),
    [anon_sym_AT] = ACTIONS(13764),
    [anon_sym_true] = ACTIONS(13764),
    [anon_sym_false] = ACTIONS(13764),
    [aux_sym_integer_literal_token1] = ACTIONS(13764),
    [aux_sym_integer_literal_token2] = ACTIONS(13764),
    [aux_sym_integer_literal_token3] = ACTIONS(13764),
    [aux_sym_integer_literal_token4] = ACTIONS(13764),
    [aux_sym_float_literal_token1] = ACTIONS(13764),
    [aux_sym_float_literal_token3] = ACTIONS(13764),
    [aux_sym_float_literal_token4] = ACTIONS(13764),
    [sym_character_literal] = ACTIONS(13764),
    [sym__pair_operator] = ACTIONS(13764),
    [sym__arrow_operator] = ACTIONS(13764),
    [sym__lazy_or_operator] = ACTIONS(13764),
    [sym__lazy_and_operator] = ACTIONS(13764),
    [sym__comparison_operator] = ACTIONS(13764),
    [sym__pipe_right_operator] = ACTIONS(13764),
    [sym__pipe_left_operator] = ACTIONS(13764),
    [sym__ellipsis_operator] = ACTIONS(13764),
    [sym__plus_operator] = ACTIONS(13764),
    [sym__times_operator] = ACTIONS(13764),
    [sym__rational_operator] = ACTIONS(13764),
    [sym__bitshift_operator] = ACTIONS(13764),
    [sym__power_operator] = ACTIONS(13764),
    [sym__tilde_operator] = ACTIONS(13764),
    [sym__type_order_operator] = ACTIONS(13764),
    [sym__unary_operator] = ACTIONS(13764),
    [sym__unary_plus_operator] = ACTIONS(13764),
    [aux_sym__terminator_token1] = ACTIONS(13764),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13766),
    [sym__command_start] = ACTIONS(13766),
  },
  [8517] = {
    [aux_sym_open_tuple_repeat1] = STATE(8122),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(14523),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14635),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8518] = {
    [sym__word_identifier] = ACTIONS(14037),
    [anon_sym_EQ] = ACTIONS(14037),
    [anon_sym_COMMA] = ACTIONS(14035),
    [anon_sym_COLON] = ACTIONS(14037),
    [anon_sym_begin] = ACTIONS(14037),
    [anon_sym_module] = ACTIONS(14037),
    [anon_sym_baremodule] = ACTIONS(14037),
    [anon_sym_abstract] = ACTIONS(14037),
    [anon_sym_primitive] = ACTIONS(14037),
    [anon_sym_mutable] = ACTIONS(14037),
    [anon_sym_struct] = ACTIONS(14037),
    [anon_sym_function] = ACTIONS(14037),
    [anon_sym_macro] = ACTIONS(14037),
    [anon_sym_where] = ACTIONS(14037),
    [anon_sym_quote] = ACTIONS(14037),
    [anon_sym_let] = ACTIONS(14037),
    [anon_sym_if] = ACTIONS(14037),
    [anon_sym_try] = ACTIONS(14037),
    [anon_sym_for] = ACTIONS(14037),
    [anon_sym_while] = ACTIONS(14037),
    [sym_break_statement] = ACTIONS(14037),
    [sym_continue_statement] = ACTIONS(14037),
    [anon_sym_return] = ACTIONS(14037),
    [anon_sym_const] = ACTIONS(14037),
    [anon_sym_global] = ACTIONS(14037),
    [anon_sym_local] = ACTIONS(14037),
    [anon_sym_LPAREN] = ACTIONS(14035),
    [anon_sym_RPAREN] = ACTIONS(14035),
    [anon_sym_COLON2] = ACTIONS(14037),
    [anon_sym_export] = ACTIONS(14037),
    [anon_sym_import] = ACTIONS(14037),
    [anon_sym_using] = ACTIONS(14037),
    [anon_sym_LBRACK] = ACTIONS(14035),
    [anon_sym_RBRACK] = ACTIONS(14035),
    [anon_sym_in] = ACTIONS(14037),
    [anon_sym_SEMI] = ACTIONS(14035),
    [anon_sym_LBRACE] = ACTIONS(14035),
    [anon_sym_RBRACE] = ACTIONS(14035),
    [anon_sym_DOLLAR] = ACTIONS(14035),
    [anon_sym_COLON_COLON] = ACTIONS(14035),
    [anon_sym_isa] = ACTIONS(14037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14035),
    [anon_sym_QMARK] = ACTIONS(14035),
    [anon_sym_AT] = ACTIONS(14035),
    [anon_sym_true] = ACTIONS(14037),
    [anon_sym_false] = ACTIONS(14037),
    [aux_sym_integer_literal_token1] = ACTIONS(14035),
    [aux_sym_integer_literal_token2] = ACTIONS(14035),
    [aux_sym_integer_literal_token3] = ACTIONS(14037),
    [aux_sym_integer_literal_token4] = ACTIONS(14037),
    [aux_sym_float_literal_token1] = ACTIONS(14035),
    [aux_sym_float_literal_token3] = ACTIONS(14035),
    [aux_sym_float_literal_token4] = ACTIONS(14035),
    [sym_character_literal] = ACTIONS(14035),
    [sym__pair_operator] = ACTIONS(14035),
    [sym__arrow_operator] = ACTIONS(14037),
    [sym__lazy_or_operator] = ACTIONS(14035),
    [sym__lazy_and_operator] = ACTIONS(14035),
    [sym__comparison_operator] = ACTIONS(14037),
    [sym__pipe_right_operator] = ACTIONS(14035),
    [sym__pipe_left_operator] = ACTIONS(14035),
    [sym__ellipsis_operator] = ACTIONS(14037),
    [sym__plus_operator] = ACTIONS(14037),
    [sym__times_operator] = ACTIONS(14037),
    [sym__rational_operator] = ACTIONS(14035),
    [sym__bitshift_operator] = ACTIONS(14035),
    [sym__power_operator] = ACTIONS(14035),
    [sym__tilde_operator] = ACTIONS(14035),
    [sym__type_order_operator] = ACTIONS(14035),
    [sym__unary_operator] = ACTIONS(14037),
    [sym__unary_plus_operator] = ACTIONS(14037),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14035),
    [sym__command_start] = ACTIONS(14035),
  },
  [8519] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12728),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_DASH_GT] = ACTIONS(12080),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8520] = {
    [sym__word_identifier] = ACTIONS(13606),
    [anon_sym_EQ] = ACTIONS(13606),
    [anon_sym_COMMA] = ACTIONS(13604),
    [anon_sym_COLON] = ACTIONS(13606),
    [anon_sym_begin] = ACTIONS(13606),
    [anon_sym_module] = ACTIONS(13606),
    [anon_sym_baremodule] = ACTIONS(13606),
    [anon_sym_abstract] = ACTIONS(13606),
    [anon_sym_primitive] = ACTIONS(13606),
    [anon_sym_mutable] = ACTIONS(13606),
    [anon_sym_struct] = ACTIONS(13606),
    [anon_sym_function] = ACTIONS(13606),
    [anon_sym_macro] = ACTIONS(13606),
    [anon_sym_where] = ACTIONS(13606),
    [anon_sym_quote] = ACTIONS(13606),
    [anon_sym_let] = ACTIONS(13606),
    [anon_sym_if] = ACTIONS(13606),
    [anon_sym_try] = ACTIONS(13606),
    [anon_sym_for] = ACTIONS(13606),
    [anon_sym_while] = ACTIONS(13606),
    [sym_break_statement] = ACTIONS(13606),
    [sym_continue_statement] = ACTIONS(13606),
    [anon_sym_return] = ACTIONS(13606),
    [anon_sym_const] = ACTIONS(13606),
    [anon_sym_global] = ACTIONS(13606),
    [anon_sym_local] = ACTIONS(13606),
    [anon_sym_LPAREN] = ACTIONS(13604),
    [anon_sym_RPAREN] = ACTIONS(13604),
    [anon_sym_COLON2] = ACTIONS(13606),
    [anon_sym_export] = ACTIONS(13606),
    [anon_sym_import] = ACTIONS(13606),
    [anon_sym_using] = ACTIONS(13606),
    [anon_sym_LBRACK] = ACTIONS(13604),
    [anon_sym_RBRACK] = ACTIONS(13604),
    [anon_sym_in] = ACTIONS(13606),
    [anon_sym_SEMI] = ACTIONS(13604),
    [anon_sym_LBRACE] = ACTIONS(13604),
    [anon_sym_RBRACE] = ACTIONS(13604),
    [anon_sym_DOLLAR] = ACTIONS(13604),
    [anon_sym_COLON_COLON] = ACTIONS(13604),
    [anon_sym_isa] = ACTIONS(13606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13604),
    [anon_sym_QMARK] = ACTIONS(13604),
    [anon_sym_AT] = ACTIONS(13604),
    [anon_sym_true] = ACTIONS(13606),
    [anon_sym_false] = ACTIONS(13606),
    [aux_sym_integer_literal_token1] = ACTIONS(13604),
    [aux_sym_integer_literal_token2] = ACTIONS(13604),
    [aux_sym_integer_literal_token3] = ACTIONS(13606),
    [aux_sym_integer_literal_token4] = ACTIONS(13606),
    [aux_sym_float_literal_token1] = ACTIONS(13604),
    [aux_sym_float_literal_token3] = ACTIONS(13604),
    [aux_sym_float_literal_token4] = ACTIONS(13604),
    [sym_character_literal] = ACTIONS(13604),
    [sym__pair_operator] = ACTIONS(13604),
    [sym__arrow_operator] = ACTIONS(13606),
    [sym__lazy_or_operator] = ACTIONS(13604),
    [sym__lazy_and_operator] = ACTIONS(13604),
    [sym__comparison_operator] = ACTIONS(13606),
    [sym__pipe_right_operator] = ACTIONS(13604),
    [sym__pipe_left_operator] = ACTIONS(13604),
    [sym__ellipsis_operator] = ACTIONS(13606),
    [sym__plus_operator] = ACTIONS(13606),
    [sym__times_operator] = ACTIONS(13606),
    [sym__rational_operator] = ACTIONS(13604),
    [sym__bitshift_operator] = ACTIONS(13604),
    [sym__power_operator] = ACTIONS(13604),
    [sym__tilde_operator] = ACTIONS(13604),
    [sym__type_order_operator] = ACTIONS(13604),
    [sym__unary_operator] = ACTIONS(13606),
    [sym__unary_plus_operator] = ACTIONS(13606),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13604),
    [sym__command_start] = ACTIONS(13604),
  },
  [8521] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12100),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8522] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_EQ] = ACTIONS(11884),
    [anon_sym_COMMA] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_COLON2] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_in] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_isa] = ACTIONS(11884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11884),
    [anon_sym_QMARK] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__lazy_or_operator] = ACTIONS(11884),
    [sym__lazy_and_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [8523] = {
    [aux_sym_open_tuple_repeat1] = STATE(7595),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13432),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(14620),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8524] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8525] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8526] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8527] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [8528] = {
    [aux_sym_open_tuple_repeat1] = STATE(8122),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(14523),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14635),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8529] = {
    [sym__word_identifier] = ACTIONS(13504),
    [anon_sym_EQ] = ACTIONS(13504),
    [anon_sym_COMMA] = ACTIONS(13502),
    [anon_sym_COLON] = ACTIONS(13504),
    [anon_sym_begin] = ACTIONS(13504),
    [anon_sym_module] = ACTIONS(13504),
    [anon_sym_baremodule] = ACTIONS(13504),
    [anon_sym_abstract] = ACTIONS(13504),
    [anon_sym_primitive] = ACTIONS(13504),
    [anon_sym_mutable] = ACTIONS(13504),
    [anon_sym_struct] = ACTIONS(13504),
    [anon_sym_function] = ACTIONS(13504),
    [anon_sym_macro] = ACTIONS(13504),
    [anon_sym_where] = ACTIONS(13504),
    [anon_sym_quote] = ACTIONS(13504),
    [anon_sym_let] = ACTIONS(13504),
    [anon_sym_if] = ACTIONS(13504),
    [anon_sym_try] = ACTIONS(13504),
    [anon_sym_for] = ACTIONS(13504),
    [anon_sym_while] = ACTIONS(13504),
    [sym_break_statement] = ACTIONS(13504),
    [sym_continue_statement] = ACTIONS(13504),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_const] = ACTIONS(13504),
    [anon_sym_global] = ACTIONS(13504),
    [anon_sym_local] = ACTIONS(13504),
    [anon_sym_LPAREN] = ACTIONS(13502),
    [anon_sym_RPAREN] = ACTIONS(13502),
    [anon_sym_COLON2] = ACTIONS(13504),
    [anon_sym_export] = ACTIONS(13504),
    [anon_sym_import] = ACTIONS(13504),
    [anon_sym_using] = ACTIONS(13504),
    [anon_sym_LBRACK] = ACTIONS(13502),
    [anon_sym_RBRACK] = ACTIONS(13502),
    [anon_sym_in] = ACTIONS(13504),
    [anon_sym_SEMI] = ACTIONS(13502),
    [anon_sym_LBRACE] = ACTIONS(13502),
    [anon_sym_RBRACE] = ACTIONS(13502),
    [anon_sym_DOLLAR] = ACTIONS(13502),
    [anon_sym_COLON_COLON] = ACTIONS(13502),
    [anon_sym_isa] = ACTIONS(13504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13502),
    [anon_sym_QMARK] = ACTIONS(13502),
    [anon_sym_AT] = ACTIONS(13502),
    [anon_sym_true] = ACTIONS(13504),
    [anon_sym_false] = ACTIONS(13504),
    [aux_sym_integer_literal_token1] = ACTIONS(13502),
    [aux_sym_integer_literal_token2] = ACTIONS(13502),
    [aux_sym_integer_literal_token3] = ACTIONS(13504),
    [aux_sym_integer_literal_token4] = ACTIONS(13504),
    [aux_sym_float_literal_token1] = ACTIONS(13502),
    [aux_sym_float_literal_token3] = ACTIONS(13502),
    [aux_sym_float_literal_token4] = ACTIONS(13502),
    [sym_character_literal] = ACTIONS(13502),
    [sym__pair_operator] = ACTIONS(13502),
    [sym__arrow_operator] = ACTIONS(13504),
    [sym__lazy_or_operator] = ACTIONS(13502),
    [sym__lazy_and_operator] = ACTIONS(13502),
    [sym__comparison_operator] = ACTIONS(13504),
    [sym__pipe_right_operator] = ACTIONS(13502),
    [sym__pipe_left_operator] = ACTIONS(13502),
    [sym__ellipsis_operator] = ACTIONS(13504),
    [sym__plus_operator] = ACTIONS(13504),
    [sym__times_operator] = ACTIONS(13504),
    [sym__rational_operator] = ACTIONS(13502),
    [sym__bitshift_operator] = ACTIONS(13502),
    [sym__power_operator] = ACTIONS(13502),
    [sym__tilde_operator] = ACTIONS(13502),
    [sym__type_order_operator] = ACTIONS(13502),
    [sym__unary_operator] = ACTIONS(13504),
    [sym__unary_plus_operator] = ACTIONS(13504),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13502),
    [sym__command_start] = ACTIONS(13502),
  },
  [8530] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8531] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(12318),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_COLON2] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_in] = ACTIONS(12318),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_isa] = ACTIONS(12318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12318),
    [anon_sym_QMARK] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__lazy_or_operator] = ACTIONS(12318),
    [sym__lazy_and_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [8532] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8533] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(13890),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [8534] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12710),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12718),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8535] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8536] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8537] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8538] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13357),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8539] = {
    [sym__word_identifier] = ACTIONS(13993),
    [anon_sym_EQ] = ACTIONS(13993),
    [anon_sym_COMMA] = ACTIONS(13991),
    [anon_sym_COLON] = ACTIONS(13993),
    [anon_sym_begin] = ACTIONS(13993),
    [anon_sym_module] = ACTIONS(13993),
    [anon_sym_baremodule] = ACTIONS(13993),
    [anon_sym_abstract] = ACTIONS(13993),
    [anon_sym_primitive] = ACTIONS(13993),
    [anon_sym_mutable] = ACTIONS(13993),
    [anon_sym_struct] = ACTIONS(13993),
    [anon_sym_function] = ACTIONS(13993),
    [anon_sym_macro] = ACTIONS(13993),
    [anon_sym_where] = ACTIONS(13993),
    [anon_sym_quote] = ACTIONS(13993),
    [anon_sym_let] = ACTIONS(13993),
    [anon_sym_if] = ACTIONS(13993),
    [anon_sym_try] = ACTIONS(13993),
    [anon_sym_for] = ACTIONS(13993),
    [anon_sym_while] = ACTIONS(13993),
    [sym_break_statement] = ACTIONS(13993),
    [sym_continue_statement] = ACTIONS(13993),
    [anon_sym_return] = ACTIONS(13993),
    [anon_sym_const] = ACTIONS(13993),
    [anon_sym_global] = ACTIONS(13993),
    [anon_sym_local] = ACTIONS(13993),
    [anon_sym_LPAREN] = ACTIONS(13991),
    [anon_sym_RPAREN] = ACTIONS(13991),
    [anon_sym_COLON2] = ACTIONS(13993),
    [anon_sym_export] = ACTIONS(13993),
    [anon_sym_import] = ACTIONS(13993),
    [anon_sym_using] = ACTIONS(13993),
    [anon_sym_LBRACK] = ACTIONS(13991),
    [anon_sym_RBRACK] = ACTIONS(13991),
    [anon_sym_in] = ACTIONS(13993),
    [anon_sym_SEMI] = ACTIONS(13991),
    [anon_sym_LBRACE] = ACTIONS(13991),
    [anon_sym_RBRACE] = ACTIONS(13991),
    [anon_sym_DOLLAR] = ACTIONS(13991),
    [anon_sym_COLON_COLON] = ACTIONS(13991),
    [anon_sym_isa] = ACTIONS(13993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13991),
    [anon_sym_QMARK] = ACTIONS(13991),
    [anon_sym_AT] = ACTIONS(13991),
    [anon_sym_true] = ACTIONS(13993),
    [anon_sym_false] = ACTIONS(13993),
    [aux_sym_integer_literal_token1] = ACTIONS(13991),
    [aux_sym_integer_literal_token2] = ACTIONS(13991),
    [aux_sym_integer_literal_token3] = ACTIONS(13993),
    [aux_sym_integer_literal_token4] = ACTIONS(13993),
    [aux_sym_float_literal_token1] = ACTIONS(13991),
    [aux_sym_float_literal_token3] = ACTIONS(13991),
    [aux_sym_float_literal_token4] = ACTIONS(13991),
    [sym_character_literal] = ACTIONS(13991),
    [sym__pair_operator] = ACTIONS(13991),
    [sym__arrow_operator] = ACTIONS(13993),
    [sym__lazy_or_operator] = ACTIONS(13991),
    [sym__lazy_and_operator] = ACTIONS(13991),
    [sym__comparison_operator] = ACTIONS(13993),
    [sym__pipe_right_operator] = ACTIONS(13991),
    [sym__pipe_left_operator] = ACTIONS(13991),
    [sym__ellipsis_operator] = ACTIONS(13993),
    [sym__plus_operator] = ACTIONS(13993),
    [sym__times_operator] = ACTIONS(13993),
    [sym__rational_operator] = ACTIONS(13991),
    [sym__bitshift_operator] = ACTIONS(13991),
    [sym__power_operator] = ACTIONS(13991),
    [sym__tilde_operator] = ACTIONS(13991),
    [sym__type_order_operator] = ACTIONS(13991),
    [sym__unary_operator] = ACTIONS(13993),
    [sym__unary_plus_operator] = ACTIONS(13993),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13991),
    [sym__command_start] = ACTIONS(13991),
  },
  [8540] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14527),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14529),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14531),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(14531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(14539),
    [sym__comparison_operator] = ACTIONS(14531),
    [sym__pipe_right_operator] = ACTIONS(14541),
    [sym__pipe_left_operator] = ACTIONS(14543),
    [sym__ellipsis_operator] = ACTIONS(14545),
    [sym__plus_operator] = ACTIONS(14547),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14531),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14547),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8541] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8542] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_EQ] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_catch] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [8543] = {
    [aux_sym__import_list_repeat1] = STATE(8321),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(14003),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_end] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [aux_sym__terminator_token1] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [8544] = {
    [sym__word_identifier] = ACTIONS(13768),
    [anon_sym_EQ] = ACTIONS(13768),
    [anon_sym_COMMA] = ACTIONS(13768),
    [anon_sym_COLON] = ACTIONS(13768),
    [anon_sym_begin] = ACTIONS(13768),
    [anon_sym_module] = ACTIONS(13768),
    [anon_sym_baremodule] = ACTIONS(13768),
    [anon_sym_abstract] = ACTIONS(13768),
    [anon_sym_primitive] = ACTIONS(13768),
    [anon_sym_mutable] = ACTIONS(13768),
    [anon_sym_struct] = ACTIONS(13768),
    [anon_sym_function] = ACTIONS(13768),
    [anon_sym_macro] = ACTIONS(13768),
    [anon_sym_where] = ACTIONS(13768),
    [anon_sym_quote] = ACTIONS(13768),
    [anon_sym_let] = ACTIONS(13768),
    [anon_sym_if] = ACTIONS(13768),
    [anon_sym_try] = ACTIONS(13768),
    [anon_sym_catch] = ACTIONS(13768),
    [anon_sym_finally] = ACTIONS(13768),
    [anon_sym_for] = ACTIONS(13768),
    [anon_sym_while] = ACTIONS(13768),
    [sym_break_statement] = ACTIONS(13768),
    [sym_continue_statement] = ACTIONS(13768),
    [anon_sym_return] = ACTIONS(13768),
    [anon_sym_const] = ACTIONS(13768),
    [anon_sym_global] = ACTIONS(13768),
    [anon_sym_local] = ACTIONS(13768),
    [anon_sym_LPAREN] = ACTIONS(13768),
    [anon_sym_COLON2] = ACTIONS(13768),
    [anon_sym_export] = ACTIONS(13768),
    [anon_sym_import] = ACTIONS(13768),
    [anon_sym_using] = ACTIONS(13768),
    [anon_sym_LBRACK] = ACTIONS(13768),
    [anon_sym_LF] = ACTIONS(13770),
    [anon_sym_in] = ACTIONS(13768),
    [anon_sym_LBRACE] = ACTIONS(13768),
    [anon_sym_DOLLAR] = ACTIONS(13768),
    [anon_sym_COLON_COLON] = ACTIONS(13768),
    [anon_sym_isa] = ACTIONS(13768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13768),
    [anon_sym_QMARK] = ACTIONS(13768),
    [anon_sym_AT] = ACTIONS(13768),
    [anon_sym_true] = ACTIONS(13768),
    [anon_sym_false] = ACTIONS(13768),
    [aux_sym_integer_literal_token1] = ACTIONS(13768),
    [aux_sym_integer_literal_token2] = ACTIONS(13768),
    [aux_sym_integer_literal_token3] = ACTIONS(13768),
    [aux_sym_integer_literal_token4] = ACTIONS(13768),
    [aux_sym_float_literal_token1] = ACTIONS(13768),
    [aux_sym_float_literal_token3] = ACTIONS(13768),
    [aux_sym_float_literal_token4] = ACTIONS(13768),
    [sym_character_literal] = ACTIONS(13768),
    [sym__pair_operator] = ACTIONS(13768),
    [sym__arrow_operator] = ACTIONS(13768),
    [sym__lazy_or_operator] = ACTIONS(13768),
    [sym__lazy_and_operator] = ACTIONS(13768),
    [sym__comparison_operator] = ACTIONS(13768),
    [sym__pipe_right_operator] = ACTIONS(13768),
    [sym__pipe_left_operator] = ACTIONS(13768),
    [sym__ellipsis_operator] = ACTIONS(13768),
    [sym__plus_operator] = ACTIONS(13768),
    [sym__times_operator] = ACTIONS(13768),
    [sym__rational_operator] = ACTIONS(13768),
    [sym__bitshift_operator] = ACTIONS(13768),
    [sym__power_operator] = ACTIONS(13768),
    [sym__tilde_operator] = ACTIONS(13768),
    [sym__type_order_operator] = ACTIONS(13768),
    [sym__unary_operator] = ACTIONS(13768),
    [sym__unary_plus_operator] = ACTIONS(13768),
    [aux_sym__terminator_token1] = ACTIONS(13768),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13770),
    [sym__command_start] = ACTIONS(13770),
  },
  [8545] = {
    [sym__word_identifier] = ACTIONS(13772),
    [anon_sym_EQ] = ACTIONS(13772),
    [anon_sym_COMMA] = ACTIONS(13772),
    [anon_sym_COLON] = ACTIONS(13772),
    [anon_sym_begin] = ACTIONS(13772),
    [anon_sym_module] = ACTIONS(13772),
    [anon_sym_baremodule] = ACTIONS(13772),
    [anon_sym_abstract] = ACTIONS(13772),
    [anon_sym_primitive] = ACTIONS(13772),
    [anon_sym_mutable] = ACTIONS(13772),
    [anon_sym_struct] = ACTIONS(13772),
    [anon_sym_function] = ACTIONS(13772),
    [anon_sym_macro] = ACTIONS(13772),
    [anon_sym_where] = ACTIONS(13772),
    [anon_sym_quote] = ACTIONS(13772),
    [anon_sym_let] = ACTIONS(13772),
    [anon_sym_if] = ACTIONS(13772),
    [anon_sym_try] = ACTIONS(13772),
    [anon_sym_catch] = ACTIONS(13772),
    [anon_sym_finally] = ACTIONS(13772),
    [anon_sym_for] = ACTIONS(13772),
    [anon_sym_while] = ACTIONS(13772),
    [sym_break_statement] = ACTIONS(13772),
    [sym_continue_statement] = ACTIONS(13772),
    [anon_sym_return] = ACTIONS(13772),
    [anon_sym_const] = ACTIONS(13772),
    [anon_sym_global] = ACTIONS(13772),
    [anon_sym_local] = ACTIONS(13772),
    [anon_sym_LPAREN] = ACTIONS(13772),
    [anon_sym_COLON2] = ACTIONS(13772),
    [anon_sym_export] = ACTIONS(13772),
    [anon_sym_import] = ACTIONS(13772),
    [anon_sym_using] = ACTIONS(13772),
    [anon_sym_LBRACK] = ACTIONS(13772),
    [anon_sym_LF] = ACTIONS(13774),
    [anon_sym_in] = ACTIONS(13772),
    [anon_sym_LBRACE] = ACTIONS(13772),
    [anon_sym_DOLLAR] = ACTIONS(13772),
    [anon_sym_COLON_COLON] = ACTIONS(13772),
    [anon_sym_isa] = ACTIONS(13772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13772),
    [anon_sym_QMARK] = ACTIONS(13772),
    [anon_sym_AT] = ACTIONS(13772),
    [anon_sym_true] = ACTIONS(13772),
    [anon_sym_false] = ACTIONS(13772),
    [aux_sym_integer_literal_token1] = ACTIONS(13772),
    [aux_sym_integer_literal_token2] = ACTIONS(13772),
    [aux_sym_integer_literal_token3] = ACTIONS(13772),
    [aux_sym_integer_literal_token4] = ACTIONS(13772),
    [aux_sym_float_literal_token1] = ACTIONS(13772),
    [aux_sym_float_literal_token3] = ACTIONS(13772),
    [aux_sym_float_literal_token4] = ACTIONS(13772),
    [sym_character_literal] = ACTIONS(13772),
    [sym__pair_operator] = ACTIONS(13772),
    [sym__arrow_operator] = ACTIONS(13772),
    [sym__lazy_or_operator] = ACTIONS(13772),
    [sym__lazy_and_operator] = ACTIONS(13772),
    [sym__comparison_operator] = ACTIONS(13772),
    [sym__pipe_right_operator] = ACTIONS(13772),
    [sym__pipe_left_operator] = ACTIONS(13772),
    [sym__ellipsis_operator] = ACTIONS(13772),
    [sym__plus_operator] = ACTIONS(13772),
    [sym__times_operator] = ACTIONS(13772),
    [sym__rational_operator] = ACTIONS(13772),
    [sym__bitshift_operator] = ACTIONS(13772),
    [sym__power_operator] = ACTIONS(13772),
    [sym__tilde_operator] = ACTIONS(13772),
    [sym__type_order_operator] = ACTIONS(13772),
    [sym__unary_operator] = ACTIONS(13772),
    [sym__unary_plus_operator] = ACTIONS(13772),
    [aux_sym__terminator_token1] = ACTIONS(13772),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13774),
    [sym__command_start] = ACTIONS(13774),
  },
  [8546] = {
    [aux_sym_export_statement_repeat1] = STATE(8333),
    [sym__word_identifier] = ACTIONS(13114),
    [anon_sym_EQ] = ACTIONS(13114),
    [anon_sym_COMMA] = ACTIONS(14625),
    [anon_sym_COLON] = ACTIONS(13114),
    [anon_sym_begin] = ACTIONS(13114),
    [anon_sym_module] = ACTIONS(13114),
    [anon_sym_baremodule] = ACTIONS(13114),
    [anon_sym_end] = ACTIONS(13114),
    [anon_sym_abstract] = ACTIONS(13114),
    [anon_sym_primitive] = ACTIONS(13114),
    [anon_sym_mutable] = ACTIONS(13114),
    [anon_sym_struct] = ACTIONS(13114),
    [anon_sym_function] = ACTIONS(13114),
    [anon_sym_macro] = ACTIONS(13114),
    [anon_sym_where] = ACTIONS(13114),
    [anon_sym_quote] = ACTIONS(13114),
    [anon_sym_let] = ACTIONS(13114),
    [anon_sym_if] = ACTIONS(13114),
    [anon_sym_try] = ACTIONS(13114),
    [anon_sym_for] = ACTIONS(13114),
    [anon_sym_while] = ACTIONS(13114),
    [sym_break_statement] = ACTIONS(13114),
    [sym_continue_statement] = ACTIONS(13114),
    [anon_sym_return] = ACTIONS(13114),
    [anon_sym_const] = ACTIONS(13114),
    [anon_sym_global] = ACTIONS(13114),
    [anon_sym_local] = ACTIONS(13114),
    [anon_sym_LPAREN] = ACTIONS(13114),
    [anon_sym_COLON2] = ACTIONS(13114),
    [anon_sym_export] = ACTIONS(13114),
    [anon_sym_import] = ACTIONS(13114),
    [anon_sym_using] = ACTIONS(13114),
    [anon_sym_LBRACK] = ACTIONS(13114),
    [anon_sym_LF] = ACTIONS(13112),
    [anon_sym_in] = ACTIONS(13114),
    [anon_sym_LBRACE] = ACTIONS(13114),
    [anon_sym_DOLLAR] = ACTIONS(13114),
    [anon_sym_COLON_COLON] = ACTIONS(13114),
    [anon_sym_isa] = ACTIONS(13114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13114),
    [anon_sym_QMARK] = ACTIONS(13114),
    [anon_sym_AT] = ACTIONS(13114),
    [anon_sym_true] = ACTIONS(13114),
    [anon_sym_false] = ACTIONS(13114),
    [aux_sym_integer_literal_token1] = ACTIONS(13114),
    [aux_sym_integer_literal_token2] = ACTIONS(13114),
    [aux_sym_integer_literal_token3] = ACTIONS(13114),
    [aux_sym_integer_literal_token4] = ACTIONS(13114),
    [aux_sym_float_literal_token1] = ACTIONS(13114),
    [aux_sym_float_literal_token3] = ACTIONS(13114),
    [aux_sym_float_literal_token4] = ACTIONS(13114),
    [sym_character_literal] = ACTIONS(13114),
    [sym__pair_operator] = ACTIONS(13114),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13114),
    [sym__lazy_and_operator] = ACTIONS(13114),
    [sym__comparison_operator] = ACTIONS(13114),
    [sym__pipe_right_operator] = ACTIONS(13114),
    [sym__pipe_left_operator] = ACTIONS(13114),
    [sym__ellipsis_operator] = ACTIONS(13114),
    [sym__plus_operator] = ACTIONS(13114),
    [sym__times_operator] = ACTIONS(13114),
    [sym__rational_operator] = ACTIONS(13114),
    [sym__bitshift_operator] = ACTIONS(13114),
    [sym__power_operator] = ACTIONS(13114),
    [sym__tilde_operator] = ACTIONS(13114),
    [sym__type_order_operator] = ACTIONS(13114),
    [sym__unary_operator] = ACTIONS(13114),
    [sym__unary_plus_operator] = ACTIONS(13114),
    [aux_sym__terminator_token1] = ACTIONS(13114),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13112),
    [sym__command_start] = ACTIONS(13112),
  },
  [8547] = {
    [sym__word_identifier] = ACTIONS(13776),
    [anon_sym_EQ] = ACTIONS(13776),
    [anon_sym_COMMA] = ACTIONS(13776),
    [anon_sym_COLON] = ACTIONS(13776),
    [anon_sym_begin] = ACTIONS(13776),
    [anon_sym_module] = ACTIONS(13776),
    [anon_sym_baremodule] = ACTIONS(13776),
    [anon_sym_abstract] = ACTIONS(13776),
    [anon_sym_primitive] = ACTIONS(13776),
    [anon_sym_mutable] = ACTIONS(13776),
    [anon_sym_struct] = ACTIONS(13776),
    [anon_sym_function] = ACTIONS(13776),
    [anon_sym_macro] = ACTIONS(13776),
    [anon_sym_where] = ACTIONS(13776),
    [anon_sym_quote] = ACTIONS(13776),
    [anon_sym_let] = ACTIONS(13776),
    [anon_sym_if] = ACTIONS(13776),
    [anon_sym_try] = ACTIONS(13776),
    [anon_sym_catch] = ACTIONS(13776),
    [anon_sym_finally] = ACTIONS(13776),
    [anon_sym_for] = ACTIONS(13776),
    [anon_sym_while] = ACTIONS(13776),
    [sym_break_statement] = ACTIONS(13776),
    [sym_continue_statement] = ACTIONS(13776),
    [anon_sym_return] = ACTIONS(13776),
    [anon_sym_const] = ACTIONS(13776),
    [anon_sym_global] = ACTIONS(13776),
    [anon_sym_local] = ACTIONS(13776),
    [anon_sym_LPAREN] = ACTIONS(13776),
    [anon_sym_COLON2] = ACTIONS(13776),
    [anon_sym_export] = ACTIONS(13776),
    [anon_sym_import] = ACTIONS(13776),
    [anon_sym_using] = ACTIONS(13776),
    [anon_sym_LBRACK] = ACTIONS(13776),
    [anon_sym_LF] = ACTIONS(13778),
    [anon_sym_in] = ACTIONS(13776),
    [anon_sym_LBRACE] = ACTIONS(13776),
    [anon_sym_DOLLAR] = ACTIONS(13776),
    [anon_sym_COLON_COLON] = ACTIONS(13776),
    [anon_sym_isa] = ACTIONS(13776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13776),
    [anon_sym_QMARK] = ACTIONS(13776),
    [anon_sym_AT] = ACTIONS(13776),
    [anon_sym_true] = ACTIONS(13776),
    [anon_sym_false] = ACTIONS(13776),
    [aux_sym_integer_literal_token1] = ACTIONS(13776),
    [aux_sym_integer_literal_token2] = ACTIONS(13776),
    [aux_sym_integer_literal_token3] = ACTIONS(13776),
    [aux_sym_integer_literal_token4] = ACTIONS(13776),
    [aux_sym_float_literal_token1] = ACTIONS(13776),
    [aux_sym_float_literal_token3] = ACTIONS(13776),
    [aux_sym_float_literal_token4] = ACTIONS(13776),
    [sym_character_literal] = ACTIONS(13776),
    [sym__pair_operator] = ACTIONS(13776),
    [sym__arrow_operator] = ACTIONS(13776),
    [sym__lazy_or_operator] = ACTIONS(13776),
    [sym__lazy_and_operator] = ACTIONS(13776),
    [sym__comparison_operator] = ACTIONS(13776),
    [sym__pipe_right_operator] = ACTIONS(13776),
    [sym__pipe_left_operator] = ACTIONS(13776),
    [sym__ellipsis_operator] = ACTIONS(13776),
    [sym__plus_operator] = ACTIONS(13776),
    [sym__times_operator] = ACTIONS(13776),
    [sym__rational_operator] = ACTIONS(13776),
    [sym__bitshift_operator] = ACTIONS(13776),
    [sym__power_operator] = ACTIONS(13776),
    [sym__tilde_operator] = ACTIONS(13776),
    [sym__type_order_operator] = ACTIONS(13776),
    [sym__unary_operator] = ACTIONS(13776),
    [sym__unary_plus_operator] = ACTIONS(13776),
    [aux_sym__terminator_token1] = ACTIONS(13776),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13778),
    [sym__command_start] = ACTIONS(13778),
  },
  [8548] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_EQ] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_catch] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [8549] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_end] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_catch] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [8550] = {
    [aux_sym_open_tuple_repeat1] = STATE(7969),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13558),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_catch] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(14661),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8551] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12728),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8552] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_catch] = ACTIONS(13032),
    [anon_sym_finally] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [8553] = {
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13240),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13242),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13240),
    [anon_sym_RPAREN] = ACTIONS(13240),
    [anon_sym_COLON2] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13240),
    [anon_sym_RBRACK] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13242),
    [anon_sym_SEMI] = ACTIONS(13240),
    [anon_sym_LBRACE] = ACTIONS(13240),
    [anon_sym_RBRACE] = ACTIONS(13240),
    [anon_sym_DOLLAR] = ACTIONS(13240),
    [anon_sym_COLON_COLON] = ACTIONS(13240),
    [anon_sym_isa] = ACTIONS(13242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13240),
    [anon_sym_QMARK] = ACTIONS(13240),
    [anon_sym_AT] = ACTIONS(13240),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13240),
    [aux_sym_integer_literal_token2] = ACTIONS(13240),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13240),
    [aux_sym_float_literal_token3] = ACTIONS(13240),
    [aux_sym_float_literal_token4] = ACTIONS(13240),
    [sym_character_literal] = ACTIONS(13240),
    [sym__pair_operator] = ACTIONS(13240),
    [sym__arrow_operator] = ACTIONS(13242),
    [sym__lazy_or_operator] = ACTIONS(13240),
    [sym__lazy_and_operator] = ACTIONS(13240),
    [sym__comparison_operator] = ACTIONS(13242),
    [sym__pipe_right_operator] = ACTIONS(13240),
    [sym__pipe_left_operator] = ACTIONS(13240),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13242),
    [sym__times_operator] = ACTIONS(13242),
    [sym__rational_operator] = ACTIONS(13240),
    [sym__bitshift_operator] = ACTIONS(13240),
    [sym__power_operator] = ACTIONS(13240),
    [sym__tilde_operator] = ACTIONS(13240),
    [sym__type_order_operator] = ACTIONS(13240),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8554] = {
    [sym__word_identifier] = ACTIONS(14023),
    [anon_sym_EQ] = ACTIONS(14023),
    [anon_sym_COMMA] = ACTIONS(14021),
    [anon_sym_COLON] = ACTIONS(14023),
    [anon_sym_begin] = ACTIONS(14023),
    [anon_sym_module] = ACTIONS(14023),
    [anon_sym_baremodule] = ACTIONS(14023),
    [anon_sym_abstract] = ACTIONS(14023),
    [anon_sym_primitive] = ACTIONS(14023),
    [anon_sym_mutable] = ACTIONS(14023),
    [anon_sym_struct] = ACTIONS(14023),
    [anon_sym_function] = ACTIONS(14023),
    [anon_sym_macro] = ACTIONS(14023),
    [anon_sym_where] = ACTIONS(14023),
    [anon_sym_quote] = ACTIONS(14023),
    [anon_sym_let] = ACTIONS(14023),
    [anon_sym_if] = ACTIONS(14023),
    [anon_sym_try] = ACTIONS(14023),
    [anon_sym_for] = ACTIONS(14023),
    [anon_sym_while] = ACTIONS(14023),
    [sym_break_statement] = ACTIONS(14023),
    [sym_continue_statement] = ACTIONS(14023),
    [anon_sym_return] = ACTIONS(14023),
    [anon_sym_const] = ACTIONS(14023),
    [anon_sym_global] = ACTIONS(14023),
    [anon_sym_local] = ACTIONS(14023),
    [anon_sym_LPAREN] = ACTIONS(14021),
    [anon_sym_RPAREN] = ACTIONS(14021),
    [anon_sym_COLON2] = ACTIONS(14023),
    [anon_sym_export] = ACTIONS(14023),
    [anon_sym_import] = ACTIONS(14023),
    [anon_sym_using] = ACTIONS(14023),
    [anon_sym_LBRACK] = ACTIONS(14021),
    [anon_sym_RBRACK] = ACTIONS(14021),
    [anon_sym_in] = ACTIONS(14023),
    [anon_sym_SEMI] = ACTIONS(14021),
    [anon_sym_LBRACE] = ACTIONS(14021),
    [anon_sym_RBRACE] = ACTIONS(14021),
    [anon_sym_DOLLAR] = ACTIONS(14021),
    [anon_sym_COLON_COLON] = ACTIONS(14021),
    [anon_sym_isa] = ACTIONS(14023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14021),
    [anon_sym_QMARK] = ACTIONS(14021),
    [anon_sym_AT] = ACTIONS(14021),
    [anon_sym_true] = ACTIONS(14023),
    [anon_sym_false] = ACTIONS(14023),
    [aux_sym_integer_literal_token1] = ACTIONS(14021),
    [aux_sym_integer_literal_token2] = ACTIONS(14021),
    [aux_sym_integer_literal_token3] = ACTIONS(14023),
    [aux_sym_integer_literal_token4] = ACTIONS(14023),
    [aux_sym_float_literal_token1] = ACTIONS(14021),
    [aux_sym_float_literal_token3] = ACTIONS(14021),
    [aux_sym_float_literal_token4] = ACTIONS(14021),
    [sym_character_literal] = ACTIONS(14021),
    [sym__pair_operator] = ACTIONS(14021),
    [sym__arrow_operator] = ACTIONS(14023),
    [sym__lazy_or_operator] = ACTIONS(14021),
    [sym__lazy_and_operator] = ACTIONS(14021),
    [sym__comparison_operator] = ACTIONS(14023),
    [sym__pipe_right_operator] = ACTIONS(14021),
    [sym__pipe_left_operator] = ACTIONS(14021),
    [sym__ellipsis_operator] = ACTIONS(14023),
    [sym__plus_operator] = ACTIONS(14023),
    [sym__times_operator] = ACTIONS(14023),
    [sym__rational_operator] = ACTIONS(14021),
    [sym__bitshift_operator] = ACTIONS(14021),
    [sym__power_operator] = ACTIONS(14021),
    [sym__tilde_operator] = ACTIONS(14021),
    [sym__type_order_operator] = ACTIONS(14021),
    [sym__unary_operator] = ACTIONS(14023),
    [sym__unary_plus_operator] = ACTIONS(14023),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14021),
    [sym__command_start] = ACTIONS(14021),
  },
  [8555] = {
    [sym__word_identifier] = ACTIONS(14019),
    [anon_sym_EQ] = ACTIONS(14019),
    [anon_sym_COMMA] = ACTIONS(14017),
    [anon_sym_COLON] = ACTIONS(14019),
    [anon_sym_begin] = ACTIONS(14019),
    [anon_sym_module] = ACTIONS(14019),
    [anon_sym_baremodule] = ACTIONS(14019),
    [anon_sym_abstract] = ACTIONS(14019),
    [anon_sym_primitive] = ACTIONS(14019),
    [anon_sym_mutable] = ACTIONS(14019),
    [anon_sym_struct] = ACTIONS(14019),
    [anon_sym_function] = ACTIONS(14019),
    [anon_sym_macro] = ACTIONS(14019),
    [anon_sym_where] = ACTIONS(14019),
    [anon_sym_quote] = ACTIONS(14019),
    [anon_sym_let] = ACTIONS(14019),
    [anon_sym_if] = ACTIONS(14019),
    [anon_sym_try] = ACTIONS(14019),
    [anon_sym_for] = ACTIONS(14019),
    [anon_sym_while] = ACTIONS(14019),
    [sym_break_statement] = ACTIONS(14019),
    [sym_continue_statement] = ACTIONS(14019),
    [anon_sym_return] = ACTIONS(14019),
    [anon_sym_const] = ACTIONS(14019),
    [anon_sym_global] = ACTIONS(14019),
    [anon_sym_local] = ACTIONS(14019),
    [anon_sym_LPAREN] = ACTIONS(14017),
    [anon_sym_RPAREN] = ACTIONS(14017),
    [anon_sym_COLON2] = ACTIONS(14019),
    [anon_sym_export] = ACTIONS(14019),
    [anon_sym_import] = ACTIONS(14019),
    [anon_sym_using] = ACTIONS(14019),
    [anon_sym_LBRACK] = ACTIONS(14017),
    [anon_sym_RBRACK] = ACTIONS(14017),
    [anon_sym_in] = ACTIONS(14019),
    [anon_sym_SEMI] = ACTIONS(14017),
    [anon_sym_LBRACE] = ACTIONS(14017),
    [anon_sym_RBRACE] = ACTIONS(14017),
    [anon_sym_DOLLAR] = ACTIONS(14017),
    [anon_sym_COLON_COLON] = ACTIONS(14017),
    [anon_sym_isa] = ACTIONS(14019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14017),
    [anon_sym_QMARK] = ACTIONS(14017),
    [anon_sym_AT] = ACTIONS(14017),
    [anon_sym_true] = ACTIONS(14019),
    [anon_sym_false] = ACTIONS(14019),
    [aux_sym_integer_literal_token1] = ACTIONS(14017),
    [aux_sym_integer_literal_token2] = ACTIONS(14017),
    [aux_sym_integer_literal_token3] = ACTIONS(14019),
    [aux_sym_integer_literal_token4] = ACTIONS(14019),
    [aux_sym_float_literal_token1] = ACTIONS(14017),
    [aux_sym_float_literal_token3] = ACTIONS(14017),
    [aux_sym_float_literal_token4] = ACTIONS(14017),
    [sym_character_literal] = ACTIONS(14017),
    [sym__pair_operator] = ACTIONS(14017),
    [sym__arrow_operator] = ACTIONS(14019),
    [sym__lazy_or_operator] = ACTIONS(14017),
    [sym__lazy_and_operator] = ACTIONS(14017),
    [sym__comparison_operator] = ACTIONS(14019),
    [sym__pipe_right_operator] = ACTIONS(14017),
    [sym__pipe_left_operator] = ACTIONS(14017),
    [sym__ellipsis_operator] = ACTIONS(14019),
    [sym__plus_operator] = ACTIONS(14019),
    [sym__times_operator] = ACTIONS(14019),
    [sym__rational_operator] = ACTIONS(14017),
    [sym__bitshift_operator] = ACTIONS(14017),
    [sym__power_operator] = ACTIONS(14017),
    [sym__tilde_operator] = ACTIONS(14017),
    [sym__type_order_operator] = ACTIONS(14017),
    [sym__unary_operator] = ACTIONS(14019),
    [sym__unary_plus_operator] = ACTIONS(14019),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14017),
    [sym__command_start] = ACTIONS(14017),
  },
  [8556] = {
    [aux_sym_open_tuple_repeat1] = STATE(8122),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(14523),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14635),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8557] = {
    [sym__word_identifier] = ACTIONS(14270),
    [anon_sym_EQ] = ACTIONS(14270),
    [anon_sym_COMMA] = ACTIONS(14270),
    [anon_sym_COLON] = ACTIONS(14270),
    [anon_sym_begin] = ACTIONS(14270),
    [anon_sym_module] = ACTIONS(14270),
    [anon_sym_baremodule] = ACTIONS(14270),
    [anon_sym_abstract] = ACTIONS(14270),
    [anon_sym_primitive] = ACTIONS(14270),
    [anon_sym_mutable] = ACTIONS(14270),
    [anon_sym_struct] = ACTIONS(14270),
    [anon_sym_function] = ACTIONS(14270),
    [anon_sym_macro] = ACTIONS(14270),
    [anon_sym_where] = ACTIONS(14270),
    [anon_sym_quote] = ACTIONS(14270),
    [anon_sym_let] = ACTIONS(14270),
    [anon_sym_if] = ACTIONS(14270),
    [anon_sym_try] = ACTIONS(14270),
    [anon_sym_catch] = ACTIONS(14270),
    [anon_sym_finally] = ACTIONS(14270),
    [anon_sym_for] = ACTIONS(14270),
    [anon_sym_while] = ACTIONS(14270),
    [sym_break_statement] = ACTIONS(14270),
    [sym_continue_statement] = ACTIONS(14270),
    [anon_sym_return] = ACTIONS(14270),
    [anon_sym_const] = ACTIONS(14270),
    [anon_sym_global] = ACTIONS(14270),
    [anon_sym_local] = ACTIONS(14270),
    [anon_sym_LPAREN] = ACTIONS(14270),
    [anon_sym_COLON2] = ACTIONS(14270),
    [anon_sym_export] = ACTIONS(14270),
    [anon_sym_import] = ACTIONS(14270),
    [anon_sym_using] = ACTIONS(14270),
    [anon_sym_LBRACK] = ACTIONS(14270),
    [anon_sym_LF] = ACTIONS(14268),
    [anon_sym_in] = ACTIONS(14270),
    [anon_sym_LBRACE] = ACTIONS(14270),
    [anon_sym_DOLLAR] = ACTIONS(14270),
    [anon_sym_COLON_COLON] = ACTIONS(14270),
    [anon_sym_isa] = ACTIONS(14270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14270),
    [anon_sym_QMARK] = ACTIONS(14270),
    [anon_sym_AT] = ACTIONS(14270),
    [anon_sym_true] = ACTIONS(14270),
    [anon_sym_false] = ACTIONS(14270),
    [aux_sym_integer_literal_token1] = ACTIONS(14270),
    [aux_sym_integer_literal_token2] = ACTIONS(14270),
    [aux_sym_integer_literal_token3] = ACTIONS(14270),
    [aux_sym_integer_literal_token4] = ACTIONS(14270),
    [aux_sym_float_literal_token1] = ACTIONS(14270),
    [aux_sym_float_literal_token3] = ACTIONS(14270),
    [aux_sym_float_literal_token4] = ACTIONS(14270),
    [sym_character_literal] = ACTIONS(14270),
    [sym__pair_operator] = ACTIONS(14270),
    [sym__arrow_operator] = ACTIONS(14270),
    [sym__lazy_or_operator] = ACTIONS(14270),
    [sym__lazy_and_operator] = ACTIONS(14270),
    [sym__comparison_operator] = ACTIONS(14270),
    [sym__pipe_right_operator] = ACTIONS(14270),
    [sym__pipe_left_operator] = ACTIONS(14270),
    [sym__ellipsis_operator] = ACTIONS(14270),
    [sym__plus_operator] = ACTIONS(14270),
    [sym__times_operator] = ACTIONS(14270),
    [sym__rational_operator] = ACTIONS(14270),
    [sym__bitshift_operator] = ACTIONS(14270),
    [sym__power_operator] = ACTIONS(14270),
    [sym__tilde_operator] = ACTIONS(14270),
    [sym__type_order_operator] = ACTIONS(14270),
    [sym__unary_operator] = ACTIONS(14270),
    [sym__unary_plus_operator] = ACTIONS(14270),
    [aux_sym__terminator_token1] = ACTIONS(14270),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14268),
    [sym__command_start] = ACTIONS(14268),
  },
  [8558] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(12600),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_catch] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8559] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_catch] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8560] = {
    [sym__word_identifier] = ACTIONS(13780),
    [anon_sym_EQ] = ACTIONS(13780),
    [anon_sym_COMMA] = ACTIONS(13780),
    [anon_sym_COLON] = ACTIONS(13780),
    [anon_sym_begin] = ACTIONS(13780),
    [anon_sym_module] = ACTIONS(13780),
    [anon_sym_baremodule] = ACTIONS(13780),
    [anon_sym_abstract] = ACTIONS(13780),
    [anon_sym_primitive] = ACTIONS(13780),
    [anon_sym_mutable] = ACTIONS(13780),
    [anon_sym_struct] = ACTIONS(13780),
    [anon_sym_function] = ACTIONS(13780),
    [anon_sym_macro] = ACTIONS(13780),
    [anon_sym_where] = ACTIONS(13780),
    [anon_sym_quote] = ACTIONS(13780),
    [anon_sym_let] = ACTIONS(13780),
    [anon_sym_if] = ACTIONS(13780),
    [anon_sym_try] = ACTIONS(13780),
    [anon_sym_catch] = ACTIONS(13780),
    [anon_sym_finally] = ACTIONS(13780),
    [anon_sym_for] = ACTIONS(13780),
    [anon_sym_while] = ACTIONS(13780),
    [sym_break_statement] = ACTIONS(13780),
    [sym_continue_statement] = ACTIONS(13780),
    [anon_sym_return] = ACTIONS(13780),
    [anon_sym_const] = ACTIONS(13780),
    [anon_sym_global] = ACTIONS(13780),
    [anon_sym_local] = ACTIONS(13780),
    [anon_sym_LPAREN] = ACTIONS(13780),
    [anon_sym_COLON2] = ACTIONS(13780),
    [anon_sym_export] = ACTIONS(13780),
    [anon_sym_import] = ACTIONS(13780),
    [anon_sym_using] = ACTIONS(13780),
    [anon_sym_LBRACK] = ACTIONS(13780),
    [anon_sym_LF] = ACTIONS(13782),
    [anon_sym_in] = ACTIONS(13780),
    [anon_sym_LBRACE] = ACTIONS(13780),
    [anon_sym_DOLLAR] = ACTIONS(13780),
    [anon_sym_COLON_COLON] = ACTIONS(13780),
    [anon_sym_isa] = ACTIONS(13780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13780),
    [anon_sym_QMARK] = ACTIONS(13780),
    [anon_sym_AT] = ACTIONS(13780),
    [anon_sym_true] = ACTIONS(13780),
    [anon_sym_false] = ACTIONS(13780),
    [aux_sym_integer_literal_token1] = ACTIONS(13780),
    [aux_sym_integer_literal_token2] = ACTIONS(13780),
    [aux_sym_integer_literal_token3] = ACTIONS(13780),
    [aux_sym_integer_literal_token4] = ACTIONS(13780),
    [aux_sym_float_literal_token1] = ACTIONS(13780),
    [aux_sym_float_literal_token3] = ACTIONS(13780),
    [aux_sym_float_literal_token4] = ACTIONS(13780),
    [sym_character_literal] = ACTIONS(13780),
    [sym__pair_operator] = ACTIONS(13780),
    [sym__arrow_operator] = ACTIONS(13780),
    [sym__lazy_or_operator] = ACTIONS(13780),
    [sym__lazy_and_operator] = ACTIONS(13780),
    [sym__comparison_operator] = ACTIONS(13780),
    [sym__pipe_right_operator] = ACTIONS(13780),
    [sym__pipe_left_operator] = ACTIONS(13780),
    [sym__ellipsis_operator] = ACTIONS(13780),
    [sym__plus_operator] = ACTIONS(13780),
    [sym__times_operator] = ACTIONS(13780),
    [sym__rational_operator] = ACTIONS(13780),
    [sym__bitshift_operator] = ACTIONS(13780),
    [sym__power_operator] = ACTIONS(13780),
    [sym__tilde_operator] = ACTIONS(13780),
    [sym__type_order_operator] = ACTIONS(13780),
    [sym__unary_operator] = ACTIONS(13780),
    [sym__unary_plus_operator] = ACTIONS(13780),
    [aux_sym__terminator_token1] = ACTIONS(13780),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13782),
    [sym__command_start] = ACTIONS(13782),
  },
  [8561] = {
    [aux_sym_open_tuple_repeat1] = STATE(7590),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(13688),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_catch] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(14517),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8562] = {
    [sym__word_identifier] = ACTIONS(13804),
    [anon_sym_EQ] = ACTIONS(13804),
    [anon_sym_COMMA] = ACTIONS(13804),
    [anon_sym_COLON] = ACTIONS(13804),
    [anon_sym_begin] = ACTIONS(13804),
    [anon_sym_module] = ACTIONS(13804),
    [anon_sym_baremodule] = ACTIONS(13804),
    [anon_sym_abstract] = ACTIONS(13804),
    [anon_sym_primitive] = ACTIONS(13804),
    [anon_sym_mutable] = ACTIONS(13804),
    [anon_sym_struct] = ACTIONS(13804),
    [anon_sym_function] = ACTIONS(13804),
    [anon_sym_macro] = ACTIONS(13804),
    [anon_sym_where] = ACTIONS(13804),
    [anon_sym_quote] = ACTIONS(13804),
    [anon_sym_let] = ACTIONS(13804),
    [anon_sym_if] = ACTIONS(13804),
    [anon_sym_try] = ACTIONS(13804),
    [anon_sym_catch] = ACTIONS(13804),
    [anon_sym_finally] = ACTIONS(13804),
    [anon_sym_for] = ACTIONS(13804),
    [anon_sym_while] = ACTIONS(13804),
    [sym_break_statement] = ACTIONS(13804),
    [sym_continue_statement] = ACTIONS(13804),
    [anon_sym_return] = ACTIONS(13804),
    [anon_sym_const] = ACTIONS(13804),
    [anon_sym_global] = ACTIONS(13804),
    [anon_sym_local] = ACTIONS(13804),
    [anon_sym_LPAREN] = ACTIONS(13804),
    [anon_sym_COLON2] = ACTIONS(13804),
    [anon_sym_export] = ACTIONS(13804),
    [anon_sym_import] = ACTIONS(13804),
    [anon_sym_using] = ACTIONS(13804),
    [anon_sym_LBRACK] = ACTIONS(13804),
    [anon_sym_LF] = ACTIONS(13806),
    [anon_sym_in] = ACTIONS(13804),
    [anon_sym_LBRACE] = ACTIONS(13804),
    [anon_sym_DOLLAR] = ACTIONS(13804),
    [anon_sym_COLON_COLON] = ACTIONS(13804),
    [anon_sym_isa] = ACTIONS(13804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13804),
    [anon_sym_QMARK] = ACTIONS(13804),
    [anon_sym_AT] = ACTIONS(13804),
    [anon_sym_true] = ACTIONS(13804),
    [anon_sym_false] = ACTIONS(13804),
    [aux_sym_integer_literal_token1] = ACTIONS(13804),
    [aux_sym_integer_literal_token2] = ACTIONS(13804),
    [aux_sym_integer_literal_token3] = ACTIONS(13804),
    [aux_sym_integer_literal_token4] = ACTIONS(13804),
    [aux_sym_float_literal_token1] = ACTIONS(13804),
    [aux_sym_float_literal_token3] = ACTIONS(13804),
    [aux_sym_float_literal_token4] = ACTIONS(13804),
    [sym_character_literal] = ACTIONS(13804),
    [sym__pair_operator] = ACTIONS(13804),
    [sym__arrow_operator] = ACTIONS(13804),
    [sym__lazy_or_operator] = ACTIONS(13804),
    [sym__lazy_and_operator] = ACTIONS(13804),
    [sym__comparison_operator] = ACTIONS(13804),
    [sym__pipe_right_operator] = ACTIONS(13804),
    [sym__pipe_left_operator] = ACTIONS(13804),
    [sym__ellipsis_operator] = ACTIONS(13804),
    [sym__plus_operator] = ACTIONS(13804),
    [sym__times_operator] = ACTIONS(13804),
    [sym__rational_operator] = ACTIONS(13804),
    [sym__bitshift_operator] = ACTIONS(13804),
    [sym__power_operator] = ACTIONS(13804),
    [sym__tilde_operator] = ACTIONS(13804),
    [sym__type_order_operator] = ACTIONS(13804),
    [sym__unary_operator] = ACTIONS(13804),
    [sym__unary_plus_operator] = ACTIONS(13804),
    [aux_sym__terminator_token1] = ACTIONS(13804),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13806),
    [sym__command_start] = ACTIONS(13806),
  },
  [8563] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(12600),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_catch] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8564] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_EQ] = ACTIONS(11868),
    [anon_sym_COMMA] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_RPAREN] = ACTIONS(11868),
    [anon_sym_COLON2] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11868),
    [anon_sym_SEMI] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_isa] = ACTIONS(11868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11868),
    [anon_sym_QMARK] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__lazy_or_operator] = ACTIONS(11868),
    [sym__lazy_and_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [8565] = {
    [sym__word_identifier] = ACTIONS(13949),
    [anon_sym_EQ] = ACTIONS(13949),
    [anon_sym_COMMA] = ACTIONS(13951),
    [anon_sym_COLON] = ACTIONS(13949),
    [anon_sym_begin] = ACTIONS(13949),
    [anon_sym_module] = ACTIONS(13949),
    [anon_sym_baremodule] = ACTIONS(13949),
    [anon_sym_abstract] = ACTIONS(13949),
    [anon_sym_primitive] = ACTIONS(13949),
    [anon_sym_mutable] = ACTIONS(13949),
    [anon_sym_struct] = ACTIONS(13949),
    [anon_sym_function] = ACTIONS(13949),
    [anon_sym_macro] = ACTIONS(13949),
    [anon_sym_where] = ACTIONS(13949),
    [anon_sym_quote] = ACTIONS(13949),
    [anon_sym_let] = ACTIONS(13949),
    [anon_sym_if] = ACTIONS(13949),
    [anon_sym_try] = ACTIONS(13949),
    [anon_sym_for] = ACTIONS(13949),
    [anon_sym_while] = ACTIONS(13949),
    [sym_break_statement] = ACTIONS(13949),
    [sym_continue_statement] = ACTIONS(13949),
    [anon_sym_return] = ACTIONS(13949),
    [anon_sym_const] = ACTIONS(13949),
    [anon_sym_global] = ACTIONS(13949),
    [anon_sym_local] = ACTIONS(13949),
    [anon_sym_LPAREN] = ACTIONS(13951),
    [anon_sym_RPAREN] = ACTIONS(13951),
    [anon_sym_COLON2] = ACTIONS(13949),
    [anon_sym_export] = ACTIONS(13949),
    [anon_sym_import] = ACTIONS(13949),
    [anon_sym_using] = ACTIONS(13949),
    [anon_sym_LBRACK] = ACTIONS(13951),
    [anon_sym_RBRACK] = ACTIONS(13951),
    [anon_sym_in] = ACTIONS(13949),
    [anon_sym_SEMI] = ACTIONS(13951),
    [anon_sym_LBRACE] = ACTIONS(13951),
    [anon_sym_RBRACE] = ACTIONS(13951),
    [anon_sym_DOLLAR] = ACTIONS(13951),
    [anon_sym_COLON_COLON] = ACTIONS(13951),
    [anon_sym_isa] = ACTIONS(13949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13951),
    [anon_sym_QMARK] = ACTIONS(13951),
    [anon_sym_AT] = ACTIONS(13951),
    [anon_sym_true] = ACTIONS(13949),
    [anon_sym_false] = ACTIONS(13949),
    [aux_sym_integer_literal_token1] = ACTIONS(13951),
    [aux_sym_integer_literal_token2] = ACTIONS(13951),
    [aux_sym_integer_literal_token3] = ACTIONS(13949),
    [aux_sym_integer_literal_token4] = ACTIONS(13949),
    [aux_sym_float_literal_token1] = ACTIONS(13951),
    [aux_sym_float_literal_token3] = ACTIONS(13951),
    [aux_sym_float_literal_token4] = ACTIONS(13951),
    [sym_character_literal] = ACTIONS(13951),
    [sym__pair_operator] = ACTIONS(13951),
    [sym__arrow_operator] = ACTIONS(13949),
    [sym__lazy_or_operator] = ACTIONS(13951),
    [sym__lazy_and_operator] = ACTIONS(13951),
    [sym__comparison_operator] = ACTIONS(13949),
    [sym__pipe_right_operator] = ACTIONS(13951),
    [sym__pipe_left_operator] = ACTIONS(13951),
    [sym__ellipsis_operator] = ACTIONS(13949),
    [sym__plus_operator] = ACTIONS(13949),
    [sym__times_operator] = ACTIONS(13949),
    [sym__rational_operator] = ACTIONS(13951),
    [sym__bitshift_operator] = ACTIONS(13951),
    [sym__power_operator] = ACTIONS(13951),
    [sym__tilde_operator] = ACTIONS(13951),
    [sym__type_order_operator] = ACTIONS(13951),
    [sym__unary_operator] = ACTIONS(13949),
    [sym__unary_plus_operator] = ACTIONS(13949),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13951),
    [sym__command_start] = ACTIONS(13951),
  },
  [8566] = {
    [aux_sym_open_tuple_repeat1] = STATE(7590),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13688),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_catch] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(14517),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8567] = {
    [sym__word_identifier] = ACTIONS(14011),
    [anon_sym_EQ] = ACTIONS(14011),
    [anon_sym_COMMA] = ACTIONS(14009),
    [anon_sym_COLON] = ACTIONS(14011),
    [anon_sym_begin] = ACTIONS(14011),
    [anon_sym_module] = ACTIONS(14011),
    [anon_sym_baremodule] = ACTIONS(14011),
    [anon_sym_abstract] = ACTIONS(14011),
    [anon_sym_primitive] = ACTIONS(14011),
    [anon_sym_mutable] = ACTIONS(14011),
    [anon_sym_struct] = ACTIONS(14011),
    [anon_sym_function] = ACTIONS(14011),
    [anon_sym_macro] = ACTIONS(14011),
    [anon_sym_where] = ACTIONS(14011),
    [anon_sym_quote] = ACTIONS(14011),
    [anon_sym_let] = ACTIONS(14011),
    [anon_sym_if] = ACTIONS(14011),
    [anon_sym_try] = ACTIONS(14011),
    [anon_sym_for] = ACTIONS(14011),
    [anon_sym_while] = ACTIONS(14011),
    [sym_break_statement] = ACTIONS(14011),
    [sym_continue_statement] = ACTIONS(14011),
    [anon_sym_return] = ACTIONS(14011),
    [anon_sym_const] = ACTIONS(14011),
    [anon_sym_global] = ACTIONS(14011),
    [anon_sym_local] = ACTIONS(14011),
    [anon_sym_LPAREN] = ACTIONS(14009),
    [anon_sym_RPAREN] = ACTIONS(14009),
    [anon_sym_COLON2] = ACTIONS(14011),
    [anon_sym_export] = ACTIONS(14011),
    [anon_sym_import] = ACTIONS(14011),
    [anon_sym_using] = ACTIONS(14011),
    [anon_sym_LBRACK] = ACTIONS(14009),
    [anon_sym_RBRACK] = ACTIONS(14009),
    [anon_sym_in] = ACTIONS(14011),
    [anon_sym_SEMI] = ACTIONS(14009),
    [anon_sym_LBRACE] = ACTIONS(14009),
    [anon_sym_RBRACE] = ACTIONS(14009),
    [anon_sym_DOLLAR] = ACTIONS(14009),
    [anon_sym_COLON_COLON] = ACTIONS(14009),
    [anon_sym_isa] = ACTIONS(14011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14009),
    [anon_sym_QMARK] = ACTIONS(14009),
    [anon_sym_AT] = ACTIONS(14009),
    [anon_sym_true] = ACTIONS(14011),
    [anon_sym_false] = ACTIONS(14011),
    [aux_sym_integer_literal_token1] = ACTIONS(14009),
    [aux_sym_integer_literal_token2] = ACTIONS(14009),
    [aux_sym_integer_literal_token3] = ACTIONS(14011),
    [aux_sym_integer_literal_token4] = ACTIONS(14011),
    [aux_sym_float_literal_token1] = ACTIONS(14009),
    [aux_sym_float_literal_token3] = ACTIONS(14009),
    [aux_sym_float_literal_token4] = ACTIONS(14009),
    [sym_character_literal] = ACTIONS(14009),
    [sym__pair_operator] = ACTIONS(14009),
    [sym__arrow_operator] = ACTIONS(14011),
    [sym__lazy_or_operator] = ACTIONS(14009),
    [sym__lazy_and_operator] = ACTIONS(14009),
    [sym__comparison_operator] = ACTIONS(14011),
    [sym__pipe_right_operator] = ACTIONS(14009),
    [sym__pipe_left_operator] = ACTIONS(14009),
    [sym__ellipsis_operator] = ACTIONS(14011),
    [sym__plus_operator] = ACTIONS(14011),
    [sym__times_operator] = ACTIONS(14011),
    [sym__rational_operator] = ACTIONS(14009),
    [sym__bitshift_operator] = ACTIONS(14009),
    [sym__power_operator] = ACTIONS(14009),
    [sym__tilde_operator] = ACTIONS(14009),
    [sym__type_order_operator] = ACTIONS(14009),
    [sym__unary_operator] = ACTIONS(14011),
    [sym__unary_plus_operator] = ACTIONS(14011),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14009),
    [sym__command_start] = ACTIONS(14009),
  },
  [8568] = {
    [sym__word_identifier] = ACTIONS(13997),
    [anon_sym_EQ] = ACTIONS(13997),
    [anon_sym_COMMA] = ACTIONS(13995),
    [anon_sym_COLON] = ACTIONS(13997),
    [anon_sym_begin] = ACTIONS(13997),
    [anon_sym_module] = ACTIONS(13997),
    [anon_sym_baremodule] = ACTIONS(13997),
    [anon_sym_abstract] = ACTIONS(13997),
    [anon_sym_primitive] = ACTIONS(13997),
    [anon_sym_mutable] = ACTIONS(13997),
    [anon_sym_struct] = ACTIONS(13997),
    [anon_sym_function] = ACTIONS(13997),
    [anon_sym_macro] = ACTIONS(13997),
    [anon_sym_where] = ACTIONS(13997),
    [anon_sym_quote] = ACTIONS(13997),
    [anon_sym_let] = ACTIONS(13997),
    [anon_sym_if] = ACTIONS(13997),
    [anon_sym_try] = ACTIONS(13997),
    [anon_sym_for] = ACTIONS(13997),
    [anon_sym_while] = ACTIONS(13997),
    [sym_break_statement] = ACTIONS(13997),
    [sym_continue_statement] = ACTIONS(13997),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_const] = ACTIONS(13997),
    [anon_sym_global] = ACTIONS(13997),
    [anon_sym_local] = ACTIONS(13997),
    [anon_sym_LPAREN] = ACTIONS(13995),
    [anon_sym_RPAREN] = ACTIONS(13995),
    [anon_sym_COLON2] = ACTIONS(13997),
    [anon_sym_export] = ACTIONS(13997),
    [anon_sym_import] = ACTIONS(13997),
    [anon_sym_using] = ACTIONS(13997),
    [anon_sym_LBRACK] = ACTIONS(13995),
    [anon_sym_RBRACK] = ACTIONS(13995),
    [anon_sym_in] = ACTIONS(13997),
    [anon_sym_SEMI] = ACTIONS(13995),
    [anon_sym_LBRACE] = ACTIONS(13995),
    [anon_sym_RBRACE] = ACTIONS(13995),
    [anon_sym_DOLLAR] = ACTIONS(13995),
    [anon_sym_COLON_COLON] = ACTIONS(13995),
    [anon_sym_isa] = ACTIONS(13997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13995),
    [anon_sym_QMARK] = ACTIONS(13995),
    [anon_sym_AT] = ACTIONS(13995),
    [anon_sym_true] = ACTIONS(13997),
    [anon_sym_false] = ACTIONS(13997),
    [aux_sym_integer_literal_token1] = ACTIONS(13995),
    [aux_sym_integer_literal_token2] = ACTIONS(13995),
    [aux_sym_integer_literal_token3] = ACTIONS(13997),
    [aux_sym_integer_literal_token4] = ACTIONS(13997),
    [aux_sym_float_literal_token1] = ACTIONS(13995),
    [aux_sym_float_literal_token3] = ACTIONS(13995),
    [aux_sym_float_literal_token4] = ACTIONS(13995),
    [sym_character_literal] = ACTIONS(13995),
    [sym__pair_operator] = ACTIONS(13995),
    [sym__arrow_operator] = ACTIONS(13997),
    [sym__lazy_or_operator] = ACTIONS(13995),
    [sym__lazy_and_operator] = ACTIONS(13995),
    [sym__comparison_operator] = ACTIONS(13997),
    [sym__pipe_right_operator] = ACTIONS(13995),
    [sym__pipe_left_operator] = ACTIONS(13995),
    [sym__ellipsis_operator] = ACTIONS(13997),
    [sym__plus_operator] = ACTIONS(13997),
    [sym__times_operator] = ACTIONS(13997),
    [sym__rational_operator] = ACTIONS(13995),
    [sym__bitshift_operator] = ACTIONS(13995),
    [sym__power_operator] = ACTIONS(13995),
    [sym__tilde_operator] = ACTIONS(13995),
    [sym__type_order_operator] = ACTIONS(13995),
    [sym__unary_operator] = ACTIONS(13997),
    [sym__unary_plus_operator] = ACTIONS(13997),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13995),
    [sym__command_start] = ACTIONS(13995),
  },
  [8569] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_RPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [8570] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_catch] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(14661),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8571] = {
    [sym__word_identifier] = ACTIONS(14120),
    [anon_sym_EQ] = ACTIONS(14120),
    [anon_sym_COMMA] = ACTIONS(14120),
    [anon_sym_COLON] = ACTIONS(14120),
    [anon_sym_begin] = ACTIONS(14120),
    [anon_sym_module] = ACTIONS(14120),
    [anon_sym_baremodule] = ACTIONS(14120),
    [anon_sym_abstract] = ACTIONS(14120),
    [anon_sym_primitive] = ACTIONS(14120),
    [anon_sym_mutable] = ACTIONS(14120),
    [anon_sym_struct] = ACTIONS(14120),
    [anon_sym_function] = ACTIONS(14120),
    [anon_sym_macro] = ACTIONS(14120),
    [anon_sym_where] = ACTIONS(14120),
    [anon_sym_quote] = ACTIONS(14120),
    [anon_sym_let] = ACTIONS(14120),
    [anon_sym_if] = ACTIONS(14120),
    [anon_sym_try] = ACTIONS(14120),
    [anon_sym_catch] = ACTIONS(14120),
    [anon_sym_finally] = ACTIONS(14120),
    [anon_sym_for] = ACTIONS(14120),
    [anon_sym_while] = ACTIONS(14120),
    [sym_break_statement] = ACTIONS(14120),
    [sym_continue_statement] = ACTIONS(14120),
    [anon_sym_return] = ACTIONS(14120),
    [anon_sym_const] = ACTIONS(14120),
    [anon_sym_global] = ACTIONS(14120),
    [anon_sym_local] = ACTIONS(14120),
    [anon_sym_LPAREN] = ACTIONS(14120),
    [anon_sym_COLON2] = ACTIONS(14120),
    [anon_sym_export] = ACTIONS(14120),
    [anon_sym_import] = ACTIONS(14120),
    [anon_sym_using] = ACTIONS(14120),
    [anon_sym_LBRACK] = ACTIONS(14120),
    [anon_sym_LF] = ACTIONS(14118),
    [anon_sym_in] = ACTIONS(14120),
    [anon_sym_LBRACE] = ACTIONS(14120),
    [anon_sym_DOLLAR] = ACTIONS(14120),
    [anon_sym_COLON_COLON] = ACTIONS(14120),
    [anon_sym_isa] = ACTIONS(14120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14120),
    [anon_sym_QMARK] = ACTIONS(14120),
    [anon_sym_AT] = ACTIONS(14120),
    [anon_sym_true] = ACTIONS(14120),
    [anon_sym_false] = ACTIONS(14120),
    [aux_sym_integer_literal_token1] = ACTIONS(14120),
    [aux_sym_integer_literal_token2] = ACTIONS(14120),
    [aux_sym_integer_literal_token3] = ACTIONS(14120),
    [aux_sym_integer_literal_token4] = ACTIONS(14120),
    [aux_sym_float_literal_token1] = ACTIONS(14120),
    [aux_sym_float_literal_token3] = ACTIONS(14120),
    [aux_sym_float_literal_token4] = ACTIONS(14120),
    [sym_character_literal] = ACTIONS(14120),
    [sym__pair_operator] = ACTIONS(14120),
    [sym__arrow_operator] = ACTIONS(14120),
    [sym__lazy_or_operator] = ACTIONS(14120),
    [sym__lazy_and_operator] = ACTIONS(14120),
    [sym__comparison_operator] = ACTIONS(14120),
    [sym__pipe_right_operator] = ACTIONS(14120),
    [sym__pipe_left_operator] = ACTIONS(14120),
    [sym__ellipsis_operator] = ACTIONS(14120),
    [sym__plus_operator] = ACTIONS(14120),
    [sym__times_operator] = ACTIONS(14120),
    [sym__rational_operator] = ACTIONS(14120),
    [sym__bitshift_operator] = ACTIONS(14120),
    [sym__power_operator] = ACTIONS(14120),
    [sym__tilde_operator] = ACTIONS(14120),
    [sym__type_order_operator] = ACTIONS(14120),
    [sym__unary_operator] = ACTIONS(14120),
    [sym__unary_plus_operator] = ACTIONS(14120),
    [aux_sym__terminator_token1] = ACTIONS(14120),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14118),
    [sym__command_start] = ACTIONS(14118),
  },
  [8572] = {
    [sym__word_identifier] = ACTIONS(13808),
    [anon_sym_EQ] = ACTIONS(13808),
    [anon_sym_COMMA] = ACTIONS(13808),
    [anon_sym_COLON] = ACTIONS(13808),
    [anon_sym_begin] = ACTIONS(13808),
    [anon_sym_module] = ACTIONS(13808),
    [anon_sym_baremodule] = ACTIONS(13808),
    [anon_sym_abstract] = ACTIONS(13808),
    [anon_sym_primitive] = ACTIONS(13808),
    [anon_sym_mutable] = ACTIONS(13808),
    [anon_sym_struct] = ACTIONS(13808),
    [anon_sym_function] = ACTIONS(13808),
    [anon_sym_macro] = ACTIONS(13808),
    [anon_sym_where] = ACTIONS(13808),
    [anon_sym_quote] = ACTIONS(13808),
    [anon_sym_let] = ACTIONS(13808),
    [anon_sym_if] = ACTIONS(13808),
    [anon_sym_try] = ACTIONS(13808),
    [anon_sym_catch] = ACTIONS(13808),
    [anon_sym_finally] = ACTIONS(13808),
    [anon_sym_for] = ACTIONS(13808),
    [anon_sym_while] = ACTIONS(13808),
    [sym_break_statement] = ACTIONS(13808),
    [sym_continue_statement] = ACTIONS(13808),
    [anon_sym_return] = ACTIONS(13808),
    [anon_sym_const] = ACTIONS(13808),
    [anon_sym_global] = ACTIONS(13808),
    [anon_sym_local] = ACTIONS(13808),
    [anon_sym_LPAREN] = ACTIONS(13808),
    [anon_sym_COLON2] = ACTIONS(13808),
    [anon_sym_export] = ACTIONS(13808),
    [anon_sym_import] = ACTIONS(13808),
    [anon_sym_using] = ACTIONS(13808),
    [anon_sym_LBRACK] = ACTIONS(13808),
    [anon_sym_LF] = ACTIONS(13810),
    [anon_sym_in] = ACTIONS(13808),
    [anon_sym_LBRACE] = ACTIONS(13808),
    [anon_sym_DOLLAR] = ACTIONS(13808),
    [anon_sym_COLON_COLON] = ACTIONS(13808),
    [anon_sym_isa] = ACTIONS(13808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13808),
    [anon_sym_QMARK] = ACTIONS(13808),
    [anon_sym_AT] = ACTIONS(13808),
    [anon_sym_true] = ACTIONS(13808),
    [anon_sym_false] = ACTIONS(13808),
    [aux_sym_integer_literal_token1] = ACTIONS(13808),
    [aux_sym_integer_literal_token2] = ACTIONS(13808),
    [aux_sym_integer_literal_token3] = ACTIONS(13808),
    [aux_sym_integer_literal_token4] = ACTIONS(13808),
    [aux_sym_float_literal_token1] = ACTIONS(13808),
    [aux_sym_float_literal_token3] = ACTIONS(13808),
    [aux_sym_float_literal_token4] = ACTIONS(13808),
    [sym_character_literal] = ACTIONS(13808),
    [sym__pair_operator] = ACTIONS(13808),
    [sym__arrow_operator] = ACTIONS(13808),
    [sym__lazy_or_operator] = ACTIONS(13808),
    [sym__lazy_and_operator] = ACTIONS(13808),
    [sym__comparison_operator] = ACTIONS(13808),
    [sym__pipe_right_operator] = ACTIONS(13808),
    [sym__pipe_left_operator] = ACTIONS(13808),
    [sym__ellipsis_operator] = ACTIONS(13808),
    [sym__plus_operator] = ACTIONS(13808),
    [sym__times_operator] = ACTIONS(13808),
    [sym__rational_operator] = ACTIONS(13808),
    [sym__bitshift_operator] = ACTIONS(13808),
    [sym__power_operator] = ACTIONS(13808),
    [sym__tilde_operator] = ACTIONS(13808),
    [sym__type_order_operator] = ACTIONS(13808),
    [sym__unary_operator] = ACTIONS(13808),
    [sym__unary_plus_operator] = ACTIONS(13808),
    [aux_sym__terminator_token1] = ACTIONS(13808),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13810),
    [sym__command_start] = ACTIONS(13810),
  },
  [8573] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_elseif] = ACTIONS(13404),
    [anon_sym_else] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14547),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14547),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [8574] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_catch] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8575] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8576] = {
    [sym__word_identifier] = ACTIONS(13834),
    [anon_sym_EQ] = ACTIONS(13834),
    [anon_sym_COMMA] = ACTIONS(13832),
    [anon_sym_COLON] = ACTIONS(13834),
    [anon_sym_begin] = ACTIONS(13834),
    [anon_sym_module] = ACTIONS(13834),
    [anon_sym_baremodule] = ACTIONS(13834),
    [anon_sym_abstract] = ACTIONS(13834),
    [anon_sym_primitive] = ACTIONS(13834),
    [anon_sym_mutable] = ACTIONS(13834),
    [anon_sym_struct] = ACTIONS(13834),
    [anon_sym_function] = ACTIONS(13834),
    [anon_sym_macro] = ACTIONS(13834),
    [anon_sym_where] = ACTIONS(13834),
    [anon_sym_quote] = ACTIONS(13834),
    [anon_sym_let] = ACTIONS(13834),
    [anon_sym_if] = ACTIONS(13834),
    [anon_sym_try] = ACTIONS(13834),
    [anon_sym_for] = ACTIONS(13834),
    [anon_sym_while] = ACTIONS(13834),
    [sym_break_statement] = ACTIONS(13834),
    [sym_continue_statement] = ACTIONS(13834),
    [anon_sym_return] = ACTIONS(13834),
    [anon_sym_const] = ACTIONS(13834),
    [anon_sym_global] = ACTIONS(13834),
    [anon_sym_local] = ACTIONS(13834),
    [anon_sym_LPAREN] = ACTIONS(13832),
    [anon_sym_RPAREN] = ACTIONS(13832),
    [anon_sym_COLON2] = ACTIONS(13834),
    [anon_sym_export] = ACTIONS(13834),
    [anon_sym_import] = ACTIONS(13834),
    [anon_sym_using] = ACTIONS(13834),
    [anon_sym_LBRACK] = ACTIONS(13832),
    [anon_sym_RBRACK] = ACTIONS(13832),
    [anon_sym_in] = ACTIONS(13834),
    [anon_sym_SEMI] = ACTIONS(13832),
    [anon_sym_LBRACE] = ACTIONS(13832),
    [anon_sym_RBRACE] = ACTIONS(13832),
    [anon_sym_DOLLAR] = ACTIONS(13832),
    [anon_sym_COLON_COLON] = ACTIONS(13832),
    [anon_sym_isa] = ACTIONS(13834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13832),
    [anon_sym_QMARK] = ACTIONS(13832),
    [anon_sym_AT] = ACTIONS(13832),
    [anon_sym_true] = ACTIONS(13834),
    [anon_sym_false] = ACTIONS(13834),
    [aux_sym_integer_literal_token1] = ACTIONS(13832),
    [aux_sym_integer_literal_token2] = ACTIONS(13832),
    [aux_sym_integer_literal_token3] = ACTIONS(13834),
    [aux_sym_integer_literal_token4] = ACTIONS(13834),
    [aux_sym_float_literal_token1] = ACTIONS(13832),
    [aux_sym_float_literal_token3] = ACTIONS(13832),
    [aux_sym_float_literal_token4] = ACTIONS(13832),
    [sym_character_literal] = ACTIONS(13832),
    [sym__pair_operator] = ACTIONS(13832),
    [sym__arrow_operator] = ACTIONS(13834),
    [sym__lazy_or_operator] = ACTIONS(13832),
    [sym__lazy_and_operator] = ACTIONS(13832),
    [sym__comparison_operator] = ACTIONS(13834),
    [sym__pipe_right_operator] = ACTIONS(13832),
    [sym__pipe_left_operator] = ACTIONS(13832),
    [sym__ellipsis_operator] = ACTIONS(13834),
    [sym__plus_operator] = ACTIONS(13834),
    [sym__times_operator] = ACTIONS(13834),
    [sym__rational_operator] = ACTIONS(13832),
    [sym__bitshift_operator] = ACTIONS(13832),
    [sym__power_operator] = ACTIONS(13832),
    [sym__tilde_operator] = ACTIONS(13832),
    [sym__type_order_operator] = ACTIONS(13832),
    [sym__unary_operator] = ACTIONS(13834),
    [sym__unary_plus_operator] = ACTIONS(13834),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13832),
    [sym__command_start] = ACTIONS(13832),
  },
  [8577] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14547),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14547),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8578] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(12600),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_catch] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8579] = {
    [aux_sym_open_tuple_repeat1] = STATE(7590),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13688),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_catch] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(14517),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8580] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_catch] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8581] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8582] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_EQ] = ACTIONS(12326),
    [anon_sym_COMMA] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_RPAREN] = ACTIONS(12326),
    [anon_sym_COLON2] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_in] = ACTIONS(12326),
    [anon_sym_SEMI] = ACTIONS(12326),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_isa] = ACTIONS(12326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12326),
    [anon_sym_QMARK] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__lazy_or_operator] = ACTIONS(12326),
    [sym__lazy_and_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [8583] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(12600),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_catch] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8584] = {
    [sym__word_identifier] = ACTIONS(13566),
    [anon_sym_EQ] = ACTIONS(13566),
    [anon_sym_COMMA] = ACTIONS(13564),
    [anon_sym_COLON] = ACTIONS(13566),
    [anon_sym_begin] = ACTIONS(13566),
    [anon_sym_module] = ACTIONS(13566),
    [anon_sym_baremodule] = ACTIONS(13566),
    [anon_sym_abstract] = ACTIONS(13566),
    [anon_sym_primitive] = ACTIONS(13566),
    [anon_sym_mutable] = ACTIONS(13566),
    [anon_sym_struct] = ACTIONS(13566),
    [anon_sym_function] = ACTIONS(13566),
    [anon_sym_macro] = ACTIONS(13566),
    [anon_sym_where] = ACTIONS(13566),
    [anon_sym_quote] = ACTIONS(13566),
    [anon_sym_let] = ACTIONS(13566),
    [anon_sym_if] = ACTIONS(13566),
    [anon_sym_try] = ACTIONS(13566),
    [anon_sym_for] = ACTIONS(13566),
    [anon_sym_while] = ACTIONS(13566),
    [sym_break_statement] = ACTIONS(13566),
    [sym_continue_statement] = ACTIONS(13566),
    [anon_sym_return] = ACTIONS(13566),
    [anon_sym_const] = ACTIONS(13566),
    [anon_sym_global] = ACTIONS(13566),
    [anon_sym_local] = ACTIONS(13566),
    [anon_sym_LPAREN] = ACTIONS(13564),
    [anon_sym_RPAREN] = ACTIONS(13564),
    [anon_sym_COLON2] = ACTIONS(13566),
    [anon_sym_export] = ACTIONS(13566),
    [anon_sym_import] = ACTIONS(13566),
    [anon_sym_using] = ACTIONS(13566),
    [anon_sym_LBRACK] = ACTIONS(13564),
    [anon_sym_RBRACK] = ACTIONS(13564),
    [anon_sym_in] = ACTIONS(13566),
    [anon_sym_SEMI] = ACTIONS(13564),
    [anon_sym_LBRACE] = ACTIONS(13564),
    [anon_sym_RBRACE] = ACTIONS(13564),
    [anon_sym_DOLLAR] = ACTIONS(13564),
    [anon_sym_COLON_COLON] = ACTIONS(13564),
    [anon_sym_isa] = ACTIONS(13566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13564),
    [anon_sym_QMARK] = ACTIONS(13564),
    [anon_sym_AT] = ACTIONS(13564),
    [anon_sym_true] = ACTIONS(13566),
    [anon_sym_false] = ACTIONS(13566),
    [aux_sym_integer_literal_token1] = ACTIONS(13564),
    [aux_sym_integer_literal_token2] = ACTIONS(13564),
    [aux_sym_integer_literal_token3] = ACTIONS(13566),
    [aux_sym_integer_literal_token4] = ACTIONS(13566),
    [aux_sym_float_literal_token1] = ACTIONS(13564),
    [aux_sym_float_literal_token3] = ACTIONS(13564),
    [aux_sym_float_literal_token4] = ACTIONS(13564),
    [sym_character_literal] = ACTIONS(13564),
    [sym__pair_operator] = ACTIONS(13564),
    [sym__arrow_operator] = ACTIONS(13566),
    [sym__lazy_or_operator] = ACTIONS(13564),
    [sym__lazy_and_operator] = ACTIONS(13564),
    [sym__comparison_operator] = ACTIONS(13566),
    [sym__pipe_right_operator] = ACTIONS(13564),
    [sym__pipe_left_operator] = ACTIONS(13564),
    [sym__ellipsis_operator] = ACTIONS(13566),
    [sym__plus_operator] = ACTIONS(13566),
    [sym__times_operator] = ACTIONS(13566),
    [sym__rational_operator] = ACTIONS(13564),
    [sym__bitshift_operator] = ACTIONS(13564),
    [sym__power_operator] = ACTIONS(13564),
    [sym__tilde_operator] = ACTIONS(13564),
    [sym__type_order_operator] = ACTIONS(13564),
    [sym__unary_operator] = ACTIONS(13566),
    [sym__unary_plus_operator] = ACTIONS(13566),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13564),
    [sym__command_start] = ACTIONS(13564),
  },
  [8585] = {
    [aux_sym_open_tuple_repeat1] = STATE(7590),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13688),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_catch] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(14517),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8586] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_EQ] = ACTIONS(11958),
    [anon_sym_COMMA] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_RPAREN] = ACTIONS(11958),
    [anon_sym_COLON2] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_in] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11958),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_isa] = ACTIONS(11958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11958),
    [anon_sym_QMARK] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__lazy_or_operator] = ACTIONS(11958),
    [sym__lazy_and_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [8587] = {
    [sym__word_identifier] = ACTIONS(13474),
    [anon_sym_EQ] = ACTIONS(13474),
    [anon_sym_COMMA] = ACTIONS(13472),
    [anon_sym_COLON] = ACTIONS(13474),
    [anon_sym_begin] = ACTIONS(13474),
    [anon_sym_module] = ACTIONS(13474),
    [anon_sym_baremodule] = ACTIONS(13474),
    [anon_sym_abstract] = ACTIONS(13474),
    [anon_sym_primitive] = ACTIONS(13474),
    [anon_sym_mutable] = ACTIONS(13474),
    [anon_sym_struct] = ACTIONS(13474),
    [anon_sym_function] = ACTIONS(13474),
    [anon_sym_macro] = ACTIONS(13474),
    [anon_sym_where] = ACTIONS(13474),
    [anon_sym_quote] = ACTIONS(13474),
    [anon_sym_let] = ACTIONS(13474),
    [anon_sym_if] = ACTIONS(13474),
    [anon_sym_try] = ACTIONS(13474),
    [anon_sym_for] = ACTIONS(13474),
    [anon_sym_while] = ACTIONS(13474),
    [sym_break_statement] = ACTIONS(13474),
    [sym_continue_statement] = ACTIONS(13474),
    [anon_sym_return] = ACTIONS(13474),
    [anon_sym_const] = ACTIONS(13474),
    [anon_sym_global] = ACTIONS(13474),
    [anon_sym_local] = ACTIONS(13474),
    [anon_sym_LPAREN] = ACTIONS(13472),
    [anon_sym_RPAREN] = ACTIONS(13472),
    [anon_sym_COLON2] = ACTIONS(13474),
    [anon_sym_export] = ACTIONS(13474),
    [anon_sym_import] = ACTIONS(13474),
    [anon_sym_using] = ACTIONS(13474),
    [anon_sym_LBRACK] = ACTIONS(13472),
    [anon_sym_RBRACK] = ACTIONS(13472),
    [anon_sym_in] = ACTIONS(13474),
    [anon_sym_SEMI] = ACTIONS(13472),
    [anon_sym_LBRACE] = ACTIONS(13472),
    [anon_sym_RBRACE] = ACTIONS(13472),
    [anon_sym_DOLLAR] = ACTIONS(13472),
    [anon_sym_COLON_COLON] = ACTIONS(13472),
    [anon_sym_isa] = ACTIONS(13474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13472),
    [anon_sym_QMARK] = ACTIONS(13472),
    [anon_sym_AT] = ACTIONS(13472),
    [anon_sym_true] = ACTIONS(13474),
    [anon_sym_false] = ACTIONS(13474),
    [aux_sym_integer_literal_token1] = ACTIONS(13472),
    [aux_sym_integer_literal_token2] = ACTIONS(13472),
    [aux_sym_integer_literal_token3] = ACTIONS(13474),
    [aux_sym_integer_literal_token4] = ACTIONS(13474),
    [aux_sym_float_literal_token1] = ACTIONS(13472),
    [aux_sym_float_literal_token3] = ACTIONS(13472),
    [aux_sym_float_literal_token4] = ACTIONS(13472),
    [sym_character_literal] = ACTIONS(13472),
    [sym__pair_operator] = ACTIONS(13472),
    [sym__arrow_operator] = ACTIONS(13474),
    [sym__lazy_or_operator] = ACTIONS(13472),
    [sym__lazy_and_operator] = ACTIONS(13472),
    [sym__comparison_operator] = ACTIONS(13474),
    [sym__pipe_right_operator] = ACTIONS(13472),
    [sym__pipe_left_operator] = ACTIONS(13472),
    [sym__ellipsis_operator] = ACTIONS(13474),
    [sym__plus_operator] = ACTIONS(13474),
    [sym__times_operator] = ACTIONS(13474),
    [sym__rational_operator] = ACTIONS(13472),
    [sym__bitshift_operator] = ACTIONS(13472),
    [sym__power_operator] = ACTIONS(13472),
    [sym__tilde_operator] = ACTIONS(13472),
    [sym__type_order_operator] = ACTIONS(13472),
    [sym__unary_operator] = ACTIONS(13474),
    [sym__unary_plus_operator] = ACTIONS(13474),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13472),
    [sym__command_start] = ACTIONS(13472),
  },
  [8588] = {
    [sym__word_identifier] = ACTIONS(13436),
    [anon_sym_EQ] = ACTIONS(13436),
    [anon_sym_COMMA] = ACTIONS(13434),
    [anon_sym_COLON] = ACTIONS(13436),
    [anon_sym_begin] = ACTIONS(13436),
    [anon_sym_module] = ACTIONS(13436),
    [anon_sym_baremodule] = ACTIONS(13436),
    [anon_sym_abstract] = ACTIONS(13436),
    [anon_sym_primitive] = ACTIONS(13436),
    [anon_sym_mutable] = ACTIONS(13436),
    [anon_sym_struct] = ACTIONS(13436),
    [anon_sym_function] = ACTIONS(13436),
    [anon_sym_macro] = ACTIONS(13436),
    [anon_sym_where] = ACTIONS(13436),
    [anon_sym_quote] = ACTIONS(13436),
    [anon_sym_let] = ACTIONS(13436),
    [anon_sym_if] = ACTIONS(13436),
    [anon_sym_try] = ACTIONS(13436),
    [anon_sym_for] = ACTIONS(13436),
    [anon_sym_while] = ACTIONS(13436),
    [sym_break_statement] = ACTIONS(13436),
    [sym_continue_statement] = ACTIONS(13436),
    [anon_sym_return] = ACTIONS(13436),
    [anon_sym_const] = ACTIONS(13436),
    [anon_sym_global] = ACTIONS(13436),
    [anon_sym_local] = ACTIONS(13436),
    [anon_sym_LPAREN] = ACTIONS(13434),
    [anon_sym_RPAREN] = ACTIONS(13434),
    [anon_sym_COLON2] = ACTIONS(13436),
    [anon_sym_export] = ACTIONS(13436),
    [anon_sym_import] = ACTIONS(13436),
    [anon_sym_using] = ACTIONS(13436),
    [anon_sym_LBRACK] = ACTIONS(13434),
    [anon_sym_RBRACK] = ACTIONS(13434),
    [anon_sym_in] = ACTIONS(13436),
    [anon_sym_SEMI] = ACTIONS(13434),
    [anon_sym_LBRACE] = ACTIONS(13434),
    [anon_sym_RBRACE] = ACTIONS(13434),
    [anon_sym_DOLLAR] = ACTIONS(13434),
    [anon_sym_COLON_COLON] = ACTIONS(13434),
    [anon_sym_isa] = ACTIONS(13436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13434),
    [anon_sym_QMARK] = ACTIONS(13434),
    [anon_sym_AT] = ACTIONS(13434),
    [anon_sym_true] = ACTIONS(13436),
    [anon_sym_false] = ACTIONS(13436),
    [aux_sym_integer_literal_token1] = ACTIONS(13434),
    [aux_sym_integer_literal_token2] = ACTIONS(13434),
    [aux_sym_integer_literal_token3] = ACTIONS(13436),
    [aux_sym_integer_literal_token4] = ACTIONS(13436),
    [aux_sym_float_literal_token1] = ACTIONS(13434),
    [aux_sym_float_literal_token3] = ACTIONS(13434),
    [aux_sym_float_literal_token4] = ACTIONS(13434),
    [sym_character_literal] = ACTIONS(13434),
    [sym__pair_operator] = ACTIONS(13434),
    [sym__arrow_operator] = ACTIONS(13436),
    [sym__lazy_or_operator] = ACTIONS(13434),
    [sym__lazy_and_operator] = ACTIONS(13434),
    [sym__comparison_operator] = ACTIONS(13436),
    [sym__pipe_right_operator] = ACTIONS(13434),
    [sym__pipe_left_operator] = ACTIONS(13434),
    [sym__ellipsis_operator] = ACTIONS(13436),
    [sym__plus_operator] = ACTIONS(13436),
    [sym__times_operator] = ACTIONS(13436),
    [sym__rational_operator] = ACTIONS(13434),
    [sym__bitshift_operator] = ACTIONS(13434),
    [sym__power_operator] = ACTIONS(13434),
    [sym__tilde_operator] = ACTIONS(13434),
    [sym__type_order_operator] = ACTIONS(13434),
    [sym__unary_operator] = ACTIONS(13436),
    [sym__unary_plus_operator] = ACTIONS(13436),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13434),
    [sym__command_start] = ACTIONS(13434),
  },
  [8589] = {
    [sym__word_identifier] = ACTIONS(14131),
    [anon_sym_EQ] = ACTIONS(14131),
    [anon_sym_COMMA] = ACTIONS(14131),
    [anon_sym_COLON] = ACTIONS(14131),
    [anon_sym_begin] = ACTIONS(14131),
    [anon_sym_module] = ACTIONS(14131),
    [anon_sym_baremodule] = ACTIONS(14131),
    [anon_sym_abstract] = ACTIONS(14131),
    [anon_sym_primitive] = ACTIONS(14131),
    [anon_sym_mutable] = ACTIONS(14131),
    [anon_sym_struct] = ACTIONS(14131),
    [anon_sym_function] = ACTIONS(14131),
    [anon_sym_macro] = ACTIONS(14131),
    [anon_sym_where] = ACTIONS(14131),
    [anon_sym_quote] = ACTIONS(14131),
    [anon_sym_let] = ACTIONS(14131),
    [anon_sym_if] = ACTIONS(14131),
    [anon_sym_try] = ACTIONS(14131),
    [anon_sym_catch] = ACTIONS(14131),
    [anon_sym_finally] = ACTIONS(14131),
    [anon_sym_for] = ACTIONS(14131),
    [anon_sym_while] = ACTIONS(14131),
    [sym_break_statement] = ACTIONS(14131),
    [sym_continue_statement] = ACTIONS(14131),
    [anon_sym_return] = ACTIONS(14131),
    [anon_sym_const] = ACTIONS(14131),
    [anon_sym_global] = ACTIONS(14131),
    [anon_sym_local] = ACTIONS(14131),
    [anon_sym_LPAREN] = ACTIONS(14131),
    [anon_sym_COLON2] = ACTIONS(14131),
    [anon_sym_export] = ACTIONS(14131),
    [anon_sym_import] = ACTIONS(14131),
    [anon_sym_using] = ACTIONS(14131),
    [anon_sym_LBRACK] = ACTIONS(14131),
    [anon_sym_LF] = ACTIONS(14129),
    [anon_sym_in] = ACTIONS(14131),
    [anon_sym_LBRACE] = ACTIONS(14131),
    [anon_sym_DOLLAR] = ACTIONS(14131),
    [anon_sym_COLON_COLON] = ACTIONS(14131),
    [anon_sym_isa] = ACTIONS(14131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14131),
    [anon_sym_QMARK] = ACTIONS(14131),
    [anon_sym_AT] = ACTIONS(14131),
    [anon_sym_true] = ACTIONS(14131),
    [anon_sym_false] = ACTIONS(14131),
    [aux_sym_integer_literal_token1] = ACTIONS(14131),
    [aux_sym_integer_literal_token2] = ACTIONS(14131),
    [aux_sym_integer_literal_token3] = ACTIONS(14131),
    [aux_sym_integer_literal_token4] = ACTIONS(14131),
    [aux_sym_float_literal_token1] = ACTIONS(14131),
    [aux_sym_float_literal_token3] = ACTIONS(14131),
    [aux_sym_float_literal_token4] = ACTIONS(14131),
    [sym_character_literal] = ACTIONS(14131),
    [sym__pair_operator] = ACTIONS(14131),
    [sym__arrow_operator] = ACTIONS(14131),
    [sym__lazy_or_operator] = ACTIONS(14131),
    [sym__lazy_and_operator] = ACTIONS(14131),
    [sym__comparison_operator] = ACTIONS(14131),
    [sym__pipe_right_operator] = ACTIONS(14131),
    [sym__pipe_left_operator] = ACTIONS(14131),
    [sym__ellipsis_operator] = ACTIONS(14131),
    [sym__plus_operator] = ACTIONS(14131),
    [sym__times_operator] = ACTIONS(14131),
    [sym__rational_operator] = ACTIONS(14131),
    [sym__bitshift_operator] = ACTIONS(14131),
    [sym__power_operator] = ACTIONS(14131),
    [sym__tilde_operator] = ACTIONS(14131),
    [sym__type_order_operator] = ACTIONS(14131),
    [sym__unary_operator] = ACTIONS(14131),
    [sym__unary_plus_operator] = ACTIONS(14131),
    [aux_sym__terminator_token1] = ACTIONS(14131),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14129),
    [sym__command_start] = ACTIONS(14129),
  },
  [8590] = {
    [sym__word_identifier] = ACTIONS(13478),
    [anon_sym_EQ] = ACTIONS(13478),
    [anon_sym_COMMA] = ACTIONS(13476),
    [anon_sym_COLON] = ACTIONS(13478),
    [anon_sym_begin] = ACTIONS(13478),
    [anon_sym_module] = ACTIONS(13478),
    [anon_sym_baremodule] = ACTIONS(13478),
    [anon_sym_abstract] = ACTIONS(13478),
    [anon_sym_primitive] = ACTIONS(13478),
    [anon_sym_mutable] = ACTIONS(13478),
    [anon_sym_struct] = ACTIONS(13478),
    [anon_sym_function] = ACTIONS(13478),
    [anon_sym_macro] = ACTIONS(13478),
    [anon_sym_where] = ACTIONS(13478),
    [anon_sym_quote] = ACTIONS(13478),
    [anon_sym_let] = ACTIONS(13478),
    [anon_sym_if] = ACTIONS(13478),
    [anon_sym_try] = ACTIONS(13478),
    [anon_sym_for] = ACTIONS(13478),
    [anon_sym_while] = ACTIONS(13478),
    [sym_break_statement] = ACTIONS(13478),
    [sym_continue_statement] = ACTIONS(13478),
    [anon_sym_return] = ACTIONS(13478),
    [anon_sym_const] = ACTIONS(13478),
    [anon_sym_global] = ACTIONS(13478),
    [anon_sym_local] = ACTIONS(13478),
    [anon_sym_LPAREN] = ACTIONS(13476),
    [anon_sym_RPAREN] = ACTIONS(13476),
    [anon_sym_COLON2] = ACTIONS(13478),
    [anon_sym_export] = ACTIONS(13478),
    [anon_sym_import] = ACTIONS(13478),
    [anon_sym_using] = ACTIONS(13478),
    [anon_sym_LBRACK] = ACTIONS(13476),
    [anon_sym_RBRACK] = ACTIONS(13476),
    [anon_sym_in] = ACTIONS(13478),
    [anon_sym_SEMI] = ACTIONS(13476),
    [anon_sym_LBRACE] = ACTIONS(13476),
    [anon_sym_RBRACE] = ACTIONS(13476),
    [anon_sym_DOLLAR] = ACTIONS(13476),
    [anon_sym_COLON_COLON] = ACTIONS(13476),
    [anon_sym_isa] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13476),
    [anon_sym_QMARK] = ACTIONS(13476),
    [anon_sym_AT] = ACTIONS(13476),
    [anon_sym_true] = ACTIONS(13478),
    [anon_sym_false] = ACTIONS(13478),
    [aux_sym_integer_literal_token1] = ACTIONS(13476),
    [aux_sym_integer_literal_token2] = ACTIONS(13476),
    [aux_sym_integer_literal_token3] = ACTIONS(13478),
    [aux_sym_integer_literal_token4] = ACTIONS(13478),
    [aux_sym_float_literal_token1] = ACTIONS(13476),
    [aux_sym_float_literal_token3] = ACTIONS(13476),
    [aux_sym_float_literal_token4] = ACTIONS(13476),
    [sym_character_literal] = ACTIONS(13476),
    [sym__pair_operator] = ACTIONS(13476),
    [sym__arrow_operator] = ACTIONS(13478),
    [sym__lazy_or_operator] = ACTIONS(13476),
    [sym__lazy_and_operator] = ACTIONS(13476),
    [sym__comparison_operator] = ACTIONS(13478),
    [sym__pipe_right_operator] = ACTIONS(13476),
    [sym__pipe_left_operator] = ACTIONS(13476),
    [sym__ellipsis_operator] = ACTIONS(13478),
    [sym__plus_operator] = ACTIONS(13478),
    [sym__times_operator] = ACTIONS(13478),
    [sym__rational_operator] = ACTIONS(13476),
    [sym__bitshift_operator] = ACTIONS(13476),
    [sym__power_operator] = ACTIONS(13476),
    [sym__tilde_operator] = ACTIONS(13476),
    [sym__type_order_operator] = ACTIONS(13476),
    [sym__unary_operator] = ACTIONS(13478),
    [sym__unary_plus_operator] = ACTIONS(13478),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13476),
    [sym__command_start] = ACTIONS(13476),
  },
  [8591] = {
    [sym__word_identifier] = ACTIONS(13500),
    [anon_sym_EQ] = ACTIONS(13500),
    [anon_sym_COMMA] = ACTIONS(13498),
    [anon_sym_COLON] = ACTIONS(13500),
    [anon_sym_begin] = ACTIONS(13500),
    [anon_sym_module] = ACTIONS(13500),
    [anon_sym_baremodule] = ACTIONS(13500),
    [anon_sym_abstract] = ACTIONS(13500),
    [anon_sym_primitive] = ACTIONS(13500),
    [anon_sym_mutable] = ACTIONS(13500),
    [anon_sym_struct] = ACTIONS(13500),
    [anon_sym_function] = ACTIONS(13500),
    [anon_sym_macro] = ACTIONS(13500),
    [anon_sym_where] = ACTIONS(13500),
    [anon_sym_quote] = ACTIONS(13500),
    [anon_sym_let] = ACTIONS(13500),
    [anon_sym_if] = ACTIONS(13500),
    [anon_sym_try] = ACTIONS(13500),
    [anon_sym_for] = ACTIONS(13500),
    [anon_sym_while] = ACTIONS(13500),
    [sym_break_statement] = ACTIONS(13500),
    [sym_continue_statement] = ACTIONS(13500),
    [anon_sym_return] = ACTIONS(13500),
    [anon_sym_const] = ACTIONS(13500),
    [anon_sym_global] = ACTIONS(13500),
    [anon_sym_local] = ACTIONS(13500),
    [anon_sym_LPAREN] = ACTIONS(13498),
    [anon_sym_RPAREN] = ACTIONS(13498),
    [anon_sym_COLON2] = ACTIONS(13500),
    [anon_sym_export] = ACTIONS(13500),
    [anon_sym_import] = ACTIONS(13500),
    [anon_sym_using] = ACTIONS(13500),
    [anon_sym_LBRACK] = ACTIONS(13498),
    [anon_sym_RBRACK] = ACTIONS(13498),
    [anon_sym_in] = ACTIONS(13500),
    [anon_sym_SEMI] = ACTIONS(13498),
    [anon_sym_LBRACE] = ACTIONS(13498),
    [anon_sym_RBRACE] = ACTIONS(13498),
    [anon_sym_DOLLAR] = ACTIONS(13498),
    [anon_sym_COLON_COLON] = ACTIONS(13498),
    [anon_sym_isa] = ACTIONS(13500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13498),
    [anon_sym_QMARK] = ACTIONS(13498),
    [anon_sym_AT] = ACTIONS(13498),
    [anon_sym_true] = ACTIONS(13500),
    [anon_sym_false] = ACTIONS(13500),
    [aux_sym_integer_literal_token1] = ACTIONS(13498),
    [aux_sym_integer_literal_token2] = ACTIONS(13498),
    [aux_sym_integer_literal_token3] = ACTIONS(13500),
    [aux_sym_integer_literal_token4] = ACTIONS(13500),
    [aux_sym_float_literal_token1] = ACTIONS(13498),
    [aux_sym_float_literal_token3] = ACTIONS(13498),
    [aux_sym_float_literal_token4] = ACTIONS(13498),
    [sym_character_literal] = ACTIONS(13498),
    [sym__pair_operator] = ACTIONS(13498),
    [sym__arrow_operator] = ACTIONS(13500),
    [sym__lazy_or_operator] = ACTIONS(13498),
    [sym__lazy_and_operator] = ACTIONS(13498),
    [sym__comparison_operator] = ACTIONS(13500),
    [sym__pipe_right_operator] = ACTIONS(13498),
    [sym__pipe_left_operator] = ACTIONS(13498),
    [sym__ellipsis_operator] = ACTIONS(13500),
    [sym__plus_operator] = ACTIONS(13500),
    [sym__times_operator] = ACTIONS(13500),
    [sym__rational_operator] = ACTIONS(13498),
    [sym__bitshift_operator] = ACTIONS(13498),
    [sym__power_operator] = ACTIONS(13498),
    [sym__tilde_operator] = ACTIONS(13498),
    [sym__type_order_operator] = ACTIONS(13498),
    [sym__unary_operator] = ACTIONS(13500),
    [sym__unary_plus_operator] = ACTIONS(13500),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13498),
    [sym__command_start] = ACTIONS(13498),
  },
  [8592] = {
    [aux_sym__import_list_repeat1] = STATE(8592),
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(14715),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [8593] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_EQ] = ACTIONS(12210),
    [anon_sym_COMMA] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_COLON2] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_in] = ACTIONS(12210),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_isa] = ACTIONS(12210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12210),
    [anon_sym_QMARK] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__lazy_or_operator] = ACTIONS(12210),
    [sym__lazy_and_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [8594] = {
    [sym__word_identifier] = ACTIONS(13538),
    [anon_sym_EQ] = ACTIONS(13538),
    [anon_sym_COMMA] = ACTIONS(13536),
    [anon_sym_COLON] = ACTIONS(13538),
    [anon_sym_begin] = ACTIONS(13538),
    [anon_sym_module] = ACTIONS(13538),
    [anon_sym_baremodule] = ACTIONS(13538),
    [anon_sym_abstract] = ACTIONS(13538),
    [anon_sym_primitive] = ACTIONS(13538),
    [anon_sym_mutable] = ACTIONS(13538),
    [anon_sym_struct] = ACTIONS(13538),
    [anon_sym_function] = ACTIONS(13538),
    [anon_sym_macro] = ACTIONS(13538),
    [anon_sym_where] = ACTIONS(13538),
    [anon_sym_quote] = ACTIONS(13538),
    [anon_sym_let] = ACTIONS(13538),
    [anon_sym_if] = ACTIONS(13538),
    [anon_sym_try] = ACTIONS(13538),
    [anon_sym_for] = ACTIONS(13538),
    [anon_sym_while] = ACTIONS(13538),
    [sym_break_statement] = ACTIONS(13538),
    [sym_continue_statement] = ACTIONS(13538),
    [anon_sym_return] = ACTIONS(13538),
    [anon_sym_const] = ACTIONS(13538),
    [anon_sym_global] = ACTIONS(13538),
    [anon_sym_local] = ACTIONS(13538),
    [anon_sym_LPAREN] = ACTIONS(13536),
    [anon_sym_RPAREN] = ACTIONS(13536),
    [anon_sym_COLON2] = ACTIONS(13538),
    [anon_sym_export] = ACTIONS(13538),
    [anon_sym_import] = ACTIONS(13538),
    [anon_sym_using] = ACTIONS(13538),
    [anon_sym_LBRACK] = ACTIONS(13536),
    [anon_sym_RBRACK] = ACTIONS(13536),
    [anon_sym_in] = ACTIONS(13538),
    [anon_sym_SEMI] = ACTIONS(13536),
    [anon_sym_LBRACE] = ACTIONS(13536),
    [anon_sym_RBRACE] = ACTIONS(13536),
    [anon_sym_DOLLAR] = ACTIONS(13536),
    [anon_sym_COLON_COLON] = ACTIONS(13536),
    [anon_sym_isa] = ACTIONS(13538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13536),
    [anon_sym_QMARK] = ACTIONS(13536),
    [anon_sym_AT] = ACTIONS(13536),
    [anon_sym_true] = ACTIONS(13538),
    [anon_sym_false] = ACTIONS(13538),
    [aux_sym_integer_literal_token1] = ACTIONS(13536),
    [aux_sym_integer_literal_token2] = ACTIONS(13536),
    [aux_sym_integer_literal_token3] = ACTIONS(13538),
    [aux_sym_integer_literal_token4] = ACTIONS(13538),
    [aux_sym_float_literal_token1] = ACTIONS(13536),
    [aux_sym_float_literal_token3] = ACTIONS(13536),
    [aux_sym_float_literal_token4] = ACTIONS(13536),
    [sym_character_literal] = ACTIONS(13536),
    [sym__pair_operator] = ACTIONS(13536),
    [sym__arrow_operator] = ACTIONS(13538),
    [sym__lazy_or_operator] = ACTIONS(13536),
    [sym__lazy_and_operator] = ACTIONS(13536),
    [sym__comparison_operator] = ACTIONS(13538),
    [sym__pipe_right_operator] = ACTIONS(13536),
    [sym__pipe_left_operator] = ACTIONS(13536),
    [sym__ellipsis_operator] = ACTIONS(13538),
    [sym__plus_operator] = ACTIONS(13538),
    [sym__times_operator] = ACTIONS(13538),
    [sym__rational_operator] = ACTIONS(13536),
    [sym__bitshift_operator] = ACTIONS(13536),
    [sym__power_operator] = ACTIONS(13536),
    [sym__tilde_operator] = ACTIONS(13536),
    [sym__type_order_operator] = ACTIONS(13536),
    [sym__unary_operator] = ACTIONS(13538),
    [sym__unary_plus_operator] = ACTIONS(13538),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13536),
    [sym__command_start] = ACTIONS(13536),
  },
  [8595] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_as] = ACTIONS(14005),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [8596] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_EQ] = ACTIONS(12348),
    [anon_sym_COMMA] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_COLON2] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12348),
    [anon_sym_QMARK] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__lazy_or_operator] = ACTIONS(12348),
    [sym__lazy_and_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [8597] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8598] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_catch] = ACTIONS(13392),
    [anon_sym_finally] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8599] = {
    [sym__word_identifier] = ACTIONS(14043),
    [anon_sym_EQ] = ACTIONS(14043),
    [anon_sym_COMMA] = ACTIONS(14043),
    [anon_sym_COLON] = ACTIONS(14043),
    [anon_sym_begin] = ACTIONS(14043),
    [anon_sym_module] = ACTIONS(14043),
    [anon_sym_baremodule] = ACTIONS(14043),
    [anon_sym_abstract] = ACTIONS(14043),
    [anon_sym_primitive] = ACTIONS(14043),
    [anon_sym_mutable] = ACTIONS(14043),
    [anon_sym_struct] = ACTIONS(14043),
    [anon_sym_function] = ACTIONS(14043),
    [anon_sym_macro] = ACTIONS(14043),
    [anon_sym_where] = ACTIONS(14043),
    [anon_sym_quote] = ACTIONS(14043),
    [anon_sym_let] = ACTIONS(14043),
    [anon_sym_if] = ACTIONS(14043),
    [anon_sym_try] = ACTIONS(14043),
    [anon_sym_catch] = ACTIONS(14043),
    [anon_sym_finally] = ACTIONS(14043),
    [anon_sym_for] = ACTIONS(14043),
    [anon_sym_while] = ACTIONS(14043),
    [sym_break_statement] = ACTIONS(14043),
    [sym_continue_statement] = ACTIONS(14043),
    [anon_sym_return] = ACTIONS(14043),
    [anon_sym_const] = ACTIONS(14043),
    [anon_sym_global] = ACTIONS(14043),
    [anon_sym_local] = ACTIONS(14043),
    [anon_sym_LPAREN] = ACTIONS(14043),
    [anon_sym_COLON2] = ACTIONS(14043),
    [anon_sym_export] = ACTIONS(14043),
    [anon_sym_import] = ACTIONS(14043),
    [anon_sym_using] = ACTIONS(14043),
    [anon_sym_LBRACK] = ACTIONS(14043),
    [anon_sym_LF] = ACTIONS(14041),
    [anon_sym_in] = ACTIONS(14043),
    [anon_sym_LBRACE] = ACTIONS(14043),
    [anon_sym_DOLLAR] = ACTIONS(14043),
    [anon_sym_COLON_COLON] = ACTIONS(14043),
    [anon_sym_isa] = ACTIONS(14043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_QMARK] = ACTIONS(14043),
    [anon_sym_AT] = ACTIONS(14043),
    [anon_sym_true] = ACTIONS(14043),
    [anon_sym_false] = ACTIONS(14043),
    [aux_sym_integer_literal_token1] = ACTIONS(14043),
    [aux_sym_integer_literal_token2] = ACTIONS(14043),
    [aux_sym_integer_literal_token3] = ACTIONS(14043),
    [aux_sym_integer_literal_token4] = ACTIONS(14043),
    [aux_sym_float_literal_token1] = ACTIONS(14043),
    [aux_sym_float_literal_token3] = ACTIONS(14043),
    [aux_sym_float_literal_token4] = ACTIONS(14043),
    [sym_character_literal] = ACTIONS(14043),
    [sym__pair_operator] = ACTIONS(14043),
    [sym__arrow_operator] = ACTIONS(14043),
    [sym__lazy_or_operator] = ACTIONS(14043),
    [sym__lazy_and_operator] = ACTIONS(14043),
    [sym__comparison_operator] = ACTIONS(14043),
    [sym__pipe_right_operator] = ACTIONS(14043),
    [sym__pipe_left_operator] = ACTIONS(14043),
    [sym__ellipsis_operator] = ACTIONS(14043),
    [sym__plus_operator] = ACTIONS(14043),
    [sym__times_operator] = ACTIONS(14043),
    [sym__rational_operator] = ACTIONS(14043),
    [sym__bitshift_operator] = ACTIONS(14043),
    [sym__power_operator] = ACTIONS(14043),
    [sym__tilde_operator] = ACTIONS(14043),
    [sym__type_order_operator] = ACTIONS(14043),
    [sym__unary_operator] = ACTIONS(14043),
    [sym__unary_plus_operator] = ACTIONS(14043),
    [aux_sym__terminator_token1] = ACTIONS(14043),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14041),
    [sym__command_start] = ACTIONS(14041),
  },
  [8600] = {
    [sym__word_identifier] = ACTIONS(13546),
    [anon_sym_EQ] = ACTIONS(13546),
    [anon_sym_COMMA] = ACTIONS(13544),
    [anon_sym_COLON] = ACTIONS(13546),
    [anon_sym_begin] = ACTIONS(13546),
    [anon_sym_module] = ACTIONS(13546),
    [anon_sym_baremodule] = ACTIONS(13546),
    [anon_sym_abstract] = ACTIONS(13546),
    [anon_sym_primitive] = ACTIONS(13546),
    [anon_sym_mutable] = ACTIONS(13546),
    [anon_sym_struct] = ACTIONS(13546),
    [anon_sym_function] = ACTIONS(13546),
    [anon_sym_macro] = ACTIONS(13546),
    [anon_sym_where] = ACTIONS(13546),
    [anon_sym_quote] = ACTIONS(13546),
    [anon_sym_let] = ACTIONS(13546),
    [anon_sym_if] = ACTIONS(13546),
    [anon_sym_try] = ACTIONS(13546),
    [anon_sym_for] = ACTIONS(13546),
    [anon_sym_while] = ACTIONS(13546),
    [sym_break_statement] = ACTIONS(13546),
    [sym_continue_statement] = ACTIONS(13546),
    [anon_sym_return] = ACTIONS(13546),
    [anon_sym_const] = ACTIONS(13546),
    [anon_sym_global] = ACTIONS(13546),
    [anon_sym_local] = ACTIONS(13546),
    [anon_sym_LPAREN] = ACTIONS(13544),
    [anon_sym_RPAREN] = ACTIONS(13544),
    [anon_sym_COLON2] = ACTIONS(13546),
    [anon_sym_export] = ACTIONS(13546),
    [anon_sym_import] = ACTIONS(13546),
    [anon_sym_using] = ACTIONS(13546),
    [anon_sym_LBRACK] = ACTIONS(13544),
    [anon_sym_RBRACK] = ACTIONS(13544),
    [anon_sym_in] = ACTIONS(13546),
    [anon_sym_SEMI] = ACTIONS(13544),
    [anon_sym_LBRACE] = ACTIONS(13544),
    [anon_sym_RBRACE] = ACTIONS(13544),
    [anon_sym_DOLLAR] = ACTIONS(13544),
    [anon_sym_COLON_COLON] = ACTIONS(13544),
    [anon_sym_isa] = ACTIONS(13546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13544),
    [anon_sym_QMARK] = ACTIONS(13544),
    [anon_sym_AT] = ACTIONS(13544),
    [anon_sym_true] = ACTIONS(13546),
    [anon_sym_false] = ACTIONS(13546),
    [aux_sym_integer_literal_token1] = ACTIONS(13544),
    [aux_sym_integer_literal_token2] = ACTIONS(13544),
    [aux_sym_integer_literal_token3] = ACTIONS(13546),
    [aux_sym_integer_literal_token4] = ACTIONS(13546),
    [aux_sym_float_literal_token1] = ACTIONS(13544),
    [aux_sym_float_literal_token3] = ACTIONS(13544),
    [aux_sym_float_literal_token4] = ACTIONS(13544),
    [sym_character_literal] = ACTIONS(13544),
    [sym__pair_operator] = ACTIONS(13544),
    [sym__arrow_operator] = ACTIONS(13546),
    [sym__lazy_or_operator] = ACTIONS(13544),
    [sym__lazy_and_operator] = ACTIONS(13544),
    [sym__comparison_operator] = ACTIONS(13546),
    [sym__pipe_right_operator] = ACTIONS(13544),
    [sym__pipe_left_operator] = ACTIONS(13544),
    [sym__ellipsis_operator] = ACTIONS(13546),
    [sym__plus_operator] = ACTIONS(13546),
    [sym__times_operator] = ACTIONS(13546),
    [sym__rational_operator] = ACTIONS(13544),
    [sym__bitshift_operator] = ACTIONS(13544),
    [sym__power_operator] = ACTIONS(13544),
    [sym__tilde_operator] = ACTIONS(13544),
    [sym__type_order_operator] = ACTIONS(13544),
    [sym__unary_operator] = ACTIONS(13546),
    [sym__unary_plus_operator] = ACTIONS(13546),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13544),
    [sym__command_start] = ACTIONS(13544),
  },
  [8601] = {
    [sym__word_identifier] = ACTIONS(13290),
    [anon_sym_EQ] = ACTIONS(13290),
    [anon_sym_COMMA] = ACTIONS(13292),
    [anon_sym_COLON] = ACTIONS(13290),
    [anon_sym_begin] = ACTIONS(13290),
    [anon_sym_module] = ACTIONS(13290),
    [anon_sym_baremodule] = ACTIONS(13290),
    [anon_sym_abstract] = ACTIONS(13290),
    [anon_sym_primitive] = ACTIONS(13290),
    [anon_sym_mutable] = ACTIONS(13290),
    [anon_sym_struct] = ACTIONS(13290),
    [anon_sym_function] = ACTIONS(13290),
    [anon_sym_macro] = ACTIONS(13290),
    [anon_sym_where] = ACTIONS(13290),
    [anon_sym_quote] = ACTIONS(13290),
    [anon_sym_let] = ACTIONS(13290),
    [anon_sym_if] = ACTIONS(13290),
    [anon_sym_try] = ACTIONS(13290),
    [anon_sym_for] = ACTIONS(13290),
    [anon_sym_while] = ACTIONS(13290),
    [sym_break_statement] = ACTIONS(13290),
    [sym_continue_statement] = ACTIONS(13290),
    [anon_sym_return] = ACTIONS(13290),
    [anon_sym_const] = ACTIONS(13290),
    [anon_sym_global] = ACTIONS(13290),
    [anon_sym_local] = ACTIONS(13290),
    [anon_sym_LPAREN] = ACTIONS(13292),
    [anon_sym_RPAREN] = ACTIONS(13292),
    [anon_sym_COLON2] = ACTIONS(13290),
    [anon_sym_export] = ACTIONS(13290),
    [anon_sym_import] = ACTIONS(13290),
    [anon_sym_using] = ACTIONS(13290),
    [anon_sym_LBRACK] = ACTIONS(13292),
    [anon_sym_RBRACK] = ACTIONS(13292),
    [anon_sym_in] = ACTIONS(13290),
    [anon_sym_SEMI] = ACTIONS(13292),
    [anon_sym_LBRACE] = ACTIONS(13292),
    [anon_sym_RBRACE] = ACTIONS(13292),
    [anon_sym_DOLLAR] = ACTIONS(13292),
    [anon_sym_COLON_COLON] = ACTIONS(13292),
    [anon_sym_isa] = ACTIONS(13290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13292),
    [anon_sym_QMARK] = ACTIONS(13292),
    [anon_sym_AT] = ACTIONS(13292),
    [anon_sym_true] = ACTIONS(13290),
    [anon_sym_false] = ACTIONS(13290),
    [aux_sym_integer_literal_token1] = ACTIONS(13292),
    [aux_sym_integer_literal_token2] = ACTIONS(13292),
    [aux_sym_integer_literal_token3] = ACTIONS(13290),
    [aux_sym_integer_literal_token4] = ACTIONS(13290),
    [aux_sym_float_literal_token1] = ACTIONS(13292),
    [aux_sym_float_literal_token3] = ACTIONS(13292),
    [aux_sym_float_literal_token4] = ACTIONS(13292),
    [sym_character_literal] = ACTIONS(13292),
    [sym__pair_operator] = ACTIONS(13292),
    [sym__arrow_operator] = ACTIONS(13290),
    [sym__lazy_or_operator] = ACTIONS(13292),
    [sym__lazy_and_operator] = ACTIONS(13292),
    [sym__comparison_operator] = ACTIONS(13290),
    [sym__pipe_right_operator] = ACTIONS(13292),
    [sym__pipe_left_operator] = ACTIONS(13292),
    [sym__ellipsis_operator] = ACTIONS(13290),
    [sym__plus_operator] = ACTIONS(13290),
    [sym__times_operator] = ACTIONS(13290),
    [sym__rational_operator] = ACTIONS(13292),
    [sym__bitshift_operator] = ACTIONS(13292),
    [sym__power_operator] = ACTIONS(13292),
    [sym__tilde_operator] = ACTIONS(13292),
    [sym__type_order_operator] = ACTIONS(13292),
    [sym__unary_operator] = ACTIONS(13290),
    [sym__unary_plus_operator] = ACTIONS(13290),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13292),
    [sym__command_start] = ACTIONS(13292),
  },
  [8602] = {
    [sym__word_identifier] = ACTIONS(13953),
    [anon_sym_EQ] = ACTIONS(13953),
    [anon_sym_COMMA] = ACTIONS(13953),
    [anon_sym_COLON] = ACTIONS(13953),
    [anon_sym_begin] = ACTIONS(13953),
    [anon_sym_module] = ACTIONS(13953),
    [anon_sym_baremodule] = ACTIONS(13953),
    [anon_sym_abstract] = ACTIONS(13953),
    [anon_sym_primitive] = ACTIONS(13953),
    [anon_sym_mutable] = ACTIONS(13953),
    [anon_sym_struct] = ACTIONS(13953),
    [anon_sym_function] = ACTIONS(13953),
    [anon_sym_macro] = ACTIONS(13953),
    [anon_sym_where] = ACTIONS(13953),
    [anon_sym_quote] = ACTIONS(13953),
    [anon_sym_let] = ACTIONS(13953),
    [anon_sym_if] = ACTIONS(13953),
    [anon_sym_try] = ACTIONS(13953),
    [anon_sym_catch] = ACTIONS(13953),
    [anon_sym_finally] = ACTIONS(13953),
    [anon_sym_for] = ACTIONS(13953),
    [anon_sym_while] = ACTIONS(13953),
    [sym_break_statement] = ACTIONS(13953),
    [sym_continue_statement] = ACTIONS(13953),
    [anon_sym_return] = ACTIONS(13953),
    [anon_sym_const] = ACTIONS(13953),
    [anon_sym_global] = ACTIONS(13953),
    [anon_sym_local] = ACTIONS(13953),
    [anon_sym_LPAREN] = ACTIONS(13953),
    [anon_sym_COLON2] = ACTIONS(13953),
    [anon_sym_export] = ACTIONS(13953),
    [anon_sym_import] = ACTIONS(13953),
    [anon_sym_using] = ACTIONS(13953),
    [anon_sym_LBRACK] = ACTIONS(13953),
    [anon_sym_LF] = ACTIONS(13955),
    [anon_sym_in] = ACTIONS(13953),
    [anon_sym_LBRACE] = ACTIONS(13953),
    [anon_sym_DOLLAR] = ACTIONS(13953),
    [anon_sym_COLON_COLON] = ACTIONS(13953),
    [anon_sym_isa] = ACTIONS(13953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13953),
    [anon_sym_QMARK] = ACTIONS(13953),
    [anon_sym_AT] = ACTIONS(13953),
    [anon_sym_true] = ACTIONS(13953),
    [anon_sym_false] = ACTIONS(13953),
    [aux_sym_integer_literal_token1] = ACTIONS(13953),
    [aux_sym_integer_literal_token2] = ACTIONS(13953),
    [aux_sym_integer_literal_token3] = ACTIONS(13953),
    [aux_sym_integer_literal_token4] = ACTIONS(13953),
    [aux_sym_float_literal_token1] = ACTIONS(13953),
    [aux_sym_float_literal_token3] = ACTIONS(13953),
    [aux_sym_float_literal_token4] = ACTIONS(13953),
    [sym_character_literal] = ACTIONS(13953),
    [sym__pair_operator] = ACTIONS(13953),
    [sym__arrow_operator] = ACTIONS(13953),
    [sym__lazy_or_operator] = ACTIONS(13953),
    [sym__lazy_and_operator] = ACTIONS(13953),
    [sym__comparison_operator] = ACTIONS(13953),
    [sym__pipe_right_operator] = ACTIONS(13953),
    [sym__pipe_left_operator] = ACTIONS(13953),
    [sym__ellipsis_operator] = ACTIONS(13953),
    [sym__plus_operator] = ACTIONS(13953),
    [sym__times_operator] = ACTIONS(13953),
    [sym__rational_operator] = ACTIONS(13953),
    [sym__bitshift_operator] = ACTIONS(13953),
    [sym__power_operator] = ACTIONS(13953),
    [sym__tilde_operator] = ACTIONS(13953),
    [sym__type_order_operator] = ACTIONS(13953),
    [sym__unary_operator] = ACTIONS(13953),
    [sym__unary_plus_operator] = ACTIONS(13953),
    [aux_sym__terminator_token1] = ACTIONS(13953),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13955),
    [sym__command_start] = ACTIONS(13955),
  },
  [8603] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14527),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14529),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14531),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(14531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(14535),
    [sym__lazy_or_operator] = ACTIONS(14537),
    [sym__lazy_and_operator] = ACTIONS(14539),
    [sym__comparison_operator] = ACTIONS(14531),
    [sym__pipe_right_operator] = ACTIONS(14541),
    [sym__pipe_left_operator] = ACTIONS(14543),
    [sym__ellipsis_operator] = ACTIONS(14545),
    [sym__plus_operator] = ACTIONS(14547),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14531),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14547),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8604] = {
    [sym__word_identifier] = ACTIONS(13574),
    [anon_sym_EQ] = ACTIONS(13574),
    [anon_sym_COMMA] = ACTIONS(13572),
    [anon_sym_COLON] = ACTIONS(13574),
    [anon_sym_begin] = ACTIONS(13574),
    [anon_sym_module] = ACTIONS(13574),
    [anon_sym_baremodule] = ACTIONS(13574),
    [anon_sym_abstract] = ACTIONS(13574),
    [anon_sym_primitive] = ACTIONS(13574),
    [anon_sym_mutable] = ACTIONS(13574),
    [anon_sym_struct] = ACTIONS(13574),
    [anon_sym_function] = ACTIONS(13574),
    [anon_sym_macro] = ACTIONS(13574),
    [anon_sym_where] = ACTIONS(13574),
    [anon_sym_quote] = ACTIONS(13574),
    [anon_sym_let] = ACTIONS(13574),
    [anon_sym_if] = ACTIONS(13574),
    [anon_sym_try] = ACTIONS(13574),
    [anon_sym_for] = ACTIONS(13574),
    [anon_sym_while] = ACTIONS(13574),
    [sym_break_statement] = ACTIONS(13574),
    [sym_continue_statement] = ACTIONS(13574),
    [anon_sym_return] = ACTIONS(13574),
    [anon_sym_const] = ACTIONS(13574),
    [anon_sym_global] = ACTIONS(13574),
    [anon_sym_local] = ACTIONS(13574),
    [anon_sym_LPAREN] = ACTIONS(13572),
    [anon_sym_RPAREN] = ACTIONS(13572),
    [anon_sym_COLON2] = ACTIONS(13574),
    [anon_sym_export] = ACTIONS(13574),
    [anon_sym_import] = ACTIONS(13574),
    [anon_sym_using] = ACTIONS(13574),
    [anon_sym_LBRACK] = ACTIONS(13572),
    [anon_sym_RBRACK] = ACTIONS(13572),
    [anon_sym_in] = ACTIONS(13574),
    [anon_sym_SEMI] = ACTIONS(13572),
    [anon_sym_LBRACE] = ACTIONS(13572),
    [anon_sym_RBRACE] = ACTIONS(13572),
    [anon_sym_DOLLAR] = ACTIONS(13572),
    [anon_sym_COLON_COLON] = ACTIONS(13572),
    [anon_sym_isa] = ACTIONS(13574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13572),
    [anon_sym_QMARK] = ACTIONS(13572),
    [anon_sym_AT] = ACTIONS(13572),
    [anon_sym_true] = ACTIONS(13574),
    [anon_sym_false] = ACTIONS(13574),
    [aux_sym_integer_literal_token1] = ACTIONS(13572),
    [aux_sym_integer_literal_token2] = ACTIONS(13572),
    [aux_sym_integer_literal_token3] = ACTIONS(13574),
    [aux_sym_integer_literal_token4] = ACTIONS(13574),
    [aux_sym_float_literal_token1] = ACTIONS(13572),
    [aux_sym_float_literal_token3] = ACTIONS(13572),
    [aux_sym_float_literal_token4] = ACTIONS(13572),
    [sym_character_literal] = ACTIONS(13572),
    [sym__pair_operator] = ACTIONS(13572),
    [sym__arrow_operator] = ACTIONS(13574),
    [sym__lazy_or_operator] = ACTIONS(13572),
    [sym__lazy_and_operator] = ACTIONS(13572),
    [sym__comparison_operator] = ACTIONS(13574),
    [sym__pipe_right_operator] = ACTIONS(13572),
    [sym__pipe_left_operator] = ACTIONS(13572),
    [sym__ellipsis_operator] = ACTIONS(13574),
    [sym__plus_operator] = ACTIONS(13574),
    [sym__times_operator] = ACTIONS(13574),
    [sym__rational_operator] = ACTIONS(13572),
    [sym__bitshift_operator] = ACTIONS(13572),
    [sym__power_operator] = ACTIONS(13572),
    [sym__tilde_operator] = ACTIONS(13572),
    [sym__type_order_operator] = ACTIONS(13572),
    [sym__unary_operator] = ACTIONS(13574),
    [sym__unary_plus_operator] = ACTIONS(13574),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13572),
    [sym__command_start] = ACTIONS(13572),
  },
  [8605] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(14608),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_else] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_finally] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(14570),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(14610),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13178),
    [anon_sym_isa] = ACTIONS(14610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13180),
    [anon_sym_QMARK] = ACTIONS(13576),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(14618),
    [sym__arrow_operator] = ACTIONS(14614),
    [sym__lazy_or_operator] = ACTIONS(14616),
    [sym__lazy_and_operator] = ACTIONS(14612),
    [sym__comparison_operator] = ACTIONS(14610),
    [sym__pipe_right_operator] = ACTIONS(14572),
    [sym__pipe_left_operator] = ACTIONS(14574),
    [sym__ellipsis_operator] = ACTIONS(14576),
    [sym__plus_operator] = ACTIONS(14568),
    [sym__times_operator] = ACTIONS(14566),
    [sym__rational_operator] = ACTIONS(14564),
    [sym__bitshift_operator] = ACTIONS(14562),
    [sym__power_operator] = ACTIONS(14560),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(14610),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14568),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [8606] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(12528),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_catch] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8607] = {
    [aux_sym_open_tuple_repeat1] = STATE(7969),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(13558),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_catch] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(14661),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8608] = {
    [sym__word_identifier] = ACTIONS(14037),
    [anon_sym_EQ] = ACTIONS(14037),
    [anon_sym_COMMA] = ACTIONS(14037),
    [anon_sym_COLON] = ACTIONS(14037),
    [anon_sym_begin] = ACTIONS(14037),
    [anon_sym_module] = ACTIONS(14037),
    [anon_sym_baremodule] = ACTIONS(14037),
    [anon_sym_abstract] = ACTIONS(14037),
    [anon_sym_primitive] = ACTIONS(14037),
    [anon_sym_mutable] = ACTIONS(14037),
    [anon_sym_struct] = ACTIONS(14037),
    [anon_sym_function] = ACTIONS(14037),
    [anon_sym_macro] = ACTIONS(14037),
    [anon_sym_where] = ACTIONS(14037),
    [anon_sym_quote] = ACTIONS(14037),
    [anon_sym_let] = ACTIONS(14037),
    [anon_sym_if] = ACTIONS(14037),
    [anon_sym_try] = ACTIONS(14037),
    [anon_sym_catch] = ACTIONS(14037),
    [anon_sym_finally] = ACTIONS(14037),
    [anon_sym_for] = ACTIONS(14037),
    [anon_sym_while] = ACTIONS(14037),
    [sym_break_statement] = ACTIONS(14037),
    [sym_continue_statement] = ACTIONS(14037),
    [anon_sym_return] = ACTIONS(14037),
    [anon_sym_const] = ACTIONS(14037),
    [anon_sym_global] = ACTIONS(14037),
    [anon_sym_local] = ACTIONS(14037),
    [anon_sym_LPAREN] = ACTIONS(14037),
    [anon_sym_COLON2] = ACTIONS(14037),
    [anon_sym_export] = ACTIONS(14037),
    [anon_sym_import] = ACTIONS(14037),
    [anon_sym_using] = ACTIONS(14037),
    [anon_sym_LBRACK] = ACTIONS(14037),
    [anon_sym_LF] = ACTIONS(14035),
    [anon_sym_in] = ACTIONS(14037),
    [anon_sym_LBRACE] = ACTIONS(14037),
    [anon_sym_DOLLAR] = ACTIONS(14037),
    [anon_sym_COLON_COLON] = ACTIONS(14037),
    [anon_sym_isa] = ACTIONS(14037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14037),
    [anon_sym_QMARK] = ACTIONS(14037),
    [anon_sym_AT] = ACTIONS(14037),
    [anon_sym_true] = ACTIONS(14037),
    [anon_sym_false] = ACTIONS(14037),
    [aux_sym_integer_literal_token1] = ACTIONS(14037),
    [aux_sym_integer_literal_token2] = ACTIONS(14037),
    [aux_sym_integer_literal_token3] = ACTIONS(14037),
    [aux_sym_integer_literal_token4] = ACTIONS(14037),
    [aux_sym_float_literal_token1] = ACTIONS(14037),
    [aux_sym_float_literal_token3] = ACTIONS(14037),
    [aux_sym_float_literal_token4] = ACTIONS(14037),
    [sym_character_literal] = ACTIONS(14037),
    [sym__pair_operator] = ACTIONS(14037),
    [sym__arrow_operator] = ACTIONS(14037),
    [sym__lazy_or_operator] = ACTIONS(14037),
    [sym__lazy_and_operator] = ACTIONS(14037),
    [sym__comparison_operator] = ACTIONS(14037),
    [sym__pipe_right_operator] = ACTIONS(14037),
    [sym__pipe_left_operator] = ACTIONS(14037),
    [sym__ellipsis_operator] = ACTIONS(14037),
    [sym__plus_operator] = ACTIONS(14037),
    [sym__times_operator] = ACTIONS(14037),
    [sym__rational_operator] = ACTIONS(14037),
    [sym__bitshift_operator] = ACTIONS(14037),
    [sym__power_operator] = ACTIONS(14037),
    [sym__tilde_operator] = ACTIONS(14037),
    [sym__type_order_operator] = ACTIONS(14037),
    [sym__unary_operator] = ACTIONS(14037),
    [sym__unary_plus_operator] = ACTIONS(14037),
    [aux_sym__terminator_token1] = ACTIONS(14037),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14035),
    [sym__command_start] = ACTIONS(14035),
  },
  [8609] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8610] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8611] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8612] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8613] = {
    [sym__word_identifier] = ACTIONS(13989),
    [anon_sym_EQ] = ACTIONS(13989),
    [anon_sym_COMMA] = ACTIONS(13987),
    [anon_sym_COLON] = ACTIONS(13989),
    [anon_sym_begin] = ACTIONS(13989),
    [anon_sym_module] = ACTIONS(13989),
    [anon_sym_baremodule] = ACTIONS(13989),
    [anon_sym_abstract] = ACTIONS(13989),
    [anon_sym_primitive] = ACTIONS(13989),
    [anon_sym_mutable] = ACTIONS(13989),
    [anon_sym_struct] = ACTIONS(13989),
    [anon_sym_function] = ACTIONS(13989),
    [anon_sym_macro] = ACTIONS(13989),
    [anon_sym_where] = ACTIONS(13989),
    [anon_sym_quote] = ACTIONS(13989),
    [anon_sym_let] = ACTIONS(13989),
    [anon_sym_if] = ACTIONS(13989),
    [anon_sym_try] = ACTIONS(13989),
    [anon_sym_for] = ACTIONS(13989),
    [anon_sym_while] = ACTIONS(13989),
    [sym_break_statement] = ACTIONS(13989),
    [sym_continue_statement] = ACTIONS(13989),
    [anon_sym_return] = ACTIONS(13989),
    [anon_sym_const] = ACTIONS(13989),
    [anon_sym_global] = ACTIONS(13989),
    [anon_sym_local] = ACTIONS(13989),
    [anon_sym_LPAREN] = ACTIONS(13987),
    [anon_sym_RPAREN] = ACTIONS(13987),
    [anon_sym_COLON2] = ACTIONS(13989),
    [anon_sym_export] = ACTIONS(13989),
    [anon_sym_import] = ACTIONS(13989),
    [anon_sym_using] = ACTIONS(13989),
    [anon_sym_LBRACK] = ACTIONS(13987),
    [anon_sym_RBRACK] = ACTIONS(13987),
    [anon_sym_in] = ACTIONS(13989),
    [anon_sym_SEMI] = ACTIONS(13987),
    [anon_sym_LBRACE] = ACTIONS(13987),
    [anon_sym_RBRACE] = ACTIONS(13987),
    [anon_sym_DOLLAR] = ACTIONS(13987),
    [anon_sym_COLON_COLON] = ACTIONS(13987),
    [anon_sym_isa] = ACTIONS(13989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13987),
    [anon_sym_QMARK] = ACTIONS(13987),
    [anon_sym_AT] = ACTIONS(13987),
    [anon_sym_true] = ACTIONS(13989),
    [anon_sym_false] = ACTIONS(13989),
    [aux_sym_integer_literal_token1] = ACTIONS(13987),
    [aux_sym_integer_literal_token2] = ACTIONS(13987),
    [aux_sym_integer_literal_token3] = ACTIONS(13989),
    [aux_sym_integer_literal_token4] = ACTIONS(13989),
    [aux_sym_float_literal_token1] = ACTIONS(13987),
    [aux_sym_float_literal_token3] = ACTIONS(13987),
    [aux_sym_float_literal_token4] = ACTIONS(13987),
    [sym_character_literal] = ACTIONS(13987),
    [sym__pair_operator] = ACTIONS(13987),
    [sym__arrow_operator] = ACTIONS(13989),
    [sym__lazy_or_operator] = ACTIONS(13987),
    [sym__lazy_and_operator] = ACTIONS(13987),
    [sym__comparison_operator] = ACTIONS(13989),
    [sym__pipe_right_operator] = ACTIONS(13987),
    [sym__pipe_left_operator] = ACTIONS(13987),
    [sym__ellipsis_operator] = ACTIONS(13989),
    [sym__plus_operator] = ACTIONS(13989),
    [sym__times_operator] = ACTIONS(13989),
    [sym__rational_operator] = ACTIONS(13987),
    [sym__bitshift_operator] = ACTIONS(13987),
    [sym__power_operator] = ACTIONS(13987),
    [sym__tilde_operator] = ACTIONS(13987),
    [sym__type_order_operator] = ACTIONS(13987),
    [sym__unary_operator] = ACTIONS(13989),
    [sym__unary_plus_operator] = ACTIONS(13989),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13987),
    [sym__command_start] = ACTIONS(13987),
  },
  [8614] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8615] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8616] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8617] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8618] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8619] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8620] = {
    [sym__word_identifier] = ACTIONS(14246),
    [anon_sym_EQ] = ACTIONS(14246),
    [anon_sym_COMMA] = ACTIONS(14246),
    [anon_sym_COLON] = ACTIONS(14246),
    [anon_sym_begin] = ACTIONS(14246),
    [anon_sym_module] = ACTIONS(14246),
    [anon_sym_baremodule] = ACTIONS(14246),
    [anon_sym_abstract] = ACTIONS(14246),
    [anon_sym_primitive] = ACTIONS(14246),
    [anon_sym_mutable] = ACTIONS(14246),
    [anon_sym_struct] = ACTIONS(14246),
    [anon_sym_function] = ACTIONS(14246),
    [anon_sym_macro] = ACTIONS(14246),
    [anon_sym_where] = ACTIONS(14246),
    [anon_sym_quote] = ACTIONS(14246),
    [anon_sym_let] = ACTIONS(14246),
    [anon_sym_if] = ACTIONS(14246),
    [anon_sym_try] = ACTIONS(14246),
    [anon_sym_catch] = ACTIONS(14246),
    [anon_sym_finally] = ACTIONS(14246),
    [anon_sym_for] = ACTIONS(14246),
    [anon_sym_while] = ACTIONS(14246),
    [sym_break_statement] = ACTIONS(14246),
    [sym_continue_statement] = ACTIONS(14246),
    [anon_sym_return] = ACTIONS(14246),
    [anon_sym_const] = ACTIONS(14246),
    [anon_sym_global] = ACTIONS(14246),
    [anon_sym_local] = ACTIONS(14246),
    [anon_sym_LPAREN] = ACTIONS(14246),
    [anon_sym_COLON2] = ACTIONS(14246),
    [anon_sym_export] = ACTIONS(14246),
    [anon_sym_import] = ACTIONS(14246),
    [anon_sym_using] = ACTIONS(14246),
    [anon_sym_LBRACK] = ACTIONS(14246),
    [anon_sym_LF] = ACTIONS(14244),
    [anon_sym_in] = ACTIONS(14246),
    [anon_sym_LBRACE] = ACTIONS(14246),
    [anon_sym_DOLLAR] = ACTIONS(14246),
    [anon_sym_COLON_COLON] = ACTIONS(14246),
    [anon_sym_isa] = ACTIONS(14246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14246),
    [anon_sym_QMARK] = ACTIONS(14246),
    [anon_sym_AT] = ACTIONS(14246),
    [anon_sym_true] = ACTIONS(14246),
    [anon_sym_false] = ACTIONS(14246),
    [aux_sym_integer_literal_token1] = ACTIONS(14246),
    [aux_sym_integer_literal_token2] = ACTIONS(14246),
    [aux_sym_integer_literal_token3] = ACTIONS(14246),
    [aux_sym_integer_literal_token4] = ACTIONS(14246),
    [aux_sym_float_literal_token1] = ACTIONS(14246),
    [aux_sym_float_literal_token3] = ACTIONS(14246),
    [aux_sym_float_literal_token4] = ACTIONS(14246),
    [sym_character_literal] = ACTIONS(14246),
    [sym__pair_operator] = ACTIONS(14246),
    [sym__arrow_operator] = ACTIONS(14246),
    [sym__lazy_or_operator] = ACTIONS(14246),
    [sym__lazy_and_operator] = ACTIONS(14246),
    [sym__comparison_operator] = ACTIONS(14246),
    [sym__pipe_right_operator] = ACTIONS(14246),
    [sym__pipe_left_operator] = ACTIONS(14246),
    [sym__ellipsis_operator] = ACTIONS(14246),
    [sym__plus_operator] = ACTIONS(14246),
    [sym__times_operator] = ACTIONS(14246),
    [sym__rational_operator] = ACTIONS(14246),
    [sym__bitshift_operator] = ACTIONS(14246),
    [sym__power_operator] = ACTIONS(14246),
    [sym__tilde_operator] = ACTIONS(14246),
    [sym__type_order_operator] = ACTIONS(14246),
    [sym__unary_operator] = ACTIONS(14246),
    [sym__unary_plus_operator] = ACTIONS(14246),
    [aux_sym__terminator_token1] = ACTIONS(14246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14244),
    [sym__command_start] = ACTIONS(14244),
  },
  [8621] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13438),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13448),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13506),
    [sym__arrow_operator] = ACTIONS(13450),
    [sym__lazy_or_operator] = ACTIONS(13452),
    [sym__lazy_and_operator] = ACTIONS(13454),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8622] = {
    [sym__word_identifier] = ACTIONS(14023),
    [anon_sym_EQ] = ACTIONS(14023),
    [anon_sym_COMMA] = ACTIONS(14023),
    [anon_sym_COLON] = ACTIONS(14023),
    [anon_sym_begin] = ACTIONS(14023),
    [anon_sym_module] = ACTIONS(14023),
    [anon_sym_baremodule] = ACTIONS(14023),
    [anon_sym_abstract] = ACTIONS(14023),
    [anon_sym_primitive] = ACTIONS(14023),
    [anon_sym_mutable] = ACTIONS(14023),
    [anon_sym_struct] = ACTIONS(14023),
    [anon_sym_function] = ACTIONS(14023),
    [anon_sym_macro] = ACTIONS(14023),
    [anon_sym_where] = ACTIONS(14023),
    [anon_sym_quote] = ACTIONS(14023),
    [anon_sym_let] = ACTIONS(14023),
    [anon_sym_if] = ACTIONS(14023),
    [anon_sym_try] = ACTIONS(14023),
    [anon_sym_catch] = ACTIONS(14023),
    [anon_sym_finally] = ACTIONS(14023),
    [anon_sym_for] = ACTIONS(14023),
    [anon_sym_while] = ACTIONS(14023),
    [sym_break_statement] = ACTIONS(14023),
    [sym_continue_statement] = ACTIONS(14023),
    [anon_sym_return] = ACTIONS(14023),
    [anon_sym_const] = ACTIONS(14023),
    [anon_sym_global] = ACTIONS(14023),
    [anon_sym_local] = ACTIONS(14023),
    [anon_sym_LPAREN] = ACTIONS(14023),
    [anon_sym_COLON2] = ACTIONS(14023),
    [anon_sym_export] = ACTIONS(14023),
    [anon_sym_import] = ACTIONS(14023),
    [anon_sym_using] = ACTIONS(14023),
    [anon_sym_LBRACK] = ACTIONS(14023),
    [anon_sym_LF] = ACTIONS(14021),
    [anon_sym_in] = ACTIONS(14023),
    [anon_sym_LBRACE] = ACTIONS(14023),
    [anon_sym_DOLLAR] = ACTIONS(14023),
    [anon_sym_COLON_COLON] = ACTIONS(14023),
    [anon_sym_isa] = ACTIONS(14023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14023),
    [anon_sym_QMARK] = ACTIONS(14023),
    [anon_sym_AT] = ACTIONS(14023),
    [anon_sym_true] = ACTIONS(14023),
    [anon_sym_false] = ACTIONS(14023),
    [aux_sym_integer_literal_token1] = ACTIONS(14023),
    [aux_sym_integer_literal_token2] = ACTIONS(14023),
    [aux_sym_integer_literal_token3] = ACTIONS(14023),
    [aux_sym_integer_literal_token4] = ACTIONS(14023),
    [aux_sym_float_literal_token1] = ACTIONS(14023),
    [aux_sym_float_literal_token3] = ACTIONS(14023),
    [aux_sym_float_literal_token4] = ACTIONS(14023),
    [sym_character_literal] = ACTIONS(14023),
    [sym__pair_operator] = ACTIONS(14023),
    [sym__arrow_operator] = ACTIONS(14023),
    [sym__lazy_or_operator] = ACTIONS(14023),
    [sym__lazy_and_operator] = ACTIONS(14023),
    [sym__comparison_operator] = ACTIONS(14023),
    [sym__pipe_right_operator] = ACTIONS(14023),
    [sym__pipe_left_operator] = ACTIONS(14023),
    [sym__ellipsis_operator] = ACTIONS(14023),
    [sym__plus_operator] = ACTIONS(14023),
    [sym__times_operator] = ACTIONS(14023),
    [sym__rational_operator] = ACTIONS(14023),
    [sym__bitshift_operator] = ACTIONS(14023),
    [sym__power_operator] = ACTIONS(14023),
    [sym__tilde_operator] = ACTIONS(14023),
    [sym__type_order_operator] = ACTIONS(14023),
    [sym__unary_operator] = ACTIONS(14023),
    [sym__unary_plus_operator] = ACTIONS(14023),
    [aux_sym__terminator_token1] = ACTIONS(14023),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14021),
    [sym__command_start] = ACTIONS(14021),
  },
  [8623] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8624] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_EQ] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_catch] = ACTIONS(13404),
    [anon_sym_finally] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [8625] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_EQ] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_catch] = ACTIONS(13920),
    [anon_sym_finally] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(13440),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(13442),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(13442),
    [sym__pipe_right_operator] = ACTIONS(13456),
    [sym__pipe_left_operator] = ACTIONS(13458),
    [sym__ellipsis_operator] = ACTIONS(13460),
    [sym__plus_operator] = ACTIONS(13462),
    [sym__times_operator] = ACTIONS(13464),
    [sym__rational_operator] = ACTIONS(13466),
    [sym__bitshift_operator] = ACTIONS(13468),
    [sym__power_operator] = ACTIONS(13470),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(13442),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(13462),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [8626] = {
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12957),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_end] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(13347),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_catch] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(13349),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(13351),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13357),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(13381),
    [sym__arrow_operator] = ACTIONS(13359),
    [sym__lazy_or_operator] = ACTIONS(13361),
    [sym__lazy_and_operator] = ACTIONS(13363),
    [sym__comparison_operator] = ACTIONS(13351),
    [sym__pipe_right_operator] = ACTIONS(13365),
    [sym__pipe_left_operator] = ACTIONS(13367),
    [sym__ellipsis_operator] = ACTIONS(13369),
    [sym__plus_operator] = ACTIONS(13371),
    [sym__times_operator] = ACTIONS(13373),
    [sym__rational_operator] = ACTIONS(13375),
    [sym__bitshift_operator] = ACTIONS(13377),
    [sym__power_operator] = ACTIONS(13379),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(13351),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(13371),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [8627] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8628] = {
    [sym__word_identifier] = ACTIONS(14019),
    [anon_sym_EQ] = ACTIONS(14019),
    [anon_sym_COMMA] = ACTIONS(14019),
    [anon_sym_COLON] = ACTIONS(14019),
    [anon_sym_begin] = ACTIONS(14019),
    [anon_sym_module] = ACTIONS(14019),
    [anon_sym_baremodule] = ACTIONS(14019),
    [anon_sym_abstract] = ACTIONS(14019),
    [anon_sym_primitive] = ACTIONS(14019),
    [anon_sym_mutable] = ACTIONS(14019),
    [anon_sym_struct] = ACTIONS(14019),
    [anon_sym_function] = ACTIONS(14019),
    [anon_sym_macro] = ACTIONS(14019),
    [anon_sym_where] = ACTIONS(14019),
    [anon_sym_quote] = ACTIONS(14019),
    [anon_sym_let] = ACTIONS(14019),
    [anon_sym_if] = ACTIONS(14019),
    [anon_sym_try] = ACTIONS(14019),
    [anon_sym_catch] = ACTIONS(14019),
    [anon_sym_finally] = ACTIONS(14019),
    [anon_sym_for] = ACTIONS(14019),
    [anon_sym_while] = ACTIONS(14019),
    [sym_break_statement] = ACTIONS(14019),
    [sym_continue_statement] = ACTIONS(14019),
    [anon_sym_return] = ACTIONS(14019),
    [anon_sym_const] = ACTIONS(14019),
    [anon_sym_global] = ACTIONS(14019),
    [anon_sym_local] = ACTIONS(14019),
    [anon_sym_LPAREN] = ACTIONS(14019),
    [anon_sym_COLON2] = ACTIONS(14019),
    [anon_sym_export] = ACTIONS(14019),
    [anon_sym_import] = ACTIONS(14019),
    [anon_sym_using] = ACTIONS(14019),
    [anon_sym_LBRACK] = ACTIONS(14019),
    [anon_sym_LF] = ACTIONS(14017),
    [anon_sym_in] = ACTIONS(14019),
    [anon_sym_LBRACE] = ACTIONS(14019),
    [anon_sym_DOLLAR] = ACTIONS(14019),
    [anon_sym_COLON_COLON] = ACTIONS(14019),
    [anon_sym_isa] = ACTIONS(14019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14019),
    [anon_sym_QMARK] = ACTIONS(14019),
    [anon_sym_AT] = ACTIONS(14019),
    [anon_sym_true] = ACTIONS(14019),
    [anon_sym_false] = ACTIONS(14019),
    [aux_sym_integer_literal_token1] = ACTIONS(14019),
    [aux_sym_integer_literal_token2] = ACTIONS(14019),
    [aux_sym_integer_literal_token3] = ACTIONS(14019),
    [aux_sym_integer_literal_token4] = ACTIONS(14019),
    [aux_sym_float_literal_token1] = ACTIONS(14019),
    [aux_sym_float_literal_token3] = ACTIONS(14019),
    [aux_sym_float_literal_token4] = ACTIONS(14019),
    [sym_character_literal] = ACTIONS(14019),
    [sym__pair_operator] = ACTIONS(14019),
    [sym__arrow_operator] = ACTIONS(14019),
    [sym__lazy_or_operator] = ACTIONS(14019),
    [sym__lazy_and_operator] = ACTIONS(14019),
    [sym__comparison_operator] = ACTIONS(14019),
    [sym__pipe_right_operator] = ACTIONS(14019),
    [sym__pipe_left_operator] = ACTIONS(14019),
    [sym__ellipsis_operator] = ACTIONS(14019),
    [sym__plus_operator] = ACTIONS(14019),
    [sym__times_operator] = ACTIONS(14019),
    [sym__rational_operator] = ACTIONS(14019),
    [sym__bitshift_operator] = ACTIONS(14019),
    [sym__power_operator] = ACTIONS(14019),
    [sym__tilde_operator] = ACTIONS(14019),
    [sym__type_order_operator] = ACTIONS(14019),
    [sym__unary_operator] = ACTIONS(14019),
    [sym__unary_plus_operator] = ACTIONS(14019),
    [aux_sym__terminator_token1] = ACTIONS(14019),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14017),
    [sym__command_start] = ACTIONS(14017),
  },
  [8629] = {
    [sym__word_identifier] = ACTIONS(14015),
    [anon_sym_EQ] = ACTIONS(14015),
    [anon_sym_COMMA] = ACTIONS(14015),
    [anon_sym_COLON] = ACTIONS(14015),
    [anon_sym_begin] = ACTIONS(14015),
    [anon_sym_module] = ACTIONS(14015),
    [anon_sym_baremodule] = ACTIONS(14015),
    [anon_sym_abstract] = ACTIONS(14015),
    [anon_sym_primitive] = ACTIONS(14015),
    [anon_sym_mutable] = ACTIONS(14015),
    [anon_sym_struct] = ACTIONS(14015),
    [anon_sym_function] = ACTIONS(14015),
    [anon_sym_macro] = ACTIONS(14015),
    [anon_sym_where] = ACTIONS(14015),
    [anon_sym_quote] = ACTIONS(14015),
    [anon_sym_let] = ACTIONS(14015),
    [anon_sym_if] = ACTIONS(14015),
    [anon_sym_try] = ACTIONS(14015),
    [anon_sym_catch] = ACTIONS(14015),
    [anon_sym_finally] = ACTIONS(14015),
    [anon_sym_for] = ACTIONS(14015),
    [anon_sym_while] = ACTIONS(14015),
    [sym_break_statement] = ACTIONS(14015),
    [sym_continue_statement] = ACTIONS(14015),
    [anon_sym_return] = ACTIONS(14015),
    [anon_sym_const] = ACTIONS(14015),
    [anon_sym_global] = ACTIONS(14015),
    [anon_sym_local] = ACTIONS(14015),
    [anon_sym_LPAREN] = ACTIONS(14015),
    [anon_sym_COLON2] = ACTIONS(14015),
    [anon_sym_export] = ACTIONS(14015),
    [anon_sym_import] = ACTIONS(14015),
    [anon_sym_using] = ACTIONS(14015),
    [anon_sym_LBRACK] = ACTIONS(14015),
    [anon_sym_LF] = ACTIONS(14013),
    [anon_sym_in] = ACTIONS(14015),
    [anon_sym_LBRACE] = ACTIONS(14015),
    [anon_sym_DOLLAR] = ACTIONS(14015),
    [anon_sym_COLON_COLON] = ACTIONS(14015),
    [anon_sym_isa] = ACTIONS(14015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14015),
    [anon_sym_QMARK] = ACTIONS(14015),
    [anon_sym_AT] = ACTIONS(14015),
    [anon_sym_true] = ACTIONS(14015),
    [anon_sym_false] = ACTIONS(14015),
    [aux_sym_integer_literal_token1] = ACTIONS(14015),
    [aux_sym_integer_literal_token2] = ACTIONS(14015),
    [aux_sym_integer_literal_token3] = ACTIONS(14015),
    [aux_sym_integer_literal_token4] = ACTIONS(14015),
    [aux_sym_float_literal_token1] = ACTIONS(14015),
    [aux_sym_float_literal_token3] = ACTIONS(14015),
    [aux_sym_float_literal_token4] = ACTIONS(14015),
    [sym_character_literal] = ACTIONS(14015),
    [sym__pair_operator] = ACTIONS(14015),
    [sym__arrow_operator] = ACTIONS(14015),
    [sym__lazy_or_operator] = ACTIONS(14015),
    [sym__lazy_and_operator] = ACTIONS(14015),
    [sym__comparison_operator] = ACTIONS(14015),
    [sym__pipe_right_operator] = ACTIONS(14015),
    [sym__pipe_left_operator] = ACTIONS(14015),
    [sym__ellipsis_operator] = ACTIONS(14015),
    [sym__plus_operator] = ACTIONS(14015),
    [sym__times_operator] = ACTIONS(14015),
    [sym__rational_operator] = ACTIONS(14015),
    [sym__bitshift_operator] = ACTIONS(14015),
    [sym__power_operator] = ACTIONS(14015),
    [sym__tilde_operator] = ACTIONS(14015),
    [sym__type_order_operator] = ACTIONS(14015),
    [sym__unary_operator] = ACTIONS(14015),
    [sym__unary_plus_operator] = ACTIONS(14015),
    [aux_sym__terminator_token1] = ACTIONS(14015),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14013),
    [sym__command_start] = ACTIONS(14013),
  },
  [8630] = {
    [sym__word_identifier] = ACTIONS(13949),
    [anon_sym_EQ] = ACTIONS(13949),
    [anon_sym_COMMA] = ACTIONS(13949),
    [anon_sym_COLON] = ACTIONS(13949),
    [anon_sym_begin] = ACTIONS(13949),
    [anon_sym_module] = ACTIONS(13949),
    [anon_sym_baremodule] = ACTIONS(13949),
    [anon_sym_abstract] = ACTIONS(13949),
    [anon_sym_primitive] = ACTIONS(13949),
    [anon_sym_mutable] = ACTIONS(13949),
    [anon_sym_struct] = ACTIONS(13949),
    [anon_sym_function] = ACTIONS(13949),
    [anon_sym_macro] = ACTIONS(13949),
    [anon_sym_where] = ACTIONS(13949),
    [anon_sym_quote] = ACTIONS(13949),
    [anon_sym_let] = ACTIONS(13949),
    [anon_sym_if] = ACTIONS(13949),
    [anon_sym_try] = ACTIONS(13949),
    [anon_sym_catch] = ACTIONS(13949),
    [anon_sym_finally] = ACTIONS(13949),
    [anon_sym_for] = ACTIONS(13949),
    [anon_sym_while] = ACTIONS(13949),
    [sym_break_statement] = ACTIONS(13949),
    [sym_continue_statement] = ACTIONS(13949),
    [anon_sym_return] = ACTIONS(13949),
    [anon_sym_const] = ACTIONS(13949),
    [anon_sym_global] = ACTIONS(13949),
    [anon_sym_local] = ACTIONS(13949),
    [anon_sym_LPAREN] = ACTIONS(13949),
    [anon_sym_COLON2] = ACTIONS(13949),
    [anon_sym_export] = ACTIONS(13949),
    [anon_sym_import] = ACTIONS(13949),
    [anon_sym_using] = ACTIONS(13949),
    [anon_sym_LBRACK] = ACTIONS(13949),
    [anon_sym_LF] = ACTIONS(13951),
    [anon_sym_in] = ACTIONS(13949),
    [anon_sym_LBRACE] = ACTIONS(13949),
    [anon_sym_DOLLAR] = ACTIONS(13949),
    [anon_sym_COLON_COLON] = ACTIONS(13949),
    [anon_sym_isa] = ACTIONS(13949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13949),
    [anon_sym_QMARK] = ACTIONS(13949),
    [anon_sym_AT] = ACTIONS(13949),
    [anon_sym_true] = ACTIONS(13949),
    [anon_sym_false] = ACTIONS(13949),
    [aux_sym_integer_literal_token1] = ACTIONS(13949),
    [aux_sym_integer_literal_token2] = ACTIONS(13949),
    [aux_sym_integer_literal_token3] = ACTIONS(13949),
    [aux_sym_integer_literal_token4] = ACTIONS(13949),
    [aux_sym_float_literal_token1] = ACTIONS(13949),
    [aux_sym_float_literal_token3] = ACTIONS(13949),
    [aux_sym_float_literal_token4] = ACTIONS(13949),
    [sym_character_literal] = ACTIONS(13949),
    [sym__pair_operator] = ACTIONS(13949),
    [sym__arrow_operator] = ACTIONS(13949),
    [sym__lazy_or_operator] = ACTIONS(13949),
    [sym__lazy_and_operator] = ACTIONS(13949),
    [sym__comparison_operator] = ACTIONS(13949),
    [sym__pipe_right_operator] = ACTIONS(13949),
    [sym__pipe_left_operator] = ACTIONS(13949),
    [sym__ellipsis_operator] = ACTIONS(13949),
    [sym__plus_operator] = ACTIONS(13949),
    [sym__times_operator] = ACTIONS(13949),
    [sym__rational_operator] = ACTIONS(13949),
    [sym__bitshift_operator] = ACTIONS(13949),
    [sym__power_operator] = ACTIONS(13949),
    [sym__tilde_operator] = ACTIONS(13949),
    [sym__type_order_operator] = ACTIONS(13949),
    [sym__unary_operator] = ACTIONS(13949),
    [sym__unary_plus_operator] = ACTIONS(13949),
    [aux_sym__terminator_token1] = ACTIONS(13949),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13951),
    [sym__command_start] = ACTIONS(13951),
  },
  [8631] = {
    [sym__word_identifier] = ACTIONS(14011),
    [anon_sym_EQ] = ACTIONS(14011),
    [anon_sym_COMMA] = ACTIONS(14011),
    [anon_sym_COLON] = ACTIONS(14011),
    [anon_sym_begin] = ACTIONS(14011),
    [anon_sym_module] = ACTIONS(14011),
    [anon_sym_baremodule] = ACTIONS(14011),
    [anon_sym_abstract] = ACTIONS(14011),
    [anon_sym_primitive] = ACTIONS(14011),
    [anon_sym_mutable] = ACTIONS(14011),
    [anon_sym_struct] = ACTIONS(14011),
    [anon_sym_function] = ACTIONS(14011),
    [anon_sym_macro] = ACTIONS(14011),
    [anon_sym_where] = ACTIONS(14011),
    [anon_sym_quote] = ACTIONS(14011),
    [anon_sym_let] = ACTIONS(14011),
    [anon_sym_if] = ACTIONS(14011),
    [anon_sym_try] = ACTIONS(14011),
    [anon_sym_catch] = ACTIONS(14011),
    [anon_sym_finally] = ACTIONS(14011),
    [anon_sym_for] = ACTIONS(14011),
    [anon_sym_while] = ACTIONS(14011),
    [sym_break_statement] = ACTIONS(14011),
    [sym_continue_statement] = ACTIONS(14011),
    [anon_sym_return] = ACTIONS(14011),
    [anon_sym_const] = ACTIONS(14011),
    [anon_sym_global] = ACTIONS(14011),
    [anon_sym_local] = ACTIONS(14011),
    [anon_sym_LPAREN] = ACTIONS(14011),
    [anon_sym_COLON2] = ACTIONS(14011),
    [anon_sym_export] = ACTIONS(14011),
    [anon_sym_import] = ACTIONS(14011),
    [anon_sym_using] = ACTIONS(14011),
    [anon_sym_LBRACK] = ACTIONS(14011),
    [anon_sym_LF] = ACTIONS(14009),
    [anon_sym_in] = ACTIONS(14011),
    [anon_sym_LBRACE] = ACTIONS(14011),
    [anon_sym_DOLLAR] = ACTIONS(14011),
    [anon_sym_COLON_COLON] = ACTIONS(14011),
    [anon_sym_isa] = ACTIONS(14011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14011),
    [anon_sym_QMARK] = ACTIONS(14011),
    [anon_sym_AT] = ACTIONS(14011),
    [anon_sym_true] = ACTIONS(14011),
    [anon_sym_false] = ACTIONS(14011),
    [aux_sym_integer_literal_token1] = ACTIONS(14011),
    [aux_sym_integer_literal_token2] = ACTIONS(14011),
    [aux_sym_integer_literal_token3] = ACTIONS(14011),
    [aux_sym_integer_literal_token4] = ACTIONS(14011),
    [aux_sym_float_literal_token1] = ACTIONS(14011),
    [aux_sym_float_literal_token3] = ACTIONS(14011),
    [aux_sym_float_literal_token4] = ACTIONS(14011),
    [sym_character_literal] = ACTIONS(14011),
    [sym__pair_operator] = ACTIONS(14011),
    [sym__arrow_operator] = ACTIONS(14011),
    [sym__lazy_or_operator] = ACTIONS(14011),
    [sym__lazy_and_operator] = ACTIONS(14011),
    [sym__comparison_operator] = ACTIONS(14011),
    [sym__pipe_right_operator] = ACTIONS(14011),
    [sym__pipe_left_operator] = ACTIONS(14011),
    [sym__ellipsis_operator] = ACTIONS(14011),
    [sym__plus_operator] = ACTIONS(14011),
    [sym__times_operator] = ACTIONS(14011),
    [sym__rational_operator] = ACTIONS(14011),
    [sym__bitshift_operator] = ACTIONS(14011),
    [sym__power_operator] = ACTIONS(14011),
    [sym__tilde_operator] = ACTIONS(14011),
    [sym__type_order_operator] = ACTIONS(14011),
    [sym__unary_operator] = ACTIONS(14011),
    [sym__unary_plus_operator] = ACTIONS(14011),
    [aux_sym__terminator_token1] = ACTIONS(14011),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14009),
    [sym__command_start] = ACTIONS(14009),
  },
  [8632] = {
    [sym__word_identifier] = ACTIONS(13997),
    [anon_sym_EQ] = ACTIONS(13997),
    [anon_sym_COMMA] = ACTIONS(13997),
    [anon_sym_COLON] = ACTIONS(13997),
    [anon_sym_begin] = ACTIONS(13997),
    [anon_sym_module] = ACTIONS(13997),
    [anon_sym_baremodule] = ACTIONS(13997),
    [anon_sym_abstract] = ACTIONS(13997),
    [anon_sym_primitive] = ACTIONS(13997),
    [anon_sym_mutable] = ACTIONS(13997),
    [anon_sym_struct] = ACTIONS(13997),
    [anon_sym_function] = ACTIONS(13997),
    [anon_sym_macro] = ACTIONS(13997),
    [anon_sym_where] = ACTIONS(13997),
    [anon_sym_quote] = ACTIONS(13997),
    [anon_sym_let] = ACTIONS(13997),
    [anon_sym_if] = ACTIONS(13997),
    [anon_sym_try] = ACTIONS(13997),
    [anon_sym_catch] = ACTIONS(13997),
    [anon_sym_finally] = ACTIONS(13997),
    [anon_sym_for] = ACTIONS(13997),
    [anon_sym_while] = ACTIONS(13997),
    [sym_break_statement] = ACTIONS(13997),
    [sym_continue_statement] = ACTIONS(13997),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_const] = ACTIONS(13997),
    [anon_sym_global] = ACTIONS(13997),
    [anon_sym_local] = ACTIONS(13997),
    [anon_sym_LPAREN] = ACTIONS(13997),
    [anon_sym_COLON2] = ACTIONS(13997),
    [anon_sym_export] = ACTIONS(13997),
    [anon_sym_import] = ACTIONS(13997),
    [anon_sym_using] = ACTIONS(13997),
    [anon_sym_LBRACK] = ACTIONS(13997),
    [anon_sym_LF] = ACTIONS(13995),
    [anon_sym_in] = ACTIONS(13997),
    [anon_sym_LBRACE] = ACTIONS(13997),
    [anon_sym_DOLLAR] = ACTIONS(13997),
    [anon_sym_COLON_COLON] = ACTIONS(13997),
    [anon_sym_isa] = ACTIONS(13997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13997),
    [anon_sym_QMARK] = ACTIONS(13997),
    [anon_sym_AT] = ACTIONS(13997),
    [anon_sym_true] = ACTIONS(13997),
    [anon_sym_false] = ACTIONS(13997),
    [aux_sym_integer_literal_token1] = ACTIONS(13997),
    [aux_sym_integer_literal_token2] = ACTIONS(13997),
    [aux_sym_integer_literal_token3] = ACTIONS(13997),
    [aux_sym_integer_literal_token4] = ACTIONS(13997),
    [aux_sym_float_literal_token1] = ACTIONS(13997),
    [aux_sym_float_literal_token3] = ACTIONS(13997),
    [aux_sym_float_literal_token4] = ACTIONS(13997),
    [sym_character_literal] = ACTIONS(13997),
    [sym__pair_operator] = ACTIONS(13997),
    [sym__arrow_operator] = ACTIONS(13997),
    [sym__lazy_or_operator] = ACTIONS(13997),
    [sym__lazy_and_operator] = ACTIONS(13997),
    [sym__comparison_operator] = ACTIONS(13997),
    [sym__pipe_right_operator] = ACTIONS(13997),
    [sym__pipe_left_operator] = ACTIONS(13997),
    [sym__ellipsis_operator] = ACTIONS(13997),
    [sym__plus_operator] = ACTIONS(13997),
    [sym__times_operator] = ACTIONS(13997),
    [sym__rational_operator] = ACTIONS(13997),
    [sym__bitshift_operator] = ACTIONS(13997),
    [sym__power_operator] = ACTIONS(13997),
    [sym__tilde_operator] = ACTIONS(13997),
    [sym__type_order_operator] = ACTIONS(13997),
    [sym__unary_operator] = ACTIONS(13997),
    [sym__unary_plus_operator] = ACTIONS(13997),
    [aux_sym__terminator_token1] = ACTIONS(13997),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13995),
    [sym__command_start] = ACTIONS(13995),
  },
  [8633] = {
    [sym__word_identifier] = ACTIONS(14001),
    [anon_sym_EQ] = ACTIONS(14001),
    [anon_sym_COMMA] = ACTIONS(14001),
    [anon_sym_COLON] = ACTIONS(14001),
    [anon_sym_begin] = ACTIONS(14001),
    [anon_sym_module] = ACTIONS(14001),
    [anon_sym_baremodule] = ACTIONS(14001),
    [anon_sym_abstract] = ACTIONS(14001),
    [anon_sym_primitive] = ACTIONS(14001),
    [anon_sym_mutable] = ACTIONS(14001),
    [anon_sym_struct] = ACTIONS(14001),
    [anon_sym_function] = ACTIONS(14001),
    [anon_sym_macro] = ACTIONS(14001),
    [anon_sym_where] = ACTIONS(14001),
    [anon_sym_quote] = ACTIONS(14001),
    [anon_sym_let] = ACTIONS(14001),
    [anon_sym_if] = ACTIONS(14001),
    [anon_sym_try] = ACTIONS(14001),
    [anon_sym_catch] = ACTIONS(14001),
    [anon_sym_finally] = ACTIONS(14001),
    [anon_sym_for] = ACTIONS(14001),
    [anon_sym_while] = ACTIONS(14001),
    [sym_break_statement] = ACTIONS(14001),
    [sym_continue_statement] = ACTIONS(14001),
    [anon_sym_return] = ACTIONS(14001),
    [anon_sym_const] = ACTIONS(14001),
    [anon_sym_global] = ACTIONS(14001),
    [anon_sym_local] = ACTIONS(14001),
    [anon_sym_LPAREN] = ACTIONS(14001),
    [anon_sym_COLON2] = ACTIONS(14001),
    [anon_sym_export] = ACTIONS(14001),
    [anon_sym_import] = ACTIONS(14001),
    [anon_sym_using] = ACTIONS(14001),
    [anon_sym_LBRACK] = ACTIONS(14001),
    [anon_sym_LF] = ACTIONS(13999),
    [anon_sym_in] = ACTIONS(14001),
    [anon_sym_LBRACE] = ACTIONS(14001),
    [anon_sym_DOLLAR] = ACTIONS(14001),
    [anon_sym_COLON_COLON] = ACTIONS(14001),
    [anon_sym_isa] = ACTIONS(14001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14001),
    [anon_sym_QMARK] = ACTIONS(14001),
    [anon_sym_AT] = ACTIONS(14001),
    [anon_sym_true] = ACTIONS(14001),
    [anon_sym_false] = ACTIONS(14001),
    [aux_sym_integer_literal_token1] = ACTIONS(14001),
    [aux_sym_integer_literal_token2] = ACTIONS(14001),
    [aux_sym_integer_literal_token3] = ACTIONS(14001),
    [aux_sym_integer_literal_token4] = ACTIONS(14001),
    [aux_sym_float_literal_token1] = ACTIONS(14001),
    [aux_sym_float_literal_token3] = ACTIONS(14001),
    [aux_sym_float_literal_token4] = ACTIONS(14001),
    [sym_character_literal] = ACTIONS(14001),
    [sym__pair_operator] = ACTIONS(14001),
    [sym__arrow_operator] = ACTIONS(14001),
    [sym__lazy_or_operator] = ACTIONS(14001),
    [sym__lazy_and_operator] = ACTIONS(14001),
    [sym__comparison_operator] = ACTIONS(14001),
    [sym__pipe_right_operator] = ACTIONS(14001),
    [sym__pipe_left_operator] = ACTIONS(14001),
    [sym__ellipsis_operator] = ACTIONS(14001),
    [sym__plus_operator] = ACTIONS(14001),
    [sym__times_operator] = ACTIONS(14001),
    [sym__rational_operator] = ACTIONS(14001),
    [sym__bitshift_operator] = ACTIONS(14001),
    [sym__power_operator] = ACTIONS(14001),
    [sym__tilde_operator] = ACTIONS(14001),
    [sym__type_order_operator] = ACTIONS(14001),
    [sym__unary_operator] = ACTIONS(14001),
    [sym__unary_plus_operator] = ACTIONS(14001),
    [aux_sym__terminator_token1] = ACTIONS(14001),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13999),
    [sym__command_start] = ACTIONS(13999),
  },
  [8634] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(14525),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_catch] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8635] = {
    [sym__word_identifier] = ACTIONS(13834),
    [anon_sym_EQ] = ACTIONS(13834),
    [anon_sym_COMMA] = ACTIONS(13834),
    [anon_sym_COLON] = ACTIONS(13834),
    [anon_sym_begin] = ACTIONS(13834),
    [anon_sym_module] = ACTIONS(13834),
    [anon_sym_baremodule] = ACTIONS(13834),
    [anon_sym_abstract] = ACTIONS(13834),
    [anon_sym_primitive] = ACTIONS(13834),
    [anon_sym_mutable] = ACTIONS(13834),
    [anon_sym_struct] = ACTIONS(13834),
    [anon_sym_function] = ACTIONS(13834),
    [anon_sym_macro] = ACTIONS(13834),
    [anon_sym_where] = ACTIONS(13834),
    [anon_sym_quote] = ACTIONS(13834),
    [anon_sym_let] = ACTIONS(13834),
    [anon_sym_if] = ACTIONS(13834),
    [anon_sym_try] = ACTIONS(13834),
    [anon_sym_catch] = ACTIONS(13834),
    [anon_sym_finally] = ACTIONS(13834),
    [anon_sym_for] = ACTIONS(13834),
    [anon_sym_while] = ACTIONS(13834),
    [sym_break_statement] = ACTIONS(13834),
    [sym_continue_statement] = ACTIONS(13834),
    [anon_sym_return] = ACTIONS(13834),
    [anon_sym_const] = ACTIONS(13834),
    [anon_sym_global] = ACTIONS(13834),
    [anon_sym_local] = ACTIONS(13834),
    [anon_sym_LPAREN] = ACTIONS(13834),
    [anon_sym_COLON2] = ACTIONS(13834),
    [anon_sym_export] = ACTIONS(13834),
    [anon_sym_import] = ACTIONS(13834),
    [anon_sym_using] = ACTIONS(13834),
    [anon_sym_LBRACK] = ACTIONS(13834),
    [anon_sym_LF] = ACTIONS(13832),
    [anon_sym_in] = ACTIONS(13834),
    [anon_sym_LBRACE] = ACTIONS(13834),
    [anon_sym_DOLLAR] = ACTIONS(13834),
    [anon_sym_COLON_COLON] = ACTIONS(13834),
    [anon_sym_isa] = ACTIONS(13834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13834),
    [anon_sym_QMARK] = ACTIONS(13834),
    [anon_sym_AT] = ACTIONS(13834),
    [anon_sym_true] = ACTIONS(13834),
    [anon_sym_false] = ACTIONS(13834),
    [aux_sym_integer_literal_token1] = ACTIONS(13834),
    [aux_sym_integer_literal_token2] = ACTIONS(13834),
    [aux_sym_integer_literal_token3] = ACTIONS(13834),
    [aux_sym_integer_literal_token4] = ACTIONS(13834),
    [aux_sym_float_literal_token1] = ACTIONS(13834),
    [aux_sym_float_literal_token3] = ACTIONS(13834),
    [aux_sym_float_literal_token4] = ACTIONS(13834),
    [sym_character_literal] = ACTIONS(13834),
    [sym__pair_operator] = ACTIONS(13834),
    [sym__arrow_operator] = ACTIONS(13834),
    [sym__lazy_or_operator] = ACTIONS(13834),
    [sym__lazy_and_operator] = ACTIONS(13834),
    [sym__comparison_operator] = ACTIONS(13834),
    [sym__pipe_right_operator] = ACTIONS(13834),
    [sym__pipe_left_operator] = ACTIONS(13834),
    [sym__ellipsis_operator] = ACTIONS(13834),
    [sym__plus_operator] = ACTIONS(13834),
    [sym__times_operator] = ACTIONS(13834),
    [sym__rational_operator] = ACTIONS(13834),
    [sym__bitshift_operator] = ACTIONS(13834),
    [sym__power_operator] = ACTIONS(13834),
    [sym__tilde_operator] = ACTIONS(13834),
    [sym__type_order_operator] = ACTIONS(13834),
    [sym__unary_operator] = ACTIONS(13834),
    [sym__unary_plus_operator] = ACTIONS(13834),
    [aux_sym__terminator_token1] = ACTIONS(13834),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13832),
    [sym__command_start] = ACTIONS(13832),
  },
  [8636] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8637] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12718),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8638] = {
    [sym__word_identifier] = ACTIONS(13812),
    [anon_sym_EQ] = ACTIONS(13812),
    [anon_sym_COMMA] = ACTIONS(13812),
    [anon_sym_COLON] = ACTIONS(13812),
    [anon_sym_begin] = ACTIONS(13812),
    [anon_sym_module] = ACTIONS(13812),
    [anon_sym_baremodule] = ACTIONS(13812),
    [anon_sym_abstract] = ACTIONS(13812),
    [anon_sym_primitive] = ACTIONS(13812),
    [anon_sym_mutable] = ACTIONS(13812),
    [anon_sym_struct] = ACTIONS(13812),
    [anon_sym_function] = ACTIONS(13812),
    [anon_sym_macro] = ACTIONS(13812),
    [anon_sym_where] = ACTIONS(13812),
    [anon_sym_quote] = ACTIONS(13812),
    [anon_sym_let] = ACTIONS(13812),
    [anon_sym_if] = ACTIONS(13812),
    [anon_sym_try] = ACTIONS(13812),
    [anon_sym_catch] = ACTIONS(13812),
    [anon_sym_finally] = ACTIONS(13812),
    [anon_sym_for] = ACTIONS(13812),
    [anon_sym_while] = ACTIONS(13812),
    [sym_break_statement] = ACTIONS(13812),
    [sym_continue_statement] = ACTIONS(13812),
    [anon_sym_return] = ACTIONS(13812),
    [anon_sym_const] = ACTIONS(13812),
    [anon_sym_global] = ACTIONS(13812),
    [anon_sym_local] = ACTIONS(13812),
    [anon_sym_LPAREN] = ACTIONS(13812),
    [anon_sym_COLON2] = ACTIONS(13812),
    [anon_sym_export] = ACTIONS(13812),
    [anon_sym_import] = ACTIONS(13812),
    [anon_sym_using] = ACTIONS(13812),
    [anon_sym_LBRACK] = ACTIONS(13812),
    [anon_sym_LF] = ACTIONS(13814),
    [anon_sym_in] = ACTIONS(13812),
    [anon_sym_LBRACE] = ACTIONS(13812),
    [anon_sym_DOLLAR] = ACTIONS(13812),
    [anon_sym_COLON_COLON] = ACTIONS(13812),
    [anon_sym_isa] = ACTIONS(13812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13812),
    [anon_sym_QMARK] = ACTIONS(13812),
    [anon_sym_AT] = ACTIONS(13812),
    [anon_sym_true] = ACTIONS(13812),
    [anon_sym_false] = ACTIONS(13812),
    [aux_sym_integer_literal_token1] = ACTIONS(13812),
    [aux_sym_integer_literal_token2] = ACTIONS(13812),
    [aux_sym_integer_literal_token3] = ACTIONS(13812),
    [aux_sym_integer_literal_token4] = ACTIONS(13812),
    [aux_sym_float_literal_token1] = ACTIONS(13812),
    [aux_sym_float_literal_token3] = ACTIONS(13812),
    [aux_sym_float_literal_token4] = ACTIONS(13812),
    [sym_character_literal] = ACTIONS(13812),
    [sym__pair_operator] = ACTIONS(13812),
    [sym__arrow_operator] = ACTIONS(13812),
    [sym__lazy_or_operator] = ACTIONS(13812),
    [sym__lazy_and_operator] = ACTIONS(13812),
    [sym__comparison_operator] = ACTIONS(13812),
    [sym__pipe_right_operator] = ACTIONS(13812),
    [sym__pipe_left_operator] = ACTIONS(13812),
    [sym__ellipsis_operator] = ACTIONS(13812),
    [sym__plus_operator] = ACTIONS(13812),
    [sym__times_operator] = ACTIONS(13812),
    [sym__rational_operator] = ACTIONS(13812),
    [sym__bitshift_operator] = ACTIONS(13812),
    [sym__power_operator] = ACTIONS(13812),
    [sym__tilde_operator] = ACTIONS(13812),
    [sym__type_order_operator] = ACTIONS(13812),
    [sym__unary_operator] = ACTIONS(13812),
    [sym__unary_plus_operator] = ACTIONS(13812),
    [aux_sym__terminator_token1] = ACTIONS(13812),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13814),
    [sym__command_start] = ACTIONS(13814),
  },
  [8639] = {
    [sym__word_identifier] = ACTIONS(13985),
    [anon_sym_EQ] = ACTIONS(13985),
    [anon_sym_COMMA] = ACTIONS(13983),
    [anon_sym_COLON] = ACTIONS(13985),
    [anon_sym_begin] = ACTIONS(13985),
    [anon_sym_module] = ACTIONS(13985),
    [anon_sym_baremodule] = ACTIONS(13985),
    [anon_sym_abstract] = ACTIONS(13985),
    [anon_sym_primitive] = ACTIONS(13985),
    [anon_sym_mutable] = ACTIONS(13985),
    [anon_sym_struct] = ACTIONS(13985),
    [anon_sym_function] = ACTIONS(13985),
    [anon_sym_macro] = ACTIONS(13985),
    [anon_sym_where] = ACTIONS(13985),
    [anon_sym_quote] = ACTIONS(13985),
    [anon_sym_let] = ACTIONS(13985),
    [anon_sym_if] = ACTIONS(13985),
    [anon_sym_try] = ACTIONS(13985),
    [anon_sym_for] = ACTIONS(13985),
    [anon_sym_while] = ACTIONS(13985),
    [sym_break_statement] = ACTIONS(13985),
    [sym_continue_statement] = ACTIONS(13985),
    [anon_sym_return] = ACTIONS(13985),
    [anon_sym_const] = ACTIONS(13985),
    [anon_sym_global] = ACTIONS(13985),
    [anon_sym_local] = ACTIONS(13985),
    [anon_sym_LPAREN] = ACTIONS(13983),
    [anon_sym_RPAREN] = ACTIONS(13983),
    [anon_sym_COLON2] = ACTIONS(13985),
    [anon_sym_export] = ACTIONS(13985),
    [anon_sym_import] = ACTIONS(13985),
    [anon_sym_using] = ACTIONS(13985),
    [anon_sym_LBRACK] = ACTIONS(13983),
    [anon_sym_RBRACK] = ACTIONS(13983),
    [anon_sym_in] = ACTIONS(13985),
    [anon_sym_SEMI] = ACTIONS(13983),
    [anon_sym_LBRACE] = ACTIONS(13983),
    [anon_sym_RBRACE] = ACTIONS(13983),
    [anon_sym_DOLLAR] = ACTIONS(13983),
    [anon_sym_COLON_COLON] = ACTIONS(13983),
    [anon_sym_isa] = ACTIONS(13985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13983),
    [anon_sym_QMARK] = ACTIONS(13983),
    [anon_sym_AT] = ACTIONS(13983),
    [anon_sym_true] = ACTIONS(13985),
    [anon_sym_false] = ACTIONS(13985),
    [aux_sym_integer_literal_token1] = ACTIONS(13983),
    [aux_sym_integer_literal_token2] = ACTIONS(13983),
    [aux_sym_integer_literal_token3] = ACTIONS(13985),
    [aux_sym_integer_literal_token4] = ACTIONS(13985),
    [aux_sym_float_literal_token1] = ACTIONS(13983),
    [aux_sym_float_literal_token3] = ACTIONS(13983),
    [aux_sym_float_literal_token4] = ACTIONS(13983),
    [sym_character_literal] = ACTIONS(13983),
    [sym__pair_operator] = ACTIONS(13983),
    [sym__arrow_operator] = ACTIONS(13985),
    [sym__lazy_or_operator] = ACTIONS(13983),
    [sym__lazy_and_operator] = ACTIONS(13983),
    [sym__comparison_operator] = ACTIONS(13985),
    [sym__pipe_right_operator] = ACTIONS(13983),
    [sym__pipe_left_operator] = ACTIONS(13983),
    [sym__ellipsis_operator] = ACTIONS(13985),
    [sym__plus_operator] = ACTIONS(13985),
    [sym__times_operator] = ACTIONS(13985),
    [sym__rational_operator] = ACTIONS(13983),
    [sym__bitshift_operator] = ACTIONS(13983),
    [sym__power_operator] = ACTIONS(13983),
    [sym__tilde_operator] = ACTIONS(13983),
    [sym__type_order_operator] = ACTIONS(13983),
    [sym__unary_operator] = ACTIONS(13985),
    [sym__unary_plus_operator] = ACTIONS(13985),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13983),
    [sym__command_start] = ACTIONS(13983),
  },
  [8640] = {
    [sym__word_identifier] = ACTIONS(13993),
    [anon_sym_EQ] = ACTIONS(13993),
    [anon_sym_COMMA] = ACTIONS(13993),
    [anon_sym_COLON] = ACTIONS(13993),
    [anon_sym_begin] = ACTIONS(13993),
    [anon_sym_module] = ACTIONS(13993),
    [anon_sym_baremodule] = ACTIONS(13993),
    [anon_sym_abstract] = ACTIONS(13993),
    [anon_sym_primitive] = ACTIONS(13993),
    [anon_sym_mutable] = ACTIONS(13993),
    [anon_sym_struct] = ACTIONS(13993),
    [anon_sym_function] = ACTIONS(13993),
    [anon_sym_macro] = ACTIONS(13993),
    [anon_sym_where] = ACTIONS(13993),
    [anon_sym_quote] = ACTIONS(13993),
    [anon_sym_let] = ACTIONS(13993),
    [anon_sym_if] = ACTIONS(13993),
    [anon_sym_try] = ACTIONS(13993),
    [anon_sym_catch] = ACTIONS(13993),
    [anon_sym_finally] = ACTIONS(13993),
    [anon_sym_for] = ACTIONS(13993),
    [anon_sym_while] = ACTIONS(13993),
    [sym_break_statement] = ACTIONS(13993),
    [sym_continue_statement] = ACTIONS(13993),
    [anon_sym_return] = ACTIONS(13993),
    [anon_sym_const] = ACTIONS(13993),
    [anon_sym_global] = ACTIONS(13993),
    [anon_sym_local] = ACTIONS(13993),
    [anon_sym_LPAREN] = ACTIONS(13993),
    [anon_sym_COLON2] = ACTIONS(13993),
    [anon_sym_export] = ACTIONS(13993),
    [anon_sym_import] = ACTIONS(13993),
    [anon_sym_using] = ACTIONS(13993),
    [anon_sym_LBRACK] = ACTIONS(13993),
    [anon_sym_LF] = ACTIONS(13991),
    [anon_sym_in] = ACTIONS(13993),
    [anon_sym_LBRACE] = ACTIONS(13993),
    [anon_sym_DOLLAR] = ACTIONS(13993),
    [anon_sym_COLON_COLON] = ACTIONS(13993),
    [anon_sym_isa] = ACTIONS(13993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13993),
    [anon_sym_QMARK] = ACTIONS(13993),
    [anon_sym_AT] = ACTIONS(13993),
    [anon_sym_true] = ACTIONS(13993),
    [anon_sym_false] = ACTIONS(13993),
    [aux_sym_integer_literal_token1] = ACTIONS(13993),
    [aux_sym_integer_literal_token2] = ACTIONS(13993),
    [aux_sym_integer_literal_token3] = ACTIONS(13993),
    [aux_sym_integer_literal_token4] = ACTIONS(13993),
    [aux_sym_float_literal_token1] = ACTIONS(13993),
    [aux_sym_float_literal_token3] = ACTIONS(13993),
    [aux_sym_float_literal_token4] = ACTIONS(13993),
    [sym_character_literal] = ACTIONS(13993),
    [sym__pair_operator] = ACTIONS(13993),
    [sym__arrow_operator] = ACTIONS(13993),
    [sym__lazy_or_operator] = ACTIONS(13993),
    [sym__lazy_and_operator] = ACTIONS(13993),
    [sym__comparison_operator] = ACTIONS(13993),
    [sym__pipe_right_operator] = ACTIONS(13993),
    [sym__pipe_left_operator] = ACTIONS(13993),
    [sym__ellipsis_operator] = ACTIONS(13993),
    [sym__plus_operator] = ACTIONS(13993),
    [sym__times_operator] = ACTIONS(13993),
    [sym__rational_operator] = ACTIONS(13993),
    [sym__bitshift_operator] = ACTIONS(13993),
    [sym__power_operator] = ACTIONS(13993),
    [sym__tilde_operator] = ACTIONS(13993),
    [sym__type_order_operator] = ACTIONS(13993),
    [sym__unary_operator] = ACTIONS(13993),
    [sym__unary_plus_operator] = ACTIONS(13993),
    [aux_sym__terminator_token1] = ACTIONS(13993),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13991),
    [sym__command_start] = ACTIONS(13991),
  },
  [8641] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_EQ] = ACTIONS(12342),
    [anon_sym_COMMA] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_COLON2] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_in] = ACTIONS(12342),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_isa] = ACTIONS(12342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12342),
    [anon_sym_QMARK] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__lazy_or_operator] = ACTIONS(12342),
    [sym__lazy_and_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [8642] = {
    [sym__word_identifier] = ACTIONS(13816),
    [anon_sym_EQ] = ACTIONS(13816),
    [anon_sym_COMMA] = ACTIONS(13816),
    [anon_sym_COLON] = ACTIONS(13816),
    [anon_sym_begin] = ACTIONS(13816),
    [anon_sym_module] = ACTIONS(13816),
    [anon_sym_baremodule] = ACTIONS(13816),
    [anon_sym_abstract] = ACTIONS(13816),
    [anon_sym_primitive] = ACTIONS(13816),
    [anon_sym_mutable] = ACTIONS(13816),
    [anon_sym_struct] = ACTIONS(13816),
    [anon_sym_function] = ACTIONS(13816),
    [anon_sym_macro] = ACTIONS(13816),
    [anon_sym_where] = ACTIONS(13816),
    [anon_sym_quote] = ACTIONS(13816),
    [anon_sym_let] = ACTIONS(13816),
    [anon_sym_if] = ACTIONS(13816),
    [anon_sym_try] = ACTIONS(13816),
    [anon_sym_catch] = ACTIONS(13816),
    [anon_sym_finally] = ACTIONS(13816),
    [anon_sym_for] = ACTIONS(13816),
    [anon_sym_while] = ACTIONS(13816),
    [sym_break_statement] = ACTIONS(13816),
    [sym_continue_statement] = ACTIONS(13816),
    [anon_sym_return] = ACTIONS(13816),
    [anon_sym_const] = ACTIONS(13816),
    [anon_sym_global] = ACTIONS(13816),
    [anon_sym_local] = ACTIONS(13816),
    [anon_sym_LPAREN] = ACTIONS(13816),
    [anon_sym_COLON2] = ACTIONS(13816),
    [anon_sym_export] = ACTIONS(13816),
    [anon_sym_import] = ACTIONS(13816),
    [anon_sym_using] = ACTIONS(13816),
    [anon_sym_LBRACK] = ACTIONS(13816),
    [anon_sym_LF] = ACTIONS(13818),
    [anon_sym_in] = ACTIONS(13816),
    [anon_sym_LBRACE] = ACTIONS(13816),
    [anon_sym_DOLLAR] = ACTIONS(13816),
    [anon_sym_COLON_COLON] = ACTIONS(13816),
    [anon_sym_isa] = ACTIONS(13816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13816),
    [anon_sym_QMARK] = ACTIONS(13816),
    [anon_sym_AT] = ACTIONS(13816),
    [anon_sym_true] = ACTIONS(13816),
    [anon_sym_false] = ACTIONS(13816),
    [aux_sym_integer_literal_token1] = ACTIONS(13816),
    [aux_sym_integer_literal_token2] = ACTIONS(13816),
    [aux_sym_integer_literal_token3] = ACTIONS(13816),
    [aux_sym_integer_literal_token4] = ACTIONS(13816),
    [aux_sym_float_literal_token1] = ACTIONS(13816),
    [aux_sym_float_literal_token3] = ACTIONS(13816),
    [aux_sym_float_literal_token4] = ACTIONS(13816),
    [sym_character_literal] = ACTIONS(13816),
    [sym__pair_operator] = ACTIONS(13816),
    [sym__arrow_operator] = ACTIONS(13816),
    [sym__lazy_or_operator] = ACTIONS(13816),
    [sym__lazy_and_operator] = ACTIONS(13816),
    [sym__comparison_operator] = ACTIONS(13816),
    [sym__pipe_right_operator] = ACTIONS(13816),
    [sym__pipe_left_operator] = ACTIONS(13816),
    [sym__ellipsis_operator] = ACTIONS(13816),
    [sym__plus_operator] = ACTIONS(13816),
    [sym__times_operator] = ACTIONS(13816),
    [sym__rational_operator] = ACTIONS(13816),
    [sym__bitshift_operator] = ACTIONS(13816),
    [sym__power_operator] = ACTIONS(13816),
    [sym__tilde_operator] = ACTIONS(13816),
    [sym__type_order_operator] = ACTIONS(13816),
    [sym__unary_operator] = ACTIONS(13816),
    [sym__unary_plus_operator] = ACTIONS(13816),
    [aux_sym__terminator_token1] = ACTIONS(13816),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13818),
    [sym__command_start] = ACTIONS(13818),
  },
  [8643] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_EQ] = ACTIONS(12250),
    [anon_sym_COMMA] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_COLON2] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_in] = ACTIONS(12250),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_isa] = ACTIONS(12250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12250),
    [anon_sym_QMARK] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__lazy_or_operator] = ACTIONS(12250),
    [sym__lazy_and_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [8644] = {
    [sym__word_identifier] = ACTIONS(14015),
    [anon_sym_EQ] = ACTIONS(14015),
    [anon_sym_COMMA] = ACTIONS(14013),
    [anon_sym_COLON] = ACTIONS(14015),
    [anon_sym_begin] = ACTIONS(14015),
    [anon_sym_module] = ACTIONS(14015),
    [anon_sym_baremodule] = ACTIONS(14015),
    [anon_sym_abstract] = ACTIONS(14015),
    [anon_sym_primitive] = ACTIONS(14015),
    [anon_sym_mutable] = ACTIONS(14015),
    [anon_sym_struct] = ACTIONS(14015),
    [anon_sym_function] = ACTIONS(14015),
    [anon_sym_macro] = ACTIONS(14015),
    [anon_sym_where] = ACTIONS(14015),
    [anon_sym_quote] = ACTIONS(14015),
    [anon_sym_let] = ACTIONS(14015),
    [anon_sym_if] = ACTIONS(14015),
    [anon_sym_try] = ACTIONS(14015),
    [anon_sym_for] = ACTIONS(14015),
    [anon_sym_while] = ACTIONS(14015),
    [sym_break_statement] = ACTIONS(14015),
    [sym_continue_statement] = ACTIONS(14015),
    [anon_sym_return] = ACTIONS(14015),
    [anon_sym_const] = ACTIONS(14015),
    [anon_sym_global] = ACTIONS(14015),
    [anon_sym_local] = ACTIONS(14015),
    [anon_sym_LPAREN] = ACTIONS(14013),
    [anon_sym_RPAREN] = ACTIONS(14013),
    [anon_sym_COLON2] = ACTIONS(14015),
    [anon_sym_export] = ACTIONS(14015),
    [anon_sym_import] = ACTIONS(14015),
    [anon_sym_using] = ACTIONS(14015),
    [anon_sym_LBRACK] = ACTIONS(14013),
    [anon_sym_RBRACK] = ACTIONS(14013),
    [anon_sym_in] = ACTIONS(14015),
    [anon_sym_SEMI] = ACTIONS(14013),
    [anon_sym_LBRACE] = ACTIONS(14013),
    [anon_sym_RBRACE] = ACTIONS(14013),
    [anon_sym_DOLLAR] = ACTIONS(14013),
    [anon_sym_COLON_COLON] = ACTIONS(14013),
    [anon_sym_isa] = ACTIONS(14015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14013),
    [anon_sym_QMARK] = ACTIONS(14013),
    [anon_sym_AT] = ACTIONS(14013),
    [anon_sym_true] = ACTIONS(14015),
    [anon_sym_false] = ACTIONS(14015),
    [aux_sym_integer_literal_token1] = ACTIONS(14013),
    [aux_sym_integer_literal_token2] = ACTIONS(14013),
    [aux_sym_integer_literal_token3] = ACTIONS(14015),
    [aux_sym_integer_literal_token4] = ACTIONS(14015),
    [aux_sym_float_literal_token1] = ACTIONS(14013),
    [aux_sym_float_literal_token3] = ACTIONS(14013),
    [aux_sym_float_literal_token4] = ACTIONS(14013),
    [sym_character_literal] = ACTIONS(14013),
    [sym__pair_operator] = ACTIONS(14013),
    [sym__arrow_operator] = ACTIONS(14015),
    [sym__lazy_or_operator] = ACTIONS(14013),
    [sym__lazy_and_operator] = ACTIONS(14013),
    [sym__comparison_operator] = ACTIONS(14015),
    [sym__pipe_right_operator] = ACTIONS(14013),
    [sym__pipe_left_operator] = ACTIONS(14013),
    [sym__ellipsis_operator] = ACTIONS(14015),
    [sym__plus_operator] = ACTIONS(14015),
    [sym__times_operator] = ACTIONS(14015),
    [sym__rational_operator] = ACTIONS(14013),
    [sym__bitshift_operator] = ACTIONS(14013),
    [sym__power_operator] = ACTIONS(14013),
    [sym__tilde_operator] = ACTIONS(14013),
    [sym__type_order_operator] = ACTIONS(14013),
    [sym__unary_operator] = ACTIONS(14015),
    [sym__unary_plus_operator] = ACTIONS(14015),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14013),
    [sym__command_start] = ACTIONS(14013),
  },
  [8645] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_EQ] = ACTIONS(12026),
    [anon_sym_COMMA] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_COLON2] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_in] = ACTIONS(12026),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_isa] = ACTIONS(12026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12026),
    [anon_sym_QMARK] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__lazy_or_operator] = ACTIONS(12026),
    [sym__lazy_and_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [8646] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14527),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14529),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14531),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(14531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13588),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(14533),
    [sym__arrow_operator] = ACTIONS(14535),
    [sym__lazy_or_operator] = ACTIONS(14537),
    [sym__lazy_and_operator] = ACTIONS(14539),
    [sym__comparison_operator] = ACTIONS(14531),
    [sym__pipe_right_operator] = ACTIONS(14541),
    [sym__pipe_left_operator] = ACTIONS(14543),
    [sym__ellipsis_operator] = ACTIONS(14545),
    [sym__plus_operator] = ACTIONS(14547),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14531),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14547),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8647] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12718),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8648] = {
    [sym__word_identifier] = ACTIONS(13985),
    [anon_sym_EQ] = ACTIONS(13985),
    [anon_sym_COMMA] = ACTIONS(13985),
    [anon_sym_COLON] = ACTIONS(13985),
    [anon_sym_begin] = ACTIONS(13985),
    [anon_sym_module] = ACTIONS(13985),
    [anon_sym_baremodule] = ACTIONS(13985),
    [anon_sym_abstract] = ACTIONS(13985),
    [anon_sym_primitive] = ACTIONS(13985),
    [anon_sym_mutable] = ACTIONS(13985),
    [anon_sym_struct] = ACTIONS(13985),
    [anon_sym_function] = ACTIONS(13985),
    [anon_sym_macro] = ACTIONS(13985),
    [anon_sym_where] = ACTIONS(13985),
    [anon_sym_quote] = ACTIONS(13985),
    [anon_sym_let] = ACTIONS(13985),
    [anon_sym_if] = ACTIONS(13985),
    [anon_sym_try] = ACTIONS(13985),
    [anon_sym_catch] = ACTIONS(13985),
    [anon_sym_finally] = ACTIONS(13985),
    [anon_sym_for] = ACTIONS(13985),
    [anon_sym_while] = ACTIONS(13985),
    [sym_break_statement] = ACTIONS(13985),
    [sym_continue_statement] = ACTIONS(13985),
    [anon_sym_return] = ACTIONS(13985),
    [anon_sym_const] = ACTIONS(13985),
    [anon_sym_global] = ACTIONS(13985),
    [anon_sym_local] = ACTIONS(13985),
    [anon_sym_LPAREN] = ACTIONS(13985),
    [anon_sym_COLON2] = ACTIONS(13985),
    [anon_sym_export] = ACTIONS(13985),
    [anon_sym_import] = ACTIONS(13985),
    [anon_sym_using] = ACTIONS(13985),
    [anon_sym_LBRACK] = ACTIONS(13985),
    [anon_sym_LF] = ACTIONS(13983),
    [anon_sym_in] = ACTIONS(13985),
    [anon_sym_LBRACE] = ACTIONS(13985),
    [anon_sym_DOLLAR] = ACTIONS(13985),
    [anon_sym_COLON_COLON] = ACTIONS(13985),
    [anon_sym_isa] = ACTIONS(13985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13985),
    [anon_sym_QMARK] = ACTIONS(13985),
    [anon_sym_AT] = ACTIONS(13985),
    [anon_sym_true] = ACTIONS(13985),
    [anon_sym_false] = ACTIONS(13985),
    [aux_sym_integer_literal_token1] = ACTIONS(13985),
    [aux_sym_integer_literal_token2] = ACTIONS(13985),
    [aux_sym_integer_literal_token3] = ACTIONS(13985),
    [aux_sym_integer_literal_token4] = ACTIONS(13985),
    [aux_sym_float_literal_token1] = ACTIONS(13985),
    [aux_sym_float_literal_token3] = ACTIONS(13985),
    [aux_sym_float_literal_token4] = ACTIONS(13985),
    [sym_character_literal] = ACTIONS(13985),
    [sym__pair_operator] = ACTIONS(13985),
    [sym__arrow_operator] = ACTIONS(13985),
    [sym__lazy_or_operator] = ACTIONS(13985),
    [sym__lazy_and_operator] = ACTIONS(13985),
    [sym__comparison_operator] = ACTIONS(13985),
    [sym__pipe_right_operator] = ACTIONS(13985),
    [sym__pipe_left_operator] = ACTIONS(13985),
    [sym__ellipsis_operator] = ACTIONS(13985),
    [sym__plus_operator] = ACTIONS(13985),
    [sym__times_operator] = ACTIONS(13985),
    [sym__rational_operator] = ACTIONS(13985),
    [sym__bitshift_operator] = ACTIONS(13985),
    [sym__power_operator] = ACTIONS(13985),
    [sym__tilde_operator] = ACTIONS(13985),
    [sym__type_order_operator] = ACTIONS(13985),
    [sym__unary_operator] = ACTIONS(13985),
    [sym__unary_plus_operator] = ACTIONS(13985),
    [aux_sym__terminator_token1] = ACTIONS(13985),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13983),
    [sym__command_start] = ACTIONS(13983),
  },
  [8649] = {
    [sym__word_identifier] = ACTIONS(13912),
    [anon_sym_EQ] = ACTIONS(13912),
    [anon_sym_COMMA] = ACTIONS(13912),
    [anon_sym_COLON] = ACTIONS(13912),
    [anon_sym_begin] = ACTIONS(13912),
    [anon_sym_module] = ACTIONS(13912),
    [anon_sym_baremodule] = ACTIONS(13912),
    [anon_sym_abstract] = ACTIONS(13912),
    [anon_sym_primitive] = ACTIONS(13912),
    [anon_sym_mutable] = ACTIONS(13912),
    [anon_sym_struct] = ACTIONS(13912),
    [anon_sym_function] = ACTIONS(13912),
    [anon_sym_macro] = ACTIONS(13912),
    [anon_sym_where] = ACTIONS(13912),
    [anon_sym_quote] = ACTIONS(13912),
    [anon_sym_let] = ACTIONS(13912),
    [anon_sym_if] = ACTIONS(13912),
    [anon_sym_try] = ACTIONS(13912),
    [anon_sym_catch] = ACTIONS(13912),
    [anon_sym_finally] = ACTIONS(13912),
    [anon_sym_for] = ACTIONS(13912),
    [anon_sym_while] = ACTIONS(13912),
    [sym_break_statement] = ACTIONS(13912),
    [sym_continue_statement] = ACTIONS(13912),
    [anon_sym_return] = ACTIONS(13912),
    [anon_sym_const] = ACTIONS(13912),
    [anon_sym_global] = ACTIONS(13912),
    [anon_sym_local] = ACTIONS(13912),
    [anon_sym_LPAREN] = ACTIONS(13912),
    [anon_sym_COLON2] = ACTIONS(13912),
    [anon_sym_export] = ACTIONS(13912),
    [anon_sym_import] = ACTIONS(13912),
    [anon_sym_using] = ACTIONS(13912),
    [anon_sym_LBRACK] = ACTIONS(13912),
    [anon_sym_LF] = ACTIONS(13914),
    [anon_sym_in] = ACTIONS(13912),
    [anon_sym_LBRACE] = ACTIONS(13912),
    [anon_sym_DOLLAR] = ACTIONS(13912),
    [anon_sym_COLON_COLON] = ACTIONS(13912),
    [anon_sym_isa] = ACTIONS(13912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13912),
    [anon_sym_QMARK] = ACTIONS(13912),
    [anon_sym_AT] = ACTIONS(13912),
    [anon_sym_true] = ACTIONS(13912),
    [anon_sym_false] = ACTIONS(13912),
    [aux_sym_integer_literal_token1] = ACTIONS(13912),
    [aux_sym_integer_literal_token2] = ACTIONS(13912),
    [aux_sym_integer_literal_token3] = ACTIONS(13912),
    [aux_sym_integer_literal_token4] = ACTIONS(13912),
    [aux_sym_float_literal_token1] = ACTIONS(13912),
    [aux_sym_float_literal_token3] = ACTIONS(13912),
    [aux_sym_float_literal_token4] = ACTIONS(13912),
    [sym_character_literal] = ACTIONS(13912),
    [sym__pair_operator] = ACTIONS(13912),
    [sym__arrow_operator] = ACTIONS(13912),
    [sym__lazy_or_operator] = ACTIONS(13912),
    [sym__lazy_and_operator] = ACTIONS(13912),
    [sym__comparison_operator] = ACTIONS(13912),
    [sym__pipe_right_operator] = ACTIONS(13912),
    [sym__pipe_left_operator] = ACTIONS(13912),
    [sym__ellipsis_operator] = ACTIONS(13912),
    [sym__plus_operator] = ACTIONS(13912),
    [sym__times_operator] = ACTIONS(13912),
    [sym__rational_operator] = ACTIONS(13912),
    [sym__bitshift_operator] = ACTIONS(13912),
    [sym__power_operator] = ACTIONS(13912),
    [sym__tilde_operator] = ACTIONS(13912),
    [sym__type_order_operator] = ACTIONS(13912),
    [sym__unary_operator] = ACTIONS(13912),
    [sym__unary_plus_operator] = ACTIONS(13912),
    [aux_sym__terminator_token1] = ACTIONS(13912),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13914),
    [sym__command_start] = ACTIONS(13914),
  },
  [8650] = {
    [sym__word_identifier] = ACTIONS(13592),
    [anon_sym_EQ] = ACTIONS(13592),
    [anon_sym_COMMA] = ACTIONS(13590),
    [anon_sym_COLON] = ACTIONS(13592),
    [anon_sym_begin] = ACTIONS(13592),
    [anon_sym_module] = ACTIONS(13592),
    [anon_sym_baremodule] = ACTIONS(13592),
    [anon_sym_abstract] = ACTIONS(13592),
    [anon_sym_primitive] = ACTIONS(13592),
    [anon_sym_mutable] = ACTIONS(13592),
    [anon_sym_struct] = ACTIONS(13592),
    [anon_sym_function] = ACTIONS(13592),
    [anon_sym_macro] = ACTIONS(13592),
    [anon_sym_where] = ACTIONS(13592),
    [anon_sym_quote] = ACTIONS(13592),
    [anon_sym_let] = ACTIONS(13592),
    [anon_sym_if] = ACTIONS(13592),
    [anon_sym_try] = ACTIONS(13592),
    [anon_sym_for] = ACTIONS(13592),
    [anon_sym_while] = ACTIONS(13592),
    [sym_break_statement] = ACTIONS(13592),
    [sym_continue_statement] = ACTIONS(13592),
    [anon_sym_return] = ACTIONS(13592),
    [anon_sym_const] = ACTIONS(13592),
    [anon_sym_global] = ACTIONS(13592),
    [anon_sym_local] = ACTIONS(13592),
    [anon_sym_LPAREN] = ACTIONS(13590),
    [anon_sym_RPAREN] = ACTIONS(13590),
    [anon_sym_COLON2] = ACTIONS(13592),
    [anon_sym_export] = ACTIONS(13592),
    [anon_sym_import] = ACTIONS(13592),
    [anon_sym_using] = ACTIONS(13592),
    [anon_sym_LBRACK] = ACTIONS(13590),
    [anon_sym_RBRACK] = ACTIONS(13590),
    [anon_sym_in] = ACTIONS(13592),
    [anon_sym_SEMI] = ACTIONS(13590),
    [anon_sym_LBRACE] = ACTIONS(13590),
    [anon_sym_RBRACE] = ACTIONS(13590),
    [anon_sym_DOLLAR] = ACTIONS(13590),
    [anon_sym_COLON_COLON] = ACTIONS(13590),
    [anon_sym_isa] = ACTIONS(13592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13590),
    [anon_sym_QMARK] = ACTIONS(13590),
    [anon_sym_AT] = ACTIONS(13590),
    [anon_sym_true] = ACTIONS(13592),
    [anon_sym_false] = ACTIONS(13592),
    [aux_sym_integer_literal_token1] = ACTIONS(13590),
    [aux_sym_integer_literal_token2] = ACTIONS(13590),
    [aux_sym_integer_literal_token3] = ACTIONS(13592),
    [aux_sym_integer_literal_token4] = ACTIONS(13592),
    [aux_sym_float_literal_token1] = ACTIONS(13590),
    [aux_sym_float_literal_token3] = ACTIONS(13590),
    [aux_sym_float_literal_token4] = ACTIONS(13590),
    [sym_character_literal] = ACTIONS(13590),
    [sym__pair_operator] = ACTIONS(13590),
    [sym__arrow_operator] = ACTIONS(13592),
    [sym__lazy_or_operator] = ACTIONS(13590),
    [sym__lazy_and_operator] = ACTIONS(13590),
    [sym__comparison_operator] = ACTIONS(13592),
    [sym__pipe_right_operator] = ACTIONS(13590),
    [sym__pipe_left_operator] = ACTIONS(13590),
    [sym__ellipsis_operator] = ACTIONS(13592),
    [sym__plus_operator] = ACTIONS(13592),
    [sym__times_operator] = ACTIONS(13592),
    [sym__rational_operator] = ACTIONS(13590),
    [sym__bitshift_operator] = ACTIONS(13590),
    [sym__power_operator] = ACTIONS(13590),
    [sym__tilde_operator] = ACTIONS(13590),
    [sym__type_order_operator] = ACTIONS(13590),
    [sym__unary_operator] = ACTIONS(13592),
    [sym__unary_plus_operator] = ACTIONS(13592),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13590),
    [sym__command_start] = ACTIONS(13590),
  },
  [8651] = {
    [aux_sym_export_statement_repeat1] = STATE(8669),
    [sym__word_identifier] = ACTIONS(13114),
    [anon_sym_EQ] = ACTIONS(13114),
    [anon_sym_COMMA] = ACTIONS(14718),
    [anon_sym_COLON] = ACTIONS(13114),
    [anon_sym_begin] = ACTIONS(13114),
    [anon_sym_module] = ACTIONS(13114),
    [anon_sym_baremodule] = ACTIONS(13114),
    [anon_sym_abstract] = ACTIONS(13114),
    [anon_sym_primitive] = ACTIONS(13114),
    [anon_sym_mutable] = ACTIONS(13114),
    [anon_sym_struct] = ACTIONS(13114),
    [anon_sym_function] = ACTIONS(13114),
    [anon_sym_macro] = ACTIONS(13114),
    [anon_sym_where] = ACTIONS(13114),
    [anon_sym_quote] = ACTIONS(13114),
    [anon_sym_let] = ACTIONS(13114),
    [anon_sym_if] = ACTIONS(13114),
    [anon_sym_try] = ACTIONS(13114),
    [anon_sym_for] = ACTIONS(13114),
    [anon_sym_while] = ACTIONS(13114),
    [sym_break_statement] = ACTIONS(13114),
    [sym_continue_statement] = ACTIONS(13114),
    [anon_sym_return] = ACTIONS(13114),
    [anon_sym_const] = ACTIONS(13114),
    [anon_sym_global] = ACTIONS(13114),
    [anon_sym_local] = ACTIONS(13114),
    [anon_sym_LPAREN] = ACTIONS(13114),
    [anon_sym_RPAREN] = ACTIONS(13114),
    [anon_sym_COLON2] = ACTIONS(13114),
    [anon_sym_export] = ACTIONS(13114),
    [anon_sym_import] = ACTIONS(13114),
    [anon_sym_using] = ACTIONS(13114),
    [anon_sym_LBRACK] = ACTIONS(13114),
    [anon_sym_LF] = ACTIONS(13112),
    [anon_sym_in] = ACTIONS(13114),
    [anon_sym_SEMI] = ACTIONS(13114),
    [anon_sym_LBRACE] = ACTIONS(13114),
    [anon_sym_DOLLAR] = ACTIONS(13114),
    [anon_sym_COLON_COLON] = ACTIONS(13114),
    [anon_sym_isa] = ACTIONS(13114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13114),
    [anon_sym_QMARK] = ACTIONS(13114),
    [anon_sym_AT] = ACTIONS(13114),
    [anon_sym_true] = ACTIONS(13114),
    [anon_sym_false] = ACTIONS(13114),
    [aux_sym_integer_literal_token1] = ACTIONS(13114),
    [aux_sym_integer_literal_token2] = ACTIONS(13114),
    [aux_sym_integer_literal_token3] = ACTIONS(13114),
    [aux_sym_integer_literal_token4] = ACTIONS(13114),
    [aux_sym_float_literal_token1] = ACTIONS(13114),
    [aux_sym_float_literal_token3] = ACTIONS(13114),
    [aux_sym_float_literal_token4] = ACTIONS(13114),
    [sym_character_literal] = ACTIONS(13114),
    [sym__pair_operator] = ACTIONS(13114),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13114),
    [sym__lazy_and_operator] = ACTIONS(13114),
    [sym__comparison_operator] = ACTIONS(13114),
    [sym__pipe_right_operator] = ACTIONS(13114),
    [sym__pipe_left_operator] = ACTIONS(13114),
    [sym__ellipsis_operator] = ACTIONS(13114),
    [sym__plus_operator] = ACTIONS(13114),
    [sym__times_operator] = ACTIONS(13114),
    [sym__rational_operator] = ACTIONS(13114),
    [sym__bitshift_operator] = ACTIONS(13114),
    [sym__power_operator] = ACTIONS(13114),
    [sym__tilde_operator] = ACTIONS(13114),
    [sym__type_order_operator] = ACTIONS(13114),
    [sym__unary_operator] = ACTIONS(13114),
    [sym__unary_plus_operator] = ACTIONS(13114),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13112),
    [sym__command_start] = ACTIONS(13112),
  },
  [8652] = {
    [aux_sym__import_list_repeat1] = STATE(8672),
    [sym__word_identifier] = ACTIONS(12864),
    [anon_sym_EQ] = ACTIONS(12864),
    [anon_sym_COMMA] = ACTIONS(13820),
    [anon_sym_COLON] = ACTIONS(12864),
    [anon_sym_begin] = ACTIONS(12864),
    [anon_sym_module] = ACTIONS(12864),
    [anon_sym_baremodule] = ACTIONS(12864),
    [anon_sym_abstract] = ACTIONS(12864),
    [anon_sym_primitive] = ACTIONS(12864),
    [anon_sym_mutable] = ACTIONS(12864),
    [anon_sym_struct] = ACTIONS(12864),
    [anon_sym_function] = ACTIONS(12864),
    [anon_sym_macro] = ACTIONS(12864),
    [anon_sym_where] = ACTIONS(12864),
    [anon_sym_quote] = ACTIONS(12864),
    [anon_sym_let] = ACTIONS(12864),
    [anon_sym_if] = ACTIONS(12864),
    [anon_sym_try] = ACTIONS(12864),
    [anon_sym_for] = ACTIONS(12864),
    [anon_sym_while] = ACTIONS(12864),
    [sym_break_statement] = ACTIONS(12864),
    [sym_continue_statement] = ACTIONS(12864),
    [anon_sym_return] = ACTIONS(12864),
    [anon_sym_const] = ACTIONS(12864),
    [anon_sym_global] = ACTIONS(12864),
    [anon_sym_local] = ACTIONS(12864),
    [anon_sym_LPAREN] = ACTIONS(12864),
    [anon_sym_RPAREN] = ACTIONS(12864),
    [anon_sym_COLON2] = ACTIONS(12864),
    [anon_sym_export] = ACTIONS(12864),
    [anon_sym_import] = ACTIONS(12864),
    [anon_sym_using] = ACTIONS(12864),
    [anon_sym_LBRACK] = ACTIONS(12864),
    [anon_sym_LF] = ACTIONS(12872),
    [anon_sym_in] = ACTIONS(12864),
    [anon_sym_SEMI] = ACTIONS(12864),
    [anon_sym_LBRACE] = ACTIONS(12864),
    [anon_sym_DOLLAR] = ACTIONS(12864),
    [anon_sym_COLON_COLON] = ACTIONS(12864),
    [anon_sym_isa] = ACTIONS(12864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12864),
    [anon_sym_QMARK] = ACTIONS(12864),
    [anon_sym_AT] = ACTIONS(12864),
    [anon_sym_true] = ACTIONS(12864),
    [anon_sym_false] = ACTIONS(12864),
    [aux_sym_integer_literal_token1] = ACTIONS(12864),
    [aux_sym_integer_literal_token2] = ACTIONS(12864),
    [aux_sym_integer_literal_token3] = ACTIONS(12864),
    [aux_sym_integer_literal_token4] = ACTIONS(12864),
    [aux_sym_float_literal_token1] = ACTIONS(12864),
    [aux_sym_float_literal_token3] = ACTIONS(12864),
    [aux_sym_float_literal_token4] = ACTIONS(12864),
    [sym_character_literal] = ACTIONS(12864),
    [sym__pair_operator] = ACTIONS(12864),
    [sym__arrow_operator] = ACTIONS(12864),
    [sym__lazy_or_operator] = ACTIONS(12864),
    [sym__lazy_and_operator] = ACTIONS(12864),
    [sym__comparison_operator] = ACTIONS(12864),
    [sym__pipe_right_operator] = ACTIONS(12864),
    [sym__pipe_left_operator] = ACTIONS(12864),
    [sym__ellipsis_operator] = ACTIONS(12864),
    [sym__plus_operator] = ACTIONS(12864),
    [sym__times_operator] = ACTIONS(12864),
    [sym__rational_operator] = ACTIONS(12864),
    [sym__bitshift_operator] = ACTIONS(12864),
    [sym__power_operator] = ACTIONS(12864),
    [sym__tilde_operator] = ACTIONS(12864),
    [sym__type_order_operator] = ACTIONS(12864),
    [sym__unary_operator] = ACTIONS(12864),
    [sym__unary_plus_operator] = ACTIONS(12864),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12872),
    [sym__command_start] = ACTIONS(12872),
  },
  [8653] = {
    [sym__word_identifier] = ACTIONS(13916),
    [anon_sym_EQ] = ACTIONS(13916),
    [anon_sym_COMMA] = ACTIONS(13916),
    [anon_sym_COLON] = ACTIONS(13916),
    [anon_sym_begin] = ACTIONS(13916),
    [anon_sym_module] = ACTIONS(13916),
    [anon_sym_baremodule] = ACTIONS(13916),
    [anon_sym_abstract] = ACTIONS(13916),
    [anon_sym_primitive] = ACTIONS(13916),
    [anon_sym_mutable] = ACTIONS(13916),
    [anon_sym_struct] = ACTIONS(13916),
    [anon_sym_function] = ACTIONS(13916),
    [anon_sym_macro] = ACTIONS(13916),
    [anon_sym_where] = ACTIONS(13916),
    [anon_sym_quote] = ACTIONS(13916),
    [anon_sym_let] = ACTIONS(13916),
    [anon_sym_if] = ACTIONS(13916),
    [anon_sym_try] = ACTIONS(13916),
    [anon_sym_catch] = ACTIONS(13916),
    [anon_sym_finally] = ACTIONS(13916),
    [anon_sym_for] = ACTIONS(13916),
    [anon_sym_while] = ACTIONS(13916),
    [sym_break_statement] = ACTIONS(13916),
    [sym_continue_statement] = ACTIONS(13916),
    [anon_sym_return] = ACTIONS(13916),
    [anon_sym_const] = ACTIONS(13916),
    [anon_sym_global] = ACTIONS(13916),
    [anon_sym_local] = ACTIONS(13916),
    [anon_sym_LPAREN] = ACTIONS(13916),
    [anon_sym_COLON2] = ACTIONS(13916),
    [anon_sym_export] = ACTIONS(13916),
    [anon_sym_import] = ACTIONS(13916),
    [anon_sym_using] = ACTIONS(13916),
    [anon_sym_LBRACK] = ACTIONS(13916),
    [anon_sym_LF] = ACTIONS(13918),
    [anon_sym_in] = ACTIONS(13916),
    [anon_sym_LBRACE] = ACTIONS(13916),
    [anon_sym_DOLLAR] = ACTIONS(13916),
    [anon_sym_COLON_COLON] = ACTIONS(13916),
    [anon_sym_isa] = ACTIONS(13916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13916),
    [anon_sym_QMARK] = ACTIONS(13916),
    [anon_sym_AT] = ACTIONS(13916),
    [anon_sym_true] = ACTIONS(13916),
    [anon_sym_false] = ACTIONS(13916),
    [aux_sym_integer_literal_token1] = ACTIONS(13916),
    [aux_sym_integer_literal_token2] = ACTIONS(13916),
    [aux_sym_integer_literal_token3] = ACTIONS(13916),
    [aux_sym_integer_literal_token4] = ACTIONS(13916),
    [aux_sym_float_literal_token1] = ACTIONS(13916),
    [aux_sym_float_literal_token3] = ACTIONS(13916),
    [aux_sym_float_literal_token4] = ACTIONS(13916),
    [sym_character_literal] = ACTIONS(13916),
    [sym__pair_operator] = ACTIONS(13916),
    [sym__arrow_operator] = ACTIONS(13916),
    [sym__lazy_or_operator] = ACTIONS(13916),
    [sym__lazy_and_operator] = ACTIONS(13916),
    [sym__comparison_operator] = ACTIONS(13916),
    [sym__pipe_right_operator] = ACTIONS(13916),
    [sym__pipe_left_operator] = ACTIONS(13916),
    [sym__ellipsis_operator] = ACTIONS(13916),
    [sym__plus_operator] = ACTIONS(13916),
    [sym__times_operator] = ACTIONS(13916),
    [sym__rational_operator] = ACTIONS(13916),
    [sym__bitshift_operator] = ACTIONS(13916),
    [sym__power_operator] = ACTIONS(13916),
    [sym__tilde_operator] = ACTIONS(13916),
    [sym__type_order_operator] = ACTIONS(13916),
    [sym__unary_operator] = ACTIONS(13916),
    [sym__unary_plus_operator] = ACTIONS(13916),
    [aux_sym__terminator_token1] = ACTIONS(13916),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13918),
    [sym__command_start] = ACTIONS(13918),
  },
  [8654] = {
    [aux_sym_open_tuple_repeat1] = STATE(8663),
    [sym__word_identifier] = ACTIONS(12968),
    [anon_sym_EQ] = ACTIONS(12968),
    [anon_sym_COMMA] = ACTIONS(14720),
    [anon_sym_COLON] = ACTIONS(12968),
    [anon_sym_begin] = ACTIONS(12968),
    [anon_sym_module] = ACTIONS(12968),
    [anon_sym_baremodule] = ACTIONS(12968),
    [anon_sym_abstract] = ACTIONS(12968),
    [anon_sym_primitive] = ACTIONS(12968),
    [anon_sym_mutable] = ACTIONS(12968),
    [anon_sym_struct] = ACTIONS(12968),
    [anon_sym_function] = ACTIONS(12968),
    [anon_sym_macro] = ACTIONS(12968),
    [anon_sym_where] = ACTIONS(12968),
    [anon_sym_quote] = ACTIONS(12968),
    [anon_sym_let] = ACTIONS(12968),
    [anon_sym_if] = ACTIONS(12968),
    [anon_sym_try] = ACTIONS(12968),
    [anon_sym_for] = ACTIONS(12968),
    [anon_sym_while] = ACTIONS(12968),
    [sym_break_statement] = ACTIONS(12968),
    [sym_continue_statement] = ACTIONS(12968),
    [anon_sym_return] = ACTIONS(12968),
    [anon_sym_const] = ACTIONS(12968),
    [anon_sym_global] = ACTIONS(12968),
    [anon_sym_local] = ACTIONS(12968),
    [anon_sym_LPAREN] = ACTIONS(12968),
    [anon_sym_RPAREN] = ACTIONS(12968),
    [anon_sym_COLON2] = ACTIONS(12968),
    [anon_sym_export] = ACTIONS(12968),
    [anon_sym_import] = ACTIONS(12968),
    [anon_sym_using] = ACTIONS(12968),
    [anon_sym_LBRACK] = ACTIONS(12968),
    [anon_sym_LF] = ACTIONS(12972),
    [anon_sym_in] = ACTIONS(12968),
    [anon_sym_SEMI] = ACTIONS(12968),
    [anon_sym_LBRACE] = ACTIONS(12968),
    [anon_sym_DOLLAR] = ACTIONS(12968),
    [anon_sym_COLON_COLON] = ACTIONS(12968),
    [anon_sym_isa] = ACTIONS(12968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12968),
    [anon_sym_QMARK] = ACTIONS(12968),
    [anon_sym_AT] = ACTIONS(12968),
    [anon_sym_true] = ACTIONS(12968),
    [anon_sym_false] = ACTIONS(12968),
    [aux_sym_integer_literal_token1] = ACTIONS(12968),
    [aux_sym_integer_literal_token2] = ACTIONS(12968),
    [aux_sym_integer_literal_token3] = ACTIONS(12968),
    [aux_sym_integer_literal_token4] = ACTIONS(12968),
    [aux_sym_float_literal_token1] = ACTIONS(12968),
    [aux_sym_float_literal_token3] = ACTIONS(12968),
    [aux_sym_float_literal_token4] = ACTIONS(12968),
    [sym_character_literal] = ACTIONS(12968),
    [sym__pair_operator] = ACTIONS(12968),
    [sym__arrow_operator] = ACTIONS(12968),
    [sym__lazy_or_operator] = ACTIONS(12968),
    [sym__lazy_and_operator] = ACTIONS(12968),
    [sym__comparison_operator] = ACTIONS(12968),
    [sym__pipe_right_operator] = ACTIONS(12968),
    [sym__pipe_left_operator] = ACTIONS(12968),
    [sym__ellipsis_operator] = ACTIONS(12968),
    [sym__plus_operator] = ACTIONS(12968),
    [sym__times_operator] = ACTIONS(12968),
    [sym__rational_operator] = ACTIONS(12968),
    [sym__bitshift_operator] = ACTIONS(12968),
    [sym__power_operator] = ACTIONS(12968),
    [sym__tilde_operator] = ACTIONS(12968),
    [sym__type_order_operator] = ACTIONS(12968),
    [sym__unary_operator] = ACTIONS(12968),
    [sym__unary_plus_operator] = ACTIONS(12968),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12972),
    [sym__command_start] = ACTIONS(12972),
  },
  [8655] = {
    [sym__word_identifier] = ACTIONS(13630),
    [anon_sym_EQ] = ACTIONS(13630),
    [anon_sym_COMMA] = ACTIONS(13628),
    [anon_sym_COLON] = ACTIONS(13630),
    [anon_sym_begin] = ACTIONS(13630),
    [anon_sym_module] = ACTIONS(13630),
    [anon_sym_baremodule] = ACTIONS(13630),
    [anon_sym_abstract] = ACTIONS(13630),
    [anon_sym_primitive] = ACTIONS(13630),
    [anon_sym_mutable] = ACTIONS(13630),
    [anon_sym_struct] = ACTIONS(13630),
    [anon_sym_function] = ACTIONS(13630),
    [anon_sym_macro] = ACTIONS(13630),
    [anon_sym_where] = ACTIONS(13630),
    [anon_sym_quote] = ACTIONS(13630),
    [anon_sym_let] = ACTIONS(13630),
    [anon_sym_if] = ACTIONS(13630),
    [anon_sym_try] = ACTIONS(13630),
    [anon_sym_for] = ACTIONS(13630),
    [anon_sym_while] = ACTIONS(13630),
    [sym_break_statement] = ACTIONS(13630),
    [sym_continue_statement] = ACTIONS(13630),
    [anon_sym_return] = ACTIONS(13630),
    [anon_sym_const] = ACTIONS(13630),
    [anon_sym_global] = ACTIONS(13630),
    [anon_sym_local] = ACTIONS(13630),
    [anon_sym_LPAREN] = ACTIONS(13628),
    [anon_sym_RPAREN] = ACTIONS(13628),
    [anon_sym_COLON2] = ACTIONS(13630),
    [anon_sym_export] = ACTIONS(13630),
    [anon_sym_import] = ACTIONS(13630),
    [anon_sym_using] = ACTIONS(13630),
    [anon_sym_LBRACK] = ACTIONS(13628),
    [anon_sym_RBRACK] = ACTIONS(13628),
    [anon_sym_in] = ACTIONS(13630),
    [anon_sym_SEMI] = ACTIONS(13628),
    [anon_sym_LBRACE] = ACTIONS(13628),
    [anon_sym_RBRACE] = ACTIONS(13628),
    [anon_sym_DOLLAR] = ACTIONS(13628),
    [anon_sym_COLON_COLON] = ACTIONS(13628),
    [anon_sym_isa] = ACTIONS(13630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13628),
    [anon_sym_QMARK] = ACTIONS(13628),
    [anon_sym_AT] = ACTIONS(13628),
    [anon_sym_true] = ACTIONS(13630),
    [anon_sym_false] = ACTIONS(13630),
    [aux_sym_integer_literal_token1] = ACTIONS(13628),
    [aux_sym_integer_literal_token2] = ACTIONS(13628),
    [aux_sym_integer_literal_token3] = ACTIONS(13630),
    [aux_sym_integer_literal_token4] = ACTIONS(13630),
    [aux_sym_float_literal_token1] = ACTIONS(13628),
    [aux_sym_float_literal_token3] = ACTIONS(13628),
    [aux_sym_float_literal_token4] = ACTIONS(13628),
    [sym_character_literal] = ACTIONS(13628),
    [sym__pair_operator] = ACTIONS(13628),
    [sym__arrow_operator] = ACTIONS(13630),
    [sym__lazy_or_operator] = ACTIONS(13628),
    [sym__lazy_and_operator] = ACTIONS(13628),
    [sym__comparison_operator] = ACTIONS(13630),
    [sym__pipe_right_operator] = ACTIONS(13628),
    [sym__pipe_left_operator] = ACTIONS(13628),
    [sym__ellipsis_operator] = ACTIONS(13630),
    [sym__plus_operator] = ACTIONS(13630),
    [sym__times_operator] = ACTIONS(13630),
    [sym__rational_operator] = ACTIONS(13628),
    [sym__bitshift_operator] = ACTIONS(13628),
    [sym__power_operator] = ACTIONS(13628),
    [sym__tilde_operator] = ACTIONS(13628),
    [sym__type_order_operator] = ACTIONS(13628),
    [sym__unary_operator] = ACTIONS(13630),
    [sym__unary_plus_operator] = ACTIONS(13630),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13628),
    [sym__command_start] = ACTIONS(13628),
  },
  [8656] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_RPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14732),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8657] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(14521),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_catch] = ACTIONS(13122),
    [anon_sym_finally] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8658] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_EQ] = ACTIONS(12156),
    [anon_sym_COMMA] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_COLON2] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_in] = ACTIONS(12156),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_isa] = ACTIONS(12156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12156),
    [anon_sym_QMARK] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__lazy_or_operator] = ACTIONS(12156),
    [sym__lazy_and_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [8659] = {
    [sym__word_identifier] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13943),
    [anon_sym_COLON] = ACTIONS(13943),
    [anon_sym_begin] = ACTIONS(13943),
    [anon_sym_module] = ACTIONS(13943),
    [anon_sym_baremodule] = ACTIONS(13943),
    [anon_sym_abstract] = ACTIONS(13943),
    [anon_sym_primitive] = ACTIONS(13943),
    [anon_sym_mutable] = ACTIONS(13943),
    [anon_sym_struct] = ACTIONS(13943),
    [anon_sym_function] = ACTIONS(13943),
    [anon_sym_macro] = ACTIONS(13943),
    [anon_sym_where] = ACTIONS(13943),
    [anon_sym_quote] = ACTIONS(13943),
    [anon_sym_let] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13943),
    [anon_sym_try] = ACTIONS(13943),
    [anon_sym_catch] = ACTIONS(13943),
    [anon_sym_finally] = ACTIONS(13943),
    [anon_sym_for] = ACTIONS(13943),
    [anon_sym_while] = ACTIONS(13943),
    [sym_break_statement] = ACTIONS(13943),
    [sym_continue_statement] = ACTIONS(13943),
    [anon_sym_return] = ACTIONS(13943),
    [anon_sym_const] = ACTIONS(13943),
    [anon_sym_global] = ACTIONS(13943),
    [anon_sym_local] = ACTIONS(13943),
    [anon_sym_LPAREN] = ACTIONS(13943),
    [anon_sym_COLON2] = ACTIONS(13943),
    [anon_sym_export] = ACTIONS(13943),
    [anon_sym_import] = ACTIONS(13943),
    [anon_sym_using] = ACTIONS(13943),
    [anon_sym_LBRACK] = ACTIONS(13943),
    [anon_sym_LF] = ACTIONS(13945),
    [anon_sym_in] = ACTIONS(13943),
    [anon_sym_LBRACE] = ACTIONS(13943),
    [anon_sym_DOLLAR] = ACTIONS(13943),
    [anon_sym_COLON_COLON] = ACTIONS(13943),
    [anon_sym_isa] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13943),
    [anon_sym_QMARK] = ACTIONS(13943),
    [anon_sym_AT] = ACTIONS(13943),
    [anon_sym_true] = ACTIONS(13943),
    [anon_sym_false] = ACTIONS(13943),
    [aux_sym_integer_literal_token1] = ACTIONS(13943),
    [aux_sym_integer_literal_token2] = ACTIONS(13943),
    [aux_sym_integer_literal_token3] = ACTIONS(13943),
    [aux_sym_integer_literal_token4] = ACTIONS(13943),
    [aux_sym_float_literal_token1] = ACTIONS(13943),
    [aux_sym_float_literal_token3] = ACTIONS(13943),
    [aux_sym_float_literal_token4] = ACTIONS(13943),
    [sym_character_literal] = ACTIONS(13943),
    [sym__pair_operator] = ACTIONS(13943),
    [sym__arrow_operator] = ACTIONS(13943),
    [sym__lazy_or_operator] = ACTIONS(13943),
    [sym__lazy_and_operator] = ACTIONS(13943),
    [sym__comparison_operator] = ACTIONS(13943),
    [sym__pipe_right_operator] = ACTIONS(13943),
    [sym__pipe_left_operator] = ACTIONS(13943),
    [sym__ellipsis_operator] = ACTIONS(13943),
    [sym__plus_operator] = ACTIONS(13943),
    [sym__times_operator] = ACTIONS(13943),
    [sym__rational_operator] = ACTIONS(13943),
    [sym__bitshift_operator] = ACTIONS(13943),
    [sym__power_operator] = ACTIONS(13943),
    [sym__tilde_operator] = ACTIONS(13943),
    [sym__type_order_operator] = ACTIONS(13943),
    [sym__unary_operator] = ACTIONS(13943),
    [sym__unary_plus_operator] = ACTIONS(13943),
    [aux_sym__terminator_token1] = ACTIONS(13943),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13945),
    [sym__command_start] = ACTIONS(13945),
  },
  [8660] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_EQ] = ACTIONS(12062),
    [anon_sym_COMMA] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_COLON2] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_in] = ACTIONS(12062),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_isa] = ACTIONS(12062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12062),
    [anon_sym_QMARK] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__lazy_or_operator] = ACTIONS(12062),
    [sym__lazy_and_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [8661] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_RPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13238),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14732),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8662] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_EQ] = ACTIONS(12170),
    [anon_sym_COMMA] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_COLON2] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_in] = ACTIONS(12170),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_isa] = ACTIONS(12170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12170),
    [anon_sym_QMARK] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__lazy_or_operator] = ACTIONS(12170),
    [sym__lazy_and_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [8663] = {
    [aux_sym_open_tuple_repeat1] = STATE(8663),
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(14758),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(12957),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_RPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(12957),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(12957),
    [anon_sym_SEMI] = ACTIONS(12957),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(12957),
    [anon_sym_isa] = ACTIONS(12957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12957),
    [anon_sym_QMARK] = ACTIONS(12957),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(12957),
    [sym__arrow_operator] = ACTIONS(12957),
    [sym__lazy_or_operator] = ACTIONS(12957),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12957),
    [sym__pipe_right_operator] = ACTIONS(12957),
    [sym__pipe_left_operator] = ACTIONS(12957),
    [sym__ellipsis_operator] = ACTIONS(12957),
    [sym__plus_operator] = ACTIONS(12957),
    [sym__times_operator] = ACTIONS(12957),
    [sym__rational_operator] = ACTIONS(12957),
    [sym__bitshift_operator] = ACTIONS(12957),
    [sym__power_operator] = ACTIONS(12957),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(12957),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [8664] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(14761),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [8665] = {
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13236),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13238),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13236),
    [anon_sym_RPAREN] = ACTIONS(13236),
    [anon_sym_COLON2] = ACTIONS(13238),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13236),
    [anon_sym_RBRACK] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13238),
    [anon_sym_SEMI] = ACTIONS(13236),
    [anon_sym_LBRACE] = ACTIONS(13236),
    [anon_sym_RBRACE] = ACTIONS(13236),
    [anon_sym_DOLLAR] = ACTIONS(13236),
    [anon_sym_COLON_COLON] = ACTIONS(13236),
    [anon_sym_isa] = ACTIONS(13238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13236),
    [anon_sym_QMARK] = ACTIONS(13236),
    [anon_sym_AT] = ACTIONS(13236),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13236),
    [aux_sym_integer_literal_token2] = ACTIONS(13236),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13236),
    [aux_sym_float_literal_token3] = ACTIONS(13236),
    [aux_sym_float_literal_token4] = ACTIONS(13236),
    [sym_character_literal] = ACTIONS(13236),
    [sym__pair_operator] = ACTIONS(13236),
    [sym__arrow_operator] = ACTIONS(13238),
    [sym__lazy_or_operator] = ACTIONS(13236),
    [sym__lazy_and_operator] = ACTIONS(13236),
    [sym__comparison_operator] = ACTIONS(13238),
    [sym__pipe_right_operator] = ACTIONS(13236),
    [sym__pipe_left_operator] = ACTIONS(13236),
    [sym__ellipsis_operator] = ACTIONS(13238),
    [sym__plus_operator] = ACTIONS(13238),
    [sym__times_operator] = ACTIONS(13238),
    [sym__rational_operator] = ACTIONS(13236),
    [sym__bitshift_operator] = ACTIONS(13236),
    [sym__power_operator] = ACTIONS(13236),
    [sym__tilde_operator] = ACTIONS(13236),
    [sym__type_order_operator] = ACTIONS(13236),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8666] = {
    [aux_sym_export_statement_repeat1] = STATE(8666),
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(14763),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_end] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [8667] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_catch] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8668] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12652),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8669] = {
    [aux_sym_export_statement_repeat1] = STATE(8706),
    [sym__word_identifier] = ACTIONS(13166),
    [anon_sym_EQ] = ACTIONS(13166),
    [anon_sym_COMMA] = ACTIONS(14718),
    [anon_sym_COLON] = ACTIONS(13166),
    [anon_sym_begin] = ACTIONS(13166),
    [anon_sym_module] = ACTIONS(13166),
    [anon_sym_baremodule] = ACTIONS(13166),
    [anon_sym_abstract] = ACTIONS(13166),
    [anon_sym_primitive] = ACTIONS(13166),
    [anon_sym_mutable] = ACTIONS(13166),
    [anon_sym_struct] = ACTIONS(13166),
    [anon_sym_function] = ACTIONS(13166),
    [anon_sym_macro] = ACTIONS(13166),
    [anon_sym_where] = ACTIONS(13166),
    [anon_sym_quote] = ACTIONS(13166),
    [anon_sym_let] = ACTIONS(13166),
    [anon_sym_if] = ACTIONS(13166),
    [anon_sym_try] = ACTIONS(13166),
    [anon_sym_for] = ACTIONS(13166),
    [anon_sym_while] = ACTIONS(13166),
    [sym_break_statement] = ACTIONS(13166),
    [sym_continue_statement] = ACTIONS(13166),
    [anon_sym_return] = ACTIONS(13166),
    [anon_sym_const] = ACTIONS(13166),
    [anon_sym_global] = ACTIONS(13166),
    [anon_sym_local] = ACTIONS(13166),
    [anon_sym_LPAREN] = ACTIONS(13166),
    [anon_sym_RPAREN] = ACTIONS(13166),
    [anon_sym_COLON2] = ACTIONS(13166),
    [anon_sym_export] = ACTIONS(13166),
    [anon_sym_import] = ACTIONS(13166),
    [anon_sym_using] = ACTIONS(13166),
    [anon_sym_LBRACK] = ACTIONS(13166),
    [anon_sym_LF] = ACTIONS(13170),
    [anon_sym_in] = ACTIONS(13166),
    [anon_sym_SEMI] = ACTIONS(13166),
    [anon_sym_LBRACE] = ACTIONS(13166),
    [anon_sym_DOLLAR] = ACTIONS(13166),
    [anon_sym_COLON_COLON] = ACTIONS(13166),
    [anon_sym_isa] = ACTIONS(13166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13166),
    [anon_sym_QMARK] = ACTIONS(13166),
    [anon_sym_AT] = ACTIONS(13166),
    [anon_sym_true] = ACTIONS(13166),
    [anon_sym_false] = ACTIONS(13166),
    [aux_sym_integer_literal_token1] = ACTIONS(13166),
    [aux_sym_integer_literal_token2] = ACTIONS(13166),
    [aux_sym_integer_literal_token3] = ACTIONS(13166),
    [aux_sym_integer_literal_token4] = ACTIONS(13166),
    [aux_sym_float_literal_token1] = ACTIONS(13166),
    [aux_sym_float_literal_token3] = ACTIONS(13166),
    [aux_sym_float_literal_token4] = ACTIONS(13166),
    [sym_character_literal] = ACTIONS(13166),
    [sym__pair_operator] = ACTIONS(13166),
    [sym__arrow_operator] = ACTIONS(13166),
    [sym__lazy_or_operator] = ACTIONS(13166),
    [sym__lazy_and_operator] = ACTIONS(13166),
    [sym__comparison_operator] = ACTIONS(13166),
    [sym__pipe_right_operator] = ACTIONS(13166),
    [sym__pipe_left_operator] = ACTIONS(13166),
    [sym__ellipsis_operator] = ACTIONS(13166),
    [sym__plus_operator] = ACTIONS(13166),
    [sym__times_operator] = ACTIONS(13166),
    [sym__rational_operator] = ACTIONS(13166),
    [sym__bitshift_operator] = ACTIONS(13166),
    [sym__power_operator] = ACTIONS(13166),
    [sym__tilde_operator] = ACTIONS(13166),
    [sym__type_order_operator] = ACTIONS(13166),
    [sym__unary_operator] = ACTIONS(13166),
    [sym__unary_plus_operator] = ACTIONS(13166),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13170),
    [sym__command_start] = ACTIONS(13170),
  },
  [8670] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_EQ] = ACTIONS(11970),
    [anon_sym_COMMA] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_COLON2] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_in] = ACTIONS(11970),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_isa] = ACTIONS(11970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11970),
    [anon_sym_QMARK] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__lazy_or_operator] = ACTIONS(11970),
    [sym__lazy_and_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [8671] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_EQ] = ACTIONS(12176),
    [anon_sym_COMMA] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_COLON2] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_in] = ACTIONS(12176),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_isa] = ACTIONS(12176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12176),
    [anon_sym_QMARK] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__lazy_or_operator] = ACTIONS(12176),
    [sym__lazy_and_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [8672] = {
    [aux_sym__import_list_repeat1] = STATE(8708),
    [sym__word_identifier] = ACTIONS(13164),
    [anon_sym_EQ] = ACTIONS(13164),
    [anon_sym_COMMA] = ACTIONS(13820),
    [anon_sym_COLON] = ACTIONS(13164),
    [anon_sym_begin] = ACTIONS(13164),
    [anon_sym_module] = ACTIONS(13164),
    [anon_sym_baremodule] = ACTIONS(13164),
    [anon_sym_abstract] = ACTIONS(13164),
    [anon_sym_primitive] = ACTIONS(13164),
    [anon_sym_mutable] = ACTIONS(13164),
    [anon_sym_struct] = ACTIONS(13164),
    [anon_sym_function] = ACTIONS(13164),
    [anon_sym_macro] = ACTIONS(13164),
    [anon_sym_where] = ACTIONS(13164),
    [anon_sym_quote] = ACTIONS(13164),
    [anon_sym_let] = ACTIONS(13164),
    [anon_sym_if] = ACTIONS(13164),
    [anon_sym_try] = ACTIONS(13164),
    [anon_sym_for] = ACTIONS(13164),
    [anon_sym_while] = ACTIONS(13164),
    [sym_break_statement] = ACTIONS(13164),
    [sym_continue_statement] = ACTIONS(13164),
    [anon_sym_return] = ACTIONS(13164),
    [anon_sym_const] = ACTIONS(13164),
    [anon_sym_global] = ACTIONS(13164),
    [anon_sym_local] = ACTIONS(13164),
    [anon_sym_LPAREN] = ACTIONS(13164),
    [anon_sym_RPAREN] = ACTIONS(13164),
    [anon_sym_COLON2] = ACTIONS(13164),
    [anon_sym_export] = ACTIONS(13164),
    [anon_sym_import] = ACTIONS(13164),
    [anon_sym_using] = ACTIONS(13164),
    [anon_sym_LBRACK] = ACTIONS(13164),
    [anon_sym_LF] = ACTIONS(13162),
    [anon_sym_in] = ACTIONS(13164),
    [anon_sym_SEMI] = ACTIONS(13164),
    [anon_sym_LBRACE] = ACTIONS(13164),
    [anon_sym_DOLLAR] = ACTIONS(13164),
    [anon_sym_COLON_COLON] = ACTIONS(13164),
    [anon_sym_isa] = ACTIONS(13164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13164),
    [anon_sym_QMARK] = ACTIONS(13164),
    [anon_sym_AT] = ACTIONS(13164),
    [anon_sym_true] = ACTIONS(13164),
    [anon_sym_false] = ACTIONS(13164),
    [aux_sym_integer_literal_token1] = ACTIONS(13164),
    [aux_sym_integer_literal_token2] = ACTIONS(13164),
    [aux_sym_integer_literal_token3] = ACTIONS(13164),
    [aux_sym_integer_literal_token4] = ACTIONS(13164),
    [aux_sym_float_literal_token1] = ACTIONS(13164),
    [aux_sym_float_literal_token3] = ACTIONS(13164),
    [aux_sym_float_literal_token4] = ACTIONS(13164),
    [sym_character_literal] = ACTIONS(13164),
    [sym__pair_operator] = ACTIONS(13164),
    [sym__arrow_operator] = ACTIONS(13164),
    [sym__lazy_or_operator] = ACTIONS(13164),
    [sym__lazy_and_operator] = ACTIONS(13164),
    [sym__comparison_operator] = ACTIONS(13164),
    [sym__pipe_right_operator] = ACTIONS(13164),
    [sym__pipe_left_operator] = ACTIONS(13164),
    [sym__ellipsis_operator] = ACTIONS(13164),
    [sym__plus_operator] = ACTIONS(13164),
    [sym__times_operator] = ACTIONS(13164),
    [sym__rational_operator] = ACTIONS(13164),
    [sym__bitshift_operator] = ACTIONS(13164),
    [sym__power_operator] = ACTIONS(13164),
    [sym__tilde_operator] = ACTIONS(13164),
    [sym__type_order_operator] = ACTIONS(13164),
    [sym__unary_operator] = ACTIONS(13164),
    [sym__unary_plus_operator] = ACTIONS(13164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13162),
    [sym__command_start] = ACTIONS(13162),
  },
  [8673] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_EQ] = ACTIONS(12180),
    [anon_sym_COMMA] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_COLON2] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_in] = ACTIONS(12180),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_isa] = ACTIONS(12180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12180),
    [anon_sym_QMARK] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__lazy_or_operator] = ACTIONS(12180),
    [sym__lazy_and_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [8674] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_EQ] = ACTIONS(12184),
    [anon_sym_COMMA] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_COLON2] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_in] = ACTIONS(12184),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_isa] = ACTIONS(12184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12184),
    [anon_sym_QMARK] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__lazy_or_operator] = ACTIONS(12184),
    [sym__lazy_and_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [8675] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_EQ] = ACTIONS(12188),
    [anon_sym_COMMA] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_COLON2] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_in] = ACTIONS(12188),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_isa] = ACTIONS(12188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12188),
    [anon_sym_QMARK] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__lazy_or_operator] = ACTIONS(12188),
    [sym__lazy_and_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [8676] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13212),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13212),
    [anon_sym_RPAREN] = ACTIONS(13212),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13212),
    [anon_sym_RBRACK] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_SEMI] = ACTIONS(13212),
    [anon_sym_LBRACE] = ACTIONS(13212),
    [anon_sym_RBRACE] = ACTIONS(13212),
    [anon_sym_DOLLAR] = ACTIONS(13212),
    [anon_sym_COLON_COLON] = ACTIONS(13212),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13212),
    [anon_sym_QMARK] = ACTIONS(13212),
    [anon_sym_AT] = ACTIONS(13212),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13212),
    [aux_sym_integer_literal_token2] = ACTIONS(13212),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13212),
    [aux_sym_float_literal_token3] = ACTIONS(13212),
    [aux_sym_float_literal_token4] = ACTIONS(13212),
    [sym_character_literal] = ACTIONS(13212),
    [sym__pair_operator] = ACTIONS(13212),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13212),
    [sym__lazy_and_operator] = ACTIONS(13212),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13212),
    [sym__pipe_left_operator] = ACTIONS(13212),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13212),
    [sym__bitshift_operator] = ACTIONS(13212),
    [sym__power_operator] = ACTIONS(13212),
    [sym__tilde_operator] = ACTIONS(13212),
    [sym__type_order_operator] = ACTIONS(13212),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8677] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_as] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [8678] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_EQ] = ACTIONS(12192),
    [anon_sym_COMMA] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_COLON2] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_in] = ACTIONS(12192),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_isa] = ACTIONS(12192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12192),
    [anon_sym_QMARK] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__lazy_or_operator] = ACTIONS(12192),
    [sym__lazy_and_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [8679] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOT] = ACTIONS(14766),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [8680] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_EQ] = ACTIONS(12196),
    [anon_sym_COMMA] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_COLON2] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_in] = ACTIONS(12196),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_isa] = ACTIONS(12196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12196),
    [anon_sym_QMARK] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__lazy_or_operator] = ACTIONS(12196),
    [sym__lazy_and_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [8681] = {
    [sym__word_identifier] = ACTIONS(14170),
    [anon_sym_EQ] = ACTIONS(14170),
    [anon_sym_COMMA] = ACTIONS(14170),
    [anon_sym_COLON] = ACTIONS(14170),
    [anon_sym_begin] = ACTIONS(14170),
    [anon_sym_module] = ACTIONS(14170),
    [anon_sym_baremodule] = ACTIONS(14170),
    [anon_sym_abstract] = ACTIONS(14170),
    [anon_sym_primitive] = ACTIONS(14170),
    [anon_sym_mutable] = ACTIONS(14170),
    [anon_sym_struct] = ACTIONS(14170),
    [anon_sym_function] = ACTIONS(14170),
    [anon_sym_macro] = ACTIONS(14170),
    [anon_sym_where] = ACTIONS(14170),
    [anon_sym_quote] = ACTIONS(14170),
    [anon_sym_let] = ACTIONS(14170),
    [anon_sym_if] = ACTIONS(14170),
    [anon_sym_try] = ACTIONS(14170),
    [anon_sym_catch] = ACTIONS(14170),
    [anon_sym_finally] = ACTIONS(14170),
    [anon_sym_for] = ACTIONS(14170),
    [anon_sym_while] = ACTIONS(14170),
    [sym_break_statement] = ACTIONS(14170),
    [sym_continue_statement] = ACTIONS(14170),
    [anon_sym_return] = ACTIONS(14170),
    [anon_sym_const] = ACTIONS(14170),
    [anon_sym_global] = ACTIONS(14170),
    [anon_sym_local] = ACTIONS(14170),
    [anon_sym_LPAREN] = ACTIONS(14170),
    [anon_sym_COLON2] = ACTIONS(14170),
    [anon_sym_export] = ACTIONS(14170),
    [anon_sym_import] = ACTIONS(14170),
    [anon_sym_using] = ACTIONS(14170),
    [anon_sym_LBRACK] = ACTIONS(14170),
    [anon_sym_LF] = ACTIONS(14172),
    [anon_sym_in] = ACTIONS(14170),
    [anon_sym_LBRACE] = ACTIONS(14170),
    [anon_sym_DOLLAR] = ACTIONS(14170),
    [anon_sym_COLON_COLON] = ACTIONS(14170),
    [anon_sym_isa] = ACTIONS(14170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14170),
    [anon_sym_QMARK] = ACTIONS(14170),
    [anon_sym_AT] = ACTIONS(14170),
    [anon_sym_true] = ACTIONS(14170),
    [anon_sym_false] = ACTIONS(14170),
    [aux_sym_integer_literal_token1] = ACTIONS(14170),
    [aux_sym_integer_literal_token2] = ACTIONS(14170),
    [aux_sym_integer_literal_token3] = ACTIONS(14170),
    [aux_sym_integer_literal_token4] = ACTIONS(14170),
    [aux_sym_float_literal_token1] = ACTIONS(14170),
    [aux_sym_float_literal_token3] = ACTIONS(14170),
    [aux_sym_float_literal_token4] = ACTIONS(14170),
    [sym_character_literal] = ACTIONS(14170),
    [sym__pair_operator] = ACTIONS(14170),
    [sym__arrow_operator] = ACTIONS(14170),
    [sym__lazy_or_operator] = ACTIONS(14170),
    [sym__lazy_and_operator] = ACTIONS(14170),
    [sym__comparison_operator] = ACTIONS(14170),
    [sym__pipe_right_operator] = ACTIONS(14170),
    [sym__pipe_left_operator] = ACTIONS(14170),
    [sym__ellipsis_operator] = ACTIONS(14170),
    [sym__plus_operator] = ACTIONS(14170),
    [sym__times_operator] = ACTIONS(14170),
    [sym__rational_operator] = ACTIONS(14170),
    [sym__bitshift_operator] = ACTIONS(14170),
    [sym__power_operator] = ACTIONS(14170),
    [sym__tilde_operator] = ACTIONS(14170),
    [sym__type_order_operator] = ACTIONS(14170),
    [sym__unary_operator] = ACTIONS(14170),
    [sym__unary_plus_operator] = ACTIONS(14170),
    [aux_sym__terminator_token1] = ACTIONS(14170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14172),
    [sym__command_start] = ACTIONS(14172),
  },
  [8682] = {
    [sym__word_identifier] = ACTIONS(13989),
    [anon_sym_EQ] = ACTIONS(13989),
    [anon_sym_COMMA] = ACTIONS(13989),
    [anon_sym_COLON] = ACTIONS(13989),
    [anon_sym_begin] = ACTIONS(13989),
    [anon_sym_module] = ACTIONS(13989),
    [anon_sym_baremodule] = ACTIONS(13989),
    [anon_sym_abstract] = ACTIONS(13989),
    [anon_sym_primitive] = ACTIONS(13989),
    [anon_sym_mutable] = ACTIONS(13989),
    [anon_sym_struct] = ACTIONS(13989),
    [anon_sym_function] = ACTIONS(13989),
    [anon_sym_macro] = ACTIONS(13989),
    [anon_sym_where] = ACTIONS(13989),
    [anon_sym_quote] = ACTIONS(13989),
    [anon_sym_let] = ACTIONS(13989),
    [anon_sym_if] = ACTIONS(13989),
    [anon_sym_try] = ACTIONS(13989),
    [anon_sym_catch] = ACTIONS(13989),
    [anon_sym_finally] = ACTIONS(13989),
    [anon_sym_for] = ACTIONS(13989),
    [anon_sym_while] = ACTIONS(13989),
    [sym_break_statement] = ACTIONS(13989),
    [sym_continue_statement] = ACTIONS(13989),
    [anon_sym_return] = ACTIONS(13989),
    [anon_sym_const] = ACTIONS(13989),
    [anon_sym_global] = ACTIONS(13989),
    [anon_sym_local] = ACTIONS(13989),
    [anon_sym_LPAREN] = ACTIONS(13989),
    [anon_sym_COLON2] = ACTIONS(13989),
    [anon_sym_export] = ACTIONS(13989),
    [anon_sym_import] = ACTIONS(13989),
    [anon_sym_using] = ACTIONS(13989),
    [anon_sym_LBRACK] = ACTIONS(13989),
    [anon_sym_LF] = ACTIONS(13987),
    [anon_sym_in] = ACTIONS(13989),
    [anon_sym_LBRACE] = ACTIONS(13989),
    [anon_sym_DOLLAR] = ACTIONS(13989),
    [anon_sym_COLON_COLON] = ACTIONS(13989),
    [anon_sym_isa] = ACTIONS(13989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13989),
    [anon_sym_QMARK] = ACTIONS(13989),
    [anon_sym_AT] = ACTIONS(13989),
    [anon_sym_true] = ACTIONS(13989),
    [anon_sym_false] = ACTIONS(13989),
    [aux_sym_integer_literal_token1] = ACTIONS(13989),
    [aux_sym_integer_literal_token2] = ACTIONS(13989),
    [aux_sym_integer_literal_token3] = ACTIONS(13989),
    [aux_sym_integer_literal_token4] = ACTIONS(13989),
    [aux_sym_float_literal_token1] = ACTIONS(13989),
    [aux_sym_float_literal_token3] = ACTIONS(13989),
    [aux_sym_float_literal_token4] = ACTIONS(13989),
    [sym_character_literal] = ACTIONS(13989),
    [sym__pair_operator] = ACTIONS(13989),
    [sym__arrow_operator] = ACTIONS(13989),
    [sym__lazy_or_operator] = ACTIONS(13989),
    [sym__lazy_and_operator] = ACTIONS(13989),
    [sym__comparison_operator] = ACTIONS(13989),
    [sym__pipe_right_operator] = ACTIONS(13989),
    [sym__pipe_left_operator] = ACTIONS(13989),
    [sym__ellipsis_operator] = ACTIONS(13989),
    [sym__plus_operator] = ACTIONS(13989),
    [sym__times_operator] = ACTIONS(13989),
    [sym__rational_operator] = ACTIONS(13989),
    [sym__bitshift_operator] = ACTIONS(13989),
    [sym__power_operator] = ACTIONS(13989),
    [sym__tilde_operator] = ACTIONS(13989),
    [sym__type_order_operator] = ACTIONS(13989),
    [sym__unary_operator] = ACTIONS(13989),
    [sym__unary_plus_operator] = ACTIONS(13989),
    [aux_sym__terminator_token1] = ACTIONS(13989),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13987),
    [sym__command_start] = ACTIONS(13987),
  },
  [8683] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(14713),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_finally] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8684] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_EQ] = ACTIONS(12208),
    [anon_sym_COMMA] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_COLON2] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_in] = ACTIONS(12208),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_isa] = ACTIONS(12208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12208),
    [anon_sym_QMARK] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__lazy_or_operator] = ACTIONS(12208),
    [sym__lazy_and_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [8685] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_EQ] = ACTIONS(12214),
    [anon_sym_COMMA] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_COLON2] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_in] = ACTIONS(12214),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_isa] = ACTIONS(12214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12214),
    [anon_sym_QMARK] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__lazy_or_operator] = ACTIONS(12214),
    [sym__lazy_and_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [8686] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_EQ] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_finally] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [8687] = {
    [sym__primary_expression] = STATE(11494),
    [sym__array] = STATE(11494),
    [sym_comprehension_expression] = STATE(11494),
    [sym_matrix_expression] = STATE(11494),
    [sym_vector_expression] = STATE(11494),
    [sym_parenthesized_expression] = STATE(11494),
    [sym_tuple_expression] = STATE(11494),
    [sym_curly_expression] = STATE(11494),
    [sym_adjoint_expression] = STATE(11494),
    [sym_field_expression] = STATE(11494),
    [sym_index_expression] = STATE(11494),
    [sym_parametrized_type_expression] = STATE(11494),
    [sym_call_expression] = STATE(11494),
    [sym_broadcast_call_expression] = STATE(11494),
    [sym__closed_macrocall_expression] = STATE(11494),
    [sym_interpolation_expression] = STATE(11494),
    [sym_quote_expression] = STATE(11494),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(11243),
    [sym_boolean_literal] = STATE(11494),
    [sym__string] = STATE(11494),
    [sym_string_literal] = STATE(11494),
    [sym_command_literal] = STATE(11494),
    [sym_prefixed_string_literal] = STATE(11494),
    [sym_prefixed_command_literal] = STATE(11494),
    [sym_operator] = STATE(18431),
    [ts_builtin_sym_end] = ACTIONS(171),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(14768),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(14770),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(91),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(14772),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(91),
    [sym__lazy_and_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [8688] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_catch] = ACTIONS(12674),
    [anon_sym_finally] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [8689] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_EQ] = ACTIONS(12218),
    [anon_sym_COMMA] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_COLON2] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_in] = ACTIONS(12218),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_isa] = ACTIONS(12218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12218),
    [anon_sym_QMARK] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__lazy_or_operator] = ACTIONS(12218),
    [sym__lazy_and_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [8690] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_EQ] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_finally] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [8691] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_EQ] = ACTIONS(11926),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_COLON2] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11926),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_isa] = ACTIONS(11926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11926),
    [anon_sym_QMARK] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__lazy_or_operator] = ACTIONS(11926),
    [sym__lazy_and_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [8692] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8693] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13314),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13316),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8694] = {
    [aux_sym_open_tuple_repeat1] = STATE(8122),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(14523),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14635),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8695] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13318),
    [sym__lazy_or_operator] = ACTIONS(13320),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8696] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13322),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8697] = {
    [aux_sym_open_tuple_repeat1] = STATE(8108),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(14519),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13060),
    [anon_sym_RPAREN] = ACTIONS(13060),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13060),
    [anon_sym_RBRACK] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13060),
    [anon_sym_RBRACE] = ACTIONS(13060),
    [anon_sym_DOLLAR] = ACTIONS(13060),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14679),
    [anon_sym_AT] = ACTIONS(13060),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13060),
    [aux_sym_integer_literal_token2] = ACTIONS(13060),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13060),
    [aux_sym_float_literal_token3] = ACTIONS(13060),
    [aux_sym_float_literal_token4] = ACTIONS(13060),
    [sym_character_literal] = ACTIONS(13060),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13060),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8698] = {
    [aux_sym_open_tuple_repeat1] = STATE(8108),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(14519),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13094),
    [anon_sym_RPAREN] = ACTIONS(13094),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13094),
    [anon_sym_RBRACK] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13094),
    [anon_sym_RBRACE] = ACTIONS(13094),
    [anon_sym_DOLLAR] = ACTIONS(13094),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14679),
    [anon_sym_AT] = ACTIONS(13094),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13094),
    [aux_sym_integer_literal_token2] = ACTIONS(13094),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13094),
    [aux_sym_float_literal_token3] = ACTIONS(13094),
    [aux_sym_float_literal_token4] = ACTIONS(13094),
    [sym_character_literal] = ACTIONS(13094),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13094),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8699] = {
    [aux_sym_open_tuple_repeat1] = STATE(8108),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(14519),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13104),
    [anon_sym_RPAREN] = ACTIONS(13104),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13104),
    [anon_sym_RBRACK] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13104),
    [anon_sym_RBRACE] = ACTIONS(13104),
    [anon_sym_DOLLAR] = ACTIONS(13104),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14679),
    [anon_sym_AT] = ACTIONS(13104),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13104),
    [aux_sym_integer_literal_token2] = ACTIONS(13104),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13104),
    [aux_sym_float_literal_token3] = ACTIONS(13104),
    [aux_sym_float_literal_token4] = ACTIONS(13104),
    [sym_character_literal] = ACTIONS(13104),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13104),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8700] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13304),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13308),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13308),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13308),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8701] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_EQ] = ACTIONS(12226),
    [anon_sym_COMMA] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_COLON2] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_in] = ACTIONS(12226),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_isa] = ACTIONS(12226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12226),
    [anon_sym_QMARK] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__lazy_or_operator] = ACTIONS(12226),
    [sym__lazy_and_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [8702] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_EQ] = ACTIONS(12020),
    [anon_sym_COMMA] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_COLON2] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_in] = ACTIONS(12020),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_isa] = ACTIONS(12020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12020),
    [anon_sym_QMARK] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__lazy_or_operator] = ACTIONS(12020),
    [sym__lazy_and_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [8703] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_EQ] = ACTIONS(12230),
    [anon_sym_COMMA] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_COLON2] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_in] = ACTIONS(12230),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_isa] = ACTIONS(12230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12230),
    [anon_sym_QMARK] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__lazy_or_operator] = ACTIONS(12230),
    [sym__lazy_and_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [8704] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14529),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14541),
    [sym__pipe_left_operator] = ACTIONS(14543),
    [sym__ellipsis_operator] = ACTIONS(14545),
    [sym__plus_operator] = ACTIONS(14547),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14547),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8705] = {
    [aux_sym_open_tuple_repeat1] = STATE(8654),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(14720),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_RPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14732),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8706] = {
    [aux_sym_export_statement_repeat1] = STATE(8706),
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(14774),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_RPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_SEMI] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [8707] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_as] = ACTIONS(13822),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_RPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_SEMI] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [8708] = {
    [aux_sym__import_list_repeat1] = STATE(8708),
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(14777),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_RPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_SEMI] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [8709] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_DASH_GT] = ACTIONS(12054),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8710] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8711] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_EQ] = ACTIONS(12234),
    [anon_sym_COMMA] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_COLON2] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_in] = ACTIONS(12234),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_isa] = ACTIONS(12234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12234),
    [anon_sym_QMARK] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__lazy_or_operator] = ACTIONS(12234),
    [sym__lazy_and_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [8712] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(14713),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_finally] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8713] = {
    [sym__word_identifier] = ACTIONS(13574),
    [anon_sym_EQ] = ACTIONS(13574),
    [anon_sym_COMMA] = ACTIONS(13574),
    [anon_sym_COLON] = ACTIONS(13574),
    [anon_sym_begin] = ACTIONS(13574),
    [anon_sym_module] = ACTIONS(13574),
    [anon_sym_baremodule] = ACTIONS(13574),
    [anon_sym_abstract] = ACTIONS(13574),
    [anon_sym_primitive] = ACTIONS(13574),
    [anon_sym_mutable] = ACTIONS(13574),
    [anon_sym_struct] = ACTIONS(13574),
    [anon_sym_function] = ACTIONS(13574),
    [anon_sym_macro] = ACTIONS(13574),
    [anon_sym_where] = ACTIONS(13574),
    [anon_sym_quote] = ACTIONS(13574),
    [anon_sym_let] = ACTIONS(13574),
    [anon_sym_if] = ACTIONS(13574),
    [anon_sym_try] = ACTIONS(13574),
    [anon_sym_catch] = ACTIONS(13574),
    [anon_sym_finally] = ACTIONS(13574),
    [anon_sym_for] = ACTIONS(13574),
    [anon_sym_while] = ACTIONS(13574),
    [sym_break_statement] = ACTIONS(13574),
    [sym_continue_statement] = ACTIONS(13574),
    [anon_sym_return] = ACTIONS(13574),
    [anon_sym_const] = ACTIONS(13574),
    [anon_sym_global] = ACTIONS(13574),
    [anon_sym_local] = ACTIONS(13574),
    [anon_sym_LPAREN] = ACTIONS(13574),
    [anon_sym_COLON2] = ACTIONS(13574),
    [anon_sym_export] = ACTIONS(13574),
    [anon_sym_import] = ACTIONS(13574),
    [anon_sym_using] = ACTIONS(13574),
    [anon_sym_LBRACK] = ACTIONS(13574),
    [anon_sym_LF] = ACTIONS(13572),
    [anon_sym_in] = ACTIONS(13574),
    [anon_sym_LBRACE] = ACTIONS(13574),
    [anon_sym_DOLLAR] = ACTIONS(13574),
    [anon_sym_COLON_COLON] = ACTIONS(13574),
    [anon_sym_isa] = ACTIONS(13574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13574),
    [anon_sym_QMARK] = ACTIONS(13574),
    [anon_sym_AT] = ACTIONS(13574),
    [anon_sym_true] = ACTIONS(13574),
    [anon_sym_false] = ACTIONS(13574),
    [aux_sym_integer_literal_token1] = ACTIONS(13574),
    [aux_sym_integer_literal_token2] = ACTIONS(13574),
    [aux_sym_integer_literal_token3] = ACTIONS(13574),
    [aux_sym_integer_literal_token4] = ACTIONS(13574),
    [aux_sym_float_literal_token1] = ACTIONS(13574),
    [aux_sym_float_literal_token3] = ACTIONS(13574),
    [aux_sym_float_literal_token4] = ACTIONS(13574),
    [sym_character_literal] = ACTIONS(13574),
    [sym__pair_operator] = ACTIONS(13574),
    [sym__arrow_operator] = ACTIONS(13574),
    [sym__lazy_or_operator] = ACTIONS(13574),
    [sym__lazy_and_operator] = ACTIONS(13574),
    [sym__comparison_operator] = ACTIONS(13574),
    [sym__pipe_right_operator] = ACTIONS(13574),
    [sym__pipe_left_operator] = ACTIONS(13574),
    [sym__ellipsis_operator] = ACTIONS(13574),
    [sym__plus_operator] = ACTIONS(13574),
    [sym__times_operator] = ACTIONS(13574),
    [sym__rational_operator] = ACTIONS(13574),
    [sym__bitshift_operator] = ACTIONS(13574),
    [sym__power_operator] = ACTIONS(13574),
    [sym__tilde_operator] = ACTIONS(13574),
    [sym__type_order_operator] = ACTIONS(13574),
    [sym__unary_operator] = ACTIONS(13574),
    [sym__unary_plus_operator] = ACTIONS(13574),
    [aux_sym__terminator_token1] = ACTIONS(13574),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13572),
    [sym__command_start] = ACTIONS(13572),
  },
  [8714] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13306),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13324),
    [sym__pipe_left_operator] = ACTIONS(13326),
    [sym__ellipsis_operator] = ACTIONS(13328),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8715] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_EQ] = ACTIONS(12254),
    [anon_sym_COMMA] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_COLON2] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_in] = ACTIONS(12254),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_isa] = ACTIONS(12254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12254),
    [anon_sym_QMARK] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__lazy_or_operator] = ACTIONS(12254),
    [sym__lazy_and_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [8716] = {
    [sym__word_identifier] = ACTIONS(14168),
    [anon_sym_EQ] = ACTIONS(14168),
    [anon_sym_COMMA] = ACTIONS(14168),
    [anon_sym_COLON] = ACTIONS(14168),
    [anon_sym_begin] = ACTIONS(14168),
    [anon_sym_module] = ACTIONS(14168),
    [anon_sym_baremodule] = ACTIONS(14168),
    [anon_sym_abstract] = ACTIONS(14168),
    [anon_sym_primitive] = ACTIONS(14168),
    [anon_sym_mutable] = ACTIONS(14168),
    [anon_sym_struct] = ACTIONS(14168),
    [anon_sym_function] = ACTIONS(14168),
    [anon_sym_macro] = ACTIONS(14168),
    [anon_sym_where] = ACTIONS(14168),
    [anon_sym_quote] = ACTIONS(14168),
    [anon_sym_let] = ACTIONS(14168),
    [anon_sym_if] = ACTIONS(14168),
    [anon_sym_try] = ACTIONS(14168),
    [anon_sym_catch] = ACTIONS(14168),
    [anon_sym_finally] = ACTIONS(14168),
    [anon_sym_for] = ACTIONS(14168),
    [anon_sym_while] = ACTIONS(14168),
    [sym_break_statement] = ACTIONS(14168),
    [sym_continue_statement] = ACTIONS(14168),
    [anon_sym_return] = ACTIONS(14168),
    [anon_sym_const] = ACTIONS(14168),
    [anon_sym_global] = ACTIONS(14168),
    [anon_sym_local] = ACTIONS(14168),
    [anon_sym_LPAREN] = ACTIONS(14168),
    [anon_sym_COLON2] = ACTIONS(14168),
    [anon_sym_export] = ACTIONS(14168),
    [anon_sym_import] = ACTIONS(14168),
    [anon_sym_using] = ACTIONS(14168),
    [anon_sym_LBRACK] = ACTIONS(14168),
    [anon_sym_LF] = ACTIONS(14166),
    [anon_sym_in] = ACTIONS(14168),
    [anon_sym_LBRACE] = ACTIONS(14168),
    [anon_sym_DOLLAR] = ACTIONS(14168),
    [anon_sym_COLON_COLON] = ACTIONS(14168),
    [anon_sym_isa] = ACTIONS(14168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14168),
    [anon_sym_QMARK] = ACTIONS(14168),
    [anon_sym_AT] = ACTIONS(14168),
    [anon_sym_true] = ACTIONS(14168),
    [anon_sym_false] = ACTIONS(14168),
    [aux_sym_integer_literal_token1] = ACTIONS(14168),
    [aux_sym_integer_literal_token2] = ACTIONS(14168),
    [aux_sym_integer_literal_token3] = ACTIONS(14168),
    [aux_sym_integer_literal_token4] = ACTIONS(14168),
    [aux_sym_float_literal_token1] = ACTIONS(14168),
    [aux_sym_float_literal_token3] = ACTIONS(14168),
    [aux_sym_float_literal_token4] = ACTIONS(14168),
    [sym_character_literal] = ACTIONS(14168),
    [sym__pair_operator] = ACTIONS(14168),
    [sym__arrow_operator] = ACTIONS(14168),
    [sym__lazy_or_operator] = ACTIONS(14168),
    [sym__lazy_and_operator] = ACTIONS(14168),
    [sym__comparison_operator] = ACTIONS(14168),
    [sym__pipe_right_operator] = ACTIONS(14168),
    [sym__pipe_left_operator] = ACTIONS(14168),
    [sym__ellipsis_operator] = ACTIONS(14168),
    [sym__plus_operator] = ACTIONS(14168),
    [sym__times_operator] = ACTIONS(14168),
    [sym__rational_operator] = ACTIONS(14168),
    [sym__bitshift_operator] = ACTIONS(14168),
    [sym__power_operator] = ACTIONS(14168),
    [sym__tilde_operator] = ACTIONS(14168),
    [sym__type_order_operator] = ACTIONS(14168),
    [sym__unary_operator] = ACTIONS(14168),
    [sym__unary_plus_operator] = ACTIONS(14168),
    [aux_sym__terminator_token1] = ACTIONS(14168),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14166),
    [sym__command_start] = ACTIONS(14166),
  },
  [8717] = {
    [aux_sym_open_tuple_repeat1] = STATE(8108),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(14519),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13212),
    [anon_sym_RPAREN] = ACTIONS(13212),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13212),
    [anon_sym_RBRACK] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13212),
    [anon_sym_RBRACE] = ACTIONS(13212),
    [anon_sym_DOLLAR] = ACTIONS(13212),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14679),
    [anon_sym_AT] = ACTIONS(13212),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13212),
    [aux_sym_integer_literal_token2] = ACTIONS(13212),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13212),
    [aux_sym_float_literal_token3] = ACTIONS(13212),
    [aux_sym_float_literal_token4] = ACTIONS(13212),
    [sym_character_literal] = ACTIONS(13212),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13212),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8718] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13330),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13330),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8719] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13332),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8720] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12528),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8721] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13334),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8722] = {
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(12976),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_catch] = ACTIONS(12976),
    [anon_sym_finally] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [8723] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_EQ] = ACTIONS(12088),
    [anon_sym_COMMA] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_COLON2] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_in] = ACTIONS(12088),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_isa] = ACTIONS(12088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12088),
    [anon_sym_QMARK] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__lazy_or_operator] = ACTIONS(12088),
    [sym__lazy_and_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [8724] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_EQ] = ACTIONS(12258),
    [anon_sym_COMMA] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_COLON2] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_in] = ACTIONS(12258),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_isa] = ACTIONS(12258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12258),
    [anon_sym_QMARK] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__lazy_or_operator] = ACTIONS(12258),
    [sym__lazy_and_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [8725] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_EQ] = ACTIONS(12262),
    [anon_sym_COMMA] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_COLON2] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_in] = ACTIONS(12262),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_isa] = ACTIONS(12262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12262),
    [anon_sym_QMARK] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__lazy_or_operator] = ACTIONS(12262),
    [sym__lazy_and_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [8726] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13336),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8727] = {
    [sym__word_identifier] = ACTIONS(12706),
    [anon_sym_EQ] = ACTIONS(12706),
    [anon_sym_COMMA] = ACTIONS(12706),
    [anon_sym_COLON] = ACTIONS(12706),
    [anon_sym_begin] = ACTIONS(12706),
    [anon_sym_module] = ACTIONS(12706),
    [anon_sym_baremodule] = ACTIONS(12706),
    [anon_sym_abstract] = ACTIONS(12706),
    [anon_sym_primitive] = ACTIONS(12706),
    [anon_sym_mutable] = ACTIONS(12706),
    [anon_sym_struct] = ACTIONS(12706),
    [anon_sym_function] = ACTIONS(12706),
    [anon_sym_macro] = ACTIONS(12706),
    [anon_sym_where] = ACTIONS(12706),
    [anon_sym_quote] = ACTIONS(12706),
    [anon_sym_let] = ACTIONS(12706),
    [anon_sym_if] = ACTIONS(12706),
    [anon_sym_try] = ACTIONS(12706),
    [anon_sym_for] = ACTIONS(12706),
    [anon_sym_while] = ACTIONS(12706),
    [sym_break_statement] = ACTIONS(12706),
    [sym_continue_statement] = ACTIONS(12706),
    [anon_sym_return] = ACTIONS(12706),
    [anon_sym_const] = ACTIONS(12706),
    [anon_sym_global] = ACTIONS(12706),
    [anon_sym_local] = ACTIONS(12706),
    [anon_sym_LPAREN] = ACTIONS(12706),
    [anon_sym_RPAREN] = ACTIONS(12706),
    [anon_sym_COLON2] = ACTIONS(12706),
    [anon_sym_export] = ACTIONS(12706),
    [anon_sym_import] = ACTIONS(12706),
    [anon_sym_using] = ACTIONS(12706),
    [anon_sym_LBRACK] = ACTIONS(12706),
    [anon_sym_LF] = ACTIONS(12704),
    [anon_sym_in] = ACTIONS(12706),
    [anon_sym_SEMI] = ACTIONS(12706),
    [anon_sym_LBRACE] = ACTIONS(12706),
    [anon_sym_DOT] = ACTIONS(12706),
    [anon_sym_DOLLAR] = ACTIONS(12706),
    [anon_sym_COLON_COLON] = ACTIONS(12706),
    [anon_sym_isa] = ACTIONS(12706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12706),
    [anon_sym_QMARK] = ACTIONS(12706),
    [anon_sym_AT] = ACTIONS(12706),
    [anon_sym_true] = ACTIONS(12706),
    [anon_sym_false] = ACTIONS(12706),
    [aux_sym_integer_literal_token1] = ACTIONS(12706),
    [aux_sym_integer_literal_token2] = ACTIONS(12706),
    [aux_sym_integer_literal_token3] = ACTIONS(12706),
    [aux_sym_integer_literal_token4] = ACTIONS(12706),
    [aux_sym_float_literal_token1] = ACTIONS(12706),
    [aux_sym_float_literal_token3] = ACTIONS(12706),
    [aux_sym_float_literal_token4] = ACTIONS(12706),
    [sym_character_literal] = ACTIONS(12706),
    [sym__pair_operator] = ACTIONS(12706),
    [sym__arrow_operator] = ACTIONS(12706),
    [sym__lazy_or_operator] = ACTIONS(12706),
    [sym__lazy_and_operator] = ACTIONS(12706),
    [sym__comparison_operator] = ACTIONS(12706),
    [sym__pipe_right_operator] = ACTIONS(12706),
    [sym__pipe_left_operator] = ACTIONS(12706),
    [sym__ellipsis_operator] = ACTIONS(12706),
    [sym__plus_operator] = ACTIONS(12706),
    [sym__times_operator] = ACTIONS(12706),
    [sym__rational_operator] = ACTIONS(12706),
    [sym__bitshift_operator] = ACTIONS(12706),
    [sym__power_operator] = ACTIONS(12706),
    [sym__tilde_operator] = ACTIONS(12706),
    [sym__type_order_operator] = ACTIONS(12706),
    [sym__unary_operator] = ACTIONS(12706),
    [sym__unary_plus_operator] = ACTIONS(12706),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12704),
    [sym__command_start] = ACTIONS(12704),
  },
  [8728] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13338),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8729] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13957),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_RBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8730] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_EQ] = ACTIONS(12112),
    [anon_sym_COMMA] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_COLON2] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_in] = ACTIONS(12112),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_isa] = ACTIONS(12112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12112),
    [anon_sym_QMARK] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__lazy_or_operator] = ACTIONS(12112),
    [sym__lazy_and_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [8731] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13957),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_RBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13136),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8732] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13390),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8733] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_EQ] = ACTIONS(12288),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_COLON2] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(12288),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_isa] = ACTIONS(12288),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12288),
    [anon_sym_QMARK] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__lazy_or_operator] = ACTIONS(12288),
    [sym__lazy_and_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [8734] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_EQ] = ACTIONS(12296),
    [anon_sym_COMMA] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_COLON2] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_in] = ACTIONS(12296),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_isa] = ACTIONS(12296),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12296),
    [anon_sym_QMARK] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__lazy_or_operator] = ACTIONS(12296),
    [sym__lazy_and_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [8735] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_EQ] = ACTIONS(12300),
    [anon_sym_COMMA] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_COLON2] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_in] = ACTIONS(12300),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_isa] = ACTIONS(12300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12300),
    [anon_sym_QMARK] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__lazy_or_operator] = ACTIONS(12300),
    [sym__lazy_and_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [8736] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_EQ] = ACTIONS(12136),
    [anon_sym_COMMA] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_COLON2] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_in] = ACTIONS(12136),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_isa] = ACTIONS(12136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12136),
    [anon_sym_QMARK] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__lazy_or_operator] = ACTIONS(12136),
    [sym__lazy_and_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [8737] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(14713),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_finally] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8738] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_EQ] = ACTIONS(12162),
    [anon_sym_COMMA] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_COLON2] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_in] = ACTIONS(12162),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_isa] = ACTIONS(12162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12162),
    [anon_sym_QMARK] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__lazy_or_operator] = ACTIONS(12162),
    [sym__lazy_and_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [8739] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_EQ] = ACTIONS(12242),
    [anon_sym_COMMA] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_COLON2] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_in] = ACTIONS(12242),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_isa] = ACTIONS(12242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12242),
    [anon_sym_QMARK] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__lazy_or_operator] = ACTIONS(12242),
    [sym__lazy_and_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [8740] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_EQ] = ACTIONS(12246),
    [anon_sym_COMMA] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_COLON2] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_in] = ACTIONS(12246),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_isa] = ACTIONS(12246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12246),
    [anon_sym_QMARK] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__lazy_or_operator] = ACTIONS(12246),
    [sym__lazy_and_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [8741] = {
    [aux_sym_open_tuple_repeat1] = STATE(8654),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(14720),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_RPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14732),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8742] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_elseif] = ACTIONS(13920),
    [anon_sym_else] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(14529),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(14531),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(14531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(14531),
    [sym__pipe_right_operator] = ACTIONS(14541),
    [sym__pipe_left_operator] = ACTIONS(14543),
    [sym__ellipsis_operator] = ACTIONS(14545),
    [sym__plus_operator] = ACTIONS(14547),
    [sym__times_operator] = ACTIONS(14549),
    [sym__rational_operator] = ACTIONS(14551),
    [sym__bitshift_operator] = ACTIONS(14553),
    [sym__power_operator] = ACTIONS(14555),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(14531),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14547),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [8743] = {
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13238),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_catch] = ACTIONS(13238),
    [anon_sym_finally] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13238),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13238),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13238),
    [anon_sym_isa] = ACTIONS(13238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13238),
    [anon_sym_QMARK] = ACTIONS(13238),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13238),
    [sym__arrow_operator] = ACTIONS(13238),
    [sym__lazy_or_operator] = ACTIONS(13238),
    [sym__lazy_and_operator] = ACTIONS(13238),
    [sym__comparison_operator] = ACTIONS(13238),
    [sym__pipe_right_operator] = ACTIONS(13238),
    [sym__pipe_left_operator] = ACTIONS(13238),
    [sym__ellipsis_operator] = ACTIONS(13238),
    [sym__plus_operator] = ACTIONS(13238),
    [sym__times_operator] = ACTIONS(13238),
    [sym__rational_operator] = ACTIONS(13238),
    [sym__bitshift_operator] = ACTIONS(13238),
    [sym__power_operator] = ACTIONS(13238),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13238),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13238),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8744] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(14525),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_catch] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8745] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14635),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8746] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14635),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8747] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13236),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13236),
    [anon_sym_RPAREN] = ACTIONS(13236),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13236),
    [anon_sym_RBRACK] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13236),
    [anon_sym_RBRACE] = ACTIONS(13236),
    [anon_sym_DOLLAR] = ACTIONS(13236),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14679),
    [anon_sym_AT] = ACTIONS(13236),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13236),
    [aux_sym_integer_literal_token2] = ACTIONS(13236),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13236),
    [aux_sym_float_literal_token3] = ACTIONS(13236),
    [aux_sym_float_literal_token4] = ACTIONS(13236),
    [sym_character_literal] = ACTIONS(13236),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13236),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8748] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13240),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13240),
    [anon_sym_RPAREN] = ACTIONS(13240),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13240),
    [anon_sym_RBRACK] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13240),
    [anon_sym_RBRACE] = ACTIONS(13240),
    [anon_sym_DOLLAR] = ACTIONS(13240),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14679),
    [anon_sym_AT] = ACTIONS(13240),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13240),
    [aux_sym_integer_literal_token2] = ACTIONS(13240),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13240),
    [aux_sym_float_literal_token3] = ACTIONS(13240),
    [aux_sym_float_literal_token4] = ACTIONS(13240),
    [sym_character_literal] = ACTIONS(13240),
    [sym__pair_operator] = ACTIONS(13240),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13240),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8749] = {
    [aux_sym_open_tuple_repeat1] = STATE(8654),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(14720),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_RPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14732),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8750] = {
    [aux_sym_open_tuple_repeat1] = STATE(8654),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(14720),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_RPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14732),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8751] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(14525),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_catch] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8752] = {
    [aux_sym_open_tuple_repeat1] = STATE(8654),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(14720),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_RPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14732),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8753] = {
    [sym__word_identifier] = ACTIONS(13592),
    [anon_sym_EQ] = ACTIONS(13592),
    [anon_sym_COMMA] = ACTIONS(13592),
    [anon_sym_COLON] = ACTIONS(13592),
    [anon_sym_begin] = ACTIONS(13592),
    [anon_sym_module] = ACTIONS(13592),
    [anon_sym_baremodule] = ACTIONS(13592),
    [anon_sym_abstract] = ACTIONS(13592),
    [anon_sym_primitive] = ACTIONS(13592),
    [anon_sym_mutable] = ACTIONS(13592),
    [anon_sym_struct] = ACTIONS(13592),
    [anon_sym_function] = ACTIONS(13592),
    [anon_sym_macro] = ACTIONS(13592),
    [anon_sym_where] = ACTIONS(13592),
    [anon_sym_quote] = ACTIONS(13592),
    [anon_sym_let] = ACTIONS(13592),
    [anon_sym_if] = ACTIONS(13592),
    [anon_sym_try] = ACTIONS(13592),
    [anon_sym_catch] = ACTIONS(13592),
    [anon_sym_finally] = ACTIONS(13592),
    [anon_sym_for] = ACTIONS(13592),
    [anon_sym_while] = ACTIONS(13592),
    [sym_break_statement] = ACTIONS(13592),
    [sym_continue_statement] = ACTIONS(13592),
    [anon_sym_return] = ACTIONS(13592),
    [anon_sym_const] = ACTIONS(13592),
    [anon_sym_global] = ACTIONS(13592),
    [anon_sym_local] = ACTIONS(13592),
    [anon_sym_LPAREN] = ACTIONS(13592),
    [anon_sym_COLON2] = ACTIONS(13592),
    [anon_sym_export] = ACTIONS(13592),
    [anon_sym_import] = ACTIONS(13592),
    [anon_sym_using] = ACTIONS(13592),
    [anon_sym_LBRACK] = ACTIONS(13592),
    [anon_sym_LF] = ACTIONS(13590),
    [anon_sym_in] = ACTIONS(13592),
    [anon_sym_LBRACE] = ACTIONS(13592),
    [anon_sym_DOLLAR] = ACTIONS(13592),
    [anon_sym_COLON_COLON] = ACTIONS(13592),
    [anon_sym_isa] = ACTIONS(13592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13592),
    [anon_sym_QMARK] = ACTIONS(13592),
    [anon_sym_AT] = ACTIONS(13592),
    [anon_sym_true] = ACTIONS(13592),
    [anon_sym_false] = ACTIONS(13592),
    [aux_sym_integer_literal_token1] = ACTIONS(13592),
    [aux_sym_integer_literal_token2] = ACTIONS(13592),
    [aux_sym_integer_literal_token3] = ACTIONS(13592),
    [aux_sym_integer_literal_token4] = ACTIONS(13592),
    [aux_sym_float_literal_token1] = ACTIONS(13592),
    [aux_sym_float_literal_token3] = ACTIONS(13592),
    [aux_sym_float_literal_token4] = ACTIONS(13592),
    [sym_character_literal] = ACTIONS(13592),
    [sym__pair_operator] = ACTIONS(13592),
    [sym__arrow_operator] = ACTIONS(13592),
    [sym__lazy_or_operator] = ACTIONS(13592),
    [sym__lazy_and_operator] = ACTIONS(13592),
    [sym__comparison_operator] = ACTIONS(13592),
    [sym__pipe_right_operator] = ACTIONS(13592),
    [sym__pipe_left_operator] = ACTIONS(13592),
    [sym__ellipsis_operator] = ACTIONS(13592),
    [sym__plus_operator] = ACTIONS(13592),
    [sym__times_operator] = ACTIONS(13592),
    [sym__rational_operator] = ACTIONS(13592),
    [sym__bitshift_operator] = ACTIONS(13592),
    [sym__power_operator] = ACTIONS(13592),
    [sym__tilde_operator] = ACTIONS(13592),
    [sym__type_order_operator] = ACTIONS(13592),
    [sym__unary_operator] = ACTIONS(13592),
    [sym__unary_plus_operator] = ACTIONS(13592),
    [aux_sym__terminator_token1] = ACTIONS(13592),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13590),
    [sym__command_start] = ACTIONS(13590),
  },
  [8754] = {
    [sym__word_identifier] = ACTIONS(13630),
    [anon_sym_EQ] = ACTIONS(13630),
    [anon_sym_COMMA] = ACTIONS(13630),
    [anon_sym_COLON] = ACTIONS(13630),
    [anon_sym_begin] = ACTIONS(13630),
    [anon_sym_module] = ACTIONS(13630),
    [anon_sym_baremodule] = ACTIONS(13630),
    [anon_sym_abstract] = ACTIONS(13630),
    [anon_sym_primitive] = ACTIONS(13630),
    [anon_sym_mutable] = ACTIONS(13630),
    [anon_sym_struct] = ACTIONS(13630),
    [anon_sym_function] = ACTIONS(13630),
    [anon_sym_macro] = ACTIONS(13630),
    [anon_sym_where] = ACTIONS(13630),
    [anon_sym_quote] = ACTIONS(13630),
    [anon_sym_let] = ACTIONS(13630),
    [anon_sym_if] = ACTIONS(13630),
    [anon_sym_try] = ACTIONS(13630),
    [anon_sym_catch] = ACTIONS(13630),
    [anon_sym_finally] = ACTIONS(13630),
    [anon_sym_for] = ACTIONS(13630),
    [anon_sym_while] = ACTIONS(13630),
    [sym_break_statement] = ACTIONS(13630),
    [sym_continue_statement] = ACTIONS(13630),
    [anon_sym_return] = ACTIONS(13630),
    [anon_sym_const] = ACTIONS(13630),
    [anon_sym_global] = ACTIONS(13630),
    [anon_sym_local] = ACTIONS(13630),
    [anon_sym_LPAREN] = ACTIONS(13630),
    [anon_sym_COLON2] = ACTIONS(13630),
    [anon_sym_export] = ACTIONS(13630),
    [anon_sym_import] = ACTIONS(13630),
    [anon_sym_using] = ACTIONS(13630),
    [anon_sym_LBRACK] = ACTIONS(13630),
    [anon_sym_LF] = ACTIONS(13628),
    [anon_sym_in] = ACTIONS(13630),
    [anon_sym_LBRACE] = ACTIONS(13630),
    [anon_sym_DOLLAR] = ACTIONS(13630),
    [anon_sym_COLON_COLON] = ACTIONS(13630),
    [anon_sym_isa] = ACTIONS(13630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13630),
    [anon_sym_QMARK] = ACTIONS(13630),
    [anon_sym_AT] = ACTIONS(13630),
    [anon_sym_true] = ACTIONS(13630),
    [anon_sym_false] = ACTIONS(13630),
    [aux_sym_integer_literal_token1] = ACTIONS(13630),
    [aux_sym_integer_literal_token2] = ACTIONS(13630),
    [aux_sym_integer_literal_token3] = ACTIONS(13630),
    [aux_sym_integer_literal_token4] = ACTIONS(13630),
    [aux_sym_float_literal_token1] = ACTIONS(13630),
    [aux_sym_float_literal_token3] = ACTIONS(13630),
    [aux_sym_float_literal_token4] = ACTIONS(13630),
    [sym_character_literal] = ACTIONS(13630),
    [sym__pair_operator] = ACTIONS(13630),
    [sym__arrow_operator] = ACTIONS(13630),
    [sym__lazy_or_operator] = ACTIONS(13630),
    [sym__lazy_and_operator] = ACTIONS(13630),
    [sym__comparison_operator] = ACTIONS(13630),
    [sym__pipe_right_operator] = ACTIONS(13630),
    [sym__pipe_left_operator] = ACTIONS(13630),
    [sym__ellipsis_operator] = ACTIONS(13630),
    [sym__plus_operator] = ACTIONS(13630),
    [sym__times_operator] = ACTIONS(13630),
    [sym__rational_operator] = ACTIONS(13630),
    [sym__bitshift_operator] = ACTIONS(13630),
    [sym__power_operator] = ACTIONS(13630),
    [sym__tilde_operator] = ACTIONS(13630),
    [sym__type_order_operator] = ACTIONS(13630),
    [sym__unary_operator] = ACTIONS(13630),
    [sym__unary_plus_operator] = ACTIONS(13630),
    [aux_sym__terminator_token1] = ACTIONS(13630),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13628),
    [sym__command_start] = ACTIONS(13628),
  },
  [8755] = {
    [sym__word_identifier] = ACTIONS(13290),
    [anon_sym_EQ] = ACTIONS(13290),
    [anon_sym_COMMA] = ACTIONS(13290),
    [anon_sym_COLON] = ACTIONS(13290),
    [anon_sym_begin] = ACTIONS(13290),
    [anon_sym_module] = ACTIONS(13290),
    [anon_sym_baremodule] = ACTIONS(13290),
    [anon_sym_abstract] = ACTIONS(13290),
    [anon_sym_primitive] = ACTIONS(13290),
    [anon_sym_mutable] = ACTIONS(13290),
    [anon_sym_struct] = ACTIONS(13290),
    [anon_sym_function] = ACTIONS(13290),
    [anon_sym_macro] = ACTIONS(13290),
    [anon_sym_where] = ACTIONS(13290),
    [anon_sym_quote] = ACTIONS(13290),
    [anon_sym_let] = ACTIONS(13290),
    [anon_sym_if] = ACTIONS(13290),
    [anon_sym_try] = ACTIONS(13290),
    [anon_sym_catch] = ACTIONS(13290),
    [anon_sym_finally] = ACTIONS(13290),
    [anon_sym_for] = ACTIONS(13290),
    [anon_sym_while] = ACTIONS(13290),
    [sym_break_statement] = ACTIONS(13290),
    [sym_continue_statement] = ACTIONS(13290),
    [anon_sym_return] = ACTIONS(13290),
    [anon_sym_const] = ACTIONS(13290),
    [anon_sym_global] = ACTIONS(13290),
    [anon_sym_local] = ACTIONS(13290),
    [anon_sym_LPAREN] = ACTIONS(13290),
    [anon_sym_COLON2] = ACTIONS(13290),
    [anon_sym_export] = ACTIONS(13290),
    [anon_sym_import] = ACTIONS(13290),
    [anon_sym_using] = ACTIONS(13290),
    [anon_sym_LBRACK] = ACTIONS(13290),
    [anon_sym_LF] = ACTIONS(13292),
    [anon_sym_in] = ACTIONS(13290),
    [anon_sym_LBRACE] = ACTIONS(13290),
    [anon_sym_DOLLAR] = ACTIONS(13290),
    [anon_sym_COLON_COLON] = ACTIONS(13290),
    [anon_sym_isa] = ACTIONS(13290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13290),
    [anon_sym_QMARK] = ACTIONS(13290),
    [anon_sym_AT] = ACTIONS(13290),
    [anon_sym_true] = ACTIONS(13290),
    [anon_sym_false] = ACTIONS(13290),
    [aux_sym_integer_literal_token1] = ACTIONS(13290),
    [aux_sym_integer_literal_token2] = ACTIONS(13290),
    [aux_sym_integer_literal_token3] = ACTIONS(13290),
    [aux_sym_integer_literal_token4] = ACTIONS(13290),
    [aux_sym_float_literal_token1] = ACTIONS(13290),
    [aux_sym_float_literal_token3] = ACTIONS(13290),
    [aux_sym_float_literal_token4] = ACTIONS(13290),
    [sym_character_literal] = ACTIONS(13290),
    [sym__pair_operator] = ACTIONS(13290),
    [sym__arrow_operator] = ACTIONS(13290),
    [sym__lazy_or_operator] = ACTIONS(13290),
    [sym__lazy_and_operator] = ACTIONS(13290),
    [sym__comparison_operator] = ACTIONS(13290),
    [sym__pipe_right_operator] = ACTIONS(13290),
    [sym__pipe_left_operator] = ACTIONS(13290),
    [sym__ellipsis_operator] = ACTIONS(13290),
    [sym__plus_operator] = ACTIONS(13290),
    [sym__times_operator] = ACTIONS(13290),
    [sym__rational_operator] = ACTIONS(13290),
    [sym__bitshift_operator] = ACTIONS(13290),
    [sym__power_operator] = ACTIONS(13290),
    [sym__tilde_operator] = ACTIONS(13290),
    [sym__type_order_operator] = ACTIONS(13290),
    [sym__unary_operator] = ACTIONS(13290),
    [sym__unary_plus_operator] = ACTIONS(13290),
    [aux_sym__terminator_token1] = ACTIONS(13290),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13292),
    [sym__command_start] = ACTIONS(13292),
  },
  [8756] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(14525),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_catch] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8757] = {
    [sym__word_identifier] = ACTIONS(13546),
    [anon_sym_EQ] = ACTIONS(13546),
    [anon_sym_COMMA] = ACTIONS(13546),
    [anon_sym_COLON] = ACTIONS(13546),
    [anon_sym_begin] = ACTIONS(13546),
    [anon_sym_module] = ACTIONS(13546),
    [anon_sym_baremodule] = ACTIONS(13546),
    [anon_sym_abstract] = ACTIONS(13546),
    [anon_sym_primitive] = ACTIONS(13546),
    [anon_sym_mutable] = ACTIONS(13546),
    [anon_sym_struct] = ACTIONS(13546),
    [anon_sym_function] = ACTIONS(13546),
    [anon_sym_macro] = ACTIONS(13546),
    [anon_sym_where] = ACTIONS(13546),
    [anon_sym_quote] = ACTIONS(13546),
    [anon_sym_let] = ACTIONS(13546),
    [anon_sym_if] = ACTIONS(13546),
    [anon_sym_try] = ACTIONS(13546),
    [anon_sym_catch] = ACTIONS(13546),
    [anon_sym_finally] = ACTIONS(13546),
    [anon_sym_for] = ACTIONS(13546),
    [anon_sym_while] = ACTIONS(13546),
    [sym_break_statement] = ACTIONS(13546),
    [sym_continue_statement] = ACTIONS(13546),
    [anon_sym_return] = ACTIONS(13546),
    [anon_sym_const] = ACTIONS(13546),
    [anon_sym_global] = ACTIONS(13546),
    [anon_sym_local] = ACTIONS(13546),
    [anon_sym_LPAREN] = ACTIONS(13546),
    [anon_sym_COLON2] = ACTIONS(13546),
    [anon_sym_export] = ACTIONS(13546),
    [anon_sym_import] = ACTIONS(13546),
    [anon_sym_using] = ACTIONS(13546),
    [anon_sym_LBRACK] = ACTIONS(13546),
    [anon_sym_LF] = ACTIONS(13544),
    [anon_sym_in] = ACTIONS(13546),
    [anon_sym_LBRACE] = ACTIONS(13546),
    [anon_sym_DOLLAR] = ACTIONS(13546),
    [anon_sym_COLON_COLON] = ACTIONS(13546),
    [anon_sym_isa] = ACTIONS(13546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13546),
    [anon_sym_QMARK] = ACTIONS(13546),
    [anon_sym_AT] = ACTIONS(13546),
    [anon_sym_true] = ACTIONS(13546),
    [anon_sym_false] = ACTIONS(13546),
    [aux_sym_integer_literal_token1] = ACTIONS(13546),
    [aux_sym_integer_literal_token2] = ACTIONS(13546),
    [aux_sym_integer_literal_token3] = ACTIONS(13546),
    [aux_sym_integer_literal_token4] = ACTIONS(13546),
    [aux_sym_float_literal_token1] = ACTIONS(13546),
    [aux_sym_float_literal_token3] = ACTIONS(13546),
    [aux_sym_float_literal_token4] = ACTIONS(13546),
    [sym_character_literal] = ACTIONS(13546),
    [sym__pair_operator] = ACTIONS(13546),
    [sym__arrow_operator] = ACTIONS(13546),
    [sym__lazy_or_operator] = ACTIONS(13546),
    [sym__lazy_and_operator] = ACTIONS(13546),
    [sym__comparison_operator] = ACTIONS(13546),
    [sym__pipe_right_operator] = ACTIONS(13546),
    [sym__pipe_left_operator] = ACTIONS(13546),
    [sym__ellipsis_operator] = ACTIONS(13546),
    [sym__plus_operator] = ACTIONS(13546),
    [sym__times_operator] = ACTIONS(13546),
    [sym__rational_operator] = ACTIONS(13546),
    [sym__bitshift_operator] = ACTIONS(13546),
    [sym__power_operator] = ACTIONS(13546),
    [sym__tilde_operator] = ACTIONS(13546),
    [sym__type_order_operator] = ACTIONS(13546),
    [sym__unary_operator] = ACTIONS(13546),
    [sym__unary_plus_operator] = ACTIONS(13546),
    [aux_sym__terminator_token1] = ACTIONS(13546),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13544),
    [sym__command_start] = ACTIONS(13544),
  },
  [8758] = {
    [sym__word_identifier] = ACTIONS(13538),
    [anon_sym_EQ] = ACTIONS(13538),
    [anon_sym_COMMA] = ACTIONS(13538),
    [anon_sym_COLON] = ACTIONS(13538),
    [anon_sym_begin] = ACTIONS(13538),
    [anon_sym_module] = ACTIONS(13538),
    [anon_sym_baremodule] = ACTIONS(13538),
    [anon_sym_abstract] = ACTIONS(13538),
    [anon_sym_primitive] = ACTIONS(13538),
    [anon_sym_mutable] = ACTIONS(13538),
    [anon_sym_struct] = ACTIONS(13538),
    [anon_sym_function] = ACTIONS(13538),
    [anon_sym_macro] = ACTIONS(13538),
    [anon_sym_where] = ACTIONS(13538),
    [anon_sym_quote] = ACTIONS(13538),
    [anon_sym_let] = ACTIONS(13538),
    [anon_sym_if] = ACTIONS(13538),
    [anon_sym_try] = ACTIONS(13538),
    [anon_sym_catch] = ACTIONS(13538),
    [anon_sym_finally] = ACTIONS(13538),
    [anon_sym_for] = ACTIONS(13538),
    [anon_sym_while] = ACTIONS(13538),
    [sym_break_statement] = ACTIONS(13538),
    [sym_continue_statement] = ACTIONS(13538),
    [anon_sym_return] = ACTIONS(13538),
    [anon_sym_const] = ACTIONS(13538),
    [anon_sym_global] = ACTIONS(13538),
    [anon_sym_local] = ACTIONS(13538),
    [anon_sym_LPAREN] = ACTIONS(13538),
    [anon_sym_COLON2] = ACTIONS(13538),
    [anon_sym_export] = ACTIONS(13538),
    [anon_sym_import] = ACTIONS(13538),
    [anon_sym_using] = ACTIONS(13538),
    [anon_sym_LBRACK] = ACTIONS(13538),
    [anon_sym_LF] = ACTIONS(13536),
    [anon_sym_in] = ACTIONS(13538),
    [anon_sym_LBRACE] = ACTIONS(13538),
    [anon_sym_DOLLAR] = ACTIONS(13538),
    [anon_sym_COLON_COLON] = ACTIONS(13538),
    [anon_sym_isa] = ACTIONS(13538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13538),
    [anon_sym_QMARK] = ACTIONS(13538),
    [anon_sym_AT] = ACTIONS(13538),
    [anon_sym_true] = ACTIONS(13538),
    [anon_sym_false] = ACTIONS(13538),
    [aux_sym_integer_literal_token1] = ACTIONS(13538),
    [aux_sym_integer_literal_token2] = ACTIONS(13538),
    [aux_sym_integer_literal_token3] = ACTIONS(13538),
    [aux_sym_integer_literal_token4] = ACTIONS(13538),
    [aux_sym_float_literal_token1] = ACTIONS(13538),
    [aux_sym_float_literal_token3] = ACTIONS(13538),
    [aux_sym_float_literal_token4] = ACTIONS(13538),
    [sym_character_literal] = ACTIONS(13538),
    [sym__pair_operator] = ACTIONS(13538),
    [sym__arrow_operator] = ACTIONS(13538),
    [sym__lazy_or_operator] = ACTIONS(13538),
    [sym__lazy_and_operator] = ACTIONS(13538),
    [sym__comparison_operator] = ACTIONS(13538),
    [sym__pipe_right_operator] = ACTIONS(13538),
    [sym__pipe_left_operator] = ACTIONS(13538),
    [sym__ellipsis_operator] = ACTIONS(13538),
    [sym__plus_operator] = ACTIONS(13538),
    [sym__times_operator] = ACTIONS(13538),
    [sym__rational_operator] = ACTIONS(13538),
    [sym__bitshift_operator] = ACTIONS(13538),
    [sym__power_operator] = ACTIONS(13538),
    [sym__tilde_operator] = ACTIONS(13538),
    [sym__type_order_operator] = ACTIONS(13538),
    [sym__unary_operator] = ACTIONS(13538),
    [sym__unary_plus_operator] = ACTIONS(13538),
    [aux_sym__terminator_token1] = ACTIONS(13538),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13536),
    [sym__command_start] = ACTIONS(13536),
  },
  [8759] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13396),
    [sym__bitshift_operator] = ACTIONS(13396),
    [sym__power_operator] = ACTIONS(13396),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8760] = {
    [sym__word_identifier] = ACTIONS(13500),
    [anon_sym_EQ] = ACTIONS(13500),
    [anon_sym_COMMA] = ACTIONS(13500),
    [anon_sym_COLON] = ACTIONS(13500),
    [anon_sym_begin] = ACTIONS(13500),
    [anon_sym_module] = ACTIONS(13500),
    [anon_sym_baremodule] = ACTIONS(13500),
    [anon_sym_abstract] = ACTIONS(13500),
    [anon_sym_primitive] = ACTIONS(13500),
    [anon_sym_mutable] = ACTIONS(13500),
    [anon_sym_struct] = ACTIONS(13500),
    [anon_sym_function] = ACTIONS(13500),
    [anon_sym_macro] = ACTIONS(13500),
    [anon_sym_where] = ACTIONS(13500),
    [anon_sym_quote] = ACTIONS(13500),
    [anon_sym_let] = ACTIONS(13500),
    [anon_sym_if] = ACTIONS(13500),
    [anon_sym_try] = ACTIONS(13500),
    [anon_sym_catch] = ACTIONS(13500),
    [anon_sym_finally] = ACTIONS(13500),
    [anon_sym_for] = ACTIONS(13500),
    [anon_sym_while] = ACTIONS(13500),
    [sym_break_statement] = ACTIONS(13500),
    [sym_continue_statement] = ACTIONS(13500),
    [anon_sym_return] = ACTIONS(13500),
    [anon_sym_const] = ACTIONS(13500),
    [anon_sym_global] = ACTIONS(13500),
    [anon_sym_local] = ACTIONS(13500),
    [anon_sym_LPAREN] = ACTIONS(13500),
    [anon_sym_COLON2] = ACTIONS(13500),
    [anon_sym_export] = ACTIONS(13500),
    [anon_sym_import] = ACTIONS(13500),
    [anon_sym_using] = ACTIONS(13500),
    [anon_sym_LBRACK] = ACTIONS(13500),
    [anon_sym_LF] = ACTIONS(13498),
    [anon_sym_in] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(13500),
    [anon_sym_DOLLAR] = ACTIONS(13500),
    [anon_sym_COLON_COLON] = ACTIONS(13500),
    [anon_sym_isa] = ACTIONS(13500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13500),
    [anon_sym_QMARK] = ACTIONS(13500),
    [anon_sym_AT] = ACTIONS(13500),
    [anon_sym_true] = ACTIONS(13500),
    [anon_sym_false] = ACTIONS(13500),
    [aux_sym_integer_literal_token1] = ACTIONS(13500),
    [aux_sym_integer_literal_token2] = ACTIONS(13500),
    [aux_sym_integer_literal_token3] = ACTIONS(13500),
    [aux_sym_integer_literal_token4] = ACTIONS(13500),
    [aux_sym_float_literal_token1] = ACTIONS(13500),
    [aux_sym_float_literal_token3] = ACTIONS(13500),
    [aux_sym_float_literal_token4] = ACTIONS(13500),
    [sym_character_literal] = ACTIONS(13500),
    [sym__pair_operator] = ACTIONS(13500),
    [sym__arrow_operator] = ACTIONS(13500),
    [sym__lazy_or_operator] = ACTIONS(13500),
    [sym__lazy_and_operator] = ACTIONS(13500),
    [sym__comparison_operator] = ACTIONS(13500),
    [sym__pipe_right_operator] = ACTIONS(13500),
    [sym__pipe_left_operator] = ACTIONS(13500),
    [sym__ellipsis_operator] = ACTIONS(13500),
    [sym__plus_operator] = ACTIONS(13500),
    [sym__times_operator] = ACTIONS(13500),
    [sym__rational_operator] = ACTIONS(13500),
    [sym__bitshift_operator] = ACTIONS(13500),
    [sym__power_operator] = ACTIONS(13500),
    [sym__tilde_operator] = ACTIONS(13500),
    [sym__type_order_operator] = ACTIONS(13500),
    [sym__unary_operator] = ACTIONS(13500),
    [sym__unary_plus_operator] = ACTIONS(13500),
    [aux_sym__terminator_token1] = ACTIONS(13500),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13498),
    [sym__command_start] = ACTIONS(13498),
  },
  [8761] = {
    [sym__word_identifier] = ACTIONS(13478),
    [anon_sym_EQ] = ACTIONS(13478),
    [anon_sym_COMMA] = ACTIONS(13478),
    [anon_sym_COLON] = ACTIONS(13478),
    [anon_sym_begin] = ACTIONS(13478),
    [anon_sym_module] = ACTIONS(13478),
    [anon_sym_baremodule] = ACTIONS(13478),
    [anon_sym_abstract] = ACTIONS(13478),
    [anon_sym_primitive] = ACTIONS(13478),
    [anon_sym_mutable] = ACTIONS(13478),
    [anon_sym_struct] = ACTIONS(13478),
    [anon_sym_function] = ACTIONS(13478),
    [anon_sym_macro] = ACTIONS(13478),
    [anon_sym_where] = ACTIONS(13478),
    [anon_sym_quote] = ACTIONS(13478),
    [anon_sym_let] = ACTIONS(13478),
    [anon_sym_if] = ACTIONS(13478),
    [anon_sym_try] = ACTIONS(13478),
    [anon_sym_catch] = ACTIONS(13478),
    [anon_sym_finally] = ACTIONS(13478),
    [anon_sym_for] = ACTIONS(13478),
    [anon_sym_while] = ACTIONS(13478),
    [sym_break_statement] = ACTIONS(13478),
    [sym_continue_statement] = ACTIONS(13478),
    [anon_sym_return] = ACTIONS(13478),
    [anon_sym_const] = ACTIONS(13478),
    [anon_sym_global] = ACTIONS(13478),
    [anon_sym_local] = ACTIONS(13478),
    [anon_sym_LPAREN] = ACTIONS(13478),
    [anon_sym_COLON2] = ACTIONS(13478),
    [anon_sym_export] = ACTIONS(13478),
    [anon_sym_import] = ACTIONS(13478),
    [anon_sym_using] = ACTIONS(13478),
    [anon_sym_LBRACK] = ACTIONS(13478),
    [anon_sym_LF] = ACTIONS(13476),
    [anon_sym_in] = ACTIONS(13478),
    [anon_sym_LBRACE] = ACTIONS(13478),
    [anon_sym_DOLLAR] = ACTIONS(13478),
    [anon_sym_COLON_COLON] = ACTIONS(13478),
    [anon_sym_isa] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13478),
    [anon_sym_QMARK] = ACTIONS(13478),
    [anon_sym_AT] = ACTIONS(13478),
    [anon_sym_true] = ACTIONS(13478),
    [anon_sym_false] = ACTIONS(13478),
    [aux_sym_integer_literal_token1] = ACTIONS(13478),
    [aux_sym_integer_literal_token2] = ACTIONS(13478),
    [aux_sym_integer_literal_token3] = ACTIONS(13478),
    [aux_sym_integer_literal_token4] = ACTIONS(13478),
    [aux_sym_float_literal_token1] = ACTIONS(13478),
    [aux_sym_float_literal_token3] = ACTIONS(13478),
    [aux_sym_float_literal_token4] = ACTIONS(13478),
    [sym_character_literal] = ACTIONS(13478),
    [sym__pair_operator] = ACTIONS(13478),
    [sym__arrow_operator] = ACTIONS(13478),
    [sym__lazy_or_operator] = ACTIONS(13478),
    [sym__lazy_and_operator] = ACTIONS(13478),
    [sym__comparison_operator] = ACTIONS(13478),
    [sym__pipe_right_operator] = ACTIONS(13478),
    [sym__pipe_left_operator] = ACTIONS(13478),
    [sym__ellipsis_operator] = ACTIONS(13478),
    [sym__plus_operator] = ACTIONS(13478),
    [sym__times_operator] = ACTIONS(13478),
    [sym__rational_operator] = ACTIONS(13478),
    [sym__bitshift_operator] = ACTIONS(13478),
    [sym__power_operator] = ACTIONS(13478),
    [sym__tilde_operator] = ACTIONS(13478),
    [sym__type_order_operator] = ACTIONS(13478),
    [sym__unary_operator] = ACTIONS(13478),
    [sym__unary_plus_operator] = ACTIONS(13478),
    [aux_sym__terminator_token1] = ACTIONS(13478),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13476),
    [sym__command_start] = ACTIONS(13476),
  },
  [8762] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(14713),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_finally] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8763] = {
    [sym__word_identifier] = ACTIONS(13436),
    [anon_sym_EQ] = ACTIONS(13436),
    [anon_sym_COMMA] = ACTIONS(13436),
    [anon_sym_COLON] = ACTIONS(13436),
    [anon_sym_begin] = ACTIONS(13436),
    [anon_sym_module] = ACTIONS(13436),
    [anon_sym_baremodule] = ACTIONS(13436),
    [anon_sym_abstract] = ACTIONS(13436),
    [anon_sym_primitive] = ACTIONS(13436),
    [anon_sym_mutable] = ACTIONS(13436),
    [anon_sym_struct] = ACTIONS(13436),
    [anon_sym_function] = ACTIONS(13436),
    [anon_sym_macro] = ACTIONS(13436),
    [anon_sym_where] = ACTIONS(13436),
    [anon_sym_quote] = ACTIONS(13436),
    [anon_sym_let] = ACTIONS(13436),
    [anon_sym_if] = ACTIONS(13436),
    [anon_sym_try] = ACTIONS(13436),
    [anon_sym_catch] = ACTIONS(13436),
    [anon_sym_finally] = ACTIONS(13436),
    [anon_sym_for] = ACTIONS(13436),
    [anon_sym_while] = ACTIONS(13436),
    [sym_break_statement] = ACTIONS(13436),
    [sym_continue_statement] = ACTIONS(13436),
    [anon_sym_return] = ACTIONS(13436),
    [anon_sym_const] = ACTIONS(13436),
    [anon_sym_global] = ACTIONS(13436),
    [anon_sym_local] = ACTIONS(13436),
    [anon_sym_LPAREN] = ACTIONS(13436),
    [anon_sym_COLON2] = ACTIONS(13436),
    [anon_sym_export] = ACTIONS(13436),
    [anon_sym_import] = ACTIONS(13436),
    [anon_sym_using] = ACTIONS(13436),
    [anon_sym_LBRACK] = ACTIONS(13436),
    [anon_sym_LF] = ACTIONS(13434),
    [anon_sym_in] = ACTIONS(13436),
    [anon_sym_LBRACE] = ACTIONS(13436),
    [anon_sym_DOLLAR] = ACTIONS(13436),
    [anon_sym_COLON_COLON] = ACTIONS(13436),
    [anon_sym_isa] = ACTIONS(13436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13436),
    [anon_sym_QMARK] = ACTIONS(13436),
    [anon_sym_AT] = ACTIONS(13436),
    [anon_sym_true] = ACTIONS(13436),
    [anon_sym_false] = ACTIONS(13436),
    [aux_sym_integer_literal_token1] = ACTIONS(13436),
    [aux_sym_integer_literal_token2] = ACTIONS(13436),
    [aux_sym_integer_literal_token3] = ACTIONS(13436),
    [aux_sym_integer_literal_token4] = ACTIONS(13436),
    [aux_sym_float_literal_token1] = ACTIONS(13436),
    [aux_sym_float_literal_token3] = ACTIONS(13436),
    [aux_sym_float_literal_token4] = ACTIONS(13436),
    [sym_character_literal] = ACTIONS(13436),
    [sym__pair_operator] = ACTIONS(13436),
    [sym__arrow_operator] = ACTIONS(13436),
    [sym__lazy_or_operator] = ACTIONS(13436),
    [sym__lazy_and_operator] = ACTIONS(13436),
    [sym__comparison_operator] = ACTIONS(13436),
    [sym__pipe_right_operator] = ACTIONS(13436),
    [sym__pipe_left_operator] = ACTIONS(13436),
    [sym__ellipsis_operator] = ACTIONS(13436),
    [sym__plus_operator] = ACTIONS(13436),
    [sym__times_operator] = ACTIONS(13436),
    [sym__rational_operator] = ACTIONS(13436),
    [sym__bitshift_operator] = ACTIONS(13436),
    [sym__power_operator] = ACTIONS(13436),
    [sym__tilde_operator] = ACTIONS(13436),
    [sym__type_order_operator] = ACTIONS(13436),
    [sym__unary_operator] = ACTIONS(13436),
    [sym__unary_plus_operator] = ACTIONS(13436),
    [aux_sym__terminator_token1] = ACTIONS(13436),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13434),
    [sym__command_start] = ACTIONS(13434),
  },
  [8764] = {
    [sym__word_identifier] = ACTIONS(13474),
    [anon_sym_EQ] = ACTIONS(13474),
    [anon_sym_COMMA] = ACTIONS(13474),
    [anon_sym_COLON] = ACTIONS(13474),
    [anon_sym_begin] = ACTIONS(13474),
    [anon_sym_module] = ACTIONS(13474),
    [anon_sym_baremodule] = ACTIONS(13474),
    [anon_sym_abstract] = ACTIONS(13474),
    [anon_sym_primitive] = ACTIONS(13474),
    [anon_sym_mutable] = ACTIONS(13474),
    [anon_sym_struct] = ACTIONS(13474),
    [anon_sym_function] = ACTIONS(13474),
    [anon_sym_macro] = ACTIONS(13474),
    [anon_sym_where] = ACTIONS(13474),
    [anon_sym_quote] = ACTIONS(13474),
    [anon_sym_let] = ACTIONS(13474),
    [anon_sym_if] = ACTIONS(13474),
    [anon_sym_try] = ACTIONS(13474),
    [anon_sym_catch] = ACTIONS(13474),
    [anon_sym_finally] = ACTIONS(13474),
    [anon_sym_for] = ACTIONS(13474),
    [anon_sym_while] = ACTIONS(13474),
    [sym_break_statement] = ACTIONS(13474),
    [sym_continue_statement] = ACTIONS(13474),
    [anon_sym_return] = ACTIONS(13474),
    [anon_sym_const] = ACTIONS(13474),
    [anon_sym_global] = ACTIONS(13474),
    [anon_sym_local] = ACTIONS(13474),
    [anon_sym_LPAREN] = ACTIONS(13474),
    [anon_sym_COLON2] = ACTIONS(13474),
    [anon_sym_export] = ACTIONS(13474),
    [anon_sym_import] = ACTIONS(13474),
    [anon_sym_using] = ACTIONS(13474),
    [anon_sym_LBRACK] = ACTIONS(13474),
    [anon_sym_LF] = ACTIONS(13472),
    [anon_sym_in] = ACTIONS(13474),
    [anon_sym_LBRACE] = ACTIONS(13474),
    [anon_sym_DOLLAR] = ACTIONS(13474),
    [anon_sym_COLON_COLON] = ACTIONS(13474),
    [anon_sym_isa] = ACTIONS(13474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13474),
    [anon_sym_AT] = ACTIONS(13474),
    [anon_sym_true] = ACTIONS(13474),
    [anon_sym_false] = ACTIONS(13474),
    [aux_sym_integer_literal_token1] = ACTIONS(13474),
    [aux_sym_integer_literal_token2] = ACTIONS(13474),
    [aux_sym_integer_literal_token3] = ACTIONS(13474),
    [aux_sym_integer_literal_token4] = ACTIONS(13474),
    [aux_sym_float_literal_token1] = ACTIONS(13474),
    [aux_sym_float_literal_token3] = ACTIONS(13474),
    [aux_sym_float_literal_token4] = ACTIONS(13474),
    [sym_character_literal] = ACTIONS(13474),
    [sym__pair_operator] = ACTIONS(13474),
    [sym__arrow_operator] = ACTIONS(13474),
    [sym__lazy_or_operator] = ACTIONS(13474),
    [sym__lazy_and_operator] = ACTIONS(13474),
    [sym__comparison_operator] = ACTIONS(13474),
    [sym__pipe_right_operator] = ACTIONS(13474),
    [sym__pipe_left_operator] = ACTIONS(13474),
    [sym__ellipsis_operator] = ACTIONS(13474),
    [sym__plus_operator] = ACTIONS(13474),
    [sym__times_operator] = ACTIONS(13474),
    [sym__rational_operator] = ACTIONS(13474),
    [sym__bitshift_operator] = ACTIONS(13474),
    [sym__power_operator] = ACTIONS(13474),
    [sym__tilde_operator] = ACTIONS(13474),
    [sym__type_order_operator] = ACTIONS(13474),
    [sym__unary_operator] = ACTIONS(13474),
    [sym__unary_plus_operator] = ACTIONS(13474),
    [aux_sym__terminator_token1] = ACTIONS(13474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13472),
    [sym__command_start] = ACTIONS(13472),
  },
  [8765] = {
    [sym__word_identifier] = ACTIONS(13696),
    [anon_sym_EQ] = ACTIONS(13696),
    [anon_sym_COMMA] = ACTIONS(13696),
    [anon_sym_COLON] = ACTIONS(13696),
    [anon_sym_begin] = ACTIONS(13696),
    [anon_sym_module] = ACTIONS(13696),
    [anon_sym_baremodule] = ACTIONS(13696),
    [anon_sym_abstract] = ACTIONS(13696),
    [anon_sym_primitive] = ACTIONS(13696),
    [anon_sym_mutable] = ACTIONS(13696),
    [anon_sym_struct] = ACTIONS(13696),
    [anon_sym_function] = ACTIONS(13696),
    [anon_sym_macro] = ACTIONS(13696),
    [anon_sym_where] = ACTIONS(13696),
    [anon_sym_quote] = ACTIONS(13696),
    [anon_sym_let] = ACTIONS(13696),
    [anon_sym_if] = ACTIONS(13696),
    [anon_sym_try] = ACTIONS(13696),
    [anon_sym_catch] = ACTIONS(13696),
    [anon_sym_finally] = ACTIONS(13696),
    [anon_sym_for] = ACTIONS(13696),
    [anon_sym_while] = ACTIONS(13696),
    [sym_break_statement] = ACTIONS(13696),
    [sym_continue_statement] = ACTIONS(13696),
    [anon_sym_return] = ACTIONS(13696),
    [anon_sym_const] = ACTIONS(13696),
    [anon_sym_global] = ACTIONS(13696),
    [anon_sym_local] = ACTIONS(13696),
    [anon_sym_LPAREN] = ACTIONS(13696),
    [anon_sym_COLON2] = ACTIONS(13696),
    [anon_sym_export] = ACTIONS(13696),
    [anon_sym_import] = ACTIONS(13696),
    [anon_sym_using] = ACTIONS(13696),
    [anon_sym_LBRACK] = ACTIONS(13696),
    [anon_sym_LF] = ACTIONS(13694),
    [anon_sym_in] = ACTIONS(13696),
    [anon_sym_LBRACE] = ACTIONS(13696),
    [anon_sym_DOLLAR] = ACTIONS(13696),
    [anon_sym_COLON_COLON] = ACTIONS(13696),
    [anon_sym_isa] = ACTIONS(13696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13696),
    [anon_sym_QMARK] = ACTIONS(13696),
    [anon_sym_AT] = ACTIONS(13696),
    [anon_sym_true] = ACTIONS(13696),
    [anon_sym_false] = ACTIONS(13696),
    [aux_sym_integer_literal_token1] = ACTIONS(13696),
    [aux_sym_integer_literal_token2] = ACTIONS(13696),
    [aux_sym_integer_literal_token3] = ACTIONS(13696),
    [aux_sym_integer_literal_token4] = ACTIONS(13696),
    [aux_sym_float_literal_token1] = ACTIONS(13696),
    [aux_sym_float_literal_token3] = ACTIONS(13696),
    [aux_sym_float_literal_token4] = ACTIONS(13696),
    [sym_character_literal] = ACTIONS(13696),
    [sym__pair_operator] = ACTIONS(13696),
    [sym__arrow_operator] = ACTIONS(13696),
    [sym__lazy_or_operator] = ACTIONS(13696),
    [sym__lazy_and_operator] = ACTIONS(13696),
    [sym__comparison_operator] = ACTIONS(13696),
    [sym__pipe_right_operator] = ACTIONS(13696),
    [sym__pipe_left_operator] = ACTIONS(13696),
    [sym__ellipsis_operator] = ACTIONS(13696),
    [sym__plus_operator] = ACTIONS(13696),
    [sym__times_operator] = ACTIONS(13696),
    [sym__rational_operator] = ACTIONS(13696),
    [sym__bitshift_operator] = ACTIONS(13696),
    [sym__power_operator] = ACTIONS(13696),
    [sym__tilde_operator] = ACTIONS(13696),
    [sym__type_order_operator] = ACTIONS(13696),
    [sym__unary_operator] = ACTIONS(13696),
    [sym__unary_plus_operator] = ACTIONS(13696),
    [aux_sym__terminator_token1] = ACTIONS(13696),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13694),
    [sym__command_start] = ACTIONS(13694),
  },
  [8766] = {
    [sym__word_identifier] = ACTIONS(13504),
    [anon_sym_EQ] = ACTIONS(13504),
    [anon_sym_COMMA] = ACTIONS(13504),
    [anon_sym_COLON] = ACTIONS(13504),
    [anon_sym_begin] = ACTIONS(13504),
    [anon_sym_module] = ACTIONS(13504),
    [anon_sym_baremodule] = ACTIONS(13504),
    [anon_sym_abstract] = ACTIONS(13504),
    [anon_sym_primitive] = ACTIONS(13504),
    [anon_sym_mutable] = ACTIONS(13504),
    [anon_sym_struct] = ACTIONS(13504),
    [anon_sym_function] = ACTIONS(13504),
    [anon_sym_macro] = ACTIONS(13504),
    [anon_sym_where] = ACTIONS(13504),
    [anon_sym_quote] = ACTIONS(13504),
    [anon_sym_let] = ACTIONS(13504),
    [anon_sym_if] = ACTIONS(13504),
    [anon_sym_try] = ACTIONS(13504),
    [anon_sym_catch] = ACTIONS(13504),
    [anon_sym_finally] = ACTIONS(13504),
    [anon_sym_for] = ACTIONS(13504),
    [anon_sym_while] = ACTIONS(13504),
    [sym_break_statement] = ACTIONS(13504),
    [sym_continue_statement] = ACTIONS(13504),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_const] = ACTIONS(13504),
    [anon_sym_global] = ACTIONS(13504),
    [anon_sym_local] = ACTIONS(13504),
    [anon_sym_LPAREN] = ACTIONS(13504),
    [anon_sym_COLON2] = ACTIONS(13504),
    [anon_sym_export] = ACTIONS(13504),
    [anon_sym_import] = ACTIONS(13504),
    [anon_sym_using] = ACTIONS(13504),
    [anon_sym_LBRACK] = ACTIONS(13504),
    [anon_sym_LF] = ACTIONS(13502),
    [anon_sym_in] = ACTIONS(13504),
    [anon_sym_LBRACE] = ACTIONS(13504),
    [anon_sym_DOLLAR] = ACTIONS(13504),
    [anon_sym_COLON_COLON] = ACTIONS(13504),
    [anon_sym_isa] = ACTIONS(13504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13504),
    [anon_sym_QMARK] = ACTIONS(13504),
    [anon_sym_AT] = ACTIONS(13504),
    [anon_sym_true] = ACTIONS(13504),
    [anon_sym_false] = ACTIONS(13504),
    [aux_sym_integer_literal_token1] = ACTIONS(13504),
    [aux_sym_integer_literal_token2] = ACTIONS(13504),
    [aux_sym_integer_literal_token3] = ACTIONS(13504),
    [aux_sym_integer_literal_token4] = ACTIONS(13504),
    [aux_sym_float_literal_token1] = ACTIONS(13504),
    [aux_sym_float_literal_token3] = ACTIONS(13504),
    [aux_sym_float_literal_token4] = ACTIONS(13504),
    [sym_character_literal] = ACTIONS(13504),
    [sym__pair_operator] = ACTIONS(13504),
    [sym__arrow_operator] = ACTIONS(13504),
    [sym__lazy_or_operator] = ACTIONS(13504),
    [sym__lazy_and_operator] = ACTIONS(13504),
    [sym__comparison_operator] = ACTIONS(13504),
    [sym__pipe_right_operator] = ACTIONS(13504),
    [sym__pipe_left_operator] = ACTIONS(13504),
    [sym__ellipsis_operator] = ACTIONS(13504),
    [sym__plus_operator] = ACTIONS(13504),
    [sym__times_operator] = ACTIONS(13504),
    [sym__rational_operator] = ACTIONS(13504),
    [sym__bitshift_operator] = ACTIONS(13504),
    [sym__power_operator] = ACTIONS(13504),
    [sym__tilde_operator] = ACTIONS(13504),
    [sym__type_order_operator] = ACTIONS(13504),
    [sym__unary_operator] = ACTIONS(13504),
    [sym__unary_plus_operator] = ACTIONS(13504),
    [aux_sym__terminator_token1] = ACTIONS(13504),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13502),
    [sym__command_start] = ACTIONS(13502),
  },
  [8767] = {
    [sym__word_identifier] = ACTIONS(13606),
    [anon_sym_EQ] = ACTIONS(13606),
    [anon_sym_COMMA] = ACTIONS(13606),
    [anon_sym_COLON] = ACTIONS(13606),
    [anon_sym_begin] = ACTIONS(13606),
    [anon_sym_module] = ACTIONS(13606),
    [anon_sym_baremodule] = ACTIONS(13606),
    [anon_sym_abstract] = ACTIONS(13606),
    [anon_sym_primitive] = ACTIONS(13606),
    [anon_sym_mutable] = ACTIONS(13606),
    [anon_sym_struct] = ACTIONS(13606),
    [anon_sym_function] = ACTIONS(13606),
    [anon_sym_macro] = ACTIONS(13606),
    [anon_sym_where] = ACTIONS(13606),
    [anon_sym_quote] = ACTIONS(13606),
    [anon_sym_let] = ACTIONS(13606),
    [anon_sym_if] = ACTIONS(13606),
    [anon_sym_try] = ACTIONS(13606),
    [anon_sym_catch] = ACTIONS(13606),
    [anon_sym_finally] = ACTIONS(13606),
    [anon_sym_for] = ACTIONS(13606),
    [anon_sym_while] = ACTIONS(13606),
    [sym_break_statement] = ACTIONS(13606),
    [sym_continue_statement] = ACTIONS(13606),
    [anon_sym_return] = ACTIONS(13606),
    [anon_sym_const] = ACTIONS(13606),
    [anon_sym_global] = ACTIONS(13606),
    [anon_sym_local] = ACTIONS(13606),
    [anon_sym_LPAREN] = ACTIONS(13606),
    [anon_sym_COLON2] = ACTIONS(13606),
    [anon_sym_export] = ACTIONS(13606),
    [anon_sym_import] = ACTIONS(13606),
    [anon_sym_using] = ACTIONS(13606),
    [anon_sym_LBRACK] = ACTIONS(13606),
    [anon_sym_LF] = ACTIONS(13604),
    [anon_sym_in] = ACTIONS(13606),
    [anon_sym_LBRACE] = ACTIONS(13606),
    [anon_sym_DOLLAR] = ACTIONS(13606),
    [anon_sym_COLON_COLON] = ACTIONS(13606),
    [anon_sym_isa] = ACTIONS(13606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13606),
    [anon_sym_QMARK] = ACTIONS(13606),
    [anon_sym_AT] = ACTIONS(13606),
    [anon_sym_true] = ACTIONS(13606),
    [anon_sym_false] = ACTIONS(13606),
    [aux_sym_integer_literal_token1] = ACTIONS(13606),
    [aux_sym_integer_literal_token2] = ACTIONS(13606),
    [aux_sym_integer_literal_token3] = ACTIONS(13606),
    [aux_sym_integer_literal_token4] = ACTIONS(13606),
    [aux_sym_float_literal_token1] = ACTIONS(13606),
    [aux_sym_float_literal_token3] = ACTIONS(13606),
    [aux_sym_float_literal_token4] = ACTIONS(13606),
    [sym_character_literal] = ACTIONS(13606),
    [sym__pair_operator] = ACTIONS(13606),
    [sym__arrow_operator] = ACTIONS(13606),
    [sym__lazy_or_operator] = ACTIONS(13606),
    [sym__lazy_and_operator] = ACTIONS(13606),
    [sym__comparison_operator] = ACTIONS(13606),
    [sym__pipe_right_operator] = ACTIONS(13606),
    [sym__pipe_left_operator] = ACTIONS(13606),
    [sym__ellipsis_operator] = ACTIONS(13606),
    [sym__plus_operator] = ACTIONS(13606),
    [sym__times_operator] = ACTIONS(13606),
    [sym__rational_operator] = ACTIONS(13606),
    [sym__bitshift_operator] = ACTIONS(13606),
    [sym__power_operator] = ACTIONS(13606),
    [sym__tilde_operator] = ACTIONS(13606),
    [sym__type_order_operator] = ACTIONS(13606),
    [sym__unary_operator] = ACTIONS(13606),
    [sym__unary_plus_operator] = ACTIONS(13606),
    [aux_sym__terminator_token1] = ACTIONS(13606),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13604),
    [sym__command_start] = ACTIONS(13604),
  },
  [8768] = {
    [sym__word_identifier] = ACTIONS(13570),
    [anon_sym_EQ] = ACTIONS(13570),
    [anon_sym_COMMA] = ACTIONS(13570),
    [anon_sym_COLON] = ACTIONS(13570),
    [anon_sym_begin] = ACTIONS(13570),
    [anon_sym_module] = ACTIONS(13570),
    [anon_sym_baremodule] = ACTIONS(13570),
    [anon_sym_abstract] = ACTIONS(13570),
    [anon_sym_primitive] = ACTIONS(13570),
    [anon_sym_mutable] = ACTIONS(13570),
    [anon_sym_struct] = ACTIONS(13570),
    [anon_sym_function] = ACTIONS(13570),
    [anon_sym_macro] = ACTIONS(13570),
    [anon_sym_where] = ACTIONS(13570),
    [anon_sym_quote] = ACTIONS(13570),
    [anon_sym_let] = ACTIONS(13570),
    [anon_sym_if] = ACTIONS(13570),
    [anon_sym_try] = ACTIONS(13570),
    [anon_sym_catch] = ACTIONS(13570),
    [anon_sym_finally] = ACTIONS(13570),
    [anon_sym_for] = ACTIONS(13570),
    [anon_sym_while] = ACTIONS(13570),
    [sym_break_statement] = ACTIONS(13570),
    [sym_continue_statement] = ACTIONS(13570),
    [anon_sym_return] = ACTIONS(13570),
    [anon_sym_const] = ACTIONS(13570),
    [anon_sym_global] = ACTIONS(13570),
    [anon_sym_local] = ACTIONS(13570),
    [anon_sym_LPAREN] = ACTIONS(13570),
    [anon_sym_COLON2] = ACTIONS(13570),
    [anon_sym_export] = ACTIONS(13570),
    [anon_sym_import] = ACTIONS(13570),
    [anon_sym_using] = ACTIONS(13570),
    [anon_sym_LBRACK] = ACTIONS(13570),
    [anon_sym_LF] = ACTIONS(13568),
    [anon_sym_in] = ACTIONS(13570),
    [anon_sym_LBRACE] = ACTIONS(13570),
    [anon_sym_DOLLAR] = ACTIONS(13570),
    [anon_sym_COLON_COLON] = ACTIONS(13570),
    [anon_sym_isa] = ACTIONS(13570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13570),
    [anon_sym_QMARK] = ACTIONS(13570),
    [anon_sym_AT] = ACTIONS(13570),
    [anon_sym_true] = ACTIONS(13570),
    [anon_sym_false] = ACTIONS(13570),
    [aux_sym_integer_literal_token1] = ACTIONS(13570),
    [aux_sym_integer_literal_token2] = ACTIONS(13570),
    [aux_sym_integer_literal_token3] = ACTIONS(13570),
    [aux_sym_integer_literal_token4] = ACTIONS(13570),
    [aux_sym_float_literal_token1] = ACTIONS(13570),
    [aux_sym_float_literal_token3] = ACTIONS(13570),
    [aux_sym_float_literal_token4] = ACTIONS(13570),
    [sym_character_literal] = ACTIONS(13570),
    [sym__pair_operator] = ACTIONS(13570),
    [sym__arrow_operator] = ACTIONS(13570),
    [sym__lazy_or_operator] = ACTIONS(13570),
    [sym__lazy_and_operator] = ACTIONS(13570),
    [sym__comparison_operator] = ACTIONS(13570),
    [sym__pipe_right_operator] = ACTIONS(13570),
    [sym__pipe_left_operator] = ACTIONS(13570),
    [sym__ellipsis_operator] = ACTIONS(13570),
    [sym__plus_operator] = ACTIONS(13570),
    [sym__times_operator] = ACTIONS(13570),
    [sym__rational_operator] = ACTIONS(13570),
    [sym__bitshift_operator] = ACTIONS(13570),
    [sym__power_operator] = ACTIONS(13570),
    [sym__tilde_operator] = ACTIONS(13570),
    [sym__type_order_operator] = ACTIONS(13570),
    [sym__unary_operator] = ACTIONS(13570),
    [sym__unary_plus_operator] = ACTIONS(13570),
    [aux_sym__terminator_token1] = ACTIONS(13570),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13568),
    [sym__command_start] = ACTIONS(13568),
  },
  [8769] = {
    [sym__word_identifier] = ACTIONS(13566),
    [anon_sym_EQ] = ACTIONS(13566),
    [anon_sym_COMMA] = ACTIONS(13566),
    [anon_sym_COLON] = ACTIONS(13566),
    [anon_sym_begin] = ACTIONS(13566),
    [anon_sym_module] = ACTIONS(13566),
    [anon_sym_baremodule] = ACTIONS(13566),
    [anon_sym_abstract] = ACTIONS(13566),
    [anon_sym_primitive] = ACTIONS(13566),
    [anon_sym_mutable] = ACTIONS(13566),
    [anon_sym_struct] = ACTIONS(13566),
    [anon_sym_function] = ACTIONS(13566),
    [anon_sym_macro] = ACTIONS(13566),
    [anon_sym_where] = ACTIONS(13566),
    [anon_sym_quote] = ACTIONS(13566),
    [anon_sym_let] = ACTIONS(13566),
    [anon_sym_if] = ACTIONS(13566),
    [anon_sym_try] = ACTIONS(13566),
    [anon_sym_catch] = ACTIONS(13566),
    [anon_sym_finally] = ACTIONS(13566),
    [anon_sym_for] = ACTIONS(13566),
    [anon_sym_while] = ACTIONS(13566),
    [sym_break_statement] = ACTIONS(13566),
    [sym_continue_statement] = ACTIONS(13566),
    [anon_sym_return] = ACTIONS(13566),
    [anon_sym_const] = ACTIONS(13566),
    [anon_sym_global] = ACTIONS(13566),
    [anon_sym_local] = ACTIONS(13566),
    [anon_sym_LPAREN] = ACTIONS(13566),
    [anon_sym_COLON2] = ACTIONS(13566),
    [anon_sym_export] = ACTIONS(13566),
    [anon_sym_import] = ACTIONS(13566),
    [anon_sym_using] = ACTIONS(13566),
    [anon_sym_LBRACK] = ACTIONS(13566),
    [anon_sym_LF] = ACTIONS(13564),
    [anon_sym_in] = ACTIONS(13566),
    [anon_sym_LBRACE] = ACTIONS(13566),
    [anon_sym_DOLLAR] = ACTIONS(13566),
    [anon_sym_COLON_COLON] = ACTIONS(13566),
    [anon_sym_isa] = ACTIONS(13566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13566),
    [anon_sym_QMARK] = ACTIONS(13566),
    [anon_sym_AT] = ACTIONS(13566),
    [anon_sym_true] = ACTIONS(13566),
    [anon_sym_false] = ACTIONS(13566),
    [aux_sym_integer_literal_token1] = ACTIONS(13566),
    [aux_sym_integer_literal_token2] = ACTIONS(13566),
    [aux_sym_integer_literal_token3] = ACTIONS(13566),
    [aux_sym_integer_literal_token4] = ACTIONS(13566),
    [aux_sym_float_literal_token1] = ACTIONS(13566),
    [aux_sym_float_literal_token3] = ACTIONS(13566),
    [aux_sym_float_literal_token4] = ACTIONS(13566),
    [sym_character_literal] = ACTIONS(13566),
    [sym__pair_operator] = ACTIONS(13566),
    [sym__arrow_operator] = ACTIONS(13566),
    [sym__lazy_or_operator] = ACTIONS(13566),
    [sym__lazy_and_operator] = ACTIONS(13566),
    [sym__comparison_operator] = ACTIONS(13566),
    [sym__pipe_right_operator] = ACTIONS(13566),
    [sym__pipe_left_operator] = ACTIONS(13566),
    [sym__ellipsis_operator] = ACTIONS(13566),
    [sym__plus_operator] = ACTIONS(13566),
    [sym__times_operator] = ACTIONS(13566),
    [sym__rational_operator] = ACTIONS(13566),
    [sym__bitshift_operator] = ACTIONS(13566),
    [sym__power_operator] = ACTIONS(13566),
    [sym__tilde_operator] = ACTIONS(13566),
    [sym__type_order_operator] = ACTIONS(13566),
    [sym__unary_operator] = ACTIONS(13566),
    [sym__unary_plus_operator] = ACTIONS(13566),
    [aux_sym__terminator_token1] = ACTIONS(13566),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13564),
    [sym__command_start] = ACTIONS(13564),
  },
  [8770] = {
    [aux_sym_open_tuple_repeat1] = STATE(8654),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(14720),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_RPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14780),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8771] = {
    [sym__word_identifier] = ACTIONS(13748),
    [anon_sym_EQ] = ACTIONS(13748),
    [anon_sym_COMMA] = ACTIONS(13748),
    [anon_sym_COLON] = ACTIONS(13748),
    [anon_sym_begin] = ACTIONS(13748),
    [anon_sym_module] = ACTIONS(13748),
    [anon_sym_baremodule] = ACTIONS(13748),
    [anon_sym_abstract] = ACTIONS(13748),
    [anon_sym_primitive] = ACTIONS(13748),
    [anon_sym_mutable] = ACTIONS(13748),
    [anon_sym_struct] = ACTIONS(13748),
    [anon_sym_function] = ACTIONS(13748),
    [anon_sym_macro] = ACTIONS(13748),
    [anon_sym_where] = ACTIONS(13748),
    [anon_sym_quote] = ACTIONS(13748),
    [anon_sym_let] = ACTIONS(13748),
    [anon_sym_if] = ACTIONS(13748),
    [anon_sym_try] = ACTIONS(13748),
    [anon_sym_for] = ACTIONS(13748),
    [anon_sym_while] = ACTIONS(13748),
    [sym_break_statement] = ACTIONS(13748),
    [sym_continue_statement] = ACTIONS(13748),
    [anon_sym_return] = ACTIONS(13748),
    [anon_sym_const] = ACTIONS(13748),
    [anon_sym_global] = ACTIONS(13748),
    [anon_sym_local] = ACTIONS(13748),
    [anon_sym_LPAREN] = ACTIONS(13748),
    [anon_sym_RPAREN] = ACTIONS(13748),
    [anon_sym_COLON2] = ACTIONS(13748),
    [anon_sym_export] = ACTIONS(13748),
    [anon_sym_import] = ACTIONS(13748),
    [anon_sym_using] = ACTIONS(13748),
    [anon_sym_LBRACK] = ACTIONS(13748),
    [anon_sym_LF] = ACTIONS(13750),
    [anon_sym_in] = ACTIONS(13748),
    [anon_sym_SEMI] = ACTIONS(13748),
    [anon_sym_LBRACE] = ACTIONS(13748),
    [anon_sym_DOLLAR] = ACTIONS(13748),
    [anon_sym_COLON_COLON] = ACTIONS(13748),
    [anon_sym_isa] = ACTIONS(13748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13748),
    [anon_sym_QMARK] = ACTIONS(13748),
    [anon_sym_AT] = ACTIONS(13748),
    [anon_sym_true] = ACTIONS(13748),
    [anon_sym_false] = ACTIONS(13748),
    [aux_sym_integer_literal_token1] = ACTIONS(13748),
    [aux_sym_integer_literal_token2] = ACTIONS(13748),
    [aux_sym_integer_literal_token3] = ACTIONS(13748),
    [aux_sym_integer_literal_token4] = ACTIONS(13748),
    [aux_sym_float_literal_token1] = ACTIONS(13748),
    [aux_sym_float_literal_token3] = ACTIONS(13748),
    [aux_sym_float_literal_token4] = ACTIONS(13748),
    [sym_character_literal] = ACTIONS(13748),
    [sym__pair_operator] = ACTIONS(13748),
    [sym__arrow_operator] = ACTIONS(13748),
    [sym__lazy_or_operator] = ACTIONS(13748),
    [sym__lazy_and_operator] = ACTIONS(13748),
    [sym__comparison_operator] = ACTIONS(13748),
    [sym__pipe_right_operator] = ACTIONS(13748),
    [sym__pipe_left_operator] = ACTIONS(13748),
    [sym__ellipsis_operator] = ACTIONS(13748),
    [sym__plus_operator] = ACTIONS(13748),
    [sym__times_operator] = ACTIONS(13748),
    [sym__rational_operator] = ACTIONS(13748),
    [sym__bitshift_operator] = ACTIONS(13748),
    [sym__power_operator] = ACTIONS(13748),
    [sym__tilde_operator] = ACTIONS(13748),
    [sym__type_order_operator] = ACTIONS(13748),
    [sym__unary_operator] = ACTIONS(13748),
    [sym__unary_plus_operator] = ACTIONS(13748),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13750),
    [sym__command_start] = ACTIONS(13750),
  },
  [8772] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_catch] = ACTIONS(13392),
    [anon_sym_finally] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8773] = {
    [sym__word_identifier] = ACTIONS(13540),
    [anon_sym_EQ] = ACTIONS(13540),
    [anon_sym_COMMA] = ACTIONS(13540),
    [anon_sym_COLON] = ACTIONS(13540),
    [anon_sym_begin] = ACTIONS(13540),
    [anon_sym_module] = ACTIONS(13540),
    [anon_sym_baremodule] = ACTIONS(13540),
    [anon_sym_abstract] = ACTIONS(13540),
    [anon_sym_primitive] = ACTIONS(13540),
    [anon_sym_mutable] = ACTIONS(13540),
    [anon_sym_struct] = ACTIONS(13540),
    [anon_sym_function] = ACTIONS(13540),
    [anon_sym_macro] = ACTIONS(13540),
    [anon_sym_where] = ACTIONS(13540),
    [anon_sym_quote] = ACTIONS(13540),
    [anon_sym_let] = ACTIONS(13540),
    [anon_sym_if] = ACTIONS(13540),
    [anon_sym_try] = ACTIONS(13540),
    [anon_sym_for] = ACTIONS(13540),
    [anon_sym_while] = ACTIONS(13540),
    [sym_break_statement] = ACTIONS(13540),
    [sym_continue_statement] = ACTIONS(13540),
    [anon_sym_return] = ACTIONS(13540),
    [anon_sym_const] = ACTIONS(13540),
    [anon_sym_global] = ACTIONS(13540),
    [anon_sym_local] = ACTIONS(13540),
    [anon_sym_LPAREN] = ACTIONS(13540),
    [anon_sym_RPAREN] = ACTIONS(13540),
    [anon_sym_COLON2] = ACTIONS(13540),
    [anon_sym_export] = ACTIONS(13540),
    [anon_sym_import] = ACTIONS(13540),
    [anon_sym_using] = ACTIONS(13540),
    [anon_sym_LBRACK] = ACTIONS(13540),
    [anon_sym_LF] = ACTIONS(13542),
    [anon_sym_in] = ACTIONS(13540),
    [anon_sym_SEMI] = ACTIONS(13540),
    [anon_sym_LBRACE] = ACTIONS(13540),
    [anon_sym_DOLLAR] = ACTIONS(13540),
    [anon_sym_COLON_COLON] = ACTIONS(13540),
    [anon_sym_isa] = ACTIONS(13540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13540),
    [anon_sym_QMARK] = ACTIONS(13540),
    [anon_sym_AT] = ACTIONS(13540),
    [anon_sym_true] = ACTIONS(13540),
    [anon_sym_false] = ACTIONS(13540),
    [aux_sym_integer_literal_token1] = ACTIONS(13540),
    [aux_sym_integer_literal_token2] = ACTIONS(13540),
    [aux_sym_integer_literal_token3] = ACTIONS(13540),
    [aux_sym_integer_literal_token4] = ACTIONS(13540),
    [aux_sym_float_literal_token1] = ACTIONS(13540),
    [aux_sym_float_literal_token3] = ACTIONS(13540),
    [aux_sym_float_literal_token4] = ACTIONS(13540),
    [sym_character_literal] = ACTIONS(13540),
    [sym__pair_operator] = ACTIONS(13540),
    [sym__arrow_operator] = ACTIONS(13540),
    [sym__lazy_or_operator] = ACTIONS(13540),
    [sym__lazy_and_operator] = ACTIONS(13540),
    [sym__comparison_operator] = ACTIONS(13540),
    [sym__pipe_right_operator] = ACTIONS(13540),
    [sym__pipe_left_operator] = ACTIONS(13540),
    [sym__ellipsis_operator] = ACTIONS(13540),
    [sym__plus_operator] = ACTIONS(13540),
    [sym__times_operator] = ACTIONS(13540),
    [sym__rational_operator] = ACTIONS(13540),
    [sym__bitshift_operator] = ACTIONS(13540),
    [sym__power_operator] = ACTIONS(13540),
    [sym__tilde_operator] = ACTIONS(13540),
    [sym__type_order_operator] = ACTIONS(13540),
    [sym__unary_operator] = ACTIONS(13540),
    [sym__unary_plus_operator] = ACTIONS(13540),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13542),
    [sym__command_start] = ACTIONS(13542),
  },
  [8774] = {
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13242),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_RPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13242),
    [anon_sym_SEMI] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13242),
    [anon_sym_isa] = ACTIONS(13242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13242),
    [anon_sym_QMARK] = ACTIONS(13242),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13242),
    [sym__lazy_or_operator] = ACTIONS(13242),
    [sym__lazy_and_operator] = ACTIONS(13242),
    [sym__comparison_operator] = ACTIONS(13242),
    [sym__pipe_right_operator] = ACTIONS(13242),
    [sym__pipe_left_operator] = ACTIONS(13242),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13242),
    [sym__times_operator] = ACTIONS(13242),
    [sym__rational_operator] = ACTIONS(13242),
    [sym__bitshift_operator] = ACTIONS(13242),
    [sym__power_operator] = ACTIONS(13242),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13242),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8775] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_RPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_SEMI] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8776] = {
    [sym__word_identifier] = ACTIONS(13985),
    [anon_sym_EQ] = ACTIONS(13985),
    [anon_sym_COMMA] = ACTIONS(13985),
    [anon_sym_COLON] = ACTIONS(13985),
    [anon_sym_begin] = ACTIONS(13985),
    [anon_sym_module] = ACTIONS(13985),
    [anon_sym_baremodule] = ACTIONS(13985),
    [anon_sym_end] = ACTIONS(13985),
    [anon_sym_abstract] = ACTIONS(13985),
    [anon_sym_primitive] = ACTIONS(13985),
    [anon_sym_mutable] = ACTIONS(13985),
    [anon_sym_struct] = ACTIONS(13985),
    [anon_sym_function] = ACTIONS(13985),
    [anon_sym_macro] = ACTIONS(13985),
    [anon_sym_where] = ACTIONS(13985),
    [anon_sym_quote] = ACTIONS(13985),
    [anon_sym_let] = ACTIONS(13985),
    [anon_sym_if] = ACTIONS(13985),
    [anon_sym_try] = ACTIONS(13985),
    [anon_sym_for] = ACTIONS(13985),
    [anon_sym_while] = ACTIONS(13985),
    [sym_break_statement] = ACTIONS(13985),
    [sym_continue_statement] = ACTIONS(13985),
    [anon_sym_return] = ACTIONS(13985),
    [anon_sym_const] = ACTIONS(13985),
    [anon_sym_global] = ACTIONS(13985),
    [anon_sym_local] = ACTIONS(13985),
    [anon_sym_LPAREN] = ACTIONS(13985),
    [anon_sym_COLON2] = ACTIONS(13985),
    [anon_sym_export] = ACTIONS(13985),
    [anon_sym_import] = ACTIONS(13985),
    [anon_sym_using] = ACTIONS(13985),
    [anon_sym_LBRACK] = ACTIONS(13985),
    [anon_sym_LF] = ACTIONS(13983),
    [anon_sym_in] = ACTIONS(13985),
    [anon_sym_LBRACE] = ACTIONS(13985),
    [anon_sym_DOLLAR] = ACTIONS(13985),
    [anon_sym_COLON_COLON] = ACTIONS(13985),
    [anon_sym_isa] = ACTIONS(13985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13985),
    [anon_sym_QMARK] = ACTIONS(13985),
    [anon_sym_AT] = ACTIONS(13985),
    [anon_sym_true] = ACTIONS(13985),
    [anon_sym_false] = ACTIONS(13985),
    [aux_sym_integer_literal_token1] = ACTIONS(13985),
    [aux_sym_integer_literal_token2] = ACTIONS(13985),
    [aux_sym_integer_literal_token3] = ACTIONS(13985),
    [aux_sym_integer_literal_token4] = ACTIONS(13985),
    [aux_sym_float_literal_token1] = ACTIONS(13985),
    [aux_sym_float_literal_token3] = ACTIONS(13985),
    [aux_sym_float_literal_token4] = ACTIONS(13985),
    [sym_character_literal] = ACTIONS(13985),
    [sym__pair_operator] = ACTIONS(13985),
    [sym__arrow_operator] = ACTIONS(13985),
    [sym__lazy_or_operator] = ACTIONS(13985),
    [sym__lazy_and_operator] = ACTIONS(13985),
    [sym__comparison_operator] = ACTIONS(13985),
    [sym__pipe_right_operator] = ACTIONS(13985),
    [sym__pipe_left_operator] = ACTIONS(13985),
    [sym__ellipsis_operator] = ACTIONS(13985),
    [sym__plus_operator] = ACTIONS(13985),
    [sym__times_operator] = ACTIONS(13985),
    [sym__rational_operator] = ACTIONS(13985),
    [sym__bitshift_operator] = ACTIONS(13985),
    [sym__power_operator] = ACTIONS(13985),
    [sym__tilde_operator] = ACTIONS(13985),
    [sym__type_order_operator] = ACTIONS(13985),
    [sym__unary_operator] = ACTIONS(13985),
    [sym__unary_plus_operator] = ACTIONS(13985),
    [aux_sym__terminator_token1] = ACTIONS(13985),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13983),
    [sym__command_start] = ACTIONS(13983),
  },
  [8777] = {
    [sym__word_identifier] = ACTIONS(13989),
    [anon_sym_EQ] = ACTIONS(13989),
    [anon_sym_COMMA] = ACTIONS(13989),
    [anon_sym_COLON] = ACTIONS(13989),
    [anon_sym_begin] = ACTIONS(13989),
    [anon_sym_module] = ACTIONS(13989),
    [anon_sym_baremodule] = ACTIONS(13989),
    [anon_sym_end] = ACTIONS(13989),
    [anon_sym_abstract] = ACTIONS(13989),
    [anon_sym_primitive] = ACTIONS(13989),
    [anon_sym_mutable] = ACTIONS(13989),
    [anon_sym_struct] = ACTIONS(13989),
    [anon_sym_function] = ACTIONS(13989),
    [anon_sym_macro] = ACTIONS(13989),
    [anon_sym_where] = ACTIONS(13989),
    [anon_sym_quote] = ACTIONS(13989),
    [anon_sym_let] = ACTIONS(13989),
    [anon_sym_if] = ACTIONS(13989),
    [anon_sym_try] = ACTIONS(13989),
    [anon_sym_for] = ACTIONS(13989),
    [anon_sym_while] = ACTIONS(13989),
    [sym_break_statement] = ACTIONS(13989),
    [sym_continue_statement] = ACTIONS(13989),
    [anon_sym_return] = ACTIONS(13989),
    [anon_sym_const] = ACTIONS(13989),
    [anon_sym_global] = ACTIONS(13989),
    [anon_sym_local] = ACTIONS(13989),
    [anon_sym_LPAREN] = ACTIONS(13989),
    [anon_sym_COLON2] = ACTIONS(13989),
    [anon_sym_export] = ACTIONS(13989),
    [anon_sym_import] = ACTIONS(13989),
    [anon_sym_using] = ACTIONS(13989),
    [anon_sym_LBRACK] = ACTIONS(13989),
    [anon_sym_LF] = ACTIONS(13987),
    [anon_sym_in] = ACTIONS(13989),
    [anon_sym_LBRACE] = ACTIONS(13989),
    [anon_sym_DOLLAR] = ACTIONS(13989),
    [anon_sym_COLON_COLON] = ACTIONS(13989),
    [anon_sym_isa] = ACTIONS(13989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13989),
    [anon_sym_QMARK] = ACTIONS(13989),
    [anon_sym_AT] = ACTIONS(13989),
    [anon_sym_true] = ACTIONS(13989),
    [anon_sym_false] = ACTIONS(13989),
    [aux_sym_integer_literal_token1] = ACTIONS(13989),
    [aux_sym_integer_literal_token2] = ACTIONS(13989),
    [aux_sym_integer_literal_token3] = ACTIONS(13989),
    [aux_sym_integer_literal_token4] = ACTIONS(13989),
    [aux_sym_float_literal_token1] = ACTIONS(13989),
    [aux_sym_float_literal_token3] = ACTIONS(13989),
    [aux_sym_float_literal_token4] = ACTIONS(13989),
    [sym_character_literal] = ACTIONS(13989),
    [sym__pair_operator] = ACTIONS(13989),
    [sym__arrow_operator] = ACTIONS(13989),
    [sym__lazy_or_operator] = ACTIONS(13989),
    [sym__lazy_and_operator] = ACTIONS(13989),
    [sym__comparison_operator] = ACTIONS(13989),
    [sym__pipe_right_operator] = ACTIONS(13989),
    [sym__pipe_left_operator] = ACTIONS(13989),
    [sym__ellipsis_operator] = ACTIONS(13989),
    [sym__plus_operator] = ACTIONS(13989),
    [sym__times_operator] = ACTIONS(13989),
    [sym__rational_operator] = ACTIONS(13989),
    [sym__bitshift_operator] = ACTIONS(13989),
    [sym__power_operator] = ACTIONS(13989),
    [sym__tilde_operator] = ACTIONS(13989),
    [sym__type_order_operator] = ACTIONS(13989),
    [sym__unary_operator] = ACTIONS(13989),
    [sym__unary_plus_operator] = ACTIONS(13989),
    [aux_sym__terminator_token1] = ACTIONS(13989),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13987),
    [sym__command_start] = ACTIONS(13987),
  },
  [8778] = {
    [sym__word_identifier] = ACTIONS(13522),
    [anon_sym_EQ] = ACTIONS(13522),
    [anon_sym_COMMA] = ACTIONS(13522),
    [anon_sym_COLON] = ACTIONS(13522),
    [anon_sym_begin] = ACTIONS(13522),
    [anon_sym_module] = ACTIONS(13522),
    [anon_sym_baremodule] = ACTIONS(13522),
    [anon_sym_abstract] = ACTIONS(13522),
    [anon_sym_primitive] = ACTIONS(13522),
    [anon_sym_mutable] = ACTIONS(13522),
    [anon_sym_struct] = ACTIONS(13522),
    [anon_sym_function] = ACTIONS(13522),
    [anon_sym_macro] = ACTIONS(13522),
    [anon_sym_where] = ACTIONS(13522),
    [anon_sym_quote] = ACTIONS(13522),
    [anon_sym_let] = ACTIONS(13522),
    [anon_sym_if] = ACTIONS(13522),
    [anon_sym_try] = ACTIONS(13522),
    [anon_sym_for] = ACTIONS(13522),
    [anon_sym_while] = ACTIONS(13522),
    [sym_break_statement] = ACTIONS(13522),
    [sym_continue_statement] = ACTIONS(13522),
    [anon_sym_return] = ACTIONS(13522),
    [anon_sym_const] = ACTIONS(13522),
    [anon_sym_global] = ACTIONS(13522),
    [anon_sym_local] = ACTIONS(13522),
    [anon_sym_LPAREN] = ACTIONS(13522),
    [anon_sym_RPAREN] = ACTIONS(13522),
    [anon_sym_COLON2] = ACTIONS(13522),
    [anon_sym_export] = ACTIONS(13522),
    [anon_sym_import] = ACTIONS(13522),
    [anon_sym_using] = ACTIONS(13522),
    [anon_sym_LBRACK] = ACTIONS(13522),
    [anon_sym_LF] = ACTIONS(13524),
    [anon_sym_in] = ACTIONS(13522),
    [anon_sym_SEMI] = ACTIONS(13522),
    [anon_sym_LBRACE] = ACTIONS(13522),
    [anon_sym_DOLLAR] = ACTIONS(13522),
    [anon_sym_COLON_COLON] = ACTIONS(13522),
    [anon_sym_isa] = ACTIONS(13522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13522),
    [anon_sym_QMARK] = ACTIONS(13522),
    [anon_sym_AT] = ACTIONS(13522),
    [anon_sym_true] = ACTIONS(13522),
    [anon_sym_false] = ACTIONS(13522),
    [aux_sym_integer_literal_token1] = ACTIONS(13522),
    [aux_sym_integer_literal_token2] = ACTIONS(13522),
    [aux_sym_integer_literal_token3] = ACTIONS(13522),
    [aux_sym_integer_literal_token4] = ACTIONS(13522),
    [aux_sym_float_literal_token1] = ACTIONS(13522),
    [aux_sym_float_literal_token3] = ACTIONS(13522),
    [aux_sym_float_literal_token4] = ACTIONS(13522),
    [sym_character_literal] = ACTIONS(13522),
    [sym__pair_operator] = ACTIONS(13522),
    [sym__arrow_operator] = ACTIONS(13522),
    [sym__lazy_or_operator] = ACTIONS(13522),
    [sym__lazy_and_operator] = ACTIONS(13522),
    [sym__comparison_operator] = ACTIONS(13522),
    [sym__pipe_right_operator] = ACTIONS(13522),
    [sym__pipe_left_operator] = ACTIONS(13522),
    [sym__ellipsis_operator] = ACTIONS(13522),
    [sym__plus_operator] = ACTIONS(13522),
    [sym__times_operator] = ACTIONS(13522),
    [sym__rational_operator] = ACTIONS(13522),
    [sym__bitshift_operator] = ACTIONS(13522),
    [sym__power_operator] = ACTIONS(13522),
    [sym__tilde_operator] = ACTIONS(13522),
    [sym__type_order_operator] = ACTIONS(13522),
    [sym__unary_operator] = ACTIONS(13522),
    [sym__unary_plus_operator] = ACTIONS(13522),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13524),
    [sym__command_start] = ACTIONS(13524),
  },
  [8779] = {
    [aux_sym_open_tuple_repeat1] = STATE(9081),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(14786),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13212),
    [anon_sym_RPAREN] = ACTIONS(13212),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13212),
    [anon_sym_LBRACE] = ACTIONS(13212),
    [anon_sym_DOLLAR] = ACTIONS(13212),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_AT] = ACTIONS(13212),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13212),
    [aux_sym_integer_literal_token2] = ACTIONS(13212),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13212),
    [aux_sym_float_literal_token3] = ACTIONS(13212),
    [aux_sym_float_literal_token4] = ACTIONS(13212),
    [sym_character_literal] = ACTIONS(13212),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13212),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8780] = {
    [sym__word_identifier] = ACTIONS(13508),
    [anon_sym_EQ] = ACTIONS(13508),
    [anon_sym_COMMA] = ACTIONS(13508),
    [anon_sym_COLON] = ACTIONS(13508),
    [anon_sym_begin] = ACTIONS(13508),
    [anon_sym_module] = ACTIONS(13508),
    [anon_sym_baremodule] = ACTIONS(13508),
    [anon_sym_abstract] = ACTIONS(13508),
    [anon_sym_primitive] = ACTIONS(13508),
    [anon_sym_mutable] = ACTIONS(13508),
    [anon_sym_struct] = ACTIONS(13508),
    [anon_sym_function] = ACTIONS(13508),
    [anon_sym_macro] = ACTIONS(13508),
    [anon_sym_where] = ACTIONS(13508),
    [anon_sym_quote] = ACTIONS(13508),
    [anon_sym_let] = ACTIONS(13508),
    [anon_sym_if] = ACTIONS(13508),
    [anon_sym_try] = ACTIONS(13508),
    [anon_sym_for] = ACTIONS(13508),
    [anon_sym_while] = ACTIONS(13508),
    [sym_break_statement] = ACTIONS(13508),
    [sym_continue_statement] = ACTIONS(13508),
    [anon_sym_return] = ACTIONS(13508),
    [anon_sym_const] = ACTIONS(13508),
    [anon_sym_global] = ACTIONS(13508),
    [anon_sym_local] = ACTIONS(13508),
    [anon_sym_LPAREN] = ACTIONS(13508),
    [anon_sym_RPAREN] = ACTIONS(13508),
    [anon_sym_COLON2] = ACTIONS(13508),
    [anon_sym_export] = ACTIONS(13508),
    [anon_sym_import] = ACTIONS(13508),
    [anon_sym_using] = ACTIONS(13508),
    [anon_sym_LBRACK] = ACTIONS(13508),
    [anon_sym_LF] = ACTIONS(13510),
    [anon_sym_in] = ACTIONS(13508),
    [anon_sym_SEMI] = ACTIONS(13508),
    [anon_sym_LBRACE] = ACTIONS(13508),
    [anon_sym_DOLLAR] = ACTIONS(13508),
    [anon_sym_COLON_COLON] = ACTIONS(13508),
    [anon_sym_isa] = ACTIONS(13508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13508),
    [anon_sym_QMARK] = ACTIONS(13508),
    [anon_sym_AT] = ACTIONS(13508),
    [anon_sym_true] = ACTIONS(13508),
    [anon_sym_false] = ACTIONS(13508),
    [aux_sym_integer_literal_token1] = ACTIONS(13508),
    [aux_sym_integer_literal_token2] = ACTIONS(13508),
    [aux_sym_integer_literal_token3] = ACTIONS(13508),
    [aux_sym_integer_literal_token4] = ACTIONS(13508),
    [aux_sym_float_literal_token1] = ACTIONS(13508),
    [aux_sym_float_literal_token3] = ACTIONS(13508),
    [aux_sym_float_literal_token4] = ACTIONS(13508),
    [sym_character_literal] = ACTIONS(13508),
    [sym__pair_operator] = ACTIONS(13508),
    [sym__arrow_operator] = ACTIONS(13508),
    [sym__lazy_or_operator] = ACTIONS(13508),
    [sym__lazy_and_operator] = ACTIONS(13508),
    [sym__comparison_operator] = ACTIONS(13508),
    [sym__pipe_right_operator] = ACTIONS(13508),
    [sym__pipe_left_operator] = ACTIONS(13508),
    [sym__ellipsis_operator] = ACTIONS(13508),
    [sym__plus_operator] = ACTIONS(13508),
    [sym__times_operator] = ACTIONS(13508),
    [sym__rational_operator] = ACTIONS(13508),
    [sym__bitshift_operator] = ACTIONS(13508),
    [sym__power_operator] = ACTIONS(13508),
    [sym__tilde_operator] = ACTIONS(13508),
    [sym__type_order_operator] = ACTIONS(13508),
    [sym__unary_operator] = ACTIONS(13508),
    [sym__unary_plus_operator] = ACTIONS(13508),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13510),
    [sym__command_start] = ACTIONS(13510),
  },
  [8781] = {
    [sym__word_identifier] = ACTIONS(13484),
    [anon_sym_EQ] = ACTIONS(13484),
    [anon_sym_COMMA] = ACTIONS(13484),
    [anon_sym_COLON] = ACTIONS(13484),
    [anon_sym_begin] = ACTIONS(13484),
    [anon_sym_module] = ACTIONS(13484),
    [anon_sym_baremodule] = ACTIONS(13484),
    [anon_sym_abstract] = ACTIONS(13484),
    [anon_sym_primitive] = ACTIONS(13484),
    [anon_sym_mutable] = ACTIONS(13484),
    [anon_sym_struct] = ACTIONS(13484),
    [anon_sym_function] = ACTIONS(13484),
    [anon_sym_macro] = ACTIONS(13484),
    [anon_sym_where] = ACTIONS(13484),
    [anon_sym_quote] = ACTIONS(13484),
    [anon_sym_let] = ACTIONS(13484),
    [anon_sym_if] = ACTIONS(13484),
    [anon_sym_try] = ACTIONS(13484),
    [anon_sym_for] = ACTIONS(13484),
    [anon_sym_while] = ACTIONS(13484),
    [sym_break_statement] = ACTIONS(13484),
    [sym_continue_statement] = ACTIONS(13484),
    [anon_sym_return] = ACTIONS(13484),
    [anon_sym_const] = ACTIONS(13484),
    [anon_sym_global] = ACTIONS(13484),
    [anon_sym_local] = ACTIONS(13484),
    [anon_sym_LPAREN] = ACTIONS(13484),
    [anon_sym_RPAREN] = ACTIONS(13484),
    [anon_sym_COLON2] = ACTIONS(13484),
    [anon_sym_export] = ACTIONS(13484),
    [anon_sym_import] = ACTIONS(13484),
    [anon_sym_using] = ACTIONS(13484),
    [anon_sym_LBRACK] = ACTIONS(13484),
    [anon_sym_LF] = ACTIONS(13486),
    [anon_sym_in] = ACTIONS(13484),
    [anon_sym_SEMI] = ACTIONS(13484),
    [anon_sym_LBRACE] = ACTIONS(13484),
    [anon_sym_DOLLAR] = ACTIONS(13484),
    [anon_sym_COLON_COLON] = ACTIONS(13484),
    [anon_sym_isa] = ACTIONS(13484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13484),
    [anon_sym_QMARK] = ACTIONS(13484),
    [anon_sym_AT] = ACTIONS(13484),
    [anon_sym_true] = ACTIONS(13484),
    [anon_sym_false] = ACTIONS(13484),
    [aux_sym_integer_literal_token1] = ACTIONS(13484),
    [aux_sym_integer_literal_token2] = ACTIONS(13484),
    [aux_sym_integer_literal_token3] = ACTIONS(13484),
    [aux_sym_integer_literal_token4] = ACTIONS(13484),
    [aux_sym_float_literal_token1] = ACTIONS(13484),
    [aux_sym_float_literal_token3] = ACTIONS(13484),
    [aux_sym_float_literal_token4] = ACTIONS(13484),
    [sym_character_literal] = ACTIONS(13484),
    [sym__pair_operator] = ACTIONS(13484),
    [sym__arrow_operator] = ACTIONS(13484),
    [sym__lazy_or_operator] = ACTIONS(13484),
    [sym__lazy_and_operator] = ACTIONS(13484),
    [sym__comparison_operator] = ACTIONS(13484),
    [sym__pipe_right_operator] = ACTIONS(13484),
    [sym__pipe_left_operator] = ACTIONS(13484),
    [sym__ellipsis_operator] = ACTIONS(13484),
    [sym__plus_operator] = ACTIONS(13484),
    [sym__times_operator] = ACTIONS(13484),
    [sym__rational_operator] = ACTIONS(13484),
    [sym__bitshift_operator] = ACTIONS(13484),
    [sym__power_operator] = ACTIONS(13484),
    [sym__tilde_operator] = ACTIONS(13484),
    [sym__type_order_operator] = ACTIONS(13484),
    [sym__unary_operator] = ACTIONS(13484),
    [sym__unary_plus_operator] = ACTIONS(13484),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13486),
    [sym__command_start] = ACTIONS(13486),
  },
  [8782] = {
    [sym__word_identifier] = ACTIONS(13993),
    [anon_sym_EQ] = ACTIONS(13993),
    [anon_sym_COMMA] = ACTIONS(13993),
    [anon_sym_COLON] = ACTIONS(13993),
    [anon_sym_begin] = ACTIONS(13993),
    [anon_sym_module] = ACTIONS(13993),
    [anon_sym_baremodule] = ACTIONS(13993),
    [anon_sym_end] = ACTIONS(13993),
    [anon_sym_abstract] = ACTIONS(13993),
    [anon_sym_primitive] = ACTIONS(13993),
    [anon_sym_mutable] = ACTIONS(13993),
    [anon_sym_struct] = ACTIONS(13993),
    [anon_sym_function] = ACTIONS(13993),
    [anon_sym_macro] = ACTIONS(13993),
    [anon_sym_where] = ACTIONS(13993),
    [anon_sym_quote] = ACTIONS(13993),
    [anon_sym_let] = ACTIONS(13993),
    [anon_sym_if] = ACTIONS(13993),
    [anon_sym_try] = ACTIONS(13993),
    [anon_sym_for] = ACTIONS(13993),
    [anon_sym_while] = ACTIONS(13993),
    [sym_break_statement] = ACTIONS(13993),
    [sym_continue_statement] = ACTIONS(13993),
    [anon_sym_return] = ACTIONS(13993),
    [anon_sym_const] = ACTIONS(13993),
    [anon_sym_global] = ACTIONS(13993),
    [anon_sym_local] = ACTIONS(13993),
    [anon_sym_LPAREN] = ACTIONS(13993),
    [anon_sym_COLON2] = ACTIONS(13993),
    [anon_sym_export] = ACTIONS(13993),
    [anon_sym_import] = ACTIONS(13993),
    [anon_sym_using] = ACTIONS(13993),
    [anon_sym_LBRACK] = ACTIONS(13993),
    [anon_sym_LF] = ACTIONS(13991),
    [anon_sym_in] = ACTIONS(13993),
    [anon_sym_LBRACE] = ACTIONS(13993),
    [anon_sym_DOLLAR] = ACTIONS(13993),
    [anon_sym_COLON_COLON] = ACTIONS(13993),
    [anon_sym_isa] = ACTIONS(13993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13993),
    [anon_sym_QMARK] = ACTIONS(13993),
    [anon_sym_AT] = ACTIONS(13993),
    [anon_sym_true] = ACTIONS(13993),
    [anon_sym_false] = ACTIONS(13993),
    [aux_sym_integer_literal_token1] = ACTIONS(13993),
    [aux_sym_integer_literal_token2] = ACTIONS(13993),
    [aux_sym_integer_literal_token3] = ACTIONS(13993),
    [aux_sym_integer_literal_token4] = ACTIONS(13993),
    [aux_sym_float_literal_token1] = ACTIONS(13993),
    [aux_sym_float_literal_token3] = ACTIONS(13993),
    [aux_sym_float_literal_token4] = ACTIONS(13993),
    [sym_character_literal] = ACTIONS(13993),
    [sym__pair_operator] = ACTIONS(13993),
    [sym__arrow_operator] = ACTIONS(13993),
    [sym__lazy_or_operator] = ACTIONS(13993),
    [sym__lazy_and_operator] = ACTIONS(13993),
    [sym__comparison_operator] = ACTIONS(13993),
    [sym__pipe_right_operator] = ACTIONS(13993),
    [sym__pipe_left_operator] = ACTIONS(13993),
    [sym__ellipsis_operator] = ACTIONS(13993),
    [sym__plus_operator] = ACTIONS(13993),
    [sym__times_operator] = ACTIONS(13993),
    [sym__rational_operator] = ACTIONS(13993),
    [sym__bitshift_operator] = ACTIONS(13993),
    [sym__power_operator] = ACTIONS(13993),
    [sym__tilde_operator] = ACTIONS(13993),
    [sym__type_order_operator] = ACTIONS(13993),
    [sym__unary_operator] = ACTIONS(13993),
    [sym__unary_plus_operator] = ACTIONS(13993),
    [aux_sym__terminator_token1] = ACTIONS(13993),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13991),
    [sym__command_start] = ACTIONS(13991),
  },
  [8783] = {
    [sym__word_identifier] = ACTIONS(13480),
    [anon_sym_EQ] = ACTIONS(13480),
    [anon_sym_COMMA] = ACTIONS(13480),
    [anon_sym_COLON] = ACTIONS(13480),
    [anon_sym_begin] = ACTIONS(13480),
    [anon_sym_module] = ACTIONS(13480),
    [anon_sym_baremodule] = ACTIONS(13480),
    [anon_sym_abstract] = ACTIONS(13480),
    [anon_sym_primitive] = ACTIONS(13480),
    [anon_sym_mutable] = ACTIONS(13480),
    [anon_sym_struct] = ACTIONS(13480),
    [anon_sym_function] = ACTIONS(13480),
    [anon_sym_macro] = ACTIONS(13480),
    [anon_sym_where] = ACTIONS(13480),
    [anon_sym_quote] = ACTIONS(13480),
    [anon_sym_let] = ACTIONS(13480),
    [anon_sym_if] = ACTIONS(13480),
    [anon_sym_try] = ACTIONS(13480),
    [anon_sym_for] = ACTIONS(13480),
    [anon_sym_while] = ACTIONS(13480),
    [sym_break_statement] = ACTIONS(13480),
    [sym_continue_statement] = ACTIONS(13480),
    [anon_sym_return] = ACTIONS(13480),
    [anon_sym_const] = ACTIONS(13480),
    [anon_sym_global] = ACTIONS(13480),
    [anon_sym_local] = ACTIONS(13480),
    [anon_sym_LPAREN] = ACTIONS(13480),
    [anon_sym_RPAREN] = ACTIONS(13480),
    [anon_sym_COLON2] = ACTIONS(13480),
    [anon_sym_export] = ACTIONS(13480),
    [anon_sym_import] = ACTIONS(13480),
    [anon_sym_using] = ACTIONS(13480),
    [anon_sym_LBRACK] = ACTIONS(13480),
    [anon_sym_LF] = ACTIONS(13482),
    [anon_sym_in] = ACTIONS(13480),
    [anon_sym_SEMI] = ACTIONS(13480),
    [anon_sym_LBRACE] = ACTIONS(13480),
    [anon_sym_DOLLAR] = ACTIONS(13480),
    [anon_sym_COLON_COLON] = ACTIONS(13480),
    [anon_sym_isa] = ACTIONS(13480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_QMARK] = ACTIONS(13480),
    [anon_sym_AT] = ACTIONS(13480),
    [anon_sym_true] = ACTIONS(13480),
    [anon_sym_false] = ACTIONS(13480),
    [aux_sym_integer_literal_token1] = ACTIONS(13480),
    [aux_sym_integer_literal_token2] = ACTIONS(13480),
    [aux_sym_integer_literal_token3] = ACTIONS(13480),
    [aux_sym_integer_literal_token4] = ACTIONS(13480),
    [aux_sym_float_literal_token1] = ACTIONS(13480),
    [aux_sym_float_literal_token3] = ACTIONS(13480),
    [aux_sym_float_literal_token4] = ACTIONS(13480),
    [sym_character_literal] = ACTIONS(13480),
    [sym__pair_operator] = ACTIONS(13480),
    [sym__arrow_operator] = ACTIONS(13480),
    [sym__lazy_or_operator] = ACTIONS(13480),
    [sym__lazy_and_operator] = ACTIONS(13480),
    [sym__comparison_operator] = ACTIONS(13480),
    [sym__pipe_right_operator] = ACTIONS(13480),
    [sym__pipe_left_operator] = ACTIONS(13480),
    [sym__ellipsis_operator] = ACTIONS(13480),
    [sym__plus_operator] = ACTIONS(13480),
    [sym__times_operator] = ACTIONS(13480),
    [sym__rational_operator] = ACTIONS(13480),
    [sym__bitshift_operator] = ACTIONS(13480),
    [sym__power_operator] = ACTIONS(13480),
    [sym__tilde_operator] = ACTIONS(13480),
    [sym__type_order_operator] = ACTIONS(13480),
    [sym__unary_operator] = ACTIONS(13480),
    [sym__unary_plus_operator] = ACTIONS(13480),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13482),
    [sym__command_start] = ACTIONS(13482),
  },
  [8784] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_finally] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8785] = {
    [sym__word_identifier] = ACTIONS(13834),
    [anon_sym_EQ] = ACTIONS(13834),
    [anon_sym_COMMA] = ACTIONS(13834),
    [anon_sym_COLON] = ACTIONS(13834),
    [anon_sym_begin] = ACTIONS(13834),
    [anon_sym_module] = ACTIONS(13834),
    [anon_sym_baremodule] = ACTIONS(13834),
    [anon_sym_end] = ACTIONS(13834),
    [anon_sym_abstract] = ACTIONS(13834),
    [anon_sym_primitive] = ACTIONS(13834),
    [anon_sym_mutable] = ACTIONS(13834),
    [anon_sym_struct] = ACTIONS(13834),
    [anon_sym_function] = ACTIONS(13834),
    [anon_sym_macro] = ACTIONS(13834),
    [anon_sym_where] = ACTIONS(13834),
    [anon_sym_quote] = ACTIONS(13834),
    [anon_sym_let] = ACTIONS(13834),
    [anon_sym_if] = ACTIONS(13834),
    [anon_sym_try] = ACTIONS(13834),
    [anon_sym_for] = ACTIONS(13834),
    [anon_sym_while] = ACTIONS(13834),
    [sym_break_statement] = ACTIONS(13834),
    [sym_continue_statement] = ACTIONS(13834),
    [anon_sym_return] = ACTIONS(13834),
    [anon_sym_const] = ACTIONS(13834),
    [anon_sym_global] = ACTIONS(13834),
    [anon_sym_local] = ACTIONS(13834),
    [anon_sym_LPAREN] = ACTIONS(13834),
    [anon_sym_COLON2] = ACTIONS(13834),
    [anon_sym_export] = ACTIONS(13834),
    [anon_sym_import] = ACTIONS(13834),
    [anon_sym_using] = ACTIONS(13834),
    [anon_sym_LBRACK] = ACTIONS(13834),
    [anon_sym_LF] = ACTIONS(13832),
    [anon_sym_in] = ACTIONS(13834),
    [anon_sym_LBRACE] = ACTIONS(13834),
    [anon_sym_DOLLAR] = ACTIONS(13834),
    [anon_sym_COLON_COLON] = ACTIONS(13834),
    [anon_sym_isa] = ACTIONS(13834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13834),
    [anon_sym_QMARK] = ACTIONS(13834),
    [anon_sym_AT] = ACTIONS(13834),
    [anon_sym_true] = ACTIONS(13834),
    [anon_sym_false] = ACTIONS(13834),
    [aux_sym_integer_literal_token1] = ACTIONS(13834),
    [aux_sym_integer_literal_token2] = ACTIONS(13834),
    [aux_sym_integer_literal_token3] = ACTIONS(13834),
    [aux_sym_integer_literal_token4] = ACTIONS(13834),
    [aux_sym_float_literal_token1] = ACTIONS(13834),
    [aux_sym_float_literal_token3] = ACTIONS(13834),
    [aux_sym_float_literal_token4] = ACTIONS(13834),
    [sym_character_literal] = ACTIONS(13834),
    [sym__pair_operator] = ACTIONS(13834),
    [sym__arrow_operator] = ACTIONS(13834),
    [sym__lazy_or_operator] = ACTIONS(13834),
    [sym__lazy_and_operator] = ACTIONS(13834),
    [sym__comparison_operator] = ACTIONS(13834),
    [sym__pipe_right_operator] = ACTIONS(13834),
    [sym__pipe_left_operator] = ACTIONS(13834),
    [sym__ellipsis_operator] = ACTIONS(13834),
    [sym__plus_operator] = ACTIONS(13834),
    [sym__times_operator] = ACTIONS(13834),
    [sym__rational_operator] = ACTIONS(13834),
    [sym__bitshift_operator] = ACTIONS(13834),
    [sym__power_operator] = ACTIONS(13834),
    [sym__tilde_operator] = ACTIONS(13834),
    [sym__type_order_operator] = ACTIONS(13834),
    [sym__unary_operator] = ACTIONS(13834),
    [sym__unary_plus_operator] = ACTIONS(13834),
    [aux_sym__terminator_token1] = ACTIONS(13834),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13832),
    [sym__command_start] = ACTIONS(13832),
  },
  [8786] = {
    [sym__word_identifier] = ACTIONS(13412),
    [anon_sym_EQ] = ACTIONS(13412),
    [anon_sym_COMMA] = ACTIONS(13412),
    [anon_sym_COLON] = ACTIONS(13412),
    [anon_sym_begin] = ACTIONS(13412),
    [anon_sym_module] = ACTIONS(13412),
    [anon_sym_baremodule] = ACTIONS(13412),
    [anon_sym_abstract] = ACTIONS(13412),
    [anon_sym_primitive] = ACTIONS(13412),
    [anon_sym_mutable] = ACTIONS(13412),
    [anon_sym_struct] = ACTIONS(13412),
    [anon_sym_function] = ACTIONS(13412),
    [anon_sym_macro] = ACTIONS(13412),
    [anon_sym_where] = ACTIONS(13412),
    [anon_sym_quote] = ACTIONS(13412),
    [anon_sym_let] = ACTIONS(13412),
    [anon_sym_if] = ACTIONS(13412),
    [anon_sym_try] = ACTIONS(13412),
    [anon_sym_for] = ACTIONS(13412),
    [anon_sym_while] = ACTIONS(13412),
    [sym_break_statement] = ACTIONS(13412),
    [sym_continue_statement] = ACTIONS(13412),
    [anon_sym_return] = ACTIONS(13412),
    [anon_sym_const] = ACTIONS(13412),
    [anon_sym_global] = ACTIONS(13412),
    [anon_sym_local] = ACTIONS(13412),
    [anon_sym_LPAREN] = ACTIONS(13412),
    [anon_sym_RPAREN] = ACTIONS(13412),
    [anon_sym_COLON2] = ACTIONS(13412),
    [anon_sym_export] = ACTIONS(13412),
    [anon_sym_import] = ACTIONS(13412),
    [anon_sym_using] = ACTIONS(13412),
    [anon_sym_LBRACK] = ACTIONS(13412),
    [anon_sym_LF] = ACTIONS(13414),
    [anon_sym_in] = ACTIONS(13412),
    [anon_sym_SEMI] = ACTIONS(13412),
    [anon_sym_LBRACE] = ACTIONS(13412),
    [anon_sym_DOLLAR] = ACTIONS(13412),
    [anon_sym_COLON_COLON] = ACTIONS(13412),
    [anon_sym_isa] = ACTIONS(13412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13412),
    [anon_sym_QMARK] = ACTIONS(13412),
    [anon_sym_AT] = ACTIONS(13412),
    [anon_sym_true] = ACTIONS(13412),
    [anon_sym_false] = ACTIONS(13412),
    [aux_sym_integer_literal_token1] = ACTIONS(13412),
    [aux_sym_integer_literal_token2] = ACTIONS(13412),
    [aux_sym_integer_literal_token3] = ACTIONS(13412),
    [aux_sym_integer_literal_token4] = ACTIONS(13412),
    [aux_sym_float_literal_token1] = ACTIONS(13412),
    [aux_sym_float_literal_token3] = ACTIONS(13412),
    [aux_sym_float_literal_token4] = ACTIONS(13412),
    [sym_character_literal] = ACTIONS(13412),
    [sym__pair_operator] = ACTIONS(13412),
    [sym__arrow_operator] = ACTIONS(13412),
    [sym__lazy_or_operator] = ACTIONS(13412),
    [sym__lazy_and_operator] = ACTIONS(13412),
    [sym__comparison_operator] = ACTIONS(13412),
    [sym__pipe_right_operator] = ACTIONS(13412),
    [sym__pipe_left_operator] = ACTIONS(13412),
    [sym__ellipsis_operator] = ACTIONS(13412),
    [sym__plus_operator] = ACTIONS(13412),
    [sym__times_operator] = ACTIONS(13412),
    [sym__rational_operator] = ACTIONS(13412),
    [sym__bitshift_operator] = ACTIONS(13412),
    [sym__power_operator] = ACTIONS(13412),
    [sym__tilde_operator] = ACTIONS(13412),
    [sym__type_order_operator] = ACTIONS(13412),
    [sym__unary_operator] = ACTIONS(13412),
    [sym__unary_plus_operator] = ACTIONS(13412),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13414),
    [sym__command_start] = ACTIONS(13414),
  },
  [8787] = {
    [sym__word_identifier] = ACTIONS(13408),
    [anon_sym_EQ] = ACTIONS(13408),
    [anon_sym_COMMA] = ACTIONS(13408),
    [anon_sym_COLON] = ACTIONS(13408),
    [anon_sym_begin] = ACTIONS(13408),
    [anon_sym_module] = ACTIONS(13408),
    [anon_sym_baremodule] = ACTIONS(13408),
    [anon_sym_abstract] = ACTIONS(13408),
    [anon_sym_primitive] = ACTIONS(13408),
    [anon_sym_mutable] = ACTIONS(13408),
    [anon_sym_struct] = ACTIONS(13408),
    [anon_sym_function] = ACTIONS(13408),
    [anon_sym_macro] = ACTIONS(13408),
    [anon_sym_where] = ACTIONS(13408),
    [anon_sym_quote] = ACTIONS(13408),
    [anon_sym_let] = ACTIONS(13408),
    [anon_sym_if] = ACTIONS(13408),
    [anon_sym_try] = ACTIONS(13408),
    [anon_sym_for] = ACTIONS(13408),
    [anon_sym_while] = ACTIONS(13408),
    [sym_break_statement] = ACTIONS(13408),
    [sym_continue_statement] = ACTIONS(13408),
    [anon_sym_return] = ACTIONS(13408),
    [anon_sym_const] = ACTIONS(13408),
    [anon_sym_global] = ACTIONS(13408),
    [anon_sym_local] = ACTIONS(13408),
    [anon_sym_LPAREN] = ACTIONS(13408),
    [anon_sym_RPAREN] = ACTIONS(13408),
    [anon_sym_COLON2] = ACTIONS(13408),
    [anon_sym_export] = ACTIONS(13408),
    [anon_sym_import] = ACTIONS(13408),
    [anon_sym_using] = ACTIONS(13408),
    [anon_sym_LBRACK] = ACTIONS(13408),
    [anon_sym_LF] = ACTIONS(13410),
    [anon_sym_in] = ACTIONS(13408),
    [anon_sym_SEMI] = ACTIONS(13408),
    [anon_sym_LBRACE] = ACTIONS(13408),
    [anon_sym_DOLLAR] = ACTIONS(13408),
    [anon_sym_COLON_COLON] = ACTIONS(13408),
    [anon_sym_isa] = ACTIONS(13408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13408),
    [anon_sym_QMARK] = ACTIONS(13408),
    [anon_sym_AT] = ACTIONS(13408),
    [anon_sym_true] = ACTIONS(13408),
    [anon_sym_false] = ACTIONS(13408),
    [aux_sym_integer_literal_token1] = ACTIONS(13408),
    [aux_sym_integer_literal_token2] = ACTIONS(13408),
    [aux_sym_integer_literal_token3] = ACTIONS(13408),
    [aux_sym_integer_literal_token4] = ACTIONS(13408),
    [aux_sym_float_literal_token1] = ACTIONS(13408),
    [aux_sym_float_literal_token3] = ACTIONS(13408),
    [aux_sym_float_literal_token4] = ACTIONS(13408),
    [sym_character_literal] = ACTIONS(13408),
    [sym__pair_operator] = ACTIONS(13408),
    [sym__arrow_operator] = ACTIONS(13408),
    [sym__lazy_or_operator] = ACTIONS(13408),
    [sym__lazy_and_operator] = ACTIONS(13408),
    [sym__comparison_operator] = ACTIONS(13408),
    [sym__pipe_right_operator] = ACTIONS(13408),
    [sym__pipe_left_operator] = ACTIONS(13408),
    [sym__ellipsis_operator] = ACTIONS(13408),
    [sym__plus_operator] = ACTIONS(13408),
    [sym__times_operator] = ACTIONS(13408),
    [sym__rational_operator] = ACTIONS(13408),
    [sym__bitshift_operator] = ACTIONS(13408),
    [sym__power_operator] = ACTIONS(13408),
    [sym__tilde_operator] = ACTIONS(13408),
    [sym__type_order_operator] = ACTIONS(13408),
    [sym__unary_operator] = ACTIONS(13408),
    [sym__unary_plus_operator] = ACTIONS(13408),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13410),
    [sym__command_start] = ACTIONS(13410),
  },
  [8788] = {
    [sym__word_identifier] = ACTIONS(13386),
    [anon_sym_EQ] = ACTIONS(13386),
    [anon_sym_COMMA] = ACTIONS(13386),
    [anon_sym_COLON] = ACTIONS(13386),
    [anon_sym_begin] = ACTIONS(13386),
    [anon_sym_module] = ACTIONS(13386),
    [anon_sym_baremodule] = ACTIONS(13386),
    [anon_sym_abstract] = ACTIONS(13386),
    [anon_sym_primitive] = ACTIONS(13386),
    [anon_sym_mutable] = ACTIONS(13386),
    [anon_sym_struct] = ACTIONS(13386),
    [anon_sym_function] = ACTIONS(13386),
    [anon_sym_macro] = ACTIONS(13386),
    [anon_sym_where] = ACTIONS(13386),
    [anon_sym_quote] = ACTIONS(13386),
    [anon_sym_let] = ACTIONS(13386),
    [anon_sym_if] = ACTIONS(13386),
    [anon_sym_try] = ACTIONS(13386),
    [anon_sym_for] = ACTIONS(13386),
    [anon_sym_while] = ACTIONS(13386),
    [sym_break_statement] = ACTIONS(13386),
    [sym_continue_statement] = ACTIONS(13386),
    [anon_sym_return] = ACTIONS(13386),
    [anon_sym_const] = ACTIONS(13386),
    [anon_sym_global] = ACTIONS(13386),
    [anon_sym_local] = ACTIONS(13386),
    [anon_sym_LPAREN] = ACTIONS(13386),
    [anon_sym_RPAREN] = ACTIONS(13386),
    [anon_sym_COLON2] = ACTIONS(13386),
    [anon_sym_export] = ACTIONS(13386),
    [anon_sym_import] = ACTIONS(13386),
    [anon_sym_using] = ACTIONS(13386),
    [anon_sym_LBRACK] = ACTIONS(13386),
    [anon_sym_LF] = ACTIONS(13388),
    [anon_sym_in] = ACTIONS(13386),
    [anon_sym_SEMI] = ACTIONS(13386),
    [anon_sym_LBRACE] = ACTIONS(13386),
    [anon_sym_DOLLAR] = ACTIONS(13386),
    [anon_sym_COLON_COLON] = ACTIONS(13386),
    [anon_sym_isa] = ACTIONS(13386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13386),
    [anon_sym_QMARK] = ACTIONS(13386),
    [anon_sym_AT] = ACTIONS(13386),
    [anon_sym_true] = ACTIONS(13386),
    [anon_sym_false] = ACTIONS(13386),
    [aux_sym_integer_literal_token1] = ACTIONS(13386),
    [aux_sym_integer_literal_token2] = ACTIONS(13386),
    [aux_sym_integer_literal_token3] = ACTIONS(13386),
    [aux_sym_integer_literal_token4] = ACTIONS(13386),
    [aux_sym_float_literal_token1] = ACTIONS(13386),
    [aux_sym_float_literal_token3] = ACTIONS(13386),
    [aux_sym_float_literal_token4] = ACTIONS(13386),
    [sym_character_literal] = ACTIONS(13386),
    [sym__pair_operator] = ACTIONS(13386),
    [sym__arrow_operator] = ACTIONS(13386),
    [sym__lazy_or_operator] = ACTIONS(13386),
    [sym__lazy_and_operator] = ACTIONS(13386),
    [sym__comparison_operator] = ACTIONS(13386),
    [sym__pipe_right_operator] = ACTIONS(13386),
    [sym__pipe_left_operator] = ACTIONS(13386),
    [sym__ellipsis_operator] = ACTIONS(13386),
    [sym__plus_operator] = ACTIONS(13386),
    [sym__times_operator] = ACTIONS(13386),
    [sym__rational_operator] = ACTIONS(13386),
    [sym__bitshift_operator] = ACTIONS(13386),
    [sym__power_operator] = ACTIONS(13386),
    [sym__tilde_operator] = ACTIONS(13386),
    [sym__type_order_operator] = ACTIONS(13386),
    [sym__unary_operator] = ACTIONS(13386),
    [sym__unary_plus_operator] = ACTIONS(13386),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13388),
    [sym__command_start] = ACTIONS(13388),
  },
  [8789] = {
    [sym__word_identifier] = ACTIONS(13386),
    [anon_sym_EQ] = ACTIONS(13386),
    [anon_sym_COMMA] = ACTIONS(13386),
    [anon_sym_COLON] = ACTIONS(13386),
    [anon_sym_begin] = ACTIONS(13386),
    [anon_sym_module] = ACTIONS(13386),
    [anon_sym_baremodule] = ACTIONS(13386),
    [anon_sym_end] = ACTIONS(13386),
    [anon_sym_abstract] = ACTIONS(13386),
    [anon_sym_primitive] = ACTIONS(13386),
    [anon_sym_mutable] = ACTIONS(13386),
    [anon_sym_struct] = ACTIONS(13386),
    [anon_sym_function] = ACTIONS(13386),
    [anon_sym_macro] = ACTIONS(13386),
    [anon_sym_where] = ACTIONS(13386),
    [anon_sym_quote] = ACTIONS(13386),
    [anon_sym_let] = ACTIONS(13386),
    [anon_sym_if] = ACTIONS(13386),
    [anon_sym_try] = ACTIONS(13386),
    [anon_sym_for] = ACTIONS(13386),
    [anon_sym_while] = ACTIONS(13386),
    [sym_break_statement] = ACTIONS(13386),
    [sym_continue_statement] = ACTIONS(13386),
    [anon_sym_return] = ACTIONS(13386),
    [anon_sym_const] = ACTIONS(13386),
    [anon_sym_global] = ACTIONS(13386),
    [anon_sym_local] = ACTIONS(13386),
    [anon_sym_LPAREN] = ACTIONS(13386),
    [anon_sym_COLON2] = ACTIONS(13386),
    [anon_sym_export] = ACTIONS(13386),
    [anon_sym_import] = ACTIONS(13386),
    [anon_sym_using] = ACTIONS(13386),
    [anon_sym_LBRACK] = ACTIONS(13386),
    [anon_sym_LF] = ACTIONS(13388),
    [anon_sym_in] = ACTIONS(13386),
    [anon_sym_LBRACE] = ACTIONS(13386),
    [anon_sym_DOLLAR] = ACTIONS(13386),
    [anon_sym_COLON_COLON] = ACTIONS(13386),
    [anon_sym_isa] = ACTIONS(13386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13386),
    [anon_sym_QMARK] = ACTIONS(13386),
    [anon_sym_AT] = ACTIONS(13386),
    [anon_sym_true] = ACTIONS(13386),
    [anon_sym_false] = ACTIONS(13386),
    [aux_sym_integer_literal_token1] = ACTIONS(13386),
    [aux_sym_integer_literal_token2] = ACTIONS(13386),
    [aux_sym_integer_literal_token3] = ACTIONS(13386),
    [aux_sym_integer_literal_token4] = ACTIONS(13386),
    [aux_sym_float_literal_token1] = ACTIONS(13386),
    [aux_sym_float_literal_token3] = ACTIONS(13386),
    [aux_sym_float_literal_token4] = ACTIONS(13386),
    [sym_character_literal] = ACTIONS(13386),
    [sym__pair_operator] = ACTIONS(13386),
    [sym__arrow_operator] = ACTIONS(13386),
    [sym__lazy_or_operator] = ACTIONS(13386),
    [sym__lazy_and_operator] = ACTIONS(13386),
    [sym__comparison_operator] = ACTIONS(13386),
    [sym__pipe_right_operator] = ACTIONS(13386),
    [sym__pipe_left_operator] = ACTIONS(13386),
    [sym__ellipsis_operator] = ACTIONS(13386),
    [sym__plus_operator] = ACTIONS(13386),
    [sym__times_operator] = ACTIONS(13386),
    [sym__rational_operator] = ACTIONS(13386),
    [sym__bitshift_operator] = ACTIONS(13386),
    [sym__power_operator] = ACTIONS(13386),
    [sym__tilde_operator] = ACTIONS(13386),
    [sym__type_order_operator] = ACTIONS(13386),
    [sym__unary_operator] = ACTIONS(13386),
    [sym__unary_plus_operator] = ACTIONS(13386),
    [aux_sym__terminator_token1] = ACTIONS(13386),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13388),
    [sym__command_start] = ACTIONS(13388),
  },
  [8790] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_EQ] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_RPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13969),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14732),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [8791] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(14824),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1211),
    [sym__pipe_right_operator] = ACTIONS(14826),
    [sym__pipe_left_operator] = ACTIONS(14828),
    [sym__ellipsis_operator] = ACTIONS(14830),
    [sym__plus_operator] = ACTIONS(14832),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(1211),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14832),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8792] = {
    [sym__word_identifier] = ACTIONS(14001),
    [anon_sym_EQ] = ACTIONS(14001),
    [anon_sym_COMMA] = ACTIONS(14001),
    [anon_sym_COLON] = ACTIONS(14001),
    [anon_sym_begin] = ACTIONS(14001),
    [anon_sym_module] = ACTIONS(14001),
    [anon_sym_baremodule] = ACTIONS(14001),
    [anon_sym_end] = ACTIONS(14001),
    [anon_sym_abstract] = ACTIONS(14001),
    [anon_sym_primitive] = ACTIONS(14001),
    [anon_sym_mutable] = ACTIONS(14001),
    [anon_sym_struct] = ACTIONS(14001),
    [anon_sym_function] = ACTIONS(14001),
    [anon_sym_macro] = ACTIONS(14001),
    [anon_sym_where] = ACTIONS(14001),
    [anon_sym_quote] = ACTIONS(14001),
    [anon_sym_let] = ACTIONS(14001),
    [anon_sym_if] = ACTIONS(14001),
    [anon_sym_try] = ACTIONS(14001),
    [anon_sym_for] = ACTIONS(14001),
    [anon_sym_while] = ACTIONS(14001),
    [sym_break_statement] = ACTIONS(14001),
    [sym_continue_statement] = ACTIONS(14001),
    [anon_sym_return] = ACTIONS(14001),
    [anon_sym_const] = ACTIONS(14001),
    [anon_sym_global] = ACTIONS(14001),
    [anon_sym_local] = ACTIONS(14001),
    [anon_sym_LPAREN] = ACTIONS(14001),
    [anon_sym_COLON2] = ACTIONS(14001),
    [anon_sym_export] = ACTIONS(14001),
    [anon_sym_import] = ACTIONS(14001),
    [anon_sym_using] = ACTIONS(14001),
    [anon_sym_LBRACK] = ACTIONS(14001),
    [anon_sym_LF] = ACTIONS(13999),
    [anon_sym_in] = ACTIONS(14001),
    [anon_sym_LBRACE] = ACTIONS(14001),
    [anon_sym_DOLLAR] = ACTIONS(14001),
    [anon_sym_COLON_COLON] = ACTIONS(14001),
    [anon_sym_isa] = ACTIONS(14001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14001),
    [anon_sym_QMARK] = ACTIONS(14001),
    [anon_sym_AT] = ACTIONS(14001),
    [anon_sym_true] = ACTIONS(14001),
    [anon_sym_false] = ACTIONS(14001),
    [aux_sym_integer_literal_token1] = ACTIONS(14001),
    [aux_sym_integer_literal_token2] = ACTIONS(14001),
    [aux_sym_integer_literal_token3] = ACTIONS(14001),
    [aux_sym_integer_literal_token4] = ACTIONS(14001),
    [aux_sym_float_literal_token1] = ACTIONS(14001),
    [aux_sym_float_literal_token3] = ACTIONS(14001),
    [aux_sym_float_literal_token4] = ACTIONS(14001),
    [sym_character_literal] = ACTIONS(14001),
    [sym__pair_operator] = ACTIONS(14001),
    [sym__arrow_operator] = ACTIONS(14001),
    [sym__lazy_or_operator] = ACTIONS(14001),
    [sym__lazy_and_operator] = ACTIONS(14001),
    [sym__comparison_operator] = ACTIONS(14001),
    [sym__pipe_right_operator] = ACTIONS(14001),
    [sym__pipe_left_operator] = ACTIONS(14001),
    [sym__ellipsis_operator] = ACTIONS(14001),
    [sym__plus_operator] = ACTIONS(14001),
    [sym__times_operator] = ACTIONS(14001),
    [sym__rational_operator] = ACTIONS(14001),
    [sym__bitshift_operator] = ACTIONS(14001),
    [sym__power_operator] = ACTIONS(14001),
    [sym__tilde_operator] = ACTIONS(14001),
    [sym__type_order_operator] = ACTIONS(14001),
    [sym__unary_operator] = ACTIONS(14001),
    [sym__unary_plus_operator] = ACTIONS(14001),
    [aux_sym__terminator_token1] = ACTIONS(14001),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13999),
    [sym__command_start] = ACTIONS(13999),
  },
  [8793] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(14842),
    [anon_sym_COMMA] = ACTIONS(13060),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13060),
    [anon_sym_RPAREN] = ACTIONS(13060),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13060),
    [anon_sym_RBRACK] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13060),
    [anon_sym_RBRACE] = ACTIONS(13060),
    [anon_sym_DOLLAR] = ACTIONS(13060),
    [anon_sym_COLON_COLON] = ACTIONS(13060),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13060),
    [anon_sym_QMARK] = ACTIONS(13060),
    [anon_sym_AT] = ACTIONS(13060),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13060),
    [aux_sym_integer_literal_token2] = ACTIONS(13060),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13060),
    [aux_sym_float_literal_token3] = ACTIONS(13060),
    [aux_sym_float_literal_token4] = ACTIONS(13060),
    [sym_character_literal] = ACTIONS(13060),
    [sym__pair_operator] = ACTIONS(13060),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13060),
    [sym__lazy_and_operator] = ACTIONS(13060),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13060),
    [sym__pipe_left_operator] = ACTIONS(13060),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13060),
    [sym__bitshift_operator] = ACTIONS(13060),
    [sym__power_operator] = ACTIONS(13060),
    [sym__tilde_operator] = ACTIONS(13060),
    [sym__type_order_operator] = ACTIONS(13060),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8794] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13957),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8795] = {
    [sym__word_identifier] = ACTIONS(13340),
    [anon_sym_EQ] = ACTIONS(13340),
    [anon_sym_COMMA] = ACTIONS(13340),
    [anon_sym_COLON] = ACTIONS(13340),
    [anon_sym_begin] = ACTIONS(13340),
    [anon_sym_module] = ACTIONS(13340),
    [anon_sym_baremodule] = ACTIONS(13340),
    [anon_sym_abstract] = ACTIONS(13340),
    [anon_sym_primitive] = ACTIONS(13340),
    [anon_sym_mutable] = ACTIONS(13340),
    [anon_sym_struct] = ACTIONS(13340),
    [anon_sym_function] = ACTIONS(13340),
    [anon_sym_macro] = ACTIONS(13340),
    [anon_sym_where] = ACTIONS(13340),
    [anon_sym_quote] = ACTIONS(13340),
    [anon_sym_let] = ACTIONS(13340),
    [anon_sym_if] = ACTIONS(13340),
    [anon_sym_try] = ACTIONS(13340),
    [anon_sym_for] = ACTIONS(13340),
    [anon_sym_while] = ACTIONS(13340),
    [sym_break_statement] = ACTIONS(13340),
    [sym_continue_statement] = ACTIONS(13340),
    [anon_sym_return] = ACTIONS(13340),
    [anon_sym_const] = ACTIONS(13340),
    [anon_sym_global] = ACTIONS(13340),
    [anon_sym_local] = ACTIONS(13340),
    [anon_sym_LPAREN] = ACTIONS(13340),
    [anon_sym_RPAREN] = ACTIONS(13340),
    [anon_sym_COLON2] = ACTIONS(13340),
    [anon_sym_export] = ACTIONS(13340),
    [anon_sym_import] = ACTIONS(13340),
    [anon_sym_using] = ACTIONS(13340),
    [anon_sym_LBRACK] = ACTIONS(13340),
    [anon_sym_LF] = ACTIONS(13342),
    [anon_sym_in] = ACTIONS(13340),
    [anon_sym_SEMI] = ACTIONS(13340),
    [anon_sym_LBRACE] = ACTIONS(13340),
    [anon_sym_DOLLAR] = ACTIONS(13340),
    [anon_sym_COLON_COLON] = ACTIONS(13340),
    [anon_sym_isa] = ACTIONS(13340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13340),
    [anon_sym_QMARK] = ACTIONS(13340),
    [anon_sym_AT] = ACTIONS(13340),
    [anon_sym_true] = ACTIONS(13340),
    [anon_sym_false] = ACTIONS(13340),
    [aux_sym_integer_literal_token1] = ACTIONS(13340),
    [aux_sym_integer_literal_token2] = ACTIONS(13340),
    [aux_sym_integer_literal_token3] = ACTIONS(13340),
    [aux_sym_integer_literal_token4] = ACTIONS(13340),
    [aux_sym_float_literal_token1] = ACTIONS(13340),
    [aux_sym_float_literal_token3] = ACTIONS(13340),
    [aux_sym_float_literal_token4] = ACTIONS(13340),
    [sym_character_literal] = ACTIONS(13340),
    [sym__pair_operator] = ACTIONS(13340),
    [sym__arrow_operator] = ACTIONS(13340),
    [sym__lazy_or_operator] = ACTIONS(13340),
    [sym__lazy_and_operator] = ACTIONS(13340),
    [sym__comparison_operator] = ACTIONS(13340),
    [sym__pipe_right_operator] = ACTIONS(13340),
    [sym__pipe_left_operator] = ACTIONS(13340),
    [sym__ellipsis_operator] = ACTIONS(13340),
    [sym__plus_operator] = ACTIONS(13340),
    [sym__times_operator] = ACTIONS(13340),
    [sym__rational_operator] = ACTIONS(13340),
    [sym__bitshift_operator] = ACTIONS(13340),
    [sym__power_operator] = ACTIONS(13340),
    [sym__tilde_operator] = ACTIONS(13340),
    [sym__type_order_operator] = ACTIONS(13340),
    [sym__unary_operator] = ACTIONS(13340),
    [sym__unary_plus_operator] = ACTIONS(13340),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13342),
    [sym__command_start] = ACTIONS(13342),
  },
  [8796] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(14842),
    [anon_sym_COMMA] = ACTIONS(13094),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13094),
    [anon_sym_RPAREN] = ACTIONS(13094),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13094),
    [anon_sym_RBRACK] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13094),
    [anon_sym_RBRACE] = ACTIONS(13094),
    [anon_sym_DOLLAR] = ACTIONS(13094),
    [anon_sym_COLON_COLON] = ACTIONS(13094),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13094),
    [anon_sym_QMARK] = ACTIONS(13094),
    [anon_sym_AT] = ACTIONS(13094),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13094),
    [aux_sym_integer_literal_token2] = ACTIONS(13094),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13094),
    [aux_sym_float_literal_token3] = ACTIONS(13094),
    [aux_sym_float_literal_token4] = ACTIONS(13094),
    [sym_character_literal] = ACTIONS(13094),
    [sym__pair_operator] = ACTIONS(13094),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13094),
    [sym__lazy_and_operator] = ACTIONS(13094),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13094),
    [sym__pipe_left_operator] = ACTIONS(13094),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13094),
    [sym__bitshift_operator] = ACTIONS(13094),
    [sym__power_operator] = ACTIONS(13094),
    [sym__tilde_operator] = ACTIONS(13094),
    [sym__type_order_operator] = ACTIONS(13094),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8797] = {
    [sym__word_identifier] = ACTIONS(13426),
    [anon_sym_EQ] = ACTIONS(13426),
    [anon_sym_COMMA] = ACTIONS(13426),
    [anon_sym_COLON] = ACTIONS(13426),
    [anon_sym_begin] = ACTIONS(13426),
    [anon_sym_module] = ACTIONS(13426),
    [anon_sym_baremodule] = ACTIONS(13426),
    [anon_sym_abstract] = ACTIONS(13426),
    [anon_sym_primitive] = ACTIONS(13426),
    [anon_sym_mutable] = ACTIONS(13426),
    [anon_sym_struct] = ACTIONS(13426),
    [anon_sym_function] = ACTIONS(13426),
    [anon_sym_macro] = ACTIONS(13426),
    [anon_sym_where] = ACTIONS(13426),
    [anon_sym_quote] = ACTIONS(13426),
    [anon_sym_let] = ACTIONS(13426),
    [anon_sym_if] = ACTIONS(13426),
    [anon_sym_try] = ACTIONS(13426),
    [anon_sym_for] = ACTIONS(13426),
    [anon_sym_while] = ACTIONS(13426),
    [sym_break_statement] = ACTIONS(13426),
    [sym_continue_statement] = ACTIONS(13426),
    [anon_sym_return] = ACTIONS(13426),
    [anon_sym_const] = ACTIONS(13426),
    [anon_sym_global] = ACTIONS(13426),
    [anon_sym_local] = ACTIONS(13426),
    [anon_sym_LPAREN] = ACTIONS(13426),
    [anon_sym_RPAREN] = ACTIONS(13426),
    [anon_sym_COLON2] = ACTIONS(13426),
    [anon_sym_export] = ACTIONS(13426),
    [anon_sym_import] = ACTIONS(13426),
    [anon_sym_using] = ACTIONS(13426),
    [anon_sym_LBRACK] = ACTIONS(13426),
    [anon_sym_LF] = ACTIONS(13428),
    [anon_sym_in] = ACTIONS(13426),
    [anon_sym_SEMI] = ACTIONS(13426),
    [anon_sym_LBRACE] = ACTIONS(13426),
    [anon_sym_DOLLAR] = ACTIONS(13426),
    [anon_sym_COLON_COLON] = ACTIONS(13426),
    [anon_sym_isa] = ACTIONS(13426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13426),
    [anon_sym_QMARK] = ACTIONS(13426),
    [anon_sym_AT] = ACTIONS(13426),
    [anon_sym_true] = ACTIONS(13426),
    [anon_sym_false] = ACTIONS(13426),
    [aux_sym_integer_literal_token1] = ACTIONS(13426),
    [aux_sym_integer_literal_token2] = ACTIONS(13426),
    [aux_sym_integer_literal_token3] = ACTIONS(13426),
    [aux_sym_integer_literal_token4] = ACTIONS(13426),
    [aux_sym_float_literal_token1] = ACTIONS(13426),
    [aux_sym_float_literal_token3] = ACTIONS(13426),
    [aux_sym_float_literal_token4] = ACTIONS(13426),
    [sym_character_literal] = ACTIONS(13426),
    [sym__pair_operator] = ACTIONS(13426),
    [sym__arrow_operator] = ACTIONS(13426),
    [sym__lazy_or_operator] = ACTIONS(13426),
    [sym__lazy_and_operator] = ACTIONS(13426),
    [sym__comparison_operator] = ACTIONS(13426),
    [sym__pipe_right_operator] = ACTIONS(13426),
    [sym__pipe_left_operator] = ACTIONS(13426),
    [sym__ellipsis_operator] = ACTIONS(13426),
    [sym__plus_operator] = ACTIONS(13426),
    [sym__times_operator] = ACTIONS(13426),
    [sym__rational_operator] = ACTIONS(13426),
    [sym__bitshift_operator] = ACTIONS(13426),
    [sym__power_operator] = ACTIONS(13426),
    [sym__tilde_operator] = ACTIONS(13426),
    [sym__type_order_operator] = ACTIONS(13426),
    [sym__unary_operator] = ACTIONS(13426),
    [sym__unary_plus_operator] = ACTIONS(13426),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13428),
    [sym__command_start] = ACTIONS(13428),
  },
  [8798] = {
    [sym__word_identifier] = ACTIONS(13574),
    [anon_sym_EQ] = ACTIONS(13574),
    [anon_sym_COMMA] = ACTIONS(13574),
    [anon_sym_COLON] = ACTIONS(13574),
    [anon_sym_begin] = ACTIONS(13574),
    [anon_sym_module] = ACTIONS(13574),
    [anon_sym_baremodule] = ACTIONS(13574),
    [anon_sym_end] = ACTIONS(13574),
    [anon_sym_abstract] = ACTIONS(13574),
    [anon_sym_primitive] = ACTIONS(13574),
    [anon_sym_mutable] = ACTIONS(13574),
    [anon_sym_struct] = ACTIONS(13574),
    [anon_sym_function] = ACTIONS(13574),
    [anon_sym_macro] = ACTIONS(13574),
    [anon_sym_where] = ACTIONS(13574),
    [anon_sym_quote] = ACTIONS(13574),
    [anon_sym_let] = ACTIONS(13574),
    [anon_sym_if] = ACTIONS(13574),
    [anon_sym_try] = ACTIONS(13574),
    [anon_sym_for] = ACTIONS(13574),
    [anon_sym_while] = ACTIONS(13574),
    [sym_break_statement] = ACTIONS(13574),
    [sym_continue_statement] = ACTIONS(13574),
    [anon_sym_return] = ACTIONS(13574),
    [anon_sym_const] = ACTIONS(13574),
    [anon_sym_global] = ACTIONS(13574),
    [anon_sym_local] = ACTIONS(13574),
    [anon_sym_LPAREN] = ACTIONS(13574),
    [anon_sym_COLON2] = ACTIONS(13574),
    [anon_sym_export] = ACTIONS(13574),
    [anon_sym_import] = ACTIONS(13574),
    [anon_sym_using] = ACTIONS(13574),
    [anon_sym_LBRACK] = ACTIONS(13574),
    [anon_sym_LF] = ACTIONS(13572),
    [anon_sym_in] = ACTIONS(13574),
    [anon_sym_LBRACE] = ACTIONS(13574),
    [anon_sym_DOLLAR] = ACTIONS(13574),
    [anon_sym_COLON_COLON] = ACTIONS(13574),
    [anon_sym_isa] = ACTIONS(13574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13574),
    [anon_sym_QMARK] = ACTIONS(13574),
    [anon_sym_AT] = ACTIONS(13574),
    [anon_sym_true] = ACTIONS(13574),
    [anon_sym_false] = ACTIONS(13574),
    [aux_sym_integer_literal_token1] = ACTIONS(13574),
    [aux_sym_integer_literal_token2] = ACTIONS(13574),
    [aux_sym_integer_literal_token3] = ACTIONS(13574),
    [aux_sym_integer_literal_token4] = ACTIONS(13574),
    [aux_sym_float_literal_token1] = ACTIONS(13574),
    [aux_sym_float_literal_token3] = ACTIONS(13574),
    [aux_sym_float_literal_token4] = ACTIONS(13574),
    [sym_character_literal] = ACTIONS(13574),
    [sym__pair_operator] = ACTIONS(13574),
    [sym__arrow_operator] = ACTIONS(13574),
    [sym__lazy_or_operator] = ACTIONS(13574),
    [sym__lazy_and_operator] = ACTIONS(13574),
    [sym__comparison_operator] = ACTIONS(13574),
    [sym__pipe_right_operator] = ACTIONS(13574),
    [sym__pipe_left_operator] = ACTIONS(13574),
    [sym__ellipsis_operator] = ACTIONS(13574),
    [sym__plus_operator] = ACTIONS(13574),
    [sym__times_operator] = ACTIONS(13574),
    [sym__rational_operator] = ACTIONS(13574),
    [sym__bitshift_operator] = ACTIONS(13574),
    [sym__power_operator] = ACTIONS(13574),
    [sym__tilde_operator] = ACTIONS(13574),
    [sym__type_order_operator] = ACTIONS(13574),
    [sym__unary_operator] = ACTIONS(13574),
    [sym__unary_plus_operator] = ACTIONS(13574),
    [aux_sym__terminator_token1] = ACTIONS(13574),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13572),
    [sym__command_start] = ACTIONS(13572),
  },
  [8799] = {
    [sym__word_identifier] = ACTIONS(13592),
    [anon_sym_EQ] = ACTIONS(13592),
    [anon_sym_COMMA] = ACTIONS(13592),
    [anon_sym_COLON] = ACTIONS(13592),
    [anon_sym_begin] = ACTIONS(13592),
    [anon_sym_module] = ACTIONS(13592),
    [anon_sym_baremodule] = ACTIONS(13592),
    [anon_sym_end] = ACTIONS(13592),
    [anon_sym_abstract] = ACTIONS(13592),
    [anon_sym_primitive] = ACTIONS(13592),
    [anon_sym_mutable] = ACTIONS(13592),
    [anon_sym_struct] = ACTIONS(13592),
    [anon_sym_function] = ACTIONS(13592),
    [anon_sym_macro] = ACTIONS(13592),
    [anon_sym_where] = ACTIONS(13592),
    [anon_sym_quote] = ACTIONS(13592),
    [anon_sym_let] = ACTIONS(13592),
    [anon_sym_if] = ACTIONS(13592),
    [anon_sym_try] = ACTIONS(13592),
    [anon_sym_for] = ACTIONS(13592),
    [anon_sym_while] = ACTIONS(13592),
    [sym_break_statement] = ACTIONS(13592),
    [sym_continue_statement] = ACTIONS(13592),
    [anon_sym_return] = ACTIONS(13592),
    [anon_sym_const] = ACTIONS(13592),
    [anon_sym_global] = ACTIONS(13592),
    [anon_sym_local] = ACTIONS(13592),
    [anon_sym_LPAREN] = ACTIONS(13592),
    [anon_sym_COLON2] = ACTIONS(13592),
    [anon_sym_export] = ACTIONS(13592),
    [anon_sym_import] = ACTIONS(13592),
    [anon_sym_using] = ACTIONS(13592),
    [anon_sym_LBRACK] = ACTIONS(13592),
    [anon_sym_LF] = ACTIONS(13590),
    [anon_sym_in] = ACTIONS(13592),
    [anon_sym_LBRACE] = ACTIONS(13592),
    [anon_sym_DOLLAR] = ACTIONS(13592),
    [anon_sym_COLON_COLON] = ACTIONS(13592),
    [anon_sym_isa] = ACTIONS(13592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13592),
    [anon_sym_QMARK] = ACTIONS(13592),
    [anon_sym_AT] = ACTIONS(13592),
    [anon_sym_true] = ACTIONS(13592),
    [anon_sym_false] = ACTIONS(13592),
    [aux_sym_integer_literal_token1] = ACTIONS(13592),
    [aux_sym_integer_literal_token2] = ACTIONS(13592),
    [aux_sym_integer_literal_token3] = ACTIONS(13592),
    [aux_sym_integer_literal_token4] = ACTIONS(13592),
    [aux_sym_float_literal_token1] = ACTIONS(13592),
    [aux_sym_float_literal_token3] = ACTIONS(13592),
    [aux_sym_float_literal_token4] = ACTIONS(13592),
    [sym_character_literal] = ACTIONS(13592),
    [sym__pair_operator] = ACTIONS(13592),
    [sym__arrow_operator] = ACTIONS(13592),
    [sym__lazy_or_operator] = ACTIONS(13592),
    [sym__lazy_and_operator] = ACTIONS(13592),
    [sym__comparison_operator] = ACTIONS(13592),
    [sym__pipe_right_operator] = ACTIONS(13592),
    [sym__pipe_left_operator] = ACTIONS(13592),
    [sym__ellipsis_operator] = ACTIONS(13592),
    [sym__plus_operator] = ACTIONS(13592),
    [sym__times_operator] = ACTIONS(13592),
    [sym__rational_operator] = ACTIONS(13592),
    [sym__bitshift_operator] = ACTIONS(13592),
    [sym__power_operator] = ACTIONS(13592),
    [sym__tilde_operator] = ACTIONS(13592),
    [sym__type_order_operator] = ACTIONS(13592),
    [sym__unary_operator] = ACTIONS(13592),
    [sym__unary_plus_operator] = ACTIONS(13592),
    [aux_sym__terminator_token1] = ACTIONS(13592),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13590),
    [sym__command_start] = ACTIONS(13590),
  },
  [8800] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12094),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8801] = {
    [sym__word_identifier] = ACTIONS(13259),
    [anon_sym_EQ] = ACTIONS(13259),
    [anon_sym_COMMA] = ACTIONS(13259),
    [anon_sym_COLON] = ACTIONS(13259),
    [anon_sym_begin] = ACTIONS(13259),
    [anon_sym_module] = ACTIONS(13259),
    [anon_sym_baremodule] = ACTIONS(13259),
    [anon_sym_abstract] = ACTIONS(13259),
    [anon_sym_primitive] = ACTIONS(13259),
    [anon_sym_mutable] = ACTIONS(13259),
    [anon_sym_struct] = ACTIONS(13259),
    [anon_sym_function] = ACTIONS(13259),
    [anon_sym_macro] = ACTIONS(13259),
    [anon_sym_where] = ACTIONS(13259),
    [anon_sym_quote] = ACTIONS(13259),
    [anon_sym_let] = ACTIONS(13259),
    [anon_sym_if] = ACTIONS(13259),
    [anon_sym_try] = ACTIONS(13259),
    [anon_sym_for] = ACTIONS(13259),
    [anon_sym_while] = ACTIONS(13259),
    [sym_break_statement] = ACTIONS(13259),
    [sym_continue_statement] = ACTIONS(13259),
    [anon_sym_return] = ACTIONS(13259),
    [anon_sym_const] = ACTIONS(13259),
    [anon_sym_global] = ACTIONS(13259),
    [anon_sym_local] = ACTIONS(13259),
    [anon_sym_LPAREN] = ACTIONS(13259),
    [anon_sym_RPAREN] = ACTIONS(13259),
    [anon_sym_COLON2] = ACTIONS(13259),
    [anon_sym_export] = ACTIONS(13259),
    [anon_sym_import] = ACTIONS(13259),
    [anon_sym_using] = ACTIONS(13259),
    [anon_sym_LBRACK] = ACTIONS(13259),
    [anon_sym_LF] = ACTIONS(13261),
    [anon_sym_in] = ACTIONS(13259),
    [anon_sym_SEMI] = ACTIONS(13259),
    [anon_sym_LBRACE] = ACTIONS(13259),
    [anon_sym_DOLLAR] = ACTIONS(13259),
    [anon_sym_COLON_COLON] = ACTIONS(13259),
    [anon_sym_isa] = ACTIONS(13259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13259),
    [anon_sym_QMARK] = ACTIONS(13259),
    [anon_sym_AT] = ACTIONS(13259),
    [anon_sym_true] = ACTIONS(13259),
    [anon_sym_false] = ACTIONS(13259),
    [aux_sym_integer_literal_token1] = ACTIONS(13259),
    [aux_sym_integer_literal_token2] = ACTIONS(13259),
    [aux_sym_integer_literal_token3] = ACTIONS(13259),
    [aux_sym_integer_literal_token4] = ACTIONS(13259),
    [aux_sym_float_literal_token1] = ACTIONS(13259),
    [aux_sym_float_literal_token3] = ACTIONS(13259),
    [aux_sym_float_literal_token4] = ACTIONS(13259),
    [sym_character_literal] = ACTIONS(13259),
    [sym__pair_operator] = ACTIONS(13259),
    [sym__arrow_operator] = ACTIONS(13259),
    [sym__lazy_or_operator] = ACTIONS(13259),
    [sym__lazy_and_operator] = ACTIONS(13259),
    [sym__comparison_operator] = ACTIONS(13259),
    [sym__pipe_right_operator] = ACTIONS(13259),
    [sym__pipe_left_operator] = ACTIONS(13259),
    [sym__ellipsis_operator] = ACTIONS(13259),
    [sym__plus_operator] = ACTIONS(13259),
    [sym__times_operator] = ACTIONS(13259),
    [sym__rational_operator] = ACTIONS(13259),
    [sym__bitshift_operator] = ACTIONS(13259),
    [sym__power_operator] = ACTIONS(13259),
    [sym__tilde_operator] = ACTIONS(13259),
    [sym__type_order_operator] = ACTIONS(13259),
    [sym__unary_operator] = ACTIONS(13259),
    [sym__unary_plus_operator] = ACTIONS(13259),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13261),
    [sym__command_start] = ACTIONS(13261),
  },
  [8802] = {
    [sym__word_identifier] = ACTIONS(13698),
    [anon_sym_EQ] = ACTIONS(13698),
    [anon_sym_COMMA] = ACTIONS(13698),
    [anon_sym_COLON] = ACTIONS(13698),
    [anon_sym_begin] = ACTIONS(13698),
    [anon_sym_module] = ACTIONS(13698),
    [anon_sym_baremodule] = ACTIONS(13698),
    [anon_sym_abstract] = ACTIONS(13698),
    [anon_sym_primitive] = ACTIONS(13698),
    [anon_sym_mutable] = ACTIONS(13698),
    [anon_sym_struct] = ACTIONS(13698),
    [anon_sym_function] = ACTIONS(13698),
    [anon_sym_macro] = ACTIONS(13698),
    [anon_sym_where] = ACTIONS(13698),
    [anon_sym_quote] = ACTIONS(13698),
    [anon_sym_let] = ACTIONS(13698),
    [anon_sym_if] = ACTIONS(13698),
    [anon_sym_try] = ACTIONS(13698),
    [anon_sym_for] = ACTIONS(13698),
    [anon_sym_while] = ACTIONS(13698),
    [sym_break_statement] = ACTIONS(13698),
    [sym_continue_statement] = ACTIONS(13698),
    [anon_sym_return] = ACTIONS(13698),
    [anon_sym_const] = ACTIONS(13698),
    [anon_sym_global] = ACTIONS(13698),
    [anon_sym_local] = ACTIONS(13698),
    [anon_sym_LPAREN] = ACTIONS(13698),
    [anon_sym_RPAREN] = ACTIONS(13698),
    [anon_sym_COLON2] = ACTIONS(13698),
    [anon_sym_export] = ACTIONS(13698),
    [anon_sym_import] = ACTIONS(13698),
    [anon_sym_using] = ACTIONS(13698),
    [anon_sym_LBRACK] = ACTIONS(13698),
    [anon_sym_LF] = ACTIONS(13700),
    [anon_sym_in] = ACTIONS(13698),
    [anon_sym_SEMI] = ACTIONS(13698),
    [anon_sym_LBRACE] = ACTIONS(13698),
    [anon_sym_DOLLAR] = ACTIONS(13698),
    [anon_sym_COLON_COLON] = ACTIONS(13698),
    [anon_sym_isa] = ACTIONS(13698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13698),
    [anon_sym_QMARK] = ACTIONS(13698),
    [anon_sym_AT] = ACTIONS(13698),
    [anon_sym_true] = ACTIONS(13698),
    [anon_sym_false] = ACTIONS(13698),
    [aux_sym_integer_literal_token1] = ACTIONS(13698),
    [aux_sym_integer_literal_token2] = ACTIONS(13698),
    [aux_sym_integer_literal_token3] = ACTIONS(13698),
    [aux_sym_integer_literal_token4] = ACTIONS(13698),
    [aux_sym_float_literal_token1] = ACTIONS(13698),
    [aux_sym_float_literal_token3] = ACTIONS(13698),
    [aux_sym_float_literal_token4] = ACTIONS(13698),
    [sym_character_literal] = ACTIONS(13698),
    [sym__pair_operator] = ACTIONS(13698),
    [sym__arrow_operator] = ACTIONS(13698),
    [sym__lazy_or_operator] = ACTIONS(13698),
    [sym__lazy_and_operator] = ACTIONS(13698),
    [sym__comparison_operator] = ACTIONS(13698),
    [sym__pipe_right_operator] = ACTIONS(13698),
    [sym__pipe_left_operator] = ACTIONS(13698),
    [sym__ellipsis_operator] = ACTIONS(13698),
    [sym__plus_operator] = ACTIONS(13698),
    [sym__times_operator] = ACTIONS(13698),
    [sym__rational_operator] = ACTIONS(13698),
    [sym__bitshift_operator] = ACTIONS(13698),
    [sym__power_operator] = ACTIONS(13698),
    [sym__tilde_operator] = ACTIONS(13698),
    [sym__type_order_operator] = ACTIONS(13698),
    [sym__unary_operator] = ACTIONS(13698),
    [sym__unary_plus_operator] = ACTIONS(13698),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13700),
    [sym__command_start] = ACTIONS(13700),
  },
  [8803] = {
    [sym__word_identifier] = ACTIONS(13736),
    [anon_sym_EQ] = ACTIONS(13736),
    [anon_sym_COMMA] = ACTIONS(13736),
    [anon_sym_COLON] = ACTIONS(13736),
    [anon_sym_begin] = ACTIONS(13736),
    [anon_sym_module] = ACTIONS(13736),
    [anon_sym_baremodule] = ACTIONS(13736),
    [anon_sym_abstract] = ACTIONS(13736),
    [anon_sym_primitive] = ACTIONS(13736),
    [anon_sym_mutable] = ACTIONS(13736),
    [anon_sym_struct] = ACTIONS(13736),
    [anon_sym_function] = ACTIONS(13736),
    [anon_sym_macro] = ACTIONS(13736),
    [anon_sym_where] = ACTIONS(13736),
    [anon_sym_quote] = ACTIONS(13736),
    [anon_sym_let] = ACTIONS(13736),
    [anon_sym_if] = ACTIONS(13736),
    [anon_sym_try] = ACTIONS(13736),
    [anon_sym_for] = ACTIONS(13736),
    [anon_sym_while] = ACTIONS(13736),
    [sym_break_statement] = ACTIONS(13736),
    [sym_continue_statement] = ACTIONS(13736),
    [anon_sym_return] = ACTIONS(13736),
    [anon_sym_const] = ACTIONS(13736),
    [anon_sym_global] = ACTIONS(13736),
    [anon_sym_local] = ACTIONS(13736),
    [anon_sym_LPAREN] = ACTIONS(13736),
    [anon_sym_RPAREN] = ACTIONS(13736),
    [anon_sym_COLON2] = ACTIONS(13736),
    [anon_sym_export] = ACTIONS(13736),
    [anon_sym_import] = ACTIONS(13736),
    [anon_sym_using] = ACTIONS(13736),
    [anon_sym_LBRACK] = ACTIONS(13736),
    [anon_sym_LF] = ACTIONS(13738),
    [anon_sym_in] = ACTIONS(13736),
    [anon_sym_SEMI] = ACTIONS(13736),
    [anon_sym_LBRACE] = ACTIONS(13736),
    [anon_sym_DOLLAR] = ACTIONS(13736),
    [anon_sym_COLON_COLON] = ACTIONS(13736),
    [anon_sym_isa] = ACTIONS(13736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13736),
    [anon_sym_QMARK] = ACTIONS(13736),
    [anon_sym_AT] = ACTIONS(13736),
    [anon_sym_true] = ACTIONS(13736),
    [anon_sym_false] = ACTIONS(13736),
    [aux_sym_integer_literal_token1] = ACTIONS(13736),
    [aux_sym_integer_literal_token2] = ACTIONS(13736),
    [aux_sym_integer_literal_token3] = ACTIONS(13736),
    [aux_sym_integer_literal_token4] = ACTIONS(13736),
    [aux_sym_float_literal_token1] = ACTIONS(13736),
    [aux_sym_float_literal_token3] = ACTIONS(13736),
    [aux_sym_float_literal_token4] = ACTIONS(13736),
    [sym_character_literal] = ACTIONS(13736),
    [sym__pair_operator] = ACTIONS(13736),
    [sym__arrow_operator] = ACTIONS(13736),
    [sym__lazy_or_operator] = ACTIONS(13736),
    [sym__lazy_and_operator] = ACTIONS(13736),
    [sym__comparison_operator] = ACTIONS(13736),
    [sym__pipe_right_operator] = ACTIONS(13736),
    [sym__pipe_left_operator] = ACTIONS(13736),
    [sym__ellipsis_operator] = ACTIONS(13736),
    [sym__plus_operator] = ACTIONS(13736),
    [sym__times_operator] = ACTIONS(13736),
    [sym__rational_operator] = ACTIONS(13736),
    [sym__bitshift_operator] = ACTIONS(13736),
    [sym__power_operator] = ACTIONS(13736),
    [sym__tilde_operator] = ACTIONS(13736),
    [sym__type_order_operator] = ACTIONS(13736),
    [sym__unary_operator] = ACTIONS(13736),
    [sym__unary_plus_operator] = ACTIONS(13736),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13738),
    [sym__command_start] = ACTIONS(13738),
  },
  [8804] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_RPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_SEMI] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8805] = {
    [sym__word_identifier] = ACTIONS(13740),
    [anon_sym_EQ] = ACTIONS(13740),
    [anon_sym_COMMA] = ACTIONS(13740),
    [anon_sym_COLON] = ACTIONS(13740),
    [anon_sym_begin] = ACTIONS(13740),
    [anon_sym_module] = ACTIONS(13740),
    [anon_sym_baremodule] = ACTIONS(13740),
    [anon_sym_abstract] = ACTIONS(13740),
    [anon_sym_primitive] = ACTIONS(13740),
    [anon_sym_mutable] = ACTIONS(13740),
    [anon_sym_struct] = ACTIONS(13740),
    [anon_sym_function] = ACTIONS(13740),
    [anon_sym_macro] = ACTIONS(13740),
    [anon_sym_where] = ACTIONS(13740),
    [anon_sym_quote] = ACTIONS(13740),
    [anon_sym_let] = ACTIONS(13740),
    [anon_sym_if] = ACTIONS(13740),
    [anon_sym_try] = ACTIONS(13740),
    [anon_sym_for] = ACTIONS(13740),
    [anon_sym_while] = ACTIONS(13740),
    [sym_break_statement] = ACTIONS(13740),
    [sym_continue_statement] = ACTIONS(13740),
    [anon_sym_return] = ACTIONS(13740),
    [anon_sym_const] = ACTIONS(13740),
    [anon_sym_global] = ACTIONS(13740),
    [anon_sym_local] = ACTIONS(13740),
    [anon_sym_LPAREN] = ACTIONS(13740),
    [anon_sym_RPAREN] = ACTIONS(13740),
    [anon_sym_COLON2] = ACTIONS(13740),
    [anon_sym_export] = ACTIONS(13740),
    [anon_sym_import] = ACTIONS(13740),
    [anon_sym_using] = ACTIONS(13740),
    [anon_sym_LBRACK] = ACTIONS(13740),
    [anon_sym_LF] = ACTIONS(13742),
    [anon_sym_in] = ACTIONS(13740),
    [anon_sym_SEMI] = ACTIONS(13740),
    [anon_sym_LBRACE] = ACTIONS(13740),
    [anon_sym_DOLLAR] = ACTIONS(13740),
    [anon_sym_COLON_COLON] = ACTIONS(13740),
    [anon_sym_isa] = ACTIONS(13740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13740),
    [anon_sym_QMARK] = ACTIONS(13740),
    [anon_sym_AT] = ACTIONS(13740),
    [anon_sym_true] = ACTIONS(13740),
    [anon_sym_false] = ACTIONS(13740),
    [aux_sym_integer_literal_token1] = ACTIONS(13740),
    [aux_sym_integer_literal_token2] = ACTIONS(13740),
    [aux_sym_integer_literal_token3] = ACTIONS(13740),
    [aux_sym_integer_literal_token4] = ACTIONS(13740),
    [aux_sym_float_literal_token1] = ACTIONS(13740),
    [aux_sym_float_literal_token3] = ACTIONS(13740),
    [aux_sym_float_literal_token4] = ACTIONS(13740),
    [sym_character_literal] = ACTIONS(13740),
    [sym__pair_operator] = ACTIONS(13740),
    [sym__arrow_operator] = ACTIONS(13740),
    [sym__lazy_or_operator] = ACTIONS(13740),
    [sym__lazy_and_operator] = ACTIONS(13740),
    [sym__comparison_operator] = ACTIONS(13740),
    [sym__pipe_right_operator] = ACTIONS(13740),
    [sym__pipe_left_operator] = ACTIONS(13740),
    [sym__ellipsis_operator] = ACTIONS(13740),
    [sym__plus_operator] = ACTIONS(13740),
    [sym__times_operator] = ACTIONS(13740),
    [sym__rational_operator] = ACTIONS(13740),
    [sym__bitshift_operator] = ACTIONS(13740),
    [sym__power_operator] = ACTIONS(13740),
    [sym__tilde_operator] = ACTIONS(13740),
    [sym__type_order_operator] = ACTIONS(13740),
    [sym__unary_operator] = ACTIONS(13740),
    [sym__unary_plus_operator] = ACTIONS(13740),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13742),
    [sym__command_start] = ACTIONS(13742),
  },
  [8806] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12764),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12408),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8807] = {
    [sym__word_identifier] = ACTIONS(13997),
    [anon_sym_EQ] = ACTIONS(13997),
    [anon_sym_COMMA] = ACTIONS(13997),
    [anon_sym_COLON] = ACTIONS(13997),
    [anon_sym_begin] = ACTIONS(13997),
    [anon_sym_module] = ACTIONS(13997),
    [anon_sym_baremodule] = ACTIONS(13997),
    [anon_sym_end] = ACTIONS(13997),
    [anon_sym_abstract] = ACTIONS(13997),
    [anon_sym_primitive] = ACTIONS(13997),
    [anon_sym_mutable] = ACTIONS(13997),
    [anon_sym_struct] = ACTIONS(13997),
    [anon_sym_function] = ACTIONS(13997),
    [anon_sym_macro] = ACTIONS(13997),
    [anon_sym_where] = ACTIONS(13997),
    [anon_sym_quote] = ACTIONS(13997),
    [anon_sym_let] = ACTIONS(13997),
    [anon_sym_if] = ACTIONS(13997),
    [anon_sym_try] = ACTIONS(13997),
    [anon_sym_for] = ACTIONS(13997),
    [anon_sym_while] = ACTIONS(13997),
    [sym_break_statement] = ACTIONS(13997),
    [sym_continue_statement] = ACTIONS(13997),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_const] = ACTIONS(13997),
    [anon_sym_global] = ACTIONS(13997),
    [anon_sym_local] = ACTIONS(13997),
    [anon_sym_LPAREN] = ACTIONS(13997),
    [anon_sym_COLON2] = ACTIONS(13997),
    [anon_sym_export] = ACTIONS(13997),
    [anon_sym_import] = ACTIONS(13997),
    [anon_sym_using] = ACTIONS(13997),
    [anon_sym_LBRACK] = ACTIONS(13997),
    [anon_sym_LF] = ACTIONS(13995),
    [anon_sym_in] = ACTIONS(13997),
    [anon_sym_LBRACE] = ACTIONS(13997),
    [anon_sym_DOLLAR] = ACTIONS(13997),
    [anon_sym_COLON_COLON] = ACTIONS(13997),
    [anon_sym_isa] = ACTIONS(13997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13997),
    [anon_sym_QMARK] = ACTIONS(13997),
    [anon_sym_AT] = ACTIONS(13997),
    [anon_sym_true] = ACTIONS(13997),
    [anon_sym_false] = ACTIONS(13997),
    [aux_sym_integer_literal_token1] = ACTIONS(13997),
    [aux_sym_integer_literal_token2] = ACTIONS(13997),
    [aux_sym_integer_literal_token3] = ACTIONS(13997),
    [aux_sym_integer_literal_token4] = ACTIONS(13997),
    [aux_sym_float_literal_token1] = ACTIONS(13997),
    [aux_sym_float_literal_token3] = ACTIONS(13997),
    [aux_sym_float_literal_token4] = ACTIONS(13997),
    [sym_character_literal] = ACTIONS(13997),
    [sym__pair_operator] = ACTIONS(13997),
    [sym__arrow_operator] = ACTIONS(13997),
    [sym__lazy_or_operator] = ACTIONS(13997),
    [sym__lazy_and_operator] = ACTIONS(13997),
    [sym__comparison_operator] = ACTIONS(13997),
    [sym__pipe_right_operator] = ACTIONS(13997),
    [sym__pipe_left_operator] = ACTIONS(13997),
    [sym__ellipsis_operator] = ACTIONS(13997),
    [sym__plus_operator] = ACTIONS(13997),
    [sym__times_operator] = ACTIONS(13997),
    [sym__rational_operator] = ACTIONS(13997),
    [sym__bitshift_operator] = ACTIONS(13997),
    [sym__power_operator] = ACTIONS(13997),
    [sym__tilde_operator] = ACTIONS(13997),
    [sym__type_order_operator] = ACTIONS(13997),
    [sym__unary_operator] = ACTIONS(13997),
    [sym__unary_plus_operator] = ACTIONS(13997),
    [aux_sym__terminator_token1] = ACTIONS(13997),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13995),
    [sym__command_start] = ACTIONS(13995),
  },
  [8808] = {
    [sym__word_identifier] = ACTIONS(14011),
    [anon_sym_EQ] = ACTIONS(14011),
    [anon_sym_COMMA] = ACTIONS(14011),
    [anon_sym_COLON] = ACTIONS(14011),
    [anon_sym_begin] = ACTIONS(14011),
    [anon_sym_module] = ACTIONS(14011),
    [anon_sym_baremodule] = ACTIONS(14011),
    [anon_sym_end] = ACTIONS(14011),
    [anon_sym_abstract] = ACTIONS(14011),
    [anon_sym_primitive] = ACTIONS(14011),
    [anon_sym_mutable] = ACTIONS(14011),
    [anon_sym_struct] = ACTIONS(14011),
    [anon_sym_function] = ACTIONS(14011),
    [anon_sym_macro] = ACTIONS(14011),
    [anon_sym_where] = ACTIONS(14011),
    [anon_sym_quote] = ACTIONS(14011),
    [anon_sym_let] = ACTIONS(14011),
    [anon_sym_if] = ACTIONS(14011),
    [anon_sym_try] = ACTIONS(14011),
    [anon_sym_for] = ACTIONS(14011),
    [anon_sym_while] = ACTIONS(14011),
    [sym_break_statement] = ACTIONS(14011),
    [sym_continue_statement] = ACTIONS(14011),
    [anon_sym_return] = ACTIONS(14011),
    [anon_sym_const] = ACTIONS(14011),
    [anon_sym_global] = ACTIONS(14011),
    [anon_sym_local] = ACTIONS(14011),
    [anon_sym_LPAREN] = ACTIONS(14011),
    [anon_sym_COLON2] = ACTIONS(14011),
    [anon_sym_export] = ACTIONS(14011),
    [anon_sym_import] = ACTIONS(14011),
    [anon_sym_using] = ACTIONS(14011),
    [anon_sym_LBRACK] = ACTIONS(14011),
    [anon_sym_LF] = ACTIONS(14009),
    [anon_sym_in] = ACTIONS(14011),
    [anon_sym_LBRACE] = ACTIONS(14011),
    [anon_sym_DOLLAR] = ACTIONS(14011),
    [anon_sym_COLON_COLON] = ACTIONS(14011),
    [anon_sym_isa] = ACTIONS(14011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14011),
    [anon_sym_QMARK] = ACTIONS(14011),
    [anon_sym_AT] = ACTIONS(14011),
    [anon_sym_true] = ACTIONS(14011),
    [anon_sym_false] = ACTIONS(14011),
    [aux_sym_integer_literal_token1] = ACTIONS(14011),
    [aux_sym_integer_literal_token2] = ACTIONS(14011),
    [aux_sym_integer_literal_token3] = ACTIONS(14011),
    [aux_sym_integer_literal_token4] = ACTIONS(14011),
    [aux_sym_float_literal_token1] = ACTIONS(14011),
    [aux_sym_float_literal_token3] = ACTIONS(14011),
    [aux_sym_float_literal_token4] = ACTIONS(14011),
    [sym_character_literal] = ACTIONS(14011),
    [sym__pair_operator] = ACTIONS(14011),
    [sym__arrow_operator] = ACTIONS(14011),
    [sym__lazy_or_operator] = ACTIONS(14011),
    [sym__lazy_and_operator] = ACTIONS(14011),
    [sym__comparison_operator] = ACTIONS(14011),
    [sym__pipe_right_operator] = ACTIONS(14011),
    [sym__pipe_left_operator] = ACTIONS(14011),
    [sym__ellipsis_operator] = ACTIONS(14011),
    [sym__plus_operator] = ACTIONS(14011),
    [sym__times_operator] = ACTIONS(14011),
    [sym__rational_operator] = ACTIONS(14011),
    [sym__bitshift_operator] = ACTIONS(14011),
    [sym__power_operator] = ACTIONS(14011),
    [sym__tilde_operator] = ACTIONS(14011),
    [sym__type_order_operator] = ACTIONS(14011),
    [sym__unary_operator] = ACTIONS(14011),
    [sym__unary_plus_operator] = ACTIONS(14011),
    [aux_sym__terminator_token1] = ACTIONS(14011),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14009),
    [sym__command_start] = ACTIONS(14009),
  },
  [8809] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(12728),
    [anon_sym_COMMA] = ACTIONS(13212),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13212),
    [anon_sym_RPAREN] = ACTIONS(13212),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13212),
    [anon_sym_RBRACK] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13212),
    [anon_sym_RBRACE] = ACTIONS(13212),
    [anon_sym_DOLLAR] = ACTIONS(13212),
    [anon_sym_COLON_COLON] = ACTIONS(13212),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13212),
    [anon_sym_QMARK] = ACTIONS(13212),
    [anon_sym_AT] = ACTIONS(13212),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13212),
    [aux_sym_integer_literal_token2] = ACTIONS(13212),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13212),
    [aux_sym_float_literal_token3] = ACTIONS(13212),
    [aux_sym_float_literal_token4] = ACTIONS(13212),
    [sym_character_literal] = ACTIONS(13212),
    [sym__pair_operator] = ACTIONS(13212),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13212),
    [sym__lazy_and_operator] = ACTIONS(13212),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13212),
    [sym__pipe_left_operator] = ACTIONS(13212),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13212),
    [sym__bitshift_operator] = ACTIONS(13212),
    [sym__power_operator] = ACTIONS(13212),
    [sym__tilde_operator] = ACTIONS(13212),
    [sym__type_order_operator] = ACTIONS(13212),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8810] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_EQ] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13922),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13922),
    [anon_sym_RPAREN] = ACTIONS(13922),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13922),
    [anon_sym_RBRACK] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13922),
    [anon_sym_RBRACE] = ACTIONS(13922),
    [anon_sym_DOLLAR] = ACTIONS(13922),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13922),
    [anon_sym_AT] = ACTIONS(13922),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13922),
    [aux_sym_integer_literal_token2] = ACTIONS(13922),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13922),
    [aux_sym_float_literal_token3] = ACTIONS(13922),
    [aux_sym_float_literal_token4] = ACTIONS(13922),
    [sym_character_literal] = ACTIONS(13922),
    [sym__pair_operator] = ACTIONS(13922),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13922),
    [sym__lazy_and_operator] = ACTIONS(13922),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13922),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [8811] = {
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12962),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12962),
    [anon_sym_RPAREN] = ACTIONS(12962),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12962),
    [anon_sym_RBRACK] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(12962),
    [anon_sym_RBRACE] = ACTIONS(12962),
    [anon_sym_DOLLAR] = ACTIONS(12962),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14679),
    [anon_sym_AT] = ACTIONS(12962),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12962),
    [aux_sym_integer_literal_token2] = ACTIONS(12962),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12962),
    [aux_sym_float_literal_token3] = ACTIONS(12962),
    [aux_sym_float_literal_token4] = ACTIONS(12962),
    [sym_character_literal] = ACTIONS(12962),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(12962),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [8812] = {
    [sym__word_identifier] = ACTIONS(13764),
    [anon_sym_EQ] = ACTIONS(13764),
    [anon_sym_COMMA] = ACTIONS(13764),
    [anon_sym_COLON] = ACTIONS(13764),
    [anon_sym_begin] = ACTIONS(13764),
    [anon_sym_module] = ACTIONS(13764),
    [anon_sym_baremodule] = ACTIONS(13764),
    [anon_sym_abstract] = ACTIONS(13764),
    [anon_sym_primitive] = ACTIONS(13764),
    [anon_sym_mutable] = ACTIONS(13764),
    [anon_sym_struct] = ACTIONS(13764),
    [anon_sym_function] = ACTIONS(13764),
    [anon_sym_macro] = ACTIONS(13764),
    [anon_sym_where] = ACTIONS(13764),
    [anon_sym_quote] = ACTIONS(13764),
    [anon_sym_let] = ACTIONS(13764),
    [anon_sym_if] = ACTIONS(13764),
    [anon_sym_try] = ACTIONS(13764),
    [anon_sym_for] = ACTIONS(13764),
    [anon_sym_while] = ACTIONS(13764),
    [sym_break_statement] = ACTIONS(13764),
    [sym_continue_statement] = ACTIONS(13764),
    [anon_sym_return] = ACTIONS(13764),
    [anon_sym_const] = ACTIONS(13764),
    [anon_sym_global] = ACTIONS(13764),
    [anon_sym_local] = ACTIONS(13764),
    [anon_sym_LPAREN] = ACTIONS(13764),
    [anon_sym_RPAREN] = ACTIONS(13764),
    [anon_sym_COLON2] = ACTIONS(13764),
    [anon_sym_export] = ACTIONS(13764),
    [anon_sym_import] = ACTIONS(13764),
    [anon_sym_using] = ACTIONS(13764),
    [anon_sym_LBRACK] = ACTIONS(13764),
    [anon_sym_LF] = ACTIONS(13766),
    [anon_sym_in] = ACTIONS(13764),
    [anon_sym_SEMI] = ACTIONS(13764),
    [anon_sym_LBRACE] = ACTIONS(13764),
    [anon_sym_DOLLAR] = ACTIONS(13764),
    [anon_sym_COLON_COLON] = ACTIONS(13764),
    [anon_sym_isa] = ACTIONS(13764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13764),
    [anon_sym_QMARK] = ACTIONS(13764),
    [anon_sym_AT] = ACTIONS(13764),
    [anon_sym_true] = ACTIONS(13764),
    [anon_sym_false] = ACTIONS(13764),
    [aux_sym_integer_literal_token1] = ACTIONS(13764),
    [aux_sym_integer_literal_token2] = ACTIONS(13764),
    [aux_sym_integer_literal_token3] = ACTIONS(13764),
    [aux_sym_integer_literal_token4] = ACTIONS(13764),
    [aux_sym_float_literal_token1] = ACTIONS(13764),
    [aux_sym_float_literal_token3] = ACTIONS(13764),
    [aux_sym_float_literal_token4] = ACTIONS(13764),
    [sym_character_literal] = ACTIONS(13764),
    [sym__pair_operator] = ACTIONS(13764),
    [sym__arrow_operator] = ACTIONS(13764),
    [sym__lazy_or_operator] = ACTIONS(13764),
    [sym__lazy_and_operator] = ACTIONS(13764),
    [sym__comparison_operator] = ACTIONS(13764),
    [sym__pipe_right_operator] = ACTIONS(13764),
    [sym__pipe_left_operator] = ACTIONS(13764),
    [sym__ellipsis_operator] = ACTIONS(13764),
    [sym__plus_operator] = ACTIONS(13764),
    [sym__times_operator] = ACTIONS(13764),
    [sym__rational_operator] = ACTIONS(13764),
    [sym__bitshift_operator] = ACTIONS(13764),
    [sym__power_operator] = ACTIONS(13764),
    [sym__tilde_operator] = ACTIONS(13764),
    [sym__type_order_operator] = ACTIONS(13764),
    [sym__unary_operator] = ACTIONS(13764),
    [sym__unary_plus_operator] = ACTIONS(13764),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13766),
    [sym__command_start] = ACTIONS(13766),
  },
  [8813] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(12644),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8814] = {
    [sym__word_identifier] = ACTIONS(13768),
    [anon_sym_EQ] = ACTIONS(13768),
    [anon_sym_COMMA] = ACTIONS(13768),
    [anon_sym_COLON] = ACTIONS(13768),
    [anon_sym_begin] = ACTIONS(13768),
    [anon_sym_module] = ACTIONS(13768),
    [anon_sym_baremodule] = ACTIONS(13768),
    [anon_sym_abstract] = ACTIONS(13768),
    [anon_sym_primitive] = ACTIONS(13768),
    [anon_sym_mutable] = ACTIONS(13768),
    [anon_sym_struct] = ACTIONS(13768),
    [anon_sym_function] = ACTIONS(13768),
    [anon_sym_macro] = ACTIONS(13768),
    [anon_sym_where] = ACTIONS(13768),
    [anon_sym_quote] = ACTIONS(13768),
    [anon_sym_let] = ACTIONS(13768),
    [anon_sym_if] = ACTIONS(13768),
    [anon_sym_try] = ACTIONS(13768),
    [anon_sym_for] = ACTIONS(13768),
    [anon_sym_while] = ACTIONS(13768),
    [sym_break_statement] = ACTIONS(13768),
    [sym_continue_statement] = ACTIONS(13768),
    [anon_sym_return] = ACTIONS(13768),
    [anon_sym_const] = ACTIONS(13768),
    [anon_sym_global] = ACTIONS(13768),
    [anon_sym_local] = ACTIONS(13768),
    [anon_sym_LPAREN] = ACTIONS(13768),
    [anon_sym_RPAREN] = ACTIONS(13768),
    [anon_sym_COLON2] = ACTIONS(13768),
    [anon_sym_export] = ACTIONS(13768),
    [anon_sym_import] = ACTIONS(13768),
    [anon_sym_using] = ACTIONS(13768),
    [anon_sym_LBRACK] = ACTIONS(13768),
    [anon_sym_LF] = ACTIONS(13770),
    [anon_sym_in] = ACTIONS(13768),
    [anon_sym_SEMI] = ACTIONS(13768),
    [anon_sym_LBRACE] = ACTIONS(13768),
    [anon_sym_DOLLAR] = ACTIONS(13768),
    [anon_sym_COLON_COLON] = ACTIONS(13768),
    [anon_sym_isa] = ACTIONS(13768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13768),
    [anon_sym_QMARK] = ACTIONS(13768),
    [anon_sym_AT] = ACTIONS(13768),
    [anon_sym_true] = ACTIONS(13768),
    [anon_sym_false] = ACTIONS(13768),
    [aux_sym_integer_literal_token1] = ACTIONS(13768),
    [aux_sym_integer_literal_token2] = ACTIONS(13768),
    [aux_sym_integer_literal_token3] = ACTIONS(13768),
    [aux_sym_integer_literal_token4] = ACTIONS(13768),
    [aux_sym_float_literal_token1] = ACTIONS(13768),
    [aux_sym_float_literal_token3] = ACTIONS(13768),
    [aux_sym_float_literal_token4] = ACTIONS(13768),
    [sym_character_literal] = ACTIONS(13768),
    [sym__pair_operator] = ACTIONS(13768),
    [sym__arrow_operator] = ACTIONS(13768),
    [sym__lazy_or_operator] = ACTIONS(13768),
    [sym__lazy_and_operator] = ACTIONS(13768),
    [sym__comparison_operator] = ACTIONS(13768),
    [sym__pipe_right_operator] = ACTIONS(13768),
    [sym__pipe_left_operator] = ACTIONS(13768),
    [sym__ellipsis_operator] = ACTIONS(13768),
    [sym__plus_operator] = ACTIONS(13768),
    [sym__times_operator] = ACTIONS(13768),
    [sym__rational_operator] = ACTIONS(13768),
    [sym__bitshift_operator] = ACTIONS(13768),
    [sym__power_operator] = ACTIONS(13768),
    [sym__tilde_operator] = ACTIONS(13768),
    [sym__type_order_operator] = ACTIONS(13768),
    [sym__unary_operator] = ACTIONS(13768),
    [sym__unary_plus_operator] = ACTIONS(13768),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13770),
    [sym__command_start] = ACTIONS(13770),
  },
  [8815] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8816] = {
    [sym__word_identifier] = ACTIONS(13772),
    [anon_sym_EQ] = ACTIONS(13772),
    [anon_sym_COMMA] = ACTIONS(13772),
    [anon_sym_COLON] = ACTIONS(13772),
    [anon_sym_begin] = ACTIONS(13772),
    [anon_sym_module] = ACTIONS(13772),
    [anon_sym_baremodule] = ACTIONS(13772),
    [anon_sym_abstract] = ACTIONS(13772),
    [anon_sym_primitive] = ACTIONS(13772),
    [anon_sym_mutable] = ACTIONS(13772),
    [anon_sym_struct] = ACTIONS(13772),
    [anon_sym_function] = ACTIONS(13772),
    [anon_sym_macro] = ACTIONS(13772),
    [anon_sym_where] = ACTIONS(13772),
    [anon_sym_quote] = ACTIONS(13772),
    [anon_sym_let] = ACTIONS(13772),
    [anon_sym_if] = ACTIONS(13772),
    [anon_sym_try] = ACTIONS(13772),
    [anon_sym_for] = ACTIONS(13772),
    [anon_sym_while] = ACTIONS(13772),
    [sym_break_statement] = ACTIONS(13772),
    [sym_continue_statement] = ACTIONS(13772),
    [anon_sym_return] = ACTIONS(13772),
    [anon_sym_const] = ACTIONS(13772),
    [anon_sym_global] = ACTIONS(13772),
    [anon_sym_local] = ACTIONS(13772),
    [anon_sym_LPAREN] = ACTIONS(13772),
    [anon_sym_RPAREN] = ACTIONS(13772),
    [anon_sym_COLON2] = ACTIONS(13772),
    [anon_sym_export] = ACTIONS(13772),
    [anon_sym_import] = ACTIONS(13772),
    [anon_sym_using] = ACTIONS(13772),
    [anon_sym_LBRACK] = ACTIONS(13772),
    [anon_sym_LF] = ACTIONS(13774),
    [anon_sym_in] = ACTIONS(13772),
    [anon_sym_SEMI] = ACTIONS(13772),
    [anon_sym_LBRACE] = ACTIONS(13772),
    [anon_sym_DOLLAR] = ACTIONS(13772),
    [anon_sym_COLON_COLON] = ACTIONS(13772),
    [anon_sym_isa] = ACTIONS(13772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13772),
    [anon_sym_QMARK] = ACTIONS(13772),
    [anon_sym_AT] = ACTIONS(13772),
    [anon_sym_true] = ACTIONS(13772),
    [anon_sym_false] = ACTIONS(13772),
    [aux_sym_integer_literal_token1] = ACTIONS(13772),
    [aux_sym_integer_literal_token2] = ACTIONS(13772),
    [aux_sym_integer_literal_token3] = ACTIONS(13772),
    [aux_sym_integer_literal_token4] = ACTIONS(13772),
    [aux_sym_float_literal_token1] = ACTIONS(13772),
    [aux_sym_float_literal_token3] = ACTIONS(13772),
    [aux_sym_float_literal_token4] = ACTIONS(13772),
    [sym_character_literal] = ACTIONS(13772),
    [sym__pair_operator] = ACTIONS(13772),
    [sym__arrow_operator] = ACTIONS(13772),
    [sym__lazy_or_operator] = ACTIONS(13772),
    [sym__lazy_and_operator] = ACTIONS(13772),
    [sym__comparison_operator] = ACTIONS(13772),
    [sym__pipe_right_operator] = ACTIONS(13772),
    [sym__pipe_left_operator] = ACTIONS(13772),
    [sym__ellipsis_operator] = ACTIONS(13772),
    [sym__plus_operator] = ACTIONS(13772),
    [sym__times_operator] = ACTIONS(13772),
    [sym__rational_operator] = ACTIONS(13772),
    [sym__bitshift_operator] = ACTIONS(13772),
    [sym__power_operator] = ACTIONS(13772),
    [sym__tilde_operator] = ACTIONS(13772),
    [sym__type_order_operator] = ACTIONS(13772),
    [sym__unary_operator] = ACTIONS(13772),
    [sym__unary_plus_operator] = ACTIONS(13772),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13774),
    [sym__command_start] = ACTIONS(13774),
  },
  [8817] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_EQ] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13406),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13406),
    [anon_sym_RPAREN] = ACTIONS(13406),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13406),
    [anon_sym_RBRACK] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13406),
    [anon_sym_RBRACE] = ACTIONS(13406),
    [anon_sym_DOLLAR] = ACTIONS(13406),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13406),
    [anon_sym_QMARK] = ACTIONS(13406),
    [anon_sym_AT] = ACTIONS(13406),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13406),
    [aux_sym_integer_literal_token2] = ACTIONS(13406),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13406),
    [aux_sym_float_literal_token3] = ACTIONS(13406),
    [aux_sym_float_literal_token4] = ACTIONS(13406),
    [sym_character_literal] = ACTIONS(13406),
    [sym__pair_operator] = ACTIONS(13406),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13406),
    [sym__lazy_and_operator] = ACTIONS(13406),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13406),
    [sym__pipe_left_operator] = ACTIONS(13406),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13406),
    [sym__type_order_operator] = ACTIONS(13406),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [8818] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(1211),
    [sym__pipe_right_operator] = ACTIONS(14826),
    [sym__pipe_left_operator] = ACTIONS(14828),
    [sym__ellipsis_operator] = ACTIONS(14830),
    [sym__plus_operator] = ACTIONS(14832),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(1211),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14832),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8819] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8820] = {
    [sym__word_identifier] = ACTIONS(13776),
    [anon_sym_EQ] = ACTIONS(13776),
    [anon_sym_COMMA] = ACTIONS(13776),
    [anon_sym_COLON] = ACTIONS(13776),
    [anon_sym_begin] = ACTIONS(13776),
    [anon_sym_module] = ACTIONS(13776),
    [anon_sym_baremodule] = ACTIONS(13776),
    [anon_sym_abstract] = ACTIONS(13776),
    [anon_sym_primitive] = ACTIONS(13776),
    [anon_sym_mutable] = ACTIONS(13776),
    [anon_sym_struct] = ACTIONS(13776),
    [anon_sym_function] = ACTIONS(13776),
    [anon_sym_macro] = ACTIONS(13776),
    [anon_sym_where] = ACTIONS(13776),
    [anon_sym_quote] = ACTIONS(13776),
    [anon_sym_let] = ACTIONS(13776),
    [anon_sym_if] = ACTIONS(13776),
    [anon_sym_try] = ACTIONS(13776),
    [anon_sym_for] = ACTIONS(13776),
    [anon_sym_while] = ACTIONS(13776),
    [sym_break_statement] = ACTIONS(13776),
    [sym_continue_statement] = ACTIONS(13776),
    [anon_sym_return] = ACTIONS(13776),
    [anon_sym_const] = ACTIONS(13776),
    [anon_sym_global] = ACTIONS(13776),
    [anon_sym_local] = ACTIONS(13776),
    [anon_sym_LPAREN] = ACTIONS(13776),
    [anon_sym_RPAREN] = ACTIONS(13776),
    [anon_sym_COLON2] = ACTIONS(13776),
    [anon_sym_export] = ACTIONS(13776),
    [anon_sym_import] = ACTIONS(13776),
    [anon_sym_using] = ACTIONS(13776),
    [anon_sym_LBRACK] = ACTIONS(13776),
    [anon_sym_LF] = ACTIONS(13778),
    [anon_sym_in] = ACTIONS(13776),
    [anon_sym_SEMI] = ACTIONS(13776),
    [anon_sym_LBRACE] = ACTIONS(13776),
    [anon_sym_DOLLAR] = ACTIONS(13776),
    [anon_sym_COLON_COLON] = ACTIONS(13776),
    [anon_sym_isa] = ACTIONS(13776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13776),
    [anon_sym_QMARK] = ACTIONS(13776),
    [anon_sym_AT] = ACTIONS(13776),
    [anon_sym_true] = ACTIONS(13776),
    [anon_sym_false] = ACTIONS(13776),
    [aux_sym_integer_literal_token1] = ACTIONS(13776),
    [aux_sym_integer_literal_token2] = ACTIONS(13776),
    [aux_sym_integer_literal_token3] = ACTIONS(13776),
    [aux_sym_integer_literal_token4] = ACTIONS(13776),
    [aux_sym_float_literal_token1] = ACTIONS(13776),
    [aux_sym_float_literal_token3] = ACTIONS(13776),
    [aux_sym_float_literal_token4] = ACTIONS(13776),
    [sym_character_literal] = ACTIONS(13776),
    [sym__pair_operator] = ACTIONS(13776),
    [sym__arrow_operator] = ACTIONS(13776),
    [sym__lazy_or_operator] = ACTIONS(13776),
    [sym__lazy_and_operator] = ACTIONS(13776),
    [sym__comparison_operator] = ACTIONS(13776),
    [sym__pipe_right_operator] = ACTIONS(13776),
    [sym__pipe_left_operator] = ACTIONS(13776),
    [sym__ellipsis_operator] = ACTIONS(13776),
    [sym__plus_operator] = ACTIONS(13776),
    [sym__times_operator] = ACTIONS(13776),
    [sym__rational_operator] = ACTIONS(13776),
    [sym__bitshift_operator] = ACTIONS(13776),
    [sym__power_operator] = ACTIONS(13776),
    [sym__tilde_operator] = ACTIONS(13776),
    [sym__type_order_operator] = ACTIONS(13776),
    [sym__unary_operator] = ACTIONS(13776),
    [sym__unary_plus_operator] = ACTIONS(13776),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13778),
    [sym__command_start] = ACTIONS(13778),
  },
  [8821] = {
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(12976),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_end] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [aux_sym__terminator_token1] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [8822] = {
    [sym__word_identifier] = ACTIONS(13780),
    [anon_sym_EQ] = ACTIONS(13780),
    [anon_sym_COMMA] = ACTIONS(13780),
    [anon_sym_COLON] = ACTIONS(13780),
    [anon_sym_begin] = ACTIONS(13780),
    [anon_sym_module] = ACTIONS(13780),
    [anon_sym_baremodule] = ACTIONS(13780),
    [anon_sym_abstract] = ACTIONS(13780),
    [anon_sym_primitive] = ACTIONS(13780),
    [anon_sym_mutable] = ACTIONS(13780),
    [anon_sym_struct] = ACTIONS(13780),
    [anon_sym_function] = ACTIONS(13780),
    [anon_sym_macro] = ACTIONS(13780),
    [anon_sym_where] = ACTIONS(13780),
    [anon_sym_quote] = ACTIONS(13780),
    [anon_sym_let] = ACTIONS(13780),
    [anon_sym_if] = ACTIONS(13780),
    [anon_sym_try] = ACTIONS(13780),
    [anon_sym_for] = ACTIONS(13780),
    [anon_sym_while] = ACTIONS(13780),
    [sym_break_statement] = ACTIONS(13780),
    [sym_continue_statement] = ACTIONS(13780),
    [anon_sym_return] = ACTIONS(13780),
    [anon_sym_const] = ACTIONS(13780),
    [anon_sym_global] = ACTIONS(13780),
    [anon_sym_local] = ACTIONS(13780),
    [anon_sym_LPAREN] = ACTIONS(13780),
    [anon_sym_RPAREN] = ACTIONS(13780),
    [anon_sym_COLON2] = ACTIONS(13780),
    [anon_sym_export] = ACTIONS(13780),
    [anon_sym_import] = ACTIONS(13780),
    [anon_sym_using] = ACTIONS(13780),
    [anon_sym_LBRACK] = ACTIONS(13780),
    [anon_sym_LF] = ACTIONS(13782),
    [anon_sym_in] = ACTIONS(13780),
    [anon_sym_SEMI] = ACTIONS(13780),
    [anon_sym_LBRACE] = ACTIONS(13780),
    [anon_sym_DOLLAR] = ACTIONS(13780),
    [anon_sym_COLON_COLON] = ACTIONS(13780),
    [anon_sym_isa] = ACTIONS(13780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13780),
    [anon_sym_QMARK] = ACTIONS(13780),
    [anon_sym_AT] = ACTIONS(13780),
    [anon_sym_true] = ACTIONS(13780),
    [anon_sym_false] = ACTIONS(13780),
    [aux_sym_integer_literal_token1] = ACTIONS(13780),
    [aux_sym_integer_literal_token2] = ACTIONS(13780),
    [aux_sym_integer_literal_token3] = ACTIONS(13780),
    [aux_sym_integer_literal_token4] = ACTIONS(13780),
    [aux_sym_float_literal_token1] = ACTIONS(13780),
    [aux_sym_float_literal_token3] = ACTIONS(13780),
    [aux_sym_float_literal_token4] = ACTIONS(13780),
    [sym_character_literal] = ACTIONS(13780),
    [sym__pair_operator] = ACTIONS(13780),
    [sym__arrow_operator] = ACTIONS(13780),
    [sym__lazy_or_operator] = ACTIONS(13780),
    [sym__lazy_and_operator] = ACTIONS(13780),
    [sym__comparison_operator] = ACTIONS(13780),
    [sym__pipe_right_operator] = ACTIONS(13780),
    [sym__pipe_left_operator] = ACTIONS(13780),
    [sym__ellipsis_operator] = ACTIONS(13780),
    [sym__plus_operator] = ACTIONS(13780),
    [sym__times_operator] = ACTIONS(13780),
    [sym__rational_operator] = ACTIONS(13780),
    [sym__bitshift_operator] = ACTIONS(13780),
    [sym__power_operator] = ACTIONS(13780),
    [sym__tilde_operator] = ACTIONS(13780),
    [sym__type_order_operator] = ACTIONS(13780),
    [sym__unary_operator] = ACTIONS(13780),
    [sym__unary_plus_operator] = ACTIONS(13780),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13782),
    [sym__command_start] = ACTIONS(13782),
  },
  [8823] = {
    [sym__word_identifier] = ACTIONS(13426),
    [anon_sym_EQ] = ACTIONS(13426),
    [anon_sym_COMMA] = ACTIONS(13426),
    [anon_sym_COLON] = ACTIONS(13426),
    [anon_sym_begin] = ACTIONS(13426),
    [anon_sym_module] = ACTIONS(13426),
    [anon_sym_baremodule] = ACTIONS(13426),
    [anon_sym_end] = ACTIONS(13426),
    [anon_sym_abstract] = ACTIONS(13426),
    [anon_sym_primitive] = ACTIONS(13426),
    [anon_sym_mutable] = ACTIONS(13426),
    [anon_sym_struct] = ACTIONS(13426),
    [anon_sym_function] = ACTIONS(13426),
    [anon_sym_macro] = ACTIONS(13426),
    [anon_sym_where] = ACTIONS(13426),
    [anon_sym_quote] = ACTIONS(13426),
    [anon_sym_let] = ACTIONS(13426),
    [anon_sym_if] = ACTIONS(13426),
    [anon_sym_try] = ACTIONS(13426),
    [anon_sym_for] = ACTIONS(13426),
    [anon_sym_while] = ACTIONS(13426),
    [sym_break_statement] = ACTIONS(13426),
    [sym_continue_statement] = ACTIONS(13426),
    [anon_sym_return] = ACTIONS(13426),
    [anon_sym_const] = ACTIONS(13426),
    [anon_sym_global] = ACTIONS(13426),
    [anon_sym_local] = ACTIONS(13426),
    [anon_sym_LPAREN] = ACTIONS(13426),
    [anon_sym_COLON2] = ACTIONS(13426),
    [anon_sym_export] = ACTIONS(13426),
    [anon_sym_import] = ACTIONS(13426),
    [anon_sym_using] = ACTIONS(13426),
    [anon_sym_LBRACK] = ACTIONS(13426),
    [anon_sym_LF] = ACTIONS(13428),
    [anon_sym_in] = ACTIONS(13426),
    [anon_sym_LBRACE] = ACTIONS(13426),
    [anon_sym_DOLLAR] = ACTIONS(13426),
    [anon_sym_COLON_COLON] = ACTIONS(13426),
    [anon_sym_isa] = ACTIONS(13426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13426),
    [anon_sym_QMARK] = ACTIONS(13426),
    [anon_sym_AT] = ACTIONS(13426),
    [anon_sym_true] = ACTIONS(13426),
    [anon_sym_false] = ACTIONS(13426),
    [aux_sym_integer_literal_token1] = ACTIONS(13426),
    [aux_sym_integer_literal_token2] = ACTIONS(13426),
    [aux_sym_integer_literal_token3] = ACTIONS(13426),
    [aux_sym_integer_literal_token4] = ACTIONS(13426),
    [aux_sym_float_literal_token1] = ACTIONS(13426),
    [aux_sym_float_literal_token3] = ACTIONS(13426),
    [aux_sym_float_literal_token4] = ACTIONS(13426),
    [sym_character_literal] = ACTIONS(13426),
    [sym__pair_operator] = ACTIONS(13426),
    [sym__arrow_operator] = ACTIONS(13426),
    [sym__lazy_or_operator] = ACTIONS(13426),
    [sym__lazy_and_operator] = ACTIONS(13426),
    [sym__comparison_operator] = ACTIONS(13426),
    [sym__pipe_right_operator] = ACTIONS(13426),
    [sym__pipe_left_operator] = ACTIONS(13426),
    [sym__ellipsis_operator] = ACTIONS(13426),
    [sym__plus_operator] = ACTIONS(13426),
    [sym__times_operator] = ACTIONS(13426),
    [sym__rational_operator] = ACTIONS(13426),
    [sym__bitshift_operator] = ACTIONS(13426),
    [sym__power_operator] = ACTIONS(13426),
    [sym__tilde_operator] = ACTIONS(13426),
    [sym__type_order_operator] = ACTIONS(13426),
    [sym__unary_operator] = ACTIONS(13426),
    [sym__unary_plus_operator] = ACTIONS(13426),
    [aux_sym__terminator_token1] = ACTIONS(13426),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13428),
    [sym__command_start] = ACTIONS(13428),
  },
  [8824] = {
    [sym__word_identifier] = ACTIONS(13804),
    [anon_sym_EQ] = ACTIONS(13804),
    [anon_sym_COMMA] = ACTIONS(13804),
    [anon_sym_COLON] = ACTIONS(13804),
    [anon_sym_begin] = ACTIONS(13804),
    [anon_sym_module] = ACTIONS(13804),
    [anon_sym_baremodule] = ACTIONS(13804),
    [anon_sym_abstract] = ACTIONS(13804),
    [anon_sym_primitive] = ACTIONS(13804),
    [anon_sym_mutable] = ACTIONS(13804),
    [anon_sym_struct] = ACTIONS(13804),
    [anon_sym_function] = ACTIONS(13804),
    [anon_sym_macro] = ACTIONS(13804),
    [anon_sym_where] = ACTIONS(13804),
    [anon_sym_quote] = ACTIONS(13804),
    [anon_sym_let] = ACTIONS(13804),
    [anon_sym_if] = ACTIONS(13804),
    [anon_sym_try] = ACTIONS(13804),
    [anon_sym_for] = ACTIONS(13804),
    [anon_sym_while] = ACTIONS(13804),
    [sym_break_statement] = ACTIONS(13804),
    [sym_continue_statement] = ACTIONS(13804),
    [anon_sym_return] = ACTIONS(13804),
    [anon_sym_const] = ACTIONS(13804),
    [anon_sym_global] = ACTIONS(13804),
    [anon_sym_local] = ACTIONS(13804),
    [anon_sym_LPAREN] = ACTIONS(13804),
    [anon_sym_RPAREN] = ACTIONS(13804),
    [anon_sym_COLON2] = ACTIONS(13804),
    [anon_sym_export] = ACTIONS(13804),
    [anon_sym_import] = ACTIONS(13804),
    [anon_sym_using] = ACTIONS(13804),
    [anon_sym_LBRACK] = ACTIONS(13804),
    [anon_sym_LF] = ACTIONS(13806),
    [anon_sym_in] = ACTIONS(13804),
    [anon_sym_SEMI] = ACTIONS(13804),
    [anon_sym_LBRACE] = ACTIONS(13804),
    [anon_sym_DOLLAR] = ACTIONS(13804),
    [anon_sym_COLON_COLON] = ACTIONS(13804),
    [anon_sym_isa] = ACTIONS(13804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13804),
    [anon_sym_QMARK] = ACTIONS(13804),
    [anon_sym_AT] = ACTIONS(13804),
    [anon_sym_true] = ACTIONS(13804),
    [anon_sym_false] = ACTIONS(13804),
    [aux_sym_integer_literal_token1] = ACTIONS(13804),
    [aux_sym_integer_literal_token2] = ACTIONS(13804),
    [aux_sym_integer_literal_token3] = ACTIONS(13804),
    [aux_sym_integer_literal_token4] = ACTIONS(13804),
    [aux_sym_float_literal_token1] = ACTIONS(13804),
    [aux_sym_float_literal_token3] = ACTIONS(13804),
    [aux_sym_float_literal_token4] = ACTIONS(13804),
    [sym_character_literal] = ACTIONS(13804),
    [sym__pair_operator] = ACTIONS(13804),
    [sym__arrow_operator] = ACTIONS(13804),
    [sym__lazy_or_operator] = ACTIONS(13804),
    [sym__lazy_and_operator] = ACTIONS(13804),
    [sym__comparison_operator] = ACTIONS(13804),
    [sym__pipe_right_operator] = ACTIONS(13804),
    [sym__pipe_left_operator] = ACTIONS(13804),
    [sym__ellipsis_operator] = ACTIONS(13804),
    [sym__plus_operator] = ACTIONS(13804),
    [sym__times_operator] = ACTIONS(13804),
    [sym__rational_operator] = ACTIONS(13804),
    [sym__bitshift_operator] = ACTIONS(13804),
    [sym__power_operator] = ACTIONS(13804),
    [sym__tilde_operator] = ACTIONS(13804),
    [sym__type_order_operator] = ACTIONS(13804),
    [sym__unary_operator] = ACTIONS(13804),
    [sym__unary_plus_operator] = ACTIONS(13804),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13806),
    [sym__command_start] = ACTIONS(13806),
  },
  [8825] = {
    [sym__word_identifier] = ACTIONS(13808),
    [anon_sym_EQ] = ACTIONS(13808),
    [anon_sym_COMMA] = ACTIONS(13808),
    [anon_sym_COLON] = ACTIONS(13808),
    [anon_sym_begin] = ACTIONS(13808),
    [anon_sym_module] = ACTIONS(13808),
    [anon_sym_baremodule] = ACTIONS(13808),
    [anon_sym_abstract] = ACTIONS(13808),
    [anon_sym_primitive] = ACTIONS(13808),
    [anon_sym_mutable] = ACTIONS(13808),
    [anon_sym_struct] = ACTIONS(13808),
    [anon_sym_function] = ACTIONS(13808),
    [anon_sym_macro] = ACTIONS(13808),
    [anon_sym_where] = ACTIONS(13808),
    [anon_sym_quote] = ACTIONS(13808),
    [anon_sym_let] = ACTIONS(13808),
    [anon_sym_if] = ACTIONS(13808),
    [anon_sym_try] = ACTIONS(13808),
    [anon_sym_for] = ACTIONS(13808),
    [anon_sym_while] = ACTIONS(13808),
    [sym_break_statement] = ACTIONS(13808),
    [sym_continue_statement] = ACTIONS(13808),
    [anon_sym_return] = ACTIONS(13808),
    [anon_sym_const] = ACTIONS(13808),
    [anon_sym_global] = ACTIONS(13808),
    [anon_sym_local] = ACTIONS(13808),
    [anon_sym_LPAREN] = ACTIONS(13808),
    [anon_sym_RPAREN] = ACTIONS(13808),
    [anon_sym_COLON2] = ACTIONS(13808),
    [anon_sym_export] = ACTIONS(13808),
    [anon_sym_import] = ACTIONS(13808),
    [anon_sym_using] = ACTIONS(13808),
    [anon_sym_LBRACK] = ACTIONS(13808),
    [anon_sym_LF] = ACTIONS(13810),
    [anon_sym_in] = ACTIONS(13808),
    [anon_sym_SEMI] = ACTIONS(13808),
    [anon_sym_LBRACE] = ACTIONS(13808),
    [anon_sym_DOLLAR] = ACTIONS(13808),
    [anon_sym_COLON_COLON] = ACTIONS(13808),
    [anon_sym_isa] = ACTIONS(13808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13808),
    [anon_sym_QMARK] = ACTIONS(13808),
    [anon_sym_AT] = ACTIONS(13808),
    [anon_sym_true] = ACTIONS(13808),
    [anon_sym_false] = ACTIONS(13808),
    [aux_sym_integer_literal_token1] = ACTIONS(13808),
    [aux_sym_integer_literal_token2] = ACTIONS(13808),
    [aux_sym_integer_literal_token3] = ACTIONS(13808),
    [aux_sym_integer_literal_token4] = ACTIONS(13808),
    [aux_sym_float_literal_token1] = ACTIONS(13808),
    [aux_sym_float_literal_token3] = ACTIONS(13808),
    [aux_sym_float_literal_token4] = ACTIONS(13808),
    [sym_character_literal] = ACTIONS(13808),
    [sym__pair_operator] = ACTIONS(13808),
    [sym__arrow_operator] = ACTIONS(13808),
    [sym__lazy_or_operator] = ACTIONS(13808),
    [sym__lazy_and_operator] = ACTIONS(13808),
    [sym__comparison_operator] = ACTIONS(13808),
    [sym__pipe_right_operator] = ACTIONS(13808),
    [sym__pipe_left_operator] = ACTIONS(13808),
    [sym__ellipsis_operator] = ACTIONS(13808),
    [sym__plus_operator] = ACTIONS(13808),
    [sym__times_operator] = ACTIONS(13808),
    [sym__rational_operator] = ACTIONS(13808),
    [sym__bitshift_operator] = ACTIONS(13808),
    [sym__power_operator] = ACTIONS(13808),
    [sym__tilde_operator] = ACTIONS(13808),
    [sym__type_order_operator] = ACTIONS(13808),
    [sym__unary_operator] = ACTIONS(13808),
    [sym__unary_plus_operator] = ACTIONS(13808),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13810),
    [sym__command_start] = ACTIONS(13810),
  },
  [8826] = {
    [sym__word_identifier] = ACTIONS(13812),
    [anon_sym_EQ] = ACTIONS(13812),
    [anon_sym_COMMA] = ACTIONS(13812),
    [anon_sym_COLON] = ACTIONS(13812),
    [anon_sym_begin] = ACTIONS(13812),
    [anon_sym_module] = ACTIONS(13812),
    [anon_sym_baremodule] = ACTIONS(13812),
    [anon_sym_abstract] = ACTIONS(13812),
    [anon_sym_primitive] = ACTIONS(13812),
    [anon_sym_mutable] = ACTIONS(13812),
    [anon_sym_struct] = ACTIONS(13812),
    [anon_sym_function] = ACTIONS(13812),
    [anon_sym_macro] = ACTIONS(13812),
    [anon_sym_where] = ACTIONS(13812),
    [anon_sym_quote] = ACTIONS(13812),
    [anon_sym_let] = ACTIONS(13812),
    [anon_sym_if] = ACTIONS(13812),
    [anon_sym_try] = ACTIONS(13812),
    [anon_sym_for] = ACTIONS(13812),
    [anon_sym_while] = ACTIONS(13812),
    [sym_break_statement] = ACTIONS(13812),
    [sym_continue_statement] = ACTIONS(13812),
    [anon_sym_return] = ACTIONS(13812),
    [anon_sym_const] = ACTIONS(13812),
    [anon_sym_global] = ACTIONS(13812),
    [anon_sym_local] = ACTIONS(13812),
    [anon_sym_LPAREN] = ACTIONS(13812),
    [anon_sym_RPAREN] = ACTIONS(13812),
    [anon_sym_COLON2] = ACTIONS(13812),
    [anon_sym_export] = ACTIONS(13812),
    [anon_sym_import] = ACTIONS(13812),
    [anon_sym_using] = ACTIONS(13812),
    [anon_sym_LBRACK] = ACTIONS(13812),
    [anon_sym_LF] = ACTIONS(13814),
    [anon_sym_in] = ACTIONS(13812),
    [anon_sym_SEMI] = ACTIONS(13812),
    [anon_sym_LBRACE] = ACTIONS(13812),
    [anon_sym_DOLLAR] = ACTIONS(13812),
    [anon_sym_COLON_COLON] = ACTIONS(13812),
    [anon_sym_isa] = ACTIONS(13812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13812),
    [anon_sym_QMARK] = ACTIONS(13812),
    [anon_sym_AT] = ACTIONS(13812),
    [anon_sym_true] = ACTIONS(13812),
    [anon_sym_false] = ACTIONS(13812),
    [aux_sym_integer_literal_token1] = ACTIONS(13812),
    [aux_sym_integer_literal_token2] = ACTIONS(13812),
    [aux_sym_integer_literal_token3] = ACTIONS(13812),
    [aux_sym_integer_literal_token4] = ACTIONS(13812),
    [aux_sym_float_literal_token1] = ACTIONS(13812),
    [aux_sym_float_literal_token3] = ACTIONS(13812),
    [aux_sym_float_literal_token4] = ACTIONS(13812),
    [sym_character_literal] = ACTIONS(13812),
    [sym__pair_operator] = ACTIONS(13812),
    [sym__arrow_operator] = ACTIONS(13812),
    [sym__lazy_or_operator] = ACTIONS(13812),
    [sym__lazy_and_operator] = ACTIONS(13812),
    [sym__comparison_operator] = ACTIONS(13812),
    [sym__pipe_right_operator] = ACTIONS(13812),
    [sym__pipe_left_operator] = ACTIONS(13812),
    [sym__ellipsis_operator] = ACTIONS(13812),
    [sym__plus_operator] = ACTIONS(13812),
    [sym__times_operator] = ACTIONS(13812),
    [sym__rational_operator] = ACTIONS(13812),
    [sym__bitshift_operator] = ACTIONS(13812),
    [sym__power_operator] = ACTIONS(13812),
    [sym__tilde_operator] = ACTIONS(13812),
    [sym__type_order_operator] = ACTIONS(13812),
    [sym__unary_operator] = ACTIONS(13812),
    [sym__unary_plus_operator] = ACTIONS(13812),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13814),
    [sym__command_start] = ACTIONS(13814),
  },
  [8827] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14679),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8828] = {
    [sym__word_identifier] = ACTIONS(13816),
    [anon_sym_EQ] = ACTIONS(13816),
    [anon_sym_COMMA] = ACTIONS(13816),
    [anon_sym_COLON] = ACTIONS(13816),
    [anon_sym_begin] = ACTIONS(13816),
    [anon_sym_module] = ACTIONS(13816),
    [anon_sym_baremodule] = ACTIONS(13816),
    [anon_sym_abstract] = ACTIONS(13816),
    [anon_sym_primitive] = ACTIONS(13816),
    [anon_sym_mutable] = ACTIONS(13816),
    [anon_sym_struct] = ACTIONS(13816),
    [anon_sym_function] = ACTIONS(13816),
    [anon_sym_macro] = ACTIONS(13816),
    [anon_sym_where] = ACTIONS(13816),
    [anon_sym_quote] = ACTIONS(13816),
    [anon_sym_let] = ACTIONS(13816),
    [anon_sym_if] = ACTIONS(13816),
    [anon_sym_try] = ACTIONS(13816),
    [anon_sym_for] = ACTIONS(13816),
    [anon_sym_while] = ACTIONS(13816),
    [sym_break_statement] = ACTIONS(13816),
    [sym_continue_statement] = ACTIONS(13816),
    [anon_sym_return] = ACTIONS(13816),
    [anon_sym_const] = ACTIONS(13816),
    [anon_sym_global] = ACTIONS(13816),
    [anon_sym_local] = ACTIONS(13816),
    [anon_sym_LPAREN] = ACTIONS(13816),
    [anon_sym_RPAREN] = ACTIONS(13816),
    [anon_sym_COLON2] = ACTIONS(13816),
    [anon_sym_export] = ACTIONS(13816),
    [anon_sym_import] = ACTIONS(13816),
    [anon_sym_using] = ACTIONS(13816),
    [anon_sym_LBRACK] = ACTIONS(13816),
    [anon_sym_LF] = ACTIONS(13818),
    [anon_sym_in] = ACTIONS(13816),
    [anon_sym_SEMI] = ACTIONS(13816),
    [anon_sym_LBRACE] = ACTIONS(13816),
    [anon_sym_DOLLAR] = ACTIONS(13816),
    [anon_sym_COLON_COLON] = ACTIONS(13816),
    [anon_sym_isa] = ACTIONS(13816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13816),
    [anon_sym_QMARK] = ACTIONS(13816),
    [anon_sym_AT] = ACTIONS(13816),
    [anon_sym_true] = ACTIONS(13816),
    [anon_sym_false] = ACTIONS(13816),
    [aux_sym_integer_literal_token1] = ACTIONS(13816),
    [aux_sym_integer_literal_token2] = ACTIONS(13816),
    [aux_sym_integer_literal_token3] = ACTIONS(13816),
    [aux_sym_integer_literal_token4] = ACTIONS(13816),
    [aux_sym_float_literal_token1] = ACTIONS(13816),
    [aux_sym_float_literal_token3] = ACTIONS(13816),
    [aux_sym_float_literal_token4] = ACTIONS(13816),
    [sym_character_literal] = ACTIONS(13816),
    [sym__pair_operator] = ACTIONS(13816),
    [sym__arrow_operator] = ACTIONS(13816),
    [sym__lazy_or_operator] = ACTIONS(13816),
    [sym__lazy_and_operator] = ACTIONS(13816),
    [sym__comparison_operator] = ACTIONS(13816),
    [sym__pipe_right_operator] = ACTIONS(13816),
    [sym__pipe_left_operator] = ACTIONS(13816),
    [sym__ellipsis_operator] = ACTIONS(13816),
    [sym__plus_operator] = ACTIONS(13816),
    [sym__times_operator] = ACTIONS(13816),
    [sym__rational_operator] = ACTIONS(13816),
    [sym__bitshift_operator] = ACTIONS(13816),
    [sym__power_operator] = ACTIONS(13816),
    [sym__tilde_operator] = ACTIONS(13816),
    [sym__type_order_operator] = ACTIONS(13816),
    [sym__unary_operator] = ACTIONS(13816),
    [sym__unary_plus_operator] = ACTIONS(13816),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13818),
    [sym__command_start] = ACTIONS(13818),
  },
  [8829] = {
    [sym__word_identifier] = ACTIONS(13912),
    [anon_sym_EQ] = ACTIONS(13912),
    [anon_sym_COMMA] = ACTIONS(13912),
    [anon_sym_COLON] = ACTIONS(13912),
    [anon_sym_begin] = ACTIONS(13912),
    [anon_sym_module] = ACTIONS(13912),
    [anon_sym_baremodule] = ACTIONS(13912),
    [anon_sym_abstract] = ACTIONS(13912),
    [anon_sym_primitive] = ACTIONS(13912),
    [anon_sym_mutable] = ACTIONS(13912),
    [anon_sym_struct] = ACTIONS(13912),
    [anon_sym_function] = ACTIONS(13912),
    [anon_sym_macro] = ACTIONS(13912),
    [anon_sym_where] = ACTIONS(13912),
    [anon_sym_quote] = ACTIONS(13912),
    [anon_sym_let] = ACTIONS(13912),
    [anon_sym_if] = ACTIONS(13912),
    [anon_sym_try] = ACTIONS(13912),
    [anon_sym_for] = ACTIONS(13912),
    [anon_sym_while] = ACTIONS(13912),
    [sym_break_statement] = ACTIONS(13912),
    [sym_continue_statement] = ACTIONS(13912),
    [anon_sym_return] = ACTIONS(13912),
    [anon_sym_const] = ACTIONS(13912),
    [anon_sym_global] = ACTIONS(13912),
    [anon_sym_local] = ACTIONS(13912),
    [anon_sym_LPAREN] = ACTIONS(13912),
    [anon_sym_RPAREN] = ACTIONS(13912),
    [anon_sym_COLON2] = ACTIONS(13912),
    [anon_sym_export] = ACTIONS(13912),
    [anon_sym_import] = ACTIONS(13912),
    [anon_sym_using] = ACTIONS(13912),
    [anon_sym_LBRACK] = ACTIONS(13912),
    [anon_sym_LF] = ACTIONS(13914),
    [anon_sym_in] = ACTIONS(13912),
    [anon_sym_SEMI] = ACTIONS(13912),
    [anon_sym_LBRACE] = ACTIONS(13912),
    [anon_sym_DOLLAR] = ACTIONS(13912),
    [anon_sym_COLON_COLON] = ACTIONS(13912),
    [anon_sym_isa] = ACTIONS(13912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13912),
    [anon_sym_QMARK] = ACTIONS(13912),
    [anon_sym_AT] = ACTIONS(13912),
    [anon_sym_true] = ACTIONS(13912),
    [anon_sym_false] = ACTIONS(13912),
    [aux_sym_integer_literal_token1] = ACTIONS(13912),
    [aux_sym_integer_literal_token2] = ACTIONS(13912),
    [aux_sym_integer_literal_token3] = ACTIONS(13912),
    [aux_sym_integer_literal_token4] = ACTIONS(13912),
    [aux_sym_float_literal_token1] = ACTIONS(13912),
    [aux_sym_float_literal_token3] = ACTIONS(13912),
    [aux_sym_float_literal_token4] = ACTIONS(13912),
    [sym_character_literal] = ACTIONS(13912),
    [sym__pair_operator] = ACTIONS(13912),
    [sym__arrow_operator] = ACTIONS(13912),
    [sym__lazy_or_operator] = ACTIONS(13912),
    [sym__lazy_and_operator] = ACTIONS(13912),
    [sym__comparison_operator] = ACTIONS(13912),
    [sym__pipe_right_operator] = ACTIONS(13912),
    [sym__pipe_left_operator] = ACTIONS(13912),
    [sym__ellipsis_operator] = ACTIONS(13912),
    [sym__plus_operator] = ACTIONS(13912),
    [sym__times_operator] = ACTIONS(13912),
    [sym__rational_operator] = ACTIONS(13912),
    [sym__bitshift_operator] = ACTIONS(13912),
    [sym__power_operator] = ACTIONS(13912),
    [sym__tilde_operator] = ACTIONS(13912),
    [sym__type_order_operator] = ACTIONS(13912),
    [sym__unary_operator] = ACTIONS(13912),
    [sym__unary_plus_operator] = ACTIONS(13912),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13914),
    [sym__command_start] = ACTIONS(13914),
  },
  [8830] = {
    [sym__word_identifier] = ACTIONS(13484),
    [anon_sym_EQ] = ACTIONS(13484),
    [anon_sym_COMMA] = ACTIONS(13484),
    [anon_sym_COLON] = ACTIONS(13484),
    [anon_sym_begin] = ACTIONS(13484),
    [anon_sym_module] = ACTIONS(13484),
    [anon_sym_baremodule] = ACTIONS(13484),
    [anon_sym_end] = ACTIONS(13484),
    [anon_sym_abstract] = ACTIONS(13484),
    [anon_sym_primitive] = ACTIONS(13484),
    [anon_sym_mutable] = ACTIONS(13484),
    [anon_sym_struct] = ACTIONS(13484),
    [anon_sym_function] = ACTIONS(13484),
    [anon_sym_macro] = ACTIONS(13484),
    [anon_sym_where] = ACTIONS(13484),
    [anon_sym_quote] = ACTIONS(13484),
    [anon_sym_let] = ACTIONS(13484),
    [anon_sym_if] = ACTIONS(13484),
    [anon_sym_try] = ACTIONS(13484),
    [anon_sym_for] = ACTIONS(13484),
    [anon_sym_while] = ACTIONS(13484),
    [sym_break_statement] = ACTIONS(13484),
    [sym_continue_statement] = ACTIONS(13484),
    [anon_sym_return] = ACTIONS(13484),
    [anon_sym_const] = ACTIONS(13484),
    [anon_sym_global] = ACTIONS(13484),
    [anon_sym_local] = ACTIONS(13484),
    [anon_sym_LPAREN] = ACTIONS(13484),
    [anon_sym_COLON2] = ACTIONS(13484),
    [anon_sym_export] = ACTIONS(13484),
    [anon_sym_import] = ACTIONS(13484),
    [anon_sym_using] = ACTIONS(13484),
    [anon_sym_LBRACK] = ACTIONS(13484),
    [anon_sym_LF] = ACTIONS(13486),
    [anon_sym_in] = ACTIONS(13484),
    [anon_sym_LBRACE] = ACTIONS(13484),
    [anon_sym_DOLLAR] = ACTIONS(13484),
    [anon_sym_COLON_COLON] = ACTIONS(13484),
    [anon_sym_isa] = ACTIONS(13484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13484),
    [anon_sym_QMARK] = ACTIONS(13484),
    [anon_sym_AT] = ACTIONS(13484),
    [anon_sym_true] = ACTIONS(13484),
    [anon_sym_false] = ACTIONS(13484),
    [aux_sym_integer_literal_token1] = ACTIONS(13484),
    [aux_sym_integer_literal_token2] = ACTIONS(13484),
    [aux_sym_integer_literal_token3] = ACTIONS(13484),
    [aux_sym_integer_literal_token4] = ACTIONS(13484),
    [aux_sym_float_literal_token1] = ACTIONS(13484),
    [aux_sym_float_literal_token3] = ACTIONS(13484),
    [aux_sym_float_literal_token4] = ACTIONS(13484),
    [sym_character_literal] = ACTIONS(13484),
    [sym__pair_operator] = ACTIONS(13484),
    [sym__arrow_operator] = ACTIONS(13484),
    [sym__lazy_or_operator] = ACTIONS(13484),
    [sym__lazy_and_operator] = ACTIONS(13484),
    [sym__comparison_operator] = ACTIONS(13484),
    [sym__pipe_right_operator] = ACTIONS(13484),
    [sym__pipe_left_operator] = ACTIONS(13484),
    [sym__ellipsis_operator] = ACTIONS(13484),
    [sym__plus_operator] = ACTIONS(13484),
    [sym__times_operator] = ACTIONS(13484),
    [sym__rational_operator] = ACTIONS(13484),
    [sym__bitshift_operator] = ACTIONS(13484),
    [sym__power_operator] = ACTIONS(13484),
    [sym__tilde_operator] = ACTIONS(13484),
    [sym__type_order_operator] = ACTIONS(13484),
    [sym__unary_operator] = ACTIONS(13484),
    [sym__unary_plus_operator] = ACTIONS(13484),
    [aux_sym__terminator_token1] = ACTIONS(13484),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13486),
    [sym__command_start] = ACTIONS(13486),
  },
  [8831] = {
    [sym__word_identifier] = ACTIONS(13916),
    [anon_sym_EQ] = ACTIONS(13916),
    [anon_sym_COMMA] = ACTIONS(13916),
    [anon_sym_COLON] = ACTIONS(13916),
    [anon_sym_begin] = ACTIONS(13916),
    [anon_sym_module] = ACTIONS(13916),
    [anon_sym_baremodule] = ACTIONS(13916),
    [anon_sym_abstract] = ACTIONS(13916),
    [anon_sym_primitive] = ACTIONS(13916),
    [anon_sym_mutable] = ACTIONS(13916),
    [anon_sym_struct] = ACTIONS(13916),
    [anon_sym_function] = ACTIONS(13916),
    [anon_sym_macro] = ACTIONS(13916),
    [anon_sym_where] = ACTIONS(13916),
    [anon_sym_quote] = ACTIONS(13916),
    [anon_sym_let] = ACTIONS(13916),
    [anon_sym_if] = ACTIONS(13916),
    [anon_sym_try] = ACTIONS(13916),
    [anon_sym_for] = ACTIONS(13916),
    [anon_sym_while] = ACTIONS(13916),
    [sym_break_statement] = ACTIONS(13916),
    [sym_continue_statement] = ACTIONS(13916),
    [anon_sym_return] = ACTIONS(13916),
    [anon_sym_const] = ACTIONS(13916),
    [anon_sym_global] = ACTIONS(13916),
    [anon_sym_local] = ACTIONS(13916),
    [anon_sym_LPAREN] = ACTIONS(13916),
    [anon_sym_RPAREN] = ACTIONS(13916),
    [anon_sym_COLON2] = ACTIONS(13916),
    [anon_sym_export] = ACTIONS(13916),
    [anon_sym_import] = ACTIONS(13916),
    [anon_sym_using] = ACTIONS(13916),
    [anon_sym_LBRACK] = ACTIONS(13916),
    [anon_sym_LF] = ACTIONS(13918),
    [anon_sym_in] = ACTIONS(13916),
    [anon_sym_SEMI] = ACTIONS(13916),
    [anon_sym_LBRACE] = ACTIONS(13916),
    [anon_sym_DOLLAR] = ACTIONS(13916),
    [anon_sym_COLON_COLON] = ACTIONS(13916),
    [anon_sym_isa] = ACTIONS(13916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13916),
    [anon_sym_QMARK] = ACTIONS(13916),
    [anon_sym_AT] = ACTIONS(13916),
    [anon_sym_true] = ACTIONS(13916),
    [anon_sym_false] = ACTIONS(13916),
    [aux_sym_integer_literal_token1] = ACTIONS(13916),
    [aux_sym_integer_literal_token2] = ACTIONS(13916),
    [aux_sym_integer_literal_token3] = ACTIONS(13916),
    [aux_sym_integer_literal_token4] = ACTIONS(13916),
    [aux_sym_float_literal_token1] = ACTIONS(13916),
    [aux_sym_float_literal_token3] = ACTIONS(13916),
    [aux_sym_float_literal_token4] = ACTIONS(13916),
    [sym_character_literal] = ACTIONS(13916),
    [sym__pair_operator] = ACTIONS(13916),
    [sym__arrow_operator] = ACTIONS(13916),
    [sym__lazy_or_operator] = ACTIONS(13916),
    [sym__lazy_and_operator] = ACTIONS(13916),
    [sym__comparison_operator] = ACTIONS(13916),
    [sym__pipe_right_operator] = ACTIONS(13916),
    [sym__pipe_left_operator] = ACTIONS(13916),
    [sym__ellipsis_operator] = ACTIONS(13916),
    [sym__plus_operator] = ACTIONS(13916),
    [sym__times_operator] = ACTIONS(13916),
    [sym__rational_operator] = ACTIONS(13916),
    [sym__bitshift_operator] = ACTIONS(13916),
    [sym__power_operator] = ACTIONS(13916),
    [sym__tilde_operator] = ACTIONS(13916),
    [sym__type_order_operator] = ACTIONS(13916),
    [sym__unary_operator] = ACTIONS(13916),
    [sym__unary_plus_operator] = ACTIONS(13916),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13918),
    [sym__command_start] = ACTIONS(13918),
  },
  [8832] = {
    [sym__word_identifier] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13943),
    [anon_sym_COLON] = ACTIONS(13943),
    [anon_sym_begin] = ACTIONS(13943),
    [anon_sym_module] = ACTIONS(13943),
    [anon_sym_baremodule] = ACTIONS(13943),
    [anon_sym_abstract] = ACTIONS(13943),
    [anon_sym_primitive] = ACTIONS(13943),
    [anon_sym_mutable] = ACTIONS(13943),
    [anon_sym_struct] = ACTIONS(13943),
    [anon_sym_function] = ACTIONS(13943),
    [anon_sym_macro] = ACTIONS(13943),
    [anon_sym_where] = ACTIONS(13943),
    [anon_sym_quote] = ACTIONS(13943),
    [anon_sym_let] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13943),
    [anon_sym_try] = ACTIONS(13943),
    [anon_sym_for] = ACTIONS(13943),
    [anon_sym_while] = ACTIONS(13943),
    [sym_break_statement] = ACTIONS(13943),
    [sym_continue_statement] = ACTIONS(13943),
    [anon_sym_return] = ACTIONS(13943),
    [anon_sym_const] = ACTIONS(13943),
    [anon_sym_global] = ACTIONS(13943),
    [anon_sym_local] = ACTIONS(13943),
    [anon_sym_LPAREN] = ACTIONS(13943),
    [anon_sym_RPAREN] = ACTIONS(13943),
    [anon_sym_COLON2] = ACTIONS(13943),
    [anon_sym_export] = ACTIONS(13943),
    [anon_sym_import] = ACTIONS(13943),
    [anon_sym_using] = ACTIONS(13943),
    [anon_sym_LBRACK] = ACTIONS(13943),
    [anon_sym_LF] = ACTIONS(13945),
    [anon_sym_in] = ACTIONS(13943),
    [anon_sym_SEMI] = ACTIONS(13943),
    [anon_sym_LBRACE] = ACTIONS(13943),
    [anon_sym_DOLLAR] = ACTIONS(13943),
    [anon_sym_COLON_COLON] = ACTIONS(13943),
    [anon_sym_isa] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13943),
    [anon_sym_QMARK] = ACTIONS(13943),
    [anon_sym_AT] = ACTIONS(13943),
    [anon_sym_true] = ACTIONS(13943),
    [anon_sym_false] = ACTIONS(13943),
    [aux_sym_integer_literal_token1] = ACTIONS(13943),
    [aux_sym_integer_literal_token2] = ACTIONS(13943),
    [aux_sym_integer_literal_token3] = ACTIONS(13943),
    [aux_sym_integer_literal_token4] = ACTIONS(13943),
    [aux_sym_float_literal_token1] = ACTIONS(13943),
    [aux_sym_float_literal_token3] = ACTIONS(13943),
    [aux_sym_float_literal_token4] = ACTIONS(13943),
    [sym_character_literal] = ACTIONS(13943),
    [sym__pair_operator] = ACTIONS(13943),
    [sym__arrow_operator] = ACTIONS(13943),
    [sym__lazy_or_operator] = ACTIONS(13943),
    [sym__lazy_and_operator] = ACTIONS(13943),
    [sym__comparison_operator] = ACTIONS(13943),
    [sym__pipe_right_operator] = ACTIONS(13943),
    [sym__pipe_left_operator] = ACTIONS(13943),
    [sym__ellipsis_operator] = ACTIONS(13943),
    [sym__plus_operator] = ACTIONS(13943),
    [sym__times_operator] = ACTIONS(13943),
    [sym__rational_operator] = ACTIONS(13943),
    [sym__bitshift_operator] = ACTIONS(13943),
    [sym__power_operator] = ACTIONS(13943),
    [sym__tilde_operator] = ACTIONS(13943),
    [sym__type_order_operator] = ACTIONS(13943),
    [sym__unary_operator] = ACTIONS(13943),
    [sym__unary_plus_operator] = ACTIONS(13943),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13945),
    [sym__command_start] = ACTIONS(13945),
  },
  [8833] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_RPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_SEMI] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8834] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13236),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13236),
    [anon_sym_RPAREN] = ACTIONS(13236),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13236),
    [anon_sym_LBRACE] = ACTIONS(13236),
    [anon_sym_DOLLAR] = ACTIONS(13236),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_AT] = ACTIONS(13236),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13236),
    [aux_sym_integer_literal_token2] = ACTIONS(13236),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13236),
    [aux_sym_float_literal_token3] = ACTIONS(13236),
    [aux_sym_float_literal_token4] = ACTIONS(13236),
    [sym_character_literal] = ACTIONS(13236),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13236),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8835] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8836] = {
    [sym__word_identifier] = ACTIONS(13400),
    [anon_sym_EQ] = ACTIONS(13400),
    [anon_sym_COMMA] = ACTIONS(13400),
    [anon_sym_COLON] = ACTIONS(13400),
    [anon_sym_begin] = ACTIONS(13400),
    [anon_sym_module] = ACTIONS(13400),
    [anon_sym_baremodule] = ACTIONS(13400),
    [anon_sym_abstract] = ACTIONS(13400),
    [anon_sym_primitive] = ACTIONS(13400),
    [anon_sym_mutable] = ACTIONS(13400),
    [anon_sym_struct] = ACTIONS(13400),
    [anon_sym_function] = ACTIONS(13400),
    [anon_sym_macro] = ACTIONS(13400),
    [anon_sym_where] = ACTIONS(13400),
    [anon_sym_quote] = ACTIONS(13400),
    [anon_sym_let] = ACTIONS(13400),
    [anon_sym_if] = ACTIONS(13400),
    [anon_sym_try] = ACTIONS(13400),
    [anon_sym_for] = ACTIONS(13400),
    [anon_sym_while] = ACTIONS(13400),
    [sym_break_statement] = ACTIONS(13400),
    [sym_continue_statement] = ACTIONS(13400),
    [anon_sym_return] = ACTIONS(13400),
    [anon_sym_const] = ACTIONS(13400),
    [anon_sym_global] = ACTIONS(13400),
    [anon_sym_local] = ACTIONS(13400),
    [anon_sym_LPAREN] = ACTIONS(13400),
    [anon_sym_RPAREN] = ACTIONS(13400),
    [anon_sym_COLON2] = ACTIONS(13400),
    [anon_sym_export] = ACTIONS(13400),
    [anon_sym_import] = ACTIONS(13400),
    [anon_sym_using] = ACTIONS(13400),
    [anon_sym_LBRACK] = ACTIONS(13400),
    [anon_sym_LF] = ACTIONS(13402),
    [anon_sym_in] = ACTIONS(13400),
    [anon_sym_SEMI] = ACTIONS(13400),
    [anon_sym_LBRACE] = ACTIONS(13400),
    [anon_sym_DOLLAR] = ACTIONS(13400),
    [anon_sym_COLON_COLON] = ACTIONS(13400),
    [anon_sym_isa] = ACTIONS(13400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13400),
    [anon_sym_QMARK] = ACTIONS(13400),
    [anon_sym_AT] = ACTIONS(13400),
    [anon_sym_true] = ACTIONS(13400),
    [anon_sym_false] = ACTIONS(13400),
    [aux_sym_integer_literal_token1] = ACTIONS(13400),
    [aux_sym_integer_literal_token2] = ACTIONS(13400),
    [aux_sym_integer_literal_token3] = ACTIONS(13400),
    [aux_sym_integer_literal_token4] = ACTIONS(13400),
    [aux_sym_float_literal_token1] = ACTIONS(13400),
    [aux_sym_float_literal_token3] = ACTIONS(13400),
    [aux_sym_float_literal_token4] = ACTIONS(13400),
    [sym_character_literal] = ACTIONS(13400),
    [sym__pair_operator] = ACTIONS(13400),
    [sym__arrow_operator] = ACTIONS(13400),
    [sym__lazy_or_operator] = ACTIONS(13400),
    [sym__lazy_and_operator] = ACTIONS(13400),
    [sym__comparison_operator] = ACTIONS(13400),
    [sym__pipe_right_operator] = ACTIONS(13400),
    [sym__pipe_left_operator] = ACTIONS(13400),
    [sym__ellipsis_operator] = ACTIONS(13400),
    [sym__plus_operator] = ACTIONS(13400),
    [sym__times_operator] = ACTIONS(13400),
    [sym__rational_operator] = ACTIONS(13400),
    [sym__bitshift_operator] = ACTIONS(13400),
    [sym__power_operator] = ACTIONS(13400),
    [sym__tilde_operator] = ACTIONS(13400),
    [sym__type_order_operator] = ACTIONS(13400),
    [sym__unary_operator] = ACTIONS(13400),
    [sym__unary_plus_operator] = ACTIONS(13400),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13402),
    [sym__command_start] = ACTIONS(13402),
  },
  [8837] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8838] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13240),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13240),
    [anon_sym_RPAREN] = ACTIONS(13240),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13240),
    [anon_sym_LBRACE] = ACTIONS(13240),
    [anon_sym_DOLLAR] = ACTIONS(13240),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_AT] = ACTIONS(13240),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13240),
    [aux_sym_integer_literal_token2] = ACTIONS(13240),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13240),
    [aux_sym_float_literal_token3] = ACTIONS(13240),
    [aux_sym_float_literal_token4] = ACTIONS(13240),
    [sym_character_literal] = ACTIONS(13240),
    [sym__pair_operator] = ACTIONS(13240),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13240),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8839] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8840] = {
    [sym__word_identifier] = ACTIONS(13282),
    [anon_sym_EQ] = ACTIONS(13282),
    [anon_sym_COMMA] = ACTIONS(13282),
    [anon_sym_COLON] = ACTIONS(13282),
    [anon_sym_begin] = ACTIONS(13282),
    [anon_sym_module] = ACTIONS(13282),
    [anon_sym_baremodule] = ACTIONS(13282),
    [anon_sym_abstract] = ACTIONS(13282),
    [anon_sym_primitive] = ACTIONS(13282),
    [anon_sym_mutable] = ACTIONS(13282),
    [anon_sym_struct] = ACTIONS(13282),
    [anon_sym_function] = ACTIONS(13282),
    [anon_sym_macro] = ACTIONS(13282),
    [anon_sym_where] = ACTIONS(13282),
    [anon_sym_quote] = ACTIONS(13282),
    [anon_sym_let] = ACTIONS(13282),
    [anon_sym_if] = ACTIONS(13282),
    [anon_sym_try] = ACTIONS(13282),
    [anon_sym_for] = ACTIONS(13282),
    [anon_sym_while] = ACTIONS(13282),
    [sym_break_statement] = ACTIONS(13282),
    [sym_continue_statement] = ACTIONS(13282),
    [anon_sym_return] = ACTIONS(13282),
    [anon_sym_const] = ACTIONS(13282),
    [anon_sym_global] = ACTIONS(13282),
    [anon_sym_local] = ACTIONS(13282),
    [anon_sym_LPAREN] = ACTIONS(13282),
    [anon_sym_RPAREN] = ACTIONS(13282),
    [anon_sym_COLON2] = ACTIONS(13282),
    [anon_sym_export] = ACTIONS(13282),
    [anon_sym_import] = ACTIONS(13282),
    [anon_sym_using] = ACTIONS(13282),
    [anon_sym_LBRACK] = ACTIONS(13282),
    [anon_sym_LF] = ACTIONS(13284),
    [anon_sym_in] = ACTIONS(13282),
    [anon_sym_SEMI] = ACTIONS(13282),
    [anon_sym_LBRACE] = ACTIONS(13282),
    [anon_sym_DOLLAR] = ACTIONS(13282),
    [anon_sym_COLON_COLON] = ACTIONS(13282),
    [anon_sym_isa] = ACTIONS(13282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13282),
    [anon_sym_QMARK] = ACTIONS(13282),
    [anon_sym_AT] = ACTIONS(13282),
    [anon_sym_true] = ACTIONS(13282),
    [anon_sym_false] = ACTIONS(13282),
    [aux_sym_integer_literal_token1] = ACTIONS(13282),
    [aux_sym_integer_literal_token2] = ACTIONS(13282),
    [aux_sym_integer_literal_token3] = ACTIONS(13282),
    [aux_sym_integer_literal_token4] = ACTIONS(13282),
    [aux_sym_float_literal_token1] = ACTIONS(13282),
    [aux_sym_float_literal_token3] = ACTIONS(13282),
    [aux_sym_float_literal_token4] = ACTIONS(13282),
    [sym_character_literal] = ACTIONS(13282),
    [sym__pair_operator] = ACTIONS(13282),
    [sym__arrow_operator] = ACTIONS(13282),
    [sym__lazy_or_operator] = ACTIONS(13282),
    [sym__lazy_and_operator] = ACTIONS(13282),
    [sym__comparison_operator] = ACTIONS(13282),
    [sym__pipe_right_operator] = ACTIONS(13282),
    [sym__pipe_left_operator] = ACTIONS(13282),
    [sym__ellipsis_operator] = ACTIONS(13282),
    [sym__plus_operator] = ACTIONS(13282),
    [sym__times_operator] = ACTIONS(13282),
    [sym__rational_operator] = ACTIONS(13282),
    [sym__bitshift_operator] = ACTIONS(13282),
    [sym__power_operator] = ACTIONS(13282),
    [sym__tilde_operator] = ACTIONS(13282),
    [sym__type_order_operator] = ACTIONS(13282),
    [sym__unary_operator] = ACTIONS(13282),
    [sym__unary_plus_operator] = ACTIONS(13282),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13284),
    [sym__command_start] = ACTIONS(13284),
  },
  [8841] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_RPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_SEMI] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8842] = {
    [aux_sym_open_tuple_repeat1] = STATE(9081),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(14786),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13094),
    [anon_sym_RPAREN] = ACTIONS(13094),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13094),
    [anon_sym_LBRACE] = ACTIONS(13094),
    [anon_sym_DOLLAR] = ACTIONS(13094),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_AT] = ACTIONS(13094),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13094),
    [aux_sym_integer_literal_token2] = ACTIONS(13094),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13094),
    [aux_sym_float_literal_token3] = ACTIONS(13094),
    [aux_sym_float_literal_token4] = ACTIONS(13094),
    [sym_character_literal] = ACTIONS(13094),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13094),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8843] = {
    [sym__word_identifier] = ACTIONS(13953),
    [anon_sym_EQ] = ACTIONS(13953),
    [anon_sym_COMMA] = ACTIONS(13953),
    [anon_sym_COLON] = ACTIONS(13953),
    [anon_sym_begin] = ACTIONS(13953),
    [anon_sym_module] = ACTIONS(13953),
    [anon_sym_baremodule] = ACTIONS(13953),
    [anon_sym_abstract] = ACTIONS(13953),
    [anon_sym_primitive] = ACTIONS(13953),
    [anon_sym_mutable] = ACTIONS(13953),
    [anon_sym_struct] = ACTIONS(13953),
    [anon_sym_function] = ACTIONS(13953),
    [anon_sym_macro] = ACTIONS(13953),
    [anon_sym_where] = ACTIONS(13953),
    [anon_sym_quote] = ACTIONS(13953),
    [anon_sym_let] = ACTIONS(13953),
    [anon_sym_if] = ACTIONS(13953),
    [anon_sym_try] = ACTIONS(13953),
    [anon_sym_for] = ACTIONS(13953),
    [anon_sym_while] = ACTIONS(13953),
    [sym_break_statement] = ACTIONS(13953),
    [sym_continue_statement] = ACTIONS(13953),
    [anon_sym_return] = ACTIONS(13953),
    [anon_sym_const] = ACTIONS(13953),
    [anon_sym_global] = ACTIONS(13953),
    [anon_sym_local] = ACTIONS(13953),
    [anon_sym_LPAREN] = ACTIONS(13953),
    [anon_sym_RPAREN] = ACTIONS(13953),
    [anon_sym_COLON2] = ACTIONS(13953),
    [anon_sym_export] = ACTIONS(13953),
    [anon_sym_import] = ACTIONS(13953),
    [anon_sym_using] = ACTIONS(13953),
    [anon_sym_LBRACK] = ACTIONS(13953),
    [anon_sym_LF] = ACTIONS(13955),
    [anon_sym_in] = ACTIONS(13953),
    [anon_sym_SEMI] = ACTIONS(13953),
    [anon_sym_LBRACE] = ACTIONS(13953),
    [anon_sym_DOLLAR] = ACTIONS(13953),
    [anon_sym_COLON_COLON] = ACTIONS(13953),
    [anon_sym_isa] = ACTIONS(13953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13953),
    [anon_sym_QMARK] = ACTIONS(13953),
    [anon_sym_AT] = ACTIONS(13953),
    [anon_sym_true] = ACTIONS(13953),
    [anon_sym_false] = ACTIONS(13953),
    [aux_sym_integer_literal_token1] = ACTIONS(13953),
    [aux_sym_integer_literal_token2] = ACTIONS(13953),
    [aux_sym_integer_literal_token3] = ACTIONS(13953),
    [aux_sym_integer_literal_token4] = ACTIONS(13953),
    [aux_sym_float_literal_token1] = ACTIONS(13953),
    [aux_sym_float_literal_token3] = ACTIONS(13953),
    [aux_sym_float_literal_token4] = ACTIONS(13953),
    [sym_character_literal] = ACTIONS(13953),
    [sym__pair_operator] = ACTIONS(13953),
    [sym__arrow_operator] = ACTIONS(13953),
    [sym__lazy_or_operator] = ACTIONS(13953),
    [sym__lazy_and_operator] = ACTIONS(13953),
    [sym__comparison_operator] = ACTIONS(13953),
    [sym__pipe_right_operator] = ACTIONS(13953),
    [sym__pipe_left_operator] = ACTIONS(13953),
    [sym__ellipsis_operator] = ACTIONS(13953),
    [sym__plus_operator] = ACTIONS(13953),
    [sym__times_operator] = ACTIONS(13953),
    [sym__rational_operator] = ACTIONS(13953),
    [sym__bitshift_operator] = ACTIONS(13953),
    [sym__power_operator] = ACTIONS(13953),
    [sym__tilde_operator] = ACTIONS(13953),
    [sym__type_order_operator] = ACTIONS(13953),
    [sym__unary_operator] = ACTIONS(13953),
    [sym__unary_plus_operator] = ACTIONS(13953),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13955),
    [sym__command_start] = ACTIONS(13955),
  },
  [8844] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(14846),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_finally] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(14848),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(14850),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(14850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(14620),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(14852),
    [sym__arrow_operator] = ACTIONS(14854),
    [sym__lazy_or_operator] = ACTIONS(14856),
    [sym__lazy_and_operator] = ACTIONS(14858),
    [sym__comparison_operator] = ACTIONS(14850),
    [sym__pipe_right_operator] = ACTIONS(14860),
    [sym__pipe_left_operator] = ACTIONS(14862),
    [sym__ellipsis_operator] = ACTIONS(14864),
    [sym__plus_operator] = ACTIONS(14866),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(14850),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14866),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [8845] = {
    [aux_sym_open_tuple_repeat1] = STATE(9081),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(14786),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13060),
    [anon_sym_RPAREN] = ACTIONS(13060),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13060),
    [anon_sym_LBRACE] = ACTIONS(13060),
    [anon_sym_DOLLAR] = ACTIONS(13060),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_AT] = ACTIONS(13060),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13060),
    [aux_sym_integer_literal_token2] = ACTIONS(13060),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13060),
    [aux_sym_float_literal_token3] = ACTIONS(13060),
    [aux_sym_float_literal_token4] = ACTIONS(13060),
    [sym_character_literal] = ACTIONS(13060),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13060),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8846] = {
    [sym__word_identifier] = ACTIONS(13560),
    [anon_sym_EQ] = ACTIONS(13560),
    [anon_sym_COMMA] = ACTIONS(13560),
    [anon_sym_COLON] = ACTIONS(13560),
    [anon_sym_begin] = ACTIONS(13560),
    [anon_sym_module] = ACTIONS(13560),
    [anon_sym_baremodule] = ACTIONS(13560),
    [anon_sym_abstract] = ACTIONS(13560),
    [anon_sym_primitive] = ACTIONS(13560),
    [anon_sym_mutable] = ACTIONS(13560),
    [anon_sym_struct] = ACTIONS(13560),
    [anon_sym_function] = ACTIONS(13560),
    [anon_sym_macro] = ACTIONS(13560),
    [anon_sym_where] = ACTIONS(13560),
    [anon_sym_quote] = ACTIONS(13560),
    [anon_sym_let] = ACTIONS(13560),
    [anon_sym_if] = ACTIONS(13560),
    [anon_sym_try] = ACTIONS(13560),
    [anon_sym_for] = ACTIONS(13560),
    [anon_sym_while] = ACTIONS(13560),
    [sym_break_statement] = ACTIONS(13560),
    [sym_continue_statement] = ACTIONS(13560),
    [anon_sym_return] = ACTIONS(13560),
    [anon_sym_const] = ACTIONS(13560),
    [anon_sym_global] = ACTIONS(13560),
    [anon_sym_local] = ACTIONS(13560),
    [anon_sym_LPAREN] = ACTIONS(13560),
    [anon_sym_RPAREN] = ACTIONS(13560),
    [anon_sym_COLON2] = ACTIONS(13560),
    [anon_sym_export] = ACTIONS(13560),
    [anon_sym_import] = ACTIONS(13560),
    [anon_sym_using] = ACTIONS(13560),
    [anon_sym_LBRACK] = ACTIONS(13560),
    [anon_sym_LF] = ACTIONS(13562),
    [anon_sym_in] = ACTIONS(13560),
    [anon_sym_SEMI] = ACTIONS(13560),
    [anon_sym_LBRACE] = ACTIONS(13560),
    [anon_sym_DOLLAR] = ACTIONS(13560),
    [anon_sym_COLON_COLON] = ACTIONS(13560),
    [anon_sym_isa] = ACTIONS(13560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13560),
    [anon_sym_QMARK] = ACTIONS(13560),
    [anon_sym_AT] = ACTIONS(13560),
    [anon_sym_true] = ACTIONS(13560),
    [anon_sym_false] = ACTIONS(13560),
    [aux_sym_integer_literal_token1] = ACTIONS(13560),
    [aux_sym_integer_literal_token2] = ACTIONS(13560),
    [aux_sym_integer_literal_token3] = ACTIONS(13560),
    [aux_sym_integer_literal_token4] = ACTIONS(13560),
    [aux_sym_float_literal_token1] = ACTIONS(13560),
    [aux_sym_float_literal_token3] = ACTIONS(13560),
    [aux_sym_float_literal_token4] = ACTIONS(13560),
    [sym_character_literal] = ACTIONS(13560),
    [sym__pair_operator] = ACTIONS(13560),
    [sym__arrow_operator] = ACTIONS(13560),
    [sym__lazy_or_operator] = ACTIONS(13560),
    [sym__lazy_and_operator] = ACTIONS(13560),
    [sym__comparison_operator] = ACTIONS(13560),
    [sym__pipe_right_operator] = ACTIONS(13560),
    [sym__pipe_left_operator] = ACTIONS(13560),
    [sym__ellipsis_operator] = ACTIONS(13560),
    [sym__plus_operator] = ACTIONS(13560),
    [sym__times_operator] = ACTIONS(13560),
    [sym__rational_operator] = ACTIONS(13560),
    [sym__bitshift_operator] = ACTIONS(13560),
    [sym__power_operator] = ACTIONS(13560),
    [sym__tilde_operator] = ACTIONS(13560),
    [sym__type_order_operator] = ACTIONS(13560),
    [sym__unary_operator] = ACTIONS(13560),
    [sym__unary_plus_operator] = ACTIONS(13560),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13562),
    [sym__command_start] = ACTIONS(13562),
  },
  [8847] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8848] = {
    [sym__word_identifier] = ACTIONS(13632),
    [anon_sym_EQ] = ACTIONS(13632),
    [anon_sym_COMMA] = ACTIONS(13632),
    [anon_sym_COLON] = ACTIONS(13632),
    [anon_sym_begin] = ACTIONS(13632),
    [anon_sym_module] = ACTIONS(13632),
    [anon_sym_baremodule] = ACTIONS(13632),
    [anon_sym_abstract] = ACTIONS(13632),
    [anon_sym_primitive] = ACTIONS(13632),
    [anon_sym_mutable] = ACTIONS(13632),
    [anon_sym_struct] = ACTIONS(13632),
    [anon_sym_function] = ACTIONS(13632),
    [anon_sym_macro] = ACTIONS(13632),
    [anon_sym_where] = ACTIONS(13632),
    [anon_sym_quote] = ACTIONS(13632),
    [anon_sym_let] = ACTIONS(13632),
    [anon_sym_if] = ACTIONS(13632),
    [anon_sym_try] = ACTIONS(13632),
    [anon_sym_for] = ACTIONS(13632),
    [anon_sym_while] = ACTIONS(13632),
    [sym_break_statement] = ACTIONS(13632),
    [sym_continue_statement] = ACTIONS(13632),
    [anon_sym_return] = ACTIONS(13632),
    [anon_sym_const] = ACTIONS(13632),
    [anon_sym_global] = ACTIONS(13632),
    [anon_sym_local] = ACTIONS(13632),
    [anon_sym_LPAREN] = ACTIONS(13632),
    [anon_sym_RPAREN] = ACTIONS(13632),
    [anon_sym_COLON2] = ACTIONS(13632),
    [anon_sym_export] = ACTIONS(13632),
    [anon_sym_import] = ACTIONS(13632),
    [anon_sym_using] = ACTIONS(13632),
    [anon_sym_LBRACK] = ACTIONS(13632),
    [anon_sym_LF] = ACTIONS(13634),
    [anon_sym_in] = ACTIONS(13632),
    [anon_sym_SEMI] = ACTIONS(13632),
    [anon_sym_LBRACE] = ACTIONS(13632),
    [anon_sym_DOLLAR] = ACTIONS(13632),
    [anon_sym_COLON_COLON] = ACTIONS(13632),
    [anon_sym_isa] = ACTIONS(13632),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13632),
    [anon_sym_QMARK] = ACTIONS(13632),
    [anon_sym_AT] = ACTIONS(13632),
    [anon_sym_true] = ACTIONS(13632),
    [anon_sym_false] = ACTIONS(13632),
    [aux_sym_integer_literal_token1] = ACTIONS(13632),
    [aux_sym_integer_literal_token2] = ACTIONS(13632),
    [aux_sym_integer_literal_token3] = ACTIONS(13632),
    [aux_sym_integer_literal_token4] = ACTIONS(13632),
    [aux_sym_float_literal_token1] = ACTIONS(13632),
    [aux_sym_float_literal_token3] = ACTIONS(13632),
    [aux_sym_float_literal_token4] = ACTIONS(13632),
    [sym_character_literal] = ACTIONS(13632),
    [sym__pair_operator] = ACTIONS(13632),
    [sym__arrow_operator] = ACTIONS(13632),
    [sym__lazy_or_operator] = ACTIONS(13632),
    [sym__lazy_and_operator] = ACTIONS(13632),
    [sym__comparison_operator] = ACTIONS(13632),
    [sym__pipe_right_operator] = ACTIONS(13632),
    [sym__pipe_left_operator] = ACTIONS(13632),
    [sym__ellipsis_operator] = ACTIONS(13632),
    [sym__plus_operator] = ACTIONS(13632),
    [sym__times_operator] = ACTIONS(13632),
    [sym__rational_operator] = ACTIONS(13632),
    [sym__bitshift_operator] = ACTIONS(13632),
    [sym__power_operator] = ACTIONS(13632),
    [sym__tilde_operator] = ACTIONS(13632),
    [sym__type_order_operator] = ACTIONS(13632),
    [sym__unary_operator] = ACTIONS(13632),
    [sym__unary_plus_operator] = ACTIONS(13632),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13634),
    [sym__command_start] = ACTIONS(13634),
  },
  [8849] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8850] = {
    [sym__word_identifier] = ACTIONS(13656),
    [anon_sym_EQ] = ACTIONS(13656),
    [anon_sym_COMMA] = ACTIONS(13656),
    [anon_sym_COLON] = ACTIONS(13656),
    [anon_sym_begin] = ACTIONS(13656),
    [anon_sym_module] = ACTIONS(13656),
    [anon_sym_baremodule] = ACTIONS(13656),
    [anon_sym_abstract] = ACTIONS(13656),
    [anon_sym_primitive] = ACTIONS(13656),
    [anon_sym_mutable] = ACTIONS(13656),
    [anon_sym_struct] = ACTIONS(13656),
    [anon_sym_function] = ACTIONS(13656),
    [anon_sym_macro] = ACTIONS(13656),
    [anon_sym_where] = ACTIONS(13656),
    [anon_sym_quote] = ACTIONS(13656),
    [anon_sym_let] = ACTIONS(13656),
    [anon_sym_if] = ACTIONS(13656),
    [anon_sym_try] = ACTIONS(13656),
    [anon_sym_for] = ACTIONS(13656),
    [anon_sym_while] = ACTIONS(13656),
    [sym_break_statement] = ACTIONS(13656),
    [sym_continue_statement] = ACTIONS(13656),
    [anon_sym_return] = ACTIONS(13656),
    [anon_sym_const] = ACTIONS(13656),
    [anon_sym_global] = ACTIONS(13656),
    [anon_sym_local] = ACTIONS(13656),
    [anon_sym_LPAREN] = ACTIONS(13656),
    [anon_sym_RPAREN] = ACTIONS(13656),
    [anon_sym_COLON2] = ACTIONS(13656),
    [anon_sym_export] = ACTIONS(13656),
    [anon_sym_import] = ACTIONS(13656),
    [anon_sym_using] = ACTIONS(13656),
    [anon_sym_LBRACK] = ACTIONS(13656),
    [anon_sym_LF] = ACTIONS(13658),
    [anon_sym_in] = ACTIONS(13656),
    [anon_sym_SEMI] = ACTIONS(13656),
    [anon_sym_LBRACE] = ACTIONS(13656),
    [anon_sym_DOLLAR] = ACTIONS(13656),
    [anon_sym_COLON_COLON] = ACTIONS(13656),
    [anon_sym_isa] = ACTIONS(13656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13656),
    [anon_sym_QMARK] = ACTIONS(13656),
    [anon_sym_AT] = ACTIONS(13656),
    [anon_sym_true] = ACTIONS(13656),
    [anon_sym_false] = ACTIONS(13656),
    [aux_sym_integer_literal_token1] = ACTIONS(13656),
    [aux_sym_integer_literal_token2] = ACTIONS(13656),
    [aux_sym_integer_literal_token3] = ACTIONS(13656),
    [aux_sym_integer_literal_token4] = ACTIONS(13656),
    [aux_sym_float_literal_token1] = ACTIONS(13656),
    [aux_sym_float_literal_token3] = ACTIONS(13656),
    [aux_sym_float_literal_token4] = ACTIONS(13656),
    [sym_character_literal] = ACTIONS(13656),
    [sym__pair_operator] = ACTIONS(13656),
    [sym__arrow_operator] = ACTIONS(13656),
    [sym__lazy_or_operator] = ACTIONS(13656),
    [sym__lazy_and_operator] = ACTIONS(13656),
    [sym__comparison_operator] = ACTIONS(13656),
    [sym__pipe_right_operator] = ACTIONS(13656),
    [sym__pipe_left_operator] = ACTIONS(13656),
    [sym__ellipsis_operator] = ACTIONS(13656),
    [sym__plus_operator] = ACTIONS(13656),
    [sym__times_operator] = ACTIONS(13656),
    [sym__rational_operator] = ACTIONS(13656),
    [sym__bitshift_operator] = ACTIONS(13656),
    [sym__power_operator] = ACTIONS(13656),
    [sym__tilde_operator] = ACTIONS(13656),
    [sym__type_order_operator] = ACTIONS(13656),
    [sym__unary_operator] = ACTIONS(13656),
    [sym__unary_plus_operator] = ACTIONS(13656),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13658),
    [sym__command_start] = ACTIONS(13658),
  },
  [8851] = {
    [sym__word_identifier] = ACTIONS(13780),
    [anon_sym_EQ] = ACTIONS(13780),
    [anon_sym_COMMA] = ACTIONS(13780),
    [anon_sym_COLON] = ACTIONS(13780),
    [anon_sym_begin] = ACTIONS(13780),
    [anon_sym_module] = ACTIONS(13780),
    [anon_sym_baremodule] = ACTIONS(13780),
    [anon_sym_end] = ACTIONS(13780),
    [anon_sym_abstract] = ACTIONS(13780),
    [anon_sym_primitive] = ACTIONS(13780),
    [anon_sym_mutable] = ACTIONS(13780),
    [anon_sym_struct] = ACTIONS(13780),
    [anon_sym_function] = ACTIONS(13780),
    [anon_sym_macro] = ACTIONS(13780),
    [anon_sym_where] = ACTIONS(13780),
    [anon_sym_quote] = ACTIONS(13780),
    [anon_sym_let] = ACTIONS(13780),
    [anon_sym_if] = ACTIONS(13780),
    [anon_sym_try] = ACTIONS(13780),
    [anon_sym_for] = ACTIONS(13780),
    [anon_sym_while] = ACTIONS(13780),
    [sym_break_statement] = ACTIONS(13780),
    [sym_continue_statement] = ACTIONS(13780),
    [anon_sym_return] = ACTIONS(13780),
    [anon_sym_const] = ACTIONS(13780),
    [anon_sym_global] = ACTIONS(13780),
    [anon_sym_local] = ACTIONS(13780),
    [anon_sym_LPAREN] = ACTIONS(13780),
    [anon_sym_COLON2] = ACTIONS(13780),
    [anon_sym_export] = ACTIONS(13780),
    [anon_sym_import] = ACTIONS(13780),
    [anon_sym_using] = ACTIONS(13780),
    [anon_sym_LBRACK] = ACTIONS(13780),
    [anon_sym_LF] = ACTIONS(13782),
    [anon_sym_in] = ACTIONS(13780),
    [anon_sym_LBRACE] = ACTIONS(13780),
    [anon_sym_DOLLAR] = ACTIONS(13780),
    [anon_sym_COLON_COLON] = ACTIONS(13780),
    [anon_sym_isa] = ACTIONS(13780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13780),
    [anon_sym_QMARK] = ACTIONS(13780),
    [anon_sym_AT] = ACTIONS(13780),
    [anon_sym_true] = ACTIONS(13780),
    [anon_sym_false] = ACTIONS(13780),
    [aux_sym_integer_literal_token1] = ACTIONS(13780),
    [aux_sym_integer_literal_token2] = ACTIONS(13780),
    [aux_sym_integer_literal_token3] = ACTIONS(13780),
    [aux_sym_integer_literal_token4] = ACTIONS(13780),
    [aux_sym_float_literal_token1] = ACTIONS(13780),
    [aux_sym_float_literal_token3] = ACTIONS(13780),
    [aux_sym_float_literal_token4] = ACTIONS(13780),
    [sym_character_literal] = ACTIONS(13780),
    [sym__pair_operator] = ACTIONS(13780),
    [sym__arrow_operator] = ACTIONS(13780),
    [sym__lazy_or_operator] = ACTIONS(13780),
    [sym__lazy_and_operator] = ACTIONS(13780),
    [sym__comparison_operator] = ACTIONS(13780),
    [sym__pipe_right_operator] = ACTIONS(13780),
    [sym__pipe_left_operator] = ACTIONS(13780),
    [sym__ellipsis_operator] = ACTIONS(13780),
    [sym__plus_operator] = ACTIONS(13780),
    [sym__times_operator] = ACTIONS(13780),
    [sym__rational_operator] = ACTIONS(13780),
    [sym__bitshift_operator] = ACTIONS(13780),
    [sym__power_operator] = ACTIONS(13780),
    [sym__tilde_operator] = ACTIONS(13780),
    [sym__type_order_operator] = ACTIONS(13780),
    [sym__unary_operator] = ACTIONS(13780),
    [sym__unary_plus_operator] = ACTIONS(13780),
    [aux_sym__terminator_token1] = ACTIONS(13780),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13782),
    [sym__command_start] = ACTIONS(13782),
  },
  [8852] = {
    [sym__word_identifier] = ACTIONS(13660),
    [anon_sym_EQ] = ACTIONS(13660),
    [anon_sym_COMMA] = ACTIONS(13660),
    [anon_sym_COLON] = ACTIONS(13660),
    [anon_sym_begin] = ACTIONS(13660),
    [anon_sym_module] = ACTIONS(13660),
    [anon_sym_baremodule] = ACTIONS(13660),
    [anon_sym_abstract] = ACTIONS(13660),
    [anon_sym_primitive] = ACTIONS(13660),
    [anon_sym_mutable] = ACTIONS(13660),
    [anon_sym_struct] = ACTIONS(13660),
    [anon_sym_function] = ACTIONS(13660),
    [anon_sym_macro] = ACTIONS(13660),
    [anon_sym_where] = ACTIONS(13660),
    [anon_sym_quote] = ACTIONS(13660),
    [anon_sym_let] = ACTIONS(13660),
    [anon_sym_if] = ACTIONS(13660),
    [anon_sym_try] = ACTIONS(13660),
    [anon_sym_for] = ACTIONS(13660),
    [anon_sym_while] = ACTIONS(13660),
    [sym_break_statement] = ACTIONS(13660),
    [sym_continue_statement] = ACTIONS(13660),
    [anon_sym_return] = ACTIONS(13660),
    [anon_sym_const] = ACTIONS(13660),
    [anon_sym_global] = ACTIONS(13660),
    [anon_sym_local] = ACTIONS(13660),
    [anon_sym_LPAREN] = ACTIONS(13660),
    [anon_sym_RPAREN] = ACTIONS(13660),
    [anon_sym_COLON2] = ACTIONS(13660),
    [anon_sym_export] = ACTIONS(13660),
    [anon_sym_import] = ACTIONS(13660),
    [anon_sym_using] = ACTIONS(13660),
    [anon_sym_LBRACK] = ACTIONS(13660),
    [anon_sym_LF] = ACTIONS(13662),
    [anon_sym_in] = ACTIONS(13660),
    [anon_sym_SEMI] = ACTIONS(13660),
    [anon_sym_LBRACE] = ACTIONS(13660),
    [anon_sym_DOLLAR] = ACTIONS(13660),
    [anon_sym_COLON_COLON] = ACTIONS(13660),
    [anon_sym_isa] = ACTIONS(13660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13660),
    [anon_sym_QMARK] = ACTIONS(13660),
    [anon_sym_AT] = ACTIONS(13660),
    [anon_sym_true] = ACTIONS(13660),
    [anon_sym_false] = ACTIONS(13660),
    [aux_sym_integer_literal_token1] = ACTIONS(13660),
    [aux_sym_integer_literal_token2] = ACTIONS(13660),
    [aux_sym_integer_literal_token3] = ACTIONS(13660),
    [aux_sym_integer_literal_token4] = ACTIONS(13660),
    [aux_sym_float_literal_token1] = ACTIONS(13660),
    [aux_sym_float_literal_token3] = ACTIONS(13660),
    [aux_sym_float_literal_token4] = ACTIONS(13660),
    [sym_character_literal] = ACTIONS(13660),
    [sym__pair_operator] = ACTIONS(13660),
    [sym__arrow_operator] = ACTIONS(13660),
    [sym__lazy_or_operator] = ACTIONS(13660),
    [sym__lazy_and_operator] = ACTIONS(13660),
    [sym__comparison_operator] = ACTIONS(13660),
    [sym__pipe_right_operator] = ACTIONS(13660),
    [sym__pipe_left_operator] = ACTIONS(13660),
    [sym__ellipsis_operator] = ACTIONS(13660),
    [sym__plus_operator] = ACTIONS(13660),
    [sym__times_operator] = ACTIONS(13660),
    [sym__rational_operator] = ACTIONS(13660),
    [sym__bitshift_operator] = ACTIONS(13660),
    [sym__power_operator] = ACTIONS(13660),
    [sym__tilde_operator] = ACTIONS(13660),
    [sym__type_order_operator] = ACTIONS(13660),
    [sym__unary_operator] = ACTIONS(13660),
    [sym__unary_plus_operator] = ACTIONS(13660),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13662),
    [sym__command_start] = ACTIONS(13662),
  },
  [8853] = {
    [sym__word_identifier] = ACTIONS(13684),
    [anon_sym_EQ] = ACTIONS(13684),
    [anon_sym_COMMA] = ACTIONS(13684),
    [anon_sym_COLON] = ACTIONS(13684),
    [anon_sym_begin] = ACTIONS(13684),
    [anon_sym_module] = ACTIONS(13684),
    [anon_sym_baremodule] = ACTIONS(13684),
    [anon_sym_abstract] = ACTIONS(13684),
    [anon_sym_primitive] = ACTIONS(13684),
    [anon_sym_mutable] = ACTIONS(13684),
    [anon_sym_struct] = ACTIONS(13684),
    [anon_sym_function] = ACTIONS(13684),
    [anon_sym_macro] = ACTIONS(13684),
    [anon_sym_where] = ACTIONS(13684),
    [anon_sym_quote] = ACTIONS(13684),
    [anon_sym_let] = ACTIONS(13684),
    [anon_sym_if] = ACTIONS(13684),
    [anon_sym_try] = ACTIONS(13684),
    [anon_sym_for] = ACTIONS(13684),
    [anon_sym_while] = ACTIONS(13684),
    [sym_break_statement] = ACTIONS(13684),
    [sym_continue_statement] = ACTIONS(13684),
    [anon_sym_return] = ACTIONS(13684),
    [anon_sym_const] = ACTIONS(13684),
    [anon_sym_global] = ACTIONS(13684),
    [anon_sym_local] = ACTIONS(13684),
    [anon_sym_LPAREN] = ACTIONS(13684),
    [anon_sym_RPAREN] = ACTIONS(13684),
    [anon_sym_COLON2] = ACTIONS(13684),
    [anon_sym_export] = ACTIONS(13684),
    [anon_sym_import] = ACTIONS(13684),
    [anon_sym_using] = ACTIONS(13684),
    [anon_sym_LBRACK] = ACTIONS(13684),
    [anon_sym_LF] = ACTIONS(13686),
    [anon_sym_in] = ACTIONS(13684),
    [anon_sym_SEMI] = ACTIONS(13684),
    [anon_sym_LBRACE] = ACTIONS(13684),
    [anon_sym_DOLLAR] = ACTIONS(13684),
    [anon_sym_COLON_COLON] = ACTIONS(13684),
    [anon_sym_isa] = ACTIONS(13684),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13684),
    [anon_sym_QMARK] = ACTIONS(13684),
    [anon_sym_AT] = ACTIONS(13684),
    [anon_sym_true] = ACTIONS(13684),
    [anon_sym_false] = ACTIONS(13684),
    [aux_sym_integer_literal_token1] = ACTIONS(13684),
    [aux_sym_integer_literal_token2] = ACTIONS(13684),
    [aux_sym_integer_literal_token3] = ACTIONS(13684),
    [aux_sym_integer_literal_token4] = ACTIONS(13684),
    [aux_sym_float_literal_token1] = ACTIONS(13684),
    [aux_sym_float_literal_token3] = ACTIONS(13684),
    [aux_sym_float_literal_token4] = ACTIONS(13684),
    [sym_character_literal] = ACTIONS(13684),
    [sym__pair_operator] = ACTIONS(13684),
    [sym__arrow_operator] = ACTIONS(13684),
    [sym__lazy_or_operator] = ACTIONS(13684),
    [sym__lazy_and_operator] = ACTIONS(13684),
    [sym__comparison_operator] = ACTIONS(13684),
    [sym__pipe_right_operator] = ACTIONS(13684),
    [sym__pipe_left_operator] = ACTIONS(13684),
    [sym__ellipsis_operator] = ACTIONS(13684),
    [sym__plus_operator] = ACTIONS(13684),
    [sym__times_operator] = ACTIONS(13684),
    [sym__rational_operator] = ACTIONS(13684),
    [sym__bitshift_operator] = ACTIONS(13684),
    [sym__power_operator] = ACTIONS(13684),
    [sym__tilde_operator] = ACTIONS(13684),
    [sym__type_order_operator] = ACTIONS(13684),
    [sym__unary_operator] = ACTIONS(13684),
    [sym__unary_plus_operator] = ACTIONS(13684),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13686),
    [sym__command_start] = ACTIONS(13686),
  },
  [8854] = {
    [sym__word_identifier] = ACTIONS(13508),
    [anon_sym_EQ] = ACTIONS(13508),
    [anon_sym_COMMA] = ACTIONS(13508),
    [anon_sym_COLON] = ACTIONS(13508),
    [anon_sym_begin] = ACTIONS(13508),
    [anon_sym_module] = ACTIONS(13508),
    [anon_sym_baremodule] = ACTIONS(13508),
    [anon_sym_end] = ACTIONS(13508),
    [anon_sym_abstract] = ACTIONS(13508),
    [anon_sym_primitive] = ACTIONS(13508),
    [anon_sym_mutable] = ACTIONS(13508),
    [anon_sym_struct] = ACTIONS(13508),
    [anon_sym_function] = ACTIONS(13508),
    [anon_sym_macro] = ACTIONS(13508),
    [anon_sym_where] = ACTIONS(13508),
    [anon_sym_quote] = ACTIONS(13508),
    [anon_sym_let] = ACTIONS(13508),
    [anon_sym_if] = ACTIONS(13508),
    [anon_sym_try] = ACTIONS(13508),
    [anon_sym_for] = ACTIONS(13508),
    [anon_sym_while] = ACTIONS(13508),
    [sym_break_statement] = ACTIONS(13508),
    [sym_continue_statement] = ACTIONS(13508),
    [anon_sym_return] = ACTIONS(13508),
    [anon_sym_const] = ACTIONS(13508),
    [anon_sym_global] = ACTIONS(13508),
    [anon_sym_local] = ACTIONS(13508),
    [anon_sym_LPAREN] = ACTIONS(13508),
    [anon_sym_COLON2] = ACTIONS(13508),
    [anon_sym_export] = ACTIONS(13508),
    [anon_sym_import] = ACTIONS(13508),
    [anon_sym_using] = ACTIONS(13508),
    [anon_sym_LBRACK] = ACTIONS(13508),
    [anon_sym_LF] = ACTIONS(13510),
    [anon_sym_in] = ACTIONS(13508),
    [anon_sym_LBRACE] = ACTIONS(13508),
    [anon_sym_DOLLAR] = ACTIONS(13508),
    [anon_sym_COLON_COLON] = ACTIONS(13508),
    [anon_sym_isa] = ACTIONS(13508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13508),
    [anon_sym_QMARK] = ACTIONS(13508),
    [anon_sym_AT] = ACTIONS(13508),
    [anon_sym_true] = ACTIONS(13508),
    [anon_sym_false] = ACTIONS(13508),
    [aux_sym_integer_literal_token1] = ACTIONS(13508),
    [aux_sym_integer_literal_token2] = ACTIONS(13508),
    [aux_sym_integer_literal_token3] = ACTIONS(13508),
    [aux_sym_integer_literal_token4] = ACTIONS(13508),
    [aux_sym_float_literal_token1] = ACTIONS(13508),
    [aux_sym_float_literal_token3] = ACTIONS(13508),
    [aux_sym_float_literal_token4] = ACTIONS(13508),
    [sym_character_literal] = ACTIONS(13508),
    [sym__pair_operator] = ACTIONS(13508),
    [sym__arrow_operator] = ACTIONS(13508),
    [sym__lazy_or_operator] = ACTIONS(13508),
    [sym__lazy_and_operator] = ACTIONS(13508),
    [sym__comparison_operator] = ACTIONS(13508),
    [sym__pipe_right_operator] = ACTIONS(13508),
    [sym__pipe_left_operator] = ACTIONS(13508),
    [sym__ellipsis_operator] = ACTIONS(13508),
    [sym__plus_operator] = ACTIONS(13508),
    [sym__times_operator] = ACTIONS(13508),
    [sym__rational_operator] = ACTIONS(13508),
    [sym__bitshift_operator] = ACTIONS(13508),
    [sym__power_operator] = ACTIONS(13508),
    [sym__tilde_operator] = ACTIONS(13508),
    [sym__type_order_operator] = ACTIONS(13508),
    [sym__unary_operator] = ACTIONS(13508),
    [sym__unary_plus_operator] = ACTIONS(13508),
    [aux_sym__terminator_token1] = ACTIONS(13508),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13510),
    [sym__command_start] = ACTIONS(13510),
  },
  [8855] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14832),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14832),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8856] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(14842),
    [anon_sym_COMMA] = ACTIONS(13120),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13120),
    [anon_sym_RPAREN] = ACTIONS(13120),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13120),
    [anon_sym_RBRACK] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13120),
    [anon_sym_RBRACE] = ACTIONS(13120),
    [anon_sym_DOLLAR] = ACTIONS(13120),
    [anon_sym_COLON_COLON] = ACTIONS(13120),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13120),
    [anon_sym_QMARK] = ACTIONS(13120),
    [anon_sym_AT] = ACTIONS(13120),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13120),
    [aux_sym_integer_literal_token2] = ACTIONS(13120),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13120),
    [aux_sym_float_literal_token3] = ACTIONS(13120),
    [aux_sym_float_literal_token4] = ACTIONS(13120),
    [sym_character_literal] = ACTIONS(13120),
    [sym__pair_operator] = ACTIONS(13120),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13120),
    [sym__lazy_and_operator] = ACTIONS(13120),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13120),
    [sym__pipe_left_operator] = ACTIONS(13120),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13120),
    [sym__bitshift_operator] = ACTIONS(13120),
    [sym__power_operator] = ACTIONS(13120),
    [sym__tilde_operator] = ACTIONS(13120),
    [sym__type_order_operator] = ACTIONS(13120),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8857] = {
    [sym__word_identifier] = ACTIONS(13690),
    [anon_sym_EQ] = ACTIONS(13690),
    [anon_sym_COMMA] = ACTIONS(13690),
    [anon_sym_COLON] = ACTIONS(13690),
    [anon_sym_begin] = ACTIONS(13690),
    [anon_sym_module] = ACTIONS(13690),
    [anon_sym_baremodule] = ACTIONS(13690),
    [anon_sym_abstract] = ACTIONS(13690),
    [anon_sym_primitive] = ACTIONS(13690),
    [anon_sym_mutable] = ACTIONS(13690),
    [anon_sym_struct] = ACTIONS(13690),
    [anon_sym_function] = ACTIONS(13690),
    [anon_sym_macro] = ACTIONS(13690),
    [anon_sym_where] = ACTIONS(13690),
    [anon_sym_quote] = ACTIONS(13690),
    [anon_sym_let] = ACTIONS(13690),
    [anon_sym_if] = ACTIONS(13690),
    [anon_sym_try] = ACTIONS(13690),
    [anon_sym_for] = ACTIONS(13690),
    [anon_sym_while] = ACTIONS(13690),
    [sym_break_statement] = ACTIONS(13690),
    [sym_continue_statement] = ACTIONS(13690),
    [anon_sym_return] = ACTIONS(13690),
    [anon_sym_const] = ACTIONS(13690),
    [anon_sym_global] = ACTIONS(13690),
    [anon_sym_local] = ACTIONS(13690),
    [anon_sym_LPAREN] = ACTIONS(13690),
    [anon_sym_RPAREN] = ACTIONS(13690),
    [anon_sym_COLON2] = ACTIONS(13690),
    [anon_sym_export] = ACTIONS(13690),
    [anon_sym_import] = ACTIONS(13690),
    [anon_sym_using] = ACTIONS(13690),
    [anon_sym_LBRACK] = ACTIONS(13690),
    [anon_sym_LF] = ACTIONS(13692),
    [anon_sym_in] = ACTIONS(13690),
    [anon_sym_SEMI] = ACTIONS(13690),
    [anon_sym_LBRACE] = ACTIONS(13690),
    [anon_sym_DOLLAR] = ACTIONS(13690),
    [anon_sym_COLON_COLON] = ACTIONS(13690),
    [anon_sym_isa] = ACTIONS(13690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13690),
    [anon_sym_QMARK] = ACTIONS(13690),
    [anon_sym_AT] = ACTIONS(13690),
    [anon_sym_true] = ACTIONS(13690),
    [anon_sym_false] = ACTIONS(13690),
    [aux_sym_integer_literal_token1] = ACTIONS(13690),
    [aux_sym_integer_literal_token2] = ACTIONS(13690),
    [aux_sym_integer_literal_token3] = ACTIONS(13690),
    [aux_sym_integer_literal_token4] = ACTIONS(13690),
    [aux_sym_float_literal_token1] = ACTIONS(13690),
    [aux_sym_float_literal_token3] = ACTIONS(13690),
    [aux_sym_float_literal_token4] = ACTIONS(13690),
    [sym_character_literal] = ACTIONS(13690),
    [sym__pair_operator] = ACTIONS(13690),
    [sym__arrow_operator] = ACTIONS(13690),
    [sym__lazy_or_operator] = ACTIONS(13690),
    [sym__lazy_and_operator] = ACTIONS(13690),
    [sym__comparison_operator] = ACTIONS(13690),
    [sym__pipe_right_operator] = ACTIONS(13690),
    [sym__pipe_left_operator] = ACTIONS(13690),
    [sym__ellipsis_operator] = ACTIONS(13690),
    [sym__plus_operator] = ACTIONS(13690),
    [sym__times_operator] = ACTIONS(13690),
    [sym__rational_operator] = ACTIONS(13690),
    [sym__bitshift_operator] = ACTIONS(13690),
    [sym__power_operator] = ACTIONS(13690),
    [sym__tilde_operator] = ACTIONS(13690),
    [sym__type_order_operator] = ACTIONS(13690),
    [sym__unary_operator] = ACTIONS(13690),
    [sym__unary_plus_operator] = ACTIONS(13690),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13692),
    [sym__command_start] = ACTIONS(13692),
  },
  [8858] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8859] = {
    [sym__word_identifier] = ACTIONS(13744),
    [anon_sym_EQ] = ACTIONS(13744),
    [anon_sym_COMMA] = ACTIONS(13744),
    [anon_sym_COLON] = ACTIONS(13744),
    [anon_sym_begin] = ACTIONS(13744),
    [anon_sym_module] = ACTIONS(13744),
    [anon_sym_baremodule] = ACTIONS(13744),
    [anon_sym_abstract] = ACTIONS(13744),
    [anon_sym_primitive] = ACTIONS(13744),
    [anon_sym_mutable] = ACTIONS(13744),
    [anon_sym_struct] = ACTIONS(13744),
    [anon_sym_function] = ACTIONS(13744),
    [anon_sym_macro] = ACTIONS(13744),
    [anon_sym_where] = ACTIONS(13744),
    [anon_sym_quote] = ACTIONS(13744),
    [anon_sym_let] = ACTIONS(13744),
    [anon_sym_if] = ACTIONS(13744),
    [anon_sym_try] = ACTIONS(13744),
    [anon_sym_for] = ACTIONS(13744),
    [anon_sym_while] = ACTIONS(13744),
    [sym_break_statement] = ACTIONS(13744),
    [sym_continue_statement] = ACTIONS(13744),
    [anon_sym_return] = ACTIONS(13744),
    [anon_sym_const] = ACTIONS(13744),
    [anon_sym_global] = ACTIONS(13744),
    [anon_sym_local] = ACTIONS(13744),
    [anon_sym_LPAREN] = ACTIONS(13744),
    [anon_sym_RPAREN] = ACTIONS(13744),
    [anon_sym_COLON2] = ACTIONS(13744),
    [anon_sym_export] = ACTIONS(13744),
    [anon_sym_import] = ACTIONS(13744),
    [anon_sym_using] = ACTIONS(13744),
    [anon_sym_LBRACK] = ACTIONS(13744),
    [anon_sym_LF] = ACTIONS(13746),
    [anon_sym_in] = ACTIONS(13744),
    [anon_sym_SEMI] = ACTIONS(13744),
    [anon_sym_LBRACE] = ACTIONS(13744),
    [anon_sym_DOLLAR] = ACTIONS(13744),
    [anon_sym_COLON_COLON] = ACTIONS(13744),
    [anon_sym_isa] = ACTIONS(13744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13744),
    [anon_sym_QMARK] = ACTIONS(13744),
    [anon_sym_AT] = ACTIONS(13744),
    [anon_sym_true] = ACTIONS(13744),
    [anon_sym_false] = ACTIONS(13744),
    [aux_sym_integer_literal_token1] = ACTIONS(13744),
    [aux_sym_integer_literal_token2] = ACTIONS(13744),
    [aux_sym_integer_literal_token3] = ACTIONS(13744),
    [aux_sym_integer_literal_token4] = ACTIONS(13744),
    [aux_sym_float_literal_token1] = ACTIONS(13744),
    [aux_sym_float_literal_token3] = ACTIONS(13744),
    [aux_sym_float_literal_token4] = ACTIONS(13744),
    [sym_character_literal] = ACTIONS(13744),
    [sym__pair_operator] = ACTIONS(13744),
    [sym__arrow_operator] = ACTIONS(13744),
    [sym__lazy_or_operator] = ACTIONS(13744),
    [sym__lazy_and_operator] = ACTIONS(13744),
    [sym__comparison_operator] = ACTIONS(13744),
    [sym__pipe_right_operator] = ACTIONS(13744),
    [sym__pipe_left_operator] = ACTIONS(13744),
    [sym__ellipsis_operator] = ACTIONS(13744),
    [sym__plus_operator] = ACTIONS(13744),
    [sym__times_operator] = ACTIONS(13744),
    [sym__rational_operator] = ACTIONS(13744),
    [sym__bitshift_operator] = ACTIONS(13744),
    [sym__power_operator] = ACTIONS(13744),
    [sym__tilde_operator] = ACTIONS(13744),
    [sym__type_order_operator] = ACTIONS(13744),
    [sym__unary_operator] = ACTIONS(13744),
    [sym__unary_plus_operator] = ACTIONS(13744),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13746),
    [sym__command_start] = ACTIONS(13746),
  },
  [8860] = {
    [sym__word_identifier] = ACTIONS(13824),
    [anon_sym_EQ] = ACTIONS(13824),
    [anon_sym_COMMA] = ACTIONS(13824),
    [anon_sym_COLON] = ACTIONS(13824),
    [anon_sym_begin] = ACTIONS(13824),
    [anon_sym_module] = ACTIONS(13824),
    [anon_sym_baremodule] = ACTIONS(13824),
    [anon_sym_abstract] = ACTIONS(13824),
    [anon_sym_primitive] = ACTIONS(13824),
    [anon_sym_mutable] = ACTIONS(13824),
    [anon_sym_struct] = ACTIONS(13824),
    [anon_sym_function] = ACTIONS(13824),
    [anon_sym_macro] = ACTIONS(13824),
    [anon_sym_where] = ACTIONS(13824),
    [anon_sym_quote] = ACTIONS(13824),
    [anon_sym_let] = ACTIONS(13824),
    [anon_sym_if] = ACTIONS(13824),
    [anon_sym_try] = ACTIONS(13824),
    [anon_sym_for] = ACTIONS(13824),
    [anon_sym_while] = ACTIONS(13824),
    [sym_break_statement] = ACTIONS(13824),
    [sym_continue_statement] = ACTIONS(13824),
    [anon_sym_return] = ACTIONS(13824),
    [anon_sym_const] = ACTIONS(13824),
    [anon_sym_global] = ACTIONS(13824),
    [anon_sym_local] = ACTIONS(13824),
    [anon_sym_LPAREN] = ACTIONS(13824),
    [anon_sym_RPAREN] = ACTIONS(13824),
    [anon_sym_COLON2] = ACTIONS(13824),
    [anon_sym_export] = ACTIONS(13824),
    [anon_sym_import] = ACTIONS(13824),
    [anon_sym_using] = ACTIONS(13824),
    [anon_sym_LBRACK] = ACTIONS(13824),
    [anon_sym_LF] = ACTIONS(13826),
    [anon_sym_in] = ACTIONS(13824),
    [anon_sym_SEMI] = ACTIONS(13824),
    [anon_sym_LBRACE] = ACTIONS(13824),
    [anon_sym_DOLLAR] = ACTIONS(13824),
    [anon_sym_COLON_COLON] = ACTIONS(13824),
    [anon_sym_isa] = ACTIONS(13824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13824),
    [anon_sym_QMARK] = ACTIONS(13824),
    [anon_sym_AT] = ACTIONS(13824),
    [anon_sym_true] = ACTIONS(13824),
    [anon_sym_false] = ACTIONS(13824),
    [aux_sym_integer_literal_token1] = ACTIONS(13824),
    [aux_sym_integer_literal_token2] = ACTIONS(13824),
    [aux_sym_integer_literal_token3] = ACTIONS(13824),
    [aux_sym_integer_literal_token4] = ACTIONS(13824),
    [aux_sym_float_literal_token1] = ACTIONS(13824),
    [aux_sym_float_literal_token3] = ACTIONS(13824),
    [aux_sym_float_literal_token4] = ACTIONS(13824),
    [sym_character_literal] = ACTIONS(13824),
    [sym__pair_operator] = ACTIONS(13824),
    [sym__arrow_operator] = ACTIONS(13824),
    [sym__lazy_or_operator] = ACTIONS(13824),
    [sym__lazy_and_operator] = ACTIONS(13824),
    [sym__comparison_operator] = ACTIONS(13824),
    [sym__pipe_right_operator] = ACTIONS(13824),
    [sym__pipe_left_operator] = ACTIONS(13824),
    [sym__ellipsis_operator] = ACTIONS(13824),
    [sym__plus_operator] = ACTIONS(13824),
    [sym__times_operator] = ACTIONS(13824),
    [sym__rational_operator] = ACTIONS(13824),
    [sym__bitshift_operator] = ACTIONS(13824),
    [sym__power_operator] = ACTIONS(13824),
    [sym__tilde_operator] = ACTIONS(13824),
    [sym__type_order_operator] = ACTIONS(13824),
    [sym__unary_operator] = ACTIONS(13824),
    [sym__unary_plus_operator] = ACTIONS(13824),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13826),
    [sym__command_start] = ACTIONS(13826),
  },
  [8861] = {
    [sym__word_identifier] = ACTIONS(13828),
    [anon_sym_EQ] = ACTIONS(13828),
    [anon_sym_COMMA] = ACTIONS(13828),
    [anon_sym_COLON] = ACTIONS(13828),
    [anon_sym_begin] = ACTIONS(13828),
    [anon_sym_module] = ACTIONS(13828),
    [anon_sym_baremodule] = ACTIONS(13828),
    [anon_sym_abstract] = ACTIONS(13828),
    [anon_sym_primitive] = ACTIONS(13828),
    [anon_sym_mutable] = ACTIONS(13828),
    [anon_sym_struct] = ACTIONS(13828),
    [anon_sym_function] = ACTIONS(13828),
    [anon_sym_macro] = ACTIONS(13828),
    [anon_sym_where] = ACTIONS(13828),
    [anon_sym_quote] = ACTIONS(13828),
    [anon_sym_let] = ACTIONS(13828),
    [anon_sym_if] = ACTIONS(13828),
    [anon_sym_try] = ACTIONS(13828),
    [anon_sym_for] = ACTIONS(13828),
    [anon_sym_while] = ACTIONS(13828),
    [sym_break_statement] = ACTIONS(13828),
    [sym_continue_statement] = ACTIONS(13828),
    [anon_sym_return] = ACTIONS(13828),
    [anon_sym_const] = ACTIONS(13828),
    [anon_sym_global] = ACTIONS(13828),
    [anon_sym_local] = ACTIONS(13828),
    [anon_sym_LPAREN] = ACTIONS(13828),
    [anon_sym_RPAREN] = ACTIONS(13828),
    [anon_sym_COLON2] = ACTIONS(13828),
    [anon_sym_export] = ACTIONS(13828),
    [anon_sym_import] = ACTIONS(13828),
    [anon_sym_using] = ACTIONS(13828),
    [anon_sym_LBRACK] = ACTIONS(13828),
    [anon_sym_LF] = ACTIONS(13830),
    [anon_sym_in] = ACTIONS(13828),
    [anon_sym_SEMI] = ACTIONS(13828),
    [anon_sym_LBRACE] = ACTIONS(13828),
    [anon_sym_DOLLAR] = ACTIONS(13828),
    [anon_sym_COLON_COLON] = ACTIONS(13828),
    [anon_sym_isa] = ACTIONS(13828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13828),
    [anon_sym_QMARK] = ACTIONS(13828),
    [anon_sym_AT] = ACTIONS(13828),
    [anon_sym_true] = ACTIONS(13828),
    [anon_sym_false] = ACTIONS(13828),
    [aux_sym_integer_literal_token1] = ACTIONS(13828),
    [aux_sym_integer_literal_token2] = ACTIONS(13828),
    [aux_sym_integer_literal_token3] = ACTIONS(13828),
    [aux_sym_integer_literal_token4] = ACTIONS(13828),
    [aux_sym_float_literal_token1] = ACTIONS(13828),
    [aux_sym_float_literal_token3] = ACTIONS(13828),
    [aux_sym_float_literal_token4] = ACTIONS(13828),
    [sym_character_literal] = ACTIONS(13828),
    [sym__pair_operator] = ACTIONS(13828),
    [sym__arrow_operator] = ACTIONS(13828),
    [sym__lazy_or_operator] = ACTIONS(13828),
    [sym__lazy_and_operator] = ACTIONS(13828),
    [sym__comparison_operator] = ACTIONS(13828),
    [sym__pipe_right_operator] = ACTIONS(13828),
    [sym__pipe_left_operator] = ACTIONS(13828),
    [sym__ellipsis_operator] = ACTIONS(13828),
    [sym__plus_operator] = ACTIONS(13828),
    [sym__times_operator] = ACTIONS(13828),
    [sym__rational_operator] = ACTIONS(13828),
    [sym__bitshift_operator] = ACTIONS(13828),
    [sym__power_operator] = ACTIONS(13828),
    [sym__tilde_operator] = ACTIONS(13828),
    [sym__type_order_operator] = ACTIONS(13828),
    [sym__unary_operator] = ACTIONS(13828),
    [sym__unary_plus_operator] = ACTIONS(13828),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13830),
    [sym__command_start] = ACTIONS(13830),
  },
  [8862] = {
    [sym__word_identifier] = ACTIONS(13804),
    [anon_sym_EQ] = ACTIONS(13804),
    [anon_sym_COMMA] = ACTIONS(13804),
    [anon_sym_COLON] = ACTIONS(13804),
    [anon_sym_begin] = ACTIONS(13804),
    [anon_sym_module] = ACTIONS(13804),
    [anon_sym_baremodule] = ACTIONS(13804),
    [anon_sym_end] = ACTIONS(13804),
    [anon_sym_abstract] = ACTIONS(13804),
    [anon_sym_primitive] = ACTIONS(13804),
    [anon_sym_mutable] = ACTIONS(13804),
    [anon_sym_struct] = ACTIONS(13804),
    [anon_sym_function] = ACTIONS(13804),
    [anon_sym_macro] = ACTIONS(13804),
    [anon_sym_where] = ACTIONS(13804),
    [anon_sym_quote] = ACTIONS(13804),
    [anon_sym_let] = ACTIONS(13804),
    [anon_sym_if] = ACTIONS(13804),
    [anon_sym_try] = ACTIONS(13804),
    [anon_sym_for] = ACTIONS(13804),
    [anon_sym_while] = ACTIONS(13804),
    [sym_break_statement] = ACTIONS(13804),
    [sym_continue_statement] = ACTIONS(13804),
    [anon_sym_return] = ACTIONS(13804),
    [anon_sym_const] = ACTIONS(13804),
    [anon_sym_global] = ACTIONS(13804),
    [anon_sym_local] = ACTIONS(13804),
    [anon_sym_LPAREN] = ACTIONS(13804),
    [anon_sym_COLON2] = ACTIONS(13804),
    [anon_sym_export] = ACTIONS(13804),
    [anon_sym_import] = ACTIONS(13804),
    [anon_sym_using] = ACTIONS(13804),
    [anon_sym_LBRACK] = ACTIONS(13804),
    [anon_sym_LF] = ACTIONS(13806),
    [anon_sym_in] = ACTIONS(13804),
    [anon_sym_LBRACE] = ACTIONS(13804),
    [anon_sym_DOLLAR] = ACTIONS(13804),
    [anon_sym_COLON_COLON] = ACTIONS(13804),
    [anon_sym_isa] = ACTIONS(13804),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13804),
    [anon_sym_QMARK] = ACTIONS(13804),
    [anon_sym_AT] = ACTIONS(13804),
    [anon_sym_true] = ACTIONS(13804),
    [anon_sym_false] = ACTIONS(13804),
    [aux_sym_integer_literal_token1] = ACTIONS(13804),
    [aux_sym_integer_literal_token2] = ACTIONS(13804),
    [aux_sym_integer_literal_token3] = ACTIONS(13804),
    [aux_sym_integer_literal_token4] = ACTIONS(13804),
    [aux_sym_float_literal_token1] = ACTIONS(13804),
    [aux_sym_float_literal_token3] = ACTIONS(13804),
    [aux_sym_float_literal_token4] = ACTIONS(13804),
    [sym_character_literal] = ACTIONS(13804),
    [sym__pair_operator] = ACTIONS(13804),
    [sym__arrow_operator] = ACTIONS(13804),
    [sym__lazy_or_operator] = ACTIONS(13804),
    [sym__lazy_and_operator] = ACTIONS(13804),
    [sym__comparison_operator] = ACTIONS(13804),
    [sym__pipe_right_operator] = ACTIONS(13804),
    [sym__pipe_left_operator] = ACTIONS(13804),
    [sym__ellipsis_operator] = ACTIONS(13804),
    [sym__plus_operator] = ACTIONS(13804),
    [sym__times_operator] = ACTIONS(13804),
    [sym__rational_operator] = ACTIONS(13804),
    [sym__bitshift_operator] = ACTIONS(13804),
    [sym__power_operator] = ACTIONS(13804),
    [sym__tilde_operator] = ACTIONS(13804),
    [sym__type_order_operator] = ACTIONS(13804),
    [sym__unary_operator] = ACTIONS(13804),
    [sym__unary_plus_operator] = ACTIONS(13804),
    [aux_sym__terminator_token1] = ACTIONS(13804),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13806),
    [sym__command_start] = ACTIONS(13806),
  },
  [8863] = {
    [sym__word_identifier] = ACTIONS(14170),
    [anon_sym_EQ] = ACTIONS(14170),
    [anon_sym_COMMA] = ACTIONS(14170),
    [anon_sym_COLON] = ACTIONS(14170),
    [anon_sym_begin] = ACTIONS(14170),
    [anon_sym_module] = ACTIONS(14170),
    [anon_sym_baremodule] = ACTIONS(14170),
    [anon_sym_abstract] = ACTIONS(14170),
    [anon_sym_primitive] = ACTIONS(14170),
    [anon_sym_mutable] = ACTIONS(14170),
    [anon_sym_struct] = ACTIONS(14170),
    [anon_sym_function] = ACTIONS(14170),
    [anon_sym_macro] = ACTIONS(14170),
    [anon_sym_where] = ACTIONS(14170),
    [anon_sym_quote] = ACTIONS(14170),
    [anon_sym_let] = ACTIONS(14170),
    [anon_sym_if] = ACTIONS(14170),
    [anon_sym_try] = ACTIONS(14170),
    [anon_sym_for] = ACTIONS(14170),
    [anon_sym_while] = ACTIONS(14170),
    [sym_break_statement] = ACTIONS(14170),
    [sym_continue_statement] = ACTIONS(14170),
    [anon_sym_return] = ACTIONS(14170),
    [anon_sym_const] = ACTIONS(14170),
    [anon_sym_global] = ACTIONS(14170),
    [anon_sym_local] = ACTIONS(14170),
    [anon_sym_LPAREN] = ACTIONS(14170),
    [anon_sym_RPAREN] = ACTIONS(14170),
    [anon_sym_COLON2] = ACTIONS(14170),
    [anon_sym_export] = ACTIONS(14170),
    [anon_sym_import] = ACTIONS(14170),
    [anon_sym_using] = ACTIONS(14170),
    [anon_sym_LBRACK] = ACTIONS(14170),
    [anon_sym_LF] = ACTIONS(14172),
    [anon_sym_in] = ACTIONS(14170),
    [anon_sym_SEMI] = ACTIONS(14170),
    [anon_sym_LBRACE] = ACTIONS(14170),
    [anon_sym_DOLLAR] = ACTIONS(14170),
    [anon_sym_COLON_COLON] = ACTIONS(14170),
    [anon_sym_isa] = ACTIONS(14170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14170),
    [anon_sym_QMARK] = ACTIONS(14170),
    [anon_sym_AT] = ACTIONS(14170),
    [anon_sym_true] = ACTIONS(14170),
    [anon_sym_false] = ACTIONS(14170),
    [aux_sym_integer_literal_token1] = ACTIONS(14170),
    [aux_sym_integer_literal_token2] = ACTIONS(14170),
    [aux_sym_integer_literal_token3] = ACTIONS(14170),
    [aux_sym_integer_literal_token4] = ACTIONS(14170),
    [aux_sym_float_literal_token1] = ACTIONS(14170),
    [aux_sym_float_literal_token3] = ACTIONS(14170),
    [aux_sym_float_literal_token4] = ACTIONS(14170),
    [sym_character_literal] = ACTIONS(14170),
    [sym__pair_operator] = ACTIONS(14170),
    [sym__arrow_operator] = ACTIONS(14170),
    [sym__lazy_or_operator] = ACTIONS(14170),
    [sym__lazy_and_operator] = ACTIONS(14170),
    [sym__comparison_operator] = ACTIONS(14170),
    [sym__pipe_right_operator] = ACTIONS(14170),
    [sym__pipe_left_operator] = ACTIONS(14170),
    [sym__ellipsis_operator] = ACTIONS(14170),
    [sym__plus_operator] = ACTIONS(14170),
    [sym__times_operator] = ACTIONS(14170),
    [sym__rational_operator] = ACTIONS(14170),
    [sym__bitshift_operator] = ACTIONS(14170),
    [sym__power_operator] = ACTIONS(14170),
    [sym__tilde_operator] = ACTIONS(14170),
    [sym__type_order_operator] = ACTIONS(14170),
    [sym__unary_operator] = ACTIONS(14170),
    [sym__unary_plus_operator] = ACTIONS(14170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14172),
    [sym__command_start] = ACTIONS(14172),
  },
  [8864] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8865] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8866] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8867] = {
    [sym__word_identifier] = ACTIONS(14168),
    [anon_sym_EQ] = ACTIONS(14168),
    [anon_sym_COMMA] = ACTIONS(14168),
    [anon_sym_COLON] = ACTIONS(14168),
    [anon_sym_begin] = ACTIONS(14168),
    [anon_sym_module] = ACTIONS(14168),
    [anon_sym_baremodule] = ACTIONS(14168),
    [anon_sym_abstract] = ACTIONS(14168),
    [anon_sym_primitive] = ACTIONS(14168),
    [anon_sym_mutable] = ACTIONS(14168),
    [anon_sym_struct] = ACTIONS(14168),
    [anon_sym_function] = ACTIONS(14168),
    [anon_sym_macro] = ACTIONS(14168),
    [anon_sym_where] = ACTIONS(14168),
    [anon_sym_quote] = ACTIONS(14168),
    [anon_sym_let] = ACTIONS(14168),
    [anon_sym_if] = ACTIONS(14168),
    [anon_sym_try] = ACTIONS(14168),
    [anon_sym_for] = ACTIONS(14168),
    [anon_sym_while] = ACTIONS(14168),
    [sym_break_statement] = ACTIONS(14168),
    [sym_continue_statement] = ACTIONS(14168),
    [anon_sym_return] = ACTIONS(14168),
    [anon_sym_const] = ACTIONS(14168),
    [anon_sym_global] = ACTIONS(14168),
    [anon_sym_local] = ACTIONS(14168),
    [anon_sym_LPAREN] = ACTIONS(14168),
    [anon_sym_RPAREN] = ACTIONS(14168),
    [anon_sym_COLON2] = ACTIONS(14168),
    [anon_sym_export] = ACTIONS(14168),
    [anon_sym_import] = ACTIONS(14168),
    [anon_sym_using] = ACTIONS(14168),
    [anon_sym_LBRACK] = ACTIONS(14168),
    [anon_sym_LF] = ACTIONS(14166),
    [anon_sym_in] = ACTIONS(14168),
    [anon_sym_SEMI] = ACTIONS(14168),
    [anon_sym_LBRACE] = ACTIONS(14168),
    [anon_sym_DOLLAR] = ACTIONS(14168),
    [anon_sym_COLON_COLON] = ACTIONS(14168),
    [anon_sym_isa] = ACTIONS(14168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14168),
    [anon_sym_QMARK] = ACTIONS(14168),
    [anon_sym_AT] = ACTIONS(14168),
    [anon_sym_true] = ACTIONS(14168),
    [anon_sym_false] = ACTIONS(14168),
    [aux_sym_integer_literal_token1] = ACTIONS(14168),
    [aux_sym_integer_literal_token2] = ACTIONS(14168),
    [aux_sym_integer_literal_token3] = ACTIONS(14168),
    [aux_sym_integer_literal_token4] = ACTIONS(14168),
    [aux_sym_float_literal_token1] = ACTIONS(14168),
    [aux_sym_float_literal_token3] = ACTIONS(14168),
    [aux_sym_float_literal_token4] = ACTIONS(14168),
    [sym_character_literal] = ACTIONS(14168),
    [sym__pair_operator] = ACTIONS(14168),
    [sym__arrow_operator] = ACTIONS(14168),
    [sym__lazy_or_operator] = ACTIONS(14168),
    [sym__lazy_and_operator] = ACTIONS(14168),
    [sym__comparison_operator] = ACTIONS(14168),
    [sym__pipe_right_operator] = ACTIONS(14168),
    [sym__pipe_left_operator] = ACTIONS(14168),
    [sym__ellipsis_operator] = ACTIONS(14168),
    [sym__plus_operator] = ACTIONS(14168),
    [sym__times_operator] = ACTIONS(14168),
    [sym__rational_operator] = ACTIONS(14168),
    [sym__bitshift_operator] = ACTIONS(14168),
    [sym__power_operator] = ACTIONS(14168),
    [sym__tilde_operator] = ACTIONS(14168),
    [sym__type_order_operator] = ACTIONS(14168),
    [sym__unary_operator] = ACTIONS(14168),
    [sym__unary_plus_operator] = ACTIONS(14168),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14166),
    [sym__command_start] = ACTIONS(14166),
  },
  [8868] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8869] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(14874),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8870] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13396),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8871] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13396),
    [sym__bitshift_operator] = ACTIONS(13396),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8872] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_RPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_SEMI] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [8873] = {
    [sym__word_identifier] = ACTIONS(13776),
    [anon_sym_EQ] = ACTIONS(13776),
    [anon_sym_COMMA] = ACTIONS(13776),
    [anon_sym_COLON] = ACTIONS(13776),
    [anon_sym_begin] = ACTIONS(13776),
    [anon_sym_module] = ACTIONS(13776),
    [anon_sym_baremodule] = ACTIONS(13776),
    [anon_sym_end] = ACTIONS(13776),
    [anon_sym_abstract] = ACTIONS(13776),
    [anon_sym_primitive] = ACTIONS(13776),
    [anon_sym_mutable] = ACTIONS(13776),
    [anon_sym_struct] = ACTIONS(13776),
    [anon_sym_function] = ACTIONS(13776),
    [anon_sym_macro] = ACTIONS(13776),
    [anon_sym_where] = ACTIONS(13776),
    [anon_sym_quote] = ACTIONS(13776),
    [anon_sym_let] = ACTIONS(13776),
    [anon_sym_if] = ACTIONS(13776),
    [anon_sym_try] = ACTIONS(13776),
    [anon_sym_for] = ACTIONS(13776),
    [anon_sym_while] = ACTIONS(13776),
    [sym_break_statement] = ACTIONS(13776),
    [sym_continue_statement] = ACTIONS(13776),
    [anon_sym_return] = ACTIONS(13776),
    [anon_sym_const] = ACTIONS(13776),
    [anon_sym_global] = ACTIONS(13776),
    [anon_sym_local] = ACTIONS(13776),
    [anon_sym_LPAREN] = ACTIONS(13776),
    [anon_sym_COLON2] = ACTIONS(13776),
    [anon_sym_export] = ACTIONS(13776),
    [anon_sym_import] = ACTIONS(13776),
    [anon_sym_using] = ACTIONS(13776),
    [anon_sym_LBRACK] = ACTIONS(13776),
    [anon_sym_LF] = ACTIONS(13778),
    [anon_sym_in] = ACTIONS(13776),
    [anon_sym_LBRACE] = ACTIONS(13776),
    [anon_sym_DOLLAR] = ACTIONS(13776),
    [anon_sym_COLON_COLON] = ACTIONS(13776),
    [anon_sym_isa] = ACTIONS(13776),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13776),
    [anon_sym_QMARK] = ACTIONS(13776),
    [anon_sym_AT] = ACTIONS(13776),
    [anon_sym_true] = ACTIONS(13776),
    [anon_sym_false] = ACTIONS(13776),
    [aux_sym_integer_literal_token1] = ACTIONS(13776),
    [aux_sym_integer_literal_token2] = ACTIONS(13776),
    [aux_sym_integer_literal_token3] = ACTIONS(13776),
    [aux_sym_integer_literal_token4] = ACTIONS(13776),
    [aux_sym_float_literal_token1] = ACTIONS(13776),
    [aux_sym_float_literal_token3] = ACTIONS(13776),
    [aux_sym_float_literal_token4] = ACTIONS(13776),
    [sym_character_literal] = ACTIONS(13776),
    [sym__pair_operator] = ACTIONS(13776),
    [sym__arrow_operator] = ACTIONS(13776),
    [sym__lazy_or_operator] = ACTIONS(13776),
    [sym__lazy_and_operator] = ACTIONS(13776),
    [sym__comparison_operator] = ACTIONS(13776),
    [sym__pipe_right_operator] = ACTIONS(13776),
    [sym__pipe_left_operator] = ACTIONS(13776),
    [sym__ellipsis_operator] = ACTIONS(13776),
    [sym__plus_operator] = ACTIONS(13776),
    [sym__times_operator] = ACTIONS(13776),
    [sym__rational_operator] = ACTIONS(13776),
    [sym__bitshift_operator] = ACTIONS(13776),
    [sym__power_operator] = ACTIONS(13776),
    [sym__tilde_operator] = ACTIONS(13776),
    [sym__type_order_operator] = ACTIONS(13776),
    [sym__unary_operator] = ACTIONS(13776),
    [sym__unary_plus_operator] = ACTIONS(13776),
    [aux_sym__terminator_token1] = ACTIONS(13776),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13778),
    [sym__command_start] = ACTIONS(13778),
  },
  [8874] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8875] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12764),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12310),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8876] = {
    [aux_sym_open_tuple_repeat1] = STATE(8122),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(14523),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_end] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8877] = {
    [sym__word_identifier] = ACTIONS(12976),
    [anon_sym_EQ] = ACTIONS(12976),
    [anon_sym_COMMA] = ACTIONS(12976),
    [anon_sym_COLON] = ACTIONS(12976),
    [anon_sym_begin] = ACTIONS(12976),
    [anon_sym_module] = ACTIONS(12976),
    [anon_sym_baremodule] = ACTIONS(12976),
    [anon_sym_abstract] = ACTIONS(12976),
    [anon_sym_primitive] = ACTIONS(12976),
    [anon_sym_mutable] = ACTIONS(12976),
    [anon_sym_struct] = ACTIONS(12976),
    [anon_sym_function] = ACTIONS(12976),
    [anon_sym_macro] = ACTIONS(12976),
    [anon_sym_where] = ACTIONS(12976),
    [anon_sym_quote] = ACTIONS(12976),
    [anon_sym_let] = ACTIONS(12976),
    [anon_sym_if] = ACTIONS(12976),
    [anon_sym_try] = ACTIONS(12976),
    [anon_sym_for] = ACTIONS(12976),
    [anon_sym_while] = ACTIONS(12976),
    [sym_break_statement] = ACTIONS(12976),
    [sym_continue_statement] = ACTIONS(12976),
    [anon_sym_return] = ACTIONS(12976),
    [anon_sym_const] = ACTIONS(12976),
    [anon_sym_global] = ACTIONS(12976),
    [anon_sym_local] = ACTIONS(12976),
    [anon_sym_LPAREN] = ACTIONS(12976),
    [anon_sym_RPAREN] = ACTIONS(12976),
    [anon_sym_COLON2] = ACTIONS(12976),
    [anon_sym_export] = ACTIONS(12976),
    [anon_sym_import] = ACTIONS(12976),
    [anon_sym_using] = ACTIONS(12976),
    [anon_sym_LBRACK] = ACTIONS(12976),
    [anon_sym_LF] = ACTIONS(12974),
    [anon_sym_in] = ACTIONS(12976),
    [anon_sym_SEMI] = ACTIONS(12976),
    [anon_sym_LBRACE] = ACTIONS(12976),
    [anon_sym_DOLLAR] = ACTIONS(12976),
    [anon_sym_COLON_COLON] = ACTIONS(12976),
    [anon_sym_isa] = ACTIONS(12976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12976),
    [anon_sym_QMARK] = ACTIONS(12976),
    [anon_sym_AT] = ACTIONS(12976),
    [anon_sym_true] = ACTIONS(12976),
    [anon_sym_false] = ACTIONS(12976),
    [aux_sym_integer_literal_token1] = ACTIONS(12976),
    [aux_sym_integer_literal_token2] = ACTIONS(12976),
    [aux_sym_integer_literal_token3] = ACTIONS(12976),
    [aux_sym_integer_literal_token4] = ACTIONS(12976),
    [aux_sym_float_literal_token1] = ACTIONS(12976),
    [aux_sym_float_literal_token3] = ACTIONS(12976),
    [aux_sym_float_literal_token4] = ACTIONS(12976),
    [sym_character_literal] = ACTIONS(12976),
    [sym__pair_operator] = ACTIONS(12976),
    [sym__arrow_operator] = ACTIONS(12976),
    [sym__lazy_or_operator] = ACTIONS(12976),
    [sym__lazy_and_operator] = ACTIONS(12976),
    [sym__comparison_operator] = ACTIONS(12976),
    [sym__pipe_right_operator] = ACTIONS(12976),
    [sym__pipe_left_operator] = ACTIONS(12976),
    [sym__ellipsis_operator] = ACTIONS(12976),
    [sym__plus_operator] = ACTIONS(12976),
    [sym__times_operator] = ACTIONS(12976),
    [sym__rational_operator] = ACTIONS(12976),
    [sym__bitshift_operator] = ACTIONS(12976),
    [sym__power_operator] = ACTIONS(12976),
    [sym__tilde_operator] = ACTIONS(12976),
    [sym__type_order_operator] = ACTIONS(12976),
    [sym__unary_operator] = ACTIONS(12976),
    [sym__unary_plus_operator] = ACTIONS(12976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12974),
    [sym__command_start] = ACTIONS(12974),
  },
  [8878] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(14830),
    [sym__plus_operator] = ACTIONS(14832),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14832),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8879] = {
    [sym__word_identifier] = ACTIONS(13949),
    [anon_sym_EQ] = ACTIONS(13949),
    [anon_sym_COMMA] = ACTIONS(13949),
    [anon_sym_COLON] = ACTIONS(13949),
    [anon_sym_begin] = ACTIONS(13949),
    [anon_sym_module] = ACTIONS(13949),
    [anon_sym_baremodule] = ACTIONS(13949),
    [anon_sym_end] = ACTIONS(13949),
    [anon_sym_abstract] = ACTIONS(13949),
    [anon_sym_primitive] = ACTIONS(13949),
    [anon_sym_mutable] = ACTIONS(13949),
    [anon_sym_struct] = ACTIONS(13949),
    [anon_sym_function] = ACTIONS(13949),
    [anon_sym_macro] = ACTIONS(13949),
    [anon_sym_where] = ACTIONS(13949),
    [anon_sym_quote] = ACTIONS(13949),
    [anon_sym_let] = ACTIONS(13949),
    [anon_sym_if] = ACTIONS(13949),
    [anon_sym_try] = ACTIONS(13949),
    [anon_sym_for] = ACTIONS(13949),
    [anon_sym_while] = ACTIONS(13949),
    [sym_break_statement] = ACTIONS(13949),
    [sym_continue_statement] = ACTIONS(13949),
    [anon_sym_return] = ACTIONS(13949),
    [anon_sym_const] = ACTIONS(13949),
    [anon_sym_global] = ACTIONS(13949),
    [anon_sym_local] = ACTIONS(13949),
    [anon_sym_LPAREN] = ACTIONS(13949),
    [anon_sym_COLON2] = ACTIONS(13949),
    [anon_sym_export] = ACTIONS(13949),
    [anon_sym_import] = ACTIONS(13949),
    [anon_sym_using] = ACTIONS(13949),
    [anon_sym_LBRACK] = ACTIONS(13949),
    [anon_sym_LF] = ACTIONS(13951),
    [anon_sym_in] = ACTIONS(13949),
    [anon_sym_LBRACE] = ACTIONS(13949),
    [anon_sym_DOLLAR] = ACTIONS(13949),
    [anon_sym_COLON_COLON] = ACTIONS(13949),
    [anon_sym_isa] = ACTIONS(13949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13949),
    [anon_sym_QMARK] = ACTIONS(13949),
    [anon_sym_AT] = ACTIONS(13949),
    [anon_sym_true] = ACTIONS(13949),
    [anon_sym_false] = ACTIONS(13949),
    [aux_sym_integer_literal_token1] = ACTIONS(13949),
    [aux_sym_integer_literal_token2] = ACTIONS(13949),
    [aux_sym_integer_literal_token3] = ACTIONS(13949),
    [aux_sym_integer_literal_token4] = ACTIONS(13949),
    [aux_sym_float_literal_token1] = ACTIONS(13949),
    [aux_sym_float_literal_token3] = ACTIONS(13949),
    [aux_sym_float_literal_token4] = ACTIONS(13949),
    [sym_character_literal] = ACTIONS(13949),
    [sym__pair_operator] = ACTIONS(13949),
    [sym__arrow_operator] = ACTIONS(13949),
    [sym__lazy_or_operator] = ACTIONS(13949),
    [sym__lazy_and_operator] = ACTIONS(13949),
    [sym__comparison_operator] = ACTIONS(13949),
    [sym__pipe_right_operator] = ACTIONS(13949),
    [sym__pipe_left_operator] = ACTIONS(13949),
    [sym__ellipsis_operator] = ACTIONS(13949),
    [sym__plus_operator] = ACTIONS(13949),
    [sym__times_operator] = ACTIONS(13949),
    [sym__rational_operator] = ACTIONS(13949),
    [sym__bitshift_operator] = ACTIONS(13949),
    [sym__power_operator] = ACTIONS(13949),
    [sym__tilde_operator] = ACTIONS(13949),
    [sym__type_order_operator] = ACTIONS(13949),
    [sym__unary_operator] = ACTIONS(13949),
    [sym__unary_plus_operator] = ACTIONS(13949),
    [aux_sym__terminator_token1] = ACTIONS(13949),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13951),
    [sym__command_start] = ACTIONS(13951),
  },
  [8880] = {
    [sym__word_identifier] = ACTIONS(13630),
    [anon_sym_EQ] = ACTIONS(13630),
    [anon_sym_COMMA] = ACTIONS(13630),
    [anon_sym_COLON] = ACTIONS(13630),
    [anon_sym_begin] = ACTIONS(13630),
    [anon_sym_module] = ACTIONS(13630),
    [anon_sym_baremodule] = ACTIONS(13630),
    [anon_sym_end] = ACTIONS(13630),
    [anon_sym_abstract] = ACTIONS(13630),
    [anon_sym_primitive] = ACTIONS(13630),
    [anon_sym_mutable] = ACTIONS(13630),
    [anon_sym_struct] = ACTIONS(13630),
    [anon_sym_function] = ACTIONS(13630),
    [anon_sym_macro] = ACTIONS(13630),
    [anon_sym_where] = ACTIONS(13630),
    [anon_sym_quote] = ACTIONS(13630),
    [anon_sym_let] = ACTIONS(13630),
    [anon_sym_if] = ACTIONS(13630),
    [anon_sym_try] = ACTIONS(13630),
    [anon_sym_for] = ACTIONS(13630),
    [anon_sym_while] = ACTIONS(13630),
    [sym_break_statement] = ACTIONS(13630),
    [sym_continue_statement] = ACTIONS(13630),
    [anon_sym_return] = ACTIONS(13630),
    [anon_sym_const] = ACTIONS(13630),
    [anon_sym_global] = ACTIONS(13630),
    [anon_sym_local] = ACTIONS(13630),
    [anon_sym_LPAREN] = ACTIONS(13630),
    [anon_sym_COLON2] = ACTIONS(13630),
    [anon_sym_export] = ACTIONS(13630),
    [anon_sym_import] = ACTIONS(13630),
    [anon_sym_using] = ACTIONS(13630),
    [anon_sym_LBRACK] = ACTIONS(13630),
    [anon_sym_LF] = ACTIONS(13628),
    [anon_sym_in] = ACTIONS(13630),
    [anon_sym_LBRACE] = ACTIONS(13630),
    [anon_sym_DOLLAR] = ACTIONS(13630),
    [anon_sym_COLON_COLON] = ACTIONS(13630),
    [anon_sym_isa] = ACTIONS(13630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13630),
    [anon_sym_QMARK] = ACTIONS(13630),
    [anon_sym_AT] = ACTIONS(13630),
    [anon_sym_true] = ACTIONS(13630),
    [anon_sym_false] = ACTIONS(13630),
    [aux_sym_integer_literal_token1] = ACTIONS(13630),
    [aux_sym_integer_literal_token2] = ACTIONS(13630),
    [aux_sym_integer_literal_token3] = ACTIONS(13630),
    [aux_sym_integer_literal_token4] = ACTIONS(13630),
    [aux_sym_float_literal_token1] = ACTIONS(13630),
    [aux_sym_float_literal_token3] = ACTIONS(13630),
    [aux_sym_float_literal_token4] = ACTIONS(13630),
    [sym_character_literal] = ACTIONS(13630),
    [sym__pair_operator] = ACTIONS(13630),
    [sym__arrow_operator] = ACTIONS(13630),
    [sym__lazy_or_operator] = ACTIONS(13630),
    [sym__lazy_and_operator] = ACTIONS(13630),
    [sym__comparison_operator] = ACTIONS(13630),
    [sym__pipe_right_operator] = ACTIONS(13630),
    [sym__pipe_left_operator] = ACTIONS(13630),
    [sym__ellipsis_operator] = ACTIONS(13630),
    [sym__plus_operator] = ACTIONS(13630),
    [sym__times_operator] = ACTIONS(13630),
    [sym__rational_operator] = ACTIONS(13630),
    [sym__bitshift_operator] = ACTIONS(13630),
    [sym__power_operator] = ACTIONS(13630),
    [sym__tilde_operator] = ACTIONS(13630),
    [sym__type_order_operator] = ACTIONS(13630),
    [sym__unary_operator] = ACTIONS(13630),
    [sym__unary_plus_operator] = ACTIONS(13630),
    [aux_sym__terminator_token1] = ACTIONS(13630),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13628),
    [sym__command_start] = ACTIONS(13628),
  },
  [8881] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(14842),
    [anon_sym_COMMA] = ACTIONS(13104),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13104),
    [anon_sym_RPAREN] = ACTIONS(13104),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13104),
    [anon_sym_RBRACK] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13104),
    [anon_sym_RBRACE] = ACTIONS(13104),
    [anon_sym_DOLLAR] = ACTIONS(13104),
    [anon_sym_COLON_COLON] = ACTIONS(13104),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13104),
    [anon_sym_QMARK] = ACTIONS(13104),
    [anon_sym_AT] = ACTIONS(13104),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13104),
    [aux_sym_integer_literal_token2] = ACTIONS(13104),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13104),
    [aux_sym_float_literal_token3] = ACTIONS(13104),
    [aux_sym_float_literal_token4] = ACTIONS(13104),
    [sym_character_literal] = ACTIONS(13104),
    [sym__pair_operator] = ACTIONS(13104),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13104),
    [sym__lazy_and_operator] = ACTIONS(13104),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13104),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13104),
    [sym__bitshift_operator] = ACTIONS(13104),
    [sym__power_operator] = ACTIONS(13104),
    [sym__tilde_operator] = ACTIONS(13104),
    [sym__type_order_operator] = ACTIONS(13104),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8882] = {
    [sym__word_identifier] = ACTIONS(14015),
    [anon_sym_EQ] = ACTIONS(14015),
    [anon_sym_COMMA] = ACTIONS(14015),
    [anon_sym_COLON] = ACTIONS(14015),
    [anon_sym_begin] = ACTIONS(14015),
    [anon_sym_module] = ACTIONS(14015),
    [anon_sym_baremodule] = ACTIONS(14015),
    [anon_sym_end] = ACTIONS(14015),
    [anon_sym_abstract] = ACTIONS(14015),
    [anon_sym_primitive] = ACTIONS(14015),
    [anon_sym_mutable] = ACTIONS(14015),
    [anon_sym_struct] = ACTIONS(14015),
    [anon_sym_function] = ACTIONS(14015),
    [anon_sym_macro] = ACTIONS(14015),
    [anon_sym_where] = ACTIONS(14015),
    [anon_sym_quote] = ACTIONS(14015),
    [anon_sym_let] = ACTIONS(14015),
    [anon_sym_if] = ACTIONS(14015),
    [anon_sym_try] = ACTIONS(14015),
    [anon_sym_for] = ACTIONS(14015),
    [anon_sym_while] = ACTIONS(14015),
    [sym_break_statement] = ACTIONS(14015),
    [sym_continue_statement] = ACTIONS(14015),
    [anon_sym_return] = ACTIONS(14015),
    [anon_sym_const] = ACTIONS(14015),
    [anon_sym_global] = ACTIONS(14015),
    [anon_sym_local] = ACTIONS(14015),
    [anon_sym_LPAREN] = ACTIONS(14015),
    [anon_sym_COLON2] = ACTIONS(14015),
    [anon_sym_export] = ACTIONS(14015),
    [anon_sym_import] = ACTIONS(14015),
    [anon_sym_using] = ACTIONS(14015),
    [anon_sym_LBRACK] = ACTIONS(14015),
    [anon_sym_LF] = ACTIONS(14013),
    [anon_sym_in] = ACTIONS(14015),
    [anon_sym_LBRACE] = ACTIONS(14015),
    [anon_sym_DOLLAR] = ACTIONS(14015),
    [anon_sym_COLON_COLON] = ACTIONS(14015),
    [anon_sym_isa] = ACTIONS(14015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14015),
    [anon_sym_QMARK] = ACTIONS(14015),
    [anon_sym_AT] = ACTIONS(14015),
    [anon_sym_true] = ACTIONS(14015),
    [anon_sym_false] = ACTIONS(14015),
    [aux_sym_integer_literal_token1] = ACTIONS(14015),
    [aux_sym_integer_literal_token2] = ACTIONS(14015),
    [aux_sym_integer_literal_token3] = ACTIONS(14015),
    [aux_sym_integer_literal_token4] = ACTIONS(14015),
    [aux_sym_float_literal_token1] = ACTIONS(14015),
    [aux_sym_float_literal_token3] = ACTIONS(14015),
    [aux_sym_float_literal_token4] = ACTIONS(14015),
    [sym_character_literal] = ACTIONS(14015),
    [sym__pair_operator] = ACTIONS(14015),
    [sym__arrow_operator] = ACTIONS(14015),
    [sym__lazy_or_operator] = ACTIONS(14015),
    [sym__lazy_and_operator] = ACTIONS(14015),
    [sym__comparison_operator] = ACTIONS(14015),
    [sym__pipe_right_operator] = ACTIONS(14015),
    [sym__pipe_left_operator] = ACTIONS(14015),
    [sym__ellipsis_operator] = ACTIONS(14015),
    [sym__plus_operator] = ACTIONS(14015),
    [sym__times_operator] = ACTIONS(14015),
    [sym__rational_operator] = ACTIONS(14015),
    [sym__bitshift_operator] = ACTIONS(14015),
    [sym__power_operator] = ACTIONS(14015),
    [sym__tilde_operator] = ACTIONS(14015),
    [sym__type_order_operator] = ACTIONS(14015),
    [sym__unary_operator] = ACTIONS(14015),
    [sym__unary_plus_operator] = ACTIONS(14015),
    [aux_sym__terminator_token1] = ACTIONS(14015),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14013),
    [sym__command_start] = ACTIONS(14013),
  },
  [8883] = {
    [sym__word_identifier] = ACTIONS(14019),
    [anon_sym_EQ] = ACTIONS(14019),
    [anon_sym_COMMA] = ACTIONS(14019),
    [anon_sym_COLON] = ACTIONS(14019),
    [anon_sym_begin] = ACTIONS(14019),
    [anon_sym_module] = ACTIONS(14019),
    [anon_sym_baremodule] = ACTIONS(14019),
    [anon_sym_end] = ACTIONS(14019),
    [anon_sym_abstract] = ACTIONS(14019),
    [anon_sym_primitive] = ACTIONS(14019),
    [anon_sym_mutable] = ACTIONS(14019),
    [anon_sym_struct] = ACTIONS(14019),
    [anon_sym_function] = ACTIONS(14019),
    [anon_sym_macro] = ACTIONS(14019),
    [anon_sym_where] = ACTIONS(14019),
    [anon_sym_quote] = ACTIONS(14019),
    [anon_sym_let] = ACTIONS(14019),
    [anon_sym_if] = ACTIONS(14019),
    [anon_sym_try] = ACTIONS(14019),
    [anon_sym_for] = ACTIONS(14019),
    [anon_sym_while] = ACTIONS(14019),
    [sym_break_statement] = ACTIONS(14019),
    [sym_continue_statement] = ACTIONS(14019),
    [anon_sym_return] = ACTIONS(14019),
    [anon_sym_const] = ACTIONS(14019),
    [anon_sym_global] = ACTIONS(14019),
    [anon_sym_local] = ACTIONS(14019),
    [anon_sym_LPAREN] = ACTIONS(14019),
    [anon_sym_COLON2] = ACTIONS(14019),
    [anon_sym_export] = ACTIONS(14019),
    [anon_sym_import] = ACTIONS(14019),
    [anon_sym_using] = ACTIONS(14019),
    [anon_sym_LBRACK] = ACTIONS(14019),
    [anon_sym_LF] = ACTIONS(14017),
    [anon_sym_in] = ACTIONS(14019),
    [anon_sym_LBRACE] = ACTIONS(14019),
    [anon_sym_DOLLAR] = ACTIONS(14019),
    [anon_sym_COLON_COLON] = ACTIONS(14019),
    [anon_sym_isa] = ACTIONS(14019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14019),
    [anon_sym_QMARK] = ACTIONS(14019),
    [anon_sym_AT] = ACTIONS(14019),
    [anon_sym_true] = ACTIONS(14019),
    [anon_sym_false] = ACTIONS(14019),
    [aux_sym_integer_literal_token1] = ACTIONS(14019),
    [aux_sym_integer_literal_token2] = ACTIONS(14019),
    [aux_sym_integer_literal_token3] = ACTIONS(14019),
    [aux_sym_integer_literal_token4] = ACTIONS(14019),
    [aux_sym_float_literal_token1] = ACTIONS(14019),
    [aux_sym_float_literal_token3] = ACTIONS(14019),
    [aux_sym_float_literal_token4] = ACTIONS(14019),
    [sym_character_literal] = ACTIONS(14019),
    [sym__pair_operator] = ACTIONS(14019),
    [sym__arrow_operator] = ACTIONS(14019),
    [sym__lazy_or_operator] = ACTIONS(14019),
    [sym__lazy_and_operator] = ACTIONS(14019),
    [sym__comparison_operator] = ACTIONS(14019),
    [sym__pipe_right_operator] = ACTIONS(14019),
    [sym__pipe_left_operator] = ACTIONS(14019),
    [sym__ellipsis_operator] = ACTIONS(14019),
    [sym__plus_operator] = ACTIONS(14019),
    [sym__times_operator] = ACTIONS(14019),
    [sym__rational_operator] = ACTIONS(14019),
    [sym__bitshift_operator] = ACTIONS(14019),
    [sym__power_operator] = ACTIONS(14019),
    [sym__tilde_operator] = ACTIONS(14019),
    [sym__type_order_operator] = ACTIONS(14019),
    [sym__unary_operator] = ACTIONS(14019),
    [sym__unary_plus_operator] = ACTIONS(14019),
    [aux_sym__terminator_token1] = ACTIONS(14019),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14017),
    [sym__command_start] = ACTIONS(14017),
  },
  [8884] = {
    [sym__word_identifier] = ACTIONS(14023),
    [anon_sym_EQ] = ACTIONS(14023),
    [anon_sym_COMMA] = ACTIONS(14023),
    [anon_sym_COLON] = ACTIONS(14023),
    [anon_sym_begin] = ACTIONS(14023),
    [anon_sym_module] = ACTIONS(14023),
    [anon_sym_baremodule] = ACTIONS(14023),
    [anon_sym_end] = ACTIONS(14023),
    [anon_sym_abstract] = ACTIONS(14023),
    [anon_sym_primitive] = ACTIONS(14023),
    [anon_sym_mutable] = ACTIONS(14023),
    [anon_sym_struct] = ACTIONS(14023),
    [anon_sym_function] = ACTIONS(14023),
    [anon_sym_macro] = ACTIONS(14023),
    [anon_sym_where] = ACTIONS(14023),
    [anon_sym_quote] = ACTIONS(14023),
    [anon_sym_let] = ACTIONS(14023),
    [anon_sym_if] = ACTIONS(14023),
    [anon_sym_try] = ACTIONS(14023),
    [anon_sym_for] = ACTIONS(14023),
    [anon_sym_while] = ACTIONS(14023),
    [sym_break_statement] = ACTIONS(14023),
    [sym_continue_statement] = ACTIONS(14023),
    [anon_sym_return] = ACTIONS(14023),
    [anon_sym_const] = ACTIONS(14023),
    [anon_sym_global] = ACTIONS(14023),
    [anon_sym_local] = ACTIONS(14023),
    [anon_sym_LPAREN] = ACTIONS(14023),
    [anon_sym_COLON2] = ACTIONS(14023),
    [anon_sym_export] = ACTIONS(14023),
    [anon_sym_import] = ACTIONS(14023),
    [anon_sym_using] = ACTIONS(14023),
    [anon_sym_LBRACK] = ACTIONS(14023),
    [anon_sym_LF] = ACTIONS(14021),
    [anon_sym_in] = ACTIONS(14023),
    [anon_sym_LBRACE] = ACTIONS(14023),
    [anon_sym_DOLLAR] = ACTIONS(14023),
    [anon_sym_COLON_COLON] = ACTIONS(14023),
    [anon_sym_isa] = ACTIONS(14023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14023),
    [anon_sym_QMARK] = ACTIONS(14023),
    [anon_sym_AT] = ACTIONS(14023),
    [anon_sym_true] = ACTIONS(14023),
    [anon_sym_false] = ACTIONS(14023),
    [aux_sym_integer_literal_token1] = ACTIONS(14023),
    [aux_sym_integer_literal_token2] = ACTIONS(14023),
    [aux_sym_integer_literal_token3] = ACTIONS(14023),
    [aux_sym_integer_literal_token4] = ACTIONS(14023),
    [aux_sym_float_literal_token1] = ACTIONS(14023),
    [aux_sym_float_literal_token3] = ACTIONS(14023),
    [aux_sym_float_literal_token4] = ACTIONS(14023),
    [sym_character_literal] = ACTIONS(14023),
    [sym__pair_operator] = ACTIONS(14023),
    [sym__arrow_operator] = ACTIONS(14023),
    [sym__lazy_or_operator] = ACTIONS(14023),
    [sym__lazy_and_operator] = ACTIONS(14023),
    [sym__comparison_operator] = ACTIONS(14023),
    [sym__pipe_right_operator] = ACTIONS(14023),
    [sym__pipe_left_operator] = ACTIONS(14023),
    [sym__ellipsis_operator] = ACTIONS(14023),
    [sym__plus_operator] = ACTIONS(14023),
    [sym__times_operator] = ACTIONS(14023),
    [sym__rational_operator] = ACTIONS(14023),
    [sym__bitshift_operator] = ACTIONS(14023),
    [sym__power_operator] = ACTIONS(14023),
    [sym__tilde_operator] = ACTIONS(14023),
    [sym__type_order_operator] = ACTIONS(14023),
    [sym__unary_operator] = ACTIONS(14023),
    [sym__unary_plus_operator] = ACTIONS(14023),
    [aux_sym__terminator_token1] = ACTIONS(14023),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14021),
    [sym__command_start] = ACTIONS(14021),
  },
  [8885] = {
    [sym__word_identifier] = ACTIONS(13286),
    [anon_sym_EQ] = ACTIONS(13286),
    [anon_sym_COMMA] = ACTIONS(13286),
    [anon_sym_COLON] = ACTIONS(13286),
    [anon_sym_begin] = ACTIONS(13286),
    [anon_sym_module] = ACTIONS(13286),
    [anon_sym_baremodule] = ACTIONS(13286),
    [anon_sym_end] = ACTIONS(13286),
    [anon_sym_abstract] = ACTIONS(13286),
    [anon_sym_primitive] = ACTIONS(13286),
    [anon_sym_mutable] = ACTIONS(13286),
    [anon_sym_struct] = ACTIONS(13286),
    [anon_sym_function] = ACTIONS(13286),
    [anon_sym_macro] = ACTIONS(13286),
    [anon_sym_where] = ACTIONS(13286),
    [anon_sym_quote] = ACTIONS(13286),
    [anon_sym_let] = ACTIONS(13286),
    [anon_sym_if] = ACTIONS(13286),
    [anon_sym_try] = ACTIONS(13286),
    [anon_sym_for] = ACTIONS(13286),
    [anon_sym_while] = ACTIONS(13286),
    [sym_break_statement] = ACTIONS(13286),
    [sym_continue_statement] = ACTIONS(13286),
    [anon_sym_return] = ACTIONS(13286),
    [anon_sym_const] = ACTIONS(13286),
    [anon_sym_global] = ACTIONS(13286),
    [anon_sym_local] = ACTIONS(13286),
    [anon_sym_LPAREN] = ACTIONS(13286),
    [anon_sym_COLON2] = ACTIONS(13286),
    [anon_sym_export] = ACTIONS(13286),
    [anon_sym_import] = ACTIONS(13286),
    [anon_sym_using] = ACTIONS(13286),
    [anon_sym_LBRACK] = ACTIONS(13286),
    [anon_sym_LF] = ACTIONS(13288),
    [anon_sym_in] = ACTIONS(13286),
    [anon_sym_LBRACE] = ACTIONS(13286),
    [anon_sym_DOLLAR] = ACTIONS(13286),
    [anon_sym_COLON_COLON] = ACTIONS(13286),
    [anon_sym_isa] = ACTIONS(13286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13286),
    [anon_sym_QMARK] = ACTIONS(13286),
    [anon_sym_AT] = ACTIONS(13286),
    [anon_sym_true] = ACTIONS(13286),
    [anon_sym_false] = ACTIONS(13286),
    [aux_sym_integer_literal_token1] = ACTIONS(13286),
    [aux_sym_integer_literal_token2] = ACTIONS(13286),
    [aux_sym_integer_literal_token3] = ACTIONS(13286),
    [aux_sym_integer_literal_token4] = ACTIONS(13286),
    [aux_sym_float_literal_token1] = ACTIONS(13286),
    [aux_sym_float_literal_token3] = ACTIONS(13286),
    [aux_sym_float_literal_token4] = ACTIONS(13286),
    [sym_character_literal] = ACTIONS(13286),
    [sym__pair_operator] = ACTIONS(13286),
    [sym__arrow_operator] = ACTIONS(13286),
    [sym__lazy_or_operator] = ACTIONS(13286),
    [sym__lazy_and_operator] = ACTIONS(13286),
    [sym__comparison_operator] = ACTIONS(13286),
    [sym__pipe_right_operator] = ACTIONS(13286),
    [sym__pipe_left_operator] = ACTIONS(13286),
    [sym__ellipsis_operator] = ACTIONS(13286),
    [sym__plus_operator] = ACTIONS(13286),
    [sym__times_operator] = ACTIONS(13286),
    [sym__rational_operator] = ACTIONS(13286),
    [sym__bitshift_operator] = ACTIONS(13286),
    [sym__power_operator] = ACTIONS(13286),
    [sym__tilde_operator] = ACTIONS(13286),
    [sym__type_order_operator] = ACTIONS(13286),
    [sym__unary_operator] = ACTIONS(13286),
    [sym__unary_plus_operator] = ACTIONS(13286),
    [aux_sym__terminator_token1] = ACTIONS(13286),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13288),
    [sym__command_start] = ACTIONS(13288),
  },
  [8886] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(14874),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8887] = {
    [sym__word_identifier] = ACTIONS(13259),
    [anon_sym_EQ] = ACTIONS(13259),
    [anon_sym_COMMA] = ACTIONS(13259),
    [anon_sym_COLON] = ACTIONS(13259),
    [anon_sym_begin] = ACTIONS(13259),
    [anon_sym_module] = ACTIONS(13259),
    [anon_sym_baremodule] = ACTIONS(13259),
    [anon_sym_end] = ACTIONS(13259),
    [anon_sym_abstract] = ACTIONS(13259),
    [anon_sym_primitive] = ACTIONS(13259),
    [anon_sym_mutable] = ACTIONS(13259),
    [anon_sym_struct] = ACTIONS(13259),
    [anon_sym_function] = ACTIONS(13259),
    [anon_sym_macro] = ACTIONS(13259),
    [anon_sym_where] = ACTIONS(13259),
    [anon_sym_quote] = ACTIONS(13259),
    [anon_sym_let] = ACTIONS(13259),
    [anon_sym_if] = ACTIONS(13259),
    [anon_sym_try] = ACTIONS(13259),
    [anon_sym_for] = ACTIONS(13259),
    [anon_sym_while] = ACTIONS(13259),
    [sym_break_statement] = ACTIONS(13259),
    [sym_continue_statement] = ACTIONS(13259),
    [anon_sym_return] = ACTIONS(13259),
    [anon_sym_const] = ACTIONS(13259),
    [anon_sym_global] = ACTIONS(13259),
    [anon_sym_local] = ACTIONS(13259),
    [anon_sym_LPAREN] = ACTIONS(13259),
    [anon_sym_COLON2] = ACTIONS(13259),
    [anon_sym_export] = ACTIONS(13259),
    [anon_sym_import] = ACTIONS(13259),
    [anon_sym_using] = ACTIONS(13259),
    [anon_sym_LBRACK] = ACTIONS(13259),
    [anon_sym_LF] = ACTIONS(13261),
    [anon_sym_in] = ACTIONS(13259),
    [anon_sym_LBRACE] = ACTIONS(13259),
    [anon_sym_DOLLAR] = ACTIONS(13259),
    [anon_sym_COLON_COLON] = ACTIONS(13259),
    [anon_sym_isa] = ACTIONS(13259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13259),
    [anon_sym_QMARK] = ACTIONS(13259),
    [anon_sym_AT] = ACTIONS(13259),
    [anon_sym_true] = ACTIONS(13259),
    [anon_sym_false] = ACTIONS(13259),
    [aux_sym_integer_literal_token1] = ACTIONS(13259),
    [aux_sym_integer_literal_token2] = ACTIONS(13259),
    [aux_sym_integer_literal_token3] = ACTIONS(13259),
    [aux_sym_integer_literal_token4] = ACTIONS(13259),
    [aux_sym_float_literal_token1] = ACTIONS(13259),
    [aux_sym_float_literal_token3] = ACTIONS(13259),
    [aux_sym_float_literal_token4] = ACTIONS(13259),
    [sym_character_literal] = ACTIONS(13259),
    [sym__pair_operator] = ACTIONS(13259),
    [sym__arrow_operator] = ACTIONS(13259),
    [sym__lazy_or_operator] = ACTIONS(13259),
    [sym__lazy_and_operator] = ACTIONS(13259),
    [sym__comparison_operator] = ACTIONS(13259),
    [sym__pipe_right_operator] = ACTIONS(13259),
    [sym__pipe_left_operator] = ACTIONS(13259),
    [sym__ellipsis_operator] = ACTIONS(13259),
    [sym__plus_operator] = ACTIONS(13259),
    [sym__times_operator] = ACTIONS(13259),
    [sym__rational_operator] = ACTIONS(13259),
    [sym__bitshift_operator] = ACTIONS(13259),
    [sym__power_operator] = ACTIONS(13259),
    [sym__tilde_operator] = ACTIONS(13259),
    [sym__type_order_operator] = ACTIONS(13259),
    [sym__unary_operator] = ACTIONS(13259),
    [sym__unary_plus_operator] = ACTIONS(13259),
    [aux_sym__terminator_token1] = ACTIONS(13259),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13261),
    [sym__command_start] = ACTIONS(13261),
  },
  [8888] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(14842),
    [anon_sym_COMMA] = ACTIONS(13212),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13212),
    [anon_sym_RPAREN] = ACTIONS(13212),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13212),
    [anon_sym_RBRACK] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13212),
    [anon_sym_RBRACE] = ACTIONS(13212),
    [anon_sym_DOLLAR] = ACTIONS(13212),
    [anon_sym_COLON_COLON] = ACTIONS(13212),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13212),
    [anon_sym_QMARK] = ACTIONS(13212),
    [anon_sym_AT] = ACTIONS(13212),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13212),
    [aux_sym_integer_literal_token2] = ACTIONS(13212),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13212),
    [aux_sym_float_literal_token3] = ACTIONS(13212),
    [aux_sym_float_literal_token4] = ACTIONS(13212),
    [sym_character_literal] = ACTIONS(13212),
    [sym__pair_operator] = ACTIONS(13212),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13212),
    [sym__lazy_and_operator] = ACTIONS(13212),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13212),
    [sym__pipe_left_operator] = ACTIONS(13212),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13212),
    [sym__bitshift_operator] = ACTIONS(13212),
    [sym__power_operator] = ACTIONS(13212),
    [sym__tilde_operator] = ACTIONS(13212),
    [sym__type_order_operator] = ACTIONS(13212),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8889] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [8890] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12792),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_DASH_GT] = ACTIONS(12174),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8891] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(14784),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_RPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_SEMI] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [8892] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_catch] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8893] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8894] = {
    [sym__word_identifier] = ACTIONS(13522),
    [anon_sym_EQ] = ACTIONS(13522),
    [anon_sym_COMMA] = ACTIONS(13522),
    [anon_sym_COLON] = ACTIONS(13522),
    [anon_sym_begin] = ACTIONS(13522),
    [anon_sym_module] = ACTIONS(13522),
    [anon_sym_baremodule] = ACTIONS(13522),
    [anon_sym_end] = ACTIONS(13522),
    [anon_sym_abstract] = ACTIONS(13522),
    [anon_sym_primitive] = ACTIONS(13522),
    [anon_sym_mutable] = ACTIONS(13522),
    [anon_sym_struct] = ACTIONS(13522),
    [anon_sym_function] = ACTIONS(13522),
    [anon_sym_macro] = ACTIONS(13522),
    [anon_sym_where] = ACTIONS(13522),
    [anon_sym_quote] = ACTIONS(13522),
    [anon_sym_let] = ACTIONS(13522),
    [anon_sym_if] = ACTIONS(13522),
    [anon_sym_try] = ACTIONS(13522),
    [anon_sym_for] = ACTIONS(13522),
    [anon_sym_while] = ACTIONS(13522),
    [sym_break_statement] = ACTIONS(13522),
    [sym_continue_statement] = ACTIONS(13522),
    [anon_sym_return] = ACTIONS(13522),
    [anon_sym_const] = ACTIONS(13522),
    [anon_sym_global] = ACTIONS(13522),
    [anon_sym_local] = ACTIONS(13522),
    [anon_sym_LPAREN] = ACTIONS(13522),
    [anon_sym_COLON2] = ACTIONS(13522),
    [anon_sym_export] = ACTIONS(13522),
    [anon_sym_import] = ACTIONS(13522),
    [anon_sym_using] = ACTIONS(13522),
    [anon_sym_LBRACK] = ACTIONS(13522),
    [anon_sym_LF] = ACTIONS(13524),
    [anon_sym_in] = ACTIONS(13522),
    [anon_sym_LBRACE] = ACTIONS(13522),
    [anon_sym_DOLLAR] = ACTIONS(13522),
    [anon_sym_COLON_COLON] = ACTIONS(13522),
    [anon_sym_isa] = ACTIONS(13522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13522),
    [anon_sym_QMARK] = ACTIONS(13522),
    [anon_sym_AT] = ACTIONS(13522),
    [anon_sym_true] = ACTIONS(13522),
    [anon_sym_false] = ACTIONS(13522),
    [aux_sym_integer_literal_token1] = ACTIONS(13522),
    [aux_sym_integer_literal_token2] = ACTIONS(13522),
    [aux_sym_integer_literal_token3] = ACTIONS(13522),
    [aux_sym_integer_literal_token4] = ACTIONS(13522),
    [aux_sym_float_literal_token1] = ACTIONS(13522),
    [aux_sym_float_literal_token3] = ACTIONS(13522),
    [aux_sym_float_literal_token4] = ACTIONS(13522),
    [sym_character_literal] = ACTIONS(13522),
    [sym__pair_operator] = ACTIONS(13522),
    [sym__arrow_operator] = ACTIONS(13522),
    [sym__lazy_or_operator] = ACTIONS(13522),
    [sym__lazy_and_operator] = ACTIONS(13522),
    [sym__comparison_operator] = ACTIONS(13522),
    [sym__pipe_right_operator] = ACTIONS(13522),
    [sym__pipe_left_operator] = ACTIONS(13522),
    [sym__ellipsis_operator] = ACTIONS(13522),
    [sym__plus_operator] = ACTIONS(13522),
    [sym__times_operator] = ACTIONS(13522),
    [sym__rational_operator] = ACTIONS(13522),
    [sym__bitshift_operator] = ACTIONS(13522),
    [sym__power_operator] = ACTIONS(13522),
    [sym__tilde_operator] = ACTIONS(13522),
    [sym__type_order_operator] = ACTIONS(13522),
    [sym__unary_operator] = ACTIONS(13522),
    [sym__unary_plus_operator] = ACTIONS(13522),
    [aux_sym__terminator_token1] = ACTIONS(13522),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13524),
    [sym__command_start] = ACTIONS(13524),
  },
  [8895] = {
    [sym__word_identifier] = ACTIONS(13290),
    [anon_sym_EQ] = ACTIONS(13290),
    [anon_sym_COMMA] = ACTIONS(13290),
    [anon_sym_COLON] = ACTIONS(13290),
    [anon_sym_begin] = ACTIONS(13290),
    [anon_sym_module] = ACTIONS(13290),
    [anon_sym_baremodule] = ACTIONS(13290),
    [anon_sym_end] = ACTIONS(13290),
    [anon_sym_abstract] = ACTIONS(13290),
    [anon_sym_primitive] = ACTIONS(13290),
    [anon_sym_mutable] = ACTIONS(13290),
    [anon_sym_struct] = ACTIONS(13290),
    [anon_sym_function] = ACTIONS(13290),
    [anon_sym_macro] = ACTIONS(13290),
    [anon_sym_where] = ACTIONS(13290),
    [anon_sym_quote] = ACTIONS(13290),
    [anon_sym_let] = ACTIONS(13290),
    [anon_sym_if] = ACTIONS(13290),
    [anon_sym_try] = ACTIONS(13290),
    [anon_sym_for] = ACTIONS(13290),
    [anon_sym_while] = ACTIONS(13290),
    [sym_break_statement] = ACTIONS(13290),
    [sym_continue_statement] = ACTIONS(13290),
    [anon_sym_return] = ACTIONS(13290),
    [anon_sym_const] = ACTIONS(13290),
    [anon_sym_global] = ACTIONS(13290),
    [anon_sym_local] = ACTIONS(13290),
    [anon_sym_LPAREN] = ACTIONS(13290),
    [anon_sym_COLON2] = ACTIONS(13290),
    [anon_sym_export] = ACTIONS(13290),
    [anon_sym_import] = ACTIONS(13290),
    [anon_sym_using] = ACTIONS(13290),
    [anon_sym_LBRACK] = ACTIONS(13290),
    [anon_sym_LF] = ACTIONS(13292),
    [anon_sym_in] = ACTIONS(13290),
    [anon_sym_LBRACE] = ACTIONS(13290),
    [anon_sym_DOLLAR] = ACTIONS(13290),
    [anon_sym_COLON_COLON] = ACTIONS(13290),
    [anon_sym_isa] = ACTIONS(13290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13290),
    [anon_sym_QMARK] = ACTIONS(13290),
    [anon_sym_AT] = ACTIONS(13290),
    [anon_sym_true] = ACTIONS(13290),
    [anon_sym_false] = ACTIONS(13290),
    [aux_sym_integer_literal_token1] = ACTIONS(13290),
    [aux_sym_integer_literal_token2] = ACTIONS(13290),
    [aux_sym_integer_literal_token3] = ACTIONS(13290),
    [aux_sym_integer_literal_token4] = ACTIONS(13290),
    [aux_sym_float_literal_token1] = ACTIONS(13290),
    [aux_sym_float_literal_token3] = ACTIONS(13290),
    [aux_sym_float_literal_token4] = ACTIONS(13290),
    [sym_character_literal] = ACTIONS(13290),
    [sym__pair_operator] = ACTIONS(13290),
    [sym__arrow_operator] = ACTIONS(13290),
    [sym__lazy_or_operator] = ACTIONS(13290),
    [sym__lazy_and_operator] = ACTIONS(13290),
    [sym__comparison_operator] = ACTIONS(13290),
    [sym__pipe_right_operator] = ACTIONS(13290),
    [sym__pipe_left_operator] = ACTIONS(13290),
    [sym__ellipsis_operator] = ACTIONS(13290),
    [sym__plus_operator] = ACTIONS(13290),
    [sym__times_operator] = ACTIONS(13290),
    [sym__rational_operator] = ACTIONS(13290),
    [sym__bitshift_operator] = ACTIONS(13290),
    [sym__power_operator] = ACTIONS(13290),
    [sym__tilde_operator] = ACTIONS(13290),
    [sym__type_order_operator] = ACTIONS(13290),
    [sym__unary_operator] = ACTIONS(13290),
    [sym__unary_plus_operator] = ACTIONS(13290),
    [aux_sym__terminator_token1] = ACTIONS(13290),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13292),
    [sym__command_start] = ACTIONS(13292),
  },
  [8896] = {
    [sym__word_identifier] = ACTIONS(13696),
    [anon_sym_EQ] = ACTIONS(13696),
    [anon_sym_COMMA] = ACTIONS(13696),
    [anon_sym_COLON] = ACTIONS(13696),
    [anon_sym_begin] = ACTIONS(13696),
    [anon_sym_module] = ACTIONS(13696),
    [anon_sym_baremodule] = ACTIONS(13696),
    [anon_sym_abstract] = ACTIONS(13696),
    [anon_sym_primitive] = ACTIONS(13696),
    [anon_sym_mutable] = ACTIONS(13696),
    [anon_sym_struct] = ACTIONS(13696),
    [anon_sym_function] = ACTIONS(13696),
    [anon_sym_macro] = ACTIONS(13696),
    [anon_sym_where] = ACTIONS(13696),
    [anon_sym_quote] = ACTIONS(13696),
    [anon_sym_let] = ACTIONS(13696),
    [anon_sym_if] = ACTIONS(13696),
    [anon_sym_try] = ACTIONS(13696),
    [anon_sym_for] = ACTIONS(13696),
    [anon_sym_while] = ACTIONS(13696),
    [sym_break_statement] = ACTIONS(13696),
    [sym_continue_statement] = ACTIONS(13696),
    [anon_sym_return] = ACTIONS(13696),
    [anon_sym_const] = ACTIONS(13696),
    [anon_sym_global] = ACTIONS(13696),
    [anon_sym_local] = ACTIONS(13696),
    [anon_sym_LPAREN] = ACTIONS(13696),
    [anon_sym_RPAREN] = ACTIONS(13696),
    [anon_sym_COLON2] = ACTIONS(13696),
    [anon_sym_export] = ACTIONS(13696),
    [anon_sym_import] = ACTIONS(13696),
    [anon_sym_using] = ACTIONS(13696),
    [anon_sym_LBRACK] = ACTIONS(13696),
    [anon_sym_LF] = ACTIONS(13694),
    [anon_sym_in] = ACTIONS(13696),
    [anon_sym_SEMI] = ACTIONS(13696),
    [anon_sym_LBRACE] = ACTIONS(13696),
    [anon_sym_DOLLAR] = ACTIONS(13696),
    [anon_sym_COLON_COLON] = ACTIONS(13696),
    [anon_sym_isa] = ACTIONS(13696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13696),
    [anon_sym_QMARK] = ACTIONS(13696),
    [anon_sym_AT] = ACTIONS(13696),
    [anon_sym_true] = ACTIONS(13696),
    [anon_sym_false] = ACTIONS(13696),
    [aux_sym_integer_literal_token1] = ACTIONS(13696),
    [aux_sym_integer_literal_token2] = ACTIONS(13696),
    [aux_sym_integer_literal_token3] = ACTIONS(13696),
    [aux_sym_integer_literal_token4] = ACTIONS(13696),
    [aux_sym_float_literal_token1] = ACTIONS(13696),
    [aux_sym_float_literal_token3] = ACTIONS(13696),
    [aux_sym_float_literal_token4] = ACTIONS(13696),
    [sym_character_literal] = ACTIONS(13696),
    [sym__pair_operator] = ACTIONS(13696),
    [sym__arrow_operator] = ACTIONS(13696),
    [sym__lazy_or_operator] = ACTIONS(13696),
    [sym__lazy_and_operator] = ACTIONS(13696),
    [sym__comparison_operator] = ACTIONS(13696),
    [sym__pipe_right_operator] = ACTIONS(13696),
    [sym__pipe_left_operator] = ACTIONS(13696),
    [sym__ellipsis_operator] = ACTIONS(13696),
    [sym__plus_operator] = ACTIONS(13696),
    [sym__times_operator] = ACTIONS(13696),
    [sym__rational_operator] = ACTIONS(13696),
    [sym__bitshift_operator] = ACTIONS(13696),
    [sym__power_operator] = ACTIONS(13696),
    [sym__tilde_operator] = ACTIONS(13696),
    [sym__type_order_operator] = ACTIONS(13696),
    [sym__unary_operator] = ACTIONS(13696),
    [sym__unary_plus_operator] = ACTIONS(13696),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13694),
    [sym__command_start] = ACTIONS(13694),
  },
  [8897] = {
    [sym__word_identifier] = ACTIONS(13606),
    [anon_sym_EQ] = ACTIONS(13606),
    [anon_sym_COMMA] = ACTIONS(13606),
    [anon_sym_COLON] = ACTIONS(13606),
    [anon_sym_begin] = ACTIONS(13606),
    [anon_sym_module] = ACTIONS(13606),
    [anon_sym_baremodule] = ACTIONS(13606),
    [anon_sym_abstract] = ACTIONS(13606),
    [anon_sym_primitive] = ACTIONS(13606),
    [anon_sym_mutable] = ACTIONS(13606),
    [anon_sym_struct] = ACTIONS(13606),
    [anon_sym_function] = ACTIONS(13606),
    [anon_sym_macro] = ACTIONS(13606),
    [anon_sym_where] = ACTIONS(13606),
    [anon_sym_quote] = ACTIONS(13606),
    [anon_sym_let] = ACTIONS(13606),
    [anon_sym_if] = ACTIONS(13606),
    [anon_sym_try] = ACTIONS(13606),
    [anon_sym_for] = ACTIONS(13606),
    [anon_sym_while] = ACTIONS(13606),
    [sym_break_statement] = ACTIONS(13606),
    [sym_continue_statement] = ACTIONS(13606),
    [anon_sym_return] = ACTIONS(13606),
    [anon_sym_const] = ACTIONS(13606),
    [anon_sym_global] = ACTIONS(13606),
    [anon_sym_local] = ACTIONS(13606),
    [anon_sym_LPAREN] = ACTIONS(13606),
    [anon_sym_RPAREN] = ACTIONS(13606),
    [anon_sym_COLON2] = ACTIONS(13606),
    [anon_sym_export] = ACTIONS(13606),
    [anon_sym_import] = ACTIONS(13606),
    [anon_sym_using] = ACTIONS(13606),
    [anon_sym_LBRACK] = ACTIONS(13606),
    [anon_sym_LF] = ACTIONS(13604),
    [anon_sym_in] = ACTIONS(13606),
    [anon_sym_SEMI] = ACTIONS(13606),
    [anon_sym_LBRACE] = ACTIONS(13606),
    [anon_sym_DOLLAR] = ACTIONS(13606),
    [anon_sym_COLON_COLON] = ACTIONS(13606),
    [anon_sym_isa] = ACTIONS(13606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13606),
    [anon_sym_QMARK] = ACTIONS(13606),
    [anon_sym_AT] = ACTIONS(13606),
    [anon_sym_true] = ACTIONS(13606),
    [anon_sym_false] = ACTIONS(13606),
    [aux_sym_integer_literal_token1] = ACTIONS(13606),
    [aux_sym_integer_literal_token2] = ACTIONS(13606),
    [aux_sym_integer_literal_token3] = ACTIONS(13606),
    [aux_sym_integer_literal_token4] = ACTIONS(13606),
    [aux_sym_float_literal_token1] = ACTIONS(13606),
    [aux_sym_float_literal_token3] = ACTIONS(13606),
    [aux_sym_float_literal_token4] = ACTIONS(13606),
    [sym_character_literal] = ACTIONS(13606),
    [sym__pair_operator] = ACTIONS(13606),
    [sym__arrow_operator] = ACTIONS(13606),
    [sym__lazy_or_operator] = ACTIONS(13606),
    [sym__lazy_and_operator] = ACTIONS(13606),
    [sym__comparison_operator] = ACTIONS(13606),
    [sym__pipe_right_operator] = ACTIONS(13606),
    [sym__pipe_left_operator] = ACTIONS(13606),
    [sym__ellipsis_operator] = ACTIONS(13606),
    [sym__plus_operator] = ACTIONS(13606),
    [sym__times_operator] = ACTIONS(13606),
    [sym__rational_operator] = ACTIONS(13606),
    [sym__bitshift_operator] = ACTIONS(13606),
    [sym__power_operator] = ACTIONS(13606),
    [sym__tilde_operator] = ACTIONS(13606),
    [sym__type_order_operator] = ACTIONS(13606),
    [sym__unary_operator] = ACTIONS(13606),
    [sym__unary_plus_operator] = ACTIONS(13606),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13604),
    [sym__command_start] = ACTIONS(13604),
  },
  [8898] = {
    [sym__word_identifier] = ACTIONS(13546),
    [anon_sym_EQ] = ACTIONS(13546),
    [anon_sym_COMMA] = ACTIONS(13546),
    [anon_sym_COLON] = ACTIONS(13546),
    [anon_sym_begin] = ACTIONS(13546),
    [anon_sym_module] = ACTIONS(13546),
    [anon_sym_baremodule] = ACTIONS(13546),
    [anon_sym_end] = ACTIONS(13546),
    [anon_sym_abstract] = ACTIONS(13546),
    [anon_sym_primitive] = ACTIONS(13546),
    [anon_sym_mutable] = ACTIONS(13546),
    [anon_sym_struct] = ACTIONS(13546),
    [anon_sym_function] = ACTIONS(13546),
    [anon_sym_macro] = ACTIONS(13546),
    [anon_sym_where] = ACTIONS(13546),
    [anon_sym_quote] = ACTIONS(13546),
    [anon_sym_let] = ACTIONS(13546),
    [anon_sym_if] = ACTIONS(13546),
    [anon_sym_try] = ACTIONS(13546),
    [anon_sym_for] = ACTIONS(13546),
    [anon_sym_while] = ACTIONS(13546),
    [sym_break_statement] = ACTIONS(13546),
    [sym_continue_statement] = ACTIONS(13546),
    [anon_sym_return] = ACTIONS(13546),
    [anon_sym_const] = ACTIONS(13546),
    [anon_sym_global] = ACTIONS(13546),
    [anon_sym_local] = ACTIONS(13546),
    [anon_sym_LPAREN] = ACTIONS(13546),
    [anon_sym_COLON2] = ACTIONS(13546),
    [anon_sym_export] = ACTIONS(13546),
    [anon_sym_import] = ACTIONS(13546),
    [anon_sym_using] = ACTIONS(13546),
    [anon_sym_LBRACK] = ACTIONS(13546),
    [anon_sym_LF] = ACTIONS(13544),
    [anon_sym_in] = ACTIONS(13546),
    [anon_sym_LBRACE] = ACTIONS(13546),
    [anon_sym_DOLLAR] = ACTIONS(13546),
    [anon_sym_COLON_COLON] = ACTIONS(13546),
    [anon_sym_isa] = ACTIONS(13546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13546),
    [anon_sym_QMARK] = ACTIONS(13546),
    [anon_sym_AT] = ACTIONS(13546),
    [anon_sym_true] = ACTIONS(13546),
    [anon_sym_false] = ACTIONS(13546),
    [aux_sym_integer_literal_token1] = ACTIONS(13546),
    [aux_sym_integer_literal_token2] = ACTIONS(13546),
    [aux_sym_integer_literal_token3] = ACTIONS(13546),
    [aux_sym_integer_literal_token4] = ACTIONS(13546),
    [aux_sym_float_literal_token1] = ACTIONS(13546),
    [aux_sym_float_literal_token3] = ACTIONS(13546),
    [aux_sym_float_literal_token4] = ACTIONS(13546),
    [sym_character_literal] = ACTIONS(13546),
    [sym__pair_operator] = ACTIONS(13546),
    [sym__arrow_operator] = ACTIONS(13546),
    [sym__lazy_or_operator] = ACTIONS(13546),
    [sym__lazy_and_operator] = ACTIONS(13546),
    [sym__comparison_operator] = ACTIONS(13546),
    [sym__pipe_right_operator] = ACTIONS(13546),
    [sym__pipe_left_operator] = ACTIONS(13546),
    [sym__ellipsis_operator] = ACTIONS(13546),
    [sym__plus_operator] = ACTIONS(13546),
    [sym__times_operator] = ACTIONS(13546),
    [sym__rational_operator] = ACTIONS(13546),
    [sym__bitshift_operator] = ACTIONS(13546),
    [sym__power_operator] = ACTIONS(13546),
    [sym__tilde_operator] = ACTIONS(13546),
    [sym__type_order_operator] = ACTIONS(13546),
    [sym__unary_operator] = ACTIONS(13546),
    [sym__unary_plus_operator] = ACTIONS(13546),
    [aux_sym__terminator_token1] = ACTIONS(13546),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13544),
    [sym__command_start] = ACTIONS(13544),
  },
  [8899] = {
    [sym__word_identifier] = ACTIONS(13570),
    [anon_sym_EQ] = ACTIONS(13570),
    [anon_sym_COMMA] = ACTIONS(13570),
    [anon_sym_COLON] = ACTIONS(13570),
    [anon_sym_begin] = ACTIONS(13570),
    [anon_sym_module] = ACTIONS(13570),
    [anon_sym_baremodule] = ACTIONS(13570),
    [anon_sym_abstract] = ACTIONS(13570),
    [anon_sym_primitive] = ACTIONS(13570),
    [anon_sym_mutable] = ACTIONS(13570),
    [anon_sym_struct] = ACTIONS(13570),
    [anon_sym_function] = ACTIONS(13570),
    [anon_sym_macro] = ACTIONS(13570),
    [anon_sym_where] = ACTIONS(13570),
    [anon_sym_quote] = ACTIONS(13570),
    [anon_sym_let] = ACTIONS(13570),
    [anon_sym_if] = ACTIONS(13570),
    [anon_sym_try] = ACTIONS(13570),
    [anon_sym_for] = ACTIONS(13570),
    [anon_sym_while] = ACTIONS(13570),
    [sym_break_statement] = ACTIONS(13570),
    [sym_continue_statement] = ACTIONS(13570),
    [anon_sym_return] = ACTIONS(13570),
    [anon_sym_const] = ACTIONS(13570),
    [anon_sym_global] = ACTIONS(13570),
    [anon_sym_local] = ACTIONS(13570),
    [anon_sym_LPAREN] = ACTIONS(13570),
    [anon_sym_RPAREN] = ACTIONS(13570),
    [anon_sym_COLON2] = ACTIONS(13570),
    [anon_sym_export] = ACTIONS(13570),
    [anon_sym_import] = ACTIONS(13570),
    [anon_sym_using] = ACTIONS(13570),
    [anon_sym_LBRACK] = ACTIONS(13570),
    [anon_sym_LF] = ACTIONS(13568),
    [anon_sym_in] = ACTIONS(13570),
    [anon_sym_SEMI] = ACTIONS(13570),
    [anon_sym_LBRACE] = ACTIONS(13570),
    [anon_sym_DOLLAR] = ACTIONS(13570),
    [anon_sym_COLON_COLON] = ACTIONS(13570),
    [anon_sym_isa] = ACTIONS(13570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13570),
    [anon_sym_QMARK] = ACTIONS(13570),
    [anon_sym_AT] = ACTIONS(13570),
    [anon_sym_true] = ACTIONS(13570),
    [anon_sym_false] = ACTIONS(13570),
    [aux_sym_integer_literal_token1] = ACTIONS(13570),
    [aux_sym_integer_literal_token2] = ACTIONS(13570),
    [aux_sym_integer_literal_token3] = ACTIONS(13570),
    [aux_sym_integer_literal_token4] = ACTIONS(13570),
    [aux_sym_float_literal_token1] = ACTIONS(13570),
    [aux_sym_float_literal_token3] = ACTIONS(13570),
    [aux_sym_float_literal_token4] = ACTIONS(13570),
    [sym_character_literal] = ACTIONS(13570),
    [sym__pair_operator] = ACTIONS(13570),
    [sym__arrow_operator] = ACTIONS(13570),
    [sym__lazy_or_operator] = ACTIONS(13570),
    [sym__lazy_and_operator] = ACTIONS(13570),
    [sym__comparison_operator] = ACTIONS(13570),
    [sym__pipe_right_operator] = ACTIONS(13570),
    [sym__pipe_left_operator] = ACTIONS(13570),
    [sym__ellipsis_operator] = ACTIONS(13570),
    [sym__plus_operator] = ACTIONS(13570),
    [sym__times_operator] = ACTIONS(13570),
    [sym__rational_operator] = ACTIONS(13570),
    [sym__bitshift_operator] = ACTIONS(13570),
    [sym__power_operator] = ACTIONS(13570),
    [sym__tilde_operator] = ACTIONS(13570),
    [sym__type_order_operator] = ACTIONS(13570),
    [sym__unary_operator] = ACTIONS(13570),
    [sym__unary_plus_operator] = ACTIONS(13570),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13568),
    [sym__command_start] = ACTIONS(13568),
  },
  [8900] = {
    [sym__word_identifier] = ACTIONS(13566),
    [anon_sym_EQ] = ACTIONS(13566),
    [anon_sym_COMMA] = ACTIONS(13566),
    [anon_sym_COLON] = ACTIONS(13566),
    [anon_sym_begin] = ACTIONS(13566),
    [anon_sym_module] = ACTIONS(13566),
    [anon_sym_baremodule] = ACTIONS(13566),
    [anon_sym_abstract] = ACTIONS(13566),
    [anon_sym_primitive] = ACTIONS(13566),
    [anon_sym_mutable] = ACTIONS(13566),
    [anon_sym_struct] = ACTIONS(13566),
    [anon_sym_function] = ACTIONS(13566),
    [anon_sym_macro] = ACTIONS(13566),
    [anon_sym_where] = ACTIONS(13566),
    [anon_sym_quote] = ACTIONS(13566),
    [anon_sym_let] = ACTIONS(13566),
    [anon_sym_if] = ACTIONS(13566),
    [anon_sym_try] = ACTIONS(13566),
    [anon_sym_for] = ACTIONS(13566),
    [anon_sym_while] = ACTIONS(13566),
    [sym_break_statement] = ACTIONS(13566),
    [sym_continue_statement] = ACTIONS(13566),
    [anon_sym_return] = ACTIONS(13566),
    [anon_sym_const] = ACTIONS(13566),
    [anon_sym_global] = ACTIONS(13566),
    [anon_sym_local] = ACTIONS(13566),
    [anon_sym_LPAREN] = ACTIONS(13566),
    [anon_sym_RPAREN] = ACTIONS(13566),
    [anon_sym_COLON2] = ACTIONS(13566),
    [anon_sym_export] = ACTIONS(13566),
    [anon_sym_import] = ACTIONS(13566),
    [anon_sym_using] = ACTIONS(13566),
    [anon_sym_LBRACK] = ACTIONS(13566),
    [anon_sym_LF] = ACTIONS(13564),
    [anon_sym_in] = ACTIONS(13566),
    [anon_sym_SEMI] = ACTIONS(13566),
    [anon_sym_LBRACE] = ACTIONS(13566),
    [anon_sym_DOLLAR] = ACTIONS(13566),
    [anon_sym_COLON_COLON] = ACTIONS(13566),
    [anon_sym_isa] = ACTIONS(13566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13566),
    [anon_sym_QMARK] = ACTIONS(13566),
    [anon_sym_AT] = ACTIONS(13566),
    [anon_sym_true] = ACTIONS(13566),
    [anon_sym_false] = ACTIONS(13566),
    [aux_sym_integer_literal_token1] = ACTIONS(13566),
    [aux_sym_integer_literal_token2] = ACTIONS(13566),
    [aux_sym_integer_literal_token3] = ACTIONS(13566),
    [aux_sym_integer_literal_token4] = ACTIONS(13566),
    [aux_sym_float_literal_token1] = ACTIONS(13566),
    [aux_sym_float_literal_token3] = ACTIONS(13566),
    [aux_sym_float_literal_token4] = ACTIONS(13566),
    [sym_character_literal] = ACTIONS(13566),
    [sym__pair_operator] = ACTIONS(13566),
    [sym__arrow_operator] = ACTIONS(13566),
    [sym__lazy_or_operator] = ACTIONS(13566),
    [sym__lazy_and_operator] = ACTIONS(13566),
    [sym__comparison_operator] = ACTIONS(13566),
    [sym__pipe_right_operator] = ACTIONS(13566),
    [sym__pipe_left_operator] = ACTIONS(13566),
    [sym__ellipsis_operator] = ACTIONS(13566),
    [sym__plus_operator] = ACTIONS(13566),
    [sym__times_operator] = ACTIONS(13566),
    [sym__rational_operator] = ACTIONS(13566),
    [sym__bitshift_operator] = ACTIONS(13566),
    [sym__power_operator] = ACTIONS(13566),
    [sym__tilde_operator] = ACTIONS(13566),
    [sym__type_order_operator] = ACTIONS(13566),
    [sym__unary_operator] = ACTIONS(13566),
    [sym__unary_plus_operator] = ACTIONS(13566),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13564),
    [sym__command_start] = ACTIONS(13564),
  },
  [8901] = {
    [sym__word_identifier] = ACTIONS(13504),
    [anon_sym_EQ] = ACTIONS(13504),
    [anon_sym_COMMA] = ACTIONS(13504),
    [anon_sym_COLON] = ACTIONS(13504),
    [anon_sym_begin] = ACTIONS(13504),
    [anon_sym_module] = ACTIONS(13504),
    [anon_sym_baremodule] = ACTIONS(13504),
    [anon_sym_abstract] = ACTIONS(13504),
    [anon_sym_primitive] = ACTIONS(13504),
    [anon_sym_mutable] = ACTIONS(13504),
    [anon_sym_struct] = ACTIONS(13504),
    [anon_sym_function] = ACTIONS(13504),
    [anon_sym_macro] = ACTIONS(13504),
    [anon_sym_where] = ACTIONS(13504),
    [anon_sym_quote] = ACTIONS(13504),
    [anon_sym_let] = ACTIONS(13504),
    [anon_sym_if] = ACTIONS(13504),
    [anon_sym_try] = ACTIONS(13504),
    [anon_sym_for] = ACTIONS(13504),
    [anon_sym_while] = ACTIONS(13504),
    [sym_break_statement] = ACTIONS(13504),
    [sym_continue_statement] = ACTIONS(13504),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_const] = ACTIONS(13504),
    [anon_sym_global] = ACTIONS(13504),
    [anon_sym_local] = ACTIONS(13504),
    [anon_sym_LPAREN] = ACTIONS(13504),
    [anon_sym_RPAREN] = ACTIONS(13504),
    [anon_sym_COLON2] = ACTIONS(13504),
    [anon_sym_export] = ACTIONS(13504),
    [anon_sym_import] = ACTIONS(13504),
    [anon_sym_using] = ACTIONS(13504),
    [anon_sym_LBRACK] = ACTIONS(13504),
    [anon_sym_LF] = ACTIONS(13502),
    [anon_sym_in] = ACTIONS(13504),
    [anon_sym_SEMI] = ACTIONS(13504),
    [anon_sym_LBRACE] = ACTIONS(13504),
    [anon_sym_DOLLAR] = ACTIONS(13504),
    [anon_sym_COLON_COLON] = ACTIONS(13504),
    [anon_sym_isa] = ACTIONS(13504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13504),
    [anon_sym_QMARK] = ACTIONS(13504),
    [anon_sym_AT] = ACTIONS(13504),
    [anon_sym_true] = ACTIONS(13504),
    [anon_sym_false] = ACTIONS(13504),
    [aux_sym_integer_literal_token1] = ACTIONS(13504),
    [aux_sym_integer_literal_token2] = ACTIONS(13504),
    [aux_sym_integer_literal_token3] = ACTIONS(13504),
    [aux_sym_integer_literal_token4] = ACTIONS(13504),
    [aux_sym_float_literal_token1] = ACTIONS(13504),
    [aux_sym_float_literal_token3] = ACTIONS(13504),
    [aux_sym_float_literal_token4] = ACTIONS(13504),
    [sym_character_literal] = ACTIONS(13504),
    [sym__pair_operator] = ACTIONS(13504),
    [sym__arrow_operator] = ACTIONS(13504),
    [sym__lazy_or_operator] = ACTIONS(13504),
    [sym__lazy_and_operator] = ACTIONS(13504),
    [sym__comparison_operator] = ACTIONS(13504),
    [sym__pipe_right_operator] = ACTIONS(13504),
    [sym__pipe_left_operator] = ACTIONS(13504),
    [sym__ellipsis_operator] = ACTIONS(13504),
    [sym__plus_operator] = ACTIONS(13504),
    [sym__times_operator] = ACTIONS(13504),
    [sym__rational_operator] = ACTIONS(13504),
    [sym__bitshift_operator] = ACTIONS(13504),
    [sym__power_operator] = ACTIONS(13504),
    [sym__tilde_operator] = ACTIONS(13504),
    [sym__type_order_operator] = ACTIONS(13504),
    [sym__unary_operator] = ACTIONS(13504),
    [sym__unary_plus_operator] = ACTIONS(13504),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13502),
    [sym__command_start] = ACTIONS(13502),
  },
  [8902] = {
    [sym__word_identifier] = ACTIONS(13474),
    [anon_sym_EQ] = ACTIONS(13474),
    [anon_sym_COMMA] = ACTIONS(13474),
    [anon_sym_COLON] = ACTIONS(13474),
    [anon_sym_begin] = ACTIONS(13474),
    [anon_sym_module] = ACTIONS(13474),
    [anon_sym_baremodule] = ACTIONS(13474),
    [anon_sym_abstract] = ACTIONS(13474),
    [anon_sym_primitive] = ACTIONS(13474),
    [anon_sym_mutable] = ACTIONS(13474),
    [anon_sym_struct] = ACTIONS(13474),
    [anon_sym_function] = ACTIONS(13474),
    [anon_sym_macro] = ACTIONS(13474),
    [anon_sym_where] = ACTIONS(13474),
    [anon_sym_quote] = ACTIONS(13474),
    [anon_sym_let] = ACTIONS(13474),
    [anon_sym_if] = ACTIONS(13474),
    [anon_sym_try] = ACTIONS(13474),
    [anon_sym_for] = ACTIONS(13474),
    [anon_sym_while] = ACTIONS(13474),
    [sym_break_statement] = ACTIONS(13474),
    [sym_continue_statement] = ACTIONS(13474),
    [anon_sym_return] = ACTIONS(13474),
    [anon_sym_const] = ACTIONS(13474),
    [anon_sym_global] = ACTIONS(13474),
    [anon_sym_local] = ACTIONS(13474),
    [anon_sym_LPAREN] = ACTIONS(13474),
    [anon_sym_RPAREN] = ACTIONS(13474),
    [anon_sym_COLON2] = ACTIONS(13474),
    [anon_sym_export] = ACTIONS(13474),
    [anon_sym_import] = ACTIONS(13474),
    [anon_sym_using] = ACTIONS(13474),
    [anon_sym_LBRACK] = ACTIONS(13474),
    [anon_sym_LF] = ACTIONS(13472),
    [anon_sym_in] = ACTIONS(13474),
    [anon_sym_SEMI] = ACTIONS(13474),
    [anon_sym_LBRACE] = ACTIONS(13474),
    [anon_sym_DOLLAR] = ACTIONS(13474),
    [anon_sym_COLON_COLON] = ACTIONS(13474),
    [anon_sym_isa] = ACTIONS(13474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13474),
    [anon_sym_AT] = ACTIONS(13474),
    [anon_sym_true] = ACTIONS(13474),
    [anon_sym_false] = ACTIONS(13474),
    [aux_sym_integer_literal_token1] = ACTIONS(13474),
    [aux_sym_integer_literal_token2] = ACTIONS(13474),
    [aux_sym_integer_literal_token3] = ACTIONS(13474),
    [aux_sym_integer_literal_token4] = ACTIONS(13474),
    [aux_sym_float_literal_token1] = ACTIONS(13474),
    [aux_sym_float_literal_token3] = ACTIONS(13474),
    [aux_sym_float_literal_token4] = ACTIONS(13474),
    [sym_character_literal] = ACTIONS(13474),
    [sym__pair_operator] = ACTIONS(13474),
    [sym__arrow_operator] = ACTIONS(13474),
    [sym__lazy_or_operator] = ACTIONS(13474),
    [sym__lazy_and_operator] = ACTIONS(13474),
    [sym__comparison_operator] = ACTIONS(13474),
    [sym__pipe_right_operator] = ACTIONS(13474),
    [sym__pipe_left_operator] = ACTIONS(13474),
    [sym__ellipsis_operator] = ACTIONS(13474),
    [sym__plus_operator] = ACTIONS(13474),
    [sym__times_operator] = ACTIONS(13474),
    [sym__rational_operator] = ACTIONS(13474),
    [sym__bitshift_operator] = ACTIONS(13474),
    [sym__power_operator] = ACTIONS(13474),
    [sym__tilde_operator] = ACTIONS(13474),
    [sym__type_order_operator] = ACTIONS(13474),
    [sym__unary_operator] = ACTIONS(13474),
    [sym__unary_plus_operator] = ACTIONS(13474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13472),
    [sym__command_start] = ACTIONS(13472),
  },
  [8903] = {
    [sym__word_identifier] = ACTIONS(13436),
    [anon_sym_EQ] = ACTIONS(13436),
    [anon_sym_COMMA] = ACTIONS(13436),
    [anon_sym_COLON] = ACTIONS(13436),
    [anon_sym_begin] = ACTIONS(13436),
    [anon_sym_module] = ACTIONS(13436),
    [anon_sym_baremodule] = ACTIONS(13436),
    [anon_sym_abstract] = ACTIONS(13436),
    [anon_sym_primitive] = ACTIONS(13436),
    [anon_sym_mutable] = ACTIONS(13436),
    [anon_sym_struct] = ACTIONS(13436),
    [anon_sym_function] = ACTIONS(13436),
    [anon_sym_macro] = ACTIONS(13436),
    [anon_sym_where] = ACTIONS(13436),
    [anon_sym_quote] = ACTIONS(13436),
    [anon_sym_let] = ACTIONS(13436),
    [anon_sym_if] = ACTIONS(13436),
    [anon_sym_try] = ACTIONS(13436),
    [anon_sym_for] = ACTIONS(13436),
    [anon_sym_while] = ACTIONS(13436),
    [sym_break_statement] = ACTIONS(13436),
    [sym_continue_statement] = ACTIONS(13436),
    [anon_sym_return] = ACTIONS(13436),
    [anon_sym_const] = ACTIONS(13436),
    [anon_sym_global] = ACTIONS(13436),
    [anon_sym_local] = ACTIONS(13436),
    [anon_sym_LPAREN] = ACTIONS(13436),
    [anon_sym_RPAREN] = ACTIONS(13436),
    [anon_sym_COLON2] = ACTIONS(13436),
    [anon_sym_export] = ACTIONS(13436),
    [anon_sym_import] = ACTIONS(13436),
    [anon_sym_using] = ACTIONS(13436),
    [anon_sym_LBRACK] = ACTIONS(13436),
    [anon_sym_LF] = ACTIONS(13434),
    [anon_sym_in] = ACTIONS(13436),
    [anon_sym_SEMI] = ACTIONS(13436),
    [anon_sym_LBRACE] = ACTIONS(13436),
    [anon_sym_DOLLAR] = ACTIONS(13436),
    [anon_sym_COLON_COLON] = ACTIONS(13436),
    [anon_sym_isa] = ACTIONS(13436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13436),
    [anon_sym_QMARK] = ACTIONS(13436),
    [anon_sym_AT] = ACTIONS(13436),
    [anon_sym_true] = ACTIONS(13436),
    [anon_sym_false] = ACTIONS(13436),
    [aux_sym_integer_literal_token1] = ACTIONS(13436),
    [aux_sym_integer_literal_token2] = ACTIONS(13436),
    [aux_sym_integer_literal_token3] = ACTIONS(13436),
    [aux_sym_integer_literal_token4] = ACTIONS(13436),
    [aux_sym_float_literal_token1] = ACTIONS(13436),
    [aux_sym_float_literal_token3] = ACTIONS(13436),
    [aux_sym_float_literal_token4] = ACTIONS(13436),
    [sym_character_literal] = ACTIONS(13436),
    [sym__pair_operator] = ACTIONS(13436),
    [sym__arrow_operator] = ACTIONS(13436),
    [sym__lazy_or_operator] = ACTIONS(13436),
    [sym__lazy_and_operator] = ACTIONS(13436),
    [sym__comparison_operator] = ACTIONS(13436),
    [sym__pipe_right_operator] = ACTIONS(13436),
    [sym__pipe_left_operator] = ACTIONS(13436),
    [sym__ellipsis_operator] = ACTIONS(13436),
    [sym__plus_operator] = ACTIONS(13436),
    [sym__times_operator] = ACTIONS(13436),
    [sym__rational_operator] = ACTIONS(13436),
    [sym__bitshift_operator] = ACTIONS(13436),
    [sym__power_operator] = ACTIONS(13436),
    [sym__tilde_operator] = ACTIONS(13436),
    [sym__type_order_operator] = ACTIONS(13436),
    [sym__unary_operator] = ACTIONS(13436),
    [sym__unary_plus_operator] = ACTIONS(13436),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13434),
    [sym__command_start] = ACTIONS(13434),
  },
  [8904] = {
    [sym__word_identifier] = ACTIONS(13478),
    [anon_sym_EQ] = ACTIONS(13478),
    [anon_sym_COMMA] = ACTIONS(13478),
    [anon_sym_COLON] = ACTIONS(13478),
    [anon_sym_begin] = ACTIONS(13478),
    [anon_sym_module] = ACTIONS(13478),
    [anon_sym_baremodule] = ACTIONS(13478),
    [anon_sym_abstract] = ACTIONS(13478),
    [anon_sym_primitive] = ACTIONS(13478),
    [anon_sym_mutable] = ACTIONS(13478),
    [anon_sym_struct] = ACTIONS(13478),
    [anon_sym_function] = ACTIONS(13478),
    [anon_sym_macro] = ACTIONS(13478),
    [anon_sym_where] = ACTIONS(13478),
    [anon_sym_quote] = ACTIONS(13478),
    [anon_sym_let] = ACTIONS(13478),
    [anon_sym_if] = ACTIONS(13478),
    [anon_sym_try] = ACTIONS(13478),
    [anon_sym_for] = ACTIONS(13478),
    [anon_sym_while] = ACTIONS(13478),
    [sym_break_statement] = ACTIONS(13478),
    [sym_continue_statement] = ACTIONS(13478),
    [anon_sym_return] = ACTIONS(13478),
    [anon_sym_const] = ACTIONS(13478),
    [anon_sym_global] = ACTIONS(13478),
    [anon_sym_local] = ACTIONS(13478),
    [anon_sym_LPAREN] = ACTIONS(13478),
    [anon_sym_RPAREN] = ACTIONS(13478),
    [anon_sym_COLON2] = ACTIONS(13478),
    [anon_sym_export] = ACTIONS(13478),
    [anon_sym_import] = ACTIONS(13478),
    [anon_sym_using] = ACTIONS(13478),
    [anon_sym_LBRACK] = ACTIONS(13478),
    [anon_sym_LF] = ACTIONS(13476),
    [anon_sym_in] = ACTIONS(13478),
    [anon_sym_SEMI] = ACTIONS(13478),
    [anon_sym_LBRACE] = ACTIONS(13478),
    [anon_sym_DOLLAR] = ACTIONS(13478),
    [anon_sym_COLON_COLON] = ACTIONS(13478),
    [anon_sym_isa] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13478),
    [anon_sym_QMARK] = ACTIONS(13478),
    [anon_sym_AT] = ACTIONS(13478),
    [anon_sym_true] = ACTIONS(13478),
    [anon_sym_false] = ACTIONS(13478),
    [aux_sym_integer_literal_token1] = ACTIONS(13478),
    [aux_sym_integer_literal_token2] = ACTIONS(13478),
    [aux_sym_integer_literal_token3] = ACTIONS(13478),
    [aux_sym_integer_literal_token4] = ACTIONS(13478),
    [aux_sym_float_literal_token1] = ACTIONS(13478),
    [aux_sym_float_literal_token3] = ACTIONS(13478),
    [aux_sym_float_literal_token4] = ACTIONS(13478),
    [sym_character_literal] = ACTIONS(13478),
    [sym__pair_operator] = ACTIONS(13478),
    [sym__arrow_operator] = ACTIONS(13478),
    [sym__lazy_or_operator] = ACTIONS(13478),
    [sym__lazy_and_operator] = ACTIONS(13478),
    [sym__comparison_operator] = ACTIONS(13478),
    [sym__pipe_right_operator] = ACTIONS(13478),
    [sym__pipe_left_operator] = ACTIONS(13478),
    [sym__ellipsis_operator] = ACTIONS(13478),
    [sym__plus_operator] = ACTIONS(13478),
    [sym__times_operator] = ACTIONS(13478),
    [sym__rational_operator] = ACTIONS(13478),
    [sym__bitshift_operator] = ACTIONS(13478),
    [sym__power_operator] = ACTIONS(13478),
    [sym__tilde_operator] = ACTIONS(13478),
    [sym__type_order_operator] = ACTIONS(13478),
    [sym__unary_operator] = ACTIONS(13478),
    [sym__unary_plus_operator] = ACTIONS(13478),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13476),
    [sym__command_start] = ACTIONS(13476),
  },
  [8905] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8906] = {
    [sym__word_identifier] = ACTIONS(13500),
    [anon_sym_EQ] = ACTIONS(13500),
    [anon_sym_COMMA] = ACTIONS(13500),
    [anon_sym_COLON] = ACTIONS(13500),
    [anon_sym_begin] = ACTIONS(13500),
    [anon_sym_module] = ACTIONS(13500),
    [anon_sym_baremodule] = ACTIONS(13500),
    [anon_sym_abstract] = ACTIONS(13500),
    [anon_sym_primitive] = ACTIONS(13500),
    [anon_sym_mutable] = ACTIONS(13500),
    [anon_sym_struct] = ACTIONS(13500),
    [anon_sym_function] = ACTIONS(13500),
    [anon_sym_macro] = ACTIONS(13500),
    [anon_sym_where] = ACTIONS(13500),
    [anon_sym_quote] = ACTIONS(13500),
    [anon_sym_let] = ACTIONS(13500),
    [anon_sym_if] = ACTIONS(13500),
    [anon_sym_try] = ACTIONS(13500),
    [anon_sym_for] = ACTIONS(13500),
    [anon_sym_while] = ACTIONS(13500),
    [sym_break_statement] = ACTIONS(13500),
    [sym_continue_statement] = ACTIONS(13500),
    [anon_sym_return] = ACTIONS(13500),
    [anon_sym_const] = ACTIONS(13500),
    [anon_sym_global] = ACTIONS(13500),
    [anon_sym_local] = ACTIONS(13500),
    [anon_sym_LPAREN] = ACTIONS(13500),
    [anon_sym_RPAREN] = ACTIONS(13500),
    [anon_sym_COLON2] = ACTIONS(13500),
    [anon_sym_export] = ACTIONS(13500),
    [anon_sym_import] = ACTIONS(13500),
    [anon_sym_using] = ACTIONS(13500),
    [anon_sym_LBRACK] = ACTIONS(13500),
    [anon_sym_LF] = ACTIONS(13498),
    [anon_sym_in] = ACTIONS(13500),
    [anon_sym_SEMI] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(13500),
    [anon_sym_DOLLAR] = ACTIONS(13500),
    [anon_sym_COLON_COLON] = ACTIONS(13500),
    [anon_sym_isa] = ACTIONS(13500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13500),
    [anon_sym_QMARK] = ACTIONS(13500),
    [anon_sym_AT] = ACTIONS(13500),
    [anon_sym_true] = ACTIONS(13500),
    [anon_sym_false] = ACTIONS(13500),
    [aux_sym_integer_literal_token1] = ACTIONS(13500),
    [aux_sym_integer_literal_token2] = ACTIONS(13500),
    [aux_sym_integer_literal_token3] = ACTIONS(13500),
    [aux_sym_integer_literal_token4] = ACTIONS(13500),
    [aux_sym_float_literal_token1] = ACTIONS(13500),
    [aux_sym_float_literal_token3] = ACTIONS(13500),
    [aux_sym_float_literal_token4] = ACTIONS(13500),
    [sym_character_literal] = ACTIONS(13500),
    [sym__pair_operator] = ACTIONS(13500),
    [sym__arrow_operator] = ACTIONS(13500),
    [sym__lazy_or_operator] = ACTIONS(13500),
    [sym__lazy_and_operator] = ACTIONS(13500),
    [sym__comparison_operator] = ACTIONS(13500),
    [sym__pipe_right_operator] = ACTIONS(13500),
    [sym__pipe_left_operator] = ACTIONS(13500),
    [sym__ellipsis_operator] = ACTIONS(13500),
    [sym__plus_operator] = ACTIONS(13500),
    [sym__times_operator] = ACTIONS(13500),
    [sym__rational_operator] = ACTIONS(13500),
    [sym__bitshift_operator] = ACTIONS(13500),
    [sym__power_operator] = ACTIONS(13500),
    [sym__tilde_operator] = ACTIONS(13500),
    [sym__type_order_operator] = ACTIONS(13500),
    [sym__unary_operator] = ACTIONS(13500),
    [sym__unary_plus_operator] = ACTIONS(13500),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13498),
    [sym__command_start] = ACTIONS(13498),
  },
  [8907] = {
    [sym__word_identifier] = ACTIONS(13538),
    [anon_sym_EQ] = ACTIONS(13538),
    [anon_sym_COMMA] = ACTIONS(13538),
    [anon_sym_COLON] = ACTIONS(13538),
    [anon_sym_begin] = ACTIONS(13538),
    [anon_sym_module] = ACTIONS(13538),
    [anon_sym_baremodule] = ACTIONS(13538),
    [anon_sym_abstract] = ACTIONS(13538),
    [anon_sym_primitive] = ACTIONS(13538),
    [anon_sym_mutable] = ACTIONS(13538),
    [anon_sym_struct] = ACTIONS(13538),
    [anon_sym_function] = ACTIONS(13538),
    [anon_sym_macro] = ACTIONS(13538),
    [anon_sym_where] = ACTIONS(13538),
    [anon_sym_quote] = ACTIONS(13538),
    [anon_sym_let] = ACTIONS(13538),
    [anon_sym_if] = ACTIONS(13538),
    [anon_sym_try] = ACTIONS(13538),
    [anon_sym_for] = ACTIONS(13538),
    [anon_sym_while] = ACTIONS(13538),
    [sym_break_statement] = ACTIONS(13538),
    [sym_continue_statement] = ACTIONS(13538),
    [anon_sym_return] = ACTIONS(13538),
    [anon_sym_const] = ACTIONS(13538),
    [anon_sym_global] = ACTIONS(13538),
    [anon_sym_local] = ACTIONS(13538),
    [anon_sym_LPAREN] = ACTIONS(13538),
    [anon_sym_RPAREN] = ACTIONS(13538),
    [anon_sym_COLON2] = ACTIONS(13538),
    [anon_sym_export] = ACTIONS(13538),
    [anon_sym_import] = ACTIONS(13538),
    [anon_sym_using] = ACTIONS(13538),
    [anon_sym_LBRACK] = ACTIONS(13538),
    [anon_sym_LF] = ACTIONS(13536),
    [anon_sym_in] = ACTIONS(13538),
    [anon_sym_SEMI] = ACTIONS(13538),
    [anon_sym_LBRACE] = ACTIONS(13538),
    [anon_sym_DOLLAR] = ACTIONS(13538),
    [anon_sym_COLON_COLON] = ACTIONS(13538),
    [anon_sym_isa] = ACTIONS(13538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13538),
    [anon_sym_QMARK] = ACTIONS(13538),
    [anon_sym_AT] = ACTIONS(13538),
    [anon_sym_true] = ACTIONS(13538),
    [anon_sym_false] = ACTIONS(13538),
    [aux_sym_integer_literal_token1] = ACTIONS(13538),
    [aux_sym_integer_literal_token2] = ACTIONS(13538),
    [aux_sym_integer_literal_token3] = ACTIONS(13538),
    [aux_sym_integer_literal_token4] = ACTIONS(13538),
    [aux_sym_float_literal_token1] = ACTIONS(13538),
    [aux_sym_float_literal_token3] = ACTIONS(13538),
    [aux_sym_float_literal_token4] = ACTIONS(13538),
    [sym_character_literal] = ACTIONS(13538),
    [sym__pair_operator] = ACTIONS(13538),
    [sym__arrow_operator] = ACTIONS(13538),
    [sym__lazy_or_operator] = ACTIONS(13538),
    [sym__lazy_and_operator] = ACTIONS(13538),
    [sym__comparison_operator] = ACTIONS(13538),
    [sym__pipe_right_operator] = ACTIONS(13538),
    [sym__pipe_left_operator] = ACTIONS(13538),
    [sym__ellipsis_operator] = ACTIONS(13538),
    [sym__plus_operator] = ACTIONS(13538),
    [sym__times_operator] = ACTIONS(13538),
    [sym__rational_operator] = ACTIONS(13538),
    [sym__bitshift_operator] = ACTIONS(13538),
    [sym__power_operator] = ACTIONS(13538),
    [sym__tilde_operator] = ACTIONS(13538),
    [sym__type_order_operator] = ACTIONS(13538),
    [sym__unary_operator] = ACTIONS(13538),
    [sym__unary_plus_operator] = ACTIONS(13538),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13536),
    [sym__command_start] = ACTIONS(13536),
  },
  [8908] = {
    [sym__word_identifier] = ACTIONS(13546),
    [anon_sym_EQ] = ACTIONS(13546),
    [anon_sym_COMMA] = ACTIONS(13546),
    [anon_sym_COLON] = ACTIONS(13546),
    [anon_sym_begin] = ACTIONS(13546),
    [anon_sym_module] = ACTIONS(13546),
    [anon_sym_baremodule] = ACTIONS(13546),
    [anon_sym_abstract] = ACTIONS(13546),
    [anon_sym_primitive] = ACTIONS(13546),
    [anon_sym_mutable] = ACTIONS(13546),
    [anon_sym_struct] = ACTIONS(13546),
    [anon_sym_function] = ACTIONS(13546),
    [anon_sym_macro] = ACTIONS(13546),
    [anon_sym_where] = ACTIONS(13546),
    [anon_sym_quote] = ACTIONS(13546),
    [anon_sym_let] = ACTIONS(13546),
    [anon_sym_if] = ACTIONS(13546),
    [anon_sym_try] = ACTIONS(13546),
    [anon_sym_for] = ACTIONS(13546),
    [anon_sym_while] = ACTIONS(13546),
    [sym_break_statement] = ACTIONS(13546),
    [sym_continue_statement] = ACTIONS(13546),
    [anon_sym_return] = ACTIONS(13546),
    [anon_sym_const] = ACTIONS(13546),
    [anon_sym_global] = ACTIONS(13546),
    [anon_sym_local] = ACTIONS(13546),
    [anon_sym_LPAREN] = ACTIONS(13546),
    [anon_sym_RPAREN] = ACTIONS(13546),
    [anon_sym_COLON2] = ACTIONS(13546),
    [anon_sym_export] = ACTIONS(13546),
    [anon_sym_import] = ACTIONS(13546),
    [anon_sym_using] = ACTIONS(13546),
    [anon_sym_LBRACK] = ACTIONS(13546),
    [anon_sym_LF] = ACTIONS(13544),
    [anon_sym_in] = ACTIONS(13546),
    [anon_sym_SEMI] = ACTIONS(13546),
    [anon_sym_LBRACE] = ACTIONS(13546),
    [anon_sym_DOLLAR] = ACTIONS(13546),
    [anon_sym_COLON_COLON] = ACTIONS(13546),
    [anon_sym_isa] = ACTIONS(13546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13546),
    [anon_sym_QMARK] = ACTIONS(13546),
    [anon_sym_AT] = ACTIONS(13546),
    [anon_sym_true] = ACTIONS(13546),
    [anon_sym_false] = ACTIONS(13546),
    [aux_sym_integer_literal_token1] = ACTIONS(13546),
    [aux_sym_integer_literal_token2] = ACTIONS(13546),
    [aux_sym_integer_literal_token3] = ACTIONS(13546),
    [aux_sym_integer_literal_token4] = ACTIONS(13546),
    [aux_sym_float_literal_token1] = ACTIONS(13546),
    [aux_sym_float_literal_token3] = ACTIONS(13546),
    [aux_sym_float_literal_token4] = ACTIONS(13546),
    [sym_character_literal] = ACTIONS(13546),
    [sym__pair_operator] = ACTIONS(13546),
    [sym__arrow_operator] = ACTIONS(13546),
    [sym__lazy_or_operator] = ACTIONS(13546),
    [sym__lazy_and_operator] = ACTIONS(13546),
    [sym__comparison_operator] = ACTIONS(13546),
    [sym__pipe_right_operator] = ACTIONS(13546),
    [sym__pipe_left_operator] = ACTIONS(13546),
    [sym__ellipsis_operator] = ACTIONS(13546),
    [sym__plus_operator] = ACTIONS(13546),
    [sym__times_operator] = ACTIONS(13546),
    [sym__rational_operator] = ACTIONS(13546),
    [sym__bitshift_operator] = ACTIONS(13546),
    [sym__power_operator] = ACTIONS(13546),
    [sym__tilde_operator] = ACTIONS(13546),
    [sym__type_order_operator] = ACTIONS(13546),
    [sym__unary_operator] = ACTIONS(13546),
    [sym__unary_plus_operator] = ACTIONS(13546),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13544),
    [sym__command_start] = ACTIONS(13544),
  },
  [8909] = {
    [sym__word_identifier] = ACTIONS(13290),
    [anon_sym_EQ] = ACTIONS(13290),
    [anon_sym_COMMA] = ACTIONS(13290),
    [anon_sym_COLON] = ACTIONS(13290),
    [anon_sym_begin] = ACTIONS(13290),
    [anon_sym_module] = ACTIONS(13290),
    [anon_sym_baremodule] = ACTIONS(13290),
    [anon_sym_abstract] = ACTIONS(13290),
    [anon_sym_primitive] = ACTIONS(13290),
    [anon_sym_mutable] = ACTIONS(13290),
    [anon_sym_struct] = ACTIONS(13290),
    [anon_sym_function] = ACTIONS(13290),
    [anon_sym_macro] = ACTIONS(13290),
    [anon_sym_where] = ACTIONS(13290),
    [anon_sym_quote] = ACTIONS(13290),
    [anon_sym_let] = ACTIONS(13290),
    [anon_sym_if] = ACTIONS(13290),
    [anon_sym_try] = ACTIONS(13290),
    [anon_sym_for] = ACTIONS(13290),
    [anon_sym_while] = ACTIONS(13290),
    [sym_break_statement] = ACTIONS(13290),
    [sym_continue_statement] = ACTIONS(13290),
    [anon_sym_return] = ACTIONS(13290),
    [anon_sym_const] = ACTIONS(13290),
    [anon_sym_global] = ACTIONS(13290),
    [anon_sym_local] = ACTIONS(13290),
    [anon_sym_LPAREN] = ACTIONS(13290),
    [anon_sym_RPAREN] = ACTIONS(13290),
    [anon_sym_COLON2] = ACTIONS(13290),
    [anon_sym_export] = ACTIONS(13290),
    [anon_sym_import] = ACTIONS(13290),
    [anon_sym_using] = ACTIONS(13290),
    [anon_sym_LBRACK] = ACTIONS(13290),
    [anon_sym_LF] = ACTIONS(13292),
    [anon_sym_in] = ACTIONS(13290),
    [anon_sym_SEMI] = ACTIONS(13290),
    [anon_sym_LBRACE] = ACTIONS(13290),
    [anon_sym_DOLLAR] = ACTIONS(13290),
    [anon_sym_COLON_COLON] = ACTIONS(13290),
    [anon_sym_isa] = ACTIONS(13290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13290),
    [anon_sym_QMARK] = ACTIONS(13290),
    [anon_sym_AT] = ACTIONS(13290),
    [anon_sym_true] = ACTIONS(13290),
    [anon_sym_false] = ACTIONS(13290),
    [aux_sym_integer_literal_token1] = ACTIONS(13290),
    [aux_sym_integer_literal_token2] = ACTIONS(13290),
    [aux_sym_integer_literal_token3] = ACTIONS(13290),
    [aux_sym_integer_literal_token4] = ACTIONS(13290),
    [aux_sym_float_literal_token1] = ACTIONS(13290),
    [aux_sym_float_literal_token3] = ACTIONS(13290),
    [aux_sym_float_literal_token4] = ACTIONS(13290),
    [sym_character_literal] = ACTIONS(13290),
    [sym__pair_operator] = ACTIONS(13290),
    [sym__arrow_operator] = ACTIONS(13290),
    [sym__lazy_or_operator] = ACTIONS(13290),
    [sym__lazy_and_operator] = ACTIONS(13290),
    [sym__comparison_operator] = ACTIONS(13290),
    [sym__pipe_right_operator] = ACTIONS(13290),
    [sym__pipe_left_operator] = ACTIONS(13290),
    [sym__ellipsis_operator] = ACTIONS(13290),
    [sym__plus_operator] = ACTIONS(13290),
    [sym__times_operator] = ACTIONS(13290),
    [sym__rational_operator] = ACTIONS(13290),
    [sym__bitshift_operator] = ACTIONS(13290),
    [sym__power_operator] = ACTIONS(13290),
    [sym__tilde_operator] = ACTIONS(13290),
    [sym__type_order_operator] = ACTIONS(13290),
    [sym__unary_operator] = ACTIONS(13290),
    [sym__unary_plus_operator] = ACTIONS(13290),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13292),
    [sym__command_start] = ACTIONS(13292),
  },
  [8910] = {
    [sym__word_identifier] = ACTIONS(13574),
    [anon_sym_EQ] = ACTIONS(13574),
    [anon_sym_COMMA] = ACTIONS(13574),
    [anon_sym_COLON] = ACTIONS(13574),
    [anon_sym_begin] = ACTIONS(13574),
    [anon_sym_module] = ACTIONS(13574),
    [anon_sym_baremodule] = ACTIONS(13574),
    [anon_sym_abstract] = ACTIONS(13574),
    [anon_sym_primitive] = ACTIONS(13574),
    [anon_sym_mutable] = ACTIONS(13574),
    [anon_sym_struct] = ACTIONS(13574),
    [anon_sym_function] = ACTIONS(13574),
    [anon_sym_macro] = ACTIONS(13574),
    [anon_sym_where] = ACTIONS(13574),
    [anon_sym_quote] = ACTIONS(13574),
    [anon_sym_let] = ACTIONS(13574),
    [anon_sym_if] = ACTIONS(13574),
    [anon_sym_try] = ACTIONS(13574),
    [anon_sym_for] = ACTIONS(13574),
    [anon_sym_while] = ACTIONS(13574),
    [sym_break_statement] = ACTIONS(13574),
    [sym_continue_statement] = ACTIONS(13574),
    [anon_sym_return] = ACTIONS(13574),
    [anon_sym_const] = ACTIONS(13574),
    [anon_sym_global] = ACTIONS(13574),
    [anon_sym_local] = ACTIONS(13574),
    [anon_sym_LPAREN] = ACTIONS(13574),
    [anon_sym_RPAREN] = ACTIONS(13574),
    [anon_sym_COLON2] = ACTIONS(13574),
    [anon_sym_export] = ACTIONS(13574),
    [anon_sym_import] = ACTIONS(13574),
    [anon_sym_using] = ACTIONS(13574),
    [anon_sym_LBRACK] = ACTIONS(13574),
    [anon_sym_LF] = ACTIONS(13572),
    [anon_sym_in] = ACTIONS(13574),
    [anon_sym_SEMI] = ACTIONS(13574),
    [anon_sym_LBRACE] = ACTIONS(13574),
    [anon_sym_DOLLAR] = ACTIONS(13574),
    [anon_sym_COLON_COLON] = ACTIONS(13574),
    [anon_sym_isa] = ACTIONS(13574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13574),
    [anon_sym_QMARK] = ACTIONS(13574),
    [anon_sym_AT] = ACTIONS(13574),
    [anon_sym_true] = ACTIONS(13574),
    [anon_sym_false] = ACTIONS(13574),
    [aux_sym_integer_literal_token1] = ACTIONS(13574),
    [aux_sym_integer_literal_token2] = ACTIONS(13574),
    [aux_sym_integer_literal_token3] = ACTIONS(13574),
    [aux_sym_integer_literal_token4] = ACTIONS(13574),
    [aux_sym_float_literal_token1] = ACTIONS(13574),
    [aux_sym_float_literal_token3] = ACTIONS(13574),
    [aux_sym_float_literal_token4] = ACTIONS(13574),
    [sym_character_literal] = ACTIONS(13574),
    [sym__pair_operator] = ACTIONS(13574),
    [sym__arrow_operator] = ACTIONS(13574),
    [sym__lazy_or_operator] = ACTIONS(13574),
    [sym__lazy_and_operator] = ACTIONS(13574),
    [sym__comparison_operator] = ACTIONS(13574),
    [sym__pipe_right_operator] = ACTIONS(13574),
    [sym__pipe_left_operator] = ACTIONS(13574),
    [sym__ellipsis_operator] = ACTIONS(13574),
    [sym__plus_operator] = ACTIONS(13574),
    [sym__times_operator] = ACTIONS(13574),
    [sym__rational_operator] = ACTIONS(13574),
    [sym__bitshift_operator] = ACTIONS(13574),
    [sym__power_operator] = ACTIONS(13574),
    [sym__tilde_operator] = ACTIONS(13574),
    [sym__type_order_operator] = ACTIONS(13574),
    [sym__unary_operator] = ACTIONS(13574),
    [sym__unary_plus_operator] = ACTIONS(13574),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13572),
    [sym__command_start] = ACTIONS(13572),
  },
  [8911] = {
    [sym__word_identifier] = ACTIONS(13592),
    [anon_sym_EQ] = ACTIONS(13592),
    [anon_sym_COMMA] = ACTIONS(13592),
    [anon_sym_COLON] = ACTIONS(13592),
    [anon_sym_begin] = ACTIONS(13592),
    [anon_sym_module] = ACTIONS(13592),
    [anon_sym_baremodule] = ACTIONS(13592),
    [anon_sym_abstract] = ACTIONS(13592),
    [anon_sym_primitive] = ACTIONS(13592),
    [anon_sym_mutable] = ACTIONS(13592),
    [anon_sym_struct] = ACTIONS(13592),
    [anon_sym_function] = ACTIONS(13592),
    [anon_sym_macro] = ACTIONS(13592),
    [anon_sym_where] = ACTIONS(13592),
    [anon_sym_quote] = ACTIONS(13592),
    [anon_sym_let] = ACTIONS(13592),
    [anon_sym_if] = ACTIONS(13592),
    [anon_sym_try] = ACTIONS(13592),
    [anon_sym_for] = ACTIONS(13592),
    [anon_sym_while] = ACTIONS(13592),
    [sym_break_statement] = ACTIONS(13592),
    [sym_continue_statement] = ACTIONS(13592),
    [anon_sym_return] = ACTIONS(13592),
    [anon_sym_const] = ACTIONS(13592),
    [anon_sym_global] = ACTIONS(13592),
    [anon_sym_local] = ACTIONS(13592),
    [anon_sym_LPAREN] = ACTIONS(13592),
    [anon_sym_RPAREN] = ACTIONS(13592),
    [anon_sym_COLON2] = ACTIONS(13592),
    [anon_sym_export] = ACTIONS(13592),
    [anon_sym_import] = ACTIONS(13592),
    [anon_sym_using] = ACTIONS(13592),
    [anon_sym_LBRACK] = ACTIONS(13592),
    [anon_sym_LF] = ACTIONS(13590),
    [anon_sym_in] = ACTIONS(13592),
    [anon_sym_SEMI] = ACTIONS(13592),
    [anon_sym_LBRACE] = ACTIONS(13592),
    [anon_sym_DOLLAR] = ACTIONS(13592),
    [anon_sym_COLON_COLON] = ACTIONS(13592),
    [anon_sym_isa] = ACTIONS(13592),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13592),
    [anon_sym_QMARK] = ACTIONS(13592),
    [anon_sym_AT] = ACTIONS(13592),
    [anon_sym_true] = ACTIONS(13592),
    [anon_sym_false] = ACTIONS(13592),
    [aux_sym_integer_literal_token1] = ACTIONS(13592),
    [aux_sym_integer_literal_token2] = ACTIONS(13592),
    [aux_sym_integer_literal_token3] = ACTIONS(13592),
    [aux_sym_integer_literal_token4] = ACTIONS(13592),
    [aux_sym_float_literal_token1] = ACTIONS(13592),
    [aux_sym_float_literal_token3] = ACTIONS(13592),
    [aux_sym_float_literal_token4] = ACTIONS(13592),
    [sym_character_literal] = ACTIONS(13592),
    [sym__pair_operator] = ACTIONS(13592),
    [sym__arrow_operator] = ACTIONS(13592),
    [sym__lazy_or_operator] = ACTIONS(13592),
    [sym__lazy_and_operator] = ACTIONS(13592),
    [sym__comparison_operator] = ACTIONS(13592),
    [sym__pipe_right_operator] = ACTIONS(13592),
    [sym__pipe_left_operator] = ACTIONS(13592),
    [sym__ellipsis_operator] = ACTIONS(13592),
    [sym__plus_operator] = ACTIONS(13592),
    [sym__times_operator] = ACTIONS(13592),
    [sym__rational_operator] = ACTIONS(13592),
    [sym__bitshift_operator] = ACTIONS(13592),
    [sym__power_operator] = ACTIONS(13592),
    [sym__tilde_operator] = ACTIONS(13592),
    [sym__type_order_operator] = ACTIONS(13592),
    [sym__unary_operator] = ACTIONS(13592),
    [sym__unary_plus_operator] = ACTIONS(13592),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13590),
    [sym__command_start] = ACTIONS(13590),
  },
  [8912] = {
    [sym__word_identifier] = ACTIONS(13630),
    [anon_sym_EQ] = ACTIONS(13630),
    [anon_sym_COMMA] = ACTIONS(13630),
    [anon_sym_COLON] = ACTIONS(13630),
    [anon_sym_begin] = ACTIONS(13630),
    [anon_sym_module] = ACTIONS(13630),
    [anon_sym_baremodule] = ACTIONS(13630),
    [anon_sym_abstract] = ACTIONS(13630),
    [anon_sym_primitive] = ACTIONS(13630),
    [anon_sym_mutable] = ACTIONS(13630),
    [anon_sym_struct] = ACTIONS(13630),
    [anon_sym_function] = ACTIONS(13630),
    [anon_sym_macro] = ACTIONS(13630),
    [anon_sym_where] = ACTIONS(13630),
    [anon_sym_quote] = ACTIONS(13630),
    [anon_sym_let] = ACTIONS(13630),
    [anon_sym_if] = ACTIONS(13630),
    [anon_sym_try] = ACTIONS(13630),
    [anon_sym_for] = ACTIONS(13630),
    [anon_sym_while] = ACTIONS(13630),
    [sym_break_statement] = ACTIONS(13630),
    [sym_continue_statement] = ACTIONS(13630),
    [anon_sym_return] = ACTIONS(13630),
    [anon_sym_const] = ACTIONS(13630),
    [anon_sym_global] = ACTIONS(13630),
    [anon_sym_local] = ACTIONS(13630),
    [anon_sym_LPAREN] = ACTIONS(13630),
    [anon_sym_RPAREN] = ACTIONS(13630),
    [anon_sym_COLON2] = ACTIONS(13630),
    [anon_sym_export] = ACTIONS(13630),
    [anon_sym_import] = ACTIONS(13630),
    [anon_sym_using] = ACTIONS(13630),
    [anon_sym_LBRACK] = ACTIONS(13630),
    [anon_sym_LF] = ACTIONS(13628),
    [anon_sym_in] = ACTIONS(13630),
    [anon_sym_SEMI] = ACTIONS(13630),
    [anon_sym_LBRACE] = ACTIONS(13630),
    [anon_sym_DOLLAR] = ACTIONS(13630),
    [anon_sym_COLON_COLON] = ACTIONS(13630),
    [anon_sym_isa] = ACTIONS(13630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13630),
    [anon_sym_QMARK] = ACTIONS(13630),
    [anon_sym_AT] = ACTIONS(13630),
    [anon_sym_true] = ACTIONS(13630),
    [anon_sym_false] = ACTIONS(13630),
    [aux_sym_integer_literal_token1] = ACTIONS(13630),
    [aux_sym_integer_literal_token2] = ACTIONS(13630),
    [aux_sym_integer_literal_token3] = ACTIONS(13630),
    [aux_sym_integer_literal_token4] = ACTIONS(13630),
    [aux_sym_float_literal_token1] = ACTIONS(13630),
    [aux_sym_float_literal_token3] = ACTIONS(13630),
    [aux_sym_float_literal_token4] = ACTIONS(13630),
    [sym_character_literal] = ACTIONS(13630),
    [sym__pair_operator] = ACTIONS(13630),
    [sym__arrow_operator] = ACTIONS(13630),
    [sym__lazy_or_operator] = ACTIONS(13630),
    [sym__lazy_and_operator] = ACTIONS(13630),
    [sym__comparison_operator] = ACTIONS(13630),
    [sym__pipe_right_operator] = ACTIONS(13630),
    [sym__pipe_left_operator] = ACTIONS(13630),
    [sym__ellipsis_operator] = ACTIONS(13630),
    [sym__plus_operator] = ACTIONS(13630),
    [sym__times_operator] = ACTIONS(13630),
    [sym__rational_operator] = ACTIONS(13630),
    [sym__bitshift_operator] = ACTIONS(13630),
    [sym__power_operator] = ACTIONS(13630),
    [sym__tilde_operator] = ACTIONS(13630),
    [sym__type_order_operator] = ACTIONS(13630),
    [sym__unary_operator] = ACTIONS(13630),
    [sym__unary_plus_operator] = ACTIONS(13630),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13628),
    [sym__command_start] = ACTIONS(13628),
  },
  [8913] = {
    [sym__word_identifier] = ACTIONS(13480),
    [anon_sym_EQ] = ACTIONS(13480),
    [anon_sym_COMMA] = ACTIONS(13480),
    [anon_sym_COLON] = ACTIONS(13480),
    [anon_sym_begin] = ACTIONS(13480),
    [anon_sym_module] = ACTIONS(13480),
    [anon_sym_baremodule] = ACTIONS(13480),
    [anon_sym_end] = ACTIONS(13480),
    [anon_sym_abstract] = ACTIONS(13480),
    [anon_sym_primitive] = ACTIONS(13480),
    [anon_sym_mutable] = ACTIONS(13480),
    [anon_sym_struct] = ACTIONS(13480),
    [anon_sym_function] = ACTIONS(13480),
    [anon_sym_macro] = ACTIONS(13480),
    [anon_sym_where] = ACTIONS(13480),
    [anon_sym_quote] = ACTIONS(13480),
    [anon_sym_let] = ACTIONS(13480),
    [anon_sym_if] = ACTIONS(13480),
    [anon_sym_try] = ACTIONS(13480),
    [anon_sym_for] = ACTIONS(13480),
    [anon_sym_while] = ACTIONS(13480),
    [sym_break_statement] = ACTIONS(13480),
    [sym_continue_statement] = ACTIONS(13480),
    [anon_sym_return] = ACTIONS(13480),
    [anon_sym_const] = ACTIONS(13480),
    [anon_sym_global] = ACTIONS(13480),
    [anon_sym_local] = ACTIONS(13480),
    [anon_sym_LPAREN] = ACTIONS(13480),
    [anon_sym_COLON2] = ACTIONS(13480),
    [anon_sym_export] = ACTIONS(13480),
    [anon_sym_import] = ACTIONS(13480),
    [anon_sym_using] = ACTIONS(13480),
    [anon_sym_LBRACK] = ACTIONS(13480),
    [anon_sym_LF] = ACTIONS(13482),
    [anon_sym_in] = ACTIONS(13480),
    [anon_sym_LBRACE] = ACTIONS(13480),
    [anon_sym_DOLLAR] = ACTIONS(13480),
    [anon_sym_COLON_COLON] = ACTIONS(13480),
    [anon_sym_isa] = ACTIONS(13480),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13480),
    [anon_sym_QMARK] = ACTIONS(13480),
    [anon_sym_AT] = ACTIONS(13480),
    [anon_sym_true] = ACTIONS(13480),
    [anon_sym_false] = ACTIONS(13480),
    [aux_sym_integer_literal_token1] = ACTIONS(13480),
    [aux_sym_integer_literal_token2] = ACTIONS(13480),
    [aux_sym_integer_literal_token3] = ACTIONS(13480),
    [aux_sym_integer_literal_token4] = ACTIONS(13480),
    [aux_sym_float_literal_token1] = ACTIONS(13480),
    [aux_sym_float_literal_token3] = ACTIONS(13480),
    [aux_sym_float_literal_token4] = ACTIONS(13480),
    [sym_character_literal] = ACTIONS(13480),
    [sym__pair_operator] = ACTIONS(13480),
    [sym__arrow_operator] = ACTIONS(13480),
    [sym__lazy_or_operator] = ACTIONS(13480),
    [sym__lazy_and_operator] = ACTIONS(13480),
    [sym__comparison_operator] = ACTIONS(13480),
    [sym__pipe_right_operator] = ACTIONS(13480),
    [sym__pipe_left_operator] = ACTIONS(13480),
    [sym__ellipsis_operator] = ACTIONS(13480),
    [sym__plus_operator] = ACTIONS(13480),
    [sym__times_operator] = ACTIONS(13480),
    [sym__rational_operator] = ACTIONS(13480),
    [sym__bitshift_operator] = ACTIONS(13480),
    [sym__power_operator] = ACTIONS(13480),
    [sym__tilde_operator] = ACTIONS(13480),
    [sym__type_order_operator] = ACTIONS(13480),
    [sym__unary_operator] = ACTIONS(13480),
    [sym__unary_plus_operator] = ACTIONS(13480),
    [aux_sym__terminator_token1] = ACTIONS(13480),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13482),
    [sym__command_start] = ACTIONS(13482),
  },
  [8914] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8915] = {
    [sym__word_identifier] = ACTIONS(13504),
    [anon_sym_EQ] = ACTIONS(13504),
    [anon_sym_COMMA] = ACTIONS(13504),
    [anon_sym_COLON] = ACTIONS(13504),
    [anon_sym_begin] = ACTIONS(13504),
    [anon_sym_module] = ACTIONS(13504),
    [anon_sym_baremodule] = ACTIONS(13504),
    [anon_sym_end] = ACTIONS(13504),
    [anon_sym_abstract] = ACTIONS(13504),
    [anon_sym_primitive] = ACTIONS(13504),
    [anon_sym_mutable] = ACTIONS(13504),
    [anon_sym_struct] = ACTIONS(13504),
    [anon_sym_function] = ACTIONS(13504),
    [anon_sym_macro] = ACTIONS(13504),
    [anon_sym_where] = ACTIONS(13504),
    [anon_sym_quote] = ACTIONS(13504),
    [anon_sym_let] = ACTIONS(13504),
    [anon_sym_if] = ACTIONS(13504),
    [anon_sym_try] = ACTIONS(13504),
    [anon_sym_for] = ACTIONS(13504),
    [anon_sym_while] = ACTIONS(13504),
    [sym_break_statement] = ACTIONS(13504),
    [sym_continue_statement] = ACTIONS(13504),
    [anon_sym_return] = ACTIONS(13504),
    [anon_sym_const] = ACTIONS(13504),
    [anon_sym_global] = ACTIONS(13504),
    [anon_sym_local] = ACTIONS(13504),
    [anon_sym_LPAREN] = ACTIONS(13504),
    [anon_sym_COLON2] = ACTIONS(13504),
    [anon_sym_export] = ACTIONS(13504),
    [anon_sym_import] = ACTIONS(13504),
    [anon_sym_using] = ACTIONS(13504),
    [anon_sym_LBRACK] = ACTIONS(13504),
    [anon_sym_LF] = ACTIONS(13502),
    [anon_sym_in] = ACTIONS(13504),
    [anon_sym_LBRACE] = ACTIONS(13504),
    [anon_sym_DOLLAR] = ACTIONS(13504),
    [anon_sym_COLON_COLON] = ACTIONS(13504),
    [anon_sym_isa] = ACTIONS(13504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13504),
    [anon_sym_QMARK] = ACTIONS(13504),
    [anon_sym_AT] = ACTIONS(13504),
    [anon_sym_true] = ACTIONS(13504),
    [anon_sym_false] = ACTIONS(13504),
    [aux_sym_integer_literal_token1] = ACTIONS(13504),
    [aux_sym_integer_literal_token2] = ACTIONS(13504),
    [aux_sym_integer_literal_token3] = ACTIONS(13504),
    [aux_sym_integer_literal_token4] = ACTIONS(13504),
    [aux_sym_float_literal_token1] = ACTIONS(13504),
    [aux_sym_float_literal_token3] = ACTIONS(13504),
    [aux_sym_float_literal_token4] = ACTIONS(13504),
    [sym_character_literal] = ACTIONS(13504),
    [sym__pair_operator] = ACTIONS(13504),
    [sym__arrow_operator] = ACTIONS(13504),
    [sym__lazy_or_operator] = ACTIONS(13504),
    [sym__lazy_and_operator] = ACTIONS(13504),
    [sym__comparison_operator] = ACTIONS(13504),
    [sym__pipe_right_operator] = ACTIONS(13504),
    [sym__pipe_left_operator] = ACTIONS(13504),
    [sym__ellipsis_operator] = ACTIONS(13504),
    [sym__plus_operator] = ACTIONS(13504),
    [sym__times_operator] = ACTIONS(13504),
    [sym__rational_operator] = ACTIONS(13504),
    [sym__bitshift_operator] = ACTIONS(13504),
    [sym__power_operator] = ACTIONS(13504),
    [sym__tilde_operator] = ACTIONS(13504),
    [sym__type_order_operator] = ACTIONS(13504),
    [sym__unary_operator] = ACTIONS(13504),
    [sym__unary_plus_operator] = ACTIONS(13504),
    [aux_sym__terminator_token1] = ACTIONS(13504),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13502),
    [sym__command_start] = ACTIONS(13502),
  },
  [8916] = {
    [aux_sym_open_tuple_repeat1] = STATE(8654),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(14720),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_RPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14780),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8917] = {
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12957),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_end] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14635),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [8918] = {
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13238),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_RPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13238),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13238),
    [anon_sym_SEMI] = ACTIONS(13238),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13238),
    [anon_sym_isa] = ACTIONS(13238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13238),
    [anon_sym_QMARK] = ACTIONS(13238),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13238),
    [sym__arrow_operator] = ACTIONS(13238),
    [sym__lazy_or_operator] = ACTIONS(13238),
    [sym__lazy_and_operator] = ACTIONS(13238),
    [sym__comparison_operator] = ACTIONS(13238),
    [sym__pipe_right_operator] = ACTIONS(13238),
    [sym__pipe_left_operator] = ACTIONS(13238),
    [sym__ellipsis_operator] = ACTIONS(13238),
    [sym__plus_operator] = ACTIONS(13238),
    [sym__times_operator] = ACTIONS(13238),
    [sym__rational_operator] = ACTIONS(13238),
    [sym__bitshift_operator] = ACTIONS(13238),
    [sym__power_operator] = ACTIONS(13238),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13238),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8919] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8920] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8921] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14826),
    [sym__pipe_left_operator] = ACTIONS(14828),
    [sym__ellipsis_operator] = ACTIONS(14830),
    [sym__plus_operator] = ACTIONS(14832),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14832),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8922] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(12710),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_RPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_SEMI] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8923] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8924] = {
    [aux_sym_open_tuple_repeat1] = STATE(8122),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(14523),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8925] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13390),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8926] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(12710),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_RPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_SEMI] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8927] = {
    [aux_sym_open_tuple_repeat1] = STATE(8108),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(14519),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13104),
    [anon_sym_RPAREN] = ACTIONS(13104),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13104),
    [anon_sym_RBRACK] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13104),
    [anon_sym_RBRACE] = ACTIONS(13104),
    [anon_sym_DOLLAR] = ACTIONS(13104),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14878),
    [anon_sym_AT] = ACTIONS(13104),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13104),
    [aux_sym_integer_literal_token2] = ACTIONS(13104),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13104),
    [aux_sym_float_literal_token3] = ACTIONS(13104),
    [aux_sym_float_literal_token4] = ACTIONS(13104),
    [sym_character_literal] = ACTIONS(13104),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13104),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8928] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(12710),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_RPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_SEMI] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8929] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14732),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8930] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_DASH_GT] = ACTIONS(12080),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8931] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8932] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(12728),
    [anon_sym_COMMA] = ACTIONS(13060),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13060),
    [anon_sym_RPAREN] = ACTIONS(13060),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13060),
    [anon_sym_RBRACK] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13060),
    [anon_sym_RBRACE] = ACTIONS(13060),
    [anon_sym_DOLLAR] = ACTIONS(13060),
    [anon_sym_COLON_COLON] = ACTIONS(13060),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13060),
    [anon_sym_QMARK] = ACTIONS(13060),
    [anon_sym_AT] = ACTIONS(13060),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13060),
    [aux_sym_integer_literal_token2] = ACTIONS(13060),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13060),
    [aux_sym_float_literal_token3] = ACTIONS(13060),
    [aux_sym_float_literal_token4] = ACTIONS(13060),
    [sym_character_literal] = ACTIONS(13060),
    [sym__pair_operator] = ACTIONS(13060),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13060),
    [sym__lazy_and_operator] = ACTIONS(13060),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13060),
    [sym__pipe_left_operator] = ACTIONS(13060),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13060),
    [sym__bitshift_operator] = ACTIONS(13060),
    [sym__power_operator] = ACTIONS(13060),
    [sym__tilde_operator] = ACTIONS(13060),
    [sym__type_order_operator] = ACTIONS(13060),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8933] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8934] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8935] = {
    [sym__word_identifier] = ACTIONS(14037),
    [anon_sym_EQ] = ACTIONS(14037),
    [anon_sym_COMMA] = ACTIONS(14037),
    [anon_sym_COLON] = ACTIONS(14037),
    [anon_sym_begin] = ACTIONS(14037),
    [anon_sym_module] = ACTIONS(14037),
    [anon_sym_baremodule] = ACTIONS(14037),
    [anon_sym_end] = ACTIONS(14037),
    [anon_sym_abstract] = ACTIONS(14037),
    [anon_sym_primitive] = ACTIONS(14037),
    [anon_sym_mutable] = ACTIONS(14037),
    [anon_sym_struct] = ACTIONS(14037),
    [anon_sym_function] = ACTIONS(14037),
    [anon_sym_macro] = ACTIONS(14037),
    [anon_sym_where] = ACTIONS(14037),
    [anon_sym_quote] = ACTIONS(14037),
    [anon_sym_let] = ACTIONS(14037),
    [anon_sym_if] = ACTIONS(14037),
    [anon_sym_try] = ACTIONS(14037),
    [anon_sym_for] = ACTIONS(14037),
    [anon_sym_while] = ACTIONS(14037),
    [sym_break_statement] = ACTIONS(14037),
    [sym_continue_statement] = ACTIONS(14037),
    [anon_sym_return] = ACTIONS(14037),
    [anon_sym_const] = ACTIONS(14037),
    [anon_sym_global] = ACTIONS(14037),
    [anon_sym_local] = ACTIONS(14037),
    [anon_sym_LPAREN] = ACTIONS(14037),
    [anon_sym_COLON2] = ACTIONS(14037),
    [anon_sym_export] = ACTIONS(14037),
    [anon_sym_import] = ACTIONS(14037),
    [anon_sym_using] = ACTIONS(14037),
    [anon_sym_LBRACK] = ACTIONS(14037),
    [anon_sym_LF] = ACTIONS(14035),
    [anon_sym_in] = ACTIONS(14037),
    [anon_sym_LBRACE] = ACTIONS(14037),
    [anon_sym_DOLLAR] = ACTIONS(14037),
    [anon_sym_COLON_COLON] = ACTIONS(14037),
    [anon_sym_isa] = ACTIONS(14037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14037),
    [anon_sym_QMARK] = ACTIONS(14037),
    [anon_sym_AT] = ACTIONS(14037),
    [anon_sym_true] = ACTIONS(14037),
    [anon_sym_false] = ACTIONS(14037),
    [aux_sym_integer_literal_token1] = ACTIONS(14037),
    [aux_sym_integer_literal_token2] = ACTIONS(14037),
    [aux_sym_integer_literal_token3] = ACTIONS(14037),
    [aux_sym_integer_literal_token4] = ACTIONS(14037),
    [aux_sym_float_literal_token1] = ACTIONS(14037),
    [aux_sym_float_literal_token3] = ACTIONS(14037),
    [aux_sym_float_literal_token4] = ACTIONS(14037),
    [sym_character_literal] = ACTIONS(14037),
    [sym__pair_operator] = ACTIONS(14037),
    [sym__arrow_operator] = ACTIONS(14037),
    [sym__lazy_or_operator] = ACTIONS(14037),
    [sym__lazy_and_operator] = ACTIONS(14037),
    [sym__comparison_operator] = ACTIONS(14037),
    [sym__pipe_right_operator] = ACTIONS(14037),
    [sym__pipe_left_operator] = ACTIONS(14037),
    [sym__ellipsis_operator] = ACTIONS(14037),
    [sym__plus_operator] = ACTIONS(14037),
    [sym__times_operator] = ACTIONS(14037),
    [sym__rational_operator] = ACTIONS(14037),
    [sym__bitshift_operator] = ACTIONS(14037),
    [sym__power_operator] = ACTIONS(14037),
    [sym__tilde_operator] = ACTIONS(14037),
    [sym__type_order_operator] = ACTIONS(14037),
    [sym__unary_operator] = ACTIONS(14037),
    [sym__unary_plus_operator] = ACTIONS(14037),
    [aux_sym__terminator_token1] = ACTIONS(14037),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14035),
    [sym__command_start] = ACTIONS(14035),
  },
  [8936] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8937] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8938] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8939] = {
    [aux_sym_open_tuple_repeat1] = STATE(8108),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(14519),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13060),
    [anon_sym_RPAREN] = ACTIONS(13060),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13060),
    [anon_sym_RBRACK] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13060),
    [anon_sym_RBRACE] = ACTIONS(13060),
    [anon_sym_DOLLAR] = ACTIONS(13060),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14878),
    [anon_sym_AT] = ACTIONS(13060),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13060),
    [aux_sym_integer_literal_token2] = ACTIONS(13060),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13060),
    [aux_sym_float_literal_token3] = ACTIONS(13060),
    [aux_sym_float_literal_token4] = ACTIONS(13060),
    [sym_character_literal] = ACTIONS(13060),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13060),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8940] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_RPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_SEMI] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [8941] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12644),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [8942] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14866),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14866),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8943] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_catch] = ACTIONS(13920),
    [anon_sym_finally] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(14880),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(14882),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(14882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(14882),
    [sym__pipe_right_operator] = ACTIONS(14884),
    [sym__pipe_left_operator] = ACTIONS(14886),
    [sym__ellipsis_operator] = ACTIONS(14888),
    [sym__plus_operator] = ACTIONS(14890),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(14882),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14890),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [8944] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_catch] = ACTIONS(13404),
    [anon_sym_finally] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14890),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14890),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [8945] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14880),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14884),
    [sym__pipe_left_operator] = ACTIONS(14886),
    [sym__ellipsis_operator] = ACTIONS(14888),
    [sym__plus_operator] = ACTIONS(14890),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14890),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8946] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14848),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14860),
    [sym__pipe_left_operator] = ACTIONS(14862),
    [sym__ellipsis_operator] = ACTIONS(14864),
    [sym__plus_operator] = ACTIONS(14866),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14866),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8947] = {
    [aux_sym_open_tuple_repeat1] = STATE(8108),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(14519),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13212),
    [anon_sym_RPAREN] = ACTIONS(13212),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13212),
    [anon_sym_RBRACK] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13212),
    [anon_sym_RBRACE] = ACTIONS(13212),
    [anon_sym_DOLLAR] = ACTIONS(13212),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14878),
    [anon_sym_AT] = ACTIONS(13212),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13212),
    [aux_sym_integer_literal_token2] = ACTIONS(13212),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13212),
    [aux_sym_float_literal_token3] = ACTIONS(13212),
    [aux_sym_float_literal_token4] = ACTIONS(13212),
    [sym_character_literal] = ACTIONS(13212),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13212),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8948] = {
    [sym__word_identifier] = ACTIONS(13985),
    [anon_sym_EQ] = ACTIONS(13985),
    [anon_sym_COMMA] = ACTIONS(13985),
    [anon_sym_COLON] = ACTIONS(13985),
    [anon_sym_begin] = ACTIONS(13985),
    [anon_sym_module] = ACTIONS(13985),
    [anon_sym_baremodule] = ACTIONS(13985),
    [anon_sym_abstract] = ACTIONS(13985),
    [anon_sym_primitive] = ACTIONS(13985),
    [anon_sym_mutable] = ACTIONS(13985),
    [anon_sym_struct] = ACTIONS(13985),
    [anon_sym_function] = ACTIONS(13985),
    [anon_sym_macro] = ACTIONS(13985),
    [anon_sym_where] = ACTIONS(13985),
    [anon_sym_quote] = ACTIONS(13985),
    [anon_sym_let] = ACTIONS(13985),
    [anon_sym_if] = ACTIONS(13985),
    [anon_sym_try] = ACTIONS(13985),
    [anon_sym_for] = ACTIONS(13985),
    [anon_sym_while] = ACTIONS(13985),
    [sym_break_statement] = ACTIONS(13985),
    [sym_continue_statement] = ACTIONS(13985),
    [anon_sym_return] = ACTIONS(13985),
    [anon_sym_const] = ACTIONS(13985),
    [anon_sym_global] = ACTIONS(13985),
    [anon_sym_local] = ACTIONS(13985),
    [anon_sym_LPAREN] = ACTIONS(13985),
    [anon_sym_RPAREN] = ACTIONS(13985),
    [anon_sym_COLON2] = ACTIONS(13985),
    [anon_sym_export] = ACTIONS(13985),
    [anon_sym_import] = ACTIONS(13985),
    [anon_sym_using] = ACTIONS(13985),
    [anon_sym_LBRACK] = ACTIONS(13985),
    [anon_sym_LF] = ACTIONS(13983),
    [anon_sym_in] = ACTIONS(13985),
    [anon_sym_SEMI] = ACTIONS(13985),
    [anon_sym_LBRACE] = ACTIONS(13985),
    [anon_sym_DOLLAR] = ACTIONS(13985),
    [anon_sym_COLON_COLON] = ACTIONS(13985),
    [anon_sym_isa] = ACTIONS(13985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13985),
    [anon_sym_QMARK] = ACTIONS(13985),
    [anon_sym_AT] = ACTIONS(13985),
    [anon_sym_true] = ACTIONS(13985),
    [anon_sym_false] = ACTIONS(13985),
    [aux_sym_integer_literal_token1] = ACTIONS(13985),
    [aux_sym_integer_literal_token2] = ACTIONS(13985),
    [aux_sym_integer_literal_token3] = ACTIONS(13985),
    [aux_sym_integer_literal_token4] = ACTIONS(13985),
    [aux_sym_float_literal_token1] = ACTIONS(13985),
    [aux_sym_float_literal_token3] = ACTIONS(13985),
    [aux_sym_float_literal_token4] = ACTIONS(13985),
    [sym_character_literal] = ACTIONS(13985),
    [sym__pair_operator] = ACTIONS(13985),
    [sym__arrow_operator] = ACTIONS(13985),
    [sym__lazy_or_operator] = ACTIONS(13985),
    [sym__lazy_and_operator] = ACTIONS(13985),
    [sym__comparison_operator] = ACTIONS(13985),
    [sym__pipe_right_operator] = ACTIONS(13985),
    [sym__pipe_left_operator] = ACTIONS(13985),
    [sym__ellipsis_operator] = ACTIONS(13985),
    [sym__plus_operator] = ACTIONS(13985),
    [sym__times_operator] = ACTIONS(13985),
    [sym__rational_operator] = ACTIONS(13985),
    [sym__bitshift_operator] = ACTIONS(13985),
    [sym__power_operator] = ACTIONS(13985),
    [sym__tilde_operator] = ACTIONS(13985),
    [sym__type_order_operator] = ACTIONS(13985),
    [sym__unary_operator] = ACTIONS(13985),
    [sym__unary_plus_operator] = ACTIONS(13985),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13983),
    [sym__command_start] = ACTIONS(13983),
  },
  [8949] = {
    [sym__word_identifier] = ACTIONS(13989),
    [anon_sym_EQ] = ACTIONS(13989),
    [anon_sym_COMMA] = ACTIONS(13989),
    [anon_sym_COLON] = ACTIONS(13989),
    [anon_sym_begin] = ACTIONS(13989),
    [anon_sym_module] = ACTIONS(13989),
    [anon_sym_baremodule] = ACTIONS(13989),
    [anon_sym_abstract] = ACTIONS(13989),
    [anon_sym_primitive] = ACTIONS(13989),
    [anon_sym_mutable] = ACTIONS(13989),
    [anon_sym_struct] = ACTIONS(13989),
    [anon_sym_function] = ACTIONS(13989),
    [anon_sym_macro] = ACTIONS(13989),
    [anon_sym_where] = ACTIONS(13989),
    [anon_sym_quote] = ACTIONS(13989),
    [anon_sym_let] = ACTIONS(13989),
    [anon_sym_if] = ACTIONS(13989),
    [anon_sym_try] = ACTIONS(13989),
    [anon_sym_for] = ACTIONS(13989),
    [anon_sym_while] = ACTIONS(13989),
    [sym_break_statement] = ACTIONS(13989),
    [sym_continue_statement] = ACTIONS(13989),
    [anon_sym_return] = ACTIONS(13989),
    [anon_sym_const] = ACTIONS(13989),
    [anon_sym_global] = ACTIONS(13989),
    [anon_sym_local] = ACTIONS(13989),
    [anon_sym_LPAREN] = ACTIONS(13989),
    [anon_sym_RPAREN] = ACTIONS(13989),
    [anon_sym_COLON2] = ACTIONS(13989),
    [anon_sym_export] = ACTIONS(13989),
    [anon_sym_import] = ACTIONS(13989),
    [anon_sym_using] = ACTIONS(13989),
    [anon_sym_LBRACK] = ACTIONS(13989),
    [anon_sym_LF] = ACTIONS(13987),
    [anon_sym_in] = ACTIONS(13989),
    [anon_sym_SEMI] = ACTIONS(13989),
    [anon_sym_LBRACE] = ACTIONS(13989),
    [anon_sym_DOLLAR] = ACTIONS(13989),
    [anon_sym_COLON_COLON] = ACTIONS(13989),
    [anon_sym_isa] = ACTIONS(13989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13989),
    [anon_sym_QMARK] = ACTIONS(13989),
    [anon_sym_AT] = ACTIONS(13989),
    [anon_sym_true] = ACTIONS(13989),
    [anon_sym_false] = ACTIONS(13989),
    [aux_sym_integer_literal_token1] = ACTIONS(13989),
    [aux_sym_integer_literal_token2] = ACTIONS(13989),
    [aux_sym_integer_literal_token3] = ACTIONS(13989),
    [aux_sym_integer_literal_token4] = ACTIONS(13989),
    [aux_sym_float_literal_token1] = ACTIONS(13989),
    [aux_sym_float_literal_token3] = ACTIONS(13989),
    [aux_sym_float_literal_token4] = ACTIONS(13989),
    [sym_character_literal] = ACTIONS(13989),
    [sym__pair_operator] = ACTIONS(13989),
    [sym__arrow_operator] = ACTIONS(13989),
    [sym__lazy_or_operator] = ACTIONS(13989),
    [sym__lazy_and_operator] = ACTIONS(13989),
    [sym__comparison_operator] = ACTIONS(13989),
    [sym__pipe_right_operator] = ACTIONS(13989),
    [sym__pipe_left_operator] = ACTIONS(13989),
    [sym__ellipsis_operator] = ACTIONS(13989),
    [sym__plus_operator] = ACTIONS(13989),
    [sym__times_operator] = ACTIONS(13989),
    [sym__rational_operator] = ACTIONS(13989),
    [sym__bitshift_operator] = ACTIONS(13989),
    [sym__power_operator] = ACTIONS(13989),
    [sym__tilde_operator] = ACTIONS(13989),
    [sym__type_order_operator] = ACTIONS(13989),
    [sym__unary_operator] = ACTIONS(13989),
    [sym__unary_plus_operator] = ACTIONS(13989),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13987),
    [sym__command_start] = ACTIONS(13987),
  },
  [8950] = {
    [sym__word_identifier] = ACTIONS(13993),
    [anon_sym_EQ] = ACTIONS(13993),
    [anon_sym_COMMA] = ACTIONS(13993),
    [anon_sym_COLON] = ACTIONS(13993),
    [anon_sym_begin] = ACTIONS(13993),
    [anon_sym_module] = ACTIONS(13993),
    [anon_sym_baremodule] = ACTIONS(13993),
    [anon_sym_abstract] = ACTIONS(13993),
    [anon_sym_primitive] = ACTIONS(13993),
    [anon_sym_mutable] = ACTIONS(13993),
    [anon_sym_struct] = ACTIONS(13993),
    [anon_sym_function] = ACTIONS(13993),
    [anon_sym_macro] = ACTIONS(13993),
    [anon_sym_where] = ACTIONS(13993),
    [anon_sym_quote] = ACTIONS(13993),
    [anon_sym_let] = ACTIONS(13993),
    [anon_sym_if] = ACTIONS(13993),
    [anon_sym_try] = ACTIONS(13993),
    [anon_sym_for] = ACTIONS(13993),
    [anon_sym_while] = ACTIONS(13993),
    [sym_break_statement] = ACTIONS(13993),
    [sym_continue_statement] = ACTIONS(13993),
    [anon_sym_return] = ACTIONS(13993),
    [anon_sym_const] = ACTIONS(13993),
    [anon_sym_global] = ACTIONS(13993),
    [anon_sym_local] = ACTIONS(13993),
    [anon_sym_LPAREN] = ACTIONS(13993),
    [anon_sym_RPAREN] = ACTIONS(13993),
    [anon_sym_COLON2] = ACTIONS(13993),
    [anon_sym_export] = ACTIONS(13993),
    [anon_sym_import] = ACTIONS(13993),
    [anon_sym_using] = ACTIONS(13993),
    [anon_sym_LBRACK] = ACTIONS(13993),
    [anon_sym_LF] = ACTIONS(13991),
    [anon_sym_in] = ACTIONS(13993),
    [anon_sym_SEMI] = ACTIONS(13993),
    [anon_sym_LBRACE] = ACTIONS(13993),
    [anon_sym_DOLLAR] = ACTIONS(13993),
    [anon_sym_COLON_COLON] = ACTIONS(13993),
    [anon_sym_isa] = ACTIONS(13993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13993),
    [anon_sym_QMARK] = ACTIONS(13993),
    [anon_sym_AT] = ACTIONS(13993),
    [anon_sym_true] = ACTIONS(13993),
    [anon_sym_false] = ACTIONS(13993),
    [aux_sym_integer_literal_token1] = ACTIONS(13993),
    [aux_sym_integer_literal_token2] = ACTIONS(13993),
    [aux_sym_integer_literal_token3] = ACTIONS(13993),
    [aux_sym_integer_literal_token4] = ACTIONS(13993),
    [aux_sym_float_literal_token1] = ACTIONS(13993),
    [aux_sym_float_literal_token3] = ACTIONS(13993),
    [aux_sym_float_literal_token4] = ACTIONS(13993),
    [sym_character_literal] = ACTIONS(13993),
    [sym__pair_operator] = ACTIONS(13993),
    [sym__arrow_operator] = ACTIONS(13993),
    [sym__lazy_or_operator] = ACTIONS(13993),
    [sym__lazy_and_operator] = ACTIONS(13993),
    [sym__comparison_operator] = ACTIONS(13993),
    [sym__pipe_right_operator] = ACTIONS(13993),
    [sym__pipe_left_operator] = ACTIONS(13993),
    [sym__ellipsis_operator] = ACTIONS(13993),
    [sym__plus_operator] = ACTIONS(13993),
    [sym__times_operator] = ACTIONS(13993),
    [sym__rational_operator] = ACTIONS(13993),
    [sym__bitshift_operator] = ACTIONS(13993),
    [sym__power_operator] = ACTIONS(13993),
    [sym__tilde_operator] = ACTIONS(13993),
    [sym__type_order_operator] = ACTIONS(13993),
    [sym__unary_operator] = ACTIONS(13993),
    [sym__unary_plus_operator] = ACTIONS(13993),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13991),
    [sym__command_start] = ACTIONS(13991),
  },
  [8951] = {
    [sym__word_identifier] = ACTIONS(13834),
    [anon_sym_EQ] = ACTIONS(13834),
    [anon_sym_COMMA] = ACTIONS(13834),
    [anon_sym_COLON] = ACTIONS(13834),
    [anon_sym_begin] = ACTIONS(13834),
    [anon_sym_module] = ACTIONS(13834),
    [anon_sym_baremodule] = ACTIONS(13834),
    [anon_sym_abstract] = ACTIONS(13834),
    [anon_sym_primitive] = ACTIONS(13834),
    [anon_sym_mutable] = ACTIONS(13834),
    [anon_sym_struct] = ACTIONS(13834),
    [anon_sym_function] = ACTIONS(13834),
    [anon_sym_macro] = ACTIONS(13834),
    [anon_sym_where] = ACTIONS(13834),
    [anon_sym_quote] = ACTIONS(13834),
    [anon_sym_let] = ACTIONS(13834),
    [anon_sym_if] = ACTIONS(13834),
    [anon_sym_try] = ACTIONS(13834),
    [anon_sym_for] = ACTIONS(13834),
    [anon_sym_while] = ACTIONS(13834),
    [sym_break_statement] = ACTIONS(13834),
    [sym_continue_statement] = ACTIONS(13834),
    [anon_sym_return] = ACTIONS(13834),
    [anon_sym_const] = ACTIONS(13834),
    [anon_sym_global] = ACTIONS(13834),
    [anon_sym_local] = ACTIONS(13834),
    [anon_sym_LPAREN] = ACTIONS(13834),
    [anon_sym_RPAREN] = ACTIONS(13834),
    [anon_sym_COLON2] = ACTIONS(13834),
    [anon_sym_export] = ACTIONS(13834),
    [anon_sym_import] = ACTIONS(13834),
    [anon_sym_using] = ACTIONS(13834),
    [anon_sym_LBRACK] = ACTIONS(13834),
    [anon_sym_LF] = ACTIONS(13832),
    [anon_sym_in] = ACTIONS(13834),
    [anon_sym_SEMI] = ACTIONS(13834),
    [anon_sym_LBRACE] = ACTIONS(13834),
    [anon_sym_DOLLAR] = ACTIONS(13834),
    [anon_sym_COLON_COLON] = ACTIONS(13834),
    [anon_sym_isa] = ACTIONS(13834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13834),
    [anon_sym_QMARK] = ACTIONS(13834),
    [anon_sym_AT] = ACTIONS(13834),
    [anon_sym_true] = ACTIONS(13834),
    [anon_sym_false] = ACTIONS(13834),
    [aux_sym_integer_literal_token1] = ACTIONS(13834),
    [aux_sym_integer_literal_token2] = ACTIONS(13834),
    [aux_sym_integer_literal_token3] = ACTIONS(13834),
    [aux_sym_integer_literal_token4] = ACTIONS(13834),
    [aux_sym_float_literal_token1] = ACTIONS(13834),
    [aux_sym_float_literal_token3] = ACTIONS(13834),
    [aux_sym_float_literal_token4] = ACTIONS(13834),
    [sym_character_literal] = ACTIONS(13834),
    [sym__pair_operator] = ACTIONS(13834),
    [sym__arrow_operator] = ACTIONS(13834),
    [sym__lazy_or_operator] = ACTIONS(13834),
    [sym__lazy_and_operator] = ACTIONS(13834),
    [sym__comparison_operator] = ACTIONS(13834),
    [sym__pipe_right_operator] = ACTIONS(13834),
    [sym__pipe_left_operator] = ACTIONS(13834),
    [sym__ellipsis_operator] = ACTIONS(13834),
    [sym__plus_operator] = ACTIONS(13834),
    [sym__times_operator] = ACTIONS(13834),
    [sym__rational_operator] = ACTIONS(13834),
    [sym__bitshift_operator] = ACTIONS(13834),
    [sym__power_operator] = ACTIONS(13834),
    [sym__tilde_operator] = ACTIONS(13834),
    [sym__type_order_operator] = ACTIONS(13834),
    [sym__unary_operator] = ACTIONS(13834),
    [sym__unary_plus_operator] = ACTIONS(13834),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13832),
    [sym__command_start] = ACTIONS(13832),
  },
  [8952] = {
    [sym__word_identifier] = ACTIONS(14001),
    [anon_sym_EQ] = ACTIONS(14001),
    [anon_sym_COMMA] = ACTIONS(14001),
    [anon_sym_COLON] = ACTIONS(14001),
    [anon_sym_begin] = ACTIONS(14001),
    [anon_sym_module] = ACTIONS(14001),
    [anon_sym_baremodule] = ACTIONS(14001),
    [anon_sym_abstract] = ACTIONS(14001),
    [anon_sym_primitive] = ACTIONS(14001),
    [anon_sym_mutable] = ACTIONS(14001),
    [anon_sym_struct] = ACTIONS(14001),
    [anon_sym_function] = ACTIONS(14001),
    [anon_sym_macro] = ACTIONS(14001),
    [anon_sym_where] = ACTIONS(14001),
    [anon_sym_quote] = ACTIONS(14001),
    [anon_sym_let] = ACTIONS(14001),
    [anon_sym_if] = ACTIONS(14001),
    [anon_sym_try] = ACTIONS(14001),
    [anon_sym_for] = ACTIONS(14001),
    [anon_sym_while] = ACTIONS(14001),
    [sym_break_statement] = ACTIONS(14001),
    [sym_continue_statement] = ACTIONS(14001),
    [anon_sym_return] = ACTIONS(14001),
    [anon_sym_const] = ACTIONS(14001),
    [anon_sym_global] = ACTIONS(14001),
    [anon_sym_local] = ACTIONS(14001),
    [anon_sym_LPAREN] = ACTIONS(14001),
    [anon_sym_RPAREN] = ACTIONS(14001),
    [anon_sym_COLON2] = ACTIONS(14001),
    [anon_sym_export] = ACTIONS(14001),
    [anon_sym_import] = ACTIONS(14001),
    [anon_sym_using] = ACTIONS(14001),
    [anon_sym_LBRACK] = ACTIONS(14001),
    [anon_sym_LF] = ACTIONS(13999),
    [anon_sym_in] = ACTIONS(14001),
    [anon_sym_SEMI] = ACTIONS(14001),
    [anon_sym_LBRACE] = ACTIONS(14001),
    [anon_sym_DOLLAR] = ACTIONS(14001),
    [anon_sym_COLON_COLON] = ACTIONS(14001),
    [anon_sym_isa] = ACTIONS(14001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14001),
    [anon_sym_QMARK] = ACTIONS(14001),
    [anon_sym_AT] = ACTIONS(14001),
    [anon_sym_true] = ACTIONS(14001),
    [anon_sym_false] = ACTIONS(14001),
    [aux_sym_integer_literal_token1] = ACTIONS(14001),
    [aux_sym_integer_literal_token2] = ACTIONS(14001),
    [aux_sym_integer_literal_token3] = ACTIONS(14001),
    [aux_sym_integer_literal_token4] = ACTIONS(14001),
    [aux_sym_float_literal_token1] = ACTIONS(14001),
    [aux_sym_float_literal_token3] = ACTIONS(14001),
    [aux_sym_float_literal_token4] = ACTIONS(14001),
    [sym_character_literal] = ACTIONS(14001),
    [sym__pair_operator] = ACTIONS(14001),
    [sym__arrow_operator] = ACTIONS(14001),
    [sym__lazy_or_operator] = ACTIONS(14001),
    [sym__lazy_and_operator] = ACTIONS(14001),
    [sym__comparison_operator] = ACTIONS(14001),
    [sym__pipe_right_operator] = ACTIONS(14001),
    [sym__pipe_left_operator] = ACTIONS(14001),
    [sym__ellipsis_operator] = ACTIONS(14001),
    [sym__plus_operator] = ACTIONS(14001),
    [sym__times_operator] = ACTIONS(14001),
    [sym__rational_operator] = ACTIONS(14001),
    [sym__bitshift_operator] = ACTIONS(14001),
    [sym__power_operator] = ACTIONS(14001),
    [sym__tilde_operator] = ACTIONS(14001),
    [sym__type_order_operator] = ACTIONS(14001),
    [sym__unary_operator] = ACTIONS(14001),
    [sym__unary_plus_operator] = ACTIONS(14001),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13999),
    [sym__command_start] = ACTIONS(13999),
  },
  [8953] = {
    [sym__word_identifier] = ACTIONS(13997),
    [anon_sym_EQ] = ACTIONS(13997),
    [anon_sym_COMMA] = ACTIONS(13997),
    [anon_sym_COLON] = ACTIONS(13997),
    [anon_sym_begin] = ACTIONS(13997),
    [anon_sym_module] = ACTIONS(13997),
    [anon_sym_baremodule] = ACTIONS(13997),
    [anon_sym_abstract] = ACTIONS(13997),
    [anon_sym_primitive] = ACTIONS(13997),
    [anon_sym_mutable] = ACTIONS(13997),
    [anon_sym_struct] = ACTIONS(13997),
    [anon_sym_function] = ACTIONS(13997),
    [anon_sym_macro] = ACTIONS(13997),
    [anon_sym_where] = ACTIONS(13997),
    [anon_sym_quote] = ACTIONS(13997),
    [anon_sym_let] = ACTIONS(13997),
    [anon_sym_if] = ACTIONS(13997),
    [anon_sym_try] = ACTIONS(13997),
    [anon_sym_for] = ACTIONS(13997),
    [anon_sym_while] = ACTIONS(13997),
    [sym_break_statement] = ACTIONS(13997),
    [sym_continue_statement] = ACTIONS(13997),
    [anon_sym_return] = ACTIONS(13997),
    [anon_sym_const] = ACTIONS(13997),
    [anon_sym_global] = ACTIONS(13997),
    [anon_sym_local] = ACTIONS(13997),
    [anon_sym_LPAREN] = ACTIONS(13997),
    [anon_sym_RPAREN] = ACTIONS(13997),
    [anon_sym_COLON2] = ACTIONS(13997),
    [anon_sym_export] = ACTIONS(13997),
    [anon_sym_import] = ACTIONS(13997),
    [anon_sym_using] = ACTIONS(13997),
    [anon_sym_LBRACK] = ACTIONS(13997),
    [anon_sym_LF] = ACTIONS(13995),
    [anon_sym_in] = ACTIONS(13997),
    [anon_sym_SEMI] = ACTIONS(13997),
    [anon_sym_LBRACE] = ACTIONS(13997),
    [anon_sym_DOLLAR] = ACTIONS(13997),
    [anon_sym_COLON_COLON] = ACTIONS(13997),
    [anon_sym_isa] = ACTIONS(13997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13997),
    [anon_sym_QMARK] = ACTIONS(13997),
    [anon_sym_AT] = ACTIONS(13997),
    [anon_sym_true] = ACTIONS(13997),
    [anon_sym_false] = ACTIONS(13997),
    [aux_sym_integer_literal_token1] = ACTIONS(13997),
    [aux_sym_integer_literal_token2] = ACTIONS(13997),
    [aux_sym_integer_literal_token3] = ACTIONS(13997),
    [aux_sym_integer_literal_token4] = ACTIONS(13997),
    [aux_sym_float_literal_token1] = ACTIONS(13997),
    [aux_sym_float_literal_token3] = ACTIONS(13997),
    [aux_sym_float_literal_token4] = ACTIONS(13997),
    [sym_character_literal] = ACTIONS(13997),
    [sym__pair_operator] = ACTIONS(13997),
    [sym__arrow_operator] = ACTIONS(13997),
    [sym__lazy_or_operator] = ACTIONS(13997),
    [sym__lazy_and_operator] = ACTIONS(13997),
    [sym__comparison_operator] = ACTIONS(13997),
    [sym__pipe_right_operator] = ACTIONS(13997),
    [sym__pipe_left_operator] = ACTIONS(13997),
    [sym__ellipsis_operator] = ACTIONS(13997),
    [sym__plus_operator] = ACTIONS(13997),
    [sym__times_operator] = ACTIONS(13997),
    [sym__rational_operator] = ACTIONS(13997),
    [sym__bitshift_operator] = ACTIONS(13997),
    [sym__power_operator] = ACTIONS(13997),
    [sym__tilde_operator] = ACTIONS(13997),
    [sym__type_order_operator] = ACTIONS(13997),
    [sym__unary_operator] = ACTIONS(13997),
    [sym__unary_plus_operator] = ACTIONS(13997),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13995),
    [sym__command_start] = ACTIONS(13995),
  },
  [8954] = {
    [sym__word_identifier] = ACTIONS(14011),
    [anon_sym_EQ] = ACTIONS(14011),
    [anon_sym_COMMA] = ACTIONS(14011),
    [anon_sym_COLON] = ACTIONS(14011),
    [anon_sym_begin] = ACTIONS(14011),
    [anon_sym_module] = ACTIONS(14011),
    [anon_sym_baremodule] = ACTIONS(14011),
    [anon_sym_abstract] = ACTIONS(14011),
    [anon_sym_primitive] = ACTIONS(14011),
    [anon_sym_mutable] = ACTIONS(14011),
    [anon_sym_struct] = ACTIONS(14011),
    [anon_sym_function] = ACTIONS(14011),
    [anon_sym_macro] = ACTIONS(14011),
    [anon_sym_where] = ACTIONS(14011),
    [anon_sym_quote] = ACTIONS(14011),
    [anon_sym_let] = ACTIONS(14011),
    [anon_sym_if] = ACTIONS(14011),
    [anon_sym_try] = ACTIONS(14011),
    [anon_sym_for] = ACTIONS(14011),
    [anon_sym_while] = ACTIONS(14011),
    [sym_break_statement] = ACTIONS(14011),
    [sym_continue_statement] = ACTIONS(14011),
    [anon_sym_return] = ACTIONS(14011),
    [anon_sym_const] = ACTIONS(14011),
    [anon_sym_global] = ACTIONS(14011),
    [anon_sym_local] = ACTIONS(14011),
    [anon_sym_LPAREN] = ACTIONS(14011),
    [anon_sym_RPAREN] = ACTIONS(14011),
    [anon_sym_COLON2] = ACTIONS(14011),
    [anon_sym_export] = ACTIONS(14011),
    [anon_sym_import] = ACTIONS(14011),
    [anon_sym_using] = ACTIONS(14011),
    [anon_sym_LBRACK] = ACTIONS(14011),
    [anon_sym_LF] = ACTIONS(14009),
    [anon_sym_in] = ACTIONS(14011),
    [anon_sym_SEMI] = ACTIONS(14011),
    [anon_sym_LBRACE] = ACTIONS(14011),
    [anon_sym_DOLLAR] = ACTIONS(14011),
    [anon_sym_COLON_COLON] = ACTIONS(14011),
    [anon_sym_isa] = ACTIONS(14011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14011),
    [anon_sym_QMARK] = ACTIONS(14011),
    [anon_sym_AT] = ACTIONS(14011),
    [anon_sym_true] = ACTIONS(14011),
    [anon_sym_false] = ACTIONS(14011),
    [aux_sym_integer_literal_token1] = ACTIONS(14011),
    [aux_sym_integer_literal_token2] = ACTIONS(14011),
    [aux_sym_integer_literal_token3] = ACTIONS(14011),
    [aux_sym_integer_literal_token4] = ACTIONS(14011),
    [aux_sym_float_literal_token1] = ACTIONS(14011),
    [aux_sym_float_literal_token3] = ACTIONS(14011),
    [aux_sym_float_literal_token4] = ACTIONS(14011),
    [sym_character_literal] = ACTIONS(14011),
    [sym__pair_operator] = ACTIONS(14011),
    [sym__arrow_operator] = ACTIONS(14011),
    [sym__lazy_or_operator] = ACTIONS(14011),
    [sym__lazy_and_operator] = ACTIONS(14011),
    [sym__comparison_operator] = ACTIONS(14011),
    [sym__pipe_right_operator] = ACTIONS(14011),
    [sym__pipe_left_operator] = ACTIONS(14011),
    [sym__ellipsis_operator] = ACTIONS(14011),
    [sym__plus_operator] = ACTIONS(14011),
    [sym__times_operator] = ACTIONS(14011),
    [sym__rational_operator] = ACTIONS(14011),
    [sym__bitshift_operator] = ACTIONS(14011),
    [sym__power_operator] = ACTIONS(14011),
    [sym__tilde_operator] = ACTIONS(14011),
    [sym__type_order_operator] = ACTIONS(14011),
    [sym__unary_operator] = ACTIONS(14011),
    [sym__unary_plus_operator] = ACTIONS(14011),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14009),
    [sym__command_start] = ACTIONS(14009),
  },
  [8955] = {
    [sym__word_identifier] = ACTIONS(13949),
    [anon_sym_EQ] = ACTIONS(13949),
    [anon_sym_COMMA] = ACTIONS(13949),
    [anon_sym_COLON] = ACTIONS(13949),
    [anon_sym_begin] = ACTIONS(13949),
    [anon_sym_module] = ACTIONS(13949),
    [anon_sym_baremodule] = ACTIONS(13949),
    [anon_sym_abstract] = ACTIONS(13949),
    [anon_sym_primitive] = ACTIONS(13949),
    [anon_sym_mutable] = ACTIONS(13949),
    [anon_sym_struct] = ACTIONS(13949),
    [anon_sym_function] = ACTIONS(13949),
    [anon_sym_macro] = ACTIONS(13949),
    [anon_sym_where] = ACTIONS(13949),
    [anon_sym_quote] = ACTIONS(13949),
    [anon_sym_let] = ACTIONS(13949),
    [anon_sym_if] = ACTIONS(13949),
    [anon_sym_try] = ACTIONS(13949),
    [anon_sym_for] = ACTIONS(13949),
    [anon_sym_while] = ACTIONS(13949),
    [sym_break_statement] = ACTIONS(13949),
    [sym_continue_statement] = ACTIONS(13949),
    [anon_sym_return] = ACTIONS(13949),
    [anon_sym_const] = ACTIONS(13949),
    [anon_sym_global] = ACTIONS(13949),
    [anon_sym_local] = ACTIONS(13949),
    [anon_sym_LPAREN] = ACTIONS(13949),
    [anon_sym_RPAREN] = ACTIONS(13949),
    [anon_sym_COLON2] = ACTIONS(13949),
    [anon_sym_export] = ACTIONS(13949),
    [anon_sym_import] = ACTIONS(13949),
    [anon_sym_using] = ACTIONS(13949),
    [anon_sym_LBRACK] = ACTIONS(13949),
    [anon_sym_LF] = ACTIONS(13951),
    [anon_sym_in] = ACTIONS(13949),
    [anon_sym_SEMI] = ACTIONS(13949),
    [anon_sym_LBRACE] = ACTIONS(13949),
    [anon_sym_DOLLAR] = ACTIONS(13949),
    [anon_sym_COLON_COLON] = ACTIONS(13949),
    [anon_sym_isa] = ACTIONS(13949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13949),
    [anon_sym_QMARK] = ACTIONS(13949),
    [anon_sym_AT] = ACTIONS(13949),
    [anon_sym_true] = ACTIONS(13949),
    [anon_sym_false] = ACTIONS(13949),
    [aux_sym_integer_literal_token1] = ACTIONS(13949),
    [aux_sym_integer_literal_token2] = ACTIONS(13949),
    [aux_sym_integer_literal_token3] = ACTIONS(13949),
    [aux_sym_integer_literal_token4] = ACTIONS(13949),
    [aux_sym_float_literal_token1] = ACTIONS(13949),
    [aux_sym_float_literal_token3] = ACTIONS(13949),
    [aux_sym_float_literal_token4] = ACTIONS(13949),
    [sym_character_literal] = ACTIONS(13949),
    [sym__pair_operator] = ACTIONS(13949),
    [sym__arrow_operator] = ACTIONS(13949),
    [sym__lazy_or_operator] = ACTIONS(13949),
    [sym__lazy_and_operator] = ACTIONS(13949),
    [sym__comparison_operator] = ACTIONS(13949),
    [sym__pipe_right_operator] = ACTIONS(13949),
    [sym__pipe_left_operator] = ACTIONS(13949),
    [sym__ellipsis_operator] = ACTIONS(13949),
    [sym__plus_operator] = ACTIONS(13949),
    [sym__times_operator] = ACTIONS(13949),
    [sym__rational_operator] = ACTIONS(13949),
    [sym__bitshift_operator] = ACTIONS(13949),
    [sym__power_operator] = ACTIONS(13949),
    [sym__tilde_operator] = ACTIONS(13949),
    [sym__type_order_operator] = ACTIONS(13949),
    [sym__unary_operator] = ACTIONS(13949),
    [sym__unary_plus_operator] = ACTIONS(13949),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13951),
    [sym__command_start] = ACTIONS(13951),
  },
  [8956] = {
    [sym__word_identifier] = ACTIONS(14015),
    [anon_sym_EQ] = ACTIONS(14015),
    [anon_sym_COMMA] = ACTIONS(14015),
    [anon_sym_COLON] = ACTIONS(14015),
    [anon_sym_begin] = ACTIONS(14015),
    [anon_sym_module] = ACTIONS(14015),
    [anon_sym_baremodule] = ACTIONS(14015),
    [anon_sym_abstract] = ACTIONS(14015),
    [anon_sym_primitive] = ACTIONS(14015),
    [anon_sym_mutable] = ACTIONS(14015),
    [anon_sym_struct] = ACTIONS(14015),
    [anon_sym_function] = ACTIONS(14015),
    [anon_sym_macro] = ACTIONS(14015),
    [anon_sym_where] = ACTIONS(14015),
    [anon_sym_quote] = ACTIONS(14015),
    [anon_sym_let] = ACTIONS(14015),
    [anon_sym_if] = ACTIONS(14015),
    [anon_sym_try] = ACTIONS(14015),
    [anon_sym_for] = ACTIONS(14015),
    [anon_sym_while] = ACTIONS(14015),
    [sym_break_statement] = ACTIONS(14015),
    [sym_continue_statement] = ACTIONS(14015),
    [anon_sym_return] = ACTIONS(14015),
    [anon_sym_const] = ACTIONS(14015),
    [anon_sym_global] = ACTIONS(14015),
    [anon_sym_local] = ACTIONS(14015),
    [anon_sym_LPAREN] = ACTIONS(14015),
    [anon_sym_RPAREN] = ACTIONS(14015),
    [anon_sym_COLON2] = ACTIONS(14015),
    [anon_sym_export] = ACTIONS(14015),
    [anon_sym_import] = ACTIONS(14015),
    [anon_sym_using] = ACTIONS(14015),
    [anon_sym_LBRACK] = ACTIONS(14015),
    [anon_sym_LF] = ACTIONS(14013),
    [anon_sym_in] = ACTIONS(14015),
    [anon_sym_SEMI] = ACTIONS(14015),
    [anon_sym_LBRACE] = ACTIONS(14015),
    [anon_sym_DOLLAR] = ACTIONS(14015),
    [anon_sym_COLON_COLON] = ACTIONS(14015),
    [anon_sym_isa] = ACTIONS(14015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14015),
    [anon_sym_QMARK] = ACTIONS(14015),
    [anon_sym_AT] = ACTIONS(14015),
    [anon_sym_true] = ACTIONS(14015),
    [anon_sym_false] = ACTIONS(14015),
    [aux_sym_integer_literal_token1] = ACTIONS(14015),
    [aux_sym_integer_literal_token2] = ACTIONS(14015),
    [aux_sym_integer_literal_token3] = ACTIONS(14015),
    [aux_sym_integer_literal_token4] = ACTIONS(14015),
    [aux_sym_float_literal_token1] = ACTIONS(14015),
    [aux_sym_float_literal_token3] = ACTIONS(14015),
    [aux_sym_float_literal_token4] = ACTIONS(14015),
    [sym_character_literal] = ACTIONS(14015),
    [sym__pair_operator] = ACTIONS(14015),
    [sym__arrow_operator] = ACTIONS(14015),
    [sym__lazy_or_operator] = ACTIONS(14015),
    [sym__lazy_and_operator] = ACTIONS(14015),
    [sym__comparison_operator] = ACTIONS(14015),
    [sym__pipe_right_operator] = ACTIONS(14015),
    [sym__pipe_left_operator] = ACTIONS(14015),
    [sym__ellipsis_operator] = ACTIONS(14015),
    [sym__plus_operator] = ACTIONS(14015),
    [sym__times_operator] = ACTIONS(14015),
    [sym__rational_operator] = ACTIONS(14015),
    [sym__bitshift_operator] = ACTIONS(14015),
    [sym__power_operator] = ACTIONS(14015),
    [sym__tilde_operator] = ACTIONS(14015),
    [sym__type_order_operator] = ACTIONS(14015),
    [sym__unary_operator] = ACTIONS(14015),
    [sym__unary_plus_operator] = ACTIONS(14015),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14013),
    [sym__command_start] = ACTIONS(14013),
  },
  [8957] = {
    [sym__word_identifier] = ACTIONS(14019),
    [anon_sym_EQ] = ACTIONS(14019),
    [anon_sym_COMMA] = ACTIONS(14019),
    [anon_sym_COLON] = ACTIONS(14019),
    [anon_sym_begin] = ACTIONS(14019),
    [anon_sym_module] = ACTIONS(14019),
    [anon_sym_baremodule] = ACTIONS(14019),
    [anon_sym_abstract] = ACTIONS(14019),
    [anon_sym_primitive] = ACTIONS(14019),
    [anon_sym_mutable] = ACTIONS(14019),
    [anon_sym_struct] = ACTIONS(14019),
    [anon_sym_function] = ACTIONS(14019),
    [anon_sym_macro] = ACTIONS(14019),
    [anon_sym_where] = ACTIONS(14019),
    [anon_sym_quote] = ACTIONS(14019),
    [anon_sym_let] = ACTIONS(14019),
    [anon_sym_if] = ACTIONS(14019),
    [anon_sym_try] = ACTIONS(14019),
    [anon_sym_for] = ACTIONS(14019),
    [anon_sym_while] = ACTIONS(14019),
    [sym_break_statement] = ACTIONS(14019),
    [sym_continue_statement] = ACTIONS(14019),
    [anon_sym_return] = ACTIONS(14019),
    [anon_sym_const] = ACTIONS(14019),
    [anon_sym_global] = ACTIONS(14019),
    [anon_sym_local] = ACTIONS(14019),
    [anon_sym_LPAREN] = ACTIONS(14019),
    [anon_sym_RPAREN] = ACTIONS(14019),
    [anon_sym_COLON2] = ACTIONS(14019),
    [anon_sym_export] = ACTIONS(14019),
    [anon_sym_import] = ACTIONS(14019),
    [anon_sym_using] = ACTIONS(14019),
    [anon_sym_LBRACK] = ACTIONS(14019),
    [anon_sym_LF] = ACTIONS(14017),
    [anon_sym_in] = ACTIONS(14019),
    [anon_sym_SEMI] = ACTIONS(14019),
    [anon_sym_LBRACE] = ACTIONS(14019),
    [anon_sym_DOLLAR] = ACTIONS(14019),
    [anon_sym_COLON_COLON] = ACTIONS(14019),
    [anon_sym_isa] = ACTIONS(14019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14019),
    [anon_sym_QMARK] = ACTIONS(14019),
    [anon_sym_AT] = ACTIONS(14019),
    [anon_sym_true] = ACTIONS(14019),
    [anon_sym_false] = ACTIONS(14019),
    [aux_sym_integer_literal_token1] = ACTIONS(14019),
    [aux_sym_integer_literal_token2] = ACTIONS(14019),
    [aux_sym_integer_literal_token3] = ACTIONS(14019),
    [aux_sym_integer_literal_token4] = ACTIONS(14019),
    [aux_sym_float_literal_token1] = ACTIONS(14019),
    [aux_sym_float_literal_token3] = ACTIONS(14019),
    [aux_sym_float_literal_token4] = ACTIONS(14019),
    [sym_character_literal] = ACTIONS(14019),
    [sym__pair_operator] = ACTIONS(14019),
    [sym__arrow_operator] = ACTIONS(14019),
    [sym__lazy_or_operator] = ACTIONS(14019),
    [sym__lazy_and_operator] = ACTIONS(14019),
    [sym__comparison_operator] = ACTIONS(14019),
    [sym__pipe_right_operator] = ACTIONS(14019),
    [sym__pipe_left_operator] = ACTIONS(14019),
    [sym__ellipsis_operator] = ACTIONS(14019),
    [sym__plus_operator] = ACTIONS(14019),
    [sym__times_operator] = ACTIONS(14019),
    [sym__rational_operator] = ACTIONS(14019),
    [sym__bitshift_operator] = ACTIONS(14019),
    [sym__power_operator] = ACTIONS(14019),
    [sym__tilde_operator] = ACTIONS(14019),
    [sym__type_order_operator] = ACTIONS(14019),
    [sym__unary_operator] = ACTIONS(14019),
    [sym__unary_plus_operator] = ACTIONS(14019),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14017),
    [sym__command_start] = ACTIONS(14017),
  },
  [8958] = {
    [sym__word_identifier] = ACTIONS(14023),
    [anon_sym_EQ] = ACTIONS(14023),
    [anon_sym_COMMA] = ACTIONS(14023),
    [anon_sym_COLON] = ACTIONS(14023),
    [anon_sym_begin] = ACTIONS(14023),
    [anon_sym_module] = ACTIONS(14023),
    [anon_sym_baremodule] = ACTIONS(14023),
    [anon_sym_abstract] = ACTIONS(14023),
    [anon_sym_primitive] = ACTIONS(14023),
    [anon_sym_mutable] = ACTIONS(14023),
    [anon_sym_struct] = ACTIONS(14023),
    [anon_sym_function] = ACTIONS(14023),
    [anon_sym_macro] = ACTIONS(14023),
    [anon_sym_where] = ACTIONS(14023),
    [anon_sym_quote] = ACTIONS(14023),
    [anon_sym_let] = ACTIONS(14023),
    [anon_sym_if] = ACTIONS(14023),
    [anon_sym_try] = ACTIONS(14023),
    [anon_sym_for] = ACTIONS(14023),
    [anon_sym_while] = ACTIONS(14023),
    [sym_break_statement] = ACTIONS(14023),
    [sym_continue_statement] = ACTIONS(14023),
    [anon_sym_return] = ACTIONS(14023),
    [anon_sym_const] = ACTIONS(14023),
    [anon_sym_global] = ACTIONS(14023),
    [anon_sym_local] = ACTIONS(14023),
    [anon_sym_LPAREN] = ACTIONS(14023),
    [anon_sym_RPAREN] = ACTIONS(14023),
    [anon_sym_COLON2] = ACTIONS(14023),
    [anon_sym_export] = ACTIONS(14023),
    [anon_sym_import] = ACTIONS(14023),
    [anon_sym_using] = ACTIONS(14023),
    [anon_sym_LBRACK] = ACTIONS(14023),
    [anon_sym_LF] = ACTIONS(14021),
    [anon_sym_in] = ACTIONS(14023),
    [anon_sym_SEMI] = ACTIONS(14023),
    [anon_sym_LBRACE] = ACTIONS(14023),
    [anon_sym_DOLLAR] = ACTIONS(14023),
    [anon_sym_COLON_COLON] = ACTIONS(14023),
    [anon_sym_isa] = ACTIONS(14023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14023),
    [anon_sym_QMARK] = ACTIONS(14023),
    [anon_sym_AT] = ACTIONS(14023),
    [anon_sym_true] = ACTIONS(14023),
    [anon_sym_false] = ACTIONS(14023),
    [aux_sym_integer_literal_token1] = ACTIONS(14023),
    [aux_sym_integer_literal_token2] = ACTIONS(14023),
    [aux_sym_integer_literal_token3] = ACTIONS(14023),
    [aux_sym_integer_literal_token4] = ACTIONS(14023),
    [aux_sym_float_literal_token1] = ACTIONS(14023),
    [aux_sym_float_literal_token3] = ACTIONS(14023),
    [aux_sym_float_literal_token4] = ACTIONS(14023),
    [sym_character_literal] = ACTIONS(14023),
    [sym__pair_operator] = ACTIONS(14023),
    [sym__arrow_operator] = ACTIONS(14023),
    [sym__lazy_or_operator] = ACTIONS(14023),
    [sym__lazy_and_operator] = ACTIONS(14023),
    [sym__comparison_operator] = ACTIONS(14023),
    [sym__pipe_right_operator] = ACTIONS(14023),
    [sym__pipe_left_operator] = ACTIONS(14023),
    [sym__ellipsis_operator] = ACTIONS(14023),
    [sym__plus_operator] = ACTIONS(14023),
    [sym__times_operator] = ACTIONS(14023),
    [sym__rational_operator] = ACTIONS(14023),
    [sym__bitshift_operator] = ACTIONS(14023),
    [sym__power_operator] = ACTIONS(14023),
    [sym__tilde_operator] = ACTIONS(14023),
    [sym__type_order_operator] = ACTIONS(14023),
    [sym__unary_operator] = ACTIONS(14023),
    [sym__unary_plus_operator] = ACTIONS(14023),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14021),
    [sym__command_start] = ACTIONS(14021),
  },
  [8959] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14898),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14880),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14882),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(14882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(14517),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(14900),
    [sym__arrow_operator] = ACTIONS(14902),
    [sym__lazy_or_operator] = ACTIONS(14904),
    [sym__lazy_and_operator] = ACTIONS(14906),
    [sym__comparison_operator] = ACTIONS(14882),
    [sym__pipe_right_operator] = ACTIONS(14884),
    [sym__pipe_left_operator] = ACTIONS(14886),
    [sym__ellipsis_operator] = ACTIONS(14888),
    [sym__plus_operator] = ACTIONS(14890),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14882),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14890),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8960] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(12644),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8961] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14898),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14880),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14882),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(14882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(14902),
    [sym__lazy_or_operator] = ACTIONS(14904),
    [sym__lazy_and_operator] = ACTIONS(14906),
    [sym__comparison_operator] = ACTIONS(14882),
    [sym__pipe_right_operator] = ACTIONS(14884),
    [sym__pipe_left_operator] = ACTIONS(14886),
    [sym__ellipsis_operator] = ACTIONS(14888),
    [sym__plus_operator] = ACTIONS(14890),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14882),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14890),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8962] = {
    [sym__word_identifier] = ACTIONS(14037),
    [anon_sym_EQ] = ACTIONS(14037),
    [anon_sym_COMMA] = ACTIONS(14037),
    [anon_sym_COLON] = ACTIONS(14037),
    [anon_sym_begin] = ACTIONS(14037),
    [anon_sym_module] = ACTIONS(14037),
    [anon_sym_baremodule] = ACTIONS(14037),
    [anon_sym_abstract] = ACTIONS(14037),
    [anon_sym_primitive] = ACTIONS(14037),
    [anon_sym_mutable] = ACTIONS(14037),
    [anon_sym_struct] = ACTIONS(14037),
    [anon_sym_function] = ACTIONS(14037),
    [anon_sym_macro] = ACTIONS(14037),
    [anon_sym_where] = ACTIONS(14037),
    [anon_sym_quote] = ACTIONS(14037),
    [anon_sym_let] = ACTIONS(14037),
    [anon_sym_if] = ACTIONS(14037),
    [anon_sym_try] = ACTIONS(14037),
    [anon_sym_for] = ACTIONS(14037),
    [anon_sym_while] = ACTIONS(14037),
    [sym_break_statement] = ACTIONS(14037),
    [sym_continue_statement] = ACTIONS(14037),
    [anon_sym_return] = ACTIONS(14037),
    [anon_sym_const] = ACTIONS(14037),
    [anon_sym_global] = ACTIONS(14037),
    [anon_sym_local] = ACTIONS(14037),
    [anon_sym_LPAREN] = ACTIONS(14037),
    [anon_sym_RPAREN] = ACTIONS(14037),
    [anon_sym_COLON2] = ACTIONS(14037),
    [anon_sym_export] = ACTIONS(14037),
    [anon_sym_import] = ACTIONS(14037),
    [anon_sym_using] = ACTIONS(14037),
    [anon_sym_LBRACK] = ACTIONS(14037),
    [anon_sym_LF] = ACTIONS(14035),
    [anon_sym_in] = ACTIONS(14037),
    [anon_sym_SEMI] = ACTIONS(14037),
    [anon_sym_LBRACE] = ACTIONS(14037),
    [anon_sym_DOLLAR] = ACTIONS(14037),
    [anon_sym_COLON_COLON] = ACTIONS(14037),
    [anon_sym_isa] = ACTIONS(14037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14037),
    [anon_sym_QMARK] = ACTIONS(14037),
    [anon_sym_AT] = ACTIONS(14037),
    [anon_sym_true] = ACTIONS(14037),
    [anon_sym_false] = ACTIONS(14037),
    [aux_sym_integer_literal_token1] = ACTIONS(14037),
    [aux_sym_integer_literal_token2] = ACTIONS(14037),
    [aux_sym_integer_literal_token3] = ACTIONS(14037),
    [aux_sym_integer_literal_token4] = ACTIONS(14037),
    [aux_sym_float_literal_token1] = ACTIONS(14037),
    [aux_sym_float_literal_token3] = ACTIONS(14037),
    [aux_sym_float_literal_token4] = ACTIONS(14037),
    [sym_character_literal] = ACTIONS(14037),
    [sym__pair_operator] = ACTIONS(14037),
    [sym__arrow_operator] = ACTIONS(14037),
    [sym__lazy_or_operator] = ACTIONS(14037),
    [sym__lazy_and_operator] = ACTIONS(14037),
    [sym__comparison_operator] = ACTIONS(14037),
    [sym__pipe_right_operator] = ACTIONS(14037),
    [sym__pipe_left_operator] = ACTIONS(14037),
    [sym__ellipsis_operator] = ACTIONS(14037),
    [sym__plus_operator] = ACTIONS(14037),
    [sym__times_operator] = ACTIONS(14037),
    [sym__rational_operator] = ACTIONS(14037),
    [sym__bitshift_operator] = ACTIONS(14037),
    [sym__power_operator] = ACTIONS(14037),
    [sym__tilde_operator] = ACTIONS(14037),
    [sym__type_order_operator] = ACTIONS(14037),
    [sym__unary_operator] = ACTIONS(14037),
    [sym__unary_plus_operator] = ACTIONS(14037),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14035),
    [sym__command_start] = ACTIONS(14035),
  },
  [8963] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(12728),
    [anon_sym_COMMA] = ACTIONS(13094),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13094),
    [anon_sym_RPAREN] = ACTIONS(13094),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13094),
    [anon_sym_RBRACK] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13094),
    [anon_sym_RBRACE] = ACTIONS(13094),
    [anon_sym_DOLLAR] = ACTIONS(13094),
    [anon_sym_COLON_COLON] = ACTIONS(13094),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13094),
    [anon_sym_QMARK] = ACTIONS(13094),
    [anon_sym_AT] = ACTIONS(13094),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13094),
    [aux_sym_integer_literal_token2] = ACTIONS(13094),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13094),
    [aux_sym_float_literal_token3] = ACTIONS(13094),
    [aux_sym_float_literal_token4] = ACTIONS(13094),
    [sym_character_literal] = ACTIONS(13094),
    [sym__pair_operator] = ACTIONS(13094),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13094),
    [sym__lazy_and_operator] = ACTIONS(13094),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13094),
    [sym__pipe_left_operator] = ACTIONS(13094),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13094),
    [sym__bitshift_operator] = ACTIONS(13094),
    [sym__power_operator] = ACTIONS(13094),
    [sym__tilde_operator] = ACTIONS(13094),
    [sym__type_order_operator] = ACTIONS(13094),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8964] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14898),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14880),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14882),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(14882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(14906),
    [sym__comparison_operator] = ACTIONS(14882),
    [sym__pipe_right_operator] = ACTIONS(14884),
    [sym__pipe_left_operator] = ACTIONS(14886),
    [sym__ellipsis_operator] = ACTIONS(14888),
    [sym__plus_operator] = ACTIONS(14890),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14882),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14890),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8965] = {
    [sym__word_identifier] = ACTIONS(14043),
    [anon_sym_EQ] = ACTIONS(14043),
    [anon_sym_COMMA] = ACTIONS(14043),
    [anon_sym_COLON] = ACTIONS(14043),
    [anon_sym_begin] = ACTIONS(14043),
    [anon_sym_module] = ACTIONS(14043),
    [anon_sym_baremodule] = ACTIONS(14043),
    [anon_sym_abstract] = ACTIONS(14043),
    [anon_sym_primitive] = ACTIONS(14043),
    [anon_sym_mutable] = ACTIONS(14043),
    [anon_sym_struct] = ACTIONS(14043),
    [anon_sym_function] = ACTIONS(14043),
    [anon_sym_macro] = ACTIONS(14043),
    [anon_sym_where] = ACTIONS(14043),
    [anon_sym_quote] = ACTIONS(14043),
    [anon_sym_let] = ACTIONS(14043),
    [anon_sym_if] = ACTIONS(14043),
    [anon_sym_try] = ACTIONS(14043),
    [anon_sym_for] = ACTIONS(14043),
    [anon_sym_while] = ACTIONS(14043),
    [sym_break_statement] = ACTIONS(14043),
    [sym_continue_statement] = ACTIONS(14043),
    [anon_sym_return] = ACTIONS(14043),
    [anon_sym_const] = ACTIONS(14043),
    [anon_sym_global] = ACTIONS(14043),
    [anon_sym_local] = ACTIONS(14043),
    [anon_sym_LPAREN] = ACTIONS(14043),
    [anon_sym_RPAREN] = ACTIONS(14043),
    [anon_sym_COLON2] = ACTIONS(14043),
    [anon_sym_export] = ACTIONS(14043),
    [anon_sym_import] = ACTIONS(14043),
    [anon_sym_using] = ACTIONS(14043),
    [anon_sym_LBRACK] = ACTIONS(14043),
    [anon_sym_LF] = ACTIONS(14041),
    [anon_sym_in] = ACTIONS(14043),
    [anon_sym_SEMI] = ACTIONS(14043),
    [anon_sym_LBRACE] = ACTIONS(14043),
    [anon_sym_DOLLAR] = ACTIONS(14043),
    [anon_sym_COLON_COLON] = ACTIONS(14043),
    [anon_sym_isa] = ACTIONS(14043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_QMARK] = ACTIONS(14043),
    [anon_sym_AT] = ACTIONS(14043),
    [anon_sym_true] = ACTIONS(14043),
    [anon_sym_false] = ACTIONS(14043),
    [aux_sym_integer_literal_token1] = ACTIONS(14043),
    [aux_sym_integer_literal_token2] = ACTIONS(14043),
    [aux_sym_integer_literal_token3] = ACTIONS(14043),
    [aux_sym_integer_literal_token4] = ACTIONS(14043),
    [aux_sym_float_literal_token1] = ACTIONS(14043),
    [aux_sym_float_literal_token3] = ACTIONS(14043),
    [aux_sym_float_literal_token4] = ACTIONS(14043),
    [sym_character_literal] = ACTIONS(14043),
    [sym__pair_operator] = ACTIONS(14043),
    [sym__arrow_operator] = ACTIONS(14043),
    [sym__lazy_or_operator] = ACTIONS(14043),
    [sym__lazy_and_operator] = ACTIONS(14043),
    [sym__comparison_operator] = ACTIONS(14043),
    [sym__pipe_right_operator] = ACTIONS(14043),
    [sym__pipe_left_operator] = ACTIONS(14043),
    [sym__ellipsis_operator] = ACTIONS(14043),
    [sym__plus_operator] = ACTIONS(14043),
    [sym__times_operator] = ACTIONS(14043),
    [sym__rational_operator] = ACTIONS(14043),
    [sym__bitshift_operator] = ACTIONS(14043),
    [sym__power_operator] = ACTIONS(14043),
    [sym__tilde_operator] = ACTIONS(14043),
    [sym__type_order_operator] = ACTIONS(14043),
    [sym__unary_operator] = ACTIONS(14043),
    [sym__unary_plus_operator] = ACTIONS(14043),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14041),
    [sym__command_start] = ACTIONS(14041),
  },
  [8966] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_RPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_SEMI] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [8967] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14848),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(14864),
    [sym__plus_operator] = ACTIONS(14866),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14866),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8968] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14898),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14880),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14882),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(14882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(14882),
    [sym__pipe_right_operator] = ACTIONS(14884),
    [sym__pipe_left_operator] = ACTIONS(14886),
    [sym__ellipsis_operator] = ACTIONS(14888),
    [sym__plus_operator] = ACTIONS(14890),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14882),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14890),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8969] = {
    [sym__word_identifier] = ACTIONS(12674),
    [anon_sym_EQ] = ACTIONS(12674),
    [anon_sym_COMMA] = ACTIONS(12674),
    [anon_sym_COLON] = ACTIONS(12674),
    [anon_sym_begin] = ACTIONS(12674),
    [anon_sym_module] = ACTIONS(12674),
    [anon_sym_baremodule] = ACTIONS(12674),
    [anon_sym_end] = ACTIONS(12674),
    [anon_sym_abstract] = ACTIONS(12674),
    [anon_sym_primitive] = ACTIONS(12674),
    [anon_sym_mutable] = ACTIONS(12674),
    [anon_sym_struct] = ACTIONS(12674),
    [anon_sym_function] = ACTIONS(12674),
    [anon_sym_macro] = ACTIONS(12674),
    [anon_sym_where] = ACTIONS(12674),
    [anon_sym_quote] = ACTIONS(12674),
    [anon_sym_let] = ACTIONS(12674),
    [anon_sym_if] = ACTIONS(12674),
    [anon_sym_try] = ACTIONS(12674),
    [anon_sym_for] = ACTIONS(12674),
    [anon_sym_while] = ACTIONS(12674),
    [sym_break_statement] = ACTIONS(12674),
    [sym_continue_statement] = ACTIONS(12674),
    [anon_sym_return] = ACTIONS(12674),
    [anon_sym_const] = ACTIONS(12674),
    [anon_sym_global] = ACTIONS(12674),
    [anon_sym_local] = ACTIONS(12674),
    [anon_sym_LPAREN] = ACTIONS(12674),
    [anon_sym_COLON2] = ACTIONS(12674),
    [anon_sym_export] = ACTIONS(12674),
    [anon_sym_import] = ACTIONS(12674),
    [anon_sym_using] = ACTIONS(12674),
    [anon_sym_LBRACK] = ACTIONS(12674),
    [anon_sym_LF] = ACTIONS(12676),
    [anon_sym_in] = ACTIONS(12674),
    [anon_sym_LBRACE] = ACTIONS(12674),
    [anon_sym_DOLLAR] = ACTIONS(12674),
    [anon_sym_COLON_COLON] = ACTIONS(12674),
    [anon_sym_isa] = ACTIONS(12674),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12674),
    [anon_sym_QMARK] = ACTIONS(12674),
    [anon_sym_AT] = ACTIONS(12674),
    [anon_sym_true] = ACTIONS(12674),
    [anon_sym_false] = ACTIONS(12674),
    [aux_sym_integer_literal_token1] = ACTIONS(12674),
    [aux_sym_integer_literal_token2] = ACTIONS(12674),
    [aux_sym_integer_literal_token3] = ACTIONS(12674),
    [aux_sym_integer_literal_token4] = ACTIONS(12674),
    [aux_sym_float_literal_token1] = ACTIONS(12674),
    [aux_sym_float_literal_token3] = ACTIONS(12674),
    [aux_sym_float_literal_token4] = ACTIONS(12674),
    [sym_character_literal] = ACTIONS(12674),
    [sym__pair_operator] = ACTIONS(12674),
    [sym__arrow_operator] = ACTIONS(12674),
    [sym__lazy_or_operator] = ACTIONS(12674),
    [sym__lazy_and_operator] = ACTIONS(12674),
    [sym__comparison_operator] = ACTIONS(12674),
    [sym__pipe_right_operator] = ACTIONS(12674),
    [sym__pipe_left_operator] = ACTIONS(12674),
    [sym__ellipsis_operator] = ACTIONS(12674),
    [sym__plus_operator] = ACTIONS(12674),
    [sym__times_operator] = ACTIONS(12674),
    [sym__rational_operator] = ACTIONS(12674),
    [sym__bitshift_operator] = ACTIONS(12674),
    [sym__power_operator] = ACTIONS(12674),
    [sym__tilde_operator] = ACTIONS(12674),
    [sym__type_order_operator] = ACTIONS(12674),
    [sym__unary_operator] = ACTIONS(12674),
    [sym__unary_plus_operator] = ACTIONS(12674),
    [aux_sym__terminator_token1] = ACTIONS(12674),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12676),
    [sym__command_start] = ACTIONS(12676),
  },
  [8970] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(12710),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_RPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_SEMI] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [8971] = {
    [aux_sym_open_tuple_repeat1] = STATE(8108),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(14519),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13094),
    [anon_sym_RPAREN] = ACTIONS(13094),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13094),
    [anon_sym_RBRACK] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13094),
    [anon_sym_RBRACE] = ACTIONS(13094),
    [anon_sym_DOLLAR] = ACTIONS(13094),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14878),
    [anon_sym_AT] = ACTIONS(13094),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13094),
    [aux_sym_integer_literal_token2] = ACTIONS(13094),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13094),
    [aux_sym_float_literal_token3] = ACTIONS(13094),
    [aux_sym_float_literal_token4] = ACTIONS(13094),
    [sym_character_literal] = ACTIONS(13094),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13094),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8972] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(12728),
    [anon_sym_COMMA] = ACTIONS(13104),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13104),
    [anon_sym_RPAREN] = ACTIONS(13104),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13104),
    [anon_sym_RBRACK] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13104),
    [anon_sym_RBRACE] = ACTIONS(13104),
    [anon_sym_DOLLAR] = ACTIONS(13104),
    [anon_sym_COLON_COLON] = ACTIONS(13104),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13104),
    [anon_sym_QMARK] = ACTIONS(13104),
    [anon_sym_AT] = ACTIONS(13104),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13104),
    [aux_sym_integer_literal_token2] = ACTIONS(13104),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13104),
    [aux_sym_float_literal_token3] = ACTIONS(13104),
    [aux_sym_float_literal_token4] = ACTIONS(13104),
    [sym_character_literal] = ACTIONS(13104),
    [sym__pair_operator] = ACTIONS(13104),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13104),
    [sym__lazy_and_operator] = ACTIONS(13104),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13104),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13104),
    [sym__bitshift_operator] = ACTIONS(13104),
    [sym__power_operator] = ACTIONS(13104),
    [sym__tilde_operator] = ACTIONS(13104),
    [sym__type_order_operator] = ACTIONS(13104),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8973] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14846),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14848),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14850),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(14850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(14850),
    [sym__pipe_right_operator] = ACTIONS(14860),
    [sym__pipe_left_operator] = ACTIONS(14862),
    [sym__ellipsis_operator] = ACTIONS(14864),
    [sym__plus_operator] = ACTIONS(14866),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14850),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14866),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8974] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14880),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(14888),
    [sym__plus_operator] = ACTIONS(14890),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14890),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8975] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14880),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14884),
    [sym__pipe_left_operator] = ACTIONS(14886),
    [sym__ellipsis_operator] = ACTIONS(14888),
    [sym__plus_operator] = ACTIONS(14890),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14890),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8976] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13957),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [8977] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14846),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14848),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14850),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(14850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(14858),
    [sym__comparison_operator] = ACTIONS(14850),
    [sym__pipe_right_operator] = ACTIONS(14860),
    [sym__pipe_left_operator] = ACTIONS(14862),
    [sym__ellipsis_operator] = ACTIONS(14864),
    [sym__plus_operator] = ACTIONS(14866),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14850),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14866),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8978] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14846),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14848),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14850),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(14850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(14854),
    [sym__lazy_or_operator] = ACTIONS(14856),
    [sym__lazy_and_operator] = ACTIONS(14858),
    [sym__comparison_operator] = ACTIONS(14850),
    [sym__pipe_right_operator] = ACTIONS(14860),
    [sym__pipe_left_operator] = ACTIONS(14862),
    [sym__ellipsis_operator] = ACTIONS(14864),
    [sym__plus_operator] = ACTIONS(14866),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14850),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14866),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8979] = {
    [sym__word_identifier] = ACTIONS(14131),
    [anon_sym_EQ] = ACTIONS(14131),
    [anon_sym_COMMA] = ACTIONS(14131),
    [anon_sym_COLON] = ACTIONS(14131),
    [anon_sym_begin] = ACTIONS(14131),
    [anon_sym_module] = ACTIONS(14131),
    [anon_sym_baremodule] = ACTIONS(14131),
    [anon_sym_abstract] = ACTIONS(14131),
    [anon_sym_primitive] = ACTIONS(14131),
    [anon_sym_mutable] = ACTIONS(14131),
    [anon_sym_struct] = ACTIONS(14131),
    [anon_sym_function] = ACTIONS(14131),
    [anon_sym_macro] = ACTIONS(14131),
    [anon_sym_where] = ACTIONS(14131),
    [anon_sym_quote] = ACTIONS(14131),
    [anon_sym_let] = ACTIONS(14131),
    [anon_sym_if] = ACTIONS(14131),
    [anon_sym_try] = ACTIONS(14131),
    [anon_sym_for] = ACTIONS(14131),
    [anon_sym_while] = ACTIONS(14131),
    [sym_break_statement] = ACTIONS(14131),
    [sym_continue_statement] = ACTIONS(14131),
    [anon_sym_return] = ACTIONS(14131),
    [anon_sym_const] = ACTIONS(14131),
    [anon_sym_global] = ACTIONS(14131),
    [anon_sym_local] = ACTIONS(14131),
    [anon_sym_LPAREN] = ACTIONS(14131),
    [anon_sym_RPAREN] = ACTIONS(14131),
    [anon_sym_COLON2] = ACTIONS(14131),
    [anon_sym_export] = ACTIONS(14131),
    [anon_sym_import] = ACTIONS(14131),
    [anon_sym_using] = ACTIONS(14131),
    [anon_sym_LBRACK] = ACTIONS(14131),
    [anon_sym_LF] = ACTIONS(14129),
    [anon_sym_in] = ACTIONS(14131),
    [anon_sym_SEMI] = ACTIONS(14131),
    [anon_sym_LBRACE] = ACTIONS(14131),
    [anon_sym_DOLLAR] = ACTIONS(14131),
    [anon_sym_COLON_COLON] = ACTIONS(14131),
    [anon_sym_isa] = ACTIONS(14131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14131),
    [anon_sym_QMARK] = ACTIONS(14131),
    [anon_sym_AT] = ACTIONS(14131),
    [anon_sym_true] = ACTIONS(14131),
    [anon_sym_false] = ACTIONS(14131),
    [aux_sym_integer_literal_token1] = ACTIONS(14131),
    [aux_sym_integer_literal_token2] = ACTIONS(14131),
    [aux_sym_integer_literal_token3] = ACTIONS(14131),
    [aux_sym_integer_literal_token4] = ACTIONS(14131),
    [aux_sym_float_literal_token1] = ACTIONS(14131),
    [aux_sym_float_literal_token3] = ACTIONS(14131),
    [aux_sym_float_literal_token4] = ACTIONS(14131),
    [sym_character_literal] = ACTIONS(14131),
    [sym__pair_operator] = ACTIONS(14131),
    [sym__arrow_operator] = ACTIONS(14131),
    [sym__lazy_or_operator] = ACTIONS(14131),
    [sym__lazy_and_operator] = ACTIONS(14131),
    [sym__comparison_operator] = ACTIONS(14131),
    [sym__pipe_right_operator] = ACTIONS(14131),
    [sym__pipe_left_operator] = ACTIONS(14131),
    [sym__ellipsis_operator] = ACTIONS(14131),
    [sym__plus_operator] = ACTIONS(14131),
    [sym__times_operator] = ACTIONS(14131),
    [sym__rational_operator] = ACTIONS(14131),
    [sym__bitshift_operator] = ACTIONS(14131),
    [sym__power_operator] = ACTIONS(14131),
    [sym__tilde_operator] = ACTIONS(14131),
    [sym__type_order_operator] = ACTIONS(14131),
    [sym__unary_operator] = ACTIONS(14131),
    [sym__unary_plus_operator] = ACTIONS(14131),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14129),
    [sym__command_start] = ACTIONS(14129),
  },
  [8980] = {
    [sym__word_identifier] = ACTIONS(13943),
    [anon_sym_EQ] = ACTIONS(13943),
    [anon_sym_COMMA] = ACTIONS(13943),
    [anon_sym_COLON] = ACTIONS(13943),
    [anon_sym_begin] = ACTIONS(13943),
    [anon_sym_module] = ACTIONS(13943),
    [anon_sym_baremodule] = ACTIONS(13943),
    [anon_sym_end] = ACTIONS(13943),
    [anon_sym_abstract] = ACTIONS(13943),
    [anon_sym_primitive] = ACTIONS(13943),
    [anon_sym_mutable] = ACTIONS(13943),
    [anon_sym_struct] = ACTIONS(13943),
    [anon_sym_function] = ACTIONS(13943),
    [anon_sym_macro] = ACTIONS(13943),
    [anon_sym_where] = ACTIONS(13943),
    [anon_sym_quote] = ACTIONS(13943),
    [anon_sym_let] = ACTIONS(13943),
    [anon_sym_if] = ACTIONS(13943),
    [anon_sym_try] = ACTIONS(13943),
    [anon_sym_for] = ACTIONS(13943),
    [anon_sym_while] = ACTIONS(13943),
    [sym_break_statement] = ACTIONS(13943),
    [sym_continue_statement] = ACTIONS(13943),
    [anon_sym_return] = ACTIONS(13943),
    [anon_sym_const] = ACTIONS(13943),
    [anon_sym_global] = ACTIONS(13943),
    [anon_sym_local] = ACTIONS(13943),
    [anon_sym_LPAREN] = ACTIONS(13943),
    [anon_sym_COLON2] = ACTIONS(13943),
    [anon_sym_export] = ACTIONS(13943),
    [anon_sym_import] = ACTIONS(13943),
    [anon_sym_using] = ACTIONS(13943),
    [anon_sym_LBRACK] = ACTIONS(13943),
    [anon_sym_LF] = ACTIONS(13945),
    [anon_sym_in] = ACTIONS(13943),
    [anon_sym_LBRACE] = ACTIONS(13943),
    [anon_sym_DOLLAR] = ACTIONS(13943),
    [anon_sym_COLON_COLON] = ACTIONS(13943),
    [anon_sym_isa] = ACTIONS(13943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13943),
    [anon_sym_QMARK] = ACTIONS(13943),
    [anon_sym_AT] = ACTIONS(13943),
    [anon_sym_true] = ACTIONS(13943),
    [anon_sym_false] = ACTIONS(13943),
    [aux_sym_integer_literal_token1] = ACTIONS(13943),
    [aux_sym_integer_literal_token2] = ACTIONS(13943),
    [aux_sym_integer_literal_token3] = ACTIONS(13943),
    [aux_sym_integer_literal_token4] = ACTIONS(13943),
    [aux_sym_float_literal_token1] = ACTIONS(13943),
    [aux_sym_float_literal_token3] = ACTIONS(13943),
    [aux_sym_float_literal_token4] = ACTIONS(13943),
    [sym_character_literal] = ACTIONS(13943),
    [sym__pair_operator] = ACTIONS(13943),
    [sym__arrow_operator] = ACTIONS(13943),
    [sym__lazy_or_operator] = ACTIONS(13943),
    [sym__lazy_and_operator] = ACTIONS(13943),
    [sym__comparison_operator] = ACTIONS(13943),
    [sym__pipe_right_operator] = ACTIONS(13943),
    [sym__pipe_left_operator] = ACTIONS(13943),
    [sym__ellipsis_operator] = ACTIONS(13943),
    [sym__plus_operator] = ACTIONS(13943),
    [sym__times_operator] = ACTIONS(13943),
    [sym__rational_operator] = ACTIONS(13943),
    [sym__bitshift_operator] = ACTIONS(13943),
    [sym__power_operator] = ACTIONS(13943),
    [sym__tilde_operator] = ACTIONS(13943),
    [sym__type_order_operator] = ACTIONS(13943),
    [sym__unary_operator] = ACTIONS(13943),
    [sym__unary_plus_operator] = ACTIONS(13943),
    [aux_sym__terminator_token1] = ACTIONS(13943),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13945),
    [sym__command_start] = ACTIONS(13945),
  },
  [8981] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14846),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14848),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14850),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(14850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(14620),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(14852),
    [sym__arrow_operator] = ACTIONS(14854),
    [sym__lazy_or_operator] = ACTIONS(14856),
    [sym__lazy_and_operator] = ACTIONS(14858),
    [sym__comparison_operator] = ACTIONS(14850),
    [sym__pipe_right_operator] = ACTIONS(14860),
    [sym__pipe_left_operator] = ACTIONS(14862),
    [sym__ellipsis_operator] = ACTIONS(14864),
    [sym__plus_operator] = ACTIONS(14866),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14850),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14866),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8982] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14848),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14860),
    [sym__pipe_left_operator] = ACTIONS(14862),
    [sym__ellipsis_operator] = ACTIONS(14864),
    [sym__plus_operator] = ACTIONS(14866),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14866),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8983] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_finally] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14866),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14866),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [8984] = {
    [aux_sym_open_tuple_repeat1] = STATE(8654),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(14720),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_RPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14780),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8985] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_finally] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(14848),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(14850),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13310),
    [anon_sym_isa] = ACTIONS(14850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13312),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(14850),
    [sym__pipe_right_operator] = ACTIONS(14860),
    [sym__pipe_left_operator] = ACTIONS(14862),
    [sym__ellipsis_operator] = ACTIONS(14864),
    [sym__plus_operator] = ACTIONS(14866),
    [sym__times_operator] = ACTIONS(14868),
    [sym__rational_operator] = ACTIONS(14870),
    [sym__bitshift_operator] = ACTIONS(14872),
    [sym__power_operator] = ACTIONS(14822),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(14850),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14866),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [8986] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_RPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_SEMI] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [8987] = {
    [aux_sym_open_tuple_repeat1] = STATE(8654),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(14720),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_RPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14780),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8988] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14890),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14890),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8989] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_RPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_SEMI] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [8990] = {
    [sym__word_identifier] = ACTIONS(14120),
    [anon_sym_EQ] = ACTIONS(14120),
    [anon_sym_COMMA] = ACTIONS(14120),
    [anon_sym_COLON] = ACTIONS(14120),
    [anon_sym_begin] = ACTIONS(14120),
    [anon_sym_module] = ACTIONS(14120),
    [anon_sym_baremodule] = ACTIONS(14120),
    [anon_sym_abstract] = ACTIONS(14120),
    [anon_sym_primitive] = ACTIONS(14120),
    [anon_sym_mutable] = ACTIONS(14120),
    [anon_sym_struct] = ACTIONS(14120),
    [anon_sym_function] = ACTIONS(14120),
    [anon_sym_macro] = ACTIONS(14120),
    [anon_sym_where] = ACTIONS(14120),
    [anon_sym_quote] = ACTIONS(14120),
    [anon_sym_let] = ACTIONS(14120),
    [anon_sym_if] = ACTIONS(14120),
    [anon_sym_try] = ACTIONS(14120),
    [anon_sym_for] = ACTIONS(14120),
    [anon_sym_while] = ACTIONS(14120),
    [sym_break_statement] = ACTIONS(14120),
    [sym_continue_statement] = ACTIONS(14120),
    [anon_sym_return] = ACTIONS(14120),
    [anon_sym_const] = ACTIONS(14120),
    [anon_sym_global] = ACTIONS(14120),
    [anon_sym_local] = ACTIONS(14120),
    [anon_sym_LPAREN] = ACTIONS(14120),
    [anon_sym_RPAREN] = ACTIONS(14120),
    [anon_sym_COLON2] = ACTIONS(14120),
    [anon_sym_export] = ACTIONS(14120),
    [anon_sym_import] = ACTIONS(14120),
    [anon_sym_using] = ACTIONS(14120),
    [anon_sym_LBRACK] = ACTIONS(14120),
    [anon_sym_LF] = ACTIONS(14118),
    [anon_sym_in] = ACTIONS(14120),
    [anon_sym_SEMI] = ACTIONS(14120),
    [anon_sym_LBRACE] = ACTIONS(14120),
    [anon_sym_DOLLAR] = ACTIONS(14120),
    [anon_sym_COLON_COLON] = ACTIONS(14120),
    [anon_sym_isa] = ACTIONS(14120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14120),
    [anon_sym_QMARK] = ACTIONS(14120),
    [anon_sym_AT] = ACTIONS(14120),
    [anon_sym_true] = ACTIONS(14120),
    [anon_sym_false] = ACTIONS(14120),
    [aux_sym_integer_literal_token1] = ACTIONS(14120),
    [aux_sym_integer_literal_token2] = ACTIONS(14120),
    [aux_sym_integer_literal_token3] = ACTIONS(14120),
    [aux_sym_integer_literal_token4] = ACTIONS(14120),
    [aux_sym_float_literal_token1] = ACTIONS(14120),
    [aux_sym_float_literal_token3] = ACTIONS(14120),
    [aux_sym_float_literal_token4] = ACTIONS(14120),
    [sym_character_literal] = ACTIONS(14120),
    [sym__pair_operator] = ACTIONS(14120),
    [sym__arrow_operator] = ACTIONS(14120),
    [sym__lazy_or_operator] = ACTIONS(14120),
    [sym__lazy_and_operator] = ACTIONS(14120),
    [sym__comparison_operator] = ACTIONS(14120),
    [sym__pipe_right_operator] = ACTIONS(14120),
    [sym__pipe_left_operator] = ACTIONS(14120),
    [sym__ellipsis_operator] = ACTIONS(14120),
    [sym__plus_operator] = ACTIONS(14120),
    [sym__times_operator] = ACTIONS(14120),
    [sym__rational_operator] = ACTIONS(14120),
    [sym__bitshift_operator] = ACTIONS(14120),
    [sym__power_operator] = ACTIONS(14120),
    [sym__tilde_operator] = ACTIONS(14120),
    [sym__type_order_operator] = ACTIONS(14120),
    [sym__unary_operator] = ACTIONS(14120),
    [sym__unary_plus_operator] = ACTIONS(14120),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14118),
    [sym__command_start] = ACTIONS(14118),
  },
  [8991] = {
    [aux_sym_open_tuple_repeat1] = STATE(8654),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(14720),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_RPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14780),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8992] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8993] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_RPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_SEMI] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [8994] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8995] = {
    [sym__word_identifier] = ACTIONS(13400),
    [anon_sym_EQ] = ACTIONS(13400),
    [anon_sym_COMMA] = ACTIONS(13400),
    [anon_sym_COLON] = ACTIONS(13400),
    [anon_sym_begin] = ACTIONS(13400),
    [anon_sym_module] = ACTIONS(13400),
    [anon_sym_baremodule] = ACTIONS(13400),
    [anon_sym_end] = ACTIONS(13400),
    [anon_sym_abstract] = ACTIONS(13400),
    [anon_sym_primitive] = ACTIONS(13400),
    [anon_sym_mutable] = ACTIONS(13400),
    [anon_sym_struct] = ACTIONS(13400),
    [anon_sym_function] = ACTIONS(13400),
    [anon_sym_macro] = ACTIONS(13400),
    [anon_sym_where] = ACTIONS(13400),
    [anon_sym_quote] = ACTIONS(13400),
    [anon_sym_let] = ACTIONS(13400),
    [anon_sym_if] = ACTIONS(13400),
    [anon_sym_try] = ACTIONS(13400),
    [anon_sym_for] = ACTIONS(13400),
    [anon_sym_while] = ACTIONS(13400),
    [sym_break_statement] = ACTIONS(13400),
    [sym_continue_statement] = ACTIONS(13400),
    [anon_sym_return] = ACTIONS(13400),
    [anon_sym_const] = ACTIONS(13400),
    [anon_sym_global] = ACTIONS(13400),
    [anon_sym_local] = ACTIONS(13400),
    [anon_sym_LPAREN] = ACTIONS(13400),
    [anon_sym_COLON2] = ACTIONS(13400),
    [anon_sym_export] = ACTIONS(13400),
    [anon_sym_import] = ACTIONS(13400),
    [anon_sym_using] = ACTIONS(13400),
    [anon_sym_LBRACK] = ACTIONS(13400),
    [anon_sym_LF] = ACTIONS(13402),
    [anon_sym_in] = ACTIONS(13400),
    [anon_sym_LBRACE] = ACTIONS(13400),
    [anon_sym_DOLLAR] = ACTIONS(13400),
    [anon_sym_COLON_COLON] = ACTIONS(13400),
    [anon_sym_isa] = ACTIONS(13400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13400),
    [anon_sym_QMARK] = ACTIONS(13400),
    [anon_sym_AT] = ACTIONS(13400),
    [anon_sym_true] = ACTIONS(13400),
    [anon_sym_false] = ACTIONS(13400),
    [aux_sym_integer_literal_token1] = ACTIONS(13400),
    [aux_sym_integer_literal_token2] = ACTIONS(13400),
    [aux_sym_integer_literal_token3] = ACTIONS(13400),
    [aux_sym_integer_literal_token4] = ACTIONS(13400),
    [aux_sym_float_literal_token1] = ACTIONS(13400),
    [aux_sym_float_literal_token3] = ACTIONS(13400),
    [aux_sym_float_literal_token4] = ACTIONS(13400),
    [sym_character_literal] = ACTIONS(13400),
    [sym__pair_operator] = ACTIONS(13400),
    [sym__arrow_operator] = ACTIONS(13400),
    [sym__lazy_or_operator] = ACTIONS(13400),
    [sym__lazy_and_operator] = ACTIONS(13400),
    [sym__comparison_operator] = ACTIONS(13400),
    [sym__pipe_right_operator] = ACTIONS(13400),
    [sym__pipe_left_operator] = ACTIONS(13400),
    [sym__ellipsis_operator] = ACTIONS(13400),
    [sym__plus_operator] = ACTIONS(13400),
    [sym__times_operator] = ACTIONS(13400),
    [sym__rational_operator] = ACTIONS(13400),
    [sym__bitshift_operator] = ACTIONS(13400),
    [sym__power_operator] = ACTIONS(13400),
    [sym__tilde_operator] = ACTIONS(13400),
    [sym__type_order_operator] = ACTIONS(13400),
    [sym__unary_operator] = ACTIONS(13400),
    [sym__unary_plus_operator] = ACTIONS(13400),
    [aux_sym__terminator_token1] = ACTIONS(13400),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13402),
    [sym__command_start] = ACTIONS(13402),
  },
  [8996] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [8997] = {
    [sym__word_identifier] = ACTIONS(14270),
    [anon_sym_EQ] = ACTIONS(14270),
    [anon_sym_COMMA] = ACTIONS(14270),
    [anon_sym_COLON] = ACTIONS(14270),
    [anon_sym_begin] = ACTIONS(14270),
    [anon_sym_module] = ACTIONS(14270),
    [anon_sym_baremodule] = ACTIONS(14270),
    [anon_sym_abstract] = ACTIONS(14270),
    [anon_sym_primitive] = ACTIONS(14270),
    [anon_sym_mutable] = ACTIONS(14270),
    [anon_sym_struct] = ACTIONS(14270),
    [anon_sym_function] = ACTIONS(14270),
    [anon_sym_macro] = ACTIONS(14270),
    [anon_sym_where] = ACTIONS(14270),
    [anon_sym_quote] = ACTIONS(14270),
    [anon_sym_let] = ACTIONS(14270),
    [anon_sym_if] = ACTIONS(14270),
    [anon_sym_try] = ACTIONS(14270),
    [anon_sym_for] = ACTIONS(14270),
    [anon_sym_while] = ACTIONS(14270),
    [sym_break_statement] = ACTIONS(14270),
    [sym_continue_statement] = ACTIONS(14270),
    [anon_sym_return] = ACTIONS(14270),
    [anon_sym_const] = ACTIONS(14270),
    [anon_sym_global] = ACTIONS(14270),
    [anon_sym_local] = ACTIONS(14270),
    [anon_sym_LPAREN] = ACTIONS(14270),
    [anon_sym_RPAREN] = ACTIONS(14270),
    [anon_sym_COLON2] = ACTIONS(14270),
    [anon_sym_export] = ACTIONS(14270),
    [anon_sym_import] = ACTIONS(14270),
    [anon_sym_using] = ACTIONS(14270),
    [anon_sym_LBRACK] = ACTIONS(14270),
    [anon_sym_LF] = ACTIONS(14268),
    [anon_sym_in] = ACTIONS(14270),
    [anon_sym_SEMI] = ACTIONS(14270),
    [anon_sym_LBRACE] = ACTIONS(14270),
    [anon_sym_DOLLAR] = ACTIONS(14270),
    [anon_sym_COLON_COLON] = ACTIONS(14270),
    [anon_sym_isa] = ACTIONS(14270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14270),
    [anon_sym_QMARK] = ACTIONS(14270),
    [anon_sym_AT] = ACTIONS(14270),
    [anon_sym_true] = ACTIONS(14270),
    [anon_sym_false] = ACTIONS(14270),
    [aux_sym_integer_literal_token1] = ACTIONS(14270),
    [aux_sym_integer_literal_token2] = ACTIONS(14270),
    [aux_sym_integer_literal_token3] = ACTIONS(14270),
    [aux_sym_integer_literal_token4] = ACTIONS(14270),
    [aux_sym_float_literal_token1] = ACTIONS(14270),
    [aux_sym_float_literal_token3] = ACTIONS(14270),
    [aux_sym_float_literal_token4] = ACTIONS(14270),
    [sym_character_literal] = ACTIONS(14270),
    [sym__pair_operator] = ACTIONS(14270),
    [sym__arrow_operator] = ACTIONS(14270),
    [sym__lazy_or_operator] = ACTIONS(14270),
    [sym__lazy_and_operator] = ACTIONS(14270),
    [sym__comparison_operator] = ACTIONS(14270),
    [sym__pipe_right_operator] = ACTIONS(14270),
    [sym__pipe_left_operator] = ACTIONS(14270),
    [sym__ellipsis_operator] = ACTIONS(14270),
    [sym__plus_operator] = ACTIONS(14270),
    [sym__times_operator] = ACTIONS(14270),
    [sym__rational_operator] = ACTIONS(14270),
    [sym__bitshift_operator] = ACTIONS(14270),
    [sym__power_operator] = ACTIONS(14270),
    [sym__tilde_operator] = ACTIONS(14270),
    [sym__type_order_operator] = ACTIONS(14270),
    [sym__unary_operator] = ACTIONS(14270),
    [sym__unary_plus_operator] = ACTIONS(14270),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14268),
    [sym__command_start] = ACTIONS(14268),
  },
  [8998] = {
    [sym__word_identifier] = ACTIONS(14246),
    [anon_sym_EQ] = ACTIONS(14246),
    [anon_sym_COMMA] = ACTIONS(14246),
    [anon_sym_COLON] = ACTIONS(14246),
    [anon_sym_begin] = ACTIONS(14246),
    [anon_sym_module] = ACTIONS(14246),
    [anon_sym_baremodule] = ACTIONS(14246),
    [anon_sym_abstract] = ACTIONS(14246),
    [anon_sym_primitive] = ACTIONS(14246),
    [anon_sym_mutable] = ACTIONS(14246),
    [anon_sym_struct] = ACTIONS(14246),
    [anon_sym_function] = ACTIONS(14246),
    [anon_sym_macro] = ACTIONS(14246),
    [anon_sym_where] = ACTIONS(14246),
    [anon_sym_quote] = ACTIONS(14246),
    [anon_sym_let] = ACTIONS(14246),
    [anon_sym_if] = ACTIONS(14246),
    [anon_sym_try] = ACTIONS(14246),
    [anon_sym_for] = ACTIONS(14246),
    [anon_sym_while] = ACTIONS(14246),
    [sym_break_statement] = ACTIONS(14246),
    [sym_continue_statement] = ACTIONS(14246),
    [anon_sym_return] = ACTIONS(14246),
    [anon_sym_const] = ACTIONS(14246),
    [anon_sym_global] = ACTIONS(14246),
    [anon_sym_local] = ACTIONS(14246),
    [anon_sym_LPAREN] = ACTIONS(14246),
    [anon_sym_RPAREN] = ACTIONS(14246),
    [anon_sym_COLON2] = ACTIONS(14246),
    [anon_sym_export] = ACTIONS(14246),
    [anon_sym_import] = ACTIONS(14246),
    [anon_sym_using] = ACTIONS(14246),
    [anon_sym_LBRACK] = ACTIONS(14246),
    [anon_sym_LF] = ACTIONS(14244),
    [anon_sym_in] = ACTIONS(14246),
    [anon_sym_SEMI] = ACTIONS(14246),
    [anon_sym_LBRACE] = ACTIONS(14246),
    [anon_sym_DOLLAR] = ACTIONS(14246),
    [anon_sym_COLON_COLON] = ACTIONS(14246),
    [anon_sym_isa] = ACTIONS(14246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14246),
    [anon_sym_QMARK] = ACTIONS(14246),
    [anon_sym_AT] = ACTIONS(14246),
    [anon_sym_true] = ACTIONS(14246),
    [anon_sym_false] = ACTIONS(14246),
    [aux_sym_integer_literal_token1] = ACTIONS(14246),
    [aux_sym_integer_literal_token2] = ACTIONS(14246),
    [aux_sym_integer_literal_token3] = ACTIONS(14246),
    [aux_sym_integer_literal_token4] = ACTIONS(14246),
    [aux_sym_float_literal_token1] = ACTIONS(14246),
    [aux_sym_float_literal_token3] = ACTIONS(14246),
    [aux_sym_float_literal_token4] = ACTIONS(14246),
    [sym_character_literal] = ACTIONS(14246),
    [sym__pair_operator] = ACTIONS(14246),
    [sym__arrow_operator] = ACTIONS(14246),
    [sym__lazy_or_operator] = ACTIONS(14246),
    [sym__lazy_and_operator] = ACTIONS(14246),
    [sym__comparison_operator] = ACTIONS(14246),
    [sym__pipe_right_operator] = ACTIONS(14246),
    [sym__pipe_left_operator] = ACTIONS(14246),
    [sym__ellipsis_operator] = ACTIONS(14246),
    [sym__plus_operator] = ACTIONS(14246),
    [sym__times_operator] = ACTIONS(14246),
    [sym__rational_operator] = ACTIONS(14246),
    [sym__bitshift_operator] = ACTIONS(14246),
    [sym__power_operator] = ACTIONS(14246),
    [sym__tilde_operator] = ACTIONS(14246),
    [sym__type_order_operator] = ACTIONS(14246),
    [sym__unary_operator] = ACTIONS(14246),
    [sym__unary_plus_operator] = ACTIONS(14246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14244),
    [sym__command_start] = ACTIONS(14244),
  },
  [8999] = {
    [sym__word_identifier] = ACTIONS(14168),
    [anon_sym_EQ] = ACTIONS(14168),
    [anon_sym_COMMA] = ACTIONS(14168),
    [anon_sym_COLON] = ACTIONS(14168),
    [anon_sym_begin] = ACTIONS(14168),
    [anon_sym_module] = ACTIONS(14168),
    [anon_sym_baremodule] = ACTIONS(14168),
    [anon_sym_end] = ACTIONS(14168),
    [anon_sym_abstract] = ACTIONS(14168),
    [anon_sym_primitive] = ACTIONS(14168),
    [anon_sym_mutable] = ACTIONS(14168),
    [anon_sym_struct] = ACTIONS(14168),
    [anon_sym_function] = ACTIONS(14168),
    [anon_sym_macro] = ACTIONS(14168),
    [anon_sym_where] = ACTIONS(14168),
    [anon_sym_quote] = ACTIONS(14168),
    [anon_sym_let] = ACTIONS(14168),
    [anon_sym_if] = ACTIONS(14168),
    [anon_sym_try] = ACTIONS(14168),
    [anon_sym_for] = ACTIONS(14168),
    [anon_sym_while] = ACTIONS(14168),
    [sym_break_statement] = ACTIONS(14168),
    [sym_continue_statement] = ACTIONS(14168),
    [anon_sym_return] = ACTIONS(14168),
    [anon_sym_const] = ACTIONS(14168),
    [anon_sym_global] = ACTIONS(14168),
    [anon_sym_local] = ACTIONS(14168),
    [anon_sym_LPAREN] = ACTIONS(14168),
    [anon_sym_COLON2] = ACTIONS(14168),
    [anon_sym_export] = ACTIONS(14168),
    [anon_sym_import] = ACTIONS(14168),
    [anon_sym_using] = ACTIONS(14168),
    [anon_sym_LBRACK] = ACTIONS(14168),
    [anon_sym_LF] = ACTIONS(14166),
    [anon_sym_in] = ACTIONS(14168),
    [anon_sym_LBRACE] = ACTIONS(14168),
    [anon_sym_DOLLAR] = ACTIONS(14168),
    [anon_sym_COLON_COLON] = ACTIONS(14168),
    [anon_sym_isa] = ACTIONS(14168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14168),
    [anon_sym_QMARK] = ACTIONS(14168),
    [anon_sym_AT] = ACTIONS(14168),
    [anon_sym_true] = ACTIONS(14168),
    [anon_sym_false] = ACTIONS(14168),
    [aux_sym_integer_literal_token1] = ACTIONS(14168),
    [aux_sym_integer_literal_token2] = ACTIONS(14168),
    [aux_sym_integer_literal_token3] = ACTIONS(14168),
    [aux_sym_integer_literal_token4] = ACTIONS(14168),
    [aux_sym_float_literal_token1] = ACTIONS(14168),
    [aux_sym_float_literal_token3] = ACTIONS(14168),
    [aux_sym_float_literal_token4] = ACTIONS(14168),
    [sym_character_literal] = ACTIONS(14168),
    [sym__pair_operator] = ACTIONS(14168),
    [sym__arrow_operator] = ACTIONS(14168),
    [sym__lazy_or_operator] = ACTIONS(14168),
    [sym__lazy_and_operator] = ACTIONS(14168),
    [sym__comparison_operator] = ACTIONS(14168),
    [sym__pipe_right_operator] = ACTIONS(14168),
    [sym__pipe_left_operator] = ACTIONS(14168),
    [sym__ellipsis_operator] = ACTIONS(14168),
    [sym__plus_operator] = ACTIONS(14168),
    [sym__times_operator] = ACTIONS(14168),
    [sym__rational_operator] = ACTIONS(14168),
    [sym__bitshift_operator] = ACTIONS(14168),
    [sym__power_operator] = ACTIONS(14168),
    [sym__tilde_operator] = ACTIONS(14168),
    [sym__type_order_operator] = ACTIONS(14168),
    [sym__unary_operator] = ACTIONS(14168),
    [sym__unary_plus_operator] = ACTIONS(14168),
    [aux_sym__terminator_token1] = ACTIONS(14168),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14166),
    [sym__command_start] = ACTIONS(14166),
  },
  [9000] = {
    [sym__word_identifier] = ACTIONS(12950),
    [anon_sym_EQ] = ACTIONS(12950),
    [anon_sym_COMMA] = ACTIONS(12950),
    [anon_sym_COLON] = ACTIONS(12950),
    [anon_sym_begin] = ACTIONS(12950),
    [anon_sym_module] = ACTIONS(12950),
    [anon_sym_baremodule] = ACTIONS(12950),
    [anon_sym_end] = ACTIONS(12950),
    [anon_sym_abstract] = ACTIONS(12950),
    [anon_sym_primitive] = ACTIONS(12950),
    [anon_sym_mutable] = ACTIONS(12950),
    [anon_sym_struct] = ACTIONS(12950),
    [anon_sym_function] = ACTIONS(12950),
    [anon_sym_macro] = ACTIONS(12950),
    [anon_sym_where] = ACTIONS(12950),
    [anon_sym_quote] = ACTIONS(12950),
    [anon_sym_let] = ACTIONS(12950),
    [anon_sym_if] = ACTIONS(12950),
    [anon_sym_try] = ACTIONS(12950),
    [anon_sym_for] = ACTIONS(12950),
    [anon_sym_while] = ACTIONS(12950),
    [sym_break_statement] = ACTIONS(12950),
    [sym_continue_statement] = ACTIONS(12950),
    [anon_sym_return] = ACTIONS(12950),
    [anon_sym_const] = ACTIONS(12950),
    [anon_sym_global] = ACTIONS(12950),
    [anon_sym_local] = ACTIONS(12950),
    [anon_sym_LPAREN] = ACTIONS(12950),
    [anon_sym_COLON2] = ACTIONS(12950),
    [anon_sym_export] = ACTIONS(12950),
    [anon_sym_import] = ACTIONS(12950),
    [anon_sym_using] = ACTIONS(12950),
    [anon_sym_LBRACK] = ACTIONS(12950),
    [anon_sym_LF] = ACTIONS(12948),
    [anon_sym_in] = ACTIONS(12950),
    [anon_sym_LBRACE] = ACTIONS(12950),
    [anon_sym_DOLLAR] = ACTIONS(12950),
    [anon_sym_COLON_COLON] = ACTIONS(12950),
    [anon_sym_isa] = ACTIONS(12950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12950),
    [anon_sym_QMARK] = ACTIONS(12950),
    [anon_sym_AT] = ACTIONS(12950),
    [anon_sym_true] = ACTIONS(12950),
    [anon_sym_false] = ACTIONS(12950),
    [aux_sym_integer_literal_token1] = ACTIONS(12950),
    [aux_sym_integer_literal_token2] = ACTIONS(12950),
    [aux_sym_integer_literal_token3] = ACTIONS(12950),
    [aux_sym_integer_literal_token4] = ACTIONS(12950),
    [aux_sym_float_literal_token1] = ACTIONS(12950),
    [aux_sym_float_literal_token3] = ACTIONS(12950),
    [aux_sym_float_literal_token4] = ACTIONS(12950),
    [sym_character_literal] = ACTIONS(12950),
    [sym__pair_operator] = ACTIONS(12950),
    [sym__arrow_operator] = ACTIONS(12950),
    [sym__lazy_or_operator] = ACTIONS(12950),
    [sym__lazy_and_operator] = ACTIONS(12950),
    [sym__comparison_operator] = ACTIONS(12950),
    [sym__pipe_right_operator] = ACTIONS(12950),
    [sym__pipe_left_operator] = ACTIONS(12950),
    [sym__ellipsis_operator] = ACTIONS(12950),
    [sym__plus_operator] = ACTIONS(12950),
    [sym__times_operator] = ACTIONS(12950),
    [sym__rational_operator] = ACTIONS(12950),
    [sym__bitshift_operator] = ACTIONS(12950),
    [sym__power_operator] = ACTIONS(12950),
    [sym__tilde_operator] = ACTIONS(12950),
    [sym__type_order_operator] = ACTIONS(12950),
    [sym__unary_operator] = ACTIONS(12950),
    [sym__unary_plus_operator] = ACTIONS(12950),
    [aux_sym__terminator_token1] = ACTIONS(12950),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12948),
    [sym__command_start] = ACTIONS(12948),
  },
  [9001] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1211),
    [sym__pipe_right_operator] = ACTIONS(14826),
    [sym__pipe_left_operator] = ACTIONS(14828),
    [sym__ellipsis_operator] = ACTIONS(14830),
    [sym__plus_operator] = ACTIONS(14832),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(1211),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14832),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9002] = {
    [sym__word_identifier] = ACTIONS(13282),
    [anon_sym_EQ] = ACTIONS(13282),
    [anon_sym_COMMA] = ACTIONS(13282),
    [anon_sym_COLON] = ACTIONS(13282),
    [anon_sym_begin] = ACTIONS(13282),
    [anon_sym_module] = ACTIONS(13282),
    [anon_sym_baremodule] = ACTIONS(13282),
    [anon_sym_end] = ACTIONS(13282),
    [anon_sym_abstract] = ACTIONS(13282),
    [anon_sym_primitive] = ACTIONS(13282),
    [anon_sym_mutable] = ACTIONS(13282),
    [anon_sym_struct] = ACTIONS(13282),
    [anon_sym_function] = ACTIONS(13282),
    [anon_sym_macro] = ACTIONS(13282),
    [anon_sym_where] = ACTIONS(13282),
    [anon_sym_quote] = ACTIONS(13282),
    [anon_sym_let] = ACTIONS(13282),
    [anon_sym_if] = ACTIONS(13282),
    [anon_sym_try] = ACTIONS(13282),
    [anon_sym_for] = ACTIONS(13282),
    [anon_sym_while] = ACTIONS(13282),
    [sym_break_statement] = ACTIONS(13282),
    [sym_continue_statement] = ACTIONS(13282),
    [anon_sym_return] = ACTIONS(13282),
    [anon_sym_const] = ACTIONS(13282),
    [anon_sym_global] = ACTIONS(13282),
    [anon_sym_local] = ACTIONS(13282),
    [anon_sym_LPAREN] = ACTIONS(13282),
    [anon_sym_COLON2] = ACTIONS(13282),
    [anon_sym_export] = ACTIONS(13282),
    [anon_sym_import] = ACTIONS(13282),
    [anon_sym_using] = ACTIONS(13282),
    [anon_sym_LBRACK] = ACTIONS(13282),
    [anon_sym_LF] = ACTIONS(13284),
    [anon_sym_in] = ACTIONS(13282),
    [anon_sym_LBRACE] = ACTIONS(13282),
    [anon_sym_DOLLAR] = ACTIONS(13282),
    [anon_sym_COLON_COLON] = ACTIONS(13282),
    [anon_sym_isa] = ACTIONS(13282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13282),
    [anon_sym_QMARK] = ACTIONS(13282),
    [anon_sym_AT] = ACTIONS(13282),
    [anon_sym_true] = ACTIONS(13282),
    [anon_sym_false] = ACTIONS(13282),
    [aux_sym_integer_literal_token1] = ACTIONS(13282),
    [aux_sym_integer_literal_token2] = ACTIONS(13282),
    [aux_sym_integer_literal_token3] = ACTIONS(13282),
    [aux_sym_integer_literal_token4] = ACTIONS(13282),
    [aux_sym_float_literal_token1] = ACTIONS(13282),
    [aux_sym_float_literal_token3] = ACTIONS(13282),
    [aux_sym_float_literal_token4] = ACTIONS(13282),
    [sym_character_literal] = ACTIONS(13282),
    [sym__pair_operator] = ACTIONS(13282),
    [sym__arrow_operator] = ACTIONS(13282),
    [sym__lazy_or_operator] = ACTIONS(13282),
    [sym__lazy_and_operator] = ACTIONS(13282),
    [sym__comparison_operator] = ACTIONS(13282),
    [sym__pipe_right_operator] = ACTIONS(13282),
    [sym__pipe_left_operator] = ACTIONS(13282),
    [sym__ellipsis_operator] = ACTIONS(13282),
    [sym__plus_operator] = ACTIONS(13282),
    [sym__times_operator] = ACTIONS(13282),
    [sym__rational_operator] = ACTIONS(13282),
    [sym__bitshift_operator] = ACTIONS(13282),
    [sym__power_operator] = ACTIONS(13282),
    [sym__tilde_operator] = ACTIONS(13282),
    [sym__type_order_operator] = ACTIONS(13282),
    [sym__unary_operator] = ACTIONS(13282),
    [sym__unary_plus_operator] = ACTIONS(13282),
    [aux_sym__terminator_token1] = ACTIONS(13282),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13284),
    [sym__command_start] = ACTIONS(13284),
  },
  [9003] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9004] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9005] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12792),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12736),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9006] = {
    [sym__word_identifier] = ACTIONS(13560),
    [anon_sym_EQ] = ACTIONS(13560),
    [anon_sym_COMMA] = ACTIONS(13560),
    [anon_sym_COLON] = ACTIONS(13560),
    [anon_sym_begin] = ACTIONS(13560),
    [anon_sym_module] = ACTIONS(13560),
    [anon_sym_baremodule] = ACTIONS(13560),
    [anon_sym_end] = ACTIONS(13560),
    [anon_sym_abstract] = ACTIONS(13560),
    [anon_sym_primitive] = ACTIONS(13560),
    [anon_sym_mutable] = ACTIONS(13560),
    [anon_sym_struct] = ACTIONS(13560),
    [anon_sym_function] = ACTIONS(13560),
    [anon_sym_macro] = ACTIONS(13560),
    [anon_sym_where] = ACTIONS(13560),
    [anon_sym_quote] = ACTIONS(13560),
    [anon_sym_let] = ACTIONS(13560),
    [anon_sym_if] = ACTIONS(13560),
    [anon_sym_try] = ACTIONS(13560),
    [anon_sym_for] = ACTIONS(13560),
    [anon_sym_while] = ACTIONS(13560),
    [sym_break_statement] = ACTIONS(13560),
    [sym_continue_statement] = ACTIONS(13560),
    [anon_sym_return] = ACTIONS(13560),
    [anon_sym_const] = ACTIONS(13560),
    [anon_sym_global] = ACTIONS(13560),
    [anon_sym_local] = ACTIONS(13560),
    [anon_sym_LPAREN] = ACTIONS(13560),
    [anon_sym_COLON2] = ACTIONS(13560),
    [anon_sym_export] = ACTIONS(13560),
    [anon_sym_import] = ACTIONS(13560),
    [anon_sym_using] = ACTIONS(13560),
    [anon_sym_LBRACK] = ACTIONS(13560),
    [anon_sym_LF] = ACTIONS(13562),
    [anon_sym_in] = ACTIONS(13560),
    [anon_sym_LBRACE] = ACTIONS(13560),
    [anon_sym_DOLLAR] = ACTIONS(13560),
    [anon_sym_COLON_COLON] = ACTIONS(13560),
    [anon_sym_isa] = ACTIONS(13560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13560),
    [anon_sym_QMARK] = ACTIONS(13560),
    [anon_sym_AT] = ACTIONS(13560),
    [anon_sym_true] = ACTIONS(13560),
    [anon_sym_false] = ACTIONS(13560),
    [aux_sym_integer_literal_token1] = ACTIONS(13560),
    [aux_sym_integer_literal_token2] = ACTIONS(13560),
    [aux_sym_integer_literal_token3] = ACTIONS(13560),
    [aux_sym_integer_literal_token4] = ACTIONS(13560),
    [aux_sym_float_literal_token1] = ACTIONS(13560),
    [aux_sym_float_literal_token3] = ACTIONS(13560),
    [aux_sym_float_literal_token4] = ACTIONS(13560),
    [sym_character_literal] = ACTIONS(13560),
    [sym__pair_operator] = ACTIONS(13560),
    [sym__arrow_operator] = ACTIONS(13560),
    [sym__lazy_or_operator] = ACTIONS(13560),
    [sym__lazy_and_operator] = ACTIONS(13560),
    [sym__comparison_operator] = ACTIONS(13560),
    [sym__pipe_right_operator] = ACTIONS(13560),
    [sym__pipe_left_operator] = ACTIONS(13560),
    [sym__ellipsis_operator] = ACTIONS(13560),
    [sym__plus_operator] = ACTIONS(13560),
    [sym__times_operator] = ACTIONS(13560),
    [sym__rational_operator] = ACTIONS(13560),
    [sym__bitshift_operator] = ACTIONS(13560),
    [sym__power_operator] = ACTIONS(13560),
    [sym__tilde_operator] = ACTIONS(13560),
    [sym__type_order_operator] = ACTIONS(13560),
    [sym__unary_operator] = ACTIONS(13560),
    [sym__unary_plus_operator] = ACTIONS(13560),
    [aux_sym__terminator_token1] = ACTIONS(13560),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13562),
    [sym__command_start] = ACTIONS(13562),
  },
  [9007] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_finally] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9008] = {
    [sym__word_identifier] = ACTIONS(13772),
    [anon_sym_EQ] = ACTIONS(13772),
    [anon_sym_COMMA] = ACTIONS(13772),
    [anon_sym_COLON] = ACTIONS(13772),
    [anon_sym_begin] = ACTIONS(13772),
    [anon_sym_module] = ACTIONS(13772),
    [anon_sym_baremodule] = ACTIONS(13772),
    [anon_sym_end] = ACTIONS(13772),
    [anon_sym_abstract] = ACTIONS(13772),
    [anon_sym_primitive] = ACTIONS(13772),
    [anon_sym_mutable] = ACTIONS(13772),
    [anon_sym_struct] = ACTIONS(13772),
    [anon_sym_function] = ACTIONS(13772),
    [anon_sym_macro] = ACTIONS(13772),
    [anon_sym_where] = ACTIONS(13772),
    [anon_sym_quote] = ACTIONS(13772),
    [anon_sym_let] = ACTIONS(13772),
    [anon_sym_if] = ACTIONS(13772),
    [anon_sym_try] = ACTIONS(13772),
    [anon_sym_for] = ACTIONS(13772),
    [anon_sym_while] = ACTIONS(13772),
    [sym_break_statement] = ACTIONS(13772),
    [sym_continue_statement] = ACTIONS(13772),
    [anon_sym_return] = ACTIONS(13772),
    [anon_sym_const] = ACTIONS(13772),
    [anon_sym_global] = ACTIONS(13772),
    [anon_sym_local] = ACTIONS(13772),
    [anon_sym_LPAREN] = ACTIONS(13772),
    [anon_sym_COLON2] = ACTIONS(13772),
    [anon_sym_export] = ACTIONS(13772),
    [anon_sym_import] = ACTIONS(13772),
    [anon_sym_using] = ACTIONS(13772),
    [anon_sym_LBRACK] = ACTIONS(13772),
    [anon_sym_LF] = ACTIONS(13774),
    [anon_sym_in] = ACTIONS(13772),
    [anon_sym_LBRACE] = ACTIONS(13772),
    [anon_sym_DOLLAR] = ACTIONS(13772),
    [anon_sym_COLON_COLON] = ACTIONS(13772),
    [anon_sym_isa] = ACTIONS(13772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13772),
    [anon_sym_QMARK] = ACTIONS(13772),
    [anon_sym_AT] = ACTIONS(13772),
    [anon_sym_true] = ACTIONS(13772),
    [anon_sym_false] = ACTIONS(13772),
    [aux_sym_integer_literal_token1] = ACTIONS(13772),
    [aux_sym_integer_literal_token2] = ACTIONS(13772),
    [aux_sym_integer_literal_token3] = ACTIONS(13772),
    [aux_sym_integer_literal_token4] = ACTIONS(13772),
    [aux_sym_float_literal_token1] = ACTIONS(13772),
    [aux_sym_float_literal_token3] = ACTIONS(13772),
    [aux_sym_float_literal_token4] = ACTIONS(13772),
    [sym_character_literal] = ACTIONS(13772),
    [sym__pair_operator] = ACTIONS(13772),
    [sym__arrow_operator] = ACTIONS(13772),
    [sym__lazy_or_operator] = ACTIONS(13772),
    [sym__lazy_and_operator] = ACTIONS(13772),
    [sym__comparison_operator] = ACTIONS(13772),
    [sym__pipe_right_operator] = ACTIONS(13772),
    [sym__pipe_left_operator] = ACTIONS(13772),
    [sym__ellipsis_operator] = ACTIONS(13772),
    [sym__plus_operator] = ACTIONS(13772),
    [sym__times_operator] = ACTIONS(13772),
    [sym__rational_operator] = ACTIONS(13772),
    [sym__bitshift_operator] = ACTIONS(13772),
    [sym__power_operator] = ACTIONS(13772),
    [sym__tilde_operator] = ACTIONS(13772),
    [sym__type_order_operator] = ACTIONS(13772),
    [sym__unary_operator] = ACTIONS(13772),
    [sym__unary_plus_operator] = ACTIONS(13772),
    [aux_sym__terminator_token1] = ACTIONS(13772),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13774),
    [sym__command_start] = ACTIONS(13774),
  },
  [9009] = {
    [sym__word_identifier] = ACTIONS(13412),
    [anon_sym_EQ] = ACTIONS(13412),
    [anon_sym_COMMA] = ACTIONS(13412),
    [anon_sym_COLON] = ACTIONS(13412),
    [anon_sym_begin] = ACTIONS(13412),
    [anon_sym_module] = ACTIONS(13412),
    [anon_sym_baremodule] = ACTIONS(13412),
    [anon_sym_end] = ACTIONS(13412),
    [anon_sym_abstract] = ACTIONS(13412),
    [anon_sym_primitive] = ACTIONS(13412),
    [anon_sym_mutable] = ACTIONS(13412),
    [anon_sym_struct] = ACTIONS(13412),
    [anon_sym_function] = ACTIONS(13412),
    [anon_sym_macro] = ACTIONS(13412),
    [anon_sym_where] = ACTIONS(13412),
    [anon_sym_quote] = ACTIONS(13412),
    [anon_sym_let] = ACTIONS(13412),
    [anon_sym_if] = ACTIONS(13412),
    [anon_sym_try] = ACTIONS(13412),
    [anon_sym_for] = ACTIONS(13412),
    [anon_sym_while] = ACTIONS(13412),
    [sym_break_statement] = ACTIONS(13412),
    [sym_continue_statement] = ACTIONS(13412),
    [anon_sym_return] = ACTIONS(13412),
    [anon_sym_const] = ACTIONS(13412),
    [anon_sym_global] = ACTIONS(13412),
    [anon_sym_local] = ACTIONS(13412),
    [anon_sym_LPAREN] = ACTIONS(13412),
    [anon_sym_COLON2] = ACTIONS(13412),
    [anon_sym_export] = ACTIONS(13412),
    [anon_sym_import] = ACTIONS(13412),
    [anon_sym_using] = ACTIONS(13412),
    [anon_sym_LBRACK] = ACTIONS(13412),
    [anon_sym_LF] = ACTIONS(13414),
    [anon_sym_in] = ACTIONS(13412),
    [anon_sym_LBRACE] = ACTIONS(13412),
    [anon_sym_DOLLAR] = ACTIONS(13412),
    [anon_sym_COLON_COLON] = ACTIONS(13412),
    [anon_sym_isa] = ACTIONS(13412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13412),
    [anon_sym_QMARK] = ACTIONS(13412),
    [anon_sym_AT] = ACTIONS(13412),
    [anon_sym_true] = ACTIONS(13412),
    [anon_sym_false] = ACTIONS(13412),
    [aux_sym_integer_literal_token1] = ACTIONS(13412),
    [aux_sym_integer_literal_token2] = ACTIONS(13412),
    [aux_sym_integer_literal_token3] = ACTIONS(13412),
    [aux_sym_integer_literal_token4] = ACTIONS(13412),
    [aux_sym_float_literal_token1] = ACTIONS(13412),
    [aux_sym_float_literal_token3] = ACTIONS(13412),
    [aux_sym_float_literal_token4] = ACTIONS(13412),
    [sym_character_literal] = ACTIONS(13412),
    [sym__pair_operator] = ACTIONS(13412),
    [sym__arrow_operator] = ACTIONS(13412),
    [sym__lazy_or_operator] = ACTIONS(13412),
    [sym__lazy_and_operator] = ACTIONS(13412),
    [sym__comparison_operator] = ACTIONS(13412),
    [sym__pipe_right_operator] = ACTIONS(13412),
    [sym__pipe_left_operator] = ACTIONS(13412),
    [sym__ellipsis_operator] = ACTIONS(13412),
    [sym__plus_operator] = ACTIONS(13412),
    [sym__times_operator] = ACTIONS(13412),
    [sym__rational_operator] = ACTIONS(13412),
    [sym__bitshift_operator] = ACTIONS(13412),
    [sym__power_operator] = ACTIONS(13412),
    [sym__tilde_operator] = ACTIONS(13412),
    [sym__type_order_operator] = ACTIONS(13412),
    [sym__unary_operator] = ACTIONS(13412),
    [sym__unary_plus_operator] = ACTIONS(13412),
    [aux_sym__terminator_token1] = ACTIONS(13412),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13414),
    [sym__command_start] = ACTIONS(13414),
  },
  [9010] = {
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_EQ] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_end] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13238),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13238),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13238),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13238),
    [anon_sym_isa] = ACTIONS(13238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13238),
    [anon_sym_QMARK] = ACTIONS(13238),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13238),
    [sym__arrow_operator] = ACTIONS(13238),
    [sym__lazy_or_operator] = ACTIONS(13238),
    [sym__lazy_and_operator] = ACTIONS(13238),
    [sym__comparison_operator] = ACTIONS(13238),
    [sym__pipe_right_operator] = ACTIONS(13238),
    [sym__pipe_left_operator] = ACTIONS(13238),
    [sym__ellipsis_operator] = ACTIONS(13238),
    [sym__plus_operator] = ACTIONS(13238),
    [sym__times_operator] = ACTIONS(13238),
    [sym__rational_operator] = ACTIONS(13238),
    [sym__bitshift_operator] = ACTIONS(13238),
    [sym__power_operator] = ACTIONS(13238),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13238),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13238),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [9011] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12222),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9012] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_DASH_GT] = ACTIONS(12384),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9013] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_RPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14780),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [9014] = {
    [sym__word_identifier] = ACTIONS(13540),
    [anon_sym_EQ] = ACTIONS(13540),
    [anon_sym_COMMA] = ACTIONS(13540),
    [anon_sym_COLON] = ACTIONS(13540),
    [anon_sym_begin] = ACTIONS(13540),
    [anon_sym_module] = ACTIONS(13540),
    [anon_sym_baremodule] = ACTIONS(13540),
    [anon_sym_end] = ACTIONS(13540),
    [anon_sym_abstract] = ACTIONS(13540),
    [anon_sym_primitive] = ACTIONS(13540),
    [anon_sym_mutable] = ACTIONS(13540),
    [anon_sym_struct] = ACTIONS(13540),
    [anon_sym_function] = ACTIONS(13540),
    [anon_sym_macro] = ACTIONS(13540),
    [anon_sym_where] = ACTIONS(13540),
    [anon_sym_quote] = ACTIONS(13540),
    [anon_sym_let] = ACTIONS(13540),
    [anon_sym_if] = ACTIONS(13540),
    [anon_sym_try] = ACTIONS(13540),
    [anon_sym_for] = ACTIONS(13540),
    [anon_sym_while] = ACTIONS(13540),
    [sym_break_statement] = ACTIONS(13540),
    [sym_continue_statement] = ACTIONS(13540),
    [anon_sym_return] = ACTIONS(13540),
    [anon_sym_const] = ACTIONS(13540),
    [anon_sym_global] = ACTIONS(13540),
    [anon_sym_local] = ACTIONS(13540),
    [anon_sym_LPAREN] = ACTIONS(13540),
    [anon_sym_COLON2] = ACTIONS(13540),
    [anon_sym_export] = ACTIONS(13540),
    [anon_sym_import] = ACTIONS(13540),
    [anon_sym_using] = ACTIONS(13540),
    [anon_sym_LBRACK] = ACTIONS(13540),
    [anon_sym_LF] = ACTIONS(13542),
    [anon_sym_in] = ACTIONS(13540),
    [anon_sym_LBRACE] = ACTIONS(13540),
    [anon_sym_DOLLAR] = ACTIONS(13540),
    [anon_sym_COLON_COLON] = ACTIONS(13540),
    [anon_sym_isa] = ACTIONS(13540),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13540),
    [anon_sym_QMARK] = ACTIONS(13540),
    [anon_sym_AT] = ACTIONS(13540),
    [anon_sym_true] = ACTIONS(13540),
    [anon_sym_false] = ACTIONS(13540),
    [aux_sym_integer_literal_token1] = ACTIONS(13540),
    [aux_sym_integer_literal_token2] = ACTIONS(13540),
    [aux_sym_integer_literal_token3] = ACTIONS(13540),
    [aux_sym_integer_literal_token4] = ACTIONS(13540),
    [aux_sym_float_literal_token1] = ACTIONS(13540),
    [aux_sym_float_literal_token3] = ACTIONS(13540),
    [aux_sym_float_literal_token4] = ACTIONS(13540),
    [sym_character_literal] = ACTIONS(13540),
    [sym__pair_operator] = ACTIONS(13540),
    [sym__arrow_operator] = ACTIONS(13540),
    [sym__lazy_or_operator] = ACTIONS(13540),
    [sym__lazy_and_operator] = ACTIONS(13540),
    [sym__comparison_operator] = ACTIONS(13540),
    [sym__pipe_right_operator] = ACTIONS(13540),
    [sym__pipe_left_operator] = ACTIONS(13540),
    [sym__ellipsis_operator] = ACTIONS(13540),
    [sym__plus_operator] = ACTIONS(13540),
    [sym__times_operator] = ACTIONS(13540),
    [sym__rational_operator] = ACTIONS(13540),
    [sym__bitshift_operator] = ACTIONS(13540),
    [sym__power_operator] = ACTIONS(13540),
    [sym__tilde_operator] = ACTIONS(13540),
    [sym__type_order_operator] = ACTIONS(13540),
    [sym__unary_operator] = ACTIONS(13540),
    [sym__unary_plus_operator] = ACTIONS(13540),
    [aux_sym__terminator_token1] = ACTIONS(13540),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13542),
    [sym__command_start] = ACTIONS(13542),
  },
  [9015] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9016] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_RPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_SEMI] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [9017] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_elseif] = ACTIONS(13969),
    [anon_sym_else] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(14908),
    [sym__arrow_operator] = ACTIONS(14824),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1211),
    [sym__pipe_right_operator] = ACTIONS(14826),
    [sym__pipe_left_operator] = ACTIONS(14828),
    [sym__ellipsis_operator] = ACTIONS(14830),
    [sym__plus_operator] = ACTIONS(14832),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(1211),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14832),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9018] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9019] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12118),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9020] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(13390),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9021] = {
    [sym__word_identifier] = ACTIONS(13698),
    [anon_sym_EQ] = ACTIONS(13698),
    [anon_sym_COMMA] = ACTIONS(13698),
    [anon_sym_COLON] = ACTIONS(13698),
    [anon_sym_begin] = ACTIONS(13698),
    [anon_sym_module] = ACTIONS(13698),
    [anon_sym_baremodule] = ACTIONS(13698),
    [anon_sym_end] = ACTIONS(13698),
    [anon_sym_abstract] = ACTIONS(13698),
    [anon_sym_primitive] = ACTIONS(13698),
    [anon_sym_mutable] = ACTIONS(13698),
    [anon_sym_struct] = ACTIONS(13698),
    [anon_sym_function] = ACTIONS(13698),
    [anon_sym_macro] = ACTIONS(13698),
    [anon_sym_where] = ACTIONS(13698),
    [anon_sym_quote] = ACTIONS(13698),
    [anon_sym_let] = ACTIONS(13698),
    [anon_sym_if] = ACTIONS(13698),
    [anon_sym_try] = ACTIONS(13698),
    [anon_sym_for] = ACTIONS(13698),
    [anon_sym_while] = ACTIONS(13698),
    [sym_break_statement] = ACTIONS(13698),
    [sym_continue_statement] = ACTIONS(13698),
    [anon_sym_return] = ACTIONS(13698),
    [anon_sym_const] = ACTIONS(13698),
    [anon_sym_global] = ACTIONS(13698),
    [anon_sym_local] = ACTIONS(13698),
    [anon_sym_LPAREN] = ACTIONS(13698),
    [anon_sym_COLON2] = ACTIONS(13698),
    [anon_sym_export] = ACTIONS(13698),
    [anon_sym_import] = ACTIONS(13698),
    [anon_sym_using] = ACTIONS(13698),
    [anon_sym_LBRACK] = ACTIONS(13698),
    [anon_sym_LF] = ACTIONS(13700),
    [anon_sym_in] = ACTIONS(13698),
    [anon_sym_LBRACE] = ACTIONS(13698),
    [anon_sym_DOLLAR] = ACTIONS(13698),
    [anon_sym_COLON_COLON] = ACTIONS(13698),
    [anon_sym_isa] = ACTIONS(13698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13698),
    [anon_sym_QMARK] = ACTIONS(13698),
    [anon_sym_AT] = ACTIONS(13698),
    [anon_sym_true] = ACTIONS(13698),
    [anon_sym_false] = ACTIONS(13698),
    [aux_sym_integer_literal_token1] = ACTIONS(13698),
    [aux_sym_integer_literal_token2] = ACTIONS(13698),
    [aux_sym_integer_literal_token3] = ACTIONS(13698),
    [aux_sym_integer_literal_token4] = ACTIONS(13698),
    [aux_sym_float_literal_token1] = ACTIONS(13698),
    [aux_sym_float_literal_token3] = ACTIONS(13698),
    [aux_sym_float_literal_token4] = ACTIONS(13698),
    [sym_character_literal] = ACTIONS(13698),
    [sym__pair_operator] = ACTIONS(13698),
    [sym__arrow_operator] = ACTIONS(13698),
    [sym__lazy_or_operator] = ACTIONS(13698),
    [sym__lazy_and_operator] = ACTIONS(13698),
    [sym__comparison_operator] = ACTIONS(13698),
    [sym__pipe_right_operator] = ACTIONS(13698),
    [sym__pipe_left_operator] = ACTIONS(13698),
    [sym__ellipsis_operator] = ACTIONS(13698),
    [sym__plus_operator] = ACTIONS(13698),
    [sym__times_operator] = ACTIONS(13698),
    [sym__rational_operator] = ACTIONS(13698),
    [sym__bitshift_operator] = ACTIONS(13698),
    [sym__power_operator] = ACTIONS(13698),
    [sym__tilde_operator] = ACTIONS(13698),
    [sym__type_order_operator] = ACTIONS(13698),
    [sym__unary_operator] = ACTIONS(13698),
    [sym__unary_plus_operator] = ACTIONS(13698),
    [aux_sym__terminator_token1] = ACTIONS(13698),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13700),
    [sym__command_start] = ACTIONS(13700),
  },
  [9022] = {
    [sym__word_identifier] = ACTIONS(13953),
    [anon_sym_EQ] = ACTIONS(13953),
    [anon_sym_COMMA] = ACTIONS(13953),
    [anon_sym_COLON] = ACTIONS(13953),
    [anon_sym_begin] = ACTIONS(13953),
    [anon_sym_module] = ACTIONS(13953),
    [anon_sym_baremodule] = ACTIONS(13953),
    [anon_sym_end] = ACTIONS(13953),
    [anon_sym_abstract] = ACTIONS(13953),
    [anon_sym_primitive] = ACTIONS(13953),
    [anon_sym_mutable] = ACTIONS(13953),
    [anon_sym_struct] = ACTIONS(13953),
    [anon_sym_function] = ACTIONS(13953),
    [anon_sym_macro] = ACTIONS(13953),
    [anon_sym_where] = ACTIONS(13953),
    [anon_sym_quote] = ACTIONS(13953),
    [anon_sym_let] = ACTIONS(13953),
    [anon_sym_if] = ACTIONS(13953),
    [anon_sym_try] = ACTIONS(13953),
    [anon_sym_for] = ACTIONS(13953),
    [anon_sym_while] = ACTIONS(13953),
    [sym_break_statement] = ACTIONS(13953),
    [sym_continue_statement] = ACTIONS(13953),
    [anon_sym_return] = ACTIONS(13953),
    [anon_sym_const] = ACTIONS(13953),
    [anon_sym_global] = ACTIONS(13953),
    [anon_sym_local] = ACTIONS(13953),
    [anon_sym_LPAREN] = ACTIONS(13953),
    [anon_sym_COLON2] = ACTIONS(13953),
    [anon_sym_export] = ACTIONS(13953),
    [anon_sym_import] = ACTIONS(13953),
    [anon_sym_using] = ACTIONS(13953),
    [anon_sym_LBRACK] = ACTIONS(13953),
    [anon_sym_LF] = ACTIONS(13955),
    [anon_sym_in] = ACTIONS(13953),
    [anon_sym_LBRACE] = ACTIONS(13953),
    [anon_sym_DOLLAR] = ACTIONS(13953),
    [anon_sym_COLON_COLON] = ACTIONS(13953),
    [anon_sym_isa] = ACTIONS(13953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13953),
    [anon_sym_QMARK] = ACTIONS(13953),
    [anon_sym_AT] = ACTIONS(13953),
    [anon_sym_true] = ACTIONS(13953),
    [anon_sym_false] = ACTIONS(13953),
    [aux_sym_integer_literal_token1] = ACTIONS(13953),
    [aux_sym_integer_literal_token2] = ACTIONS(13953),
    [aux_sym_integer_literal_token3] = ACTIONS(13953),
    [aux_sym_integer_literal_token4] = ACTIONS(13953),
    [aux_sym_float_literal_token1] = ACTIONS(13953),
    [aux_sym_float_literal_token3] = ACTIONS(13953),
    [aux_sym_float_literal_token4] = ACTIONS(13953),
    [sym_character_literal] = ACTIONS(13953),
    [sym__pair_operator] = ACTIONS(13953),
    [sym__arrow_operator] = ACTIONS(13953),
    [sym__lazy_or_operator] = ACTIONS(13953),
    [sym__lazy_and_operator] = ACTIONS(13953),
    [sym__comparison_operator] = ACTIONS(13953),
    [sym__pipe_right_operator] = ACTIONS(13953),
    [sym__pipe_left_operator] = ACTIONS(13953),
    [sym__ellipsis_operator] = ACTIONS(13953),
    [sym__plus_operator] = ACTIONS(13953),
    [sym__times_operator] = ACTIONS(13953),
    [sym__rational_operator] = ACTIONS(13953),
    [sym__bitshift_operator] = ACTIONS(13953),
    [sym__power_operator] = ACTIONS(13953),
    [sym__tilde_operator] = ACTIONS(13953),
    [sym__type_order_operator] = ACTIONS(13953),
    [sym__unary_operator] = ACTIONS(13953),
    [sym__unary_plus_operator] = ACTIONS(13953),
    [aux_sym__terminator_token1] = ACTIONS(13953),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13955),
    [sym__command_start] = ACTIONS(13955),
  },
  [9023] = {
    [sym__word_identifier] = ACTIONS(13808),
    [anon_sym_EQ] = ACTIONS(13808),
    [anon_sym_COMMA] = ACTIONS(13808),
    [anon_sym_COLON] = ACTIONS(13808),
    [anon_sym_begin] = ACTIONS(13808),
    [anon_sym_module] = ACTIONS(13808),
    [anon_sym_baremodule] = ACTIONS(13808),
    [anon_sym_end] = ACTIONS(13808),
    [anon_sym_abstract] = ACTIONS(13808),
    [anon_sym_primitive] = ACTIONS(13808),
    [anon_sym_mutable] = ACTIONS(13808),
    [anon_sym_struct] = ACTIONS(13808),
    [anon_sym_function] = ACTIONS(13808),
    [anon_sym_macro] = ACTIONS(13808),
    [anon_sym_where] = ACTIONS(13808),
    [anon_sym_quote] = ACTIONS(13808),
    [anon_sym_let] = ACTIONS(13808),
    [anon_sym_if] = ACTIONS(13808),
    [anon_sym_try] = ACTIONS(13808),
    [anon_sym_for] = ACTIONS(13808),
    [anon_sym_while] = ACTIONS(13808),
    [sym_break_statement] = ACTIONS(13808),
    [sym_continue_statement] = ACTIONS(13808),
    [anon_sym_return] = ACTIONS(13808),
    [anon_sym_const] = ACTIONS(13808),
    [anon_sym_global] = ACTIONS(13808),
    [anon_sym_local] = ACTIONS(13808),
    [anon_sym_LPAREN] = ACTIONS(13808),
    [anon_sym_COLON2] = ACTIONS(13808),
    [anon_sym_export] = ACTIONS(13808),
    [anon_sym_import] = ACTIONS(13808),
    [anon_sym_using] = ACTIONS(13808),
    [anon_sym_LBRACK] = ACTIONS(13808),
    [anon_sym_LF] = ACTIONS(13810),
    [anon_sym_in] = ACTIONS(13808),
    [anon_sym_LBRACE] = ACTIONS(13808),
    [anon_sym_DOLLAR] = ACTIONS(13808),
    [anon_sym_COLON_COLON] = ACTIONS(13808),
    [anon_sym_isa] = ACTIONS(13808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13808),
    [anon_sym_QMARK] = ACTIONS(13808),
    [anon_sym_AT] = ACTIONS(13808),
    [anon_sym_true] = ACTIONS(13808),
    [anon_sym_false] = ACTIONS(13808),
    [aux_sym_integer_literal_token1] = ACTIONS(13808),
    [aux_sym_integer_literal_token2] = ACTIONS(13808),
    [aux_sym_integer_literal_token3] = ACTIONS(13808),
    [aux_sym_integer_literal_token4] = ACTIONS(13808),
    [aux_sym_float_literal_token1] = ACTIONS(13808),
    [aux_sym_float_literal_token3] = ACTIONS(13808),
    [aux_sym_float_literal_token4] = ACTIONS(13808),
    [sym_character_literal] = ACTIONS(13808),
    [sym__pair_operator] = ACTIONS(13808),
    [sym__arrow_operator] = ACTIONS(13808),
    [sym__lazy_or_operator] = ACTIONS(13808),
    [sym__lazy_and_operator] = ACTIONS(13808),
    [sym__comparison_operator] = ACTIONS(13808),
    [sym__pipe_right_operator] = ACTIONS(13808),
    [sym__pipe_left_operator] = ACTIONS(13808),
    [sym__ellipsis_operator] = ACTIONS(13808),
    [sym__plus_operator] = ACTIONS(13808),
    [sym__times_operator] = ACTIONS(13808),
    [sym__rational_operator] = ACTIONS(13808),
    [sym__bitshift_operator] = ACTIONS(13808),
    [sym__power_operator] = ACTIONS(13808),
    [sym__tilde_operator] = ACTIONS(13808),
    [sym__type_order_operator] = ACTIONS(13808),
    [sym__unary_operator] = ACTIONS(13808),
    [sym__unary_plus_operator] = ACTIONS(13808),
    [aux_sym__terminator_token1] = ACTIONS(13808),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13810),
    [sym__command_start] = ACTIONS(13810),
  },
  [9024] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_EQ] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13971),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13971),
    [anon_sym_RPAREN] = ACTIONS(13971),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13971),
    [anon_sym_RBRACK] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13971),
    [anon_sym_RBRACE] = ACTIONS(13971),
    [anon_sym_DOLLAR] = ACTIONS(13971),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14679),
    [anon_sym_AT] = ACTIONS(13971),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13971),
    [aux_sym_integer_literal_token2] = ACTIONS(13971),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13971),
    [aux_sym_float_literal_token3] = ACTIONS(13971),
    [aux_sym_float_literal_token4] = ACTIONS(13971),
    [sym_character_literal] = ACTIONS(13971),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13971),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9025] = {
    [sym__word_identifier] = ACTIONS(13538),
    [anon_sym_EQ] = ACTIONS(13538),
    [anon_sym_COMMA] = ACTIONS(13538),
    [anon_sym_COLON] = ACTIONS(13538),
    [anon_sym_begin] = ACTIONS(13538),
    [anon_sym_module] = ACTIONS(13538),
    [anon_sym_baremodule] = ACTIONS(13538),
    [anon_sym_end] = ACTIONS(13538),
    [anon_sym_abstract] = ACTIONS(13538),
    [anon_sym_primitive] = ACTIONS(13538),
    [anon_sym_mutable] = ACTIONS(13538),
    [anon_sym_struct] = ACTIONS(13538),
    [anon_sym_function] = ACTIONS(13538),
    [anon_sym_macro] = ACTIONS(13538),
    [anon_sym_where] = ACTIONS(13538),
    [anon_sym_quote] = ACTIONS(13538),
    [anon_sym_let] = ACTIONS(13538),
    [anon_sym_if] = ACTIONS(13538),
    [anon_sym_try] = ACTIONS(13538),
    [anon_sym_for] = ACTIONS(13538),
    [anon_sym_while] = ACTIONS(13538),
    [sym_break_statement] = ACTIONS(13538),
    [sym_continue_statement] = ACTIONS(13538),
    [anon_sym_return] = ACTIONS(13538),
    [anon_sym_const] = ACTIONS(13538),
    [anon_sym_global] = ACTIONS(13538),
    [anon_sym_local] = ACTIONS(13538),
    [anon_sym_LPAREN] = ACTIONS(13538),
    [anon_sym_COLON2] = ACTIONS(13538),
    [anon_sym_export] = ACTIONS(13538),
    [anon_sym_import] = ACTIONS(13538),
    [anon_sym_using] = ACTIONS(13538),
    [anon_sym_LBRACK] = ACTIONS(13538),
    [anon_sym_LF] = ACTIONS(13536),
    [anon_sym_in] = ACTIONS(13538),
    [anon_sym_LBRACE] = ACTIONS(13538),
    [anon_sym_DOLLAR] = ACTIONS(13538),
    [anon_sym_COLON_COLON] = ACTIONS(13538),
    [anon_sym_isa] = ACTIONS(13538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13538),
    [anon_sym_QMARK] = ACTIONS(13538),
    [anon_sym_AT] = ACTIONS(13538),
    [anon_sym_true] = ACTIONS(13538),
    [anon_sym_false] = ACTIONS(13538),
    [aux_sym_integer_literal_token1] = ACTIONS(13538),
    [aux_sym_integer_literal_token2] = ACTIONS(13538),
    [aux_sym_integer_literal_token3] = ACTIONS(13538),
    [aux_sym_integer_literal_token4] = ACTIONS(13538),
    [aux_sym_float_literal_token1] = ACTIONS(13538),
    [aux_sym_float_literal_token3] = ACTIONS(13538),
    [aux_sym_float_literal_token4] = ACTIONS(13538),
    [sym_character_literal] = ACTIONS(13538),
    [sym__pair_operator] = ACTIONS(13538),
    [sym__arrow_operator] = ACTIONS(13538),
    [sym__lazy_or_operator] = ACTIONS(13538),
    [sym__lazy_and_operator] = ACTIONS(13538),
    [sym__comparison_operator] = ACTIONS(13538),
    [sym__pipe_right_operator] = ACTIONS(13538),
    [sym__pipe_left_operator] = ACTIONS(13538),
    [sym__ellipsis_operator] = ACTIONS(13538),
    [sym__plus_operator] = ACTIONS(13538),
    [sym__times_operator] = ACTIONS(13538),
    [sym__rational_operator] = ACTIONS(13538),
    [sym__bitshift_operator] = ACTIONS(13538),
    [sym__power_operator] = ACTIONS(13538),
    [sym__tilde_operator] = ACTIONS(13538),
    [sym__type_order_operator] = ACTIONS(13538),
    [sym__unary_operator] = ACTIONS(13538),
    [sym__unary_plus_operator] = ACTIONS(13538),
    [aux_sym__terminator_token1] = ACTIONS(13538),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13536),
    [sym__command_start] = ACTIONS(13536),
  },
  [9026] = {
    [sym__word_identifier] = ACTIONS(13566),
    [anon_sym_EQ] = ACTIONS(13566),
    [anon_sym_COMMA] = ACTIONS(13566),
    [anon_sym_COLON] = ACTIONS(13566),
    [anon_sym_begin] = ACTIONS(13566),
    [anon_sym_module] = ACTIONS(13566),
    [anon_sym_baremodule] = ACTIONS(13566),
    [anon_sym_end] = ACTIONS(13566),
    [anon_sym_abstract] = ACTIONS(13566),
    [anon_sym_primitive] = ACTIONS(13566),
    [anon_sym_mutable] = ACTIONS(13566),
    [anon_sym_struct] = ACTIONS(13566),
    [anon_sym_function] = ACTIONS(13566),
    [anon_sym_macro] = ACTIONS(13566),
    [anon_sym_where] = ACTIONS(13566),
    [anon_sym_quote] = ACTIONS(13566),
    [anon_sym_let] = ACTIONS(13566),
    [anon_sym_if] = ACTIONS(13566),
    [anon_sym_try] = ACTIONS(13566),
    [anon_sym_for] = ACTIONS(13566),
    [anon_sym_while] = ACTIONS(13566),
    [sym_break_statement] = ACTIONS(13566),
    [sym_continue_statement] = ACTIONS(13566),
    [anon_sym_return] = ACTIONS(13566),
    [anon_sym_const] = ACTIONS(13566),
    [anon_sym_global] = ACTIONS(13566),
    [anon_sym_local] = ACTIONS(13566),
    [anon_sym_LPAREN] = ACTIONS(13566),
    [anon_sym_COLON2] = ACTIONS(13566),
    [anon_sym_export] = ACTIONS(13566),
    [anon_sym_import] = ACTIONS(13566),
    [anon_sym_using] = ACTIONS(13566),
    [anon_sym_LBRACK] = ACTIONS(13566),
    [anon_sym_LF] = ACTIONS(13564),
    [anon_sym_in] = ACTIONS(13566),
    [anon_sym_LBRACE] = ACTIONS(13566),
    [anon_sym_DOLLAR] = ACTIONS(13566),
    [anon_sym_COLON_COLON] = ACTIONS(13566),
    [anon_sym_isa] = ACTIONS(13566),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13566),
    [anon_sym_QMARK] = ACTIONS(13566),
    [anon_sym_AT] = ACTIONS(13566),
    [anon_sym_true] = ACTIONS(13566),
    [anon_sym_false] = ACTIONS(13566),
    [aux_sym_integer_literal_token1] = ACTIONS(13566),
    [aux_sym_integer_literal_token2] = ACTIONS(13566),
    [aux_sym_integer_literal_token3] = ACTIONS(13566),
    [aux_sym_integer_literal_token4] = ACTIONS(13566),
    [aux_sym_float_literal_token1] = ACTIONS(13566),
    [aux_sym_float_literal_token3] = ACTIONS(13566),
    [aux_sym_float_literal_token4] = ACTIONS(13566),
    [sym_character_literal] = ACTIONS(13566),
    [sym__pair_operator] = ACTIONS(13566),
    [sym__arrow_operator] = ACTIONS(13566),
    [sym__lazy_or_operator] = ACTIONS(13566),
    [sym__lazy_and_operator] = ACTIONS(13566),
    [sym__comparison_operator] = ACTIONS(13566),
    [sym__pipe_right_operator] = ACTIONS(13566),
    [sym__pipe_left_operator] = ACTIONS(13566),
    [sym__ellipsis_operator] = ACTIONS(13566),
    [sym__plus_operator] = ACTIONS(13566),
    [sym__times_operator] = ACTIONS(13566),
    [sym__rational_operator] = ACTIONS(13566),
    [sym__bitshift_operator] = ACTIONS(13566),
    [sym__power_operator] = ACTIONS(13566),
    [sym__tilde_operator] = ACTIONS(13566),
    [sym__type_order_operator] = ACTIONS(13566),
    [sym__unary_operator] = ACTIONS(13566),
    [sym__unary_plus_operator] = ACTIONS(13566),
    [aux_sym__terminator_token1] = ACTIONS(13566),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13564),
    [sym__command_start] = ACTIONS(13564),
  },
  [9027] = {
    [sym__word_identifier] = ACTIONS(13408),
    [anon_sym_EQ] = ACTIONS(13408),
    [anon_sym_COMMA] = ACTIONS(13408),
    [anon_sym_COLON] = ACTIONS(13408),
    [anon_sym_begin] = ACTIONS(13408),
    [anon_sym_module] = ACTIONS(13408),
    [anon_sym_baremodule] = ACTIONS(13408),
    [anon_sym_end] = ACTIONS(13408),
    [anon_sym_abstract] = ACTIONS(13408),
    [anon_sym_primitive] = ACTIONS(13408),
    [anon_sym_mutable] = ACTIONS(13408),
    [anon_sym_struct] = ACTIONS(13408),
    [anon_sym_function] = ACTIONS(13408),
    [anon_sym_macro] = ACTIONS(13408),
    [anon_sym_where] = ACTIONS(13408),
    [anon_sym_quote] = ACTIONS(13408),
    [anon_sym_let] = ACTIONS(13408),
    [anon_sym_if] = ACTIONS(13408),
    [anon_sym_try] = ACTIONS(13408),
    [anon_sym_for] = ACTIONS(13408),
    [anon_sym_while] = ACTIONS(13408),
    [sym_break_statement] = ACTIONS(13408),
    [sym_continue_statement] = ACTIONS(13408),
    [anon_sym_return] = ACTIONS(13408),
    [anon_sym_const] = ACTIONS(13408),
    [anon_sym_global] = ACTIONS(13408),
    [anon_sym_local] = ACTIONS(13408),
    [anon_sym_LPAREN] = ACTIONS(13408),
    [anon_sym_COLON2] = ACTIONS(13408),
    [anon_sym_export] = ACTIONS(13408),
    [anon_sym_import] = ACTIONS(13408),
    [anon_sym_using] = ACTIONS(13408),
    [anon_sym_LBRACK] = ACTIONS(13408),
    [anon_sym_LF] = ACTIONS(13410),
    [anon_sym_in] = ACTIONS(13408),
    [anon_sym_LBRACE] = ACTIONS(13408),
    [anon_sym_DOLLAR] = ACTIONS(13408),
    [anon_sym_COLON_COLON] = ACTIONS(13408),
    [anon_sym_isa] = ACTIONS(13408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13408),
    [anon_sym_QMARK] = ACTIONS(13408),
    [anon_sym_AT] = ACTIONS(13408),
    [anon_sym_true] = ACTIONS(13408),
    [anon_sym_false] = ACTIONS(13408),
    [aux_sym_integer_literal_token1] = ACTIONS(13408),
    [aux_sym_integer_literal_token2] = ACTIONS(13408),
    [aux_sym_integer_literal_token3] = ACTIONS(13408),
    [aux_sym_integer_literal_token4] = ACTIONS(13408),
    [aux_sym_float_literal_token1] = ACTIONS(13408),
    [aux_sym_float_literal_token3] = ACTIONS(13408),
    [aux_sym_float_literal_token4] = ACTIONS(13408),
    [sym_character_literal] = ACTIONS(13408),
    [sym__pair_operator] = ACTIONS(13408),
    [sym__arrow_operator] = ACTIONS(13408),
    [sym__lazy_or_operator] = ACTIONS(13408),
    [sym__lazy_and_operator] = ACTIONS(13408),
    [sym__comparison_operator] = ACTIONS(13408),
    [sym__pipe_right_operator] = ACTIONS(13408),
    [sym__pipe_left_operator] = ACTIONS(13408),
    [sym__ellipsis_operator] = ACTIONS(13408),
    [sym__plus_operator] = ACTIONS(13408),
    [sym__times_operator] = ACTIONS(13408),
    [sym__rational_operator] = ACTIONS(13408),
    [sym__bitshift_operator] = ACTIONS(13408),
    [sym__power_operator] = ACTIONS(13408),
    [sym__tilde_operator] = ACTIONS(13408),
    [sym__type_order_operator] = ACTIONS(13408),
    [sym__unary_operator] = ACTIONS(13408),
    [sym__unary_plus_operator] = ACTIONS(13408),
    [aux_sym__terminator_token1] = ACTIONS(13408),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13410),
    [sym__command_start] = ACTIONS(13410),
  },
  [9028] = {
    [sym__word_identifier] = ACTIONS(13812),
    [anon_sym_EQ] = ACTIONS(13812),
    [anon_sym_COMMA] = ACTIONS(13812),
    [anon_sym_COLON] = ACTIONS(13812),
    [anon_sym_begin] = ACTIONS(13812),
    [anon_sym_module] = ACTIONS(13812),
    [anon_sym_baremodule] = ACTIONS(13812),
    [anon_sym_end] = ACTIONS(13812),
    [anon_sym_abstract] = ACTIONS(13812),
    [anon_sym_primitive] = ACTIONS(13812),
    [anon_sym_mutable] = ACTIONS(13812),
    [anon_sym_struct] = ACTIONS(13812),
    [anon_sym_function] = ACTIONS(13812),
    [anon_sym_macro] = ACTIONS(13812),
    [anon_sym_where] = ACTIONS(13812),
    [anon_sym_quote] = ACTIONS(13812),
    [anon_sym_let] = ACTIONS(13812),
    [anon_sym_if] = ACTIONS(13812),
    [anon_sym_try] = ACTIONS(13812),
    [anon_sym_for] = ACTIONS(13812),
    [anon_sym_while] = ACTIONS(13812),
    [sym_break_statement] = ACTIONS(13812),
    [sym_continue_statement] = ACTIONS(13812),
    [anon_sym_return] = ACTIONS(13812),
    [anon_sym_const] = ACTIONS(13812),
    [anon_sym_global] = ACTIONS(13812),
    [anon_sym_local] = ACTIONS(13812),
    [anon_sym_LPAREN] = ACTIONS(13812),
    [anon_sym_COLON2] = ACTIONS(13812),
    [anon_sym_export] = ACTIONS(13812),
    [anon_sym_import] = ACTIONS(13812),
    [anon_sym_using] = ACTIONS(13812),
    [anon_sym_LBRACK] = ACTIONS(13812),
    [anon_sym_LF] = ACTIONS(13814),
    [anon_sym_in] = ACTIONS(13812),
    [anon_sym_LBRACE] = ACTIONS(13812),
    [anon_sym_DOLLAR] = ACTIONS(13812),
    [anon_sym_COLON_COLON] = ACTIONS(13812),
    [anon_sym_isa] = ACTIONS(13812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13812),
    [anon_sym_QMARK] = ACTIONS(13812),
    [anon_sym_AT] = ACTIONS(13812),
    [anon_sym_true] = ACTIONS(13812),
    [anon_sym_false] = ACTIONS(13812),
    [aux_sym_integer_literal_token1] = ACTIONS(13812),
    [aux_sym_integer_literal_token2] = ACTIONS(13812),
    [aux_sym_integer_literal_token3] = ACTIONS(13812),
    [aux_sym_integer_literal_token4] = ACTIONS(13812),
    [aux_sym_float_literal_token1] = ACTIONS(13812),
    [aux_sym_float_literal_token3] = ACTIONS(13812),
    [aux_sym_float_literal_token4] = ACTIONS(13812),
    [sym_character_literal] = ACTIONS(13812),
    [sym__pair_operator] = ACTIONS(13812),
    [sym__arrow_operator] = ACTIONS(13812),
    [sym__lazy_or_operator] = ACTIONS(13812),
    [sym__lazy_and_operator] = ACTIONS(13812),
    [sym__comparison_operator] = ACTIONS(13812),
    [sym__pipe_right_operator] = ACTIONS(13812),
    [sym__pipe_left_operator] = ACTIONS(13812),
    [sym__ellipsis_operator] = ACTIONS(13812),
    [sym__plus_operator] = ACTIONS(13812),
    [sym__times_operator] = ACTIONS(13812),
    [sym__rational_operator] = ACTIONS(13812),
    [sym__bitshift_operator] = ACTIONS(13812),
    [sym__power_operator] = ACTIONS(13812),
    [sym__tilde_operator] = ACTIONS(13812),
    [sym__type_order_operator] = ACTIONS(13812),
    [sym__unary_operator] = ACTIONS(13812),
    [sym__unary_plus_operator] = ACTIONS(13812),
    [aux_sym__terminator_token1] = ACTIONS(13812),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13814),
    [sym__command_start] = ACTIONS(13814),
  },
  [9029] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(14898),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_catch] = ACTIONS(13969),
    [anon_sym_finally] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(14880),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(14882),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13444),
    [anon_sym_isa] = ACTIONS(14882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13446),
    [anon_sym_QMARK] = ACTIONS(14517),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(14900),
    [sym__arrow_operator] = ACTIONS(14902),
    [sym__lazy_or_operator] = ACTIONS(14904),
    [sym__lazy_and_operator] = ACTIONS(14906),
    [sym__comparison_operator] = ACTIONS(14882),
    [sym__pipe_right_operator] = ACTIONS(14884),
    [sym__pipe_left_operator] = ACTIONS(14886),
    [sym__ellipsis_operator] = ACTIONS(14888),
    [sym__plus_operator] = ACTIONS(14890),
    [sym__times_operator] = ACTIONS(14892),
    [sym__rational_operator] = ACTIONS(14894),
    [sym__bitshift_operator] = ACTIONS(14896),
    [sym__power_operator] = ACTIONS(14782),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(14882),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14890),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9030] = {
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_EQ] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13242),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_end] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13242),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13242),
    [anon_sym_isa] = ACTIONS(13242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13242),
    [anon_sym_QMARK] = ACTIONS(13242),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13242),
    [sym__lazy_or_operator] = ACTIONS(13242),
    [sym__lazy_and_operator] = ACTIONS(13242),
    [sym__comparison_operator] = ACTIONS(13242),
    [sym__pipe_right_operator] = ACTIONS(13242),
    [sym__pipe_left_operator] = ACTIONS(13242),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13242),
    [sym__times_operator] = ACTIONS(13242),
    [sym__rational_operator] = ACTIONS(13242),
    [sym__bitshift_operator] = ACTIONS(13242),
    [sym__power_operator] = ACTIONS(13242),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13242),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13242),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [9031] = {
    [sym__word_identifier] = ACTIONS(13656),
    [anon_sym_EQ] = ACTIONS(13656),
    [anon_sym_COMMA] = ACTIONS(13656),
    [anon_sym_COLON] = ACTIONS(13656),
    [anon_sym_begin] = ACTIONS(13656),
    [anon_sym_module] = ACTIONS(13656),
    [anon_sym_baremodule] = ACTIONS(13656),
    [anon_sym_end] = ACTIONS(13656),
    [anon_sym_abstract] = ACTIONS(13656),
    [anon_sym_primitive] = ACTIONS(13656),
    [anon_sym_mutable] = ACTIONS(13656),
    [anon_sym_struct] = ACTIONS(13656),
    [anon_sym_function] = ACTIONS(13656),
    [anon_sym_macro] = ACTIONS(13656),
    [anon_sym_where] = ACTIONS(13656),
    [anon_sym_quote] = ACTIONS(13656),
    [anon_sym_let] = ACTIONS(13656),
    [anon_sym_if] = ACTIONS(13656),
    [anon_sym_try] = ACTIONS(13656),
    [anon_sym_for] = ACTIONS(13656),
    [anon_sym_while] = ACTIONS(13656),
    [sym_break_statement] = ACTIONS(13656),
    [sym_continue_statement] = ACTIONS(13656),
    [anon_sym_return] = ACTIONS(13656),
    [anon_sym_const] = ACTIONS(13656),
    [anon_sym_global] = ACTIONS(13656),
    [anon_sym_local] = ACTIONS(13656),
    [anon_sym_LPAREN] = ACTIONS(13656),
    [anon_sym_COLON2] = ACTIONS(13656),
    [anon_sym_export] = ACTIONS(13656),
    [anon_sym_import] = ACTIONS(13656),
    [anon_sym_using] = ACTIONS(13656),
    [anon_sym_LBRACK] = ACTIONS(13656),
    [anon_sym_LF] = ACTIONS(13658),
    [anon_sym_in] = ACTIONS(13656),
    [anon_sym_LBRACE] = ACTIONS(13656),
    [anon_sym_DOLLAR] = ACTIONS(13656),
    [anon_sym_COLON_COLON] = ACTIONS(13656),
    [anon_sym_isa] = ACTIONS(13656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13656),
    [anon_sym_QMARK] = ACTIONS(13656),
    [anon_sym_AT] = ACTIONS(13656),
    [anon_sym_true] = ACTIONS(13656),
    [anon_sym_false] = ACTIONS(13656),
    [aux_sym_integer_literal_token1] = ACTIONS(13656),
    [aux_sym_integer_literal_token2] = ACTIONS(13656),
    [aux_sym_integer_literal_token3] = ACTIONS(13656),
    [aux_sym_integer_literal_token4] = ACTIONS(13656),
    [aux_sym_float_literal_token1] = ACTIONS(13656),
    [aux_sym_float_literal_token3] = ACTIONS(13656),
    [aux_sym_float_literal_token4] = ACTIONS(13656),
    [sym_character_literal] = ACTIONS(13656),
    [sym__pair_operator] = ACTIONS(13656),
    [sym__arrow_operator] = ACTIONS(13656),
    [sym__lazy_or_operator] = ACTIONS(13656),
    [sym__lazy_and_operator] = ACTIONS(13656),
    [sym__comparison_operator] = ACTIONS(13656),
    [sym__pipe_right_operator] = ACTIONS(13656),
    [sym__pipe_left_operator] = ACTIONS(13656),
    [sym__ellipsis_operator] = ACTIONS(13656),
    [sym__plus_operator] = ACTIONS(13656),
    [sym__times_operator] = ACTIONS(13656),
    [sym__rational_operator] = ACTIONS(13656),
    [sym__bitshift_operator] = ACTIONS(13656),
    [sym__power_operator] = ACTIONS(13656),
    [sym__tilde_operator] = ACTIONS(13656),
    [sym__type_order_operator] = ACTIONS(13656),
    [sym__unary_operator] = ACTIONS(13656),
    [sym__unary_plus_operator] = ACTIONS(13656),
    [aux_sym__terminator_token1] = ACTIONS(13656),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13658),
    [sym__command_start] = ACTIONS(13658),
  },
  [9032] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(14874),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [9033] = {
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12957),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12957),
    [anon_sym_RPAREN] = ACTIONS(12957),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12957),
    [anon_sym_LF] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(12957),
    [anon_sym_LBRACE] = ACTIONS(12957),
    [anon_sym_DOLLAR] = ACTIONS(12957),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14732),
    [anon_sym_AT] = ACTIONS(12957),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12957),
    [aux_sym_integer_literal_token2] = ACTIONS(12957),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12957),
    [aux_sym_float_literal_token3] = ACTIONS(12957),
    [aux_sym_float_literal_token4] = ACTIONS(12957),
    [sym_character_literal] = ACTIONS(12957),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(12957),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [9034] = {
    [sym__word_identifier] = ACTIONS(14246),
    [anon_sym_EQ] = ACTIONS(14246),
    [anon_sym_COMMA] = ACTIONS(14246),
    [anon_sym_COLON] = ACTIONS(14246),
    [anon_sym_begin] = ACTIONS(14246),
    [anon_sym_module] = ACTIONS(14246),
    [anon_sym_baremodule] = ACTIONS(14246),
    [anon_sym_end] = ACTIONS(14246),
    [anon_sym_abstract] = ACTIONS(14246),
    [anon_sym_primitive] = ACTIONS(14246),
    [anon_sym_mutable] = ACTIONS(14246),
    [anon_sym_struct] = ACTIONS(14246),
    [anon_sym_function] = ACTIONS(14246),
    [anon_sym_macro] = ACTIONS(14246),
    [anon_sym_where] = ACTIONS(14246),
    [anon_sym_quote] = ACTIONS(14246),
    [anon_sym_let] = ACTIONS(14246),
    [anon_sym_if] = ACTIONS(14246),
    [anon_sym_try] = ACTIONS(14246),
    [anon_sym_for] = ACTIONS(14246),
    [anon_sym_while] = ACTIONS(14246),
    [sym_break_statement] = ACTIONS(14246),
    [sym_continue_statement] = ACTIONS(14246),
    [anon_sym_return] = ACTIONS(14246),
    [anon_sym_const] = ACTIONS(14246),
    [anon_sym_global] = ACTIONS(14246),
    [anon_sym_local] = ACTIONS(14246),
    [anon_sym_LPAREN] = ACTIONS(14246),
    [anon_sym_COLON2] = ACTIONS(14246),
    [anon_sym_export] = ACTIONS(14246),
    [anon_sym_import] = ACTIONS(14246),
    [anon_sym_using] = ACTIONS(14246),
    [anon_sym_LBRACK] = ACTIONS(14246),
    [anon_sym_LF] = ACTIONS(14244),
    [anon_sym_in] = ACTIONS(14246),
    [anon_sym_LBRACE] = ACTIONS(14246),
    [anon_sym_DOLLAR] = ACTIONS(14246),
    [anon_sym_COLON_COLON] = ACTIONS(14246),
    [anon_sym_isa] = ACTIONS(14246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14246),
    [anon_sym_QMARK] = ACTIONS(14246),
    [anon_sym_AT] = ACTIONS(14246),
    [anon_sym_true] = ACTIONS(14246),
    [anon_sym_false] = ACTIONS(14246),
    [aux_sym_integer_literal_token1] = ACTIONS(14246),
    [aux_sym_integer_literal_token2] = ACTIONS(14246),
    [aux_sym_integer_literal_token3] = ACTIONS(14246),
    [aux_sym_integer_literal_token4] = ACTIONS(14246),
    [aux_sym_float_literal_token1] = ACTIONS(14246),
    [aux_sym_float_literal_token3] = ACTIONS(14246),
    [aux_sym_float_literal_token4] = ACTIONS(14246),
    [sym_character_literal] = ACTIONS(14246),
    [sym__pair_operator] = ACTIONS(14246),
    [sym__arrow_operator] = ACTIONS(14246),
    [sym__lazy_or_operator] = ACTIONS(14246),
    [sym__lazy_and_operator] = ACTIONS(14246),
    [sym__comparison_operator] = ACTIONS(14246),
    [sym__pipe_right_operator] = ACTIONS(14246),
    [sym__pipe_left_operator] = ACTIONS(14246),
    [sym__ellipsis_operator] = ACTIONS(14246),
    [sym__plus_operator] = ACTIONS(14246),
    [sym__times_operator] = ACTIONS(14246),
    [sym__rational_operator] = ACTIONS(14246),
    [sym__bitshift_operator] = ACTIONS(14246),
    [sym__power_operator] = ACTIONS(14246),
    [sym__tilde_operator] = ACTIONS(14246),
    [sym__type_order_operator] = ACTIONS(14246),
    [sym__unary_operator] = ACTIONS(14246),
    [sym__unary_plus_operator] = ACTIONS(14246),
    [aux_sym__terminator_token1] = ACTIONS(14246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14244),
    [sym__command_start] = ACTIONS(14244),
  },
  [9035] = {
    [sym__word_identifier] = ACTIONS(13660),
    [anon_sym_EQ] = ACTIONS(13660),
    [anon_sym_COMMA] = ACTIONS(13660),
    [anon_sym_COLON] = ACTIONS(13660),
    [anon_sym_begin] = ACTIONS(13660),
    [anon_sym_module] = ACTIONS(13660),
    [anon_sym_baremodule] = ACTIONS(13660),
    [anon_sym_end] = ACTIONS(13660),
    [anon_sym_abstract] = ACTIONS(13660),
    [anon_sym_primitive] = ACTIONS(13660),
    [anon_sym_mutable] = ACTIONS(13660),
    [anon_sym_struct] = ACTIONS(13660),
    [anon_sym_function] = ACTIONS(13660),
    [anon_sym_macro] = ACTIONS(13660),
    [anon_sym_where] = ACTIONS(13660),
    [anon_sym_quote] = ACTIONS(13660),
    [anon_sym_let] = ACTIONS(13660),
    [anon_sym_if] = ACTIONS(13660),
    [anon_sym_try] = ACTIONS(13660),
    [anon_sym_for] = ACTIONS(13660),
    [anon_sym_while] = ACTIONS(13660),
    [sym_break_statement] = ACTIONS(13660),
    [sym_continue_statement] = ACTIONS(13660),
    [anon_sym_return] = ACTIONS(13660),
    [anon_sym_const] = ACTIONS(13660),
    [anon_sym_global] = ACTIONS(13660),
    [anon_sym_local] = ACTIONS(13660),
    [anon_sym_LPAREN] = ACTIONS(13660),
    [anon_sym_COLON2] = ACTIONS(13660),
    [anon_sym_export] = ACTIONS(13660),
    [anon_sym_import] = ACTIONS(13660),
    [anon_sym_using] = ACTIONS(13660),
    [anon_sym_LBRACK] = ACTIONS(13660),
    [anon_sym_LF] = ACTIONS(13662),
    [anon_sym_in] = ACTIONS(13660),
    [anon_sym_LBRACE] = ACTIONS(13660),
    [anon_sym_DOLLAR] = ACTIONS(13660),
    [anon_sym_COLON_COLON] = ACTIONS(13660),
    [anon_sym_isa] = ACTIONS(13660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13660),
    [anon_sym_QMARK] = ACTIONS(13660),
    [anon_sym_AT] = ACTIONS(13660),
    [anon_sym_true] = ACTIONS(13660),
    [anon_sym_false] = ACTIONS(13660),
    [aux_sym_integer_literal_token1] = ACTIONS(13660),
    [aux_sym_integer_literal_token2] = ACTIONS(13660),
    [aux_sym_integer_literal_token3] = ACTIONS(13660),
    [aux_sym_integer_literal_token4] = ACTIONS(13660),
    [aux_sym_float_literal_token1] = ACTIONS(13660),
    [aux_sym_float_literal_token3] = ACTIONS(13660),
    [aux_sym_float_literal_token4] = ACTIONS(13660),
    [sym_character_literal] = ACTIONS(13660),
    [sym__pair_operator] = ACTIONS(13660),
    [sym__arrow_operator] = ACTIONS(13660),
    [sym__lazy_or_operator] = ACTIONS(13660),
    [sym__lazy_and_operator] = ACTIONS(13660),
    [sym__comparison_operator] = ACTIONS(13660),
    [sym__pipe_right_operator] = ACTIONS(13660),
    [sym__pipe_left_operator] = ACTIONS(13660),
    [sym__ellipsis_operator] = ACTIONS(13660),
    [sym__plus_operator] = ACTIONS(13660),
    [sym__times_operator] = ACTIONS(13660),
    [sym__rational_operator] = ACTIONS(13660),
    [sym__bitshift_operator] = ACTIONS(13660),
    [sym__power_operator] = ACTIONS(13660),
    [sym__tilde_operator] = ACTIONS(13660),
    [sym__type_order_operator] = ACTIONS(13660),
    [sym__unary_operator] = ACTIONS(13660),
    [sym__unary_plus_operator] = ACTIONS(13660),
    [aux_sym__terminator_token1] = ACTIONS(13660),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13662),
    [sym__command_start] = ACTIONS(13662),
  },
  [9036] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12668),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9037] = {
    [sym__word_identifier] = ACTIONS(13570),
    [anon_sym_EQ] = ACTIONS(13570),
    [anon_sym_COMMA] = ACTIONS(13570),
    [anon_sym_COLON] = ACTIONS(13570),
    [anon_sym_begin] = ACTIONS(13570),
    [anon_sym_module] = ACTIONS(13570),
    [anon_sym_baremodule] = ACTIONS(13570),
    [anon_sym_end] = ACTIONS(13570),
    [anon_sym_abstract] = ACTIONS(13570),
    [anon_sym_primitive] = ACTIONS(13570),
    [anon_sym_mutable] = ACTIONS(13570),
    [anon_sym_struct] = ACTIONS(13570),
    [anon_sym_function] = ACTIONS(13570),
    [anon_sym_macro] = ACTIONS(13570),
    [anon_sym_where] = ACTIONS(13570),
    [anon_sym_quote] = ACTIONS(13570),
    [anon_sym_let] = ACTIONS(13570),
    [anon_sym_if] = ACTIONS(13570),
    [anon_sym_try] = ACTIONS(13570),
    [anon_sym_for] = ACTIONS(13570),
    [anon_sym_while] = ACTIONS(13570),
    [sym_break_statement] = ACTIONS(13570),
    [sym_continue_statement] = ACTIONS(13570),
    [anon_sym_return] = ACTIONS(13570),
    [anon_sym_const] = ACTIONS(13570),
    [anon_sym_global] = ACTIONS(13570),
    [anon_sym_local] = ACTIONS(13570),
    [anon_sym_LPAREN] = ACTIONS(13570),
    [anon_sym_COLON2] = ACTIONS(13570),
    [anon_sym_export] = ACTIONS(13570),
    [anon_sym_import] = ACTIONS(13570),
    [anon_sym_using] = ACTIONS(13570),
    [anon_sym_LBRACK] = ACTIONS(13570),
    [anon_sym_LF] = ACTIONS(13568),
    [anon_sym_in] = ACTIONS(13570),
    [anon_sym_LBRACE] = ACTIONS(13570),
    [anon_sym_DOLLAR] = ACTIONS(13570),
    [anon_sym_COLON_COLON] = ACTIONS(13570),
    [anon_sym_isa] = ACTIONS(13570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13570),
    [anon_sym_QMARK] = ACTIONS(13570),
    [anon_sym_AT] = ACTIONS(13570),
    [anon_sym_true] = ACTIONS(13570),
    [anon_sym_false] = ACTIONS(13570),
    [aux_sym_integer_literal_token1] = ACTIONS(13570),
    [aux_sym_integer_literal_token2] = ACTIONS(13570),
    [aux_sym_integer_literal_token3] = ACTIONS(13570),
    [aux_sym_integer_literal_token4] = ACTIONS(13570),
    [aux_sym_float_literal_token1] = ACTIONS(13570),
    [aux_sym_float_literal_token3] = ACTIONS(13570),
    [aux_sym_float_literal_token4] = ACTIONS(13570),
    [sym_character_literal] = ACTIONS(13570),
    [sym__pair_operator] = ACTIONS(13570),
    [sym__arrow_operator] = ACTIONS(13570),
    [sym__lazy_or_operator] = ACTIONS(13570),
    [sym__lazy_and_operator] = ACTIONS(13570),
    [sym__comparison_operator] = ACTIONS(13570),
    [sym__pipe_right_operator] = ACTIONS(13570),
    [sym__pipe_left_operator] = ACTIONS(13570),
    [sym__ellipsis_operator] = ACTIONS(13570),
    [sym__plus_operator] = ACTIONS(13570),
    [sym__times_operator] = ACTIONS(13570),
    [sym__rational_operator] = ACTIONS(13570),
    [sym__bitshift_operator] = ACTIONS(13570),
    [sym__power_operator] = ACTIONS(13570),
    [sym__tilde_operator] = ACTIONS(13570),
    [sym__type_order_operator] = ACTIONS(13570),
    [sym__unary_operator] = ACTIONS(13570),
    [sym__unary_plus_operator] = ACTIONS(13570),
    [aux_sym__terminator_token1] = ACTIONS(13570),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13568),
    [sym__command_start] = ACTIONS(13568),
  },
  [9038] = {
    [sym__word_identifier] = ACTIONS(13286),
    [anon_sym_EQ] = ACTIONS(13286),
    [anon_sym_COMMA] = ACTIONS(13286),
    [anon_sym_COLON] = ACTIONS(13286),
    [anon_sym_begin] = ACTIONS(13286),
    [anon_sym_module] = ACTIONS(13286),
    [anon_sym_baremodule] = ACTIONS(13286),
    [anon_sym_abstract] = ACTIONS(13286),
    [anon_sym_primitive] = ACTIONS(13286),
    [anon_sym_mutable] = ACTIONS(13286),
    [anon_sym_struct] = ACTIONS(13286),
    [anon_sym_function] = ACTIONS(13286),
    [anon_sym_macro] = ACTIONS(13286),
    [anon_sym_where] = ACTIONS(13286),
    [anon_sym_quote] = ACTIONS(13286),
    [anon_sym_let] = ACTIONS(13286),
    [anon_sym_if] = ACTIONS(13286),
    [anon_sym_try] = ACTIONS(13286),
    [anon_sym_for] = ACTIONS(13286),
    [anon_sym_while] = ACTIONS(13286),
    [sym_break_statement] = ACTIONS(13286),
    [sym_continue_statement] = ACTIONS(13286),
    [anon_sym_return] = ACTIONS(13286),
    [anon_sym_const] = ACTIONS(13286),
    [anon_sym_global] = ACTIONS(13286),
    [anon_sym_local] = ACTIONS(13286),
    [anon_sym_LPAREN] = ACTIONS(13286),
    [anon_sym_RPAREN] = ACTIONS(13286),
    [anon_sym_COLON2] = ACTIONS(13286),
    [anon_sym_export] = ACTIONS(13286),
    [anon_sym_import] = ACTIONS(13286),
    [anon_sym_using] = ACTIONS(13286),
    [anon_sym_LBRACK] = ACTIONS(13286),
    [anon_sym_LF] = ACTIONS(13288),
    [anon_sym_in] = ACTIONS(13286),
    [anon_sym_SEMI] = ACTIONS(13286),
    [anon_sym_LBRACE] = ACTIONS(13286),
    [anon_sym_DOLLAR] = ACTIONS(13286),
    [anon_sym_COLON_COLON] = ACTIONS(13286),
    [anon_sym_isa] = ACTIONS(13286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13286),
    [anon_sym_QMARK] = ACTIONS(13286),
    [anon_sym_AT] = ACTIONS(13286),
    [anon_sym_true] = ACTIONS(13286),
    [anon_sym_false] = ACTIONS(13286),
    [aux_sym_integer_literal_token1] = ACTIONS(13286),
    [aux_sym_integer_literal_token2] = ACTIONS(13286),
    [aux_sym_integer_literal_token3] = ACTIONS(13286),
    [aux_sym_integer_literal_token4] = ACTIONS(13286),
    [aux_sym_float_literal_token1] = ACTIONS(13286),
    [aux_sym_float_literal_token3] = ACTIONS(13286),
    [aux_sym_float_literal_token4] = ACTIONS(13286),
    [sym_character_literal] = ACTIONS(13286),
    [sym__pair_operator] = ACTIONS(13286),
    [sym__arrow_operator] = ACTIONS(13286),
    [sym__lazy_or_operator] = ACTIONS(13286),
    [sym__lazy_and_operator] = ACTIONS(13286),
    [sym__comparison_operator] = ACTIONS(13286),
    [sym__pipe_right_operator] = ACTIONS(13286),
    [sym__pipe_left_operator] = ACTIONS(13286),
    [sym__ellipsis_operator] = ACTIONS(13286),
    [sym__plus_operator] = ACTIONS(13286),
    [sym__times_operator] = ACTIONS(13286),
    [sym__rational_operator] = ACTIONS(13286),
    [sym__bitshift_operator] = ACTIONS(13286),
    [sym__power_operator] = ACTIONS(13286),
    [sym__tilde_operator] = ACTIONS(13286),
    [sym__type_order_operator] = ACTIONS(13286),
    [sym__unary_operator] = ACTIONS(13286),
    [sym__unary_plus_operator] = ACTIONS(13286),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13288),
    [sym__command_start] = ACTIONS(13288),
  },
  [9039] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9040] = {
    [sym__word_identifier] = ACTIONS(13696),
    [anon_sym_EQ] = ACTIONS(13696),
    [anon_sym_COMMA] = ACTIONS(13696),
    [anon_sym_COLON] = ACTIONS(13696),
    [anon_sym_begin] = ACTIONS(13696),
    [anon_sym_module] = ACTIONS(13696),
    [anon_sym_baremodule] = ACTIONS(13696),
    [anon_sym_end] = ACTIONS(13696),
    [anon_sym_abstract] = ACTIONS(13696),
    [anon_sym_primitive] = ACTIONS(13696),
    [anon_sym_mutable] = ACTIONS(13696),
    [anon_sym_struct] = ACTIONS(13696),
    [anon_sym_function] = ACTIONS(13696),
    [anon_sym_macro] = ACTIONS(13696),
    [anon_sym_where] = ACTIONS(13696),
    [anon_sym_quote] = ACTIONS(13696),
    [anon_sym_let] = ACTIONS(13696),
    [anon_sym_if] = ACTIONS(13696),
    [anon_sym_try] = ACTIONS(13696),
    [anon_sym_for] = ACTIONS(13696),
    [anon_sym_while] = ACTIONS(13696),
    [sym_break_statement] = ACTIONS(13696),
    [sym_continue_statement] = ACTIONS(13696),
    [anon_sym_return] = ACTIONS(13696),
    [anon_sym_const] = ACTIONS(13696),
    [anon_sym_global] = ACTIONS(13696),
    [anon_sym_local] = ACTIONS(13696),
    [anon_sym_LPAREN] = ACTIONS(13696),
    [anon_sym_COLON2] = ACTIONS(13696),
    [anon_sym_export] = ACTIONS(13696),
    [anon_sym_import] = ACTIONS(13696),
    [anon_sym_using] = ACTIONS(13696),
    [anon_sym_LBRACK] = ACTIONS(13696),
    [anon_sym_LF] = ACTIONS(13694),
    [anon_sym_in] = ACTIONS(13696),
    [anon_sym_LBRACE] = ACTIONS(13696),
    [anon_sym_DOLLAR] = ACTIONS(13696),
    [anon_sym_COLON_COLON] = ACTIONS(13696),
    [anon_sym_isa] = ACTIONS(13696),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13696),
    [anon_sym_QMARK] = ACTIONS(13696),
    [anon_sym_AT] = ACTIONS(13696),
    [anon_sym_true] = ACTIONS(13696),
    [anon_sym_false] = ACTIONS(13696),
    [aux_sym_integer_literal_token1] = ACTIONS(13696),
    [aux_sym_integer_literal_token2] = ACTIONS(13696),
    [aux_sym_integer_literal_token3] = ACTIONS(13696),
    [aux_sym_integer_literal_token4] = ACTIONS(13696),
    [aux_sym_float_literal_token1] = ACTIONS(13696),
    [aux_sym_float_literal_token3] = ACTIONS(13696),
    [aux_sym_float_literal_token4] = ACTIONS(13696),
    [sym_character_literal] = ACTIONS(13696),
    [sym__pair_operator] = ACTIONS(13696),
    [sym__arrow_operator] = ACTIONS(13696),
    [sym__lazy_or_operator] = ACTIONS(13696),
    [sym__lazy_and_operator] = ACTIONS(13696),
    [sym__comparison_operator] = ACTIONS(13696),
    [sym__pipe_right_operator] = ACTIONS(13696),
    [sym__pipe_left_operator] = ACTIONS(13696),
    [sym__ellipsis_operator] = ACTIONS(13696),
    [sym__plus_operator] = ACTIONS(13696),
    [sym__times_operator] = ACTIONS(13696),
    [sym__rational_operator] = ACTIONS(13696),
    [sym__bitshift_operator] = ACTIONS(13696),
    [sym__power_operator] = ACTIONS(13696),
    [sym__tilde_operator] = ACTIONS(13696),
    [sym__type_order_operator] = ACTIONS(13696),
    [sym__unary_operator] = ACTIONS(13696),
    [sym__unary_plus_operator] = ACTIONS(13696),
    [aux_sym__terminator_token1] = ACTIONS(13696),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13694),
    [sym__command_start] = ACTIONS(13694),
  },
  [9041] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_elseif] = ACTIONS(13392),
    [anon_sym_else] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [9042] = {
    [sym__word_identifier] = ACTIONS(14270),
    [anon_sym_EQ] = ACTIONS(14270),
    [anon_sym_COMMA] = ACTIONS(14270),
    [anon_sym_COLON] = ACTIONS(14270),
    [anon_sym_begin] = ACTIONS(14270),
    [anon_sym_module] = ACTIONS(14270),
    [anon_sym_baremodule] = ACTIONS(14270),
    [anon_sym_end] = ACTIONS(14270),
    [anon_sym_abstract] = ACTIONS(14270),
    [anon_sym_primitive] = ACTIONS(14270),
    [anon_sym_mutable] = ACTIONS(14270),
    [anon_sym_struct] = ACTIONS(14270),
    [anon_sym_function] = ACTIONS(14270),
    [anon_sym_macro] = ACTIONS(14270),
    [anon_sym_where] = ACTIONS(14270),
    [anon_sym_quote] = ACTIONS(14270),
    [anon_sym_let] = ACTIONS(14270),
    [anon_sym_if] = ACTIONS(14270),
    [anon_sym_try] = ACTIONS(14270),
    [anon_sym_for] = ACTIONS(14270),
    [anon_sym_while] = ACTIONS(14270),
    [sym_break_statement] = ACTIONS(14270),
    [sym_continue_statement] = ACTIONS(14270),
    [anon_sym_return] = ACTIONS(14270),
    [anon_sym_const] = ACTIONS(14270),
    [anon_sym_global] = ACTIONS(14270),
    [anon_sym_local] = ACTIONS(14270),
    [anon_sym_LPAREN] = ACTIONS(14270),
    [anon_sym_COLON2] = ACTIONS(14270),
    [anon_sym_export] = ACTIONS(14270),
    [anon_sym_import] = ACTIONS(14270),
    [anon_sym_using] = ACTIONS(14270),
    [anon_sym_LBRACK] = ACTIONS(14270),
    [anon_sym_LF] = ACTIONS(14268),
    [anon_sym_in] = ACTIONS(14270),
    [anon_sym_LBRACE] = ACTIONS(14270),
    [anon_sym_DOLLAR] = ACTIONS(14270),
    [anon_sym_COLON_COLON] = ACTIONS(14270),
    [anon_sym_isa] = ACTIONS(14270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14270),
    [anon_sym_QMARK] = ACTIONS(14270),
    [anon_sym_AT] = ACTIONS(14270),
    [anon_sym_true] = ACTIONS(14270),
    [anon_sym_false] = ACTIONS(14270),
    [aux_sym_integer_literal_token1] = ACTIONS(14270),
    [aux_sym_integer_literal_token2] = ACTIONS(14270),
    [aux_sym_integer_literal_token3] = ACTIONS(14270),
    [aux_sym_integer_literal_token4] = ACTIONS(14270),
    [aux_sym_float_literal_token1] = ACTIONS(14270),
    [aux_sym_float_literal_token3] = ACTIONS(14270),
    [aux_sym_float_literal_token4] = ACTIONS(14270),
    [sym_character_literal] = ACTIONS(14270),
    [sym__pair_operator] = ACTIONS(14270),
    [sym__arrow_operator] = ACTIONS(14270),
    [sym__lazy_or_operator] = ACTIONS(14270),
    [sym__lazy_and_operator] = ACTIONS(14270),
    [sym__comparison_operator] = ACTIONS(14270),
    [sym__pipe_right_operator] = ACTIONS(14270),
    [sym__pipe_left_operator] = ACTIONS(14270),
    [sym__ellipsis_operator] = ACTIONS(14270),
    [sym__plus_operator] = ACTIONS(14270),
    [sym__times_operator] = ACTIONS(14270),
    [sym__rational_operator] = ACTIONS(14270),
    [sym__bitshift_operator] = ACTIONS(14270),
    [sym__power_operator] = ACTIONS(14270),
    [sym__tilde_operator] = ACTIONS(14270),
    [sym__type_order_operator] = ACTIONS(14270),
    [sym__unary_operator] = ACTIONS(14270),
    [sym__unary_plus_operator] = ACTIONS(14270),
    [aux_sym__terminator_token1] = ACTIONS(14270),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14268),
    [sym__command_start] = ACTIONS(14268),
  },
  [9043] = {
    [sym__word_identifier] = ACTIONS(14043),
    [anon_sym_EQ] = ACTIONS(14043),
    [anon_sym_COMMA] = ACTIONS(14043),
    [anon_sym_COLON] = ACTIONS(14043),
    [anon_sym_begin] = ACTIONS(14043),
    [anon_sym_module] = ACTIONS(14043),
    [anon_sym_baremodule] = ACTIONS(14043),
    [anon_sym_end] = ACTIONS(14043),
    [anon_sym_abstract] = ACTIONS(14043),
    [anon_sym_primitive] = ACTIONS(14043),
    [anon_sym_mutable] = ACTIONS(14043),
    [anon_sym_struct] = ACTIONS(14043),
    [anon_sym_function] = ACTIONS(14043),
    [anon_sym_macro] = ACTIONS(14043),
    [anon_sym_where] = ACTIONS(14043),
    [anon_sym_quote] = ACTIONS(14043),
    [anon_sym_let] = ACTIONS(14043),
    [anon_sym_if] = ACTIONS(14043),
    [anon_sym_try] = ACTIONS(14043),
    [anon_sym_for] = ACTIONS(14043),
    [anon_sym_while] = ACTIONS(14043),
    [sym_break_statement] = ACTIONS(14043),
    [sym_continue_statement] = ACTIONS(14043),
    [anon_sym_return] = ACTIONS(14043),
    [anon_sym_const] = ACTIONS(14043),
    [anon_sym_global] = ACTIONS(14043),
    [anon_sym_local] = ACTIONS(14043),
    [anon_sym_LPAREN] = ACTIONS(14043),
    [anon_sym_COLON2] = ACTIONS(14043),
    [anon_sym_export] = ACTIONS(14043),
    [anon_sym_import] = ACTIONS(14043),
    [anon_sym_using] = ACTIONS(14043),
    [anon_sym_LBRACK] = ACTIONS(14043),
    [anon_sym_LF] = ACTIONS(14041),
    [anon_sym_in] = ACTIONS(14043),
    [anon_sym_LBRACE] = ACTIONS(14043),
    [anon_sym_DOLLAR] = ACTIONS(14043),
    [anon_sym_COLON_COLON] = ACTIONS(14043),
    [anon_sym_isa] = ACTIONS(14043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14043),
    [anon_sym_QMARK] = ACTIONS(14043),
    [anon_sym_AT] = ACTIONS(14043),
    [anon_sym_true] = ACTIONS(14043),
    [anon_sym_false] = ACTIONS(14043),
    [aux_sym_integer_literal_token1] = ACTIONS(14043),
    [aux_sym_integer_literal_token2] = ACTIONS(14043),
    [aux_sym_integer_literal_token3] = ACTIONS(14043),
    [aux_sym_integer_literal_token4] = ACTIONS(14043),
    [aux_sym_float_literal_token1] = ACTIONS(14043),
    [aux_sym_float_literal_token3] = ACTIONS(14043),
    [aux_sym_float_literal_token4] = ACTIONS(14043),
    [sym_character_literal] = ACTIONS(14043),
    [sym__pair_operator] = ACTIONS(14043),
    [sym__arrow_operator] = ACTIONS(14043),
    [sym__lazy_or_operator] = ACTIONS(14043),
    [sym__lazy_and_operator] = ACTIONS(14043),
    [sym__comparison_operator] = ACTIONS(14043),
    [sym__pipe_right_operator] = ACTIONS(14043),
    [sym__pipe_left_operator] = ACTIONS(14043),
    [sym__ellipsis_operator] = ACTIONS(14043),
    [sym__plus_operator] = ACTIONS(14043),
    [sym__times_operator] = ACTIONS(14043),
    [sym__rational_operator] = ACTIONS(14043),
    [sym__bitshift_operator] = ACTIONS(14043),
    [sym__power_operator] = ACTIONS(14043),
    [sym__tilde_operator] = ACTIONS(14043),
    [sym__type_order_operator] = ACTIONS(14043),
    [sym__unary_operator] = ACTIONS(14043),
    [sym__unary_plus_operator] = ACTIONS(14043),
    [aux_sym__terminator_token1] = ACTIONS(14043),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14041),
    [sym__command_start] = ACTIONS(14041),
  },
  [9044] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(12728),
    [anon_sym_COMMA] = ACTIONS(13120),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13120),
    [anon_sym_RPAREN] = ACTIONS(13120),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13120),
    [anon_sym_RBRACK] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13120),
    [anon_sym_RBRACE] = ACTIONS(13120),
    [anon_sym_DOLLAR] = ACTIONS(13120),
    [anon_sym_COLON_COLON] = ACTIONS(13120),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13120),
    [anon_sym_QMARK] = ACTIONS(13120),
    [anon_sym_AT] = ACTIONS(13120),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13120),
    [aux_sym_integer_literal_token2] = ACTIONS(13120),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13120),
    [aux_sym_float_literal_token3] = ACTIONS(13120),
    [aux_sym_float_literal_token4] = ACTIONS(13120),
    [sym_character_literal] = ACTIONS(13120),
    [sym__pair_operator] = ACTIONS(13120),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13120),
    [sym__lazy_and_operator] = ACTIONS(13120),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13120),
    [sym__pipe_left_operator] = ACTIONS(13120),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13120),
    [sym__bitshift_operator] = ACTIONS(13120),
    [sym__power_operator] = ACTIONS(13120),
    [sym__tilde_operator] = ACTIONS(13120),
    [sym__type_order_operator] = ACTIONS(13120),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [9045] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_DASH_GT] = ACTIONS(12384),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9046] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(14910),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_catch] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(14912),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(14914),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(14914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(14661),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(14916),
    [sym__arrow_operator] = ACTIONS(14918),
    [sym__lazy_or_operator] = ACTIONS(14920),
    [sym__lazy_and_operator] = ACTIONS(14922),
    [sym__comparison_operator] = ACTIONS(14914),
    [sym__pipe_right_operator] = ACTIONS(14924),
    [sym__pipe_left_operator] = ACTIONS(14926),
    [sym__ellipsis_operator] = ACTIONS(14928),
    [sym__plus_operator] = ACTIONS(14930),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(14914),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14930),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9047] = {
    [sym__word_identifier] = ACTIONS(13632),
    [anon_sym_EQ] = ACTIONS(13632),
    [anon_sym_COMMA] = ACTIONS(13632),
    [anon_sym_COLON] = ACTIONS(13632),
    [anon_sym_begin] = ACTIONS(13632),
    [anon_sym_module] = ACTIONS(13632),
    [anon_sym_baremodule] = ACTIONS(13632),
    [anon_sym_end] = ACTIONS(13632),
    [anon_sym_abstract] = ACTIONS(13632),
    [anon_sym_primitive] = ACTIONS(13632),
    [anon_sym_mutable] = ACTIONS(13632),
    [anon_sym_struct] = ACTIONS(13632),
    [anon_sym_function] = ACTIONS(13632),
    [anon_sym_macro] = ACTIONS(13632),
    [anon_sym_where] = ACTIONS(13632),
    [anon_sym_quote] = ACTIONS(13632),
    [anon_sym_let] = ACTIONS(13632),
    [anon_sym_if] = ACTIONS(13632),
    [anon_sym_try] = ACTIONS(13632),
    [anon_sym_for] = ACTIONS(13632),
    [anon_sym_while] = ACTIONS(13632),
    [sym_break_statement] = ACTIONS(13632),
    [sym_continue_statement] = ACTIONS(13632),
    [anon_sym_return] = ACTIONS(13632),
    [anon_sym_const] = ACTIONS(13632),
    [anon_sym_global] = ACTIONS(13632),
    [anon_sym_local] = ACTIONS(13632),
    [anon_sym_LPAREN] = ACTIONS(13632),
    [anon_sym_COLON2] = ACTIONS(13632),
    [anon_sym_export] = ACTIONS(13632),
    [anon_sym_import] = ACTIONS(13632),
    [anon_sym_using] = ACTIONS(13632),
    [anon_sym_LBRACK] = ACTIONS(13632),
    [anon_sym_LF] = ACTIONS(13634),
    [anon_sym_in] = ACTIONS(13632),
    [anon_sym_LBRACE] = ACTIONS(13632),
    [anon_sym_DOLLAR] = ACTIONS(13632),
    [anon_sym_COLON_COLON] = ACTIONS(13632),
    [anon_sym_isa] = ACTIONS(13632),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13632),
    [anon_sym_QMARK] = ACTIONS(13632),
    [anon_sym_AT] = ACTIONS(13632),
    [anon_sym_true] = ACTIONS(13632),
    [anon_sym_false] = ACTIONS(13632),
    [aux_sym_integer_literal_token1] = ACTIONS(13632),
    [aux_sym_integer_literal_token2] = ACTIONS(13632),
    [aux_sym_integer_literal_token3] = ACTIONS(13632),
    [aux_sym_integer_literal_token4] = ACTIONS(13632),
    [aux_sym_float_literal_token1] = ACTIONS(13632),
    [aux_sym_float_literal_token3] = ACTIONS(13632),
    [aux_sym_float_literal_token4] = ACTIONS(13632),
    [sym_character_literal] = ACTIONS(13632),
    [sym__pair_operator] = ACTIONS(13632),
    [sym__arrow_operator] = ACTIONS(13632),
    [sym__lazy_or_operator] = ACTIONS(13632),
    [sym__lazy_and_operator] = ACTIONS(13632),
    [sym__comparison_operator] = ACTIONS(13632),
    [sym__pipe_right_operator] = ACTIONS(13632),
    [sym__pipe_left_operator] = ACTIONS(13632),
    [sym__ellipsis_operator] = ACTIONS(13632),
    [sym__plus_operator] = ACTIONS(13632),
    [sym__times_operator] = ACTIONS(13632),
    [sym__rational_operator] = ACTIONS(13632),
    [sym__bitshift_operator] = ACTIONS(13632),
    [sym__power_operator] = ACTIONS(13632),
    [sym__tilde_operator] = ACTIONS(13632),
    [sym__type_order_operator] = ACTIONS(13632),
    [sym__unary_operator] = ACTIONS(13632),
    [sym__unary_plus_operator] = ACTIONS(13632),
    [aux_sym__terminator_token1] = ACTIONS(13632),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13634),
    [sym__command_start] = ACTIONS(13634),
  },
  [9048] = {
    [aux_sym_open_tuple_repeat1] = STATE(8108),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(14519),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13120),
    [anon_sym_RPAREN] = ACTIONS(13120),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13120),
    [anon_sym_RBRACK] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13120),
    [anon_sym_RBRACE] = ACTIONS(13120),
    [anon_sym_DOLLAR] = ACTIONS(13120),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14878),
    [anon_sym_AT] = ACTIONS(13120),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13120),
    [aux_sym_integer_literal_token2] = ACTIONS(13120),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13120),
    [aux_sym_float_literal_token3] = ACTIONS(13120),
    [aux_sym_float_literal_token4] = ACTIONS(13120),
    [sym_character_literal] = ACTIONS(13120),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13120),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [9049] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_EQ] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9050] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13238),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_RPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13238),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14780),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(14756),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [9051] = {
    [sym__word_identifier] = ACTIONS(13684),
    [anon_sym_EQ] = ACTIONS(13684),
    [anon_sym_COMMA] = ACTIONS(13684),
    [anon_sym_COLON] = ACTIONS(13684),
    [anon_sym_begin] = ACTIONS(13684),
    [anon_sym_module] = ACTIONS(13684),
    [anon_sym_baremodule] = ACTIONS(13684),
    [anon_sym_end] = ACTIONS(13684),
    [anon_sym_abstract] = ACTIONS(13684),
    [anon_sym_primitive] = ACTIONS(13684),
    [anon_sym_mutable] = ACTIONS(13684),
    [anon_sym_struct] = ACTIONS(13684),
    [anon_sym_function] = ACTIONS(13684),
    [anon_sym_macro] = ACTIONS(13684),
    [anon_sym_where] = ACTIONS(13684),
    [anon_sym_quote] = ACTIONS(13684),
    [anon_sym_let] = ACTIONS(13684),
    [anon_sym_if] = ACTIONS(13684),
    [anon_sym_try] = ACTIONS(13684),
    [anon_sym_for] = ACTIONS(13684),
    [anon_sym_while] = ACTIONS(13684),
    [sym_break_statement] = ACTIONS(13684),
    [sym_continue_statement] = ACTIONS(13684),
    [anon_sym_return] = ACTIONS(13684),
    [anon_sym_const] = ACTIONS(13684),
    [anon_sym_global] = ACTIONS(13684),
    [anon_sym_local] = ACTIONS(13684),
    [anon_sym_LPAREN] = ACTIONS(13684),
    [anon_sym_COLON2] = ACTIONS(13684),
    [anon_sym_export] = ACTIONS(13684),
    [anon_sym_import] = ACTIONS(13684),
    [anon_sym_using] = ACTIONS(13684),
    [anon_sym_LBRACK] = ACTIONS(13684),
    [anon_sym_LF] = ACTIONS(13686),
    [anon_sym_in] = ACTIONS(13684),
    [anon_sym_LBRACE] = ACTIONS(13684),
    [anon_sym_DOLLAR] = ACTIONS(13684),
    [anon_sym_COLON_COLON] = ACTIONS(13684),
    [anon_sym_isa] = ACTIONS(13684),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13684),
    [anon_sym_QMARK] = ACTIONS(13684),
    [anon_sym_AT] = ACTIONS(13684),
    [anon_sym_true] = ACTIONS(13684),
    [anon_sym_false] = ACTIONS(13684),
    [aux_sym_integer_literal_token1] = ACTIONS(13684),
    [aux_sym_integer_literal_token2] = ACTIONS(13684),
    [aux_sym_integer_literal_token3] = ACTIONS(13684),
    [aux_sym_integer_literal_token4] = ACTIONS(13684),
    [aux_sym_float_literal_token1] = ACTIONS(13684),
    [aux_sym_float_literal_token3] = ACTIONS(13684),
    [aux_sym_float_literal_token4] = ACTIONS(13684),
    [sym_character_literal] = ACTIONS(13684),
    [sym__pair_operator] = ACTIONS(13684),
    [sym__arrow_operator] = ACTIONS(13684),
    [sym__lazy_or_operator] = ACTIONS(13684),
    [sym__lazy_and_operator] = ACTIONS(13684),
    [sym__comparison_operator] = ACTIONS(13684),
    [sym__pipe_right_operator] = ACTIONS(13684),
    [sym__pipe_left_operator] = ACTIONS(13684),
    [sym__ellipsis_operator] = ACTIONS(13684),
    [sym__plus_operator] = ACTIONS(13684),
    [sym__times_operator] = ACTIONS(13684),
    [sym__rational_operator] = ACTIONS(13684),
    [sym__bitshift_operator] = ACTIONS(13684),
    [sym__power_operator] = ACTIONS(13684),
    [sym__tilde_operator] = ACTIONS(13684),
    [sym__type_order_operator] = ACTIONS(13684),
    [sym__unary_operator] = ACTIONS(13684),
    [sym__unary_plus_operator] = ACTIONS(13684),
    [aux_sym__terminator_token1] = ACTIONS(13684),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13686),
    [sym__command_start] = ACTIONS(13686),
  },
  [9052] = {
    [sym__word_identifier] = ACTIONS(13340),
    [anon_sym_EQ] = ACTIONS(13340),
    [anon_sym_COMMA] = ACTIONS(13340),
    [anon_sym_COLON] = ACTIONS(13340),
    [anon_sym_begin] = ACTIONS(13340),
    [anon_sym_module] = ACTIONS(13340),
    [anon_sym_baremodule] = ACTIONS(13340),
    [anon_sym_end] = ACTIONS(13340),
    [anon_sym_abstract] = ACTIONS(13340),
    [anon_sym_primitive] = ACTIONS(13340),
    [anon_sym_mutable] = ACTIONS(13340),
    [anon_sym_struct] = ACTIONS(13340),
    [anon_sym_function] = ACTIONS(13340),
    [anon_sym_macro] = ACTIONS(13340),
    [anon_sym_where] = ACTIONS(13340),
    [anon_sym_quote] = ACTIONS(13340),
    [anon_sym_let] = ACTIONS(13340),
    [anon_sym_if] = ACTIONS(13340),
    [anon_sym_try] = ACTIONS(13340),
    [anon_sym_for] = ACTIONS(13340),
    [anon_sym_while] = ACTIONS(13340),
    [sym_break_statement] = ACTIONS(13340),
    [sym_continue_statement] = ACTIONS(13340),
    [anon_sym_return] = ACTIONS(13340),
    [anon_sym_const] = ACTIONS(13340),
    [anon_sym_global] = ACTIONS(13340),
    [anon_sym_local] = ACTIONS(13340),
    [anon_sym_LPAREN] = ACTIONS(13340),
    [anon_sym_COLON2] = ACTIONS(13340),
    [anon_sym_export] = ACTIONS(13340),
    [anon_sym_import] = ACTIONS(13340),
    [anon_sym_using] = ACTIONS(13340),
    [anon_sym_LBRACK] = ACTIONS(13340),
    [anon_sym_LF] = ACTIONS(13342),
    [anon_sym_in] = ACTIONS(13340),
    [anon_sym_LBRACE] = ACTIONS(13340),
    [anon_sym_DOLLAR] = ACTIONS(13340),
    [anon_sym_COLON_COLON] = ACTIONS(13340),
    [anon_sym_isa] = ACTIONS(13340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13340),
    [anon_sym_QMARK] = ACTIONS(13340),
    [anon_sym_AT] = ACTIONS(13340),
    [anon_sym_true] = ACTIONS(13340),
    [anon_sym_false] = ACTIONS(13340),
    [aux_sym_integer_literal_token1] = ACTIONS(13340),
    [aux_sym_integer_literal_token2] = ACTIONS(13340),
    [aux_sym_integer_literal_token3] = ACTIONS(13340),
    [aux_sym_integer_literal_token4] = ACTIONS(13340),
    [aux_sym_float_literal_token1] = ACTIONS(13340),
    [aux_sym_float_literal_token3] = ACTIONS(13340),
    [aux_sym_float_literal_token4] = ACTIONS(13340),
    [sym_character_literal] = ACTIONS(13340),
    [sym__pair_operator] = ACTIONS(13340),
    [sym__arrow_operator] = ACTIONS(13340),
    [sym__lazy_or_operator] = ACTIONS(13340),
    [sym__lazy_and_operator] = ACTIONS(13340),
    [sym__comparison_operator] = ACTIONS(13340),
    [sym__pipe_right_operator] = ACTIONS(13340),
    [sym__pipe_left_operator] = ACTIONS(13340),
    [sym__ellipsis_operator] = ACTIONS(13340),
    [sym__plus_operator] = ACTIONS(13340),
    [sym__times_operator] = ACTIONS(13340),
    [sym__rational_operator] = ACTIONS(13340),
    [sym__bitshift_operator] = ACTIONS(13340),
    [sym__power_operator] = ACTIONS(13340),
    [sym__tilde_operator] = ACTIONS(13340),
    [sym__type_order_operator] = ACTIONS(13340),
    [sym__unary_operator] = ACTIONS(13340),
    [sym__unary_plus_operator] = ACTIONS(13340),
    [aux_sym__terminator_token1] = ACTIONS(13340),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13342),
    [sym__command_start] = ACTIONS(13342),
  },
  [9053] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(1189),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(14908),
    [sym__arrow_operator] = ACTIONS(14824),
    [sym__lazy_or_operator] = ACTIONS(1233),
    [sym__lazy_and_operator] = ACTIONS(1235),
    [sym__comparison_operator] = ACTIONS(1211),
    [sym__pipe_right_operator] = ACTIONS(14826),
    [sym__pipe_left_operator] = ACTIONS(14828),
    [sym__ellipsis_operator] = ACTIONS(14830),
    [sym__plus_operator] = ACTIONS(14832),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(1211),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14832),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9054] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13240),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13240),
    [anon_sym_RPAREN] = ACTIONS(13240),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13240),
    [anon_sym_RBRACK] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13240),
    [anon_sym_RBRACE] = ACTIONS(13240),
    [anon_sym_DOLLAR] = ACTIONS(13240),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14878),
    [anon_sym_AT] = ACTIONS(13240),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13240),
    [aux_sym_integer_literal_token2] = ACTIONS(13240),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13240),
    [aux_sym_float_literal_token3] = ACTIONS(13240),
    [aux_sym_float_literal_token4] = ACTIONS(13240),
    [sym_character_literal] = ACTIONS(13240),
    [sym__pair_operator] = ACTIONS(13240),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13240),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [9055] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_EQ] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_RPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13920),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9056] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13957),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_RBRACK] = ACTIONS(13242),
    [anon_sym_LF] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [9057] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_EQ] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_RPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_SEMI] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9058] = {
    [aux_sym_open_tuple_repeat1] = STATE(9081),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(14786),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13104),
    [anon_sym_RPAREN] = ACTIONS(13104),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13104),
    [anon_sym_LBRACE] = ACTIONS(13104),
    [anon_sym_DOLLAR] = ACTIONS(13104),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_AT] = ACTIONS(13104),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13104),
    [aux_sym_integer_literal_token2] = ACTIONS(13104),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13104),
    [aux_sym_float_literal_token3] = ACTIONS(13104),
    [aux_sym_float_literal_token4] = ACTIONS(13104),
    [sym_character_literal] = ACTIONS(13104),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13104),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [9059] = {
    [sym__word_identifier] = ACTIONS(13768),
    [anon_sym_EQ] = ACTIONS(13768),
    [anon_sym_COMMA] = ACTIONS(13768),
    [anon_sym_COLON] = ACTIONS(13768),
    [anon_sym_begin] = ACTIONS(13768),
    [anon_sym_module] = ACTIONS(13768),
    [anon_sym_baremodule] = ACTIONS(13768),
    [anon_sym_end] = ACTIONS(13768),
    [anon_sym_abstract] = ACTIONS(13768),
    [anon_sym_primitive] = ACTIONS(13768),
    [anon_sym_mutable] = ACTIONS(13768),
    [anon_sym_struct] = ACTIONS(13768),
    [anon_sym_function] = ACTIONS(13768),
    [anon_sym_macro] = ACTIONS(13768),
    [anon_sym_where] = ACTIONS(13768),
    [anon_sym_quote] = ACTIONS(13768),
    [anon_sym_let] = ACTIONS(13768),
    [anon_sym_if] = ACTIONS(13768),
    [anon_sym_try] = ACTIONS(13768),
    [anon_sym_for] = ACTIONS(13768),
    [anon_sym_while] = ACTIONS(13768),
    [sym_break_statement] = ACTIONS(13768),
    [sym_continue_statement] = ACTIONS(13768),
    [anon_sym_return] = ACTIONS(13768),
    [anon_sym_const] = ACTIONS(13768),
    [anon_sym_global] = ACTIONS(13768),
    [anon_sym_local] = ACTIONS(13768),
    [anon_sym_LPAREN] = ACTIONS(13768),
    [anon_sym_COLON2] = ACTIONS(13768),
    [anon_sym_export] = ACTIONS(13768),
    [anon_sym_import] = ACTIONS(13768),
    [anon_sym_using] = ACTIONS(13768),
    [anon_sym_LBRACK] = ACTIONS(13768),
    [anon_sym_LF] = ACTIONS(13770),
    [anon_sym_in] = ACTIONS(13768),
    [anon_sym_LBRACE] = ACTIONS(13768),
    [anon_sym_DOLLAR] = ACTIONS(13768),
    [anon_sym_COLON_COLON] = ACTIONS(13768),
    [anon_sym_isa] = ACTIONS(13768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13768),
    [anon_sym_QMARK] = ACTIONS(13768),
    [anon_sym_AT] = ACTIONS(13768),
    [anon_sym_true] = ACTIONS(13768),
    [anon_sym_false] = ACTIONS(13768),
    [aux_sym_integer_literal_token1] = ACTIONS(13768),
    [aux_sym_integer_literal_token2] = ACTIONS(13768),
    [aux_sym_integer_literal_token3] = ACTIONS(13768),
    [aux_sym_integer_literal_token4] = ACTIONS(13768),
    [aux_sym_float_literal_token1] = ACTIONS(13768),
    [aux_sym_float_literal_token3] = ACTIONS(13768),
    [aux_sym_float_literal_token4] = ACTIONS(13768),
    [sym_character_literal] = ACTIONS(13768),
    [sym__pair_operator] = ACTIONS(13768),
    [sym__arrow_operator] = ACTIONS(13768),
    [sym__lazy_or_operator] = ACTIONS(13768),
    [sym__lazy_and_operator] = ACTIONS(13768),
    [sym__comparison_operator] = ACTIONS(13768),
    [sym__pipe_right_operator] = ACTIONS(13768),
    [sym__pipe_left_operator] = ACTIONS(13768),
    [sym__ellipsis_operator] = ACTIONS(13768),
    [sym__plus_operator] = ACTIONS(13768),
    [sym__times_operator] = ACTIONS(13768),
    [sym__rational_operator] = ACTIONS(13768),
    [sym__bitshift_operator] = ACTIONS(13768),
    [sym__power_operator] = ACTIONS(13768),
    [sym__tilde_operator] = ACTIONS(13768),
    [sym__type_order_operator] = ACTIONS(13768),
    [sym__unary_operator] = ACTIONS(13768),
    [sym__unary_plus_operator] = ACTIONS(13768),
    [aux_sym__terminator_token1] = ACTIONS(13768),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13770),
    [sym__command_start] = ACTIONS(13770),
  },
  [9060] = {
    [sym__word_identifier] = ACTIONS(13764),
    [anon_sym_EQ] = ACTIONS(13764),
    [anon_sym_COMMA] = ACTIONS(13764),
    [anon_sym_COLON] = ACTIONS(13764),
    [anon_sym_begin] = ACTIONS(13764),
    [anon_sym_module] = ACTIONS(13764),
    [anon_sym_baremodule] = ACTIONS(13764),
    [anon_sym_end] = ACTIONS(13764),
    [anon_sym_abstract] = ACTIONS(13764),
    [anon_sym_primitive] = ACTIONS(13764),
    [anon_sym_mutable] = ACTIONS(13764),
    [anon_sym_struct] = ACTIONS(13764),
    [anon_sym_function] = ACTIONS(13764),
    [anon_sym_macro] = ACTIONS(13764),
    [anon_sym_where] = ACTIONS(13764),
    [anon_sym_quote] = ACTIONS(13764),
    [anon_sym_let] = ACTIONS(13764),
    [anon_sym_if] = ACTIONS(13764),
    [anon_sym_try] = ACTIONS(13764),
    [anon_sym_for] = ACTIONS(13764),
    [anon_sym_while] = ACTIONS(13764),
    [sym_break_statement] = ACTIONS(13764),
    [sym_continue_statement] = ACTIONS(13764),
    [anon_sym_return] = ACTIONS(13764),
    [anon_sym_const] = ACTIONS(13764),
    [anon_sym_global] = ACTIONS(13764),
    [anon_sym_local] = ACTIONS(13764),
    [anon_sym_LPAREN] = ACTIONS(13764),
    [anon_sym_COLON2] = ACTIONS(13764),
    [anon_sym_export] = ACTIONS(13764),
    [anon_sym_import] = ACTIONS(13764),
    [anon_sym_using] = ACTIONS(13764),
    [anon_sym_LBRACK] = ACTIONS(13764),
    [anon_sym_LF] = ACTIONS(13766),
    [anon_sym_in] = ACTIONS(13764),
    [anon_sym_LBRACE] = ACTIONS(13764),
    [anon_sym_DOLLAR] = ACTIONS(13764),
    [anon_sym_COLON_COLON] = ACTIONS(13764),
    [anon_sym_isa] = ACTIONS(13764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13764),
    [anon_sym_QMARK] = ACTIONS(13764),
    [anon_sym_AT] = ACTIONS(13764),
    [anon_sym_true] = ACTIONS(13764),
    [anon_sym_false] = ACTIONS(13764),
    [aux_sym_integer_literal_token1] = ACTIONS(13764),
    [aux_sym_integer_literal_token2] = ACTIONS(13764),
    [aux_sym_integer_literal_token3] = ACTIONS(13764),
    [aux_sym_integer_literal_token4] = ACTIONS(13764),
    [aux_sym_float_literal_token1] = ACTIONS(13764),
    [aux_sym_float_literal_token3] = ACTIONS(13764),
    [aux_sym_float_literal_token4] = ACTIONS(13764),
    [sym_character_literal] = ACTIONS(13764),
    [sym__pair_operator] = ACTIONS(13764),
    [sym__arrow_operator] = ACTIONS(13764),
    [sym__lazy_or_operator] = ACTIONS(13764),
    [sym__lazy_and_operator] = ACTIONS(13764),
    [sym__comparison_operator] = ACTIONS(13764),
    [sym__pipe_right_operator] = ACTIONS(13764),
    [sym__pipe_left_operator] = ACTIONS(13764),
    [sym__ellipsis_operator] = ACTIONS(13764),
    [sym__plus_operator] = ACTIONS(13764),
    [sym__times_operator] = ACTIONS(13764),
    [sym__rational_operator] = ACTIONS(13764),
    [sym__bitshift_operator] = ACTIONS(13764),
    [sym__power_operator] = ACTIONS(13764),
    [sym__tilde_operator] = ACTIONS(13764),
    [sym__type_order_operator] = ACTIONS(13764),
    [sym__unary_operator] = ACTIONS(13764),
    [sym__unary_plus_operator] = ACTIONS(13764),
    [aux_sym__terminator_token1] = ACTIONS(13764),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13766),
    [sym__command_start] = ACTIONS(13766),
  },
  [9061] = {
    [sym__word_identifier] = ACTIONS(13748),
    [anon_sym_EQ] = ACTIONS(13748),
    [anon_sym_COMMA] = ACTIONS(13748),
    [anon_sym_COLON] = ACTIONS(13748),
    [anon_sym_begin] = ACTIONS(13748),
    [anon_sym_module] = ACTIONS(13748),
    [anon_sym_baremodule] = ACTIONS(13748),
    [anon_sym_end] = ACTIONS(13748),
    [anon_sym_abstract] = ACTIONS(13748),
    [anon_sym_primitive] = ACTIONS(13748),
    [anon_sym_mutable] = ACTIONS(13748),
    [anon_sym_struct] = ACTIONS(13748),
    [anon_sym_function] = ACTIONS(13748),
    [anon_sym_macro] = ACTIONS(13748),
    [anon_sym_where] = ACTIONS(13748),
    [anon_sym_quote] = ACTIONS(13748),
    [anon_sym_let] = ACTIONS(13748),
    [anon_sym_if] = ACTIONS(13748),
    [anon_sym_try] = ACTIONS(13748),
    [anon_sym_for] = ACTIONS(13748),
    [anon_sym_while] = ACTIONS(13748),
    [sym_break_statement] = ACTIONS(13748),
    [sym_continue_statement] = ACTIONS(13748),
    [anon_sym_return] = ACTIONS(13748),
    [anon_sym_const] = ACTIONS(13748),
    [anon_sym_global] = ACTIONS(13748),
    [anon_sym_local] = ACTIONS(13748),
    [anon_sym_LPAREN] = ACTIONS(13748),
    [anon_sym_COLON2] = ACTIONS(13748),
    [anon_sym_export] = ACTIONS(13748),
    [anon_sym_import] = ACTIONS(13748),
    [anon_sym_using] = ACTIONS(13748),
    [anon_sym_LBRACK] = ACTIONS(13748),
    [anon_sym_LF] = ACTIONS(13750),
    [anon_sym_in] = ACTIONS(13748),
    [anon_sym_LBRACE] = ACTIONS(13748),
    [anon_sym_DOLLAR] = ACTIONS(13748),
    [anon_sym_COLON_COLON] = ACTIONS(13748),
    [anon_sym_isa] = ACTIONS(13748),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13748),
    [anon_sym_QMARK] = ACTIONS(13748),
    [anon_sym_AT] = ACTIONS(13748),
    [anon_sym_true] = ACTIONS(13748),
    [anon_sym_false] = ACTIONS(13748),
    [aux_sym_integer_literal_token1] = ACTIONS(13748),
    [aux_sym_integer_literal_token2] = ACTIONS(13748),
    [aux_sym_integer_literal_token3] = ACTIONS(13748),
    [aux_sym_integer_literal_token4] = ACTIONS(13748),
    [aux_sym_float_literal_token1] = ACTIONS(13748),
    [aux_sym_float_literal_token3] = ACTIONS(13748),
    [aux_sym_float_literal_token4] = ACTIONS(13748),
    [sym_character_literal] = ACTIONS(13748),
    [sym__pair_operator] = ACTIONS(13748),
    [sym__arrow_operator] = ACTIONS(13748),
    [sym__lazy_or_operator] = ACTIONS(13748),
    [sym__lazy_and_operator] = ACTIONS(13748),
    [sym__comparison_operator] = ACTIONS(13748),
    [sym__pipe_right_operator] = ACTIONS(13748),
    [sym__pipe_left_operator] = ACTIONS(13748),
    [sym__ellipsis_operator] = ACTIONS(13748),
    [sym__plus_operator] = ACTIONS(13748),
    [sym__times_operator] = ACTIONS(13748),
    [sym__rational_operator] = ACTIONS(13748),
    [sym__bitshift_operator] = ACTIONS(13748),
    [sym__power_operator] = ACTIONS(13748),
    [sym__tilde_operator] = ACTIONS(13748),
    [sym__type_order_operator] = ACTIONS(13748),
    [sym__unary_operator] = ACTIONS(13748),
    [sym__unary_plus_operator] = ACTIONS(13748),
    [aux_sym__terminator_token1] = ACTIONS(13748),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13750),
    [sym__command_start] = ACTIONS(13750),
  },
  [9062] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9063] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(14734),
    [sym__lazy_or_operator] = ACTIONS(14736),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9064] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9065] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9066] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9067] = {
    [sym__word_identifier] = ACTIONS(13606),
    [anon_sym_EQ] = ACTIONS(13606),
    [anon_sym_COMMA] = ACTIONS(13606),
    [anon_sym_COLON] = ACTIONS(13606),
    [anon_sym_begin] = ACTIONS(13606),
    [anon_sym_module] = ACTIONS(13606),
    [anon_sym_baremodule] = ACTIONS(13606),
    [anon_sym_end] = ACTIONS(13606),
    [anon_sym_abstract] = ACTIONS(13606),
    [anon_sym_primitive] = ACTIONS(13606),
    [anon_sym_mutable] = ACTIONS(13606),
    [anon_sym_struct] = ACTIONS(13606),
    [anon_sym_function] = ACTIONS(13606),
    [anon_sym_macro] = ACTIONS(13606),
    [anon_sym_where] = ACTIONS(13606),
    [anon_sym_quote] = ACTIONS(13606),
    [anon_sym_let] = ACTIONS(13606),
    [anon_sym_if] = ACTIONS(13606),
    [anon_sym_try] = ACTIONS(13606),
    [anon_sym_for] = ACTIONS(13606),
    [anon_sym_while] = ACTIONS(13606),
    [sym_break_statement] = ACTIONS(13606),
    [sym_continue_statement] = ACTIONS(13606),
    [anon_sym_return] = ACTIONS(13606),
    [anon_sym_const] = ACTIONS(13606),
    [anon_sym_global] = ACTIONS(13606),
    [anon_sym_local] = ACTIONS(13606),
    [anon_sym_LPAREN] = ACTIONS(13606),
    [anon_sym_COLON2] = ACTIONS(13606),
    [anon_sym_export] = ACTIONS(13606),
    [anon_sym_import] = ACTIONS(13606),
    [anon_sym_using] = ACTIONS(13606),
    [anon_sym_LBRACK] = ACTIONS(13606),
    [anon_sym_LF] = ACTIONS(13604),
    [anon_sym_in] = ACTIONS(13606),
    [anon_sym_LBRACE] = ACTIONS(13606),
    [anon_sym_DOLLAR] = ACTIONS(13606),
    [anon_sym_COLON_COLON] = ACTIONS(13606),
    [anon_sym_isa] = ACTIONS(13606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13606),
    [anon_sym_QMARK] = ACTIONS(13606),
    [anon_sym_AT] = ACTIONS(13606),
    [anon_sym_true] = ACTIONS(13606),
    [anon_sym_false] = ACTIONS(13606),
    [aux_sym_integer_literal_token1] = ACTIONS(13606),
    [aux_sym_integer_literal_token2] = ACTIONS(13606),
    [aux_sym_integer_literal_token3] = ACTIONS(13606),
    [aux_sym_integer_literal_token4] = ACTIONS(13606),
    [aux_sym_float_literal_token1] = ACTIONS(13606),
    [aux_sym_float_literal_token3] = ACTIONS(13606),
    [aux_sym_float_literal_token4] = ACTIONS(13606),
    [sym_character_literal] = ACTIONS(13606),
    [sym__pair_operator] = ACTIONS(13606),
    [sym__arrow_operator] = ACTIONS(13606),
    [sym__lazy_or_operator] = ACTIONS(13606),
    [sym__lazy_and_operator] = ACTIONS(13606),
    [sym__comparison_operator] = ACTIONS(13606),
    [sym__pipe_right_operator] = ACTIONS(13606),
    [sym__pipe_left_operator] = ACTIONS(13606),
    [sym__ellipsis_operator] = ACTIONS(13606),
    [sym__plus_operator] = ACTIONS(13606),
    [sym__times_operator] = ACTIONS(13606),
    [sym__rational_operator] = ACTIONS(13606),
    [sym__bitshift_operator] = ACTIONS(13606),
    [sym__power_operator] = ACTIONS(13606),
    [sym__tilde_operator] = ACTIONS(13606),
    [sym__type_order_operator] = ACTIONS(13606),
    [sym__unary_operator] = ACTIONS(13606),
    [sym__unary_plus_operator] = ACTIONS(13606),
    [aux_sym__terminator_token1] = ACTIONS(13606),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13604),
    [sym__command_start] = ACTIONS(13604),
  },
  [9068] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9069] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [9070] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14930),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14930),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9071] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(12644),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [9072] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14912),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14924),
    [sym__pipe_left_operator] = ACTIONS(14926),
    [sym__ellipsis_operator] = ACTIONS(14928),
    [sym__plus_operator] = ACTIONS(14930),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14930),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9073] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14912),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(14928),
    [sym__plus_operator] = ACTIONS(14930),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14930),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9074] = {
    [aux_sym_open_tuple_repeat1] = STATE(8122),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(14523),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [9075] = {
    [sym__word_identifier] = ACTIONS(14120),
    [anon_sym_EQ] = ACTIONS(14120),
    [anon_sym_COMMA] = ACTIONS(14120),
    [anon_sym_COLON] = ACTIONS(14120),
    [anon_sym_begin] = ACTIONS(14120),
    [anon_sym_module] = ACTIONS(14120),
    [anon_sym_baremodule] = ACTIONS(14120),
    [anon_sym_end] = ACTIONS(14120),
    [anon_sym_abstract] = ACTIONS(14120),
    [anon_sym_primitive] = ACTIONS(14120),
    [anon_sym_mutable] = ACTIONS(14120),
    [anon_sym_struct] = ACTIONS(14120),
    [anon_sym_function] = ACTIONS(14120),
    [anon_sym_macro] = ACTIONS(14120),
    [anon_sym_where] = ACTIONS(14120),
    [anon_sym_quote] = ACTIONS(14120),
    [anon_sym_let] = ACTIONS(14120),
    [anon_sym_if] = ACTIONS(14120),
    [anon_sym_try] = ACTIONS(14120),
    [anon_sym_for] = ACTIONS(14120),
    [anon_sym_while] = ACTIONS(14120),
    [sym_break_statement] = ACTIONS(14120),
    [sym_continue_statement] = ACTIONS(14120),
    [anon_sym_return] = ACTIONS(14120),
    [anon_sym_const] = ACTIONS(14120),
    [anon_sym_global] = ACTIONS(14120),
    [anon_sym_local] = ACTIONS(14120),
    [anon_sym_LPAREN] = ACTIONS(14120),
    [anon_sym_COLON2] = ACTIONS(14120),
    [anon_sym_export] = ACTIONS(14120),
    [anon_sym_import] = ACTIONS(14120),
    [anon_sym_using] = ACTIONS(14120),
    [anon_sym_LBRACK] = ACTIONS(14120),
    [anon_sym_LF] = ACTIONS(14118),
    [anon_sym_in] = ACTIONS(14120),
    [anon_sym_LBRACE] = ACTIONS(14120),
    [anon_sym_DOLLAR] = ACTIONS(14120),
    [anon_sym_COLON_COLON] = ACTIONS(14120),
    [anon_sym_isa] = ACTIONS(14120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14120),
    [anon_sym_QMARK] = ACTIONS(14120),
    [anon_sym_AT] = ACTIONS(14120),
    [anon_sym_true] = ACTIONS(14120),
    [anon_sym_false] = ACTIONS(14120),
    [aux_sym_integer_literal_token1] = ACTIONS(14120),
    [aux_sym_integer_literal_token2] = ACTIONS(14120),
    [aux_sym_integer_literal_token3] = ACTIONS(14120),
    [aux_sym_integer_literal_token4] = ACTIONS(14120),
    [aux_sym_float_literal_token1] = ACTIONS(14120),
    [aux_sym_float_literal_token3] = ACTIONS(14120),
    [aux_sym_float_literal_token4] = ACTIONS(14120),
    [sym_character_literal] = ACTIONS(14120),
    [sym__pair_operator] = ACTIONS(14120),
    [sym__arrow_operator] = ACTIONS(14120),
    [sym__lazy_or_operator] = ACTIONS(14120),
    [sym__lazy_and_operator] = ACTIONS(14120),
    [sym__comparison_operator] = ACTIONS(14120),
    [sym__pipe_right_operator] = ACTIONS(14120),
    [sym__pipe_left_operator] = ACTIONS(14120),
    [sym__ellipsis_operator] = ACTIONS(14120),
    [sym__plus_operator] = ACTIONS(14120),
    [sym__times_operator] = ACTIONS(14120),
    [sym__rational_operator] = ACTIONS(14120),
    [sym__bitshift_operator] = ACTIONS(14120),
    [sym__power_operator] = ACTIONS(14120),
    [sym__tilde_operator] = ACTIONS(14120),
    [sym__type_order_operator] = ACTIONS(14120),
    [sym__unary_operator] = ACTIONS(14120),
    [sym__unary_plus_operator] = ACTIONS(14120),
    [aux_sym__terminator_token1] = ACTIONS(14120),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14118),
    [sym__command_start] = ACTIONS(14118),
  },
  [9076] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [9077] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13394),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13394),
    [anon_sym_RPAREN] = ACTIONS(13394),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13394),
    [anon_sym_RBRACK] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13394),
    [anon_sym_RBRACE] = ACTIONS(13394),
    [anon_sym_DOLLAR] = ACTIONS(13394),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13394),
    [anon_sym_QMARK] = ACTIONS(13394),
    [anon_sym_AT] = ACTIONS(13394),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13394),
    [aux_sym_integer_literal_token2] = ACTIONS(13394),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13394),
    [aux_sym_float_literal_token3] = ACTIONS(13394),
    [aux_sym_float_literal_token4] = ACTIONS(13394),
    [sym_character_literal] = ACTIONS(13394),
    [sym__pair_operator] = ACTIONS(13394),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13394),
    [sym__lazy_and_operator] = ACTIONS(13394),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13394),
    [sym__pipe_left_operator] = ACTIONS(13394),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13394),
    [sym__bitshift_operator] = ACTIONS(13394),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13394),
    [sym__type_order_operator] = ACTIONS(13394),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [9078] = {
    [sym__word_identifier] = ACTIONS(13740),
    [anon_sym_EQ] = ACTIONS(13740),
    [anon_sym_COMMA] = ACTIONS(13740),
    [anon_sym_COLON] = ACTIONS(13740),
    [anon_sym_begin] = ACTIONS(13740),
    [anon_sym_module] = ACTIONS(13740),
    [anon_sym_baremodule] = ACTIONS(13740),
    [anon_sym_end] = ACTIONS(13740),
    [anon_sym_abstract] = ACTIONS(13740),
    [anon_sym_primitive] = ACTIONS(13740),
    [anon_sym_mutable] = ACTIONS(13740),
    [anon_sym_struct] = ACTIONS(13740),
    [anon_sym_function] = ACTIONS(13740),
    [anon_sym_macro] = ACTIONS(13740),
    [anon_sym_where] = ACTIONS(13740),
    [anon_sym_quote] = ACTIONS(13740),
    [anon_sym_let] = ACTIONS(13740),
    [anon_sym_if] = ACTIONS(13740),
    [anon_sym_try] = ACTIONS(13740),
    [anon_sym_for] = ACTIONS(13740),
    [anon_sym_while] = ACTIONS(13740),
    [sym_break_statement] = ACTIONS(13740),
    [sym_continue_statement] = ACTIONS(13740),
    [anon_sym_return] = ACTIONS(13740),
    [anon_sym_const] = ACTIONS(13740),
    [anon_sym_global] = ACTIONS(13740),
    [anon_sym_local] = ACTIONS(13740),
    [anon_sym_LPAREN] = ACTIONS(13740),
    [anon_sym_COLON2] = ACTIONS(13740),
    [anon_sym_export] = ACTIONS(13740),
    [anon_sym_import] = ACTIONS(13740),
    [anon_sym_using] = ACTIONS(13740),
    [anon_sym_LBRACK] = ACTIONS(13740),
    [anon_sym_LF] = ACTIONS(13742),
    [anon_sym_in] = ACTIONS(13740),
    [anon_sym_LBRACE] = ACTIONS(13740),
    [anon_sym_DOLLAR] = ACTIONS(13740),
    [anon_sym_COLON_COLON] = ACTIONS(13740),
    [anon_sym_isa] = ACTIONS(13740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13740),
    [anon_sym_QMARK] = ACTIONS(13740),
    [anon_sym_AT] = ACTIONS(13740),
    [anon_sym_true] = ACTIONS(13740),
    [anon_sym_false] = ACTIONS(13740),
    [aux_sym_integer_literal_token1] = ACTIONS(13740),
    [aux_sym_integer_literal_token2] = ACTIONS(13740),
    [aux_sym_integer_literal_token3] = ACTIONS(13740),
    [aux_sym_integer_literal_token4] = ACTIONS(13740),
    [aux_sym_float_literal_token1] = ACTIONS(13740),
    [aux_sym_float_literal_token3] = ACTIONS(13740),
    [aux_sym_float_literal_token4] = ACTIONS(13740),
    [sym_character_literal] = ACTIONS(13740),
    [sym__pair_operator] = ACTIONS(13740),
    [sym__arrow_operator] = ACTIONS(13740),
    [sym__lazy_or_operator] = ACTIONS(13740),
    [sym__lazy_and_operator] = ACTIONS(13740),
    [sym__comparison_operator] = ACTIONS(13740),
    [sym__pipe_right_operator] = ACTIONS(13740),
    [sym__pipe_left_operator] = ACTIONS(13740),
    [sym__ellipsis_operator] = ACTIONS(13740),
    [sym__plus_operator] = ACTIONS(13740),
    [sym__times_operator] = ACTIONS(13740),
    [sym__rational_operator] = ACTIONS(13740),
    [sym__bitshift_operator] = ACTIONS(13740),
    [sym__power_operator] = ACTIONS(13740),
    [sym__tilde_operator] = ACTIONS(13740),
    [sym__type_order_operator] = ACTIONS(13740),
    [sym__unary_operator] = ACTIONS(13740),
    [sym__unary_plus_operator] = ACTIONS(13740),
    [aux_sym__terminator_token1] = ACTIONS(13740),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13742),
    [sym__command_start] = ACTIONS(13742),
  },
  [9079] = {
    [sym__word_identifier] = ACTIONS(13500),
    [anon_sym_EQ] = ACTIONS(13500),
    [anon_sym_COMMA] = ACTIONS(13500),
    [anon_sym_COLON] = ACTIONS(13500),
    [anon_sym_begin] = ACTIONS(13500),
    [anon_sym_module] = ACTIONS(13500),
    [anon_sym_baremodule] = ACTIONS(13500),
    [anon_sym_end] = ACTIONS(13500),
    [anon_sym_abstract] = ACTIONS(13500),
    [anon_sym_primitive] = ACTIONS(13500),
    [anon_sym_mutable] = ACTIONS(13500),
    [anon_sym_struct] = ACTIONS(13500),
    [anon_sym_function] = ACTIONS(13500),
    [anon_sym_macro] = ACTIONS(13500),
    [anon_sym_where] = ACTIONS(13500),
    [anon_sym_quote] = ACTIONS(13500),
    [anon_sym_let] = ACTIONS(13500),
    [anon_sym_if] = ACTIONS(13500),
    [anon_sym_try] = ACTIONS(13500),
    [anon_sym_for] = ACTIONS(13500),
    [anon_sym_while] = ACTIONS(13500),
    [sym_break_statement] = ACTIONS(13500),
    [sym_continue_statement] = ACTIONS(13500),
    [anon_sym_return] = ACTIONS(13500),
    [anon_sym_const] = ACTIONS(13500),
    [anon_sym_global] = ACTIONS(13500),
    [anon_sym_local] = ACTIONS(13500),
    [anon_sym_LPAREN] = ACTIONS(13500),
    [anon_sym_COLON2] = ACTIONS(13500),
    [anon_sym_export] = ACTIONS(13500),
    [anon_sym_import] = ACTIONS(13500),
    [anon_sym_using] = ACTIONS(13500),
    [anon_sym_LBRACK] = ACTIONS(13500),
    [anon_sym_LF] = ACTIONS(13498),
    [anon_sym_in] = ACTIONS(13500),
    [anon_sym_LBRACE] = ACTIONS(13500),
    [anon_sym_DOLLAR] = ACTIONS(13500),
    [anon_sym_COLON_COLON] = ACTIONS(13500),
    [anon_sym_isa] = ACTIONS(13500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13500),
    [anon_sym_QMARK] = ACTIONS(13500),
    [anon_sym_AT] = ACTIONS(13500),
    [anon_sym_true] = ACTIONS(13500),
    [anon_sym_false] = ACTIONS(13500),
    [aux_sym_integer_literal_token1] = ACTIONS(13500),
    [aux_sym_integer_literal_token2] = ACTIONS(13500),
    [aux_sym_integer_literal_token3] = ACTIONS(13500),
    [aux_sym_integer_literal_token4] = ACTIONS(13500),
    [aux_sym_float_literal_token1] = ACTIONS(13500),
    [aux_sym_float_literal_token3] = ACTIONS(13500),
    [aux_sym_float_literal_token4] = ACTIONS(13500),
    [sym_character_literal] = ACTIONS(13500),
    [sym__pair_operator] = ACTIONS(13500),
    [sym__arrow_operator] = ACTIONS(13500),
    [sym__lazy_or_operator] = ACTIONS(13500),
    [sym__lazy_and_operator] = ACTIONS(13500),
    [sym__comparison_operator] = ACTIONS(13500),
    [sym__pipe_right_operator] = ACTIONS(13500),
    [sym__pipe_left_operator] = ACTIONS(13500),
    [sym__ellipsis_operator] = ACTIONS(13500),
    [sym__plus_operator] = ACTIONS(13500),
    [sym__times_operator] = ACTIONS(13500),
    [sym__rational_operator] = ACTIONS(13500),
    [sym__bitshift_operator] = ACTIONS(13500),
    [sym__power_operator] = ACTIONS(13500),
    [sym__tilde_operator] = ACTIONS(13500),
    [sym__type_order_operator] = ACTIONS(13500),
    [sym__unary_operator] = ACTIONS(13500),
    [sym__unary_plus_operator] = ACTIONS(13500),
    [aux_sym__terminator_token1] = ACTIONS(13500),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13498),
    [sym__command_start] = ACTIONS(13498),
  },
  [9080] = {
    [sym__word_identifier] = ACTIONS(13736),
    [anon_sym_EQ] = ACTIONS(13736),
    [anon_sym_COMMA] = ACTIONS(13736),
    [anon_sym_COLON] = ACTIONS(13736),
    [anon_sym_begin] = ACTIONS(13736),
    [anon_sym_module] = ACTIONS(13736),
    [anon_sym_baremodule] = ACTIONS(13736),
    [anon_sym_end] = ACTIONS(13736),
    [anon_sym_abstract] = ACTIONS(13736),
    [anon_sym_primitive] = ACTIONS(13736),
    [anon_sym_mutable] = ACTIONS(13736),
    [anon_sym_struct] = ACTIONS(13736),
    [anon_sym_function] = ACTIONS(13736),
    [anon_sym_macro] = ACTIONS(13736),
    [anon_sym_where] = ACTIONS(13736),
    [anon_sym_quote] = ACTIONS(13736),
    [anon_sym_let] = ACTIONS(13736),
    [anon_sym_if] = ACTIONS(13736),
    [anon_sym_try] = ACTIONS(13736),
    [anon_sym_for] = ACTIONS(13736),
    [anon_sym_while] = ACTIONS(13736),
    [sym_break_statement] = ACTIONS(13736),
    [sym_continue_statement] = ACTIONS(13736),
    [anon_sym_return] = ACTIONS(13736),
    [anon_sym_const] = ACTIONS(13736),
    [anon_sym_global] = ACTIONS(13736),
    [anon_sym_local] = ACTIONS(13736),
    [anon_sym_LPAREN] = ACTIONS(13736),
    [anon_sym_COLON2] = ACTIONS(13736),
    [anon_sym_export] = ACTIONS(13736),
    [anon_sym_import] = ACTIONS(13736),
    [anon_sym_using] = ACTIONS(13736),
    [anon_sym_LBRACK] = ACTIONS(13736),
    [anon_sym_LF] = ACTIONS(13738),
    [anon_sym_in] = ACTIONS(13736),
    [anon_sym_LBRACE] = ACTIONS(13736),
    [anon_sym_DOLLAR] = ACTIONS(13736),
    [anon_sym_COLON_COLON] = ACTIONS(13736),
    [anon_sym_isa] = ACTIONS(13736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13736),
    [anon_sym_QMARK] = ACTIONS(13736),
    [anon_sym_AT] = ACTIONS(13736),
    [anon_sym_true] = ACTIONS(13736),
    [anon_sym_false] = ACTIONS(13736),
    [aux_sym_integer_literal_token1] = ACTIONS(13736),
    [aux_sym_integer_literal_token2] = ACTIONS(13736),
    [aux_sym_integer_literal_token3] = ACTIONS(13736),
    [aux_sym_integer_literal_token4] = ACTIONS(13736),
    [aux_sym_float_literal_token1] = ACTIONS(13736),
    [aux_sym_float_literal_token3] = ACTIONS(13736),
    [aux_sym_float_literal_token4] = ACTIONS(13736),
    [sym_character_literal] = ACTIONS(13736),
    [sym__pair_operator] = ACTIONS(13736),
    [sym__arrow_operator] = ACTIONS(13736),
    [sym__lazy_or_operator] = ACTIONS(13736),
    [sym__lazy_and_operator] = ACTIONS(13736),
    [sym__comparison_operator] = ACTIONS(13736),
    [sym__pipe_right_operator] = ACTIONS(13736),
    [sym__pipe_left_operator] = ACTIONS(13736),
    [sym__ellipsis_operator] = ACTIONS(13736),
    [sym__plus_operator] = ACTIONS(13736),
    [sym__times_operator] = ACTIONS(13736),
    [sym__rational_operator] = ACTIONS(13736),
    [sym__bitshift_operator] = ACTIONS(13736),
    [sym__power_operator] = ACTIONS(13736),
    [sym__tilde_operator] = ACTIONS(13736),
    [sym__type_order_operator] = ACTIONS(13736),
    [sym__unary_operator] = ACTIONS(13736),
    [sym__unary_plus_operator] = ACTIONS(13736),
    [aux_sym__terminator_token1] = ACTIONS(13736),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13738),
    [sym__command_start] = ACTIONS(13738),
  },
  [9081] = {
    [aux_sym_open_tuple_repeat1] = STATE(9112),
    [sym__word_identifier] = ACTIONS(12968),
    [anon_sym_EQ] = ACTIONS(12968),
    [anon_sym_COMMA] = ACTIONS(14786),
    [anon_sym_COLON] = ACTIONS(12968),
    [anon_sym_begin] = ACTIONS(12968),
    [anon_sym_module] = ACTIONS(12968),
    [anon_sym_baremodule] = ACTIONS(12968),
    [anon_sym_abstract] = ACTIONS(12968),
    [anon_sym_primitive] = ACTIONS(12968),
    [anon_sym_mutable] = ACTIONS(12968),
    [anon_sym_struct] = ACTIONS(12968),
    [anon_sym_function] = ACTIONS(12968),
    [anon_sym_macro] = ACTIONS(12968),
    [anon_sym_where] = ACTIONS(12968),
    [anon_sym_quote] = ACTIONS(12968),
    [anon_sym_let] = ACTIONS(12968),
    [anon_sym_if] = ACTIONS(12968),
    [anon_sym_try] = ACTIONS(12968),
    [anon_sym_for] = ACTIONS(12968),
    [anon_sym_while] = ACTIONS(12968),
    [sym_break_statement] = ACTIONS(12968),
    [sym_continue_statement] = ACTIONS(12968),
    [anon_sym_return] = ACTIONS(12968),
    [anon_sym_const] = ACTIONS(12968),
    [anon_sym_global] = ACTIONS(12968),
    [anon_sym_local] = ACTIONS(12968),
    [anon_sym_LPAREN] = ACTIONS(12972),
    [anon_sym_RPAREN] = ACTIONS(12972),
    [anon_sym_COLON2] = ACTIONS(12968),
    [anon_sym_export] = ACTIONS(12968),
    [anon_sym_import] = ACTIONS(12968),
    [anon_sym_using] = ACTIONS(12968),
    [anon_sym_LBRACK] = ACTIONS(12972),
    [anon_sym_in] = ACTIONS(12968),
    [anon_sym_SEMI] = ACTIONS(12972),
    [anon_sym_LBRACE] = ACTIONS(12972),
    [anon_sym_DOLLAR] = ACTIONS(12972),
    [anon_sym_COLON_COLON] = ACTIONS(12972),
    [anon_sym_isa] = ACTIONS(12968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12972),
    [anon_sym_QMARK] = ACTIONS(12972),
    [anon_sym_AT] = ACTIONS(12972),
    [anon_sym_true] = ACTIONS(12968),
    [anon_sym_false] = ACTIONS(12968),
    [aux_sym_integer_literal_token1] = ACTIONS(12972),
    [aux_sym_integer_literal_token2] = ACTIONS(12972),
    [aux_sym_integer_literal_token3] = ACTIONS(12968),
    [aux_sym_integer_literal_token4] = ACTIONS(12968),
    [aux_sym_float_literal_token1] = ACTIONS(12972),
    [aux_sym_float_literal_token3] = ACTIONS(12972),
    [aux_sym_float_literal_token4] = ACTIONS(12972),
    [sym_character_literal] = ACTIONS(12972),
    [sym__pair_operator] = ACTIONS(12972),
    [sym__arrow_operator] = ACTIONS(12968),
    [sym__lazy_or_operator] = ACTIONS(12972),
    [sym__lazy_and_operator] = ACTIONS(12972),
    [sym__comparison_operator] = ACTIONS(12968),
    [sym__pipe_right_operator] = ACTIONS(12972),
    [sym__pipe_left_operator] = ACTIONS(12972),
    [sym__ellipsis_operator] = ACTIONS(12968),
    [sym__plus_operator] = ACTIONS(12968),
    [sym__times_operator] = ACTIONS(12968),
    [sym__rational_operator] = ACTIONS(12972),
    [sym__bitshift_operator] = ACTIONS(12972),
    [sym__power_operator] = ACTIONS(12972),
    [sym__tilde_operator] = ACTIONS(12972),
    [sym__type_order_operator] = ACTIONS(12972),
    [sym__unary_operator] = ACTIONS(12968),
    [sym__unary_plus_operator] = ACTIONS(12968),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12972),
    [sym__command_start] = ACTIONS(12972),
  },
  [9082] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14910),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14912),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14914),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(14914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(14914),
    [sym__pipe_right_operator] = ACTIONS(14924),
    [sym__pipe_left_operator] = ACTIONS(14926),
    [sym__ellipsis_operator] = ACTIONS(14928),
    [sym__plus_operator] = ACTIONS(14930),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14914),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14930),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9083] = {
    [sym__word_identifier] = ACTIONS(14170),
    [anon_sym_EQ] = ACTIONS(14170),
    [anon_sym_COMMA] = ACTIONS(14170),
    [anon_sym_COLON] = ACTIONS(14170),
    [anon_sym_begin] = ACTIONS(14170),
    [anon_sym_module] = ACTIONS(14170),
    [anon_sym_baremodule] = ACTIONS(14170),
    [anon_sym_end] = ACTIONS(14170),
    [anon_sym_abstract] = ACTIONS(14170),
    [anon_sym_primitive] = ACTIONS(14170),
    [anon_sym_mutable] = ACTIONS(14170),
    [anon_sym_struct] = ACTIONS(14170),
    [anon_sym_function] = ACTIONS(14170),
    [anon_sym_macro] = ACTIONS(14170),
    [anon_sym_where] = ACTIONS(14170),
    [anon_sym_quote] = ACTIONS(14170),
    [anon_sym_let] = ACTIONS(14170),
    [anon_sym_if] = ACTIONS(14170),
    [anon_sym_try] = ACTIONS(14170),
    [anon_sym_for] = ACTIONS(14170),
    [anon_sym_while] = ACTIONS(14170),
    [sym_break_statement] = ACTIONS(14170),
    [sym_continue_statement] = ACTIONS(14170),
    [anon_sym_return] = ACTIONS(14170),
    [anon_sym_const] = ACTIONS(14170),
    [anon_sym_global] = ACTIONS(14170),
    [anon_sym_local] = ACTIONS(14170),
    [anon_sym_LPAREN] = ACTIONS(14170),
    [anon_sym_COLON2] = ACTIONS(14170),
    [anon_sym_export] = ACTIONS(14170),
    [anon_sym_import] = ACTIONS(14170),
    [anon_sym_using] = ACTIONS(14170),
    [anon_sym_LBRACK] = ACTIONS(14170),
    [anon_sym_LF] = ACTIONS(14172),
    [anon_sym_in] = ACTIONS(14170),
    [anon_sym_LBRACE] = ACTIONS(14170),
    [anon_sym_DOLLAR] = ACTIONS(14170),
    [anon_sym_COLON_COLON] = ACTIONS(14170),
    [anon_sym_isa] = ACTIONS(14170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14170),
    [anon_sym_QMARK] = ACTIONS(14170),
    [anon_sym_AT] = ACTIONS(14170),
    [anon_sym_true] = ACTIONS(14170),
    [anon_sym_false] = ACTIONS(14170),
    [aux_sym_integer_literal_token1] = ACTIONS(14170),
    [aux_sym_integer_literal_token2] = ACTIONS(14170),
    [aux_sym_integer_literal_token3] = ACTIONS(14170),
    [aux_sym_integer_literal_token4] = ACTIONS(14170),
    [aux_sym_float_literal_token1] = ACTIONS(14170),
    [aux_sym_float_literal_token3] = ACTIONS(14170),
    [aux_sym_float_literal_token4] = ACTIONS(14170),
    [sym_character_literal] = ACTIONS(14170),
    [sym__pair_operator] = ACTIONS(14170),
    [sym__arrow_operator] = ACTIONS(14170),
    [sym__lazy_or_operator] = ACTIONS(14170),
    [sym__lazy_and_operator] = ACTIONS(14170),
    [sym__comparison_operator] = ACTIONS(14170),
    [sym__pipe_right_operator] = ACTIONS(14170),
    [sym__pipe_left_operator] = ACTIONS(14170),
    [sym__ellipsis_operator] = ACTIONS(14170),
    [sym__plus_operator] = ACTIONS(14170),
    [sym__times_operator] = ACTIONS(14170),
    [sym__rational_operator] = ACTIONS(14170),
    [sym__bitshift_operator] = ACTIONS(14170),
    [sym__power_operator] = ACTIONS(14170),
    [sym__tilde_operator] = ACTIONS(14170),
    [sym__type_order_operator] = ACTIONS(14170),
    [sym__unary_operator] = ACTIONS(14170),
    [sym__unary_plus_operator] = ACTIONS(14170),
    [aux_sym__terminator_token1] = ACTIONS(14170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14172),
    [sym__command_start] = ACTIONS(14172),
  },
  [9084] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14910),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14912),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14914),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(14914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(14922),
    [sym__comparison_operator] = ACTIONS(14914),
    [sym__pipe_right_operator] = ACTIONS(14924),
    [sym__pipe_left_operator] = ACTIONS(14926),
    [sym__ellipsis_operator] = ACTIONS(14928),
    [sym__plus_operator] = ACTIONS(14930),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14914),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14930),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9085] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14910),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14912),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14914),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(14914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(14918),
    [sym__lazy_or_operator] = ACTIONS(14920),
    [sym__lazy_and_operator] = ACTIONS(14922),
    [sym__comparison_operator] = ACTIONS(14914),
    [sym__pipe_right_operator] = ACTIONS(14924),
    [sym__pipe_left_operator] = ACTIONS(14926),
    [sym__ellipsis_operator] = ACTIONS(14928),
    [sym__plus_operator] = ACTIONS(14930),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14914),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14930),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9086] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_RPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_SEMI] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [9087] = {
    [sym__word_identifier] = ACTIONS(13828),
    [anon_sym_EQ] = ACTIONS(13828),
    [anon_sym_COMMA] = ACTIONS(13828),
    [anon_sym_COLON] = ACTIONS(13828),
    [anon_sym_begin] = ACTIONS(13828),
    [anon_sym_module] = ACTIONS(13828),
    [anon_sym_baremodule] = ACTIONS(13828),
    [anon_sym_end] = ACTIONS(13828),
    [anon_sym_abstract] = ACTIONS(13828),
    [anon_sym_primitive] = ACTIONS(13828),
    [anon_sym_mutable] = ACTIONS(13828),
    [anon_sym_struct] = ACTIONS(13828),
    [anon_sym_function] = ACTIONS(13828),
    [anon_sym_macro] = ACTIONS(13828),
    [anon_sym_where] = ACTIONS(13828),
    [anon_sym_quote] = ACTIONS(13828),
    [anon_sym_let] = ACTIONS(13828),
    [anon_sym_if] = ACTIONS(13828),
    [anon_sym_try] = ACTIONS(13828),
    [anon_sym_for] = ACTIONS(13828),
    [anon_sym_while] = ACTIONS(13828),
    [sym_break_statement] = ACTIONS(13828),
    [sym_continue_statement] = ACTIONS(13828),
    [anon_sym_return] = ACTIONS(13828),
    [anon_sym_const] = ACTIONS(13828),
    [anon_sym_global] = ACTIONS(13828),
    [anon_sym_local] = ACTIONS(13828),
    [anon_sym_LPAREN] = ACTIONS(13828),
    [anon_sym_COLON2] = ACTIONS(13828),
    [anon_sym_export] = ACTIONS(13828),
    [anon_sym_import] = ACTIONS(13828),
    [anon_sym_using] = ACTIONS(13828),
    [anon_sym_LBRACK] = ACTIONS(13828),
    [anon_sym_LF] = ACTIONS(13830),
    [anon_sym_in] = ACTIONS(13828),
    [anon_sym_LBRACE] = ACTIONS(13828),
    [anon_sym_DOLLAR] = ACTIONS(13828),
    [anon_sym_COLON_COLON] = ACTIONS(13828),
    [anon_sym_isa] = ACTIONS(13828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13828),
    [anon_sym_QMARK] = ACTIONS(13828),
    [anon_sym_AT] = ACTIONS(13828),
    [anon_sym_true] = ACTIONS(13828),
    [anon_sym_false] = ACTIONS(13828),
    [aux_sym_integer_literal_token1] = ACTIONS(13828),
    [aux_sym_integer_literal_token2] = ACTIONS(13828),
    [aux_sym_integer_literal_token3] = ACTIONS(13828),
    [aux_sym_integer_literal_token4] = ACTIONS(13828),
    [aux_sym_float_literal_token1] = ACTIONS(13828),
    [aux_sym_float_literal_token3] = ACTIONS(13828),
    [aux_sym_float_literal_token4] = ACTIONS(13828),
    [sym_character_literal] = ACTIONS(13828),
    [sym__pair_operator] = ACTIONS(13828),
    [sym__arrow_operator] = ACTIONS(13828),
    [sym__lazy_or_operator] = ACTIONS(13828),
    [sym__lazy_and_operator] = ACTIONS(13828),
    [sym__comparison_operator] = ACTIONS(13828),
    [sym__pipe_right_operator] = ACTIONS(13828),
    [sym__pipe_left_operator] = ACTIONS(13828),
    [sym__ellipsis_operator] = ACTIONS(13828),
    [sym__plus_operator] = ACTIONS(13828),
    [sym__times_operator] = ACTIONS(13828),
    [sym__rational_operator] = ACTIONS(13828),
    [sym__bitshift_operator] = ACTIONS(13828),
    [sym__power_operator] = ACTIONS(13828),
    [sym__tilde_operator] = ACTIONS(13828),
    [sym__type_order_operator] = ACTIONS(13828),
    [sym__unary_operator] = ACTIONS(13828),
    [sym__unary_plus_operator] = ACTIONS(13828),
    [aux_sym__terminator_token1] = ACTIONS(13828),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13830),
    [sym__command_start] = ACTIONS(13830),
  },
  [9088] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14910),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14912),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14914),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(14914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(14661),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(14916),
    [sym__arrow_operator] = ACTIONS(14918),
    [sym__lazy_or_operator] = ACTIONS(14920),
    [sym__lazy_and_operator] = ACTIONS(14922),
    [sym__comparison_operator] = ACTIONS(14914),
    [sym__pipe_right_operator] = ACTIONS(14924),
    [sym__pipe_left_operator] = ACTIONS(14926),
    [sym__ellipsis_operator] = ACTIONS(14928),
    [sym__plus_operator] = ACTIONS(14930),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14914),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14930),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9089] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_catch] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14912),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14924),
    [sym__pipe_left_operator] = ACTIONS(14926),
    [sym__ellipsis_operator] = ACTIONS(14928),
    [sym__plus_operator] = ACTIONS(14930),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14930),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9090] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_catch] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14930),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14930),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9091] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_EQ] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9092] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9093] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14635),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9094] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9095] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9096] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9097] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9098] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9099] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_catch] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(14912),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(14914),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13353),
    [anon_sym_isa] = ACTIONS(14914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13355),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(14914),
    [sym__pipe_right_operator] = ACTIONS(14924),
    [sym__pipe_left_operator] = ACTIONS(14926),
    [sym__ellipsis_operator] = ACTIONS(14928),
    [sym__plus_operator] = ACTIONS(14930),
    [sym__times_operator] = ACTIONS(14932),
    [sym__rational_operator] = ACTIONS(14934),
    [sym__bitshift_operator] = ACTIONS(14936),
    [sym__power_operator] = ACTIONS(14876),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(14914),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14930),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9100] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_EQ] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14635),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9101] = {
    [sym__word_identifier] = ACTIONS(13478),
    [anon_sym_EQ] = ACTIONS(13478),
    [anon_sym_COMMA] = ACTIONS(13478),
    [anon_sym_COLON] = ACTIONS(13478),
    [anon_sym_begin] = ACTIONS(13478),
    [anon_sym_module] = ACTIONS(13478),
    [anon_sym_baremodule] = ACTIONS(13478),
    [anon_sym_end] = ACTIONS(13478),
    [anon_sym_abstract] = ACTIONS(13478),
    [anon_sym_primitive] = ACTIONS(13478),
    [anon_sym_mutable] = ACTIONS(13478),
    [anon_sym_struct] = ACTIONS(13478),
    [anon_sym_function] = ACTIONS(13478),
    [anon_sym_macro] = ACTIONS(13478),
    [anon_sym_where] = ACTIONS(13478),
    [anon_sym_quote] = ACTIONS(13478),
    [anon_sym_let] = ACTIONS(13478),
    [anon_sym_if] = ACTIONS(13478),
    [anon_sym_try] = ACTIONS(13478),
    [anon_sym_for] = ACTIONS(13478),
    [anon_sym_while] = ACTIONS(13478),
    [sym_break_statement] = ACTIONS(13478),
    [sym_continue_statement] = ACTIONS(13478),
    [anon_sym_return] = ACTIONS(13478),
    [anon_sym_const] = ACTIONS(13478),
    [anon_sym_global] = ACTIONS(13478),
    [anon_sym_local] = ACTIONS(13478),
    [anon_sym_LPAREN] = ACTIONS(13478),
    [anon_sym_COLON2] = ACTIONS(13478),
    [anon_sym_export] = ACTIONS(13478),
    [anon_sym_import] = ACTIONS(13478),
    [anon_sym_using] = ACTIONS(13478),
    [anon_sym_LBRACK] = ACTIONS(13478),
    [anon_sym_LF] = ACTIONS(13476),
    [anon_sym_in] = ACTIONS(13478),
    [anon_sym_LBRACE] = ACTIONS(13478),
    [anon_sym_DOLLAR] = ACTIONS(13478),
    [anon_sym_COLON_COLON] = ACTIONS(13478),
    [anon_sym_isa] = ACTIONS(13478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13478),
    [anon_sym_QMARK] = ACTIONS(13478),
    [anon_sym_AT] = ACTIONS(13478),
    [anon_sym_true] = ACTIONS(13478),
    [anon_sym_false] = ACTIONS(13478),
    [aux_sym_integer_literal_token1] = ACTIONS(13478),
    [aux_sym_integer_literal_token2] = ACTIONS(13478),
    [aux_sym_integer_literal_token3] = ACTIONS(13478),
    [aux_sym_integer_literal_token4] = ACTIONS(13478),
    [aux_sym_float_literal_token1] = ACTIONS(13478),
    [aux_sym_float_literal_token3] = ACTIONS(13478),
    [aux_sym_float_literal_token4] = ACTIONS(13478),
    [sym_character_literal] = ACTIONS(13478),
    [sym__pair_operator] = ACTIONS(13478),
    [sym__arrow_operator] = ACTIONS(13478),
    [sym__lazy_or_operator] = ACTIONS(13478),
    [sym__lazy_and_operator] = ACTIONS(13478),
    [sym__comparison_operator] = ACTIONS(13478),
    [sym__pipe_right_operator] = ACTIONS(13478),
    [sym__pipe_left_operator] = ACTIONS(13478),
    [sym__ellipsis_operator] = ACTIONS(13478),
    [sym__plus_operator] = ACTIONS(13478),
    [sym__times_operator] = ACTIONS(13478),
    [sym__rational_operator] = ACTIONS(13478),
    [sym__bitshift_operator] = ACTIONS(13478),
    [sym__power_operator] = ACTIONS(13478),
    [sym__tilde_operator] = ACTIONS(13478),
    [sym__type_order_operator] = ACTIONS(13478),
    [sym__unary_operator] = ACTIONS(13478),
    [sym__unary_plus_operator] = ACTIONS(13478),
    [aux_sym__terminator_token1] = ACTIONS(13478),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13476),
    [sym__command_start] = ACTIONS(13476),
  },
  [9102] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(14874),
    [anon_sym_COMMA] = ACTIONS(13054),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_end] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13054),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13054),
    [anon_sym_LF] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_LBRACE] = ACTIONS(13054),
    [anon_sym_DOLLAR] = ACTIONS(13054),
    [anon_sym_COLON_COLON] = ACTIONS(13054),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13054),
    [anon_sym_QMARK] = ACTIONS(13054),
    [anon_sym_AT] = ACTIONS(13054),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13054),
    [aux_sym_integer_literal_token2] = ACTIONS(13054),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13054),
    [aux_sym_float_literal_token3] = ACTIONS(13054),
    [aux_sym_float_literal_token4] = ACTIONS(13054),
    [sym_character_literal] = ACTIONS(13054),
    [sym__pair_operator] = ACTIONS(13054),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13054),
    [sym__lazy_and_operator] = ACTIONS(13054),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13054),
    [sym__pipe_left_operator] = ACTIONS(13054),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13054),
    [sym__bitshift_operator] = ACTIONS(13054),
    [sym__power_operator] = ACTIONS(13054),
    [sym__tilde_operator] = ACTIONS(13054),
    [sym__type_order_operator] = ACTIONS(13054),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [aux_sym__terminator_token1] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [9103] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(12644),
    [anon_sym_COMMA] = ACTIONS(13092),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(13092),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13092),
    [anon_sym_QMARK] = ACTIONS(13092),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(13092),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13092),
    [sym__lazy_and_operator] = ACTIONS(13092),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13092),
    [sym__pipe_left_operator] = ACTIONS(13092),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13092),
    [sym__bitshift_operator] = ACTIONS(13092),
    [sym__power_operator] = ACTIONS(13092),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(13092),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [9104] = {
    [aux_sym_open_tuple_repeat1] = STATE(8122),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(14523),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_end] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13092),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13092),
    [anon_sym_LF] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13092),
    [anon_sym_DOLLAR] = ACTIONS(13092),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(13092),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13092),
    [aux_sym_integer_literal_token2] = ACTIONS(13092),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13092),
    [aux_sym_float_literal_token3] = ACTIONS(13092),
    [aux_sym_float_literal_token4] = ACTIONS(13092),
    [sym_character_literal] = ACTIONS(13092),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13092),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [9105] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [9106] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(12644),
    [anon_sym_COMMA] = ACTIONS(13102),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(13102),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13102),
    [anon_sym_QMARK] = ACTIONS(13102),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(13102),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13102),
    [sym__lazy_and_operator] = ACTIONS(13102),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13102),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13102),
    [sym__bitshift_operator] = ACTIONS(13102),
    [sym__power_operator] = ACTIONS(13102),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(13102),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [9107] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(14738),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9108] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(12710),
    [anon_sym_COMMA] = ACTIONS(13122),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13122),
    [anon_sym_RPAREN] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13122),
    [anon_sym_LF] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_SEMI] = ACTIONS(13122),
    [anon_sym_LBRACE] = ACTIONS(13122),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON_COLON] = ACTIONS(13122),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13122),
    [anon_sym_QMARK] = ACTIONS(13122),
    [anon_sym_AT] = ACTIONS(13122),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13122),
    [aux_sym_integer_literal_token2] = ACTIONS(13122),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13122),
    [aux_sym_float_literal_token3] = ACTIONS(13122),
    [aux_sym_float_literal_token4] = ACTIONS(13122),
    [sym_character_literal] = ACTIONS(13122),
    [sym__pair_operator] = ACTIONS(13122),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13122),
    [sym__lazy_and_operator] = ACTIONS(13122),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13122),
    [sym__pipe_left_operator] = ACTIONS(13122),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13122),
    [sym__bitshift_operator] = ACTIONS(13122),
    [sym__power_operator] = ACTIONS(13122),
    [sym__tilde_operator] = ACTIONS(13122),
    [sym__type_order_operator] = ACTIONS(13122),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [9109] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13957),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13238),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13238),
    [anon_sym_RBRACK] = ACTIONS(13238),
    [anon_sym_LF] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(13238),
    [anon_sym_DOLLAR] = ACTIONS(13238),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(13238),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13238),
    [aux_sym_integer_literal_token2] = ACTIONS(13238),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13238),
    [aux_sym_float_literal_token3] = ACTIONS(13238),
    [aux_sym_float_literal_token4] = ACTIONS(13238),
    [sym_character_literal] = ACTIONS(13238),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(13238),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(13238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [9110] = {
    [sym__word_identifier] = ACTIONS(13690),
    [anon_sym_EQ] = ACTIONS(13690),
    [anon_sym_COMMA] = ACTIONS(13690),
    [anon_sym_COLON] = ACTIONS(13690),
    [anon_sym_begin] = ACTIONS(13690),
    [anon_sym_module] = ACTIONS(13690),
    [anon_sym_baremodule] = ACTIONS(13690),
    [anon_sym_end] = ACTIONS(13690),
    [anon_sym_abstract] = ACTIONS(13690),
    [anon_sym_primitive] = ACTIONS(13690),
    [anon_sym_mutable] = ACTIONS(13690),
    [anon_sym_struct] = ACTIONS(13690),
    [anon_sym_function] = ACTIONS(13690),
    [anon_sym_macro] = ACTIONS(13690),
    [anon_sym_where] = ACTIONS(13690),
    [anon_sym_quote] = ACTIONS(13690),
    [anon_sym_let] = ACTIONS(13690),
    [anon_sym_if] = ACTIONS(13690),
    [anon_sym_try] = ACTIONS(13690),
    [anon_sym_for] = ACTIONS(13690),
    [anon_sym_while] = ACTIONS(13690),
    [sym_break_statement] = ACTIONS(13690),
    [sym_continue_statement] = ACTIONS(13690),
    [anon_sym_return] = ACTIONS(13690),
    [anon_sym_const] = ACTIONS(13690),
    [anon_sym_global] = ACTIONS(13690),
    [anon_sym_local] = ACTIONS(13690),
    [anon_sym_LPAREN] = ACTIONS(13690),
    [anon_sym_COLON2] = ACTIONS(13690),
    [anon_sym_export] = ACTIONS(13690),
    [anon_sym_import] = ACTIONS(13690),
    [anon_sym_using] = ACTIONS(13690),
    [anon_sym_LBRACK] = ACTIONS(13690),
    [anon_sym_LF] = ACTIONS(13692),
    [anon_sym_in] = ACTIONS(13690),
    [anon_sym_LBRACE] = ACTIONS(13690),
    [anon_sym_DOLLAR] = ACTIONS(13690),
    [anon_sym_COLON_COLON] = ACTIONS(13690),
    [anon_sym_isa] = ACTIONS(13690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13690),
    [anon_sym_QMARK] = ACTIONS(13690),
    [anon_sym_AT] = ACTIONS(13690),
    [anon_sym_true] = ACTIONS(13690),
    [anon_sym_false] = ACTIONS(13690),
    [aux_sym_integer_literal_token1] = ACTIONS(13690),
    [aux_sym_integer_literal_token2] = ACTIONS(13690),
    [aux_sym_integer_literal_token3] = ACTIONS(13690),
    [aux_sym_integer_literal_token4] = ACTIONS(13690),
    [aux_sym_float_literal_token1] = ACTIONS(13690),
    [aux_sym_float_literal_token3] = ACTIONS(13690),
    [aux_sym_float_literal_token4] = ACTIONS(13690),
    [sym_character_literal] = ACTIONS(13690),
    [sym__pair_operator] = ACTIONS(13690),
    [sym__arrow_operator] = ACTIONS(13690),
    [sym__lazy_or_operator] = ACTIONS(13690),
    [sym__lazy_and_operator] = ACTIONS(13690),
    [sym__comparison_operator] = ACTIONS(13690),
    [sym__pipe_right_operator] = ACTIONS(13690),
    [sym__pipe_left_operator] = ACTIONS(13690),
    [sym__ellipsis_operator] = ACTIONS(13690),
    [sym__plus_operator] = ACTIONS(13690),
    [sym__times_operator] = ACTIONS(13690),
    [sym__rational_operator] = ACTIONS(13690),
    [sym__bitshift_operator] = ACTIONS(13690),
    [sym__power_operator] = ACTIONS(13690),
    [sym__tilde_operator] = ACTIONS(13690),
    [sym__type_order_operator] = ACTIONS(13690),
    [sym__unary_operator] = ACTIONS(13690),
    [sym__unary_plus_operator] = ACTIONS(13690),
    [aux_sym__terminator_token1] = ACTIONS(13690),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13692),
    [sym__command_start] = ACTIONS(13692),
  },
  [9111] = {
    [aux_sym_open_tuple_repeat1] = STATE(8122),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(14523),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_end] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(14627),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13102),
    [anon_sym_COLON2] = ACTIONS(14629),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13102),
    [anon_sym_LF] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(14631),
    [anon_sym_LBRACE] = ACTIONS(13102),
    [anon_sym_DOLLAR] = ACTIONS(13102),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(14631),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(13102),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13102),
    [aux_sym_integer_literal_token2] = ACTIONS(13102),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13102),
    [aux_sym_float_literal_token3] = ACTIONS(13102),
    [aux_sym_float_literal_token4] = ACTIONS(13102),
    [sym_character_literal] = ACTIONS(13102),
    [sym__pair_operator] = ACTIONS(14637),
    [sym__arrow_operator] = ACTIONS(14639),
    [sym__lazy_or_operator] = ACTIONS(14641),
    [sym__lazy_and_operator] = ACTIONS(14643),
    [sym__comparison_operator] = ACTIONS(14631),
    [sym__pipe_right_operator] = ACTIONS(14645),
    [sym__pipe_left_operator] = ACTIONS(14647),
    [sym__ellipsis_operator] = ACTIONS(14649),
    [sym__plus_operator] = ACTIONS(14651),
    [sym__times_operator] = ACTIONS(14653),
    [sym__rational_operator] = ACTIONS(14655),
    [sym__bitshift_operator] = ACTIONS(14657),
    [sym__power_operator] = ACTIONS(14659),
    [sym__tilde_operator] = ACTIONS(13102),
    [sym__type_order_operator] = ACTIONS(14631),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(14651),
    [aux_sym__terminator_token1] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [9112] = {
    [aux_sym_open_tuple_repeat1] = STATE(9112),
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(14938),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(12957),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12962),
    [anon_sym_RPAREN] = ACTIONS(12962),
    [anon_sym_COLON2] = ACTIONS(12957),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(12957),
    [anon_sym_SEMI] = ACTIONS(12962),
    [anon_sym_LBRACE] = ACTIONS(12962),
    [anon_sym_DOLLAR] = ACTIONS(12962),
    [anon_sym_COLON_COLON] = ACTIONS(12962),
    [anon_sym_isa] = ACTIONS(12957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12962),
    [anon_sym_QMARK] = ACTIONS(12962),
    [anon_sym_AT] = ACTIONS(12962),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12962),
    [aux_sym_integer_literal_token2] = ACTIONS(12962),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12962),
    [aux_sym_float_literal_token3] = ACTIONS(12962),
    [aux_sym_float_literal_token4] = ACTIONS(12962),
    [sym_character_literal] = ACTIONS(12962),
    [sym__pair_operator] = ACTIONS(12962),
    [sym__arrow_operator] = ACTIONS(12957),
    [sym__lazy_or_operator] = ACTIONS(12962),
    [sym__lazy_and_operator] = ACTIONS(12962),
    [sym__comparison_operator] = ACTIONS(12957),
    [sym__pipe_right_operator] = ACTIONS(12962),
    [sym__pipe_left_operator] = ACTIONS(12962),
    [sym__ellipsis_operator] = ACTIONS(12957),
    [sym__plus_operator] = ACTIONS(12957),
    [sym__times_operator] = ACTIONS(12957),
    [sym__rational_operator] = ACTIONS(12962),
    [sym__bitshift_operator] = ACTIONS(12962),
    [sym__power_operator] = ACTIONS(12962),
    [sym__tilde_operator] = ACTIONS(12962),
    [sym__type_order_operator] = ACTIONS(12962),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(12957),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [9113] = {
    [sym__word_identifier] = ACTIONS(13436),
    [anon_sym_EQ] = ACTIONS(13436),
    [anon_sym_COMMA] = ACTIONS(13436),
    [anon_sym_COLON] = ACTIONS(13436),
    [anon_sym_begin] = ACTIONS(13436),
    [anon_sym_module] = ACTIONS(13436),
    [anon_sym_baremodule] = ACTIONS(13436),
    [anon_sym_end] = ACTIONS(13436),
    [anon_sym_abstract] = ACTIONS(13436),
    [anon_sym_primitive] = ACTIONS(13436),
    [anon_sym_mutable] = ACTIONS(13436),
    [anon_sym_struct] = ACTIONS(13436),
    [anon_sym_function] = ACTIONS(13436),
    [anon_sym_macro] = ACTIONS(13436),
    [anon_sym_where] = ACTIONS(13436),
    [anon_sym_quote] = ACTIONS(13436),
    [anon_sym_let] = ACTIONS(13436),
    [anon_sym_if] = ACTIONS(13436),
    [anon_sym_try] = ACTIONS(13436),
    [anon_sym_for] = ACTIONS(13436),
    [anon_sym_while] = ACTIONS(13436),
    [sym_break_statement] = ACTIONS(13436),
    [sym_continue_statement] = ACTIONS(13436),
    [anon_sym_return] = ACTIONS(13436),
    [anon_sym_const] = ACTIONS(13436),
    [anon_sym_global] = ACTIONS(13436),
    [anon_sym_local] = ACTIONS(13436),
    [anon_sym_LPAREN] = ACTIONS(13436),
    [anon_sym_COLON2] = ACTIONS(13436),
    [anon_sym_export] = ACTIONS(13436),
    [anon_sym_import] = ACTIONS(13436),
    [anon_sym_using] = ACTIONS(13436),
    [anon_sym_LBRACK] = ACTIONS(13436),
    [anon_sym_LF] = ACTIONS(13434),
    [anon_sym_in] = ACTIONS(13436),
    [anon_sym_LBRACE] = ACTIONS(13436),
    [anon_sym_DOLLAR] = ACTIONS(13436),
    [anon_sym_COLON_COLON] = ACTIONS(13436),
    [anon_sym_isa] = ACTIONS(13436),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13436),
    [anon_sym_QMARK] = ACTIONS(13436),
    [anon_sym_AT] = ACTIONS(13436),
    [anon_sym_true] = ACTIONS(13436),
    [anon_sym_false] = ACTIONS(13436),
    [aux_sym_integer_literal_token1] = ACTIONS(13436),
    [aux_sym_integer_literal_token2] = ACTIONS(13436),
    [aux_sym_integer_literal_token3] = ACTIONS(13436),
    [aux_sym_integer_literal_token4] = ACTIONS(13436),
    [aux_sym_float_literal_token1] = ACTIONS(13436),
    [aux_sym_float_literal_token3] = ACTIONS(13436),
    [aux_sym_float_literal_token4] = ACTIONS(13436),
    [sym_character_literal] = ACTIONS(13436),
    [sym__pair_operator] = ACTIONS(13436),
    [sym__arrow_operator] = ACTIONS(13436),
    [sym__lazy_or_operator] = ACTIONS(13436),
    [sym__lazy_and_operator] = ACTIONS(13436),
    [sym__comparison_operator] = ACTIONS(13436),
    [sym__pipe_right_operator] = ACTIONS(13436),
    [sym__pipe_left_operator] = ACTIONS(13436),
    [sym__ellipsis_operator] = ACTIONS(13436),
    [sym__plus_operator] = ACTIONS(13436),
    [sym__times_operator] = ACTIONS(13436),
    [sym__rational_operator] = ACTIONS(13436),
    [sym__bitshift_operator] = ACTIONS(13436),
    [sym__power_operator] = ACTIONS(13436),
    [sym__tilde_operator] = ACTIONS(13436),
    [sym__type_order_operator] = ACTIONS(13436),
    [sym__unary_operator] = ACTIONS(13436),
    [sym__unary_plus_operator] = ACTIONS(13436),
    [aux_sym__terminator_token1] = ACTIONS(13436),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13434),
    [sym__command_start] = ACTIONS(13434),
  },
  [9114] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14722),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14726),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(14726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(14726),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14726),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9115] = {
    [sym__word_identifier] = ACTIONS(13916),
    [anon_sym_EQ] = ACTIONS(13916),
    [anon_sym_COMMA] = ACTIONS(13916),
    [anon_sym_COLON] = ACTIONS(13916),
    [anon_sym_begin] = ACTIONS(13916),
    [anon_sym_module] = ACTIONS(13916),
    [anon_sym_baremodule] = ACTIONS(13916),
    [anon_sym_end] = ACTIONS(13916),
    [anon_sym_abstract] = ACTIONS(13916),
    [anon_sym_primitive] = ACTIONS(13916),
    [anon_sym_mutable] = ACTIONS(13916),
    [anon_sym_struct] = ACTIONS(13916),
    [anon_sym_function] = ACTIONS(13916),
    [anon_sym_macro] = ACTIONS(13916),
    [anon_sym_where] = ACTIONS(13916),
    [anon_sym_quote] = ACTIONS(13916),
    [anon_sym_let] = ACTIONS(13916),
    [anon_sym_if] = ACTIONS(13916),
    [anon_sym_try] = ACTIONS(13916),
    [anon_sym_for] = ACTIONS(13916),
    [anon_sym_while] = ACTIONS(13916),
    [sym_break_statement] = ACTIONS(13916),
    [sym_continue_statement] = ACTIONS(13916),
    [anon_sym_return] = ACTIONS(13916),
    [anon_sym_const] = ACTIONS(13916),
    [anon_sym_global] = ACTIONS(13916),
    [anon_sym_local] = ACTIONS(13916),
    [anon_sym_LPAREN] = ACTIONS(13916),
    [anon_sym_COLON2] = ACTIONS(13916),
    [anon_sym_export] = ACTIONS(13916),
    [anon_sym_import] = ACTIONS(13916),
    [anon_sym_using] = ACTIONS(13916),
    [anon_sym_LBRACK] = ACTIONS(13916),
    [anon_sym_LF] = ACTIONS(13918),
    [anon_sym_in] = ACTIONS(13916),
    [anon_sym_LBRACE] = ACTIONS(13916),
    [anon_sym_DOLLAR] = ACTIONS(13916),
    [anon_sym_COLON_COLON] = ACTIONS(13916),
    [anon_sym_isa] = ACTIONS(13916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13916),
    [anon_sym_QMARK] = ACTIONS(13916),
    [anon_sym_AT] = ACTIONS(13916),
    [anon_sym_true] = ACTIONS(13916),
    [anon_sym_false] = ACTIONS(13916),
    [aux_sym_integer_literal_token1] = ACTIONS(13916),
    [aux_sym_integer_literal_token2] = ACTIONS(13916),
    [aux_sym_integer_literal_token3] = ACTIONS(13916),
    [aux_sym_integer_literal_token4] = ACTIONS(13916),
    [aux_sym_float_literal_token1] = ACTIONS(13916),
    [aux_sym_float_literal_token3] = ACTIONS(13916),
    [aux_sym_float_literal_token4] = ACTIONS(13916),
    [sym_character_literal] = ACTIONS(13916),
    [sym__pair_operator] = ACTIONS(13916),
    [sym__arrow_operator] = ACTIONS(13916),
    [sym__lazy_or_operator] = ACTIONS(13916),
    [sym__lazy_and_operator] = ACTIONS(13916),
    [sym__comparison_operator] = ACTIONS(13916),
    [sym__pipe_right_operator] = ACTIONS(13916),
    [sym__pipe_left_operator] = ACTIONS(13916),
    [sym__ellipsis_operator] = ACTIONS(13916),
    [sym__plus_operator] = ACTIONS(13916),
    [sym__times_operator] = ACTIONS(13916),
    [sym__rational_operator] = ACTIONS(13916),
    [sym__bitshift_operator] = ACTIONS(13916),
    [sym__power_operator] = ACTIONS(13916),
    [sym__tilde_operator] = ACTIONS(13916),
    [sym__type_order_operator] = ACTIONS(13916),
    [sym__unary_operator] = ACTIONS(13916),
    [sym__unary_plus_operator] = ACTIONS(13916),
    [aux_sym__terminator_token1] = ACTIONS(13916),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13918),
    [sym__command_start] = ACTIONS(13918),
  },
  [9116] = {
    [sym__word_identifier] = ACTIONS(13474),
    [anon_sym_EQ] = ACTIONS(13474),
    [anon_sym_COMMA] = ACTIONS(13474),
    [anon_sym_COLON] = ACTIONS(13474),
    [anon_sym_begin] = ACTIONS(13474),
    [anon_sym_module] = ACTIONS(13474),
    [anon_sym_baremodule] = ACTIONS(13474),
    [anon_sym_end] = ACTIONS(13474),
    [anon_sym_abstract] = ACTIONS(13474),
    [anon_sym_primitive] = ACTIONS(13474),
    [anon_sym_mutable] = ACTIONS(13474),
    [anon_sym_struct] = ACTIONS(13474),
    [anon_sym_function] = ACTIONS(13474),
    [anon_sym_macro] = ACTIONS(13474),
    [anon_sym_where] = ACTIONS(13474),
    [anon_sym_quote] = ACTIONS(13474),
    [anon_sym_let] = ACTIONS(13474),
    [anon_sym_if] = ACTIONS(13474),
    [anon_sym_try] = ACTIONS(13474),
    [anon_sym_for] = ACTIONS(13474),
    [anon_sym_while] = ACTIONS(13474),
    [sym_break_statement] = ACTIONS(13474),
    [sym_continue_statement] = ACTIONS(13474),
    [anon_sym_return] = ACTIONS(13474),
    [anon_sym_const] = ACTIONS(13474),
    [anon_sym_global] = ACTIONS(13474),
    [anon_sym_local] = ACTIONS(13474),
    [anon_sym_LPAREN] = ACTIONS(13474),
    [anon_sym_COLON2] = ACTIONS(13474),
    [anon_sym_export] = ACTIONS(13474),
    [anon_sym_import] = ACTIONS(13474),
    [anon_sym_using] = ACTIONS(13474),
    [anon_sym_LBRACK] = ACTIONS(13474),
    [anon_sym_LF] = ACTIONS(13472),
    [anon_sym_in] = ACTIONS(13474),
    [anon_sym_LBRACE] = ACTIONS(13474),
    [anon_sym_DOLLAR] = ACTIONS(13474),
    [anon_sym_COLON_COLON] = ACTIONS(13474),
    [anon_sym_isa] = ACTIONS(13474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13474),
    [anon_sym_QMARK] = ACTIONS(13474),
    [anon_sym_AT] = ACTIONS(13474),
    [anon_sym_true] = ACTIONS(13474),
    [anon_sym_false] = ACTIONS(13474),
    [aux_sym_integer_literal_token1] = ACTIONS(13474),
    [aux_sym_integer_literal_token2] = ACTIONS(13474),
    [aux_sym_integer_literal_token3] = ACTIONS(13474),
    [aux_sym_integer_literal_token4] = ACTIONS(13474),
    [aux_sym_float_literal_token1] = ACTIONS(13474),
    [aux_sym_float_literal_token3] = ACTIONS(13474),
    [aux_sym_float_literal_token4] = ACTIONS(13474),
    [sym_character_literal] = ACTIONS(13474),
    [sym__pair_operator] = ACTIONS(13474),
    [sym__arrow_operator] = ACTIONS(13474),
    [sym__lazy_or_operator] = ACTIONS(13474),
    [sym__lazy_and_operator] = ACTIONS(13474),
    [sym__comparison_operator] = ACTIONS(13474),
    [sym__pipe_right_operator] = ACTIONS(13474),
    [sym__pipe_left_operator] = ACTIONS(13474),
    [sym__ellipsis_operator] = ACTIONS(13474),
    [sym__plus_operator] = ACTIONS(13474),
    [sym__times_operator] = ACTIONS(13474),
    [sym__rational_operator] = ACTIONS(13474),
    [sym__bitshift_operator] = ACTIONS(13474),
    [sym__power_operator] = ACTIONS(13474),
    [sym__tilde_operator] = ACTIONS(13474),
    [sym__type_order_operator] = ACTIONS(13474),
    [sym__unary_operator] = ACTIONS(13474),
    [sym__unary_plus_operator] = ACTIONS(13474),
    [aux_sym__terminator_token1] = ACTIONS(13474),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13472),
    [sym__command_start] = ACTIONS(13472),
  },
  [9117] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9118] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12728),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9119] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [9120] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9121] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13236),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(14669),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13236),
    [anon_sym_RPAREN] = ACTIONS(13236),
    [anon_sym_COLON2] = ACTIONS(14671),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13236),
    [anon_sym_RBRACK] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(14673),
    [anon_sym_LBRACE] = ACTIONS(13236),
    [anon_sym_RBRACE] = ACTIONS(13236),
    [anon_sym_DOLLAR] = ACTIONS(13236),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14878),
    [anon_sym_AT] = ACTIONS(13236),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13236),
    [aux_sym_integer_literal_token2] = ACTIONS(13236),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13236),
    [aux_sym_float_literal_token3] = ACTIONS(13236),
    [aux_sym_float_literal_token4] = ACTIONS(13236),
    [sym_character_literal] = ACTIONS(13236),
    [sym__pair_operator] = ACTIONS(14681),
    [sym__arrow_operator] = ACTIONS(14683),
    [sym__lazy_or_operator] = ACTIONS(14685),
    [sym__lazy_and_operator] = ACTIONS(14687),
    [sym__comparison_operator] = ACTIONS(14673),
    [sym__pipe_right_operator] = ACTIONS(14689),
    [sym__pipe_left_operator] = ACTIONS(14691),
    [sym__ellipsis_operator] = ACTIONS(14693),
    [sym__plus_operator] = ACTIONS(14695),
    [sym__times_operator] = ACTIONS(14697),
    [sym__rational_operator] = ACTIONS(14699),
    [sym__bitshift_operator] = ACTIONS(14701),
    [sym__power_operator] = ACTIONS(14703),
    [sym__tilde_operator] = ACTIONS(13236),
    [sym__type_order_operator] = ACTIONS(14705),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(14695),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [9122] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_elseif] = ACTIONS(13390),
    [anon_sym_else] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14826),
    [sym__pipe_left_operator] = ACTIONS(14828),
    [sym__ellipsis_operator] = ACTIONS(14830),
    [sym__plus_operator] = ACTIONS(14832),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14832),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9123] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_elseif] = ACTIONS(13404),
    [anon_sym_else] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14832),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14832),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9124] = {
    [sym__word_identifier] = ACTIONS(13032),
    [anon_sym_EQ] = ACTIONS(13032),
    [anon_sym_COMMA] = ACTIONS(13032),
    [anon_sym_COLON] = ACTIONS(13032),
    [anon_sym_begin] = ACTIONS(13032),
    [anon_sym_module] = ACTIONS(13032),
    [anon_sym_baremodule] = ACTIONS(13032),
    [anon_sym_end] = ACTIONS(13032),
    [anon_sym_abstract] = ACTIONS(13032),
    [anon_sym_primitive] = ACTIONS(13032),
    [anon_sym_mutable] = ACTIONS(13032),
    [anon_sym_struct] = ACTIONS(13032),
    [anon_sym_function] = ACTIONS(13032),
    [anon_sym_macro] = ACTIONS(13032),
    [anon_sym_where] = ACTIONS(13032),
    [anon_sym_quote] = ACTIONS(13032),
    [anon_sym_let] = ACTIONS(13032),
    [anon_sym_if] = ACTIONS(13032),
    [anon_sym_try] = ACTIONS(13032),
    [anon_sym_for] = ACTIONS(13032),
    [anon_sym_while] = ACTIONS(13032),
    [sym_break_statement] = ACTIONS(13032),
    [sym_continue_statement] = ACTIONS(13032),
    [anon_sym_return] = ACTIONS(13032),
    [anon_sym_const] = ACTIONS(13032),
    [anon_sym_global] = ACTIONS(13032),
    [anon_sym_local] = ACTIONS(13032),
    [anon_sym_LPAREN] = ACTIONS(13032),
    [anon_sym_COLON2] = ACTIONS(13032),
    [anon_sym_export] = ACTIONS(13032),
    [anon_sym_import] = ACTIONS(13032),
    [anon_sym_using] = ACTIONS(13032),
    [anon_sym_LBRACK] = ACTIONS(13032),
    [anon_sym_LF] = ACTIONS(13030),
    [anon_sym_in] = ACTIONS(13032),
    [anon_sym_LBRACE] = ACTIONS(13032),
    [anon_sym_DOLLAR] = ACTIONS(13032),
    [anon_sym_COLON_COLON] = ACTIONS(13032),
    [anon_sym_isa] = ACTIONS(13032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13032),
    [anon_sym_QMARK] = ACTIONS(13032),
    [anon_sym_AT] = ACTIONS(13032),
    [anon_sym_true] = ACTIONS(13032),
    [anon_sym_false] = ACTIONS(13032),
    [aux_sym_integer_literal_token1] = ACTIONS(13032),
    [aux_sym_integer_literal_token2] = ACTIONS(13032),
    [aux_sym_integer_literal_token3] = ACTIONS(13032),
    [aux_sym_integer_literal_token4] = ACTIONS(13032),
    [aux_sym_float_literal_token1] = ACTIONS(13032),
    [aux_sym_float_literal_token3] = ACTIONS(13032),
    [aux_sym_float_literal_token4] = ACTIONS(13032),
    [sym_character_literal] = ACTIONS(13032),
    [sym__pair_operator] = ACTIONS(13032),
    [sym__arrow_operator] = ACTIONS(13032),
    [sym__lazy_or_operator] = ACTIONS(13032),
    [sym__lazy_and_operator] = ACTIONS(13032),
    [sym__comparison_operator] = ACTIONS(13032),
    [sym__pipe_right_operator] = ACTIONS(13032),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13032),
    [sym__plus_operator] = ACTIONS(13032),
    [sym__times_operator] = ACTIONS(13032),
    [sym__rational_operator] = ACTIONS(13032),
    [sym__bitshift_operator] = ACTIONS(13032),
    [sym__power_operator] = ACTIONS(13032),
    [sym__tilde_operator] = ACTIONS(13032),
    [sym__type_order_operator] = ACTIONS(13032),
    [sym__unary_operator] = ACTIONS(13032),
    [sym__unary_plus_operator] = ACTIONS(13032),
    [aux_sym__terminator_token1] = ACTIONS(13032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13030),
    [sym__command_start] = ACTIONS(13030),
  },
  [9125] = {
    [sym__word_identifier] = ACTIONS(13744),
    [anon_sym_EQ] = ACTIONS(13744),
    [anon_sym_COMMA] = ACTIONS(13744),
    [anon_sym_COLON] = ACTIONS(13744),
    [anon_sym_begin] = ACTIONS(13744),
    [anon_sym_module] = ACTIONS(13744),
    [anon_sym_baremodule] = ACTIONS(13744),
    [anon_sym_end] = ACTIONS(13744),
    [anon_sym_abstract] = ACTIONS(13744),
    [anon_sym_primitive] = ACTIONS(13744),
    [anon_sym_mutable] = ACTIONS(13744),
    [anon_sym_struct] = ACTIONS(13744),
    [anon_sym_function] = ACTIONS(13744),
    [anon_sym_macro] = ACTIONS(13744),
    [anon_sym_where] = ACTIONS(13744),
    [anon_sym_quote] = ACTIONS(13744),
    [anon_sym_let] = ACTIONS(13744),
    [anon_sym_if] = ACTIONS(13744),
    [anon_sym_try] = ACTIONS(13744),
    [anon_sym_for] = ACTIONS(13744),
    [anon_sym_while] = ACTIONS(13744),
    [sym_break_statement] = ACTIONS(13744),
    [sym_continue_statement] = ACTIONS(13744),
    [anon_sym_return] = ACTIONS(13744),
    [anon_sym_const] = ACTIONS(13744),
    [anon_sym_global] = ACTIONS(13744),
    [anon_sym_local] = ACTIONS(13744),
    [anon_sym_LPAREN] = ACTIONS(13744),
    [anon_sym_COLON2] = ACTIONS(13744),
    [anon_sym_export] = ACTIONS(13744),
    [anon_sym_import] = ACTIONS(13744),
    [anon_sym_using] = ACTIONS(13744),
    [anon_sym_LBRACK] = ACTIONS(13744),
    [anon_sym_LF] = ACTIONS(13746),
    [anon_sym_in] = ACTIONS(13744),
    [anon_sym_LBRACE] = ACTIONS(13744),
    [anon_sym_DOLLAR] = ACTIONS(13744),
    [anon_sym_COLON_COLON] = ACTIONS(13744),
    [anon_sym_isa] = ACTIONS(13744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13744),
    [anon_sym_QMARK] = ACTIONS(13744),
    [anon_sym_AT] = ACTIONS(13744),
    [anon_sym_true] = ACTIONS(13744),
    [anon_sym_false] = ACTIONS(13744),
    [aux_sym_integer_literal_token1] = ACTIONS(13744),
    [aux_sym_integer_literal_token2] = ACTIONS(13744),
    [aux_sym_integer_literal_token3] = ACTIONS(13744),
    [aux_sym_integer_literal_token4] = ACTIONS(13744),
    [aux_sym_float_literal_token1] = ACTIONS(13744),
    [aux_sym_float_literal_token3] = ACTIONS(13744),
    [aux_sym_float_literal_token4] = ACTIONS(13744),
    [sym_character_literal] = ACTIONS(13744),
    [sym__pair_operator] = ACTIONS(13744),
    [sym__arrow_operator] = ACTIONS(13744),
    [sym__lazy_or_operator] = ACTIONS(13744),
    [sym__lazy_and_operator] = ACTIONS(13744),
    [sym__comparison_operator] = ACTIONS(13744),
    [sym__pipe_right_operator] = ACTIONS(13744),
    [sym__pipe_left_operator] = ACTIONS(13744),
    [sym__ellipsis_operator] = ACTIONS(13744),
    [sym__plus_operator] = ACTIONS(13744),
    [sym__times_operator] = ACTIONS(13744),
    [sym__rational_operator] = ACTIONS(13744),
    [sym__bitshift_operator] = ACTIONS(13744),
    [sym__power_operator] = ACTIONS(13744),
    [sym__tilde_operator] = ACTIONS(13744),
    [sym__type_order_operator] = ACTIONS(13744),
    [sym__unary_operator] = ACTIONS(13744),
    [sym__unary_plus_operator] = ACTIONS(13744),
    [aux_sym__terminator_token1] = ACTIONS(13744),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13746),
    [sym__command_start] = ACTIONS(13746),
  },
  [9126] = {
    [sym__word_identifier] = ACTIONS(14131),
    [anon_sym_EQ] = ACTIONS(14131),
    [anon_sym_COMMA] = ACTIONS(14131),
    [anon_sym_COLON] = ACTIONS(14131),
    [anon_sym_begin] = ACTIONS(14131),
    [anon_sym_module] = ACTIONS(14131),
    [anon_sym_baremodule] = ACTIONS(14131),
    [anon_sym_end] = ACTIONS(14131),
    [anon_sym_abstract] = ACTIONS(14131),
    [anon_sym_primitive] = ACTIONS(14131),
    [anon_sym_mutable] = ACTIONS(14131),
    [anon_sym_struct] = ACTIONS(14131),
    [anon_sym_function] = ACTIONS(14131),
    [anon_sym_macro] = ACTIONS(14131),
    [anon_sym_where] = ACTIONS(14131),
    [anon_sym_quote] = ACTIONS(14131),
    [anon_sym_let] = ACTIONS(14131),
    [anon_sym_if] = ACTIONS(14131),
    [anon_sym_try] = ACTIONS(14131),
    [anon_sym_for] = ACTIONS(14131),
    [anon_sym_while] = ACTIONS(14131),
    [sym_break_statement] = ACTIONS(14131),
    [sym_continue_statement] = ACTIONS(14131),
    [anon_sym_return] = ACTIONS(14131),
    [anon_sym_const] = ACTIONS(14131),
    [anon_sym_global] = ACTIONS(14131),
    [anon_sym_local] = ACTIONS(14131),
    [anon_sym_LPAREN] = ACTIONS(14131),
    [anon_sym_COLON2] = ACTIONS(14131),
    [anon_sym_export] = ACTIONS(14131),
    [anon_sym_import] = ACTIONS(14131),
    [anon_sym_using] = ACTIONS(14131),
    [anon_sym_LBRACK] = ACTIONS(14131),
    [anon_sym_LF] = ACTIONS(14129),
    [anon_sym_in] = ACTIONS(14131),
    [anon_sym_LBRACE] = ACTIONS(14131),
    [anon_sym_DOLLAR] = ACTIONS(14131),
    [anon_sym_COLON_COLON] = ACTIONS(14131),
    [anon_sym_isa] = ACTIONS(14131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14131),
    [anon_sym_QMARK] = ACTIONS(14131),
    [anon_sym_AT] = ACTIONS(14131),
    [anon_sym_true] = ACTIONS(14131),
    [anon_sym_false] = ACTIONS(14131),
    [aux_sym_integer_literal_token1] = ACTIONS(14131),
    [aux_sym_integer_literal_token2] = ACTIONS(14131),
    [aux_sym_integer_literal_token3] = ACTIONS(14131),
    [aux_sym_integer_literal_token4] = ACTIONS(14131),
    [aux_sym_float_literal_token1] = ACTIONS(14131),
    [aux_sym_float_literal_token3] = ACTIONS(14131),
    [aux_sym_float_literal_token4] = ACTIONS(14131),
    [sym_character_literal] = ACTIONS(14131),
    [sym__pair_operator] = ACTIONS(14131),
    [sym__arrow_operator] = ACTIONS(14131),
    [sym__lazy_or_operator] = ACTIONS(14131),
    [sym__lazy_and_operator] = ACTIONS(14131),
    [sym__comparison_operator] = ACTIONS(14131),
    [sym__pipe_right_operator] = ACTIONS(14131),
    [sym__pipe_left_operator] = ACTIONS(14131),
    [sym__ellipsis_operator] = ACTIONS(14131),
    [sym__plus_operator] = ACTIONS(14131),
    [sym__times_operator] = ACTIONS(14131),
    [sym__rational_operator] = ACTIONS(14131),
    [sym__bitshift_operator] = ACTIONS(14131),
    [sym__power_operator] = ACTIONS(14131),
    [sym__tilde_operator] = ACTIONS(14131),
    [sym__type_order_operator] = ACTIONS(14131),
    [sym__unary_operator] = ACTIONS(14131),
    [sym__unary_plus_operator] = ACTIONS(14131),
    [aux_sym__terminator_token1] = ACTIONS(14131),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14129),
    [sym__command_start] = ACTIONS(14129),
  },
  [9127] = {
    [sym__word_identifier] = ACTIONS(13824),
    [anon_sym_EQ] = ACTIONS(13824),
    [anon_sym_COMMA] = ACTIONS(13824),
    [anon_sym_COLON] = ACTIONS(13824),
    [anon_sym_begin] = ACTIONS(13824),
    [anon_sym_module] = ACTIONS(13824),
    [anon_sym_baremodule] = ACTIONS(13824),
    [anon_sym_end] = ACTIONS(13824),
    [anon_sym_abstract] = ACTIONS(13824),
    [anon_sym_primitive] = ACTIONS(13824),
    [anon_sym_mutable] = ACTIONS(13824),
    [anon_sym_struct] = ACTIONS(13824),
    [anon_sym_function] = ACTIONS(13824),
    [anon_sym_macro] = ACTIONS(13824),
    [anon_sym_where] = ACTIONS(13824),
    [anon_sym_quote] = ACTIONS(13824),
    [anon_sym_let] = ACTIONS(13824),
    [anon_sym_if] = ACTIONS(13824),
    [anon_sym_try] = ACTIONS(13824),
    [anon_sym_for] = ACTIONS(13824),
    [anon_sym_while] = ACTIONS(13824),
    [sym_break_statement] = ACTIONS(13824),
    [sym_continue_statement] = ACTIONS(13824),
    [anon_sym_return] = ACTIONS(13824),
    [anon_sym_const] = ACTIONS(13824),
    [anon_sym_global] = ACTIONS(13824),
    [anon_sym_local] = ACTIONS(13824),
    [anon_sym_LPAREN] = ACTIONS(13824),
    [anon_sym_COLON2] = ACTIONS(13824),
    [anon_sym_export] = ACTIONS(13824),
    [anon_sym_import] = ACTIONS(13824),
    [anon_sym_using] = ACTIONS(13824),
    [anon_sym_LBRACK] = ACTIONS(13824),
    [anon_sym_LF] = ACTIONS(13826),
    [anon_sym_in] = ACTIONS(13824),
    [anon_sym_LBRACE] = ACTIONS(13824),
    [anon_sym_DOLLAR] = ACTIONS(13824),
    [anon_sym_COLON_COLON] = ACTIONS(13824),
    [anon_sym_isa] = ACTIONS(13824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13824),
    [anon_sym_QMARK] = ACTIONS(13824),
    [anon_sym_AT] = ACTIONS(13824),
    [anon_sym_true] = ACTIONS(13824),
    [anon_sym_false] = ACTIONS(13824),
    [aux_sym_integer_literal_token1] = ACTIONS(13824),
    [aux_sym_integer_literal_token2] = ACTIONS(13824),
    [aux_sym_integer_literal_token3] = ACTIONS(13824),
    [aux_sym_integer_literal_token4] = ACTIONS(13824),
    [aux_sym_float_literal_token1] = ACTIONS(13824),
    [aux_sym_float_literal_token3] = ACTIONS(13824),
    [aux_sym_float_literal_token4] = ACTIONS(13824),
    [sym_character_literal] = ACTIONS(13824),
    [sym__pair_operator] = ACTIONS(13824),
    [sym__arrow_operator] = ACTIONS(13824),
    [sym__lazy_or_operator] = ACTIONS(13824),
    [sym__lazy_and_operator] = ACTIONS(13824),
    [sym__comparison_operator] = ACTIONS(13824),
    [sym__pipe_right_operator] = ACTIONS(13824),
    [sym__pipe_left_operator] = ACTIONS(13824),
    [sym__ellipsis_operator] = ACTIONS(13824),
    [sym__plus_operator] = ACTIONS(13824),
    [sym__times_operator] = ACTIONS(13824),
    [sym__rational_operator] = ACTIONS(13824),
    [sym__bitshift_operator] = ACTIONS(13824),
    [sym__power_operator] = ACTIONS(13824),
    [sym__tilde_operator] = ACTIONS(13824),
    [sym__type_order_operator] = ACTIONS(13824),
    [sym__unary_operator] = ACTIONS(13824),
    [sym__unary_plus_operator] = ACTIONS(13824),
    [aux_sym__terminator_token1] = ACTIONS(13824),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13826),
    [sym__command_start] = ACTIONS(13826),
  },
  [9128] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9129] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(14874),
    [anon_sym_COMMA] = ACTIONS(13210),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_end] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13210),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13210),
    [anon_sym_LF] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_LBRACE] = ACTIONS(13210),
    [anon_sym_DOLLAR] = ACTIONS(13210),
    [anon_sym_COLON_COLON] = ACTIONS(13210),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13210),
    [anon_sym_QMARK] = ACTIONS(13210),
    [anon_sym_AT] = ACTIONS(13210),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13210),
    [aux_sym_integer_literal_token2] = ACTIONS(13210),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13210),
    [aux_sym_float_literal_token3] = ACTIONS(13210),
    [aux_sym_float_literal_token4] = ACTIONS(13210),
    [sym_character_literal] = ACTIONS(13210),
    [sym__pair_operator] = ACTIONS(13210),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13210),
    [sym__lazy_and_operator] = ACTIONS(13210),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13210),
    [sym__pipe_left_operator] = ACTIONS(13210),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13210),
    [sym__bitshift_operator] = ACTIONS(13210),
    [sym__power_operator] = ACTIONS(13210),
    [sym__tilde_operator] = ACTIONS(13210),
    [sym__type_order_operator] = ACTIONS(13210),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [aux_sym__terminator_token1] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [9130] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9131] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12710),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9132] = {
    [sym__word_identifier] = ACTIONS(13912),
    [anon_sym_EQ] = ACTIONS(13912),
    [anon_sym_COMMA] = ACTIONS(13912),
    [anon_sym_COLON] = ACTIONS(13912),
    [anon_sym_begin] = ACTIONS(13912),
    [anon_sym_module] = ACTIONS(13912),
    [anon_sym_baremodule] = ACTIONS(13912),
    [anon_sym_end] = ACTIONS(13912),
    [anon_sym_abstract] = ACTIONS(13912),
    [anon_sym_primitive] = ACTIONS(13912),
    [anon_sym_mutable] = ACTIONS(13912),
    [anon_sym_struct] = ACTIONS(13912),
    [anon_sym_function] = ACTIONS(13912),
    [anon_sym_macro] = ACTIONS(13912),
    [anon_sym_where] = ACTIONS(13912),
    [anon_sym_quote] = ACTIONS(13912),
    [anon_sym_let] = ACTIONS(13912),
    [anon_sym_if] = ACTIONS(13912),
    [anon_sym_try] = ACTIONS(13912),
    [anon_sym_for] = ACTIONS(13912),
    [anon_sym_while] = ACTIONS(13912),
    [sym_break_statement] = ACTIONS(13912),
    [sym_continue_statement] = ACTIONS(13912),
    [anon_sym_return] = ACTIONS(13912),
    [anon_sym_const] = ACTIONS(13912),
    [anon_sym_global] = ACTIONS(13912),
    [anon_sym_local] = ACTIONS(13912),
    [anon_sym_LPAREN] = ACTIONS(13912),
    [anon_sym_COLON2] = ACTIONS(13912),
    [anon_sym_export] = ACTIONS(13912),
    [anon_sym_import] = ACTIONS(13912),
    [anon_sym_using] = ACTIONS(13912),
    [anon_sym_LBRACK] = ACTIONS(13912),
    [anon_sym_LF] = ACTIONS(13914),
    [anon_sym_in] = ACTIONS(13912),
    [anon_sym_LBRACE] = ACTIONS(13912),
    [anon_sym_DOLLAR] = ACTIONS(13912),
    [anon_sym_COLON_COLON] = ACTIONS(13912),
    [anon_sym_isa] = ACTIONS(13912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13912),
    [anon_sym_QMARK] = ACTIONS(13912),
    [anon_sym_AT] = ACTIONS(13912),
    [anon_sym_true] = ACTIONS(13912),
    [anon_sym_false] = ACTIONS(13912),
    [aux_sym_integer_literal_token1] = ACTIONS(13912),
    [aux_sym_integer_literal_token2] = ACTIONS(13912),
    [aux_sym_integer_literal_token3] = ACTIONS(13912),
    [aux_sym_integer_literal_token4] = ACTIONS(13912),
    [aux_sym_float_literal_token1] = ACTIONS(13912),
    [aux_sym_float_literal_token3] = ACTIONS(13912),
    [aux_sym_float_literal_token4] = ACTIONS(13912),
    [sym_character_literal] = ACTIONS(13912),
    [sym__pair_operator] = ACTIONS(13912),
    [sym__arrow_operator] = ACTIONS(13912),
    [sym__lazy_or_operator] = ACTIONS(13912),
    [sym__lazy_and_operator] = ACTIONS(13912),
    [sym__comparison_operator] = ACTIONS(13912),
    [sym__pipe_right_operator] = ACTIONS(13912),
    [sym__pipe_left_operator] = ACTIONS(13912),
    [sym__ellipsis_operator] = ACTIONS(13912),
    [sym__plus_operator] = ACTIONS(13912),
    [sym__times_operator] = ACTIONS(13912),
    [sym__rational_operator] = ACTIONS(13912),
    [sym__bitshift_operator] = ACTIONS(13912),
    [sym__power_operator] = ACTIONS(13912),
    [sym__tilde_operator] = ACTIONS(13912),
    [sym__type_order_operator] = ACTIONS(13912),
    [sym__unary_operator] = ACTIONS(13912),
    [sym__unary_plus_operator] = ACTIONS(13912),
    [aux_sym__terminator_token1] = ACTIONS(13912),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13914),
    [sym__command_start] = ACTIONS(13914),
  },
  [9133] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9134] = {
    [aux_sym_open_tuple_repeat1] = STATE(9081),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(14786),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13120),
    [anon_sym_RPAREN] = ACTIONS(13120),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13120),
    [anon_sym_LBRACE] = ACTIONS(13120),
    [anon_sym_DOLLAR] = ACTIONS(13120),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_AT] = ACTIONS(13120),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13120),
    [aux_sym_integer_literal_token2] = ACTIONS(13120),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13120),
    [aux_sym_float_literal_token3] = ACTIONS(13120),
    [aux_sym_float_literal_token4] = ACTIONS(13120),
    [sym_character_literal] = ACTIONS(13120),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13120),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [9135] = {
    [sym__word_identifier] = ACTIONS(13816),
    [anon_sym_EQ] = ACTIONS(13816),
    [anon_sym_COMMA] = ACTIONS(13816),
    [anon_sym_COLON] = ACTIONS(13816),
    [anon_sym_begin] = ACTIONS(13816),
    [anon_sym_module] = ACTIONS(13816),
    [anon_sym_baremodule] = ACTIONS(13816),
    [anon_sym_end] = ACTIONS(13816),
    [anon_sym_abstract] = ACTIONS(13816),
    [anon_sym_primitive] = ACTIONS(13816),
    [anon_sym_mutable] = ACTIONS(13816),
    [anon_sym_struct] = ACTIONS(13816),
    [anon_sym_function] = ACTIONS(13816),
    [anon_sym_macro] = ACTIONS(13816),
    [anon_sym_where] = ACTIONS(13816),
    [anon_sym_quote] = ACTIONS(13816),
    [anon_sym_let] = ACTIONS(13816),
    [anon_sym_if] = ACTIONS(13816),
    [anon_sym_try] = ACTIONS(13816),
    [anon_sym_for] = ACTIONS(13816),
    [anon_sym_while] = ACTIONS(13816),
    [sym_break_statement] = ACTIONS(13816),
    [sym_continue_statement] = ACTIONS(13816),
    [anon_sym_return] = ACTIONS(13816),
    [anon_sym_const] = ACTIONS(13816),
    [anon_sym_global] = ACTIONS(13816),
    [anon_sym_local] = ACTIONS(13816),
    [anon_sym_LPAREN] = ACTIONS(13816),
    [anon_sym_COLON2] = ACTIONS(13816),
    [anon_sym_export] = ACTIONS(13816),
    [anon_sym_import] = ACTIONS(13816),
    [anon_sym_using] = ACTIONS(13816),
    [anon_sym_LBRACK] = ACTIONS(13816),
    [anon_sym_LF] = ACTIONS(13818),
    [anon_sym_in] = ACTIONS(13816),
    [anon_sym_LBRACE] = ACTIONS(13816),
    [anon_sym_DOLLAR] = ACTIONS(13816),
    [anon_sym_COLON_COLON] = ACTIONS(13816),
    [anon_sym_isa] = ACTIONS(13816),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13816),
    [anon_sym_QMARK] = ACTIONS(13816),
    [anon_sym_AT] = ACTIONS(13816),
    [anon_sym_true] = ACTIONS(13816),
    [anon_sym_false] = ACTIONS(13816),
    [aux_sym_integer_literal_token1] = ACTIONS(13816),
    [aux_sym_integer_literal_token2] = ACTIONS(13816),
    [aux_sym_integer_literal_token3] = ACTIONS(13816),
    [aux_sym_integer_literal_token4] = ACTIONS(13816),
    [aux_sym_float_literal_token1] = ACTIONS(13816),
    [aux_sym_float_literal_token3] = ACTIONS(13816),
    [aux_sym_float_literal_token4] = ACTIONS(13816),
    [sym_character_literal] = ACTIONS(13816),
    [sym__pair_operator] = ACTIONS(13816),
    [sym__arrow_operator] = ACTIONS(13816),
    [sym__lazy_or_operator] = ACTIONS(13816),
    [sym__lazy_and_operator] = ACTIONS(13816),
    [sym__comparison_operator] = ACTIONS(13816),
    [sym__pipe_right_operator] = ACTIONS(13816),
    [sym__pipe_left_operator] = ACTIONS(13816),
    [sym__ellipsis_operator] = ACTIONS(13816),
    [sym__plus_operator] = ACTIONS(13816),
    [sym__times_operator] = ACTIONS(13816),
    [sym__rational_operator] = ACTIONS(13816),
    [sym__bitshift_operator] = ACTIONS(13816),
    [sym__power_operator] = ACTIONS(13816),
    [sym__tilde_operator] = ACTIONS(13816),
    [sym__type_order_operator] = ACTIONS(13816),
    [sym__unary_operator] = ACTIONS(13816),
    [sym__unary_plus_operator] = ACTIONS(13816),
    [aux_sym__terminator_token1] = ACTIONS(13816),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13818),
    [sym__command_start] = ACTIONS(13818),
  },
  [9136] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9137] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14724),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14740),
    [sym__pipe_left_operator] = ACTIONS(14742),
    [sym__ellipsis_operator] = ACTIONS(14744),
    [sym__plus_operator] = ACTIONS(14746),
    [sym__times_operator] = ACTIONS(14748),
    [sym__rational_operator] = ACTIONS(14750),
    [sym__bitshift_operator] = ACTIONS(14752),
    [sym__power_operator] = ACTIONS(14754),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14746),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9138] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_elseif] = ACTIONS(13920),
    [anon_sym_else] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(1203),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13064),
    [anon_sym_isa] = ACTIONS(1211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(1211),
    [sym__pipe_right_operator] = ACTIONS(14826),
    [sym__pipe_left_operator] = ACTIONS(14828),
    [sym__ellipsis_operator] = ACTIONS(14830),
    [sym__plus_operator] = ACTIONS(14832),
    [sym__times_operator] = ACTIONS(14834),
    [sym__rational_operator] = ACTIONS(14836),
    [sym__bitshift_operator] = ACTIONS(14838),
    [sym__power_operator] = ACTIONS(14840),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(1211),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14832),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9139] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13394),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13394),
    [anon_sym_RPAREN] = ACTIONS(13394),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13394),
    [anon_sym_RBRACK] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13394),
    [anon_sym_RBRACE] = ACTIONS(13394),
    [anon_sym_DOLLAR] = ACTIONS(13394),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13394),
    [anon_sym_QMARK] = ACTIONS(13394),
    [anon_sym_AT] = ACTIONS(13394),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13394),
    [aux_sym_integer_literal_token2] = ACTIONS(13394),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13394),
    [aux_sym_float_literal_token3] = ACTIONS(13394),
    [aux_sym_float_literal_token4] = ACTIONS(13394),
    [sym_character_literal] = ACTIONS(13394),
    [sym__pair_operator] = ACTIONS(13394),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13394),
    [sym__lazy_and_operator] = ACTIONS(13394),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13394),
    [sym__pipe_left_operator] = ACTIONS(13394),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13394),
    [sym__bitshift_operator] = ACTIONS(13394),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13394),
    [sym__type_order_operator] = ACTIONS(13394),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [9140] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(14943),
    [anon_sym_COMMA] = ACTIONS(13120),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13120),
    [anon_sym_RPAREN] = ACTIONS(13120),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_SEMI] = ACTIONS(13120),
    [anon_sym_LBRACE] = ACTIONS(13120),
    [anon_sym_DOLLAR] = ACTIONS(13120),
    [anon_sym_COLON_COLON] = ACTIONS(13120),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13120),
    [anon_sym_QMARK] = ACTIONS(13120),
    [anon_sym_AT] = ACTIONS(13120),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13120),
    [aux_sym_integer_literal_token2] = ACTIONS(13120),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13120),
    [aux_sym_float_literal_token3] = ACTIONS(13120),
    [aux_sym_float_literal_token4] = ACTIONS(13120),
    [sym_character_literal] = ACTIONS(13120),
    [sym__pair_operator] = ACTIONS(13120),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13120),
    [sym__lazy_and_operator] = ACTIONS(13120),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13120),
    [sym__pipe_left_operator] = ACTIONS(13120),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13120),
    [sym__bitshift_operator] = ACTIONS(13120),
    [sym__power_operator] = ACTIONS(13120),
    [sym__tilde_operator] = ACTIONS(13120),
    [sym__type_order_operator] = ACTIONS(13120),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [9141] = {
    [sym__word_identifier] = ACTIONS(12957),
    [anon_sym_EQ] = ACTIONS(12957),
    [anon_sym_COMMA] = ACTIONS(12962),
    [anon_sym_COLON] = ACTIONS(12957),
    [anon_sym_begin] = ACTIONS(12957),
    [anon_sym_module] = ACTIONS(12957),
    [anon_sym_baremodule] = ACTIONS(12957),
    [anon_sym_abstract] = ACTIONS(12957),
    [anon_sym_primitive] = ACTIONS(12957),
    [anon_sym_mutable] = ACTIONS(12957),
    [anon_sym_struct] = ACTIONS(12957),
    [anon_sym_function] = ACTIONS(12957),
    [anon_sym_macro] = ACTIONS(12957),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(12957),
    [anon_sym_let] = ACTIONS(12957),
    [anon_sym_if] = ACTIONS(12957),
    [anon_sym_try] = ACTIONS(12957),
    [anon_sym_for] = ACTIONS(12957),
    [anon_sym_while] = ACTIONS(12957),
    [sym_break_statement] = ACTIONS(12957),
    [sym_continue_statement] = ACTIONS(12957),
    [anon_sym_return] = ACTIONS(12957),
    [anon_sym_const] = ACTIONS(12957),
    [anon_sym_global] = ACTIONS(12957),
    [anon_sym_local] = ACTIONS(12957),
    [anon_sym_LPAREN] = ACTIONS(12962),
    [anon_sym_RPAREN] = ACTIONS(12962),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(12957),
    [anon_sym_import] = ACTIONS(12957),
    [anon_sym_using] = ACTIONS(12957),
    [anon_sym_LBRACK] = ACTIONS(12962),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(12962),
    [anon_sym_LBRACE] = ACTIONS(12962),
    [anon_sym_DOLLAR] = ACTIONS(12962),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_AT] = ACTIONS(12962),
    [anon_sym_true] = ACTIONS(12957),
    [anon_sym_false] = ACTIONS(12957),
    [aux_sym_integer_literal_token1] = ACTIONS(12962),
    [aux_sym_integer_literal_token2] = ACTIONS(12962),
    [aux_sym_integer_literal_token3] = ACTIONS(12957),
    [aux_sym_integer_literal_token4] = ACTIONS(12957),
    [aux_sym_float_literal_token1] = ACTIONS(12962),
    [aux_sym_float_literal_token3] = ACTIONS(12962),
    [aux_sym_float_literal_token4] = ACTIONS(12962),
    [sym_character_literal] = ACTIONS(12962),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(12962),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(12957),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12962),
    [sym__command_start] = ACTIONS(12962),
  },
  [9142] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14945),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14947),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14949),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(14951),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(14953),
    [sym__arrow_operator] = ACTIONS(14955),
    [sym__lazy_or_operator] = ACTIONS(14957),
    [sym__lazy_and_operator] = ACTIONS(14959),
    [sym__comparison_operator] = ACTIONS(14949),
    [sym__pipe_right_operator] = ACTIONS(14961),
    [sym__pipe_left_operator] = ACTIONS(14963),
    [sym__ellipsis_operator] = ACTIONS(14965),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14949),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9143] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9144] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_EQ] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13922),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13922),
    [anon_sym_RPAREN] = ACTIONS(13922),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13922),
    [anon_sym_LBRACE] = ACTIONS(13922),
    [anon_sym_DOLLAR] = ACTIONS(13922),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13922),
    [anon_sym_AT] = ACTIONS(13922),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13922),
    [aux_sym_integer_literal_token2] = ACTIONS(13922),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13922),
    [aux_sym_float_literal_token3] = ACTIONS(13922),
    [aux_sym_float_literal_token4] = ACTIONS(13922),
    [sym_character_literal] = ACTIONS(13922),
    [sym__pair_operator] = ACTIONS(13922),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13922),
    [sym__lazy_and_operator] = ACTIONS(13922),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13922),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9145] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9146] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14945),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14947),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14949),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(14955),
    [sym__lazy_or_operator] = ACTIONS(14957),
    [sym__lazy_and_operator] = ACTIONS(14959),
    [sym__comparison_operator] = ACTIONS(14949),
    [sym__pipe_right_operator] = ACTIONS(14961),
    [sym__pipe_left_operator] = ACTIONS(14963),
    [sym__ellipsis_operator] = ACTIONS(14965),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14949),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9147] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_EQ] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_RBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9148] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12408),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9149] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_EQ] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(14947),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_RBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(14949),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(14949),
    [sym__pipe_right_operator] = ACTIONS(14961),
    [sym__pipe_left_operator] = ACTIONS(14963),
    [sym__ellipsis_operator] = ACTIONS(14965),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(14949),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9150] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9151] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14945),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14947),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14949),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(14949),
    [sym__pipe_right_operator] = ACTIONS(14961),
    [sym__pipe_left_operator] = ACTIONS(14963),
    [sym__ellipsis_operator] = ACTIONS(14965),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14949),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9152] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14947),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(14965),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9153] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14947),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14961),
    [sym__pipe_left_operator] = ACTIONS(14963),
    [sym__ellipsis_operator] = ACTIONS(14965),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9154] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9155] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [9156] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13238),
    [anon_sym_COMMA] = ACTIONS(13236),
    [anon_sym_COLON] = ACTIONS(13238),
    [anon_sym_begin] = ACTIONS(13238),
    [anon_sym_module] = ACTIONS(13238),
    [anon_sym_baremodule] = ACTIONS(13238),
    [anon_sym_abstract] = ACTIONS(13238),
    [anon_sym_primitive] = ACTIONS(13238),
    [anon_sym_mutable] = ACTIONS(13238),
    [anon_sym_struct] = ACTIONS(13238),
    [anon_sym_function] = ACTIONS(13238),
    [anon_sym_macro] = ACTIONS(13238),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13238),
    [anon_sym_let] = ACTIONS(13238),
    [anon_sym_if] = ACTIONS(13238),
    [anon_sym_try] = ACTIONS(13238),
    [anon_sym_for] = ACTIONS(13238),
    [anon_sym_while] = ACTIONS(13238),
    [sym_break_statement] = ACTIONS(13238),
    [sym_continue_statement] = ACTIONS(13238),
    [anon_sym_return] = ACTIONS(13238),
    [anon_sym_const] = ACTIONS(13238),
    [anon_sym_global] = ACTIONS(13238),
    [anon_sym_local] = ACTIONS(13238),
    [anon_sym_LPAREN] = ACTIONS(13236),
    [anon_sym_RPAREN] = ACTIONS(13236),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13238),
    [anon_sym_import] = ACTIONS(13238),
    [anon_sym_using] = ACTIONS(13238),
    [anon_sym_LBRACK] = ACTIONS(13236),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13236),
    [anon_sym_LBRACE] = ACTIONS(13236),
    [anon_sym_DOLLAR] = ACTIONS(13236),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14985),
    [anon_sym_AT] = ACTIONS(13236),
    [anon_sym_true] = ACTIONS(13238),
    [anon_sym_false] = ACTIONS(13238),
    [aux_sym_integer_literal_token1] = ACTIONS(13236),
    [aux_sym_integer_literal_token2] = ACTIONS(13236),
    [aux_sym_integer_literal_token3] = ACTIONS(13238),
    [aux_sym_integer_literal_token4] = ACTIONS(13238),
    [aux_sym_float_literal_token1] = ACTIONS(13236),
    [aux_sym_float_literal_token3] = ACTIONS(13236),
    [aux_sym_float_literal_token4] = ACTIONS(13236),
    [sym_character_literal] = ACTIONS(13236),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13236),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13238),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13236),
    [sym__command_start] = ACTIONS(13236),
  },
  [9157] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14987),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14989),
    [sym__pipe_left_operator] = ACTIONS(14991),
    [sym__ellipsis_operator] = ACTIONS(14993),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9158] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9159] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9160] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13394),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13394),
    [anon_sym_RPAREN] = ACTIONS(13394),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_SEMI] = ACTIONS(13394),
    [anon_sym_LBRACE] = ACTIONS(13394),
    [anon_sym_DOLLAR] = ACTIONS(13394),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13394),
    [anon_sym_QMARK] = ACTIONS(13394),
    [anon_sym_AT] = ACTIONS(13394),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13394),
    [aux_sym_integer_literal_token2] = ACTIONS(13394),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13394),
    [aux_sym_float_literal_token3] = ACTIONS(13394),
    [aux_sym_float_literal_token4] = ACTIONS(13394),
    [sym_character_literal] = ACTIONS(13394),
    [sym__pair_operator] = ACTIONS(13394),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13394),
    [sym__lazy_and_operator] = ACTIONS(13394),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13394),
    [sym__pipe_left_operator] = ACTIONS(13394),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13394),
    [sym__bitshift_operator] = ACTIONS(13394),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13394),
    [sym__type_order_operator] = ACTIONS(13394),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [9161] = {
    [aux_sym_open_tuple_repeat1] = STATE(9081),
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_COMMA] = ACTIONS(14786),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13104),
    [anon_sym_RPAREN] = ACTIONS(13104),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13104),
    [anon_sym_LBRACE] = ACTIONS(13104),
    [anon_sym_DOLLAR] = ACTIONS(13104),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14985),
    [anon_sym_AT] = ACTIONS(13104),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13104),
    [aux_sym_integer_literal_token2] = ACTIONS(13104),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13104),
    [aux_sym_float_literal_token3] = ACTIONS(13104),
    [aux_sym_float_literal_token4] = ACTIONS(13104),
    [sym_character_literal] = ACTIONS(13104),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13104),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [9162] = {
    [aux_sym_open_tuple_repeat1] = STATE(9081),
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_COMMA] = ACTIONS(14786),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13094),
    [anon_sym_RPAREN] = ACTIONS(13094),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13094),
    [anon_sym_LBRACE] = ACTIONS(13094),
    [anon_sym_DOLLAR] = ACTIONS(13094),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14985),
    [anon_sym_AT] = ACTIONS(13094),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13094),
    [aux_sym_integer_literal_token2] = ACTIONS(13094),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13094),
    [aux_sym_float_literal_token3] = ACTIONS(13094),
    [aux_sym_float_literal_token4] = ACTIONS(13094),
    [sym_character_literal] = ACTIONS(13094),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13094),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [9163] = {
    [aux_sym_open_tuple_repeat1] = STATE(9081),
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_COMMA] = ACTIONS(14786),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13060),
    [anon_sym_RPAREN] = ACTIONS(13060),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13060),
    [anon_sym_LBRACE] = ACTIONS(13060),
    [anon_sym_DOLLAR] = ACTIONS(13060),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14985),
    [anon_sym_AT] = ACTIONS(13060),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13060),
    [aux_sym_integer_literal_token2] = ACTIONS(13060),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13060),
    [aux_sym_float_literal_token3] = ACTIONS(13060),
    [aux_sym_float_literal_token4] = ACTIONS(13060),
    [sym_character_literal] = ACTIONS(13060),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13060),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [9164] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13396),
    [sym__bitshift_operator] = ACTIONS(13396),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9165] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_DASH_GT] = ACTIONS(12174),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9166] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9167] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14945),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14947),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14949),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(14959),
    [sym__comparison_operator] = ACTIONS(14949),
    [sym__pipe_right_operator] = ACTIONS(14961),
    [sym__pipe_left_operator] = ACTIONS(14963),
    [sym__ellipsis_operator] = ACTIONS(14965),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(14949),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9168] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9169] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(12792),
    [anon_sym_COMMA] = ACTIONS(13060),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13060),
    [anon_sym_RPAREN] = ACTIONS(13060),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_SEMI] = ACTIONS(13060),
    [anon_sym_LBRACE] = ACTIONS(13060),
    [anon_sym_DOLLAR] = ACTIONS(13060),
    [anon_sym_COLON_COLON] = ACTIONS(13060),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13060),
    [anon_sym_QMARK] = ACTIONS(13060),
    [anon_sym_AT] = ACTIONS(13060),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13060),
    [aux_sym_integer_literal_token2] = ACTIONS(13060),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13060),
    [aux_sym_float_literal_token3] = ACTIONS(13060),
    [aux_sym_float_literal_token4] = ACTIONS(13060),
    [sym_character_literal] = ACTIONS(13060),
    [sym__pair_operator] = ACTIONS(13060),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13060),
    [sym__lazy_and_operator] = ACTIONS(13060),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13060),
    [sym__pipe_left_operator] = ACTIONS(13060),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13060),
    [sym__bitshift_operator] = ACTIONS(13060),
    [sym__power_operator] = ACTIONS(13060),
    [sym__tilde_operator] = ACTIONS(13060),
    [sym__type_order_operator] = ACTIONS(13060),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [9170] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_EQ] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_RBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [9171] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9172] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13396),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9173] = {
    [aux_sym_open_tuple_repeat1] = STATE(9081),
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_COMMA] = ACTIONS(14786),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13212),
    [anon_sym_RPAREN] = ACTIONS(13212),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13212),
    [anon_sym_LBRACE] = ACTIONS(13212),
    [anon_sym_DOLLAR] = ACTIONS(13212),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14985),
    [anon_sym_AT] = ACTIONS(13212),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13212),
    [aux_sym_integer_literal_token2] = ACTIONS(13212),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13212),
    [aux_sym_float_literal_token3] = ACTIONS(13212),
    [aux_sym_float_literal_token4] = ACTIONS(13212),
    [sym_character_literal] = ACTIONS(13212),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13212),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [9174] = {
    [sym__word_identifier] = ACTIONS(13054),
    [anon_sym_EQ] = ACTIONS(14943),
    [anon_sym_COMMA] = ACTIONS(13060),
    [anon_sym_COLON] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(13054),
    [anon_sym_module] = ACTIONS(13054),
    [anon_sym_baremodule] = ACTIONS(13054),
    [anon_sym_abstract] = ACTIONS(13054),
    [anon_sym_primitive] = ACTIONS(13054),
    [anon_sym_mutable] = ACTIONS(13054),
    [anon_sym_struct] = ACTIONS(13054),
    [anon_sym_function] = ACTIONS(13054),
    [anon_sym_macro] = ACTIONS(13054),
    [anon_sym_where] = ACTIONS(13054),
    [anon_sym_quote] = ACTIONS(13054),
    [anon_sym_let] = ACTIONS(13054),
    [anon_sym_if] = ACTIONS(13054),
    [anon_sym_try] = ACTIONS(13054),
    [anon_sym_for] = ACTIONS(13054),
    [anon_sym_while] = ACTIONS(13054),
    [sym_break_statement] = ACTIONS(13054),
    [sym_continue_statement] = ACTIONS(13054),
    [anon_sym_return] = ACTIONS(13054),
    [anon_sym_const] = ACTIONS(13054),
    [anon_sym_global] = ACTIONS(13054),
    [anon_sym_local] = ACTIONS(13054),
    [anon_sym_LPAREN] = ACTIONS(13060),
    [anon_sym_RPAREN] = ACTIONS(13060),
    [anon_sym_COLON2] = ACTIONS(13054),
    [anon_sym_export] = ACTIONS(13054),
    [anon_sym_import] = ACTIONS(13054),
    [anon_sym_using] = ACTIONS(13054),
    [anon_sym_LBRACK] = ACTIONS(13060),
    [anon_sym_in] = ACTIONS(13054),
    [anon_sym_SEMI] = ACTIONS(13060),
    [anon_sym_LBRACE] = ACTIONS(13060),
    [anon_sym_DOLLAR] = ACTIONS(13060),
    [anon_sym_COLON_COLON] = ACTIONS(13060),
    [anon_sym_isa] = ACTIONS(13054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13060),
    [anon_sym_QMARK] = ACTIONS(13060),
    [anon_sym_AT] = ACTIONS(13060),
    [anon_sym_true] = ACTIONS(13054),
    [anon_sym_false] = ACTIONS(13054),
    [aux_sym_integer_literal_token1] = ACTIONS(13060),
    [aux_sym_integer_literal_token2] = ACTIONS(13060),
    [aux_sym_integer_literal_token3] = ACTIONS(13054),
    [aux_sym_integer_literal_token4] = ACTIONS(13054),
    [aux_sym_float_literal_token1] = ACTIONS(13060),
    [aux_sym_float_literal_token3] = ACTIONS(13060),
    [aux_sym_float_literal_token4] = ACTIONS(13060),
    [sym_character_literal] = ACTIONS(13060),
    [sym__pair_operator] = ACTIONS(13060),
    [sym__arrow_operator] = ACTIONS(13054),
    [sym__lazy_or_operator] = ACTIONS(13060),
    [sym__lazy_and_operator] = ACTIONS(13060),
    [sym__comparison_operator] = ACTIONS(13054),
    [sym__pipe_right_operator] = ACTIONS(13060),
    [sym__pipe_left_operator] = ACTIONS(13060),
    [sym__ellipsis_operator] = ACTIONS(13054),
    [sym__plus_operator] = ACTIONS(13054),
    [sym__times_operator] = ACTIONS(13054),
    [sym__rational_operator] = ACTIONS(13060),
    [sym__bitshift_operator] = ACTIONS(13060),
    [sym__power_operator] = ACTIONS(13060),
    [sym__tilde_operator] = ACTIONS(13060),
    [sym__type_order_operator] = ACTIONS(13060),
    [sym__unary_operator] = ACTIONS(13054),
    [sym__unary_plus_operator] = ACTIONS(13054),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13060),
    [sym__command_start] = ACTIONS(13060),
  },
  [9175] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15005),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14987),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15007),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(15007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(15009),
    [sym__arrow_operator] = ACTIONS(15011),
    [sym__lazy_or_operator] = ACTIONS(15013),
    [sym__lazy_and_operator] = ACTIONS(15015),
    [sym__comparison_operator] = ACTIONS(15007),
    [sym__pipe_right_operator] = ACTIONS(14989),
    [sym__pipe_left_operator] = ACTIONS(14991),
    [sym__ellipsis_operator] = ACTIONS(14993),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15007),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9176] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_EQ] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13971),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13971),
    [anon_sym_RPAREN] = ACTIONS(13971),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13971),
    [anon_sym_LBRACE] = ACTIONS(13971),
    [anon_sym_DOLLAR] = ACTIONS(13971),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_AT] = ACTIONS(13971),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13971),
    [aux_sym_integer_literal_token2] = ACTIONS(13971),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13971),
    [aux_sym_float_literal_token3] = ACTIONS(13971),
    [aux_sym_float_literal_token4] = ACTIONS(13971),
    [sym_character_literal] = ACTIONS(13971),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13971),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9177] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_EQ] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13406),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13406),
    [anon_sym_RPAREN] = ACTIONS(13406),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_SEMI] = ACTIONS(13406),
    [anon_sym_LBRACE] = ACTIONS(13406),
    [anon_sym_DOLLAR] = ACTIONS(13406),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13406),
    [anon_sym_QMARK] = ACTIONS(13406),
    [anon_sym_AT] = ACTIONS(13406),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13406),
    [aux_sym_integer_literal_token2] = ACTIONS(13406),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13406),
    [aux_sym_float_literal_token3] = ACTIONS(13406),
    [aux_sym_float_literal_token4] = ACTIONS(13406),
    [sym_character_literal] = ACTIONS(13406),
    [sym__pair_operator] = ACTIONS(13406),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13406),
    [sym__lazy_and_operator] = ACTIONS(13406),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13406),
    [sym__pipe_left_operator] = ACTIONS(13406),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13406),
    [sym__type_order_operator] = ACTIONS(13406),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9178] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9179] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9180] = {
    [sym__word_identifier] = ACTIONS(15019),
    [anon_sym_COMMA] = ACTIONS(15019),
    [anon_sym_COLON] = ACTIONS(15019),
    [anon_sym_begin] = ACTIONS(15019),
    [anon_sym_module] = ACTIONS(15019),
    [anon_sym_baremodule] = ACTIONS(15019),
    [anon_sym_end] = ACTIONS(15019),
    [anon_sym_abstract] = ACTIONS(15019),
    [anon_sym_primitive] = ACTIONS(15019),
    [anon_sym_mutable] = ACTIONS(15019),
    [anon_sym_struct] = ACTIONS(15019),
    [anon_sym_function] = ACTIONS(15019),
    [anon_sym_macro] = ACTIONS(15019),
    [anon_sym_where] = ACTIONS(15005),
    [anon_sym_quote] = ACTIONS(15019),
    [anon_sym_let] = ACTIONS(15019),
    [anon_sym_if] = ACTIONS(15019),
    [anon_sym_try] = ACTIONS(15019),
    [anon_sym_for] = ACTIONS(15019),
    [anon_sym_while] = ACTIONS(15019),
    [sym_break_statement] = ACTIONS(15019),
    [sym_continue_statement] = ACTIONS(15019),
    [anon_sym_return] = ACTIONS(15019),
    [anon_sym_const] = ACTIONS(15019),
    [anon_sym_global] = ACTIONS(15019),
    [anon_sym_local] = ACTIONS(15019),
    [anon_sym_LPAREN] = ACTIONS(15019),
    [anon_sym_COLON2] = ACTIONS(14987),
    [anon_sym_export] = ACTIONS(15019),
    [anon_sym_import] = ACTIONS(15019),
    [anon_sym_using] = ACTIONS(15019),
    [anon_sym_LBRACK] = ACTIONS(15019),
    [anon_sym_LF] = ACTIONS(15021),
    [anon_sym_in] = ACTIONS(15007),
    [anon_sym_LBRACE] = ACTIONS(15019),
    [anon_sym_DOLLAR] = ACTIONS(15019),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(15007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(15019),
    [anon_sym_true] = ACTIONS(15019),
    [anon_sym_false] = ACTIONS(15019),
    [aux_sym_integer_literal_token1] = ACTIONS(15019),
    [aux_sym_integer_literal_token2] = ACTIONS(15019),
    [aux_sym_integer_literal_token3] = ACTIONS(15019),
    [aux_sym_integer_literal_token4] = ACTIONS(15019),
    [aux_sym_float_literal_token1] = ACTIONS(15019),
    [aux_sym_float_literal_token3] = ACTIONS(15019),
    [aux_sym_float_literal_token4] = ACTIONS(15019),
    [sym_character_literal] = ACTIONS(15019),
    [sym__pair_operator] = ACTIONS(15009),
    [sym__arrow_operator] = ACTIONS(15011),
    [sym__lazy_or_operator] = ACTIONS(15013),
    [sym__lazy_and_operator] = ACTIONS(15015),
    [sym__comparison_operator] = ACTIONS(15007),
    [sym__pipe_right_operator] = ACTIONS(14989),
    [sym__pipe_left_operator] = ACTIONS(14991),
    [sym__ellipsis_operator] = ACTIONS(14993),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(15019),
    [sym__type_order_operator] = ACTIONS(15007),
    [sym__unary_operator] = ACTIONS(15019),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(15019),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(15021),
    [sym__command_start] = ACTIONS(15021),
  },
  [9181] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(14943),
    [anon_sym_COMMA] = ACTIONS(13094),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13094),
    [anon_sym_RPAREN] = ACTIONS(13094),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_SEMI] = ACTIONS(13094),
    [anon_sym_LBRACE] = ACTIONS(13094),
    [anon_sym_DOLLAR] = ACTIONS(13094),
    [anon_sym_COLON_COLON] = ACTIONS(13094),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13094),
    [anon_sym_QMARK] = ACTIONS(13094),
    [anon_sym_AT] = ACTIONS(13094),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13094),
    [aux_sym_integer_literal_token2] = ACTIONS(13094),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13094),
    [aux_sym_float_literal_token3] = ACTIONS(13094),
    [aux_sym_float_literal_token4] = ACTIONS(13094),
    [sym_character_literal] = ACTIONS(13094),
    [sym__pair_operator] = ACTIONS(13094),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13094),
    [sym__lazy_and_operator] = ACTIONS(13094),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13094),
    [sym__pipe_left_operator] = ACTIONS(13094),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13094),
    [sym__bitshift_operator] = ACTIONS(13094),
    [sym__power_operator] = ACTIONS(13094),
    [sym__tilde_operator] = ACTIONS(13094),
    [sym__type_order_operator] = ACTIONS(13094),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [9182] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(14943),
    [anon_sym_COMMA] = ACTIONS(13104),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13104),
    [anon_sym_RPAREN] = ACTIONS(13104),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_SEMI] = ACTIONS(13104),
    [anon_sym_LBRACE] = ACTIONS(13104),
    [anon_sym_DOLLAR] = ACTIONS(13104),
    [anon_sym_COLON_COLON] = ACTIONS(13104),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13104),
    [anon_sym_QMARK] = ACTIONS(13104),
    [anon_sym_AT] = ACTIONS(13104),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13104),
    [aux_sym_integer_literal_token2] = ACTIONS(13104),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13104),
    [aux_sym_float_literal_token3] = ACTIONS(13104),
    [aux_sym_float_literal_token4] = ACTIONS(13104),
    [sym_character_literal] = ACTIONS(13104),
    [sym__pair_operator] = ACTIONS(13104),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13104),
    [sym__lazy_and_operator] = ACTIONS(13104),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13104),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13104),
    [sym__bitshift_operator] = ACTIONS(13104),
    [sym__power_operator] = ACTIONS(13104),
    [sym__tilde_operator] = ACTIONS(13104),
    [sym__type_order_operator] = ACTIONS(13104),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [9183] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9184] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9185] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9186] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(14943),
    [anon_sym_COMMA] = ACTIONS(13212),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13212),
    [anon_sym_RPAREN] = ACTIONS(13212),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_SEMI] = ACTIONS(13212),
    [anon_sym_LBRACE] = ACTIONS(13212),
    [anon_sym_DOLLAR] = ACTIONS(13212),
    [anon_sym_COLON_COLON] = ACTIONS(13212),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13212),
    [anon_sym_QMARK] = ACTIONS(13212),
    [anon_sym_AT] = ACTIONS(13212),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13212),
    [aux_sym_integer_literal_token2] = ACTIONS(13212),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13212),
    [aux_sym_float_literal_token3] = ACTIONS(13212),
    [aux_sym_float_literal_token4] = ACTIONS(13212),
    [sym_character_literal] = ACTIONS(13212),
    [sym__pair_operator] = ACTIONS(13212),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13212),
    [sym__lazy_and_operator] = ACTIONS(13212),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13212),
    [sym__pipe_left_operator] = ACTIONS(13212),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13212),
    [sym__bitshift_operator] = ACTIONS(13212),
    [sym__power_operator] = ACTIONS(13212),
    [sym__tilde_operator] = ACTIONS(13212),
    [sym__type_order_operator] = ACTIONS(13212),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [9187] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9188] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9189] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(15005),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(14987),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(15007),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(15007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(15009),
    [sym__arrow_operator] = ACTIONS(15011),
    [sym__lazy_or_operator] = ACTIONS(15013),
    [sym__lazy_and_operator] = ACTIONS(15015),
    [sym__comparison_operator] = ACTIONS(15007),
    [sym__pipe_right_operator] = ACTIONS(14989),
    [sym__pipe_left_operator] = ACTIONS(14991),
    [sym__ellipsis_operator] = ACTIONS(14993),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(15007),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9190] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9191] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9192] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9193] = {
    [sym__word_identifier] = ACTIONS(13092),
    [anon_sym_EQ] = ACTIONS(12792),
    [anon_sym_COMMA] = ACTIONS(13094),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_begin] = ACTIONS(13092),
    [anon_sym_module] = ACTIONS(13092),
    [anon_sym_baremodule] = ACTIONS(13092),
    [anon_sym_abstract] = ACTIONS(13092),
    [anon_sym_primitive] = ACTIONS(13092),
    [anon_sym_mutable] = ACTIONS(13092),
    [anon_sym_struct] = ACTIONS(13092),
    [anon_sym_function] = ACTIONS(13092),
    [anon_sym_macro] = ACTIONS(13092),
    [anon_sym_where] = ACTIONS(13092),
    [anon_sym_quote] = ACTIONS(13092),
    [anon_sym_let] = ACTIONS(13092),
    [anon_sym_if] = ACTIONS(13092),
    [anon_sym_try] = ACTIONS(13092),
    [anon_sym_for] = ACTIONS(13092),
    [anon_sym_while] = ACTIONS(13092),
    [sym_break_statement] = ACTIONS(13092),
    [sym_continue_statement] = ACTIONS(13092),
    [anon_sym_return] = ACTIONS(13092),
    [anon_sym_const] = ACTIONS(13092),
    [anon_sym_global] = ACTIONS(13092),
    [anon_sym_local] = ACTIONS(13092),
    [anon_sym_LPAREN] = ACTIONS(13094),
    [anon_sym_RPAREN] = ACTIONS(13094),
    [anon_sym_COLON2] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(13092),
    [anon_sym_import] = ACTIONS(13092),
    [anon_sym_using] = ACTIONS(13092),
    [anon_sym_LBRACK] = ACTIONS(13094),
    [anon_sym_in] = ACTIONS(13092),
    [anon_sym_SEMI] = ACTIONS(13094),
    [anon_sym_LBRACE] = ACTIONS(13094),
    [anon_sym_DOLLAR] = ACTIONS(13094),
    [anon_sym_COLON_COLON] = ACTIONS(13094),
    [anon_sym_isa] = ACTIONS(13092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13094),
    [anon_sym_QMARK] = ACTIONS(13094),
    [anon_sym_AT] = ACTIONS(13094),
    [anon_sym_true] = ACTIONS(13092),
    [anon_sym_false] = ACTIONS(13092),
    [aux_sym_integer_literal_token1] = ACTIONS(13094),
    [aux_sym_integer_literal_token2] = ACTIONS(13094),
    [aux_sym_integer_literal_token3] = ACTIONS(13092),
    [aux_sym_integer_literal_token4] = ACTIONS(13092),
    [aux_sym_float_literal_token1] = ACTIONS(13094),
    [aux_sym_float_literal_token3] = ACTIONS(13094),
    [aux_sym_float_literal_token4] = ACTIONS(13094),
    [sym_character_literal] = ACTIONS(13094),
    [sym__pair_operator] = ACTIONS(13094),
    [sym__arrow_operator] = ACTIONS(13092),
    [sym__lazy_or_operator] = ACTIONS(13094),
    [sym__lazy_and_operator] = ACTIONS(13094),
    [sym__comparison_operator] = ACTIONS(13092),
    [sym__pipe_right_operator] = ACTIONS(13094),
    [sym__pipe_left_operator] = ACTIONS(13094),
    [sym__ellipsis_operator] = ACTIONS(13092),
    [sym__plus_operator] = ACTIONS(13092),
    [sym__times_operator] = ACTIONS(13092),
    [sym__rational_operator] = ACTIONS(13094),
    [sym__bitshift_operator] = ACTIONS(13094),
    [sym__power_operator] = ACTIONS(13094),
    [sym__tilde_operator] = ACTIONS(13094),
    [sym__type_order_operator] = ACTIONS(13094),
    [sym__unary_operator] = ACTIONS(13092),
    [sym__unary_plus_operator] = ACTIONS(13092),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13094),
    [sym__command_start] = ACTIONS(13094),
  },
  [9194] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_DASH_GT] = ACTIONS(12500),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9195] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_RPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_SEMI] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [9196] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(15025),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9197] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13406),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13406),
    [anon_sym_RPAREN] = ACTIONS(13406),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13406),
    [anon_sym_RBRACK] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13406),
    [anon_sym_RBRACE] = ACTIONS(13406),
    [anon_sym_DOLLAR] = ACTIONS(13406),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13406),
    [anon_sym_QMARK] = ACTIONS(13406),
    [anon_sym_AT] = ACTIONS(13406),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13406),
    [aux_sym_integer_literal_token2] = ACTIONS(13406),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13406),
    [aux_sym_float_literal_token3] = ACTIONS(13406),
    [aux_sym_float_literal_token4] = ACTIONS(13406),
    [sym_character_literal] = ACTIONS(13406),
    [sym__pair_operator] = ACTIONS(13406),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13406),
    [sym__lazy_and_operator] = ACTIONS(13406),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13406),
    [sym__pipe_left_operator] = ACTIONS(13406),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(15025),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13406),
    [sym__type_order_operator] = ACTIONS(13406),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(15025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9198] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14987),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(14993),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9199] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15005),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14987),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15007),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(15007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(15011),
    [sym__lazy_or_operator] = ACTIONS(15013),
    [sym__lazy_and_operator] = ACTIONS(15015),
    [sym__comparison_operator] = ACTIONS(15007),
    [sym__pipe_right_operator] = ACTIONS(14989),
    [sym__pipe_left_operator] = ACTIONS(14991),
    [sym__ellipsis_operator] = ACTIONS(14993),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15007),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9200] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(15029),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15029),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9201] = {
    [sym__word_identifier] = ACTIONS(13210),
    [anon_sym_EQ] = ACTIONS(12792),
    [anon_sym_COMMA] = ACTIONS(13212),
    [anon_sym_COLON] = ACTIONS(13210),
    [anon_sym_begin] = ACTIONS(13210),
    [anon_sym_module] = ACTIONS(13210),
    [anon_sym_baremodule] = ACTIONS(13210),
    [anon_sym_abstract] = ACTIONS(13210),
    [anon_sym_primitive] = ACTIONS(13210),
    [anon_sym_mutable] = ACTIONS(13210),
    [anon_sym_struct] = ACTIONS(13210),
    [anon_sym_function] = ACTIONS(13210),
    [anon_sym_macro] = ACTIONS(13210),
    [anon_sym_where] = ACTIONS(13210),
    [anon_sym_quote] = ACTIONS(13210),
    [anon_sym_let] = ACTIONS(13210),
    [anon_sym_if] = ACTIONS(13210),
    [anon_sym_try] = ACTIONS(13210),
    [anon_sym_for] = ACTIONS(13210),
    [anon_sym_while] = ACTIONS(13210),
    [sym_break_statement] = ACTIONS(13210),
    [sym_continue_statement] = ACTIONS(13210),
    [anon_sym_return] = ACTIONS(13210),
    [anon_sym_const] = ACTIONS(13210),
    [anon_sym_global] = ACTIONS(13210),
    [anon_sym_local] = ACTIONS(13210),
    [anon_sym_LPAREN] = ACTIONS(13212),
    [anon_sym_RPAREN] = ACTIONS(13212),
    [anon_sym_COLON2] = ACTIONS(13210),
    [anon_sym_export] = ACTIONS(13210),
    [anon_sym_import] = ACTIONS(13210),
    [anon_sym_using] = ACTIONS(13210),
    [anon_sym_LBRACK] = ACTIONS(13212),
    [anon_sym_in] = ACTIONS(13210),
    [anon_sym_SEMI] = ACTIONS(13212),
    [anon_sym_LBRACE] = ACTIONS(13212),
    [anon_sym_DOLLAR] = ACTIONS(13212),
    [anon_sym_COLON_COLON] = ACTIONS(13212),
    [anon_sym_isa] = ACTIONS(13210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13212),
    [anon_sym_QMARK] = ACTIONS(13212),
    [anon_sym_AT] = ACTIONS(13212),
    [anon_sym_true] = ACTIONS(13210),
    [anon_sym_false] = ACTIONS(13210),
    [aux_sym_integer_literal_token1] = ACTIONS(13212),
    [aux_sym_integer_literal_token2] = ACTIONS(13212),
    [aux_sym_integer_literal_token3] = ACTIONS(13210),
    [aux_sym_integer_literal_token4] = ACTIONS(13210),
    [aux_sym_float_literal_token1] = ACTIONS(13212),
    [aux_sym_float_literal_token3] = ACTIONS(13212),
    [aux_sym_float_literal_token4] = ACTIONS(13212),
    [sym_character_literal] = ACTIONS(13212),
    [sym__pair_operator] = ACTIONS(13212),
    [sym__arrow_operator] = ACTIONS(13210),
    [sym__lazy_or_operator] = ACTIONS(13212),
    [sym__lazy_and_operator] = ACTIONS(13212),
    [sym__comparison_operator] = ACTIONS(13210),
    [sym__pipe_right_operator] = ACTIONS(13212),
    [sym__pipe_left_operator] = ACTIONS(13212),
    [sym__ellipsis_operator] = ACTIONS(13210),
    [sym__plus_operator] = ACTIONS(13210),
    [sym__times_operator] = ACTIONS(13210),
    [sym__rational_operator] = ACTIONS(13212),
    [sym__bitshift_operator] = ACTIONS(13212),
    [sym__power_operator] = ACTIONS(13212),
    [sym__tilde_operator] = ACTIONS(13212),
    [sym__type_order_operator] = ACTIONS(13212),
    [sym__unary_operator] = ACTIONS(13210),
    [sym__unary_plus_operator] = ACTIONS(13210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13212),
    [sym__command_start] = ACTIONS(13212),
  },
  [9202] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13922),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13922),
    [anon_sym_RPAREN] = ACTIONS(13922),
    [anon_sym_COLON2] = ACTIONS(15031),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13922),
    [anon_sym_RBRACK] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(15033),
    [anon_sym_LBRACE] = ACTIONS(13922),
    [anon_sym_RBRACE] = ACTIONS(13922),
    [anon_sym_DOLLAR] = ACTIONS(13922),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13922),
    [anon_sym_AT] = ACTIONS(13922),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13922),
    [aux_sym_integer_literal_token2] = ACTIONS(13922),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13922),
    [aux_sym_float_literal_token3] = ACTIONS(13922),
    [aux_sym_float_literal_token4] = ACTIONS(13922),
    [sym_character_literal] = ACTIONS(13922),
    [sym__pair_operator] = ACTIONS(13922),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13922),
    [sym__lazy_and_operator] = ACTIONS(13922),
    [sym__comparison_operator] = ACTIONS(15033),
    [sym__pipe_right_operator] = ACTIONS(15035),
    [sym__pipe_left_operator] = ACTIONS(15037),
    [sym__ellipsis_operator] = ACTIONS(15039),
    [sym__plus_operator] = ACTIONS(15025),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13922),
    [sym__type_order_operator] = ACTIONS(15041),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(15025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9203] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15031),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(15035),
    [sym__pipe_left_operator] = ACTIONS(15037),
    [sym__ellipsis_operator] = ACTIONS(15039),
    [sym__plus_operator] = ACTIONS(15025),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9204] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15043),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15031),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15033),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14878),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(15045),
    [sym__arrow_operator] = ACTIONS(15047),
    [sym__lazy_or_operator] = ACTIONS(15049),
    [sym__lazy_and_operator] = ACTIONS(15051),
    [sym__comparison_operator] = ACTIONS(15033),
    [sym__pipe_right_operator] = ACTIONS(15035),
    [sym__pipe_left_operator] = ACTIONS(15037),
    [sym__ellipsis_operator] = ACTIONS(15039),
    [sym__plus_operator] = ACTIONS(15025),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(15041),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9205] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15043),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15031),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15033),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(15047),
    [sym__lazy_or_operator] = ACTIONS(15049),
    [sym__lazy_and_operator] = ACTIONS(15051),
    [sym__comparison_operator] = ACTIONS(15033),
    [sym__pipe_right_operator] = ACTIONS(15035),
    [sym__pipe_left_operator] = ACTIONS(15037),
    [sym__ellipsis_operator] = ACTIONS(15039),
    [sym__plus_operator] = ACTIONS(15025),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(15041),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9206] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15043),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15031),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15033),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(15051),
    [sym__comparison_operator] = ACTIONS(15033),
    [sym__pipe_right_operator] = ACTIONS(15035),
    [sym__pipe_left_operator] = ACTIONS(15037),
    [sym__ellipsis_operator] = ACTIONS(15039),
    [sym__plus_operator] = ACTIONS(15025),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(15041),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9207] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15043),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15031),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15033),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(15033),
    [sym__pipe_right_operator] = ACTIONS(15035),
    [sym__pipe_left_operator] = ACTIONS(15037),
    [sym__ellipsis_operator] = ACTIONS(15039),
    [sym__plus_operator] = ACTIONS(15025),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(15041),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9208] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15031),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(15039),
    [sym__plus_operator] = ACTIONS(15025),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9209] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15031),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(15035),
    [sym__pipe_left_operator] = ACTIONS(15037),
    [sym__ellipsis_operator] = ACTIONS(15039),
    [sym__plus_operator] = ACTIONS(15025),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9210] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12764),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11397),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(11397),
    [anon_sym_DOLLAR] = ACTIONS(11397),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(11397),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11397),
    [aux_sym_integer_literal_token2] = ACTIONS(11397),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11397),
    [aux_sym_float_literal_token3] = ACTIONS(11397),
    [aux_sym_float_literal_token4] = ACTIONS(11397),
    [sym_character_literal] = ACTIONS(11397),
    [sym__pair_operator] = ACTIONS(11397),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11397),
    [sym__pipe_left_operator] = ACTIONS(11397),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11397),
    [sym__bitshift_operator] = ACTIONS(11397),
    [sym__power_operator] = ACTIONS(11397),
    [sym__tilde_operator] = ACTIONS(11397),
    [sym__type_order_operator] = ACTIONS(11397),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9211] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14794),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9212] = {
    [sym__word_identifier] = ACTIONS(13102),
    [anon_sym_EQ] = ACTIONS(12792),
    [anon_sym_COMMA] = ACTIONS(13104),
    [anon_sym_COLON] = ACTIONS(13102),
    [anon_sym_begin] = ACTIONS(13102),
    [anon_sym_module] = ACTIONS(13102),
    [anon_sym_baremodule] = ACTIONS(13102),
    [anon_sym_abstract] = ACTIONS(13102),
    [anon_sym_primitive] = ACTIONS(13102),
    [anon_sym_mutable] = ACTIONS(13102),
    [anon_sym_struct] = ACTIONS(13102),
    [anon_sym_function] = ACTIONS(13102),
    [anon_sym_macro] = ACTIONS(13102),
    [anon_sym_where] = ACTIONS(13102),
    [anon_sym_quote] = ACTIONS(13102),
    [anon_sym_let] = ACTIONS(13102),
    [anon_sym_if] = ACTIONS(13102),
    [anon_sym_try] = ACTIONS(13102),
    [anon_sym_for] = ACTIONS(13102),
    [anon_sym_while] = ACTIONS(13102),
    [sym_break_statement] = ACTIONS(13102),
    [sym_continue_statement] = ACTIONS(13102),
    [anon_sym_return] = ACTIONS(13102),
    [anon_sym_const] = ACTIONS(13102),
    [anon_sym_global] = ACTIONS(13102),
    [anon_sym_local] = ACTIONS(13102),
    [anon_sym_LPAREN] = ACTIONS(13104),
    [anon_sym_RPAREN] = ACTIONS(13104),
    [anon_sym_COLON2] = ACTIONS(13102),
    [anon_sym_export] = ACTIONS(13102),
    [anon_sym_import] = ACTIONS(13102),
    [anon_sym_using] = ACTIONS(13102),
    [anon_sym_LBRACK] = ACTIONS(13104),
    [anon_sym_in] = ACTIONS(13102),
    [anon_sym_SEMI] = ACTIONS(13104),
    [anon_sym_LBRACE] = ACTIONS(13104),
    [anon_sym_DOLLAR] = ACTIONS(13104),
    [anon_sym_COLON_COLON] = ACTIONS(13104),
    [anon_sym_isa] = ACTIONS(13102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13104),
    [anon_sym_QMARK] = ACTIONS(13104),
    [anon_sym_AT] = ACTIONS(13104),
    [anon_sym_true] = ACTIONS(13102),
    [anon_sym_false] = ACTIONS(13102),
    [aux_sym_integer_literal_token1] = ACTIONS(13104),
    [aux_sym_integer_literal_token2] = ACTIONS(13104),
    [aux_sym_integer_literal_token3] = ACTIONS(13102),
    [aux_sym_integer_literal_token4] = ACTIONS(13102),
    [aux_sym_float_literal_token1] = ACTIONS(13104),
    [aux_sym_float_literal_token3] = ACTIONS(13104),
    [aux_sym_float_literal_token4] = ACTIONS(13104),
    [sym_character_literal] = ACTIONS(13104),
    [sym__pair_operator] = ACTIONS(13104),
    [sym__arrow_operator] = ACTIONS(13102),
    [sym__lazy_or_operator] = ACTIONS(13104),
    [sym__lazy_and_operator] = ACTIONS(13104),
    [sym__comparison_operator] = ACTIONS(13102),
    [sym__pipe_right_operator] = ACTIONS(13104),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13102),
    [sym__plus_operator] = ACTIONS(13102),
    [sym__times_operator] = ACTIONS(13102),
    [sym__rational_operator] = ACTIONS(13104),
    [sym__bitshift_operator] = ACTIONS(13104),
    [sym__power_operator] = ACTIONS(13104),
    [sym__tilde_operator] = ACTIONS(13104),
    [sym__type_order_operator] = ACTIONS(13104),
    [sym__unary_operator] = ACTIONS(13102),
    [sym__unary_plus_operator] = ACTIONS(13102),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13104),
    [sym__command_start] = ACTIONS(13104),
  },
  [9213] = {
    [sym__word_identifier] = ACTIONS(15053),
    [anon_sym_COMMA] = ACTIONS(15053),
    [anon_sym_COLON] = ACTIONS(15053),
    [anon_sym_begin] = ACTIONS(15053),
    [anon_sym_module] = ACTIONS(15053),
    [anon_sym_baremodule] = ACTIONS(15053),
    [anon_sym_abstract] = ACTIONS(15053),
    [anon_sym_primitive] = ACTIONS(15053),
    [anon_sym_mutable] = ACTIONS(15053),
    [anon_sym_struct] = ACTIONS(15053),
    [anon_sym_function] = ACTIONS(15053),
    [anon_sym_macro] = ACTIONS(15053),
    [anon_sym_where] = ACTIONS(13126),
    [anon_sym_quote] = ACTIONS(15053),
    [anon_sym_let] = ACTIONS(15053),
    [anon_sym_if] = ACTIONS(15053),
    [anon_sym_try] = ACTIONS(15053),
    [anon_sym_for] = ACTIONS(15053),
    [anon_sym_while] = ACTIONS(15053),
    [sym_break_statement] = ACTIONS(15053),
    [sym_continue_statement] = ACTIONS(15053),
    [anon_sym_return] = ACTIONS(15053),
    [anon_sym_const] = ACTIONS(15053),
    [anon_sym_global] = ACTIONS(15053),
    [anon_sym_local] = ACTIONS(15053),
    [anon_sym_LPAREN] = ACTIONS(15053),
    [anon_sym_COLON2] = ACTIONS(13128),
    [anon_sym_export] = ACTIONS(15053),
    [anon_sym_import] = ACTIONS(15053),
    [anon_sym_using] = ACTIONS(15053),
    [anon_sym_LBRACK] = ACTIONS(15053),
    [anon_sym_RBRACK] = ACTIONS(15053),
    [anon_sym_LF] = ACTIONS(15055),
    [anon_sym_in] = ACTIONS(13130),
    [anon_sym_LBRACE] = ACTIONS(15053),
    [anon_sym_DOLLAR] = ACTIONS(15053),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13275),
    [anon_sym_AT] = ACTIONS(15053),
    [anon_sym_true] = ACTIONS(15053),
    [anon_sym_false] = ACTIONS(15053),
    [aux_sym_integer_literal_token1] = ACTIONS(15053),
    [aux_sym_integer_literal_token2] = ACTIONS(15053),
    [aux_sym_integer_literal_token3] = ACTIONS(15053),
    [aux_sym_integer_literal_token4] = ACTIONS(15053),
    [aux_sym_float_literal_token1] = ACTIONS(15053),
    [aux_sym_float_literal_token3] = ACTIONS(15053),
    [aux_sym_float_literal_token4] = ACTIONS(15053),
    [sym_character_literal] = ACTIONS(15053),
    [sym__pair_operator] = ACTIONS(13138),
    [sym__arrow_operator] = ACTIONS(13140),
    [sym__lazy_or_operator] = ACTIONS(13142),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13130),
    [sym__pipe_right_operator] = ACTIONS(13146),
    [sym__pipe_left_operator] = ACTIONS(13148),
    [sym__ellipsis_operator] = ACTIONS(13150),
    [sym__plus_operator] = ACTIONS(13152),
    [sym__times_operator] = ACTIONS(13154),
    [sym__rational_operator] = ACTIONS(13156),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13160),
    [sym__tilde_operator] = ACTIONS(15053),
    [sym__type_order_operator] = ACTIONS(13130),
    [sym__unary_operator] = ACTIONS(15053),
    [sym__unary_plus_operator] = ACTIONS(13152),
    [aux_sym__terminator_token1] = ACTIONS(15053),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(15055),
    [sym__command_start] = ACTIONS(15055),
  },
  [9214] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9215] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9216] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15005),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14987),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15007),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(15007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(15015),
    [sym__comparison_operator] = ACTIONS(15007),
    [sym__pipe_right_operator] = ACTIONS(14989),
    [sym__pipe_left_operator] = ACTIONS(14991),
    [sym__ellipsis_operator] = ACTIONS(14993),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15007),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9217] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_EQ] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(14945),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(14947),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_RBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(14949),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(14951),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(14953),
    [sym__arrow_operator] = ACTIONS(14955),
    [sym__lazy_or_operator] = ACTIONS(14957),
    [sym__lazy_and_operator] = ACTIONS(14959),
    [sym__comparison_operator] = ACTIONS(14949),
    [sym__pipe_right_operator] = ACTIONS(14961),
    [sym__pipe_left_operator] = ACTIONS(14963),
    [sym__ellipsis_operator] = ACTIONS(14965),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(14949),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9218] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14947),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14961),
    [sym__pipe_left_operator] = ACTIONS(14963),
    [sym__ellipsis_operator] = ACTIONS(14965),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9219] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13396),
    [sym__bitshift_operator] = ACTIONS(13396),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9220] = {
    [aux_sym_open_tuple_repeat1] = STATE(17099),
    [sym__word_identifier] = ACTIONS(13242),
    [anon_sym_COMMA] = ACTIONS(13240),
    [anon_sym_COLON] = ACTIONS(13242),
    [anon_sym_begin] = ACTIONS(13242),
    [anon_sym_module] = ACTIONS(13242),
    [anon_sym_baremodule] = ACTIONS(13242),
    [anon_sym_abstract] = ACTIONS(13242),
    [anon_sym_primitive] = ACTIONS(13242),
    [anon_sym_mutable] = ACTIONS(13242),
    [anon_sym_struct] = ACTIONS(13242),
    [anon_sym_function] = ACTIONS(13242),
    [anon_sym_macro] = ACTIONS(13242),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13242),
    [anon_sym_let] = ACTIONS(13242),
    [anon_sym_if] = ACTIONS(13242),
    [anon_sym_try] = ACTIONS(13242),
    [anon_sym_for] = ACTIONS(13242),
    [anon_sym_while] = ACTIONS(13242),
    [sym_break_statement] = ACTIONS(13242),
    [sym_continue_statement] = ACTIONS(13242),
    [anon_sym_return] = ACTIONS(13242),
    [anon_sym_const] = ACTIONS(13242),
    [anon_sym_global] = ACTIONS(13242),
    [anon_sym_local] = ACTIONS(13242),
    [anon_sym_LPAREN] = ACTIONS(13240),
    [anon_sym_RPAREN] = ACTIONS(13240),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13242),
    [anon_sym_import] = ACTIONS(13242),
    [anon_sym_using] = ACTIONS(13242),
    [anon_sym_LBRACK] = ACTIONS(13240),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13240),
    [anon_sym_LBRACE] = ACTIONS(13240),
    [anon_sym_DOLLAR] = ACTIONS(13240),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14985),
    [anon_sym_AT] = ACTIONS(13240),
    [anon_sym_true] = ACTIONS(13242),
    [anon_sym_false] = ACTIONS(13242),
    [aux_sym_integer_literal_token1] = ACTIONS(13240),
    [aux_sym_integer_literal_token2] = ACTIONS(13240),
    [aux_sym_integer_literal_token3] = ACTIONS(13242),
    [aux_sym_integer_literal_token4] = ACTIONS(13242),
    [aux_sym_float_literal_token1] = ACTIONS(13240),
    [aux_sym_float_literal_token3] = ACTIONS(13240),
    [aux_sym_float_literal_token4] = ACTIONS(13240),
    [sym_character_literal] = ACTIONS(13240),
    [sym__pair_operator] = ACTIONS(13240),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13240),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13242),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13240),
    [sym__command_start] = ACTIONS(13240),
  },
  [9221] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15057),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(15059),
    [sym__pipe_left_operator] = ACTIONS(15061),
    [sym__ellipsis_operator] = ACTIONS(15063),
    [sym__plus_operator] = ACTIONS(15029),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15029),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9222] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13971),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(15043),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13971),
    [anon_sym_RPAREN] = ACTIONS(13971),
    [anon_sym_COLON2] = ACTIONS(15031),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13971),
    [anon_sym_RBRACK] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(15033),
    [anon_sym_LBRACE] = ACTIONS(13971),
    [anon_sym_RBRACE] = ACTIONS(13971),
    [anon_sym_DOLLAR] = ACTIONS(13971),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14878),
    [anon_sym_AT] = ACTIONS(13971),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13971),
    [aux_sym_integer_literal_token2] = ACTIONS(13971),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13971),
    [aux_sym_float_literal_token3] = ACTIONS(13971),
    [aux_sym_float_literal_token4] = ACTIONS(13971),
    [sym_character_literal] = ACTIONS(13971),
    [sym__pair_operator] = ACTIONS(15045),
    [sym__arrow_operator] = ACTIONS(15047),
    [sym__lazy_or_operator] = ACTIONS(15049),
    [sym__lazy_and_operator] = ACTIONS(15051),
    [sym__comparison_operator] = ACTIONS(15033),
    [sym__pipe_right_operator] = ACTIONS(15035),
    [sym__pipe_left_operator] = ACTIONS(15037),
    [sym__ellipsis_operator] = ACTIONS(15039),
    [sym__plus_operator] = ACTIONS(15025),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13971),
    [sym__type_order_operator] = ACTIONS(15041),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(15025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9223] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(15065),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_RPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(15057),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(15067),
    [anon_sym_SEMI] = ACTIONS(13969),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(15067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14780),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(15069),
    [sym__arrow_operator] = ACTIONS(15071),
    [sym__lazy_or_operator] = ACTIONS(15073),
    [sym__lazy_and_operator] = ACTIONS(15075),
    [sym__comparison_operator] = ACTIONS(15067),
    [sym__pipe_right_operator] = ACTIONS(15059),
    [sym__pipe_left_operator] = ACTIONS(15061),
    [sym__ellipsis_operator] = ACTIONS(15063),
    [sym__plus_operator] = ACTIONS(15029),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(15067),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(15029),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9224] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13396),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9225] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9226] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15057),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(15063),
    [sym__plus_operator] = ACTIONS(15029),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15029),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9227] = {
    [sym__word_identifier] = ACTIONS(11397),
    [anon_sym_EQ] = ACTIONS(12792),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11397),
    [anon_sym_begin] = ACTIONS(11397),
    [anon_sym_module] = ACTIONS(11397),
    [anon_sym_baremodule] = ACTIONS(11397),
    [anon_sym_abstract] = ACTIONS(11397),
    [anon_sym_primitive] = ACTIONS(11397),
    [anon_sym_mutable] = ACTIONS(11397),
    [anon_sym_struct] = ACTIONS(11397),
    [anon_sym_function] = ACTIONS(11397),
    [anon_sym_macro] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_quote] = ACTIONS(11397),
    [anon_sym_let] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_try] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_while] = ACTIONS(11397),
    [sym_break_statement] = ACTIONS(11397),
    [sym_continue_statement] = ACTIONS(11397),
    [anon_sym_return] = ACTIONS(11397),
    [anon_sym_const] = ACTIONS(11397),
    [anon_sym_global] = ACTIONS(11397),
    [anon_sym_local] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_export] = ACTIONS(11397),
    [anon_sym_import] = ACTIONS(11397),
    [anon_sym_using] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11397),
    [anon_sym_false] = ACTIONS(11397),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11397),
    [aux_sym_integer_literal_token4] = ACTIONS(11397),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11397),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11397),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11397),
    [sym__plus_operator] = ACTIONS(11397),
    [sym__times_operator] = ACTIONS(11397),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11397),
    [sym__unary_plus_operator] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11408),
    [sym__command_start] = ACTIONS(11408),
  },
  [9228] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(14987),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(15007),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(15007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(15007),
    [sym__pipe_right_operator] = ACTIONS(14989),
    [sym__pipe_left_operator] = ACTIONS(14991),
    [sym__ellipsis_operator] = ACTIONS(14993),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(15007),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9229] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15065),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15057),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15067),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(15067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(15067),
    [sym__pipe_right_operator] = ACTIONS(15059),
    [sym__pipe_left_operator] = ACTIONS(15061),
    [sym__ellipsis_operator] = ACTIONS(15063),
    [sym__plus_operator] = ACTIONS(15029),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15067),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15029),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9230] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14987),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14989),
    [sym__pipe_left_operator] = ACTIONS(14991),
    [sym__ellipsis_operator] = ACTIONS(14993),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9231] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9232] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_RPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(15057),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(15067),
    [anon_sym_SEMI] = ACTIONS(13920),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(15067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(15067),
    [sym__pipe_right_operator] = ACTIONS(15059),
    [sym__pipe_left_operator] = ACTIONS(15061),
    [sym__ellipsis_operator] = ACTIONS(15063),
    [sym__plus_operator] = ACTIONS(15029),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(15067),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(15029),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9233] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15065),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15057),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15067),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(15067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(15075),
    [sym__comparison_operator] = ACTIONS(15067),
    [sym__pipe_right_operator] = ACTIONS(15059),
    [sym__pipe_left_operator] = ACTIONS(15061),
    [sym__ellipsis_operator] = ACTIONS(15063),
    [sym__plus_operator] = ACTIONS(15029),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15067),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15029),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9234] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9235] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_EQ] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9236] = {
    [aux_sym_open_tuple_repeat1] = STATE(9081),
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_COMMA] = ACTIONS(14786),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(14788),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13120),
    [anon_sym_RPAREN] = ACTIONS(13120),
    [anon_sym_COLON2] = ACTIONS(14790),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(14792),
    [anon_sym_SEMI] = ACTIONS(13120),
    [anon_sym_LBRACE] = ACTIONS(13120),
    [anon_sym_DOLLAR] = ACTIONS(13120),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(14792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14985),
    [anon_sym_AT] = ACTIONS(13120),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13120),
    [aux_sym_integer_literal_token2] = ACTIONS(13120),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13120),
    [aux_sym_float_literal_token3] = ACTIONS(13120),
    [aux_sym_float_literal_token4] = ACTIONS(13120),
    [sym_character_literal] = ACTIONS(13120),
    [sym__pair_operator] = ACTIONS(14796),
    [sym__arrow_operator] = ACTIONS(14798),
    [sym__lazy_or_operator] = ACTIONS(14800),
    [sym__lazy_and_operator] = ACTIONS(14802),
    [sym__comparison_operator] = ACTIONS(14792),
    [sym__pipe_right_operator] = ACTIONS(14804),
    [sym__pipe_left_operator] = ACTIONS(14806),
    [sym__ellipsis_operator] = ACTIONS(14808),
    [sym__plus_operator] = ACTIONS(14810),
    [sym__times_operator] = ACTIONS(14812),
    [sym__rational_operator] = ACTIONS(14814),
    [sym__bitshift_operator] = ACTIONS(14816),
    [sym__power_operator] = ACTIONS(14818),
    [sym__tilde_operator] = ACTIONS(13120),
    [sym__type_order_operator] = ACTIONS(14820),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(14810),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [9237] = {
    [sym__word_identifier] = ACTIONS(13122),
    [anon_sym_EQ] = ACTIONS(12792),
    [anon_sym_COMMA] = ACTIONS(13120),
    [anon_sym_COLON] = ACTIONS(13122),
    [anon_sym_begin] = ACTIONS(13122),
    [anon_sym_module] = ACTIONS(13122),
    [anon_sym_baremodule] = ACTIONS(13122),
    [anon_sym_abstract] = ACTIONS(13122),
    [anon_sym_primitive] = ACTIONS(13122),
    [anon_sym_mutable] = ACTIONS(13122),
    [anon_sym_struct] = ACTIONS(13122),
    [anon_sym_function] = ACTIONS(13122),
    [anon_sym_macro] = ACTIONS(13122),
    [anon_sym_where] = ACTIONS(13122),
    [anon_sym_quote] = ACTIONS(13122),
    [anon_sym_let] = ACTIONS(13122),
    [anon_sym_if] = ACTIONS(13122),
    [anon_sym_try] = ACTIONS(13122),
    [anon_sym_for] = ACTIONS(13122),
    [anon_sym_while] = ACTIONS(13122),
    [sym_break_statement] = ACTIONS(13122),
    [sym_continue_statement] = ACTIONS(13122),
    [anon_sym_return] = ACTIONS(13122),
    [anon_sym_const] = ACTIONS(13122),
    [anon_sym_global] = ACTIONS(13122),
    [anon_sym_local] = ACTIONS(13122),
    [anon_sym_LPAREN] = ACTIONS(13120),
    [anon_sym_RPAREN] = ACTIONS(13120),
    [anon_sym_COLON2] = ACTIONS(13122),
    [anon_sym_export] = ACTIONS(13122),
    [anon_sym_import] = ACTIONS(13122),
    [anon_sym_using] = ACTIONS(13122),
    [anon_sym_LBRACK] = ACTIONS(13120),
    [anon_sym_in] = ACTIONS(13122),
    [anon_sym_SEMI] = ACTIONS(13120),
    [anon_sym_LBRACE] = ACTIONS(13120),
    [anon_sym_DOLLAR] = ACTIONS(13120),
    [anon_sym_COLON_COLON] = ACTIONS(13120),
    [anon_sym_isa] = ACTIONS(13122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13120),
    [anon_sym_QMARK] = ACTIONS(13120),
    [anon_sym_AT] = ACTIONS(13120),
    [anon_sym_true] = ACTIONS(13122),
    [anon_sym_false] = ACTIONS(13122),
    [aux_sym_integer_literal_token1] = ACTIONS(13120),
    [aux_sym_integer_literal_token2] = ACTIONS(13120),
    [aux_sym_integer_literal_token3] = ACTIONS(13122),
    [aux_sym_integer_literal_token4] = ACTIONS(13122),
    [aux_sym_float_literal_token1] = ACTIONS(13120),
    [aux_sym_float_literal_token3] = ACTIONS(13120),
    [aux_sym_float_literal_token4] = ACTIONS(13120),
    [sym_character_literal] = ACTIONS(13120),
    [sym__pair_operator] = ACTIONS(13120),
    [sym__arrow_operator] = ACTIONS(13122),
    [sym__lazy_or_operator] = ACTIONS(13120),
    [sym__lazy_and_operator] = ACTIONS(13120),
    [sym__comparison_operator] = ACTIONS(13122),
    [sym__pipe_right_operator] = ACTIONS(13120),
    [sym__pipe_left_operator] = ACTIONS(13120),
    [sym__ellipsis_operator] = ACTIONS(13122),
    [sym__plus_operator] = ACTIONS(13122),
    [sym__times_operator] = ACTIONS(13122),
    [sym__rational_operator] = ACTIONS(13120),
    [sym__bitshift_operator] = ACTIONS(13120),
    [sym__power_operator] = ACTIONS(13120),
    [sym__tilde_operator] = ACTIONS(13120),
    [sym__type_order_operator] = ACTIONS(13120),
    [sym__unary_operator] = ACTIONS(13122),
    [sym__unary_plus_operator] = ACTIONS(13122),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13120),
    [sym__command_start] = ACTIONS(13120),
  },
  [9238] = {
    [sym__word_identifier] = ACTIONS(15077),
    [anon_sym_COMMA] = ACTIONS(15077),
    [anon_sym_COLON] = ACTIONS(15077),
    [anon_sym_begin] = ACTIONS(15077),
    [anon_sym_module] = ACTIONS(15077),
    [anon_sym_baremodule] = ACTIONS(15077),
    [anon_sym_end] = ACTIONS(15077),
    [anon_sym_abstract] = ACTIONS(15077),
    [anon_sym_primitive] = ACTIONS(15077),
    [anon_sym_mutable] = ACTIONS(15077),
    [anon_sym_struct] = ACTIONS(15077),
    [anon_sym_function] = ACTIONS(15077),
    [anon_sym_macro] = ACTIONS(15077),
    [anon_sym_where] = ACTIONS(15005),
    [anon_sym_quote] = ACTIONS(15077),
    [anon_sym_let] = ACTIONS(15077),
    [anon_sym_if] = ACTIONS(15077),
    [anon_sym_try] = ACTIONS(15077),
    [anon_sym_for] = ACTIONS(15077),
    [anon_sym_while] = ACTIONS(15077),
    [sym_break_statement] = ACTIONS(15077),
    [sym_continue_statement] = ACTIONS(15077),
    [anon_sym_return] = ACTIONS(15077),
    [anon_sym_const] = ACTIONS(15077),
    [anon_sym_global] = ACTIONS(15077),
    [anon_sym_local] = ACTIONS(15077),
    [anon_sym_LPAREN] = ACTIONS(15077),
    [anon_sym_COLON2] = ACTIONS(14987),
    [anon_sym_export] = ACTIONS(15077),
    [anon_sym_import] = ACTIONS(15077),
    [anon_sym_using] = ACTIONS(15077),
    [anon_sym_LBRACK] = ACTIONS(15077),
    [anon_sym_LF] = ACTIONS(15079),
    [anon_sym_in] = ACTIONS(15007),
    [anon_sym_LBRACE] = ACTIONS(15077),
    [anon_sym_DOLLAR] = ACTIONS(15077),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(15007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(14844),
    [anon_sym_AT] = ACTIONS(15077),
    [anon_sym_true] = ACTIONS(15077),
    [anon_sym_false] = ACTIONS(15077),
    [aux_sym_integer_literal_token1] = ACTIONS(15077),
    [aux_sym_integer_literal_token2] = ACTIONS(15077),
    [aux_sym_integer_literal_token3] = ACTIONS(15077),
    [aux_sym_integer_literal_token4] = ACTIONS(15077),
    [aux_sym_float_literal_token1] = ACTIONS(15077),
    [aux_sym_float_literal_token3] = ACTIONS(15077),
    [aux_sym_float_literal_token4] = ACTIONS(15077),
    [sym_character_literal] = ACTIONS(15077),
    [sym__pair_operator] = ACTIONS(15009),
    [sym__arrow_operator] = ACTIONS(15011),
    [sym__lazy_or_operator] = ACTIONS(15013),
    [sym__lazy_and_operator] = ACTIONS(15015),
    [sym__comparison_operator] = ACTIONS(15007),
    [sym__pipe_right_operator] = ACTIONS(14989),
    [sym__pipe_left_operator] = ACTIONS(14991),
    [sym__ellipsis_operator] = ACTIONS(14993),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(15077),
    [sym__type_order_operator] = ACTIONS(15007),
    [sym__unary_operator] = ACTIONS(15077),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(15077),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(15079),
    [sym__command_start] = ACTIONS(15079),
  },
  [9239] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_RPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_SEMI] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(15029),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(15029),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9240] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15065),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15057),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15067),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(15067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(15071),
    [sym__lazy_or_operator] = ACTIONS(15073),
    [sym__lazy_and_operator] = ACTIONS(15075),
    [sym__comparison_operator] = ACTIONS(15067),
    [sym__pipe_right_operator] = ACTIONS(15059),
    [sym__pipe_left_operator] = ACTIONS(15061),
    [sym__ellipsis_operator] = ACTIONS(15063),
    [sym__plus_operator] = ACTIONS(15029),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15067),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15029),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9241] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15057),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(15059),
    [sym__pipe_left_operator] = ACTIONS(15061),
    [sym__ellipsis_operator] = ACTIONS(15063),
    [sym__plus_operator] = ACTIONS(15029),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15029),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9242] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15005),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(14987),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15007),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(15007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(15007),
    [sym__pipe_right_operator] = ACTIONS(14989),
    [sym__pipe_left_operator] = ACTIONS(14991),
    [sym__ellipsis_operator] = ACTIONS(14993),
    [sym__plus_operator] = ACTIONS(14995),
    [sym__times_operator] = ACTIONS(14997),
    [sym__rational_operator] = ACTIONS(14999),
    [sym__bitshift_operator] = ACTIONS(15001),
    [sym__power_operator] = ACTIONS(14983),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15007),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(14995),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9243] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_RBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_RBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(15027),
    [sym__rational_operator] = ACTIONS(15017),
    [sym__bitshift_operator] = ACTIONS(15003),
    [sym__power_operator] = ACTIONS(14941),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9244] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15065),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_RPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15057),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15067),
    [anon_sym_SEMI] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14728),
    [anon_sym_isa] = ACTIONS(15067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14730),
    [anon_sym_QMARK] = ACTIONS(14780),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(15069),
    [sym__arrow_operator] = ACTIONS(15071),
    [sym__lazy_or_operator] = ACTIONS(15073),
    [sym__lazy_and_operator] = ACTIONS(15075),
    [sym__comparison_operator] = ACTIONS(15067),
    [sym__pipe_right_operator] = ACTIONS(15059),
    [sym__pipe_left_operator] = ACTIONS(15061),
    [sym__ellipsis_operator] = ACTIONS(15063),
    [sym__plus_operator] = ACTIONS(15029),
    [sym__times_operator] = ACTIONS(15023),
    [sym__rational_operator] = ACTIONS(14981),
    [sym__bitshift_operator] = ACTIONS(14979),
    [sym__power_operator] = ACTIONS(14977),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15067),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15029),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9245] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13396),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9246] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(15085),
    [sym__immediate_command_start] = ACTIONS(15087),
  },
  [9247] = {
    [sym__primary_expression] = STATE(11204),
    [sym__array] = STATE(11204),
    [sym_comprehension_expression] = STATE(11204),
    [sym_matrix_expression] = STATE(11204),
    [sym_vector_expression] = STATE(11204),
    [sym_parenthesized_expression] = STATE(11204),
    [sym_tuple_expression] = STATE(11204),
    [sym_curly_expression] = STATE(11204),
    [sym_adjoint_expression] = STATE(11204),
    [sym_field_expression] = STATE(11204),
    [sym_index_expression] = STATE(11204),
    [sym_parametrized_type_expression] = STATE(11204),
    [sym_call_expression] = STATE(11204),
    [sym_broadcast_call_expression] = STATE(11204),
    [sym__closed_macrocall_expression] = STATE(11204),
    [sym_interpolation_expression] = STATE(11204),
    [sym_quote_expression] = STATE(11204),
    [sym_macro_identifier] = STATE(17010),
    [sym_identifier] = STATE(10591),
    [sym_boolean_literal] = STATE(11204),
    [sym__string] = STATE(11204),
    [sym_string_literal] = STATE(11204),
    [sym_command_literal] = STATE(11204),
    [sym_prefixed_string_literal] = STATE(11204),
    [sym_prefixed_command_literal] = STATE(11204),
    [sym_operator] = STATE(18511),
    [sym__word_identifier] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(91),
    [anon_sym_COMMA] = ACTIONS(171),
    [anon_sym_COLON] = ACTIONS(15089),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(14407),
    [anon_sym_COLON2] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(14409),
    [anon_sym_in] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(14411),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(14413),
    [anon_sym_COLON_COLON] = ACTIONS(171),
    [anon_sym_isa] = ACTIONS(91),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(171),
    [anon_sym_QMARK] = ACTIONS(171),
    [anon_sym_AT] = ACTIONS(14415),
    [anon_sym_true] = ACTIONS(14417),
    [anon_sym_false] = ACTIONS(14417),
    [sym_character_literal] = ACTIONS(14419),
    [sym__assignment_operator] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(11325),
    [sym__arrow_operator] = ACTIONS(11139),
    [sym__lazy_or_operator] = ACTIONS(171),
    [sym__lazy_and_operator] = ACTIONS(171),
    [sym__comparison_operator] = ACTIONS(11139),
    [sym__pipe_right_operator] = ACTIONS(11325),
    [sym__pipe_left_operator] = ACTIONS(11325),
    [sym__ellipsis_operator] = ACTIONS(11139),
    [sym__plus_operator] = ACTIONS(11139),
    [sym__times_operator] = ACTIONS(11139),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11325),
    [sym__type_order_operator] = ACTIONS(11325),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11139),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(14421),
    [sym__command_start] = ACTIONS(14423),
  },
  [9248] = {
    [sym_do_clause] = STATE(9357),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(15092),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [9249] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15094),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15096),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15098),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(15098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(15100),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(15102),
    [sym__arrow_operator] = ACTIONS(15104),
    [sym__lazy_or_operator] = ACTIONS(15106),
    [sym__lazy_and_operator] = ACTIONS(15108),
    [sym__comparison_operator] = ACTIONS(15098),
    [sym__pipe_right_operator] = ACTIONS(15110),
    [sym__pipe_left_operator] = ACTIONS(15112),
    [sym__ellipsis_operator] = ACTIONS(15114),
    [sym__plus_operator] = ACTIONS(15116),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15098),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15116),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9250] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15094),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15096),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15098),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(15098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(15104),
    [sym__lazy_or_operator] = ACTIONS(15106),
    [sym__lazy_and_operator] = ACTIONS(15108),
    [sym__comparison_operator] = ACTIONS(15098),
    [sym__pipe_right_operator] = ACTIONS(15110),
    [sym__pipe_left_operator] = ACTIONS(15112),
    [sym__ellipsis_operator] = ACTIONS(15114),
    [sym__plus_operator] = ACTIONS(15116),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15098),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15116),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9251] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15094),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15096),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15098),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(15098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(15108),
    [sym__comparison_operator] = ACTIONS(15098),
    [sym__pipe_right_operator] = ACTIONS(15110),
    [sym__pipe_left_operator] = ACTIONS(15112),
    [sym__ellipsis_operator] = ACTIONS(15114),
    [sym__plus_operator] = ACTIONS(15116),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15098),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15116),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9252] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15126),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15130),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(15132),
    [sym__lazy_or_operator] = ACTIONS(15134),
    [sym__lazy_and_operator] = ACTIONS(15136),
    [sym__comparison_operator] = ACTIONS(15130),
    [sym__pipe_right_operator] = ACTIONS(15138),
    [sym__pipe_left_operator] = ACTIONS(15140),
    [sym__ellipsis_operator] = ACTIONS(15142),
    [sym__plus_operator] = ACTIONS(15144),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(15150),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9253] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_end] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(15152),
    [sym__arrow_operator] = ACTIONS(15154),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3041),
    [sym__pipe_right_operator] = ACTIONS(15156),
    [sym__pipe_left_operator] = ACTIONS(15158),
    [sym__ellipsis_operator] = ACTIONS(15160),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(3041),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9254] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15094),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15096),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15098),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(15098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(15098),
    [sym__pipe_right_operator] = ACTIONS(15110),
    [sym__pipe_left_operator] = ACTIONS(15112),
    [sym__ellipsis_operator] = ACTIONS(15114),
    [sym__plus_operator] = ACTIONS(15116),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(15098),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15116),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9255] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15096),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(15114),
    [sym__plus_operator] = ACTIONS(15116),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15116),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9256] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15096),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(15110),
    [sym__pipe_left_operator] = ACTIONS(15112),
    [sym__ellipsis_operator] = ACTIONS(15114),
    [sym__plus_operator] = ACTIONS(15116),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15116),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9257] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_end] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(3041),
    [sym__pipe_right_operator] = ACTIONS(15156),
    [sym__pipe_left_operator] = ACTIONS(15158),
    [sym__ellipsis_operator] = ACTIONS(15160),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(3041),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9258] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COMMA] = ACTIONS(13922),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13922),
    [anon_sym_RPAREN] = ACTIONS(13922),
    [anon_sym_COLON2] = ACTIONS(15128),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(15130),
    [anon_sym_SEMI] = ACTIONS(13922),
    [anon_sym_LBRACE] = ACTIONS(13922),
    [anon_sym_DOLLAR] = ACTIONS(13922),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13922),
    [anon_sym_AT] = ACTIONS(13922),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13922),
    [aux_sym_integer_literal_token2] = ACTIONS(13922),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13922),
    [aux_sym_float_literal_token3] = ACTIONS(13922),
    [aux_sym_float_literal_token4] = ACTIONS(13922),
    [sym_character_literal] = ACTIONS(13922),
    [sym__pair_operator] = ACTIONS(13922),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13922),
    [sym__lazy_and_operator] = ACTIONS(13922),
    [sym__comparison_operator] = ACTIONS(15130),
    [sym__pipe_right_operator] = ACTIONS(15138),
    [sym__pipe_left_operator] = ACTIONS(15140),
    [sym__ellipsis_operator] = ACTIONS(15142),
    [sym__plus_operator] = ACTIONS(15144),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13922),
    [sym__type_order_operator] = ACTIONS(15150),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(15144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9259] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9260] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(15156),
    [sym__pipe_left_operator] = ACTIONS(15158),
    [sym__ellipsis_operator] = ACTIONS(15160),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9261] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(15096),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(15110),
    [sym__pipe_left_operator] = ACTIONS(15112),
    [sym__ellipsis_operator] = ACTIONS(15114),
    [sym__plus_operator] = ACTIONS(15116),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15116),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9262] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COMMA] = ACTIONS(13406),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13406),
    [anon_sym_RPAREN] = ACTIONS(13406),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_SEMI] = ACTIONS(13406),
    [anon_sym_LBRACE] = ACTIONS(13406),
    [anon_sym_DOLLAR] = ACTIONS(13406),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13406),
    [anon_sym_QMARK] = ACTIONS(13406),
    [anon_sym_AT] = ACTIONS(13406),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13406),
    [aux_sym_integer_literal_token2] = ACTIONS(13406),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13406),
    [aux_sym_float_literal_token3] = ACTIONS(13406),
    [aux_sym_float_literal_token4] = ACTIONS(13406),
    [sym_character_literal] = ACTIONS(13406),
    [sym__pair_operator] = ACTIONS(13406),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13406),
    [sym__lazy_and_operator] = ACTIONS(13406),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13406),
    [sym__pipe_left_operator] = ACTIONS(13406),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(15144),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13406),
    [sym__type_order_operator] = ACTIONS(13406),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(15144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9263] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(15138),
    [sym__pipe_left_operator] = ACTIONS(15140),
    [sym__ellipsis_operator] = ACTIONS(15142),
    [sym__plus_operator] = ACTIONS(15144),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9264] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15126),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15130),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14985),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(15172),
    [sym__arrow_operator] = ACTIONS(15132),
    [sym__lazy_or_operator] = ACTIONS(15134),
    [sym__lazy_and_operator] = ACTIONS(15136),
    [sym__comparison_operator] = ACTIONS(15130),
    [sym__pipe_right_operator] = ACTIONS(15138),
    [sym__pipe_left_operator] = ACTIONS(15140),
    [sym__ellipsis_operator] = ACTIONS(15142),
    [sym__plus_operator] = ACTIONS(15144),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(15150),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9265] = {
    [sym__word_identifier] = ACTIONS(13920),
    [anon_sym_COLON] = ACTIONS(13920),
    [anon_sym_begin] = ACTIONS(13920),
    [anon_sym_module] = ACTIONS(13920),
    [anon_sym_baremodule] = ACTIONS(13920),
    [anon_sym_abstract] = ACTIONS(13920),
    [anon_sym_primitive] = ACTIONS(13920),
    [anon_sym_mutable] = ACTIONS(13920),
    [anon_sym_struct] = ACTIONS(13920),
    [anon_sym_function] = ACTIONS(13920),
    [anon_sym_macro] = ACTIONS(13920),
    [anon_sym_where] = ACTIONS(13920),
    [anon_sym_quote] = ACTIONS(13920),
    [anon_sym_let] = ACTIONS(13920),
    [anon_sym_if] = ACTIONS(13920),
    [anon_sym_try] = ACTIONS(13920),
    [anon_sym_for] = ACTIONS(13920),
    [anon_sym_while] = ACTIONS(13920),
    [sym_break_statement] = ACTIONS(13920),
    [sym_continue_statement] = ACTIONS(13920),
    [anon_sym_return] = ACTIONS(13920),
    [anon_sym_const] = ACTIONS(13920),
    [anon_sym_global] = ACTIONS(13920),
    [anon_sym_local] = ACTIONS(13920),
    [anon_sym_LPAREN] = ACTIONS(13920),
    [anon_sym_COLON2] = ACTIONS(15096),
    [anon_sym_export] = ACTIONS(13920),
    [anon_sym_import] = ACTIONS(13920),
    [anon_sym_using] = ACTIONS(13920),
    [anon_sym_LBRACK] = ACTIONS(13920),
    [anon_sym_RBRACK] = ACTIONS(13920),
    [anon_sym_LF] = ACTIONS(13922),
    [anon_sym_in] = ACTIONS(15098),
    [anon_sym_LBRACE] = ACTIONS(13920),
    [anon_sym_DOLLAR] = ACTIONS(13920),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(15098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(13920),
    [anon_sym_AT] = ACTIONS(13920),
    [anon_sym_true] = ACTIONS(13920),
    [anon_sym_false] = ACTIONS(13920),
    [aux_sym_integer_literal_token1] = ACTIONS(13920),
    [aux_sym_integer_literal_token2] = ACTIONS(13920),
    [aux_sym_integer_literal_token3] = ACTIONS(13920),
    [aux_sym_integer_literal_token4] = ACTIONS(13920),
    [aux_sym_float_literal_token1] = ACTIONS(13920),
    [aux_sym_float_literal_token3] = ACTIONS(13920),
    [aux_sym_float_literal_token4] = ACTIONS(13920),
    [sym_character_literal] = ACTIONS(13920),
    [sym__pair_operator] = ACTIONS(13920),
    [sym__arrow_operator] = ACTIONS(13920),
    [sym__lazy_or_operator] = ACTIONS(13920),
    [sym__lazy_and_operator] = ACTIONS(13920),
    [sym__comparison_operator] = ACTIONS(15098),
    [sym__pipe_right_operator] = ACTIONS(15110),
    [sym__pipe_left_operator] = ACTIONS(15112),
    [sym__ellipsis_operator] = ACTIONS(15114),
    [sym__plus_operator] = ACTIONS(15116),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13920),
    [sym__type_order_operator] = ACTIONS(15098),
    [sym__unary_operator] = ACTIONS(13920),
    [sym__unary_plus_operator] = ACTIONS(15116),
    [aux_sym__terminator_token1] = ACTIONS(13920),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13922),
    [sym__command_start] = ACTIONS(13922),
  },
  [9266] = {
    [sym_where_clause] = STATE(9618),
    [sym_unary_typed_expression] = STATE(9567),
    [sym__word_identifier] = ACTIONS(15174),
    [anon_sym_COLON] = ACTIONS(15174),
    [anon_sym_begin] = ACTIONS(15174),
    [anon_sym_module] = ACTIONS(15174),
    [anon_sym_baremodule] = ACTIONS(15174),
    [anon_sym_end] = ACTIONS(15174),
    [anon_sym_abstract] = ACTIONS(15174),
    [anon_sym_primitive] = ACTIONS(15174),
    [anon_sym_mutable] = ACTIONS(15174),
    [anon_sym_struct] = ACTIONS(15174),
    [anon_sym_function] = ACTIONS(15174),
    [anon_sym_macro] = ACTIONS(15174),
    [anon_sym_where] = ACTIONS(15176),
    [anon_sym_quote] = ACTIONS(15174),
    [anon_sym_let] = ACTIONS(15174),
    [anon_sym_if] = ACTIONS(15174),
    [anon_sym_try] = ACTIONS(15174),
    [anon_sym_for] = ACTIONS(15174),
    [anon_sym_while] = ACTIONS(15174),
    [sym_break_statement] = ACTIONS(15174),
    [sym_continue_statement] = ACTIONS(15174),
    [anon_sym_return] = ACTIONS(15174),
    [anon_sym_const] = ACTIONS(15174),
    [anon_sym_global] = ACTIONS(15174),
    [anon_sym_local] = ACTIONS(15174),
    [anon_sym_LPAREN] = ACTIONS(15174),
    [anon_sym_export] = ACTIONS(15174),
    [anon_sym_import] = ACTIONS(15174),
    [anon_sym_using] = ACTIONS(15174),
    [anon_sym_LBRACK] = ACTIONS(15174),
    [anon_sym_LF] = ACTIONS(15178),
    [anon_sym_LBRACE] = ACTIONS(15174),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(15174),
    [anon_sym_COLON_COLON] = ACTIONS(15180),
    [anon_sym_AT] = ACTIONS(15174),
    [anon_sym_true] = ACTIONS(15174),
    [anon_sym_false] = ACTIONS(15174),
    [aux_sym_integer_literal_token1] = ACTIONS(15174),
    [aux_sym_integer_literal_token2] = ACTIONS(15174),
    [aux_sym_integer_literal_token3] = ACTIONS(15174),
    [aux_sym_integer_literal_token4] = ACTIONS(15174),
    [aux_sym_float_literal_token1] = ACTIONS(15174),
    [aux_sym_float_literal_token3] = ACTIONS(15174),
    [aux_sym_float_literal_token4] = ACTIONS(15174),
    [sym_character_literal] = ACTIONS(15174),
    [sym__pair_operator] = ACTIONS(15174),
    [sym__arrow_operator] = ACTIONS(15174),
    [sym__comparison_operator] = ACTIONS(15174),
    [sym__pipe_right_operator] = ACTIONS(15174),
    [sym__pipe_left_operator] = ACTIONS(15174),
    [sym__ellipsis_operator] = ACTIONS(15174),
    [sym__plus_operator] = ACTIONS(15174),
    [sym__times_operator] = ACTIONS(15174),
    [sym__rational_operator] = ACTIONS(15174),
    [sym__bitshift_operator] = ACTIONS(15174),
    [sym__power_operator] = ACTIONS(15174),
    [sym__tilde_operator] = ACTIONS(15174),
    [sym__type_order_operator] = ACTIONS(15174),
    [sym__unary_operator] = ACTIONS(15174),
    [sym__unary_plus_operator] = ACTIONS(15174),
    [aux_sym__terminator_token1] = ACTIONS(15174),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(15178),
    [sym__command_start] = ACTIONS(15178),
  },
  [9267] = {
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_where] = ACTIONS(14945),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13263),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_COLON2] = ACTIONS(14947),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13263),
    [anon_sym_LF] = ACTIONS(13280),
    [anon_sym_in] = ACTIONS(14949),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(15100),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(14953),
    [sym__arrow_operator] = ACTIONS(14955),
    [sym__lazy_or_operator] = ACTIONS(14957),
    [sym__lazy_and_operator] = ACTIONS(14959),
    [sym__comparison_operator] = ACTIONS(14949),
    [sym__pipe_right_operator] = ACTIONS(14961),
    [sym__pipe_left_operator] = ACTIONS(14963),
    [sym__ellipsis_operator] = ACTIONS(14965),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(14949),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(13263),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9268] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15126),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15130),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(15136),
    [sym__comparison_operator] = ACTIONS(15130),
    [sym__pipe_right_operator] = ACTIONS(15138),
    [sym__pipe_left_operator] = ACTIONS(15140),
    [sym__ellipsis_operator] = ACTIONS(15142),
    [sym__plus_operator] = ACTIONS(15144),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(15150),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9269] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(15126),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(15130),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(15130),
    [sym__pipe_right_operator] = ACTIONS(15138),
    [sym__pipe_left_operator] = ACTIONS(15140),
    [sym__ellipsis_operator] = ACTIONS(15142),
    [sym__plus_operator] = ACTIONS(15144),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(15150),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9270] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(15142),
    [sym__plus_operator] = ACTIONS(15144),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9271] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(15128),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(15138),
    [sym__pipe_left_operator] = ACTIONS(15140),
    [sym__ellipsis_operator] = ACTIONS(15142),
    [sym__plus_operator] = ACTIONS(15144),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9272] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(15144),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9273] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_end] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [9274] = {
    [sym__word_identifier] = ACTIONS(15182),
    [anon_sym_COLON] = ACTIONS(15182),
    [anon_sym_begin] = ACTIONS(15182),
    [anon_sym_module] = ACTIONS(15182),
    [anon_sym_baremodule] = ACTIONS(15182),
    [anon_sym_end] = ACTIONS(15182),
    [anon_sym_abstract] = ACTIONS(15182),
    [anon_sym_primitive] = ACTIONS(15182),
    [anon_sym_mutable] = ACTIONS(15182),
    [anon_sym_struct] = ACTIONS(15182),
    [anon_sym_function] = ACTIONS(15182),
    [anon_sym_macro] = ACTIONS(15182),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(15182),
    [anon_sym_let] = ACTIONS(15182),
    [anon_sym_if] = ACTIONS(15182),
    [anon_sym_try] = ACTIONS(15182),
    [anon_sym_for] = ACTIONS(15182),
    [anon_sym_while] = ACTIONS(15182),
    [sym_break_statement] = ACTIONS(15182),
    [sym_continue_statement] = ACTIONS(15182),
    [anon_sym_return] = ACTIONS(15182),
    [anon_sym_const] = ACTIONS(15182),
    [anon_sym_global] = ACTIONS(15182),
    [anon_sym_local] = ACTIONS(15182),
    [anon_sym_LPAREN] = ACTIONS(15182),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(15182),
    [anon_sym_import] = ACTIONS(15182),
    [anon_sym_using] = ACTIONS(15182),
    [anon_sym_LBRACK] = ACTIONS(15182),
    [anon_sym_LF] = ACTIONS(15184),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(15182),
    [anon_sym_DOLLAR] = ACTIONS(15182),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(15182),
    [anon_sym_true] = ACTIONS(15182),
    [anon_sym_false] = ACTIONS(15182),
    [aux_sym_integer_literal_token1] = ACTIONS(15182),
    [aux_sym_integer_literal_token2] = ACTIONS(15182),
    [aux_sym_integer_literal_token3] = ACTIONS(15182),
    [aux_sym_integer_literal_token4] = ACTIONS(15182),
    [aux_sym_float_literal_token1] = ACTIONS(15182),
    [aux_sym_float_literal_token3] = ACTIONS(15182),
    [aux_sym_float_literal_token4] = ACTIONS(15182),
    [sym_character_literal] = ACTIONS(15182),
    [sym__pair_operator] = ACTIONS(15152),
    [sym__arrow_operator] = ACTIONS(15154),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3041),
    [sym__pipe_right_operator] = ACTIONS(15156),
    [sym__pipe_left_operator] = ACTIONS(15158),
    [sym__ellipsis_operator] = ACTIONS(15160),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(15182),
    [sym__type_order_operator] = ACTIONS(3041),
    [sym__unary_operator] = ACTIONS(15182),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(15182),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(15184),
    [sym__command_start] = ACTIONS(15184),
  },
  [9275] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(15085),
    [sym__immediate_command_start] = ACTIONS(15087),
  },
  [9276] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9277] = {
    [sym_do_clause] = STATE(9392),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_where] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(15092),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [9278] = {
    [sym_do_clause] = STATE(9387),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(15092),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [9279] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(3047),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(15152),
    [sym__arrow_operator] = ACTIONS(15154),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3041),
    [sym__pipe_right_operator] = ACTIONS(15156),
    [sym__pipe_left_operator] = ACTIONS(15158),
    [sym__ellipsis_operator] = ACTIONS(15160),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(3041),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9280] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3041),
    [sym__pipe_right_operator] = ACTIONS(15156),
    [sym__pipe_left_operator] = ACTIONS(15158),
    [sym__ellipsis_operator] = ACTIONS(15160),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(3041),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9281] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_end] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9282] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(15094),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13969),
    [anon_sym_COLON2] = ACTIONS(15096),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13969),
    [anon_sym_RBRACK] = ACTIONS(13969),
    [anon_sym_LF] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(15098),
    [anon_sym_LBRACE] = ACTIONS(13969),
    [anon_sym_DOLLAR] = ACTIONS(13969),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(15098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(15100),
    [anon_sym_AT] = ACTIONS(13969),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13969),
    [aux_sym_integer_literal_token2] = ACTIONS(13969),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13969),
    [aux_sym_float_literal_token3] = ACTIONS(13969),
    [aux_sym_float_literal_token4] = ACTIONS(13969),
    [sym_character_literal] = ACTIONS(13969),
    [sym__pair_operator] = ACTIONS(15102),
    [sym__arrow_operator] = ACTIONS(15104),
    [sym__lazy_or_operator] = ACTIONS(15106),
    [sym__lazy_and_operator] = ACTIONS(15108),
    [sym__comparison_operator] = ACTIONS(15098),
    [sym__pipe_right_operator] = ACTIONS(15110),
    [sym__pipe_left_operator] = ACTIONS(15112),
    [sym__ellipsis_operator] = ACTIONS(15114),
    [sym__plus_operator] = ACTIONS(15116),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13969),
    [sym__type_order_operator] = ACTIONS(15098),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(15116),
    [aux_sym__terminator_token1] = ACTIONS(13969),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9283] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(3041),
    [sym__pipe_right_operator] = ACTIONS(15156),
    [sym__pipe_left_operator] = ACTIONS(15158),
    [sym__ellipsis_operator] = ACTIONS(15160),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(3041),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9284] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_where] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [9285] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COMMA] = ACTIONS(13396),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13396),
    [anon_sym_RPAREN] = ACTIONS(13396),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_SEMI] = ACTIONS(13396),
    [anon_sym_LBRACE] = ACTIONS(13396),
    [anon_sym_DOLLAR] = ACTIONS(13396),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13396),
    [anon_sym_QMARK] = ACTIONS(13396),
    [anon_sym_AT] = ACTIONS(13396),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13396),
    [aux_sym_integer_literal_token2] = ACTIONS(13396),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13396),
    [aux_sym_float_literal_token3] = ACTIONS(13396),
    [aux_sym_float_literal_token4] = ACTIONS(13396),
    [sym_character_literal] = ACTIONS(13396),
    [sym__pair_operator] = ACTIONS(13396),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13396),
    [sym__lazy_and_operator] = ACTIONS(13396),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13396),
    [sym__pipe_left_operator] = ACTIONS(13396),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13396),
    [sym__bitshift_operator] = ACTIONS(13396),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13396),
    [sym__type_order_operator] = ACTIONS(13396),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9286] = {
    [sym_do_clause] = STATE(9348),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_where] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(15092),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [9287] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9288] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COMMA] = ACTIONS(13394),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13394),
    [anon_sym_RPAREN] = ACTIONS(13394),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_SEMI] = ACTIONS(13394),
    [anon_sym_LBRACE] = ACTIONS(13394),
    [anon_sym_DOLLAR] = ACTIONS(13394),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13394),
    [anon_sym_QMARK] = ACTIONS(13394),
    [anon_sym_AT] = ACTIONS(13394),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13394),
    [aux_sym_integer_literal_token2] = ACTIONS(13394),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13394),
    [aux_sym_float_literal_token3] = ACTIONS(13394),
    [aux_sym_float_literal_token4] = ACTIONS(13394),
    [sym_character_literal] = ACTIONS(13394),
    [sym__pair_operator] = ACTIONS(13394),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13394),
    [sym__lazy_and_operator] = ACTIONS(13394),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13394),
    [sym__pipe_left_operator] = ACTIONS(13394),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13394),
    [sym__bitshift_operator] = ACTIONS(13394),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13394),
    [sym__type_order_operator] = ACTIONS(13394),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [9289] = {
    [sym__word_identifier] = ACTIONS(13969),
    [anon_sym_COMMA] = ACTIONS(13971),
    [anon_sym_COLON] = ACTIONS(13969),
    [anon_sym_begin] = ACTIONS(13969),
    [anon_sym_module] = ACTIONS(13969),
    [anon_sym_baremodule] = ACTIONS(13969),
    [anon_sym_abstract] = ACTIONS(13969),
    [anon_sym_primitive] = ACTIONS(13969),
    [anon_sym_mutable] = ACTIONS(13969),
    [anon_sym_struct] = ACTIONS(13969),
    [anon_sym_function] = ACTIONS(13969),
    [anon_sym_macro] = ACTIONS(13969),
    [anon_sym_where] = ACTIONS(15126),
    [anon_sym_quote] = ACTIONS(13969),
    [anon_sym_let] = ACTIONS(13969),
    [anon_sym_if] = ACTIONS(13969),
    [anon_sym_try] = ACTIONS(13969),
    [anon_sym_for] = ACTIONS(13969),
    [anon_sym_while] = ACTIONS(13969),
    [sym_break_statement] = ACTIONS(13969),
    [sym_continue_statement] = ACTIONS(13969),
    [anon_sym_return] = ACTIONS(13969),
    [anon_sym_const] = ACTIONS(13969),
    [anon_sym_global] = ACTIONS(13969),
    [anon_sym_local] = ACTIONS(13969),
    [anon_sym_LPAREN] = ACTIONS(13971),
    [anon_sym_RPAREN] = ACTIONS(13971),
    [anon_sym_COLON2] = ACTIONS(15128),
    [anon_sym_export] = ACTIONS(13969),
    [anon_sym_import] = ACTIONS(13969),
    [anon_sym_using] = ACTIONS(13969),
    [anon_sym_LBRACK] = ACTIONS(13971),
    [anon_sym_in] = ACTIONS(15130),
    [anon_sym_SEMI] = ACTIONS(13971),
    [anon_sym_LBRACE] = ACTIONS(13971),
    [anon_sym_DOLLAR] = ACTIONS(13971),
    [anon_sym_COLON_COLON] = ACTIONS(14675),
    [anon_sym_isa] = ACTIONS(15130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(14677),
    [anon_sym_QMARK] = ACTIONS(14985),
    [anon_sym_AT] = ACTIONS(13971),
    [anon_sym_true] = ACTIONS(13969),
    [anon_sym_false] = ACTIONS(13969),
    [aux_sym_integer_literal_token1] = ACTIONS(13971),
    [aux_sym_integer_literal_token2] = ACTIONS(13971),
    [aux_sym_integer_literal_token3] = ACTIONS(13969),
    [aux_sym_integer_literal_token4] = ACTIONS(13969),
    [aux_sym_float_literal_token1] = ACTIONS(13971),
    [aux_sym_float_literal_token3] = ACTIONS(13971),
    [aux_sym_float_literal_token4] = ACTIONS(13971),
    [sym_character_literal] = ACTIONS(13971),
    [sym__pair_operator] = ACTIONS(15172),
    [sym__arrow_operator] = ACTIONS(15132),
    [sym__lazy_or_operator] = ACTIONS(15134),
    [sym__lazy_and_operator] = ACTIONS(15136),
    [sym__comparison_operator] = ACTIONS(15130),
    [sym__pipe_right_operator] = ACTIONS(15138),
    [sym__pipe_left_operator] = ACTIONS(15140),
    [sym__ellipsis_operator] = ACTIONS(15142),
    [sym__plus_operator] = ACTIONS(15144),
    [sym__times_operator] = ACTIONS(15146),
    [sym__rational_operator] = ACTIONS(15148),
    [sym__bitshift_operator] = ACTIONS(15081),
    [sym__power_operator] = ACTIONS(15083),
    [sym__tilde_operator] = ACTIONS(13971),
    [sym__type_order_operator] = ACTIONS(15150),
    [sym__unary_operator] = ACTIONS(13969),
    [sym__unary_plus_operator] = ACTIONS(15144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13971),
    [sym__command_start] = ACTIONS(13971),
  },
  [9290] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(15160),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9291] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9292] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(15156),
    [sym__pipe_left_operator] = ACTIONS(15158),
    [sym__ellipsis_operator] = ACTIONS(15160),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9293] = {
    [sym__word_identifier] = ACTIONS(15053),
    [anon_sym_COLON] = ACTIONS(15053),
    [anon_sym_begin] = ACTIONS(15053),
    [anon_sym_module] = ACTIONS(15053),
    [anon_sym_baremodule] = ACTIONS(15053),
    [anon_sym_abstract] = ACTIONS(15053),
    [anon_sym_primitive] = ACTIONS(15053),
    [anon_sym_mutable] = ACTIONS(15053),
    [anon_sym_struct] = ACTIONS(15053),
    [anon_sym_function] = ACTIONS(15053),
    [anon_sym_macro] = ACTIONS(15053),
    [anon_sym_where] = ACTIONS(14945),
    [anon_sym_quote] = ACTIONS(15053),
    [anon_sym_let] = ACTIONS(15053),
    [anon_sym_if] = ACTIONS(15053),
    [anon_sym_try] = ACTIONS(15053),
    [anon_sym_for] = ACTIONS(15053),
    [anon_sym_while] = ACTIONS(15053),
    [sym_break_statement] = ACTIONS(15053),
    [sym_continue_statement] = ACTIONS(15053),
    [anon_sym_return] = ACTIONS(15053),
    [anon_sym_const] = ACTIONS(15053),
    [anon_sym_global] = ACTIONS(15053),
    [anon_sym_local] = ACTIONS(15053),
    [anon_sym_LPAREN] = ACTIONS(15053),
    [anon_sym_COLON2] = ACTIONS(14947),
    [anon_sym_export] = ACTIONS(15053),
    [anon_sym_import] = ACTIONS(15053),
    [anon_sym_using] = ACTIONS(15053),
    [anon_sym_LBRACK] = ACTIONS(15053),
    [anon_sym_RBRACK] = ACTIONS(15053),
    [anon_sym_LF] = ACTIONS(15055),
    [anon_sym_in] = ACTIONS(14949),
    [anon_sym_LBRACE] = ACTIONS(15053),
    [anon_sym_DOLLAR] = ACTIONS(15053),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(14949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13134),
    [anon_sym_QMARK] = ACTIONS(15100),
    [anon_sym_AT] = ACTIONS(15053),
    [anon_sym_true] = ACTIONS(15053),
    [anon_sym_false] = ACTIONS(15053),
    [aux_sym_integer_literal_token1] = ACTIONS(15053),
    [aux_sym_integer_literal_token2] = ACTIONS(15053),
    [aux_sym_integer_literal_token3] = ACTIONS(15053),
    [aux_sym_integer_literal_token4] = ACTIONS(15053),
    [aux_sym_float_literal_token1] = ACTIONS(15053),
    [aux_sym_float_literal_token3] = ACTIONS(15053),
    [aux_sym_float_literal_token4] = ACTIONS(15053),
    [sym_character_literal] = ACTIONS(15053),
    [sym__pair_operator] = ACTIONS(14953),
    [sym__arrow_operator] = ACTIONS(14955),
    [sym__lazy_or_operator] = ACTIONS(14957),
    [sym__lazy_and_operator] = ACTIONS(14959),
    [sym__comparison_operator] = ACTIONS(14949),
    [sym__pipe_right_operator] = ACTIONS(14961),
    [sym__pipe_left_operator] = ACTIONS(14963),
    [sym__ellipsis_operator] = ACTIONS(14965),
    [sym__plus_operator] = ACTIONS(14967),
    [sym__times_operator] = ACTIONS(14969),
    [sym__rational_operator] = ACTIONS(14971),
    [sym__bitshift_operator] = ACTIONS(14973),
    [sym__power_operator] = ACTIONS(14975),
    [sym__tilde_operator] = ACTIONS(15053),
    [sym__type_order_operator] = ACTIONS(14949),
    [sym__unary_operator] = ACTIONS(15053),
    [sym__unary_plus_operator] = ACTIONS(14967),
    [aux_sym__terminator_token1] = ACTIONS(15053),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(15055),
    [sym__command_start] = ACTIONS(15055),
  },
  [9294] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9295] = {
    [sym__word_identifier] = ACTIONS(13404),
    [anon_sym_COLON] = ACTIONS(13404),
    [anon_sym_begin] = ACTIONS(13404),
    [anon_sym_module] = ACTIONS(13404),
    [anon_sym_baremodule] = ACTIONS(13404),
    [anon_sym_abstract] = ACTIONS(13404),
    [anon_sym_primitive] = ACTIONS(13404),
    [anon_sym_mutable] = ACTIONS(13404),
    [anon_sym_struct] = ACTIONS(13404),
    [anon_sym_function] = ACTIONS(13404),
    [anon_sym_macro] = ACTIONS(13404),
    [anon_sym_where] = ACTIONS(13404),
    [anon_sym_quote] = ACTIONS(13404),
    [anon_sym_let] = ACTIONS(13404),
    [anon_sym_if] = ACTIONS(13404),
    [anon_sym_try] = ACTIONS(13404),
    [anon_sym_for] = ACTIONS(13404),
    [anon_sym_while] = ACTIONS(13404),
    [sym_break_statement] = ACTIONS(13404),
    [sym_continue_statement] = ACTIONS(13404),
    [anon_sym_return] = ACTIONS(13404),
    [anon_sym_const] = ACTIONS(13404),
    [anon_sym_global] = ACTIONS(13404),
    [anon_sym_local] = ACTIONS(13404),
    [anon_sym_LPAREN] = ACTIONS(13404),
    [anon_sym_COLON2] = ACTIONS(13404),
    [anon_sym_export] = ACTIONS(13404),
    [anon_sym_import] = ACTIONS(13404),
    [anon_sym_using] = ACTIONS(13404),
    [anon_sym_LBRACK] = ACTIONS(13404),
    [anon_sym_RBRACK] = ACTIONS(13404),
    [anon_sym_LF] = ACTIONS(13406),
    [anon_sym_in] = ACTIONS(13404),
    [anon_sym_LBRACE] = ACTIONS(13404),
    [anon_sym_DOLLAR] = ACTIONS(13404),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13404),
    [anon_sym_QMARK] = ACTIONS(13404),
    [anon_sym_AT] = ACTIONS(13404),
    [anon_sym_true] = ACTIONS(13404),
    [anon_sym_false] = ACTIONS(13404),
    [aux_sym_integer_literal_token1] = ACTIONS(13404),
    [aux_sym_integer_literal_token2] = ACTIONS(13404),
    [aux_sym_integer_literal_token3] = ACTIONS(13404),
    [aux_sym_integer_literal_token4] = ACTIONS(13404),
    [aux_sym_float_literal_token1] = ACTIONS(13404),
    [aux_sym_float_literal_token3] = ACTIONS(13404),
    [aux_sym_float_literal_token4] = ACTIONS(13404),
    [sym_character_literal] = ACTIONS(13404),
    [sym__pair_operator] = ACTIONS(13404),
    [sym__arrow_operator] = ACTIONS(13404),
    [sym__lazy_or_operator] = ACTIONS(13404),
    [sym__lazy_and_operator] = ACTIONS(13404),
    [sym__comparison_operator] = ACTIONS(13404),
    [sym__pipe_right_operator] = ACTIONS(13404),
    [sym__pipe_left_operator] = ACTIONS(13404),
    [sym__ellipsis_operator] = ACTIONS(13404),
    [sym__plus_operator] = ACTIONS(15116),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13404),
    [sym__type_order_operator] = ACTIONS(13404),
    [sym__unary_operator] = ACTIONS(13404),
    [sym__unary_plus_operator] = ACTIONS(15116),
    [aux_sym__terminator_token1] = ACTIONS(13404),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13406),
    [sym__command_start] = ACTIONS(13406),
  },
  [9296] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9297] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(15116),
    [sym__times_operator] = ACTIONS(15118),
    [sym__rational_operator] = ACTIONS(15120),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15116),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9298] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9299] = {
    [sym__word_identifier] = ACTIONS(13392),
    [anon_sym_COLON] = ACTIONS(13392),
    [anon_sym_begin] = ACTIONS(13392),
    [anon_sym_module] = ACTIONS(13392),
    [anon_sym_baremodule] = ACTIONS(13392),
    [anon_sym_abstract] = ACTIONS(13392),
    [anon_sym_primitive] = ACTIONS(13392),
    [anon_sym_mutable] = ACTIONS(13392),
    [anon_sym_struct] = ACTIONS(13392),
    [anon_sym_function] = ACTIONS(13392),
    [anon_sym_macro] = ACTIONS(13392),
    [anon_sym_where] = ACTIONS(13392),
    [anon_sym_quote] = ACTIONS(13392),
    [anon_sym_let] = ACTIONS(13392),
    [anon_sym_if] = ACTIONS(13392),
    [anon_sym_try] = ACTIONS(13392),
    [anon_sym_for] = ACTIONS(13392),
    [anon_sym_while] = ACTIONS(13392),
    [sym_break_statement] = ACTIONS(13392),
    [sym_continue_statement] = ACTIONS(13392),
    [anon_sym_return] = ACTIONS(13392),
    [anon_sym_const] = ACTIONS(13392),
    [anon_sym_global] = ACTIONS(13392),
    [anon_sym_local] = ACTIONS(13392),
    [anon_sym_LPAREN] = ACTIONS(13392),
    [anon_sym_COLON2] = ACTIONS(13392),
    [anon_sym_export] = ACTIONS(13392),
    [anon_sym_import] = ACTIONS(13392),
    [anon_sym_using] = ACTIONS(13392),
    [anon_sym_LBRACK] = ACTIONS(13392),
    [anon_sym_RBRACK] = ACTIONS(13392),
    [anon_sym_LF] = ACTIONS(13394),
    [anon_sym_in] = ACTIONS(13392),
    [anon_sym_LBRACE] = ACTIONS(13392),
    [anon_sym_DOLLAR] = ACTIONS(13392),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13392),
    [anon_sym_QMARK] = ACTIONS(13392),
    [anon_sym_AT] = ACTIONS(13392),
    [anon_sym_true] = ACTIONS(13392),
    [anon_sym_false] = ACTIONS(13392),
    [aux_sym_integer_literal_token1] = ACTIONS(13392),
    [aux_sym_integer_literal_token2] = ACTIONS(13392),
    [aux_sym_integer_literal_token3] = ACTIONS(13392),
    [aux_sym_integer_literal_token4] = ACTIONS(13392),
    [aux_sym_float_literal_token1] = ACTIONS(13392),
    [aux_sym_float_literal_token3] = ACTIONS(13392),
    [aux_sym_float_literal_token4] = ACTIONS(13392),
    [sym_character_literal] = ACTIONS(13392),
    [sym__pair_operator] = ACTIONS(13392),
    [sym__arrow_operator] = ACTIONS(13392),
    [sym__lazy_or_operator] = ACTIONS(13392),
    [sym__lazy_and_operator] = ACTIONS(13392),
    [sym__comparison_operator] = ACTIONS(13392),
    [sym__pipe_right_operator] = ACTIONS(13392),
    [sym__pipe_left_operator] = ACTIONS(13392),
    [sym__ellipsis_operator] = ACTIONS(13392),
    [sym__plus_operator] = ACTIONS(13392),
    [sym__times_operator] = ACTIONS(13392),
    [sym__rational_operator] = ACTIONS(13392),
    [sym__bitshift_operator] = ACTIONS(13392),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13392),
    [sym__type_order_operator] = ACTIONS(13392),
    [sym__unary_operator] = ACTIONS(13392),
    [sym__unary_plus_operator] = ACTIONS(13392),
    [aux_sym__terminator_token1] = ACTIONS(13392),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13394),
    [sym__command_start] = ACTIONS(13394),
  },
  [9300] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(3035),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(3037),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(3041),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(3041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(15154),
    [sym__lazy_or_operator] = ACTIONS(3053),
    [sym__lazy_and_operator] = ACTIONS(3055),
    [sym__comparison_operator] = ACTIONS(3041),
    [sym__pipe_right_operator] = ACTIONS(15156),
    [sym__pipe_left_operator] = ACTIONS(15158),
    [sym__ellipsis_operator] = ACTIONS(15160),
    [sym__plus_operator] = ACTIONS(15162),
    [sym__times_operator] = ACTIONS(15164),
    [sym__rational_operator] = ACTIONS(15166),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(3041),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(15162),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9301] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(15085),
    [sym__immediate_command_start] = ACTIONS(15087),
  },
  [9302] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(15168),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9303] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(15122),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9304] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_RBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(13132),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(15124),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9305] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_where] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(15085),
    [sym__immediate_command_start] = ACTIONS(15087),
  },
  [9306] = {
    [sym__word_identifier] = ACTIONS(13390),
    [anon_sym_COLON] = ACTIONS(13390),
    [anon_sym_begin] = ACTIONS(13390),
    [anon_sym_module] = ACTIONS(13390),
    [anon_sym_baremodule] = ACTIONS(13390),
    [anon_sym_end] = ACTIONS(13390),
    [anon_sym_abstract] = ACTIONS(13390),
    [anon_sym_primitive] = ACTIONS(13390),
    [anon_sym_mutable] = ACTIONS(13390),
    [anon_sym_struct] = ACTIONS(13390),
    [anon_sym_function] = ACTIONS(13390),
    [anon_sym_macro] = ACTIONS(13390),
    [anon_sym_where] = ACTIONS(13390),
    [anon_sym_quote] = ACTIONS(13390),
    [anon_sym_let] = ACTIONS(13390),
    [anon_sym_if] = ACTIONS(13390),
    [anon_sym_try] = ACTIONS(13390),
    [anon_sym_for] = ACTIONS(13390),
    [anon_sym_while] = ACTIONS(13390),
    [sym_break_statement] = ACTIONS(13390),
    [sym_continue_statement] = ACTIONS(13390),
    [anon_sym_return] = ACTIONS(13390),
    [anon_sym_const] = ACTIONS(13390),
    [anon_sym_global] = ACTIONS(13390),
    [anon_sym_local] = ACTIONS(13390),
    [anon_sym_LPAREN] = ACTIONS(13390),
    [anon_sym_COLON2] = ACTIONS(13390),
    [anon_sym_export] = ACTIONS(13390),
    [anon_sym_import] = ACTIONS(13390),
    [anon_sym_using] = ACTIONS(13390),
    [anon_sym_LBRACK] = ACTIONS(13390),
    [anon_sym_LF] = ACTIONS(13396),
    [anon_sym_in] = ACTIONS(13390),
    [anon_sym_LBRACE] = ACTIONS(13390),
    [anon_sym_DOLLAR] = ACTIONS(13390),
    [anon_sym_COLON_COLON] = ACTIONS(14633),
    [anon_sym_isa] = ACTIONS(13390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13390),
    [anon_sym_QMARK] = ACTIONS(13390),
    [anon_sym_AT] = ACTIONS(13390),
    [anon_sym_true] = ACTIONS(13390),
    [anon_sym_false] = ACTIONS(13390),
    [aux_sym_integer_literal_token1] = ACTIONS(13390),
    [aux_sym_integer_literal_token2] = ACTIONS(13390),
    [aux_sym_integer_literal_token3] = ACTIONS(13390),
    [aux_sym_integer_literal_token4] = ACTIONS(13390),
    [aux_sym_float_literal_token1] = ACTIONS(13390),
    [aux_sym_float_literal_token3] = ACTIONS(13390),
    [aux_sym_float_literal_token4] = ACTIONS(13390),
    [sym_character_literal] = ACTIONS(13390),
    [sym__pair_operator] = ACTIONS(13390),
    [sym__arrow_operator] = ACTIONS(13390),
    [sym__lazy_or_operator] = ACTIONS(13390),
    [sym__lazy_and_operator] = ACTIONS(13390),
    [sym__comparison_operator] = ACTIONS(13390),
    [sym__pipe_right_operator] = ACTIONS(13390),
    [sym__pipe_left_operator] = ACTIONS(13390),
    [sym__ellipsis_operator] = ACTIONS(13390),
    [sym__plus_operator] = ACTIONS(13390),
    [sym__times_operator] = ACTIONS(13390),
    [sym__rational_operator] = ACTIONS(13390),
    [sym__bitshift_operator] = ACTIONS(13390),
    [sym__power_operator] = ACTIONS(15170),
    [sym__tilde_operator] = ACTIONS(13390),
    [sym__type_order_operator] = ACTIONS(13390),
    [sym__unary_operator] = ACTIONS(13390),
    [sym__unary_plus_operator] = ACTIONS(13390),
    [aux_sym__terminator_token1] = ACTIONS(13390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13396),
    [sym__command_start] = ACTIONS(13396),
  },
  [9307] = {
    [sym__primary_expression] = STATE(11337),
    [sym__array] = STATE(11337),
    [sym_comprehension_expression] = STATE(11337),
    [sym_matrix_expression] = STATE(11337),
    [sym_vector_expression] = STATE(11337),
    [sym_parenthesized_expression] = STATE(11337),
    [sym_tuple_expression] = STATE(11337),
    [sym_curly_expression] = STATE(11337),
    [sym_adjoint_expression] = STATE(11337),
    [sym_field_expression] = STATE(11337),
    [sym_index_expression] = STATE(11337),
    [sym_parametrized_type_expression] = STATE(11337),
    [sym_call_expression] = STATE(11337),
    [sym_broadcast_call_expression] = STATE(11337),
    [sym__closed_macrocall_expression] = STATE(11337),
    [sym_interpolation_expression] = STATE(11337),
    [sym_quote_expression] = STATE(11337),
    [sym_macro_identifier] = STATE(16712),
    [sym_identifier] = STATE(10621),
    [sym_boolean_literal] = STATE(11337),
    [sym__string] = STATE(11337),
    [sym_string_literal] = STATE(11337),
    [sym_command_literal] = STATE(11337),
    [sym_prefixed_string_literal] = STATE(11337),
    [sym_prefixed_command_literal] = STATE(11337),
    [sym_operator] = STATE(19222),
    [sym__word_identifier] = ACTIONS(13034),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(13036),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(13038),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(13040),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(13042),
    [anon_sym_DOLLAR] = ACTIONS(13044),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13046),
    [anon_sym_false] = ACTIONS(13046),
    [sym_character_literal] = ACTIONS(13048),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(3023),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13050),
    [sym__command_start] = ACTIONS(13052),
  },
  [9308] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
    [sym__immediate_string_start] = ACTIONS(15186),
    [sym__immediate_command_start] = ACTIONS(15188),
  },
  [9309] = {
    [sym_do_clause] = STATE(9476),
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_do] = ACTIONS(15190),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [9310] = {
    [sym__primary_expression] = STATE(11336),
    [sym__array] = STATE(11336),
    [sym_comprehension_expression] = STATE(11336),
    [sym_matrix_expression] = STATE(11336),
    [sym_vector_expression] = STATE(11336),
    [sym_parenthesized_expression] = STATE(11336),
    [sym_tuple_expression] = STATE(11336),
    [sym_curly_expression] = STATE(11336),
    [sym_adjoint_expression] = STATE(11336),
    [sym_field_expression] = STATE(11336),
    [sym_index_expression] = STATE(11336),
    [sym_parametrized_type_expression] = STATE(11336),
    [sym_call_expression] = STATE(11336),
    [sym_broadcast_call_expression] = STATE(11336),
    [sym__closed_macrocall_expression] = STATE(11336),
    [sym_interpolation_expression] = STATE(11336),
    [sym_quote_expression] = STATE(11336),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(10729),
    [sym_boolean_literal] = STATE(11336),
    [sym__string] = STATE(11336),
    [sym_string_literal] = STATE(11336),
    [sym_command_literal] = STATE(11336),
    [sym_prefixed_string_literal] = STATE(11336),
    [sym_prefixed_command_literal] = STATE(11336),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(13249),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_if] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_RPAREN] = ACTIONS(11397),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_RBRACK] = ACTIONS(11397),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_DOLLAR] = ACTIONS(13251),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(13253),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(3023),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [9311] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [9312] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [9313] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [9314] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [9315] = {
    [sym_do_clause] = STATE(9427),
    [sym__word_identifier] = ACTIONS(11900),
    [anon_sym_COLON] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11900),
    [anon_sym_module] = ACTIONS(11900),
    [anon_sym_baremodule] = ACTIONS(11900),
    [anon_sym_end] = ACTIONS(11900),
    [anon_sym_abstract] = ACTIONS(11900),
    [anon_sym_primitive] = ACTIONS(11900),
    [anon_sym_mutable] = ACTIONS(11900),
    [anon_sym_struct] = ACTIONS(11900),
    [anon_sym_function] = ACTIONS(11900),
    [anon_sym_macro] = ACTIONS(11900),
    [anon_sym_quote] = ACTIONS(11900),
    [anon_sym_let] = ACTIONS(11900),
    [anon_sym_if] = ACTIONS(11900),
    [anon_sym_try] = ACTIONS(11900),
    [anon_sym_for] = ACTIONS(11900),
    [anon_sym_while] = ACTIONS(11900),
    [sym_break_statement] = ACTIONS(11900),
    [sym_continue_statement] = ACTIONS(11900),
    [anon_sym_return] = ACTIONS(11900),
    [anon_sym_const] = ACTIONS(11900),
    [anon_sym_global] = ACTIONS(11900),
    [anon_sym_local] = ACTIONS(11900),
    [anon_sym_LPAREN] = ACTIONS(11900),
    [anon_sym_export] = ACTIONS(11900),
    [anon_sym_import] = ACTIONS(11900),
    [anon_sym_using] = ACTIONS(11900),
    [anon_sym_LBRACK] = ACTIONS(11900),
    [anon_sym_LF] = ACTIONS(11898),
    [anon_sym_LBRACE] = ACTIONS(11900),
    [anon_sym_SQUOTE] = ACTIONS(11900),
    [anon_sym_DOT] = ACTIONS(11900),
    [anon_sym_do] = ACTIONS(15190),
    [anon_sym_DOLLAR] = ACTIONS(11900),
    [anon_sym_COLON_COLON] = ACTIONS(11900),
    [anon_sym_AT] = ACTIONS(11900),
    [anon_sym_true] = ACTIONS(11900),
    [anon_sym_false] = ACTIONS(11900),
    [aux_sym_integer_literal_token1] = ACTIONS(11900),
    [aux_sym_integer_literal_token2] = ACTIONS(11900),
    [aux_sym_integer_literal_token3] = ACTIONS(11900),
    [aux_sym_integer_literal_token4] = ACTIONS(11900),
    [aux_sym_float_literal_token1] = ACTIONS(11900),
    [aux_sym_float_literal_token3] = ACTIONS(11900),
    [aux_sym_float_literal_token4] = ACTIONS(11900),
    [sym_character_literal] = ACTIONS(11900),
    [sym__pair_operator] = ACTIONS(11900),
    [sym__arrow_operator] = ACTIONS(11900),
    [sym__comparison_operator] = ACTIONS(11900),
    [sym__pipe_right_operator] = ACTIONS(11900),
    [sym__pipe_left_operator] = ACTIONS(11900),
    [sym__ellipsis_operator] = ACTIONS(11900),
    [sym__plus_operator] = ACTIONS(11900),
    [sym__times_operator] = ACTIONS(11900),
    [sym__rational_operator] = ACTIONS(11900),
    [sym__bitshift_operator] = ACTIONS(11900),
    [sym__power_operator] = ACTIONS(11900),
    [sym__tilde_operator] = ACTIONS(11900),
    [sym__type_order_operator] = ACTIONS(11900),
    [sym__unary_operator] = ACTIONS(11900),
    [sym__unary_plus_operator] = ACTIONS(11900),
    [aux_sym__terminator_token1] = ACTIONS(11900),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11898),
    [sym__immediate_bracket] = ACTIONS(11898),
    [sym__immediate_brace] = ACTIONS(11898),
    [sym__string_start] = ACTIONS(11898),
    [sym__command_start] = ACTIONS(11898),
  },
  [9316] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [9317] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [9318] = {
    [sym_do_clause] = STATE(9440),
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_do] = ACTIONS(15190),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [9319] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
    [sym__immediate_string_start] = ACTIONS(15186),
    [sym__immediate_command_start] = ACTIONS(15188),
  },
  [9320] = {
    [sym_do_clause] = STATE(9469),
    [sym__word_identifier] = ACTIONS(11918),
    [anon_sym_COLON] = ACTIONS(11918),
    [anon_sym_begin] = ACTIONS(11918),
    [anon_sym_module] = ACTIONS(11918),
    [anon_sym_baremodule] = ACTIONS(11918),
    [anon_sym_end] = ACTIONS(11918),
    [anon_sym_abstract] = ACTIONS(11918),
    [anon_sym_primitive] = ACTIONS(11918),
    [anon_sym_mutable] = ACTIONS(11918),
    [anon_sym_struct] = ACTIONS(11918),
    [anon_sym_function] = ACTIONS(11918),
    [anon_sym_macro] = ACTIONS(11918),
    [anon_sym_quote] = ACTIONS(11918),
    [anon_sym_let] = ACTIONS(11918),
    [anon_sym_if] = ACTIONS(11918),
    [anon_sym_try] = ACTIONS(11918),
    [anon_sym_for] = ACTIONS(11918),
    [anon_sym_while] = ACTIONS(11918),
    [sym_break_statement] = ACTIONS(11918),
    [sym_continue_statement] = ACTIONS(11918),
    [anon_sym_return] = ACTIONS(11918),
    [anon_sym_const] = ACTIONS(11918),
    [anon_sym_global] = ACTIONS(11918),
    [anon_sym_local] = ACTIONS(11918),
    [anon_sym_LPAREN] = ACTIONS(11918),
    [anon_sym_export] = ACTIONS(11918),
    [anon_sym_import] = ACTIONS(11918),
    [anon_sym_using] = ACTIONS(11918),
    [anon_sym_LBRACK] = ACTIONS(11918),
    [anon_sym_LF] = ACTIONS(11916),
    [anon_sym_LBRACE] = ACTIONS(11918),
    [anon_sym_SQUOTE] = ACTIONS(11918),
    [anon_sym_DOT] = ACTIONS(11918),
    [anon_sym_do] = ACTIONS(15190),
    [anon_sym_DOLLAR] = ACTIONS(11918),
    [anon_sym_COLON_COLON] = ACTIONS(11918),
    [anon_sym_AT] = ACTIONS(11918),
    [anon_sym_true] = ACTIONS(11918),
    [anon_sym_false] = ACTIONS(11918),
    [aux_sym_integer_literal_token1] = ACTIONS(11918),
    [aux_sym_integer_literal_token2] = ACTIONS(11918),
    [aux_sym_integer_literal_token3] = ACTIONS(11918),
    [aux_sym_integer_literal_token4] = ACTIONS(11918),
    [aux_sym_float_literal_token1] = ACTIONS(11918),
    [aux_sym_float_literal_token3] = ACTIONS(11918),
    [aux_sym_float_literal_token4] = ACTIONS(11918),
    [sym_character_literal] = ACTIONS(11918),
    [sym__pair_operator] = ACTIONS(11918),
    [sym__arrow_operator] = ACTIONS(11918),
    [sym__comparison_operator] = ACTIONS(11918),
    [sym__pipe_right_operator] = ACTIONS(11918),
    [sym__pipe_left_operator] = ACTIONS(11918),
    [sym__ellipsis_operator] = ACTIONS(11918),
    [sym__plus_operator] = ACTIONS(11918),
    [sym__times_operator] = ACTIONS(11918),
    [sym__rational_operator] = ACTIONS(11918),
    [sym__bitshift_operator] = ACTIONS(11918),
    [sym__power_operator] = ACTIONS(11918),
    [sym__tilde_operator] = ACTIONS(11918),
    [sym__type_order_operator] = ACTIONS(11918),
    [sym__unary_operator] = ACTIONS(11918),
    [sym__unary_plus_operator] = ACTIONS(11918),
    [aux_sym__terminator_token1] = ACTIONS(11918),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11916),
    [sym__immediate_bracket] = ACTIONS(11916),
    [sym__immediate_brace] = ACTIONS(11916),
    [sym__string_start] = ACTIONS(11916),
    [sym__command_start] = ACTIONS(11916),
  },
  [9321] = {
    [sym__word_identifier] = ACTIONS(91),
    [anon_sym_COLON] = ACTIONS(91),
    [anon_sym_begin] = ACTIONS(91),
    [anon_sym_module] = ACTIONS(91),
    [anon_sym_baremodule] = ACTIONS(91),
    [anon_sym_end] = ACTIONS(91),
    [anon_sym_abstract] = ACTIONS(91),
    [anon_sym_primitive] = ACTIONS(91),
    [anon_sym_mutable] = ACTIONS(91),
    [anon_sym_struct] = ACTIONS(91),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_macro] = ACTIONS(91),
    [anon_sym_quote] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(91),
    [anon_sym_if] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(91),
    [sym_break_statement] = ACTIONS(91),
    [sym_continue_statement] = ACTIONS(91),
    [anon_sym_return] = ACTIONS(91),
    [anon_sym_const] = ACTIONS(91),
    [anon_sym_global] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_import] = ACTIONS(91),
    [anon_sym_using] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(91),
    [anon_sym_LF] = ACTIONS(171),
    [anon_sym_LBRACE] = ACTIONS(91),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(91),
    [anon_sym_COLON_COLON] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_true] = ACTIONS(91),
    [anon_sym_false] = ACTIONS(91),
    [aux_sym_integer_literal_token1] = ACTIONS(91),
    [aux_sym_integer_literal_token2] = ACTIONS(91),
    [aux_sym_integer_literal_token3] = ACTIONS(91),
    [aux_sym_integer_literal_token4] = ACTIONS(91),
    [aux_sym_float_literal_token1] = ACTIONS(91),
    [aux_sym_float_literal_token3] = ACTIONS(91),
    [aux_sym_float_literal_token4] = ACTIONS(91),
    [sym_character_literal] = ACTIONS(91),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(91),
    [sym__comparison_operator] = ACTIONS(91),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(91),
    [sym__times_operator] = ACTIONS(91),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(91),
    [sym__type_order_operator] = ACTIONS(91),
    [sym__unary_operator] = ACTIONS(91),
    [sym__unary_plus_operator] = ACTIONS(91),
    [aux_sym__terminator_token1] = ACTIONS(91),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(171),
    [sym__command_start] = ACTIONS(171),
    [sym__immediate_string_start] = ACTIONS(15186),
    [sym__immediate_command_start] = ACTIONS(15188),
  },
  [9322] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [9323] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [9324] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [9325] = {
    [sym__primary_expression] = STATE(11250),
    [sym__array] = STATE(11250),
    [sym_comprehension_expression] = STATE(11250),
    [sym_matrix_expression] = STATE(11250),
    [sym_vector_expression] = STATE(11250),
    [sym_parenthesized_expression] = STATE(11250),
    [sym_tuple_expression] = STATE(11250),
    [sym_curly_expression] = STATE(11250),
    [sym_adjoint_expression] = STATE(11250),
    [sym_field_expression] = STATE(11250),
    [sym_index_expression] = STATE(11250),
    [sym_parametrized_type_expression] = STATE(11250),
    [sym_call_expression] = STATE(11250),
    [sym_broadcast_call_expression] = STATE(11250),
    [sym__closed_macrocall_expression] = STATE(11250),
    [sym_interpolation_expression] = STATE(11250),
    [sym_quote_expression] = STATE(11250),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(10891),
    [sym_boolean_literal] = STATE(11250),
    [sym__string] = STATE(11250),
    [sym_string_literal] = STATE(11250),
    [sym_command_literal] = STATE(11250),
    [sym_prefixed_string_literal] = STATE(11250),
    [sym_prefixed_command_literal] = STATE(11250),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(13218),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_elseif] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_DOLLAR] = ACTIONS(13226),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(13230),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(3023),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [9326] = {
    [sym__word_identifier] = ACTIONS(15174),
    [anon_sym_COLON] = ACTIONS(15174),
    [anon_sym_begin] = ACTIONS(15174),
    [anon_sym_module] = ACTIONS(15174),
    [anon_sym_baremodule] = ACTIONS(15174),
    [anon_sym_end] = ACTIONS(15174),
    [anon_sym_abstract] = ACTIONS(15174),
    [anon_sym_primitive] = ACTIONS(15174),
    [anon_sym_mutable] = ACTIONS(15174),
    [anon_sym_struct] = ACTIONS(15174),
    [anon_sym_function] = ACTIONS(15174),
    [anon_sym_macro] = ACTIONS(15174),
    [anon_sym_quote] = ACTIONS(15174),
    [anon_sym_let] = ACTIONS(15174),
    [anon_sym_if] = ACTIONS(15174),
    [anon_sym_try] = ACTIONS(15174),
    [anon_sym_for] = ACTIONS(15174),
    [anon_sym_while] = ACTIONS(15174),
    [sym_break_statement] = ACTIONS(15174),
    [sym_continue_statement] = ACTIONS(15174),
    [anon_sym_return] = ACTIONS(15174),
    [anon_sym_const] = ACTIONS(15174),
    [anon_sym_global] = ACTIONS(15174),
    [anon_sym_local] = ACTIONS(15174),
    [anon_sym_LPAREN] = ACTIONS(15174),
    [anon_sym_export] = ACTIONS(15174),
    [anon_sym_import] = ACTIONS(15174),
    [anon_sym_using] = ACTIONS(15174),
    [anon_sym_LBRACK] = ACTIONS(15174),
    [anon_sym_LF] = ACTIONS(15178),
    [anon_sym_LBRACE] = ACTIONS(15174),
    [anon_sym_SQUOTE] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(15174),
    [anon_sym_COLON_COLON] = ACTIONS(15174),
    [anon_sym_AT] = ACTIONS(15174),
    [anon_sym_true] = ACTIONS(15174),
    [anon_sym_false] = ACTIONS(15174),
    [aux_sym_integer_literal_token1] = ACTIONS(15174),
    [aux_sym_integer_literal_token2] = ACTIONS(15174),
    [aux_sym_integer_literal_token3] = ACTIONS(15174),
    [aux_sym_integer_literal_token4] = ACTIONS(15174),
    [aux_sym_float_literal_token1] = ACTIONS(15174),
    [aux_sym_float_literal_token3] = ACTIONS(15174),
    [aux_sym_float_literal_token4] = ACTIONS(15174),
    [sym_character_literal] = ACTIONS(15174),
    [sym__pair_operator] = ACTIONS(15174),
    [sym__arrow_operator] = ACTIONS(15174),
    [sym__comparison_operator] = ACTIONS(15174),
    [sym__pipe_right_operator] = ACTIONS(15174),
    [sym__pipe_left_operator] = ACTIONS(15174),
    [sym__ellipsis_operator] = ACTIONS(15174),
    [sym__plus_operator] = ACTIONS(15174),
    [sym__times_operator] = ACTIONS(15174),
    [sym__rational_operator] = ACTIONS(15174),
    [sym__bitshift_operator] = ACTIONS(15174),
    [sym__power_operator] = ACTIONS(15174),
    [sym__tilde_operator] = ACTIONS(15174),
    [sym__type_order_operator] = ACTIONS(15174),
    [sym__unary_operator] = ACTIONS(15174),
    [sym__unary_plus_operator] = ACTIONS(15174),
    [aux_sym__terminator_token1] = ACTIONS(15174),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(171),
    [sym__immediate_bracket] = ACTIONS(171),
    [sym__immediate_brace] = ACTIONS(171),
    [sym__string_start] = ACTIONS(15178),
    [sym__command_start] = ACTIONS(15178),
    [sym__immediate_string_start] = ACTIONS(15192),
    [sym__immediate_command_start] = ACTIONS(15194),
  },
  [9327] = {
    [sym_identifier] = STATE(9365),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_where] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [9328] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [9329] = {
    [sym_identifier] = STATE(9415),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_where] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [9330] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [9331] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_SQUOTE] = ACTIONS(11868),
    [anon_sym_DOT] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11866),
    [sym__immediate_bracket] = ACTIONS(11866),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [9332] = {
    [sym_identifier] = STATE(9374),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_where] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [9333] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(15196),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [9334] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [9335] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(15186),
    [sym__immediate_command_start] = ACTIONS(15188),
  },
  [9336] = {
    [sym__primary_expression] = STATE(11252),
    [sym__array] = STATE(11252),
    [sym_comprehension_expression] = STATE(11252),
    [sym_matrix_expression] = STATE(11252),
    [sym_vector_expression] = STATE(11252),
    [sym_parenthesized_expression] = STATE(11252),
    [sym_tuple_expression] = STATE(11252),
    [sym_curly_expression] = STATE(11252),
    [sym_adjoint_expression] = STATE(11252),
    [sym_field_expression] = STATE(11252),
    [sym_index_expression] = STATE(11252),
    [sym_parametrized_type_expression] = STATE(11252),
    [sym_call_expression] = STATE(11252),
    [sym_broadcast_call_expression] = STATE(11252),
    [sym__closed_macrocall_expression] = STATE(11252),
    [sym_interpolation_expression] = STATE(11252),
    [sym_quote_expression] = STATE(11252),
    [sym_macro_identifier] = STATE(16836),
    [sym_identifier] = STATE(10558),
    [sym_boolean_literal] = STATE(11252),
    [sym__string] = STATE(11252),
    [sym_string_literal] = STATE(11252),
    [sym_command_literal] = STATE(11252),
    [sym_prefixed_string_literal] = STATE(11252),
    [sym_prefixed_command_literal] = STATE(11252),
    [sym_operator] = STATE(19062),
    [sym__word_identifier] = ACTIONS(12926),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(12928),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_else] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(12930),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(12932),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(12934),
    [anon_sym_DOLLAR] = ACTIONS(12936),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(12940),
    [anon_sym_false] = ACTIONS(12940),
    [sym_character_literal] = ACTIONS(12942),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(3023),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12944),
    [sym__command_start] = ACTIONS(12946),
  },
  [9337] = {
    [sym_identifier] = STATE(9389),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_where] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [9338] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_where] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [9339] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_where] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [9340] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_where] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [9341] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_where] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [9342] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_where] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [9343] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_SQUOTE] = ACTIONS(12030),
    [anon_sym_DOT] = ACTIONS(12030),
    [anon_sym_do] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12032),
    [sym__immediate_bracket] = ACTIONS(12032),
    [sym__immediate_brace] = ACTIONS(12032),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [9344] = {
    [sym__primary_expression] = STATE(11424),
    [sym__array] = STATE(11424),
    [sym_comprehension_expression] = STATE(11424),
    [sym_matrix_expression] = STATE(11424),
    [sym_vector_expression] = STATE(11424),
    [sym_parenthesized_expression] = STATE(11424),
    [sym_tuple_expression] = STATE(11424),
    [sym_curly_expression] = STATE(11424),
    [sym_adjoint_expression] = STATE(11424),
    [sym_field_expression] = STATE(11424),
    [sym_index_expression] = STATE(11424),
    [sym_parametrized_type_expression] = STATE(11424),
    [sym_call_expression] = STATE(11424),
    [sym_broadcast_call_expression] = STATE(11424),
    [sym__closed_macrocall_expression] = STATE(11424),
    [sym_interpolation_expression] = STATE(11424),
    [sym_quote_expression] = STATE(11424),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(10984),
    [sym_boolean_literal] = STATE(11424),
    [sym__string] = STATE(11424),
    [sym_string_literal] = STATE(11424),
    [sym_command_literal] = STATE(11424),
    [sym_prefixed_string_literal] = STATE(11424),
    [sym_prefixed_command_literal] = STATE(11424),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(13937),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_DOLLAR] = ACTIONS(13939),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(13941),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(3023),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [9345] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11974),
    [anon_sym_DOT] = ACTIONS(11974),
    [anon_sym_do] = ACTIONS(11974),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11984),
    [sym__immediate_bracket] = ACTIONS(11984),
    [sym__immediate_brace] = ACTIONS(11984),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [9346] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [9347] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_where] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [9348] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_where] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [9349] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_SQUOTE] = ACTIONS(12034),
    [anon_sym_DOT] = ACTIONS(12034),
    [anon_sym_do] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12036),
    [sym__immediate_bracket] = ACTIONS(12036),
    [sym__immediate_brace] = ACTIONS(12036),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [9350] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_SQUOTE] = ACTIONS(12038),
    [anon_sym_DOT] = ACTIONS(12038),
    [anon_sym_do] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12040),
    [sym__immediate_bracket] = ACTIONS(12040),
    [sym__immediate_brace] = ACTIONS(12040),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [9351] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_where] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [9352] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_where] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [9353] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_where] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [9354] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [9355] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_where] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [9356] = {
    [sym__primary_expression] = STATE(11204),
    [sym__array] = STATE(11204),
    [sym_comprehension_expression] = STATE(11204),
    [sym_matrix_expression] = STATE(11204),
    [sym_vector_expression] = STATE(11204),
    [sym_parenthesized_expression] = STATE(11204),
    [sym_tuple_expression] = STATE(11204),
    [sym_curly_expression] = STATE(11204),
    [sym_adjoint_expression] = STATE(11204),
    [sym_field_expression] = STATE(11204),
    [sym_index_expression] = STATE(11204),
    [sym_parametrized_type_expression] = STATE(11204),
    [sym_call_expression] = STATE(11204),
    [sym_broadcast_call_expression] = STATE(11204),
    [sym__closed_macrocall_expression] = STATE(11204),
    [sym_interpolation_expression] = STATE(11204),
    [sym_quote_expression] = STATE(11204),
    [sym_macro_identifier] = STATE(17010),
    [sym_identifier] = STATE(10591),
    [sym_boolean_literal] = STATE(11204),
    [sym__string] = STATE(11204),
    [sym_string_literal] = STATE(11204),
    [sym_command_literal] = STATE(11204),
    [sym_prefixed_string_literal] = STATE(11204),
    [sym_prefixed_command_literal] = STATE(11204),
    [sym_operator] = STATE(18511),
    [sym__word_identifier] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(14405),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(14407),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(14409),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(14411),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(15198),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(14415),
    [anon_sym_true] = ACTIONS(14417),
    [anon_sym_false] = ACTIONS(14417),
    [sym_character_literal] = ACTIONS(14419),
    [sym__pair_operator] = ACTIONS(11551),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11551),
    [sym__pipe_left_operator] = ACTIONS(11551),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11551),
    [sym__bitshift_operator] = ACTIONS(11551),
    [sym__power_operator] = ACTIONS(11551),
    [sym__tilde_operator] = ACTIONS(3021),
    [sym__type_order_operator] = ACTIONS(11551),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14421),
    [sym__command_start] = ACTIONS(14423),
  },
  [9357] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_where] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [9358] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_where] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [9359] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_where] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [9360] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_where] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [9361] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_where] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [9362] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_where] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [9363] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_where] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [9364] = {
    [sym__primary_expression] = STATE(11373),
    [sym__array] = STATE(11373),
    [sym_comprehension_expression] = STATE(11373),
    [sym_matrix_expression] = STATE(11373),
    [sym_vector_expression] = STATE(11373),
    [sym_parenthesized_expression] = STATE(11373),
    [sym_tuple_expression] = STATE(11373),
    [sym_curly_expression] = STATE(11373),
    [sym_adjoint_expression] = STATE(11373),
    [sym_field_expression] = STATE(11373),
    [sym_index_expression] = STATE(11373),
    [sym_parametrized_type_expression] = STATE(11373),
    [sym_call_expression] = STATE(11373),
    [sym_broadcast_call_expression] = STATE(11373),
    [sym__closed_macrocall_expression] = STATE(11373),
    [sym_interpolation_expression] = STATE(11373),
    [sym_quote_expression] = STATE(11373),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(11113),
    [sym_boolean_literal] = STATE(11373),
    [sym__string] = STATE(11373),
    [sym_string_literal] = STATE(11373),
    [sym_command_literal] = STATE(11373),
    [sym_prefixed_string_literal] = STATE(11373),
    [sym_prefixed_command_literal] = STATE(11373),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(14292),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_catch] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_DOLLAR] = ACTIONS(14294),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(14296),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(3023),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [9365] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_where] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [9366] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_where] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [9367] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_where] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [9368] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_where] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [9369] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_where] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [9370] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_where] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [9371] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_where] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [9372] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_where] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [9373] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_SQUOTE] = ACTIONS(12042),
    [anon_sym_DOT] = ACTIONS(12042),
    [anon_sym_do] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12044),
    [sym__immediate_bracket] = ACTIONS(12044),
    [sym__immediate_brace] = ACTIONS(12044),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
  [9374] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_where] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [9375] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_where] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [9376] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12064),
    [anon_sym_DOT] = ACTIONS(12064),
    [anon_sym_do] = ACTIONS(12064),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12082),
    [sym__immediate_bracket] = ACTIONS(12082),
    [sym__immediate_brace] = ACTIONS(12082),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [9377] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_where] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [9378] = {
    [sym_identifier] = STATE(9472),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_SQUOTE] = ACTIONS(11992),
    [anon_sym_DOT] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11990),
    [sym__immediate_bracket] = ACTIONS(11990),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [9379] = {
    [sym_identifier] = STATE(9463),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_SQUOTE] = ACTIONS(11988),
    [anon_sym_DOT] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11986),
    [sym__immediate_bracket] = ACTIONS(11986),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [9380] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12024),
    [anon_sym_DOT] = ACTIONS(12024),
    [anon_sym_do] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12046),
    [sym__immediate_bracket] = ACTIONS(12046),
    [sym__immediate_brace] = ACTIONS(12046),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [9381] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_SQUOTE] = ACTIONS(12048),
    [anon_sym_DOT] = ACTIONS(12048),
    [anon_sym_do] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12050),
    [sym__immediate_bracket] = ACTIONS(12050),
    [sym__immediate_brace] = ACTIONS(12050),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [9382] = {
    [sym_identifier] = STATE(9441),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_SQUOTE] = ACTIONS(11978),
    [anon_sym_DOT] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11980),
    [sym__immediate_bracket] = ACTIONS(11980),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [9383] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_SQUOTE] = ACTIONS(12002),
    [anon_sym_DOT] = ACTIONS(12002),
    [anon_sym_do] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12004),
    [sym__immediate_bracket] = ACTIONS(12004),
    [sym__immediate_brace] = ACTIONS(12004),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [9384] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_SQUOTE] = ACTIONS(12018),
    [anon_sym_DOT] = ACTIONS(12018),
    [anon_sym_do] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12016),
    [sym__immediate_bracket] = ACTIONS(12016),
    [sym__immediate_brace] = ACTIONS(12016),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [9385] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12014),
    [anon_sym_DOT] = ACTIONS(12014),
    [anon_sym_do] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12012),
    [sym__immediate_bracket] = ACTIONS(12012),
    [sym__immediate_brace] = ACTIONS(12012),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [9386] = {
    [sym_identifier] = STATE(9434),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_SQUOTE] = ACTIONS(11966),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11968),
    [sym__immediate_bracket] = ACTIONS(11968),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [9387] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_where] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [9388] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_where] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [9389] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_where] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [9390] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_where] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [9391] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_where] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [9392] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_where] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [9393] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_where] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [9394] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_where] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [9395] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(15200),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [9396] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [9397] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11976),
    [anon_sym_DOT] = ACTIONS(11976),
    [anon_sym_do] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12052),
    [sym__immediate_bracket] = ACTIONS(12052),
    [sym__immediate_brace] = ACTIONS(12052),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [9398] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_where] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [9399] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_where] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [9400] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_where] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [9401] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_where] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [9402] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_where] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [9403] = {
    [sym__word_identifier] = ACTIONS(12064),
    [anon_sym_COLON] = ACTIONS(12064),
    [anon_sym_begin] = ACTIONS(12064),
    [anon_sym_module] = ACTIONS(12064),
    [anon_sym_baremodule] = ACTIONS(12064),
    [anon_sym_end] = ACTIONS(12064),
    [anon_sym_abstract] = ACTIONS(12064),
    [anon_sym_primitive] = ACTIONS(12064),
    [anon_sym_mutable] = ACTIONS(12064),
    [anon_sym_struct] = ACTIONS(12064),
    [anon_sym_function] = ACTIONS(12064),
    [anon_sym_macro] = ACTIONS(12064),
    [anon_sym_where] = ACTIONS(12064),
    [anon_sym_quote] = ACTIONS(12064),
    [anon_sym_let] = ACTIONS(12064),
    [anon_sym_if] = ACTIONS(12064),
    [anon_sym_try] = ACTIONS(12064),
    [anon_sym_for] = ACTIONS(12064),
    [anon_sym_while] = ACTIONS(12064),
    [sym_break_statement] = ACTIONS(12064),
    [sym_continue_statement] = ACTIONS(12064),
    [anon_sym_return] = ACTIONS(12064),
    [anon_sym_const] = ACTIONS(12064),
    [anon_sym_global] = ACTIONS(12064),
    [anon_sym_local] = ACTIONS(12064),
    [anon_sym_LPAREN] = ACTIONS(12064),
    [anon_sym_export] = ACTIONS(12064),
    [anon_sym_import] = ACTIONS(12064),
    [anon_sym_using] = ACTIONS(12064),
    [anon_sym_LBRACK] = ACTIONS(12064),
    [anon_sym_LF] = ACTIONS(12082),
    [anon_sym_LBRACE] = ACTIONS(12064),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12064),
    [anon_sym_COLON_COLON] = ACTIONS(12064),
    [anon_sym_AT] = ACTIONS(12064),
    [anon_sym_true] = ACTIONS(12064),
    [anon_sym_false] = ACTIONS(12064),
    [aux_sym_integer_literal_token1] = ACTIONS(12064),
    [aux_sym_integer_literal_token2] = ACTIONS(12064),
    [aux_sym_integer_literal_token3] = ACTIONS(12064),
    [aux_sym_integer_literal_token4] = ACTIONS(12064),
    [aux_sym_float_literal_token1] = ACTIONS(12064),
    [aux_sym_float_literal_token3] = ACTIONS(12064),
    [aux_sym_float_literal_token4] = ACTIONS(12064),
    [sym_character_literal] = ACTIONS(12064),
    [sym__pair_operator] = ACTIONS(12064),
    [sym__arrow_operator] = ACTIONS(12064),
    [sym__comparison_operator] = ACTIONS(12064),
    [sym__pipe_right_operator] = ACTIONS(12064),
    [sym__pipe_left_operator] = ACTIONS(12064),
    [sym__ellipsis_operator] = ACTIONS(12064),
    [sym__plus_operator] = ACTIONS(12064),
    [sym__times_operator] = ACTIONS(12064),
    [sym__rational_operator] = ACTIONS(12064),
    [sym__bitshift_operator] = ACTIONS(12064),
    [sym__power_operator] = ACTIONS(12064),
    [sym__tilde_operator] = ACTIONS(12064),
    [sym__type_order_operator] = ACTIONS(12064),
    [sym__unary_operator] = ACTIONS(12064),
    [sym__unary_plus_operator] = ACTIONS(12064),
    [aux_sym__terminator_token1] = ACTIONS(12064),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12082),
    [sym__command_start] = ACTIONS(12082),
  },
  [9404] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_where] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [9405] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [9406] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_where] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [9407] = {
    [sym__word_identifier] = ACTIONS(11974),
    [anon_sym_COLON] = ACTIONS(11974),
    [anon_sym_begin] = ACTIONS(11974),
    [anon_sym_module] = ACTIONS(11974),
    [anon_sym_baremodule] = ACTIONS(11974),
    [anon_sym_end] = ACTIONS(11974),
    [anon_sym_abstract] = ACTIONS(11974),
    [anon_sym_primitive] = ACTIONS(11974),
    [anon_sym_mutable] = ACTIONS(11974),
    [anon_sym_struct] = ACTIONS(11974),
    [anon_sym_function] = ACTIONS(11974),
    [anon_sym_macro] = ACTIONS(11974),
    [anon_sym_where] = ACTIONS(11974),
    [anon_sym_quote] = ACTIONS(11974),
    [anon_sym_let] = ACTIONS(11974),
    [anon_sym_if] = ACTIONS(11974),
    [anon_sym_try] = ACTIONS(11974),
    [anon_sym_for] = ACTIONS(11974),
    [anon_sym_while] = ACTIONS(11974),
    [sym_break_statement] = ACTIONS(11974),
    [sym_continue_statement] = ACTIONS(11974),
    [anon_sym_return] = ACTIONS(11974),
    [anon_sym_const] = ACTIONS(11974),
    [anon_sym_global] = ACTIONS(11974),
    [anon_sym_local] = ACTIONS(11974),
    [anon_sym_LPAREN] = ACTIONS(11974),
    [anon_sym_export] = ACTIONS(11974),
    [anon_sym_import] = ACTIONS(11974),
    [anon_sym_using] = ACTIONS(11974),
    [anon_sym_LBRACK] = ACTIONS(11974),
    [anon_sym_LF] = ACTIONS(11984),
    [anon_sym_LBRACE] = ACTIONS(11974),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11974),
    [anon_sym_COLON_COLON] = ACTIONS(11974),
    [anon_sym_AT] = ACTIONS(11974),
    [anon_sym_true] = ACTIONS(11974),
    [anon_sym_false] = ACTIONS(11974),
    [aux_sym_integer_literal_token1] = ACTIONS(11974),
    [aux_sym_integer_literal_token2] = ACTIONS(11974),
    [aux_sym_integer_literal_token3] = ACTIONS(11974),
    [aux_sym_integer_literal_token4] = ACTIONS(11974),
    [aux_sym_float_literal_token1] = ACTIONS(11974),
    [aux_sym_float_literal_token3] = ACTIONS(11974),
    [aux_sym_float_literal_token4] = ACTIONS(11974),
    [sym_character_literal] = ACTIONS(11974),
    [sym__pair_operator] = ACTIONS(11974),
    [sym__arrow_operator] = ACTIONS(11974),
    [sym__comparison_operator] = ACTIONS(11974),
    [sym__pipe_right_operator] = ACTIONS(11974),
    [sym__pipe_left_operator] = ACTIONS(11974),
    [sym__ellipsis_operator] = ACTIONS(11974),
    [sym__plus_operator] = ACTIONS(11974),
    [sym__times_operator] = ACTIONS(11974),
    [sym__rational_operator] = ACTIONS(11974),
    [sym__bitshift_operator] = ACTIONS(11974),
    [sym__power_operator] = ACTIONS(11974),
    [sym__tilde_operator] = ACTIONS(11974),
    [sym__type_order_operator] = ACTIONS(11974),
    [sym__unary_operator] = ACTIONS(11974),
    [sym__unary_plus_operator] = ACTIONS(11974),
    [aux_sym__terminator_token1] = ACTIONS(11974),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11984),
    [sym__command_start] = ACTIONS(11984),
  },
  [9408] = {
    [sym__word_identifier] = ACTIONS(12440),
    [anon_sym_COLON] = ACTIONS(12440),
    [anon_sym_begin] = ACTIONS(12440),
    [anon_sym_module] = ACTIONS(12440),
    [anon_sym_baremodule] = ACTIONS(12440),
    [anon_sym_end] = ACTIONS(12440),
    [anon_sym_abstract] = ACTIONS(12440),
    [anon_sym_primitive] = ACTIONS(12440),
    [anon_sym_mutable] = ACTIONS(12440),
    [anon_sym_struct] = ACTIONS(12440),
    [anon_sym_function] = ACTIONS(12440),
    [anon_sym_macro] = ACTIONS(12440),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_quote] = ACTIONS(12440),
    [anon_sym_let] = ACTIONS(12440),
    [anon_sym_if] = ACTIONS(12440),
    [anon_sym_try] = ACTIONS(12440),
    [anon_sym_for] = ACTIONS(12440),
    [anon_sym_while] = ACTIONS(12440),
    [sym_break_statement] = ACTIONS(12440),
    [sym_continue_statement] = ACTIONS(12440),
    [anon_sym_return] = ACTIONS(12440),
    [anon_sym_const] = ACTIONS(12440),
    [anon_sym_global] = ACTIONS(12440),
    [anon_sym_local] = ACTIONS(12440),
    [anon_sym_LPAREN] = ACTIONS(12440),
    [anon_sym_export] = ACTIONS(12440),
    [anon_sym_import] = ACTIONS(12440),
    [anon_sym_using] = ACTIONS(12440),
    [anon_sym_LBRACK] = ACTIONS(12440),
    [anon_sym_LF] = ACTIONS(12512),
    [anon_sym_LBRACE] = ACTIONS(12440),
    [anon_sym_SQUOTE] = ACTIONS(15202),
    [anon_sym_DOT] = ACTIONS(15204),
    [anon_sym_DOLLAR] = ACTIONS(12440),
    [anon_sym_COLON_COLON] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(12440),
    [anon_sym_true] = ACTIONS(12440),
    [anon_sym_false] = ACTIONS(12440),
    [aux_sym_integer_literal_token1] = ACTIONS(12440),
    [aux_sym_integer_literal_token2] = ACTIONS(12440),
    [aux_sym_integer_literal_token3] = ACTIONS(12440),
    [aux_sym_integer_literal_token4] = ACTIONS(12440),
    [aux_sym_float_literal_token1] = ACTIONS(12440),
    [aux_sym_float_literal_token3] = ACTIONS(12440),
    [aux_sym_float_literal_token4] = ACTIONS(12440),
    [sym_character_literal] = ACTIONS(12440),
    [sym__pair_operator] = ACTIONS(12440),
    [sym__arrow_operator] = ACTIONS(12440),
    [sym__comparison_operator] = ACTIONS(12440),
    [sym__pipe_right_operator] = ACTIONS(12440),
    [sym__pipe_left_operator] = ACTIONS(12440),
    [sym__ellipsis_operator] = ACTIONS(12440),
    [sym__plus_operator] = ACTIONS(12440),
    [sym__times_operator] = ACTIONS(12440),
    [sym__rational_operator] = ACTIONS(12440),
    [sym__bitshift_operator] = ACTIONS(12440),
    [sym__power_operator] = ACTIONS(12440),
    [sym__tilde_operator] = ACTIONS(12440),
    [sym__type_order_operator] = ACTIONS(12440),
    [sym__unary_operator] = ACTIONS(12440),
    [sym__unary_plus_operator] = ACTIONS(12440),
    [aux_sym__terminator_token1] = ACTIONS(12440),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15206),
    [sym__immediate_bracket] = ACTIONS(15208),
    [sym__immediate_brace] = ACTIONS(15210),
    [sym__string_start] = ACTIONS(12512),
    [sym__command_start] = ACTIONS(12512),
  },
  [9409] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_where] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [9410] = {
    [sym__primary_expression] = STATE(11394),
    [sym__array] = STATE(11394),
    [sym_comprehension_expression] = STATE(11394),
    [sym_matrix_expression] = STATE(11394),
    [sym_vector_expression] = STATE(11394),
    [sym_parenthesized_expression] = STATE(11394),
    [sym_tuple_expression] = STATE(11394),
    [sym_curly_expression] = STATE(11394),
    [sym_adjoint_expression] = STATE(11394),
    [sym_field_expression] = STATE(11394),
    [sym_index_expression] = STATE(11394),
    [sym_parametrized_type_expression] = STATE(11394),
    [sym_call_expression] = STATE(11394),
    [sym_broadcast_call_expression] = STATE(11394),
    [sym__closed_macrocall_expression] = STATE(11394),
    [sym_interpolation_expression] = STATE(11394),
    [sym_quote_expression] = STATE(11394),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(10938),
    [sym_boolean_literal] = STATE(11394),
    [sym__string] = STATE(11394),
    [sym_string_literal] = STATE(11394),
    [sym_command_literal] = STATE(11394),
    [sym_prefixed_string_literal] = STATE(11394),
    [sym_prefixed_command_literal] = STATE(11394),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(14501),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_finally] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_DOLLAR] = ACTIONS(14503),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(14505),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(3023),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [9411] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_where] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [9412] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [9413] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_where] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [9414] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_where] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [9415] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_where] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [9416] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_where] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [9417] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [9418] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_where] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [9419] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_where] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [9420] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_SQUOTE] = ACTIONS(12026),
    [anon_sym_DOT] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12028),
    [sym__immediate_bracket] = ACTIONS(12028),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [9421] = {
    [sym__word_identifier] = ACTIONS(12140),
    [anon_sym_COLON] = ACTIONS(12140),
    [anon_sym_begin] = ACTIONS(12140),
    [anon_sym_module] = ACTIONS(12140),
    [anon_sym_baremodule] = ACTIONS(12140),
    [anon_sym_end] = ACTIONS(12140),
    [anon_sym_abstract] = ACTIONS(12140),
    [anon_sym_primitive] = ACTIONS(12140),
    [anon_sym_mutable] = ACTIONS(12140),
    [anon_sym_struct] = ACTIONS(12140),
    [anon_sym_function] = ACTIONS(12140),
    [anon_sym_macro] = ACTIONS(12140),
    [anon_sym_quote] = ACTIONS(12140),
    [anon_sym_let] = ACTIONS(12140),
    [anon_sym_if] = ACTIONS(12140),
    [anon_sym_try] = ACTIONS(12140),
    [anon_sym_for] = ACTIONS(12140),
    [anon_sym_while] = ACTIONS(12140),
    [sym_break_statement] = ACTIONS(12140),
    [sym_continue_statement] = ACTIONS(12140),
    [anon_sym_return] = ACTIONS(12140),
    [anon_sym_const] = ACTIONS(12140),
    [anon_sym_global] = ACTIONS(12140),
    [anon_sym_local] = ACTIONS(12140),
    [anon_sym_LPAREN] = ACTIONS(12140),
    [anon_sym_export] = ACTIONS(12140),
    [anon_sym_import] = ACTIONS(12140),
    [anon_sym_using] = ACTIONS(12140),
    [anon_sym_LBRACK] = ACTIONS(12140),
    [anon_sym_LF] = ACTIONS(12142),
    [anon_sym_LBRACE] = ACTIONS(12140),
    [anon_sym_SQUOTE] = ACTIONS(12140),
    [anon_sym_DOT] = ACTIONS(12140),
    [anon_sym_DOLLAR] = ACTIONS(12140),
    [anon_sym_COLON_COLON] = ACTIONS(12140),
    [anon_sym_AT] = ACTIONS(12140),
    [anon_sym_true] = ACTIONS(12140),
    [anon_sym_false] = ACTIONS(12140),
    [aux_sym_integer_literal_token1] = ACTIONS(12140),
    [aux_sym_integer_literal_token2] = ACTIONS(12140),
    [aux_sym_integer_literal_token3] = ACTIONS(12140),
    [aux_sym_integer_literal_token4] = ACTIONS(12140),
    [aux_sym_float_literal_token1] = ACTIONS(12140),
    [aux_sym_float_literal_token3] = ACTIONS(12140),
    [aux_sym_float_literal_token4] = ACTIONS(12140),
    [sym_character_literal] = ACTIONS(12140),
    [sym__pair_operator] = ACTIONS(12140),
    [sym__arrow_operator] = ACTIONS(12140),
    [sym__comparison_operator] = ACTIONS(12140),
    [sym__pipe_right_operator] = ACTIONS(12140),
    [sym__pipe_left_operator] = ACTIONS(12140),
    [sym__ellipsis_operator] = ACTIONS(12140),
    [sym__plus_operator] = ACTIONS(12140),
    [sym__times_operator] = ACTIONS(12140),
    [sym__rational_operator] = ACTIONS(12140),
    [sym__bitshift_operator] = ACTIONS(12140),
    [sym__power_operator] = ACTIONS(12140),
    [sym__tilde_operator] = ACTIONS(12140),
    [sym__type_order_operator] = ACTIONS(12140),
    [sym__unary_operator] = ACTIONS(12140),
    [sym__unary_plus_operator] = ACTIONS(12140),
    [aux_sym__terminator_token1] = ACTIONS(12140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12142),
    [sym__immediate_bracket] = ACTIONS(12142),
    [sym__immediate_brace] = ACTIONS(12142),
    [sym__string_start] = ACTIONS(12142),
    [sym__command_start] = ACTIONS(12142),
  },
  [9422] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_SQUOTE] = ACTIONS(12162),
    [anon_sym_DOT] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12160),
    [sym__immediate_bracket] = ACTIONS(12160),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [9423] = {
    [sym__word_identifier] = ACTIONS(11932),
    [anon_sym_COLON] = ACTIONS(11932),
    [anon_sym_begin] = ACTIONS(11932),
    [anon_sym_module] = ACTIONS(11932),
    [anon_sym_baremodule] = ACTIONS(11932),
    [anon_sym_end] = ACTIONS(11932),
    [anon_sym_abstract] = ACTIONS(11932),
    [anon_sym_primitive] = ACTIONS(11932),
    [anon_sym_mutable] = ACTIONS(11932),
    [anon_sym_struct] = ACTIONS(11932),
    [anon_sym_function] = ACTIONS(11932),
    [anon_sym_macro] = ACTIONS(11932),
    [anon_sym_quote] = ACTIONS(11932),
    [anon_sym_let] = ACTIONS(11932),
    [anon_sym_if] = ACTIONS(11932),
    [anon_sym_try] = ACTIONS(11932),
    [anon_sym_for] = ACTIONS(11932),
    [anon_sym_while] = ACTIONS(11932),
    [sym_break_statement] = ACTIONS(11932),
    [sym_continue_statement] = ACTIONS(11932),
    [anon_sym_return] = ACTIONS(11932),
    [anon_sym_const] = ACTIONS(11932),
    [anon_sym_global] = ACTIONS(11932),
    [anon_sym_local] = ACTIONS(11932),
    [anon_sym_LPAREN] = ACTIONS(11932),
    [anon_sym_export] = ACTIONS(11932),
    [anon_sym_import] = ACTIONS(11932),
    [anon_sym_using] = ACTIONS(11932),
    [anon_sym_LBRACK] = ACTIONS(11932),
    [anon_sym_LF] = ACTIONS(11934),
    [anon_sym_LBRACE] = ACTIONS(11932),
    [anon_sym_SQUOTE] = ACTIONS(11932),
    [anon_sym_DOT] = ACTIONS(11932),
    [anon_sym_DOLLAR] = ACTIONS(11932),
    [anon_sym_COLON_COLON] = ACTIONS(11932),
    [anon_sym_AT] = ACTIONS(11932),
    [anon_sym_true] = ACTIONS(11932),
    [anon_sym_false] = ACTIONS(11932),
    [aux_sym_integer_literal_token1] = ACTIONS(11932),
    [aux_sym_integer_literal_token2] = ACTIONS(11932),
    [aux_sym_integer_literal_token3] = ACTIONS(11932),
    [aux_sym_integer_literal_token4] = ACTIONS(11932),
    [aux_sym_float_literal_token1] = ACTIONS(11932),
    [aux_sym_float_literal_token3] = ACTIONS(11932),
    [aux_sym_float_literal_token4] = ACTIONS(11932),
    [sym_character_literal] = ACTIONS(11932),
    [sym__pair_operator] = ACTIONS(11932),
    [sym__arrow_operator] = ACTIONS(11932),
    [sym__comparison_operator] = ACTIONS(11932),
    [sym__pipe_right_operator] = ACTIONS(11932),
    [sym__pipe_left_operator] = ACTIONS(11932),
    [sym__ellipsis_operator] = ACTIONS(11932),
    [sym__plus_operator] = ACTIONS(11932),
    [sym__times_operator] = ACTIONS(11932),
    [sym__rational_operator] = ACTIONS(11932),
    [sym__bitshift_operator] = ACTIONS(11932),
    [sym__power_operator] = ACTIONS(11932),
    [sym__tilde_operator] = ACTIONS(11932),
    [sym__type_order_operator] = ACTIONS(11932),
    [sym__unary_operator] = ACTIONS(11932),
    [sym__unary_plus_operator] = ACTIONS(11932),
    [aux_sym__terminator_token1] = ACTIONS(11932),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11934),
    [sym__immediate_bracket] = ACTIONS(11934),
    [sym__immediate_brace] = ACTIONS(11934),
    [sym__string_start] = ACTIONS(11934),
    [sym__command_start] = ACTIONS(11934),
  },
  [9424] = {
    [sym__word_identifier] = ACTIONS(12328),
    [anon_sym_COLON] = ACTIONS(12328),
    [anon_sym_begin] = ACTIONS(12328),
    [anon_sym_module] = ACTIONS(12328),
    [anon_sym_baremodule] = ACTIONS(12328),
    [anon_sym_end] = ACTIONS(12328),
    [anon_sym_abstract] = ACTIONS(12328),
    [anon_sym_primitive] = ACTIONS(12328),
    [anon_sym_mutable] = ACTIONS(12328),
    [anon_sym_struct] = ACTIONS(12328),
    [anon_sym_function] = ACTIONS(12328),
    [anon_sym_macro] = ACTIONS(12328),
    [anon_sym_quote] = ACTIONS(12328),
    [anon_sym_let] = ACTIONS(12328),
    [anon_sym_if] = ACTIONS(12328),
    [anon_sym_try] = ACTIONS(12328),
    [anon_sym_for] = ACTIONS(12328),
    [anon_sym_while] = ACTIONS(12328),
    [sym_break_statement] = ACTIONS(12328),
    [sym_continue_statement] = ACTIONS(12328),
    [anon_sym_return] = ACTIONS(12328),
    [anon_sym_const] = ACTIONS(12328),
    [anon_sym_global] = ACTIONS(12328),
    [anon_sym_local] = ACTIONS(12328),
    [anon_sym_LPAREN] = ACTIONS(12328),
    [anon_sym_export] = ACTIONS(12328),
    [anon_sym_import] = ACTIONS(12328),
    [anon_sym_using] = ACTIONS(12328),
    [anon_sym_LBRACK] = ACTIONS(12328),
    [anon_sym_LF] = ACTIONS(12330),
    [anon_sym_LBRACE] = ACTIONS(12328),
    [anon_sym_SQUOTE] = ACTIONS(12328),
    [anon_sym_DOT] = ACTIONS(12328),
    [anon_sym_DOLLAR] = ACTIONS(12328),
    [anon_sym_COLON_COLON] = ACTIONS(12328),
    [anon_sym_AT] = ACTIONS(12328),
    [anon_sym_true] = ACTIONS(12328),
    [anon_sym_false] = ACTIONS(12328),
    [aux_sym_integer_literal_token1] = ACTIONS(12328),
    [aux_sym_integer_literal_token2] = ACTIONS(12328),
    [aux_sym_integer_literal_token3] = ACTIONS(12328),
    [aux_sym_integer_literal_token4] = ACTIONS(12328),
    [aux_sym_float_literal_token1] = ACTIONS(12328),
    [aux_sym_float_literal_token3] = ACTIONS(12328),
    [aux_sym_float_literal_token4] = ACTIONS(12328),
    [sym_character_literal] = ACTIONS(12328),
    [sym__pair_operator] = ACTIONS(12328),
    [sym__arrow_operator] = ACTIONS(12328),
    [sym__comparison_operator] = ACTIONS(12328),
    [sym__pipe_right_operator] = ACTIONS(12328),
    [sym__pipe_left_operator] = ACTIONS(12328),
    [sym__ellipsis_operator] = ACTIONS(12328),
    [sym__plus_operator] = ACTIONS(12328),
    [sym__times_operator] = ACTIONS(12328),
    [sym__rational_operator] = ACTIONS(12328),
    [sym__bitshift_operator] = ACTIONS(12328),
    [sym__power_operator] = ACTIONS(12328),
    [sym__tilde_operator] = ACTIONS(12328),
    [sym__type_order_operator] = ACTIONS(12328),
    [sym__unary_operator] = ACTIONS(12328),
    [sym__unary_plus_operator] = ACTIONS(12328),
    [aux_sym__terminator_token1] = ACTIONS(12328),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12330),
    [sym__immediate_bracket] = ACTIONS(12330),
    [sym__immediate_brace] = ACTIONS(12330),
    [sym__string_start] = ACTIONS(12330),
    [sym__command_start] = ACTIONS(12330),
  },
  [9425] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_SQUOTE] = ACTIONS(11958),
    [anon_sym_DOT] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11960),
    [sym__immediate_bracket] = ACTIONS(11960),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [9426] = {
    [sym__primary_expression] = STATE(11494),
    [sym__array] = STATE(11494),
    [sym_comprehension_expression] = STATE(11494),
    [sym_matrix_expression] = STATE(11494),
    [sym_vector_expression] = STATE(11494),
    [sym_parenthesized_expression] = STATE(11494),
    [sym_tuple_expression] = STATE(11494),
    [sym_curly_expression] = STATE(11494),
    [sym_adjoint_expression] = STATE(11494),
    [sym_field_expression] = STATE(11494),
    [sym_index_expression] = STATE(11494),
    [sym_parametrized_type_expression] = STATE(11494),
    [sym_call_expression] = STATE(11494),
    [sym_broadcast_call_expression] = STATE(11494),
    [sym__closed_macrocall_expression] = STATE(11494),
    [sym_interpolation_expression] = STATE(11494),
    [sym_quote_expression] = STATE(11494),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(11243),
    [sym_boolean_literal] = STATE(11494),
    [sym__string] = STATE(11494),
    [sym_string_literal] = STATE(11494),
    [sym_command_literal] = STATE(11494),
    [sym_prefixed_string_literal] = STATE(11494),
    [sym_prefixed_command_literal] = STATE(11494),
    [sym_operator] = STATE(18431),
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(14768),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_DOLLAR] = ACTIONS(14770),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(14772),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(3023),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [9427] = {
    [sym__word_identifier] = ACTIONS(12148),
    [anon_sym_COLON] = ACTIONS(12148),
    [anon_sym_begin] = ACTIONS(12148),
    [anon_sym_module] = ACTIONS(12148),
    [anon_sym_baremodule] = ACTIONS(12148),
    [anon_sym_end] = ACTIONS(12148),
    [anon_sym_abstract] = ACTIONS(12148),
    [anon_sym_primitive] = ACTIONS(12148),
    [anon_sym_mutable] = ACTIONS(12148),
    [anon_sym_struct] = ACTIONS(12148),
    [anon_sym_function] = ACTIONS(12148),
    [anon_sym_macro] = ACTIONS(12148),
    [anon_sym_quote] = ACTIONS(12148),
    [anon_sym_let] = ACTIONS(12148),
    [anon_sym_if] = ACTIONS(12148),
    [anon_sym_try] = ACTIONS(12148),
    [anon_sym_for] = ACTIONS(12148),
    [anon_sym_while] = ACTIONS(12148),
    [sym_break_statement] = ACTIONS(12148),
    [sym_continue_statement] = ACTIONS(12148),
    [anon_sym_return] = ACTIONS(12148),
    [anon_sym_const] = ACTIONS(12148),
    [anon_sym_global] = ACTIONS(12148),
    [anon_sym_local] = ACTIONS(12148),
    [anon_sym_LPAREN] = ACTIONS(12148),
    [anon_sym_export] = ACTIONS(12148),
    [anon_sym_import] = ACTIONS(12148),
    [anon_sym_using] = ACTIONS(12148),
    [anon_sym_LBRACK] = ACTIONS(12148),
    [anon_sym_LF] = ACTIONS(12150),
    [anon_sym_LBRACE] = ACTIONS(12148),
    [anon_sym_SQUOTE] = ACTIONS(12148),
    [anon_sym_DOT] = ACTIONS(12148),
    [anon_sym_DOLLAR] = ACTIONS(12148),
    [anon_sym_COLON_COLON] = ACTIONS(12148),
    [anon_sym_AT] = ACTIONS(12148),
    [anon_sym_true] = ACTIONS(12148),
    [anon_sym_false] = ACTIONS(12148),
    [aux_sym_integer_literal_token1] = ACTIONS(12148),
    [aux_sym_integer_literal_token2] = ACTIONS(12148),
    [aux_sym_integer_literal_token3] = ACTIONS(12148),
    [aux_sym_integer_literal_token4] = ACTIONS(12148),
    [aux_sym_float_literal_token1] = ACTIONS(12148),
    [aux_sym_float_literal_token3] = ACTIONS(12148),
    [aux_sym_float_literal_token4] = ACTIONS(12148),
    [sym_character_literal] = ACTIONS(12148),
    [sym__pair_operator] = ACTIONS(12148),
    [sym__arrow_operator] = ACTIONS(12148),
    [sym__comparison_operator] = ACTIONS(12148),
    [sym__pipe_right_operator] = ACTIONS(12148),
    [sym__pipe_left_operator] = ACTIONS(12148),
    [sym__ellipsis_operator] = ACTIONS(12148),
    [sym__plus_operator] = ACTIONS(12148),
    [sym__times_operator] = ACTIONS(12148),
    [sym__rational_operator] = ACTIONS(12148),
    [sym__bitshift_operator] = ACTIONS(12148),
    [sym__power_operator] = ACTIONS(12148),
    [sym__tilde_operator] = ACTIONS(12148),
    [sym__type_order_operator] = ACTIONS(12148),
    [sym__unary_operator] = ACTIONS(12148),
    [sym__unary_plus_operator] = ACTIONS(12148),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12150),
    [sym__immediate_bracket] = ACTIONS(12150),
    [sym__immediate_brace] = ACTIONS(12150),
    [sym__string_start] = ACTIONS(12150),
    [sym__command_start] = ACTIONS(12150),
  },
  [9428] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_SQUOTE] = ACTIONS(12288),
    [anon_sym_DOT] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12290),
    [sym__immediate_bracket] = ACTIONS(12290),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [9429] = {
    [sym__primary_expression] = STATE(11488),
    [sym__array] = STATE(11488),
    [sym_comprehension_expression] = STATE(11488),
    [sym_matrix_expression] = STATE(11488),
    [sym_vector_expression] = STATE(11488),
    [sym_parenthesized_expression] = STATE(11488),
    [sym_tuple_expression] = STATE(11488),
    [sym_curly_expression] = STATE(11488),
    [sym_adjoint_expression] = STATE(11488),
    [sym_field_expression] = STATE(11488),
    [sym_index_expression] = STATE(11488),
    [sym_parametrized_type_expression] = STATE(11488),
    [sym_call_expression] = STATE(11488),
    [sym_broadcast_call_expression] = STATE(11488),
    [sym__closed_macrocall_expression] = STATE(11488),
    [sym_interpolation_expression] = STATE(11488),
    [sym_quote_expression] = STATE(11488),
    [sym_macro_identifier] = STATE(17088),
    [sym_identifier] = STATE(11262),
    [sym_boolean_literal] = STATE(11488),
    [sym__string] = STATE(11488),
    [sym_string_literal] = STATE(11488),
    [sym_command_literal] = STATE(11488),
    [sym_prefixed_string_literal] = STATE(11488),
    [sym_prefixed_command_literal] = STATE(11488),
    [sym_operator] = STATE(18431),
    [sym__word_identifier] = ACTIONS(13216),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11397),
    [anon_sym_COLON] = ACTIONS(14663),
    [anon_sym_end] = ACTIONS(11397),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(13220),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(13222),
    [anon_sym_LF] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(13224),
    [anon_sym_DOLLAR] = ACTIONS(14665),
    [anon_sym_COLON_COLON] = ACTIONS(11397),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11397),
    [anon_sym_QMARK] = ACTIONS(11397),
    [anon_sym_AT] = ACTIONS(12938),
    [anon_sym_true] = ACTIONS(13228),
    [anon_sym_false] = ACTIONS(13228),
    [sym_character_literal] = ACTIONS(14667),
    [sym__pair_operator] = ACTIONS(11425),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11397),
    [sym__lazy_and_operator] = ACTIONS(11397),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11425),
    [sym__pipe_left_operator] = ACTIONS(11425),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11425),
    [sym__bitshift_operator] = ACTIONS(11425),
    [sym__power_operator] = ACTIONS(11425),
    [sym__tilde_operator] = ACTIONS(3023),
    [sym__type_order_operator] = ACTIONS(11425),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [aux_sym__terminator_token1] = ACTIONS(11397),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13232),
    [sym__command_start] = ACTIONS(13234),
  },
  [9430] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_SQUOTE] = ACTIONS(12176),
    [anon_sym_DOT] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12178),
    [sym__immediate_bracket] = ACTIONS(12178),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [9431] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_SQUOTE] = ACTIONS(12180),
    [anon_sym_DOT] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12182),
    [sym__immediate_bracket] = ACTIONS(12182),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [9432] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_SQUOTE] = ACTIONS(12184),
    [anon_sym_DOT] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12186),
    [sym__immediate_bracket] = ACTIONS(12186),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [9433] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_SQUOTE] = ACTIONS(12188),
    [anon_sym_DOT] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12190),
    [sym__immediate_bracket] = ACTIONS(12190),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [9434] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_SQUOTE] = ACTIONS(12192),
    [anon_sym_DOT] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12194),
    [sym__immediate_bracket] = ACTIONS(12194),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [9435] = {
    [sym__word_identifier] = ACTIONS(12238),
    [anon_sym_COLON] = ACTIONS(12238),
    [anon_sym_begin] = ACTIONS(12238),
    [anon_sym_module] = ACTIONS(12238),
    [anon_sym_baremodule] = ACTIONS(12238),
    [anon_sym_end] = ACTIONS(12238),
    [anon_sym_abstract] = ACTIONS(12238),
    [anon_sym_primitive] = ACTIONS(12238),
    [anon_sym_mutable] = ACTIONS(12238),
    [anon_sym_struct] = ACTIONS(12238),
    [anon_sym_function] = ACTIONS(12238),
    [anon_sym_macro] = ACTIONS(12238),
    [anon_sym_quote] = ACTIONS(12238),
    [anon_sym_let] = ACTIONS(12238),
    [anon_sym_if] = ACTIONS(12238),
    [anon_sym_try] = ACTIONS(12238),
    [anon_sym_for] = ACTIONS(12238),
    [anon_sym_while] = ACTIONS(12238),
    [sym_break_statement] = ACTIONS(12238),
    [sym_continue_statement] = ACTIONS(12238),
    [anon_sym_return] = ACTIONS(12238),
    [anon_sym_const] = ACTIONS(12238),
    [anon_sym_global] = ACTIONS(12238),
    [anon_sym_local] = ACTIONS(12238),
    [anon_sym_LPAREN] = ACTIONS(12238),
    [anon_sym_export] = ACTIONS(12238),
    [anon_sym_import] = ACTIONS(12238),
    [anon_sym_using] = ACTIONS(12238),
    [anon_sym_LBRACK] = ACTIONS(12238),
    [anon_sym_LF] = ACTIONS(12240),
    [anon_sym_LBRACE] = ACTIONS(12238),
    [anon_sym_SQUOTE] = ACTIONS(12238),
    [anon_sym_DOT] = ACTIONS(12238),
    [anon_sym_DOLLAR] = ACTIONS(12238),
    [anon_sym_COLON_COLON] = ACTIONS(12238),
    [anon_sym_AT] = ACTIONS(12238),
    [anon_sym_true] = ACTIONS(12238),
    [anon_sym_false] = ACTIONS(12238),
    [aux_sym_integer_literal_token1] = ACTIONS(12238),
    [aux_sym_integer_literal_token2] = ACTIONS(12238),
    [aux_sym_integer_literal_token3] = ACTIONS(12238),
    [aux_sym_integer_literal_token4] = ACTIONS(12238),
    [aux_sym_float_literal_token1] = ACTIONS(12238),
    [aux_sym_float_literal_token3] = ACTIONS(12238),
    [aux_sym_float_literal_token4] = ACTIONS(12238),
    [sym_character_literal] = ACTIONS(12238),
    [sym__pair_operator] = ACTIONS(12238),
    [sym__arrow_operator] = ACTIONS(12238),
    [sym__comparison_operator] = ACTIONS(12238),
    [sym__pipe_right_operator] = ACTIONS(12238),
    [sym__pipe_left_operator] = ACTIONS(12238),
    [sym__ellipsis_operator] = ACTIONS(12238),
    [sym__plus_operator] = ACTIONS(12238),
    [sym__times_operator] = ACTIONS(12238),
    [sym__rational_operator] = ACTIONS(12238),
    [sym__bitshift_operator] = ACTIONS(12238),
    [sym__power_operator] = ACTIONS(12238),
    [sym__tilde_operator] = ACTIONS(12238),
    [sym__type_order_operator] = ACTIONS(12238),
    [sym__unary_operator] = ACTIONS(12238),
    [sym__unary_plus_operator] = ACTIONS(12238),
    [aux_sym__terminator_token1] = ACTIONS(12238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12240),
    [sym__immediate_bracket] = ACTIONS(12240),
    [sym__immediate_brace] = ACTIONS(12240),
    [sym__string_start] = ACTIONS(12240),
    [sym__command_start] = ACTIONS(12240),
  },
  [9436] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_SQUOTE] = ACTIONS(12348),
    [anon_sym_DOT] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12346),
    [sym__immediate_bracket] = ACTIONS(12346),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [9437] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_SQUOTE] = ACTIONS(12156),
    [anon_sym_DOT] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12158),
    [sym__immediate_bracket] = ACTIONS(12158),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [9438] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_SQUOTE] = ACTIONS(12326),
    [anon_sym_DOT] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12324),
    [sym__immediate_bracket] = ACTIONS(12324),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [9439] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_SQUOTE] = ACTIONS(12296),
    [anon_sym_DOT] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12298),
    [sym__immediate_bracket] = ACTIONS(12298),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [9440] = {
    [sym__word_identifier] = ACTIONS(12338),
    [anon_sym_COLON] = ACTIONS(12338),
    [anon_sym_begin] = ACTIONS(12338),
    [anon_sym_module] = ACTIONS(12338),
    [anon_sym_baremodule] = ACTIONS(12338),
    [anon_sym_end] = ACTIONS(12338),
    [anon_sym_abstract] = ACTIONS(12338),
    [anon_sym_primitive] = ACTIONS(12338),
    [anon_sym_mutable] = ACTIONS(12338),
    [anon_sym_struct] = ACTIONS(12338),
    [anon_sym_function] = ACTIONS(12338),
    [anon_sym_macro] = ACTIONS(12338),
    [anon_sym_quote] = ACTIONS(12338),
    [anon_sym_let] = ACTIONS(12338),
    [anon_sym_if] = ACTIONS(12338),
    [anon_sym_try] = ACTIONS(12338),
    [anon_sym_for] = ACTIONS(12338),
    [anon_sym_while] = ACTIONS(12338),
    [sym_break_statement] = ACTIONS(12338),
    [sym_continue_statement] = ACTIONS(12338),
    [anon_sym_return] = ACTIONS(12338),
    [anon_sym_const] = ACTIONS(12338),
    [anon_sym_global] = ACTIONS(12338),
    [anon_sym_local] = ACTIONS(12338),
    [anon_sym_LPAREN] = ACTIONS(12338),
    [anon_sym_export] = ACTIONS(12338),
    [anon_sym_import] = ACTIONS(12338),
    [anon_sym_using] = ACTIONS(12338),
    [anon_sym_LBRACK] = ACTIONS(12338),
    [anon_sym_LF] = ACTIONS(12340),
    [anon_sym_LBRACE] = ACTIONS(12338),
    [anon_sym_SQUOTE] = ACTIONS(12338),
    [anon_sym_DOT] = ACTIONS(12338),
    [anon_sym_DOLLAR] = ACTIONS(12338),
    [anon_sym_COLON_COLON] = ACTIONS(12338),
    [anon_sym_AT] = ACTIONS(12338),
    [anon_sym_true] = ACTIONS(12338),
    [anon_sym_false] = ACTIONS(12338),
    [aux_sym_integer_literal_token1] = ACTIONS(12338),
    [aux_sym_integer_literal_token2] = ACTIONS(12338),
    [aux_sym_integer_literal_token3] = ACTIONS(12338),
    [aux_sym_integer_literal_token4] = ACTIONS(12338),
    [aux_sym_float_literal_token1] = ACTIONS(12338),
    [aux_sym_float_literal_token3] = ACTIONS(12338),
    [aux_sym_float_literal_token4] = ACTIONS(12338),
    [sym_character_literal] = ACTIONS(12338),
    [sym__pair_operator] = ACTIONS(12338),
    [sym__arrow_operator] = ACTIONS(12338),
    [sym__comparison_operator] = ACTIONS(12338),
    [sym__pipe_right_operator] = ACTIONS(12338),
    [sym__pipe_left_operator] = ACTIONS(12338),
    [sym__ellipsis_operator] = ACTIONS(12338),
    [sym__plus_operator] = ACTIONS(12338),
    [sym__times_operator] = ACTIONS(12338),
    [sym__rational_operator] = ACTIONS(12338),
    [sym__bitshift_operator] = ACTIONS(12338),
    [sym__power_operator] = ACTIONS(12338),
    [sym__tilde_operator] = ACTIONS(12338),
    [sym__type_order_operator] = ACTIONS(12338),
    [sym__unary_operator] = ACTIONS(12338),
    [sym__unary_plus_operator] = ACTIONS(12338),
    [aux_sym__terminator_token1] = ACTIONS(12338),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12340),
    [sym__immediate_bracket] = ACTIONS(12340),
    [sym__immediate_brace] = ACTIONS(12340),
    [sym__string_start] = ACTIONS(12340),
    [sym__command_start] = ACTIONS(12340),
  },
  [9441] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_SQUOTE] = ACTIONS(12196),
    [anon_sym_DOT] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12198),
    [sym__immediate_bracket] = ACTIONS(12198),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [9442] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_SQUOTE] = ACTIONS(12020),
    [anon_sym_DOT] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12022),
    [sym__immediate_bracket] = ACTIONS(12022),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [9443] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_SQUOTE] = ACTIONS(12300),
    [anon_sym_DOT] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12302),
    [sym__immediate_bracket] = ACTIONS(12302),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [9444] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_SQUOTE] = ACTIONS(12242),
    [anon_sym_DOT] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12244),
    [sym__immediate_bracket] = ACTIONS(12244),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [9445] = {
    [sym__word_identifier] = ACTIONS(2188),
    [anon_sym_COLON] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(2188),
    [anon_sym_module] = ACTIONS(2188),
    [anon_sym_baremodule] = ACTIONS(2188),
    [anon_sym_end] = ACTIONS(2188),
    [anon_sym_abstract] = ACTIONS(2188),
    [anon_sym_primitive] = ACTIONS(2188),
    [anon_sym_mutable] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_function] = ACTIONS(2188),
    [anon_sym_macro] = ACTIONS(2188),
    [anon_sym_quote] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [sym_break_statement] = ACTIONS(2188),
    [sym_continue_statement] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_global] = ACTIONS(2188),
    [anon_sym_local] = ACTIONS(2188),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_export] = ACTIONS(2188),
    [anon_sym_import] = ACTIONS(2188),
    [anon_sym_using] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_LF] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_DOT] = ACTIONS(2188),
    [anon_sym_DOLLAR] = ACTIONS(2188),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_AT] = ACTIONS(2188),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [aux_sym_integer_literal_token1] = ACTIONS(2188),
    [aux_sym_integer_literal_token2] = ACTIONS(2188),
    [aux_sym_integer_literal_token3] = ACTIONS(2188),
    [aux_sym_integer_literal_token4] = ACTIONS(2188),
    [aux_sym_float_literal_token1] = ACTIONS(2188),
    [aux_sym_float_literal_token3] = ACTIONS(2188),
    [aux_sym_float_literal_token4] = ACTIONS(2188),
    [sym_character_literal] = ACTIONS(2188),
    [sym__pair_operator] = ACTIONS(2188),
    [sym__arrow_operator] = ACTIONS(2188),
    [sym__comparison_operator] = ACTIONS(2188),
    [sym__pipe_right_operator] = ACTIONS(2188),
    [sym__pipe_left_operator] = ACTIONS(2188),
    [sym__ellipsis_operator] = ACTIONS(2188),
    [sym__plus_operator] = ACTIONS(2188),
    [sym__times_operator] = ACTIONS(2188),
    [sym__rational_operator] = ACTIONS(2188),
    [sym__bitshift_operator] = ACTIONS(2188),
    [sym__power_operator] = ACTIONS(2188),
    [sym__tilde_operator] = ACTIONS(2188),
    [sym__type_order_operator] = ACTIONS(2188),
    [sym__unary_operator] = ACTIONS(2188),
    [sym__unary_plus_operator] = ACTIONS(2188),
    [aux_sym__terminator_token1] = ACTIONS(2188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(2186),
    [sym__immediate_bracket] = ACTIONS(2186),
    [sym__immediate_brace] = ACTIONS(2186),
    [sym__string_start] = ACTIONS(2186),
    [sym__command_start] = ACTIONS(2186),
  },
  [9446] = {
    [sym__word_identifier] = ACTIONS(11892),
    [anon_sym_COLON] = ACTIONS(11892),
    [anon_sym_begin] = ACTIONS(11892),
    [anon_sym_module] = ACTIONS(11892),
    [anon_sym_baremodule] = ACTIONS(11892),
    [anon_sym_end] = ACTIONS(11892),
    [anon_sym_abstract] = ACTIONS(11892),
    [anon_sym_primitive] = ACTIONS(11892),
    [anon_sym_mutable] = ACTIONS(11892),
    [anon_sym_struct] = ACTIONS(11892),
    [anon_sym_function] = ACTIONS(11892),
    [anon_sym_macro] = ACTIONS(11892),
    [anon_sym_quote] = ACTIONS(11892),
    [anon_sym_let] = ACTIONS(11892),
    [anon_sym_if] = ACTIONS(11892),
    [anon_sym_try] = ACTIONS(11892),
    [anon_sym_for] = ACTIONS(11892),
    [anon_sym_while] = ACTIONS(11892),
    [sym_break_statement] = ACTIONS(11892),
    [sym_continue_statement] = ACTIONS(11892),
    [anon_sym_return] = ACTIONS(11892),
    [anon_sym_const] = ACTIONS(11892),
    [anon_sym_global] = ACTIONS(11892),
    [anon_sym_local] = ACTIONS(11892),
    [anon_sym_LPAREN] = ACTIONS(11892),
    [anon_sym_export] = ACTIONS(11892),
    [anon_sym_import] = ACTIONS(11892),
    [anon_sym_using] = ACTIONS(11892),
    [anon_sym_LBRACK] = ACTIONS(11892),
    [anon_sym_LF] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11892),
    [anon_sym_SQUOTE] = ACTIONS(11892),
    [anon_sym_DOT] = ACTIONS(11892),
    [anon_sym_DOLLAR] = ACTIONS(11892),
    [anon_sym_COLON_COLON] = ACTIONS(11892),
    [anon_sym_AT] = ACTIONS(11892),
    [anon_sym_true] = ACTIONS(11892),
    [anon_sym_false] = ACTIONS(11892),
    [aux_sym_integer_literal_token1] = ACTIONS(11892),
    [aux_sym_integer_literal_token2] = ACTIONS(11892),
    [aux_sym_integer_literal_token3] = ACTIONS(11892),
    [aux_sym_integer_literal_token4] = ACTIONS(11892),
    [aux_sym_float_literal_token1] = ACTIONS(11892),
    [aux_sym_float_literal_token3] = ACTIONS(11892),
    [aux_sym_float_literal_token4] = ACTIONS(11892),
    [sym_character_literal] = ACTIONS(11892),
    [sym__pair_operator] = ACTIONS(11892),
    [sym__arrow_operator] = ACTIONS(11892),
    [sym__comparison_operator] = ACTIONS(11892),
    [sym__pipe_right_operator] = ACTIONS(11892),
    [sym__pipe_left_operator] = ACTIONS(11892),
    [sym__ellipsis_operator] = ACTIONS(11892),
    [sym__plus_operator] = ACTIONS(11892),
    [sym__times_operator] = ACTIONS(11892),
    [sym__rational_operator] = ACTIONS(11892),
    [sym__bitshift_operator] = ACTIONS(11892),
    [sym__power_operator] = ACTIONS(11892),
    [sym__tilde_operator] = ACTIONS(11892),
    [sym__type_order_operator] = ACTIONS(11892),
    [sym__unary_operator] = ACTIONS(11892),
    [sym__unary_plus_operator] = ACTIONS(11892),
    [aux_sym__terminator_token1] = ACTIONS(11892),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11894),
    [sym__immediate_bracket] = ACTIONS(11894),
    [sym__immediate_brace] = ACTIONS(11894),
    [sym__string_start] = ACTIONS(11894),
    [sym__command_start] = ACTIONS(11894),
  },
  [9447] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_SQUOTE] = ACTIONS(12250),
    [anon_sym_DOT] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12252),
    [sym__immediate_bracket] = ACTIONS(12252),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [9448] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_SQUOTE] = ACTIONS(12210),
    [anon_sym_DOT] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12212),
    [sym__immediate_bracket] = ACTIONS(12212),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [9449] = {
    [sym__word_identifier] = ACTIONS(12354),
    [anon_sym_COLON] = ACTIONS(12354),
    [anon_sym_begin] = ACTIONS(12354),
    [anon_sym_module] = ACTIONS(12354),
    [anon_sym_baremodule] = ACTIONS(12354),
    [anon_sym_end] = ACTIONS(12354),
    [anon_sym_abstract] = ACTIONS(12354),
    [anon_sym_primitive] = ACTIONS(12354),
    [anon_sym_mutable] = ACTIONS(12354),
    [anon_sym_struct] = ACTIONS(12354),
    [anon_sym_function] = ACTIONS(12354),
    [anon_sym_macro] = ACTIONS(12354),
    [anon_sym_quote] = ACTIONS(12354),
    [anon_sym_let] = ACTIONS(12354),
    [anon_sym_if] = ACTIONS(12354),
    [anon_sym_try] = ACTIONS(12354),
    [anon_sym_for] = ACTIONS(12354),
    [anon_sym_while] = ACTIONS(12354),
    [sym_break_statement] = ACTIONS(12354),
    [sym_continue_statement] = ACTIONS(12354),
    [anon_sym_return] = ACTIONS(12354),
    [anon_sym_const] = ACTIONS(12354),
    [anon_sym_global] = ACTIONS(12354),
    [anon_sym_local] = ACTIONS(12354),
    [anon_sym_LPAREN] = ACTIONS(12354),
    [anon_sym_export] = ACTIONS(12354),
    [anon_sym_import] = ACTIONS(12354),
    [anon_sym_using] = ACTIONS(12354),
    [anon_sym_LBRACK] = ACTIONS(12354),
    [anon_sym_LF] = ACTIONS(12356),
    [anon_sym_LBRACE] = ACTIONS(12354),
    [anon_sym_SQUOTE] = ACTIONS(12354),
    [anon_sym_DOT] = ACTIONS(12354),
    [anon_sym_DOLLAR] = ACTIONS(12354),
    [anon_sym_COLON_COLON] = ACTIONS(12354),
    [anon_sym_AT] = ACTIONS(12354),
    [anon_sym_true] = ACTIONS(12354),
    [anon_sym_false] = ACTIONS(12354),
    [aux_sym_integer_literal_token1] = ACTIONS(12354),
    [aux_sym_integer_literal_token2] = ACTIONS(12354),
    [aux_sym_integer_literal_token3] = ACTIONS(12354),
    [aux_sym_integer_literal_token4] = ACTIONS(12354),
    [aux_sym_float_literal_token1] = ACTIONS(12354),
    [aux_sym_float_literal_token3] = ACTIONS(12354),
    [aux_sym_float_literal_token4] = ACTIONS(12354),
    [sym_character_literal] = ACTIONS(12354),
    [sym__pair_operator] = ACTIONS(12354),
    [sym__arrow_operator] = ACTIONS(12354),
    [sym__comparison_operator] = ACTIONS(12354),
    [sym__pipe_right_operator] = ACTIONS(12354),
    [sym__pipe_left_operator] = ACTIONS(12354),
    [sym__ellipsis_operator] = ACTIONS(12354),
    [sym__plus_operator] = ACTIONS(12354),
    [sym__times_operator] = ACTIONS(12354),
    [sym__rational_operator] = ACTIONS(12354),
    [sym__bitshift_operator] = ACTIONS(12354),
    [sym__power_operator] = ACTIONS(12354),
    [sym__tilde_operator] = ACTIONS(12354),
    [sym__type_order_operator] = ACTIONS(12354),
    [sym__unary_operator] = ACTIONS(12354),
    [sym__unary_plus_operator] = ACTIONS(12354),
    [aux_sym__terminator_token1] = ACTIONS(12354),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12356),
    [sym__immediate_bracket] = ACTIONS(12356),
    [sym__immediate_brace] = ACTIONS(12356),
    [sym__string_start] = ACTIONS(12356),
    [sym__command_start] = ACTIONS(12356),
  },
  [9450] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_SQUOTE] = ACTIONS(12246),
    [anon_sym_DOT] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12248),
    [sym__immediate_bracket] = ACTIONS(12248),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [9451] = {
    [sym__word_identifier] = ACTIONS(11884),
    [anon_sym_COLON] = ACTIONS(11884),
    [anon_sym_begin] = ACTIONS(11884),
    [anon_sym_module] = ACTIONS(11884),
    [anon_sym_baremodule] = ACTIONS(11884),
    [anon_sym_end] = ACTIONS(11884),
    [anon_sym_abstract] = ACTIONS(11884),
    [anon_sym_primitive] = ACTIONS(11884),
    [anon_sym_mutable] = ACTIONS(11884),
    [anon_sym_struct] = ACTIONS(11884),
    [anon_sym_function] = ACTIONS(11884),
    [anon_sym_macro] = ACTIONS(11884),
    [anon_sym_quote] = ACTIONS(11884),
    [anon_sym_let] = ACTIONS(11884),
    [anon_sym_if] = ACTIONS(11884),
    [anon_sym_try] = ACTIONS(11884),
    [anon_sym_for] = ACTIONS(11884),
    [anon_sym_while] = ACTIONS(11884),
    [sym_break_statement] = ACTIONS(11884),
    [sym_continue_statement] = ACTIONS(11884),
    [anon_sym_return] = ACTIONS(11884),
    [anon_sym_const] = ACTIONS(11884),
    [anon_sym_global] = ACTIONS(11884),
    [anon_sym_local] = ACTIONS(11884),
    [anon_sym_LPAREN] = ACTIONS(11884),
    [anon_sym_export] = ACTIONS(11884),
    [anon_sym_import] = ACTIONS(11884),
    [anon_sym_using] = ACTIONS(11884),
    [anon_sym_LBRACK] = ACTIONS(11884),
    [anon_sym_LF] = ACTIONS(11886),
    [anon_sym_LBRACE] = ACTIONS(11884),
    [anon_sym_SQUOTE] = ACTIONS(11884),
    [anon_sym_DOT] = ACTIONS(11884),
    [anon_sym_DOLLAR] = ACTIONS(11884),
    [anon_sym_COLON_COLON] = ACTIONS(11884),
    [anon_sym_AT] = ACTIONS(11884),
    [anon_sym_true] = ACTIONS(11884),
    [anon_sym_false] = ACTIONS(11884),
    [aux_sym_integer_literal_token1] = ACTIONS(11884),
    [aux_sym_integer_literal_token2] = ACTIONS(11884),
    [aux_sym_integer_literal_token3] = ACTIONS(11884),
    [aux_sym_integer_literal_token4] = ACTIONS(11884),
    [aux_sym_float_literal_token1] = ACTIONS(11884),
    [aux_sym_float_literal_token3] = ACTIONS(11884),
    [aux_sym_float_literal_token4] = ACTIONS(11884),
    [sym_character_literal] = ACTIONS(11884),
    [sym__pair_operator] = ACTIONS(11884),
    [sym__arrow_operator] = ACTIONS(11884),
    [sym__comparison_operator] = ACTIONS(11884),
    [sym__pipe_right_operator] = ACTIONS(11884),
    [sym__pipe_left_operator] = ACTIONS(11884),
    [sym__ellipsis_operator] = ACTIONS(11884),
    [sym__plus_operator] = ACTIONS(11884),
    [sym__times_operator] = ACTIONS(11884),
    [sym__rational_operator] = ACTIONS(11884),
    [sym__bitshift_operator] = ACTIONS(11884),
    [sym__power_operator] = ACTIONS(11884),
    [sym__tilde_operator] = ACTIONS(11884),
    [sym__type_order_operator] = ACTIONS(11884),
    [sym__unary_operator] = ACTIONS(11884),
    [sym__unary_plus_operator] = ACTIONS(11884),
    [aux_sym__terminator_token1] = ACTIONS(11884),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11886),
    [sym__immediate_bracket] = ACTIONS(11886),
    [sym__immediate_brace] = ACTIONS(11886),
    [sym__string_start] = ACTIONS(11886),
    [sym__command_start] = ACTIONS(11886),
  },
  [9452] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_SQUOTE] = ACTIONS(12208),
    [anon_sym_DOT] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12206),
    [sym__immediate_bracket] = ACTIONS(12206),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [9453] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_SQUOTE] = ACTIONS(12214),
    [anon_sym_DOT] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12216),
    [sym__immediate_bracket] = ACTIONS(12216),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [9454] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_SQUOTE] = ACTIONS(12218),
    [anon_sym_DOT] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12220),
    [sym__immediate_bracket] = ACTIONS(12220),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [9455] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_SQUOTE] = ACTIONS(11926),
    [anon_sym_DOT] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11928),
    [sym__immediate_bracket] = ACTIONS(11928),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [9456] = {
    [sym__word_identifier] = ACTIONS(12322),
    [anon_sym_COLON] = ACTIONS(12322),
    [anon_sym_begin] = ACTIONS(12322),
    [anon_sym_module] = ACTIONS(12322),
    [anon_sym_baremodule] = ACTIONS(12322),
    [anon_sym_end] = ACTIONS(12322),
    [anon_sym_abstract] = ACTIONS(12322),
    [anon_sym_primitive] = ACTIONS(12322),
    [anon_sym_mutable] = ACTIONS(12322),
    [anon_sym_struct] = ACTIONS(12322),
    [anon_sym_function] = ACTIONS(12322),
    [anon_sym_macro] = ACTIONS(12322),
    [anon_sym_quote] = ACTIONS(12322),
    [anon_sym_let] = ACTIONS(12322),
    [anon_sym_if] = ACTIONS(12322),
    [anon_sym_try] = ACTIONS(12322),
    [anon_sym_for] = ACTIONS(12322),
    [anon_sym_while] = ACTIONS(12322),
    [sym_break_statement] = ACTIONS(12322),
    [sym_continue_statement] = ACTIONS(12322),
    [anon_sym_return] = ACTIONS(12322),
    [anon_sym_const] = ACTIONS(12322),
    [anon_sym_global] = ACTIONS(12322),
    [anon_sym_local] = ACTIONS(12322),
    [anon_sym_LPAREN] = ACTIONS(12322),
    [anon_sym_export] = ACTIONS(12322),
    [anon_sym_import] = ACTIONS(12322),
    [anon_sym_using] = ACTIONS(12322),
    [anon_sym_LBRACK] = ACTIONS(12322),
    [anon_sym_LF] = ACTIONS(12320),
    [anon_sym_LBRACE] = ACTIONS(12322),
    [anon_sym_SQUOTE] = ACTIONS(12322),
    [anon_sym_DOT] = ACTIONS(12322),
    [anon_sym_DOLLAR] = ACTIONS(12322),
    [anon_sym_COLON_COLON] = ACTIONS(12322),
    [anon_sym_AT] = ACTIONS(12322),
    [anon_sym_true] = ACTIONS(12322),
    [anon_sym_false] = ACTIONS(12322),
    [aux_sym_integer_literal_token1] = ACTIONS(12322),
    [aux_sym_integer_literal_token2] = ACTIONS(12322),
    [aux_sym_integer_literal_token3] = ACTIONS(12322),
    [aux_sym_integer_literal_token4] = ACTIONS(12322),
    [aux_sym_float_literal_token1] = ACTIONS(12322),
    [aux_sym_float_literal_token3] = ACTIONS(12322),
    [aux_sym_float_literal_token4] = ACTIONS(12322),
    [sym_character_literal] = ACTIONS(12322),
    [sym__pair_operator] = ACTIONS(12322),
    [sym__arrow_operator] = ACTIONS(12322),
    [sym__comparison_operator] = ACTIONS(12322),
    [sym__pipe_right_operator] = ACTIONS(12322),
    [sym__pipe_left_operator] = ACTIONS(12322),
    [sym__ellipsis_operator] = ACTIONS(12322),
    [sym__plus_operator] = ACTIONS(12322),
    [sym__times_operator] = ACTIONS(12322),
    [sym__rational_operator] = ACTIONS(12322),
    [sym__bitshift_operator] = ACTIONS(12322),
    [sym__power_operator] = ACTIONS(12322),
    [sym__tilde_operator] = ACTIONS(12322),
    [sym__type_order_operator] = ACTIONS(12322),
    [sym__unary_operator] = ACTIONS(12322),
    [sym__unary_plus_operator] = ACTIONS(12322),
    [aux_sym__terminator_token1] = ACTIONS(12322),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12320),
    [sym__immediate_bracket] = ACTIONS(12320),
    [sym__immediate_brace] = ACTIONS(12320),
    [sym__string_start] = ACTIONS(12320),
    [sym__command_start] = ACTIONS(12320),
  },
  [9457] = {
    [sym__word_identifier] = ACTIONS(12152),
    [anon_sym_COLON] = ACTIONS(12152),
    [anon_sym_begin] = ACTIONS(12152),
    [anon_sym_module] = ACTIONS(12152),
    [anon_sym_baremodule] = ACTIONS(12152),
    [anon_sym_end] = ACTIONS(12152),
    [anon_sym_abstract] = ACTIONS(12152),
    [anon_sym_primitive] = ACTIONS(12152),
    [anon_sym_mutable] = ACTIONS(12152),
    [anon_sym_struct] = ACTIONS(12152),
    [anon_sym_function] = ACTIONS(12152),
    [anon_sym_macro] = ACTIONS(12152),
    [anon_sym_quote] = ACTIONS(12152),
    [anon_sym_let] = ACTIONS(12152),
    [anon_sym_if] = ACTIONS(12152),
    [anon_sym_try] = ACTIONS(12152),
    [anon_sym_for] = ACTIONS(12152),
    [anon_sym_while] = ACTIONS(12152),
    [sym_break_statement] = ACTIONS(12152),
    [sym_continue_statement] = ACTIONS(12152),
    [anon_sym_return] = ACTIONS(12152),
    [anon_sym_const] = ACTIONS(12152),
    [anon_sym_global] = ACTIONS(12152),
    [anon_sym_local] = ACTIONS(12152),
    [anon_sym_LPAREN] = ACTIONS(12152),
    [anon_sym_export] = ACTIONS(12152),
    [anon_sym_import] = ACTIONS(12152),
    [anon_sym_using] = ACTIONS(12152),
    [anon_sym_LBRACK] = ACTIONS(12152),
    [anon_sym_LF] = ACTIONS(12154),
    [anon_sym_LBRACE] = ACTIONS(12152),
    [anon_sym_SQUOTE] = ACTIONS(12152),
    [anon_sym_DOT] = ACTIONS(12152),
    [anon_sym_DOLLAR] = ACTIONS(12152),
    [anon_sym_COLON_COLON] = ACTIONS(12152),
    [anon_sym_AT] = ACTIONS(12152),
    [anon_sym_true] = ACTIONS(12152),
    [anon_sym_false] = ACTIONS(12152),
    [aux_sym_integer_literal_token1] = ACTIONS(12152),
    [aux_sym_integer_literal_token2] = ACTIONS(12152),
    [aux_sym_integer_literal_token3] = ACTIONS(12152),
    [aux_sym_integer_literal_token4] = ACTIONS(12152),
    [aux_sym_float_literal_token1] = ACTIONS(12152),
    [aux_sym_float_literal_token3] = ACTIONS(12152),
    [aux_sym_float_literal_token4] = ACTIONS(12152),
    [sym_character_literal] = ACTIONS(12152),
    [sym__pair_operator] = ACTIONS(12152),
    [sym__arrow_operator] = ACTIONS(12152),
    [sym__comparison_operator] = ACTIONS(12152),
    [sym__pipe_right_operator] = ACTIONS(12152),
    [sym__pipe_left_operator] = ACTIONS(12152),
    [sym__ellipsis_operator] = ACTIONS(12152),
    [sym__plus_operator] = ACTIONS(12152),
    [sym__times_operator] = ACTIONS(12152),
    [sym__rational_operator] = ACTIONS(12152),
    [sym__bitshift_operator] = ACTIONS(12152),
    [sym__power_operator] = ACTIONS(12152),
    [sym__tilde_operator] = ACTIONS(12152),
    [sym__type_order_operator] = ACTIONS(12152),
    [sym__unary_operator] = ACTIONS(12152),
    [sym__unary_plus_operator] = ACTIONS(12152),
    [aux_sym__terminator_token1] = ACTIONS(12152),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12154),
    [sym__immediate_bracket] = ACTIONS(12154),
    [sym__immediate_brace] = ACTIONS(12154),
    [sym__string_start] = ACTIONS(12154),
    [sym__command_start] = ACTIONS(12154),
  },
  [9458] = {
    [sym__word_identifier] = ACTIONS(15212),
    [anon_sym_COLON] = ACTIONS(15212),
    [anon_sym_begin] = ACTIONS(15212),
    [anon_sym_module] = ACTIONS(15212),
    [anon_sym_baremodule] = ACTIONS(15212),
    [anon_sym_end] = ACTIONS(15212),
    [anon_sym_abstract] = ACTIONS(15212),
    [anon_sym_primitive] = ACTIONS(15212),
    [anon_sym_mutable] = ACTIONS(15212),
    [anon_sym_struct] = ACTIONS(15212),
    [anon_sym_function] = ACTIONS(15212),
    [anon_sym_macro] = ACTIONS(15212),
    [anon_sym_quote] = ACTIONS(15212),
    [anon_sym_let] = ACTIONS(15212),
    [anon_sym_if] = ACTIONS(15212),
    [anon_sym_try] = ACTIONS(15212),
    [anon_sym_for] = ACTIONS(15212),
    [anon_sym_while] = ACTIONS(15212),
    [sym_break_statement] = ACTIONS(15212),
    [sym_continue_statement] = ACTIONS(15212),
    [anon_sym_return] = ACTIONS(15212),
    [anon_sym_const] = ACTIONS(15212),
    [anon_sym_global] = ACTIONS(15212),
    [anon_sym_local] = ACTIONS(15212),
    [anon_sym_LPAREN] = ACTIONS(15212),
    [anon_sym_export] = ACTIONS(15212),
    [anon_sym_import] = ACTIONS(15212),
    [anon_sym_using] = ACTIONS(15212),
    [anon_sym_LBRACK] = ACTIONS(15212),
    [anon_sym_LF] = ACTIONS(15214),
    [anon_sym_LBRACE] = ACTIONS(15212),
    [anon_sym_SQUOTE] = ACTIONS(15216),
    [anon_sym_DOT] = ACTIONS(15218),
    [anon_sym_DOLLAR] = ACTIONS(15212),
    [anon_sym_COLON_COLON] = ACTIONS(15212),
    [anon_sym_AT] = ACTIONS(15212),
    [anon_sym_true] = ACTIONS(15212),
    [anon_sym_false] = ACTIONS(15212),
    [aux_sym_integer_literal_token1] = ACTIONS(15212),
    [aux_sym_integer_literal_token2] = ACTIONS(15212),
    [aux_sym_integer_literal_token3] = ACTIONS(15212),
    [aux_sym_integer_literal_token4] = ACTIONS(15212),
    [aux_sym_float_literal_token1] = ACTIONS(15212),
    [aux_sym_float_literal_token3] = ACTIONS(15212),
    [aux_sym_float_literal_token4] = ACTIONS(15212),
    [sym_character_literal] = ACTIONS(15212),
    [sym__pair_operator] = ACTIONS(15212),
    [sym__arrow_operator] = ACTIONS(15212),
    [sym__comparison_operator] = ACTIONS(15212),
    [sym__pipe_right_operator] = ACTIONS(15212),
    [sym__pipe_left_operator] = ACTIONS(15212),
    [sym__ellipsis_operator] = ACTIONS(15212),
    [sym__plus_operator] = ACTIONS(15212),
    [sym__times_operator] = ACTIONS(15212),
    [sym__rational_operator] = ACTIONS(15212),
    [sym__bitshift_operator] = ACTIONS(15212),
    [sym__power_operator] = ACTIONS(15212),
    [sym__tilde_operator] = ACTIONS(15212),
    [sym__type_order_operator] = ACTIONS(15212),
    [sym__unary_operator] = ACTIONS(15212),
    [sym__unary_plus_operator] = ACTIONS(15212),
    [aux_sym__terminator_token1] = ACTIONS(15212),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(15220),
    [sym__immediate_bracket] = ACTIONS(15222),
    [sym__immediate_brace] = ACTIONS(15224),
    [sym__string_start] = ACTIONS(15214),
    [sym__command_start] = ACTIONS(15214),
  },
  [9459] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_SQUOTE] = ACTIONS(12226),
    [anon_sym_DOT] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12228),
    [sym__immediate_bracket] = ACTIONS(12228),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [9460] = {
    [sym__word_identifier] = ACTIONS(12318),
    [anon_sym_COLON] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(12318),
    [anon_sym_module] = ACTIONS(12318),
    [anon_sym_baremodule] = ACTIONS(12318),
    [anon_sym_end] = ACTIONS(12318),
    [anon_sym_abstract] = ACTIONS(12318),
    [anon_sym_primitive] = ACTIONS(12318),
    [anon_sym_mutable] = ACTIONS(12318),
    [anon_sym_struct] = ACTIONS(12318),
    [anon_sym_function] = ACTIONS(12318),
    [anon_sym_macro] = ACTIONS(12318),
    [anon_sym_quote] = ACTIONS(12318),
    [anon_sym_let] = ACTIONS(12318),
    [anon_sym_if] = ACTIONS(12318),
    [anon_sym_try] = ACTIONS(12318),
    [anon_sym_for] = ACTIONS(12318),
    [anon_sym_while] = ACTIONS(12318),
    [sym_break_statement] = ACTIONS(12318),
    [sym_continue_statement] = ACTIONS(12318),
    [anon_sym_return] = ACTIONS(12318),
    [anon_sym_const] = ACTIONS(12318),
    [anon_sym_global] = ACTIONS(12318),
    [anon_sym_local] = ACTIONS(12318),
    [anon_sym_LPAREN] = ACTIONS(12318),
    [anon_sym_export] = ACTIONS(12318),
    [anon_sym_import] = ACTIONS(12318),
    [anon_sym_using] = ACTIONS(12318),
    [anon_sym_LBRACK] = ACTIONS(12318),
    [anon_sym_LF] = ACTIONS(12316),
    [anon_sym_LBRACE] = ACTIONS(12318),
    [anon_sym_SQUOTE] = ACTIONS(12318),
    [anon_sym_DOT] = ACTIONS(12318),
    [anon_sym_DOLLAR] = ACTIONS(12318),
    [anon_sym_COLON_COLON] = ACTIONS(12318),
    [anon_sym_AT] = ACTIONS(12318),
    [anon_sym_true] = ACTIONS(12318),
    [anon_sym_false] = ACTIONS(12318),
    [aux_sym_integer_literal_token1] = ACTIONS(12318),
    [aux_sym_integer_literal_token2] = ACTIONS(12318),
    [aux_sym_integer_literal_token3] = ACTIONS(12318),
    [aux_sym_integer_literal_token4] = ACTIONS(12318),
    [aux_sym_float_literal_token1] = ACTIONS(12318),
    [aux_sym_float_literal_token3] = ACTIONS(12318),
    [aux_sym_float_literal_token4] = ACTIONS(12318),
    [sym_character_literal] = ACTIONS(12318),
    [sym__pair_operator] = ACTIONS(12318),
    [sym__arrow_operator] = ACTIONS(12318),
    [sym__comparison_operator] = ACTIONS(12318),
    [sym__pipe_right_operator] = ACTIONS(12318),
    [sym__pipe_left_operator] = ACTIONS(12318),
    [sym__ellipsis_operator] = ACTIONS(12318),
    [sym__plus_operator] = ACTIONS(12318),
    [sym__times_operator] = ACTIONS(12318),
    [sym__rational_operator] = ACTIONS(12318),
    [sym__bitshift_operator] = ACTIONS(12318),
    [sym__power_operator] = ACTIONS(12318),
    [sym__tilde_operator] = ACTIONS(12318),
    [sym__type_order_operator] = ACTIONS(12318),
    [sym__unary_operator] = ACTIONS(12318),
    [sym__unary_plus_operator] = ACTIONS(12318),
    [aux_sym__terminator_token1] = ACTIONS(12318),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12316),
    [sym__immediate_bracket] = ACTIONS(12316),
    [sym__immediate_brace] = ACTIONS(12316),
    [sym__string_start] = ACTIONS(12316),
    [sym__command_start] = ACTIONS(12316),
  },
  [9461] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_SQUOTE] = ACTIONS(12112),
    [anon_sym_DOT] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12110),
    [sym__immediate_bracket] = ACTIONS(12110),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [9462] = {
    [sym__word_identifier] = ACTIONS(11880),
    [anon_sym_COLON] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11880),
    [anon_sym_module] = ACTIONS(11880),
    [anon_sym_baremodule] = ACTIONS(11880),
    [anon_sym_end] = ACTIONS(11880),
    [anon_sym_abstract] = ACTIONS(11880),
    [anon_sym_primitive] = ACTIONS(11880),
    [anon_sym_mutable] = ACTIONS(11880),
    [anon_sym_struct] = ACTIONS(11880),
    [anon_sym_function] = ACTIONS(11880),
    [anon_sym_macro] = ACTIONS(11880),
    [anon_sym_quote] = ACTIONS(11880),
    [anon_sym_let] = ACTIONS(11880),
    [anon_sym_if] = ACTIONS(11880),
    [anon_sym_try] = ACTIONS(11880),
    [anon_sym_for] = ACTIONS(11880),
    [anon_sym_while] = ACTIONS(11880),
    [sym_break_statement] = ACTIONS(11880),
    [sym_continue_statement] = ACTIONS(11880),
    [anon_sym_return] = ACTIONS(11880),
    [anon_sym_const] = ACTIONS(11880),
    [anon_sym_global] = ACTIONS(11880),
    [anon_sym_local] = ACTIONS(11880),
    [anon_sym_LPAREN] = ACTIONS(11880),
    [anon_sym_export] = ACTIONS(11880),
    [anon_sym_import] = ACTIONS(11880),
    [anon_sym_using] = ACTIONS(11880),
    [anon_sym_LBRACK] = ACTIONS(11880),
    [anon_sym_LF] = ACTIONS(11882),
    [anon_sym_LBRACE] = ACTIONS(11880),
    [anon_sym_SQUOTE] = ACTIONS(11880),
    [anon_sym_DOT] = ACTIONS(11880),
    [anon_sym_DOLLAR] = ACTIONS(11880),
    [anon_sym_COLON_COLON] = ACTIONS(11880),
    [anon_sym_AT] = ACTIONS(11880),
    [anon_sym_true] = ACTIONS(11880),
    [anon_sym_false] = ACTIONS(11880),
    [aux_sym_integer_literal_token1] = ACTIONS(11880),
    [aux_sym_integer_literal_token2] = ACTIONS(11880),
    [aux_sym_integer_literal_token3] = ACTIONS(11880),
    [aux_sym_integer_literal_token4] = ACTIONS(11880),
    [aux_sym_float_literal_token1] = ACTIONS(11880),
    [aux_sym_float_literal_token3] = ACTIONS(11880),
    [aux_sym_float_literal_token4] = ACTIONS(11880),
    [sym_character_literal] = ACTIONS(11880),
    [sym__pair_operator] = ACTIONS(11880),
    [sym__arrow_operator] = ACTIONS(11880),
    [sym__comparison_operator] = ACTIONS(11880),
    [sym__pipe_right_operator] = ACTIONS(11880),
    [sym__pipe_left_operator] = ACTIONS(11880),
    [sym__ellipsis_operator] = ACTIONS(11880),
    [sym__plus_operator] = ACTIONS(11880),
    [sym__times_operator] = ACTIONS(11880),
    [sym__rational_operator] = ACTIONS(11880),
    [sym__bitshift_operator] = ACTIONS(11880),
    [sym__power_operator] = ACTIONS(11880),
    [sym__tilde_operator] = ACTIONS(11880),
    [sym__type_order_operator] = ACTIONS(11880),
    [sym__unary_operator] = ACTIONS(11880),
    [sym__unary_plus_operator] = ACTIONS(11880),
    [aux_sym__terminator_token1] = ACTIONS(11880),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11882),
    [sym__immediate_bracket] = ACTIONS(11882),
    [sym__immediate_brace] = ACTIONS(11882),
    [sym__string_start] = ACTIONS(11882),
    [sym__command_start] = ACTIONS(11882),
  },
  [9463] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_SQUOTE] = ACTIONS(12230),
    [anon_sym_DOT] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12232),
    [sym__immediate_bracket] = ACTIONS(12232),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [9464] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_SQUOTE] = ACTIONS(11970),
    [anon_sym_DOT] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(11972),
    [sym__immediate_bracket] = ACTIONS(11972),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [9465] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_SQUOTE] = ACTIONS(12088),
    [anon_sym_DOT] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12090),
    [sym__immediate_bracket] = ACTIONS(12090),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [9466] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_SQUOTE] = ACTIONS(12262),
    [anon_sym_DOT] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12264),
    [sym__immediate_bracket] = ACTIONS(12264),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [9467] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_SQUOTE] = ACTIONS(12170),
    [anon_sym_DOT] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12172),
    [sym__immediate_bracket] = ACTIONS(12172),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [9468] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_SQUOTE] = ACTIONS(12062),
    [anon_sym_DOT] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12060),
    [sym__immediate_bracket] = ACTIONS(12060),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [9469] = {
    [sym__word_identifier] = ACTIONS(12164),
    [anon_sym_COLON] = ACTIONS(12164),
    [anon_sym_begin] = ACTIONS(12164),
    [anon_sym_module] = ACTIONS(12164),
    [anon_sym_baremodule] = ACTIONS(12164),
    [anon_sym_end] = ACTIONS(12164),
    [anon_sym_abstract] = ACTIONS(12164),
    [anon_sym_primitive] = ACTIONS(12164),
    [anon_sym_mutable] = ACTIONS(12164),
    [anon_sym_struct] = ACTIONS(12164),
    [anon_sym_function] = ACTIONS(12164),
    [anon_sym_macro] = ACTIONS(12164),
    [anon_sym_quote] = ACTIONS(12164),
    [anon_sym_let] = ACTIONS(12164),
    [anon_sym_if] = ACTIONS(12164),
    [anon_sym_try] = ACTIONS(12164),
    [anon_sym_for] = ACTIONS(12164),
    [anon_sym_while] = ACTIONS(12164),
    [sym_break_statement] = ACTIONS(12164),
    [sym_continue_statement] = ACTIONS(12164),
    [anon_sym_return] = ACTIONS(12164),
    [anon_sym_const] = ACTIONS(12164),
    [anon_sym_global] = ACTIONS(12164),
    [anon_sym_local] = ACTIONS(12164),
    [anon_sym_LPAREN] = ACTIONS(12164),
    [anon_sym_export] = ACTIONS(12164),
    [anon_sym_import] = ACTIONS(12164),
    [anon_sym_using] = ACTIONS(12164),
    [anon_sym_LBRACK] = ACTIONS(12164),
    [anon_sym_LF] = ACTIONS(12166),
    [anon_sym_LBRACE] = ACTIONS(12164),
    [anon_sym_SQUOTE] = ACTIONS(12164),
    [anon_sym_DOT] = ACTIONS(12164),
    [anon_sym_DOLLAR] = ACTIONS(12164),
    [anon_sym_COLON_COLON] = ACTIONS(12164),
    [anon_sym_AT] = ACTIONS(12164),
    [anon_sym_true] = ACTIONS(12164),
    [anon_sym_false] = ACTIONS(12164),
    [aux_sym_integer_literal_token1] = ACTIONS(12164),
    [aux_sym_integer_literal_token2] = ACTIONS(12164),
    [aux_sym_integer_literal_token3] = ACTIONS(12164),
    [aux_sym_integer_literal_token4] = ACTIONS(12164),
    [aux_sym_float_literal_token1] = ACTIONS(12164),
    [aux_sym_float_literal_token3] = ACTIONS(12164),
    [aux_sym_float_literal_token4] = ACTIONS(12164),
    [sym_character_literal] = ACTIONS(12164),
    [sym__pair_operator] = ACTIONS(12164),
    [sym__arrow_operator] = ACTIONS(12164),
    [sym__comparison_operator] = ACTIONS(12164),
    [sym__pipe_right_operator] = ACTIONS(12164),
    [sym__pipe_left_operator] = ACTIONS(12164),
    [sym__ellipsis_operator] = ACTIONS(12164),
    [sym__plus_operator] = ACTIONS(12164),
    [sym__times_operator] = ACTIONS(12164),
    [sym__rational_operator] = ACTIONS(12164),
    [sym__bitshift_operator] = ACTIONS(12164),
    [sym__power_operator] = ACTIONS(12164),
    [sym__tilde_operator] = ACTIONS(12164),
    [sym__type_order_operator] = ACTIONS(12164),
    [sym__unary_operator] = ACTIONS(12164),
    [sym__unary_plus_operator] = ACTIONS(12164),
    [aux_sym__terminator_token1] = ACTIONS(12164),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12166),
    [sym__immediate_bracket] = ACTIONS(12166),
    [sym__immediate_brace] = ACTIONS(12166),
    [sym__string_start] = ACTIONS(12166),
    [sym__command_start] = ACTIONS(12166),
  },
  [9470] = {
    [sym__word_identifier] = ACTIONS(12342),
    [anon_sym_COLON] = ACTIONS(12342),
    [anon_sym_begin] = ACTIONS(12342),
    [anon_sym_module] = ACTIONS(12342),
    [anon_sym_baremodule] = ACTIONS(12342),
    [anon_sym_end] = ACTIONS(12342),
    [anon_sym_abstract] = ACTIONS(12342),
    [anon_sym_primitive] = ACTIONS(12342),
    [anon_sym_mutable] = ACTIONS(12342),
    [anon_sym_struct] = ACTIONS(12342),
    [anon_sym_function] = ACTIONS(12342),
    [anon_sym_macro] = ACTIONS(12342),
    [anon_sym_quote] = ACTIONS(12342),
    [anon_sym_let] = ACTIONS(12342),
    [anon_sym_if] = ACTIONS(12342),
    [anon_sym_try] = ACTIONS(12342),
    [anon_sym_for] = ACTIONS(12342),
    [anon_sym_while] = ACTIONS(12342),
    [sym_break_statement] = ACTIONS(12342),
    [sym_continue_statement] = ACTIONS(12342),
    [anon_sym_return] = ACTIONS(12342),
    [anon_sym_const] = ACTIONS(12342),
    [anon_sym_global] = ACTIONS(12342),
    [anon_sym_local] = ACTIONS(12342),
    [anon_sym_LPAREN] = ACTIONS(12342),
    [anon_sym_export] = ACTIONS(12342),
    [anon_sym_import] = ACTIONS(12342),
    [anon_sym_using] = ACTIONS(12342),
    [anon_sym_LBRACK] = ACTIONS(12342),
    [anon_sym_LF] = ACTIONS(12344),
    [anon_sym_LBRACE] = ACTIONS(12342),
    [anon_sym_SQUOTE] = ACTIONS(12342),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(12342),
    [anon_sym_COLON_COLON] = ACTIONS(12342),
    [anon_sym_AT] = ACTIONS(12342),
    [anon_sym_true] = ACTIONS(12342),
    [anon_sym_false] = ACTIONS(12342),
    [aux_sym_integer_literal_token1] = ACTIONS(12342),
    [aux_sym_integer_literal_token2] = ACTIONS(12342),
    [aux_sym_integer_literal_token3] = ACTIONS(12342),
    [aux_sym_integer_literal_token4] = ACTIONS(12342),
    [aux_sym_float_literal_token1] = ACTIONS(12342),
    [aux_sym_float_literal_token3] = ACTIONS(12342),
    [aux_sym_float_literal_token4] = ACTIONS(12342),
    [sym_character_literal] = ACTIONS(12342),
    [sym__pair_operator] = ACTIONS(12342),
    [sym__arrow_operator] = ACTIONS(12342),
    [sym__comparison_operator] = ACTIONS(12342),
    [sym__pipe_right_operator] = ACTIONS(12342),
    [sym__pipe_left_operator] = ACTIONS(12342),
    [sym__ellipsis_operator] = ACTIONS(12342),
    [sym__plus_operator] = ACTIONS(12342),
    [sym__times_operator] = ACTIONS(12342),
    [sym__rational_operator] = ACTIONS(12342),
    [sym__bitshift_operator] = ACTIONS(12342),
    [sym__power_operator] = ACTIONS(12342),
    [sym__tilde_operator] = ACTIONS(12342),
    [sym__type_order_operator] = ACTIONS(12342),
    [sym__unary_operator] = ACTIONS(12342),
    [sym__unary_plus_operator] = ACTIONS(12342),
    [aux_sym__terminator_token1] = ACTIONS(12342),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12344),
    [sym__immediate_bracket] = ACTIONS(12344),
    [sym__immediate_brace] = ACTIONS(12344),
    [sym__string_start] = ACTIONS(12344),
    [sym__command_start] = ACTIONS(12344),
  },
  [9471] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_SQUOTE] = ACTIONS(12258),
    [anon_sym_DOT] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12260),
    [sym__immediate_bracket] = ACTIONS(12260),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [9472] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_SQUOTE] = ACTIONS(12234),
    [anon_sym_DOT] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12236),
    [sym__immediate_bracket] = ACTIONS(12236),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [9473] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_SQUOTE] = ACTIONS(12254),
    [anon_sym_DOT] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12256),
    [sym__immediate_bracket] = ACTIONS(12256),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [9474] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_SQUOTE] = ACTIONS(12136),
    [anon_sym_DOT] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12138),
    [sym__immediate_bracket] = ACTIONS(12138),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [9475] = {
    [sym__primary_expression] = STATE(11560),
    [sym__array] = STATE(11560),
    [sym_comprehension_expression] = STATE(11560),
    [sym_matrix_expression] = STATE(11560),
    [sym_vector_expression] = STATE(11560),
    [sym_parenthesized_expression] = STATE(11560),
    [sym_tuple_expression] = STATE(11560),
    [sym_curly_expression] = STATE(11560),
    [sym_adjoint_expression] = STATE(11560),
    [sym_field_expression] = STATE(11560),
    [sym_index_expression] = STATE(11560),
    [sym_parametrized_type_expression] = STATE(11560),
    [sym_call_expression] = STATE(11560),
    [sym_broadcast_call_expression] = STATE(11560),
    [sym__closed_macrocall_expression] = STATE(11560),
    [sym_interpolation_expression] = STATE(11560),
    [sym_quote_expression] = STATE(11560),
    [sym_macro_identifier] = STATE(17010),
    [sym_identifier] = STATE(11202),
    [sym_boolean_literal] = STATE(11560),
    [sym__string] = STATE(11560),
    [sym_string_literal] = STATE(11560),
    [sym_command_literal] = STATE(11560),
    [sym_prefixed_string_literal] = STATE(11560),
    [sym_prefixed_command_literal] = STATE(11560),
    [sym_operator] = STATE(18511),
    [sym__word_identifier] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(14707),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_for] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(14407),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(14409),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(14411),
    [anon_sym_DOLLAR] = ACTIONS(15226),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(14415),
    [anon_sym_true] = ACTIONS(14417),
    [anon_sym_false] = ACTIONS(14417),
    [sym_character_literal] = ACTIONS(14711),
    [sym__pair_operator] = ACTIONS(11551),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11551),
    [sym__pipe_left_operator] = ACTIONS(11551),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11551),
    [sym__bitshift_operator] = ACTIONS(11551),
    [sym__power_operator] = ACTIONS(11551),
    [sym__tilde_operator] = ACTIONS(3021),
    [sym__type_order_operator] = ACTIONS(11551),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14421),
    [sym__command_start] = ACTIONS(14423),
  },
  [9476] = {
    [sym__word_identifier] = ACTIONS(12350),
    [anon_sym_COLON] = ACTIONS(12350),
    [anon_sym_begin] = ACTIONS(12350),
    [anon_sym_module] = ACTIONS(12350),
    [anon_sym_baremodule] = ACTIONS(12350),
    [anon_sym_end] = ACTIONS(12350),
    [anon_sym_abstract] = ACTIONS(12350),
    [anon_sym_primitive] = ACTIONS(12350),
    [anon_sym_mutable] = ACTIONS(12350),
    [anon_sym_struct] = ACTIONS(12350),
    [anon_sym_function] = ACTIONS(12350),
    [anon_sym_macro] = ACTIONS(12350),
    [anon_sym_quote] = ACTIONS(12350),
    [anon_sym_let] = ACTIONS(12350),
    [anon_sym_if] = ACTIONS(12350),
    [anon_sym_try] = ACTIONS(12350),
    [anon_sym_for] = ACTIONS(12350),
    [anon_sym_while] = ACTIONS(12350),
    [sym_break_statement] = ACTIONS(12350),
    [sym_continue_statement] = ACTIONS(12350),
    [anon_sym_return] = ACTIONS(12350),
    [anon_sym_const] = ACTIONS(12350),
    [anon_sym_global] = ACTIONS(12350),
    [anon_sym_local] = ACTIONS(12350),
    [anon_sym_LPAREN] = ACTIONS(12350),
    [anon_sym_export] = ACTIONS(12350),
    [anon_sym_import] = ACTIONS(12350),
    [anon_sym_using] = ACTIONS(12350),
    [anon_sym_LBRACK] = ACTIONS(12350),
    [anon_sym_LF] = ACTIONS(12352),
    [anon_sym_LBRACE] = ACTIONS(12350),
    [anon_sym_SQUOTE] = ACTIONS(12350),
    [anon_sym_DOT] = ACTIONS(12350),
    [anon_sym_DOLLAR] = ACTIONS(12350),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_AT] = ACTIONS(12350),
    [anon_sym_true] = ACTIONS(12350),
    [anon_sym_false] = ACTIONS(12350),
    [aux_sym_integer_literal_token1] = ACTIONS(12350),
    [aux_sym_integer_literal_token2] = ACTIONS(12350),
    [aux_sym_integer_literal_token3] = ACTIONS(12350),
    [aux_sym_integer_literal_token4] = ACTIONS(12350),
    [aux_sym_float_literal_token1] = ACTIONS(12350),
    [aux_sym_float_literal_token3] = ACTIONS(12350),
    [aux_sym_float_literal_token4] = ACTIONS(12350),
    [sym_character_literal] = ACTIONS(12350),
    [sym__pair_operator] = ACTIONS(12350),
    [sym__arrow_operator] = ACTIONS(12350),
    [sym__comparison_operator] = ACTIONS(12350),
    [sym__pipe_right_operator] = ACTIONS(12350),
    [sym__pipe_left_operator] = ACTIONS(12350),
    [sym__ellipsis_operator] = ACTIONS(12350),
    [sym__plus_operator] = ACTIONS(12350),
    [sym__times_operator] = ACTIONS(12350),
    [sym__rational_operator] = ACTIONS(12350),
    [sym__bitshift_operator] = ACTIONS(12350),
    [sym__power_operator] = ACTIONS(12350),
    [sym__tilde_operator] = ACTIONS(12350),
    [sym__type_order_operator] = ACTIONS(12350),
    [sym__unary_operator] = ACTIONS(12350),
    [sym__unary_plus_operator] = ACTIONS(12350),
    [aux_sym__terminator_token1] = ACTIONS(12350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(12352),
    [sym__immediate_bracket] = ACTIONS(12352),
    [sym__immediate_brace] = ACTIONS(12352),
    [sym__string_start] = ACTIONS(12352),
    [sym__command_start] = ACTIONS(12352),
  },
  [9477] = {
    [sym__comprehension_clause] = STATE(18656),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16854),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14186),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14188),
    [anon_sym_LF] = ACTIONS(14190),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14193),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9478] = {
    [sym__comprehension_clause] = STATE(18189),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17300),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14320),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14322),
    [anon_sym_LF] = ACTIONS(14324),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14327),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9479] = {
    [sym__comprehension_clause] = STATE(19317),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16834),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13578),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13580),
    [anon_sym_LF] = ACTIONS(13582),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13585),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9480] = {
    [sym__comprehension_clause] = STATE(18405),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17113),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14196),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14198),
    [anon_sym_LF] = ACTIONS(14200),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14203),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9481] = {
    [sym__comprehension_clause] = STATE(19487),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16973),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14045),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14047),
    [anon_sym_LF] = ACTIONS(14049),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14052),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9482] = {
    [sym__comprehension_clause] = STATE(18715),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17018),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13784),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13786),
    [anon_sym_LF] = ACTIONS(13788),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13791),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9483] = {
    [sym__comprehension_clause] = STATE(19150),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16694),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14143),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14145),
    [anon_sym_LF] = ACTIONS(14147),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14150),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9484] = {
    [sym__comprehension_clause] = STATE(19178),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16689),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13752),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13754),
    [anon_sym_LF] = ACTIONS(13756),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13759),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9485] = {
    [sym__comprehension_clause] = STATE(19371),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16910),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13858),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13860),
    [anon_sym_LF] = ACTIONS(13862),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13865),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9486] = {
    [sym__comprehension_clause] = STATE(19734),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17187),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14156),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14158),
    [anon_sym_LF] = ACTIONS(14160),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14163),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9487] = {
    [sym__comprehension_clause] = STATE(19548),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17008),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13794),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13796),
    [anon_sym_LF] = ACTIONS(13798),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13801),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9488] = {
    [sym__comprehension_clause] = STATE(19404),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16936),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13892),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13894),
    [anon_sym_LF] = ACTIONS(13896),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13899),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9489] = {
    [sym__comprehension_clause] = STATE(18821),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17291),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14218),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14220),
    [anon_sym_LF] = ACTIONS(14222),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14225),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9490] = {
    [sym__comprehension_clause] = STATE(18433),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17087),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14363),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14365),
    [anon_sym_LF] = ACTIONS(14367),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14370),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9491] = {
    [sym__comprehension_clause] = STATE(19795),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17260),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13868),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13870),
    [anon_sym_LF] = ACTIONS(13872),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13875),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9492] = {
    [sym__comprehension_clause] = STATE(18523),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16932),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14353),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14355),
    [anon_sym_LF] = ACTIONS(14357),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14360),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9493] = {
    [sym__comprehension_clause] = STATE(19147),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16752),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13712),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13714),
    [anon_sym_LF] = ACTIONS(13716),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13719),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9494] = {
    [sym__comprehension_clause] = STATE(18270),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17237),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13646),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13648),
    [anon_sym_LF] = ACTIONS(13650),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13653),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9495] = {
    [sym__comprehension_clause] = STATE(19035),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16944),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13846),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13848),
    [anon_sym_LF] = ACTIONS(13850),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13853),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9496] = {
    [sym__comprehension_clause] = STATE(19074),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16887),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13836),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13838),
    [anon_sym_LF] = ACTIONS(13840),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13843),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9497] = {
    [sym__comprehension_clause] = STATE(19001),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17005),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14055),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14057),
    [anon_sym_LF] = ACTIONS(14059),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9498] = {
    [sym__comprehension_clause] = STATE(19617),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16997),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14272),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14274),
    [anon_sym_LF] = ACTIONS(14276),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14279),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9499] = {
    [sym__comprehension_clause] = STATE(18534),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16672),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14065),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14067),
    [anon_sym_LF] = ACTIONS(14069),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14072),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9500] = {
    [sym__comprehension_clause] = STATE(19557),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17021),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14330),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14332),
    [anon_sym_LF] = ACTIONS(14334),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14337),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9501] = {
    [sym__comprehension_clause] = STATE(18919),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17158),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13294),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13296),
    [anon_sym_LF] = ACTIONS(13298),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13301),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9502] = {
    [sym__comprehension_clause] = STATE(18748),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17125),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14228),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14230),
    [anon_sym_LF] = ACTIONS(14232),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14235),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9503] = {
    [sym__comprehension_clause] = STATE(19011),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16977),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14133),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14135),
    [anon_sym_LF] = ACTIONS(14137),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14140),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9504] = {
    [sym__comprehension_clause] = STATE(19415),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16947),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14025),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14027),
    [anon_sym_LF] = ACTIONS(14029),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14032),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9505] = {
    [sym__comprehension_clause] = STATE(19411),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16942),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13722),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13724),
    [anon_sym_LF] = ACTIONS(13726),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13729),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9506] = {
    [sym__comprehension_clause] = STATE(19689),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17153),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13973),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13975),
    [anon_sym_LF] = ACTIONS(13977),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13980),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9507] = {
    [sym__comprehension_clause] = STATE(18628),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16730),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14075),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14077),
    [anon_sym_LF] = ACTIONS(14079),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14082),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9508] = {
    [sym__comprehension_clause] = STATE(19583),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17037),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13902),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13904),
    [anon_sym_LF] = ACTIONS(13906),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13909),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9509] = {
    [sym__comprehension_clause] = STATE(19486),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16970),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14085),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14087),
    [anon_sym_LF] = ACTIONS(14089),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14092),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9510] = {
    [sym__comprehension_clause] = STATE(18602),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16943),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14310),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14312),
    [anon_sym_LF] = ACTIONS(14314),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14317),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9511] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_LT_COLON] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [9512] = {
    [sym__comprehension_clause] = STATE(18753),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17143),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14108),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14110),
    [anon_sym_LF] = ACTIONS(14112),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14115),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9513] = {
    [sym__comprehension_clause] = STATE(18943),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17109),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13878),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13880),
    [anon_sym_LF] = ACTIONS(13882),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13885),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9514] = {
    [sym__comprehension_clause] = STATE(19164),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16711),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14373),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14375),
    [anon_sym_LF] = ACTIONS(14377),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14380),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9515] = {
    [sym__comprehension_clause] = STATE(19849),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17304),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14425),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14427),
    [anon_sym_LF] = ACTIONS(14429),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14432),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9516] = {
    [sym__comprehension_clause] = STATE(18787),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17337),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13416),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13418),
    [anon_sym_LF] = ACTIONS(13420),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13423),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9517] = {
    [sym__comprehension_clause] = STATE(19523),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16994),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13512),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13514),
    [anon_sym_LF] = ACTIONS(13516),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13519),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9518] = {
    [sym__comprehension_clause] = STATE(19115),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16796),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13265),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13270),
    [anon_sym_LF] = ACTIONS(13272),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13277),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9519] = {
    [sym__comprehension_clause] = STATE(19854),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17311),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14451),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14453),
    [anon_sym_LF] = ACTIONS(14455),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14458),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9520] = {
    [sym__comprehension_clause] = STATE(19110),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16817),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13526),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13528),
    [anon_sym_LF] = ACTIONS(13530),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13533),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9521] = {
    [sym__comprehension_clause] = STATE(18663),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16896),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14174),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14176),
    [anon_sym_LF] = ACTIONS(14178),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14181),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9522] = {
    [sym__comprehension_clause] = STATE(18866),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17249),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14208),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14210),
    [anon_sym_LF] = ACTIONS(14212),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14215),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9523] = {
    [sym__comprehension_clause] = STATE(19794),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17257),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14461),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14463),
    [anon_sym_LF] = ACTIONS(14465),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14468),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9524] = {
    [sym__comprehension_clause] = STATE(19242),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16800),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14393),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14395),
    [anon_sym_LF] = ACTIONS(14397),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14400),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9525] = {
    [sym__comprehension_clause] = STATE(19144),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16753),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14383),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14385),
    [anon_sym_LF] = ACTIONS(14387),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14390),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9526] = {
    [sym__comprehension_clause] = STATE(19629),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17101),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14298),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14300),
    [anon_sym_LF] = ACTIONS(14302),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14305),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9527] = {
    [sym__comprehension_clause] = STATE(18870),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17245),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14343),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14345),
    [anon_sym_LF] = ACTIONS(14347),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14350),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9528] = {
    [sym__comprehension_clause] = STATE(18782),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17254),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14258),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14260),
    [anon_sym_LF] = ACTIONS(14262),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14265),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9529] = {
    [sym__comprehension_clause] = STATE(19320),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16840),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14491),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14493),
    [anon_sym_LF] = ACTIONS(14495),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14498),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9530] = {
    [sym__comprehension_clause] = STATE(18804),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17312),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13636),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13638),
    [anon_sym_LF] = ACTIONS(13640),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13643),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9531] = {
    [sym__comprehension_clause] = STATE(19354),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16884),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13664),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13666),
    [anon_sym_LF] = ACTIONS(13668),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13671),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9532] = {
    [sym__comprehension_clause] = STATE(18551),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16802),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13702),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13704),
    [anon_sym_LF] = ACTIONS(13706),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13709),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9533] = {
    [sym__comprehension_clause] = STATE(19745),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17207),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14282),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14284),
    [anon_sym_LF] = ACTIONS(14286),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14289),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9534] = {
    [sym__comprehension_clause] = STATE(19000),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16881),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13674),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13676),
    [anon_sym_LF] = ACTIONS(13678),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13681),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9535] = {
    [sym__comprehension_clause] = STATE(19284),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16873),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13618),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13620),
    [anon_sym_LF] = ACTIONS(13622),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13625),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9536] = {
    [sym__comprehension_clause] = STATE(19247),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16754),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13594),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13596),
    [anon_sym_LF] = ACTIONS(13598),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13601),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9537] = {
    [sym__comprehension_clause] = STATE(18632),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16770),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13608),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13610),
    [anon_sym_LF] = ACTIONS(13612),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13615),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9538] = {
    [sym__comprehension_clause] = STATE(19217),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16692),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14507),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14509),
    [anon_sym_LF] = ACTIONS(14511),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14514),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9539] = {
    [sym__comprehension_clause] = STATE(19260),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(16776),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13488),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13490),
    [anon_sym_LF] = ACTIONS(13492),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13495),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9540] = {
    [sym__comprehension_clause] = STATE(19675),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17124),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13959),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13961),
    [anon_sym_LF] = ACTIONS(13963),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9541] = {
    [sym__comprehension_clause] = STATE(19546),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17047),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14098),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14100),
    [anon_sym_LF] = ACTIONS(14102),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14105),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9542] = {
    [sym__comprehension_clause] = STATE(18967),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17064),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14435),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14437),
    [anon_sym_LF] = ACTIONS(14439),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14442),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9543] = {
    [sym__comprehension_clause] = STATE(19791),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17244),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13924),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13926),
    [anon_sym_LF] = ACTIONS(13928),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13931),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9544] = {
    [sym__comprehension_clause] = STATE(18905),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17188),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(13548),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(13550),
    [anon_sym_LF] = ACTIONS(13552),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(13555),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9545] = {
    [sym__comprehension_clause] = STATE(18939),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17127),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14481),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14483),
    [anon_sym_LF] = ACTIONS(14485),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14488),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9546] = {
    [sym__comprehension_clause] = STATE(18297),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17223),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14471),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14473),
    [anon_sym_LF] = ACTIONS(14475),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14478),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9547] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_LT_COLON] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(15228),
    [sym__immediate_command_start] = ACTIONS(15230),
  },
  [9548] = {
    [sym__comprehension_clause] = STATE(18968),
    [sym_for_clause] = STATE(14490),
    [aux_sym_vector_expression_repeat1] = STATE(17066),
    [sym__word_identifier] = ACTIONS(13263),
    [anon_sym_COMMA] = ACTIONS(14248),
    [anon_sym_COLON] = ACTIONS(13263),
    [anon_sym_begin] = ACTIONS(13263),
    [anon_sym_module] = ACTIONS(13263),
    [anon_sym_baremodule] = ACTIONS(13263),
    [anon_sym_abstract] = ACTIONS(13263),
    [anon_sym_primitive] = ACTIONS(13263),
    [anon_sym_mutable] = ACTIONS(13263),
    [anon_sym_struct] = ACTIONS(13263),
    [anon_sym_function] = ACTIONS(13263),
    [anon_sym_macro] = ACTIONS(13263),
    [anon_sym_quote] = ACTIONS(13263),
    [anon_sym_let] = ACTIONS(13263),
    [anon_sym_if] = ACTIONS(13263),
    [anon_sym_try] = ACTIONS(13263),
    [anon_sym_for] = ACTIONS(13267),
    [anon_sym_while] = ACTIONS(13263),
    [sym_break_statement] = ACTIONS(13263),
    [sym_continue_statement] = ACTIONS(13263),
    [anon_sym_return] = ACTIONS(13263),
    [anon_sym_const] = ACTIONS(13263),
    [anon_sym_global] = ACTIONS(13263),
    [anon_sym_local] = ACTIONS(13263),
    [anon_sym_LPAREN] = ACTIONS(13263),
    [anon_sym_export] = ACTIONS(13263),
    [anon_sym_import] = ACTIONS(13263),
    [anon_sym_using] = ACTIONS(13263),
    [anon_sym_LBRACK] = ACTIONS(13263),
    [anon_sym_RBRACK] = ACTIONS(14250),
    [anon_sym_LF] = ACTIONS(14252),
    [anon_sym_LBRACE] = ACTIONS(13263),
    [anon_sym_DOLLAR] = ACTIONS(13263),
    [anon_sym_COLON_COLON] = ACTIONS(13263),
    [anon_sym_AT] = ACTIONS(13263),
    [anon_sym_true] = ACTIONS(13263),
    [anon_sym_false] = ACTIONS(13263),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(13263),
    [aux_sym_integer_literal_token4] = ACTIONS(13263),
    [aux_sym_float_literal_token1] = ACTIONS(13263),
    [aux_sym_float_literal_token3] = ACTIONS(13263),
    [aux_sym_float_literal_token4] = ACTIONS(13263),
    [sym_character_literal] = ACTIONS(13263),
    [sym__pair_operator] = ACTIONS(13263),
    [sym__arrow_operator] = ACTIONS(13263),
    [sym__comparison_operator] = ACTIONS(13263),
    [sym__pipe_right_operator] = ACTIONS(13263),
    [sym__pipe_left_operator] = ACTIONS(13263),
    [sym__ellipsis_operator] = ACTIONS(13263),
    [sym__plus_operator] = ACTIONS(13263),
    [sym__times_operator] = ACTIONS(13263),
    [sym__rational_operator] = ACTIONS(13263),
    [sym__bitshift_operator] = ACTIONS(13263),
    [sym__power_operator] = ACTIONS(13263),
    [sym__tilde_operator] = ACTIONS(13263),
    [sym__type_order_operator] = ACTIONS(13263),
    [sym__unary_operator] = ACTIONS(13263),
    [sym__unary_plus_operator] = ACTIONS(13263),
    [aux_sym__terminator_token1] = ACTIONS(14255),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(13280),
    [sym__command_start] = ACTIONS(13280),
  },
  [9549] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_LT_COLON] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(15232),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [9550] = {
    [sym_identifier] = STATE(9582),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_LT_COLON] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(11990),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [9551] = {
    [sym_identifier] = STATE(9579),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_LT_COLON] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(11986),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [9552] = {
    [sym_identifier] = STATE(9581),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_LT_COLON] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(11980),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [9553] = {
    [sym_identifier] = STATE(9583),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_LT_COLON] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(11968),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [9554] = {
    [sym_where_clause] = STATE(9618),
    [sym_unary_typed_expression] = STATE(9567),
    [sym__word_identifier] = ACTIONS(15174),
    [anon_sym_COLON] = ACTIONS(15174),
    [anon_sym_begin] = ACTIONS(15174),
    [anon_sym_module] = ACTIONS(15174),
    [anon_sym_baremodule] = ACTIONS(15174),
    [anon_sym_end] = ACTIONS(15174),
    [anon_sym_abstract] = ACTIONS(15174),
    [anon_sym_primitive] = ACTIONS(15174),
    [anon_sym_mutable] = ACTIONS(15174),
    [anon_sym_struct] = ACTIONS(15174),
    [anon_sym_function] = ACTIONS(15174),
    [anon_sym_macro] = ACTIONS(15174),
    [anon_sym_where] = ACTIONS(15176),
    [anon_sym_quote] = ACTIONS(15174),
    [anon_sym_let] = ACTIONS(15174),
    [anon_sym_if] = ACTIONS(15174),
    [anon_sym_try] = ACTIONS(15174),
    [anon_sym_for] = ACTIONS(15174),
    [anon_sym_while] = ACTIONS(15174),
    [sym_break_statement] = ACTIONS(15174),
    [sym_continue_statement] = ACTIONS(15174),
    [anon_sym_return] = ACTIONS(15174),
    [anon_sym_const] = ACTIONS(15174),
    [anon_sym_global] = ACTIONS(15174),
    [anon_sym_local] = ACTIONS(15174),
    [anon_sym_LPAREN] = ACTIONS(15174),
    [anon_sym_export] = ACTIONS(15174),
    [anon_sym_import] = ACTIONS(15174),
    [anon_sym_using] = ACTIONS(15174),
    [anon_sym_LBRACK] = ACTIONS(15174),
    [anon_sym_LF] = ACTIONS(15178),
    [anon_sym_LBRACE] = ACTIONS(15174),
    [anon_sym_DOLLAR] = ACTIONS(15174),
    [anon_sym_COLON_COLON] = ACTIONS(15180),
    [anon_sym_AT] = ACTIONS(15174),
    [anon_sym_true] = ACTIONS(15174),
    [anon_sym_false] = ACTIONS(15174),
    [aux_sym_integer_literal_token1] = ACTIONS(15174),
    [aux_sym_integer_literal_token2] = ACTIONS(15174),
    [aux_sym_integer_literal_token3] = ACTIONS(15174),
    [aux_sym_integer_literal_token4] = ACTIONS(15174),
    [aux_sym_float_literal_token1] = ACTIONS(15174),
    [aux_sym_float_literal_token3] = ACTIONS(15174),
    [aux_sym_float_literal_token4] = ACTIONS(15174),
    [sym_character_literal] = ACTIONS(15174),
    [sym__pair_operator] = ACTIONS(15174),
    [sym__arrow_operator] = ACTIONS(15174),
    [sym__comparison_operator] = ACTIONS(15174),
    [sym__pipe_right_operator] = ACTIONS(15174),
    [sym__pipe_left_operator] = ACTIONS(15174),
    [sym__ellipsis_operator] = ACTIONS(15174),
    [sym__plus_operator] = ACTIONS(15174),
    [sym__times_operator] = ACTIONS(15174),
    [sym__rational_operator] = ACTIONS(15174),
    [sym__bitshift_operator] = ACTIONS(15174),
    [sym__power_operator] = ACTIONS(15174),
    [sym__tilde_operator] = ACTIONS(15174),
    [sym__type_order_operator] = ACTIONS(15174),
    [sym__unary_operator] = ACTIONS(15174),
    [sym__unary_plus_operator] = ACTIONS(15174),
    [aux_sym__terminator_token1] = ACTIONS(15174),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(15178),
    [sym__command_start] = ACTIONS(15178),
  },
  [9555] = {
    [sym__word_identifier] = ACTIONS(12062),
    [anon_sym_COLON] = ACTIONS(12062),
    [anon_sym_begin] = ACTIONS(12062),
    [anon_sym_module] = ACTIONS(12062),
    [anon_sym_baremodule] = ACTIONS(12062),
    [anon_sym_end] = ACTIONS(12062),
    [anon_sym_abstract] = ACTIONS(12062),
    [anon_sym_primitive] = ACTIONS(12062),
    [anon_sym_mutable] = ACTIONS(12062),
    [anon_sym_struct] = ACTIONS(12062),
    [anon_sym_LT_COLON] = ACTIONS(12062),
    [anon_sym_function] = ACTIONS(12062),
    [anon_sym_macro] = ACTIONS(12062),
    [anon_sym_quote] = ACTIONS(12062),
    [anon_sym_let] = ACTIONS(12062),
    [anon_sym_if] = ACTIONS(12062),
    [anon_sym_try] = ACTIONS(12062),
    [anon_sym_for] = ACTIONS(12062),
    [anon_sym_while] = ACTIONS(12062),
    [sym_break_statement] = ACTIONS(12062),
    [sym_continue_statement] = ACTIONS(12062),
    [anon_sym_return] = ACTIONS(12062),
    [anon_sym_const] = ACTIONS(12062),
    [anon_sym_global] = ACTIONS(12062),
    [anon_sym_local] = ACTIONS(12062),
    [anon_sym_LPAREN] = ACTIONS(12062),
    [anon_sym_export] = ACTIONS(12062),
    [anon_sym_import] = ACTIONS(12062),
    [anon_sym_using] = ACTIONS(12062),
    [anon_sym_LBRACK] = ACTIONS(12062),
    [anon_sym_LF] = ACTIONS(12060),
    [anon_sym_LBRACE] = ACTIONS(12062),
    [anon_sym_DOLLAR] = ACTIONS(12062),
    [anon_sym_COLON_COLON] = ACTIONS(12062),
    [anon_sym_AT] = ACTIONS(12062),
    [anon_sym_true] = ACTIONS(12062),
    [anon_sym_false] = ACTIONS(12062),
    [aux_sym_integer_literal_token1] = ACTIONS(12062),
    [aux_sym_integer_literal_token2] = ACTIONS(12062),
    [aux_sym_integer_literal_token3] = ACTIONS(12062),
    [aux_sym_integer_literal_token4] = ACTIONS(12062),
    [aux_sym_float_literal_token1] = ACTIONS(12062),
    [aux_sym_float_literal_token3] = ACTIONS(12062),
    [aux_sym_float_literal_token4] = ACTIONS(12062),
    [sym_character_literal] = ACTIONS(12062),
    [sym__pair_operator] = ACTIONS(12062),
    [sym__arrow_operator] = ACTIONS(12062),
    [sym__comparison_operator] = ACTIONS(12062),
    [sym__pipe_right_operator] = ACTIONS(12062),
    [sym__pipe_left_operator] = ACTIONS(12062),
    [sym__ellipsis_operator] = ACTIONS(12062),
    [sym__plus_operator] = ACTIONS(12062),
    [sym__times_operator] = ACTIONS(12062),
    [sym__rational_operator] = ACTIONS(12062),
    [sym__bitshift_operator] = ACTIONS(12062),
    [sym__power_operator] = ACTIONS(12062),
    [sym__tilde_operator] = ACTIONS(12062),
    [sym__type_order_operator] = ACTIONS(12062),
    [sym__unary_operator] = ACTIONS(12062),
    [sym__unary_plus_operator] = ACTIONS(12062),
    [aux_sym__terminator_token1] = ACTIONS(12062),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12060),
    [sym__string_start] = ACTIONS(12060),
    [sym__command_start] = ACTIONS(12060),
  },
  [9556] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_LT_COLON] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12172),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [9557] = {
    [sym__word_identifier] = ACTIONS(12226),
    [anon_sym_COLON] = ACTIONS(12226),
    [anon_sym_begin] = ACTIONS(12226),
    [anon_sym_module] = ACTIONS(12226),
    [anon_sym_baremodule] = ACTIONS(12226),
    [anon_sym_end] = ACTIONS(12226),
    [anon_sym_abstract] = ACTIONS(12226),
    [anon_sym_primitive] = ACTIONS(12226),
    [anon_sym_mutable] = ACTIONS(12226),
    [anon_sym_struct] = ACTIONS(12226),
    [anon_sym_LT_COLON] = ACTIONS(12226),
    [anon_sym_function] = ACTIONS(12226),
    [anon_sym_macro] = ACTIONS(12226),
    [anon_sym_quote] = ACTIONS(12226),
    [anon_sym_let] = ACTIONS(12226),
    [anon_sym_if] = ACTIONS(12226),
    [anon_sym_try] = ACTIONS(12226),
    [anon_sym_for] = ACTIONS(12226),
    [anon_sym_while] = ACTIONS(12226),
    [sym_break_statement] = ACTIONS(12226),
    [sym_continue_statement] = ACTIONS(12226),
    [anon_sym_return] = ACTIONS(12226),
    [anon_sym_const] = ACTIONS(12226),
    [anon_sym_global] = ACTIONS(12226),
    [anon_sym_local] = ACTIONS(12226),
    [anon_sym_LPAREN] = ACTIONS(12226),
    [anon_sym_export] = ACTIONS(12226),
    [anon_sym_import] = ACTIONS(12226),
    [anon_sym_using] = ACTIONS(12226),
    [anon_sym_LBRACK] = ACTIONS(12226),
    [anon_sym_LF] = ACTIONS(12228),
    [anon_sym_LBRACE] = ACTIONS(12226),
    [anon_sym_DOLLAR] = ACTIONS(12226),
    [anon_sym_COLON_COLON] = ACTIONS(12226),
    [anon_sym_AT] = ACTIONS(12226),
    [anon_sym_true] = ACTIONS(12226),
    [anon_sym_false] = ACTIONS(12226),
    [aux_sym_integer_literal_token1] = ACTIONS(12226),
    [aux_sym_integer_literal_token2] = ACTIONS(12226),
    [aux_sym_integer_literal_token3] = ACTIONS(12226),
    [aux_sym_integer_literal_token4] = ACTIONS(12226),
    [aux_sym_float_literal_token1] = ACTIONS(12226),
    [aux_sym_float_literal_token3] = ACTIONS(12226),
    [aux_sym_float_literal_token4] = ACTIONS(12226),
    [sym_character_literal] = ACTIONS(12226),
    [sym__pair_operator] = ACTIONS(12226),
    [sym__arrow_operator] = ACTIONS(12226),
    [sym__comparison_operator] = ACTIONS(12226),
    [sym__pipe_right_operator] = ACTIONS(12226),
    [sym__pipe_left_operator] = ACTIONS(12226),
    [sym__ellipsis_operator] = ACTIONS(12226),
    [sym__plus_operator] = ACTIONS(12226),
    [sym__times_operator] = ACTIONS(12226),
    [sym__rational_operator] = ACTIONS(12226),
    [sym__bitshift_operator] = ACTIONS(12226),
    [sym__power_operator] = ACTIONS(12226),
    [sym__tilde_operator] = ACTIONS(12226),
    [sym__type_order_operator] = ACTIONS(12226),
    [sym__unary_operator] = ACTIONS(12226),
    [sym__unary_plus_operator] = ACTIONS(12226),
    [aux_sym__terminator_token1] = ACTIONS(12226),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12228),
    [sym__string_start] = ACTIONS(12228),
    [sym__command_start] = ACTIONS(12228),
  },
  [9558] = {
    [sym__word_identifier] = ACTIONS(12088),
    [anon_sym_COLON] = ACTIONS(12088),
    [anon_sym_begin] = ACTIONS(12088),
    [anon_sym_module] = ACTIONS(12088),
    [anon_sym_baremodule] = ACTIONS(12088),
    [anon_sym_end] = ACTIONS(12088),
    [anon_sym_abstract] = ACTIONS(12088),
    [anon_sym_primitive] = ACTIONS(12088),
    [anon_sym_mutable] = ACTIONS(12088),
    [anon_sym_struct] = ACTIONS(12088),
    [anon_sym_LT_COLON] = ACTIONS(12088),
    [anon_sym_function] = ACTIONS(12088),
    [anon_sym_macro] = ACTIONS(12088),
    [anon_sym_quote] = ACTIONS(12088),
    [anon_sym_let] = ACTIONS(12088),
    [anon_sym_if] = ACTIONS(12088),
    [anon_sym_try] = ACTIONS(12088),
    [anon_sym_for] = ACTIONS(12088),
    [anon_sym_while] = ACTIONS(12088),
    [sym_break_statement] = ACTIONS(12088),
    [sym_continue_statement] = ACTIONS(12088),
    [anon_sym_return] = ACTIONS(12088),
    [anon_sym_const] = ACTIONS(12088),
    [anon_sym_global] = ACTIONS(12088),
    [anon_sym_local] = ACTIONS(12088),
    [anon_sym_LPAREN] = ACTIONS(12088),
    [anon_sym_export] = ACTIONS(12088),
    [anon_sym_import] = ACTIONS(12088),
    [anon_sym_using] = ACTIONS(12088),
    [anon_sym_LBRACK] = ACTIONS(12088),
    [anon_sym_LF] = ACTIONS(12090),
    [anon_sym_LBRACE] = ACTIONS(12088),
    [anon_sym_DOLLAR] = ACTIONS(12088),
    [anon_sym_COLON_COLON] = ACTIONS(12088),
    [anon_sym_AT] = ACTIONS(12088),
    [anon_sym_true] = ACTIONS(12088),
    [anon_sym_false] = ACTIONS(12088),
    [aux_sym_integer_literal_token1] = ACTIONS(12088),
    [aux_sym_integer_literal_token2] = ACTIONS(12088),
    [aux_sym_integer_literal_token3] = ACTIONS(12088),
    [aux_sym_integer_literal_token4] = ACTIONS(12088),
    [aux_sym_float_literal_token1] = ACTIONS(12088),
    [aux_sym_float_literal_token3] = ACTIONS(12088),
    [aux_sym_float_literal_token4] = ACTIONS(12088),
    [sym_character_literal] = ACTIONS(12088),
    [sym__pair_operator] = ACTIONS(12088),
    [sym__arrow_operator] = ACTIONS(12088),
    [sym__comparison_operator] = ACTIONS(12088),
    [sym__pipe_right_operator] = ACTIONS(12088),
    [sym__pipe_left_operator] = ACTIONS(12088),
    [sym__ellipsis_operator] = ACTIONS(12088),
    [sym__plus_operator] = ACTIONS(12088),
    [sym__times_operator] = ACTIONS(12088),
    [sym__rational_operator] = ACTIONS(12088),
    [sym__bitshift_operator] = ACTIONS(12088),
    [sym__power_operator] = ACTIONS(12088),
    [sym__tilde_operator] = ACTIONS(12088),
    [sym__type_order_operator] = ACTIONS(12088),
    [sym__unary_operator] = ACTIONS(12088),
    [sym__unary_plus_operator] = ACTIONS(12088),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12090),
    [sym__string_start] = ACTIONS(12090),
    [sym__command_start] = ACTIONS(12090),
  },
  [9559] = {
    [sym__word_identifier] = ACTIONS(12020),
    [anon_sym_COLON] = ACTIONS(12020),
    [anon_sym_begin] = ACTIONS(12020),
    [anon_sym_module] = ACTIONS(12020),
    [anon_sym_baremodule] = ACTIONS(12020),
    [anon_sym_end] = ACTIONS(12020),
    [anon_sym_abstract] = ACTIONS(12020),
    [anon_sym_primitive] = ACTIONS(12020),
    [anon_sym_mutable] = ACTIONS(12020),
    [anon_sym_struct] = ACTIONS(12020),
    [anon_sym_LT_COLON] = ACTIONS(12020),
    [anon_sym_function] = ACTIONS(12020),
    [anon_sym_macro] = ACTIONS(12020),
    [anon_sym_quote] = ACTIONS(12020),
    [anon_sym_let] = ACTIONS(12020),
    [anon_sym_if] = ACTIONS(12020),
    [anon_sym_try] = ACTIONS(12020),
    [anon_sym_for] = ACTIONS(12020),
    [anon_sym_while] = ACTIONS(12020),
    [sym_break_statement] = ACTIONS(12020),
    [sym_continue_statement] = ACTIONS(12020),
    [anon_sym_return] = ACTIONS(12020),
    [anon_sym_const] = ACTIONS(12020),
    [anon_sym_global] = ACTIONS(12020),
    [anon_sym_local] = ACTIONS(12020),
    [anon_sym_LPAREN] = ACTIONS(12020),
    [anon_sym_export] = ACTIONS(12020),
    [anon_sym_import] = ACTIONS(12020),
    [anon_sym_using] = ACTIONS(12020),
    [anon_sym_LBRACK] = ACTIONS(12020),
    [anon_sym_LF] = ACTIONS(12022),
    [anon_sym_LBRACE] = ACTIONS(12020),
    [anon_sym_DOLLAR] = ACTIONS(12020),
    [anon_sym_COLON_COLON] = ACTIONS(12020),
    [anon_sym_AT] = ACTIONS(12020),
    [anon_sym_true] = ACTIONS(12020),
    [anon_sym_false] = ACTIONS(12020),
    [aux_sym_integer_literal_token1] = ACTIONS(12020),
    [aux_sym_integer_literal_token2] = ACTIONS(12020),
    [aux_sym_integer_literal_token3] = ACTIONS(12020),
    [aux_sym_integer_literal_token4] = ACTIONS(12020),
    [aux_sym_float_literal_token1] = ACTIONS(12020),
    [aux_sym_float_literal_token3] = ACTIONS(12020),
    [aux_sym_float_literal_token4] = ACTIONS(12020),
    [sym_character_literal] = ACTIONS(12020),
    [sym__pair_operator] = ACTIONS(12020),
    [sym__arrow_operator] = ACTIONS(12020),
    [sym__comparison_operator] = ACTIONS(12020),
    [sym__pipe_right_operator] = ACTIONS(12020),
    [sym__pipe_left_operator] = ACTIONS(12020),
    [sym__ellipsis_operator] = ACTIONS(12020),
    [sym__plus_operator] = ACTIONS(12020),
    [sym__times_operator] = ACTIONS(12020),
    [sym__rational_operator] = ACTIONS(12020),
    [sym__bitshift_operator] = ACTIONS(12020),
    [sym__power_operator] = ACTIONS(12020),
    [sym__tilde_operator] = ACTIONS(12020),
    [sym__type_order_operator] = ACTIONS(12020),
    [sym__unary_operator] = ACTIONS(12020),
    [sym__unary_plus_operator] = ACTIONS(12020),
    [aux_sym__terminator_token1] = ACTIONS(12020),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12022),
    [sym__string_start] = ACTIONS(12022),
    [sym__command_start] = ACTIONS(12022),
  },
  [9560] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_LT_COLON] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(11928),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
  },
  [9561] = {
    [sym__word_identifier] = ACTIONS(12296),
    [anon_sym_COLON] = ACTIONS(12296),
    [anon_sym_begin] = ACTIONS(12296),
    [anon_sym_module] = ACTIONS(12296),
    [anon_sym_baremodule] = ACTIONS(12296),
    [anon_sym_end] = ACTIONS(12296),
    [anon_sym_abstract] = ACTIONS(12296),
    [anon_sym_primitive] = ACTIONS(12296),
    [anon_sym_mutable] = ACTIONS(12296),
    [anon_sym_struct] = ACTIONS(12296),
    [anon_sym_LT_COLON] = ACTIONS(12296),
    [anon_sym_function] = ACTIONS(12296),
    [anon_sym_macro] = ACTIONS(12296),
    [anon_sym_quote] = ACTIONS(12296),
    [anon_sym_let] = ACTIONS(12296),
    [anon_sym_if] = ACTIONS(12296),
    [anon_sym_try] = ACTIONS(12296),
    [anon_sym_for] = ACTIONS(12296),
    [anon_sym_while] = ACTIONS(12296),
    [sym_break_statement] = ACTIONS(12296),
    [sym_continue_statement] = ACTIONS(12296),
    [anon_sym_return] = ACTIONS(12296),
    [anon_sym_const] = ACTIONS(12296),
    [anon_sym_global] = ACTIONS(12296),
    [anon_sym_local] = ACTIONS(12296),
    [anon_sym_LPAREN] = ACTIONS(12296),
    [anon_sym_export] = ACTIONS(12296),
    [anon_sym_import] = ACTIONS(12296),
    [anon_sym_using] = ACTIONS(12296),
    [anon_sym_LBRACK] = ACTIONS(12296),
    [anon_sym_LF] = ACTIONS(12298),
    [anon_sym_LBRACE] = ACTIONS(12296),
    [anon_sym_DOLLAR] = ACTIONS(12296),
    [anon_sym_COLON_COLON] = ACTIONS(12296),
    [anon_sym_AT] = ACTIONS(12296),
    [anon_sym_true] = ACTIONS(12296),
    [anon_sym_false] = ACTIONS(12296),
    [aux_sym_integer_literal_token1] = ACTIONS(12296),
    [aux_sym_integer_literal_token2] = ACTIONS(12296),
    [aux_sym_integer_literal_token3] = ACTIONS(12296),
    [aux_sym_integer_literal_token4] = ACTIONS(12296),
    [aux_sym_float_literal_token1] = ACTIONS(12296),
    [aux_sym_float_literal_token3] = ACTIONS(12296),
    [aux_sym_float_literal_token4] = ACTIONS(12296),
    [sym_character_literal] = ACTIONS(12296),
    [sym__pair_operator] = ACTIONS(12296),
    [sym__arrow_operator] = ACTIONS(12296),
    [sym__comparison_operator] = ACTIONS(12296),
    [sym__pipe_right_operator] = ACTIONS(12296),
    [sym__pipe_left_operator] = ACTIONS(12296),
    [sym__ellipsis_operator] = ACTIONS(12296),
    [sym__plus_operator] = ACTIONS(12296),
    [sym__times_operator] = ACTIONS(12296),
    [sym__rational_operator] = ACTIONS(12296),
    [sym__bitshift_operator] = ACTIONS(12296),
    [sym__power_operator] = ACTIONS(12296),
    [sym__tilde_operator] = ACTIONS(12296),
    [sym__type_order_operator] = ACTIONS(12296),
    [sym__unary_operator] = ACTIONS(12296),
    [sym__unary_plus_operator] = ACTIONS(12296),
    [aux_sym__terminator_token1] = ACTIONS(12296),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12298),
    [sym__string_start] = ACTIONS(12298),
    [sym__command_start] = ACTIONS(12298),
  },
  [9562] = {
    [sym__word_identifier] = ACTIONS(12288),
    [anon_sym_COLON] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(12288),
    [anon_sym_module] = ACTIONS(12288),
    [anon_sym_baremodule] = ACTIONS(12288),
    [anon_sym_end] = ACTIONS(12288),
    [anon_sym_abstract] = ACTIONS(12288),
    [anon_sym_primitive] = ACTIONS(12288),
    [anon_sym_mutable] = ACTIONS(12288),
    [anon_sym_struct] = ACTIONS(12288),
    [anon_sym_LT_COLON] = ACTIONS(12288),
    [anon_sym_function] = ACTIONS(12288),
    [anon_sym_macro] = ACTIONS(12288),
    [anon_sym_quote] = ACTIONS(12288),
    [anon_sym_let] = ACTIONS(12288),
    [anon_sym_if] = ACTIONS(12288),
    [anon_sym_try] = ACTIONS(12288),
    [anon_sym_for] = ACTIONS(12288),
    [anon_sym_while] = ACTIONS(12288),
    [sym_break_statement] = ACTIONS(12288),
    [sym_continue_statement] = ACTIONS(12288),
    [anon_sym_return] = ACTIONS(12288),
    [anon_sym_const] = ACTIONS(12288),
    [anon_sym_global] = ACTIONS(12288),
    [anon_sym_local] = ACTIONS(12288),
    [anon_sym_LPAREN] = ACTIONS(12288),
    [anon_sym_export] = ACTIONS(12288),
    [anon_sym_import] = ACTIONS(12288),
    [anon_sym_using] = ACTIONS(12288),
    [anon_sym_LBRACK] = ACTIONS(12288),
    [anon_sym_LF] = ACTIONS(12290),
    [anon_sym_LBRACE] = ACTIONS(12288),
    [anon_sym_DOLLAR] = ACTIONS(12288),
    [anon_sym_COLON_COLON] = ACTIONS(12288),
    [anon_sym_AT] = ACTIONS(12288),
    [anon_sym_true] = ACTIONS(12288),
    [anon_sym_false] = ACTIONS(12288),
    [aux_sym_integer_literal_token1] = ACTIONS(12288),
    [aux_sym_integer_literal_token2] = ACTIONS(12288),
    [aux_sym_integer_literal_token3] = ACTIONS(12288),
    [aux_sym_integer_literal_token4] = ACTIONS(12288),
    [aux_sym_float_literal_token1] = ACTIONS(12288),
    [aux_sym_float_literal_token3] = ACTIONS(12288),
    [aux_sym_float_literal_token4] = ACTIONS(12288),
    [sym_character_literal] = ACTIONS(12288),
    [sym__pair_operator] = ACTIONS(12288),
    [sym__arrow_operator] = ACTIONS(12288),
    [sym__comparison_operator] = ACTIONS(12288),
    [sym__pipe_right_operator] = ACTIONS(12288),
    [sym__pipe_left_operator] = ACTIONS(12288),
    [sym__ellipsis_operator] = ACTIONS(12288),
    [sym__plus_operator] = ACTIONS(12288),
    [sym__times_operator] = ACTIONS(12288),
    [sym__rational_operator] = ACTIONS(12288),
    [sym__bitshift_operator] = ACTIONS(12288),
    [sym__power_operator] = ACTIONS(12288),
    [sym__tilde_operator] = ACTIONS(12288),
    [sym__type_order_operator] = ACTIONS(12288),
    [sym__unary_operator] = ACTIONS(12288),
    [sym__unary_plus_operator] = ACTIONS(12288),
    [aux_sym__terminator_token1] = ACTIONS(12288),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12290),
    [sym__string_start] = ACTIONS(12290),
    [sym__command_start] = ACTIONS(12290),
  },
  [9563] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_LT_COLON] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12158),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [9564] = {
    [sym__word_identifier] = ACTIONS(12188),
    [anon_sym_COLON] = ACTIONS(12188),
    [anon_sym_begin] = ACTIONS(12188),
    [anon_sym_module] = ACTIONS(12188),
    [anon_sym_baremodule] = ACTIONS(12188),
    [anon_sym_end] = ACTIONS(12188),
    [anon_sym_abstract] = ACTIONS(12188),
    [anon_sym_primitive] = ACTIONS(12188),
    [anon_sym_mutable] = ACTIONS(12188),
    [anon_sym_struct] = ACTIONS(12188),
    [anon_sym_LT_COLON] = ACTIONS(12188),
    [anon_sym_function] = ACTIONS(12188),
    [anon_sym_macro] = ACTIONS(12188),
    [anon_sym_quote] = ACTIONS(12188),
    [anon_sym_let] = ACTIONS(12188),
    [anon_sym_if] = ACTIONS(12188),
    [anon_sym_try] = ACTIONS(12188),
    [anon_sym_for] = ACTIONS(12188),
    [anon_sym_while] = ACTIONS(12188),
    [sym_break_statement] = ACTIONS(12188),
    [sym_continue_statement] = ACTIONS(12188),
    [anon_sym_return] = ACTIONS(12188),
    [anon_sym_const] = ACTIONS(12188),
    [anon_sym_global] = ACTIONS(12188),
    [anon_sym_local] = ACTIONS(12188),
    [anon_sym_LPAREN] = ACTIONS(12188),
    [anon_sym_export] = ACTIONS(12188),
    [anon_sym_import] = ACTIONS(12188),
    [anon_sym_using] = ACTIONS(12188),
    [anon_sym_LBRACK] = ACTIONS(12188),
    [anon_sym_LF] = ACTIONS(12190),
    [anon_sym_LBRACE] = ACTIONS(12188),
    [anon_sym_DOLLAR] = ACTIONS(12188),
    [anon_sym_COLON_COLON] = ACTIONS(12188),
    [anon_sym_AT] = ACTIONS(12188),
    [anon_sym_true] = ACTIONS(12188),
    [anon_sym_false] = ACTIONS(12188),
    [aux_sym_integer_literal_token1] = ACTIONS(12188),
    [aux_sym_integer_literal_token2] = ACTIONS(12188),
    [aux_sym_integer_literal_token3] = ACTIONS(12188),
    [aux_sym_integer_literal_token4] = ACTIONS(12188),
    [aux_sym_float_literal_token1] = ACTIONS(12188),
    [aux_sym_float_literal_token3] = ACTIONS(12188),
    [aux_sym_float_literal_token4] = ACTIONS(12188),
    [sym_character_literal] = ACTIONS(12188),
    [sym__pair_operator] = ACTIONS(12188),
    [sym__arrow_operator] = ACTIONS(12188),
    [sym__comparison_operator] = ACTIONS(12188),
    [sym__pipe_right_operator] = ACTIONS(12188),
    [sym__pipe_left_operator] = ACTIONS(12188),
    [sym__ellipsis_operator] = ACTIONS(12188),
    [sym__plus_operator] = ACTIONS(12188),
    [sym__times_operator] = ACTIONS(12188),
    [sym__rational_operator] = ACTIONS(12188),
    [sym__bitshift_operator] = ACTIONS(12188),
    [sym__power_operator] = ACTIONS(12188),
    [sym__tilde_operator] = ACTIONS(12188),
    [sym__type_order_operator] = ACTIONS(12188),
    [sym__unary_operator] = ACTIONS(12188),
    [sym__unary_plus_operator] = ACTIONS(12188),
    [aux_sym__terminator_token1] = ACTIONS(12188),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12190),
    [sym__string_start] = ACTIONS(12190),
    [sym__command_start] = ACTIONS(12190),
  },
  [9565] = {
    [sym__word_identifier] = ACTIONS(11926),
    [anon_sym_COLON] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11926),
    [anon_sym_module] = ACTIONS(11926),
    [anon_sym_baremodule] = ACTIONS(11926),
    [anon_sym_end] = ACTIONS(11926),
    [anon_sym_abstract] = ACTIONS(11926),
    [anon_sym_primitive] = ACTIONS(11926),
    [anon_sym_mutable] = ACTIONS(11926),
    [anon_sym_struct] = ACTIONS(11926),
    [anon_sym_function] = ACTIONS(11926),
    [anon_sym_macro] = ACTIONS(11926),
    [anon_sym_quote] = ACTIONS(11926),
    [anon_sym_let] = ACTIONS(11926),
    [anon_sym_if] = ACTIONS(11926),
    [anon_sym_try] = ACTIONS(11926),
    [anon_sym_for] = ACTIONS(11926),
    [anon_sym_while] = ACTIONS(11926),
    [sym_break_statement] = ACTIONS(11926),
    [sym_continue_statement] = ACTIONS(11926),
    [anon_sym_return] = ACTIONS(11926),
    [anon_sym_const] = ACTIONS(11926),
    [anon_sym_global] = ACTIONS(11926),
    [anon_sym_local] = ACTIONS(11926),
    [anon_sym_LPAREN] = ACTIONS(11926),
    [anon_sym_export] = ACTIONS(11926),
    [anon_sym_import] = ACTIONS(11926),
    [anon_sym_using] = ACTIONS(11926),
    [anon_sym_LBRACK] = ACTIONS(11926),
    [anon_sym_LF] = ACTIONS(11928),
    [anon_sym_LBRACE] = ACTIONS(11926),
    [anon_sym_DOLLAR] = ACTIONS(11926),
    [anon_sym_COLON_COLON] = ACTIONS(11926),
    [anon_sym_AT] = ACTIONS(11926),
    [anon_sym_true] = ACTIONS(11926),
    [anon_sym_false] = ACTIONS(11926),
    [aux_sym_integer_literal_token1] = ACTIONS(11926),
    [aux_sym_integer_literal_token2] = ACTIONS(11926),
    [aux_sym_integer_literal_token3] = ACTIONS(11926),
    [aux_sym_integer_literal_token4] = ACTIONS(11926),
    [aux_sym_float_literal_token1] = ACTIONS(11926),
    [aux_sym_float_literal_token3] = ACTIONS(11926),
    [aux_sym_float_literal_token4] = ACTIONS(11926),
    [sym_character_literal] = ACTIONS(11926),
    [sym__pair_operator] = ACTIONS(11926),
    [sym__arrow_operator] = ACTIONS(11926),
    [sym__comparison_operator] = ACTIONS(11926),
    [sym__pipe_right_operator] = ACTIONS(11926),
    [sym__pipe_left_operator] = ACTIONS(11926),
    [sym__ellipsis_operator] = ACTIONS(11926),
    [sym__plus_operator] = ACTIONS(11926),
    [sym__times_operator] = ACTIONS(11926),
    [sym__rational_operator] = ACTIONS(11926),
    [sym__bitshift_operator] = ACTIONS(11926),
    [sym__power_operator] = ACTIONS(11926),
    [sym__tilde_operator] = ACTIONS(11926),
    [sym__type_order_operator] = ACTIONS(11926),
    [sym__unary_operator] = ACTIONS(11926),
    [sym__unary_plus_operator] = ACTIONS(11926),
    [aux_sym__terminator_token1] = ACTIONS(11926),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11928),
    [sym__command_start] = ACTIONS(11928),
    [sym__immediate_string_start] = ACTIONS(15234),
    [sym__immediate_command_start] = ACTIONS(15236),
  },
  [9566] = {
    [sym__word_identifier] = ACTIONS(12214),
    [anon_sym_COLON] = ACTIONS(12214),
    [anon_sym_begin] = ACTIONS(12214),
    [anon_sym_module] = ACTIONS(12214),
    [anon_sym_baremodule] = ACTIONS(12214),
    [anon_sym_end] = ACTIONS(12214),
    [anon_sym_abstract] = ACTIONS(12214),
    [anon_sym_primitive] = ACTIONS(12214),
    [anon_sym_mutable] = ACTIONS(12214),
    [anon_sym_struct] = ACTIONS(12214),
    [anon_sym_LT_COLON] = ACTIONS(12214),
    [anon_sym_function] = ACTIONS(12214),
    [anon_sym_macro] = ACTIONS(12214),
    [anon_sym_quote] = ACTIONS(12214),
    [anon_sym_let] = ACTIONS(12214),
    [anon_sym_if] = ACTIONS(12214),
    [anon_sym_try] = ACTIONS(12214),
    [anon_sym_for] = ACTIONS(12214),
    [anon_sym_while] = ACTIONS(12214),
    [sym_break_statement] = ACTIONS(12214),
    [sym_continue_statement] = ACTIONS(12214),
    [anon_sym_return] = ACTIONS(12214),
    [anon_sym_const] = ACTIONS(12214),
    [anon_sym_global] = ACTIONS(12214),
    [anon_sym_local] = ACTIONS(12214),
    [anon_sym_LPAREN] = ACTIONS(12214),
    [anon_sym_export] = ACTIONS(12214),
    [anon_sym_import] = ACTIONS(12214),
    [anon_sym_using] = ACTIONS(12214),
    [anon_sym_LBRACK] = ACTIONS(12214),
    [anon_sym_LF] = ACTIONS(12216),
    [anon_sym_LBRACE] = ACTIONS(12214),
    [anon_sym_DOLLAR] = ACTIONS(12214),
    [anon_sym_COLON_COLON] = ACTIONS(12214),
    [anon_sym_AT] = ACTIONS(12214),
    [anon_sym_true] = ACTIONS(12214),
    [anon_sym_false] = ACTIONS(12214),
    [aux_sym_integer_literal_token1] = ACTIONS(12214),
    [aux_sym_integer_literal_token2] = ACTIONS(12214),
    [aux_sym_integer_literal_token3] = ACTIONS(12214),
    [aux_sym_integer_literal_token4] = ACTIONS(12214),
    [aux_sym_float_literal_token1] = ACTIONS(12214),
    [aux_sym_float_literal_token3] = ACTIONS(12214),
    [aux_sym_float_literal_token4] = ACTIONS(12214),
    [sym_character_literal] = ACTIONS(12214),
    [sym__pair_operator] = ACTIONS(12214),
    [sym__arrow_operator] = ACTIONS(12214),
    [sym__comparison_operator] = ACTIONS(12214),
    [sym__pipe_right_operator] = ACTIONS(12214),
    [sym__pipe_left_operator] = ACTIONS(12214),
    [sym__ellipsis_operator] = ACTIONS(12214),
    [sym__plus_operator] = ACTIONS(12214),
    [sym__times_operator] = ACTIONS(12214),
    [sym__rational_operator] = ACTIONS(12214),
    [sym__bitshift_operator] = ACTIONS(12214),
    [sym__power_operator] = ACTIONS(12214),
    [sym__tilde_operator] = ACTIONS(12214),
    [sym__type_order_operator] = ACTIONS(12214),
    [sym__unary_operator] = ACTIONS(12214),
    [sym__unary_plus_operator] = ACTIONS(12214),
    [aux_sym__terminator_token1] = ACTIONS(12214),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12216),
    [sym__string_start] = ACTIONS(12216),
    [sym__command_start] = ACTIONS(12216),
  },
  [9567] = {
    [sym_where_clause] = STATE(9628),
    [sym__word_identifier] = ACTIONS(15238),
    [anon_sym_COLON] = ACTIONS(15238),
    [anon_sym_begin] = ACTIONS(15238),
    [anon_sym_module] = ACTIONS(15238),
    [anon_sym_baremodule] = ACTIONS(15238),
    [anon_sym_end] = ACTIONS(15238),
    [anon_sym_abstract] = ACTIONS(15238),
    [anon_sym_primitive] = ACTIONS(15238),
    [anon_sym_mutable] = ACTIONS(15238),
    [anon_sym_struct] = ACTIONS(15238),
    [anon_sym_function] = ACTIONS(15238),
    [anon_sym_macro] = ACTIONS(15238),
    [anon_sym_where] = ACTIONS(15176),
    [anon_sym_quote] = ACTIONS(15238),
    [anon_sym_let] = ACTIONS(15238),
    [anon_sym_if] = ACTIONS(15238),
    [anon_sym_try] = ACTIONS(15238),
    [anon_sym_for] = ACTIONS(15238),
    [anon_sym_while] = ACTIONS(15238),
    [sym_break_statement] = ACTIONS(15238),
    [sym_continue_statement] = ACTIONS(15238),
    [anon_sym_return] = ACTIONS(15238),
    [anon_sym_const] = ACTIONS(15238),
    [anon_sym_global] = ACTIONS(15238),
    [anon_sym_local] = ACTIONS(15238),
    [anon_sym_LPAREN] = ACTIONS(15238),
    [anon_sym_export] = ACTIONS(15238),
    [anon_sym_import] = ACTIONS(15238),
    [anon_sym_using] = ACTIONS(15238),
    [anon_sym_LBRACK] = ACTIONS(15238),
    [anon_sym_LF] = ACTIONS(15240),
    [anon_sym_LBRACE] = ACTIONS(15238),
    [anon_sym_DOLLAR] = ACTIONS(15238),
    [anon_sym_COLON_COLON] = ACTIONS(15238),
    [anon_sym_AT] = ACTIONS(15238),
    [anon_sym_true] = ACTIONS(15238),
    [anon_sym_false] = ACTIONS(15238),
    [aux_sym_integer_literal_token1] = ACTIONS(15238),
    [aux_sym_integer_literal_token2] = ACTIONS(15238),
    [aux_sym_integer_literal_token3] = ACTIONS(15238),
    [aux_sym_integer_literal_token4] = ACTIONS(15238),
    [aux_sym_float_literal_token1] = ACTIONS(15238),
    [aux_sym_float_literal_token3] = ACTIONS(15238),
    [aux_sym_float_literal_token4] = ACTIONS(15238),
    [sym_character_literal] = ACTIONS(15238),
    [sym__pair_operator] = ACTIONS(15238),
    [sym__arrow_operator] = ACTIONS(15238),
    [sym__comparison_operator] = ACTIONS(15238),
    [sym__pipe_right_operator] = ACTIONS(15238),
    [sym__pipe_left_operator] = ACTIONS(15238),
    [sym__ellipsis_operator] = ACTIONS(15238),
    [sym__plus_operator] = ACTIONS(15238),
    [sym__times_operator] = ACTIONS(15238),
    [sym__rational_operator] = ACTIONS(15238),
    [sym__bitshift_operator] = ACTIONS(15238),
    [sym__power_operator] = ACTIONS(15238),
    [sym__tilde_operator] = ACTIONS(15238),
    [sym__type_order_operator] = ACTIONS(15238),
    [sym__unary_operator] = ACTIONS(15238),
    [sym__unary_plus_operator] = ACTIONS(15238),
    [aux_sym__terminator_token1] = ACTIONS(15238),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(15240),
    [sym__command_start] = ACTIONS(15240),
  },
  [9568] = {
    [aux_sym_for_statement_repeat1] = STATE(9568),
    [sym__word_identifier] = ACTIONS(15242),
    [anon_sym_COMMA] = ACTIONS(15244),
    [anon_sym_COLON] = ACTIONS(15242),
    [anon_sym_begin] = ACTIONS(15242),
    [anon_sym_module] = ACTIONS(15242),
    [anon_sym_baremodule] = ACTIONS(15242),
    [anon_sym_end] = ACTIONS(15242),
    [anon_sym_abstract] = ACTIONS(15242),
    [anon_sym_primitive] = ACTIONS(15242),
    [anon_sym_mutable] = ACTIONS(15242),
    [anon_sym_struct] = ACTIONS(15242),
    [anon_sym_function] = ACTIONS(15242),
    [anon_sym_macro] = ACTIONS(15242),
    [anon_sym_quote] = ACTIONS(15242),
    [anon_sym_let] = ACTIONS(15242),
    [anon_sym_if] = ACTIONS(15242),
    [anon_sym_try] = ACTIONS(15242),
    [anon_sym_for] = ACTIONS(15242),
    [anon_sym_while] = ACTIONS(15242),
    [sym_break_statement] = ACTIONS(15242),
    [sym_continue_statement] = ACTIONS(15242),
    [anon_sym_return] = ACTIONS(15242),
    [anon_sym_const] = ACTIONS(15242),
    [anon_sym_global] = ACTIONS(15242),
    [anon_sym_local] = ACTIONS(15242),
    [anon_sym_LPAREN] = ACTIONS(15242),
    [anon_sym_export] = ACTIONS(15242),
    [anon_sym_import] = ACTIONS(15242),
    [anon_sym_using] = ACTIONS(15242),
    [anon_sym_LBRACK] = ACTIONS(15242),
    [anon_sym_LF] = ACTIONS(15247),
    [anon_sym_LBRACE] = ACTIONS(15242),
    [anon_sym_DOLLAR] = ACTIONS(15242),
    [anon_sym_COLON_COLON] = ACTIONS(15242),
    [anon_sym_AT] = ACTIONS(15242),
    [anon_sym_true] = ACTIONS(15242),
    [anon_sym_false] = ACTIONS(15242),
    [aux_sym_integer_literal_token1] = ACTIONS(15242),
    [aux_sym_integer_literal_token2] = ACTIONS(15242),
    [aux_sym_integer_literal_token3] = ACTIONS(15242),
    [aux_sym_integer_literal_token4] = ACTIONS(15242),
    [aux_sym_float_literal_token1] = ACTIONS(15242),
    [aux_sym_float_literal_token3] = ACTIONS(15242),
    [aux_sym_float_literal_token4] = ACTIONS(15242),
    [sym_character_literal] = ACTIONS(15242),
    [sym__pair_operator] = ACTIONS(15242),
    [sym__arrow_operator] = ACTIONS(15242),
    [sym__comparison_operator] = ACTIONS(15242),
    [sym__pipe_right_operator] = ACTIONS(15242),
    [sym__pipe_left_operator] = ACTIONS(15242),
    [sym__ellipsis_operator] = ACTIONS(15242),
    [sym__plus_operator] = ACTIONS(15242),
    [sym__times_operator] = ACTIONS(15242),
    [sym__rational_operator] = ACTIONS(15242),
    [sym__bitshift_operator] = ACTIONS(15242),
    [sym__power_operator] = ACTIONS(15242),
    [sym__tilde_operator] = ACTIONS(15242),
    [sym__type_order_operator] = ACTIONS(15242),
    [sym__unary_operator] = ACTIONS(15242),
    [sym__unary_plus_operator] = ACTIONS(15242),
    [aux_sym__terminator_token1] = ACTIONS(15242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(15247),
    [sym__command_start] = ACTIONS(15247),
  },
  [9569] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_LT_COLON] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(11960),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [9570] = {
    [sym__word_identifier] = ACTIONS(12208),
    [anon_sym_COLON] = ACTIONS(12208),
    [anon_sym_begin] = ACTIONS(12208),
    [anon_sym_module] = ACTIONS(12208),
    [anon_sym_baremodule] = ACTIONS(12208),
    [anon_sym_end] = ACTIONS(12208),
    [anon_sym_abstract] = ACTIONS(12208),
    [anon_sym_primitive] = ACTIONS(12208),
    [anon_sym_mutable] = ACTIONS(12208),
    [anon_sym_struct] = ACTIONS(12208),
    [anon_sym_LT_COLON] = ACTIONS(12208),
    [anon_sym_function] = ACTIONS(12208),
    [anon_sym_macro] = ACTIONS(12208),
    [anon_sym_quote] = ACTIONS(12208),
    [anon_sym_let] = ACTIONS(12208),
    [anon_sym_if] = ACTIONS(12208),
    [anon_sym_try] = ACTIONS(12208),
    [anon_sym_for] = ACTIONS(12208),
    [anon_sym_while] = ACTIONS(12208),
    [sym_break_statement] = ACTIONS(12208),
    [sym_continue_statement] = ACTIONS(12208),
    [anon_sym_return] = ACTIONS(12208),
    [anon_sym_const] = ACTIONS(12208),
    [anon_sym_global] = ACTIONS(12208),
    [anon_sym_local] = ACTIONS(12208),
    [anon_sym_LPAREN] = ACTIONS(12208),
    [anon_sym_export] = ACTIONS(12208),
    [anon_sym_import] = ACTIONS(12208),
    [anon_sym_using] = ACTIONS(12208),
    [anon_sym_LBRACK] = ACTIONS(12208),
    [anon_sym_LF] = ACTIONS(12206),
    [anon_sym_LBRACE] = ACTIONS(12208),
    [anon_sym_DOLLAR] = ACTIONS(12208),
    [anon_sym_COLON_COLON] = ACTIONS(12208),
    [anon_sym_AT] = ACTIONS(12208),
    [anon_sym_true] = ACTIONS(12208),
    [anon_sym_false] = ACTIONS(12208),
    [aux_sym_integer_literal_token1] = ACTIONS(12208),
    [aux_sym_integer_literal_token2] = ACTIONS(12208),
    [aux_sym_integer_literal_token3] = ACTIONS(12208),
    [aux_sym_integer_literal_token4] = ACTIONS(12208),
    [aux_sym_float_literal_token1] = ACTIONS(12208),
    [aux_sym_float_literal_token3] = ACTIONS(12208),
    [aux_sym_float_literal_token4] = ACTIONS(12208),
    [sym_character_literal] = ACTIONS(12208),
    [sym__pair_operator] = ACTIONS(12208),
    [sym__arrow_operator] = ACTIONS(12208),
    [sym__comparison_operator] = ACTIONS(12208),
    [sym__pipe_right_operator] = ACTIONS(12208),
    [sym__pipe_left_operator] = ACTIONS(12208),
    [sym__ellipsis_operator] = ACTIONS(12208),
    [sym__plus_operator] = ACTIONS(12208),
    [sym__times_operator] = ACTIONS(12208),
    [sym__rational_operator] = ACTIONS(12208),
    [sym__bitshift_operator] = ACTIONS(12208),
    [sym__power_operator] = ACTIONS(12208),
    [sym__tilde_operator] = ACTIONS(12208),
    [sym__type_order_operator] = ACTIONS(12208),
    [sym__unary_operator] = ACTIONS(12208),
    [sym__unary_plus_operator] = ACTIONS(12208),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12206),
    [sym__string_start] = ACTIONS(12206),
    [sym__command_start] = ACTIONS(12206),
  },
  [9571] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_LT_COLON] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12212),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [9572] = {
    [sym__word_identifier] = ACTIONS(12326),
    [anon_sym_COLON] = ACTIONS(12326),
    [anon_sym_begin] = ACTIONS(12326),
    [anon_sym_module] = ACTIONS(12326),
    [anon_sym_baremodule] = ACTIONS(12326),
    [anon_sym_end] = ACTIONS(12326),
    [anon_sym_abstract] = ACTIONS(12326),
    [anon_sym_primitive] = ACTIONS(12326),
    [anon_sym_mutable] = ACTIONS(12326),
    [anon_sym_struct] = ACTIONS(12326),
    [anon_sym_LT_COLON] = ACTIONS(12326),
    [anon_sym_function] = ACTIONS(12326),
    [anon_sym_macro] = ACTIONS(12326),
    [anon_sym_quote] = ACTIONS(12326),
    [anon_sym_let] = ACTIONS(12326),
    [anon_sym_if] = ACTIONS(12326),
    [anon_sym_try] = ACTIONS(12326),
    [anon_sym_for] = ACTIONS(12326),
    [anon_sym_while] = ACTIONS(12326),
    [sym_break_statement] = ACTIONS(12326),
    [sym_continue_statement] = ACTIONS(12326),
    [anon_sym_return] = ACTIONS(12326),
    [anon_sym_const] = ACTIONS(12326),
    [anon_sym_global] = ACTIONS(12326),
    [anon_sym_local] = ACTIONS(12326),
    [anon_sym_LPAREN] = ACTIONS(12326),
    [anon_sym_export] = ACTIONS(12326),
    [anon_sym_import] = ACTIONS(12326),
    [anon_sym_using] = ACTIONS(12326),
    [anon_sym_LBRACK] = ACTIONS(12326),
    [anon_sym_LF] = ACTIONS(12324),
    [anon_sym_LBRACE] = ACTIONS(12326),
    [anon_sym_DOLLAR] = ACTIONS(12326),
    [anon_sym_COLON_COLON] = ACTIONS(12326),
    [anon_sym_AT] = ACTIONS(12326),
    [anon_sym_true] = ACTIONS(12326),
    [anon_sym_false] = ACTIONS(12326),
    [aux_sym_integer_literal_token1] = ACTIONS(12326),
    [aux_sym_integer_literal_token2] = ACTIONS(12326),
    [aux_sym_integer_literal_token3] = ACTIONS(12326),
    [aux_sym_integer_literal_token4] = ACTIONS(12326),
    [aux_sym_float_literal_token1] = ACTIONS(12326),
    [aux_sym_float_literal_token3] = ACTIONS(12326),
    [aux_sym_float_literal_token4] = ACTIONS(12326),
    [sym_character_literal] = ACTIONS(12326),
    [sym__pair_operator] = ACTIONS(12326),
    [sym__arrow_operator] = ACTIONS(12326),
    [sym__comparison_operator] = ACTIONS(12326),
    [sym__pipe_right_operator] = ACTIONS(12326),
    [sym__pipe_left_operator] = ACTIONS(12326),
    [sym__ellipsis_operator] = ACTIONS(12326),
    [sym__plus_operator] = ACTIONS(12326),
    [sym__times_operator] = ACTIONS(12326),
    [sym__rational_operator] = ACTIONS(12326),
    [sym__bitshift_operator] = ACTIONS(12326),
    [sym__power_operator] = ACTIONS(12326),
    [sym__tilde_operator] = ACTIONS(12326),
    [sym__type_order_operator] = ACTIONS(12326),
    [sym__unary_operator] = ACTIONS(12326),
    [sym__unary_plus_operator] = ACTIONS(12326),
    [aux_sym__terminator_token1] = ACTIONS(12326),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12324),
    [sym__string_start] = ACTIONS(12324),
    [sym__command_start] = ACTIONS(12324),
  },
  [9573] = {
    [sym__word_identifier] = ACTIONS(12348),
    [anon_sym_COLON] = ACTIONS(12348),
    [anon_sym_begin] = ACTIONS(12348),
    [anon_sym_module] = ACTIONS(12348),
    [anon_sym_baremodule] = ACTIONS(12348),
    [anon_sym_end] = ACTIONS(12348),
    [anon_sym_abstract] = ACTIONS(12348),
    [anon_sym_primitive] = ACTIONS(12348),
    [anon_sym_mutable] = ACTIONS(12348),
    [anon_sym_struct] = ACTIONS(12348),
    [anon_sym_LT_COLON] = ACTIONS(12348),
    [anon_sym_function] = ACTIONS(12348),
    [anon_sym_macro] = ACTIONS(12348),
    [anon_sym_quote] = ACTIONS(12348),
    [anon_sym_let] = ACTIONS(12348),
    [anon_sym_if] = ACTIONS(12348),
    [anon_sym_try] = ACTIONS(12348),
    [anon_sym_for] = ACTIONS(12348),
    [anon_sym_while] = ACTIONS(12348),
    [sym_break_statement] = ACTIONS(12348),
    [sym_continue_statement] = ACTIONS(12348),
    [anon_sym_return] = ACTIONS(12348),
    [anon_sym_const] = ACTIONS(12348),
    [anon_sym_global] = ACTIONS(12348),
    [anon_sym_local] = ACTIONS(12348),
    [anon_sym_LPAREN] = ACTIONS(12348),
    [anon_sym_export] = ACTIONS(12348),
    [anon_sym_import] = ACTIONS(12348),
    [anon_sym_using] = ACTIONS(12348),
    [anon_sym_LBRACK] = ACTIONS(12348),
    [anon_sym_LF] = ACTIONS(12346),
    [anon_sym_LBRACE] = ACTIONS(12348),
    [anon_sym_DOLLAR] = ACTIONS(12348),
    [anon_sym_COLON_COLON] = ACTIONS(12348),
    [anon_sym_AT] = ACTIONS(12348),
    [anon_sym_true] = ACTIONS(12348),
    [anon_sym_false] = ACTIONS(12348),
    [aux_sym_integer_literal_token1] = ACTIONS(12348),
    [aux_sym_integer_literal_token2] = ACTIONS(12348),
    [aux_sym_integer_literal_token3] = ACTIONS(12348),
    [aux_sym_integer_literal_token4] = ACTIONS(12348),
    [aux_sym_float_literal_token1] = ACTIONS(12348),
    [aux_sym_float_literal_token3] = ACTIONS(12348),
    [aux_sym_float_literal_token4] = ACTIONS(12348),
    [sym_character_literal] = ACTIONS(12348),
    [sym__pair_operator] = ACTIONS(12348),
    [sym__arrow_operator] = ACTIONS(12348),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12348),
    [sym__pipe_left_operator] = ACTIONS(12348),
    [sym__ellipsis_operator] = ACTIONS(12348),
    [sym__plus_operator] = ACTIONS(12348),
    [sym__times_operator] = ACTIONS(12348),
    [sym__rational_operator] = ACTIONS(12348),
    [sym__bitshift_operator] = ACTIONS(12348),
    [sym__power_operator] = ACTIONS(12348),
    [sym__tilde_operator] = ACTIONS(12348),
    [sym__type_order_operator] = ACTIONS(12348),
    [sym__unary_operator] = ACTIONS(12348),
    [sym__unary_plus_operator] = ACTIONS(12348),
    [aux_sym__terminator_token1] = ACTIONS(12348),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12346),
    [sym__string_start] = ACTIONS(12346),
    [sym__command_start] = ACTIONS(12346),
  },
  [9574] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_LT_COLON] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(11866),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
  },
  [9575] = {
    [sym__word_identifier] = ACTIONS(12218),
    [anon_sym_COLON] = ACTIONS(12218),
    [anon_sym_begin] = ACTIONS(12218),
    [anon_sym_module] = ACTIONS(12218),
    [anon_sym_baremodule] = ACTIONS(12218),
    [anon_sym_end] = ACTIONS(12218),
    [anon_sym_abstract] = ACTIONS(12218),
    [anon_sym_primitive] = ACTIONS(12218),
    [anon_sym_mutable] = ACTIONS(12218),
    [anon_sym_struct] = ACTIONS(12218),
    [anon_sym_LT_COLON] = ACTIONS(12218),
    [anon_sym_function] = ACTIONS(12218),
    [anon_sym_macro] = ACTIONS(12218),
    [anon_sym_quote] = ACTIONS(12218),
    [anon_sym_let] = ACTIONS(12218),
    [anon_sym_if] = ACTIONS(12218),
    [anon_sym_try] = ACTIONS(12218),
    [anon_sym_for] = ACTIONS(12218),
    [anon_sym_while] = ACTIONS(12218),
    [sym_break_statement] = ACTIONS(12218),
    [sym_continue_statement] = ACTIONS(12218),
    [anon_sym_return] = ACTIONS(12218),
    [anon_sym_const] = ACTIONS(12218),
    [anon_sym_global] = ACTIONS(12218),
    [anon_sym_local] = ACTIONS(12218),
    [anon_sym_LPAREN] = ACTIONS(12218),
    [anon_sym_export] = ACTIONS(12218),
    [anon_sym_import] = ACTIONS(12218),
    [anon_sym_using] = ACTIONS(12218),
    [anon_sym_LBRACK] = ACTIONS(12218),
    [anon_sym_LF] = ACTIONS(12220),
    [anon_sym_LBRACE] = ACTIONS(12218),
    [anon_sym_DOLLAR] = ACTIONS(12218),
    [anon_sym_COLON_COLON] = ACTIONS(12218),
    [anon_sym_AT] = ACTIONS(12218),
    [anon_sym_true] = ACTIONS(12218),
    [anon_sym_false] = ACTIONS(12218),
    [aux_sym_integer_literal_token1] = ACTIONS(12218),
    [aux_sym_integer_literal_token2] = ACTIONS(12218),
    [aux_sym_integer_literal_token3] = ACTIONS(12218),
    [aux_sym_integer_literal_token4] = ACTIONS(12218),
    [aux_sym_float_literal_token1] = ACTIONS(12218),
    [aux_sym_float_literal_token3] = ACTIONS(12218),
    [aux_sym_float_literal_token4] = ACTIONS(12218),
    [sym_character_literal] = ACTIONS(12218),
    [sym__pair_operator] = ACTIONS(12218),
    [sym__arrow_operator] = ACTIONS(12218),
    [sym__comparison_operator] = ACTIONS(12218),
    [sym__pipe_right_operator] = ACTIONS(12218),
    [sym__pipe_left_operator] = ACTIONS(12218),
    [sym__ellipsis_operator] = ACTIONS(12218),
    [sym__plus_operator] = ACTIONS(12218),
    [sym__times_operator] = ACTIONS(12218),
    [sym__rational_operator] = ACTIONS(12218),
    [sym__bitshift_operator] = ACTIONS(12218),
    [sym__power_operator] = ACTIONS(12218),
    [sym__tilde_operator] = ACTIONS(12218),
    [sym__type_order_operator] = ACTIONS(12218),
    [sym__unary_operator] = ACTIONS(12218),
    [sym__unary_plus_operator] = ACTIONS(12218),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12220),
    [sym__string_start] = ACTIONS(12220),
    [sym__command_start] = ACTIONS(12220),
  },
  [9576] = {
    [sym__word_identifier] = ACTIONS(12136),
    [anon_sym_COLON] = ACTIONS(12136),
    [anon_sym_begin] = ACTIONS(12136),
    [anon_sym_module] = ACTIONS(12136),
    [anon_sym_baremodule] = ACTIONS(12136),
    [anon_sym_end] = ACTIONS(12136),
    [anon_sym_abstract] = ACTIONS(12136),
    [anon_sym_primitive] = ACTIONS(12136),
    [anon_sym_mutable] = ACTIONS(12136),
    [anon_sym_struct] = ACTIONS(12136),
    [anon_sym_LT_COLON] = ACTIONS(12136),
    [anon_sym_function] = ACTIONS(12136),
    [anon_sym_macro] = ACTIONS(12136),
    [anon_sym_quote] = ACTIONS(12136),
    [anon_sym_let] = ACTIONS(12136),
    [anon_sym_if] = ACTIONS(12136),
    [anon_sym_try] = ACTIONS(12136),
    [anon_sym_for] = ACTIONS(12136),
    [anon_sym_while] = ACTIONS(12136),
    [sym_break_statement] = ACTIONS(12136),
    [sym_continue_statement] = ACTIONS(12136),
    [anon_sym_return] = ACTIONS(12136),
    [anon_sym_const] = ACTIONS(12136),
    [anon_sym_global] = ACTIONS(12136),
    [anon_sym_local] = ACTIONS(12136),
    [anon_sym_LPAREN] = ACTIONS(12136),
    [anon_sym_export] = ACTIONS(12136),
    [anon_sym_import] = ACTIONS(12136),
    [anon_sym_using] = ACTIONS(12136),
    [anon_sym_LBRACK] = ACTIONS(12136),
    [anon_sym_LF] = ACTIONS(12138),
    [anon_sym_LBRACE] = ACTIONS(12136),
    [anon_sym_DOLLAR] = ACTIONS(12136),
    [anon_sym_COLON_COLON] = ACTIONS(12136),
    [anon_sym_AT] = ACTIONS(12136),
    [anon_sym_true] = ACTIONS(12136),
    [anon_sym_false] = ACTIONS(12136),
    [aux_sym_integer_literal_token1] = ACTIONS(12136),
    [aux_sym_integer_literal_token2] = ACTIONS(12136),
    [aux_sym_integer_literal_token3] = ACTIONS(12136),
    [aux_sym_integer_literal_token4] = ACTIONS(12136),
    [aux_sym_float_literal_token1] = ACTIONS(12136),
    [aux_sym_float_literal_token3] = ACTIONS(12136),
    [aux_sym_float_literal_token4] = ACTIONS(12136),
    [sym_character_literal] = ACTIONS(12136),
    [sym__pair_operator] = ACTIONS(12136),
    [sym__arrow_operator] = ACTIONS(12136),
    [sym__comparison_operator] = ACTIONS(12136),
    [sym__pipe_right_operator] = ACTIONS(12136),
    [sym__pipe_left_operator] = ACTIONS(12136),
    [sym__ellipsis_operator] = ACTIONS(12136),
    [sym__plus_operator] = ACTIONS(12136),
    [sym__times_operator] = ACTIONS(12136),
    [sym__rational_operator] = ACTIONS(12136),
    [sym__bitshift_operator] = ACTIONS(12136),
    [sym__power_operator] = ACTIONS(12136),
    [sym__tilde_operator] = ACTIONS(12136),
    [sym__type_order_operator] = ACTIONS(12136),
    [sym__unary_operator] = ACTIONS(12136),
    [sym__unary_plus_operator] = ACTIONS(12136),
    [aux_sym__terminator_token1] = ACTIONS(12136),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12138),
    [sym__string_start] = ACTIONS(12138),
    [sym__command_start] = ACTIONS(12138),
  },
  [9577] = {
    [sym__primary_expression] = STATE(11204),
    [sym__array] = STATE(11204),
    [sym_comprehension_expression] = STATE(11204),
    [sym_matrix_expression] = STATE(11204),
    [sym_vector_expression] = STATE(11204),
    [sym_parenthesized_expression] = STATE(11204),
    [sym_tuple_expression] = STATE(11204),
    [sym_curly_expression] = STATE(11204),
    [sym_adjoint_expression] = STATE(11204),
    [sym_field_expression] = STATE(11204),
    [sym_index_expression] = STATE(11204),
    [sym_parametrized_type_expression] = STATE(11204),
    [sym_call_expression] = STATE(11204),
    [sym_broadcast_call_expression] = STATE(11204),
    [sym__closed_macrocall_expression] = STATE(11204),
    [sym_interpolation_expression] = STATE(11204),
    [sym_quote_expression] = STATE(11204),
    [sym_macro_identifier] = STATE(17010),
    [sym_identifier] = STATE(10591),
    [sym_boolean_literal] = STATE(11204),
    [sym__string] = STATE(11204),
    [sym_string_literal] = STATE(11204),
    [sym_command_literal] = STATE(11204),
    [sym_prefixed_string_literal] = STATE(11204),
    [sym_prefixed_command_literal] = STATE(11204),
    [sym_operator] = STATE(18511),
    [sym__word_identifier] = ACTIONS(14403),
    [anon_sym_EQ] = ACTIONS(11397),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(15249),
    [anon_sym_where] = ACTIONS(11397),
    [anon_sym_LPAREN] = ACTIONS(14407),
    [anon_sym_COLON2] = ACTIONS(11397),
    [anon_sym_LBRACK] = ACTIONS(14409),
    [anon_sym_in] = ACTIONS(11397),
    [anon_sym_LBRACE] = ACTIONS(14411),
    [anon_sym_DOLLAR] = ACTIONS(15198),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11397),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_AT] = ACTIONS(14415),
    [anon_sym_true] = ACTIONS(14417),
    [anon_sym_false] = ACTIONS(14417),
    [sym_character_literal] = ACTIONS(14419),
    [sym__pair_operator] = ACTIONS(11551),
    [sym__arrow_operator] = ACTIONS(11425),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11425),
    [sym__pipe_right_operator] = ACTIONS(11551),
    [sym__pipe_left_operator] = ACTIONS(11551),
    [sym__ellipsis_operator] = ACTIONS(11425),
    [sym__plus_operator] = ACTIONS(11425),
    [sym__times_operator] = ACTIONS(11425),
    [sym__rational_operator] = ACTIONS(11551),
    [sym__bitshift_operator] = ACTIONS(11551),
    [sym__power_operator] = ACTIONS(11551),
    [sym__tilde_operator] = ACTIONS(3021),
    [sym__type_order_operator] = ACTIONS(11551),
    [sym__unary_operator] = ACTIONS(3023),
    [sym__unary_plus_operator] = ACTIONS(11425),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(14421),
    [sym__command_start] = ACTIONS(14423),
  },
  [9578] = {
    [sym__word_identifier] = ACTIONS(12242),
    [anon_sym_COLON] = ACTIONS(12242),
    [anon_sym_begin] = ACTIONS(12242),
    [anon_sym_module] = ACTIONS(12242),
    [anon_sym_baremodule] = ACTIONS(12242),
    [anon_sym_end] = ACTIONS(12242),
    [anon_sym_abstract] = ACTIONS(12242),
    [anon_sym_primitive] = ACTIONS(12242),
    [anon_sym_mutable] = ACTIONS(12242),
    [anon_sym_struct] = ACTIONS(12242),
    [anon_sym_LT_COLON] = ACTIONS(12242),
    [anon_sym_function] = ACTIONS(12242),
    [anon_sym_macro] = ACTIONS(12242),
    [anon_sym_quote] = ACTIONS(12242),
    [anon_sym_let] = ACTIONS(12242),
    [anon_sym_if] = ACTIONS(12242),
    [anon_sym_try] = ACTIONS(12242),
    [anon_sym_for] = ACTIONS(12242),
    [anon_sym_while] = ACTIONS(12242),
    [sym_break_statement] = ACTIONS(12242),
    [sym_continue_statement] = ACTIONS(12242),
    [anon_sym_return] = ACTIONS(12242),
    [anon_sym_const] = ACTIONS(12242),
    [anon_sym_global] = ACTIONS(12242),
    [anon_sym_local] = ACTIONS(12242),
    [anon_sym_LPAREN] = ACTIONS(12242),
    [anon_sym_export] = ACTIONS(12242),
    [anon_sym_import] = ACTIONS(12242),
    [anon_sym_using] = ACTIONS(12242),
    [anon_sym_LBRACK] = ACTIONS(12242),
    [anon_sym_LF] = ACTIONS(12244),
    [anon_sym_LBRACE] = ACTIONS(12242),
    [anon_sym_DOLLAR] = ACTIONS(12242),
    [anon_sym_COLON_COLON] = ACTIONS(12242),
    [anon_sym_AT] = ACTIONS(12242),
    [anon_sym_true] = ACTIONS(12242),
    [anon_sym_false] = ACTIONS(12242),
    [aux_sym_integer_literal_token1] = ACTIONS(12242),
    [aux_sym_integer_literal_token2] = ACTIONS(12242),
    [aux_sym_integer_literal_token3] = ACTIONS(12242),
    [aux_sym_integer_literal_token4] = ACTIONS(12242),
    [aux_sym_float_literal_token1] = ACTIONS(12242),
    [aux_sym_float_literal_token3] = ACTIONS(12242),
    [aux_sym_float_literal_token4] = ACTIONS(12242),
    [sym_character_literal] = ACTIONS(12242),
    [sym__pair_operator] = ACTIONS(12242),
    [sym__arrow_operator] = ACTIONS(12242),
    [sym__comparison_operator] = ACTIONS(12242),
    [sym__pipe_right_operator] = ACTIONS(12242),
    [sym__pipe_left_operator] = ACTIONS(12242),
    [sym__ellipsis_operator] = ACTIONS(12242),
    [sym__plus_operator] = ACTIONS(12242),
    [sym__times_operator] = ACTIONS(12242),
    [sym__rational_operator] = ACTIONS(12242),
    [sym__bitshift_operator] = ACTIONS(12242),
    [sym__power_operator] = ACTIONS(12242),
    [sym__tilde_operator] = ACTIONS(12242),
    [sym__type_order_operator] = ACTIONS(12242),
    [sym__unary_operator] = ACTIONS(12242),
    [sym__unary_plus_operator] = ACTIONS(12242),
    [aux_sym__terminator_token1] = ACTIONS(12242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12244),
    [sym__string_start] = ACTIONS(12244),
    [sym__command_start] = ACTIONS(12244),
  },
  [9579] = {
    [sym__word_identifier] = ACTIONS(12230),
    [anon_sym_COLON] = ACTIONS(12230),
    [anon_sym_begin] = ACTIONS(12230),
    [anon_sym_module] = ACTIONS(12230),
    [anon_sym_baremodule] = ACTIONS(12230),
    [anon_sym_end] = ACTIONS(12230),
    [anon_sym_abstract] = ACTIONS(12230),
    [anon_sym_primitive] = ACTIONS(12230),
    [anon_sym_mutable] = ACTIONS(12230),
    [anon_sym_struct] = ACTIONS(12230),
    [anon_sym_LT_COLON] = ACTIONS(12230),
    [anon_sym_function] = ACTIONS(12230),
    [anon_sym_macro] = ACTIONS(12230),
    [anon_sym_quote] = ACTIONS(12230),
    [anon_sym_let] = ACTIONS(12230),
    [anon_sym_if] = ACTIONS(12230),
    [anon_sym_try] = ACTIONS(12230),
    [anon_sym_for] = ACTIONS(12230),
    [anon_sym_while] = ACTIONS(12230),
    [sym_break_statement] = ACTIONS(12230),
    [sym_continue_statement] = ACTIONS(12230),
    [anon_sym_return] = ACTIONS(12230),
    [anon_sym_const] = ACTIONS(12230),
    [anon_sym_global] = ACTIONS(12230),
    [anon_sym_local] = ACTIONS(12230),
    [anon_sym_LPAREN] = ACTIONS(12230),
    [anon_sym_export] = ACTIONS(12230),
    [anon_sym_import] = ACTIONS(12230),
    [anon_sym_using] = ACTIONS(12230),
    [anon_sym_LBRACK] = ACTIONS(12230),
    [anon_sym_LF] = ACTIONS(12232),
    [anon_sym_LBRACE] = ACTIONS(12230),
    [anon_sym_DOLLAR] = ACTIONS(12230),
    [anon_sym_COLON_COLON] = ACTIONS(12230),
    [anon_sym_AT] = ACTIONS(12230),
    [anon_sym_true] = ACTIONS(12230),
    [anon_sym_false] = ACTIONS(12230),
    [aux_sym_integer_literal_token1] = ACTIONS(12230),
    [aux_sym_integer_literal_token2] = ACTIONS(12230),
    [aux_sym_integer_literal_token3] = ACTIONS(12230),
    [aux_sym_integer_literal_token4] = ACTIONS(12230),
    [aux_sym_float_literal_token1] = ACTIONS(12230),
    [aux_sym_float_literal_token3] = ACTIONS(12230),
    [aux_sym_float_literal_token4] = ACTIONS(12230),
    [sym_character_literal] = ACTIONS(12230),
    [sym__pair_operator] = ACTIONS(12230),
    [sym__arrow_operator] = ACTIONS(12230),
    [sym__comparison_operator] = ACTIONS(12230),
    [sym__pipe_right_operator] = ACTIONS(12230),
    [sym__pipe_left_operator] = ACTIONS(12230),
    [sym__ellipsis_operator] = ACTIONS(12230),
    [sym__plus_operator] = ACTIONS(12230),
    [sym__times_operator] = ACTIONS(12230),
    [sym__rational_operator] = ACTIONS(12230),
    [sym__bitshift_operator] = ACTIONS(12230),
    [sym__power_operator] = ACTIONS(12230),
    [sym__tilde_operator] = ACTIONS(12230),
    [sym__type_order_operator] = ACTIONS(12230),
    [sym__unary_operator] = ACTIONS(12230),
    [sym__unary_plus_operator] = ACTIONS(12230),
    [aux_sym__terminator_token1] = ACTIONS(12230),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12232),
    [sym__string_start] = ACTIONS(12232),
    [sym__command_start] = ACTIONS(12232),
  },
  [9580] = {
    [sym__word_identifier] = ACTIONS(12112),
    [anon_sym_COLON] = ACTIONS(12112),
    [anon_sym_begin] = ACTIONS(12112),
    [anon_sym_module] = ACTIONS(12112),
    [anon_sym_baremodule] = ACTIONS(12112),
    [anon_sym_end] = ACTIONS(12112),
    [anon_sym_abstract] = ACTIONS(12112),
    [anon_sym_primitive] = ACTIONS(12112),
    [anon_sym_mutable] = ACTIONS(12112),
    [anon_sym_struct] = ACTIONS(12112),
    [anon_sym_LT_COLON] = ACTIONS(12112),
    [anon_sym_function] = ACTIONS(12112),
    [anon_sym_macro] = ACTIONS(12112),
    [anon_sym_quote] = ACTIONS(12112),
    [anon_sym_let] = ACTIONS(12112),
    [anon_sym_if] = ACTIONS(12112),
    [anon_sym_try] = ACTIONS(12112),
    [anon_sym_for] = ACTIONS(12112),
    [anon_sym_while] = ACTIONS(12112),
    [sym_break_statement] = ACTIONS(12112),
    [sym_continue_statement] = ACTIONS(12112),
    [anon_sym_return] = ACTIONS(12112),
    [anon_sym_const] = ACTIONS(12112),
    [anon_sym_global] = ACTIONS(12112),
    [anon_sym_local] = ACTIONS(12112),
    [anon_sym_LPAREN] = ACTIONS(12112),
    [anon_sym_export] = ACTIONS(12112),
    [anon_sym_import] = ACTIONS(12112),
    [anon_sym_using] = ACTIONS(12112),
    [anon_sym_LBRACK] = ACTIONS(12112),
    [anon_sym_LF] = ACTIONS(12110),
    [anon_sym_LBRACE] = ACTIONS(12112),
    [anon_sym_DOLLAR] = ACTIONS(12112),
    [anon_sym_COLON_COLON] = ACTIONS(12112),
    [anon_sym_AT] = ACTIONS(12112),
    [anon_sym_true] = ACTIONS(12112),
    [anon_sym_false] = ACTIONS(12112),
    [aux_sym_integer_literal_token1] = ACTIONS(12112),
    [aux_sym_integer_literal_token2] = ACTIONS(12112),
    [aux_sym_integer_literal_token3] = ACTIONS(12112),
    [aux_sym_integer_literal_token4] = ACTIONS(12112),
    [aux_sym_float_literal_token1] = ACTIONS(12112),
    [aux_sym_float_literal_token3] = ACTIONS(12112),
    [aux_sym_float_literal_token4] = ACTIONS(12112),
    [sym_character_literal] = ACTIONS(12112),
    [sym__pair_operator] = ACTIONS(12112),
    [sym__arrow_operator] = ACTIONS(12112),
    [sym__comparison_operator] = ACTIONS(12112),
    [sym__pipe_right_operator] = ACTIONS(12112),
    [sym__pipe_left_operator] = ACTIONS(12112),
    [sym__ellipsis_operator] = ACTIONS(12112),
    [sym__plus_operator] = ACTIONS(12112),
    [sym__times_operator] = ACTIONS(12112),
    [sym__rational_operator] = ACTIONS(12112),
    [sym__bitshift_operator] = ACTIONS(12112),
    [sym__power_operator] = ACTIONS(12112),
    [sym__tilde_operator] = ACTIONS(12112),
    [sym__type_order_operator] = ACTIONS(12112),
    [sym__unary_operator] = ACTIONS(12112),
    [sym__unary_plus_operator] = ACTIONS(12112),
    [aux_sym__terminator_token1] = ACTIONS(12112),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12110),
    [sym__string_start] = ACTIONS(12110),
    [sym__command_start] = ACTIONS(12110),
  },
  [9581] = {
    [sym__word_identifier] = ACTIONS(12196),
    [anon_sym_COLON] = ACTIONS(12196),
    [anon_sym_begin] = ACTIONS(12196),
    [anon_sym_module] = ACTIONS(12196),
    [anon_sym_baremodule] = ACTIONS(12196),
    [anon_sym_end] = ACTIONS(12196),
    [anon_sym_abstract] = ACTIONS(12196),
    [anon_sym_primitive] = ACTIONS(12196),
    [anon_sym_mutable] = ACTIONS(12196),
    [anon_sym_struct] = ACTIONS(12196),
    [anon_sym_LT_COLON] = ACTIONS(12196),
    [anon_sym_function] = ACTIONS(12196),
    [anon_sym_macro] = ACTIONS(12196),
    [anon_sym_quote] = ACTIONS(12196),
    [anon_sym_let] = ACTIONS(12196),
    [anon_sym_if] = ACTIONS(12196),
    [anon_sym_try] = ACTIONS(12196),
    [anon_sym_for] = ACTIONS(12196),
    [anon_sym_while] = ACTIONS(12196),
    [sym_break_statement] = ACTIONS(12196),
    [sym_continue_statement] = ACTIONS(12196),
    [anon_sym_return] = ACTIONS(12196),
    [anon_sym_const] = ACTIONS(12196),
    [anon_sym_global] = ACTIONS(12196),
    [anon_sym_local] = ACTIONS(12196),
    [anon_sym_LPAREN] = ACTIONS(12196),
    [anon_sym_export] = ACTIONS(12196),
    [anon_sym_import] = ACTIONS(12196),
    [anon_sym_using] = ACTIONS(12196),
    [anon_sym_LBRACK] = ACTIONS(12196),
    [anon_sym_LF] = ACTIONS(12198),
    [anon_sym_LBRACE] = ACTIONS(12196),
    [anon_sym_DOLLAR] = ACTIONS(12196),
    [anon_sym_COLON_COLON] = ACTIONS(12196),
    [anon_sym_AT] = ACTIONS(12196),
    [anon_sym_true] = ACTIONS(12196),
    [anon_sym_false] = ACTIONS(12196),
    [aux_sym_integer_literal_token1] = ACTIONS(12196),
    [aux_sym_integer_literal_token2] = ACTIONS(12196),
    [aux_sym_integer_literal_token3] = ACTIONS(12196),
    [aux_sym_integer_literal_token4] = ACTIONS(12196),
    [aux_sym_float_literal_token1] = ACTIONS(12196),
    [aux_sym_float_literal_token3] = ACTIONS(12196),
    [aux_sym_float_literal_token4] = ACTIONS(12196),
    [sym_character_literal] = ACTIONS(12196),
    [sym__pair_operator] = ACTIONS(12196),
    [sym__arrow_operator] = ACTIONS(12196),
    [sym__comparison_operator] = ACTIONS(12196),
    [sym__pipe_right_operator] = ACTIONS(12196),
    [sym__pipe_left_operator] = ACTIONS(12196),
    [sym__ellipsis_operator] = ACTIONS(12196),
    [sym__plus_operator] = ACTIONS(12196),
    [sym__times_operator] = ACTIONS(12196),
    [sym__rational_operator] = ACTIONS(12196),
    [sym__bitshift_operator] = ACTIONS(12196),
    [sym__power_operator] = ACTIONS(12196),
    [sym__tilde_operator] = ACTIONS(12196),
    [sym__type_order_operator] = ACTIONS(12196),
    [sym__unary_operator] = ACTIONS(12196),
    [sym__unary_plus_operator] = ACTIONS(12196),
    [aux_sym__terminator_token1] = ACTIONS(12196),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12198),
    [sym__string_start] = ACTIONS(12198),
    [sym__command_start] = ACTIONS(12198),
  },
  [9582] = {
    [sym__word_identifier] = ACTIONS(12234),
    [anon_sym_COLON] = ACTIONS(12234),
    [anon_sym_begin] = ACTIONS(12234),
    [anon_sym_module] = ACTIONS(12234),
    [anon_sym_baremodule] = ACTIONS(12234),
    [anon_sym_end] = ACTIONS(12234),
    [anon_sym_abstract] = ACTIONS(12234),
    [anon_sym_primitive] = ACTIONS(12234),
    [anon_sym_mutable] = ACTIONS(12234),
    [anon_sym_struct] = ACTIONS(12234),
    [anon_sym_LT_COLON] = ACTIONS(12234),
    [anon_sym_function] = ACTIONS(12234),
    [anon_sym_macro] = ACTIONS(12234),
    [anon_sym_quote] = ACTIONS(12234),
    [anon_sym_let] = ACTIONS(12234),
    [anon_sym_if] = ACTIONS(12234),
    [anon_sym_try] = ACTIONS(12234),
    [anon_sym_for] = ACTIONS(12234),
    [anon_sym_while] = ACTIONS(12234),
    [sym_break_statement] = ACTIONS(12234),
    [sym_continue_statement] = ACTIONS(12234),
    [anon_sym_return] = ACTIONS(12234),
    [anon_sym_const] = ACTIONS(12234),
    [anon_sym_global] = ACTIONS(12234),
    [anon_sym_local] = ACTIONS(12234),
    [anon_sym_LPAREN] = ACTIONS(12234),
    [anon_sym_export] = ACTIONS(12234),
    [anon_sym_import] = ACTIONS(12234),
    [anon_sym_using] = ACTIONS(12234),
    [anon_sym_LBRACK] = ACTIONS(12234),
    [anon_sym_LF] = ACTIONS(12236),
    [anon_sym_LBRACE] = ACTIONS(12234),
    [anon_sym_DOLLAR] = ACTIONS(12234),
    [anon_sym_COLON_COLON] = ACTIONS(12234),
    [anon_sym_AT] = ACTIONS(12234),
    [anon_sym_true] = ACTIONS(12234),
    [anon_sym_false] = ACTIONS(12234),
    [aux_sym_integer_literal_token1] = ACTIONS(12234),
    [aux_sym_integer_literal_token2] = ACTIONS(12234),
    [aux_sym_integer_literal_token3] = ACTIONS(12234),
    [aux_sym_integer_literal_token4] = ACTIONS(12234),
    [aux_sym_float_literal_token1] = ACTIONS(12234),
    [aux_sym_float_literal_token3] = ACTIONS(12234),
    [aux_sym_float_literal_token4] = ACTIONS(12234),
    [sym_character_literal] = ACTIONS(12234),
    [sym__pair_operator] = ACTIONS(12234),
    [sym__arrow_operator] = ACTIONS(12234),
    [sym__comparison_operator] = ACTIONS(12234),
    [sym__pipe_right_operator] = ACTIONS(12234),
    [sym__pipe_left_operator] = ACTIONS(12234),
    [sym__ellipsis_operator] = ACTIONS(12234),
    [sym__plus_operator] = ACTIONS(12234),
    [sym__times_operator] = ACTIONS(12234),
    [sym__rational_operator] = ACTIONS(12234),
    [sym__bitshift_operator] = ACTIONS(12234),
    [sym__power_operator] = ACTIONS(12234),
    [sym__tilde_operator] = ACTIONS(12234),
    [sym__type_order_operator] = ACTIONS(12234),
    [sym__unary_operator] = ACTIONS(12234),
    [sym__unary_plus_operator] = ACTIONS(12234),
    [aux_sym__terminator_token1] = ACTIONS(12234),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12236),
    [sym__string_start] = ACTIONS(12236),
    [sym__command_start] = ACTIONS(12236),
  },
  [9583] = {
    [sym__word_identifier] = ACTIONS(12192),
    [anon_sym_COLON] = ACTIONS(12192),
    [anon_sym_begin] = ACTIONS(12192),
    [anon_sym_module] = ACTIONS(12192),
    [anon_sym_baremodule] = ACTIONS(12192),
    [anon_sym_end] = ACTIONS(12192),
    [anon_sym_abstract] = ACTIONS(12192),
    [anon_sym_primitive] = ACTIONS(12192),
    [anon_sym_mutable] = ACTIONS(12192),
    [anon_sym_struct] = ACTIONS(12192),
    [anon_sym_LT_COLON] = ACTIONS(12192),
    [anon_sym_function] = ACTIONS(12192),
    [anon_sym_macro] = ACTIONS(12192),
    [anon_sym_quote] = ACTIONS(12192),
    [anon_sym_let] = ACTIONS(12192),
    [anon_sym_if] = ACTIONS(12192),
    [anon_sym_try] = ACTIONS(12192),
    [anon_sym_for] = ACTIONS(12192),
    [anon_sym_while] = ACTIONS(12192),
    [sym_break_statement] = ACTIONS(12192),
    [sym_continue_statement] = ACTIONS(12192),
    [anon_sym_return] = ACTIONS(12192),
    [anon_sym_const] = ACTIONS(12192),
    [anon_sym_global] = ACTIONS(12192),
    [anon_sym_local] = ACTIONS(12192),
    [anon_sym_LPAREN] = ACTIONS(12192),
    [anon_sym_export] = ACTIONS(12192),
    [anon_sym_import] = ACTIONS(12192),
    [anon_sym_using] = ACTIONS(12192),
    [anon_sym_LBRACK] = ACTIONS(12192),
    [anon_sym_LF] = ACTIONS(12194),
    [anon_sym_LBRACE] = ACTIONS(12192),
    [anon_sym_DOLLAR] = ACTIONS(12192),
    [anon_sym_COLON_COLON] = ACTIONS(12192),
    [anon_sym_AT] = ACTIONS(12192),
    [anon_sym_true] = ACTIONS(12192),
    [anon_sym_false] = ACTIONS(12192),
    [aux_sym_integer_literal_token1] = ACTIONS(12192),
    [aux_sym_integer_literal_token2] = ACTIONS(12192),
    [aux_sym_integer_literal_token3] = ACTIONS(12192),
    [aux_sym_integer_literal_token4] = ACTIONS(12192),
    [aux_sym_float_literal_token1] = ACTIONS(12192),
    [aux_sym_float_literal_token3] = ACTIONS(12192),
    [aux_sym_float_literal_token4] = ACTIONS(12192),
    [sym_character_literal] = ACTIONS(12192),
    [sym__pair_operator] = ACTIONS(12192),
    [sym__arrow_operator] = ACTIONS(12192),
    [sym__comparison_operator] = ACTIONS(12192),
    [sym__pipe_right_operator] = ACTIONS(12192),
    [sym__pipe_left_operator] = ACTIONS(12192),
    [sym__ellipsis_operator] = ACTIONS(12192),
    [sym__plus_operator] = ACTIONS(12192),
    [sym__times_operator] = ACTIONS(12192),
    [sym__rational_operator] = ACTIONS(12192),
    [sym__bitshift_operator] = ACTIONS(12192),
    [sym__power_operator] = ACTIONS(12192),
    [sym__tilde_operator] = ACTIONS(12192),
    [sym__type_order_operator] = ACTIONS(12192),
    [sym__unary_operator] = ACTIONS(12192),
    [sym__unary_plus_operator] = ACTIONS(12192),
    [aux_sym__terminator_token1] = ACTIONS(12192),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12194),
    [sym__string_start] = ACTIONS(12194),
    [sym__command_start] = ACTIONS(12194),
  },
  [9584] = {
    [sym__word_identifier] = ACTIONS(12246),
    [anon_sym_COLON] = ACTIONS(12246),
    [anon_sym_begin] = ACTIONS(12246),
    [anon_sym_module] = ACTIONS(12246),
    [anon_sym_baremodule] = ACTIONS(12246),
    [anon_sym_end] = ACTIONS(12246),
    [anon_sym_abstract] = ACTIONS(12246),
    [anon_sym_primitive] = ACTIONS(12246),
    [anon_sym_mutable] = ACTIONS(12246),
    [anon_sym_struct] = ACTIONS(12246),
    [anon_sym_LT_COLON] = ACTIONS(12246),
    [anon_sym_function] = ACTIONS(12246),
    [anon_sym_macro] = ACTIONS(12246),
    [anon_sym_quote] = ACTIONS(12246),
    [anon_sym_let] = ACTIONS(12246),
    [anon_sym_if] = ACTIONS(12246),
    [anon_sym_try] = ACTIONS(12246),
    [anon_sym_for] = ACTIONS(12246),
    [anon_sym_while] = ACTIONS(12246),
    [sym_break_statement] = ACTIONS(12246),
    [sym_continue_statement] = ACTIONS(12246),
    [anon_sym_return] = ACTIONS(12246),
    [anon_sym_const] = ACTIONS(12246),
    [anon_sym_global] = ACTIONS(12246),
    [anon_sym_local] = ACTIONS(12246),
    [anon_sym_LPAREN] = ACTIONS(12246),
    [anon_sym_export] = ACTIONS(12246),
    [anon_sym_import] = ACTIONS(12246),
    [anon_sym_using] = ACTIONS(12246),
    [anon_sym_LBRACK] = ACTIONS(12246),
    [anon_sym_LF] = ACTIONS(12248),
    [anon_sym_LBRACE] = ACTIONS(12246),
    [anon_sym_DOLLAR] = ACTIONS(12246),
    [anon_sym_COLON_COLON] = ACTIONS(12246),
    [anon_sym_AT] = ACTIONS(12246),
    [anon_sym_true] = ACTIONS(12246),
    [anon_sym_false] = ACTIONS(12246),
    [aux_sym_integer_literal_token1] = ACTIONS(12246),
    [aux_sym_integer_literal_token2] = ACTIONS(12246),
    [aux_sym_integer_literal_token3] = ACTIONS(12246),
    [aux_sym_integer_literal_token4] = ACTIONS(12246),
    [aux_sym_float_literal_token1] = ACTIONS(12246),
    [aux_sym_float_literal_token3] = ACTIONS(12246),
    [aux_sym_float_literal_token4] = ACTIONS(12246),
    [sym_character_literal] = ACTIONS(12246),
    [sym__pair_operator] = ACTIONS(12246),
    [sym__arrow_operator] = ACTIONS(12246),
    [sym__comparison_operator] = ACTIONS(12246),
    [sym__pipe_right_operator] = ACTIONS(12246),
    [sym__pipe_left_operator] = ACTIONS(12246),
    [sym__ellipsis_operator] = ACTIONS(12246),
    [sym__plus_operator] = ACTIONS(12246),
    [sym__times_operator] = ACTIONS(12246),
    [sym__rational_operator] = ACTIONS(12246),
    [sym__bitshift_operator] = ACTIONS(12246),
    [sym__power_operator] = ACTIONS(12246),
    [sym__tilde_operator] = ACTIONS(12246),
    [sym__type_order_operator] = ACTIONS(12246),
    [sym__unary_operator] = ACTIONS(12246),
    [sym__unary_plus_operator] = ACTIONS(12246),
    [aux_sym__terminator_token1] = ACTIONS(12246),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12248),
    [sym__string_start] = ACTIONS(12248),
    [sym__command_start] = ACTIONS(12248),
  },
  [9585] = {
    [sym__word_identifier] = ACTIONS(12300),
    [anon_sym_COLON] = ACTIONS(12300),
    [anon_sym_begin] = ACTIONS(12300),
    [anon_sym_module] = ACTIONS(12300),
    [anon_sym_baremodule] = ACTIONS(12300),
    [anon_sym_end] = ACTIONS(12300),
    [anon_sym_abstract] = ACTIONS(12300),
    [anon_sym_primitive] = ACTIONS(12300),
    [anon_sym_mutable] = ACTIONS(12300),
    [anon_sym_struct] = ACTIONS(12300),
    [anon_sym_LT_COLON] = ACTIONS(12300),
    [anon_sym_function] = ACTIONS(12300),
    [anon_sym_macro] = ACTIONS(12300),
    [anon_sym_quote] = ACTIONS(12300),
    [anon_sym_let] = ACTIONS(12300),
    [anon_sym_if] = ACTIONS(12300),
    [anon_sym_try] = ACTIONS(12300),
    [anon_sym_for] = ACTIONS(12300),
    [anon_sym_while] = ACTIONS(12300),
    [sym_break_statement] = ACTIONS(12300),
    [sym_continue_statement] = ACTIONS(12300),
    [anon_sym_return] = ACTIONS(12300),
    [anon_sym_const] = ACTIONS(12300),
    [anon_sym_global] = ACTIONS(12300),
    [anon_sym_local] = ACTIONS(12300),
    [anon_sym_LPAREN] = ACTIONS(12300),
    [anon_sym_export] = ACTIONS(12300),
    [anon_sym_import] = ACTIONS(12300),
    [anon_sym_using] = ACTIONS(12300),
    [anon_sym_LBRACK] = ACTIONS(12300),
    [anon_sym_LF] = ACTIONS(12302),
    [anon_sym_LBRACE] = ACTIONS(12300),
    [anon_sym_DOLLAR] = ACTIONS(12300),
    [anon_sym_COLON_COLON] = ACTIONS(12300),
    [anon_sym_AT] = ACTIONS(12300),
    [anon_sym_true] = ACTIONS(12300),
    [anon_sym_false] = ACTIONS(12300),
    [aux_sym_integer_literal_token1] = ACTIONS(12300),
    [aux_sym_integer_literal_token2] = ACTIONS(12300),
    [aux_sym_integer_literal_token3] = ACTIONS(12300),
    [aux_sym_integer_literal_token4] = ACTIONS(12300),
    [aux_sym_float_literal_token1] = ACTIONS(12300),
    [aux_sym_float_literal_token3] = ACTIONS(12300),
    [aux_sym_float_literal_token4] = ACTIONS(12300),
    [sym_character_literal] = ACTIONS(12300),
    [sym__pair_operator] = ACTIONS(12300),
    [sym__arrow_operator] = ACTIONS(12300),
    [sym__comparison_operator] = ACTIONS(12300),
    [sym__pipe_right_operator] = ACTIONS(12300),
    [sym__pipe_left_operator] = ACTIONS(12300),
    [sym__ellipsis_operator] = ACTIONS(12300),
    [sym__plus_operator] = ACTIONS(12300),
    [sym__times_operator] = ACTIONS(12300),
    [sym__rational_operator] = ACTIONS(12300),
    [sym__bitshift_operator] = ACTIONS(12300),
    [sym__power_operator] = ACTIONS(12300),
    [sym__tilde_operator] = ACTIONS(12300),
    [sym__type_order_operator] = ACTIONS(12300),
    [sym__unary_operator] = ACTIONS(12300),
    [sym__unary_plus_operator] = ACTIONS(12300),
    [aux_sym__terminator_token1] = ACTIONS(12300),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12302),
    [sym__string_start] = ACTIONS(12302),
    [sym__command_start] = ACTIONS(12302),
  },
  [9586] = {
    [sym__word_identifier] = ACTIONS(12176),
    [anon_sym_COLON] = ACTIONS(12176),
    [anon_sym_begin] = ACTIONS(12176),
    [anon_sym_module] = ACTIONS(12176),
    [anon_sym_baremodule] = ACTIONS(12176),
    [anon_sym_end] = ACTIONS(12176),
    [anon_sym_abstract] = ACTIONS(12176),
    [anon_sym_primitive] = ACTIONS(12176),
    [anon_sym_mutable] = ACTIONS(12176),
    [anon_sym_struct] = ACTIONS(12176),
    [anon_sym_LT_COLON] = ACTIONS(12176),
    [anon_sym_function] = ACTIONS(12176),
    [anon_sym_macro] = ACTIONS(12176),
    [anon_sym_quote] = ACTIONS(12176),
    [anon_sym_let] = ACTIONS(12176),
    [anon_sym_if] = ACTIONS(12176),
    [anon_sym_try] = ACTIONS(12176),
    [anon_sym_for] = ACTIONS(12176),
    [anon_sym_while] = ACTIONS(12176),
    [sym_break_statement] = ACTIONS(12176),
    [sym_continue_statement] = ACTIONS(12176),
    [anon_sym_return] = ACTIONS(12176),
    [anon_sym_const] = ACTIONS(12176),
    [anon_sym_global] = ACTIONS(12176),
    [anon_sym_local] = ACTIONS(12176),
    [anon_sym_LPAREN] = ACTIONS(12176),
    [anon_sym_export] = ACTIONS(12176),
    [anon_sym_import] = ACTIONS(12176),
    [anon_sym_using] = ACTIONS(12176),
    [anon_sym_LBRACK] = ACTIONS(12176),
    [anon_sym_LF] = ACTIONS(12178),
    [anon_sym_LBRACE] = ACTIONS(12176),
    [anon_sym_DOLLAR] = ACTIONS(12176),
    [anon_sym_COLON_COLON] = ACTIONS(12176),
    [anon_sym_AT] = ACTIONS(12176),
    [anon_sym_true] = ACTIONS(12176),
    [anon_sym_false] = ACTIONS(12176),
    [aux_sym_integer_literal_token1] = ACTIONS(12176),
    [aux_sym_integer_literal_token2] = ACTIONS(12176),
    [aux_sym_integer_literal_token3] = ACTIONS(12176),
    [aux_sym_integer_literal_token4] = ACTIONS(12176),
    [aux_sym_float_literal_token1] = ACTIONS(12176),
    [aux_sym_float_literal_token3] = ACTIONS(12176),
    [aux_sym_float_literal_token4] = ACTIONS(12176),
    [sym_character_literal] = ACTIONS(12176),
    [sym__pair_operator] = ACTIONS(12176),
    [sym__arrow_operator] = ACTIONS(12176),
    [sym__comparison_operator] = ACTIONS(12176),
    [sym__pipe_right_operator] = ACTIONS(12176),
    [sym__pipe_left_operator] = ACTIONS(12176),
    [sym__ellipsis_operator] = ACTIONS(12176),
    [sym__plus_operator] = ACTIONS(12176),
    [sym__times_operator] = ACTIONS(12176),
    [sym__rational_operator] = ACTIONS(12176),
    [sym__bitshift_operator] = ACTIONS(12176),
    [sym__power_operator] = ACTIONS(12176),
    [sym__tilde_operator] = ACTIONS(12176),
    [sym__type_order_operator] = ACTIONS(12176),
    [sym__unary_operator] = ACTIONS(12176),
    [sym__unary_plus_operator] = ACTIONS(12176),
    [aux_sym__terminator_token1] = ACTIONS(12176),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12178),
    [sym__string_start] = ACTIONS(12178),
    [sym__command_start] = ACTIONS(12178),
  },
  [9587] = {
    [sym__word_identifier] = ACTIONS(11868),
    [anon_sym_COLON] = ACTIONS(11868),
    [anon_sym_begin] = ACTIONS(11868),
    [anon_sym_module] = ACTIONS(11868),
    [anon_sym_baremodule] = ACTIONS(11868),
    [anon_sym_end] = ACTIONS(11868),
    [anon_sym_abstract] = ACTIONS(11868),
    [anon_sym_primitive] = ACTIONS(11868),
    [anon_sym_mutable] = ACTIONS(11868),
    [anon_sym_struct] = ACTIONS(11868),
    [anon_sym_function] = ACTIONS(11868),
    [anon_sym_macro] = ACTIONS(11868),
    [anon_sym_quote] = ACTIONS(11868),
    [anon_sym_let] = ACTIONS(11868),
    [anon_sym_if] = ACTIONS(11868),
    [anon_sym_try] = ACTIONS(11868),
    [anon_sym_for] = ACTIONS(11868),
    [anon_sym_while] = ACTIONS(11868),
    [sym_break_statement] = ACTIONS(11868),
    [sym_continue_statement] = ACTIONS(11868),
    [anon_sym_return] = ACTIONS(11868),
    [anon_sym_const] = ACTIONS(11868),
    [anon_sym_global] = ACTIONS(11868),
    [anon_sym_local] = ACTIONS(11868),
    [anon_sym_LPAREN] = ACTIONS(11868),
    [anon_sym_export] = ACTIONS(11868),
    [anon_sym_import] = ACTIONS(11868),
    [anon_sym_using] = ACTIONS(11868),
    [anon_sym_LBRACK] = ACTIONS(11868),
    [anon_sym_LF] = ACTIONS(11866),
    [anon_sym_LBRACE] = ACTIONS(11868),
    [anon_sym_DOLLAR] = ACTIONS(11868),
    [anon_sym_COLON_COLON] = ACTIONS(11868),
    [anon_sym_AT] = ACTIONS(11868),
    [anon_sym_true] = ACTIONS(11868),
    [anon_sym_false] = ACTIONS(11868),
    [aux_sym_integer_literal_token1] = ACTIONS(11868),
    [aux_sym_integer_literal_token2] = ACTIONS(11868),
    [aux_sym_integer_literal_token3] = ACTIONS(11868),
    [aux_sym_integer_literal_token4] = ACTIONS(11868),
    [aux_sym_float_literal_token1] = ACTIONS(11868),
    [aux_sym_float_literal_token3] = ACTIONS(11868),
    [aux_sym_float_literal_token4] = ACTIONS(11868),
    [sym_character_literal] = ACTIONS(11868),
    [sym__pair_operator] = ACTIONS(11868),
    [sym__arrow_operator] = ACTIONS(11868),
    [sym__comparison_operator] = ACTIONS(11868),
    [sym__pipe_right_operator] = ACTIONS(11868),
    [sym__pipe_left_operator] = ACTIONS(11868),
    [sym__ellipsis_operator] = ACTIONS(11868),
    [sym__plus_operator] = ACTIONS(11868),
    [sym__times_operator] = ACTIONS(11868),
    [sym__rational_operator] = ACTIONS(11868),
    [sym__bitshift_operator] = ACTIONS(11868),
    [sym__power_operator] = ACTIONS(11868),
    [sym__tilde_operator] = ACTIONS(11868),
    [sym__type_order_operator] = ACTIONS(11868),
    [sym__unary_operator] = ACTIONS(11868),
    [sym__unary_plus_operator] = ACTIONS(11868),
    [aux_sym__terminator_token1] = ACTIONS(11868),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11866),
    [sym__command_start] = ACTIONS(11866),
    [sym__immediate_string_start] = ACTIONS(11866),
    [sym__immediate_command_start] = ACTIONS(11866),
  },
  [9588] = {
    [sym__word_identifier] = ACTIONS(12162),
    [anon_sym_COLON] = ACTIONS(12162),
    [anon_sym_begin] = ACTIONS(12162),
    [anon_sym_module] = ACTIONS(12162),
    [anon_sym_baremodule] = ACTIONS(12162),
    [anon_sym_end] = ACTIONS(12162),
    [anon_sym_abstract] = ACTIONS(12162),
    [anon_sym_primitive] = ACTIONS(12162),
    [anon_sym_mutable] = ACTIONS(12162),
    [anon_sym_struct] = ACTIONS(12162),
    [anon_sym_LT_COLON] = ACTIONS(12162),
    [anon_sym_function] = ACTIONS(12162),
    [anon_sym_macro] = ACTIONS(12162),
    [anon_sym_quote] = ACTIONS(12162),
    [anon_sym_let] = ACTIONS(12162),
    [anon_sym_if] = ACTIONS(12162),
    [anon_sym_try] = ACTIONS(12162),
    [anon_sym_for] = ACTIONS(12162),
    [anon_sym_while] = ACTIONS(12162),
    [sym_break_statement] = ACTIONS(12162),
    [sym_continue_statement] = ACTIONS(12162),
    [anon_sym_return] = ACTIONS(12162),
    [anon_sym_const] = ACTIONS(12162),
    [anon_sym_global] = ACTIONS(12162),
    [anon_sym_local] = ACTIONS(12162),
    [anon_sym_LPAREN] = ACTIONS(12162),
    [anon_sym_export] = ACTIONS(12162),
    [anon_sym_import] = ACTIONS(12162),
    [anon_sym_using] = ACTIONS(12162),
    [anon_sym_LBRACK] = ACTIONS(12162),
    [anon_sym_LF] = ACTIONS(12160),
    [anon_sym_LBRACE] = ACTIONS(12162),
    [anon_sym_DOLLAR] = ACTIONS(12162),
    [anon_sym_COLON_COLON] = ACTIONS(12162),
    [anon_sym_AT] = ACTIONS(12162),
    [anon_sym_true] = ACTIONS(12162),
    [anon_sym_false] = ACTIONS(12162),
    [aux_sym_integer_literal_token1] = ACTIONS(12162),
    [aux_sym_integer_literal_token2] = ACTIONS(12162),
    [aux_sym_integer_literal_token3] = ACTIONS(12162),
    [aux_sym_integer_literal_token4] = ACTIONS(12162),
    [aux_sym_float_literal_token1] = ACTIONS(12162),
    [aux_sym_float_literal_token3] = ACTIONS(12162),
    [aux_sym_float_literal_token4] = ACTIONS(12162),
    [sym_character_literal] = ACTIONS(12162),
    [sym__pair_operator] = ACTIONS(12162),
    [sym__arrow_operator] = ACTIONS(12162),
    [sym__comparison_operator] = ACTIONS(12162),
    [sym__pipe_right_operator] = ACTIONS(12162),
    [sym__pipe_left_operator] = ACTIONS(12162),
    [sym__ellipsis_operator] = ACTIONS(12162),
    [sym__plus_operator] = ACTIONS(12162),
    [sym__times_operator] = ACTIONS(12162),
    [sym__rational_operator] = ACTIONS(12162),
    [sym__bitshift_operator] = ACTIONS(12162),
    [sym__power_operator] = ACTIONS(12162),
    [sym__tilde_operator] = ACTIONS(12162),
    [sym__type_order_operator] = ACTIONS(12162),
    [sym__unary_operator] = ACTIONS(12162),
    [sym__unary_plus_operator] = ACTIONS(12162),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12160),
    [sym__string_start] = ACTIONS(12160),
    [sym__command_start] = ACTIONS(12160),
  },
  [9589] = {
    [sym__word_identifier] = ACTIONS(12026),
    [anon_sym_COLON] = ACTIONS(12026),
    [anon_sym_begin] = ACTIONS(12026),
    [anon_sym_module] = ACTIONS(12026),
    [anon_sym_baremodule] = ACTIONS(12026),
    [anon_sym_end] = ACTIONS(12026),
    [anon_sym_abstract] = ACTIONS(12026),
    [anon_sym_primitive] = ACTIONS(12026),
    [anon_sym_mutable] = ACTIONS(12026),
    [anon_sym_struct] = ACTIONS(12026),
    [anon_sym_LT_COLON] = ACTIONS(12026),
    [anon_sym_function] = ACTIONS(12026),
    [anon_sym_macro] = ACTIONS(12026),
    [anon_sym_quote] = ACTIONS(12026),
    [anon_sym_let] = ACTIONS(12026),
    [anon_sym_if] = ACTIONS(12026),
    [anon_sym_try] = ACTIONS(12026),
    [anon_sym_for] = ACTIONS(12026),
    [anon_sym_while] = ACTIONS(12026),
    [sym_break_statement] = ACTIONS(12026),
    [sym_continue_statement] = ACTIONS(12026),
    [anon_sym_return] = ACTIONS(12026),
    [anon_sym_const] = ACTIONS(12026),
    [anon_sym_global] = ACTIONS(12026),
    [anon_sym_local] = ACTIONS(12026),
    [anon_sym_LPAREN] = ACTIONS(12026),
    [anon_sym_export] = ACTIONS(12026),
    [anon_sym_import] = ACTIONS(12026),
    [anon_sym_using] = ACTIONS(12026),
    [anon_sym_LBRACK] = ACTIONS(12026),
    [anon_sym_LF] = ACTIONS(12028),
    [anon_sym_LBRACE] = ACTIONS(12026),
    [anon_sym_DOLLAR] = ACTIONS(12026),
    [anon_sym_COLON_COLON] = ACTIONS(12026),
    [anon_sym_AT] = ACTIONS(12026),
    [anon_sym_true] = ACTIONS(12026),
    [anon_sym_false] = ACTIONS(12026),
    [aux_sym_integer_literal_token1] = ACTIONS(12026),
    [aux_sym_integer_literal_token2] = ACTIONS(12026),
    [aux_sym_integer_literal_token3] = ACTIONS(12026),
    [aux_sym_integer_literal_token4] = ACTIONS(12026),
    [aux_sym_float_literal_token1] = ACTIONS(12026),
    [aux_sym_float_literal_token3] = ACTIONS(12026),
    [aux_sym_float_literal_token4] = ACTIONS(12026),
    [sym_character_literal] = ACTIONS(12026),
    [sym__pair_operator] = ACTIONS(12026),
    [sym__arrow_operator] = ACTIONS(12026),
    [sym__comparison_operator] = ACTIONS(12026),
    [sym__pipe_right_operator] = ACTIONS(12026),
    [sym__pipe_left_operator] = ACTIONS(12026),
    [sym__ellipsis_operator] = ACTIONS(12026),
    [sym__plus_operator] = ACTIONS(12026),
    [sym__times_operator] = ACTIONS(12026),
    [sym__rational_operator] = ACTIONS(12026),
    [sym__bitshift_operator] = ACTIONS(12026),
    [sym__power_operator] = ACTIONS(12026),
    [sym__tilde_operator] = ACTIONS(12026),
    [sym__type_order_operator] = ACTIONS(12026),
    [sym__unary_operator] = ACTIONS(12026),
    [sym__unary_plus_operator] = ACTIONS(12026),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12028),
    [sym__string_start] = ACTIONS(12028),
    [sym__command_start] = ACTIONS(12028),
  },
  [9590] = {
    [sym__word_identifier] = ACTIONS(11970),
    [anon_sym_COLON] = ACTIONS(11970),
    [anon_sym_begin] = ACTIONS(11970),
    [anon_sym_module] = ACTIONS(11970),
    [anon_sym_baremodule] = ACTIONS(11970),
    [anon_sym_end] = ACTIONS(11970),
    [anon_sym_abstract] = ACTIONS(11970),
    [anon_sym_primitive] = ACTIONS(11970),
    [anon_sym_mutable] = ACTIONS(11970),
    [anon_sym_struct] = ACTIONS(11970),
    [anon_sym_LT_COLON] = ACTIONS(11970),
    [anon_sym_function] = ACTIONS(11970),
    [anon_sym_macro] = ACTIONS(11970),
    [anon_sym_quote] = ACTIONS(11970),
    [anon_sym_let] = ACTIONS(11970),
    [anon_sym_if] = ACTIONS(11970),
    [anon_sym_try] = ACTIONS(11970),
    [anon_sym_for] = ACTIONS(11970),
    [anon_sym_while] = ACTIONS(11970),
    [sym_break_statement] = ACTIONS(11970),
    [sym_continue_statement] = ACTIONS(11970),
    [anon_sym_return] = ACTIONS(11970),
    [anon_sym_const] = ACTIONS(11970),
    [anon_sym_global] = ACTIONS(11970),
    [anon_sym_local] = ACTIONS(11970),
    [anon_sym_LPAREN] = ACTIONS(11970),
    [anon_sym_export] = ACTIONS(11970),
    [anon_sym_import] = ACTIONS(11970),
    [anon_sym_using] = ACTIONS(11970),
    [anon_sym_LBRACK] = ACTIONS(11970),
    [anon_sym_LF] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11970),
    [anon_sym_DOLLAR] = ACTIONS(11970),
    [anon_sym_COLON_COLON] = ACTIONS(11970),
    [anon_sym_AT] = ACTIONS(11970),
    [anon_sym_true] = ACTIONS(11970),
    [anon_sym_false] = ACTIONS(11970),
    [aux_sym_integer_literal_token1] = ACTIONS(11970),
    [aux_sym_integer_literal_token2] = ACTIONS(11970),
    [aux_sym_integer_literal_token3] = ACTIONS(11970),
    [aux_sym_integer_literal_token4] = ACTIONS(11970),
    [aux_sym_float_literal_token1] = ACTIONS(11970),
    [aux_sym_float_literal_token3] = ACTIONS(11970),
    [aux_sym_float_literal_token4] = ACTIONS(11970),
    [sym_character_literal] = ACTIONS(11970),
    [sym__pair_operator] = ACTIONS(11970),
    [sym__arrow_operator] = ACTIONS(11970),
    [sym__comparison_operator] = ACTIONS(11970),
    [sym__pipe_right_operator] = ACTIONS(11970),
    [sym__pipe_left_operator] = ACTIONS(11970),
    [sym__ellipsis_operator] = ACTIONS(11970),
    [sym__plus_operator] = ACTIONS(11970),
    [sym__times_operator] = ACTIONS(11970),
    [sym__rational_operator] = ACTIONS(11970),
    [sym__bitshift_operator] = ACTIONS(11970),
    [sym__power_operator] = ACTIONS(11970),
    [sym__tilde_operator] = ACTIONS(11970),
    [sym__type_order_operator] = ACTIONS(11970),
    [sym__unary_operator] = ACTIONS(11970),
    [sym__unary_plus_operator] = ACTIONS(11970),
    [aux_sym__terminator_token1] = ACTIONS(11970),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(11972),
    [sym__string_start] = ACTIONS(11972),
    [sym__command_start] = ACTIONS(11972),
  },
  [9591] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_LT_COLON] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12252),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [9592] = {
    [sym__word_identifier] = ACTIONS(12254),
    [anon_sym_COLON] = ACTIONS(12254),
    [anon_sym_begin] = ACTIONS(12254),
    [anon_sym_module] = ACTIONS(12254),
    [anon_sym_baremodule] = ACTIONS(12254),
    [anon_sym_end] = ACTIONS(12254),
    [anon_sym_abstract] = ACTIONS(12254),
    [anon_sym_primitive] = ACTIONS(12254),
    [anon_sym_mutable] = ACTIONS(12254),
    [anon_sym_struct] = ACTIONS(12254),
    [anon_sym_LT_COLON] = ACTIONS(12254),
    [anon_sym_function] = ACTIONS(12254),
    [anon_sym_macro] = ACTIONS(12254),
    [anon_sym_quote] = ACTIONS(12254),
    [anon_sym_let] = ACTIONS(12254),
    [anon_sym_if] = ACTIONS(12254),
    [anon_sym_try] = ACTIONS(12254),
    [anon_sym_for] = ACTIONS(12254),
    [anon_sym_while] = ACTIONS(12254),
    [sym_break_statement] = ACTIONS(12254),
    [sym_continue_statement] = ACTIONS(12254),
    [anon_sym_return] = ACTIONS(12254),
    [anon_sym_const] = ACTIONS(12254),
    [anon_sym_global] = ACTIONS(12254),
    [anon_sym_local] = ACTIONS(12254),
    [anon_sym_LPAREN] = ACTIONS(12254),
    [anon_sym_export] = ACTIONS(12254),
    [anon_sym_import] = ACTIONS(12254),
    [anon_sym_using] = ACTIONS(12254),
    [anon_sym_LBRACK] = ACTIONS(12254),
    [anon_sym_LF] = ACTIONS(12256),
    [anon_sym_LBRACE] = ACTIONS(12254),
    [anon_sym_DOLLAR] = ACTIONS(12254),
    [anon_sym_COLON_COLON] = ACTIONS(12254),
    [anon_sym_AT] = ACTIONS(12254),
    [anon_sym_true] = ACTIONS(12254),
    [anon_sym_false] = ACTIONS(12254),
    [aux_sym_integer_literal_token1] = ACTIONS(12254),
    [aux_sym_integer_literal_token2] = ACTIONS(12254),
    [aux_sym_integer_literal_token3] = ACTIONS(12254),
    [aux_sym_integer_literal_token4] = ACTIONS(12254),
    [aux_sym_float_literal_token1] = ACTIONS(12254),
    [aux_sym_float_literal_token3] = ACTIONS(12254),
    [aux_sym_float_literal_token4] = ACTIONS(12254),
    [sym_character_literal] = ACTIONS(12254),
    [sym__pair_operator] = ACTIONS(12254),
    [sym__arrow_operator] = ACTIONS(12254),
    [sym__comparison_operator] = ACTIONS(12254),
    [sym__pipe_right_operator] = ACTIONS(12254),
    [sym__pipe_left_operator] = ACTIONS(12254),
    [sym__ellipsis_operator] = ACTIONS(12254),
    [sym__plus_operator] = ACTIONS(12254),
    [sym__times_operator] = ACTIONS(12254),
    [sym__rational_operator] = ACTIONS(12254),
    [sym__bitshift_operator] = ACTIONS(12254),
    [sym__power_operator] = ACTIONS(12254),
    [sym__tilde_operator] = ACTIONS(12254),
    [sym__type_order_operator] = ACTIONS(12254),
    [sym__unary_operator] = ACTIONS(12254),
    [sym__unary_plus_operator] = ACTIONS(12254),
    [aux_sym__terminator_token1] = ACTIONS(12254),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12256),
    [sym__string_start] = ACTIONS(12256),
    [sym__command_start] = ACTIONS(12256),
  },
  [9593] = {
    [sym__word_identifier] = ACTIONS(12258),
    [anon_sym_COLON] = ACTIONS(12258),
    [anon_sym_begin] = ACTIONS(12258),
    [anon_sym_module] = ACTIONS(12258),
    [anon_sym_baremodule] = ACTIONS(12258),
    [anon_sym_end] = ACTIONS(12258),
    [anon_sym_abstract] = ACTIONS(12258),
    [anon_sym_primitive] = ACTIONS(12258),
    [anon_sym_mutable] = ACTIONS(12258),
    [anon_sym_struct] = ACTIONS(12258),
    [anon_sym_LT_COLON] = ACTIONS(12258),
    [anon_sym_function] = ACTIONS(12258),
    [anon_sym_macro] = ACTIONS(12258),
    [anon_sym_quote] = ACTIONS(12258),
    [anon_sym_let] = ACTIONS(12258),
    [anon_sym_if] = ACTIONS(12258),
    [anon_sym_try] = ACTIONS(12258),
    [anon_sym_for] = ACTIONS(12258),
    [anon_sym_while] = ACTIONS(12258),
    [sym_break_statement] = ACTIONS(12258),
    [sym_continue_statement] = ACTIONS(12258),
    [anon_sym_return] = ACTIONS(12258),
    [anon_sym_const] = ACTIONS(12258),
    [anon_sym_global] = ACTIONS(12258),
    [anon_sym_local] = ACTIONS(12258),
    [anon_sym_LPAREN] = ACTIONS(12258),
    [anon_sym_export] = ACTIONS(12258),
    [anon_sym_import] = ACTIONS(12258),
    [anon_sym_using] = ACTIONS(12258),
    [anon_sym_LBRACK] = ACTIONS(12258),
    [anon_sym_LF] = ACTIONS(12260),
    [anon_sym_LBRACE] = ACTIONS(12258),
    [anon_sym_DOLLAR] = ACTIONS(12258),
    [anon_sym_COLON_COLON] = ACTIONS(12258),
    [anon_sym_AT] = ACTIONS(12258),
    [anon_sym_true] = ACTIONS(12258),
    [anon_sym_false] = ACTIONS(12258),
    [aux_sym_integer_literal_token1] = ACTIONS(12258),
    [aux_sym_integer_literal_token2] = ACTIONS(12258),
    [aux_sym_integer_literal_token3] = ACTIONS(12258),
    [aux_sym_integer_literal_token4] = ACTIONS(12258),
    [aux_sym_float_literal_token1] = ACTIONS(12258),
    [aux_sym_float_literal_token3] = ACTIONS(12258),
    [aux_sym_float_literal_token4] = ACTIONS(12258),
    [sym_character_literal] = ACTIONS(12258),
    [sym__pair_operator] = ACTIONS(12258),
    [sym__arrow_operator] = ACTIONS(12258),
    [sym__comparison_operator] = ACTIONS(12258),
    [sym__pipe_right_operator] = ACTIONS(12258),
    [sym__pipe_left_operator] = ACTIONS(12258),
    [sym__ellipsis_operator] = ACTIONS(12258),
    [sym__plus_operator] = ACTIONS(12258),
    [sym__times_operator] = ACTIONS(12258),
    [sym__rational_operator] = ACTIONS(12258),
    [sym__bitshift_operator] = ACTIONS(12258),
    [sym__power_operator] = ACTIONS(12258),
    [sym__tilde_operator] = ACTIONS(12258),
    [sym__type_order_operator] = ACTIONS(12258),
    [sym__unary_operator] = ACTIONS(12258),
    [sym__unary_plus_operator] = ACTIONS(12258),
    [aux_sym__terminator_token1] = ACTIONS(12258),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12260),
    [sym__string_start] = ACTIONS(12260),
    [sym__command_start] = ACTIONS(12260),
  },
  [9594] = {
    [sym__word_identifier] = ACTIONS(12262),
    [anon_sym_COLON] = ACTIONS(12262),
    [anon_sym_begin] = ACTIONS(12262),
    [anon_sym_module] = ACTIONS(12262),
    [anon_sym_baremodule] = ACTIONS(12262),
    [anon_sym_end] = ACTIONS(12262),
    [anon_sym_abstract] = ACTIONS(12262),
    [anon_sym_primitive] = ACTIONS(12262),
    [anon_sym_mutable] = ACTIONS(12262),
    [anon_sym_struct] = ACTIONS(12262),
    [anon_sym_LT_COLON] = ACTIONS(12262),
    [anon_sym_function] = ACTIONS(12262),
    [anon_sym_macro] = ACTIONS(12262),
    [anon_sym_quote] = ACTIONS(12262),
    [anon_sym_let] = ACTIONS(12262),
    [anon_sym_if] = ACTIONS(12262),
    [anon_sym_try] = ACTIONS(12262),
    [anon_sym_for] = ACTIONS(12262),
    [anon_sym_while] = ACTIONS(12262),
    [sym_break_statement] = ACTIONS(12262),
    [sym_continue_statement] = ACTIONS(12262),
    [anon_sym_return] = ACTIONS(12262),
    [anon_sym_const] = ACTIONS(12262),
    [anon_sym_global] = ACTIONS(12262),
    [anon_sym_local] = ACTIONS(12262),
    [anon_sym_LPAREN] = ACTIONS(12262),
    [anon_sym_export] = ACTIONS(12262),
    [anon_sym_import] = ACTIONS(12262),
    [anon_sym_using] = ACTIONS(12262),
    [anon_sym_LBRACK] = ACTIONS(12262),
    [anon_sym_LF] = ACTIONS(12264),
    [anon_sym_LBRACE] = ACTIONS(12262),
    [anon_sym_DOLLAR] = ACTIONS(12262),
    [anon_sym_COLON_COLON] = ACTIONS(12262),
    [anon_sym_AT] = ACTIONS(12262),
    [anon_sym_true] = ACTIONS(12262),
    [anon_sym_false] = ACTIONS(12262),
    [aux_sym_integer_literal_token1] = ACTIONS(12262),
    [aux_sym_integer_literal_token2] = ACTIONS(12262),
    [aux_sym_integer_literal_token3] = ACTIONS(12262),
    [aux_sym_integer_literal_token4] = ACTIONS(12262),
    [aux_sym_float_literal_token1] = ACTIONS(12262),
    [aux_sym_float_literal_token3] = ACTIONS(12262),
    [aux_sym_float_literal_token4] = ACTIONS(12262),
    [sym_character_literal] = ACTIONS(12262),
    [sym__pair_operator] = ACTIONS(12262),
    [sym__arrow_operator] = ACTIONS(12262),
    [sym__comparison_operator] = ACTIONS(12262),
    [sym__pipe_right_operator] = ACTIONS(12262),
    [sym__pipe_left_operator] = ACTIONS(12262),
    [sym__ellipsis_operator] = ACTIONS(12262),
    [sym__plus_operator] = ACTIONS(12262),
    [sym__times_operator] = ACTIONS(12262),
    [sym__rational_operator] = ACTIONS(12262),
    [sym__bitshift_operator] = ACTIONS(12262),
    [sym__power_operator] = ACTIONS(12262),
    [sym__tilde_operator] = ACTIONS(12262),
    [sym__type_order_operator] = ACTIONS(12262),
    [sym__unary_operator] = ACTIONS(12262),
    [sym__unary_plus_operator] = ACTIONS(12262),
    [aux_sym__terminator_token1] = ACTIONS(12262),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12264),
    [sym__string_start] = ACTIONS(12264),
    [sym__command_start] = ACTIONS(12264),
  },
  [9595] = {
    [sym__word_identifier] = ACTIONS(12180),
    [anon_sym_COLON] = ACTIONS(12180),
    [anon_sym_begin] = ACTIONS(12180),
    [anon_sym_module] = ACTIONS(12180),
    [anon_sym_baremodule] = ACTIONS(12180),
    [anon_sym_end] = ACTIONS(12180),
    [anon_sym_abstract] = ACTIONS(12180),
    [anon_sym_primitive] = ACTIONS(12180),
    [anon_sym_mutable] = ACTIONS(12180),
    [anon_sym_struct] = ACTIONS(12180),
    [anon_sym_LT_COLON] = ACTIONS(12180),
    [anon_sym_function] = ACTIONS(12180),
    [anon_sym_macro] = ACTIONS(12180),
    [anon_sym_quote] = ACTIONS(12180),
    [anon_sym_let] = ACTIONS(12180),
    [anon_sym_if] = ACTIONS(12180),
    [anon_sym_try] = ACTIONS(12180),
    [anon_sym_for] = ACTIONS(12180),
    [anon_sym_while] = ACTIONS(12180),
    [sym_break_statement] = ACTIONS(12180),
    [sym_continue_statement] = ACTIONS(12180),
    [anon_sym_return] = ACTIONS(12180),
    [anon_sym_const] = ACTIONS(12180),
    [anon_sym_global] = ACTIONS(12180),
    [anon_sym_local] = ACTIONS(12180),
    [anon_sym_LPAREN] = ACTIONS(12180),
    [anon_sym_export] = ACTIONS(12180),
    [anon_sym_import] = ACTIONS(12180),
    [anon_sym_using] = ACTIONS(12180),
    [anon_sym_LBRACK] = ACTIONS(12180),
    [anon_sym_LF] = ACTIONS(12182),
    [anon_sym_LBRACE] = ACTIONS(12180),
    [anon_sym_DOLLAR] = ACTIONS(12180),
    [anon_sym_COLON_COLON] = ACTIONS(12180),
    [anon_sym_AT] = ACTIONS(12180),
    [anon_sym_true] = ACTIONS(12180),
    [anon_sym_false] = ACTIONS(12180),
    [aux_sym_integer_literal_token1] = ACTIONS(12180),
    [aux_sym_integer_literal_token2] = ACTIONS(12180),
    [aux_sym_integer_literal_token3] = ACTIONS(12180),
    [aux_sym_integer_literal_token4] = ACTIONS(12180),
    [aux_sym_float_literal_token1] = ACTIONS(12180),
    [aux_sym_float_literal_token3] = ACTIONS(12180),
    [aux_sym_float_literal_token4] = ACTIONS(12180),
    [sym_character_literal] = ACTIONS(12180),
    [sym__pair_operator] = ACTIONS(12180),
    [sym__arrow_operator] = ACTIONS(12180),
    [sym__comparison_operator] = ACTIONS(12180),
    [sym__pipe_right_operator] = ACTIONS(12180),
    [sym__pipe_left_operator] = ACTIONS(12180),
    [sym__ellipsis_operator] = ACTIONS(12180),
    [sym__plus_operator] = ACTIONS(12180),
    [sym__times_operator] = ACTIONS(12180),
    [sym__rational_operator] = ACTIONS(12180),
    [sym__bitshift_operator] = ACTIONS(12180),
    [sym__power_operator] = ACTIONS(12180),
    [sym__tilde_operator] = ACTIONS(12180),
    [sym__type_order_operator] = ACTIONS(12180),
    [sym__unary_operator] = ACTIONS(12180),
    [sym__unary_plus_operator] = ACTIONS(12180),
    [aux_sym__terminator_token1] = ACTIONS(12180),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12182),
    [sym__string_start] = ACTIONS(12182),
    [sym__command_start] = ACTIONS(12182),
  },
  [9596] = {
    [sym__word_identifier] = ACTIONS(12184),
    [anon_sym_COLON] = ACTIONS(12184),
    [anon_sym_begin] = ACTIONS(12184),
    [anon_sym_module] = ACTIONS(12184),
    [anon_sym_baremodule] = ACTIONS(12184),
    [anon_sym_end] = ACTIONS(12184),
    [anon_sym_abstract] = ACTIONS(12184),
    [anon_sym_primitive] = ACTIONS(12184),
    [anon_sym_mutable] = ACTIONS(12184),
    [anon_sym_struct] = ACTIONS(12184),
    [anon_sym_LT_COLON] = ACTIONS(12184),
    [anon_sym_function] = ACTIONS(12184),
    [anon_sym_macro] = ACTIONS(12184),
    [anon_sym_quote] = ACTIONS(12184),
    [anon_sym_let] = ACTIONS(12184),
    [anon_sym_if] = ACTIONS(12184),
    [anon_sym_try] = ACTIONS(12184),
    [anon_sym_for] = ACTIONS(12184),
    [anon_sym_while] = ACTIONS(12184),
    [sym_break_statement] = ACTIONS(12184),
    [sym_continue_statement] = ACTIONS(12184),
    [anon_sym_return] = ACTIONS(12184),
    [anon_sym_const] = ACTIONS(12184),
    [anon_sym_global] = ACTIONS(12184),
    [anon_sym_local] = ACTIONS(12184),
    [anon_sym_LPAREN] = ACTIONS(12184),
    [anon_sym_export] = ACTIONS(12184),
    [anon_sym_import] = ACTIONS(12184),
    [anon_sym_using] = ACTIONS(12184),
    [anon_sym_LBRACK] = ACTIONS(12184),
    [anon_sym_LF] = ACTIONS(12186),
    [anon_sym_LBRACE] = ACTIONS(12184),
    [anon_sym_DOLLAR] = ACTIONS(12184),
    [anon_sym_COLON_COLON] = ACTIONS(12184),
    [anon_sym_AT] = ACTIONS(12184),
    [anon_sym_true] = ACTIONS(12184),
    [anon_sym_false] = ACTIONS(12184),
    [aux_sym_integer_literal_token1] = ACTIONS(12184),
    [aux_sym_integer_literal_token2] = ACTIONS(12184),
    [aux_sym_integer_literal_token3] = ACTIONS(12184),
    [aux_sym_integer_literal_token4] = ACTIONS(12184),
    [aux_sym_float_literal_token1] = ACTIONS(12184),
    [aux_sym_float_literal_token3] = ACTIONS(12184),
    [aux_sym_float_literal_token4] = ACTIONS(12184),
    [sym_character_literal] = ACTIONS(12184),
    [sym__pair_operator] = ACTIONS(12184),
    [sym__arrow_operator] = ACTIONS(12184),
    [sym__comparison_operator] = ACTIONS(12184),
    [sym__pipe_right_operator] = ACTIONS(12184),
    [sym__pipe_left_operator] = ACTIONS(12184),
    [sym__ellipsis_operator] = ACTIONS(12184),
    [sym__plus_operator] = ACTIONS(12184),
    [sym__times_operator] = ACTIONS(12184),
    [sym__rational_operator] = ACTIONS(12184),
    [sym__bitshift_operator] = ACTIONS(12184),
    [sym__power_operator] = ACTIONS(12184),
    [sym__tilde_operator] = ACTIONS(12184),
    [sym__type_order_operator] = ACTIONS(12184),
    [sym__unary_operator] = ACTIONS(12184),
    [sym__unary_plus_operator] = ACTIONS(12184),
    [aux_sym__terminator_token1] = ACTIONS(12184),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__immediate_brace] = ACTIONS(12186),
    [sym__string_start] = ACTIONS(12186),
    [sym__command_start] = ACTIONS(12186),
  },
  [9597] = {
    [sym__word_identifier] = ACTIONS(12210),
    [anon_sym_COLON] = ACTIONS(12210),
    [anon_sym_begin] = ACTIONS(12210),
    [anon_sym_module] = ACTIONS(12210),
    [anon_sym_baremodule] = ACTIONS(12210),
    [anon_sym_end] = ACTIONS(12210),
    [anon_sym_abstract] = ACTIONS(12210),
    [anon_sym_primitive] = ACTIONS(12210),
    [anon_sym_mutable] = ACTIONS(12210),
    [anon_sym_struct] = ACTIONS(12210),
    [anon_sym_LT_COLON] = ACTIONS(12210),
    [anon_sym_function] = ACTIONS(12210),
    [anon_sym_macro] = ACTIONS(12210),
    [anon_sym_quote] = ACTIONS(12210),
    [anon_sym_let] = ACTIONS(12210),
    [anon_sym_if] = ACTIONS(12210),
    [anon_sym_try] = ACTIONS(12210),
    [anon_sym_for] = ACTIONS(12210),
    [anon_sym_while] = ACTIONS(12210),
    [sym_break_statement] = ACTIONS(12210),
    [sym_continue_statement] = ACTIONS(12210),
    [anon_sym_return] = ACTIONS(12210),
    [anon_sym_const] = ACTIONS(12210),
    [anon_sym_global] = ACTIONS(12210),
    [anon_sym_local] = ACTIONS(12210),
    [anon_sym_LPAREN] = ACTIONS(12210),
    [anon_sym_export] = ACTIONS(12210),
    [anon_sym_import] = ACTIONS(12210),
    [anon_sym_using] = ACTIONS(12210),
    [anon_sym_LBRACK] = ACTIONS(12210),
    [anon_sym_LF] = ACTIONS(12212),
    [anon_sym_LBRACE] = ACTIONS(12210),
    [anon_sym_DOLLAR] = ACTIONS(12210),
    [anon_sym_COLON_COLON] = ACTIONS(12210),
    [anon_sym_AT] = ACTIONS(12210),
    [anon_sym_true] = ACTIONS(12210),
    [anon_sym_false] = ACTIONS(12210),
    [aux_sym_integer_literal_token1] = ACTIONS(12210),
    [aux_sym_integer_literal_token2] = ACTIONS(12210),
    [aux_sym_integer_literal_token3] = ACTIONS(12210),
    [aux_sym_integer_literal_token4] = ACTIONS(12210),
    [aux_sym_float_literal_token1] = ACTIONS(12210),
    [aux_sym_float_literal_token3] = ACTIONS(12210),
    [aux_sym_float_literal_token4] = ACTIONS(12210),
    [sym_character_literal] = ACTIONS(12210),
    [sym__pair_operator] = ACTIONS(12210),
    [sym__arrow_operator] = ACTIONS(12210),
    [sym__comparison_operator] = ACTIONS(12210),
    [sym__pipe_right_operator] = ACTIONS(12210),
    [sym__pipe_left_operator] = ACTIONS(12210),
    [sym__ellipsis_operator] = ACTIONS(12210),
    [sym__plus_operator] = ACTIONS(12210),
    [sym__times_operator] = ACTIONS(12210),
    [sym__rational_operator] = ACTIONS(12210),
    [sym__bitshift_operator] = ACTIONS(12210),
    [sym__power_operator] = ACTIONS(12210),
    [sym__tilde_operator] = ACTIONS(12210),
    [sym__type_order_operator] = ACTIONS(12210),
    [sym__unary_operator] = ACTIONS(12210),
    [sym__unary_plus_operator] = ACTIONS(12210),
    [aux_sym__terminator_token1] = ACTIONS(12210),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12212),
    [sym__command_start] = ACTIONS(12212),
  },
  [9598] = {
    [sym__word_identifier] = ACTIONS(12014),
    [anon_sym_COLON] = ACTIONS(12014),
    [anon_sym_begin] = ACTIONS(12014),
    [anon_sym_module] = ACTIONS(12014),
    [anon_sym_baremodule] = ACTIONS(12014),
    [anon_sym_end] = ACTIONS(12014),
    [anon_sym_abstract] = ACTIONS(12014),
    [anon_sym_primitive] = ACTIONS(12014),
    [anon_sym_mutable] = ACTIONS(12014),
    [anon_sym_struct] = ACTIONS(12014),
    [anon_sym_function] = ACTIONS(12014),
    [anon_sym_macro] = ACTIONS(12014),
    [anon_sym_where] = ACTIONS(12014),
    [anon_sym_quote] = ACTIONS(12014),
    [anon_sym_let] = ACTIONS(12014),
    [anon_sym_if] = ACTIONS(12014),
    [anon_sym_try] = ACTIONS(12014),
    [anon_sym_for] = ACTIONS(12014),
    [anon_sym_while] = ACTIONS(12014),
    [sym_break_statement] = ACTIONS(12014),
    [sym_continue_statement] = ACTIONS(12014),
    [anon_sym_return] = ACTIONS(12014),
    [anon_sym_const] = ACTIONS(12014),
    [anon_sym_global] = ACTIONS(12014),
    [anon_sym_local] = ACTIONS(12014),
    [anon_sym_LPAREN] = ACTIONS(12014),
    [anon_sym_export] = ACTIONS(12014),
    [anon_sym_import] = ACTIONS(12014),
    [anon_sym_using] = ACTIONS(12014),
    [anon_sym_LBRACK] = ACTIONS(12014),
    [anon_sym_LF] = ACTIONS(12012),
    [anon_sym_LBRACE] = ACTIONS(12014),
    [anon_sym_DOLLAR] = ACTIONS(12014),
    [anon_sym_COLON_COLON] = ACTIONS(12014),
    [anon_sym_AT] = ACTIONS(12014),
    [anon_sym_true] = ACTIONS(12014),
    [anon_sym_false] = ACTIONS(12014),
    [aux_sym_integer_literal_token1] = ACTIONS(12014),
    [aux_sym_integer_literal_token2] = ACTIONS(12014),
    [aux_sym_integer_literal_token3] = ACTIONS(12014),
    [aux_sym_integer_literal_token4] = ACTIONS(12014),
    [aux_sym_float_literal_token1] = ACTIONS(12014),
    [aux_sym_float_literal_token3] = ACTIONS(12014),
    [aux_sym_float_literal_token4] = ACTIONS(12014),
    [sym_character_literal] = ACTIONS(12014),
    [sym__pair_operator] = ACTIONS(12014),
    [sym__arrow_operator] = ACTIONS(12014),
    [sym__comparison_operator] = ACTIONS(12014),
    [sym__pipe_right_operator] = ACTIONS(12014),
    [sym__pipe_left_operator] = ACTIONS(12014),
    [sym__ellipsis_operator] = ACTIONS(12014),
    [sym__plus_operator] = ACTIONS(12014),
    [sym__times_operator] = ACTIONS(12014),
    [sym__rational_operator] = ACTIONS(12014),
    [sym__bitshift_operator] = ACTIONS(12014),
    [sym__power_operator] = ACTIONS(12014),
    [sym__tilde_operator] = ACTIONS(12014),
    [sym__type_order_operator] = ACTIONS(12014),
    [sym__unary_operator] = ACTIONS(12014),
    [sym__unary_plus_operator] = ACTIONS(12014),
    [aux_sym__terminator_token1] = ACTIONS(12014),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12012),
    [sym__command_start] = ACTIONS(12012),
  },
  [9599] = {
    [sym__word_identifier] = ACTIONS(11976),
    [anon_sym_COLON] = ACTIONS(11976),
    [anon_sym_begin] = ACTIONS(11976),
    [anon_sym_module] = ACTIONS(11976),
    [anon_sym_baremodule] = ACTIONS(11976),
    [anon_sym_end] = ACTIONS(11976),
    [anon_sym_abstract] = ACTIONS(11976),
    [anon_sym_primitive] = ACTIONS(11976),
    [anon_sym_mutable] = ACTIONS(11976),
    [anon_sym_struct] = ACTIONS(11976),
    [anon_sym_function] = ACTIONS(11976),
    [anon_sym_macro] = ACTIONS(11976),
    [anon_sym_where] = ACTIONS(11976),
    [anon_sym_quote] = ACTIONS(11976),
    [anon_sym_let] = ACTIONS(11976),
    [anon_sym_if] = ACTIONS(11976),
    [anon_sym_try] = ACTIONS(11976),
    [anon_sym_for] = ACTIONS(11976),
    [anon_sym_while] = ACTIONS(11976),
    [sym_break_statement] = ACTIONS(11976),
    [sym_continue_statement] = ACTIONS(11976),
    [anon_sym_return] = ACTIONS(11976),
    [anon_sym_const] = ACTIONS(11976),
    [anon_sym_global] = ACTIONS(11976),
    [anon_sym_local] = ACTIONS(11976),
    [anon_sym_LPAREN] = ACTIONS(11976),
    [anon_sym_export] = ACTIONS(11976),
    [anon_sym_import] = ACTIONS(11976),
    [anon_sym_using] = ACTIONS(11976),
    [anon_sym_LBRACK] = ACTIONS(11976),
    [anon_sym_LF] = ACTIONS(12052),
    [anon_sym_LBRACE] = ACTIONS(11976),
    [anon_sym_DOLLAR] = ACTIONS(11976),
    [anon_sym_COLON_COLON] = ACTIONS(11976),
    [anon_sym_AT] = ACTIONS(11976),
    [anon_sym_true] = ACTIONS(11976),
    [anon_sym_false] = ACTIONS(11976),
    [aux_sym_integer_literal_token1] = ACTIONS(11976),
    [aux_sym_integer_literal_token2] = ACTIONS(11976),
    [aux_sym_integer_literal_token3] = ACTIONS(11976),
    [aux_sym_integer_literal_token4] = ACTIONS(11976),
    [aux_sym_float_literal_token1] = ACTIONS(11976),
    [aux_sym_float_literal_token3] = ACTIONS(11976),
    [aux_sym_float_literal_token4] = ACTIONS(11976),
    [sym_character_literal] = ACTIONS(11976),
    [sym__pair_operator] = ACTIONS(11976),
    [sym__arrow_operator] = ACTIONS(11976),
    [sym__comparison_operator] = ACTIONS(11976),
    [sym__pipe_right_operator] = ACTIONS(11976),
    [sym__pipe_left_operator] = ACTIONS(11976),
    [sym__ellipsis_operator] = ACTIONS(11976),
    [sym__plus_operator] = ACTIONS(11976),
    [sym__times_operator] = ACTIONS(11976),
    [sym__rational_operator] = ACTIONS(11976),
    [sym__bitshift_operator] = ACTIONS(11976),
    [sym__power_operator] = ACTIONS(11976),
    [sym__tilde_operator] = ACTIONS(11976),
    [sym__type_order_operator] = ACTIONS(11976),
    [sym__unary_operator] = ACTIONS(11976),
    [sym__unary_plus_operator] = ACTIONS(11976),
    [aux_sym__terminator_token1] = ACTIONS(11976),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12052),
    [sym__command_start] = ACTIONS(12052),
  },
  [9600] = {
    [sym__word_identifier] = ACTIONS(12002),
    [anon_sym_COLON] = ACTIONS(12002),
    [anon_sym_begin] = ACTIONS(12002),
    [anon_sym_module] = ACTIONS(12002),
    [anon_sym_baremodule] = ACTIONS(12002),
    [anon_sym_end] = ACTIONS(12002),
    [anon_sym_abstract] = ACTIONS(12002),
    [anon_sym_primitive] = ACTIONS(12002),
    [anon_sym_mutable] = ACTIONS(12002),
    [anon_sym_struct] = ACTIONS(12002),
    [anon_sym_function] = ACTIONS(12002),
    [anon_sym_macro] = ACTIONS(12002),
    [anon_sym_where] = ACTIONS(12002),
    [anon_sym_quote] = ACTIONS(12002),
    [anon_sym_let] = ACTIONS(12002),
    [anon_sym_if] = ACTIONS(12002),
    [anon_sym_try] = ACTIONS(12002),
    [anon_sym_for] = ACTIONS(12002),
    [anon_sym_while] = ACTIONS(12002),
    [sym_break_statement] = ACTIONS(12002),
    [sym_continue_statement] = ACTIONS(12002),
    [anon_sym_return] = ACTIONS(12002),
    [anon_sym_const] = ACTIONS(12002),
    [anon_sym_global] = ACTIONS(12002),
    [anon_sym_local] = ACTIONS(12002),
    [anon_sym_LPAREN] = ACTIONS(12002),
    [anon_sym_export] = ACTIONS(12002),
    [anon_sym_import] = ACTIONS(12002),
    [anon_sym_using] = ACTIONS(12002),
    [anon_sym_LBRACK] = ACTIONS(12002),
    [anon_sym_LF] = ACTIONS(12004),
    [anon_sym_LBRACE] = ACTIONS(12002),
    [anon_sym_DOLLAR] = ACTIONS(12002),
    [anon_sym_COLON_COLON] = ACTIONS(12002),
    [anon_sym_AT] = ACTIONS(12002),
    [anon_sym_true] = ACTIONS(12002),
    [anon_sym_false] = ACTIONS(12002),
    [aux_sym_integer_literal_token1] = ACTIONS(12002),
    [aux_sym_integer_literal_token2] = ACTIONS(12002),
    [aux_sym_integer_literal_token3] = ACTIONS(12002),
    [aux_sym_integer_literal_token4] = ACTIONS(12002),
    [aux_sym_float_literal_token1] = ACTIONS(12002),
    [aux_sym_float_literal_token3] = ACTIONS(12002),
    [aux_sym_float_literal_token4] = ACTIONS(12002),
    [sym_character_literal] = ACTIONS(12002),
    [sym__pair_operator] = ACTIONS(12002),
    [sym__arrow_operator] = ACTIONS(12002),
    [sym__comparison_operator] = ACTIONS(12002),
    [sym__pipe_right_operator] = ACTIONS(12002),
    [sym__pipe_left_operator] = ACTIONS(12002),
    [sym__ellipsis_operator] = ACTIONS(12002),
    [sym__plus_operator] = ACTIONS(12002),
    [sym__times_operator] = ACTIONS(12002),
    [sym__rational_operator] = ACTIONS(12002),
    [sym__bitshift_operator] = ACTIONS(12002),
    [sym__power_operator] = ACTIONS(12002),
    [sym__tilde_operator] = ACTIONS(12002),
    [sym__type_order_operator] = ACTIONS(12002),
    [sym__unary_operator] = ACTIONS(12002),
    [sym__unary_plus_operator] = ACTIONS(12002),
    [aux_sym__terminator_token1] = ACTIONS(12002),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12004),
    [sym__command_start] = ACTIONS(12004),
  },
  [9601] = {
    [sym_identifier] = STATE(9656),
    [sym__word_identifier] = ACTIONS(11988),
    [anon_sym_COLON] = ACTIONS(11988),
    [anon_sym_begin] = ACTIONS(11988),
    [anon_sym_module] = ACTIONS(11988),
    [anon_sym_baremodule] = ACTIONS(11988),
    [anon_sym_end] = ACTIONS(11988),
    [anon_sym_abstract] = ACTIONS(11988),
    [anon_sym_primitive] = ACTIONS(11988),
    [anon_sym_mutable] = ACTIONS(11988),
    [anon_sym_struct] = ACTIONS(11988),
    [anon_sym_function] = ACTIONS(11988),
    [anon_sym_macro] = ACTIONS(11988),
    [anon_sym_quote] = ACTIONS(11988),
    [anon_sym_let] = ACTIONS(11988),
    [anon_sym_if] = ACTIONS(11988),
    [anon_sym_try] = ACTIONS(11988),
    [anon_sym_for] = ACTIONS(11988),
    [anon_sym_while] = ACTIONS(11988),
    [sym_break_statement] = ACTIONS(11988),
    [sym_continue_statement] = ACTIONS(11988),
    [anon_sym_return] = ACTIONS(11988),
    [anon_sym_const] = ACTIONS(11988),
    [anon_sym_global] = ACTIONS(11988),
    [anon_sym_local] = ACTIONS(11988),
    [anon_sym_LPAREN] = ACTIONS(11988),
    [anon_sym_export] = ACTIONS(11988),
    [anon_sym_import] = ACTIONS(11988),
    [anon_sym_using] = ACTIONS(11988),
    [anon_sym_LBRACK] = ACTIONS(11988),
    [anon_sym_LF] = ACTIONS(11986),
    [anon_sym_LBRACE] = ACTIONS(11988),
    [anon_sym_DOLLAR] = ACTIONS(11988),
    [anon_sym_COLON_COLON] = ACTIONS(11988),
    [anon_sym_AT] = ACTIONS(11988),
    [anon_sym_true] = ACTIONS(11988),
    [anon_sym_false] = ACTIONS(11988),
    [aux_sym_integer_literal_token1] = ACTIONS(11988),
    [aux_sym_integer_literal_token2] = ACTIONS(11988),
    [aux_sym_integer_literal_token3] = ACTIONS(11988),
    [aux_sym_integer_literal_token4] = ACTIONS(11988),
    [aux_sym_float_literal_token1] = ACTIONS(11988),
    [aux_sym_float_literal_token3] = ACTIONS(11988),
    [aux_sym_float_literal_token4] = ACTIONS(11988),
    [sym_character_literal] = ACTIONS(11988),
    [sym__pair_operator] = ACTIONS(11988),
    [sym__arrow_operator] = ACTIONS(11988),
    [sym__comparison_operator] = ACTIONS(11988),
    [sym__pipe_right_operator] = ACTIONS(11988),
    [sym__pipe_left_operator] = ACTIONS(11988),
    [sym__ellipsis_operator] = ACTIONS(11988),
    [sym__plus_operator] = ACTIONS(11988),
    [sym__times_operator] = ACTIONS(11988),
    [sym__rational_operator] = ACTIONS(11988),
    [sym__bitshift_operator] = ACTIONS(11988),
    [sym__power_operator] = ACTIONS(11988),
    [sym__tilde_operator] = ACTIONS(11988),
    [sym__type_order_operator] = ACTIONS(11988),
    [sym__unary_operator] = ACTIONS(11988),
    [sym__unary_plus_operator] = ACTIONS(11988),
    [aux_sym__terminator_token1] = ACTIONS(11988),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11986),
    [sym__command_start] = ACTIONS(11986),
  },
  [9602] = {
    [sym__word_identifier] = ACTIONS(15242),
    [anon_sym_COMMA] = ACTIONS(15242),
    [anon_sym_COLON] = ACTIONS(15242),
    [anon_sym_begin] = ACTIONS(15242),
    [anon_sym_module] = ACTIONS(15242),
    [anon_sym_baremodule] = ACTIONS(15242),
    [anon_sym_end] = ACTIONS(15242),
    [anon_sym_abstract] = ACTIONS(15242),
    [anon_sym_primitive] = ACTIONS(15242),
    [anon_sym_mutable] = ACTIONS(15242),
    [anon_sym_struct] = ACTIONS(15242),
    [anon_sym_function] = ACTIONS(15242),
    [anon_sym_macro] = ACTIONS(15242),
    [anon_sym_quote] = ACTIONS(15242),
    [anon_sym_let] = ACTIONS(15242),
    [anon_sym_if] = ACTIONS(15242),
    [anon_sym_try] = ACTIONS(15242),
    [anon_sym_for] = ACTIONS(15242),
    [anon_sym_while] = ACTIONS(15242),
    [sym_break_statement] = ACTIONS(15242),
    [sym_continue_statement] = ACTIONS(15242),
    [anon_sym_return] = ACTIONS(15242),
    [anon_sym_const] = ACTIONS(15242),
    [anon_sym_global] = ACTIONS(15242),
    [anon_sym_local] = ACTIONS(15242),
    [anon_sym_LPAREN] = ACTIONS(15242),
    [anon_sym_export] = ACTIONS(15242),
    [anon_sym_import] = ACTIONS(15242),
    [anon_sym_using] = ACTIONS(15242),
    [anon_sym_LBRACK] = ACTIONS(15242),
    [anon_sym_LF] = ACTIONS(15247),
    [anon_sym_LBRACE] = ACTIONS(15242),
    [anon_sym_DOLLAR] = ACTIONS(15242),
    [anon_sym_COLON_COLON] = ACTIONS(15242),
    [anon_sym_AT] = ACTIONS(15242),
    [anon_sym_true] = ACTIONS(15242),
    [anon_sym_false] = ACTIONS(15242),
    [aux_sym_integer_literal_token1] = ACTIONS(15242),
    [aux_sym_integer_literal_token2] = ACTIONS(15242),
    [aux_sym_integer_literal_token3] = ACTIONS(15242),
    [aux_sym_integer_literal_token4] = ACTIONS(15242),
    [aux_sym_float_literal_token1] = ACTIONS(15242),
    [aux_sym_float_literal_token3] = ACTIONS(15242),
    [aux_sym_float_literal_token4] = ACTIONS(15242),
    [sym_character_literal] = ACTIONS(15242),
    [sym__pair_operator] = ACTIONS(15242),
    [sym__arrow_operator] = ACTIONS(15242),
    [sym__comparison_operator] = ACTIONS(15242),
    [sym__pipe_right_operator] = ACTIONS(15242),
    [sym__pipe_left_operator] = ACTIONS(15242),
    [sym__ellipsis_operator] = ACTIONS(15242),
    [sym__plus_operator] = ACTIONS(15242),
    [sym__times_operator] = ACTIONS(15242),
    [sym__rational_operator] = ACTIONS(15242),
    [sym__bitshift_operator] = ACTIONS(15242),
    [sym__power_operator] = ACTIONS(15242),
    [sym__tilde_operator] = ACTIONS(15242),
    [sym__type_order_operator] = ACTIONS(15242),
    [sym__unary_operator] = ACTIONS(15242),
    [sym__unary_plus_operator] = ACTIONS(15242),
    [aux_sym__terminator_token1] = ACTIONS(15242),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(15247),
    [sym__command_start] = ACTIONS(15247),
  },
  [9603] = {
    [sym_identifier] = STATE(9625),
    [sym__word_identifier] = ACTIONS(11966),
    [anon_sym_COLON] = ACTIONS(11966),
    [anon_sym_begin] = ACTIONS(11966),
    [anon_sym_module] = ACTIONS(11966),
    [anon_sym_baremodule] = ACTIONS(11966),
    [anon_sym_end] = ACTIONS(11966),
    [anon_sym_abstract] = ACTIONS(11966),
    [anon_sym_primitive] = ACTIONS(11966),
    [anon_sym_mutable] = ACTIONS(11966),
    [anon_sym_struct] = ACTIONS(11966),
    [anon_sym_function] = ACTIONS(11966),
    [anon_sym_macro] = ACTIONS(11966),
    [anon_sym_quote] = ACTIONS(11966),
    [anon_sym_let] = ACTIONS(11966),
    [anon_sym_if] = ACTIONS(11966),
    [anon_sym_try] = ACTIONS(11966),
    [anon_sym_for] = ACTIONS(11966),
    [anon_sym_while] = ACTIONS(11966),
    [sym_break_statement] = ACTIONS(11966),
    [sym_continue_statement] = ACTIONS(11966),
    [anon_sym_return] = ACTIONS(11966),
    [anon_sym_const] = ACTIONS(11966),
    [anon_sym_global] = ACTIONS(11966),
    [anon_sym_local] = ACTIONS(11966),
    [anon_sym_LPAREN] = ACTIONS(11966),
    [anon_sym_export] = ACTIONS(11966),
    [anon_sym_import] = ACTIONS(11966),
    [anon_sym_using] = ACTIONS(11966),
    [anon_sym_LBRACK] = ACTIONS(11966),
    [anon_sym_LF] = ACTIONS(11968),
    [anon_sym_LBRACE] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(11966),
    [anon_sym_COLON_COLON] = ACTIONS(11966),
    [anon_sym_AT] = ACTIONS(11966),
    [anon_sym_true] = ACTIONS(11966),
    [anon_sym_false] = ACTIONS(11966),
    [aux_sym_integer_literal_token1] = ACTIONS(11966),
    [aux_sym_integer_literal_token2] = ACTIONS(11966),
    [aux_sym_integer_literal_token3] = ACTIONS(11966),
    [aux_sym_integer_literal_token4] = ACTIONS(11966),
    [aux_sym_float_literal_token1] = ACTIONS(11966),
    [aux_sym_float_literal_token3] = ACTIONS(11966),
    [aux_sym_float_literal_token4] = ACTIONS(11966),
    [sym_character_literal] = ACTIONS(11966),
    [sym__pair_operator] = ACTIONS(11966),
    [sym__arrow_operator] = ACTIONS(11966),
    [sym__comparison_operator] = ACTIONS(11966),
    [sym__pipe_right_operator] = ACTIONS(11966),
    [sym__pipe_left_operator] = ACTIONS(11966),
    [sym__ellipsis_operator] = ACTIONS(11966),
    [sym__plus_operator] = ACTIONS(11966),
    [sym__times_operator] = ACTIONS(11966),
    [sym__rational_operator] = ACTIONS(11966),
    [sym__bitshift_operator] = ACTIONS(11966),
    [sym__power_operator] = ACTIONS(11966),
    [sym__tilde_operator] = ACTIONS(11966),
    [sym__type_order_operator] = ACTIONS(11966),
    [sym__unary_operator] = ACTIONS(11966),
    [sym__unary_plus_operator] = ACTIONS(11966),
    [aux_sym__terminator_token1] = ACTIONS(11966),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11968),
    [sym__command_start] = ACTIONS(11968),
  },
  [9604] = {
    [sym_identifier] = STATE(9654),
    [sym__word_identifier] = ACTIONS(11978),
    [anon_sym_COLON] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11978),
    [anon_sym_module] = ACTIONS(11978),
    [anon_sym_baremodule] = ACTIONS(11978),
    [anon_sym_end] = ACTIONS(11978),
    [anon_sym_abstract] = ACTIONS(11978),
    [anon_sym_primitive] = ACTIONS(11978),
    [anon_sym_mutable] = ACTIONS(11978),
    [anon_sym_struct] = ACTIONS(11978),
    [anon_sym_function] = ACTIONS(11978),
    [anon_sym_macro] = ACTIONS(11978),
    [anon_sym_quote] = ACTIONS(11978),
    [anon_sym_let] = ACTIONS(11978),
    [anon_sym_if] = ACTIONS(11978),
    [anon_sym_try] = ACTIONS(11978),
    [anon_sym_for] = ACTIONS(11978),
    [anon_sym_while] = ACTIONS(11978),
    [sym_break_statement] = ACTIONS(11978),
    [sym_continue_statement] = ACTIONS(11978),
    [anon_sym_return] = ACTIONS(11978),
    [anon_sym_const] = ACTIONS(11978),
    [anon_sym_global] = ACTIONS(11978),
    [anon_sym_local] = ACTIONS(11978),
    [anon_sym_LPAREN] = ACTIONS(11978),
    [anon_sym_export] = ACTIONS(11978),
    [anon_sym_import] = ACTIONS(11978),
    [anon_sym_using] = ACTIONS(11978),
    [anon_sym_LBRACK] = ACTIONS(11978),
    [anon_sym_LF] = ACTIONS(11980),
    [anon_sym_LBRACE] = ACTIONS(11978),
    [anon_sym_DOLLAR] = ACTIONS(11978),
    [anon_sym_COLON_COLON] = ACTIONS(11978),
    [anon_sym_AT] = ACTIONS(11978),
    [anon_sym_true] = ACTIONS(11978),
    [anon_sym_false] = ACTIONS(11978),
    [aux_sym_integer_literal_token1] = ACTIONS(11978),
    [aux_sym_integer_literal_token2] = ACTIONS(11978),
    [aux_sym_integer_literal_token3] = ACTIONS(11978),
    [aux_sym_integer_literal_token4] = ACTIONS(11978),
    [aux_sym_float_literal_token1] = ACTIONS(11978),
    [aux_sym_float_literal_token3] = ACTIONS(11978),
    [aux_sym_float_literal_token4] = ACTIONS(11978),
    [sym_character_literal] = ACTIONS(11978),
    [sym__pair_operator] = ACTIONS(11978),
    [sym__arrow_operator] = ACTIONS(11978),
    [sym__comparison_operator] = ACTIONS(11978),
    [sym__pipe_right_operator] = ACTIONS(11978),
    [sym__pipe_left_operator] = ACTIONS(11978),
    [sym__ellipsis_operator] = ACTIONS(11978),
    [sym__plus_operator] = ACTIONS(11978),
    [sym__times_operator] = ACTIONS(11978),
    [sym__rational_operator] = ACTIONS(11978),
    [sym__bitshift_operator] = ACTIONS(11978),
    [sym__power_operator] = ACTIONS(11978),
    [sym__tilde_operator] = ACTIONS(11978),
    [sym__type_order_operator] = ACTIONS(11978),
    [sym__unary_operator] = ACTIONS(11978),
    [sym__unary_plus_operator] = ACTIONS(11978),
    [aux_sym__terminator_token1] = ACTIONS(11978),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11980),
    [sym__command_start] = ACTIONS(11980),
  },
  [9605] = {
    [sym__word_identifier] = ACTIONS(12018),
    [anon_sym_COLON] = ACTIONS(12018),
    [anon_sym_begin] = ACTIONS(12018),
    [anon_sym_module] = ACTIONS(12018),
    [anon_sym_baremodule] = ACTIONS(12018),
    [anon_sym_end] = ACTIONS(12018),
    [anon_sym_abstract] = ACTIONS(12018),
    [anon_sym_primitive] = ACTIONS(12018),
    [anon_sym_mutable] = ACTIONS(12018),
    [anon_sym_struct] = ACTIONS(12018),
    [anon_sym_function] = ACTIONS(12018),
    [anon_sym_macro] = ACTIONS(12018),
    [anon_sym_where] = ACTIONS(12018),
    [anon_sym_quote] = ACTIONS(12018),
    [anon_sym_let] = ACTIONS(12018),
    [anon_sym_if] = ACTIONS(12018),
    [anon_sym_try] = ACTIONS(12018),
    [anon_sym_for] = ACTIONS(12018),
    [anon_sym_while] = ACTIONS(12018),
    [sym_break_statement] = ACTIONS(12018),
    [sym_continue_statement] = ACTIONS(12018),
    [anon_sym_return] = ACTIONS(12018),
    [anon_sym_const] = ACTIONS(12018),
    [anon_sym_global] = ACTIONS(12018),
    [anon_sym_local] = ACTIONS(12018),
    [anon_sym_LPAREN] = ACTIONS(12018),
    [anon_sym_export] = ACTIONS(12018),
    [anon_sym_import] = ACTIONS(12018),
    [anon_sym_using] = ACTIONS(12018),
    [anon_sym_LBRACK] = ACTIONS(12018),
    [anon_sym_LF] = ACTIONS(12016),
    [anon_sym_LBRACE] = ACTIONS(12018),
    [anon_sym_DOLLAR] = ACTIONS(12018),
    [anon_sym_COLON_COLON] = ACTIONS(12018),
    [anon_sym_AT] = ACTIONS(12018),
    [anon_sym_true] = ACTIONS(12018),
    [anon_sym_false] = ACTIONS(12018),
    [aux_sym_integer_literal_token1] = ACTIONS(12018),
    [aux_sym_integer_literal_token2] = ACTIONS(12018),
    [aux_sym_integer_literal_token3] = ACTIONS(12018),
    [aux_sym_integer_literal_token4] = ACTIONS(12018),
    [aux_sym_float_literal_token1] = ACTIONS(12018),
    [aux_sym_float_literal_token3] = ACTIONS(12018),
    [aux_sym_float_literal_token4] = ACTIONS(12018),
    [sym_character_literal] = ACTIONS(12018),
    [sym__pair_operator] = ACTIONS(12018),
    [sym__arrow_operator] = ACTIONS(12018),
    [sym__comparison_operator] = ACTIONS(12018),
    [sym__pipe_right_operator] = ACTIONS(12018),
    [sym__pipe_left_operator] = ACTIONS(12018),
    [sym__ellipsis_operator] = ACTIONS(12018),
    [sym__plus_operator] = ACTIONS(12018),
    [sym__times_operator] = ACTIONS(12018),
    [sym__rational_operator] = ACTIONS(12018),
    [sym__bitshift_operator] = ACTIONS(12018),
    [sym__power_operator] = ACTIONS(12018),
    [sym__tilde_operator] = ACTIONS(12018),
    [sym__type_order_operator] = ACTIONS(12018),
    [sym__unary_operator] = ACTIONS(12018),
    [sym__unary_plus_operator] = ACTIONS(12018),
    [aux_sym__terminator_token1] = ACTIONS(12018),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12016),
    [sym__command_start] = ACTIONS(12016),
  },
  [9606] = {
    [sym__word_identifier] = ACTIONS(12038),
    [anon_sym_COLON] = ACTIONS(12038),
    [anon_sym_begin] = ACTIONS(12038),
    [anon_sym_module] = ACTIONS(12038),
    [anon_sym_baremodule] = ACTIONS(12038),
    [anon_sym_end] = ACTIONS(12038),
    [anon_sym_abstract] = ACTIONS(12038),
    [anon_sym_primitive] = ACTIONS(12038),
    [anon_sym_mutable] = ACTIONS(12038),
    [anon_sym_struct] = ACTIONS(12038),
    [anon_sym_function] = ACTIONS(12038),
    [anon_sym_macro] = ACTIONS(12038),
    [anon_sym_where] = ACTIONS(12038),
    [anon_sym_quote] = ACTIONS(12038),
    [anon_sym_let] = ACTIONS(12038),
    [anon_sym_if] = ACTIONS(12038),
    [anon_sym_try] = ACTIONS(12038),
    [anon_sym_for] = ACTIONS(12038),
    [anon_sym_while] = ACTIONS(12038),
    [sym_break_statement] = ACTIONS(12038),
    [sym_continue_statement] = ACTIONS(12038),
    [anon_sym_return] = ACTIONS(12038),
    [anon_sym_const] = ACTIONS(12038),
    [anon_sym_global] = ACTIONS(12038),
    [anon_sym_local] = ACTIONS(12038),
    [anon_sym_LPAREN] = ACTIONS(12038),
    [anon_sym_export] = ACTIONS(12038),
    [anon_sym_import] = ACTIONS(12038),
    [anon_sym_using] = ACTIONS(12038),
    [anon_sym_LBRACK] = ACTIONS(12038),
    [anon_sym_LF] = ACTIONS(12040),
    [anon_sym_LBRACE] = ACTIONS(12038),
    [anon_sym_DOLLAR] = ACTIONS(12038),
    [anon_sym_COLON_COLON] = ACTIONS(12038),
    [anon_sym_AT] = ACTIONS(12038),
    [anon_sym_true] = ACTIONS(12038),
    [anon_sym_false] = ACTIONS(12038),
    [aux_sym_integer_literal_token1] = ACTIONS(12038),
    [aux_sym_integer_literal_token2] = ACTIONS(12038),
    [aux_sym_integer_literal_token3] = ACTIONS(12038),
    [aux_sym_integer_literal_token4] = ACTIONS(12038),
    [aux_sym_float_literal_token1] = ACTIONS(12038),
    [aux_sym_float_literal_token3] = ACTIONS(12038),
    [aux_sym_float_literal_token4] = ACTIONS(12038),
    [sym_character_literal] = ACTIONS(12038),
    [sym__pair_operator] = ACTIONS(12038),
    [sym__arrow_operator] = ACTIONS(12038),
    [sym__comparison_operator] = ACTIONS(12038),
    [sym__pipe_right_operator] = ACTIONS(12038),
    [sym__pipe_left_operator] = ACTIONS(12038),
    [sym__ellipsis_operator] = ACTIONS(12038),
    [sym__plus_operator] = ACTIONS(12038),
    [sym__times_operator] = ACTIONS(12038),
    [sym__rational_operator] = ACTIONS(12038),
    [sym__bitshift_operator] = ACTIONS(12038),
    [sym__power_operator] = ACTIONS(12038),
    [sym__tilde_operator] = ACTIONS(12038),
    [sym__type_order_operator] = ACTIONS(12038),
    [sym__unary_operator] = ACTIONS(12038),
    [sym__unary_plus_operator] = ACTIONS(12038),
    [aux_sym__terminator_token1] = ACTIONS(12038),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12040),
    [sym__command_start] = ACTIONS(12040),
  },
  [9607] = {
    [sym__word_identifier] = ACTIONS(12048),
    [anon_sym_COLON] = ACTIONS(12048),
    [anon_sym_begin] = ACTIONS(12048),
    [anon_sym_module] = ACTIONS(12048),
    [anon_sym_baremodule] = ACTIONS(12048),
    [anon_sym_end] = ACTIONS(12048),
    [anon_sym_abstract] = ACTIONS(12048),
    [anon_sym_primitive] = ACTIONS(12048),
    [anon_sym_mutable] = ACTIONS(12048),
    [anon_sym_struct] = ACTIONS(12048),
    [anon_sym_function] = ACTIONS(12048),
    [anon_sym_macro] = ACTIONS(12048),
    [anon_sym_where] = ACTIONS(12048),
    [anon_sym_quote] = ACTIONS(12048),
    [anon_sym_let] = ACTIONS(12048),
    [anon_sym_if] = ACTIONS(12048),
    [anon_sym_try] = ACTIONS(12048),
    [anon_sym_for] = ACTIONS(12048),
    [anon_sym_while] = ACTIONS(12048),
    [sym_break_statement] = ACTIONS(12048),
    [sym_continue_statement] = ACTIONS(12048),
    [anon_sym_return] = ACTIONS(12048),
    [anon_sym_const] = ACTIONS(12048),
    [anon_sym_global] = ACTIONS(12048),
    [anon_sym_local] = ACTIONS(12048),
    [anon_sym_LPAREN] = ACTIONS(12048),
    [anon_sym_export] = ACTIONS(12048),
    [anon_sym_import] = ACTIONS(12048),
    [anon_sym_using] = ACTIONS(12048),
    [anon_sym_LBRACK] = ACTIONS(12048),
    [anon_sym_LF] = ACTIONS(12050),
    [anon_sym_LBRACE] = ACTIONS(12048),
    [anon_sym_DOLLAR] = ACTIONS(12048),
    [anon_sym_COLON_COLON] = ACTIONS(12048),
    [anon_sym_AT] = ACTIONS(12048),
    [anon_sym_true] = ACTIONS(12048),
    [anon_sym_false] = ACTIONS(12048),
    [aux_sym_integer_literal_token1] = ACTIONS(12048),
    [aux_sym_integer_literal_token2] = ACTIONS(12048),
    [aux_sym_integer_literal_token3] = ACTIONS(12048),
    [aux_sym_integer_literal_token4] = ACTIONS(12048),
    [aux_sym_float_literal_token1] = ACTIONS(12048),
    [aux_sym_float_literal_token3] = ACTIONS(12048),
    [aux_sym_float_literal_token4] = ACTIONS(12048),
    [sym_character_literal] = ACTIONS(12048),
    [sym__pair_operator] = ACTIONS(12048),
    [sym__arrow_operator] = ACTIONS(12048),
    [sym__comparison_operator] = ACTIONS(12048),
    [sym__pipe_right_operator] = ACTIONS(12048),
    [sym__pipe_left_operator] = ACTIONS(12048),
    [sym__ellipsis_operator] = ACTIONS(12048),
    [sym__plus_operator] = ACTIONS(12048),
    [sym__times_operator] = ACTIONS(12048),
    [sym__rational_operator] = ACTIONS(12048),
    [sym__bitshift_operator] = ACTIONS(12048),
    [sym__power_operator] = ACTIONS(12048),
    [sym__tilde_operator] = ACTIONS(12048),
    [sym__type_order_operator] = ACTIONS(12048),
    [sym__unary_operator] = ACTIONS(12048),
    [sym__unary_plus_operator] = ACTIONS(12048),
    [aux_sym__terminator_token1] = ACTIONS(12048),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12050),
    [sym__command_start] = ACTIONS(12050),
  },
  [9608] = {
    [sym__word_identifier] = ACTIONS(12030),
    [anon_sym_COLON] = ACTIONS(12030),
    [anon_sym_begin] = ACTIONS(12030),
    [anon_sym_module] = ACTIONS(12030),
    [anon_sym_baremodule] = ACTIONS(12030),
    [anon_sym_end] = ACTIONS(12030),
    [anon_sym_abstract] = ACTIONS(12030),
    [anon_sym_primitive] = ACTIONS(12030),
    [anon_sym_mutable] = ACTIONS(12030),
    [anon_sym_struct] = ACTIONS(12030),
    [anon_sym_function] = ACTIONS(12030),
    [anon_sym_macro] = ACTIONS(12030),
    [anon_sym_where] = ACTIONS(12030),
    [anon_sym_quote] = ACTIONS(12030),
    [anon_sym_let] = ACTIONS(12030),
    [anon_sym_if] = ACTIONS(12030),
    [anon_sym_try] = ACTIONS(12030),
    [anon_sym_for] = ACTIONS(12030),
    [anon_sym_while] = ACTIONS(12030),
    [sym_break_statement] = ACTIONS(12030),
    [sym_continue_statement] = ACTIONS(12030),
    [anon_sym_return] = ACTIONS(12030),
    [anon_sym_const] = ACTIONS(12030),
    [anon_sym_global] = ACTIONS(12030),
    [anon_sym_local] = ACTIONS(12030),
    [anon_sym_LPAREN] = ACTIONS(12030),
    [anon_sym_export] = ACTIONS(12030),
    [anon_sym_import] = ACTIONS(12030),
    [anon_sym_using] = ACTIONS(12030),
    [anon_sym_LBRACK] = ACTIONS(12030),
    [anon_sym_LF] = ACTIONS(12032),
    [anon_sym_LBRACE] = ACTIONS(12030),
    [anon_sym_DOLLAR] = ACTIONS(12030),
    [anon_sym_COLON_COLON] = ACTIONS(12030),
    [anon_sym_AT] = ACTIONS(12030),
    [anon_sym_true] = ACTIONS(12030),
    [anon_sym_false] = ACTIONS(12030),
    [aux_sym_integer_literal_token1] = ACTIONS(12030),
    [aux_sym_integer_literal_token2] = ACTIONS(12030),
    [aux_sym_integer_literal_token3] = ACTIONS(12030),
    [aux_sym_integer_literal_token4] = ACTIONS(12030),
    [aux_sym_float_literal_token1] = ACTIONS(12030),
    [aux_sym_float_literal_token3] = ACTIONS(12030),
    [aux_sym_float_literal_token4] = ACTIONS(12030),
    [sym_character_literal] = ACTIONS(12030),
    [sym__pair_operator] = ACTIONS(12030),
    [sym__arrow_operator] = ACTIONS(12030),
    [sym__comparison_operator] = ACTIONS(12030),
    [sym__pipe_right_operator] = ACTIONS(12030),
    [sym__pipe_left_operator] = ACTIONS(12030),
    [sym__ellipsis_operator] = ACTIONS(12030),
    [sym__plus_operator] = ACTIONS(12030),
    [sym__times_operator] = ACTIONS(12030),
    [sym__rational_operator] = ACTIONS(12030),
    [sym__bitshift_operator] = ACTIONS(12030),
    [sym__power_operator] = ACTIONS(12030),
    [sym__tilde_operator] = ACTIONS(12030),
    [sym__type_order_operator] = ACTIONS(12030),
    [sym__unary_operator] = ACTIONS(12030),
    [sym__unary_plus_operator] = ACTIONS(12030),
    [aux_sym__terminator_token1] = ACTIONS(12030),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12032),
    [sym__command_start] = ACTIONS(12032),
  },
  [9609] = {
    [sym__word_identifier] = ACTIONS(15053),
    [anon_sym_COMMA] = ACTIONS(15053),
    [anon_sym_COLON] = ACTIONS(15053),
    [anon_sym_begin] = ACTIONS(15053),
    [anon_sym_module] = ACTIONS(15053),
    [anon_sym_baremodule] = ACTIONS(15053),
    [anon_sym_abstract] = ACTIONS(15053),
    [anon_sym_primitive] = ACTIONS(15053),
    [anon_sym_mutable] = ACTIONS(15053),
    [anon_sym_struct] = ACTIONS(15053),
    [anon_sym_function] = ACTIONS(15053),
    [anon_sym_macro] = ACTIONS(15053),
    [anon_sym_quote] = ACTIONS(15053),
    [anon_sym_let] = ACTIONS(15053),
    [anon_sym_if] = ACTIONS(15053),
    [anon_sym_try] = ACTIONS(15053),
    [anon_sym_for] = ACTIONS(15053),
    [anon_sym_while] = ACTIONS(15053),
    [sym_break_statement] = ACTIONS(15053),
    [sym_continue_statement] = ACTIONS(15053),
    [anon_sym_return] = ACTIONS(15053),
    [anon_sym_const] = ACTIONS(15053),
    [anon_sym_global] = ACTIONS(15053),
    [anon_sym_local] = ACTIONS(15053),
    [anon_sym_LPAREN] = ACTIONS(15053),
    [anon_sym_export] = ACTIONS(15053),
    [anon_sym_import] = ACTIONS(15053),
    [anon_sym_using] = ACTIONS(15053),
    [anon_sym_LBRACK] = ACTIONS(15053),
    [anon_sym_RBRACK] = ACTIONS(15053),
    [anon_sym_LF] = ACTIONS(15055),
    [anon_sym_LBRACE] = ACTIONS(15053),
    [anon_sym_DOLLAR] = ACTIONS(15053),
    [anon_sym_COLON_COLON] = ACTIONS(15053),
    [anon_sym_AT] = ACTIONS(15053),
    [anon_sym_true] = ACTIONS(15053),
    [anon_sym_false] = ACTIONS(15053),
    [aux_sym_integer_literal_token1] = ACTIONS(15053),
    [aux_sym_integer_literal_token2] = ACTIONS(15053),
    [aux_sym_integer_literal_token3] = ACTIONS(15053),
    [aux_sym_integer_literal_token4] = ACTIONS(15053),
    [aux_sym_float_literal_token1] = ACTIONS(15053),
    [aux_sym_float_literal_token3] = ACTIONS(15053),
    [aux_sym_float_literal_token4] = ACTIONS(15053),
    [sym_character_literal] = ACTIONS(15053),
    [sym__pair_operator] = ACTIONS(15053),
    [sym__arrow_operator] = ACTIONS(15053),
    [sym__comparison_operator] = ACTIONS(15053),
    [sym__pipe_right_operator] = ACTIONS(15053),
    [sym__pipe_left_operator] = ACTIONS(15053),
    [sym__ellipsis_operator] = ACTIONS(15053),
    [sym__plus_operator] = ACTIONS(15053),
    [sym__times_operator] = ACTIONS(15053),
    [sym__rational_operator] = ACTIONS(15053),
    [sym__bitshift_operator] = ACTIONS(15053),
    [sym__power_operator] = ACTIONS(15053),
    [sym__tilde_operator] = ACTIONS(15053),
    [sym__type_order_operator] = ACTIONS(15053),
    [sym__unary_operator] = ACTIONS(15053),
    [sym__unary_plus_operator] = ACTIONS(15053),
    [aux_sym__terminator_token1] = ACTIONS(15053),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(15055),
    [sym__command_start] = ACTIONS(15055),
  },
  [9610] = {
    [sym__word_identifier] = ACTIONS(12034),
    [anon_sym_COLON] = ACTIONS(12034),
    [anon_sym_begin] = ACTIONS(12034),
    [anon_sym_module] = ACTIONS(12034),
    [anon_sym_baremodule] = ACTIONS(12034),
    [anon_sym_end] = ACTIONS(12034),
    [anon_sym_abstract] = ACTIONS(12034),
    [anon_sym_primitive] = ACTIONS(12034),
    [anon_sym_mutable] = ACTIONS(12034),
    [anon_sym_struct] = ACTIONS(12034),
    [anon_sym_function] = ACTIONS(12034),
    [anon_sym_macro] = ACTIONS(12034),
    [anon_sym_where] = ACTIONS(12034),
    [anon_sym_quote] = ACTIONS(12034),
    [anon_sym_let] = ACTIONS(12034),
    [anon_sym_if] = ACTIONS(12034),
    [anon_sym_try] = ACTIONS(12034),
    [anon_sym_for] = ACTIONS(12034),
    [anon_sym_while] = ACTIONS(12034),
    [sym_break_statement] = ACTIONS(12034),
    [sym_continue_statement] = ACTIONS(12034),
    [anon_sym_return] = ACTIONS(12034),
    [anon_sym_const] = ACTIONS(12034),
    [anon_sym_global] = ACTIONS(12034),
    [anon_sym_local] = ACTIONS(12034),
    [anon_sym_LPAREN] = ACTIONS(12034),
    [anon_sym_export] = ACTIONS(12034),
    [anon_sym_import] = ACTIONS(12034),
    [anon_sym_using] = ACTIONS(12034),
    [anon_sym_LBRACK] = ACTIONS(12034),
    [anon_sym_LF] = ACTIONS(12036),
    [anon_sym_LBRACE] = ACTIONS(12034),
    [anon_sym_DOLLAR] = ACTIONS(12034),
    [anon_sym_COLON_COLON] = ACTIONS(12034),
    [anon_sym_AT] = ACTIONS(12034),
    [anon_sym_true] = ACTIONS(12034),
    [anon_sym_false] = ACTIONS(12034),
    [aux_sym_integer_literal_token1] = ACTIONS(12034),
    [aux_sym_integer_literal_token2] = ACTIONS(12034),
    [aux_sym_integer_literal_token3] = ACTIONS(12034),
    [aux_sym_integer_literal_token4] = ACTIONS(12034),
    [aux_sym_float_literal_token1] = ACTIONS(12034),
    [aux_sym_float_literal_token3] = ACTIONS(12034),
    [aux_sym_float_literal_token4] = ACTIONS(12034),
    [sym_character_literal] = ACTIONS(12034),
    [sym__pair_operator] = ACTIONS(12034),
    [sym__arrow_operator] = ACTIONS(12034),
    [sym__comparison_operator] = ACTIONS(12034),
    [sym__pipe_right_operator] = ACTIONS(12034),
    [sym__pipe_left_operator] = ACTIONS(12034),
    [sym__ellipsis_operator] = ACTIONS(12034),
    [sym__plus_operator] = ACTIONS(12034),
    [sym__times_operator] = ACTIONS(12034),
    [sym__rational_operator] = ACTIONS(12034),
    [sym__bitshift_operator] = ACTIONS(12034),
    [sym__power_operator] = ACTIONS(12034),
    [sym__tilde_operator] = ACTIONS(12034),
    [sym__type_order_operator] = ACTIONS(12034),
    [sym__unary_operator] = ACTIONS(12034),
    [sym__unary_plus_operator] = ACTIONS(12034),
    [aux_sym__terminator_token1] = ACTIONS(12034),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12036),
    [sym__command_start] = ACTIONS(12036),
  },
  [9611] = {
    [sym__word_identifier] = ACTIONS(12170),
    [anon_sym_COLON] = ACTIONS(12170),
    [anon_sym_begin] = ACTIONS(12170),
    [anon_sym_module] = ACTIONS(12170),
    [anon_sym_baremodule] = ACTIONS(12170),
    [anon_sym_end] = ACTIONS(12170),
    [anon_sym_abstract] = ACTIONS(12170),
    [anon_sym_primitive] = ACTIONS(12170),
    [anon_sym_mutable] = ACTIONS(12170),
    [anon_sym_struct] = ACTIONS(12170),
    [anon_sym_LT_COLON] = ACTIONS(12170),
    [anon_sym_function] = ACTIONS(12170),
    [anon_sym_macro] = ACTIONS(12170),
    [anon_sym_quote] = ACTIONS(12170),
    [anon_sym_let] = ACTIONS(12170),
    [anon_sym_if] = ACTIONS(12170),
    [anon_sym_try] = ACTIONS(12170),
    [anon_sym_for] = ACTIONS(12170),
    [anon_sym_while] = ACTIONS(12170),
    [sym_break_statement] = ACTIONS(12170),
    [sym_continue_statement] = ACTIONS(12170),
    [anon_sym_return] = ACTIONS(12170),
    [anon_sym_const] = ACTIONS(12170),
    [anon_sym_global] = ACTIONS(12170),
    [anon_sym_local] = ACTIONS(12170),
    [anon_sym_LPAREN] = ACTIONS(12170),
    [anon_sym_export] = ACTIONS(12170),
    [anon_sym_import] = ACTIONS(12170),
    [anon_sym_using] = ACTIONS(12170),
    [anon_sym_LBRACK] = ACTIONS(12170),
    [anon_sym_LF] = ACTIONS(12172),
    [anon_sym_LBRACE] = ACTIONS(12170),
    [anon_sym_DOLLAR] = ACTIONS(12170),
    [anon_sym_COLON_COLON] = ACTIONS(12170),
    [anon_sym_AT] = ACTIONS(12170),
    [anon_sym_true] = ACTIONS(12170),
    [anon_sym_false] = ACTIONS(12170),
    [aux_sym_integer_literal_token1] = ACTIONS(12170),
    [aux_sym_integer_literal_token2] = ACTIONS(12170),
    [aux_sym_integer_literal_token3] = ACTIONS(12170),
    [aux_sym_integer_literal_token4] = ACTIONS(12170),
    [aux_sym_float_literal_token1] = ACTIONS(12170),
    [aux_sym_float_literal_token3] = ACTIONS(12170),
    [aux_sym_float_literal_token4] = ACTIONS(12170),
    [sym_character_literal] = ACTIONS(12170),
    [sym__pair_operator] = ACTIONS(12170),
    [sym__arrow_operator] = ACTIONS(12170),
    [sym__comparison_operator] = ACTIONS(12170),
    [sym__pipe_right_operator] = ACTIONS(12170),
    [sym__pipe_left_operator] = ACTIONS(12170),
    [sym__ellipsis_operator] = ACTIONS(12170),
    [sym__plus_operator] = ACTIONS(12170),
    [sym__times_operator] = ACTIONS(12170),
    [sym__rational_operator] = ACTIONS(12170),
    [sym__bitshift_operator] = ACTIONS(12170),
    [sym__power_operator] = ACTIONS(12170),
    [sym__tilde_operator] = ACTIONS(12170),
    [sym__type_order_operator] = ACTIONS(12170),
    [sym__unary_operator] = ACTIONS(12170),
    [sym__unary_plus_operator] = ACTIONS(12170),
    [aux_sym__terminator_token1] = ACTIONS(12170),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12172),
    [sym__command_start] = ACTIONS(12172),
  },
  [9612] = {
    [sym__word_identifier] = ACTIONS(12024),
    [anon_sym_COLON] = ACTIONS(12024),
    [anon_sym_begin] = ACTIONS(12024),
    [anon_sym_module] = ACTIONS(12024),
    [anon_sym_baremodule] = ACTIONS(12024),
    [anon_sym_end] = ACTIONS(12024),
    [anon_sym_abstract] = ACTIONS(12024),
    [anon_sym_primitive] = ACTIONS(12024),
    [anon_sym_mutable] = ACTIONS(12024),
    [anon_sym_struct] = ACTIONS(12024),
    [anon_sym_function] = ACTIONS(12024),
    [anon_sym_macro] = ACTIONS(12024),
    [anon_sym_where] = ACTIONS(12024),
    [anon_sym_quote] = ACTIONS(12024),
    [anon_sym_let] = ACTIONS(12024),
    [anon_sym_if] = ACTIONS(12024),
    [anon_sym_try] = ACTIONS(12024),
    [anon_sym_for] = ACTIONS(12024),
    [anon_sym_while] = ACTIONS(12024),
    [sym_break_statement] = ACTIONS(12024),
    [sym_continue_statement] = ACTIONS(12024),
    [anon_sym_return] = ACTIONS(12024),
    [anon_sym_const] = ACTIONS(12024),
    [anon_sym_global] = ACTIONS(12024),
    [anon_sym_local] = ACTIONS(12024),
    [anon_sym_LPAREN] = ACTIONS(12024),
    [anon_sym_export] = ACTIONS(12024),
    [anon_sym_import] = ACTIONS(12024),
    [anon_sym_using] = ACTIONS(12024),
    [anon_sym_LBRACK] = ACTIONS(12024),
    [anon_sym_LF] = ACTIONS(12046),
    [anon_sym_LBRACE] = ACTIONS(12024),
    [anon_sym_DOLLAR] = ACTIONS(12024),
    [anon_sym_COLON_COLON] = ACTIONS(12024),
    [anon_sym_AT] = ACTIONS(12024),
    [anon_sym_true] = ACTIONS(12024),
    [anon_sym_false] = ACTIONS(12024),
    [aux_sym_integer_literal_token1] = ACTIONS(12024),
    [aux_sym_integer_literal_token2] = ACTIONS(12024),
    [aux_sym_integer_literal_token3] = ACTIONS(12024),
    [aux_sym_integer_literal_token4] = ACTIONS(12024),
    [aux_sym_float_literal_token1] = ACTIONS(12024),
    [aux_sym_float_literal_token3] = ACTIONS(12024),
    [aux_sym_float_literal_token4] = ACTIONS(12024),
    [sym_character_literal] = ACTIONS(12024),
    [sym__pair_operator] = ACTIONS(12024),
    [sym__arrow_operator] = ACTIONS(12024),
    [sym__comparison_operator] = ACTIONS(12024),
    [sym__pipe_right_operator] = ACTIONS(12024),
    [sym__pipe_left_operator] = ACTIONS(12024),
    [sym__ellipsis_operator] = ACTIONS(12024),
    [sym__plus_operator] = ACTIONS(12024),
    [sym__times_operator] = ACTIONS(12024),
    [sym__rational_operator] = ACTIONS(12024),
    [sym__bitshift_operator] = ACTIONS(12024),
    [sym__power_operator] = ACTIONS(12024),
    [sym__tilde_operator] = ACTIONS(12024),
    [sym__type_order_operator] = ACTIONS(12024),
    [sym__unary_operator] = ACTIONS(12024),
    [sym__unary_plus_operator] = ACTIONS(12024),
    [aux_sym__terminator_token1] = ACTIONS(12024),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12046),
    [sym__command_start] = ACTIONS(12046),
  },
  [9613] = {
    [sym_identifier] = STATE(9651),
    [sym__word_identifier] = ACTIONS(11992),
    [anon_sym_COLON] = ACTIONS(11992),
    [anon_sym_begin] = ACTIONS(11992),
    [anon_sym_module] = ACTIONS(11992),
    [anon_sym_baremodule] = ACTIONS(11992),
    [anon_sym_end] = ACTIONS(11992),
    [anon_sym_abstract] = ACTIONS(11992),
    [anon_sym_primitive] = ACTIONS(11992),
    [anon_sym_mutable] = ACTIONS(11992),
    [anon_sym_struct] = ACTIONS(11992),
    [anon_sym_function] = ACTIONS(11992),
    [anon_sym_macro] = ACTIONS(11992),
    [anon_sym_quote] = ACTIONS(11992),
    [anon_sym_let] = ACTIONS(11992),
    [anon_sym_if] = ACTIONS(11992),
    [anon_sym_try] = ACTIONS(11992),
    [anon_sym_for] = ACTIONS(11992),
    [anon_sym_while] = ACTIONS(11992),
    [sym_break_statement] = ACTIONS(11992),
    [sym_continue_statement] = ACTIONS(11992),
    [anon_sym_return] = ACTIONS(11992),
    [anon_sym_const] = ACTIONS(11992),
    [anon_sym_global] = ACTIONS(11992),
    [anon_sym_local] = ACTIONS(11992),
    [anon_sym_LPAREN] = ACTIONS(11992),
    [anon_sym_export] = ACTIONS(11992),
    [anon_sym_import] = ACTIONS(11992),
    [anon_sym_using] = ACTIONS(11992),
    [anon_sym_LBRACK] = ACTIONS(11992),
    [anon_sym_LF] = ACTIONS(11990),
    [anon_sym_LBRACE] = ACTIONS(11992),
    [anon_sym_DOLLAR] = ACTIONS(11992),
    [anon_sym_COLON_COLON] = ACTIONS(11992),
    [anon_sym_AT] = ACTIONS(11992),
    [anon_sym_true] = ACTIONS(11992),
    [anon_sym_false] = ACTIONS(11992),
    [aux_sym_integer_literal_token1] = ACTIONS(11992),
    [aux_sym_integer_literal_token2] = ACTIONS(11992),
    [aux_sym_integer_literal_token3] = ACTIONS(11992),
    [aux_sym_integer_literal_token4] = ACTIONS(11992),
    [aux_sym_float_literal_token1] = ACTIONS(11992),
    [aux_sym_float_literal_token3] = ACTIONS(11992),
    [aux_sym_float_literal_token4] = ACTIONS(11992),
    [sym_character_literal] = ACTIONS(11992),
    [sym__pair_operator] = ACTIONS(11992),
    [sym__arrow_operator] = ACTIONS(11992),
    [sym__comparison_operator] = ACTIONS(11992),
    [sym__pipe_right_operator] = ACTIONS(11992),
    [sym__pipe_left_operator] = ACTIONS(11992),
    [sym__ellipsis_operator] = ACTIONS(11992),
    [sym__plus_operator] = ACTIONS(11992),
    [sym__times_operator] = ACTIONS(11992),
    [sym__rational_operator] = ACTIONS(11992),
    [sym__bitshift_operator] = ACTIONS(11992),
    [sym__power_operator] = ACTIONS(11992),
    [sym__tilde_operator] = ACTIONS(11992),
    [sym__type_order_operator] = ACTIONS(11992),
    [sym__unary_operator] = ACTIONS(11992),
    [sym__unary_plus_operator] = ACTIONS(11992),
    [aux_sym__terminator_token1] = ACTIONS(11992),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11990),
    [sym__command_start] = ACTIONS(11990),
  },
  [9614] = {
    [sym__word_identifier] = ACTIONS(11958),
    [anon_sym_COLON] = ACTIONS(11958),
    [anon_sym_begin] = ACTIONS(11958),
    [anon_sym_module] = ACTIONS(11958),
    [anon_sym_baremodule] = ACTIONS(11958),
    [anon_sym_end] = ACTIONS(11958),
    [anon_sym_abstract] = ACTIONS(11958),
    [anon_sym_primitive] = ACTIONS(11958),
    [anon_sym_mutable] = ACTIONS(11958),
    [anon_sym_struct] = ACTIONS(11958),
    [anon_sym_function] = ACTIONS(11958),
    [anon_sym_macro] = ACTIONS(11958),
    [anon_sym_quote] = ACTIONS(11958),
    [anon_sym_let] = ACTIONS(11958),
    [anon_sym_if] = ACTIONS(11958),
    [anon_sym_try] = ACTIONS(11958),
    [anon_sym_for] = ACTIONS(11958),
    [anon_sym_while] = ACTIONS(11958),
    [sym_break_statement] = ACTIONS(11958),
    [sym_continue_statement] = ACTIONS(11958),
    [anon_sym_return] = ACTIONS(11958),
    [anon_sym_const] = ACTIONS(11958),
    [anon_sym_global] = ACTIONS(11958),
    [anon_sym_local] = ACTIONS(11958),
    [anon_sym_LPAREN] = ACTIONS(11958),
    [anon_sym_export] = ACTIONS(11958),
    [anon_sym_import] = ACTIONS(11958),
    [anon_sym_using] = ACTIONS(11958),
    [anon_sym_LBRACK] = ACTIONS(11958),
    [anon_sym_LF] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11958),
    [anon_sym_DOLLAR] = ACTIONS(11958),
    [anon_sym_COLON_COLON] = ACTIONS(11958),
    [anon_sym_AT] = ACTIONS(11958),
    [anon_sym_true] = ACTIONS(11958),
    [anon_sym_false] = ACTIONS(11958),
    [aux_sym_integer_literal_token1] = ACTIONS(11958),
    [aux_sym_integer_literal_token2] = ACTIONS(11958),
    [aux_sym_integer_literal_token3] = ACTIONS(11958),
    [aux_sym_integer_literal_token4] = ACTIONS(11958),
    [aux_sym_float_literal_token1] = ACTIONS(11958),
    [aux_sym_float_literal_token2] = ACTIONS(15252),
    [aux_sym_float_literal_token3] = ACTIONS(11958),
    [aux_sym_float_literal_token4] = ACTIONS(11958),
    [sym_character_literal] = ACTIONS(11958),
    [sym__pair_operator] = ACTIONS(11958),
    [sym__arrow_operator] = ACTIONS(11958),
    [sym__comparison_operator] = ACTIONS(11958),
    [sym__pipe_right_operator] = ACTIONS(11958),
    [sym__pipe_left_operator] = ACTIONS(11958),
    [sym__ellipsis_operator] = ACTIONS(11958),
    [sym__plus_operator] = ACTIONS(11958),
    [sym__times_operator] = ACTIONS(11958),
    [sym__rational_operator] = ACTIONS(11958),
    [sym__bitshift_operator] = ACTIONS(11958),
    [sym__power_operator] = ACTIONS(11958),
    [sym__tilde_operator] = ACTIONS(11958),
    [sym__type_order_operator] = ACTIONS(11958),
    [sym__unary_operator] = ACTIONS(11958),
    [sym__unary_plus_operator] = ACTIONS(11958),
    [aux_sym__terminator_token1] = ACTIONS(11958),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(11960),
    [sym__command_start] = ACTIONS(11960),
  },
  [9615] = {
    [sym__word_identifier] = ACTIONS(12250),
    [anon_sym_COLON] = ACTIONS(12250),
    [anon_sym_begin] = ACTIONS(12250),
    [anon_sym_module] = ACTIONS(12250),
    [anon_sym_baremodule] = ACTIONS(12250),
    [anon_sym_end] = ACTIONS(12250),
    [anon_sym_abstract] = ACTIONS(12250),
    [anon_sym_primitive] = ACTIONS(12250),
    [anon_sym_mutable] = ACTIONS(12250),
    [anon_sym_struct] = ACTIONS(12250),
    [anon_sym_LT_COLON] = ACTIONS(12250),
    [anon_sym_function] = ACTIONS(12250),
    [anon_sym_macro] = ACTIONS(12250),
    [anon_sym_quote] = ACTIONS(12250),
    [anon_sym_let] = ACTIONS(12250),
    [anon_sym_if] = ACTIONS(12250),
    [anon_sym_try] = ACTIONS(12250),
    [anon_sym_for] = ACTIONS(12250),
    [anon_sym_while] = ACTIONS(12250),
    [sym_break_statement] = ACTIONS(12250),
    [sym_continue_statement] = ACTIONS(12250),
    [anon_sym_return] = ACTIONS(12250),
    [anon_sym_const] = ACTIONS(12250),
    [anon_sym_global] = ACTIONS(12250),
    [anon_sym_local] = ACTIONS(12250),
    [anon_sym_LPAREN] = ACTIONS(12250),
    [anon_sym_export] = ACTIONS(12250),
    [anon_sym_import] = ACTIONS(12250),
    [anon_sym_using] = ACTIONS(12250),
    [anon_sym_LBRACK] = ACTIONS(12250),
    [anon_sym_LF] = ACTIONS(12252),
    [anon_sym_LBRACE] = ACTIONS(12250),
    [anon_sym_DOLLAR] = ACTIONS(12250),
    [anon_sym_COLON_COLON] = ACTIONS(12250),
    [anon_sym_AT] = ACTIONS(12250),
    [anon_sym_true] = ACTIONS(12250),
    [anon_sym_false] = ACTIONS(12250),
    [aux_sym_integer_literal_token1] = ACTIONS(12250),
    [aux_sym_integer_literal_token2] = ACTIONS(12250),
    [aux_sym_integer_literal_token3] = ACTIONS(12250),
    [aux_sym_integer_literal_token4] = ACTIONS(12250),
    [aux_sym_float_literal_token1] = ACTIONS(12250),
    [aux_sym_float_literal_token3] = ACTIONS(12250),
    [aux_sym_float_literal_token4] = ACTIONS(12250),
    [sym_character_literal] = ACTIONS(12250),
    [sym__pair_operator] = ACTIONS(12250),
    [sym__arrow_operator] = ACTIONS(12250),
    [sym__comparison_operator] = ACTIONS(12250),
    [sym__pipe_right_operator] = ACTIONS(12250),
    [sym__pipe_left_operator] = ACTIONS(12250),
    [sym__ellipsis_operator] = ACTIONS(12250),
    [sym__plus_operator] = ACTIONS(12250),
    [sym__times_operator] = ACTIONS(12250),
    [sym__rational_operator] = ACTIONS(12250),
    [sym__bitshift_operator] = ACTIONS(12250),
    [sym__power_operator] = ACTIONS(12250),
    [sym__tilde_operator] = ACTIONS(12250),
    [sym__type_order_operator] = ACTIONS(12250),
    [sym__unary_operator] = ACTIONS(12250),
    [sym__unary_plus_operator] = ACTIONS(12250),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12252),
    [sym__command_start] = ACTIONS(12252),
  },
  [9616] = {
    [sym__word_identifier] = ACTIONS(12156),
    [anon_sym_COLON] = ACTIONS(12156),
    [anon_sym_begin] = ACTIONS(12156),
    [anon_sym_module] = ACTIONS(12156),
    [anon_sym_baremodule] = ACTIONS(12156),
    [anon_sym_end] = ACTIONS(12156),
    [anon_sym_abstract] = ACTIONS(12156),
    [anon_sym_primitive] = ACTIONS(12156),
    [anon_sym_mutable] = ACTIONS(12156),
    [anon_sym_struct] = ACTIONS(12156),
    [anon_sym_LT_COLON] = ACTIONS(12156),
    [anon_sym_function] = ACTIONS(12156),
    [anon_sym_macro] = ACTIONS(12156),
    [anon_sym_quote] = ACTIONS(12156),
    [anon_sym_let] = ACTIONS(12156),
    [anon_sym_if] = ACTIONS(12156),
    [anon_sym_try] = ACTIONS(12156),
    [anon_sym_for] = ACTIONS(12156),
    [anon_sym_while] = ACTIONS(12156),
    [sym_break_statement] = ACTIONS(12156),
    [sym_continue_statement] = ACTIONS(12156),
    [anon_sym_return] = ACTIONS(12156),
    [anon_sym_const] = ACTIONS(12156),
    [anon_sym_global] = ACTIONS(12156),
    [anon_sym_local] = ACTIONS(12156),
    [anon_sym_LPAREN] = ACTIONS(12156),
    [anon_sym_export] = ACTIONS(12156),
    [anon_sym_import] = ACTIONS(12156),
    [anon_sym_using] = ACTIONS(12156),
    [anon_sym_LBRACK] = ACTIONS(12156),
    [anon_sym_LF] = ACTIONS(12158),
    [anon_sym_LBRACE] = ACTIONS(12156),
    [anon_sym_DOLLAR] = ACTIONS(12156),
    [anon_sym_COLON_COLON] = ACTIONS(12156),
    [anon_sym_AT] = ACTIONS(12156),
    [anon_sym_true] = ACTIONS(12156),
    [anon_sym_false] = ACTIONS(12156),
    [aux_sym_integer_literal_token1] = ACTIONS(12156),
    [aux_sym_integer_literal_token2] = ACTIONS(12156),
    [aux_sym_integer_literal_token3] = ACTIONS(12156),
    [aux_sym_integer_literal_token4] = ACTIONS(12156),
    [aux_sym_float_literal_token1] = ACTIONS(12156),
    [aux_sym_float_literal_token3] = ACTIONS(12156),
    [aux_sym_float_literal_token4] = ACTIONS(12156),
    [sym_character_literal] = ACTIONS(12156),
    [sym__pair_operator] = ACTIONS(12156),
    [sym__arrow_operator] = ACTIONS(12156),
    [sym__comparison_operator] = ACTIONS(12156),
    [sym__pipe_right_operator] = ACTIONS(12156),
    [sym__pipe_left_operator] = ACTIONS(12156),
    [sym__ellipsis_operator] = ACTIONS(12156),
    [sym__plus_operator] = ACTIONS(12156),
    [sym__times_operator] = ACTIONS(12156),
    [sym__rational_operator] = ACTIONS(12156),
    [sym__bitshift_operator] = ACTIONS(12156),
    [sym__power_operator] = ACTIONS(12156),
    [sym__tilde_operator] = ACTIONS(12156),
    [sym__type_order_operator] = ACTIONS(12156),
    [sym__unary_operator] = ACTIONS(12156),
    [sym__unary_plus_operator] = ACTIONS(12156),
    [aux_sym__terminator_token1] = ACTIONS(12156),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12158),
    [sym__command_start] = ACTIONS(12158),
  },
  [9617] = {
    [sym__word_identifier] = ACTIONS(12042),
    [anon_sym_COLON] = ACTIONS(12042),
    [anon_sym_begin] = ACTIONS(12042),
    [anon_sym_module] = ACTIONS(12042),
    [anon_sym_baremodule] = ACTIONS(12042),
    [anon_sym_end] = ACTIONS(12042),
    [anon_sym_abstract] = ACTIONS(12042),
    [anon_sym_primitive] = ACTIONS(12042),
    [anon_sym_mutable] = ACTIONS(12042),
    [anon_sym_struct] = ACTIONS(12042),
    [anon_sym_function] = ACTIONS(12042),
    [anon_sym_macro] = ACTIONS(12042),
    [anon_sym_where] = ACTIONS(12042),
    [anon_sym_quote] = ACTIONS(12042),
    [anon_sym_let] = ACTIONS(12042),
    [anon_sym_if] = ACTIONS(12042),
    [anon_sym_try] = ACTIONS(12042),
    [anon_sym_for] = ACTIONS(12042),
    [anon_sym_while] = ACTIONS(12042),
    [sym_break_statement] = ACTIONS(12042),
    [sym_continue_statement] = ACTIONS(12042),
    [anon_sym_return] = ACTIONS(12042),
    [anon_sym_const] = ACTIONS(12042),
    [anon_sym_global] = ACTIONS(12042),
    [anon_sym_local] = ACTIONS(12042),
    [anon_sym_LPAREN] = ACTIONS(12042),
    [anon_sym_export] = ACTIONS(12042),
    [anon_sym_import] = ACTIONS(12042),
    [anon_sym_using] = ACTIONS(12042),
    [anon_sym_LBRACK] = ACTIONS(12042),
    [anon_sym_LF] = ACTIONS(12044),
    [anon_sym_LBRACE] = ACTIONS(12042),
    [anon_sym_DOLLAR] = ACTIONS(12042),
    [anon_sym_COLON_COLON] = ACTIONS(12042),
    [anon_sym_AT] = ACTIONS(12042),
    [anon_sym_true] = ACTIONS(12042),
    [anon_sym_false] = ACTIONS(12042),
    [aux_sym_integer_literal_token1] = ACTIONS(12042),
    [aux_sym_integer_literal_token2] = ACTIONS(12042),
    [aux_sym_integer_literal_token3] = ACTIONS(12042),
    [aux_sym_integer_literal_token4] = ACTIONS(12042),
    [aux_sym_float_literal_token1] = ACTIONS(12042),
    [aux_sym_float_literal_token3] = ACTIONS(12042),
    [aux_sym_float_literal_token4] = ACTIONS(12042),
    [sym_character_literal] = ACTIONS(12042),
    [sym__pair_operator] = ACTIONS(12042),
    [sym__arrow_operator] = ACTIONS(12042),
    [sym__comparison_operator] = ACTIONS(12042),
    [sym__pipe_right_operator] = ACTIONS(12042),
    [sym__pipe_left_operator] = ACTIONS(12042),
    [sym__ellipsis_operator] = ACTIONS(12042),
    [sym__plus_operator] = ACTIONS(12042),
    [sym__times_operator] = ACTIONS(12042),
    [sym__rational_operator] = ACTIONS(12042),
    [sym__bitshift_operator] = ACTIONS(12042),
    [sym__power_operator] = ACTIONS(12042),
    [sym__tilde_operator] = ACTIONS(12042),
    [sym__type_order_operator] = ACTIONS(12042),
    [sym__unary_operator] = ACTIONS(12042),
    [sym__unary_plus_operator] = ACTIONS(12042),
    [aux_sym__terminator_token1] = ACTIONS(12042),
    [sym_line_comment] = ACTIONS(169),
    [sym_block_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(12044),
    [sym__command_start] = ACTIONS(12044),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15256), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(15254), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12136), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [146] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [219] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12162), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [292] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12170), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [365] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12326), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [438] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12210), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [511] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12192), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [584] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12020), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [657] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12296), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [730] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15260), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(15258), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [803] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12156), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [876] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12218), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [949] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12288), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1022] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12262), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1095] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12062), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1168] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11926), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1241] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12258), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1314] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11868), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1387] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12226), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1460] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12254), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1533] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12026), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1606] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12180), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1679] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12300), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1752] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12250), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1825] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12214), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1898] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12242), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [1971] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12246), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2044] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11970), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2117] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12184), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2190] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12188), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2263] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12088), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2336] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12176), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2409] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12234), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2482] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12208), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2555] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12348), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2628] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12196), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2701] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12112), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2774] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12230), 59,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_LPAREN,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [2847] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15264), 23,
      sym__string_start,
      sym__command_start,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(15262), 37,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [2916] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15268), 23,
      sym__string_start,
      sym__command_start,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(15266), 37,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [2985] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15272), 23,
      sym__string_start,
      sym__command_start,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
      sym_character_literal,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(15270), 37,
      anon_sym_COLON,
      anon_sym_begin,
      anon_sym_module,
      anon_sym_baremodule,
      anon_sym_end,
      anon_sym_abstract,
      anon_sym_primitive,
      anon_sym_mutable,
      anon_sym_struct,
      anon_sym_function,
      anon_sym_macro,
      anon_sym_quote,
      anon_sym_let,
      anon_sym_if,
      anon_sym_try,
      anon_sym_for,
      anon_sym_while,
      sym_break_statement,
      sym_continue_statement,
      anon_sym_return,
      anon_sym_const,
      anon_sym_global,
      anon_sym_local,
      anon_sym_export,
      anon_sym_import,
      anon_sym_using,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token3,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [3054] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(173), 1,
      sym__string_start,
    ACTIONS(175), 1,
      sym__command_start,
    ACTIONS(11684), 1,
      anon_sym_LF,
    ACTIONS(15274), 1,
      sym__word_identifier,
    ACTIONS(15280), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15286), 1,
      sym__immediate_paren,
    ACTIONS(15288), 1,
      sym__immediate_bracket,
    ACTIONS(15290), 1,
      sym__immediate_brace,
    STATE(10228), 1,
      sym_identifier,
    ACTIONS(15278), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(15282), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15276), 6,
      aux_sym_quote_expression_token1,
      sym_character_literal,
      sym__assignment_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__syntactic_operator,
    STATE(10623), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11682), 13,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym__terminator_token1,
    ACTIONS(15284), 15,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [3148] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11684), 1,
      anon_sym_LF,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10238), 1,
      sym_identifier,
    ACTIONS(15296), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(15300), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15294), 6,
      aux_sym_quote_expression_token1,
      sym_character_literal,
      sym__assignment_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__syntactic_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11682), 13,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym__terminator_token1,
    ACTIONS(15302), 15,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [3242] = 19,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(15310), 1,
      sym__word_identifier,
    ACTIONS(15316), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15318), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15328), 1,
      sym__immediate_paren,
    ACTIONS(15330), 1,
      sym__immediate_bracket,
    ACTIONS(15332), 1,
      sym__immediate_brace,
    STATE(10309), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15314), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15312), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15320), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15322), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(15324), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(11682), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
    ACTIONS(11684), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
    STATE(10476), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15326), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [3340] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11684), 1,
      anon_sym_LF,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10237), 1,
      sym_identifier,
    ACTIONS(15296), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(15300), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15294), 6,
      aux_sym_quote_expression_token1,
      sym_character_literal,
      sym__assignment_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__syntactic_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11682), 13,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
    ACTIONS(15302), 15,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [3434] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2924), 1,
      sym__string_start,
    ACTIONS(2926), 1,
      sym__command_start,
    ACTIONS(11684), 1,
      anon_sym_LF,
    ACTIONS(15334), 1,
      sym__word_identifier,
    ACTIONS(15340), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15346), 1,
      sym__immediate_paren,
    ACTIONS(15348), 1,
      sym__immediate_bracket,
    ACTIONS(15350), 1,
      sym__immediate_brace,
    STATE(10221), 1,
      sym_identifier,
    ACTIONS(15338), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(15342), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15336), 6,
      aux_sym_quote_expression_token1,
      sym_character_literal,
      sym__assignment_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__syntactic_operator,
    STATE(10681), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11682), 13,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
    ACTIONS(15344), 15,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [3528] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11684), 1,
      anon_sym_LF,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10485), 1,
      sym_identifier,
    ACTIONS(15296), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(15300), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15294), 6,
      aux_sym_quote_expression_token1,
      sym_character_literal,
      sym__assignment_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__syntactic_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11682), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym__terminator_token1,
    ACTIONS(15302), 15,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [3621] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11684), 1,
      anon_sym_LF,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10322), 1,
      sym_identifier,
    ACTIONS(15296), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(15300), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15294), 6,
      aux_sym_quote_expression_token1,
      sym_character_literal,
      sym__assignment_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__syntactic_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11682), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym__terminator_token1,
    ACTIONS(15302), 15,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [3714] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11684), 1,
      anon_sym_LF,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10344), 1,
      sym_identifier,
    ACTIONS(15296), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(15300), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15294), 6,
      aux_sym_quote_expression_token1,
      sym_character_literal,
      sym__assignment_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__syntactic_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11682), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym__terminator_token1,
    ACTIONS(15302), 15,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [3807] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(633), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [3907] = 19,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(15310), 1,
      sym__word_identifier,
    ACTIONS(15316), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15318), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15328), 1,
      sym__immediate_paren,
    ACTIONS(15330), 1,
      sym__immediate_bracket,
    ACTIONS(15332), 1,
      sym__immediate_brace,
    STATE(10602), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15314), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15312), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15320), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15322), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(15324), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(11682), 6,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
    ACTIONS(11684), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
    STATE(10476), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15326), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [4003] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(685), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [4103] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(645), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [4203] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(593), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [4303] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(544), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [4403] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(546), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [4503] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(713), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [4603] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(532), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [4703] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(634), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [4803] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(674), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [4903] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(554), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [5003] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(555), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [5103] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(600), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [5203] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(695), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [5303] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(672), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [5403] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(551), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [5503] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(598), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [5603] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(661), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [5703] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11684), 1,
      anon_sym_LF,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10734), 1,
      sym_identifier,
    ACTIONS(15296), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(15300), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15294), 6,
      aux_sym_quote_expression_token1,
      sym_character_literal,
      sym__assignment_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__syntactic_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11682), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym__terminator_token1,
    ACTIONS(15302), 15,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [5795] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(711), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [5895] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(572), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [5995] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(646), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [6095] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(722), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [6195] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(564), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [6295] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10743), 1,
      sym_identifier,
    ACTIONS(11684), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(15296), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(15300), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15294), 6,
      aux_sym_quote_expression_token1,
      sym_character_literal,
      sym__assignment_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__syntactic_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11682), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym__terminator_token1,
    ACTIONS(15302), 15,
      sym__pair_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [6387] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(681), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [6487] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(595), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [6587] = 21,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15356), 1,
      anon_sym_LPAREN,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15366), 1,
      sym_character_literal,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    STATE(548), 1,
      sym_signature,
    STATE(9266), 1,
      sym_call_expression,
    STATE(9326), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_argument_list,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15433), 22,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [6687] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15374), 1,
      anon_sym_RPAREN,
    ACTIONS(15376), 1,
      sym_character_literal,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [6782] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15378), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [6877] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15380), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [6972] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15382), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [7067] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15384), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [7162] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15386), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [7257] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15388), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [7352] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15390), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [7447] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15392), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [7542] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15394), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [7637] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15396), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [7732] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15398), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [7827] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15400), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [7922] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15402), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [8017] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15404), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [8112] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15406), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [8207] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15408), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [8302] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15410), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [8397] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15412), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [8492] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15414), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [8587] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15416), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [8682] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15418), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [8777] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15420), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [8872] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15422), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [8967] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15424), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [9062] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15426), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [9157] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15428), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [9252] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15430), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [9347] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15432), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [9442] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15434), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [9537] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15436), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [9632] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15438), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [9727] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15440), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [9822] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15442), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [9917] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15444), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [10012] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15446), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [10107] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15448), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [10202] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15450), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [10297] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15452), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [10392] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15454), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [10487] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15456), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [10582] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15458), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [10677] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15460), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [10772] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15462), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [10867] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15464), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [10962] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15466), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [11057] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15468), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [11152] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15470), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [11247] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15472), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [11342] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15474), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [11437] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15476), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [11532] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15478), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [11627] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15480), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [11722] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15482), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [11817] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15484), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [11912] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15486), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [12007] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15488), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [12102] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15490), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [12197] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15492), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [12292] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15494), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [12387] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15496), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [12482] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15498), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [12577] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15500), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [12672] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15502), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [12767] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15504), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [12862] = 19,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    ACTIONS(15506), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [12957] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15508), 1,
      sym__word_identifier,
    ACTIONS(15510), 1,
      anon_sym_COLON,
    ACTIONS(15512), 1,
      anon_sym_LPAREN,
    ACTIONS(15514), 1,
      anon_sym_LBRACK,
    ACTIONS(15516), 1,
      anon_sym_LBRACE,
    ACTIONS(15518), 1,
      anon_sym_DOLLAR,
    ACTIONS(15522), 1,
      sym_character_literal,
    ACTIONS(15524), 1,
      sym__string_start,
    ACTIONS(15526), 1,
      sym__command_start,
    STATE(4339), 1,
      sym_identifier,
    STATE(16903), 1,
      sym_macro_identifier,
    STATE(19025), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15520), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(4778), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [13049] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15528), 1,
      sym__word_identifier,
    ACTIONS(15530), 1,
      anon_sym_COLON,
    ACTIONS(15532), 1,
      anon_sym_LPAREN,
    ACTIONS(15534), 1,
      anon_sym_LBRACK,
    ACTIONS(15536), 1,
      anon_sym_LBRACE,
    ACTIONS(15538), 1,
      anon_sym_DOLLAR,
    ACTIONS(15542), 1,
      sym_character_literal,
    ACTIONS(15544), 1,
      sym__string_start,
    ACTIONS(15546), 1,
      sym__command_start,
    STATE(4549), 1,
      sym_identifier,
    STATE(17313), 1,
      sym_macro_identifier,
    STATE(18805), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15540), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5800), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [13141] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15550), 1,
      anon_sym_COLON,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15558), 1,
      anon_sym_DOLLAR,
    ACTIONS(15562), 1,
      sym_character_literal,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    STATE(10991), 1,
      sym_identifier,
    STATE(17263), 1,
      sym_macro_identifier,
    STATE(18861), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15560), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11422), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [13233] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15568), 1,
      sym__word_identifier,
    ACTIONS(15570), 1,
      anon_sym_COLON,
    ACTIONS(15572), 1,
      anon_sym_LPAREN,
    ACTIONS(15574), 1,
      anon_sym_LBRACK,
    ACTIONS(15576), 1,
      anon_sym_LBRACE,
    ACTIONS(15578), 1,
      anon_sym_DOLLAR,
    ACTIONS(15582), 1,
      sym_character_literal,
    ACTIONS(15584), 1,
      sym__string_start,
    ACTIONS(15586), 1,
      sym__command_start,
    STATE(4634), 1,
      sym_identifier,
    STATE(16671), 1,
      sym_macro_identifier,
    STATE(19185), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15580), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5984), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [13325] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15588), 1,
      sym__word_identifier,
    ACTIONS(15590), 1,
      anon_sym_COLON,
    ACTIONS(15592), 1,
      anon_sym_LPAREN,
    ACTIONS(15594), 1,
      anon_sym_LBRACK,
    ACTIONS(15596), 1,
      anon_sym_LBRACE,
    ACTIONS(15598), 1,
      anon_sym_DOLLAR,
    ACTIONS(15602), 1,
      sym_character_literal,
    ACTIONS(15604), 1,
      sym__string_start,
    ACTIONS(15606), 1,
      sym__command_start,
    STATE(4660), 1,
      sym_identifier,
    STATE(16760), 1,
      sym_macro_identifier,
    STATE(19250), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15600), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6465), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [13417] = 18,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15608), 1,
      anon_sym_COLON,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(15616), 1,
      anon_sym_DOLLAR,
    ACTIONS(15618), 1,
      sym_character_literal,
    STATE(11243), 1,
      sym_identifier,
    STATE(17088), 1,
      sym_macro_identifier,
    STATE(18431), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11510), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [13509] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15620), 1,
      sym__word_identifier,
    ACTIONS(15622), 1,
      anon_sym_COLON,
    ACTIONS(15624), 1,
      anon_sym_LPAREN,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    ACTIONS(15628), 1,
      anon_sym_LBRACE,
    ACTIONS(15630), 1,
      anon_sym_DOLLAR,
    ACTIONS(15634), 1,
      sym_character_literal,
    ACTIONS(15636), 1,
      sym__string_start,
    ACTIONS(15638), 1,
      sym__command_start,
    STATE(4290), 1,
      sym_identifier,
    STATE(17081), 1,
      sym_macro_identifier,
    STATE(19201), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15632), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5177), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [13601] = 18,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(15376), 1,
      sym_character_literal,
    STATE(11202), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11556), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [13693] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15640), 1,
      sym__word_identifier,
    ACTIONS(15642), 1,
      anon_sym_COLON,
    ACTIONS(15644), 1,
      anon_sym_LPAREN,
    ACTIONS(15646), 1,
      anon_sym_LBRACK,
    ACTIONS(15648), 1,
      anon_sym_LBRACE,
    ACTIONS(15650), 1,
      anon_sym_DOLLAR,
    ACTIONS(15654), 1,
      sym_character_literal,
    ACTIONS(15656), 1,
      sym__string_start,
    ACTIONS(15658), 1,
      sym__command_start,
    STATE(4786), 1,
      sym_identifier,
    STATE(16751), 1,
      sym_macro_identifier,
    STATE(19137), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6283), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [13785] = 18,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(15660), 1,
      anon_sym_COLON,
    ACTIONS(15662), 1,
      anon_sym_DOLLAR,
    ACTIONS(15664), 1,
      sym_character_literal,
    STATE(10984), 1,
      sym_identifier,
    STATE(17088), 1,
      sym_macro_identifier,
    STATE(18431), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11408), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [13877] = 18,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(15666), 1,
      anon_sym_COLON,
    ACTIONS(15668), 1,
      anon_sym_DOLLAR,
    ACTIONS(15670), 1,
      sym_character_literal,
    STATE(11113), 1,
      sym_identifier,
    STATE(17088), 1,
      sym_macro_identifier,
    STATE(18431), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11393), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [13969] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15672), 1,
      anon_sym_COLON,
    ACTIONS(15674), 1,
      anon_sym_LPAREN,
    ACTIONS(15676), 1,
      anon_sym_LBRACK,
    ACTIONS(15678), 1,
      anon_sym_LBRACE,
    ACTIONS(15680), 1,
      anon_sym_DOLLAR,
    ACTIONS(15684), 1,
      sym_character_literal,
    ACTIONS(15686), 1,
      sym__string_start,
    ACTIONS(15688), 1,
      sym__command_start,
    STATE(9321), 1,
      sym_identifier,
    STATE(17167), 1,
      sym_macro_identifier,
    STATE(18914), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15682), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9458), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [14061] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(15690), 1,
      anon_sym_COLON,
    ACTIONS(15692), 1,
      anon_sym_DOLLAR,
    ACTIONS(15694), 1,
      sym_character_literal,
    STATE(10330), 1,
      sym_identifier,
    STATE(17263), 1,
      sym_macro_identifier,
    STATE(18861), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15560), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11040), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [14153] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(15696), 1,
      anon_sym_COLON,
    ACTIONS(15698), 1,
      anon_sym_DOLLAR,
    ACTIONS(15700), 1,
      sym_character_literal,
    STATE(10755), 1,
      sym_identifier,
    STATE(17263), 1,
      sym_macro_identifier,
    STATE(18861), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15560), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11366), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [14245] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15702), 1,
      sym__word_identifier,
    ACTIONS(15704), 1,
      anon_sym_COLON,
    ACTIONS(15706), 1,
      anon_sym_LPAREN,
    ACTIONS(15708), 1,
      anon_sym_LBRACK,
    ACTIONS(15710), 1,
      anon_sym_LBRACE,
    ACTIONS(15712), 1,
      anon_sym_DOLLAR,
    ACTIONS(15716), 1,
      sym_character_literal,
    ACTIONS(15718), 1,
      sym__string_start,
    ACTIONS(15720), 1,
      sym__command_start,
    STATE(5571), 1,
      sym_identifier,
    STATE(16741), 1,
      sym_macro_identifier,
    STATE(19243), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15714), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6504), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [14337] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15722), 1,
      sym__word_identifier,
    ACTIONS(15724), 1,
      anon_sym_COLON,
    ACTIONS(15726), 1,
      anon_sym_LPAREN,
    ACTIONS(15728), 1,
      anon_sym_LBRACK,
    ACTIONS(15730), 1,
      anon_sym_LBRACE,
    ACTIONS(15732), 1,
      anon_sym_DOLLAR,
    ACTIONS(15736), 1,
      sym_character_literal,
    ACTIONS(15738), 1,
      sym__string_start,
    ACTIONS(15740), 1,
      sym__command_start,
    STATE(9305), 1,
      sym_identifier,
    STATE(17100), 1,
      sym_macro_identifier,
    STATE(19852), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15734), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9408), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [14429] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15742), 1,
      sym__word_identifier,
    ACTIONS(15744), 1,
      anon_sym_COLON,
    ACTIONS(15746), 1,
      anon_sym_LPAREN,
    ACTIONS(15748), 1,
      anon_sym_LBRACK,
    ACTIONS(15750), 1,
      anon_sym_LBRACE,
    ACTIONS(15752), 1,
      anon_sym_DOLLAR,
    ACTIONS(15756), 1,
      sym_character_literal,
    ACTIONS(15758), 1,
      sym__string_start,
    ACTIONS(15760), 1,
      sym__command_start,
    STATE(10967), 1,
      sym_identifier,
    STATE(17029), 1,
      sym_macro_identifier,
    STATE(18951), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15754), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11376), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [14521] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    ACTIONS(15762), 1,
      sym__word_identifier,
    ACTIONS(15764), 1,
      anon_sym_LPAREN,
    ACTIONS(15766), 1,
      sym_character_literal,
    STATE(14339), 1,
      sym_identifier,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19153), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(14410), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [14613] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15768), 1,
      sym__word_identifier,
    ACTIONS(15770), 1,
      anon_sym_COLON,
    ACTIONS(15772), 1,
      anon_sym_LPAREN,
    ACTIONS(15774), 1,
      anon_sym_LBRACK,
    ACTIONS(15776), 1,
      anon_sym_LBRACE,
    ACTIONS(15778), 1,
      anon_sym_DOLLAR,
    ACTIONS(15782), 1,
      sym_character_literal,
    ACTIONS(15784), 1,
      sym__string_start,
    ACTIONS(15786), 1,
      sym__command_start,
    STATE(4498), 1,
      sym_identifier,
    STATE(16688), 1,
      sym_macro_identifier,
    STATE(19177), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15780), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5926), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [14705] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    ACTIONS(15762), 1,
      sym__word_identifier,
    ACTIONS(15764), 1,
      anon_sym_LPAREN,
    ACTIONS(15788), 1,
      anon_sym_COLON,
    ACTIONS(15790), 1,
      anon_sym_DOLLAR,
    ACTIONS(15792), 1,
      sym_character_literal,
    STATE(14433), 1,
      sym_identifier,
    STATE(17309), 1,
      sym_macro_identifier,
    STATE(19153), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15364), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(15035), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [14797] = 18,
    ACTIONS(13034), 1,
      sym__word_identifier,
    ACTIONS(13050), 1,
      sym__string_start,
    ACTIONS(13052), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15794), 1,
      anon_sym_COLON,
    ACTIONS(15796), 1,
      anon_sym_LPAREN,
    ACTIONS(15798), 1,
      anon_sym_LBRACK,
    ACTIONS(15800), 1,
      anon_sym_LBRACE,
    ACTIONS(15802), 1,
      anon_sym_DOLLAR,
    ACTIONS(15804), 1,
      sym_character_literal,
    STATE(10621), 1,
      sym_identifier,
    STATE(16712), 1,
      sym_macro_identifier,
    STATE(19222), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13046), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11287), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [14889] = 18,
    ACTIONS(12926), 1,
      sym__word_identifier,
    ACTIONS(12944), 1,
      sym__string_start,
    ACTIONS(12946), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15806), 1,
      anon_sym_COLON,
    ACTIONS(15808), 1,
      anon_sym_LPAREN,
    ACTIONS(15810), 1,
      anon_sym_LBRACK,
    ACTIONS(15812), 1,
      anon_sym_LBRACE,
    ACTIONS(15814), 1,
      anon_sym_DOLLAR,
    ACTIONS(15816), 1,
      sym_character_literal,
    STATE(10558), 1,
      sym_identifier,
    STATE(16836), 1,
      sym_macro_identifier,
    STATE(19062), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12940), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11234), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [14981] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15818), 1,
      sym__word_identifier,
    ACTIONS(15820), 1,
      anon_sym_COLON,
    ACTIONS(15822), 1,
      anon_sym_LPAREN,
    ACTIONS(15824), 1,
      anon_sym_LBRACK,
    ACTIONS(15826), 1,
      anon_sym_LBRACE,
    ACTIONS(15828), 1,
      anon_sym_DOLLAR,
    ACTIONS(15832), 1,
      sym_character_literal,
    ACTIONS(15834), 1,
      sym__string_start,
    ACTIONS(15836), 1,
      sym__command_start,
    STATE(4637), 1,
      sym_identifier,
    STATE(16787), 1,
      sym_macro_identifier,
    STATE(19099), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15830), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6404), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [15073] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15838), 1,
      sym__word_identifier,
    ACTIONS(15840), 1,
      anon_sym_COLON,
    ACTIONS(15842), 1,
      anon_sym_LPAREN,
    ACTIONS(15844), 1,
      anon_sym_LBRACK,
    ACTIONS(15846), 1,
      anon_sym_LBRACE,
    ACTIONS(15848), 1,
      anon_sym_DOLLAR,
    ACTIONS(15852), 1,
      sym_character_literal,
    ACTIONS(15854), 1,
      sym__string_start,
    ACTIONS(15856), 1,
      sym__command_start,
    STATE(4410), 1,
      sym_identifier,
    STATE(16666), 1,
      sym_macro_identifier,
    STATE(19208), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15850), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5925), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [15165] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15858), 1,
      sym__word_identifier,
    ACTIONS(15860), 1,
      anon_sym_COLON,
    ACTIONS(15862), 1,
      anon_sym_LPAREN,
    ACTIONS(15864), 1,
      anon_sym_LBRACK,
    ACTIONS(15866), 1,
      anon_sym_LBRACE,
    ACTIONS(15868), 1,
      anon_sym_DOLLAR,
    ACTIONS(15872), 1,
      sym_character_literal,
    ACTIONS(15874), 1,
      sym__string_start,
    ACTIONS(15876), 1,
      sym__command_start,
    STATE(11518), 1,
      sym_identifier,
    STATE(16772), 1,
      sym_macro_identifier,
    STATE(19125), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15870), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11915), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [15257] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15878), 1,
      sym__word_identifier,
    ACTIONS(15880), 1,
      anon_sym_COLON,
    ACTIONS(15882), 1,
      anon_sym_LPAREN,
    ACTIONS(15884), 1,
      anon_sym_LBRACK,
    ACTIONS(15886), 1,
      anon_sym_LBRACE,
    ACTIONS(15888), 1,
      anon_sym_DOLLAR,
    ACTIONS(15892), 1,
      sym_character_literal,
    ACTIONS(15894), 1,
      sym__string_start,
    ACTIONS(15896), 1,
      sym__command_start,
    STATE(5171), 1,
      sym_identifier,
    STATE(16685), 1,
      sym_macro_identifier,
    STATE(19215), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15890), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6114), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [15349] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15898), 1,
      sym__word_identifier,
    ACTIONS(15900), 1,
      anon_sym_COLON,
    ACTIONS(15902), 1,
      anon_sym_LPAREN,
    ACTIONS(15904), 1,
      anon_sym_LBRACK,
    ACTIONS(15906), 1,
      anon_sym_LBRACE,
    ACTIONS(15908), 1,
      anon_sym_DOLLAR,
    ACTIONS(15912), 1,
      sym_character_literal,
    ACTIONS(15914), 1,
      sym__string_start,
    ACTIONS(15916), 1,
      sym__command_start,
    STATE(5850), 1,
      sym_identifier,
    STATE(17082), 1,
      sym_macro_identifier,
    STATE(18741), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15910), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6608), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [15441] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(15918), 1,
      anon_sym_COLON,
    ACTIONS(15920), 1,
      anon_sym_DOLLAR,
    ACTIONS(15922), 1,
      sym_character_literal,
    STATE(10869), 1,
      sym_identifier,
    STATE(17263), 1,
      sym_macro_identifier,
    STATE(18861), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15560), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11352), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [15533] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15508), 1,
      sym__word_identifier,
    ACTIONS(15510), 1,
      anon_sym_COLON,
    ACTIONS(15512), 1,
      anon_sym_LPAREN,
    ACTIONS(15514), 1,
      anon_sym_LBRACK,
    ACTIONS(15516), 1,
      anon_sym_LBRACE,
    ACTIONS(15518), 1,
      anon_sym_DOLLAR,
    ACTIONS(15524), 1,
      sym__string_start,
    ACTIONS(15526), 1,
      sym__command_start,
    ACTIONS(15924), 1,
      sym_character_literal,
    STATE(4339), 1,
      sym_identifier,
    STATE(16903), 1,
      sym_macro_identifier,
    STATE(19025), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15520), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5113), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [15625] = 18,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(15926), 1,
      anon_sym_COLON,
    ACTIONS(15928), 1,
      anon_sym_DOLLAR,
    ACTIONS(15930), 1,
      sym_character_literal,
    STATE(10938), 1,
      sym_identifier,
    STATE(17088), 1,
      sym_macro_identifier,
    STATE(18431), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11421), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [15717] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(15932), 1,
      anon_sym_COLON,
    ACTIONS(15934), 1,
      anon_sym_DOLLAR,
    ACTIONS(15936), 1,
      sym_character_literal,
    STATE(10813), 1,
      sym_identifier,
    STATE(17263), 1,
      sym_macro_identifier,
    STATE(18861), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15560), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11290), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [15809] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15938), 1,
      sym__word_identifier,
    ACTIONS(15940), 1,
      anon_sym_COLON,
    ACTIONS(15942), 1,
      anon_sym_LPAREN,
    ACTIONS(15944), 1,
      anon_sym_LBRACK,
    ACTIONS(15946), 1,
      anon_sym_LBRACE,
    ACTIONS(15948), 1,
      anon_sym_DOLLAR,
    ACTIONS(15952), 1,
      sym_character_literal,
    ACTIONS(15954), 1,
      sym__string_start,
    ACTIONS(15956), 1,
      sym__command_start,
    STATE(5013), 1,
      sym_identifier,
    STATE(16955), 1,
      sym_macro_identifier,
    STATE(18988), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15950), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6154), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [15901] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15958), 1,
      sym__word_identifier,
    ACTIONS(15960), 1,
      anon_sym_COLON,
    ACTIONS(15962), 1,
      anon_sym_LPAREN,
    ACTIONS(15964), 1,
      anon_sym_LBRACK,
    ACTIONS(15966), 1,
      anon_sym_LBRACE,
    ACTIONS(15968), 1,
      anon_sym_DOLLAR,
    ACTIONS(15972), 1,
      sym_character_literal,
    ACTIONS(15974), 1,
      sym__string_start,
    ACTIONS(15976), 1,
      sym__command_start,
    STATE(4283), 1,
      sym_identifier,
    STATE(16739), 1,
      sym_macro_identifier,
    STATE(19145), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15970), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5070), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [15993] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(15978), 1,
      anon_sym_COLON,
    ACTIONS(15980), 1,
      anon_sym_DOLLAR,
    ACTIONS(15982), 1,
      sym_character_literal,
    STATE(10936), 1,
      sym_identifier,
    STATE(17263), 1,
      sym_macro_identifier,
    STATE(18861), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15560), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11386), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [16085] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15984), 1,
      sym__word_identifier,
    ACTIONS(15986), 1,
      anon_sym_COLON,
    ACTIONS(15988), 1,
      anon_sym_LPAREN,
    ACTIONS(15990), 1,
      anon_sym_LBRACK,
    ACTIONS(15992), 1,
      anon_sym_LBRACE,
    ACTIONS(15994), 1,
      anon_sym_DOLLAR,
    ACTIONS(15998), 1,
      sym_character_literal,
    ACTIONS(16000), 1,
      sym__string_start,
    ACTIONS(16002), 1,
      sym__command_start,
    STATE(10527), 1,
      sym_identifier,
    STATE(16704), 1,
      sym_macro_identifier,
    STATE(19169), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15996), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10942), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [16177] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16004), 1,
      sym__word_identifier,
    ACTIONS(16006), 1,
      anon_sym_COLON,
    ACTIONS(16008), 1,
      anon_sym_LPAREN,
    ACTIONS(16010), 1,
      anon_sym_LBRACK,
    ACTIONS(16012), 1,
      anon_sym_LBRACE,
    ACTIONS(16014), 1,
      anon_sym_DOLLAR,
    ACTIONS(16018), 1,
      sym_character_literal,
    ACTIONS(16020), 1,
      sym__string_start,
    ACTIONS(16022), 1,
      sym__command_start,
    STATE(4442), 1,
      sym_identifier,
    STATE(16720), 1,
      sym_macro_identifier,
    STATE(19229), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16016), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5812), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [16269] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15742), 1,
      sym__word_identifier,
    ACTIONS(15746), 1,
      anon_sym_LPAREN,
    ACTIONS(15748), 1,
      anon_sym_LBRACK,
    ACTIONS(15750), 1,
      anon_sym_LBRACE,
    ACTIONS(15758), 1,
      sym__string_start,
    ACTIONS(15760), 1,
      sym__command_start,
    ACTIONS(16024), 1,
      anon_sym_COLON,
    ACTIONS(16026), 1,
      anon_sym_DOLLAR,
    ACTIONS(16028), 1,
      sym_character_literal,
    STATE(10324), 1,
      sym_identifier,
    STATE(17029), 1,
      sym_macro_identifier,
    STATE(18951), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15754), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11059), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [16361] = 18,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(16030), 1,
      anon_sym_COLON,
    ACTIONS(16032), 1,
      anon_sym_DOLLAR,
    ACTIONS(16034), 1,
      sym_character_literal,
    STATE(11262), 1,
      sym_identifier,
    STATE(17088), 1,
      sym_macro_identifier,
    STATE(18431), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11549), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [16453] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16036), 1,
      sym__word_identifier,
    ACTIONS(16038), 1,
      anon_sym_COLON,
    ACTIONS(16040), 1,
      anon_sym_LPAREN,
    ACTIONS(16042), 1,
      anon_sym_LBRACK,
    ACTIONS(16044), 1,
      anon_sym_LBRACE,
    ACTIONS(16046), 1,
      anon_sym_DOLLAR,
    ACTIONS(16050), 1,
      sym_character_literal,
    ACTIONS(16052), 1,
      sym__string_start,
    ACTIONS(16054), 1,
      sym__command_start,
    STATE(10529), 1,
      sym_identifier,
    STATE(16735), 1,
      sym_macro_identifier,
    STATE(19236), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16048), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10935), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [16545] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16056), 1,
      sym__word_identifier,
    ACTIONS(16058), 1,
      anon_sym_COLON,
    ACTIONS(16060), 1,
      anon_sym_LPAREN,
    ACTIONS(16062), 1,
      anon_sym_LBRACK,
    ACTIONS(16064), 1,
      anon_sym_LBRACE,
    ACTIONS(16066), 1,
      anon_sym_DOLLAR,
    ACTIONS(16070), 1,
      sym_character_literal,
    ACTIONS(16072), 1,
      sym__string_start,
    ACTIONS(16074), 1,
      sym__command_start,
    STATE(4361), 1,
      sym_identifier,
    STATE(16718), 1,
      sym_macro_identifier,
    STATE(19161), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16068), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5956), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [16637] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15640), 1,
      sym__word_identifier,
    ACTIONS(15642), 1,
      anon_sym_COLON,
    ACTIONS(15644), 1,
      anon_sym_LPAREN,
    ACTIONS(15646), 1,
      anon_sym_LBRACK,
    ACTIONS(15648), 1,
      anon_sym_LBRACE,
    ACTIONS(15650), 1,
      anon_sym_DOLLAR,
    ACTIONS(15656), 1,
      sym__string_start,
    ACTIONS(15658), 1,
      sym__command_start,
    ACTIONS(16076), 1,
      sym_character_literal,
    STATE(4786), 1,
      sym_identifier,
    STATE(16751), 1,
      sym_macro_identifier,
    STATE(19137), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15652), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6185), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [16729] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16078), 1,
      anon_sym_COLON,
    ACTIONS(16080), 1,
      anon_sym_DOLLAR,
    ACTIONS(16082), 1,
      sym_character_literal,
    STATE(10493), 1,
      sym_identifier,
    STATE(17263), 1,
      sym_macro_identifier,
    STATE(18861), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15560), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10973), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [16821] = 18,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(16084), 1,
      anon_sym_COLON,
    ACTIONS(16086), 1,
      anon_sym_DOLLAR,
    ACTIONS(16088), 1,
      sym_character_literal,
    STATE(10729), 1,
      sym_identifier,
    STATE(17088), 1,
      sym_macro_identifier,
    STATE(18431), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11358), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [16913] = 18,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15198), 1,
      anon_sym_DOLLAR,
    ACTIONS(16090), 1,
      anon_sym_COLON,
    ACTIONS(16092), 1,
      sym_character_literal,
    STATE(10591), 1,
      sym_identifier,
    STATE(17010), 1,
      sym_macro_identifier,
    STATE(18511), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14417), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11210), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [17005] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16094), 1,
      sym__word_identifier,
    ACTIONS(16096), 1,
      anon_sym_COLON,
    ACTIONS(16098), 1,
      anon_sym_LPAREN,
    ACTIONS(16100), 1,
      anon_sym_LBRACK,
    ACTIONS(16102), 1,
      anon_sym_LBRACE,
    ACTIONS(16104), 1,
      anon_sym_DOLLAR,
    ACTIONS(16108), 1,
      sym_character_literal,
    ACTIONS(16110), 1,
      sym__string_start,
    ACTIONS(16112), 1,
      sym__command_start,
    STATE(4528), 1,
      sym_identifier,
    STATE(16662), 1,
      sym_macro_identifier,
    STATE(19193), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16106), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5304), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [17097] = 18,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16114), 1,
      sym__word_identifier,
    ACTIONS(16116), 1,
      anon_sym_COLON,
    ACTIONS(16118), 1,
      anon_sym_LPAREN,
    ACTIONS(16120), 1,
      anon_sym_LBRACK,
    ACTIONS(16122), 1,
      anon_sym_LBRACE,
    ACTIONS(16124), 1,
      anon_sym_DOLLAR,
    ACTIONS(16128), 1,
      sym_character_literal,
    ACTIONS(16130), 1,
      sym__string_start,
    ACTIONS(16132), 1,
      sym__command_start,
    STATE(4409), 1,
      sym_identifier,
    STATE(16771), 1,
      sym_macro_identifier,
    STATE(18631), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16126), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5313), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [17189] = 18,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(16134), 1,
      anon_sym_COLON,
    ACTIONS(16136), 1,
      anon_sym_DOLLAR,
    ACTIONS(16138), 1,
      sym_character_literal,
    STATE(10891), 1,
      sym_identifier,
    STATE(17088), 1,
      sym_macro_identifier,
    STATE(18431), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13228), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3023), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(3021), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11325), 23,
      sym__primary_expression,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [17281] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12152), 43,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [17341] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12152), 43,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [17401] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12152), 23,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_isa,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(12154), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__string_start,
      sym__command_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [17458] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12152), 42,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [17517] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12152), 42,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [17576] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12152), 42,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [17635] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12152), 41,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [17693] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12154), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__string_start,
      sym__command_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(12152), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_isa,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [17749] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__string_start,
      sym__command_start,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12152), 40,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [17807] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [17864] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16140), 1,
      anon_sym_do,
    STATE(9931), 1,
      sym_do_clause,
    ACTIONS(11898), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11900), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [17924] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16140), 1,
      anon_sym_do,
    STATE(9988), 1,
      sym_do_clause,
    ACTIONS(11934), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [17984] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18040] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16140), 1,
      anon_sym_do,
    STATE(9907), 1,
      sym_do_clause,
    ACTIONS(11916), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11918), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18100] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16140), 1,
      anon_sym_do,
    STATE(9897), 1,
      sym_do_clause,
    ACTIONS(11894), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18160] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16142), 1,
      anon_sym_do,
    STATE(10069), 1,
      sym_do_clause,
    ACTIONS(11894), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18219] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18274] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16142), 1,
      anon_sym_do,
    STATE(10051), 1,
      sym_do_clause,
    ACTIONS(11916), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11918), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18333] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16142), 1,
      anon_sym_do,
    STATE(10041), 1,
      sym_do_clause,
    ACTIONS(11898), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11900), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18392] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12024), 1,
      anon_sym_DASH_GT,
    ACTIONS(12022), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18449] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12052), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11976), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18504] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16144), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 40,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18561] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12012), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12014), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18616] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12036), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12034), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18671] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12016), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12018), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18726] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12004), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12002), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18781] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12014), 1,
      anon_sym_DASH_GT,
    ACTIONS(12028), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18838] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11984), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11974), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18893] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12050), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12048), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [18948] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12014), 1,
      anon_sym_DASH_GT,
    ACTIONS(12110), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19005] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12064), 1,
      anon_sym_DASH_GT,
    ACTIONS(12060), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19062] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11976), 1,
      anon_sym_DASH_GT,
    ACTIONS(12090), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19119] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12044), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12042), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19174] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16142), 1,
      anon_sym_do,
    STATE(10043), 1,
      sym_do_clause,
    ACTIONS(11934), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19233] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12040), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12038), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19288] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12082), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12064), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19343] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12032), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12030), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19398] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16146), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 40,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19455] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12046), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12024), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19510] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16148), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19567] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11976), 1,
      anon_sym_DASH_GT,
    ACTIONS(11972), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19624] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11974), 1,
      anon_sym_DASH_GT,
    ACTIONS(11972), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19681] = 17,
    ACTIONS(15938), 1,
      sym__word_identifier,
    ACTIONS(15954), 1,
      sym__string_start,
    ACTIONS(15956), 1,
      sym__command_start,
    ACTIONS(16154), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16156), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16166), 1,
      sym__immediate_paren,
    ACTIONS(16168), 1,
      sym__immediate_bracket,
    ACTIONS(16170), 1,
      sym__immediate_brace,
    STATE(4883), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16152), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16150), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16158), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16160), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16162), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6096), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16164), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [19761] = 17,
    ACTIONS(15640), 1,
      sym__word_identifier,
    ACTIONS(15656), 1,
      sym__string_start,
    ACTIONS(15658), 1,
      sym__command_start,
    ACTIONS(16176), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16178), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16188), 1,
      sym__immediate_paren,
    ACTIONS(16190), 1,
      sym__immediate_bracket,
    ACTIONS(16192), 1,
      sym__immediate_brace,
    STATE(5063), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16174), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16172), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16180), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16182), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16184), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6188), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16186), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [19841] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19895] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12250), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [19949] = 17,
    ACTIONS(16194), 1,
      sym__word_identifier,
    ACTIONS(16200), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16202), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16212), 1,
      sym__immediate_paren,
    ACTIONS(16214), 1,
      sym__immediate_bracket,
    ACTIONS(16216), 1,
      sym__immediate_brace,
    ACTIONS(16218), 1,
      sym__string_start,
    ACTIONS(16220), 1,
      sym__command_start,
    STATE(5989), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16198), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16196), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16204), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16206), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16208), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6662), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16210), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20029] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16222), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [20085] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12046), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12024), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [20139] = 17,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16240), 1,
      sym__immediate_paren,
    ACTIONS(16242), 1,
      sym__immediate_bracket,
    ACTIONS(16244), 1,
      sym__immediate_brace,
    STATE(10830), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16224), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16234), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16236), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10092), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16238), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20219] = 17,
    ACTIONS(16056), 1,
      sym__word_identifier,
    ACTIONS(16072), 1,
      sym__string_start,
    ACTIONS(16074), 1,
      sym__command_start,
    ACTIONS(16250), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16252), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16262), 1,
      sym__immediate_paren,
    ACTIONS(16264), 1,
      sym__immediate_bracket,
    ACTIONS(16266), 1,
      sym__immediate_brace,
    STATE(4557), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16248), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16246), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16254), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16256), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16258), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5656), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16260), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20299] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16268), 1,
      anon_sym_do,
    STATE(10121), 1,
      sym_do_clause,
    ACTIONS(11916), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11918), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [20357] = 17,
    ACTIONS(15768), 1,
      sym__word_identifier,
    ACTIONS(15784), 1,
      sym__string_start,
    ACTIONS(15786), 1,
      sym__command_start,
    ACTIONS(16274), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16276), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16286), 1,
      sym__immediate_paren,
    ACTIONS(16288), 1,
      sym__immediate_bracket,
    ACTIONS(16290), 1,
      sym__immediate_brace,
    STATE(4516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16272), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16270), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16278), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16280), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16282), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5838), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16284), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20437] = 17,
    ACTIONS(15858), 1,
      sym__word_identifier,
    ACTIONS(15874), 1,
      sym__string_start,
    ACTIONS(15876), 1,
      sym__command_start,
    ACTIONS(16296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16308), 1,
      sym__immediate_paren,
    ACTIONS(16310), 1,
      sym__immediate_bracket,
    ACTIONS(16312), 1,
      sym__immediate_brace,
    STATE(11492), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16294), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16292), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16300), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16302), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16304), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(12125), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16306), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20517] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [20571] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [20625] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [20679] = 17,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(311), 1,
      sym__command_start,
    ACTIONS(11680), 1,
      sym__word_identifier,
    ACTIONS(11688), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11690), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(11696), 1,
      sym__immediate_paren,
    ACTIONS(11698), 1,
      sym__immediate_bracket,
    ACTIONS(11700), 1,
      sym__immediate_brace,
    STATE(4286), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16314), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(11686), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16316), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16318), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16320), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(4615), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11694), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20759] = 17,
    ACTIONS(16114), 1,
      sym__word_identifier,
    ACTIONS(16130), 1,
      sym__string_start,
    ACTIONS(16132), 1,
      sym__command_start,
    ACTIONS(16326), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16328), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16338), 1,
      sym__immediate_paren,
    ACTIONS(16340), 1,
      sym__immediate_bracket,
    ACTIONS(16342), 1,
      sym__immediate_brace,
    STATE(4414), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16324), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16322), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16330), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16332), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16334), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5934), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16336), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20839] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16344), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [20895] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12050), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12048), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [20949] = 17,
    ACTIONS(1063), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16346), 1,
      sym__word_identifier,
    ACTIONS(16350), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16358), 1,
      sym__immediate_paren,
    ACTIONS(16360), 1,
      sym__immediate_bracket,
    ACTIONS(16362), 1,
      sym__immediate_brace,
    ACTIONS(16364), 1,
      sym__string_start,
    ACTIONS(16366), 1,
      sym__command_start,
    STATE(7058), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9126), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(9128), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16348), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16352), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16354), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(8291), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16356), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21029] = 17,
    ACTIONS(15528), 1,
      sym__word_identifier,
    ACTIONS(15544), 1,
      sym__string_start,
    ACTIONS(15546), 1,
      sym__command_start,
    ACTIONS(16372), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16374), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16384), 1,
      sym__immediate_paren,
    ACTIONS(16386), 1,
      sym__immediate_bracket,
    ACTIONS(16388), 1,
      sym__immediate_brace,
    STATE(4527), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16370), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16368), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16376), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16378), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16380), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5565), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16382), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21109] = 17,
    ACTIONS(13034), 1,
      sym__word_identifier,
    ACTIONS(13050), 1,
      sym__string_start,
    ACTIONS(13052), 1,
      sym__command_start,
    ACTIONS(16394), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16396), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16406), 1,
      sym__immediate_paren,
    ACTIONS(16408), 1,
      sym__immediate_bracket,
    ACTIONS(16410), 1,
      sym__immediate_brace,
    STATE(10814), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16392), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16390), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16398), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16400), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16402), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11267), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16404), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21189] = 17,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16428), 1,
      sym__immediate_paren,
    ACTIONS(16430), 1,
      sym__immediate_bracket,
    ACTIONS(16432), 1,
      sym__immediate_brace,
    STATE(10926), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16412), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16422), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16424), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10124), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16426), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21269] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12192), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [21323] = 17,
    ACTIONS(873), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16434), 1,
      sym__word_identifier,
    ACTIONS(16438), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16446), 1,
      sym__immediate_paren,
    ACTIONS(16448), 1,
      sym__immediate_bracket,
    ACTIONS(16450), 1,
      sym__immediate_brace,
    ACTIONS(16452), 1,
      sym__string_start,
    ACTIONS(16454), 1,
      sym__command_start,
    STATE(6903), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8762), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8764), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16436), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16440), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16442), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(8522), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16444), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21403] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11816), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21483] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12004), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12002), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [21537] = 17,
    ACTIONS(15898), 1,
      sym__word_identifier,
    ACTIONS(15914), 1,
      sym__string_start,
    ACTIONS(15916), 1,
      sym__command_start,
    ACTIONS(16488), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16490), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16500), 1,
      sym__immediate_paren,
    ACTIONS(16502), 1,
      sym__immediate_bracket,
    ACTIONS(16504), 1,
      sym__immediate_brace,
    STATE(5694), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16486), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16484), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16492), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16494), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16496), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6571), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16498), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21617] = 17,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16428), 1,
      sym__immediate_paren,
    ACTIONS(16430), 1,
      sym__immediate_bracket,
    ACTIONS(16432), 1,
      sym__immediate_brace,
    STATE(11174), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16412), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16422), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16424), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10124), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16426), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21697] = 17,
    ACTIONS(375), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16506), 1,
      sym__word_identifier,
    ACTIONS(16510), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16518), 1,
      sym__immediate_paren,
    ACTIONS(16520), 1,
      sym__immediate_bracket,
    ACTIONS(16522), 1,
      sym__immediate_brace,
    ACTIONS(16524), 1,
      sym__string_start,
    ACTIONS(16526), 1,
      sym__command_start,
    STATE(6620), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9146), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(9148), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16508), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16512), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16514), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7072), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16516), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21777] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11934), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [21831] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16268), 1,
      anon_sym_do,
    STATE(10151), 1,
      sym_do_clause,
    ACTIONS(11898), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11900), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [21889] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12188), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [21943] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12016), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12018), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [21997] = 17,
    ACTIONS(16036), 1,
      sym__word_identifier,
    ACTIONS(16052), 1,
      sym__string_start,
    ACTIONS(16054), 1,
      sym__command_start,
    ACTIONS(16532), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16534), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16544), 1,
      sym__immediate_paren,
    ACTIONS(16546), 1,
      sym__immediate_bracket,
    ACTIONS(16548), 1,
      sym__immediate_brace,
    STATE(10519), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16530), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16528), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16536), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16538), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16540), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11045), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16542), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22077] = 17,
    ACTIONS(1081), 1,
      sym__string_start,
    ACTIONS(1083), 1,
      sym__command_start,
    ACTIONS(11816), 1,
      sym__word_identifier,
    ACTIONS(11820), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11822), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(11828), 1,
      sym__immediate_paren,
    ACTIONS(11830), 1,
      sym__immediate_bracket,
    ACTIONS(11832), 1,
      sym__immediate_brace,
    STATE(4975), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16550), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(11818), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16552), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16554), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16556), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6130), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11826), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22157] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11882), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [22211] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12320), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12322), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [22265] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12012), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12014), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [22319] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12184), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [22373] = 17,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10238), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15294), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16562), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16564), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15302), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22453] = 17,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16240), 1,
      sym__immediate_paren,
    ACTIONS(16242), 1,
      sym__immediate_bracket,
    ACTIONS(16244), 1,
      sym__immediate_brace,
    STATE(10511), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16224), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16234), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16236), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10092), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16238), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22533] = 17,
    ACTIONS(16566), 1,
      sym__word_identifier,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16574), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16584), 1,
      sym__immediate_paren,
    ACTIONS(16586), 1,
      sym__immediate_bracket,
    ACTIONS(16588), 1,
      sym__immediate_brace,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    STATE(11412), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16568), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16578), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16580), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11521), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16582), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22613] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12180), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [22667] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12142), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12140), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [22721] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12352), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12350), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [22775] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12330), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12328), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [22829] = 4,
    ACTIONS(16594), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 16,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 26,
      sym__string_start,
      sym__command_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [22883] = 17,
    ACTIONS(16596), 1,
      sym__word_identifier,
    ACTIONS(16602), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16604), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16614), 1,
      sym__immediate_paren,
    ACTIONS(16616), 1,
      sym__immediate_bracket,
    ACTIONS(16618), 1,
      sym__immediate_brace,
    ACTIONS(16620), 1,
      sym__string_start,
    ACTIONS(16622), 1,
      sym__command_start,
    STATE(11414), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16600), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16598), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16606), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16608), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16610), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11817), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16612), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22963] = 17,
    ACTIONS(683), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16624), 1,
      sym__word_identifier,
    ACTIONS(16628), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16636), 1,
      sym__immediate_paren,
    ACTIONS(16638), 1,
      sym__immediate_bracket,
    ACTIONS(16640), 1,
      sym__immediate_brace,
    ACTIONS(16642), 1,
      sym__string_start,
    ACTIONS(16644), 1,
      sym__command_start,
    STATE(6757), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8696), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8698), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16626), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16630), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16632), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7584), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16634), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [23043] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [23097] = 17,
    ACTIONS(15838), 1,
      sym__word_identifier,
    ACTIONS(15854), 1,
      sym__string_start,
    ACTIONS(15856), 1,
      sym__command_start,
    ACTIONS(16650), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16652), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16662), 1,
      sym__immediate_paren,
    ACTIONS(16664), 1,
      sym__immediate_bracket,
    ACTIONS(16666), 1,
      sym__immediate_brace,
    STATE(4558), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16648), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16646), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16654), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16656), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16658), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5782), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16660), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [23177] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12156), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [23231] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12196), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [23285] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12288), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [23339] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12166), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12164), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [23393] = 17,
    ACTIONS(15568), 1,
      sym__word_identifier,
    ACTIONS(15584), 1,
      sym__string_start,
    ACTIONS(15586), 1,
      sym__command_start,
    ACTIONS(16672), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16674), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16684), 1,
      sym__immediate_paren,
    ACTIONS(16686), 1,
      sym__immediate_bracket,
    ACTIONS(16688), 1,
      sym__immediate_brace,
    STATE(5002), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16670), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16668), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16676), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16678), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16680), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5977), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16682), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [23473] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12176), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [23527] = 17,
    ACTIONS(291), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16690), 1,
      sym__word_identifier,
    ACTIONS(16694), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16702), 1,
      sym__immediate_paren,
    ACTIONS(16704), 1,
      sym__immediate_bracket,
    ACTIONS(16706), 1,
      sym__immediate_brace,
    ACTIONS(16708), 1,
      sym__string_start,
    ACTIONS(16710), 1,
      sym__command_start,
    STATE(6503), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8880), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8882), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16692), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16696), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16698), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7092), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16700), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [23607] = 17,
    ACTIONS(967), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16712), 1,
      sym__word_identifier,
    ACTIONS(16716), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16724), 1,
      sym__immediate_paren,
    ACTIONS(16726), 1,
      sym__immediate_bracket,
    ACTIONS(16728), 1,
      sym__immediate_brace,
    ACTIONS(16730), 1,
      sym__string_start,
    ACTIONS(16732), 1,
      sym__command_start,
    STATE(6677), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(965), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(971), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16714), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16718), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16720), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7393), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16722), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [23687] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12356), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12354), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [23741] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12296), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [23795] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [23849] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16268), 1,
      anon_sym_do,
    STATE(10129), 1,
      sym_do_clause,
    ACTIONS(11894), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [23907] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [23961] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12032), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12030), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [24015] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12326), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [24069] = 17,
    ACTIONS(591), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16734), 1,
      sym__word_identifier,
    ACTIONS(16738), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16746), 1,
      sym__immediate_paren,
    ACTIONS(16748), 1,
      sym__immediate_bracket,
    ACTIONS(16750), 1,
      sym__immediate_brace,
    ACTIONS(16752), 1,
      sym__string_start,
    ACTIONS(16754), 1,
      sym__command_start,
    STATE(6842), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8554), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8556), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16736), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16740), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16742), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7776), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16744), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [24149] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(2188), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [24203] = 17,
    ACTIONS(15878), 1,
      sym__word_identifier,
    ACTIONS(15894), 1,
      sym__string_start,
    ACTIONS(15896), 1,
      sym__command_start,
    ACTIONS(16760), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16762), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16772), 1,
      sym__immediate_paren,
    ACTIONS(16774), 1,
      sym__immediate_bracket,
    ACTIONS(16776), 1,
      sym__immediate_brace,
    STATE(4851), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16758), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16756), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16764), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16766), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16768), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6454), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16770), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [24283] = 17,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10743), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15294), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16562), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16564), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15302), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [24363] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12234), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [24417] = 17,
    ACTIONS(16004), 1,
      sym__word_identifier,
    ACTIONS(16020), 1,
      sym__string_start,
    ACTIONS(16022), 1,
      sym__command_start,
    ACTIONS(16782), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16784), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16794), 1,
      sym__immediate_paren,
    ACTIONS(16796), 1,
      sym__immediate_bracket,
    ACTIONS(16798), 1,
      sym__immediate_brace,
    STATE(4488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16780), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16778), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16786), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16788), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16790), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5875), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16792), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [24497] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11894), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [24551] = 17,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10344), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15294), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16562), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16564), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15302), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [24631] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12348), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [24685] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12040), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12038), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [24739] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12052), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11976), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [24793] = 17,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16428), 1,
      sym__immediate_paren,
    ACTIONS(16430), 1,
      sym__immediate_bracket,
    ACTIONS(16432), 1,
      sym__immediate_brace,
    STATE(11220), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16412), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16422), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16424), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10124), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16426), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [24873] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12150), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12148), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [24927] = 17,
    ACTIONS(16800), 1,
      sym__word_identifier,
    ACTIONS(16806), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16808), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16818), 1,
      sym__immediate_paren,
    ACTIONS(16820), 1,
      sym__immediate_bracket,
    ACTIONS(16822), 1,
      sym__immediate_brace,
    ACTIONS(16824), 1,
      sym__string_start,
    ACTIONS(16826), 1,
      sym__command_start,
    STATE(6511), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16804), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16802), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16810), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16812), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16814), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7007), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16816), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25007] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12348), 40,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [25061] = 17,
    ACTIONS(12926), 1,
      sym__word_identifier,
    ACTIONS(12944), 1,
      sym__string_start,
    ACTIONS(12946), 1,
      sym__command_start,
    ACTIONS(16832), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16834), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16844), 1,
      sym__immediate_paren,
    ACTIONS(16846), 1,
      sym__immediate_bracket,
    ACTIONS(16848), 1,
      sym__immediate_brace,
    STATE(10636), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16830), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16828), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16836), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16838), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16840), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11253), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16842), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25141] = 17,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16428), 1,
      sym__immediate_paren,
    ACTIONS(16430), 1,
      sym__immediate_bracket,
    ACTIONS(16432), 1,
      sym__immediate_brace,
    STATE(11279), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16412), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16422), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16424), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10124), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16426), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25221] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12318), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [25275] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11486), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25355] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12210), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [25409] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12254), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [25463] = 17,
    ACTIONS(16850), 1,
      sym__word_identifier,
    ACTIONS(16856), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16858), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16868), 1,
      sym__immediate_paren,
    ACTIONS(16870), 1,
      sym__immediate_bracket,
    ACTIONS(16872), 1,
      sym__immediate_brace,
    ACTIONS(16874), 1,
      sym__string_start,
    ACTIONS(16876), 1,
      sym__command_start,
    STATE(6632), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16854), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16852), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16860), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16862), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16864), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7282), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16866), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25543] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(12209), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25623] = 17,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10734), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15294), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16562), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16564), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15302), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25703] = 17,
    ACTIONS(701), 1,
      sym__string_start,
    ACTIONS(703), 1,
      sym__command_start,
    ACTIONS(11762), 1,
      sym__word_identifier,
    ACTIONS(11766), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11768), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(11774), 1,
      sym__immediate_paren,
    ACTIONS(11776), 1,
      sym__immediate_bracket,
    ACTIONS(11778), 1,
      sym__immediate_brace,
    STATE(4484), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16878), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(11764), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16880), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16882), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16884), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5435), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11772), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25783] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12326), 40,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [25837] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12044), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12042), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [25891] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11675), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25971] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [26025] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12208), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [26079] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 40,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [26133] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11553), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26213] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12240), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12238), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [26267] = 17,
    ACTIONS(783), 1,
      sym__string_start,
    ACTIONS(785), 1,
      sym__command_start,
    ACTIONS(11780), 1,
      sym__word_identifier,
    ACTIONS(11784), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11786), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(11792), 1,
      sym__immediate_paren,
    ACTIONS(11794), 1,
      sym__immediate_bracket,
    ACTIONS(11796), 1,
      sym__immediate_brace,
    STATE(4500), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16886), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(11782), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16888), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16890), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16892), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5855), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11790), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26347] = 17,
    ACTIONS(16566), 1,
      sym__word_identifier,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16574), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16584), 1,
      sym__immediate_paren,
    ACTIONS(16586), 1,
      sym__immediate_bracket,
    ACTIONS(16588), 1,
      sym__immediate_brace,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    STATE(11697), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16568), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16578), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16580), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11521), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16582), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26427] = 17,
    ACTIONS(15722), 1,
      sym__word_identifier,
    ACTIONS(15738), 1,
      sym__string_start,
    ACTIONS(15740), 1,
      sym__command_start,
    ACTIONS(16898), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16900), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16910), 1,
      sym__immediate_paren,
    ACTIONS(16912), 1,
      sym__immediate_bracket,
    ACTIONS(16914), 1,
      sym__immediate_brace,
    STATE(9275), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16896), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16894), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16902), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16904), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16906), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9388), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16908), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26507] = 17,
    ACTIONS(15352), 1,
      sym__word_identifier,
    ACTIONS(15686), 1,
      sym__string_start,
    ACTIONS(15688), 1,
      sym__command_start,
    ACTIONS(16920), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16922), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16932), 1,
      sym__immediate_paren,
    ACTIONS(16934), 1,
      sym__immediate_bracket,
    ACTIONS(16936), 1,
      sym__immediate_brace,
    STATE(9308), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16918), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16916), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16924), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16926), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16928), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9451), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16930), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26587] = 17,
    ACTIONS(16094), 1,
      sym__word_identifier,
    ACTIONS(16110), 1,
      sym__string_start,
    ACTIONS(16112), 1,
      sym__command_start,
    ACTIONS(16942), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16944), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16954), 1,
      sym__immediate_paren,
    ACTIONS(16956), 1,
      sym__immediate_bracket,
    ACTIONS(16958), 1,
      sym__immediate_brace,
    STATE(4493), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16940), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16938), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16946), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16948), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16950), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5456), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16952), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26667] = 17,
    ACTIONS(16960), 1,
      sym__word_identifier,
    ACTIONS(16966), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16968), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16978), 1,
      sym__immediate_paren,
    ACTIONS(16980), 1,
      sym__immediate_bracket,
    ACTIONS(16982), 1,
      sym__immediate_brace,
    ACTIONS(16984), 1,
      sym__string_start,
    ACTIONS(16986), 1,
      sym__command_start,
    STATE(6584), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16964), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16962), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16970), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16972), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16974), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6983), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16976), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26747] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12214), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [26801] = 17,
    ACTIONS(16988), 1,
      sym__word_identifier,
    ACTIONS(16994), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16996), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17006), 1,
      sym__immediate_paren,
    ACTIONS(17008), 1,
      sym__immediate_bracket,
    ACTIONS(17010), 1,
      sym__immediate_brace,
    ACTIONS(17012), 1,
      sym__string_start,
    ACTIONS(17014), 1,
      sym__command_start,
    STATE(15924), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16992), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16990), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16998), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17000), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17002), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(17946), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17004), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26881] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12218), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [26935] = 17,
    ACTIONS(15508), 1,
      sym__word_identifier,
    ACTIONS(15524), 1,
      sym__string_start,
    ACTIONS(15526), 1,
      sym__command_start,
    ACTIONS(17020), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17022), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17032), 1,
      sym__immediate_paren,
    ACTIONS(17034), 1,
      sym__immediate_bracket,
    ACTIONS(17036), 1,
      sym__immediate_brace,
    STATE(4291), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17018), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17016), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17024), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17026), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17028), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(4628), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17030), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27015] = 17,
    ACTIONS(609), 1,
      sym__string_start,
    ACTIONS(611), 1,
      sym__command_start,
    ACTIONS(11798), 1,
      sym__word_identifier,
    ACTIONS(11802), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11804), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(11810), 1,
      sym__immediate_paren,
    ACTIONS(11812), 1,
      sym__immediate_bracket,
    ACTIONS(11814), 1,
      sym__immediate_brace,
    STATE(4562), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17038), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(11800), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17040), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17042), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17044), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5735), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11808), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27095] = 17,
    ACTIONS(17046), 1,
      sym__word_identifier,
    ACTIONS(17052), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17054), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17064), 1,
      sym__immediate_paren,
    ACTIONS(17066), 1,
      sym__immediate_bracket,
    ACTIONS(17068), 1,
      sym__immediate_brace,
    ACTIONS(17070), 1,
      sym__string_start,
    ACTIONS(17072), 1,
      sym__command_start,
    STATE(6526), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17050), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17048), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17056), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17058), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17060), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6891), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17062), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27175] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11984), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11974), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [27229] = 17,
    ACTIONS(17074), 1,
      sym__word_identifier,
    ACTIONS(17080), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17082), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17092), 1,
      sym__immediate_paren,
    ACTIONS(17094), 1,
      sym__immediate_bracket,
    ACTIONS(17096), 1,
      sym__immediate_brace,
    ACTIONS(17098), 1,
      sym__string_start,
    ACTIONS(17100), 1,
      sym__command_start,
    STATE(6015), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17078), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17076), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17084), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17086), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17088), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6693), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17090), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27309] = 17,
    ACTIONS(15984), 1,
      sym__word_identifier,
    ACTIONS(16000), 1,
      sym__string_start,
    ACTIONS(16002), 1,
      sym__command_start,
    ACTIONS(17106), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17108), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17118), 1,
      sym__immediate_paren,
    ACTIONS(17120), 1,
      sym__immediate_bracket,
    ACTIONS(17122), 1,
      sym__immediate_brace,
    STATE(10504), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17104), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17102), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17110), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17112), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17114), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11101), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17116), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27389] = 17,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16428), 1,
      sym__immediate_paren,
    ACTIONS(16430), 1,
      sym__immediate_bracket,
    ACTIONS(16432), 1,
      sym__immediate_brace,
    STATE(10944), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16412), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16422), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16424), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10124), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16426), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27469] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17124), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [27525] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12230), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [27579] = 17,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16240), 1,
      sym__immediate_paren,
    ACTIONS(16242), 1,
      sym__immediate_bracket,
    ACTIONS(16244), 1,
      sym__immediate_brace,
    STATE(10843), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16224), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16234), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16236), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10092), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16238), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27659] = 17,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(15310), 1,
      sym__word_identifier,
    ACTIONS(15316), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15318), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15328), 1,
      sym__immediate_paren,
    ACTIONS(15330), 1,
      sym__immediate_bracket,
    ACTIONS(15332), 1,
      sym__immediate_brace,
    STATE(10309), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15314), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15312), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15320), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15322), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(15324), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10476), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15326), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27739] = 17,
    ACTIONS(393), 1,
      sym__string_start,
    ACTIONS(395), 1,
      sym__command_start,
    ACTIONS(11720), 1,
      sym__word_identifier,
    ACTIONS(11724), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11726), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(11732), 1,
      sym__immediate_paren,
    ACTIONS(11734), 1,
      sym__immediate_bracket,
    ACTIONS(11736), 1,
      sym__immediate_brace,
    STATE(4307), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17126), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(11722), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17128), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17130), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17132), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(4764), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11730), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27819] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12082), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12064), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [27873] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11432), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27953] = 17,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16240), 1,
      sym__immediate_paren,
    ACTIONS(16242), 1,
      sym__immediate_bracket,
    ACTIONS(16244), 1,
      sym__immediate_brace,
    STATE(10855), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16224), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16234), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16236), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10092), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16238), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28033] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12246), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [28087] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12242), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [28141] = 17,
    ACTIONS(469), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17134), 1,
      sym__word_identifier,
    ACTIONS(17138), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17146), 1,
      sym__immediate_paren,
    ACTIONS(17148), 1,
      sym__immediate_bracket,
    ACTIONS(17150), 1,
      sym__immediate_brace,
    ACTIONS(17152), 1,
      sym__string_start,
    ACTIONS(17154), 1,
      sym__command_start,
    STATE(6627), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6318), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(6320), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17136), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17140), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17142), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7150), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17144), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28221] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12226), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [28275] = 17,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(17160), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17162), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17172), 1,
      sym__immediate_paren,
    ACTIONS(17174), 1,
      sym__immediate_bracket,
    ACTIONS(17176), 1,
      sym__immediate_brace,
    STATE(10620), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17158), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17156), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17164), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17166), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17168), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11043), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17170), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28355] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17178), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [28411] = 17,
    ACTIONS(17180), 1,
      sym__word_identifier,
    ACTIONS(17186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17198), 1,
      sym__immediate_paren,
    ACTIONS(17200), 1,
      sym__immediate_bracket,
    ACTIONS(17202), 1,
      sym__immediate_brace,
    ACTIONS(17204), 1,
      sym__string_start,
    ACTIONS(17206), 1,
      sym__command_start,
    STATE(6343), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17184), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17182), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17190), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17192), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17194), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6828), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17196), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28491] = 17,
    ACTIONS(14403), 1,
      sym__word_identifier,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(17160), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17162), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17172), 1,
      sym__immediate_paren,
    ACTIONS(17174), 1,
      sym__immediate_bracket,
    ACTIONS(17176), 1,
      sym__immediate_brace,
    STATE(11296), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17158), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17156), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17164), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17166), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17168), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11043), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17170), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28571] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12262), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [28625] = 17,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    ACTIONS(15762), 1,
      sym__word_identifier,
    ACTIONS(17212), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17214), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17224), 1,
      sym__immediate_paren,
    ACTIONS(17226), 1,
      sym__immediate_bracket,
    ACTIONS(17228), 1,
      sym__immediate_brace,
    STATE(14417), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17210), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17208), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17216), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17218), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17220), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(14380), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17222), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28705] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [28759] = 17,
    ACTIONS(487), 1,
      sym__string_start,
    ACTIONS(489), 1,
      sym__command_start,
    ACTIONS(11702), 1,
      sym__word_identifier,
    ACTIONS(11706), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11708), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(11714), 1,
      sym__immediate_paren,
    ACTIONS(11716), 1,
      sym__immediate_bracket,
    ACTIONS(11718), 1,
      sym__immediate_brace,
    STATE(4330), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17230), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(11704), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17234), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17236), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5015), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11712), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28839] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12340), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12338), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [28893] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11826), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28973] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [29027] = 17,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    ACTIONS(15762), 1,
      sym__word_identifier,
    ACTIONS(17212), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17214), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17224), 1,
      sym__immediate_paren,
    ACTIONS(17226), 1,
      sym__immediate_bracket,
    ACTIONS(17228), 1,
      sym__immediate_brace,
    STATE(14336), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17210), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17208), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17216), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17218), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17220), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(14380), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17222), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29107] = 17,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16240), 1,
      sym__immediate_paren,
    ACTIONS(16242), 1,
      sym__immediate_bracket,
    ACTIONS(16244), 1,
      sym__immediate_brace,
    STATE(10980), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16224), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16234), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16236), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10092), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16238), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29187] = 17,
    ACTIONS(17238), 1,
      sym__word_identifier,
    ACTIONS(17244), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17246), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17256), 1,
      sym__immediate_paren,
    ACTIONS(17258), 1,
      sym__immediate_bracket,
    ACTIONS(17260), 1,
      sym__immediate_brace,
    ACTIONS(17262), 1,
      sym__string_start,
    ACTIONS(17264), 1,
      sym__command_start,
    STATE(6772), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17242), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17240), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17248), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17250), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17252), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7824), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17254), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29267] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12342), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [29321] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11471), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29401] = 17,
    ACTIONS(15742), 1,
      sym__word_identifier,
    ACTIONS(15758), 1,
      sym__string_start,
    ACTIONS(15760), 1,
      sym__command_start,
    ACTIONS(17270), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17272), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17282), 1,
      sym__immediate_paren,
    ACTIONS(17284), 1,
      sym__immediate_bracket,
    ACTIONS(17286), 1,
      sym__immediate_brace,
    STATE(11003), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17268), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17266), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17274), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17276), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17278), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10928), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17280), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29481] = 17,
    ACTIONS(15742), 1,
      sym__word_identifier,
    ACTIONS(15758), 1,
      sym__string_start,
    ACTIONS(15760), 1,
      sym__command_start,
    ACTIONS(17270), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17272), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17282), 1,
      sym__immediate_paren,
    ACTIONS(17284), 1,
      sym__immediate_bracket,
    ACTIONS(17286), 1,
      sym__immediate_brace,
    STATE(10328), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17268), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17266), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17274), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17276), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17278), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10928), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17280), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29561] = 17,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10485), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15294), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16562), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16564), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15302), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29641] = 17,
    ACTIONS(2924), 1,
      sym__string_start,
    ACTIONS(2926), 1,
      sym__command_start,
    ACTIONS(15334), 1,
      sym__word_identifier,
    ACTIONS(15338), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15340), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15346), 1,
      sym__immediate_paren,
    ACTIONS(15348), 1,
      sym__immediate_bracket,
    ACTIONS(15350), 1,
      sym__immediate_brace,
    STATE(10221), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17288), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15336), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17290), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17292), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17294), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10681), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15344), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29721] = 17,
    ACTIONS(17296), 1,
      sym__word_identifier,
    ACTIONS(17302), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17304), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17314), 1,
      sym__immediate_paren,
    ACTIONS(17316), 1,
      sym__immediate_bracket,
    ACTIONS(17318), 1,
      sym__immediate_brace,
    ACTIONS(17320), 1,
      sym__string_start,
    ACTIONS(17322), 1,
      sym__command_start,
    STATE(11395), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17300), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17298), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17306), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17308), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17310), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11626), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17312), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29801] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11706), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29881] = 17,
    ACTIONS(16566), 1,
      sym__word_identifier,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16574), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16584), 1,
      sym__immediate_paren,
    ACTIONS(16586), 1,
      sym__immediate_bracket,
    ACTIONS(16588), 1,
      sym__immediate_brace,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    STATE(11474), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16568), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16578), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16580), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11521), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16582), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29961] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11436), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30041] = 17,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(15310), 1,
      sym__word_identifier,
    ACTIONS(15316), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15318), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15328), 1,
      sym__immediate_paren,
    ACTIONS(15330), 1,
      sym__immediate_bracket,
    ACTIONS(15332), 1,
      sym__immediate_brace,
    STATE(10602), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15314), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15312), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15320), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15322), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(15324), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10476), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15326), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30121] = 17,
    ACTIONS(989), 1,
      sym__string_start,
    ACTIONS(991), 1,
      sym__command_start,
    ACTIONS(11738), 1,
      sym__word_identifier,
    ACTIONS(11744), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11746), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(11756), 1,
      sym__immediate_paren,
    ACTIONS(11758), 1,
      sym__immediate_bracket,
    ACTIONS(11760), 1,
      sym__immediate_brace,
    STATE(4532), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11742), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(11740), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(11748), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(11750), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(11752), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5810), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11754), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30201] = 17,
    ACTIONS(891), 1,
      sym__string_start,
    ACTIONS(893), 1,
      sym__command_start,
    ACTIONS(11834), 1,
      sym__word_identifier,
    ACTIONS(11838), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11840), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(11846), 1,
      sym__immediate_paren,
    ACTIONS(11848), 1,
      sym__immediate_bracket,
    ACTIONS(11850), 1,
      sym__immediate_brace,
    STATE(4963), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17324), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(11836), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17326), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17328), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17330), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6063), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(11844), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30281] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12348), 40,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [30335] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12300), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [30389] = 17,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16428), 1,
      sym__immediate_paren,
    ACTIONS(16430), 1,
      sym__immediate_bracket,
    ACTIONS(16432), 1,
      sym__immediate_brace,
    STATE(10957), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16412), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16422), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16424), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10124), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16426), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30469] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(16268), 1,
      anon_sym_do,
    STATE(10177), 1,
      sym_do_clause,
    ACTIONS(11934), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [30527] = 17,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10237), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15294), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16562), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16564), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15302), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30607] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11468), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30687] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11898), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30767] = 17,
    ACTIONS(17332), 1,
      sym__word_identifier,
    ACTIONS(17338), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17340), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17350), 1,
      sym__immediate_paren,
    ACTIONS(17352), 1,
      sym__immediate_bracket,
    ACTIONS(17354), 1,
      sym__immediate_brace,
    ACTIONS(17356), 1,
      sym__string_start,
    ACTIONS(17358), 1,
      sym__command_start,
    STATE(6806), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17336), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17334), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17342), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17344), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17346), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7696), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17348), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30847] = 17,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16240), 1,
      sym__immediate_paren,
    ACTIONS(16242), 1,
      sym__immediate_bracket,
    ACTIONS(16244), 1,
      sym__immediate_brace,
    STATE(10958), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16224), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16234), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16236), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10092), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16238), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30927] = 17,
    ACTIONS(15818), 1,
      sym__word_identifier,
    ACTIONS(15834), 1,
      sym__string_start,
    ACTIONS(15836), 1,
      sym__command_start,
    ACTIONS(17364), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17366), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17376), 1,
      sym__immediate_paren,
    ACTIONS(17378), 1,
      sym__immediate_bracket,
    ACTIONS(17380), 1,
      sym__immediate_brace,
    STATE(5033), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17362), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17360), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17368), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17370), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17372), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6433), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17374), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31007] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11795), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31087] = 17,
    ACTIONS(16566), 1,
      sym__word_identifier,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16574), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16584), 1,
      sym__immediate_paren,
    ACTIONS(16586), 1,
      sym__immediate_bracket,
    ACTIONS(16588), 1,
      sym__immediate_brace,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    STATE(11897), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16568), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16578), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16580), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11521), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16582), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31167] = 17,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15292), 1,
      sym__word_identifier,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15304), 1,
      sym__immediate_paren,
    ACTIONS(15306), 1,
      sym__immediate_bracket,
    ACTIONS(15308), 1,
      sym__immediate_brace,
    STATE(10322), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15294), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16562), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16564), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9990), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15302), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31247] = 17,
    ACTIONS(13216), 1,
      sym__word_identifier,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16428), 1,
      sym__immediate_paren,
    ACTIONS(16430), 1,
      sym__immediate_bracket,
    ACTIONS(16432), 1,
      sym__immediate_brace,
    STATE(10715), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16412), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16422), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16424), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10124), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16426), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31327] = 17,
    ACTIONS(15702), 1,
      sym__word_identifier,
    ACTIONS(15718), 1,
      sym__string_start,
    ACTIONS(15720), 1,
      sym__command_start,
    ACTIONS(17386), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17388), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17398), 1,
      sym__immediate_paren,
    ACTIONS(17400), 1,
      sym__immediate_bracket,
    ACTIONS(17402), 1,
      sym__immediate_brace,
    STATE(5627), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17384), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17382), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17390), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17392), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17394), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6625), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17396), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31407] = 17,
    ACTIONS(15548), 1,
      sym__word_identifier,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16240), 1,
      sym__immediate_paren,
    ACTIONS(16242), 1,
      sym__immediate_bracket,
    ACTIONS(16244), 1,
      sym__immediate_brace,
    STATE(10495), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16224), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16234), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16236), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10092), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16238), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31487] = 17,
    ACTIONS(771), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17404), 1,
      sym__word_identifier,
    ACTIONS(17408), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17416), 1,
      sym__immediate_paren,
    ACTIONS(17418), 1,
      sym__immediate_bracket,
    ACTIONS(17420), 1,
      sym__immediate_brace,
    ACTIONS(17422), 1,
      sym__string_start,
    ACTIONS(17424), 1,
      sym__command_start,
    STATE(6678), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9818), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(9820), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17406), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17410), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17412), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7392), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17414), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31567] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12162), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [31621] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12170), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [31675] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [31729] = 17,
    ACTIONS(173), 1,
      sym__string_start,
    ACTIONS(175), 1,
      sym__command_start,
    ACTIONS(15274), 1,
      sym__word_identifier,
    ACTIONS(15278), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15280), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15286), 1,
      sym__immediate_paren,
    ACTIONS(15288), 1,
      sym__immediate_bracket,
    ACTIONS(15290), 1,
      sym__immediate_brace,
    STATE(10228), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17426), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15276), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17428), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17430), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17432), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10623), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(15284), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31809] = 17,
    ACTIONS(16456), 1,
      sym__word_identifier,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16474), 1,
      sym__immediate_paren,
    ACTIONS(16476), 1,
      sym__immediate_bracket,
    ACTIONS(16478), 1,
      sym__immediate_brace,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    STATE(11555), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16458), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16468), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16470), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10215), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16472), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31889] = 17,
    ACTIONS(17296), 1,
      sym__word_identifier,
    ACTIONS(17302), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17304), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17314), 1,
      sym__immediate_paren,
    ACTIONS(17316), 1,
      sym__immediate_bracket,
    ACTIONS(17318), 1,
      sym__immediate_brace,
    ACTIONS(17320), 1,
      sym__string_start,
    ACTIONS(17322), 1,
      sym__command_start,
    STATE(11545), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17300), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17298), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17306), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17308), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17310), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11626), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17312), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31969] = 17,
    ACTIONS(15958), 1,
      sym__word_identifier,
    ACTIONS(15974), 1,
      sym__string_start,
    ACTIONS(15976), 1,
      sym__command_start,
    ACTIONS(17438), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17440), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17450), 1,
      sym__immediate_paren,
    ACTIONS(17452), 1,
      sym__immediate_bracket,
    ACTIONS(17454), 1,
      sym__immediate_brace,
    STATE(4296), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17436), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17434), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17442), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17444), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17446), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(4856), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17448), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [32049] = 17,
    ACTIONS(15620), 1,
      sym__word_identifier,
    ACTIONS(15636), 1,
      sym__string_start,
    ACTIONS(15638), 1,
      sym__command_start,
    ACTIONS(17460), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17462), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17472), 1,
      sym__immediate_paren,
    ACTIONS(17474), 1,
      sym__immediate_bracket,
    ACTIONS(17476), 1,
      sym__immediate_brace,
    STATE(4280), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17458), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17456), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17464), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17466), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17468), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(4581), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17470), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [32129] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 40,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32183] = 17,
    ACTIONS(15588), 1,
      sym__word_identifier,
    ACTIONS(15604), 1,
      sym__string_start,
    ACTIONS(15606), 1,
      sym__command_start,
    ACTIONS(17482), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17484), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17494), 1,
      sym__immediate_paren,
    ACTIONS(17496), 1,
      sym__immediate_bracket,
    ACTIONS(17498), 1,
      sym__immediate_brace,
    STATE(4933), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17480), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17478), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(17486), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(17488), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(17490), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6124), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(17492), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [32263] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12258), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32317] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12036), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12034), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32371] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12136), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32425] = 17,
    ACTIONS(16596), 1,
      sym__word_identifier,
    ACTIONS(16602), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16604), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16614), 1,
      sym__immediate_paren,
    ACTIONS(16616), 1,
      sym__immediate_bracket,
    ACTIONS(16618), 1,
      sym__immediate_brace,
    ACTIONS(16620), 1,
      sym__string_start,
    ACTIONS(16622), 1,
      sym__command_start,
    STATE(11546), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16600), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16598), 3,
      aux_sym_quote_expression_token1,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(16606), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(16608), 3,
      sym_character_literal,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    ACTIONS(16610), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11817), 8,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
      sym_operator,
    ACTIONS(16612), 10,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [32505] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12326), 40,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32559] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12162), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32612] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12348), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32665] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12150), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12148), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32718] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12342), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32771] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12340), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12338), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32824] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12052), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11976), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32877] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12012), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12014), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32930] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12016), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12018), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [32983] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12004), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12002), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33036] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12050), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12048), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33089] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12046), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12024), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33142] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12044), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12042), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33195] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12166), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12164), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33248] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12040), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12038), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33301] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11934), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33354] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11882), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33407] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12320), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12322), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33460] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12036), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12034), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33513] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12330), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12328), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33566] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17500), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33621] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12032), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12030), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33674] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12348), 16,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(12346), 26,
      sym__string_start,
      sym__command_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33725] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12348), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33778] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12326), 16,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(12324), 26,
      sym__string_start,
      sym__command_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33829] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17502), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33884] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(2188), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33937] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12326), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [33990] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34043] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 16,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 26,
      sym__string_start,
      sym__command_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34094] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34147] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12352), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12350), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34200] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34253] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11984), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11974), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34306] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34359] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12326), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34412] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12246), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34465] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34518] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12242), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34571] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12170), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34624] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12348), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34677] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12326), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34730] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12326), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34783] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12348), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34836] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12152), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34889] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 39,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34942] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12240), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12238), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [34995] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12136), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35048] = 4,
    ACTIONS(17504), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 17,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 24,
      sym__string_start,
      sym__command_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35101] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12300), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35154] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12296), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35207] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12192), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35260] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35313] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12288), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35366] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35419] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11894), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35472] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17506), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 4,
      sym__string_start,
      sym__command_start,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11958), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35527] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12142), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12140), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35580] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12156), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35633] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35686] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12176), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35739] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12180), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35792] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12184), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35845] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12356), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12354), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35898] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12188), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [35951] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12196), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36004] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12318), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36057] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36110] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12234), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36163] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12208), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36216] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12250), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36269] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12214), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36322] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12082), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12064), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36375] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12218), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36428] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12226), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36481] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12210), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36534] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12254), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36587] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36640] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36693] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36746] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12258), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36799] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12230), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36852] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12262), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36905] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12166), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12164), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [36957] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12156), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37009] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 4,
      sym__string_start,
      sym__command_start,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11958), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37061] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37113] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 4,
      sym__string_start,
      sym__command_start,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12326), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37165] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12318), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37217] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37269] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12152), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37321] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12352), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12350), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37373] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12348), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37425] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12180), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37477] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12184), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37529] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37581] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37633] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12246), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37685] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12240), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12238), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37737] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 4,
      sym__string_start,
      sym__command_start,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12348), 37,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37789] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37841] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12162), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37893] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12170), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [37945] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12348), 17,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(12346), 24,
      sym__string_start,
      sym__command_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [37995] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38047] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38099] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 17,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 24,
      sym__string_start,
      sym__command_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [38149] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12192), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38201] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12136), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38253] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12196), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38305] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11894), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38357] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12300), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38409] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12326), 17,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(12324), 24,
      sym__string_start,
      sym__command_start,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [38459] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12150), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12148), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38511] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12348), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38563] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12210), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38615] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12208), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38667] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12214), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38719] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12218), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38771] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(12326), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38823] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12326), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38875] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12356), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12354), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38927] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12296), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [38979] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12288), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39031] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12242), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39083] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39135] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39187] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12226), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39239] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(2188), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39291] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12262), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39343] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12142), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12140), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39395] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12188), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39447] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12342), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39499] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12330), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12328), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39551] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12258), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39603] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12230), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39655] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 3,
      sym__string_start,
      sym__command_start,
      anon_sym_LF,
    ACTIONS(11958), 38,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_end,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39707] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12320), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12322), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39759] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12234), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39811] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12340), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12338), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39863] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11882), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39915] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12176), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [39967] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11934), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [40019] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12254), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [40071] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12250), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [40123] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [40175] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [40224] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 4,
      sym__immediate_string_start,
      sym__immediate_command_start,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11868), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [40275] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17508), 1,
      anon_sym_DASH_GT,
    ACTIONS(17510), 1,
      sym__immediate_string_start,
    ACTIONS(17512), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40331] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17514), 1,
      anon_sym_DASH_GT,
    ACTIONS(17516), 1,
      sym__immediate_string_start,
    ACTIONS(17518), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40387] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17516), 1,
      sym__immediate_string_start,
    ACTIONS(17518), 1,
      sym__immediate_command_start,
    ACTIONS(17520), 1,
      anon_sym_DASH_GT,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40443] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(151), 1,
      anon_sym_DASH_GT,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(177), 1,
      sym__immediate_string_start,
    ACTIONS(179), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [40499] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17522), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11958), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [40551] = 5,
    ACTIONS(17524), 1,
      anon_sym_do,
    STATE(10323), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11892), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11894), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [40603] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17526), 1,
      anon_sym_DASH_GT,
    ACTIONS(17528), 1,
      sym__immediate_string_start,
    ACTIONS(17530), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [40659] = 5,
    ACTIONS(17524), 1,
      anon_sym_do,
    STATE(10429), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11918), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11916), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [40711] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17510), 1,
      sym__immediate_string_start,
    ACTIONS(17512), 1,
      sym__immediate_command_start,
    ACTIONS(17532), 1,
      anon_sym_DASH_GT,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40767] = 5,
    ACTIONS(17524), 1,
      anon_sym_do,
    STATE(10375), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11900), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11898), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [40819] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [40867] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(177), 1,
      sym__immediate_string_start,
    ACTIONS(179), 1,
      sym__immediate_command_start,
    ACTIONS(17534), 1,
      anon_sym_DASH_GT,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [40923] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17528), 1,
      sym__immediate_string_start,
    ACTIONS(17530), 1,
      sym__immediate_command_start,
    ACTIONS(17536), 1,
      anon_sym_DASH_GT,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [40979] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41029] = 5,
    ACTIONS(17524), 1,
      anon_sym_do,
    STATE(10403), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11932), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11934), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [41081] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [41131] = 4,
    ACTIONS(12052), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12088), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12090), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [41180] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9875), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41233] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17540), 1,
      anon_sym_do,
    STATE(10603), 1,
      sym_do_clause,
    ACTIONS(11916), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11918), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41286] = 5,
    ACTIONS(17542), 1,
      anon_sym_do,
    STATE(10890), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11918), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11916), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [41337] = 5,
    ACTIONS(17544), 1,
      sym__word_identifier,
    STATE(10404), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11966), 17,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11968), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [41388] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17516), 1,
      sym__immediate_string_start,
    ACTIONS(17518), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41441] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17540), 1,
      anon_sym_do,
    STATE(10607), 1,
      sym_do_clause,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41494] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17540), 1,
      anon_sym_do,
    STATE(10626), 1,
      sym_do_clause,
    ACTIONS(11898), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11900), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41547] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17540), 1,
      anon_sym_do,
    STATE(10583), 1,
      sym_do_clause,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41600] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12112), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [41649] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 29,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [41696] = 5,
    ACTIONS(17544), 1,
      sym__word_identifier,
    STATE(10369), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11978), 17,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11980), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [41747] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [41796] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11884), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [41845] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12026), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [41894] = 4,
    ACTIONS(12052), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11970), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11972), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [41943] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2188), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [41992] = 4,
    ACTIONS(11984), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11970), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11972), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [42041] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12318), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [42090] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17516), 1,
      sym__immediate_string_start,
    ACTIONS(17518), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [42143] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12014), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12012), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [42190] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12262), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [42239] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17528), 1,
      sym__immediate_string_start,
    ACTIONS(17530), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [42292] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12018), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12016), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [42339] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12002), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12004), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [42386] = 5,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11880), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11882), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [42437] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(177), 1,
      sym__immediate_string_start,
    ACTIONS(179), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [42490] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12258), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [42539] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [42588] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11868), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [42637] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12062), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [42686] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12704), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12706), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [42735] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12254), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [42784] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17516), 1,
      sym__immediate_string_start,
    ACTIONS(17518), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [42837] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12250), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [42886] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17510), 1,
      sym__immediate_string_start,
    ACTIONS(17512), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [42939] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17528), 1,
      sym__immediate_string_start,
    ACTIONS(17530), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [42992] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17550), 1,
      anon_sym_DASH_GT,
    ACTIONS(17552), 1,
      sym__immediate_string_start,
    ACTIONS(17554), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43047] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17556), 1,
      anon_sym_DASH_GT,
    ACTIONS(17558), 1,
      sym__immediate_string_start,
    ACTIONS(17560), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43102] = 5,
    ACTIONS(17542), 1,
      anon_sym_do,
    STATE(10867), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11892), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11894), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43153] = 4,
    ACTIONS(12046), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12020), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12022), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [43202] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17558), 1,
      sym__immediate_string_start,
    ACTIONS(17560), 1,
      sym__immediate_command_start,
    ACTIONS(17562), 1,
      anon_sym_DASH_GT,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43257] = 5,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [43308] = 4,
    ACTIONS(17564), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [43357] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17566), 1,
      sym__word_identifier,
    STATE(10687), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43410] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17566), 1,
      sym__word_identifier,
    STATE(10689), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43463] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17528), 1,
      sym__immediate_string_start,
    ACTIONS(17530), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43516] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9875), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43569] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9905), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43622] = 5,
    ACTIONS(17542), 1,
      anon_sym_do,
    STATE(10875), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11900), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11898), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43673] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11974), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11984), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [43720] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12156), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43769] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17566), 1,
      sym__word_identifier,
    STATE(10696), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43822] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9969), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43875] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9923), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [43928] = 5,
    ACTIONS(17542), 1,
      anon_sym_do,
    STATE(10884), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11932), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11934), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43979] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12234), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [44028] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17566), 1,
      sym__word_identifier,
    STATE(10702), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [44081] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17568), 1,
      sym__word_identifier,
    STATE(10724), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44134] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11976), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12052), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [44181] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12230), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [44230] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12048), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12050), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [44277] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12020), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [44326] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12024), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12046), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [44373] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12064), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12082), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [44420] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12226), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [44469] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12042), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12044), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [44516] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9905), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44569] = 4,
    ACTIONS(12082), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12062), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12060), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [44618] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12218), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [44667] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17510), 1,
      sym__immediate_string_start,
    ACTIONS(17512), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44720] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12214), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [44769] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9969), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44822] = 5,
    ACTIONS(17544), 1,
      sym__word_identifier,
    STATE(10401), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11992), 17,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11990), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [44873] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12208), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [44922] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9923), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44975] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11970), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45024] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12210), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45073] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12196), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45122] = 5,
    ACTIONS(17544), 1,
      sym__word_identifier,
    STATE(10400), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11988), 17,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11986), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [45173] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12192), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45222] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17568), 1,
      sym__word_identifier,
    STATE(10726), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45275] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17568), 1,
      sym__word_identifier,
    STATE(10745), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45328] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12188), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45377] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12184), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45426] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17568), 1,
      sym__word_identifier,
    STATE(10746), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45479] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12088), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45528] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12180), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45577] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17552), 1,
      sym__immediate_string_start,
    ACTIONS(17554), 1,
      sym__immediate_command_start,
    ACTIONS(17570), 1,
      anon_sym_DASH_GT,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45632] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12288), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45681] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17572), 1,
      anon_sym_do,
    STATE(10860), 1,
      sym_do_clause,
    ACTIONS(11916), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11918), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45734] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(177), 1,
      sym__immediate_string_start,
    ACTIONS(179), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45787] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(177), 1,
      sym__immediate_string_start,
    ACTIONS(179), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45840] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17572), 1,
      anon_sym_do,
    STATE(10861), 1,
      sym_do_clause,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45893] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12296), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [45942] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12038), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12040), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [45989] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12034), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12036), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [46036] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12342), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46085] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12300), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46134] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12136), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46183] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17572), 1,
      anon_sym_do,
    STATE(10862), 1,
      sym_do_clause,
    ACTIONS(11898), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11900), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46236] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17572), 1,
      anon_sym_do,
    STATE(10871), 1,
      sym_do_clause,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46289] = 4,
    ACTIONS(12012), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12026), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12028), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [46338] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12348), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46387] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12030), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12032), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [46434] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12326), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46483] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12176), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46532] = 5,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [46583] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12170), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46632] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17522), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11958), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46683] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11958), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46732] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11926), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46781] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12162), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46830] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17510), 1,
      sym__immediate_string_start,
    ACTIONS(17512), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [46883] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17574), 1,
      anon_sym_DASH_GT,
    ACTIONS(17576), 1,
      sym__immediate_string_start,
    ACTIONS(17578), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [46938] = 4,
    ACTIONS(12012), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12112), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12110), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [46987] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12242), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47036] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12246), 36,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47085] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17576), 1,
      sym__immediate_string_start,
    ACTIONS(17578), 1,
      sym__immediate_command_start,
    ACTIONS(17580), 1,
      anon_sym_DASH_GT,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47140] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12242), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12244), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [47186] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17558), 1,
      sym__immediate_string_start,
    ACTIONS(17560), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47238] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12350), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12352), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [47284] = 5,
    ACTIONS(17582), 1,
      sym__immediate_string_start,
    ACTIONS(17584), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47334] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12004), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12002), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47382] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12016), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12018), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47430] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12012), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12014), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47478] = 5,
    ACTIONS(17582), 1,
      sym__immediate_string_start,
    ACTIONS(17584), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47528] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2188), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(2186), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [47574] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17586), 1,
      sym__immediate_string_start,
    ACTIONS(17588), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47626] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17590), 1,
      anon_sym_do,
    STATE(11013), 1,
      sym_do_clause,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47678] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17592), 1,
      sym__immediate_string_start,
    ACTIONS(17594), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47730] = 6,
    ACTIONS(17596), 1,
      anon_sym_DASH_GT,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [47782] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17590), 1,
      anon_sym_do,
    STATE(11012), 1,
      sym_do_clause,
    ACTIONS(11916), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11918), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47834] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12082), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12064), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [47882] = 4,
    ACTIONS(17602), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47930] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12140), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12142), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [47976] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [48026] = 6,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [48078] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12014), 1,
      anon_sym_DASH_GT,
    ACTIONS(12028), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48128] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12354), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12356), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [48174] = 5,
    ACTIONS(17582), 1,
      sym__immediate_string_start,
    ACTIONS(17584), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11880), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11882), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48224] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11974), 1,
      anon_sym_DASH_GT,
    ACTIONS(11972), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48274] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17576), 1,
      sym__immediate_string_start,
    ACTIONS(17578), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [48326] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11976), 1,
      anon_sym_DASH_GT,
    ACTIONS(11972), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48376] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12176), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12178), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [48422] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17610), 1,
      anon_sym_LF,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17614), 1,
      aux_sym__terminator_token1,
    STATE(15542), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48484] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12184), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12186), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [48530] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17576), 1,
      sym__immediate_string_start,
    ACTIONS(17578), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [48582] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12050), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12048), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [48630] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10106), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48682] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12064), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12082), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48728] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17618), 1,
      anon_sym_LF,
    ACTIONS(17620), 1,
      aux_sym__terminator_token1,
    STATE(16480), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48790] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10119), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48842] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12046), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12024), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [48890] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10103), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48942] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10089), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48994] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12044), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12042), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [49042] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12180), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12182), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [49088] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [49134] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12326), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12324), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [49180] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17516), 1,
      sym__immediate_string_start,
    ACTIONS(17518), 1,
      sym__immediate_command_start,
    ACTIONS(17622), 1,
      anon_sym_DASH_GT,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 29,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49234] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11974), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11984), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [49280] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12188), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12190), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [49326] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17624), 1,
      anon_sym_LF,
    ACTIONS(17626), 1,
      aux_sym__terminator_token1,
    STATE(16445), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49388] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12064), 1,
      anon_sym_DASH_GT,
    ACTIONS(12060), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49438] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12348), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12346), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [49484] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11976), 1,
      anon_sym_DASH_GT,
    ACTIONS(12090), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49534] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12196), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12198), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [49580] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17590), 1,
      anon_sym_do,
    STATE(11018), 1,
      sym_do_clause,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [49632] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11892), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11894), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [49678] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11984), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11974), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [49726] = 5,
    ACTIONS(17628), 1,
      anon_sym_do,
    STATE(11090), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11892), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11894), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [49776] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12040), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12038), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [49824] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12148), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12150), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [49870] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12036), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12034), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [49918] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(207), 1,
      anon_sym_DASH_GT,
    ACTIONS(223), 1,
      sym__immediate_string_start,
    ACTIONS(225), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [49972] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12210), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12212), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [50018] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12208), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12206), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [50064] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12032), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12030), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [50112] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12052), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11976), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [50160] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17558), 1,
      sym__immediate_string_start,
    ACTIONS(17560), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [50212] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12214), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12216), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [50258] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12218), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12220), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [50304] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12674), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [50352] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [50400] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12226), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12228), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [50446] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12020), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12022), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [50492] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50540] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12014), 1,
      anon_sym_DASH_GT,
    ACTIONS(12110), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50590] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17630), 1,
      sym__word_identifier,
    STATE(11089), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50642] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17632), 1,
      anon_sym_LF,
    ACTIONS(17634), 1,
      aux_sym__terminator_token1,
    STATE(16345), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50704] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17630), 1,
      sym__word_identifier,
    STATE(11087), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50756] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17630), 1,
      sym__word_identifier,
    STATE(11079), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50808] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [50854] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17630), 1,
      sym__word_identifier,
    STATE(11078), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50906] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17636), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [50956] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12342), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12344), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51002] = 5,
    ACTIONS(17628), 1,
      anon_sym_do,
    STATE(11084), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11900), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11898), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [51052] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12230), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12232), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51098] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12234), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12236), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51144] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17638), 1,
      sym__word_identifier,
    STATE(11150), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [51196] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12338), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12340), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51242] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12192), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12194), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51288] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12250), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12252), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51334] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12254), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12256), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51380] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12258), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12260), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51426] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12262), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12264), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51472] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51518] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12026), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12028), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51564] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12112), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12110), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51610] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17638), 1,
      sym__word_identifier,
    STATE(11160), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [51662] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17638), 1,
      sym__word_identifier,
    STATE(11159), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [51714] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17638), 1,
      sym__word_identifier,
    STATE(11151), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [51766] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17640), 1,
      anon_sym_do,
    STATE(11001), 1,
      sym_do_clause,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [51818] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17642), 1,
      anon_sym_LF,
    ACTIONS(17644), 1,
      aux_sym__terminator_token1,
    STATE(15832), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [51880] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11932), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11934), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51926] = 5,
    ACTIONS(17646), 1,
      sym__word_identifier,
    STATE(10634), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11966), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11968), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [51976] = 5,
    ACTIONS(17646), 1,
      sym__word_identifier,
    STATE(10635), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11978), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11980), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52026] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17552), 1,
      sym__immediate_string_start,
    ACTIONS(17554), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [52078] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17640), 1,
      anon_sym_do,
    STATE(10998), 1,
      sym_do_clause,
    ACTIONS(11898), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11900), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52130] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17640), 1,
      anon_sym_do,
    STATE(10996), 1,
      sym_do_clause,
    ACTIONS(11916), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11918), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52182] = 5,
    ACTIONS(17646), 1,
      sym__word_identifier,
    STATE(10644), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11988), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11986), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52232] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17648), 1,
      anon_sym_LF,
    ACTIONS(17650), 1,
      aux_sym__terminator_token1,
    STATE(16273), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52294] = 5,
    ACTIONS(17646), 1,
      sym__word_identifier,
    STATE(10645), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11992), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11990), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52344] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11976), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12052), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52390] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17640), 1,
      anon_sym_do,
    STATE(10997), 1,
      sym_do_clause,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52442] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17652), 1,
      sym__immediate_string_start,
    ACTIONS(17654), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52494] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12164), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12166), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [52540] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12322), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12320), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [52586] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10089), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [52638] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12328), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12330), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [52684] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9923), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [52736] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9969), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [52788] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17576), 1,
      sym__immediate_string_start,
    ACTIONS(17578), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [52840] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9875), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [52892] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12014), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12012), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52938] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9905), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [52990] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12018), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12016), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53036] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12002), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12004), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53082] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10103), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [53134] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9905), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [53186] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9875), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [53238] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11970), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11972), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [53284] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12088), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12090), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [53330] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12048), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12050), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53376] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12024), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12046), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53422] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12042), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12044), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53468] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12034), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12036), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53514] = 5,
    ACTIONS(17628), 1,
      anon_sym_do,
    STATE(11075), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11932), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11934), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53564] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12156), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12158), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [53610] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12030), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12032), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53656] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13030), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13032), 35,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [53704] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12024), 1,
      anon_sym_DASH_GT,
    ACTIONS(12022), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [53754] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12288), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12290), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [53800] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12296), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12298), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [53846] = 5,
    ACTIONS(17628), 1,
      anon_sym_do,
    STATE(11074), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11918), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11916), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53896] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17656), 1,
      anon_sym_DASH_GT,
    ACTIONS(17658), 1,
      sym__immediate_string_start,
    ACTIONS(17660), 1,
      sym__immediate_command_start,
    ACTIONS(171), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [53950] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10119), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [54002] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12014), 1,
      anon_sym_DASH_GT,
    ACTIONS(12110), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [54052] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10106), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [54104] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17592), 1,
      sym__immediate_string_start,
    ACTIONS(17594), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [54156] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12318), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12316), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54202] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12300), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12302), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54248] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12136), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12138), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54294] = 6,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17662), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54346] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12170), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12172), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54392] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12038), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12040), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54438] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12064), 1,
      anon_sym_DASH_GT,
    ACTIONS(12060), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [54488] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17658), 1,
      sym__immediate_string_start,
    ACTIONS(17660), 1,
      sym__immediate_command_start,
    ACTIONS(17664), 1,
      anon_sym_DASH_GT,
    ACTIONS(171), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [54542] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17666), 1,
      anon_sym_LF,
    ACTIONS(17668), 1,
      aux_sym__terminator_token1,
    STATE(15658), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [54604] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12162), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12160), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54650] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11976), 1,
      anon_sym_DASH_GT,
    ACTIONS(12090), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [54700] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17552), 1,
      sym__immediate_string_start,
    ACTIONS(17554), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [54752] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17590), 1,
      anon_sym_do,
    STATE(11015), 1,
      sym_do_clause,
    ACTIONS(11898), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11900), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [54804] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54850] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12246), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12248), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54896] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12032), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12030), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [54944] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12036), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12034), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [54992] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12040), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12038), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55040] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12044), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12042), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55088] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12046), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12024), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55136] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12050), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12048), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55184] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17670), 1,
      anon_sym_LF,
    ACTIONS(17672), 1,
      aux_sym__terminator_token1,
    STATE(16294), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55246] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17552), 1,
      sym__immediate_string_start,
    ACTIONS(17554), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [55298] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9969), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [55350] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12004), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12002), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55398] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9923), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [55450] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12016), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12018), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55498] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12012), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12014), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55546] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12052), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11976), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55594] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17674), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55644] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17676), 1,
      sym__immediate_string_start,
    ACTIONS(17678), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55696] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17680), 1,
      anon_sym_LF,
    ACTIONS(17682), 1,
      aux_sym__terminator_token1,
    STATE(15569), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55758] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17676), 1,
      sym__immediate_string_start,
    ACTIONS(17678), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55810] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12014), 1,
      anon_sym_DASH_GT,
    ACTIONS(12028), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [55860] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17676), 1,
      sym__immediate_string_start,
    ACTIONS(17678), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55912] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17676), 1,
      sym__immediate_string_start,
    ACTIONS(17678), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55964] = 7,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(17684), 1,
      anon_sym_EQ,
    ACTIONS(17687), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [56018] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11880), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11882), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [56064] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17689), 1,
      anon_sym_LF,
    ACTIONS(17691), 1,
      aux_sym__terminator_token1,
    STATE(15789), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56126] = 7,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(17687), 1,
      anon_sym_DASH_GT,
    ACTIONS(17693), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [56180] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12238), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12240), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [56226] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17592), 1,
      sym__immediate_string_start,
    ACTIONS(17594), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [56278] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [56324] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17696), 1,
      anon_sym_LF,
    ACTIONS(17698), 1,
      aux_sym__terminator_token1,
    STATE(15930), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56386] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17652), 1,
      sym__immediate_string_start,
    ACTIONS(17654), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56438] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11984), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11974), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56486] = 6,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(17687), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [56538] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17558), 1,
      sym__immediate_string_start,
    ACTIONS(17560), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [56590] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17586), 1,
      sym__immediate_string_start,
    ACTIONS(17588), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [56642] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12024), 1,
      anon_sym_DASH_GT,
    ACTIONS(12022), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56692] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11976), 1,
      anon_sym_DASH_GT,
    ACTIONS(11972), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [56742] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12082), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12064), 32,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56790] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11974), 1,
      anon_sym_DASH_GT,
    ACTIONS(11972), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [56840] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(223), 1,
      sym__immediate_string_start,
    ACTIONS(225), 1,
      sym__immediate_command_start,
    ACTIONS(17700), 1,
      anon_sym_DASH_GT,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [56894] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17510), 1,
      sym__immediate_string_start,
    ACTIONS(17512), 1,
      sym__immediate_command_start,
    ACTIONS(17702), 1,
      anon_sym_DASH_GT,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 29,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56948] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17704), 1,
      anon_sym_LF,
    ACTIONS(17706), 1,
      aux_sym__terminator_token1,
    STATE(16101), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57010] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17652), 1,
      sym__immediate_string_start,
    ACTIONS(17654), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57062] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [57112] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12062), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12060), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [57158] = 5,
    ACTIONS(17582), 1,
      sym__immediate_string_start,
    ACTIONS(17584), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [57208] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17708), 1,
      anon_sym_LF,
    ACTIONS(17710), 1,
      aux_sym__terminator_token1,
    STATE(15762), 1,
      aux_sym_let_statement_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57270] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9905), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [57322] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9923), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [57374] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9875), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [57426] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17592), 1,
      sym__immediate_string_start,
    ACTIONS(17594), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [57478] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17586), 1,
      sym__immediate_string_start,
    ACTIONS(17588), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [57530] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17652), 1,
      sym__immediate_string_start,
    ACTIONS(17654), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57582] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17586), 1,
      sym__immediate_string_start,
    ACTIONS(17588), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [57634] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9969), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [57686] = 6,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17712), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [57737] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17714), 1,
      sym__immediate_string_start,
    ACTIONS(17716), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [57788] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12250), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57835] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12330), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12328), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57882] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13428), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13426), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [57929] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [57976] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13288), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13286), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58023] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13502), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13504), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58070] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13472), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13474), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58117] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17720), 1,
      anon_sym_LF,
    ACTIONS(17718), 2,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58174] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13476), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13478), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58221] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17722), 1,
      anon_sym_EQ,
    ACTIONS(17724), 1,
      anon_sym_SQUOTE,
    ACTIONS(17726), 1,
      anon_sym_DOT,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17728), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58282] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12240), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12238), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58329] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12210), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58376] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12136), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58423] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13536), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13538), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58470] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13544), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13546), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58517] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13292), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13290), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58564] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13572), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13574), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58611] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13590), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13592), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58658] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13628), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13630), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58705] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10119), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58756] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10103), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58807] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9969), 1,
      sym_identifier,
    ACTIONS(11986), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58858] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10089), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58909] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9923), 1,
      sym_identifier,
    ACTIONS(11990), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [58960] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17714), 1,
      sym__immediate_string_start,
    ACTIONS(17716), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59011] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [59056] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17724), 1,
      anon_sym_SQUOTE,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17734), 1,
      anon_sym_DOT,
    ACTIONS(17736), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59115] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9875), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59166] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9875), 1,
      sym_identifier,
    ACTIONS(11968), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59217] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17738), 1,
      anon_sym_SQUOTE,
    ACTIONS(17740), 1,
      anon_sym_DOT,
    ACTIONS(17744), 1,
      sym__immediate_paren,
    ACTIONS(17746), 1,
      sym__immediate_bracket,
    ACTIONS(17748), 1,
      sym__immediate_brace,
    ACTIONS(17742), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59276] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59323] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13210), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59370] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13238), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59417] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17658), 1,
      sym__immediate_string_start,
    ACTIONS(17660), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59468] = 6,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(17750), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [59519] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10106), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59570] = 5,
    ACTIONS(17752), 1,
      sym__immediate_string_start,
    ACTIONS(17754), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [59619] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13402), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13400), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59666] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13284), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13282), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59713] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13562), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13560), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59760] = 4,
    ACTIONS(17756), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [59807] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13634), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13632), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59854] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13832), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13834), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [59901] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59948] = 6,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(17758), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [59999] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60046] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60093] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13658), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13656), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60140] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13662), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13660), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60187] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12352), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12350), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60234] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13692), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13690), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60281] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13746), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13744), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60328] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13826), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13824), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60375] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13342), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13340), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60422] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13830), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13828), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60469] = 7,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(17760), 1,
      anon_sym_EQ,
    ACTIONS(17762), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [60522] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13686), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13684), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60569] = 5,
    ACTIONS(17752), 1,
      sym__immediate_string_start,
    ACTIONS(17754), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [60618] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13983), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13985), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60665] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13987), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13989), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60712] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13991), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13993), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60759] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17764), 1,
      sym__immediate_string_start,
    ACTIONS(17766), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60810] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17768), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60859] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9923), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60910] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9969), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [60961] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61008] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12156), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61055] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61102] = 5,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [61151] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12166), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12164), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61198] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(2188), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61245] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12170), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61292] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9905), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [61343] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12340), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12338), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61390] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12262), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12264), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [61435] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12210), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12212), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [61480] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12262), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [61527] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13999), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14001), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [61574] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12250), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12252), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [61619] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13995), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13997), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [61666] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61713] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12156), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12158), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [61758] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12326), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61805] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13564), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13566), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [61852] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13568), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13570), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [61899] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12348), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61946] = 5,
    ACTIONS(17752), 1,
      sym__immediate_string_start,
    ACTIONS(17754), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [61995] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17764), 1,
      sym__immediate_string_start,
    ACTIONS(17766), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62046] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12170), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12172), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62091] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [62138] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17770), 1,
      sym__immediate_string_start,
    ACTIONS(17772), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [62189] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12342), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [62236] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12150), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12148), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62283] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13388), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13386), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [62330] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14009), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14011), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [62377] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12176), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12178), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62422] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(17776), 1,
      anon_sym_SQUOTE,
    ACTIONS(17778), 1,
      anon_sym_DOT,
    ACTIONS(17780), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62483] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12180), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12182), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62528] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12184), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12186), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62573] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12188), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12190), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62618] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12192), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12194), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62663] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12196), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12198), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62708] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17714), 1,
      sym__immediate_string_start,
    ACTIONS(17716), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [62759] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13951), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13949), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [62806] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12208), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12206), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62851] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12214), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12216), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62896] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12218), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12220), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62941] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12226), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12228), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62986] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12020), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12022), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [63031] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13410), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13408), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [63078] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12230), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12232), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [63123] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12234), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12236), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [63168] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14013), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14015), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [63215] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12318), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [63262] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14017), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14019), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [63309] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63356] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12254), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12256), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [63401] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12258), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12260), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [63446] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12246), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12248), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [63491] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12026), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12028), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [63536] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12112), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12110), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [63581] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14021), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14023), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [63628] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13414), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13412), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [63675] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12246), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [63722] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12242), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [63769] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12288), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12290), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [63814] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12296), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12298), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [63859] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12162), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [63906] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [63953] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12300), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12302), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [63998] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12136), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12138), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [64043] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12152), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12154), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [64088] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12136), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64135] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12300), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64182] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12296), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64229] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(223), 1,
      sym__immediate_string_start,
    ACTIONS(225), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64280] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64327] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64374] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12142), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12140), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64421] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64468] = 5,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [64517] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12162), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12160), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [64562] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14035), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14037), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64609] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12242), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12244), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [64654] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14129), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14131), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64701] = 5,
    ACTIONS(17782), 1,
      sym__word_identifier,
    STATE(11130), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11992), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11990), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [64750] = 5,
    ACTIONS(17782), 1,
      sym__word_identifier,
    STATE(11132), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11988), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11986), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [64799] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64846] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12258), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64893] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14041), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14043), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64940] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12254), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [64987] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65034] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65081] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12234), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65128] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17658), 1,
      sym__immediate_string_start,
    ACTIONS(17660), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65179] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12230), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65226] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65273] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12226), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65320] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12218), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65367] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12214), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65414] = 6,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(17784), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [65465] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12208), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65512] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12196), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65559] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13102), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65606] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12356), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12354), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65653] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13092), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65700] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14118), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14120), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65747] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13054), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65794] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12192), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65841] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13482), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13480), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65888] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13498), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13500), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65935] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12188), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [65982] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13261), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13259), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [66029] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12184), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [66076] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13510), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13508), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [66123] = 5,
    ACTIONS(17782), 1,
      sym__word_identifier,
    STATE(11140), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11978), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11980), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [66172] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17786), 1,
      sym__immediate_string_start,
    ACTIONS(17788), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66223] = 5,
    ACTIONS(17782), 1,
      sym__word_identifier,
    STATE(11141), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11966), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11968), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [66272] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12180), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [66319] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12176), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [66366] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17786), 1,
      sym__immediate_string_start,
    ACTIONS(17788), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66417] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17786), 1,
      sym__immediate_string_start,
    ACTIONS(17788), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66468] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12176), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66515] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12180), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66562] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12170), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [66609] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12184), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66656] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13694), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13696), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [66703] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13604), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13606), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [66750] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12156), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [66797] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12188), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66844] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12192), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66891] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12250), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [66938] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12196), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66985] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11970), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11972), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [67030] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12088), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12090), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [67075] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17786), 1,
      sym__immediate_string_start,
    ACTIONS(17788), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67126] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12288), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [67173] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12210), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [67220] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14268), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14270), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [67267] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12320), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12322), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67314] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(223), 1,
      sym__immediate_string_start,
    ACTIONS(225), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [67365] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12208), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67412] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12214), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67459] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12318), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67506] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12062), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12060), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [67551] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12218), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67598] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17790), 1,
      anon_sym_do,
    STATE(11195), 1,
      sym_do_clause,
    ACTIONS(11916), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11918), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67649] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12226), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67696] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14244), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14246), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [67743] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17658), 1,
      sym__immediate_string_start,
    ACTIONS(17660), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [67794] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67841] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12230), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67888] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12234), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67935] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17764), 1,
      sym__immediate_string_start,
    ACTIONS(17766), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67986] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17790), 1,
      anon_sym_do,
    STATE(11342), 1,
      sym_do_clause,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68037] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12254), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68084] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12258), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68131] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12262), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68178] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68225] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17790), 1,
      anon_sym_do,
    STATE(11343), 1,
      sym_do_clause,
    ACTIONS(11898), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11900), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68276] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12342), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68323] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17792), 1,
      sym__immediate_string_start,
    ACTIONS(17794), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [68374] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 3,
      sym__immediate_paren,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(2188), 33,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [68421] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12238), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12240), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [68466] = 5,
    ACTIONS(17752), 1,
      sym__immediate_string_start,
    ACTIONS(17754), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11880), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11882), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [68515] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68562] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17790), 1,
      anon_sym_do,
    STATE(11346), 1,
      sym_do_clause,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68613] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12974), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12976), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [68660] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17738), 1,
      anon_sym_SQUOTE,
    ACTIONS(17744), 1,
      sym__immediate_paren,
    ACTIONS(17746), 1,
      sym__immediate_bracket,
    ACTIONS(17748), 1,
      sym__immediate_brace,
    ACTIONS(17796), 1,
      anon_sym_EQ,
    ACTIONS(17798), 1,
      anon_sym_DOT,
    ACTIONS(17800), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [68721] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12288), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68768] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17770), 1,
      sym__immediate_string_start,
    ACTIONS(17772), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [68819] = 5,
    ACTIONS(17544), 1,
      sym__word_identifier,
    STATE(10401), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11990), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(11992), 17,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
  [68868] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14166), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14168), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [68915] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14172), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(14170), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [68962] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12296), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69009] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12300), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69056] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12162), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69103] = 5,
    ACTIONS(17544), 1,
      sym__word_identifier,
    STATE(10400), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11986), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(11988), 17,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
  [69152] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17802), 1,
      anon_sym_SQUOTE,
    ACTIONS(17804), 1,
      anon_sym_DOT,
    ACTIONS(17808), 1,
      sym__immediate_paren,
    ACTIONS(17810), 1,
      sym__immediate_bracket,
    ACTIONS(17812), 1,
      sym__immediate_brace,
    ACTIONS(17806), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69211] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12242), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69258] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12246), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69305] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13524), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13522), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [69352] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13542), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13540), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [69399] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17802), 1,
      anon_sym_SQUOTE,
    ACTIONS(17808), 1,
      sym__immediate_paren,
    ACTIONS(17810), 1,
      sym__immediate_bracket,
    ACTIONS(17812), 1,
      sym__immediate_brace,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(17816), 1,
      anon_sym_DOT,
    ACTIONS(17818), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69460] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12032), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12030), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [69507] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12036), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12034), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [69554] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12950), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [69601] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13434), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13436), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [69648] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13486), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13484), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [69695] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13955), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13953), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [69742] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12044), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12042), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [69789] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17724), 1,
      anon_sym_SQUOTE,
    ACTIONS(17726), 1,
      anon_sym_DOT,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(17728), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [69850] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17776), 1,
      anon_sym_SQUOTE,
    ACTIONS(17822), 1,
      anon_sym_DOT,
    ACTIONS(17824), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69909] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11984), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11974), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69956] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12046), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12024), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70003] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12050), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12048), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70050] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12004), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12002), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70097] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70144] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12016), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12018), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70191] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17538), 1,
      sym__word_identifier,
    STATE(9905), 1,
      sym_identifier,
    ACTIONS(11980), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70242] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12012), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12014), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70289] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12326), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70336] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(2188), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70383] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12348), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70430] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10106), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70481] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10119), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70532] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10103), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70583] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10089), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70634] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12052), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11976), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70681] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13750), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13748), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70728] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17776), 1,
      anon_sym_SQUOTE,
    ACTIONS(17822), 1,
      anon_sym_DOT,
    ACTIONS(17824), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70787] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17826), 1,
      anon_sym_COMMA,
    ACTIONS(17828), 1,
      anon_sym_LF,
    ACTIONS(17830), 1,
      aux_sym__terminator_token1,
    STATE(15847), 1,
      aux_sym__do_parameter_list_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 25,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70848] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13242), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70895] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17832), 1,
      sym__word_identifier,
    STATE(11302), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70946] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17832), 1,
      sym__word_identifier,
    STATE(11332), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [70997] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17834), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71046] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17832), 1,
      sym__word_identifier,
    STATE(11291), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [71097] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12082), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12064), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71144] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17832), 1,
      sym__word_identifier,
    STATE(11289), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [71195] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17836), 1,
      sym__immediate_string_start,
    ACTIONS(17838), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [71246] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17764), 1,
      sym__immediate_string_start,
    ACTIONS(17766), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71297] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10106), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [71348] = 5,
    ACTIONS(17544), 1,
      sym__word_identifier,
    STATE(10369), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11978), 17,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11980), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [71397] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10119), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [71448] = 5,
    ACTIONS(17544), 1,
      sym__word_identifier,
    STATE(10404), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11966), 17,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11968), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [71497] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10103), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [71548] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10089), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [71599] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17840), 1,
      sym__word_identifier,
    STATE(11230), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71650] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17840), 1,
      sym__word_identifier,
    STATE(11229), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71701] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17840), 1,
      sym__word_identifier,
    STATE(11223), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71752] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17840), 1,
      sym__word_identifier,
    STATE(11222), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71803] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10176), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71854] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10173), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71905] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10147), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71956] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10145), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72007] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12052), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11976), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72054] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17792), 1,
      sym__immediate_string_start,
    ACTIONS(17794), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [72105] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17844), 1,
      sym__immediate_string_start,
    ACTIONS(17846), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [72156] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17792), 1,
      sym__immediate_string_start,
    ACTIONS(17794), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [72207] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12012), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12014), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72254] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12016), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12018), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72301] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12004), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12002), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72348] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [72395] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12050), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12048), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72442] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12046), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12024), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72489] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12044), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12042), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72536] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17792), 1,
      sym__immediate_string_start,
    ACTIONS(17794), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [72587] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17844), 1,
      sym__immediate_string_start,
    ACTIONS(17846), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [72638] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72685] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17844), 1,
      sym__immediate_string_start,
    ACTIONS(17846), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [72736] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [72781] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12040), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12038), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72828] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72875] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12036), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12034), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72922] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12032), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12030), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72969] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73016] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12240), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12238), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73063] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73110] = 5,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11880), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11882), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [73159] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12330), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12328), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73206] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12320), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12322), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73253] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17836), 1,
      sym__immediate_string_start,
    ACTIONS(17838), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73304] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73351] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13700), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13698), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73398] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73445] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13738), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13736), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73492] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12166), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12164), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73539] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12340), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12338), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73586] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12150), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12148), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73633] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17738), 1,
      anon_sym_SQUOTE,
    ACTIONS(17740), 1,
      anon_sym_DOT,
    ACTIONS(17744), 1,
      sym__immediate_paren,
    ACTIONS(17746), 1,
      sym__immediate_bracket,
    ACTIONS(17748), 1,
      sym__immediate_brace,
    ACTIONS(17742), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73692] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12354), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12356), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73737] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17836), 1,
      sym__immediate_string_start,
    ACTIONS(17838), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73788] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73835] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12350), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12352), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73880] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12140), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12142), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73925] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17844), 1,
      sym__immediate_string_start,
    ACTIONS(17846), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [73976] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12142), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12140), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [74023] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12352), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12350), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [74070] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11892), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11894), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74115] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13742), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13740), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [74162] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12356), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12354), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [74209] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12148), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12150), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74254] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74299] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12326), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12324), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74344] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2188), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(2186), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74389] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17802), 1,
      anon_sym_SQUOTE,
    ACTIONS(17804), 1,
      anon_sym_DOT,
    ACTIONS(17808), 1,
      sym__immediate_paren,
    ACTIONS(17810), 1,
      sym__immediate_bracket,
    ACTIONS(17812), 1,
      sym__immediate_brace,
    ACTIONS(17806), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [74448] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11984), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11974), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [74495] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12342), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12344), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74540] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12348), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12346), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74585] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17848), 1,
      anon_sym_do,
    STATE(11365), 1,
      sym_do_clause,
    ACTIONS(11916), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11918), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [74636] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12338), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12340), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74681] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13945), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13943), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [74728] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13918), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13916), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [74775] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17714), 1,
      sym__immediate_string_start,
    ACTIONS(17716), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [74826] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17848), 1,
      anon_sym_do,
    STATE(11367), 1,
      sym_do_clause,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [74877] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17738), 1,
      anon_sym_SQUOTE,
    ACTIONS(17744), 1,
      sym__immediate_paren,
    ACTIONS(17746), 1,
      sym__immediate_bracket,
    ACTIONS(17748), 1,
      sym__immediate_brace,
    ACTIONS(17798), 1,
      anon_sym_DOT,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(17800), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [74938] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12164), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12166), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74983] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17770), 1,
      sym__immediate_string_start,
    ACTIONS(17772), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75034] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13914), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13912), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75081] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(223), 1,
      sym__immediate_string_start,
    ACTIONS(225), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75132] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10145), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75183] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13818), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13816), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75230] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17848), 1,
      anon_sym_do,
    STATE(11369), 1,
      sym_do_clause,
    ACTIONS(11898), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11900), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75281] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10147), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75332] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11932), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11934), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75377] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13814), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13812), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75424] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13810), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13808), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75471] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11880), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11882), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75516] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12322), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12320), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75561] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12328), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12330), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75606] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17848), 1,
      anon_sym_do,
    STATE(11323), 1,
      sym_do_clause,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75657] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12040), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12038), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75704] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13806), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13804), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [75751] = 6,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17852), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [75802] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12030), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12032), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75847] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12034), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12036), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75892] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12038), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12040), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75937] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12048), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12050), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75982] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12042), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12044), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76027] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12318), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12316), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76072] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13782), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13780), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [76119] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12024), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12046), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76164] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12002), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12004), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76209] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12018), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12016), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76254] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13778), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13776), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [76301] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12014), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12012), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76346] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11976), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12052), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76391] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13774), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13772), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [76438] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17724), 1,
      anon_sym_SQUOTE,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17734), 1,
      anon_sym_DOT,
    ACTIONS(17736), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [76497] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13770), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13768), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [76544] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13766), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13764), 34,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [76591] = 6,
    ACTIONS(17598), 1,
      sym__immediate_string_start,
    ACTIONS(17600), 1,
      sym__immediate_command_start,
    ACTIONS(17762), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [76642] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17770), 1,
      sym__immediate_string_start,
    ACTIONS(17772), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [76693] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10176), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [76744] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76789] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10173), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [76840] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12082), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12064), 31,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [76887] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17836), 1,
      sym__immediate_string_start,
    ACTIONS(17838), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [76938] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11974), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11984), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76983] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12064), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12082), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [77028] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11984), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11974), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77074] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12372), 1,
      anon_sym_LF,
    ACTIONS(17854), 1,
      anon_sym_SQUOTE,
    ACTIONS(17856), 1,
      anon_sym_DOT,
    ACTIONS(17858), 1,
      sym__immediate_paren,
    ACTIONS(17860), 1,
      sym__immediate_bracket,
    ACTIONS(17862), 1,
      sym__immediate_brace,
    ACTIONS(12370), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77130] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17864), 1,
      sym__immediate_string_start,
    ACTIONS(17866), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77180] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10176), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77230] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17868), 1,
      sym__immediate_string_start,
    ACTIONS(17870), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77280] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10173), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77330] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10147), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77380] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10145), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77430] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12372), 1,
      anon_sym_LF,
    ACTIONS(17872), 1,
      anon_sym_SQUOTE,
    ACTIONS(17874), 1,
      anon_sym_DOT,
    ACTIONS(17876), 1,
      sym__immediate_paren,
    ACTIONS(17878), 1,
      sym__immediate_bracket,
    ACTIONS(17880), 1,
      sym__immediate_brace,
    ACTIONS(12370), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77486] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17882), 1,
      anon_sym_SQUOTE,
    ACTIONS(17884), 1,
      anon_sym_DOT,
    ACTIONS(17886), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77544] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17868), 1,
      sym__immediate_string_start,
    ACTIONS(17870), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77594] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17868), 1,
      sym__immediate_string_start,
    ACTIONS(17870), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77644] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17888), 1,
      sym__immediate_string_start,
    ACTIONS(17890), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77694] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17892), 1,
      sym__immediate_string_start,
    ACTIONS(17894), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77744] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(17898), 1,
      anon_sym_SQUOTE,
    ACTIONS(17900), 1,
      anon_sym_DOT,
    ACTIONS(17902), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77804] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17868), 1,
      sym__immediate_string_start,
    ACTIONS(17870), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77854] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17888), 1,
      sym__immediate_string_start,
    ACTIONS(17890), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [77904] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [77948] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12326), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12324), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [77992] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17904), 1,
      anon_sym_EQ,
    ACTIONS(17906), 1,
      anon_sym_SQUOTE,
    ACTIONS(17908), 1,
      anon_sym_DOT,
    ACTIONS(17910), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78052] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12348), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12346), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [78096] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17892), 1,
      sym__immediate_string_start,
    ACTIONS(17894), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78146] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [78190] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17892), 1,
      sym__immediate_string_start,
    ACTIONS(17894), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78240] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17888), 1,
      sym__immediate_string_start,
    ACTIONS(17890), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78290] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10106), 1,
      sym_identifier,
    ACTIONS(11990), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78340] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10119), 1,
      sym_identifier,
    ACTIONS(11986), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78390] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10103), 1,
      sym_identifier,
    ACTIONS(11980), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78440] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10089), 1,
      sym_identifier,
    ACTIONS(11968), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78490] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2188), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(2186), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [78534] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17906), 1,
      anon_sym_SQUOTE,
    ACTIONS(17912), 1,
      anon_sym_DOT,
    ACTIONS(17914), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78592] = 6,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17916), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [78642] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17724), 1,
      anon_sym_SQUOTE,
    ACTIONS(17726), 1,
      anon_sym_DOT,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17728), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78700] = 5,
    ACTIONS(17918), 1,
      sym__immediate_string_start,
    ACTIONS(17920), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [78748] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10106), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78798] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10119), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78848] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10103), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78898] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17616), 1,
      sym__word_identifier,
    STATE(10089), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [78948] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17738), 1,
      anon_sym_SQUOTE,
    ACTIONS(17744), 1,
      sym__immediate_paren,
    ACTIONS(17746), 1,
      sym__immediate_bracket,
    ACTIONS(17748), 1,
      sym__immediate_brace,
    ACTIONS(17798), 1,
      anon_sym_DOT,
    ACTIONS(17800), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [79006] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12372), 1,
      anon_sym_LF,
    ACTIONS(17922), 1,
      anon_sym_SQUOTE,
    ACTIONS(17924), 1,
      anon_sym_DOT,
    ACTIONS(17926), 1,
      sym__immediate_paren,
    ACTIONS(17928), 1,
      sym__immediate_bracket,
    ACTIONS(17930), 1,
      sym__immediate_brace,
    ACTIONS(12370), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79062] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17898), 1,
      anon_sym_SQUOTE,
    ACTIONS(17932), 1,
      anon_sym_DOT,
    ACTIONS(17934), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [79120] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12082), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12064), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79166] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12052), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11976), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79212] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12012), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12014), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79258] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12016), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12018), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79304] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12004), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12002), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79350] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17864), 1,
      sym__immediate_string_start,
    ACTIONS(17866), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [79400] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12050), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12048), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79446] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12046), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12024), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79492] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12044), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12042), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79538] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17892), 1,
      sym__immediate_string_start,
    ACTIONS(17894), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [79588] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17898), 1,
      anon_sym_SQUOTE,
    ACTIONS(17932), 1,
      anon_sym_DOT,
    ACTIONS(17934), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [79646] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12040), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12038), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79692] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12036), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12034), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79738] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12032), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12030), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79784] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17882), 1,
      anon_sym_SQUOTE,
    ACTIONS(17884), 1,
      anon_sym_DOT,
    ACTIONS(17886), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [79842] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12240), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12238), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79888] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17888), 1,
      sym__immediate_string_start,
    ACTIONS(17890), 1,
      sym__immediate_command_start,
    ACTIONS(171), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [79938] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12330), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12328), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79984] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12320), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12322), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80030] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17864), 1,
      sym__immediate_string_start,
    ACTIONS(17866), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [80080] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80126] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12166), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12164), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80172] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12340), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12338), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80218] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12150), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12148), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80264] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80310] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12142), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12140), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80356] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12352), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12350), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80402] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12356), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12354), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80448] = 5,
    ACTIONS(17918), 1,
      sym__immediate_string_start,
    ACTIONS(17920), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [80496] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80542] = 5,
    ACTIONS(17918), 1,
      sym__immediate_string_start,
    ACTIONS(17920), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11880), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11882), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [80590] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12082), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12064), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [80636] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11984), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11974), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [80682] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12240), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12238), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [80728] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12320), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12322), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [80774] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [80820] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [80866] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12166), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12164), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [80912] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12340), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12338), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [80958] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17898), 1,
      anon_sym_SQUOTE,
    ACTIONS(17900), 1,
      anon_sym_DOT,
    ACTIONS(17936), 1,
      anon_sym_EQ,
    ACTIONS(17902), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81018] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12150), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12148), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81064] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81110] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12142), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12140), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81156] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12352), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12350), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81202] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12356), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12354), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81248] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12152), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [81294] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12052), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11976), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81340] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12012), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12014), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81386] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12062), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12060), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [81430] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12016), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12018), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81476] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12004), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12002), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81522] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12050), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12048), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81568] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12046), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12024), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81614] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12044), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12042), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81660] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12040), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12038), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81706] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12036), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12034), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81752] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12032), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12030), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81798] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12330), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12328), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81844] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12088), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12090), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [81888] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11970), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11972), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [81932] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10176), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [81982] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10173), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [82032] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10147), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [82082] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10145), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [82132] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12152), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [82178] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12372), 1,
      anon_sym_LF,
    ACTIONS(17922), 1,
      anon_sym_SQUOTE,
    ACTIONS(17926), 1,
      sym__immediate_paren,
    ACTIONS(17928), 1,
      sym__immediate_bracket,
    ACTIONS(17930), 1,
      sym__immediate_brace,
    ACTIONS(17938), 1,
      anon_sym_DOT,
    ACTIONS(12370), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [82234] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12238), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12240), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82278] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12318), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82324] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82368] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12342), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82414] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82460] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17942), 1,
      anon_sym_LF,
    ACTIONS(17940), 2,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 25,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82516] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17864), 1,
      sym__immediate_string_start,
    ACTIONS(17866), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [82566] = 5,
    ACTIONS(17918), 1,
      sym__immediate_string_start,
    ACTIONS(17920), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82614] = 5,
    ACTIONS(17646), 1,
      sym__word_identifier,
    STATE(10645), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11992), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11990), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82662] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12318), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12316), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82706] = 5,
    ACTIONS(17646), 1,
      sym__word_identifier,
    STATE(10644), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11988), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11986), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82754] = 5,
    ACTIONS(17646), 1,
      sym__word_identifier,
    STATE(10635), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11978), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11980), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82802] = 5,
    ACTIONS(17646), 1,
      sym__word_identifier,
    STATE(10634), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11966), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11968), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82850] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12328), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12330), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82894] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12322), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12320), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82938] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11880), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11882), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82982] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11932), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11934), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [83026] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83072] = 8,
    ACTIONS(17944), 1,
      anon_sym_SQUOTE,
    ACTIONS(17946), 1,
      anon_sym_DOT,
    ACTIONS(17948), 1,
      sym__immediate_paren,
    ACTIONS(17950), 1,
      sym__immediate_bracket,
    ACTIONS(17952), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12370), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12372), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [83126] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83172] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83218] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12246), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83264] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12242), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83310] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12162), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83356] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17906), 1,
      anon_sym_SQUOTE,
    ACTIONS(17908), 1,
      anon_sym_DOT,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(17910), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [83416] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12136), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83462] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12300), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83508] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12296), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83554] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12288), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83600] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83646] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83692] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12262), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83738] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12258), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83784] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12164), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12166), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [83828] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12338), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12340), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [83872] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12342), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12344), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [83916] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12254), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83962] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12234), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84008] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12230), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84054] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84100] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12226), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84146] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12218), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84192] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12214), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84238] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12148), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12150), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [84282] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11892), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11894), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [84326] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12208), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84372] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12196), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84418] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17882), 1,
      anon_sym_SQUOTE,
    ACTIONS(17956), 1,
      anon_sym_EQ,
    ACTIONS(17958), 1,
      anon_sym_DOT,
    ACTIONS(17960), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [84478] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12192), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84524] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12350), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12352), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [84568] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12188), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84614] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17882), 1,
      anon_sym_SQUOTE,
    ACTIONS(17958), 1,
      anon_sym_DOT,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(17960), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [84674] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12184), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84720] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12180), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84766] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12176), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84812] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84858] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17776), 1,
      anon_sym_SQUOTE,
    ACTIONS(17778), 1,
      anon_sym_DOT,
    ACTIONS(17780), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84916] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12170), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84962] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12250), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85008] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12210), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85054] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [85100] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12318), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [85146] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12140), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12142), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85190] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12354), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12356), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85234] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12246), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12248), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85278] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12242), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12244), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85322] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12342), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [85368] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12156), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85414] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12162), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12160), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85458] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12170), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12172), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85502] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12136), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12138), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85546] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12300), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12302), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85590] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17964), 1,
      sym__immediate_string_start,
    ACTIONS(17966), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [85640] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12296), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12298), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85684] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12288), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12290), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85728] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12156), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12158), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85772] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12246), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [85818] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12242), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [85864] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12162), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [85910] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [85956] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12176), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12178), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86000] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12026), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12028), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86044] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12262), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12264), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86088] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12258), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12260), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86132] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12254), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12256), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86176] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12250), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12252), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86220] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12136), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [86266] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12300), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [86312] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12296), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [86358] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12234), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12236), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86402] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12288), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [86448] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12230), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12232), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86492] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [86538] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12226), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12228), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86582] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12218), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12220), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86626] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12214), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12216), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86670] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12208), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12206), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86714] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12210), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12212), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86758] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [86804] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12196), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12198), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86848] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12192), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12194), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86892] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [86938] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12262), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [86984] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12184), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12186), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [87028] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12180), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12182), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [87072] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12258), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87118] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12254), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87164] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87210] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87256] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12234), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87302] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12230), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87348] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87394] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12226), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87440] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12218), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87486] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17906), 1,
      anon_sym_SQUOTE,
    ACTIONS(17912), 1,
      anon_sym_DOT,
    ACTIONS(17914), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87544] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12214), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87590] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12152), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12154), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [87634] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12208), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87680] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12196), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87726] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12192), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87772] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12188), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87818] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12184), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87864] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12180), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [87910] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [87956] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12170), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88002] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12156), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88048] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12112), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12110), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88092] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12250), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88138] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12210), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88184] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12326), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [88230] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12348), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [88276] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(2188), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [88322] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12176), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88368] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17964), 1,
      sym__immediate_string_start,
    ACTIONS(17966), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88418] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88464] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12326), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88510] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(2188), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88556] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12020), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12022), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88600] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12348), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88646] = 6,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17968), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [88696] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10176), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88746] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10173), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88796] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12188), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12190), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88840] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10147), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88890] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10145), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [88940] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17970), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [88988] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17964), 1,
      sym__immediate_string_start,
    ACTIONS(17966), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [89038] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [89082] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17972), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [89130] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17964), 1,
      sym__immediate_string_start,
    ACTIONS(17966), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [89180] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89226] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [89272] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17802), 1,
      anon_sym_SQUOTE,
    ACTIONS(17808), 1,
      sym__immediate_paren,
    ACTIONS(17810), 1,
      sym__immediate_bracket,
    ACTIONS(17812), 1,
      sym__immediate_brace,
    ACTIONS(17816), 1,
      anon_sym_DOT,
    ACTIONS(17818), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89330] = 7,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(17974), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [89382] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12166), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12164), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89427] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12156), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [89472] = 8,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17976), 1,
      anon_sym_EQ,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17978), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [89525] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17982), 1,
      anon_sym_SQUOTE,
    ACTIONS(17984), 1,
      anon_sym_DOT,
    ACTIONS(17986), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [89582] = 8,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(17988), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17990), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [89635] = 10,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(17994), 1,
      anon_sym_DOT,
    ACTIONS(17996), 1,
      sym__assignment_operator,
    ACTIONS(17998), 1,
      sym__tilde_operator,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [89692] = 10,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18008), 1,
      anon_sym_DOT,
    ACTIONS(18010), 1,
      sym__assignment_operator,
    ACTIONS(18012), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [89749] = 5,
    ACTIONS(18014), 1,
      sym__immediate_string_start,
    ACTIONS(18016), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [89796] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(18018), 1,
      anon_sym_EQ,
    ACTIONS(18020), 1,
      anon_sym_SQUOTE,
    ACTIONS(18022), 1,
      anon_sym_DOT,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(18024), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [89855] = 8,
    ACTIONS(18026), 1,
      anon_sym_SQUOTE,
    ACTIONS(18028), 1,
      anon_sym_DOT,
    ACTIONS(18030), 1,
      sym__immediate_paren,
    ACTIONS(18032), 1,
      sym__immediate_bracket,
    ACTIONS(18034), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12474), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12476), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [89908] = 11,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18036), 1,
      anon_sym_EQ,
    ACTIONS(18038), 1,
      anon_sym_DOT,
    ACTIONS(18040), 1,
      sym__assignment_operator,
    ACTIONS(18042), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [89967] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90012] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(18020), 1,
      anon_sym_SQUOTE,
    ACTIONS(18044), 1,
      anon_sym_DOT,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(18046), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [90069] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12218), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90114] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12210), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90159] = 8,
    ACTIONS(18026), 1,
      anon_sym_SQUOTE,
    ACTIONS(18028), 1,
      anon_sym_DOT,
    ACTIONS(18030), 1,
      sym__immediate_paren,
    ACTIONS(18032), 1,
      sym__immediate_bracket,
    ACTIONS(18034), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12440), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12512), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [90212] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12250), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90257] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12156), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90302] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12170), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90347] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12176), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90392] = 8,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(18048), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18050), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [90445] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12180), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90490] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12184), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90535] = 8,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(18052), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18054), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [90588] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12188), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90633] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18056), 1,
      sym__immediate_string_start,
    ACTIONS(18058), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [90682] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90727] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12192), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90772] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12196), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90817] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12208), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90862] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12214), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90907] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12296), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90952] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12226), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90997] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91042] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12230), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91087] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12234), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91132] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91177] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91222] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12254), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91267] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12512), 1,
      anon_sym_LF,
    ACTIONS(18060), 1,
      anon_sym_SQUOTE,
    ACTIONS(18062), 1,
      anon_sym_DOT,
    ACTIONS(18064), 1,
      sym__immediate_paren,
    ACTIONS(18066), 1,
      sym__immediate_bracket,
    ACTIONS(18068), 1,
      sym__immediate_brace,
    ACTIONS(12440), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [91322] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12258), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91367] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12262), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91412] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91457] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91502] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91547] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12288), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91592] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12300), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91637] = 8,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(18070), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18072), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [91690] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18074), 1,
      sym__immediate_string_start,
    ACTIONS(18076), 1,
      sym__immediate_command_start,
    ACTIONS(171), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [91739] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12136), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91784] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12162), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91829] = 11,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18038), 1,
      anon_sym_DOT,
    ACTIONS(18040), 1,
      sym__assignment_operator,
    ACTIONS(18042), 1,
      sym__tilde_operator,
    ACTIONS(18078), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [91888] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12242), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91933] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12246), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91978] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17982), 1,
      anon_sym_SQUOTE,
    ACTIONS(18080), 1,
      anon_sym_EQ,
    ACTIONS(18082), 1,
      anon_sym_DOT,
    ACTIONS(18084), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92037] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12476), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18088), 1,
      anon_sym_DOT,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(12474), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92092] = 7,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(18096), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [92143] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12476), 1,
      anon_sym_LF,
    ACTIONS(18060), 1,
      anon_sym_SQUOTE,
    ACTIONS(18062), 1,
      anon_sym_DOT,
    ACTIONS(18064), 1,
      sym__immediate_paren,
    ACTIONS(18066), 1,
      sym__immediate_bracket,
    ACTIONS(18068), 1,
      sym__immediate_brace,
    ACTIONS(12474), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92198] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92243] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11868), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92288] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 25,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92331] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12318), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92376] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12342), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92421] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12152), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92466] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17906), 1,
      anon_sym_SQUOTE,
    ACTIONS(17908), 1,
      anon_sym_DOT,
    ACTIONS(17910), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92523] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17982), 1,
      anon_sym_SQUOTE,
    ACTIONS(18082), 1,
      anon_sym_DOT,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(18084), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92582] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17982), 1,
      anon_sym_SQUOTE,
    ACTIONS(17984), 1,
      anon_sym_DOT,
    ACTIONS(17986), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92639] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18056), 1,
      sym__immediate_string_start,
    ACTIONS(18058), 1,
      sym__immediate_command_start,
    ACTIONS(171), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(91), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92688] = 11,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18038), 1,
      anon_sym_DOT,
    ACTIONS(18040), 1,
      sym__assignment_operator,
    ACTIONS(18042), 1,
      sym__tilde_operator,
    ACTIONS(18100), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [92747] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12342), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [92792] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18074), 1,
      sym__immediate_string_start,
    ACTIONS(18076), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [92841] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12318), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [92886] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [92931] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [92976] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12326), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [93021] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12246), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93066] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12242), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93111] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12162), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93156] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12348), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [93201] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12136), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93246] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12300), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93291] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12296), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93336] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12288), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93381] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12062), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93426] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18074), 1,
      sym__immediate_string_start,
    ACTIONS(18076), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11884), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93475] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12112), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93520] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12026), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93565] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12262), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93610] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18056), 1,
      sym__immediate_string_start,
    ACTIONS(18058), 1,
      sym__immediate_command_start,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93659] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12258), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93704] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12254), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93749] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12088), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93794] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12512), 1,
      anon_sym_LF,
    ACTIONS(18102), 1,
      anon_sym_SQUOTE,
    ACTIONS(18104), 1,
      anon_sym_DOT,
    ACTIONS(18106), 1,
      sym__immediate_paren,
    ACTIONS(18108), 1,
      sym__immediate_bracket,
    ACTIONS(18110), 1,
      sym__immediate_brace,
    ACTIONS(12440), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [93849] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11970), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93894] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12234), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93939] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12372), 1,
      anon_sym_LF,
    ACTIONS(17922), 1,
      anon_sym_SQUOTE,
    ACTIONS(17926), 1,
      sym__immediate_paren,
    ACTIONS(17928), 1,
      sym__immediate_bracket,
    ACTIONS(17930), 1,
      sym__immediate_brace,
    ACTIONS(18112), 1,
      anon_sym_DOT,
    ACTIONS(12370), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [93994] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12230), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94039] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12020), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94084] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12226), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94129] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12218), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94174] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12214), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94219] = 5,
    ACTIONS(18014), 1,
      sym__immediate_string_start,
    ACTIONS(18016), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94266] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12208), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94311] = 5,
    ACTIONS(17782), 1,
      sym__word_identifier,
    STATE(11130), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11992), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11990), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94358] = 5,
    ACTIONS(17782), 1,
      sym__word_identifier,
    STATE(11132), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11988), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11986), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94405] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(2188), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [94450] = 11,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18038), 1,
      anon_sym_DOT,
    ACTIONS(18040), 1,
      sym__assignment_operator,
    ACTIONS(18042), 1,
      sym__tilde_operator,
    ACTIONS(18114), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [94509] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12192), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94554] = 5,
    ACTIONS(17782), 1,
      sym__word_identifier,
    STATE(11140), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11978), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11980), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94601] = 5,
    ACTIONS(17782), 1,
      sym__word_identifier,
    STATE(11141), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11966), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11968), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94648] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12188), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94693] = 10,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(17994), 1,
      anon_sym_DOT,
    ACTIONS(17996), 1,
      sym__assignment_operator,
    ACTIONS(17998), 1,
      sym__tilde_operator,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [94750] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(18020), 1,
      anon_sym_SQUOTE,
    ACTIONS(18044), 1,
      anon_sym_DOT,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(18046), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94807] = 8,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(18116), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18118), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [94860] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12184), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94905] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12348), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94950] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10145), 1,
      sym_identifier,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [94999] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(2188), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95044] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12326), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95089] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12180), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95134] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12176), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95179] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [95222] = 10,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18008), 1,
      anon_sym_DOT,
    ACTIONS(18010), 1,
      sym__assignment_operator,
    ACTIONS(18012), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [95279] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11958), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95324] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12240), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12238), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95369] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12170), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95414] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95459] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12356), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12354), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95504] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12352), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12350), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95549] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12142), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12140), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95594] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12512), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18088), 1,
      anon_sym_DOT,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(12440), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95649] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17776), 1,
      anon_sym_SQUOTE,
    ACTIONS(17778), 1,
      anon_sym_DOT,
    ACTIONS(18120), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [95706] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17882), 1,
      anon_sym_SQUOTE,
    ACTIONS(17958), 1,
      anon_sym_DOT,
    ACTIONS(17960), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95763] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10147), 1,
      sym_identifier,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95812] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17802), 1,
      anon_sym_SQUOTE,
    ACTIONS(17808), 1,
      sym__immediate_paren,
    ACTIONS(17810), 1,
      sym__immediate_bracket,
    ACTIONS(17812), 1,
      sym__immediate_brace,
    ACTIONS(17816), 1,
      anon_sym_DOT,
    ACTIONS(18122), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [95869] = 5,
    ACTIONS(18014), 1,
      sym__immediate_string_start,
    ACTIONS(18016), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11880), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11882), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95916] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10173), 1,
      sym_identifier,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [95965] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12196), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [96010] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10176), 1,
      sym_identifier,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [96059] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18056), 1,
      sym__immediate_string_start,
    ACTIONS(18058), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [96108] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12240), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12238), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96153] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12476), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18124), 1,
      anon_sym_DOT,
    ACTIONS(12474), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96208] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12476), 1,
      anon_sym_LF,
    ACTIONS(18102), 1,
      anon_sym_SQUOTE,
    ACTIONS(18104), 1,
      anon_sym_DOT,
    ACTIONS(18106), 1,
      sym__immediate_paren,
    ACTIONS(18108), 1,
      sym__immediate_bracket,
    ACTIONS(18110), 1,
      sym__immediate_brace,
    ACTIONS(12474), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96263] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18074), 1,
      sym__immediate_string_start,
    ACTIONS(18076), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11926), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [96312] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12320), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12322), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96357] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96402] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96447] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12340), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12338), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96492] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12150), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12148), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96537] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96582] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12142), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12140), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96627] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12352), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12350), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96672] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12356), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12354), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96717] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12330), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12328), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96762] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10145), 1,
      sym_identifier,
    ACTIONS(11968), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11966), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [96811] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17898), 1,
      anon_sym_SQUOTE,
    ACTIONS(17900), 1,
      anon_sym_DOT,
    ACTIONS(17902), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [96868] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10147), 1,
      sym_identifier,
    ACTIONS(11980), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11978), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [96917] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12372), 1,
      anon_sym_LF,
    ACTIONS(17922), 1,
      anon_sym_SQUOTE,
    ACTIONS(17926), 1,
      sym__immediate_paren,
    ACTIONS(17928), 1,
      sym__immediate_bracket,
    ACTIONS(17930), 1,
      sym__immediate_brace,
    ACTIONS(18126), 1,
      anon_sym_DOT,
    ACTIONS(12370), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [96972] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10173), 1,
      sym_identifier,
    ACTIONS(11986), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11988), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97021] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17842), 1,
      sym__word_identifier,
    STATE(10176), 1,
      sym_identifier,
    ACTIONS(11990), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11992), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97070] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18128), 1,
      anon_sym_EQ,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [97129] = 5,
    ACTIONS(18014), 1,
      sym__immediate_string_start,
    ACTIONS(18016), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [97176] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12210), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97221] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12512), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18124), 1,
      anon_sym_DOT,
    ACTIONS(12440), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [97276] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12154), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12152), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [97321] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12330), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12328), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97366] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12320), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12322), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97411] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12250), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97456] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11882), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11880), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97501] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11934), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11932), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97546] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12166), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12164), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97591] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12372), 1,
      anon_sym_LF,
    ACTIONS(17922), 1,
      anon_sym_SQUOTE,
    ACTIONS(17926), 1,
      sym__immediate_paren,
    ACTIONS(17928), 1,
      sym__immediate_bracket,
    ACTIONS(17930), 1,
      sym__immediate_brace,
    ACTIONS(18136), 1,
      anon_sym_DOT,
    ACTIONS(12370), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97646] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12340), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12338), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97691] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(18020), 1,
      anon_sym_SQUOTE,
    ACTIONS(18022), 1,
      anon_sym_DOT,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(18024), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97750] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12150), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(12148), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97795] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11894), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_LF,
      anon_sym_SQUOTE,
    ACTIONS(11892), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [97840] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18140), 1,
      anon_sym_EQ,
    ACTIONS(18142), 1,
      anon_sym_DOT,
    ACTIONS(18144), 1,
      sym__assignment_operator,
    ACTIONS(18146), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [97898] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18148), 1,
      sym__word_identifier,
    STATE(11631), 1,
      sym_identifier,
    ACTIONS(11992), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [97946] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12476), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18150), 1,
      anon_sym_DOT,
    ACTIONS(12474), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [98000] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18152), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98058] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18154), 1,
      sym__word_identifier,
    STATE(11820), 1,
      sym_identifier,
    ACTIONS(11966), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [98106] = 8,
    ACTIONS(17944), 1,
      anon_sym_SQUOTE,
    ACTIONS(17948), 1,
      sym__immediate_paren,
    ACTIONS(17950), 1,
      sym__immediate_bracket,
    ACTIONS(17952), 1,
      sym__immediate_brace,
    ACTIONS(18156), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12370), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12372), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [98158] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18154), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    ACTIONS(11978), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [98206] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18154), 1,
      sym__word_identifier,
    STATE(11855), 1,
      sym_identifier,
    ACTIONS(11988), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [98254] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18158), 1,
      sym__immediate_string_start,
    ACTIONS(18160), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [98302] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11524), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11992), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11990), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [98348] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11522), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11988), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11986), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [98394] = 5,
    ACTIONS(18164), 1,
      sym__immediate_string_start,
    ACTIONS(18166), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [98440] = 10,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98496] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11512), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11978), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11980), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [98542] = 10,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18038), 1,
      anon_sym_DOT,
    ACTIONS(18040), 1,
      sym__assignment_operator,
    ACTIONS(18042), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98598] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12372), 1,
      anon_sym_LF,
    ACTIONS(17922), 1,
      anon_sym_SQUOTE,
    ACTIONS(17926), 1,
      sym__immediate_paren,
    ACTIONS(17928), 1,
      sym__immediate_bracket,
    ACTIONS(17930), 1,
      sym__immediate_brace,
    ACTIONS(18168), 1,
      anon_sym_DOT,
    ACTIONS(12370), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [98652] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11509), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11966), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11968), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [98698] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18154), 1,
      sym__word_identifier,
    STATE(11857), 1,
      sym_identifier,
    ACTIONS(11992), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [98746] = 10,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18170), 1,
      anon_sym_DOT,
    ACTIONS(18172), 1,
      sym__assignment_operator,
    ACTIONS(18174), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98802] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18176), 1,
      sym__immediate_string_start,
    ACTIONS(18178), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [98850] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [98892] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18100), 1,
      anon_sym_EQ,
    ACTIONS(18142), 1,
      anon_sym_DOT,
    ACTIONS(18144), 1,
      sym__assignment_operator,
    ACTIONS(18146), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98950] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12512), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18150), 1,
      anon_sym_DOT,
    ACTIONS(12440), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [99004] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12476), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18180), 1,
      anon_sym_DOT,
    ACTIONS(12474), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [99058] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18182), 1,
      sym__immediate_string_start,
    ACTIONS(18184), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [99106] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18182), 1,
      sym__immediate_string_start,
    ACTIONS(18184), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [99154] = 4,
    ACTIONS(18186), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [99198] = 5,
    ACTIONS(18188), 1,
      sym__word_identifier,
    STATE(11608), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11990), 15,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(11992), 16,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
  [99244] = 10,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18190), 1,
      anon_sym_DOT,
    ACTIONS(18192), 1,
      sym__assignment_operator,
    ACTIONS(18194), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [99300] = 10,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18170), 1,
      anon_sym_DOT,
    ACTIONS(18172), 1,
      sym__assignment_operator,
    ACTIONS(18174), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [99356] = 5,
    ACTIONS(18188), 1,
      sym__word_identifier,
    STATE(11607), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11986), 15,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(11988), 16,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
  [99402] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [99450] = 5,
    ACTIONS(18188), 1,
      sym__word_identifier,
    STATE(11593), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11980), 15,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(11978), 16,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
  [99496] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [99544] = 5,
    ACTIONS(18188), 1,
      sym__word_identifier,
    STATE(11628), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11968), 15,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(11966), 16,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__assignment_operator,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
  [99590] = 10,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(17994), 1,
      anon_sym_DOT,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18198), 1,
      sym__assignment_operator,
    ACTIONS(18200), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [99646] = 11,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18202), 1,
      anon_sym_EQ,
    ACTIONS(18204), 1,
      anon_sym_DOT,
    ACTIONS(18206), 1,
      sym__assignment_operator,
    ACTIONS(18208), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [99704] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12512), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18210), 1,
      anon_sym_DOT,
    ACTIONS(12440), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [99758] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 3,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_LF,
    ACTIONS(11868), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [99802] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 3,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_LF,
    ACTIONS(11868), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [99846] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17826), 1,
      anon_sym_COMMA,
    ACTIONS(17828), 1,
      anon_sym_LF,
    ACTIONS(17830), 1,
      aux_sym__terminator_token1,
    STATE(15847), 1,
      aux_sym__do_parameter_list_repeat1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 25,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [99898] = 5,
    ACTIONS(18164), 1,
      sym__immediate_string_start,
    ACTIONS(18166), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [99944] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [99992] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18176), 1,
      sym__immediate_string_start,
    ACTIONS(18178), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [100040] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [100088] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [100136] = 10,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18190), 1,
      anon_sym_DOT,
    ACTIONS(18192), 1,
      sym__assignment_operator,
    ACTIONS(18194), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [100192] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100240] = 11,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18036), 1,
      anon_sym_EQ,
    ACTIONS(18038), 1,
      anon_sym_DOT,
    ACTIONS(18212), 1,
      sym__assignment_operator,
    ACTIONS(18214), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [100298] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100346] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12512), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18180), 1,
      anon_sym_DOT,
    ACTIONS(12440), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [100400] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17922), 1,
      anon_sym_SQUOTE,
    ACTIONS(17926), 1,
      sym__immediate_paren,
    ACTIONS(17928), 1,
      sym__immediate_bracket,
    ACTIONS(17930), 1,
      sym__immediate_brace,
    ACTIONS(18216), 1,
      anon_sym_DOT,
    ACTIONS(12372), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12370), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [100454] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100502] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12476), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18210), 1,
      anon_sym_DOT,
    ACTIONS(12474), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [100556] = 5,
    ACTIONS(18218), 1,
      sym__immediate_string_start,
    ACTIONS(18220), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [100602] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(18020), 1,
      anon_sym_SQUOTE,
    ACTIONS(18022), 1,
      anon_sym_DOT,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(18024), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [100658] = 11,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(18020), 1,
      anon_sym_SQUOTE,
    ACTIONS(18022), 1,
      anon_sym_DOT,
    ACTIONS(18222), 1,
      anon_sym_EQ,
    ACTIONS(18024), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [100716] = 6,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [100764] = 6,
    ACTIONS(17546), 1,
      sym__immediate_string_start,
    ACTIONS(17548), 1,
      sym__immediate_command_start,
    ACTIONS(18224), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [100812] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18148), 1,
      sym__word_identifier,
    STATE(11605), 1,
      sym_identifier,
    ACTIONS(11988), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100860] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18148), 1,
      sym__word_identifier,
    STATE(11606), 1,
      sym_identifier,
    ACTIONS(11978), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100908] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18158), 1,
      sym__immediate_string_start,
    ACTIONS(18160), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [100956] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18226), 1,
      sym__immediate_string_start,
    ACTIONS(18228), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [101004] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18148), 1,
      sym__word_identifier,
    STATE(11744), 1,
      sym_identifier,
    ACTIONS(11966), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [101052] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [101094] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18226), 1,
      sym__immediate_string_start,
    ACTIONS(18228), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [101142] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17730), 1,
      sym__immediate_bracket,
    ACTIONS(17732), 1,
      sym__immediate_brace,
    ACTIONS(17982), 1,
      anon_sym_SQUOTE,
    ACTIONS(18082), 1,
      anon_sym_DOT,
    ACTIONS(18084), 2,
      sym__assignment_operator,
      sym__tilde_operator,
    ACTIONS(11397), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [101198] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [101245] = 5,
    ACTIONS(18230), 1,
      sym__word_identifier,
    STATE(11968), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11992), 12,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11990), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [101290] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [101337] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [101384] = 10,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18142), 1,
      anon_sym_DOT,
    ACTIONS(18144), 1,
      sym__assignment_operator,
    ACTIONS(18146), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [101439] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18232), 1,
      sym__immediate_string_start,
    ACTIONS(18234), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [101486] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12326), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12324), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [101527] = 10,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18236), 1,
      anon_sym_DOT,
    ACTIONS(18238), 1,
      sym__assignment_operator,
    ACTIONS(18240), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [101582] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2188), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(2186), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [101623] = 5,
    ACTIONS(18242), 1,
      anon_sym_do,
    STATE(12092), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11892), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11894), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [101668] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12210), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12212), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [101709] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [101756] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [101803] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [101850] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [101897] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [101944] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [101991] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 1,
      anon_sym_LF,
    ACTIONS(18244), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11958), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [102036] = 5,
    ACTIONS(18242), 1,
      anon_sym_do,
    STATE(12097), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11900), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11898), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [102081] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18148), 1,
      sym__word_identifier,
    STATE(11631), 1,
      sym_identifier,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [102128] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18148), 1,
      sym__word_identifier,
    STATE(11605), 1,
      sym_identifier,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [102175] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18148), 1,
      sym__word_identifier,
    STATE(11606), 1,
      sym_identifier,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [102222] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18148), 1,
      sym__word_identifier,
    STATE(11744), 1,
      sym_identifier,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [102269] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18246), 1,
      anon_sym_EQ,
    ACTIONS(18248), 1,
      anon_sym_DOT,
    ACTIONS(18250), 1,
      sym__assignment_operator,
    ACTIONS(18252), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [102326] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [102373] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [102420] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12250), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12252), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [102461] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [102508] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11522), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11988), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11986), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [102553] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18254), 1,
      sym__immediate_string_start,
    ACTIONS(18256), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [102600] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18232), 1,
      sym__immediate_string_start,
    ACTIONS(18234), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [102647] = 5,
    ACTIONS(18242), 1,
      anon_sym_do,
    STATE(12106), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11932), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11934), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [102692] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [102739] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18258), 1,
      sym__immediate_string_start,
    ACTIONS(18260), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [102786] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [102833] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11512), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11978), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11980), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [102878] = 5,
    ACTIONS(18262), 1,
      sym__immediate_string_start,
    ACTIONS(18264), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [102923] = 5,
    ACTIONS(18266), 1,
      sym__immediate_string_start,
    ACTIONS(18268), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11880), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11882), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [102968] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103015] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18270), 1,
      sym__immediate_string_start,
    ACTIONS(18272), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103062] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12348), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12346), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [103103] = 4,
    ACTIONS(18186), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [103146] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11524), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11992), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11990), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [103191] = 4,
    ACTIONS(12012), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12112), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12110), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [103234] = 4,
    ACTIONS(12082), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12062), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12060), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [103277] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18154), 1,
      sym__word_identifier,
    STATE(11857), 1,
      sym_identifier,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103324] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12156), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12158), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [103365] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18154), 1,
      sym__word_identifier,
    STATE(11855), 1,
      sym_identifier,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103412] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18270), 1,
      sym__immediate_string_start,
    ACTIONS(18272), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103459] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12170), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12172), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [103500] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12476), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18274), 1,
      anon_sym_DOT,
    ACTIONS(12474), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103553] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103600] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103647] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103694] = 5,
    ACTIONS(18266), 1,
      sym__immediate_string_start,
    ACTIONS(18268), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [103739] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103786] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18276), 1,
      anon_sym_DOT,
    ACTIONS(12476), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12474), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103839] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18258), 1,
      sym__immediate_string_start,
    ACTIONS(18260), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103886] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18154), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    ACTIONS(11978), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [103933] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [103974] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104015] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [104062] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12176), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12178), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104103] = 5,
    ACTIONS(18230), 1,
      sym__word_identifier,
    STATE(11966), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11988), 12,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11986), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104148] = 5,
    ACTIONS(18230), 1,
      sym__word_identifier,
    STATE(11954), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11978), 12,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11980), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104193] = 5,
    ACTIONS(18230), 1,
      sym__word_identifier,
    STATE(11953), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11966), 12,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11968), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104238] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18154), 1,
      sym__word_identifier,
    STATE(11820), 1,
      sym_identifier,
    ACTIONS(11966), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [104285] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12180), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12182), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104326] = 4,
    ACTIONS(12052), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12088), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12090), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [104369] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12184), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12186), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104410] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12188), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12190), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104451] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12192), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12194), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104492] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18276), 1,
      anon_sym_DOT,
    ACTIONS(12512), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12440), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [104545] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17942), 1,
      anon_sym_LF,
    ACTIONS(17940), 2,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(171), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(91), 25,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__assignment_operator,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [104592] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12196), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12198), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104633] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12208), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12206), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104674] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12214), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12216), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104715] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12218), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12220), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104756] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12226), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12228), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104797] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12020), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12022), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104838] = 5,
    ACTIONS(18266), 1,
      sym__immediate_string_start,
    ACTIONS(18268), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(91), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104883] = 5,
    ACTIONS(18262), 1,
      sym__immediate_string_start,
    ACTIONS(18264), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104928] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [104969] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105010] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12230), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12232), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105051] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 1,
      anon_sym_LF,
    ACTIONS(18278), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11958), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [105096] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12234), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12236), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105137] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12254), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12256), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105178] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12258), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12260), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105219] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12262), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12264), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105260] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12026), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12028), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105301] = 10,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18038), 1,
      anon_sym_DOT,
    ACTIONS(18212), 1,
      sym__assignment_operator,
    ACTIONS(18214), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [105356] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12112), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12110), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105397] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12342), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12344), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105438] = 10,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18236), 1,
      anon_sym_DOT,
    ACTIONS(18238), 1,
      sym__assignment_operator,
    ACTIONS(18240), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [105493] = 5,
    ACTIONS(18242), 1,
      anon_sym_do,
    STATE(12117), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11918), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11916), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105538] = 10,
    ACTIONS(17992), 1,
      anon_sym_SQUOTE,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18204), 1,
      anon_sym_DOT,
    ACTIONS(18206), 1,
      sym__assignment_operator,
    ACTIONS(18208), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [105593] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12288), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12290), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105634] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18280), 1,
      sym__immediate_string_start,
    ACTIONS(18282), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [105681] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12296), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12298), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105722] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12300), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12302), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105763] = 5,
    ACTIONS(18266), 1,
      sym__immediate_string_start,
    ACTIONS(18268), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105808] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12136), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12138), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105849] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12162), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12160), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105890] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12242), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12244), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105931] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12318), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12316), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [105972] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12246), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12248), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [106013] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18280), 1,
      sym__immediate_string_start,
    ACTIONS(18282), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [106060] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18254), 1,
      sym__immediate_string_start,
    ACTIONS(18256), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [106107] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18248), 1,
      anon_sym_DOT,
    ACTIONS(18250), 1,
      sym__assignment_operator,
    ACTIONS(18252), 1,
      sym__tilde_operator,
    ACTIONS(18284), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [106164] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11970), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11972), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [106205] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12512), 1,
      anon_sym_LF,
    ACTIONS(18086), 1,
      anon_sym_SQUOTE,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(18092), 1,
      sym__immediate_bracket,
    ACTIONS(18094), 1,
      sym__immediate_brace,
    ACTIONS(18274), 1,
      anon_sym_DOT,
    ACTIONS(12440), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [106258] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12088), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12090), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [106299] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12062), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12060), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [106340] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18286), 1,
      sym__immediate_string_start,
    ACTIONS(18288), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [106387] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18290), 1,
      sym__immediate_string_start,
    ACTIONS(18292), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [106434] = 4,
    ACTIONS(12046), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12020), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12022), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [106477] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18286), 1,
      sym__immediate_string_start,
    ACTIONS(18288), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [106524] = 8,
    ACTIONS(18026), 1,
      anon_sym_SQUOTE,
    ACTIONS(18030), 1,
      sym__immediate_paren,
    ACTIONS(18032), 1,
      sym__immediate_bracket,
    ACTIONS(18034), 1,
      sym__immediate_brace,
    ACTIONS(18294), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12440), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12512), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [106575] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18290), 1,
      sym__immediate_string_start,
    ACTIONS(18292), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [106622] = 4,
    ACTIONS(18296), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [106665] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12706), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12704), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [106706] = 8,
    ACTIONS(18026), 1,
      anon_sym_SQUOTE,
    ACTIONS(18030), 1,
      sym__immediate_paren,
    ACTIONS(18032), 1,
      sym__immediate_bracket,
    ACTIONS(18034), 1,
      sym__immediate_brace,
    ACTIONS(18294), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12474), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12476), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [106757] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11509), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11966), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11968), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [106802] = 4,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [106844] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12014), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12012), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [106884] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(18298), 1,
      anon_sym_DOT,
    ACTIONS(12674), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [106928] = 4,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [106970] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18300), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107026] = 13,
    ACTIONS(18302), 1,
      sym__word_identifier,
    ACTIONS(18304), 1,
      aux_sym_import_path_token1,
    ACTIONS(18306), 1,
      anon_sym_LPAREN,
    ACTIONS(18308), 1,
      anon_sym_DOLLAR,
    ACTIONS(18310), 1,
      anon_sym_AT,
    STATE(6711), 1,
      sym_scoped_identifier,
    STATE(6712), 1,
      sym_identifier,
    STATE(7114), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7966), 2,
      sym__import_list,
      sym_selected_import,
    STATE(6710), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17090), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17088), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [107086] = 11,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107142] = 11,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107198] = 13,
    ACTIONS(18312), 1,
      sym__word_identifier,
    ACTIONS(18314), 1,
      aux_sym_import_path_token1,
    ACTIONS(18316), 1,
      anon_sym_LPAREN,
    ACTIONS(18318), 1,
      anon_sym_DOLLAR,
    ACTIONS(18320), 1,
      anon_sym_AT,
    STATE(11630), 1,
      sym_scoped_identifier,
    STATE(11632), 1,
      sym_identifier,
    STATE(12155), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12317), 2,
      sym__import_list,
      sym_selected_import,
    STATE(11629), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16612), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16610), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [107258] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18324), 1,
      aux_sym_import_path_token1,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18328), 1,
      anon_sym_DOLLAR,
    ACTIONS(18330), 1,
      anon_sym_AT,
    STATE(12370), 1,
      sym_scoped_identifier,
    STATE(12377), 1,
      sym_identifier,
    STATE(13017), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10678), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12484), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [107318] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12326), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12324), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [107358] = 5,
    ACTIONS(17976), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17978), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [107402] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12348), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12346), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [107442] = 29,
    ACTIONS(18332), 1,
      anon_sym_COMMA,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18338), 1,
      anon_sym_RPAREN,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18344), 1,
      anon_sym_SEMI,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14840), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14841), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    STATE(16469), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [107534] = 11,
    ACTIONS(12600), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107590] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18140), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107646] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(18378), 1,
      anon_sym_DOT,
    ACTIONS(12674), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [107690] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12876), 1,
      anon_sym_LF,
    ACTIONS(18298), 1,
      anon_sym_DOT,
    ACTIONS(12874), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [107734] = 11,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107790] = 5,
    ACTIONS(17988), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17990), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [107834] = 13,
    ACTIONS(18380), 1,
      sym__word_identifier,
    ACTIONS(18382), 1,
      aux_sym_import_path_token1,
    ACTIONS(18384), 1,
      anon_sym_LPAREN,
    ACTIONS(18386), 1,
      anon_sym_DOLLAR,
    ACTIONS(18388), 1,
      anon_sym_AT,
    STATE(6659), 1,
      sym_identifier,
    STATE(6665), 1,
      sym_scoped_identifier,
    STATE(7035), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8069), 2,
      sym__import_list,
      sym_selected_import,
    STATE(6687), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16210), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16208), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [107894] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12846), 1,
      anon_sym_LF,
    ACTIONS(18298), 1,
      anon_sym_DOT,
    ACTIONS(12844), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [107938] = 6,
    ACTIONS(18390), 1,
      anon_sym_COMMA,
    ACTIONS(18392), 1,
      anon_sym_as,
    STATE(12133), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12864), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12872), 20,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [107984] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18394), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [108040] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108080] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12852), 1,
      anon_sym_LF,
    ACTIONS(18298), 1,
      anon_sym_DOT,
    ACTIONS(12850), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108124] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12176), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12178), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108164] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18396), 1,
      anon_sym_COMMA,
    ACTIONS(18398), 1,
      anon_sym_as,
    ACTIONS(18400), 1,
      anon_sym_COLON2,
    STATE(11931), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108214] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12180), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12182), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108254] = 13,
    ACTIONS(18402), 1,
      sym__word_identifier,
    ACTIONS(18404), 1,
      aux_sym_import_path_token1,
    ACTIONS(18406), 1,
      anon_sym_LPAREN,
    ACTIONS(18408), 1,
      anon_sym_DOLLAR,
    ACTIONS(18410), 1,
      anon_sym_AT,
    STATE(7550), 1,
      sym_identifier,
    STATE(7552), 1,
      sym_scoped_identifier,
    STATE(8652), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8979), 2,
      sym__import_list,
      sym_selected_import,
    STATE(7554), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17254), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17252), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108314] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12184), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12186), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108354] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12196), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12198), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108394] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12210), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12212), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108434] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12208), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12206), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108474] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12214), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12216), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108514] = 11,
    ACTIONS(13732), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [108570] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12218), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12220), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108610] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13032), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13030), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [108650] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 1,
      anon_sym_LF,
    ACTIONS(12176), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108692] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12226), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12228), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108732] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 1,
      anon_sym_LF,
    ACTIONS(12180), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108774] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 1,
      anon_sym_LF,
    ACTIONS(12184), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108816] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 1,
      anon_sym_LF,
    ACTIONS(12188), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108858] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 1,
      anon_sym_LF,
    ACTIONS(12230), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108900] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 1,
      anon_sym_LF,
    ACTIONS(12196), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108942] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12230), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12232), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [108982] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12234), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12236), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [109022] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 1,
      anon_sym_LF,
    ACTIONS(12208), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109064] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18412), 1,
      anon_sym_COMMA,
    ACTIONS(18414), 1,
      anon_sym_RPAREN,
    ACTIONS(18416), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14997), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15119), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15589), 1,
      sym__comprehension_clause,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [109156] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12250), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12252), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [109196] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 1,
      anon_sym_LF,
    ACTIONS(12214), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109238] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 1,
      anon_sym_LF,
    ACTIONS(12218), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109280] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18418), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [109336] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 1,
      anon_sym_LF,
    ACTIONS(12226), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109378] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12254), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12256), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [109418] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12258), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12260), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [109458] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12262), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12264), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [109498] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12026), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12028), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [109538] = 5,
    ACTIONS(18048), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18050), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [109582] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18420), 1,
      anon_sym_COMMA,
    ACTIONS(18422), 1,
      anon_sym_RPAREN,
    ACTIONS(18424), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15084), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15162), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    STATE(15856), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [109674] = 11,
    ACTIONS(14525), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [109730] = 5,
    ACTIONS(18052), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18054), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [109774] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 1,
      anon_sym_LF,
    ACTIONS(12020), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109816] = 11,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [109872] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109914] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18426), 1,
      anon_sym_COMMA,
    ACTIONS(18428), 1,
      anon_sym_RPAREN,
    ACTIONS(18430), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14823), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14838), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15594), 1,
      sym__comprehension_clause,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [110006] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12192), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12194), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [110046] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18432), 1,
      anon_sym_COMMA,
    ACTIONS(18434), 1,
      anon_sym_as,
    ACTIONS(18436), 1,
      anon_sym_COLON2,
    STATE(12138), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [110096] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12852), 1,
      anon_sym_LF,
    ACTIONS(18438), 1,
      anon_sym_DOT,
    ACTIONS(12850), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [110140] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 1,
      anon_sym_LF,
    ACTIONS(12234), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110182] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12846), 1,
      anon_sym_LF,
    ACTIONS(18438), 1,
      anon_sym_DOT,
    ACTIONS(12844), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [110226] = 13,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18442), 1,
      aux_sym_import_path_token1,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(18446), 1,
      anon_sym_DOLLAR,
    ACTIONS(18448), 1,
      anon_sym_AT,
    STATE(12592), 1,
      sym_identifier,
    STATE(12605), 1,
      sym_scoped_identifier,
    STATE(13165), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12056), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12609), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16582), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [110286] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 1,
      anon_sym_LF,
    ACTIONS(12254), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110328] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18450), 1,
      anon_sym_COMMA,
    ACTIONS(18452), 1,
      anon_sym_RPAREN,
    ACTIONS(18454), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14757), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14760), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16126), 1,
      sym__comprehension_clause,
    STATE(16127), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [110420] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12876), 1,
      anon_sym_LF,
    ACTIONS(18438), 1,
      anon_sym_DOT,
    ACTIONS(12874), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [110464] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 1,
      anon_sym_LF,
    ACTIONS(12258), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110506] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 1,
      anon_sym_LF,
    ACTIONS(12262), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110548] = 5,
    ACTIONS(18070), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18072), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [110592] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 1,
      anon_sym_LF,
    ACTIONS(12026), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110634] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 1,
      anon_sym_LF,
    ACTIONS(12112), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110676] = 13,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(18456), 1,
      aux_sym_import_path_token1,
    ACTIONS(18458), 1,
      anon_sym_DOLLAR,
    ACTIONS(18460), 1,
      anon_sym_AT,
    STATE(11703), 1,
      sym_identifier,
    STATE(11704), 1,
      sym_scoped_identifier,
    STATE(12053), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12056), 2,
      sym__import_list,
      sym_selected_import,
    STATE(11707), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16582), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [110736] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 1,
      anon_sym_LF,
    ACTIONS(12288), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110778] = 11,
    ACTIONS(14784), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [110834] = 11,
    ACTIONS(13398), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [110890] = 4,
    ACTIONS(18462), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12874), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12876), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [110932] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 1,
      anon_sym_LF,
    ACTIONS(11868), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [110974] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 1,
      anon_sym_LF,
    ACTIONS(12296), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [111016] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 1,
      anon_sym_LF,
    ACTIONS(12300), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [111058] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 1,
      anon_sym_LF,
    ACTIONS(12136), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [111100] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 1,
      anon_sym_LF,
    ACTIONS(12162), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [111142] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [111188] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11866), 1,
      anon_sym_LF,
    ACTIONS(11868), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [111230] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [111270] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12876), 1,
      anon_sym_LF,
    ACTIONS(18378), 1,
      anon_sym_DOT,
    ACTIONS(12874), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [111314] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12846), 1,
      anon_sym_LF,
    ACTIONS(18378), 1,
      anon_sym_DOT,
    ACTIONS(12844), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [111358] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 1,
      anon_sym_LF,
    ACTIONS(12242), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [111400] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 1,
      anon_sym_LF,
    ACTIONS(18278), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11958), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [111444] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [111490] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12852), 1,
      anon_sym_LF,
    ACTIONS(18378), 1,
      anon_sym_DOT,
    ACTIONS(12850), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [111534] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_RPAREN,
    ACTIONS(18468), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14689), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14691), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15530), 1,
      sym__comprehension_clause,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [111626] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 1,
      anon_sym_LF,
    ACTIONS(12246), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [111668] = 13,
    ACTIONS(18470), 1,
      sym__word_identifier,
    ACTIONS(18472), 1,
      aux_sym_import_path_token1,
    ACTIONS(18474), 1,
      anon_sym_LPAREN,
    ACTIONS(18476), 1,
      anon_sym_DOLLAR,
    ACTIONS(18478), 1,
      anon_sym_AT,
    STATE(11770), 1,
      sym_identifier,
    STATE(11773), 1,
      sym_scoped_identifier,
    STATE(11922), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12648), 2,
      sym__import_list,
      sym_selected_import,
    STATE(11775), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17312), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17310), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [111728] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [111774] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [111830] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18480), 1,
      anon_sym_COMMA,
    ACTIONS(18482), 1,
      anon_sym_as,
    ACTIONS(18484), 1,
      anon_sym_COLON2,
    STATE(12029), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [111880] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11974), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11984), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [111920] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18486), 1,
      anon_sym_COMMA,
    ACTIONS(18488), 1,
      anon_sym_RPAREN,
    ACTIONS(18490), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14924), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14925), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    STATE(16240), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [112012] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [112058] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 1,
      anon_sym_LF,
    ACTIONS(11970), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [112100] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 1,
      anon_sym_LF,
    ACTIONS(12088), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [112142] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12064), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12082), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [112182] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 1,
      anon_sym_LF,
    ACTIONS(18244), 1,
      aux_sym_float_literal_token2,
    ACTIONS(11958), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [112226] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12288), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12290), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [112266] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18492), 1,
      sym__immediate_string_start,
    ACTIONS(18494), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11884), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [112312] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18496), 1,
      aux_sym_import_path_token1,
    ACTIONS(18498), 1,
      anon_sym_DOLLAR,
    ACTIONS(18500), 1,
      anon_sym_AT,
    STATE(12698), 1,
      sym_identifier,
    STATE(12710), 1,
      sym_scoped_identifier,
    STATE(13016), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10678), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12715), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [112372] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12296), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12298), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [112412] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 1,
      anon_sym_LF,
    ACTIONS(12062), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [112454] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 1,
      anon_sym_LF,
    ACTIONS(12342), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [112496] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11509), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11966), 14,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11968), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [112540] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11512), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11978), 14,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11980), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [112584] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11522), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11988), 14,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11986), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [112628] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11976), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12052), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [112668] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11524), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11992), 14,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11990), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [112712] = 11,
    ACTIONS(12552), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [112768] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 1,
      anon_sym_LF,
    ACTIONS(12318), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [112810] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12018), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12016), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [112850] = 11,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [112906] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12002), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12004), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [112946] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12300), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12302), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [112986] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12136), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12138), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [113026] = 13,
    ACTIONS(18502), 1,
      sym__word_identifier,
    ACTIONS(18504), 1,
      aux_sym_import_path_token1,
    ACTIONS(18506), 1,
      anon_sym_LPAREN,
    ACTIONS(18508), 1,
      anon_sym_DOLLAR,
    ACTIONS(18510), 1,
      anon_sym_AT,
    STATE(7105), 1,
      sym_identifier,
    STATE(7107), 1,
      sym_scoped_identifier,
    STATE(7965), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8285), 2,
      sym__import_list,
      sym_selected_import,
    STATE(7112), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16976), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16974), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [113086] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 1,
      anon_sym_LF,
    ACTIONS(2188), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [113128] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 1,
      anon_sym_LF,
    ACTIONS(12170), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [113170] = 5,
    ACTIONS(18116), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18118), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(91), 11,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(171), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [113214] = 11,
    ACTIONS(12430), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [113270] = 5,
    ACTIONS(18512), 1,
      sym__immediate_string_start,
    ACTIONS(18514), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [113314] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12048), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12050), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [113354] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12674), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12676), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [113394] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(18438), 1,
      anon_sym_DOT,
    ACTIONS(12674), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [113438] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12024), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12046), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [113478] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12042), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12044), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [113518] = 4,
    ACTIONS(18462), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12844), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12846), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [113560] = 4,
    ACTIONS(18462), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12850), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12852), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [113602] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(18516), 1,
      anon_sym_DOT,
    ACTIONS(12674), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [113646] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18518), 1,
      sym__immediate_string_start,
    ACTIONS(18520), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [113692] = 7,
    ACTIONS(18390), 1,
      anon_sym_COMMA,
    ACTIONS(18392), 1,
      anon_sym_as,
    ACTIONS(18522), 1,
      anon_sym_COLON2,
    STATE(12133), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12864), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12872), 20,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [113740] = 11,
    ACTIONS(12792), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [113796] = 4,
    ACTIONS(18462), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12674), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12676), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [113838] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 1,
      anon_sym_LF,
    ACTIONS(12156), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [113880] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12038), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12040), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [113920] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 1,
      anon_sym_LF,
    ACTIONS(12250), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [113962] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [114004] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12034), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12036), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [114044] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12030), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12032), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [114084] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 1,
      anon_sym_LF,
    ACTIONS(12348), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114126] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 1,
      anon_sym_LF,
    ACTIONS(12210), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [114168] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 1,
      anon_sym_LF,
    ACTIONS(2188), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114210] = 11,
    ACTIONS(14713), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [114266] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 1,
      anon_sym_LF,
    ACTIONS(12326), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114308] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 1,
      anon_sym_LF,
    ACTIONS(11958), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114350] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18488), 1,
      anon_sym_RPAREN,
    ACTIONS(18490), 1,
      anon_sym_SEMI,
    ACTIONS(18524), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14924), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15120), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    STATE(16240), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [114442] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114488] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12156), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12158), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [114528] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18526), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [114584] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11986), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11988), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114630] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11980), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11978), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114676] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11968), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11966), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114722] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114768] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18528), 1,
      sym__immediate_string_start,
    ACTIONS(18530), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114814] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114860] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [114906] = 13,
    ACTIONS(18532), 1,
      sym__word_identifier,
    ACTIONS(18534), 1,
      aux_sym_import_path_token1,
    ACTIONS(18536), 1,
      anon_sym_LPAREN,
    ACTIONS(18538), 1,
      anon_sym_DOLLAR,
    ACTIONS(18540), 1,
      anon_sym_AT,
    STATE(6991), 1,
      sym_scoped_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(7625), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8448), 2,
      sym__import_list,
      sym_selected_import,
    STATE(6988), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16816), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16814), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [114966] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [115022] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12170), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12172), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [115062] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12162), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12160), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [115102] = 13,
    ACTIONS(18542), 1,
      sym__word_identifier,
    ACTIONS(18544), 1,
      aux_sym_import_path_token1,
    ACTIONS(18546), 1,
      anon_sym_LPAREN,
    ACTIONS(18548), 1,
      anon_sym_DOLLAR,
    ACTIONS(18550), 1,
      anon_sym_AT,
    STATE(6962), 1,
      sym_scoped_identifier,
    STATE(6963), 1,
      sym_identifier,
    STATE(7688), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8589), 2,
      sym__import_list,
      sym_selected_import,
    STATE(6957), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17062), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17060), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [115162] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11990), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11992), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [115208] = 11,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [115264] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12704), 1,
      anon_sym_LF,
    ACTIONS(12706), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115306] = 11,
    ACTIONS(12728), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [115362] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18552), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_RPAREN,
    ACTIONS(18556), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14619), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14620), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    STATE(15910), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [115454] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12246), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12248), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [115494] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 1,
      anon_sym_LF,
    ACTIONS(12192), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115536] = 11,
    ACTIONS(14943), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [115592] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18558), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [115648] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12242), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12244), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [115688] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18560), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [115744] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [115790] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18562), 1,
      sym__immediate_string_start,
    ACTIONS(18564), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [115836] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [115882] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [115928] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18566), 1,
      aux_sym_import_path_token1,
    ACTIONS(18568), 1,
      anon_sym_DOLLAR,
    ACTIONS(18570), 1,
      anon_sym_AT,
    STATE(11656), 1,
      sym_identifier,
    STATE(11660), 1,
      sym_scoped_identifier,
    STATE(12095), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10678), 2,
      sym__import_list,
      sym_selected_import,
    STATE(11666), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [115988] = 11,
    ACTIONS(14521), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [116044] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18572), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [116100] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [116146] = 11,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [116202] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18492), 1,
      sym__immediate_string_start,
    ACTIONS(18494), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11926), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [116248] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18574), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [116304] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18576), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [116360] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12112), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12110), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [116400] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18518), 1,
      sym__immediate_string_start,
    ACTIONS(18520), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [116446] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18578), 1,
      anon_sym_COMMA,
    ACTIONS(18580), 1,
      anon_sym_RPAREN,
    ACTIONS(18582), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14612), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14614), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    STATE(15634), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [116538] = 10,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18248), 1,
      anon_sym_DOT,
    ACTIONS(18250), 1,
      sym__assignment_operator,
    ACTIONS(18252), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [116592] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18396), 1,
      anon_sym_COMMA,
    ACTIONS(18398), 1,
      anon_sym_as,
    STATE(11931), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [116640] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12876), 1,
      anon_sym_LF,
    ACTIONS(18516), 1,
      anon_sym_DOT,
    ACTIONS(12874), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [116684] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12704), 1,
      anon_sym_LF,
    ACTIONS(12706), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [116726] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12212), 1,
      anon_sym_LF,
    ACTIONS(12210), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [116768] = 11,
    ACTIONS(12412), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [116824] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12846), 1,
      anon_sym_LF,
    ACTIONS(18516), 1,
      anon_sym_DOT,
    ACTIONS(12844), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [116868] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12020), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12022), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [116908] = 4,
    ACTIONS(18584), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [116950] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12852), 1,
      anon_sym_LF,
    ACTIONS(18516), 1,
      anon_sym_DOT,
    ACTIONS(12850), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [116994] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18586), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [117050] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_as,
    ACTIONS(18592), 1,
      anon_sym_COLON2,
    STATE(11965), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [117100] = 11,
    ACTIONS(12392), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [117156] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18594), 1,
      aux_sym_import_path_token1,
    ACTIONS(18596), 1,
      anon_sym_DOLLAR,
    ACTIONS(18598), 1,
      anon_sym_AT,
    STATE(11583), 1,
      sym_identifier,
    STATE(11587), 1,
      sym_scoped_identifier,
    STATE(12201), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10678), 2,
      sym__import_list,
      sym_selected_import,
    STATE(11589), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [117216] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18432), 1,
      anon_sym_COMMA,
    ACTIONS(18434), 1,
      anon_sym_as,
    STATE(12138), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [117264] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12252), 1,
      anon_sym_LF,
    ACTIONS(12250), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [117306] = 11,
    ACTIONS(12644), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [117362] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [117408] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [117454] = 5,
    ACTIONS(18512), 1,
      sym__immediate_string_start,
    ACTIONS(18514), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [117498] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [117544] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [117590] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_as,
    STATE(11965), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [117638] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18202), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [117694] = 11,
    ACTIONS(14874), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [117750] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12158), 1,
      anon_sym_LF,
    ACTIONS(12156), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [117792] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18600), 1,
      anon_sym_COMMA,
    ACTIONS(18602), 1,
      anon_sym_RPAREN,
    ACTIONS(18604), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14923), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15087), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    STATE(16364), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [117884] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11970), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11972), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [117924] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18606), 1,
      anon_sym_COMMA,
    ACTIONS(18608), 1,
      anon_sym_RPAREN,
    ACTIONS(18610), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14571), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14726), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    STATE(16388), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [118016] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18480), 1,
      anon_sym_COMMA,
    ACTIONS(18482), 1,
      anon_sym_as,
    STATE(12029), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [118064] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18246), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [118120] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18528), 1,
      sym__immediate_string_start,
    ACTIONS(18530), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [118166] = 11,
    ACTIONS(13257), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [118222] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18612), 1,
      aux_sym_import_path_token1,
    ACTIONS(18614), 1,
      anon_sym_DOLLAR,
    ACTIONS(18616), 1,
      anon_sym_AT,
    STATE(12069), 1,
      sym_scoped_identifier,
    STATE(12071), 1,
      sym_identifier,
    STATE(12488), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10678), 2,
      sym__import_list,
      sym_selected_import,
    STATE(11996), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [118282] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12088), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12090), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [118322] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12188), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12190), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [118362] = 13,
    ACTIONS(18618), 1,
      sym__word_identifier,
    ACTIONS(18620), 1,
      aux_sym_import_path_token1,
    ACTIONS(18622), 1,
      anon_sym_LPAREN,
    ACTIONS(18624), 1,
      anon_sym_DOLLAR,
    ACTIONS(18626), 1,
      anon_sym_AT,
    STATE(7736), 1,
      sym_scoped_identifier,
    STATE(7737), 1,
      sym_identifier,
    STATE(8543), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9126), 2,
      sym__import_list,
      sym_selected_import,
    STATE(7718), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17348), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17346), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [118422] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12172), 1,
      anon_sym_LF,
    ACTIONS(12170), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [118464] = 11,
    ACTIONS(12710), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [118520] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12178), 1,
      anon_sym_LF,
    ACTIONS(12176), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [118562] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(18628), 1,
      sym__immediate_string_start,
    ACTIONS(18630), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [118608] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18114), 1,
      anon_sym_EQ,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [118664] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18632), 1,
      aux_sym_import_path_token1,
    ACTIONS(18634), 1,
      anon_sym_DOLLAR,
    ACTIONS(18636), 1,
      anon_sym_AT,
    STATE(12129), 1,
      sym_scoped_identifier,
    STATE(12131), 1,
      sym_identifier,
    STATE(12402), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10678), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12126), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [118724] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12316), 1,
      anon_sym_LF,
    ACTIONS(12318), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [118766] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12344), 1,
      anon_sym_LF,
    ACTIONS(12342), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [118808] = 11,
    ACTIONS(12528), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [118864] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18638), 1,
      anon_sym_COMMA,
    ACTIONS(18640), 1,
      anon_sym_RPAREN,
    ACTIONS(18642), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15116), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15152), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    STATE(15879), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [118956] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12182), 1,
      anon_sym_LF,
    ACTIONS(12180), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [118998] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11960), 1,
      anon_sym_LF,
    ACTIONS(11958), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119040] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18644), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [119096] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12186), 1,
      anon_sym_LF,
    ACTIONS(12184), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [119138] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12324), 1,
      anon_sym_LF,
    ACTIONS(12326), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119180] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18628), 1,
      sym__immediate_string_start,
    ACTIONS(18630), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [119226] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(11884), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [119268] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12190), 1,
      anon_sym_LF,
    ACTIONS(12188), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [119310] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12346), 1,
      anon_sym_LF,
    ACTIONS(12348), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119352] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12194), 1,
      anon_sym_LF,
    ACTIONS(12192), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [119394] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12198), 1,
      anon_sym_LF,
    ACTIONS(12196), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [119436] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [119476] = 13,
    ACTIONS(18646), 1,
      sym__word_identifier,
    ACTIONS(18648), 1,
      aux_sym_import_path_token1,
    ACTIONS(18650), 1,
      anon_sym_LPAREN,
    ACTIONS(18652), 1,
      anon_sym_DOLLAR,
    ACTIONS(18654), 1,
      anon_sym_AT,
    STATE(6909), 1,
      sym_identifier,
    STATE(7004), 1,
      sym_scoped_identifier,
    STATE(7796), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8371), 2,
      sym__import_list,
      sym_selected_import,
    STATE(6930), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16866), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16864), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [119536] = 13,
    ACTIONS(18656), 1,
      sym__word_identifier,
    ACTIONS(18658), 1,
      aux_sym_import_path_token1,
    ACTIONS(18660), 1,
      anon_sym_LPAREN,
    ACTIONS(18662), 1,
      anon_sym_DOLLAR,
    ACTIONS(18664), 1,
      anon_sym_AT,
    STATE(6834), 1,
      sym_identifier,
    STATE(6843), 1,
      sym_scoped_identifier,
    STATE(6859), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7764), 2,
      sym__import_list,
      sym_selected_import,
    STATE(6838), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17196), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17194), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [119596] = 11,
    ACTIONS(14842), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [119652] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(18562), 1,
      sym__immediate_string_start,
    ACTIONS(18564), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [119698] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2188), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(2186), 23,
      sym__immediate_paren,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [119738] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18666), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [119794] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(11926), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [119836] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12090), 1,
      anon_sym_LF,
    ACTIONS(12088), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [119878] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12062), 12,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__assignment_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(12060), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [119918] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12206), 1,
      anon_sym_LF,
    ACTIONS(12208), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [119960] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18668), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [120016] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12216), 1,
      anon_sym_LF,
    ACTIONS(12214), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120058] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12248), 1,
      anon_sym_LF,
    ACTIONS(12246), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120100] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12220), 1,
      anon_sym_LF,
    ACTIONS(12218), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120142] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18132), 1,
      sym__assignment_operator,
    ACTIONS(18134), 1,
      sym__tilde_operator,
    ACTIONS(18670), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [120198] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18672), 1,
      anon_sym_COMMA,
    ACTIONS(18674), 1,
      anon_sym_RPAREN,
    ACTIONS(18676), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15015), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15017), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    STATE(16578), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [120290] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12244), 1,
      anon_sym_LF,
    ACTIONS(12242), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120332] = 29,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18678), 1,
      anon_sym_COMMA,
    ACTIONS(18680), 1,
      anon_sym_RPAREN,
    ACTIONS(18682), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(14582), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14584), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15595), 1,
      aux_sym_argument_list_repeat1,
    STATE(15685), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [120424] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12160), 1,
      anon_sym_LF,
    ACTIONS(12162), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120466] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12138), 1,
      anon_sym_LF,
    ACTIONS(12136), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120508] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12302), 1,
      anon_sym_LF,
    ACTIONS(12300), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120550] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12298), 1,
      anon_sym_LF,
    ACTIONS(12296), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120592] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12290), 1,
      anon_sym_LF,
    ACTIONS(12288), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120634] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12228), 1,
      anon_sym_LF,
    ACTIONS(12226), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120676] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18684), 1,
      aux_sym_import_path_token1,
    ACTIONS(18686), 1,
      anon_sym_DOLLAR,
    ACTIONS(18688), 1,
      anon_sym_AT,
    STATE(12160), 1,
      sym_scoped_identifier,
    STATE(12164), 1,
      sym_identifier,
    STATE(12385), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10678), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12153), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [120736] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12022), 1,
      anon_sym_LF,
    ACTIONS(12020), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120778] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12060), 1,
      anon_sym_LF,
    ACTIONS(12062), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120820] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12110), 1,
      anon_sym_LF,
    ACTIONS(12112), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120862] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12028), 1,
      anon_sym_LF,
    ACTIONS(12026), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120904] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12264), 1,
      anon_sym_LF,
    ACTIONS(12262), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120946] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12260), 1,
      anon_sym_LF,
    ACTIONS(12258), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [120988] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12256), 1,
      anon_sym_LF,
    ACTIONS(12254), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [121030] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12232), 1,
      anon_sym_LF,
    ACTIONS(12230), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [121072] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11972), 1,
      anon_sym_LF,
    ACTIONS(11970), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [121114] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12236), 1,
      anon_sym_LF,
    ACTIONS(12234), 30,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [121156] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [121195] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12322), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12320), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [121234] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18690), 1,
      anon_sym_COMMA,
    ACTIONS(18692), 1,
      anon_sym_RPAREN,
    ACTIONS(18694), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14871), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14877), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17419), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [121323] = 13,
    ACTIONS(18402), 1,
      sym__word_identifier,
    ACTIONS(18404), 1,
      aux_sym_import_path_token1,
    ACTIONS(18406), 1,
      anon_sym_LPAREN,
    ACTIONS(18408), 1,
      anon_sym_DOLLAR,
    ACTIONS(18410), 1,
      anon_sym_AT,
    STATE(7550), 1,
      sym_identifier,
    STATE(7552), 1,
      sym_scoped_identifier,
    STATE(8652), 1,
      sym_import_alias,
    STATE(8863), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7519), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17254), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17252), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [121382] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18696), 1,
      anon_sym_COMMA,
    ACTIONS(18698), 1,
      anon_sym_as,
    STATE(12883), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [121429] = 28,
    ACTIONS(8202), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18700), 1,
      anon_sym_COMMA,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(17199), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [121518] = 28,
    ACTIONS(8252), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(18704), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(16986), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [121607] = 28,
    ACTIONS(8412), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(18706), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(17204), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [121696] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18708), 1,
      anon_sym_COMMA,
    ACTIONS(18710), 1,
      anon_sym_RPAREN,
    ACTIONS(18712), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14638), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14639), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17690), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [121785] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18714), 1,
      anon_sym_COMMA,
    ACTIONS(18716), 1,
      anon_sym_RPAREN,
    ACTIONS(18718), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15042), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15045), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17425), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [121874] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18720), 1,
      anon_sym_COMMA,
    ACTIONS(18722), 1,
      anon_sym_RPAREN,
    ACTIONS(18724), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14627), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14629), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17697), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [121963] = 28,
    ACTIONS(8400), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(18726), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(16940), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [122052] = 13,
    ACTIONS(18542), 1,
      sym__word_identifier,
    ACTIONS(18544), 1,
      aux_sym_import_path_token1,
    ACTIONS(18546), 1,
      anon_sym_LPAREN,
    ACTIONS(18548), 1,
      anon_sym_DOLLAR,
    ACTIONS(18550), 1,
      anon_sym_AT,
    STATE(6962), 1,
      sym_scoped_identifier,
    STATE(6963), 1,
      sym_identifier,
    STATE(7688), 1,
      sym_import_alias,
    STATE(8681), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7261), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17062), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17060), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [122111] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18728), 1,
      anon_sym_COMMA,
    ACTIONS(18730), 1,
      anon_sym_RPAREN,
    ACTIONS(18732), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14680), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14793), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17977), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [122200] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18632), 1,
      aux_sym_import_path_token1,
    ACTIONS(18634), 1,
      anon_sym_DOLLAR,
    ACTIONS(18636), 1,
      anon_sym_AT,
    STATE(10767), 1,
      sym__import_list,
    STATE(12129), 1,
      sym_scoped_identifier,
    STATE(12131), 1,
      sym_identifier,
    STATE(12402), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11862), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [122259] = 13,
    ACTIONS(18618), 1,
      sym__word_identifier,
    ACTIONS(18620), 1,
      aux_sym_import_path_token1,
    ACTIONS(18622), 1,
      anon_sym_LPAREN,
    ACTIONS(18624), 1,
      anon_sym_DOLLAR,
    ACTIONS(18626), 1,
      anon_sym_AT,
    STATE(7736), 1,
      sym_scoped_identifier,
    STATE(7737), 1,
      sym_identifier,
    STATE(8543), 1,
      sym_import_alias,
    STATE(9083), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7699), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17348), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17346), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [122318] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17526), 1,
      anon_sym_DASH_GT,
    ACTIONS(17722), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [122363] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17722), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [122408] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18746), 1,
      anon_sym_QMARK,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    STATE(12233), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13210), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [122489] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17532), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122532] = 13,
    ACTIONS(18470), 1,
      sym__word_identifier,
    ACTIONS(18472), 1,
      aux_sym_import_path_token1,
    ACTIONS(18474), 1,
      anon_sym_LPAREN,
    ACTIONS(18476), 1,
      anon_sym_DOLLAR,
    ACTIONS(18478), 1,
      anon_sym_AT,
    STATE(11770), 1,
      sym_identifier,
    STATE(11773), 1,
      sym_scoped_identifier,
    STATE(11922), 1,
      sym_import_alias,
    STATE(12739), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11786), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17312), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17310), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [122591] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18772), 1,
      anon_sym_COMMA,
    ACTIONS(18774), 1,
      anon_sym_RPAREN,
    ACTIONS(18776), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14987), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14990), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17952), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [122680] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18778), 1,
      anon_sym_COMMA,
    ACTIONS(18780), 1,
      anon_sym_RPAREN,
    ACTIONS(18782), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15066), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15068), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17481), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [122769] = 28,
    ACTIONS(8148), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(18784), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(16844), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [122858] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18786), 1,
      anon_sym_COMMA,
    ACTIONS(18788), 1,
      anon_sym_RPAREN,
    ACTIONS(18790), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14840), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14841), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17465), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [122947] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18792), 1,
      anon_sym_COMMA,
    ACTIONS(18794), 1,
      anon_sym_RPAREN,
    ACTIONS(18796), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15009), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15011), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17969), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [123036] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17514), 1,
      anon_sym_DASH_GT,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123081] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18798), 1,
      anon_sym_COMMA,
    ACTIONS(18800), 1,
      anon_sym_RPAREN,
    ACTIONS(18802), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15099), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15104), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17522), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [123170] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18804), 1,
      anon_sym_COMMA,
    ACTIONS(18806), 1,
      anon_sym_RPAREN,
    ACTIONS(18808), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14934), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14935), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17379), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [123259] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18810), 1,
      anon_sym_COMMA,
    ACTIONS(18812), 1,
      anon_sym_RPAREN,
    ACTIONS(18814), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15047), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15049), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17434), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [123348] = 13,
    ACTIONS(18302), 1,
      sym__word_identifier,
    ACTIONS(18304), 1,
      aux_sym_import_path_token1,
    ACTIONS(18306), 1,
      anon_sym_LPAREN,
    ACTIONS(18308), 1,
      anon_sym_DOLLAR,
    ACTIONS(18310), 1,
      anon_sym_AT,
    STATE(6711), 1,
      sym_scoped_identifier,
    STATE(6712), 1,
      sym_identifier,
    STATE(7114), 1,
      sym_import_alias,
    STATE(7803), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6803), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17090), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17088), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [123407] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17808), 1,
      sym__immediate_paren,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123450] = 13,
    ACTIONS(18656), 1,
      sym__word_identifier,
    ACTIONS(18658), 1,
      aux_sym_import_path_token1,
    ACTIONS(18660), 1,
      anon_sym_LPAREN,
    ACTIONS(18662), 1,
      anon_sym_DOLLAR,
    ACTIONS(18664), 1,
      anon_sym_AT,
    STATE(6834), 1,
      sym_identifier,
    STATE(6843), 1,
      sym_scoped_identifier,
    STATE(6859), 1,
      sym_import_alias,
    STATE(7800), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6808), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17196), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17194), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [123509] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18816), 1,
      anon_sym_COMMA,
    ACTIONS(18818), 1,
      anon_sym_RPAREN,
    ACTIONS(18820), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15117), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15118), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17535), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [123598] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18684), 1,
      aux_sym_import_path_token1,
    ACTIONS(18686), 1,
      anon_sym_DOLLAR,
    ACTIONS(18688), 1,
      anon_sym_AT,
    STATE(10767), 1,
      sym__import_list,
    STATE(12160), 1,
      sym_scoped_identifier,
    STATE(12164), 1,
      sym_identifier,
    STATE(12385), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11918), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [123657] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12974), 1,
      anon_sym_LF,
    ACTIONS(18822), 1,
      anon_sym_COMMA,
    STATE(11893), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(12976), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [123702] = 26,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18827), 1,
      anon_sym_LF,
    ACTIONS(18829), 1,
      anon_sym_QMARK,
    ACTIONS(18831), 1,
      aux_sym__terminator_token1,
    STATE(14449), 1,
      aux_sym_open_tuple_repeat1,
    STATE(15001), 1,
      aux_sym__block_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18825), 3,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [123787] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18833), 1,
      anon_sym_COMMA,
    ACTIONS(18835), 1,
      anon_sym_RPAREN,
    ACTIONS(18837), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14739), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14741), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17591), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [123876] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18839), 1,
      anon_sym_COMMA,
    ACTIONS(18841), 1,
      anon_sym_RPAREN,
    ACTIONS(18843), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14997), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15119), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17369), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [123965] = 5,
    ACTIONS(18845), 1,
      sym__immediate_string_start,
    ACTIONS(18847), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [124008] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18849), 1,
      sym__immediate_string_start,
    ACTIONS(18851), 1,
      sym__immediate_command_start,
    ACTIONS(11886), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11884), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [124053] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18853), 1,
      anon_sym_COMMA,
    ACTIONS(18855), 1,
      anon_sym_RPAREN,
    ACTIONS(18857), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14757), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14760), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17857), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [124142] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13828), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13830), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [124181] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18859), 1,
      anon_sym_COMMA,
    ACTIONS(18861), 1,
      anon_sym_RPAREN,
    ACTIONS(18863), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14844), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14845), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17458), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [124270] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(18434), 1,
      anon_sym_as,
    ACTIONS(12950), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [124313] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18865), 1,
      anon_sym_COMMA,
    ACTIONS(18867), 1,
      anon_sym_RPAREN,
    ACTIONS(18869), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14992), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14993), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17365), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [124402] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(18871), 1,
      anon_sym_COMMA,
    STATE(11904), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12950), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [124447] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(18482), 1,
      anon_sym_as,
    ACTIONS(12950), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [124490] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13824), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13826), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [124529] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(151), 1,
      anon_sym_DASH_GT,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17796), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [124574] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18874), 1,
      anon_sym_COMMA,
    ACTIONS(18876), 1,
      anon_sym_RPAREN,
    ACTIONS(18878), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14832), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14861), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17436), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [124663] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18880), 1,
      anon_sym_COMMA,
    ACTIONS(18882), 1,
      anon_sym_RPAREN,
    ACTIONS(18884), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14825), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14826), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17495), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [124752] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12974), 1,
      anon_sym_LF,
    ACTIONS(18886), 1,
      anon_sym_COMMA,
    STATE(11910), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(12976), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [124797] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13744), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13746), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [124836] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17534), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [124879] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13690), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13692), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [124918] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13112), 1,
      anon_sym_LF,
    ACTIONS(18889), 1,
      anon_sym_COMMA,
    STATE(11949), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13114), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124963] = 8,
    ACTIONS(18891), 1,
      anon_sym_SQUOTE,
    ACTIONS(18893), 1,
      anon_sym_DOT,
    ACTIONS(18895), 1,
      sym__immediate_paren,
    ACTIONS(18897), 1,
      sym__immediate_bracket,
    ACTIONS(18899), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12370), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12372), 18,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [125012] = 28,
    ACTIONS(8132), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(18901), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(16792), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [125101] = 28,
    ACTIONS(8170), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(18903), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(17089), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [125190] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18905), 1,
      anon_sym_COMMA,
    ACTIONS(18907), 1,
      anon_sym_as,
    STATE(12879), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [125237] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18909), 1,
      anon_sym_COMMA,
    ACTIONS(18911), 1,
      anon_sym_RPAREN,
    ACTIONS(18913), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14667), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14669), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18139), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [125326] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18566), 1,
      aux_sym_import_path_token1,
    ACTIONS(18568), 1,
      anon_sym_DOLLAR,
    ACTIONS(18570), 1,
      anon_sym_AT,
    STATE(10767), 1,
      sym__import_list,
    STATE(11656), 1,
      sym_identifier,
    STATE(11660), 1,
      sym_scoped_identifier,
    STATE(12095), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11793), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [125385] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13684), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13686), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [125424] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    STATE(11965), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125469] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13660), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13662), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [125508] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12326), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12324), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [125547] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12348), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12346), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [125586] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2188), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(2186), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [125625] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11960), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [125664] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18915), 1,
      anon_sym_COMMA,
    ACTIONS(18917), 1,
      anon_sym_RPAREN,
    ACTIONS(18919), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14903), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14905), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17897), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [125753] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13170), 1,
      anon_sym_LF,
    ACTIONS(18921), 1,
      anon_sym_COMMA,
    STATE(11957), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13166), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125798] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18923), 1,
      anon_sym_COMMA,
    ACTIONS(18925), 1,
      anon_sym_RPAREN,
    ACTIONS(18927), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15111), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15113), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18012), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [125887] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13162), 1,
      anon_sym_LF,
    ACTIONS(18396), 1,
      anon_sym_COMMA,
    STATE(11960), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(13164), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125932] = 13,
    ACTIONS(18646), 1,
      sym__word_identifier,
    ACTIONS(18648), 1,
      aux_sym_import_path_token1,
    ACTIONS(18650), 1,
      anon_sym_LPAREN,
    ACTIONS(18652), 1,
      anon_sym_DOLLAR,
    ACTIONS(18654), 1,
      anon_sym_AT,
    STATE(6909), 1,
      sym_identifier,
    STATE(7004), 1,
      sym_scoped_identifier,
    STATE(7796), 1,
      sym_import_alias,
    STATE(8180), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7174), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16866), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16864), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [125991] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18929), 1,
      anon_sym_COMMA,
    ACTIONS(18931), 1,
      anon_sym_RPAREN,
    ACTIONS(18933), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14743), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14744), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17583), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [126080] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18594), 1,
      aux_sym_import_path_token1,
    ACTIONS(18596), 1,
      anon_sym_DOLLAR,
    ACTIONS(18598), 1,
      anon_sym_AT,
    STATE(10767), 1,
      sym__import_list,
    STATE(11583), 1,
      sym_identifier,
    STATE(11587), 1,
      sym_scoped_identifier,
    STATE(12201), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11765), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [126139] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13170), 1,
      anon_sym_LF,
    ACTIONS(18935), 1,
      anon_sym_COMMA,
    STATE(11910), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13166), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [126184] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13656), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13658), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126223] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13632), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13634), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126262] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(18937), 1,
      anon_sym_DOT,
    ACTIONS(12674), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [126305] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12210), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12212), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126344] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18939), 1,
      anon_sym_COMMA,
    ACTIONS(18941), 1,
      anon_sym_RPAREN,
    ACTIONS(18943), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14575), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14576), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17775), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [126433] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12250), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12252), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126472] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12156), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12158), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126511] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18945), 1,
      anon_sym_COMMA,
    ACTIONS(18947), 1,
      anon_sym_RPAREN,
    ACTIONS(18949), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15120), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15164), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17616), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [126600] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(12674), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [126641] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12170), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12172), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126680] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17744), 1,
      sym__immediate_paren,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [126723] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17744), 1,
      sym__immediate_paren,
    ACTIONS(17796), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [126768] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12176), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12178), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126807] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13170), 1,
      anon_sym_LF,
    ACTIONS(18889), 1,
      anon_sym_COMMA,
    STATE(12003), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13166), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [126852] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12180), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12182), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126891] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12184), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12186), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126930] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12188), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12190), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126969] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12192), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12194), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127008] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12196), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12198), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127047] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12208), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12206), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127086] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12214), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12216), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127125] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12974), 1,
      anon_sym_LF,
    ACTIONS(18951), 1,
      anon_sym_COMMA,
    STATE(11957), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(12976), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [127170] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(18398), 1,
      anon_sym_as,
    ACTIONS(12950), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [127213] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13560), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13562), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127252] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(18954), 1,
      anon_sym_COMMA,
    STATE(11960), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12950), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [127297] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13282), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13284), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127336] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12218), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12220), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127375] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12226), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12228), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127414] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12020), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12022), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127453] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13162), 1,
      anon_sym_LF,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    STATE(12019), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(13164), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [127498] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12230), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12232), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127537] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13400), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13402), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127576] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12234), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12236), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127615] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12254), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12256), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127654] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12258), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12260), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127693] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18969), 1,
      anon_sym_QMARK,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    STATE(12223), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13210), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [127774] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12262), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12264), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127813] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12026), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12028), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127852] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12112), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12110), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [127891] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18995), 1,
      anon_sym_COMMA,
    ACTIONS(18997), 1,
      anon_sym_RPAREN,
    ACTIONS(18999), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14692), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14696), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17843), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [127980] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 2,
      sym__immediate_paren,
      anon_sym_LF,
    ACTIONS(2188), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128021] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [128066] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(19001), 1,
      anon_sym_COMMA,
    STATE(11978), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128111] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18746), 1,
      anon_sym_QMARK,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    STATE(12233), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13054), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [128192] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12288), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12290), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128231] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12296), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12298), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128270] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12300), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12302), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128309] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12136), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12138), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128348] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(19004), 1,
      anon_sym_COMMA,
    STATE(11978), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128393] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12162), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12160), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128432] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12242), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12244), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128471] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18746), 1,
      anon_sym_QMARK,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    STATE(12233), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13092), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [128552] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12246), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12248), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128591] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13259), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13261), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128630] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18746), 1,
      anon_sym_QMARK,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    STATE(12233), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13102), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [128711] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13286), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13288), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128750] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(12674), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128791] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13426), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13428), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128830] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13340), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13342), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128869] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12152), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12154), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128908] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(19006), 1,
      anon_sym_COMMA,
    ACTIONS(19008), 1,
      anon_sym_as,
    ACTIONS(19010), 1,
      anon_sym_COLON2,
    STATE(12455), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 25,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [128957] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(19012), 1,
      anon_sym_DOT,
    ACTIONS(12674), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129000] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11968), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11966), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [129045] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11980), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11978), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [129090] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11970), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11972), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [129129] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19014), 1,
      anon_sym_COMMA,
    ACTIONS(19016), 1,
      anon_sym_RPAREN,
    ACTIONS(19018), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14912), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14914), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18095), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [129218] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12088), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12090), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [129257] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12974), 1,
      anon_sym_LF,
    ACTIONS(19020), 1,
      anon_sym_COMMA,
    STATE(12003), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(12976), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129302] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11986), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11988), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [129347] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11990), 1,
      anon_sym_LF,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11992), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [129392] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(19023), 1,
      anon_sym_COMMA,
    STATE(12006), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129437] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13386), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13388), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [129476] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12062), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12060), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [129515] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    STATE(12006), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129560] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13408), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13410), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [129599] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17808), 1,
      sym__immediate_paren,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129642] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17534), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [129685] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19004), 1,
      anon_sym_COMMA,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19036), 1,
      anon_sym_QMARK,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    STATE(11984), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13054), 5,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [129766] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19062), 1,
      anon_sym_COMMA,
    ACTIONS(19064), 1,
      anon_sym_RPAREN,
    ACTIONS(19066), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14971), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14975), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17344), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [129855] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [129894] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17536), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [129937] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19068), 1,
      anon_sym_COMMA,
    ACTIONS(19070), 1,
      anon_sym_RPAREN,
    ACTIONS(19072), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15155), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15157), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17589), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [130026] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13412), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13414), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130065] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(19074), 1,
      anon_sym_COMMA,
    STATE(12019), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12950), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130110] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17536), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [130153] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18849), 1,
      sym__immediate_string_start,
    ACTIONS(18851), 1,
      sym__immediate_command_start,
    ACTIONS(11928), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11926), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [130198] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13480), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13482), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130237] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19077), 1,
      anon_sym_COMMA,
    ACTIONS(19079), 1,
      anon_sym_RPAREN,
    ACTIONS(19081), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14551), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14556), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17800), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [130326] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13484), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13486), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130365] = 26,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(19083), 1,
      anon_sym_LF,
    ACTIONS(19085), 1,
      anon_sym_QMARK,
    ACTIONS(19087), 1,
      aux_sym__terminator_token1,
    STATE(14441), 1,
      aux_sym_open_tuple_repeat1,
    STATE(15090), 1,
      aux_sym__block_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18825), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [130450] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19089), 1,
      anon_sym_COMMA,
    ACTIONS(19091), 1,
      anon_sym_RPAREN,
    ACTIONS(19093), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14571), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14726), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18130), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [130539] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18612), 1,
      aux_sym_import_path_token1,
    ACTIONS(18614), 1,
      anon_sym_DOLLAR,
    ACTIONS(18616), 1,
      anon_sym_AT,
    STATE(10767), 1,
      sym__import_list,
    STATE(12069), 1,
      sym_scoped_identifier,
    STATE(12071), 1,
      sym_identifier,
    STATE(12488), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12225), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [130598] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13508), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13510), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130637] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13162), 1,
      anon_sym_LF,
    ACTIONS(18480), 1,
      anon_sym_COMMA,
    STATE(11904), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(13164), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [130682] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13522), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13524), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130721] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17808), 1,
      sym__immediate_paren,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130766] = 28,
    ACTIONS(8450), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19095), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(17078), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [130855] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13540), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13542), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130894] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11928), 1,
      anon_sym_LF,
    ACTIONS(19097), 1,
      sym__immediate_string_start,
    ACTIONS(19099), 1,
      sym__immediate_command_start,
    ACTIONS(11926), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [130939] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19101), 1,
      anon_sym_COMMA,
    ACTIONS(19103), 1,
      anon_sym_RPAREN,
    ACTIONS(19105), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15093), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15094), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17991), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [131028] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19107), 1,
      anon_sym_COMMA,
    ACTIONS(19109), 1,
      anon_sym_RPAREN,
    ACTIONS(19111), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14582), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14584), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17810), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [131117] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14246), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14244), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131156] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19113), 1,
      anon_sym_COMMA,
    ACTIONS(19115), 1,
      anon_sym_RPAREN,
    ACTIONS(19117), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15015), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15017), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17612), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [131245] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14270), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14268), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131284] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19119), 1,
      anon_sym_COMMA,
    ACTIONS(19121), 1,
      anon_sym_RPAREN,
    ACTIONS(19123), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14823), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14838), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18102), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [131373] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19004), 1,
      anon_sym_COMMA,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19036), 1,
      anon_sym_QMARK,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    STATE(11984), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13102), 5,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [131454] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13242), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13240), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131493] = 10,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(19125), 1,
      sym__assignment_operator,
    ACTIONS(19127), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 14,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [131546] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(19129), 1,
      anon_sym_COMMA,
    STATE(12044), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12950), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [131591] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131630] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19132), 1,
      anon_sym_COMMA,
    ACTIONS(19134), 1,
      anon_sym_RPAREN,
    ACTIONS(19136), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14676), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18140), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [131719] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14120), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14118), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131758] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18324), 1,
      aux_sym_import_path_token1,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18328), 1,
      anon_sym_DOLLAR,
    ACTIONS(18330), 1,
      anon_sym_AT,
    STATE(10767), 1,
      sym__import_list,
    STATE(12370), 1,
      sym_scoped_identifier,
    STATE(12377), 1,
      sym_identifier,
    STATE(13017), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12872), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [131817] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131856] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17520), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131899] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17526), 1,
      anon_sym_DASH_GT,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [131944] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131983] = 5,
    ACTIONS(18390), 1,
      anon_sym_COMMA,
    STATE(12133), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12864), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12872), 20,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132026] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11524), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11992), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11990), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132069] = 28,
    ACTIONS(7988), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19138), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(17179), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [132158] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14131), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14129), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132197] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19140), 1,
      anon_sym_COMMA,
    ACTIONS(19142), 1,
      anon_sym_RPAREN,
    ACTIONS(19144), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14724), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15031), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18086), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [132286] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11522), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11988), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11986), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132329] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19146), 1,
      anon_sym_COMMA,
    ACTIONS(19148), 1,
      anon_sym_RPAREN,
    ACTIONS(19150), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14887), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14888), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17411), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [132418] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11512), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11978), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11980), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132461] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10282), 1,
      sym_identifier,
    ACTIONS(11968), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11966), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [132506] = 5,
    ACTIONS(18162), 1,
      sym__word_identifier,
    STATE(11509), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11966), 13,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_for,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11968), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132549] = 4,
    ACTIONS(19152), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12674), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12676), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132590] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19154), 1,
      anon_sym_COMMA,
    ACTIONS(19156), 1,
      anon_sym_RPAREN,
    ACTIONS(19158), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14689), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14691), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17841), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [132679] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10280), 1,
      sym_identifier,
    ACTIONS(11980), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11978), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [132724] = 13,
    ACTIONS(18380), 1,
      sym__word_identifier,
    ACTIONS(18382), 1,
      aux_sym_import_path_token1,
    ACTIONS(18384), 1,
      anon_sym_LPAREN,
    ACTIONS(18386), 1,
      anon_sym_DOLLAR,
    ACTIONS(18388), 1,
      anon_sym_AT,
    STATE(6659), 1,
      sym_identifier,
    STATE(6665), 1,
      sym_scoped_identifier,
    STATE(7035), 1,
      sym_import_alias,
    STATE(7787), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6816), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16210), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16208), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [132783] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13698), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13700), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132822] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13736), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13738), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132861] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12852), 1,
      anon_sym_LF,
    ACTIONS(19160), 1,
      anon_sym_DOT,
    ACTIONS(12850), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [132904] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19162), 1,
      anon_sym_COMMA,
    ACTIONS(19164), 1,
      anon_sym_RPAREN,
    ACTIONS(19166), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14924), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14925), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17818), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [132993] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12846), 1,
      anon_sym_LF,
    ACTIONS(19160), 1,
      anon_sym_DOT,
    ACTIONS(12844), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [133036] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13740), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13742), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [133075] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [133114] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10262), 1,
      sym_identifier,
    ACTIONS(11986), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11988), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [133159] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133204] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18196), 1,
      sym__word_identifier,
    STATE(10258), 1,
      sym_identifier,
    ACTIONS(11990), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11992), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [133249] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17508), 1,
      anon_sym_DASH_GT,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133294] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13748), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13750), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [133333] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13764), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13766), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [133372] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14043), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14041), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [133411] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12876), 1,
      anon_sym_LF,
    ACTIONS(19160), 1,
      anon_sym_DOT,
    ACTIONS(12874), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [133454] = 28,
    ACTIONS(8394), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19168), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(16743), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [133543] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13768), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13770), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [133582] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13772), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13774), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [133621] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13776), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13778), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [133660] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19170), 1,
      anon_sym_COMMA,
    ACTIONS(19172), 1,
      anon_sym_RPAREN,
    ACTIONS(19174), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14796), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14798), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17867), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [133749] = 28,
    ACTIONS(8138), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19176), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(16686), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [133838] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13112), 1,
      anon_sym_LF,
    ACTIONS(18935), 1,
      anon_sym_COMMA,
    STATE(11935), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13114), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [133883] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19178), 1,
      anon_sym_COMMA,
    ACTIONS(19180), 1,
      anon_sym_RPAREN,
    ACTIONS(19182), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14619), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14620), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17716), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [133972] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(2186), 2,
      sym__immediate_paren,
      anon_sym_LF,
    ACTIONS(2188), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [134013] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12354), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12356), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134052] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12350), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12352), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134091] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12140), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12142), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134130] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11892), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11894), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134169] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18480), 1,
      anon_sym_COMMA,
    STATE(12029), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [134214] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14037), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14035), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134253] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12148), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12150), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134292] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19184), 1,
      anon_sym_COMMA,
    ACTIONS(19186), 1,
      anon_sym_RPAREN,
    ACTIONS(19188), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14881), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14884), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17896), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [134381] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14023), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14021), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134420] = 28,
    ACTIONS(8038), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19190), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(16789), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [134509] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13780), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13782), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134548] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14019), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14017), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134587] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14015), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14013), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134626] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12342), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12344), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134665] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13949), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13951), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134704] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12338), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12340), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134743] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14011), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14009), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134782] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13997), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13995), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134821] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14001), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13999), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134860] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13834), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13832), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134899] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19192), 1,
      anon_sym_COMMA,
    ACTIONS(19194), 1,
      anon_sym_RPAREN,
    ACTIONS(19196), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14577), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14578), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17774), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [134988] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11880), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11882), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135027] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19198), 1,
      anon_sym_COMMA,
    ACTIONS(19200), 1,
      anon_sym_RPAREN,
    ACTIONS(19202), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14693), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14699), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17613), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [135116] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11932), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11934), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135155] = 5,
    ACTIONS(18845), 1,
      sym__immediate_string_start,
    ACTIONS(18847), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11926), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11928), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135198] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17520), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135241] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12164), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12166), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135280] = 5,
    ACTIONS(19204), 1,
      anon_sym_COMMA,
    STATE(12132), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13114), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13112), 20,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135323] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12328), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12330), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135362] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13991), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135401] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12318), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12316), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135440] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13989), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13987), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135479] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11868), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11866), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135518] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19206), 1,
      anon_sym_COMMA,
    ACTIONS(19208), 1,
      anon_sym_RPAREN,
    ACTIONS(19210), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14774), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14775), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17547), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [135607] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11884), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11886), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135646] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18696), 1,
      anon_sym_COMMA,
    ACTIONS(18698), 1,
      anon_sym_as,
    ACTIONS(19212), 1,
      anon_sym_COLON2,
    STATE(12883), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [135695] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13985), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13983), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135734] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(18590), 1,
      anon_sym_as,
    ACTIONS(12950), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135777] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12852), 1,
      anon_sym_LF,
    ACTIONS(19214), 1,
      anon_sym_DOT,
    ACTIONS(12850), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [135820] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12238), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12240), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_where,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135859] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12846), 1,
      anon_sym_LF,
    ACTIONS(19214), 1,
      anon_sym_DOT,
    ACTIONS(12844), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [135902] = 5,
    ACTIONS(19204), 1,
      anon_sym_COMMA,
    STATE(12193), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13166), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13170), 20,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135945] = 5,
    ACTIONS(18390), 1,
      anon_sym_COMMA,
    STATE(12204), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13164), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13162), 20,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135988] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12876), 1,
      anon_sym_LF,
    ACTIONS(19214), 1,
      anon_sym_DOT,
    ACTIONS(12874), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [136031] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19216), 1,
      anon_sym_COMMA,
    ACTIONS(19218), 1,
      anon_sym_RPAREN,
    ACTIONS(19220), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14597), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14598), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17742), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [136120] = 13,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18496), 1,
      aux_sym_import_path_token1,
    ACTIONS(18498), 1,
      anon_sym_DOLLAR,
    ACTIONS(18500), 1,
      anon_sym_AT,
    STATE(10767), 1,
      sym__import_list,
    STATE(12698), 1,
      sym_identifier,
    STATE(12710), 1,
      sym_scoped_identifier,
    STATE(13016), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12405), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [136179] = 13,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18442), 1,
      aux_sym_import_path_token1,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(18446), 1,
      anon_sym_DOLLAR,
    ACTIONS(18448), 1,
      anon_sym_AT,
    STATE(12211), 1,
      sym__import_list,
    STATE(12592), 1,
      sym_identifier,
    STATE(12605), 1,
      sym_scoped_identifier,
    STATE(13165), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12541), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16582), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [136238] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13162), 1,
      anon_sym_LF,
    ACTIONS(18432), 1,
      anon_sym_COMMA,
    STATE(12044), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(13164), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [136283] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13804), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13806), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [136322] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19222), 1,
      anon_sym_COMMA,
    ACTIONS(19224), 1,
      anon_sym_RPAREN,
    ACTIONS(19226), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14663), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14664), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17655), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [136411] = 10,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18008), 1,
      anon_sym_DOT,
    ACTIONS(19228), 1,
      sym__assignment_operator,
    ACTIONS(19230), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 10,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 13,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [136464] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13170), 1,
      anon_sym_LF,
    ACTIONS(19232), 1,
      anon_sym_COMMA,
    STATE(11893), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13166), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [136509] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(19160), 1,
      anon_sym_DOT,
    ACTIONS(12674), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [136552] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19234), 1,
      anon_sym_COMMA,
    ACTIONS(19236), 1,
      anon_sym_RPAREN,
    ACTIONS(19238), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15084), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15162), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17730), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [136641] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13238), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13236), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [136680] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13808), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13810), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [136719] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19036), 1,
      anon_sym_QMARK,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym__pair_operator,
  [136796] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19036), 1,
      anon_sym_QMARK,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13238), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [136875] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19004), 1,
      anon_sym_COMMA,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19036), 1,
      anon_sym_QMARK,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    STATE(11984), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13092), 5,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [136956] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13630), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13628), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [136995] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13592), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13590), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [137034] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19240), 1,
      anon_sym_COMMA,
    ACTIONS(19242), 1,
      anon_sym_RPAREN,
    ACTIONS(19244), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15139), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15141), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18044), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [137123] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18905), 1,
      anon_sym_COMMA,
    ACTIONS(18907), 1,
      anon_sym_as,
    ACTIONS(19246), 1,
      anon_sym_COLON2,
    STATE(12879), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [137172] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13574), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13572), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [137211] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18432), 1,
      anon_sym_COMMA,
    STATE(12138), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [137256] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13112), 1,
      anon_sym_LF,
    ACTIONS(19232), 1,
      anon_sym_COMMA,
    STATE(12142), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13114), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [137301] = 28,
    ACTIONS(8334), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19248), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(16946), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [137390] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19260), 1,
      anon_sym_QMARK,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [137467] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13030), 1,
      anon_sym_LF,
    ACTIONS(13032), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [137508] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12852), 1,
      anon_sym_LF,
    ACTIONS(19284), 1,
      anon_sym_DOT,
    ACTIONS(12850), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [137551] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13290), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13292), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [137590] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19260), 1,
      anon_sym_QMARK,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13238), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [137669] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17744), 1,
      sym__immediate_paren,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [137712] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12846), 1,
      anon_sym_LF,
    ACTIONS(19284), 1,
      anon_sym_DOT,
    ACTIONS(12844), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [137755] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19288), 1,
      anon_sym_COMMA,
    ACTIONS(19290), 1,
      anon_sym_RPAREN,
    ACTIONS(19292), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14612), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14614), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17820), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [137844] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19004), 1,
      anon_sym_COMMA,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19036), 1,
      anon_sym_QMARK,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    STATE(11984), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13210), 5,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [137925] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13546), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13544), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [137964] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12876), 1,
      anon_sym_LF,
    ACTIONS(19284), 1,
      anon_sym_DOT,
    ACTIONS(12874), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [138007] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19294), 1,
      anon_sym_COMMA,
    ACTIONS(19296), 1,
      anon_sym_RPAREN,
    ACTIONS(19298), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14717), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14722), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17603), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [138096] = 28,
    ACTIONS(8072), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19300), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16150), 1,
      sym__comprehension_clause,
    STATE(16157), 1,
      aux_sym_argument_list_repeat1,
    STATE(16981), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [138185] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13538), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13536), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138224] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13500), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13498), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138263] = 13,
    ACTIONS(18502), 1,
      sym__word_identifier,
    ACTIONS(18504), 1,
      aux_sym_import_path_token1,
    ACTIONS(18506), 1,
      anon_sym_LPAREN,
    ACTIONS(18508), 1,
      anon_sym_DOLLAR,
    ACTIONS(18510), 1,
      anon_sym_AT,
    STATE(7105), 1,
      sym_identifier,
    STATE(7107), 1,
      sym_scoped_identifier,
    STATE(7965), 1,
      sym_import_alias,
    STATE(8370), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6976), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16976), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16974), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [138322] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13478), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13476), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138361] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(19302), 1,
      anon_sym_DOT,
    ACTIONS(12674), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [138404] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13436), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13434), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138443] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13474), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13472), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138482] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13504), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13502), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138521] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13566), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13564), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138560] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13570), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13568), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138599] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19304), 1,
      anon_sym_COMMA,
    ACTIONS(19306), 1,
      anon_sym_RPAREN,
    ACTIONS(19308), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14602), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14604), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17737), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [138688] = 13,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(18456), 1,
      aux_sym_import_path_token1,
    ACTIONS(18458), 1,
      anon_sym_DOLLAR,
    ACTIONS(18460), 1,
      anon_sym_AT,
    STATE(11703), 1,
      sym_identifier,
    STATE(11704), 1,
      sym_scoped_identifier,
    STATE(12053), 1,
      sym_import_alias,
    STATE(12211), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11584), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16582), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [138747] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19310), 1,
      anon_sym_COMMA,
    ACTIONS(19312), 1,
      anon_sym_RPAREN,
    ACTIONS(19314), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14913), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15004), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17544), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [138836] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19316), 1,
      anon_sym_COMMA,
    ACTIONS(19318), 1,
      anon_sym_RPAREN,
    ACTIONS(19320), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15116), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15152), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17441), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [138925] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18969), 1,
      anon_sym_QMARK,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [139002] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18969), 1,
      anon_sym_QMARK,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13238), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [139081] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19322), 1,
      anon_sym_COMMA,
    ACTIONS(19324), 1,
      anon_sym_RPAREN,
    ACTIONS(19326), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14930), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14933), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18093), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [139170] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13606), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13604), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [139209] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13696), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13694), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [139248] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19328), 1,
      anon_sym_COMMA,
    ACTIONS(19330), 1,
      anon_sym_RPAREN,
    ACTIONS(19332), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15109), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15115), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18054), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [139337] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12976), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12974), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [139376] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19334), 1,
      anon_sym_COMMA,
    ACTIONS(19336), 1,
      anon_sym_RPAREN,
    ACTIONS(19338), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14789), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14920), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17765), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [139465] = 5,
    ACTIONS(19340), 1,
      anon_sym_COMMA,
    STATE(12193), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12976), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12974), 20,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [139508] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12950), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12948), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [139547] = 4,
    ACTIONS(18392), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12950), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12948), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [139588] = 11,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18002), 1,
      sym__immediate_bracket,
    ACTIONS(18004), 1,
      sym__immediate_brace,
    ACTIONS(18006), 1,
      anon_sym_SQUOTE,
    ACTIONS(18130), 1,
      anon_sym_DOT,
    ACTIONS(18222), 1,
      anon_sym_EQ,
    ACTIONS(19125), 1,
      sym__assignment_operator,
    ACTIONS(19127), 1,
      sym__tilde_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 9,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 13,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [139643] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18746), 1,
      anon_sym_QMARK,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [139720] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19343), 1,
      anon_sym_COMMA,
    ACTIONS(19345), 1,
      anon_sym_RPAREN,
    ACTIONS(19347), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14579), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14681), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18057), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [139809] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13112), 1,
      anon_sym_LF,
    ACTIONS(18921), 1,
      anon_sym_COMMA,
    STATE(11929), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13114), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [139854] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18746), 1,
      anon_sym_QMARK,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13238), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [139933] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18396), 1,
      anon_sym_COMMA,
    STATE(11931), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 27,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [139978] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18969), 1,
      anon_sym_QMARK,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    STATE(12223), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13102), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [140059] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19349), 1,
      anon_sym_COMMA,
    ACTIONS(19351), 1,
      anon_sym_RPAREN,
    ACTIONS(19353), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14960), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14961), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17356), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [140148] = 5,
    ACTIONS(19355), 1,
      anon_sym_COMMA,
    STATE(12204), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12950), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12948), 20,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [140191] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19358), 1,
      anon_sym_COMMA,
    ACTIONS(19360), 1,
      anon_sym_RPAREN,
    ACTIONS(19362), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14818), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14819), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17502), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [140280] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13816), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13818), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [140319] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14168), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14166), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [140358] = 28,
    ACTIONS(8468), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19364), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15728), 1,
      sym__comprehension_clause,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    STATE(16929), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [140447] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11886), 1,
      anon_sym_LF,
    ACTIONS(19097), 1,
      sym__immediate_string_start,
    ACTIONS(19099), 1,
      sym__immediate_command_start,
    ACTIONS(11884), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [140492] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13812), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13814), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [140531] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14170), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(14172), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [140570] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17744), 1,
      sym__immediate_paren,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [140615] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17532), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140658] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18969), 1,
      anon_sym_QMARK,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    STATE(12223), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13092), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [140739] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18969), 1,
      anon_sym_QMARK,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    STATE(12223), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13054), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [140820] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19366), 1,
      anon_sym_COMMA,
    ACTIONS(19368), 1,
      anon_sym_RPAREN,
    ACTIONS(19370), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14787), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14788), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17864), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [140909] = 13,
    ACTIONS(18532), 1,
      sym__word_identifier,
    ACTIONS(18534), 1,
      aux_sym_import_path_token1,
    ACTIONS(18536), 1,
      anon_sym_LPAREN,
    ACTIONS(18538), 1,
      anon_sym_DOLLAR,
    ACTIONS(18540), 1,
      anon_sym_AT,
    STATE(6991), 1,
      sym_scoped_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(7625), 1,
      sym_import_alias,
    STATE(8364), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7266), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16816), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16814), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [140968] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(19372), 1,
      anon_sym_COMMA,
    STATE(12218), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [141013] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(19214), 1,
      anon_sym_DOT,
    ACTIONS(12674), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [141056] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19375), 1,
      anon_sym_COMMA,
    ACTIONS(19377), 1,
      anon_sym_RPAREN,
    ACTIONS(19379), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14683), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14684), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17625), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [141145] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13953), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13955), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [141184] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19260), 1,
      anon_sym_QMARK,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    STATE(12009), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13102), 5,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [141265] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    STATE(12218), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [141310] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19260), 1,
      anon_sym_QMARK,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    STATE(12009), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13092), 5,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [141391] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(19006), 1,
      anon_sym_COMMA,
    ACTIONS(19008), 1,
      anon_sym_as,
    STATE(12455), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [141438] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(19284), 1,
      anon_sym_DOT,
    ACTIONS(12674), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [141481] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19381), 1,
      anon_sym_COMMA,
    ACTIONS(19383), 1,
      anon_sym_RPAREN,
    ACTIONS(19385), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14928), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14929), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17381), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [141570] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19260), 1,
      anon_sym_QMARK,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    STATE(12009), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13054), 5,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [141651] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19260), 1,
      anon_sym_QMARK,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    STATE(12009), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13210), 5,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [141732] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13030), 1,
      anon_sym_LF,
    ACTIONS(13032), 29,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141773] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(19387), 1,
      anon_sym_COMMA,
    STATE(12231), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [141818] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19390), 1,
      anon_sym_COMMA,
    ACTIONS(19392), 1,
      anon_sym_RPAREN,
    ACTIONS(19394), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14923), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15087), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17964), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [141907] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    STATE(12231), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [141952] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13943), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13945), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [141991] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19396), 1,
      anon_sym_COMMA,
    ACTIONS(19398), 1,
      anon_sym_RPAREN,
    ACTIONS(19400), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14805), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14807), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17521), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [142080] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19402), 1,
      anon_sym_COMMA,
    ACTIONS(19404), 1,
      anon_sym_RPAREN,
    ACTIONS(19406), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15146), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15166), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17641), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [142169] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19408), 1,
      anon_sym_COMMA,
    ACTIONS(19410), 1,
      anon_sym_RPAREN,
    ACTIONS(19412), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14656), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14661), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17659), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [142258] = 13,
    ACTIONS(18312), 1,
      sym__word_identifier,
    ACTIONS(18314), 1,
      aux_sym_import_path_token1,
    ACTIONS(18316), 1,
      anon_sym_LPAREN,
    ACTIONS(18318), 1,
      anon_sym_DOLLAR,
    ACTIONS(18320), 1,
      anon_sym_AT,
    STATE(11630), 1,
      sym_scoped_identifier,
    STATE(11632), 1,
      sym_identifier,
    STATE(12155), 1,
      sym_import_alias,
    STATE(12501), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11778), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16612), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16610), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [142317] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(19414), 1,
      anon_sym_DOT,
    ACTIONS(12674), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142360] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13916), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13918), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [142399] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(151), 1,
      anon_sym_DASH_GT,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [142444] = 28,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(19416), 1,
      anon_sym_COMMA,
    ACTIONS(19418), 1,
      anon_sym_RPAREN,
    ACTIONS(19420), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14782), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(14784), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17542), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [142533] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13912), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13914), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [142572] = 3,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [142611] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13524), 1,
      anon_sym_LF,
    ACTIONS(13522), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [142651] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17562), 1,
      anon_sym_DASH_GT,
    ACTIONS(17904), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [142695] = 14,
    ACTIONS(2924), 1,
      sym__string_start,
    ACTIONS(2926), 1,
      sym__command_start,
    ACTIONS(9116), 1,
      anon_sym_LBRACK,
    ACTIONS(9118), 1,
      anon_sym_LBRACE,
    ACTIONS(15338), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15340), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19422), 1,
      sym__word_identifier,
    ACTIONS(19424), 1,
      anon_sym_LPAREN,
    ACTIONS(19426), 1,
      sym_character_literal,
    STATE(10235), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17288), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17290), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10564), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [142755] = 27,
    ACTIONS(8530), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19428), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15887), 1,
      aux_sym_argument_list_repeat1,
    STATE(15929), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [142841] = 14,
    ACTIONS(17186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17204), 1,
      sym__string_start,
    ACTIONS(17206), 1,
      sym__command_start,
    ACTIONS(19430), 1,
      sym__word_identifier,
    ACTIONS(19432), 1,
      anon_sym_LPAREN,
    ACTIONS(19434), 1,
      anon_sym_LBRACK,
    ACTIONS(19436), 1,
      anon_sym_LBRACE,
    ACTIONS(19438), 1,
      sym_character_literal,
    STATE(6186), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17184), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17190), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6779), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [142901] = 27,
    ACTIONS(8574), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15867), 1,
      aux_sym_argument_list_repeat1,
    STATE(15873), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [142987] = 14,
    ACTIONS(873), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(875), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16452), 1,
      sym__string_start,
    ACTIONS(16454), 1,
      sym__command_start,
    ACTIONS(19442), 1,
      sym__word_identifier,
    ACTIONS(19444), 1,
      anon_sym_LPAREN,
    ACTIONS(19446), 1,
      anon_sym_LBRACK,
    ACTIONS(19448), 1,
      anon_sym_LBRACE,
    ACTIONS(19450), 1,
      sym_character_literal,
    STATE(7273), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8762), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8764), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8691), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [143047] = 14,
    ACTIONS(15726), 1,
      anon_sym_LPAREN,
    ACTIONS(15728), 1,
      anon_sym_LBRACK,
    ACTIONS(15730), 1,
      anon_sym_LBRACE,
    ACTIONS(15738), 1,
      sym__string_start,
    ACTIONS(15740), 1,
      sym__command_start,
    ACTIONS(16898), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16900), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19452), 1,
      sym__word_identifier,
    ACTIONS(19454), 1,
      sym_character_literal,
    STATE(9301), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16896), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16902), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(9394), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [143107] = 27,
    ACTIONS(10372), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19456), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16198), 1,
      sym__comprehension_clause,
    STATE(16210), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [143193] = 27,
    ACTIONS(8526), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19458), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15486), 1,
      sym__comprehension_clause,
    STATE(15620), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [143279] = 27,
    ACTIONS(8448), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19460), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15864), 1,
      sym__comprehension_clause,
    STATE(16163), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [143365] = 14,
    ACTIONS(55), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(19464), 1,
      anon_sym_LPAREN,
    ACTIONS(19466), 1,
      sym_character_literal,
    STATE(10688), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10026), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [143425] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(19085), 1,
      anon_sym_QMARK,
    ACTIONS(19470), 1,
      anon_sym_LF,
    STATE(14441), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(19468), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [143505] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18969), 1,
      anon_sym_QMARK,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13969), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [143581] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [143645] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 21,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [143697] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [143759] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19260), 1,
      anon_sym_QMARK,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [143835] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [143907] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [143975] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [144041] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [144099] = 12,
    ACTIONS(18502), 1,
      sym__word_identifier,
    ACTIONS(18504), 1,
      aux_sym_import_path_token1,
    ACTIONS(18506), 1,
      anon_sym_LPAREN,
    ACTIONS(18508), 1,
      anon_sym_DOLLAR,
    ACTIONS(18510), 1,
      anon_sym_AT,
    STATE(7105), 1,
      sym_identifier,
    STATE(7107), 1,
      sym_scoped_identifier,
    STATE(8367), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7821), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16976), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16974), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [144155] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [144217] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(19472), 1,
      anon_sym_DOT,
    ACTIONS(12674), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [144259] = 27,
    ACTIONS(9308), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19474), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15962), 1,
      sym__comprehension_clause,
    STATE(15965), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [144345] = 27,
    ACTIONS(10580), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19476), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16148), 1,
      aux_sym_argument_list_repeat1,
    STATE(16151), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [144431] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 21,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [144483] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [144533] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [144581] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(13390), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [144627] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(13390), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [144671] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19260), 1,
      anon_sym_QMARK,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13969), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [144747] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 21,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [144799] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [144861] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19036), 1,
      anon_sym_QMARK,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [144937] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
  [145009] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [145077] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [145143] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [145201] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [145263] = 27,
    ACTIONS(8358), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19478), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16068), 1,
      sym__comprehension_clause,
    STATE(16343), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [145349] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 21,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [145401] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145451] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145499] = 14,
    ACTIONS(16806), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16824), 1,
      sym__string_start,
    ACTIONS(16826), 1,
      sym__command_start,
    ACTIONS(19480), 1,
      sym__word_identifier,
    ACTIONS(19482), 1,
      anon_sym_LPAREN,
    ACTIONS(19484), 1,
      anon_sym_LBRACK,
    ACTIONS(19486), 1,
      anon_sym_LBRACE,
    ACTIONS(19488), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19490), 1,
      sym_character_literal,
    STATE(6613), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16804), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16810), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7228), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [145559] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(13390), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145605] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(13390), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145649] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19036), 1,
      anon_sym_QMARK,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13969), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [145725] = 14,
    ACTIONS(16806), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16808), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16824), 1,
      sym__string_start,
    ACTIONS(16826), 1,
      sym__command_start,
    ACTIONS(19480), 1,
      sym__word_identifier,
    ACTIONS(19482), 1,
      anon_sym_LPAREN,
    ACTIONS(19484), 1,
      anon_sym_LBRACK,
    ACTIONS(19486), 1,
      anon_sym_LBRACE,
    ACTIONS(19490), 1,
      sym_character_literal,
    STATE(6613), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16804), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16810), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7228), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [145785] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18526), 1,
      anon_sym_EQ,
    ACTIONS(13210), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145827] = 27,
    ACTIONS(7956), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19492), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16173), 1,
      aux_sym_argument_list_repeat1,
    STATE(16306), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [145913] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14244), 1,
      anon_sym_LF,
    ACTIONS(14246), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [145953] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14268), 1,
      anon_sym_LF,
    ACTIONS(14270), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [145993] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18829), 1,
      anon_sym_QMARK,
    ACTIONS(19470), 1,
      anon_sym_LF,
    STATE(14449), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(19468), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [146073] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(13054), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [146113] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(19085), 1,
      anon_sym_QMARK,
    STATE(12223), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13054), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [146193] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [146235] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18670), 1,
      anon_sym_EQ,
    ACTIONS(13210), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146277] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14118), 1,
      anon_sym_LF,
    ACTIONS(14120), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [146317] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(13092), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [146357] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(19085), 1,
      anon_sym_QMARK,
    STATE(12223), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13092), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [146437] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(13102), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146479] = 14,
    ACTIONS(19494), 1,
      sym__word_identifier,
    ACTIONS(19496), 1,
      anon_sym_LPAREN,
    ACTIONS(19498), 1,
      anon_sym_LBRACK,
    ACTIONS(19500), 1,
      anon_sym_LBRACE,
    ACTIONS(19504), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(19506), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19510), 1,
      sym_character_literal,
    ACTIONS(19512), 1,
      sym__string_start,
    ACTIONS(19514), 1,
      sym__command_start,
    STATE(15464), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19502), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(19508), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(14494), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [146539] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(13092), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146581] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(13102), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [146621] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(13054), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146663] = 27,
    ACTIONS(9070), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19516), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15642), 1,
      sym__comprehension_clause,
    STATE(15644), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [146749] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146791] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(19518), 1,
      anon_sym_DOT,
    ACTIONS(12674), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [146833] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(19085), 1,
      anon_sym_QMARK,
    STATE(12223), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13102), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [146913] = 14,
    ACTIONS(701), 1,
      sym__string_start,
    ACTIONS(703), 1,
      sym__command_start,
    ACTIONS(8688), 1,
      anon_sym_LBRACK,
    ACTIONS(8690), 1,
      anon_sym_LBRACE,
    ACTIONS(11766), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11768), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19520), 1,
      sym__word_identifier,
    ACTIONS(19522), 1,
      anon_sym_LPAREN,
    ACTIONS(19524), 1,
      sym_character_literal,
    STATE(4374), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16878), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16880), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5226), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [146973] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14129), 1,
      anon_sym_LF,
    ACTIONS(14131), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147013] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(13392), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147057] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147101] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14041), 1,
      anon_sym_LF,
    ACTIONS(14043), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147141] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17574), 1,
      anon_sym_DASH_GT,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147185] = 27,
    ACTIONS(10794), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19526), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16375), 1,
      sym__comprehension_clause,
    STATE(16384), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [147271] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147311] = 14,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(19530), 1,
      sym_character_literal,
    STATE(11338), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10143), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [147371] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14035), 1,
      anon_sym_LF,
    ACTIONS(14037), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147411] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14021), 1,
      anon_sym_LF,
    ACTIONS(14023), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147451] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14017), 1,
      anon_sym_LF,
    ACTIONS(14019), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147491] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14013), 1,
      anon_sym_LF,
    ACTIONS(14015), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147531] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13951), 1,
      anon_sym_LF,
    ACTIONS(13949), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147571] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14009), 1,
      anon_sym_LF,
    ACTIONS(14011), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147611] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(13102), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147653] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13995), 1,
      anon_sym_LF,
    ACTIONS(13997), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147693] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13999), 1,
      anon_sym_LF,
    ACTIONS(14001), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147733] = 27,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19532), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15693), 1,
      sym__comprehension_clause,
    STATE(15702), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [147819] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13832), 1,
      anon_sym_LF,
    ACTIONS(13834), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147859] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13991), 1,
      anon_sym_LF,
    ACTIONS(13993), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [147899] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18670), 1,
      anon_sym_EQ,
    ACTIONS(13054), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147941] = 27,
    ACTIONS(8044), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19534), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15603), 1,
      sym__comprehension_clause,
    STATE(15648), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [148027] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18670), 1,
      anon_sym_EQ,
    ACTIONS(13092), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148069] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18670), 1,
      anon_sym_EQ,
    ACTIONS(13102), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148111] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(13092), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148153] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13987), 1,
      anon_sym_LF,
    ACTIONS(13989), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [148193] = 14,
    ACTIONS(17080), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17082), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17098), 1,
      sym__string_start,
    ACTIONS(17100), 1,
      sym__command_start,
    ACTIONS(19536), 1,
      sym__word_identifier,
    ACTIONS(19538), 1,
      anon_sym_LPAREN,
    ACTIONS(19540), 1,
      anon_sym_LBRACK,
    ACTIONS(19542), 1,
      anon_sym_LBRACE,
    ACTIONS(19544), 1,
      sym_character_literal,
    STATE(5979), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17078), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17084), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6668), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [148253] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13983), 1,
      anon_sym_LF,
    ACTIONS(13985), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [148293] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18746), 1,
      anon_sym_QMARK,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13969), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [148369] = 14,
    ACTIONS(19546), 1,
      sym__word_identifier,
    ACTIONS(19548), 1,
      anon_sym_LPAREN,
    ACTIONS(19550), 1,
      anon_sym_LBRACK,
    ACTIONS(19552), 1,
      anon_sym_LBRACE,
    ACTIONS(19556), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(19558), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19562), 1,
      sym_character_literal,
    ACTIONS(19564), 1,
      sym__string_start,
    ACTIONS(19566), 1,
      sym__command_start,
    STATE(9547), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19554), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(19560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(9560), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [148429] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(13054), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148471] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17526), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [148513] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(151), 1,
      anon_sym_DASH_GT,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [148555] = 26,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19574), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19580), 1,
      anon_sym_QMARK,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19606), 1,
      aux_sym__terminator_token1,
    STATE(14529), 1,
      aux_sym_open_tuple_repeat1,
    STATE(15319), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [148639] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17550), 1,
      anon_sym_DASH_GT,
    ACTIONS(17956), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [148683] = 14,
    ACTIONS(16060), 1,
      anon_sym_LPAREN,
    ACTIONS(16062), 1,
      anon_sym_LBRACK,
    ACTIONS(16064), 1,
      anon_sym_LBRACE,
    ACTIONS(16072), 1,
      sym__string_start,
    ACTIONS(16074), 1,
      sym__command_start,
    ACTIONS(16250), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16252), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19608), 1,
      sym__word_identifier,
    ACTIONS(19610), 1,
      sym_character_literal,
    STATE(4371), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16248), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16254), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5219), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [148743] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17556), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [148785] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(13392), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148829] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(13392), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148873] = 14,
    ACTIONS(17338), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17356), 1,
      sym__string_start,
    ACTIONS(17358), 1,
      sym__command_start,
    ACTIONS(19612), 1,
      sym__word_identifier,
    ACTIONS(19614), 1,
      anon_sym_LPAREN,
    ACTIONS(19616), 1,
      anon_sym_LBRACK,
    ACTIONS(19618), 1,
      anon_sym_LBRACE,
    ACTIONS(19620), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19622), 1,
      sym_character_literal,
    STATE(6805), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17336), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17342), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7693), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [148933] = 14,
    ACTIONS(783), 1,
      sym__string_start,
    ACTIONS(785), 1,
      sym__command_start,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(9812), 1,
      anon_sym_LBRACE,
    ACTIONS(11784), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11786), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19624), 1,
      sym__word_identifier,
    ACTIONS(19626), 1,
      anon_sym_LPAREN,
    ACTIONS(19628), 1,
      sym_character_literal,
    STATE(4559), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16886), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16888), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5689), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [148993] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17956), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [149037] = 12,
    ACTIONS(18646), 1,
      sym__word_identifier,
    ACTIONS(18648), 1,
      aux_sym_import_path_token1,
    ACTIONS(18650), 1,
      anon_sym_LPAREN,
    ACTIONS(18652), 1,
      anon_sym_DOLLAR,
    ACTIONS(18654), 1,
      anon_sym_AT,
    STATE(6909), 1,
      sym_identifier,
    STATE(7004), 1,
      sym_scoped_identifier,
    STATE(8164), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8072), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16866), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16864), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [149093] = 14,
    ACTIONS(15644), 1,
      anon_sym_LPAREN,
    ACTIONS(15646), 1,
      anon_sym_LBRACK,
    ACTIONS(15648), 1,
      anon_sym_LBRACE,
    ACTIONS(15656), 1,
      sym__string_start,
    ACTIONS(15658), 1,
      sym__command_start,
    ACTIONS(16176), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16178), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19630), 1,
      sym__word_identifier,
    ACTIONS(19632), 1,
      sym_character_literal,
    STATE(4570), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16174), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16180), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6227), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [149153] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13774), 1,
      anon_sym_LF,
    ACTIONS(13772), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149193] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13390), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [149235] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18526), 1,
      anon_sym_EQ,
    ACTIONS(13054), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149277] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(13238), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [149317] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18526), 1,
      anon_sym_EQ,
    ACTIONS(13092), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149359] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18526), 1,
      anon_sym_EQ,
    ACTIONS(13102), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149401] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18574), 1,
      anon_sym_EQ,
    ACTIONS(13210), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [149443] = 27,
    ACTIONS(10010), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19634), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15983), 1,
      sym__comprehension_clause,
    STATE(15991), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [149529] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [149593] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19636), 1,
      anon_sym_DOT,
    ACTIONS(12852), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12850), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [149635] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18829), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13238), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [149713] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18394), 1,
      anon_sym_EQ,
    ACTIONS(13054), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [149755] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18394), 1,
      anon_sym_EQ,
    ACTIONS(13092), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [149797] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18394), 1,
      anon_sym_EQ,
    ACTIONS(13102), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [149839] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13628), 1,
      anon_sym_LF,
    ACTIONS(13630), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [149879] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(19085), 1,
      anon_sym_QMARK,
    STATE(12223), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [149959] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19636), 1,
      anon_sym_DOT,
    ACTIONS(12846), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12844), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150001] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13590), 1,
      anon_sym_LF,
    ACTIONS(13592), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150041] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17514), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [150083] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13572), 1,
      anon_sym_LF,
    ACTIONS(13574), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150123] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18829), 1,
      anon_sym_QMARK,
    STATE(12233), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [150203] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13292), 1,
      anon_sym_LF,
    ACTIONS(13290), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150243] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13830), 1,
      anon_sym_LF,
    ACTIONS(13828), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [150283] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13544), 1,
      anon_sym_LF,
    ACTIONS(13546), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150323] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18905), 1,
      anon_sym_COMMA,
    STATE(12879), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150367] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13112), 1,
      anon_sym_LF,
    ACTIONS(19638), 1,
      anon_sym_COMMA,
    STATE(12890), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13114), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150411] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13536), 1,
      anon_sym_LF,
    ACTIONS(13538), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150451] = 27,
    ACTIONS(8506), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19640), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15700), 1,
      sym__comprehension_clause,
    STATE(15945), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [150537] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13498), 1,
      anon_sym_LF,
    ACTIONS(13500), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150577] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17570), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150619] = 14,
    ACTIONS(17338), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17340), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17356), 1,
      sym__string_start,
    ACTIONS(17358), 1,
      sym__command_start,
    ACTIONS(19612), 1,
      sym__word_identifier,
    ACTIONS(19614), 1,
      anon_sym_LPAREN,
    ACTIONS(19616), 1,
      anon_sym_LBRACK,
    ACTIONS(19618), 1,
      anon_sym_LBRACE,
    ACTIONS(19622), 1,
      sym_character_literal,
    STATE(6805), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17336), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17342), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7693), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [150679] = 14,
    ACTIONS(291), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16694), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16708), 1,
      sym__string_start,
    ACTIONS(16710), 1,
      sym__command_start,
    ACTIONS(19642), 1,
      sym__word_identifier,
    ACTIONS(19644), 1,
      anon_sym_LPAREN,
    ACTIONS(19646), 1,
      anon_sym_LBRACK,
    ACTIONS(19648), 1,
      anon_sym_LBRACE,
    ACTIONS(19650), 1,
      sym_character_literal,
    STATE(6566), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8880), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8882), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7080), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [150739] = 27,
    ACTIONS(9590), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19652), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16117), 1,
      sym__comprehension_clause,
    STATE(16119), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [150825] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13826), 1,
      anon_sym_LF,
    ACTIONS(13824), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [150865] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18394), 1,
      anon_sym_EQ,
    ACTIONS(13210), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150907] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13476), 1,
      anon_sym_LF,
    ACTIONS(13478), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150947] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13434), 1,
      anon_sym_LF,
    ACTIONS(13436), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [150987] = 12,
    ACTIONS(18302), 1,
      sym__word_identifier,
    ACTIONS(18304), 1,
      aux_sym_import_path_token1,
    ACTIONS(18306), 1,
      anon_sym_LPAREN,
    ACTIONS(18308), 1,
      anon_sym_DOLLAR,
    ACTIONS(18310), 1,
      anon_sym_AT,
    STATE(6711), 1,
      sym_scoped_identifier,
    STATE(6712), 1,
      sym_identifier,
    STATE(7820), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6985), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17090), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17088), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [151043] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13472), 1,
      anon_sym_LF,
    ACTIONS(13474), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151083] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17936), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151127] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13746), 1,
      anon_sym_LF,
    ACTIONS(13744), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [151167] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(18696), 1,
      anon_sym_COMMA,
    STATE(12883), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151211] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13502), 1,
      anon_sym_LF,
    ACTIONS(13504), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151251] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17574), 1,
      anon_sym_DASH_GT,
    ACTIONS(17936), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151295] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(19654), 1,
      anon_sym_COMMA,
    ACTIONS(19656), 1,
      anon_sym_as,
    STATE(13051), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151341] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13112), 1,
      anon_sym_LF,
    ACTIONS(19658), 1,
      anon_sym_COMMA,
    STATE(12873), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13114), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151385] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13564), 1,
      anon_sym_LF,
    ACTIONS(13566), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151425] = 14,
    ACTIONS(487), 1,
      sym__string_start,
    ACTIONS(489), 1,
      sym__command_start,
    ACTIONS(6308), 1,
      anon_sym_LBRACK,
    ACTIONS(6312), 1,
      anon_sym_LBRACE,
    ACTIONS(11706), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11708), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19660), 1,
      sym__word_identifier,
    ACTIONS(19662), 1,
      anon_sym_LPAREN,
    ACTIONS(19664), 1,
      sym_character_literal,
    STATE(4336), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17230), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5022), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [151485] = 27,
    ACTIONS(8300), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19666), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15976), 1,
      sym__comprehension_clause,
    STATE(16097), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [151571] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13568), 1,
      anon_sym_LF,
    ACTIONS(13570), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151611] = 12,
    ACTIONS(18470), 1,
      sym__word_identifier,
    ACTIONS(18472), 1,
      aux_sym_import_path_token1,
    ACTIONS(18474), 1,
      anon_sym_LPAREN,
    ACTIONS(18476), 1,
      anon_sym_DOLLAR,
    ACTIONS(18478), 1,
      anon_sym_AT,
    STATE(11770), 1,
      sym_identifier,
    STATE(11773), 1,
      sym_scoped_identifier,
    STATE(12748), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12128), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17312), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17310), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [151667] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13604), 1,
      anon_sym_LF,
    ACTIONS(13606), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151707] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13694), 1,
      anon_sym_LF,
    ACTIONS(13696), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151747] = 14,
    ACTIONS(393), 1,
      sym__string_start,
    ACTIONS(395), 1,
      sym__command_start,
    ACTIONS(9138), 1,
      anon_sym_LBRACK,
    ACTIONS(9140), 1,
      anon_sym_LBRACE,
    ACTIONS(11724), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11726), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19668), 1,
      sym__word_identifier,
    ACTIONS(19670), 1,
      anon_sym_LPAREN,
    ACTIONS(19672), 1,
      sym_character_literal,
    STATE(4309), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17126), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17128), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5061), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [151807] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12974), 1,
      anon_sym_LF,
    ACTIONS(12976), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151847] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(12950), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [151887] = 12,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18496), 1,
      aux_sym_import_path_token1,
    ACTIONS(18498), 1,
      anon_sym_DOLLAR,
    ACTIONS(18500), 1,
      anon_sym_AT,
    STATE(10780), 1,
      sym_import_alias,
    STATE(12698), 1,
      sym_identifier,
    STATE(12710), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(13048), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [151943] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13692), 1,
      anon_sym_LF,
    ACTIONS(13690), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [151983] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11758), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [152043] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14166), 1,
      anon_sym_LF,
    ACTIONS(14168), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [152083] = 27,
    ACTIONS(8178), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19684), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16348), 1,
      sym__comprehension_clause,
    STATE(16497), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [152169] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13686), 1,
      anon_sym_LF,
    ACTIONS(13684), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [152209] = 4,
    ACTIONS(19686), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12674), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12676), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [152249] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13662), 1,
      anon_sym_LF,
    ACTIONS(13660), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [152289] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18746), 1,
      anon_sym_QMARK,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12957), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [152365] = 14,
    ACTIONS(15674), 1,
      anon_sym_LPAREN,
    ACTIONS(15676), 1,
      anon_sym_LBRACK,
    ACTIONS(15678), 1,
      anon_sym_LBRACE,
    ACTIONS(15686), 1,
      sym__string_start,
    ACTIONS(15688), 1,
      sym__command_start,
    ACTIONS(16920), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16922), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19688), 1,
      sym__word_identifier,
    ACTIONS(19690), 1,
      sym_character_literal,
    STATE(9335), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16918), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16924), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(9455), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [152425] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13955), 1,
      anon_sym_LF,
    ACTIONS(13953), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [152465] = 27,
    ACTIONS(8404), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19692), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15869), 1,
      aux_sym_argument_list_repeat1,
    STATE(16479), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [152551] = 27,
    ACTIONS(10620), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19694), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16515), 1,
      sym__comprehension_clause,
    STATE(16524), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [152637] = 27,
    ACTIONS(8250), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19696), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15790), 1,
      aux_sym_argument_list_repeat1,
    STATE(15936), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [152723] = 27,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19698), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15703), 1,
      aux_sym_argument_list_repeat1,
    STATE(15704), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [152809] = 14,
    ACTIONS(173), 1,
      sym__string_start,
    ACTIONS(175), 1,
      sym__command_start,
    ACTIONS(5386), 1,
      anon_sym_LBRACK,
    ACTIONS(5388), 1,
      anon_sym_LBRACE,
    ACTIONS(15278), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15280), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19700), 1,
      sym__word_identifier,
    ACTIONS(19702), 1,
      anon_sym_LPAREN,
    ACTIONS(19704), 1,
      sym_character_literal,
    STATE(10293), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17426), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17428), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10662), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [152869] = 14,
    ACTIONS(16602), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16604), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16620), 1,
      sym__string_start,
    ACTIONS(16622), 1,
      sym__command_start,
    ACTIONS(19706), 1,
      sym__word_identifier,
    ACTIONS(19708), 1,
      anon_sym_LPAREN,
    ACTIONS(19710), 1,
      anon_sym_LBRACK,
    ACTIONS(19712), 1,
      anon_sym_LBRACE,
    ACTIONS(19714), 1,
      sym_character_literal,
    STATE(11390), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16600), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16606), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11829), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [152929] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12974), 1,
      anon_sym_LF,
    ACTIONS(19716), 1,
      anon_sym_COMMA,
    STATE(12434), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(12976), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [152973] = 27,
    ACTIONS(9720), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19719), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15802), 1,
      sym__comprehension_clause,
    STATE(15810), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153059] = 27,
    ACTIONS(10896), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19721), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15480), 1,
      aux_sym_argument_list_repeat1,
    STATE(15484), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153145] = 14,
    ACTIONS(15902), 1,
      anon_sym_LPAREN,
    ACTIONS(15904), 1,
      anon_sym_LBRACK,
    ACTIONS(15906), 1,
      anon_sym_LBRACE,
    ACTIONS(15914), 1,
      sym__string_start,
    ACTIONS(15916), 1,
      sym__command_start,
    ACTIONS(16488), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16490), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19723), 1,
      sym__word_identifier,
    ACTIONS(19725), 1,
      sym_character_literal,
    STATE(5318), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16486), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16492), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6501), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [153205] = 14,
    ACTIONS(16098), 1,
      anon_sym_LPAREN,
    ACTIONS(16100), 1,
      anon_sym_LBRACK,
    ACTIONS(16102), 1,
      anon_sym_LBRACE,
    ACTIONS(16110), 1,
      sym__string_start,
    ACTIONS(16112), 1,
      sym__command_start,
    ACTIONS(16942), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16944), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19727), 1,
      sym__word_identifier,
    ACTIONS(19729), 1,
      sym_character_literal,
    STATE(4357), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16940), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16946), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5957), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [153265] = 27,
    ACTIONS(7942), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19731), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15563), 1,
      sym__comprehension_clause,
    STATE(15770), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153351] = 27,
    ACTIONS(9950), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19733), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15773), 1,
      aux_sym_argument_list_repeat1,
    STATE(15776), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153437] = 27,
    ACTIONS(8124), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19735), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16192), 1,
      sym__comprehension_clause,
    STATE(16570), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153523] = 14,
    ACTIONS(55), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(19464), 1,
      anon_sym_LPAREN,
    ACTIONS(19466), 1,
      sym_character_literal,
    STATE(10669), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10026), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [153583] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19737), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13238), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [153661] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19737), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [153737] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13945), 1,
      anon_sym_LF,
    ACTIONS(13943), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [153777] = 27,
    ACTIONS(10532), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19739), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16419), 1,
      aux_sym_argument_list_repeat1,
    STATE(16420), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153863] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19636), 1,
      anon_sym_DOT,
    ACTIONS(12676), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12674), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [153905] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13918), 1,
      anon_sym_LF,
    ACTIONS(13916), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [153945] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(19741), 1,
      anon_sym_DOT,
    ACTIONS(12674), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [153987] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13658), 1,
      anon_sym_LF,
    ACTIONS(13656), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [154027] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(19008), 1,
      anon_sym_as,
    ACTIONS(12950), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [154069] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13634), 1,
      anon_sym_LF,
    ACTIONS(13632), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [154109] = 14,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    ACTIONS(15764), 1,
      anon_sym_LPAREN,
    ACTIONS(17212), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17214), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19743), 1,
      sym__word_identifier,
    ACTIONS(19745), 1,
      sym_character_literal,
    STATE(14344), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17210), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17216), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(14364), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [154169] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(19747), 1,
      anon_sym_COMMA,
    STATE(12454), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12950), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [154213] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13162), 1,
      anon_sym_LF,
    ACTIONS(19006), 1,
      anon_sym_COMMA,
    STATE(12454), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(13164), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [154257] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19758), 1,
      anon_sym_QMARK,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [154333] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18829), 1,
      anon_sym_QMARK,
    STATE(14449), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [154413] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13914), 1,
      anon_sym_LF,
    ACTIONS(13912), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [154453] = 27,
    ACTIONS(8312), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19782), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15553), 1,
      aux_sym_argument_list_repeat1,
    STATE(15759), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [154539] = 14,
    ACTIONS(15624), 1,
      anon_sym_LPAREN,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    ACTIONS(15628), 1,
      anon_sym_LBRACE,
    ACTIONS(15636), 1,
      sym__string_start,
    ACTIONS(15638), 1,
      sym__command_start,
    ACTIONS(17460), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17462), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19784), 1,
      sym__word_identifier,
    ACTIONS(19786), 1,
      sym_character_literal,
    STATE(4314), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17458), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17464), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(4806), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [154599] = 14,
    ACTIONS(15942), 1,
      anon_sym_LPAREN,
    ACTIONS(15944), 1,
      anon_sym_LBRACK,
    ACTIONS(15946), 1,
      anon_sym_LBRACE,
    ACTIONS(15954), 1,
      sym__string_start,
    ACTIONS(15956), 1,
      sym__command_start,
    ACTIONS(16154), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16156), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19788), 1,
      sym__word_identifier,
    ACTIONS(19790), 1,
      sym_character_literal,
    STATE(4593), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16152), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16158), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6021), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [154659] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13818), 1,
      anon_sym_LF,
    ACTIONS(13816), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [154699] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18969), 1,
      anon_sym_QMARK,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12957), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [154775] = 27,
    ACTIONS(8534), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19792), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15516), 1,
      sym__comprehension_clause,
    STATE(15913), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [154861] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(13054), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [154903] = 27,
    ACTIONS(9800), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19794), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15541), 1,
      sym__comprehension_clause,
    STATE(15543), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [154989] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18829), 1,
      anon_sym_QMARK,
    STATE(12233), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13054), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [155069] = 14,
    ACTIONS(609), 1,
      sym__string_start,
    ACTIONS(611), 1,
      sym__command_start,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(8548), 1,
      anon_sym_LBRACE,
    ACTIONS(11802), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11804), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19796), 1,
      sym__word_identifier,
    ACTIONS(19798), 1,
      anon_sym_LPAREN,
    ACTIONS(19800), 1,
      sym_character_literal,
    STATE(4450), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17038), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17040), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5909), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [155129] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(13092), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [155171] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18829), 1,
      anon_sym_QMARK,
    STATE(12233), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13092), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [155251] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(13102), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [155293] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18829), 1,
      anon_sym_QMARK,
    STATE(12233), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13102), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [155373] = 27,
    ACTIONS(8096), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19802), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16415), 1,
      sym__comprehension_clause,
    STATE(16603), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [155459] = 14,
    ACTIONS(16118), 1,
      anon_sym_LPAREN,
    ACTIONS(16120), 1,
      anon_sym_LBRACK,
    ACTIONS(16122), 1,
      anon_sym_LBRACE,
    ACTIONS(16130), 1,
      sym__string_start,
    ACTIONS(16132), 1,
      sym__command_start,
    ACTIONS(16326), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16328), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19804), 1,
      sym__word_identifier,
    ACTIONS(19806), 1,
      sym_character_literal,
    STATE(4497), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16324), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16330), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5860), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [155519] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(13392), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [155563] = 14,
    ACTIONS(967), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(969), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16730), 1,
      sym__string_start,
    ACTIONS(16732), 1,
      sym__command_start,
    ACTIONS(19808), 1,
      sym__word_identifier,
    ACTIONS(19810), 1,
      anon_sym_LPAREN,
    ACTIONS(19812), 1,
      anon_sym_LBRACK,
    ACTIONS(19814), 1,
      anon_sym_LBRACE,
    ACTIONS(19816), 1,
      sym_character_literal,
    STATE(6680), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(965), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(971), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7396), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [155623] = 27,
    ACTIONS(10390), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19818), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16625), 1,
      sym__comprehension_clause,
    STATE(16629), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [155709] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19828), 1,
      anon_sym_QMARK,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13238), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
  [155787] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13814), 1,
      anon_sym_LF,
    ACTIONS(13812), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [155827] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19828), 1,
      anon_sym_QMARK,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [155903] = 27,
    ACTIONS(8366), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19854), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15754), 1,
      sym__comprehension_clause,
    STATE(16470), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [155989] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(19856), 1,
      anon_sym_DOT,
    ACTIONS(12674), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [156031] = 27,
    ACTIONS(8020), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19858), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15573), 1,
      sym__comprehension_clause,
    STATE(15721), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [156117] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19860), 1,
      anon_sym_COMMA,
    ACTIONS(19862), 1,
      anon_sym_as,
    ACTIONS(19864), 1,
      anon_sym_COLON2,
    STATE(13005), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12872), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12864), 23,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [156165] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13810), 1,
      anon_sym_LF,
    ACTIONS(13808), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [156205] = 12,
    ACTIONS(18380), 1,
      sym__word_identifier,
    ACTIONS(18382), 1,
      aux_sym_import_path_token1,
    ACTIONS(18384), 1,
      anon_sym_LPAREN,
    ACTIONS(18386), 1,
      anon_sym_DOLLAR,
    ACTIONS(18388), 1,
      anon_sym_AT,
    STATE(6659), 1,
      sym_identifier,
    STATE(6665), 1,
      sym_scoped_identifier,
    STATE(7809), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6950), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16210), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16208), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [156261] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13806), 1,
      anon_sym_LF,
    ACTIONS(13804), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [156301] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(19006), 1,
      anon_sym_COMMA,
    STATE(12455), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [156345] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13112), 1,
      anon_sym_LF,
    ACTIONS(19866), 1,
      anon_sym_COMMA,
    STATE(12585), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13114), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [156389] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [156453] = 12,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(18456), 1,
      aux_sym_import_path_token1,
    ACTIONS(18458), 1,
      anon_sym_DOLLAR,
    ACTIONS(18460), 1,
      anon_sym_AT,
    STATE(11703), 1,
      sym_identifier,
    STATE(11704), 1,
      sym_scoped_identifier,
    STATE(12194), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12195), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16582), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [156509] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 21,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [156561] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13782), 1,
      anon_sym_LF,
    ACTIONS(13780), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [156601] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13778), 1,
      anon_sym_LF,
    ACTIONS(13776), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [156641] = 14,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    ACTIONS(19868), 1,
      sym__word_identifier,
    ACTIONS(19870), 1,
      anon_sym_LPAREN,
    ACTIONS(19872), 1,
      anon_sym_LBRACK,
    ACTIONS(19874), 1,
      anon_sym_LBRACE,
    ACTIONS(19876), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19878), 1,
      sym_character_literal,
    STATE(17220), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11520), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [156701] = 14,
    ACTIONS(15862), 1,
      anon_sym_LPAREN,
    ACTIONS(15864), 1,
      anon_sym_LBRACK,
    ACTIONS(15866), 1,
      anon_sym_LBRACE,
    ACTIONS(15874), 1,
      sym__string_start,
    ACTIONS(15876), 1,
      sym__command_start,
    ACTIONS(16296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19880), 1,
      sym__word_identifier,
    ACTIONS(19882), 1,
      sym_character_literal,
    STATE(11539), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16294), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16300), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(12052), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [156761] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13774), 1,
      anon_sym_LF,
    ACTIONS(13772), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [156801] = 27,
    ACTIONS(9776), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19884), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16239), 1,
      aux_sym_argument_list_repeat1,
    STATE(16244), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [156887] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13770), 1,
      anon_sym_LF,
    ACTIONS(13768), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [156927] = 27,
    ACTIONS(9438), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19886), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15662), 1,
      sym__comprehension_clause,
    STATE(15667), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [157013] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14172), 1,
      anon_sym_LF,
    ACTIONS(14170), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [157053] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13750), 1,
      anon_sym_LF,
    ACTIONS(13748), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [157093] = 27,
    ACTIONS(8036), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19888), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15519), 1,
      aux_sym_argument_list_repeat1,
    STATE(15557), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [157179] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [157241] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13742), 1,
      anon_sym_LF,
    ACTIONS(13740), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [157281] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13562), 1,
      anon_sym_LF,
    ACTIONS(13560), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [157321] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18746), 1,
      anon_sym_QMARK,
    ACTIONS(18748), 1,
      sym__pair_operator,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [157397] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13738), 1,
      anon_sym_LF,
    ACTIONS(13736), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [157437] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13700), 1,
      anon_sym_LF,
    ACTIONS(13698), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [157477] = 27,
    ACTIONS(10448), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19890), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16566), 1,
      sym__comprehension_clause,
    STATE(16584), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [157563] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [157635] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [157703] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [157769] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19758), 1,
      anon_sym_QMARK,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13238), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [157847] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13284), 1,
      anon_sym_LF,
    ACTIONS(13282), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [157887] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13402), 1,
      anon_sym_LF,
    ACTIONS(13400), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [157927] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(13242), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [157967] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [158025] = 27,
    ACTIONS(8182), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19894), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16266), 1,
      aux_sym_argument_list_repeat1,
    STATE(16399), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [158111] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18736), 1,
      anon_sym_where,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18750), 1,
      sym__arrow_operator,
    ACTIONS(18752), 1,
      sym__lazy_or_operator,
    ACTIONS(18754), 1,
      sym__lazy_and_operator,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18829), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18740), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 6,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [158187] = 14,
    ACTIONS(3001), 1,
      anon_sym_LBRACK,
    ACTIONS(3003), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(15316), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15318), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(19898), 1,
      anon_sym_LPAREN,
    ACTIONS(19900), 1,
      sym_character_literal,
    STATE(10674), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15314), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15320), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10395), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [158247] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13542), 1,
      anon_sym_LF,
    ACTIONS(13540), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [158287] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13510), 1,
      anon_sym_LF,
    ACTIONS(13508), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [158327] = 27,
    ACTIONS(8146), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19902), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15611), 1,
      aux_sym_argument_list_repeat1,
    STATE(15643), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [158413] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13486), 1,
      anon_sym_LF,
    ACTIONS(13484), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [158453] = 14,
    ACTIONS(15988), 1,
      anon_sym_LPAREN,
    ACTIONS(15990), 1,
      anon_sym_LBRACK,
    ACTIONS(15992), 1,
      anon_sym_LBRACE,
    ACTIONS(16000), 1,
      sym__string_start,
    ACTIONS(16002), 1,
      sym__command_start,
    ACTIONS(17106), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17108), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19904), 1,
      sym__word_identifier,
    ACTIONS(19906), 1,
      sym_character_literal,
    STATE(10462), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17104), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17110), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11120), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [158513] = 12,
    ACTIONS(18618), 1,
      sym__word_identifier,
    ACTIONS(18620), 1,
      aux_sym_import_path_token1,
    ACTIONS(18622), 1,
      anon_sym_LPAREN,
    ACTIONS(18624), 1,
      anon_sym_DOLLAR,
    ACTIONS(18626), 1,
      anon_sym_AT,
    STATE(7736), 1,
      sym_scoped_identifier,
    STATE(7737), 1,
      sym_identifier,
    STATE(9000), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8595), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17348), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17346), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [158569] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13482), 1,
      anon_sym_LF,
    ACTIONS(13480), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [158609] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18738), 1,
      anon_sym_COLON2,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18756), 1,
      sym__pipe_right_operator,
    ACTIONS(18758), 1,
      sym__pipe_left_operator,
    ACTIONS(18760), 1,
      sym__ellipsis_operator,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [158671] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13414), 1,
      anon_sym_LF,
    ACTIONS(13412), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [158711] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13261), 1,
      anon_sym_LF,
    ACTIONS(13259), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [158751] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13288), 1,
      anon_sym_LF,
    ACTIONS(13286), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [158791] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13410), 1,
      anon_sym_LF,
    ACTIONS(13408), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [158831] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11433), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [158891] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13388), 1,
      anon_sym_LF,
    ACTIONS(13386), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [158931] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13428), 1,
      anon_sym_LF,
    ACTIONS(13426), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [158971] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13342), 1,
      anon_sym_LF,
    ACTIONS(13340), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159011] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13428), 1,
      anon_sym_LF,
    ACTIONS(13426), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159051] = 27,
    ACTIONS(10096), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19910), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15743), 1,
      sym__comprehension_clause,
    STATE(15745), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [159137] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13288), 1,
      anon_sym_LF,
    ACTIONS(13286), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159177] = 6,
    ACTIONS(19912), 1,
      anon_sym_COMMA,
    ACTIONS(19914), 1,
      anon_sym_as,
    STATE(13166), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12864), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12872), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [159221] = 27,
    ACTIONS(10662), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19916), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15964), 1,
      aux_sym_argument_list_repeat1,
    STATE(15967), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [159307] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(18762), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 21,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [159359] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13261), 1,
      anon_sym_LF,
    ACTIONS(13259), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159399] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159443] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17562), 1,
      anon_sym_DASH_GT,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159487] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11443), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [159547] = 14,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    ACTIONS(19868), 1,
      sym__word_identifier,
    ACTIONS(19870), 1,
      anon_sym_LPAREN,
    ACTIONS(19872), 1,
      anon_sym_LBRACK,
    ACTIONS(19874), 1,
      anon_sym_LBRACE,
    ACTIONS(19878), 1,
      sym_character_literal,
    ACTIONS(19918), 1,
      aux_sym_integer_literal_token4,
    STATE(11519), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11520), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [159607] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13402), 1,
      anon_sym_LF,
    ACTIONS(13400), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159647] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13284), 1,
      anon_sym_LF,
    ACTIONS(13282), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159687] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13562), 1,
      anon_sym_LF,
    ACTIONS(13560), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159727] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(12021), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [159787] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18764), 1,
      sym__times_operator,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159837] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13634), 1,
      anon_sym_LF,
    ACTIONS(13632), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159877] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13658), 1,
      anon_sym_LF,
    ACTIONS(13656), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159917] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18766), 1,
      sym__rational_operator,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [159965] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13342), 1,
      anon_sym_LF,
    ACTIONS(13340), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [160005] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13388), 1,
      anon_sym_LF,
    ACTIONS(13386), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [160045] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13662), 1,
      anon_sym_LF,
    ACTIONS(13660), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160085] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19636), 1,
      anon_sym_DOT,
    ACTIONS(12876), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12874), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160127] = 12,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18324), 1,
      aux_sym_import_path_token1,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18328), 1,
      anon_sym_DOLLAR,
    ACTIONS(18330), 1,
      anon_sym_AT,
    STATE(10780), 1,
      sym_import_alias,
    STATE(12370), 1,
      sym_scoped_identifier,
    STATE(12377), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12913), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [160183] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13686), 1,
      anon_sym_LF,
    ACTIONS(13684), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160223] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13692), 1,
      anon_sym_LF,
    ACTIONS(13690), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160263] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13746), 1,
      anon_sym_LF,
    ACTIONS(13744), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160303] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13410), 1,
      anon_sym_LF,
    ACTIONS(13408), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [160343] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13826), 1,
      anon_sym_LF,
    ACTIONS(13824), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160383] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13830), 1,
      anon_sym_LF,
    ACTIONS(13828), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160423] = 27,
    ACTIONS(10020), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19920), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15635), 1,
      aux_sym_argument_list_repeat1,
    STATE(15656), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [160509] = 12,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18612), 1,
      aux_sym_import_path_token1,
    ACTIONS(18614), 1,
      anon_sym_DOLLAR,
    ACTIONS(18616), 1,
      anon_sym_AT,
    STATE(10780), 1,
      sym_import_alias,
    STATE(12069), 1,
      sym_scoped_identifier,
    STATE(12071), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12451), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [160565] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(13054), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160607] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18768), 1,
      sym__bitshift_operator,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(13390), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160653] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(13092), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160695] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(13102), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160737] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18770), 1,
      sym__power_operator,
    ACTIONS(13390), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160781] = 14,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    ACTIONS(15764), 1,
      anon_sym_LPAREN,
    ACTIONS(17212), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17214), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19743), 1,
      sym__word_identifier,
    ACTIONS(19745), 1,
      sym_character_literal,
    STATE(14461), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17210), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17216), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(14364), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [160841] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13414), 1,
      anon_sym_LF,
    ACTIONS(13412), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [160881] = 14,
    ACTIONS(771), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(773), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17422), 1,
      sym__string_start,
    ACTIONS(17424), 1,
      sym__command_start,
    ACTIONS(19922), 1,
      sym__word_identifier,
    ACTIONS(19924), 1,
      anon_sym_LPAREN,
    ACTIONS(19926), 1,
      anon_sym_LBRACK,
    ACTIONS(19928), 1,
      anon_sym_LBRACE,
    ACTIONS(19930), 1,
      sym_character_literal,
    STATE(6824), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9818), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(9820), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7788), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [160941] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(13210), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [160981] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13482), 1,
      anon_sym_LF,
    ACTIONS(13480), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [161021] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13766), 1,
      anon_sym_LF,
    ACTIONS(13764), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [161061] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11758), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [161121] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(19085), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13238), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [161199] = 4,
    ACTIONS(19686), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12874), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12876), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [161239] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(19085), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 6,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [161315] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13170), 1,
      anon_sym_LF,
    ACTIONS(19866), 1,
      anon_sym_COMMA,
    STATE(12434), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13166), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [161359] = 27,
    ACTIONS(8492), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19932), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15673), 1,
      aux_sym_argument_list_repeat1,
    STATE(15952), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [161445] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(19085), 1,
      anon_sym_QMARK,
    STATE(14441), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [161525] = 14,
    ACTIONS(15842), 1,
      anon_sym_LPAREN,
    ACTIONS(15844), 1,
      anon_sym_LBRACK,
    ACTIONS(15846), 1,
      anon_sym_LBRACE,
    ACTIONS(15854), 1,
      sym__string_start,
    ACTIONS(15856), 1,
      sym__command_start,
    ACTIONS(16650), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16652), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19934), 1,
      sym__word_identifier,
    ACTIONS(19936), 1,
      sym_character_literal,
    STATE(4565), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16648), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16654), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5755), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [161585] = 27,
    ACTIONS(10110), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19938), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16036), 1,
      sym__comprehension_clause,
    STATE(16038), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [161671] = 27,
    ACTIONS(8324), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19940), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15985), 1,
      aux_sym_argument_list_repeat1,
    STATE(16129), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [161757] = 14,
    ACTIONS(15572), 1,
      anon_sym_LPAREN,
    ACTIONS(15574), 1,
      anon_sym_LBRACK,
    ACTIONS(15576), 1,
      anon_sym_LBRACE,
    ACTIONS(15584), 1,
      sym__string_start,
    ACTIONS(15586), 1,
      sym__command_start,
    ACTIONS(16672), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16674), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19942), 1,
      sym__word_identifier,
    ACTIONS(19944), 1,
      sym_character_literal,
    STATE(5038), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16670), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16676), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5992), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [161817] = 4,
    ACTIONS(19686), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12844), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12846), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [161857] = 14,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(19530), 1,
      sym_character_literal,
    STATE(11334), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10143), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [161917] = 14,
    ACTIONS(19494), 1,
      sym__word_identifier,
    ACTIONS(19496), 1,
      anon_sym_LPAREN,
    ACTIONS(19498), 1,
      anon_sym_LBRACK,
    ACTIONS(19500), 1,
      anon_sym_LBRACE,
    ACTIONS(19504), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(19506), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19510), 1,
      sym_character_literal,
    ACTIONS(19512), 1,
      sym__string_start,
    ACTIONS(19514), 1,
      sym__command_start,
    STATE(14464), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19502), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(19508), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(14494), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [161977] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13486), 1,
      anon_sym_LF,
    ACTIONS(13484), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [162017] = 14,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    ACTIONS(19868), 1,
      sym__word_identifier,
    ACTIONS(19870), 1,
      anon_sym_LPAREN,
    ACTIONS(19872), 1,
      anon_sym_LBRACK,
    ACTIONS(19874), 1,
      anon_sym_LBRACE,
    ACTIONS(19878), 1,
      sym_character_literal,
    ACTIONS(19918), 1,
      aux_sym_integer_literal_token4,
    STATE(11382), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11520), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [162077] = 14,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(17160), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17162), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19946), 1,
      sym__word_identifier,
    ACTIONS(19948), 1,
      sym_character_literal,
    STATE(11356), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17158), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17164), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10956), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [162137] = 14,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(19952), 1,
      sym_character_literal,
    STATE(11047), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10115), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [162197] = 27,
    ACTIONS(8104), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19954), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15599), 1,
      aux_sym_argument_list_repeat1,
    STATE(16283), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [162283] = 14,
    ACTIONS(15746), 1,
      anon_sym_LPAREN,
    ACTIONS(15748), 1,
      anon_sym_LBRACK,
    ACTIONS(15750), 1,
      anon_sym_LBRACE,
    ACTIONS(15758), 1,
      sym__string_start,
    ACTIONS(15760), 1,
      sym__command_start,
    ACTIONS(17270), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17272), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19956), 1,
      sym__word_identifier,
    ACTIONS(19958), 1,
      sym_character_literal,
    STATE(11048), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17268), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17274), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10559), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [162343] = 14,
    ACTIONS(16602), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16620), 1,
      sym__string_start,
    ACTIONS(16622), 1,
      sym__command_start,
    ACTIONS(19706), 1,
      sym__word_identifier,
    ACTIONS(19708), 1,
      anon_sym_LPAREN,
    ACTIONS(19710), 1,
      anon_sym_LBRACK,
    ACTIONS(19712), 1,
      anon_sym_LBRACE,
    ACTIONS(19714), 1,
      sym_character_literal,
    ACTIONS(19960), 1,
      aux_sym_integer_literal_token4,
    STATE(11390), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16600), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16606), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11829), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [162403] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(12021), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [162463] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14244), 1,
      anon_sym_LF,
    ACTIONS(14246), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [162503] = 14,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16574), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    ACTIONS(19868), 1,
      sym__word_identifier,
    ACTIONS(19870), 1,
      anon_sym_LPAREN,
    ACTIONS(19872), 1,
      anon_sym_LBRACK,
    ACTIONS(19874), 1,
      anon_sym_LBRACE,
    ACTIONS(19878), 1,
      sym_character_literal,
    STATE(11519), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11520), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [162563] = 4,
    ACTIONS(19686), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12850), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12852), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [162603] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(19962), 1,
      anon_sym_COMMA,
    STATE(12606), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [162647] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13510), 1,
      anon_sym_LF,
    ACTIONS(13508), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [162687] = 14,
    ACTIONS(16602), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16604), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16620), 1,
      sym__string_start,
    ACTIONS(16622), 1,
      sym__command_start,
    ACTIONS(19706), 1,
      sym__word_identifier,
    ACTIONS(19708), 1,
      anon_sym_LPAREN,
    ACTIONS(19710), 1,
      anon_sym_LBRACK,
    ACTIONS(19712), 1,
      anon_sym_LBRACE,
    ACTIONS(19714), 1,
      sym_character_literal,
    STATE(11467), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16600), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16606), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11829), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [162747] = 7,
    ACTIONS(19912), 1,
      anon_sym_COMMA,
    ACTIONS(19914), 1,
      anon_sym_as,
    ACTIONS(19965), 1,
      anon_sym_COLON2,
    STATE(13166), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12864), 6,
      anon_sym_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12872), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [162793] = 27,
    ACTIONS(8460), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19967), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15876), 1,
      sym__comprehension_clause,
    STATE(16016), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [162879] = 14,
    ACTIONS(17302), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17320), 1,
      sym__string_start,
    ACTIONS(17322), 1,
      sym__command_start,
    ACTIONS(19969), 1,
      sym__word_identifier,
    ACTIONS(19971), 1,
      anon_sym_LPAREN,
    ACTIONS(19973), 1,
      anon_sym_LBRACK,
    ACTIONS(19975), 1,
      anon_sym_LBRACE,
    ACTIONS(19977), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19979), 1,
      sym_character_literal,
    STATE(11396), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17300), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17306), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11713), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [162939] = 14,
    ACTIONS(17302), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17304), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17320), 1,
      sym__string_start,
    ACTIONS(17322), 1,
      sym__command_start,
    ACTIONS(19969), 1,
      sym__word_identifier,
    ACTIONS(19971), 1,
      anon_sym_LPAREN,
    ACTIONS(19973), 1,
      anon_sym_LBRACK,
    ACTIONS(19975), 1,
      anon_sym_LBRACE,
    ACTIONS(19979), 1,
      sym_character_literal,
    STATE(11536), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17300), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17306), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11713), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [162999] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14268), 1,
      anon_sym_LF,
    ACTIONS(14270), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163039] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(13054), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163079] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    STATE(12009), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13054), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [163159] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11750), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [163219] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11477), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [163279] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13524), 1,
      anon_sym_LF,
    ACTIONS(13522), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163319] = 4,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [163359] = 12,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18442), 1,
      aux_sym_import_path_token1,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(18446), 1,
      anon_sym_DOLLAR,
    ACTIONS(18448), 1,
      anon_sym_AT,
    STATE(12194), 1,
      sym_import_alias,
    STATE(12592), 1,
      sym_identifier,
    STATE(12605), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(13157), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16582), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [163415] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13542), 1,
      anon_sym_LF,
    ACTIONS(13540), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163455] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14118), 1,
      anon_sym_LF,
    ACTIONS(14120), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163495] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    STATE(12606), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 26,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [163539] = 12,
    ACTIONS(18542), 1,
      sym__word_identifier,
    ACTIONS(18544), 1,
      aux_sym_import_path_token1,
    ACTIONS(18546), 1,
      anon_sym_LPAREN,
    ACTIONS(18548), 1,
      anon_sym_DOLLAR,
    ACTIONS(18550), 1,
      anon_sym_AT,
    STATE(6962), 1,
      sym_scoped_identifier,
    STATE(6963), 1,
      sym_identifier,
    STATE(8489), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7304), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17062), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17060), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [163595] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19260), 1,
      anon_sym_QMARK,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12957), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [163671] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(13092), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163711] = 14,
    ACTIONS(375), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(377), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16524), 1,
      sym__string_start,
    ACTIONS(16526), 1,
      sym__command_start,
    ACTIONS(19985), 1,
      sym__word_identifier,
    ACTIONS(19987), 1,
      anon_sym_LPAREN,
    ACTIONS(19989), 1,
      anon_sym_LBRACK,
    ACTIONS(19991), 1,
      anon_sym_LBRACE,
    ACTIONS(19993), 1,
      sym_character_literal,
    STATE(6579), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9146), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(9148), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6906), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [163771] = 27,
    ACTIONS(8440), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19995), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15697), 1,
      aux_sym_argument_list_repeat1,
    STATE(15842), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [163857] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    STATE(12009), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13092), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [163937] = 14,
    ACTIONS(17080), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17098), 1,
      sym__string_start,
    ACTIONS(17100), 1,
      sym__command_start,
    ACTIONS(19536), 1,
      sym__word_identifier,
    ACTIONS(19538), 1,
      anon_sym_LPAREN,
    ACTIONS(19540), 1,
      anon_sym_LBRACK,
    ACTIONS(19542), 1,
      anon_sym_LBRACE,
    ACTIONS(19544), 1,
      sym_character_literal,
    ACTIONS(19997), 1,
      aux_sym_integer_literal_token4,
    STATE(5979), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17078), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17084), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6668), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [163997] = 14,
    ACTIONS(19999), 1,
      sym__word_identifier,
    ACTIONS(20001), 1,
      anon_sym_LPAREN,
    ACTIONS(20003), 1,
      anon_sym_LBRACK,
    ACTIONS(20005), 1,
      anon_sym_LBRACE,
    ACTIONS(20009), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(20011), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20015), 1,
      sym_character_literal,
    ACTIONS(20017), 1,
      sym__string_start,
    ACTIONS(20019), 1,
      sym__command_start,
    STATE(9565), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20007), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(20013), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(9634), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [164057] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(13242), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [164097] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(13102), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [164137] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12876), 1,
      anon_sym_LF,
    ACTIONS(19856), 1,
      anon_sym_DOT,
    ACTIONS(12874), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [164179] = 27,
    ACTIONS(7978), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20021), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16561), 1,
      sym__comprehension_clause,
    STATE(16622), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [164265] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13700), 1,
      anon_sym_LF,
    ACTIONS(13698), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [164305] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13738), 1,
      anon_sym_LF,
    ACTIONS(13736), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [164345] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13742), 1,
      anon_sym_LF,
    ACTIONS(13740), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [164385] = 14,
    ACTIONS(591), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(593), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16752), 1,
      sym__string_start,
    ACTIONS(16754), 1,
      sym__command_start,
    ACTIONS(20023), 1,
      sym__word_identifier,
    ACTIONS(20025), 1,
      anon_sym_LPAREN,
    ACTIONS(20027), 1,
      anon_sym_LBRACK,
    ACTIONS(20029), 1,
      anon_sym_LBRACE,
    ACTIONS(20031), 1,
      sym_character_literal,
    STATE(6701), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8554), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8556), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7492), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [164445] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13750), 1,
      anon_sym_LF,
    ACTIONS(13748), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [164485] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    STATE(12009), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13102), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [164565] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13766), 1,
      anon_sym_LF,
    ACTIONS(13764), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [164605] = 12,
    ACTIONS(18402), 1,
      sym__word_identifier,
    ACTIONS(18404), 1,
      aux_sym_import_path_token1,
    ACTIONS(18406), 1,
      anon_sym_LPAREN,
    ACTIONS(18408), 1,
      anon_sym_DOLLAR,
    ACTIONS(18410), 1,
      anon_sym_AT,
    STATE(7550), 1,
      sym_identifier,
    STATE(7552), 1,
      sym_scoped_identifier,
    STATE(8872), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8707), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17254), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17252), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [164661] = 14,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(19952), 1,
      sym_character_literal,
    STATE(10950), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10115), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [164721] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19737), 1,
      anon_sym_QMARK,
    STATE(12623), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [164801] = 27,
    ACTIONS(9088), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20033), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15537), 1,
      sym__comprehension_clause,
    STATE(15560), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [164887] = 27,
    ACTIONS(9238), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20035), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15823), 1,
      sym__comprehension_clause,
    STATE(15906), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [164973] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14129), 1,
      anon_sym_LF,
    ACTIONS(14131), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [165013] = 27,
    ACTIONS(10188), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20037), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15653), 1,
      sym__comprehension_clause,
    STATE(15676), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [165099] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13770), 1,
      anon_sym_LF,
    ACTIONS(13768), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [165139] = 27,
    ACTIONS(7960), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20039), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15499), 1,
      aux_sym_argument_list_repeat1,
    STATE(16013), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [165225] = 14,
    ACTIONS(3001), 1,
      anon_sym_LBRACK,
    ACTIONS(3003), 1,
      anon_sym_LBRACE,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(15316), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15318), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(19898), 1,
      anon_sym_LPAREN,
    ACTIONS(19900), 1,
      sym_character_literal,
    STATE(10244), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15314), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15320), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10395), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [165285] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19828), 1,
      anon_sym_QMARK,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    STATE(12858), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13092), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [165365] = 27,
    ACTIONS(8226), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20043), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15855), 1,
      aux_sym_argument_list_repeat1,
    STATE(16626), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [165451] = 27,
    ACTIONS(9892), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20045), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16598), 1,
      aux_sym_argument_list_repeat1,
    STATE(16601), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [165537] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19828), 1,
      anon_sym_QMARK,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    STATE(12858), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [165617] = 26,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    ACTIONS(20047), 1,
      anon_sym_LF,
    ACTIONS(20049), 1,
      anon_sym_QMARK,
    ACTIONS(20051), 1,
      aux_sym__terminator_token1,
    STATE(14535), 1,
      aux_sym_open_tuple_repeat1,
    STATE(15230), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 2,
      anon_sym_end,
      anon_sym_catch,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [165701] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17722), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [165743] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19758), 1,
      anon_sym_QMARK,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    STATE(12884), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [165823] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19737), 1,
      anon_sym_QMARK,
    STATE(12623), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13054), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [165903] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11552), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [165963] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19737), 1,
      anon_sym_QMARK,
    STATE(12623), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13092), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [166043] = 14,
    ACTIONS(15512), 1,
      anon_sym_LPAREN,
    ACTIONS(15514), 1,
      anon_sym_LBRACK,
    ACTIONS(15516), 1,
      anon_sym_LBRACE,
    ACTIONS(15524), 1,
      sym__string_start,
    ACTIONS(15526), 1,
      sym__command_start,
    ACTIONS(17020), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17022), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20055), 1,
      sym__word_identifier,
    ACTIONS(20057), 1,
      sym_character_literal,
    STATE(4306), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17018), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17024), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(4881), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [166103] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14041), 1,
      anon_sym_LF,
    ACTIONS(14043), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [166143] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [166183] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19737), 1,
      anon_sym_QMARK,
    STATE(12623), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13102), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [166263] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11495), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [166323] = 14,
    ACTIONS(469), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(471), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17152), 1,
      sym__string_start,
    ACTIONS(17154), 1,
      sym__command_start,
    ACTIONS(20059), 1,
      sym__word_identifier,
    ACTIONS(20061), 1,
      anon_sym_LPAREN,
    ACTIONS(20063), 1,
      anon_sym_LBRACK,
    ACTIONS(20065), 1,
      anon_sym_LBRACE,
    ACTIONS(20067), 1,
      sym_character_literal,
    STATE(6532), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6318), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(6320), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7209), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [166383] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14021), 1,
      anon_sym_LF,
    ACTIONS(14023), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [166423] = 27,
    ACTIONS(8612), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20069), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16331), 1,
      aux_sym_argument_list_repeat1,
    STATE(16337), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [166509] = 14,
    ACTIONS(15962), 1,
      anon_sym_LPAREN,
    ACTIONS(15964), 1,
      anon_sym_LBRACK,
    ACTIONS(15966), 1,
      anon_sym_LBRACE,
    ACTIONS(15974), 1,
      sym__string_start,
    ACTIONS(15976), 1,
      sym__command_start,
    ACTIONS(17438), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17440), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20071), 1,
      sym__word_identifier,
    ACTIONS(20073), 1,
      sym_character_literal,
    STATE(4313), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17436), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17442), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(4911), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [166569] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [166611] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14017), 1,
      anon_sym_LF,
    ACTIONS(14019), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [166651] = 14,
    ACTIONS(891), 1,
      sym__string_start,
    ACTIONS(893), 1,
      sym__command_start,
    ACTIONS(8754), 1,
      anon_sym_LBRACK,
    ACTIONS(8756), 1,
      anon_sym_LBRACE,
    ACTIONS(11838), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11840), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20075), 1,
      sym__word_identifier,
    ACTIONS(20077), 1,
      anon_sym_LPAREN,
    ACTIONS(20079), 1,
      sym_character_literal,
    STATE(5086), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17324), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17326), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6401), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [166711] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14013), 1,
      anon_sym_LF,
    ACTIONS(14015), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [166751] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11804), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [166811] = 14,
    ACTIONS(16966), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16984), 1,
      sym__string_start,
    ACTIONS(16986), 1,
      sym__command_start,
    ACTIONS(20081), 1,
      sym__word_identifier,
    ACTIONS(20083), 1,
      anon_sym_LPAREN,
    ACTIONS(20085), 1,
      anon_sym_LBRACK,
    ACTIONS(20087), 1,
      anon_sym_LBRACE,
    ACTIONS(20089), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20091), 1,
      sym_character_literal,
    STATE(6618), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16964), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16970), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7063), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [166871] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17508), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [166913] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19828), 1,
      anon_sym_QMARK,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    STATE(12858), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13054), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [166993] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13951), 1,
      anon_sym_LF,
    ACTIONS(13949), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167033] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19828), 1,
      anon_sym_QMARK,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    STATE(12858), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13102), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [167113] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14009), 1,
      anon_sym_LF,
    ACTIONS(14011), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167153] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13778), 1,
      anon_sym_LF,
    ACTIONS(13776), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167193] = 14,
    ACTIONS(12944), 1,
      sym__string_start,
    ACTIONS(12946), 1,
      sym__command_start,
    ACTIONS(15808), 1,
      anon_sym_LPAREN,
    ACTIONS(15810), 1,
      anon_sym_LBRACK,
    ACTIONS(15812), 1,
      anon_sym_LBRACE,
    ACTIONS(16832), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16834), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20093), 1,
      sym__word_identifier,
    ACTIONS(20095), 1,
      sym_character_literal,
    STATE(10533), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16830), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16836), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11321), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [167253] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13995), 1,
      anon_sym_LF,
    ACTIONS(13997), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167293] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13999), 1,
      anon_sym_LF,
    ACTIONS(14001), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167333] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13832), 1,
      anon_sym_LF,
    ACTIONS(13834), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167373] = 14,
    ACTIONS(16856), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16874), 1,
      sym__string_start,
    ACTIONS(16876), 1,
      sym__command_start,
    ACTIONS(20097), 1,
      sym__word_identifier,
    ACTIONS(20099), 1,
      anon_sym_LPAREN,
    ACTIONS(20101), 1,
      anon_sym_LBRACK,
    ACTIONS(20103), 1,
      anon_sym_LBRACE,
    ACTIONS(20105), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20107), 1,
      sym_character_literal,
    STATE(6629), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16854), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16860), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7154), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [167433] = 14,
    ACTIONS(15822), 1,
      anon_sym_LPAREN,
    ACTIONS(15824), 1,
      anon_sym_LBRACK,
    ACTIONS(15826), 1,
      anon_sym_LBRACE,
    ACTIONS(15834), 1,
      sym__string_start,
    ACTIONS(15836), 1,
      sym__command_start,
    ACTIONS(17364), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17366), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20109), 1,
      sym__word_identifier,
    ACTIONS(20111), 1,
      sym_character_literal,
    STATE(4765), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17362), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17368), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6424), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [167493] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19758), 1,
      anon_sym_QMARK,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    STATE(12884), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13054), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [167573] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13991), 1,
      anon_sym_LF,
    ACTIONS(13993), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167613] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17580), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [167655] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19758), 1,
      anon_sym_QMARK,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    STATE(12884), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13092), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [167735] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13987), 1,
      anon_sym_LF,
    ACTIONS(13989), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167775] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19758), 1,
      anon_sym_QMARK,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    STATE(12884), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13102), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [167855] = 12,
    ACTIONS(18656), 1,
      sym__word_identifier,
    ACTIONS(18658), 1,
      aux_sym_import_path_token1,
    ACTIONS(18660), 1,
      anon_sym_LPAREN,
    ACTIONS(18662), 1,
      anon_sym_DOLLAR,
    ACTIONS(18664), 1,
      anon_sym_AT,
    STATE(6834), 1,
      sym_identifier,
    STATE(6843), 1,
      sym_scoped_identifier,
    STATE(7745), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6878), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(17196), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17194), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [167911] = 27,
    ACTIONS(9504), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20113), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15768), 1,
      aux_sym_argument_list_repeat1,
    STATE(15780), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [167997] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12846), 1,
      anon_sym_LF,
    ACTIONS(19856), 1,
      anon_sym_DOT,
    ACTIONS(12844), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [168039] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13983), 1,
      anon_sym_LF,
    ACTIONS(13985), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168079] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11762), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [168139] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13782), 1,
      anon_sym_LF,
    ACTIONS(13780), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168179] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14035), 1,
      anon_sym_LF,
    ACTIONS(14037), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168219] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13806), 1,
      anon_sym_LF,
    ACTIONS(13804), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168259] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11379), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [168319] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(12034), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [168379] = 14,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(19530), 1,
      sym_character_literal,
    STATE(11190), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10143), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [168439] = 14,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    ACTIONS(19868), 1,
      sym__word_identifier,
    ACTIONS(19870), 1,
      anon_sym_LPAREN,
    ACTIONS(19872), 1,
      anon_sym_LBRACK,
    ACTIONS(19874), 1,
      anon_sym_LBRACE,
    ACTIONS(19878), 1,
      sym_character_literal,
    ACTIONS(19918), 1,
      aux_sym_integer_literal_token4,
    STATE(12115), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11520), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [168499] = 14,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(19952), 1,
      sym_character_literal,
    STATE(10840), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10115), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [168559] = 14,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16574), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    ACTIONS(19868), 1,
      sym__word_identifier,
    ACTIONS(19870), 1,
      anon_sym_LPAREN,
    ACTIONS(19872), 1,
      anon_sym_LBRACK,
    ACTIONS(19874), 1,
      anon_sym_LBRACE,
    ACTIONS(19878), 1,
      sym_character_literal,
    STATE(11783), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11520), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [168619] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12852), 1,
      anon_sym_LF,
    ACTIONS(19856), 1,
      anon_sym_DOT,
    ACTIONS(12850), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [168661] = 27,
    ACTIONS(8488), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20115), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16352), 1,
      aux_sym_argument_list_repeat1,
    STATE(16485), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [168747] = 14,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16574), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    ACTIONS(19868), 1,
      sym__word_identifier,
    ACTIONS(19870), 1,
      anon_sym_LPAREN,
    ACTIONS(19872), 1,
      anon_sym_LBRACK,
    ACTIONS(19874), 1,
      anon_sym_LBRACE,
    ACTIONS(19878), 1,
      sym_character_literal,
    STATE(12115), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11520), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [168807] = 27,
    ACTIONS(8164), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20117), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16197), 1,
      sym__comprehension_clause,
    STATE(16594), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [168893] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13810), 1,
      anon_sym_LF,
    ACTIONS(13808), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168933] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(19654), 1,
      anon_sym_COMMA,
    ACTIONS(19656), 1,
      anon_sym_as,
    ACTIONS(20119), 1,
      anon_sym_COLON2,
    STATE(13051), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 24,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [168981] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(13210), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [169023] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [169087] = 14,
    ACTIONS(55), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(19464), 1,
      anon_sym_LPAREN,
    ACTIONS(19466), 1,
      sym_character_literal,
    STATE(10474), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10026), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [169147] = 14,
    ACTIONS(291), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(293), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16708), 1,
      sym__string_start,
    ACTIONS(16710), 1,
      sym__command_start,
    ACTIONS(19642), 1,
      sym__word_identifier,
    ACTIONS(19644), 1,
      anon_sym_LPAREN,
    ACTIONS(19646), 1,
      anon_sym_LBRACK,
    ACTIONS(19648), 1,
      anon_sym_LBRACE,
    ACTIONS(19650), 1,
      sym_character_literal,
    STATE(6566), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8880), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8882), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7080), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [169207] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13814), 1,
      anon_sym_LF,
    ACTIONS(13812), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [169247] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 21,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [169299] = 14,
    ACTIONS(55), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(19464), 1,
      anon_sym_LPAREN,
    ACTIONS(19466), 1,
      sym_character_literal,
    STATE(10248), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10026), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [169359] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13818), 1,
      anon_sym_LF,
    ACTIONS(13816), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [169399] = 12,
    ACTIONS(18312), 1,
      sym__word_identifier,
    ACTIONS(18314), 1,
      aux_sym_import_path_token1,
    ACTIONS(18316), 1,
      anon_sym_LPAREN,
    ACTIONS(18318), 1,
      anon_sym_DOLLAR,
    ACTIONS(18320), 1,
      anon_sym_AT,
    STATE(11630), 1,
      sym_scoped_identifier,
    STATE(11632), 1,
      sym_identifier,
    STATE(12416), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11902), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16612), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16610), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [169455] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13914), 1,
      anon_sym_LF,
    ACTIONS(13912), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [169495] = 27,
    ACTIONS(8288), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20121), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16079), 1,
      aux_sym_argument_list_repeat1,
    STATE(16214), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [169581] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17580), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [169623] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13918), 1,
      anon_sym_LF,
    ACTIONS(13916), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [169663] = 27,
    ACTIONS(10338), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20123), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15471), 1,
      sym__comprehension_clause,
    STATE(15473), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [169749] = 14,
    ACTIONS(16200), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16218), 1,
      sym__string_start,
    ACTIONS(16220), 1,
      sym__command_start,
    ACTIONS(20125), 1,
      sym__word_identifier,
    ACTIONS(20127), 1,
      anon_sym_LPAREN,
    ACTIONS(20129), 1,
      anon_sym_LBRACK,
    ACTIONS(20131), 1,
      anon_sym_LBRACE,
    ACTIONS(20133), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20135), 1,
      sym_character_literal,
    STATE(6147), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16198), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16204), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6785), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [169809] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11443), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [169869] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [169931] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13945), 1,
      anon_sym_LF,
    ACTIONS(13943), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [169971] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13955), 1,
      anon_sym_LF,
    ACTIONS(13953), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170011] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18969), 1,
      anon_sym_QMARK,
    ACTIONS(18971), 1,
      sym__pair_operator,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [170087] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18973), 1,
      sym__arrow_operator,
    ACTIONS(18975), 1,
      sym__lazy_or_operator,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [170159] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11433), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [170219] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11750), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [170279] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14172), 1,
      anon_sym_LF,
    ACTIONS(14170), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170319] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(14166), 1,
      anon_sym_LF,
    ACTIONS(14168), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170359] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18977), 1,
      sym__lazy_and_operator,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [170427] = 27,
    ACTIONS(9228), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20137), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16501), 1,
      aux_sym_argument_list_repeat1,
    STATE(16526), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [170513] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18959), 1,
      anon_sym_where,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18963), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [170579] = 27,
    ACTIONS(8066), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20139), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15674), 1,
      sym__comprehension_clause,
    STATE(15822), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [170665] = 14,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16574), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    ACTIONS(19868), 1,
      sym__word_identifier,
    ACTIONS(19870), 1,
      anon_sym_LPAREN,
    ACTIONS(19872), 1,
      anon_sym_LBRACK,
    ACTIONS(19874), 1,
      anon_sym_LBRACE,
    ACTIONS(19878), 1,
      sym_character_literal,
    STATE(11382), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11520), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [170725] = 27,
    ACTIONS(8076), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20141), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15510), 1,
      aux_sym_argument_list_repeat1,
    STATE(15654), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [170811] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [170855] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(12950), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170895] = 14,
    ACTIONS(1063), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16350), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16364), 1,
      sym__string_start,
    ACTIONS(16366), 1,
      sym__command_start,
    ACTIONS(20143), 1,
      sym__word_identifier,
    ACTIONS(20145), 1,
      anon_sym_LPAREN,
    ACTIONS(20147), 1,
      anon_sym_LBRACK,
    ACTIONS(20149), 1,
      anon_sym_LBRACE,
    ACTIONS(20151), 1,
      sym_character_literal,
    STATE(7104), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9126), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(9128), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8239), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [170955] = 27,
    ACTIONS(10916), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20153), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16059), 1,
      aux_sym_argument_list_repeat1,
    STATE(16062), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [171041] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19004), 1,
      anon_sym_COMMA,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    STATE(11984), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13102), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [171121] = 14,
    ACTIONS(17244), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17246), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17262), 1,
      sym__string_start,
    ACTIONS(17264), 1,
      sym__command_start,
    ACTIONS(20157), 1,
      sym__word_identifier,
    ACTIONS(20159), 1,
      anon_sym_LPAREN,
    ACTIONS(20161), 1,
      anon_sym_LBRACK,
    ACTIONS(20163), 1,
      anon_sym_LBRACE,
    ACTIONS(20165), 1,
      sym_character_literal,
    STATE(6708), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17242), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17248), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7972), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [171181] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18574), 1,
      anon_sym_EQ,
    ACTIONS(13102), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [171223] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19004), 1,
      anon_sym_COMMA,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    STATE(11984), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13092), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [171303] = 14,
    ACTIONS(591), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16738), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16752), 1,
      sym__string_start,
    ACTIONS(16754), 1,
      sym__command_start,
    ACTIONS(20023), 1,
      sym__word_identifier,
    ACTIONS(20025), 1,
      anon_sym_LPAREN,
    ACTIONS(20027), 1,
      anon_sym_LBRACK,
    ACTIONS(20029), 1,
      anon_sym_LBRACE,
    ACTIONS(20031), 1,
      sym_character_literal,
    STATE(6701), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8554), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8556), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7492), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [171363] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18574), 1,
      anon_sym_EQ,
    ACTIONS(13092), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [171405] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19004), 1,
      anon_sym_COMMA,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    STATE(11984), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13054), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [171485] = 14,
    ACTIONS(15592), 1,
      anon_sym_LPAREN,
    ACTIONS(15594), 1,
      anon_sym_LBRACK,
    ACTIONS(15596), 1,
      anon_sym_LBRACE,
    ACTIONS(15604), 1,
      sym__string_start,
    ACTIONS(15606), 1,
      sym__command_start,
    ACTIONS(17482), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17484), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20167), 1,
      sym__word_identifier,
    ACTIONS(20169), 1,
      sym_character_literal,
    STATE(5153), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17480), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17486), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6331), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [171545] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18574), 1,
      anon_sym_EQ,
    ACTIONS(13054), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [171587] = 14,
    ACTIONS(17302), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17304), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17320), 1,
      sym__string_start,
    ACTIONS(17322), 1,
      sym__command_start,
    ACTIONS(19969), 1,
      sym__word_identifier,
    ACTIONS(19971), 1,
      anon_sym_LPAREN,
    ACTIONS(19973), 1,
      anon_sym_LBRACK,
    ACTIONS(19975), 1,
      anon_sym_LBRACE,
    ACTIONS(19979), 1,
      sym_character_literal,
    STATE(11396), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17300), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17306), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11713), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [171647] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11477), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [171707] = 27,
    ACTIONS(10946), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20171), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15944), 1,
      sym__comprehension_clause,
    STATE(15946), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [171793] = 14,
    ACTIONS(16966), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16968), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16984), 1,
      sym__string_start,
    ACTIONS(16986), 1,
      sym__command_start,
    ACTIONS(20081), 1,
      sym__word_identifier,
    ACTIONS(20083), 1,
      anon_sym_LPAREN,
    ACTIONS(20085), 1,
      anon_sym_LBRACK,
    ACTIONS(20087), 1,
      anon_sym_LBRACE,
    ACTIONS(20091), 1,
      sym_character_literal,
    STATE(6618), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16964), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16970), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7063), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [171853] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [171911] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12974), 1,
      anon_sym_LF,
    ACTIONS(12976), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [171951] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13694), 1,
      anon_sym_LF,
    ACTIONS(13696), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [171991] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13604), 1,
      anon_sym_LF,
    ACTIONS(13606), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [172031] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13568), 1,
      anon_sym_LF,
    ACTIONS(13570), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [172071] = 14,
    ACTIONS(15532), 1,
      anon_sym_LPAREN,
    ACTIONS(15534), 1,
      anon_sym_LBRACK,
    ACTIONS(15536), 1,
      anon_sym_LBRACE,
    ACTIONS(15544), 1,
      sym__string_start,
    ACTIONS(15546), 1,
      sym__command_start,
    ACTIONS(16372), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16374), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20173), 1,
      sym__word_identifier,
    ACTIONS(20175), 1,
      sym_character_literal,
    STATE(4439), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16370), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16376), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5387), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [172131] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(13210), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [172173] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11804), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [172233] = 14,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(19952), 1,
      sym_character_literal,
    STATE(10498), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10115), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [172293] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11557), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [172353] = 14,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(19530), 1,
      sym_character_literal,
    STATE(10710), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10143), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [172413] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11730), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [172473] = 27,
    ACTIONS(10456), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20177), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15844), 1,
      sym__comprehension_clause,
    STATE(15846), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [172559] = 14,
    ACTIONS(14407), 1,
      anon_sym_LPAREN,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(17160), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17162), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19946), 1,
      sym__word_identifier,
    ACTIONS(19948), 1,
      sym_character_literal,
    STATE(10570), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17158), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17164), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10956), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [172619] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13390), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [172661] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13564), 1,
      anon_sym_LF,
    ACTIONS(13566), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [172701] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17550), 1,
      anon_sym_DASH_GT,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [172745] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11557), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [172805] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym__pair_operator,
  [172881] = 12,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18594), 1,
      aux_sym_import_path_token1,
    ACTIONS(18596), 1,
      anon_sym_DOLLAR,
    ACTIONS(18598), 1,
      anon_sym_AT,
    STATE(10780), 1,
      sym_import_alias,
    STATE(11583), 1,
      sym_identifier,
    STATE(11587), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11958), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [172937] = 14,
    ACTIONS(683), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16628), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16642), 1,
      sym__string_start,
    ACTIONS(16644), 1,
      sym__command_start,
    ACTIONS(20179), 1,
      sym__word_identifier,
    ACTIONS(20181), 1,
      anon_sym_LPAREN,
    ACTIONS(20183), 1,
      anon_sym_LBRACK,
    ACTIONS(20185), 1,
      anon_sym_LBRACE,
    ACTIONS(20187), 1,
      sym_character_literal,
    STATE(6714), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8696), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8698), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7525), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [172997] = 27,
    ACTIONS(8744), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20189), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15691), 1,
      aux_sym_argument_list_repeat1,
    STATE(15696), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [173083] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18961), 1,
      anon_sym_COLON2,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18979), 1,
      sym__pipe_right_operator,
    ACTIONS(18981), 1,
      sym__pipe_left_operator,
    ACTIONS(18983), 1,
      sym__ellipsis_operator,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [173145] = 27,
    ACTIONS(8388), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20191), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15581), 1,
      sym__comprehension_clause,
    STATE(16394), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [173231] = 14,
    ACTIONS(375), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16510), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16524), 1,
      sym__string_start,
    ACTIONS(16526), 1,
      sym__command_start,
    ACTIONS(19985), 1,
      sym__word_identifier,
    ACTIONS(19987), 1,
      anon_sym_LPAREN,
    ACTIONS(19989), 1,
      anon_sym_LBRACK,
    ACTIONS(19991), 1,
      anon_sym_LBRACE,
    ACTIONS(19993), 1,
      sym_character_literal,
    STATE(6579), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9146), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(9148), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6906), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [173291] = 14,
    ACTIONS(20193), 1,
      sym__word_identifier,
    ACTIONS(20195), 1,
      anon_sym_LPAREN,
    ACTIONS(20197), 1,
      anon_sym_LBRACK,
    ACTIONS(20199), 1,
      anon_sym_LBRACE,
    ACTIONS(20203), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(20205), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20209), 1,
      sym_character_literal,
    ACTIONS(20211), 1,
      sym__string_start,
    ACTIONS(20213), 1,
      sym__command_start,
    STATE(11425), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20201), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(20207), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11822), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [173351] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [173391] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(13210), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173433] = 12,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18566), 1,
      aux_sym_import_path_token1,
    ACTIONS(18568), 1,
      anon_sym_DOLLAR,
    ACTIONS(18570), 1,
      anon_sym_AT,
    STATE(10780), 1,
      sym_import_alias,
    STATE(11656), 1,
      sym_identifier,
    STATE(11660), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11905), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [173489] = 14,
    ACTIONS(15706), 1,
      anon_sym_LPAREN,
    ACTIONS(15708), 1,
      anon_sym_LBRACK,
    ACTIONS(15710), 1,
      anon_sym_LBRACE,
    ACTIONS(15718), 1,
      sym__string_start,
    ACTIONS(15720), 1,
      sym__command_start,
    ACTIONS(17386), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17388), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20215), 1,
      sym__word_identifier,
    ACTIONS(20217), 1,
      sym_character_literal,
    STATE(5202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17384), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17390), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6534), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [173549] = 14,
    ACTIONS(55), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(19464), 1,
      anon_sym_LPAREN,
    ACTIONS(19466), 1,
      sym_character_literal,
    STATE(10272), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10026), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [173609] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17556), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [173651] = 27,
    ACTIONS(9166), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20219), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16417), 1,
      aux_sym_argument_list_repeat1,
    STATE(16422), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [173737] = 14,
    ACTIONS(17244), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17262), 1,
      sym__string_start,
    ACTIONS(17264), 1,
      sym__command_start,
    ACTIONS(20157), 1,
      sym__word_identifier,
    ACTIONS(20159), 1,
      anon_sym_LPAREN,
    ACTIONS(20161), 1,
      anon_sym_LBRACK,
    ACTIONS(20163), 1,
      anon_sym_LBRACE,
    ACTIONS(20165), 1,
      sym_character_literal,
    ACTIONS(20221), 1,
      aux_sym_integer_literal_token4,
    STATE(6708), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17242), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17248), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7972), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [173797] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17796), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [173839] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(13210), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173881] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13390), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [173923] = 27,
    ACTIONS(8410), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20223), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15816), 1,
      aux_sym_argument_list_repeat1,
    STATE(16433), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [174009] = 14,
    ACTIONS(1063), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(1065), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16364), 1,
      sym__string_start,
    ACTIONS(16366), 1,
      sym__command_start,
    ACTIONS(20143), 1,
      sym__word_identifier,
    ACTIONS(20145), 1,
      anon_sym_LPAREN,
    ACTIONS(20147), 1,
      anon_sym_LBRACK,
    ACTIONS(20149), 1,
      anon_sym_LBRACE,
    ACTIONS(20151), 1,
      sym_character_literal,
    STATE(7104), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9126), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(9128), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8239), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [174069] = 27,
    ACTIONS(8276), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20225), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15775), 1,
      sym__comprehension_clause,
    STATE(15922), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [174155] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13238), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [174233] = 14,
    ACTIONS(16040), 1,
      anon_sym_LPAREN,
    ACTIONS(16042), 1,
      anon_sym_LBRACK,
    ACTIONS(16044), 1,
      anon_sym_LBRACE,
    ACTIONS(16052), 1,
      sym__string_start,
    ACTIONS(16054), 1,
      sym__command_start,
    ACTIONS(16532), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16534), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20227), 1,
      sym__word_identifier,
    ACTIONS(20229), 1,
      sym_character_literal,
    STATE(10507), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16530), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16536), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11096), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [174293] = 27,
    ACTIONS(8666), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20231), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16611), 1,
      sym__comprehension_clause,
    STATE(16631), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [174379] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    STATE(12009), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [174459] = 14,
    ACTIONS(771), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17408), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17422), 1,
      sym__string_start,
    ACTIONS(17424), 1,
      sym__command_start,
    ACTIONS(19922), 1,
      sym__word_identifier,
    ACTIONS(19924), 1,
      anon_sym_LPAREN,
    ACTIONS(19926), 1,
      anon_sym_LBRACK,
    ACTIONS(19928), 1,
      anon_sym_LBRACE,
    ACTIONS(19930), 1,
      sym_character_literal,
    STATE(6824), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9818), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(9820), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7788), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [174519] = 14,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(19952), 1,
      sym_character_literal,
    STATE(10831), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10115), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [174579] = 27,
    ACTIONS(10852), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20233), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16272), 1,
      sym__comprehension_clause,
    STATE(16286), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [174665] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13502), 1,
      anon_sym_LF,
    ACTIONS(13504), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174705] = 14,
    ACTIONS(16008), 1,
      anon_sym_LPAREN,
    ACTIONS(16010), 1,
      anon_sym_LBRACK,
    ACTIONS(16012), 1,
      anon_sym_LBRACE,
    ACTIONS(16020), 1,
      sym__string_start,
    ACTIONS(16022), 1,
      sym__command_start,
    ACTIONS(16782), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16784), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20235), 1,
      sym__word_identifier,
    ACTIONS(20237), 1,
      sym_character_literal,
    STATE(4405), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16780), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16786), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5288), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [174765] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11495), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [174825] = 14,
    ACTIONS(15882), 1,
      anon_sym_LPAREN,
    ACTIONS(15884), 1,
      anon_sym_LBRACK,
    ACTIONS(15886), 1,
      anon_sym_LBRACE,
    ACTIONS(15894), 1,
      sym__string_start,
    ACTIONS(15896), 1,
      sym__command_start,
    ACTIONS(16760), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16762), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20239), 1,
      sym__word_identifier,
    ACTIONS(20241), 1,
      sym_character_literal,
    STATE(4832), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16758), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16764), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6080), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [174885] = 14,
    ACTIONS(16856), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16858), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16874), 1,
      sym__string_start,
    ACTIONS(16876), 1,
      sym__command_start,
    ACTIONS(20097), 1,
      sym__word_identifier,
    ACTIONS(20099), 1,
      anon_sym_LPAREN,
    ACTIONS(20101), 1,
      anon_sym_LBRACK,
    ACTIONS(20103), 1,
      anon_sym_LBRACE,
    ACTIONS(20107), 1,
      sym_character_literal,
    STATE(6629), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16854), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16860), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7154), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [174945] = 27,
    ACTIONS(8362), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20243), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16442), 1,
      aux_sym_argument_list_repeat1,
    STATE(16576), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [175031] = 27,
    ACTIONS(9042), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20245), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15970), 1,
      aux_sym_argument_list_repeat1,
    STATE(15984), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [175117] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(11397), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [175157] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(12034), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [175217] = 14,
    ACTIONS(16200), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16202), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16218), 1,
      sym__string_start,
    ACTIONS(16220), 1,
      sym__command_start,
    ACTIONS(20125), 1,
      sym__word_identifier,
    ACTIONS(20127), 1,
      anon_sym_LPAREN,
    ACTIONS(20129), 1,
      anon_sym_LBRACK,
    ACTIONS(20131), 1,
      anon_sym_LBRACE,
    ACTIONS(20135), 1,
      sym_character_literal,
    STATE(6147), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16198), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16204), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6785), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [175277] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(13210), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [175317] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(13957), 1,
      anon_sym_COMMA,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym__pair_operator,
  [175395] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(13957), 1,
      anon_sym_COMMA,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13238), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [175475] = 14,
    ACTIONS(967), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16716), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16730), 1,
      sym__string_start,
    ACTIONS(16732), 1,
      sym__command_start,
    ACTIONS(19808), 1,
      sym__word_identifier,
    ACTIONS(19810), 1,
      anon_sym_LPAREN,
    ACTIONS(19812), 1,
      anon_sym_LBRACK,
    ACTIONS(19814), 1,
      anon_sym_LBRACE,
    ACTIONS(19816), 1,
      sym_character_literal,
    STATE(6680), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(965), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(971), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7396), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [175535] = 27,
    ACTIONS(8210), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20247), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16533), 1,
      aux_sym_argument_list_repeat1,
    STATE(16651), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [175621] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11762), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [175681] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19036), 1,
      anon_sym_QMARK,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12957), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [175757] = 14,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(19530), 1,
      sym_character_literal,
    STATE(10624), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10143), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [175817] = 14,
    ACTIONS(469), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17138), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17152), 1,
      sym__string_start,
    ACTIONS(17154), 1,
      sym__command_start,
    ACTIONS(20059), 1,
      sym__word_identifier,
    ACTIONS(20061), 1,
      anon_sym_LPAREN,
    ACTIONS(20063), 1,
      anon_sym_LBRACK,
    ACTIONS(20065), 1,
      anon_sym_LBRACE,
    ACTIONS(20067), 1,
      sym_character_literal,
    STATE(6532), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(6318), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(6320), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7209), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [175877] = 14,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16590), 1,
      sym__string_start,
    ACTIONS(16592), 1,
      sym__command_start,
    ACTIONS(19868), 1,
      sym__word_identifier,
    ACTIONS(19870), 1,
      anon_sym_LPAREN,
    ACTIONS(19872), 1,
      anon_sym_LBRACK,
    ACTIONS(19874), 1,
      anon_sym_LBRACE,
    ACTIONS(19878), 1,
      sym_character_literal,
    ACTIONS(19918), 1,
      aux_sym_integer_literal_token4,
    STATE(11783), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16576), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11520), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [175937] = 14,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(19952), 1,
      sym_character_literal,
    STATE(10528), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10115), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [175997] = 14,
    ACTIONS(16994), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16996), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17012), 1,
      sym__string_start,
    ACTIONS(17014), 1,
      sym__command_start,
    ACTIONS(20249), 1,
      sym__word_identifier,
    ACTIONS(20251), 1,
      anon_sym_LPAREN,
    ACTIONS(20253), 1,
      anon_sym_LBRACK,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    ACTIONS(20257), 1,
      sym_character_literal,
    STATE(15933), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16992), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16998), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(17943), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [176057] = 27,
    ACTIONS(8280), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20259), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15602), 1,
      aux_sym_argument_list_repeat1,
    STATE(15750), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [176143] = 27,
    ACTIONS(7992), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20261), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16085), 1,
      sym__comprehension_clause,
    STATE(16323), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [176229] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [176305] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11552), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [176365] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(18985), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 21,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [176417] = 14,
    ACTIONS(1081), 1,
      sym__string_start,
    ACTIONS(1083), 1,
      sym__command_start,
    ACTIONS(9202), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(11820), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11822), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20263), 1,
      sym__word_identifier,
    ACTIONS(20265), 1,
      anon_sym_LPAREN,
    ACTIONS(20267), 1,
      sym_character_literal,
    STATE(4950), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16550), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16552), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6126), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [176477] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13238), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [176555] = 14,
    ACTIONS(17052), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17070), 1,
      sym__string_start,
    ACTIONS(17072), 1,
      sym__command_start,
    ACTIONS(20269), 1,
      sym__word_identifier,
    ACTIONS(20271), 1,
      anon_sym_LPAREN,
    ACTIONS(20273), 1,
      anon_sym_LBRACK,
    ACTIONS(20275), 1,
      anon_sym_LBRACE,
    ACTIONS(20277), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20279), 1,
      sym_character_literal,
    STATE(6502), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17050), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17056), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7010), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [176615] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(20281), 1,
      anon_sym_COMMA,
    STATE(12841), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12950), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [176659] = 14,
    ACTIONS(13050), 1,
      sym__string_start,
    ACTIONS(13052), 1,
      sym__command_start,
    ACTIONS(15796), 1,
      anon_sym_LPAREN,
    ACTIONS(15798), 1,
      anon_sym_LBRACK,
    ACTIONS(15800), 1,
      anon_sym_LBRACE,
    ACTIONS(16394), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16396), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20284), 1,
      sym__word_identifier,
    ACTIONS(20286), 1,
      sym_character_literal,
    STATE(10595), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16392), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16398), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11206), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [176719] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18987), 1,
      sym__times_operator,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [176769] = 14,
    ACTIONS(17302), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17320), 1,
      sym__string_start,
    ACTIONS(17322), 1,
      sym__command_start,
    ACTIONS(19969), 1,
      sym__word_identifier,
    ACTIONS(19971), 1,
      anon_sym_LPAREN,
    ACTIONS(19973), 1,
      anon_sym_LBRACK,
    ACTIONS(19975), 1,
      anon_sym_LBRACE,
    ACTIONS(19977), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19979), 1,
      sym_character_literal,
    STATE(11536), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17300), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17306), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11713), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [176829] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13472), 1,
      anon_sym_LF,
    ACTIONS(13474), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [176869] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(18907), 1,
      anon_sym_as,
    ACTIONS(12950), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [176911] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12974), 1,
      anon_sym_LF,
    ACTIONS(20288), 1,
      anon_sym_COMMA,
    STATE(12847), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(12976), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [176955] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18989), 1,
      sym__rational_operator,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [177003] = 14,
    ACTIONS(683), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(685), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16642), 1,
      sym__string_start,
    ACTIONS(16644), 1,
      sym__command_start,
    ACTIONS(20179), 1,
      sym__word_identifier,
    ACTIONS(20181), 1,
      anon_sym_LPAREN,
    ACTIONS(20183), 1,
      anon_sym_LBRACK,
    ACTIONS(20185), 1,
      anon_sym_LBRACE,
    ACTIONS(20187), 1,
      sym_character_literal,
    STATE(6714), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8696), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8698), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7525), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [177063] = 14,
    ACTIONS(55), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(19464), 1,
      anon_sym_LPAREN,
    ACTIONS(19466), 1,
      sym_character_literal,
    STATE(10510), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10026), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [177123] = 27,
    ACTIONS(9602), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20291), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16510), 1,
      aux_sym_argument_list_repeat1,
    STATE(16514), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [177209] = 14,
    ACTIONS(15772), 1,
      anon_sym_LPAREN,
    ACTIONS(15774), 1,
      anon_sym_LBRACK,
    ACTIONS(15776), 1,
      anon_sym_LBRACE,
    ACTIONS(15784), 1,
      sym__string_start,
    ACTIONS(15786), 1,
      sym__command_start,
    ACTIONS(16274), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16276), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20293), 1,
      sym__word_identifier,
    ACTIONS(20295), 1,
      sym_character_literal,
    STATE(4474), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16272), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16278), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5419), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [177269] = 14,
    ACTIONS(873), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16438), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16452), 1,
      sym__string_start,
    ACTIONS(16454), 1,
      sym__command_start,
    ACTIONS(19442), 1,
      sym__word_identifier,
    ACTIONS(19444), 1,
      anon_sym_LPAREN,
    ACTIONS(19446), 1,
      anon_sym_LBRACK,
    ACTIONS(19448), 1,
      anon_sym_LBRACE,
    ACTIONS(19450), 1,
      sym_character_literal,
    STATE(7273), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(8762), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(8764), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8691), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [177329] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(11397), 27,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177371] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18991), 1,
      sym__bitshift_operator,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(13390), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [177417] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13434), 1,
      anon_sym_LF,
    ACTIONS(13436), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177457] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(13957), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [177535] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    STATE(12892), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [177579] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18993), 1,
      sym__power_operator,
    ACTIONS(13390), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [177623] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(13957), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_where,
    ACTIONS(19252), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19262), 1,
      sym__arrow_operator,
    ACTIONS(19264), 1,
      sym__lazy_or_operator,
    ACTIONS(19266), 1,
      sym__lazy_and_operator,
    ACTIONS(19268), 1,
      sym__pipe_right_operator,
    ACTIONS(19270), 1,
      sym__pipe_left_operator,
    ACTIONS(19272), 1,
      sym__ellipsis_operator,
    ACTIONS(19276), 1,
      sym__times_operator,
    ACTIONS(19278), 1,
      sym__rational_operator,
    ACTIONS(19280), 1,
      sym__bitshift_operator,
    ACTIONS(19282), 1,
      sym__power_operator,
    ACTIONS(19286), 1,
      sym__pair_operator,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19274), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13238), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(19254), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [177703] = 12,
    ACTIONS(18532), 1,
      sym__word_identifier,
    ACTIONS(18534), 1,
      aux_sym_import_path_token1,
    ACTIONS(18536), 1,
      anon_sym_LPAREN,
    ACTIONS(18538), 1,
      anon_sym_DOLLAR,
    ACTIONS(18540), 1,
      anon_sym_AT,
    STATE(6991), 1,
      sym_scoped_identifier,
    STATE(6995), 1,
      sym_identifier,
    STATE(8438), 1,
      sym_import_alias,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7767), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16816), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16814), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [177759] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(20297), 1,
      anon_sym_COMMA,
    STATE(12862), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [177803] = 14,
    ACTIONS(17186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17204), 1,
      sym__string_start,
    ACTIONS(17206), 1,
      sym__command_start,
    ACTIONS(19430), 1,
      sym__word_identifier,
    ACTIONS(19432), 1,
      anon_sym_LPAREN,
    ACTIONS(19434), 1,
      anon_sym_LBRACK,
    ACTIONS(19436), 1,
      anon_sym_LBRACE,
    ACTIONS(19438), 1,
      sym_character_literal,
    ACTIONS(20300), 1,
      aux_sym_integer_literal_token4,
    STATE(6186), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17184), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17190), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6779), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [177863] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13390), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177905] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13476), 1,
      anon_sym_LF,
    ACTIONS(13478), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177945] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(13238), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177985] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    ACTIONS(19908), 1,
      aux_sym_integer_literal_token4,
    STATE(11730), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [178045] = 27,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20302), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16258), 1,
      aux_sym_argument_list_repeat1,
    STATE(16638), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [178131] = 14,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(19530), 1,
      sym_character_literal,
    STATE(10947), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10143), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [178191] = 14,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(311), 1,
      sym__command_start,
    ACTIONS(8872), 1,
      anon_sym_LBRACK,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    ACTIONS(11688), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11690), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20304), 1,
      sym__word_identifier,
    ACTIONS(20306), 1,
      anon_sym_LPAREN,
    ACTIONS(20308), 1,
      sym_character_literal,
    STATE(4298), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16314), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16316), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(4844), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [178251] = 14,
    ACTIONS(15552), 1,
      anon_sym_LPAREN,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16228), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(19952), 1,
      sym_character_literal,
    STATE(10931), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16226), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16232), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10115), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [178311] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19860), 1,
      anon_sym_COMMA,
    ACTIONS(19862), 1,
      anon_sym_as,
    STATE(13005), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12872), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12864), 24,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [178357] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13170), 1,
      anon_sym_LF,
    ACTIONS(19658), 1,
      anon_sym_COMMA,
    STATE(12888), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13166), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [178401] = 27,
    ACTIONS(10712), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20310), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15580), 1,
      aux_sym_argument_list_repeat1,
    STATE(15582), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [178487] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13628), 1,
      anon_sym_LF,
    ACTIONS(13630), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178527] = 26,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    ACTIONS(20312), 1,
      anon_sym_LF,
    ACTIONS(20314), 1,
      anon_sym_QMARK,
    ACTIONS(20316), 1,
      aux_sym__terminator_token1,
    STATE(14510), 1,
      aux_sym_open_tuple_repeat1,
    STATE(15195), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 2,
      anon_sym_end,
      anon_sym_finally,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [178611] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13498), 1,
      anon_sym_LF,
    ACTIONS(13500), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178651] = 12,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18632), 1,
      aux_sym_import_path_token1,
    ACTIONS(18634), 1,
      anon_sym_DOLLAR,
    ACTIONS(18636), 1,
      anon_sym_AT,
    STATE(10780), 1,
      sym_import_alias,
    STATE(12129), 1,
      sym_scoped_identifier,
    STATE(12131), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12889), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [178707] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13162), 1,
      anon_sym_LF,
    ACTIONS(18905), 1,
      anon_sym_COMMA,
    STATE(12841), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(13164), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [178751] = 27,
    ACTIONS(8802), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20318), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(16114), 1,
      aux_sym_argument_list_repeat1,
    STATE(16153), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [178837] = 12,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(18684), 1,
      aux_sym_import_path_token1,
    ACTIONS(18686), 1,
      anon_sym_DOLLAR,
    ACTIONS(18688), 1,
      anon_sym_AT,
    STATE(10780), 1,
      sym_import_alias,
    STATE(12160), 1,
      sym_scoped_identifier,
    STATE(12164), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12846), 6,
      sym_import_path,
      sym__exportable,
      sym__importable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [178893] = 14,
    ACTIONS(15746), 1,
      anon_sym_LPAREN,
    ACTIONS(15748), 1,
      anon_sym_LBRACK,
    ACTIONS(15750), 1,
      anon_sym_LBRACE,
    ACTIONS(15758), 1,
      sym__string_start,
    ACTIONS(15760), 1,
      sym__command_start,
    ACTIONS(17270), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17272), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19956), 1,
      sym__word_identifier,
    ACTIONS(19958), 1,
      sym_character_literal,
    STATE(10522), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17268), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17274), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10559), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [178953] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13162), 1,
      anon_sym_LF,
    ACTIONS(18696), 1,
      anon_sym_COMMA,
    STATE(12891), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(13164), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [178997] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    STATE(12862), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [179041] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13536), 1,
      anon_sym_LF,
    ACTIONS(13538), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179081] = 14,
    ACTIONS(17052), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(17054), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(17070), 1,
      sym__string_start,
    ACTIONS(17072), 1,
      sym__command_start,
    ACTIONS(20269), 1,
      sym__word_identifier,
    ACTIONS(20271), 1,
      anon_sym_LPAREN,
    ACTIONS(20273), 1,
      anon_sym_LBRACK,
    ACTIONS(20275), 1,
      anon_sym_LBRACE,
    ACTIONS(20279), 1,
      sym_character_literal,
    STATE(6502), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17050), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(17056), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7010), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [179141] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(17904), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [179185] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12974), 1,
      anon_sym_LF,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    STATE(12888), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(12976), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [179229] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(18698), 1,
      anon_sym_as,
    ACTIONS(12950), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [179271] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13170), 1,
      anon_sym_LF,
    ACTIONS(19638), 1,
      anon_sym_COMMA,
    STATE(12847), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13166), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [179315] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(20323), 1,
      anon_sym_COMMA,
    STATE(12891), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12950), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [179359] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(20326), 1,
      anon_sym_COMMA,
    STATE(12892), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [179403] = 14,
    ACTIONS(16462), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16464), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16480), 1,
      sym__string_start,
    ACTIONS(16482), 1,
      sym__command_start,
    ACTIONS(19674), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    ACTIONS(19682), 1,
      sym_character_literal,
    STATE(11379), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16460), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16466), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10313), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [179463] = 27,
    ACTIONS(8214), 1,
      anon_sym_RPAREN,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20329), 1,
      anon_sym_COMMA,
    STATE(14438), 1,
      sym_for_clause,
    STATE(15831), 1,
      sym__comprehension_clause,
    STATE(16247), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [179549] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13590), 1,
      anon_sym_LF,
    ACTIONS(13592), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179589] = 14,
    ACTIONS(16602), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16620), 1,
      sym__string_start,
    ACTIONS(16622), 1,
      sym__command_start,
    ACTIONS(19706), 1,
      sym__word_identifier,
    ACTIONS(19708), 1,
      anon_sym_LPAREN,
    ACTIONS(19710), 1,
      anon_sym_LBRACK,
    ACTIONS(19712), 1,
      anon_sym_LBRACE,
    ACTIONS(19714), 1,
      sym_character_literal,
    ACTIONS(19960), 1,
      aux_sym_integer_literal_token4,
    STATE(11467), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16600), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16606), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11829), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [179649] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13544), 1,
      anon_sym_LF,
    ACTIONS(13546), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179689] = 14,
    ACTIONS(55), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(15296), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15298), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(19464), 1,
      anon_sym_LPAREN,
    ACTIONS(19466), 1,
      sym_character_literal,
    STATE(10349), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16558), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16560), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10026), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [179749] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13572), 1,
      anon_sym_LF,
    ACTIONS(13574), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179789] = 14,
    ACTIONS(953), 1,
      anon_sym_LBRACK,
    ACTIONS(955), 1,
      anon_sym_LBRACE,
    ACTIONS(989), 1,
      sym__string_start,
    ACTIONS(991), 1,
      sym__command_start,
    ACTIONS(11744), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(11746), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(20331), 1,
      sym__word_identifier,
    ACTIONS(20333), 1,
      anon_sym_LPAREN,
    ACTIONS(20335), 1,
      sym_character_literal,
    STATE(4473), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11742), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(11748), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5430), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [179849] = 14,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(15610), 1,
      anon_sym_LPAREN,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    ACTIONS(16416), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16418), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(19530), 1,
      sym_character_literal,
    STATE(10949), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16414), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(16420), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10143), 14,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [179909] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13292), 1,
      anon_sym_LF,
    ACTIONS(13290), 28,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179949] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19004), 1,
      anon_sym_COMMA,
    ACTIONS(19028), 1,
      anon_sym_where,
    ACTIONS(19030), 1,
      anon_sym_COLON2,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19038), 1,
      sym__pair_operator,
    ACTIONS(19040), 1,
      sym__arrow_operator,
    ACTIONS(19042), 1,
      sym__lazy_or_operator,
    ACTIONS(19044), 1,
      sym__lazy_and_operator,
    ACTIONS(19046), 1,
      sym__pipe_right_operator,
    ACTIONS(19048), 1,
      sym__pipe_left_operator,
    ACTIONS(19050), 1,
      sym__ellipsis_operator,
    ACTIONS(19054), 1,
      sym__times_operator,
    ACTIONS(19056), 1,
      sym__rational_operator,
    ACTIONS(19058), 1,
      sym__bitshift_operator,
    ACTIONS(19060), 1,
      sym__power_operator,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    STATE(11984), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19052), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(19032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [180029] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17570), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 27,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [180071] = 5,
    ACTIONS(17687), 1,
      anon_sym_DASH_GT,
    ACTIONS(18100), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [180112] = 24,
    ACTIONS(13210), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20345), 1,
      anon_sym_QMARK,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    STATE(13138), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [180191] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    ACTIONS(20314), 1,
      anon_sym_QMARK,
    STATE(12884), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13102), 3,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [180270] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(20314), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [180345] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    ACTIONS(20314), 1,
      anon_sym_QMARK,
    STATE(12884), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13054), 3,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [180424] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19580), 1,
      anon_sym_QMARK,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13238), 4,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [180501] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18560), 1,
      anon_sym_EQ,
    ACTIONS(13054), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [180542] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19828), 1,
      anon_sym_QMARK,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13969), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
  [180617] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19862), 1,
      anon_sym_as,
    ACTIONS(12948), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12950), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [180658] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20373), 1,
      anon_sym_COLON2,
    ACTIONS(20375), 1,
      sym__pipe_right_operator,
    ACTIONS(20377), 1,
      sym__pipe_left_operator,
    ACTIONS(20379), 1,
      sym__ellipsis_operator,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(20381), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [180719] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(13392), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [180762] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    ACTIONS(20314), 1,
      anon_sym_QMARK,
    STATE(12884), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 3,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [180841] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(13390), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [180884] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [180929] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [180976] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [181025] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 20,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [181076] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13390), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [181117] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19758), 1,
      anon_sym_QMARK,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13969), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [181192] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [181253] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [181310] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17904), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [181351] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18560), 1,
      anon_sym_EQ,
    ACTIONS(13092), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [181392] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [181457] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [181524] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [181587] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [181658] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 20,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [181709] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(13210), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [181750] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20393), 1,
      anon_sym_COMMA,
    STATE(12934), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12948), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12950), 24,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [181793] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19737), 1,
      anon_sym_QMARK,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [181868] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19085), 1,
      anon_sym_QMARK,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20396), 1,
      anon_sym_where,
    ACTIONS(20398), 1,
      anon_sym_COLON2,
    ACTIONS(20402), 1,
      sym__pair_operator,
    ACTIONS(20404), 1,
      sym__arrow_operator,
    ACTIONS(20406), 1,
      sym__lazy_or_operator,
    ACTIONS(20408), 1,
      sym__lazy_and_operator,
    ACTIONS(20410), 1,
      sym__pipe_right_operator,
    ACTIONS(20412), 1,
      sym__pipe_left_operator,
    ACTIONS(20414), 1,
      sym__ellipsis_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(20416), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20400), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13969), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [181943] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [182004] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 20,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [182055] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17702), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 26,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [182096] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20424), 1,
      anon_sym_COMMA,
    STATE(12940), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(12974), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12976), 24,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [182139] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [182200] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [182263] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19828), 1,
      anon_sym_QMARK,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
  [182338] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(13210), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [182379] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13390), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [182420] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [182491] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(13390), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [182534] = 4,
    ACTIONS(17596), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [182573] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20314), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13238), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [182650] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(13390), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [182695] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [182762] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [182827] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(13390), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [182874] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [182931] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [182992] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 20,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [183043] = 25,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20430), 1,
      anon_sym_for,
    ACTIONS(20433), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(17136), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20427), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [183124] = 26,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20435), 1,
      ts_builtin_sym_end,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20443), 1,
      anon_sym_LF,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(20475), 1,
      aux_sym__terminator_token1,
    STATE(14713), 1,
      aux_sym_open_tuple_repeat1,
    STATE(15546), 1,
      aux_sym__block_repeat1,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [183207] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [183256] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [183303] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(13390), 22,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [183352] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(20416), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 20,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [183403] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20398), 1,
      anon_sym_COLON2,
    ACTIONS(20410), 1,
      sym__pipe_right_operator,
    ACTIONS(20412), 1,
      sym__pipe_left_operator,
    ACTIONS(20414), 1,
      sym__ellipsis_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(20416), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [183464] = 4,
    ACTIONS(17662), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [183503] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20398), 1,
      anon_sym_COLON2,
    ACTIONS(20414), 1,
      sym__ellipsis_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(20416), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 17,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [183560] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20396), 1,
      anon_sym_where,
    ACTIONS(20398), 1,
      anon_sym_COLON2,
    ACTIONS(20410), 1,
      sym__pipe_right_operator,
    ACTIONS(20412), 1,
      sym__pipe_left_operator,
    ACTIONS(20414), 1,
      sym__ellipsis_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(20416), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20400), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 10,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [183625] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [183670] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20396), 1,
      anon_sym_where,
    ACTIONS(20398), 1,
      anon_sym_COLON2,
    ACTIONS(20408), 1,
      sym__lazy_and_operator,
    ACTIONS(20410), 1,
      sym__pipe_right_operator,
    ACTIONS(20412), 1,
      sym__pipe_left_operator,
    ACTIONS(20414), 1,
      sym__ellipsis_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(20416), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20400), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [183737] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17656), 1,
      anon_sym_DASH_GT,
    ACTIONS(18018), 1,
      anon_sym_EQ,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [183780] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20396), 1,
      anon_sym_where,
    ACTIONS(20398), 1,
      anon_sym_COLON2,
    ACTIONS(20404), 1,
      sym__arrow_operator,
    ACTIONS(20406), 1,
      sym__lazy_or_operator,
    ACTIONS(20408), 1,
      sym__lazy_and_operator,
    ACTIONS(20410), 1,
      sym__pipe_right_operator,
    ACTIONS(20412), 1,
      sym__pipe_left_operator,
    ACTIONS(20414), 1,
      sym__ellipsis_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(20416), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20400), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 7,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [183851] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(13390), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [183894] = 25,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20433), 1,
      anon_sym_COMMA,
    ACTIONS(20477), 1,
      anon_sym_for,
    STATE(14438), 1,
      sym_for_clause,
    STATE(17136), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20480), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [183975] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20483), 1,
      anon_sym_COMMA,
    STATE(12973), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12962), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12957), 24,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [184018] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19085), 1,
      anon_sym_QMARK,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20396), 1,
      anon_sym_where,
    ACTIONS(20398), 1,
      anon_sym_COLON2,
    ACTIONS(20402), 1,
      sym__pair_operator,
    ACTIONS(20404), 1,
      sym__arrow_operator,
    ACTIONS(20406), 1,
      sym__lazy_or_operator,
    ACTIONS(20408), 1,
      sym__lazy_and_operator,
    ACTIONS(20410), 1,
      sym__pipe_right_operator,
    ACTIONS(20412), 1,
      sym__pipe_left_operator,
    ACTIONS(20414), 1,
      sym__ellipsis_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(20416), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20400), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [184093] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(18018), 1,
      anon_sym_EQ,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [184136] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20398), 1,
      anon_sym_COLON2,
    ACTIONS(20410), 1,
      sym__pipe_right_operator,
    ACTIONS(20412), 1,
      sym__pipe_left_operator,
    ACTIONS(20414), 1,
      sym__ellipsis_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(20416), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [184197] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(20416), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 20,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [184248] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    STATE(12973), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12972), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12968), 24,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [184291] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18965), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18967), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20391), 1,
      sym__power_operator,
    ACTIONS(20398), 1,
      anon_sym_COLON2,
    ACTIONS(20410), 1,
      sym__pipe_right_operator,
    ACTIONS(20412), 1,
      sym__pipe_left_operator,
    ACTIONS(20414), 1,
      sym__ellipsis_operator,
    ACTIONS(20418), 1,
      sym__times_operator,
    ACTIONS(20420), 1,
      sym__rational_operator,
    ACTIONS(20422), 1,
      sym__bitshift_operator,
    ACTIONS(20416), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20400), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 11,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [184354] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    ACTIONS(20049), 1,
      anon_sym_QMARK,
    STATE(12858), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 3,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [184433] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [184474] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(13390), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [184517] = 24,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    STATE(14438), 1,
      sym_for_clause,
    STATE(17136), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(20433), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [184596] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [184641] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17700), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [184682] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [184729] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17956), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [184770] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [184819] = 5,
    ACTIONS(17687), 1,
      anon_sym_DASH_GT,
    ACTIONS(18114), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [184860] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17574), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [184901] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(20381), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 20,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [184952] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20373), 1,
      anon_sym_COLON2,
    ACTIONS(20379), 1,
      sym__ellipsis_operator,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(20381), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 17,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [185009] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20373), 1,
      anon_sym_COLON2,
    ACTIONS(20375), 1,
      sym__pipe_right_operator,
    ACTIONS(20377), 1,
      sym__pipe_left_operator,
    ACTIONS(20379), 1,
      sym__ellipsis_operator,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(20486), 1,
      anon_sym_where,
    ACTIONS(20381), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20488), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 10,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [185074] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19580), 1,
      anon_sym_QMARK,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 5,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [185149] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20373), 1,
      anon_sym_COLON2,
    ACTIONS(20375), 1,
      sym__pipe_right_operator,
    ACTIONS(20377), 1,
      sym__pipe_left_operator,
    ACTIONS(20379), 1,
      sym__ellipsis_operator,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(20486), 1,
      anon_sym_where,
    ACTIONS(20490), 1,
      sym__lazy_and_operator,
    ACTIONS(20381), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20488), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [185216] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20373), 1,
      anon_sym_COLON2,
    ACTIONS(20375), 1,
      sym__pipe_right_operator,
    ACTIONS(20377), 1,
      sym__pipe_left_operator,
    ACTIONS(20379), 1,
      sym__ellipsis_operator,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(20486), 1,
      anon_sym_where,
    ACTIONS(20490), 1,
      sym__lazy_and_operator,
    ACTIONS(20492), 1,
      sym__arrow_operator,
    ACTIONS(20494), 1,
      sym__lazy_or_operator,
    ACTIONS(20381), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20488), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 7,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [185287] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15021), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    ACTIONS(20496), 1,
      anon_sym_where,
    ACTIONS(20498), 1,
      anon_sym_COLON2,
    ACTIONS(20502), 1,
      sym__pair_operator,
    ACTIONS(20504), 1,
      sym__arrow_operator,
    ACTIONS(20506), 1,
      sym__lazy_or_operator,
    ACTIONS(20508), 1,
      sym__lazy_and_operator,
    ACTIONS(20510), 1,
      sym__pipe_right_operator,
    ACTIONS(20512), 1,
      sym__pipe_left_operator,
    ACTIONS(20514), 1,
      sym__ellipsis_operator,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20500), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(15019), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [185362] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [185403] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18829), 1,
      anon_sym_QMARK,
    ACTIONS(20373), 1,
      anon_sym_COLON2,
    ACTIONS(20375), 1,
      sym__pipe_right_operator,
    ACTIONS(20377), 1,
      sym__pipe_left_operator,
    ACTIONS(20379), 1,
      sym__ellipsis_operator,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(20486), 1,
      anon_sym_where,
    ACTIONS(20490), 1,
      sym__lazy_and_operator,
    ACTIONS(20492), 1,
      sym__arrow_operator,
    ACTIONS(20494), 1,
      sym__lazy_or_operator,
    ACTIONS(20526), 1,
      sym__pair_operator,
    ACTIONS(20381), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20488), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [185478] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20373), 1,
      anon_sym_COLON2,
    ACTIONS(20375), 1,
      sym__pipe_right_operator,
    ACTIONS(20377), 1,
      sym__pipe_left_operator,
    ACTIONS(20379), 1,
      sym__ellipsis_operator,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(20381), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [185539] = 4,
    ACTIONS(17662), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [185578] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(20381), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 20,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [185629] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20373), 1,
      anon_sym_COLON2,
    ACTIONS(20375), 1,
      sym__pipe_right_operator,
    ACTIONS(20377), 1,
      sym__pipe_left_operator,
    ACTIONS(20379), 1,
      sym__ellipsis_operator,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(20381), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20488), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 11,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [185692] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(13054), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [185733] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19860), 1,
      anon_sym_COMMA,
    STATE(12934), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(13162), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13164), 24,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [185776] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19580), 1,
      anon_sym_QMARK,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    STATE(12623), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13054), 3,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [185855] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20528), 1,
      anon_sym_COMMA,
    STATE(13163), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13112), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13114), 24,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [185898] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(13092), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [185939] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(20530), 1,
      anon_sym_QMARK,
    STATE(12978), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13054), 2,
      anon_sym_EQ,
      aux_sym__terminator_token1,
    ACTIONS(13060), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [186018] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19580), 1,
      anon_sym_QMARK,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    STATE(12623), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13092), 3,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [186097] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(20530), 1,
      anon_sym_QMARK,
    STATE(12978), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13092), 2,
      anon_sym_EQ,
      aux_sym__terminator_token1,
    ACTIONS(13094), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [186176] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(20530), 1,
      anon_sym_QMARK,
    STATE(12978), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13102), 2,
      anon_sym_EQ,
      aux_sym__terminator_token1,
    ACTIONS(13104), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [186255] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(13102), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [186296] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19580), 1,
      anon_sym_QMARK,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    STATE(12623), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13102), 3,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [186375] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13112), 1,
      anon_sym_LF,
    ACTIONS(20532), 1,
      anon_sym_COMMA,
    STATE(13053), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13114), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [186418] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12872), 1,
      anon_sym_LF,
    ACTIONS(19654), 1,
      anon_sym_COMMA,
    STATE(13051), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12864), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [186461] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19860), 1,
      anon_sym_COMMA,
    STATE(13005), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12872), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12864), 24,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [186504] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18560), 1,
      anon_sym_EQ,
    ACTIONS(13210), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [186545] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(13392), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [186588] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18128), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [186629] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18128), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [186670] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 17,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [186727] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18576), 1,
      anon_sym_EQ,
    ACTIONS(13102), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [186768] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18576), 1,
      anon_sym_EQ,
    ACTIONS(13092), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [186809] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20542), 1,
      anon_sym_QMARK,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [186884] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(13392), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [186927] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15079), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    ACTIONS(20496), 1,
      anon_sym_where,
    ACTIONS(20498), 1,
      anon_sym_COLON2,
    ACTIONS(20502), 1,
      sym__pair_operator,
    ACTIONS(20504), 1,
      sym__arrow_operator,
    ACTIONS(20506), 1,
      sym__lazy_or_operator,
    ACTIONS(20508), 1,
      sym__lazy_and_operator,
    ACTIONS(20510), 1,
      sym__pipe_right_operator,
    ACTIONS(20512), 1,
      sym__pipe_left_operator,
    ACTIONS(20514), 1,
      sym__ellipsis_operator,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20500), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(15077), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [187002] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20542), 1,
      anon_sym_QMARK,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13238), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [187079] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20568), 1,
      anon_sym_DOT,
    ACTIONS(12676), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(12674), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [187120] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18576), 1,
      anon_sym_EQ,
    ACTIONS(13054), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [187161] = 24,
    ACTIONS(13102), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20345), 1,
      anon_sym_QMARK,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    STATE(13138), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [187240] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    STATE(13071), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [187283] = 24,
    ACTIONS(13092), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20345), 1,
      anon_sym_QMARK,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    STATE(13138), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [187362] = 24,
    ACTIONS(13054), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20345), 1,
      anon_sym_QMARK,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    STATE(13138), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [187441] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20572), 1,
      anon_sym_where,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      sym__pipe_right_operator,
    ACTIONS(20580), 1,
      sym__pipe_left_operator,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 10,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [187506] = 4,
    ACTIONS(17596), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [187545] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19580), 1,
      anon_sym_QMARK,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    STATE(12623), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 3,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [187624] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(20530), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13240), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13242), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      sym__pair_operator,
      aux_sym__terminator_token1,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [187699] = 5,
    ACTIONS(20594), 1,
      anon_sym_COMMA,
    STATE(13039), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12957), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12962), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [187740] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(13390), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [187783] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    ACTIONS(20572), 1,
      anon_sym_where,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      sym__pipe_right_operator,
    ACTIONS(20580), 1,
      sym__pipe_left_operator,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20599), 1,
      anon_sym_LF,
    ACTIONS(20601), 1,
      sym__pair_operator,
    ACTIONS(20603), 1,
      sym__arrow_operator,
    ACTIONS(20605), 1,
      sym__lazy_or_operator,
    ACTIONS(20607), 1,
      sym__lazy_and_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(20597), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [187858] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [187903] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17550), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [187944] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17936), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [187985] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19737), 1,
      anon_sym_QMARK,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13969), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [188060] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(20609), 1,
      anon_sym_COMMA,
    STATE(13046), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(12950), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [188103] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [188150] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12948), 1,
      anon_sym_LF,
    ACTIONS(19656), 1,
      anon_sym_as,
    ACTIONS(12950), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [188191] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12974), 1,
      anon_sym_LF,
    ACTIONS(20612), 1,
      anon_sym_COMMA,
    STATE(13049), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(12976), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [188234] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(20530), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13236), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13238), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [188311] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13162), 1,
      anon_sym_LF,
    ACTIONS(19654), 1,
      anon_sym_COMMA,
    STATE(13046), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(13164), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [188354] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19470), 1,
      anon_sym_LF,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    ACTIONS(20049), 1,
      anon_sym_QMARK,
    STATE(14535), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19468), 3,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [188433] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13170), 1,
      anon_sym_LF,
    ACTIONS(20532), 1,
      anon_sym_COMMA,
    STATE(13049), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13166), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [188476] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    ACTIONS(19737), 1,
      anon_sym_QMARK,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12957), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [188551] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19580), 1,
      anon_sym_QMARK,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    STATE(14529), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 3,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [188630] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19470), 1,
      anon_sym_LF,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    ACTIONS(19570), 1,
      anon_sym_where,
    ACTIONS(19572), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19580), 1,
      anon_sym_QMARK,
    ACTIONS(19582), 1,
      sym__pair_operator,
    ACTIONS(19584), 1,
      sym__arrow_operator,
    ACTIONS(19586), 1,
      sym__lazy_or_operator,
    ACTIONS(19588), 1,
      sym__lazy_and_operator,
    ACTIONS(19590), 1,
      sym__pipe_right_operator,
    ACTIONS(19592), 1,
      sym__pipe_left_operator,
    ACTIONS(19594), 1,
      sym__ellipsis_operator,
    ACTIONS(19598), 1,
      sym__times_operator,
    ACTIONS(19600), 1,
      sym__rational_operator,
    ACTIONS(19602), 1,
      sym__bitshift_operator,
    ACTIONS(19604), 1,
      sym__power_operator,
    STATE(14529), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19596), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19468), 3,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [188709] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [188758] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13390), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [188799] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 20,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [188850] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17664), 1,
      anon_sym_DASH_GT,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [188891] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      sym__pipe_right_operator,
    ACTIONS(20580), 1,
      sym__pipe_left_operator,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [188954] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15079), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    ACTIONS(20572), 1,
      anon_sym_where,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      sym__pipe_right_operator,
    ACTIONS(20580), 1,
      sym__pipe_left_operator,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20601), 1,
      sym__pair_operator,
    ACTIONS(20603), 1,
      sym__arrow_operator,
    ACTIONS(20605), 1,
      sym__lazy_or_operator,
    ACTIONS(20607), 1,
      sym__lazy_and_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(15077), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [189029] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(13392), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [189072] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18668), 1,
      anon_sym_EQ,
    ACTIONS(13054), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [189113] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19828), 1,
      anon_sym_QMARK,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12957), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
  [189188] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [189239] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18668), 1,
      anon_sym_EQ,
    ACTIONS(13092), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [189280] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18668), 1,
      anon_sym_EQ,
    ACTIONS(13102), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [189321] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [189382] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      sym__pipe_right_operator,
    ACTIONS(20580), 1,
      sym__pipe_left_operator,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [189443] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(20615), 1,
      anon_sym_COMMA,
    STATE(13071), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [189486] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    ACTIONS(20049), 1,
      anon_sym_QMARK,
    STATE(12858), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13102), 3,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [189565] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(13102), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [189606] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    ACTIONS(20049), 1,
      anon_sym_QMARK,
    STATE(12858), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13092), 3,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [189685] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(13092), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [189726] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    ACTIONS(20049), 1,
      anon_sym_QMARK,
    STATE(12858), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13054), 3,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [189805] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(13054), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [189846] = 5,
    ACTIONS(20618), 1,
      anon_sym_COMMA,
    STATE(13039), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12968), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12972), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [189887] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [189952] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    ACTIONS(20572), 1,
      anon_sym_where,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      sym__pipe_right_operator,
    ACTIONS(20580), 1,
      sym__pipe_left_operator,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20601), 1,
      sym__pair_operator,
    ACTIONS(20603), 1,
      sym__arrow_operator,
    ACTIONS(20605), 1,
      sym__lazy_or_operator,
    ACTIONS(20607), 1,
      sym__lazy_and_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [190027] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [190094] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [190165] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19470), 1,
      anon_sym_LF,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    ACTIONS(20314), 1,
      anon_sym_QMARK,
    STATE(14510), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19468), 3,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [190244] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(13392), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [190287] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19758), 1,
      anon_sym_QMARK,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [190362] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18114), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [190403] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [190464] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20572), 1,
      anon_sym_where,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      sym__pipe_right_operator,
    ACTIONS(20580), 1,
      sym__pipe_left_operator,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20603), 1,
      sym__arrow_operator,
    ACTIONS(20605), 1,
      sym__lazy_or_operator,
    ACTIONS(20607), 1,
      sym__lazy_and_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [190535] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20572), 1,
      anon_sym_where,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      sym__pipe_right_operator,
    ACTIONS(20580), 1,
      sym__pipe_left_operator,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20607), 1,
      sym__lazy_and_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [190602] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 20,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [190653] = 4,
    ACTIONS(20620), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12674), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12676), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [190692] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17562), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [190733] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [190790] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    ACTIONS(20049), 1,
      anon_sym_QMARK,
    STATE(14535), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 3,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [190869] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      sym__pipe_right_operator,
    ACTIONS(20580), 1,
      sym__pipe_left_operator,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [190930] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [190993] = 23,
    ACTIONS(13238), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20345), 1,
      anon_sym_QMARK,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13236), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [191070] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [191121] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20542), 1,
      anon_sym_QMARK,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    STATE(13032), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 3,
      anon_sym_EQ,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [191200] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    ACTIONS(20314), 1,
      anon_sym_QMARK,
    STATE(14510), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13210), 3,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [191279] = 24,
    ACTIONS(13102), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20618), 1,
      anon_sym_COMMA,
    ACTIONS(20622), 1,
      anon_sym_QMARK,
    STATE(13078), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [191358] = 22,
    ACTIONS(13242), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20345), 1,
      anon_sym_QMARK,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13240), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym__pair_operator,
  [191433] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191482] = 23,
    ACTIONS(13238), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20622), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13236), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [191559] = 24,
    ACTIONS(13092), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20618), 1,
      anon_sym_COMMA,
    ACTIONS(20622), 1,
      anon_sym_QMARK,
    STATE(13078), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [191638] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191685] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191730] = 22,
    ACTIONS(13242), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20622), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13240), 5,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [191805] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(13390), 25,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191848] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(13392), 25,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191891] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17656), 1,
      anon_sym_DASH_GT,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [191934] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    ACTIONS(20572), 1,
      anon_sym_where,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      sym__pipe_right_operator,
    ACTIONS(20580), 1,
      sym__pipe_left_operator,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20601), 1,
      sym__pair_operator,
    ACTIONS(20603), 1,
      sym__arrow_operator,
    ACTIONS(20605), 1,
      sym__lazy_or_operator,
    ACTIONS(20607), 1,
      sym__lazy_and_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13969), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [192009] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [192052] = 24,
    ACTIONS(13210), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20618), 1,
      anon_sym_COMMA,
    ACTIONS(20622), 1,
      anon_sym_QMARK,
    STATE(13078), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [192131] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(207), 1,
      anon_sym_DASH_GT,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(11397), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [192174] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(11397), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [192217] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18668), 1,
      anon_sym_EQ,
    ACTIONS(13210), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [192258] = 24,
    ACTIONS(13054), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20618), 1,
      anon_sym_COMMA,
    ACTIONS(20622), 1,
      anon_sym_QMARK,
    STATE(13078), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [192337] = 26,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18825), 1,
      anon_sym_end,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_LF,
    ACTIONS(20626), 1,
      anon_sym_QMARK,
    ACTIONS(20628), 1,
      aux_sym__terminator_token1,
    STATE(15085), 1,
      aux_sym_open_tuple_repeat1,
    STATE(16077), 1,
      aux_sym__block_repeat1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [192420] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20498), 1,
      anon_sym_COLON2,
    ACTIONS(20510), 1,
      sym__pipe_right_operator,
    ACTIONS(20512), 1,
      sym__pipe_left_operator,
    ACTIONS(20514), 1,
      sym__ellipsis_operator,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20500), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 11,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [192483] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [192534] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18560), 1,
      anon_sym_EQ,
    ACTIONS(13102), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [192575] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(207), 1,
      anon_sym_DASH_GT,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(18080), 1,
      anon_sym_EQ,
    ACTIONS(11397), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [192618] = 5,
    ACTIONS(20630), 1,
      anon_sym_COMMA,
    STATE(13124), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12957), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12962), 19,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [192659] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18100), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [192700] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20498), 1,
      anon_sym_COLON2,
    ACTIONS(20510), 1,
      sym__pipe_right_operator,
    ACTIONS(20512), 1,
      sym__pipe_left_operator,
    ACTIONS(20514), 1,
      sym__ellipsis_operator,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [192761] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    ACTIONS(20496), 1,
      anon_sym_where,
    ACTIONS(20498), 1,
      anon_sym_COLON2,
    ACTIONS(20502), 1,
      sym__pair_operator,
    ACTIONS(20504), 1,
      sym__arrow_operator,
    ACTIONS(20506), 1,
      sym__lazy_or_operator,
    ACTIONS(20508), 1,
      sym__lazy_and_operator,
    ACTIONS(20510), 1,
      sym__pipe_right_operator,
    ACTIONS(20512), 1,
      sym__pipe_left_operator,
    ACTIONS(20514), 1,
      sym__ellipsis_operator,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20500), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [192836] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20496), 1,
      anon_sym_where,
    ACTIONS(20498), 1,
      anon_sym_COLON2,
    ACTIONS(20504), 1,
      sym__arrow_operator,
    ACTIONS(20506), 1,
      sym__lazy_or_operator,
    ACTIONS(20508), 1,
      sym__lazy_and_operator,
    ACTIONS(20510), 1,
      sym__pipe_right_operator,
    ACTIONS(20512), 1,
      sym__pipe_left_operator,
    ACTIONS(20514), 1,
      sym__ellipsis_operator,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20500), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
  [192907] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20496), 1,
      anon_sym_where,
    ACTIONS(20498), 1,
      anon_sym_COLON2,
    ACTIONS(20508), 1,
      sym__lazy_and_operator,
    ACTIONS(20510), 1,
      sym__pipe_right_operator,
    ACTIONS(20512), 1,
      sym__pipe_left_operator,
    ACTIONS(20514), 1,
      sym__ellipsis_operator,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20500), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [192974] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20496), 1,
      anon_sym_where,
    ACTIONS(20498), 1,
      anon_sym_COLON2,
    ACTIONS(20510), 1,
      sym__pipe_right_operator,
    ACTIONS(20512), 1,
      sym__pipe_left_operator,
    ACTIONS(20514), 1,
      sym__ellipsis_operator,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20500), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 10,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [193039] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20498), 1,
      anon_sym_COLON2,
    ACTIONS(20514), 1,
      sym__ellipsis_operator,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [193096] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20498), 1,
      anon_sym_COLON2,
    ACTIONS(20510), 1,
      sym__pipe_right_operator,
    ACTIONS(20512), 1,
      sym__pipe_left_operator,
    ACTIONS(20514), 1,
      sym__ellipsis_operator,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [193157] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [193208] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193257] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193304] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193349] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15021), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19981), 1,
      anon_sym_QMARK,
    ACTIONS(20572), 1,
      anon_sym_where,
    ACTIONS(20574), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      sym__pipe_right_operator,
    ACTIONS(20580), 1,
      sym__pipe_left_operator,
    ACTIONS(20582), 1,
      sym__ellipsis_operator,
    ACTIONS(20586), 1,
      sym__times_operator,
    ACTIONS(20588), 1,
      sym__rational_operator,
    ACTIONS(20590), 1,
      sym__bitshift_operator,
    ACTIONS(20592), 1,
      sym__power_operator,
    ACTIONS(20601), 1,
      sym__pair_operator,
    ACTIONS(20603), 1,
      sym__arrow_operator,
    ACTIONS(20605), 1,
      sym__lazy_or_operator,
    ACTIONS(20607), 1,
      sym__lazy_and_operator,
    ACTIONS(20584), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20576), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(15019), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [193424] = 5,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    STATE(13124), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12968), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12972), 19,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [193465] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(13390), 25,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193508] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19758), 1,
      anon_sym_QMARK,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12957), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [193583] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(18080), 1,
      anon_sym_EQ,
    ACTIONS(11397), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [193626] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(20530), 1,
      anon_sym_QMARK,
    STATE(12978), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13210), 2,
      anon_sym_EQ,
      aux_sym__terminator_token1,
    ACTIONS(13212), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [193705] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20155), 1,
      anon_sym_QMARK,
    ACTIONS(20496), 1,
      anon_sym_where,
    ACTIONS(20498), 1,
      anon_sym_COLON2,
    ACTIONS(20502), 1,
      sym__pair_operator,
    ACTIONS(20504), 1,
      sym__arrow_operator,
    ACTIONS(20506), 1,
      sym__lazy_or_operator,
    ACTIONS(20508), 1,
      sym__lazy_and_operator,
    ACTIONS(20510), 1,
      sym__pipe_right_operator,
    ACTIONS(20512), 1,
      sym__pipe_left_operator,
    ACTIONS(20514), 1,
      sym__ellipsis_operator,
    ACTIONS(20518), 1,
      sym__times_operator,
    ACTIONS(20520), 1,
      sym__rational_operator,
    ACTIONS(20522), 1,
      sym__bitshift_operator,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(20516), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20500), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13969), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [193780] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18576), 1,
      anon_sym_EQ,
    ACTIONS(13210), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [193821] = 5,
    ACTIONS(17687), 1,
      anon_sym_DASH_GT,
    ACTIONS(18036), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [193862] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18036), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [193903] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20542), 1,
      anon_sym_QMARK,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    STATE(13032), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13054), 3,
      anon_sym_EQ,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [193982] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(13102), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [194023] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(13092), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [194064] = 24,
    ACTIONS(13238), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20622), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13236), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [194143] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(13054), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [194184] = 25,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20433), 1,
      anon_sym_SEMI,
    STATE(14438), 1,
      sym_for_clause,
    STATE(17136), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20427), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [194265] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17700), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [194306] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12676), 1,
      anon_sym_LF,
    ACTIONS(20633), 1,
      anon_sym_DOT,
    ACTIONS(12674), 26,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [194347] = 5,
    ACTIONS(20635), 1,
      anon_sym_COMMA,
    STATE(13155), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12950), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12948), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [194388] = 23,
    ACTIONS(13242), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20622), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13240), 4,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [194465] = 4,
    ACTIONS(19914), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12950), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12948), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [194504] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19750), 1,
      anon_sym_where,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19760), 1,
      sym__arrow_operator,
    ACTIONS(19762), 1,
      sym__lazy_or_operator,
    ACTIONS(19764), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      sym__pipe_right_operator,
    ACTIONS(19768), 1,
      sym__pipe_left_operator,
    ACTIONS(19770), 1,
      sym__ellipsis_operator,
    ACTIONS(19774), 1,
      sym__times_operator,
    ACTIONS(19776), 1,
      sym__rational_operator,
    ACTIONS(19778), 1,
      sym__bitshift_operator,
    ACTIONS(19780), 1,
      sym__power_operator,
    ACTIONS(19892), 1,
      sym__pair_operator,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    ACTIONS(20314), 1,
      anon_sym_QMARK,
    STATE(12884), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19772), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13092), 3,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(19754), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [194583] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(11397), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [194624] = 5,
    ACTIONS(20638), 1,
      anon_sym_COMMA,
    STATE(13160), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12976), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12974), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [194665] = 5,
    ACTIONS(17687), 1,
      anon_sym_DASH_GT,
    ACTIONS(18078), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [194706] = 5,
    ACTIONS(20641), 1,
      anon_sym_COMMA,
    STATE(13173), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13114), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13112), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [194747] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20528), 1,
      anon_sym_COMMA,
    STATE(12940), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(13170), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13166), 24,
      anon_sym_EQ,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [194790] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18078), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [194831] = 5,
    ACTIONS(19912), 1,
      anon_sym_COMMA,
    STATE(13166), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12864), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12872), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [194872] = 5,
    ACTIONS(19912), 1,
      anon_sym_COMMA,
    STATE(13155), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13164), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13162), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [194913] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18742), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18829), 1,
      anon_sym_QMARK,
    ACTIONS(20373), 1,
      anon_sym_COLON2,
    ACTIONS(20375), 1,
      sym__pipe_right_operator,
    ACTIONS(20377), 1,
      sym__pipe_left_operator,
    ACTIONS(20379), 1,
      sym__ellipsis_operator,
    ACTIONS(20383), 1,
      sym__times_operator,
    ACTIONS(20385), 1,
      sym__rational_operator,
    ACTIONS(20387), 1,
      sym__bitshift_operator,
    ACTIONS(20389), 1,
      sym__power_operator,
    ACTIONS(20486), 1,
      anon_sym_where,
    ACTIONS(20490), 1,
      sym__lazy_and_operator,
    ACTIONS(20492), 1,
      sym__arrow_operator,
    ACTIONS(20494), 1,
      sym__lazy_or_operator,
    ACTIONS(20526), 1,
      sym__pair_operator,
    ACTIONS(20381), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20488), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13969), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [194988] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20049), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13242), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [195063] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20542), 1,
      anon_sym_QMARK,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    STATE(13032), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13102), 3,
      anon_sym_EQ,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [195142] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19820), 1,
      anon_sym_where,
    ACTIONS(19822), 1,
      anon_sym_COLON2,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19830), 1,
      sym__pair_operator,
    ACTIONS(19832), 1,
      sym__arrow_operator,
    ACTIONS(19834), 1,
      sym__lazy_or_operator,
    ACTIONS(19836), 1,
      sym__lazy_and_operator,
    ACTIONS(19838), 1,
      sym__pipe_right_operator,
    ACTIONS(19840), 1,
      sym__pipe_left_operator,
    ACTIONS(19842), 1,
      sym__ellipsis_operator,
    ACTIONS(19846), 1,
      sym__times_operator,
    ACTIONS(19848), 1,
      sym__rational_operator,
    ACTIONS(19850), 1,
      sym__bitshift_operator,
    ACTIONS(19852), 1,
      sym__power_operator,
    ACTIONS(20049), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19844), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13238), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(19824), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [195219] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20524), 1,
      sym__power_operator,
    ACTIONS(13392), 25,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [195262] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17664), 1,
      anon_sym_DASH_GT,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [195303] = 5,
    ACTIONS(20641), 1,
      anon_sym_COMMA,
    STATE(13160), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13166), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13170), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [195344] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17622), 1,
      anon_sym_DASH_GT,
    ACTIONS(11397), 26,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [195385] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20542), 1,
      anon_sym_QMARK,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    STATE(13032), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13092), 3,
      anon_sym_EQ,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [195464] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(13210), 26,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [195505] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20643), 1,
      anon_sym_where,
    ACTIONS(20645), 1,
      anon_sym_COLON2,
    ACTIONS(20649), 1,
      sym__pipe_right_operator,
    ACTIONS(20651), 1,
      sym__pipe_left_operator,
    ACTIONS(20653), 1,
      sym__ellipsis_operator,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20647), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [195569] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18018), 1,
      anon_sym_EQ,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [195609] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(13092), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [195649] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(20665), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [195699] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    ACTIONS(20626), 1,
      anon_sym_QMARK,
    STATE(13032), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13092), 2,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [195777] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(13102), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [195817] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(20675), 1,
      anon_sym_COLON2,
    ACTIONS(20677), 1,
      sym__pipe_right_operator,
    ACTIONS(20679), 1,
      sym__pipe_left_operator,
    ACTIONS(20681), 1,
      sym__ellipsis_operator,
    ACTIONS(20665), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [195877] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    ACTIONS(20626), 1,
      anon_sym_QMARK,
    STATE(13032), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13102), 2,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [195955] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(13054), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [195995] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13236), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20626), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13238), 3,
      anon_sym_COMMA,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [196071] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20049), 1,
      anon_sym_QMARK,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(20675), 1,
      anon_sym_COLON2,
    ACTIONS(20677), 1,
      sym__pipe_right_operator,
    ACTIONS(20679), 1,
      sym__pipe_left_operator,
    ACTIONS(20681), 1,
      sym__ellipsis_operator,
    ACTIONS(20683), 1,
      anon_sym_where,
    ACTIONS(20687), 1,
      sym__pair_operator,
    ACTIONS(20689), 1,
      sym__arrow_operator,
    ACTIONS(20691), 1,
      sym__lazy_or_operator,
    ACTIONS(20693), 1,
      sym__lazy_and_operator,
    ACTIONS(20665), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(20685), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [196145] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19468), 1,
      aux_sym__terminator_token1,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    STATE(14713), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19470), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [196223] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(13392), 24,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [196265] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(13392), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [196307] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18418), 1,
      anon_sym_EQ,
    ACTIONS(13104), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13102), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [196347] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18418), 1,
      anon_sym_EQ,
    ACTIONS(13094), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13092), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [196387] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [196429] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [196473] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18418), 1,
      anon_sym_EQ,
    ACTIONS(13060), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13054), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [196513] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13210), 1,
      aux_sym__terminator_token1,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    STATE(14713), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13212), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [196591] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [196637] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18666), 1,
      anon_sym_EQ,
    ACTIONS(13210), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [196677] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(20675), 1,
      anon_sym_COLON2,
    ACTIONS(20677), 1,
      sym__pipe_right_operator,
    ACTIONS(20679), 1,
      sym__pipe_left_operator,
    ACTIONS(20681), 1,
      sym__ellipsis_operator,
    ACTIONS(20683), 1,
      anon_sym_where,
    ACTIONS(20689), 1,
      sym__arrow_operator,
    ACTIONS(20691), 1,
      sym__lazy_or_operator,
    ACTIONS(20693), 1,
      sym__lazy_and_operator,
    ACTIONS(20665), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20685), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 6,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [196747] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(20675), 1,
      anon_sym_COLON2,
    ACTIONS(20677), 1,
      sym__pipe_right_operator,
    ACTIONS(20679), 1,
      sym__pipe_left_operator,
    ACTIONS(20681), 1,
      sym__ellipsis_operator,
    ACTIONS(20683), 1,
      anon_sym_where,
    ACTIONS(20693), 1,
      sym__lazy_and_operator,
    ACTIONS(20665), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20685), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [196813] = 22,
    ACTIONS(13242), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20703), 1,
      anon_sym_QMARK,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13240), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [196887] = 23,
    ACTIONS(13238), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20703), 1,
      anon_sym_QMARK,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [196963] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(20675), 1,
      anon_sym_COLON2,
    ACTIONS(20677), 1,
      sym__pipe_right_operator,
    ACTIONS(20679), 1,
      sym__pipe_left_operator,
    ACTIONS(20681), 1,
      sym__ellipsis_operator,
    ACTIONS(20683), 1,
      anon_sym_where,
    ACTIONS(20665), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20685), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [197027] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(13390), 21,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [197075] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(13392), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [197117] = 22,
    ACTIONS(13242), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20737), 1,
      anon_sym_QMARK,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13240), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      sym__pair_operator,
  [197191] = 23,
    ACTIONS(13238), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20737), 1,
      anon_sym_QMARK,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13236), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [197267] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(20675), 1,
      anon_sym_COLON2,
    ACTIONS(20681), 1,
      sym__ellipsis_operator,
    ACTIONS(20665), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [197323] = 22,
    ACTIONS(13969), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20345), 1,
      anon_sym_QMARK,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13971), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [197397] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(20675), 1,
      anon_sym_COLON2,
    ACTIONS(20677), 1,
      sym__pipe_right_operator,
    ACTIONS(20679), 1,
      sym__pipe_left_operator,
    ACTIONS(20681), 1,
      sym__ellipsis_operator,
    ACTIONS(20665), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [197457] = 4,
    ACTIONS(18300), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [197495] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(20665), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [197545] = 4,
    ACTIONS(18300), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [197583] = 4,
    ACTIONS(18300), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [197621] = 24,
    ACTIONS(13210), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20703), 1,
      anon_sym_QMARK,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(20765), 1,
      anon_sym_COMMA,
    STATE(13411), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13212), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [197699] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13104), 1,
      anon_sym_LF,
    ACTIONS(18666), 1,
      anon_sym_EQ,
    ACTIONS(13102), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [197739] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13094), 1,
      anon_sym_LF,
    ACTIONS(18666), 1,
      anon_sym_EQ,
    ACTIONS(13092), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [197779] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18666), 1,
      anon_sym_EQ,
    ACTIONS(13054), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [197819] = 24,
    ACTIONS(13210), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20737), 1,
      anon_sym_QMARK,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(20767), 1,
      anon_sym_COMMA,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13212), 2,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [197897] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(13390), 21,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [197945] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(20530), 1,
      anon_sym_QMARK,
    ACTIONS(12962), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(12957), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [198019] = 4,
    ACTIONS(18036), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [198057] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [198103] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13922), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [198165] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [198209] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13210), 1,
      aux_sym__terminator_token1,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    STATE(12978), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13212), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [198287] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [198329] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19580), 1,
      anon_sym_QMARK,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20769), 1,
      anon_sym_where,
    ACTIONS(20771), 1,
      anon_sym_COLON2,
    ACTIONS(20775), 1,
      sym__pair_operator,
    ACTIONS(20777), 1,
      sym__arrow_operator,
    ACTIONS(20779), 1,
      sym__lazy_or_operator,
    ACTIONS(20781), 1,
      sym__lazy_and_operator,
    ACTIONS(20783), 1,
      sym__pipe_right_operator,
    ACTIONS(20785), 1,
      sym__pipe_left_operator,
    ACTIONS(20787), 1,
      sym__ellipsis_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(20789), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13969), 4,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(20773), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [198403] = 5,
    ACTIONS(17758), 1,
      anon_sym_DASH_GT,
    ACTIONS(18036), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [198443] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20797), 1,
      anon_sym_where,
    ACTIONS(20799), 1,
      anon_sym_COLON2,
    ACTIONS(20803), 1,
      anon_sym_QMARK,
    ACTIONS(20805), 1,
      sym__pair_operator,
    ACTIONS(20807), 1,
      sym__arrow_operator,
    ACTIONS(20809), 1,
      sym__lazy_or_operator,
    ACTIONS(20811), 1,
      sym__lazy_and_operator,
    ACTIONS(20813), 1,
      sym__pipe_right_operator,
    ACTIONS(20815), 1,
      sym__pipe_left_operator,
    ACTIONS(20817), 1,
      sym__ellipsis_operator,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13969), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(20801), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [198517] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [198559] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20829), 1,
      anon_sym_COLON2,
    ACTIONS(20833), 1,
      sym__pipe_right_operator,
    ACTIONS(20835), 1,
      sym__pipe_left_operator,
    ACTIONS(20837), 1,
      sym__ellipsis_operator,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(20839), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20831), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 10,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [198621] = 4,
    ACTIONS(18100), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [198659] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [198703] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(20839), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [198753] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [198799] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20829), 1,
      anon_sym_COLON2,
    ACTIONS(20833), 1,
      sym__pipe_right_operator,
    ACTIONS(20835), 1,
      sym__pipe_left_operator,
    ACTIONS(20837), 1,
      sym__ellipsis_operator,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(20839), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [198859] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20314), 1,
      anon_sym_QMARK,
    ACTIONS(20829), 1,
      anon_sym_COLON2,
    ACTIONS(20833), 1,
      sym__pipe_right_operator,
    ACTIONS(20835), 1,
      sym__pipe_left_operator,
    ACTIONS(20837), 1,
      sym__ellipsis_operator,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(20849), 1,
      anon_sym_where,
    ACTIONS(20851), 1,
      sym__pair_operator,
    ACTIONS(20853), 1,
      sym__arrow_operator,
    ACTIONS(20855), 1,
      sym__lazy_or_operator,
    ACTIONS(20857), 1,
      sym__lazy_and_operator,
    ACTIONS(20839), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(20831), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [198933] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20599), 1,
      anon_sym_LF,
    ACTIONS(20797), 1,
      anon_sym_where,
    ACTIONS(20799), 1,
      anon_sym_COLON2,
    ACTIONS(20803), 1,
      anon_sym_QMARK,
    ACTIONS(20805), 1,
      sym__pair_operator,
    ACTIONS(20807), 1,
      sym__arrow_operator,
    ACTIONS(20809), 1,
      sym__lazy_or_operator,
    ACTIONS(20811), 1,
      sym__lazy_and_operator,
    ACTIONS(20813), 1,
      sym__pipe_right_operator,
    ACTIONS(20815), 1,
      sym__pipe_left_operator,
    ACTIONS(20817), 1,
      sym__ellipsis_operator,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20597), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(20801), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [199007] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 19,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [199057] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20829), 1,
      anon_sym_COLON2,
    ACTIONS(20833), 1,
      sym__pipe_right_operator,
    ACTIONS(20835), 1,
      sym__pipe_left_operator,
    ACTIONS(20837), 1,
      sym__ellipsis_operator,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(20849), 1,
      anon_sym_where,
    ACTIONS(20853), 1,
      sym__arrow_operator,
    ACTIONS(20855), 1,
      sym__lazy_or_operator,
    ACTIONS(20857), 1,
      sym__lazy_and_operator,
    ACTIONS(20839), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20831), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 6,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [199127] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [199187] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20829), 1,
      anon_sym_COLON2,
    ACTIONS(20833), 1,
      sym__pipe_right_operator,
    ACTIONS(20835), 1,
      sym__pipe_left_operator,
    ACTIONS(20837), 1,
      sym__ellipsis_operator,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(20849), 1,
      anon_sym_where,
    ACTIONS(20857), 1,
      sym__lazy_and_operator,
    ACTIONS(20839), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20831), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [199253] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [199317] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20829), 1,
      anon_sym_COLON2,
    ACTIONS(20833), 1,
      sym__pipe_right_operator,
    ACTIONS(20835), 1,
      sym__pipe_left_operator,
    ACTIONS(20837), 1,
      sym__ellipsis_operator,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(20849), 1,
      anon_sym_where,
    ACTIONS(20839), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20831), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [199381] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [199447] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20829), 1,
      anon_sym_COLON2,
    ACTIONS(20837), 1,
      sym__ellipsis_operator,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(20839), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [199503] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(18080), 1,
      anon_sym_EQ,
    ACTIONS(11397), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [199543] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20829), 1,
      anon_sym_COLON2,
    ACTIONS(20833), 1,
      sym__pipe_right_operator,
    ACTIONS(20835), 1,
      sym__pipe_left_operator,
    ACTIONS(20837), 1,
      sym__ellipsis_operator,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(20839), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [199603] = 4,
    ACTIONS(18114), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [199641] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(20839), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [199691] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(13390), 21,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [199739] = 4,
    ACTIONS(18078), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [199777] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(13390), 21,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [199825] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [199871] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [199915] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [199957] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13240), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20626), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13242), 4,
      anon_sym_COMMA,
      anon_sym_end,
      sym__pair_operator,
      aux_sym__terminator_token1,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [200031] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [200101] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(20675), 1,
      anon_sym_COLON2,
    ACTIONS(20677), 1,
      sym__pipe_right_operator,
    ACTIONS(20679), 1,
      sym__pipe_left_operator,
    ACTIONS(20681), 1,
      sym__ellipsis_operator,
    ACTIONS(20665), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20685), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 10,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [200163] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20542), 1,
      anon_sym_QMARK,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [200237] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 19,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [200287] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(20530), 1,
      anon_sym_QMARK,
    ACTIONS(13971), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13969), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [200361] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13406), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [200411] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20799), 1,
      anon_sym_COLON2,
    ACTIONS(20813), 1,
      sym__pipe_right_operator,
    ACTIONS(20815), 1,
      sym__pipe_left_operator,
    ACTIONS(20817), 1,
      sym__ellipsis_operator,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [200471] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20799), 1,
      anon_sym_COLON2,
    ACTIONS(20817), 1,
      sym__ellipsis_operator,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [200527] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(11397), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [200567] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 13,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [200627] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20797), 1,
      anon_sym_where,
    ACTIONS(20799), 1,
      anon_sym_COLON2,
    ACTIONS(20813), 1,
      sym__pipe_right_operator,
    ACTIONS(20815), 1,
      sym__pipe_left_operator,
    ACTIONS(20817), 1,
      sym__ellipsis_operator,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20801), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [200691] = 21,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13240), 5,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [200763] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20797), 1,
      anon_sym_where,
    ACTIONS(20799), 1,
      anon_sym_COLON2,
    ACTIONS(20811), 1,
      sym__lazy_and_operator,
    ACTIONS(20813), 1,
      sym__pipe_right_operator,
    ACTIONS(20815), 1,
      sym__pipe_left_operator,
    ACTIONS(20817), 1,
      sym__ellipsis_operator,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20801), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [200829] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [200869] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [200929] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(20530), 1,
      anon_sym_QMARK,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [201003] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [201073] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 19,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [201123] = 4,
    ACTIONS(17750), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [201161] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [201227] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20797), 1,
      anon_sym_where,
    ACTIONS(20799), 1,
      anon_sym_COLON2,
    ACTIONS(20807), 1,
      sym__arrow_operator,
    ACTIONS(20809), 1,
      sym__lazy_or_operator,
    ACTIONS(20811), 1,
      sym__lazy_and_operator,
    ACTIONS(20813), 1,
      sym__pipe_right_operator,
    ACTIONS(20815), 1,
      sym__pipe_left_operator,
    ACTIONS(20817), 1,
      sym__ellipsis_operator,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20801), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 6,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
  [201297] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 10,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [201359] = 22,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13236), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [201433] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20542), 1,
      anon_sym_QMARK,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(12957), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [201507] = 4,
    ACTIONS(18128), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [201545] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    ACTIONS(20626), 1,
      anon_sym_QMARK,
    STATE(15085), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13210), 2,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [201623] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19470), 1,
      anon_sym_LF,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    ACTIONS(20626), 1,
      anon_sym_QMARK,
    STATE(15085), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(19468), 2,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [201701] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20797), 1,
      anon_sym_where,
    ACTIONS(20799), 1,
      anon_sym_COLON2,
    ACTIONS(20803), 1,
      anon_sym_QMARK,
    ACTIONS(20805), 1,
      sym__pair_operator,
    ACTIONS(20807), 1,
      sym__arrow_operator,
    ACTIONS(20809), 1,
      sym__lazy_or_operator,
    ACTIONS(20811), 1,
      sym__lazy_and_operator,
    ACTIONS(20813), 1,
      sym__pipe_right_operator,
    ACTIONS(20815), 1,
      sym__pipe_left_operator,
    ACTIONS(20817), 1,
      sym__ellipsis_operator,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(20801), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [201775] = 4,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [201813] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13240), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      sym__pair_operator,
  [201885] = 16,
    ACTIONS(13920), 1,
      anon_sym_EQ,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [201947] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [202011] = 4,
    ACTIONS(18114), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [202049] = 23,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20618), 1,
      anon_sym_COMMA,
    STATE(13078), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [202125] = 4,
    ACTIONS(18114), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [202163] = 23,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20618), 1,
      anon_sym_COMMA,
    STATE(13078), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [202239] = 4,
    ACTIONS(17712), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [202277] = 4,
    ACTIONS(18114), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [202315] = 23,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20618), 1,
      anon_sym_COMMA,
    STATE(13078), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [202391] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [202447] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 18,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [202487] = 4,
    ACTIONS(18114), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [202525] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(13392), 24,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [202567] = 16,
    ACTIONS(13920), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [202629] = 22,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13236), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [202703] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    ACTIONS(20626), 1,
      anon_sym_QMARK,
    STATE(13032), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13210), 2,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [202781] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20799), 1,
      anon_sym_COLON2,
    ACTIONS(20813), 1,
      sym__pipe_right_operator,
    ACTIONS(20815), 1,
      sym__pipe_left_operator,
    ACTIONS(20817), 1,
      sym__ellipsis_operator,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [202841] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20599), 1,
      anon_sym_LF,
    ACTIONS(20643), 1,
      anon_sym_where,
    ACTIONS(20645), 1,
      anon_sym_COLON2,
    ACTIONS(20649), 1,
      sym__pipe_right_operator,
    ACTIONS(20651), 1,
      sym__pipe_left_operator,
    ACTIONS(20653), 1,
      sym__ellipsis_operator,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20861), 1,
      anon_sym_QMARK,
    ACTIONS(20863), 1,
      sym__pair_operator,
    ACTIONS(20865), 1,
      sym__arrow_operator,
    ACTIONS(20867), 1,
      sym__lazy_or_operator,
    ACTIONS(20869), 1,
      sym__lazy_and_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20597), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20647), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [202915] = 4,
    ACTIONS(18644), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [202953] = 5,
    ACTIONS(17852), 1,
      anon_sym_DASH_GT,
    ACTIONS(18100), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [202993] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [203041] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 19,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [203091] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 18,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [203131] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20799), 1,
      anon_sym_COLON2,
    ACTIONS(20813), 1,
      sym__pipe_right_operator,
    ACTIONS(20815), 1,
      sym__pipe_left_operator,
    ACTIONS(20817), 1,
      sym__ellipsis_operator,
    ACTIONS(20821), 1,
      sym__times_operator,
    ACTIONS(20823), 1,
      sym__rational_operator,
    ACTIONS(20825), 1,
      sym__bitshift_operator,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(20819), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20801), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 10,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [203193] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20643), 1,
      anon_sym_where,
    ACTIONS(20645), 1,
      anon_sym_COLON2,
    ACTIONS(20649), 1,
      sym__pipe_right_operator,
    ACTIONS(20651), 1,
      sym__pipe_left_operator,
    ACTIONS(20653), 1,
      sym__ellipsis_operator,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20869), 1,
      sym__lazy_and_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20647), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [203259] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18140), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [203299] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [203341] = 23,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13236), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [203417] = 24,
    ACTIONS(13054), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20737), 1,
      anon_sym_QMARK,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(20767), 1,
      anon_sym_COMMA,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13060), 2,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [203495] = 5,
    ACTIONS(20767), 1,
      anon_sym_COMMA,
    STATE(13339), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12968), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12972), 18,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [203535] = 6,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [203577] = 7,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [203621] = 8,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [203667] = 24,
    ACTIONS(13092), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20737), 1,
      anon_sym_QMARK,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(20767), 1,
      anon_sym_COMMA,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13094), 2,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [203745] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [203793] = 14,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [203851] = 14,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [203909] = 22,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20345), 1,
      anon_sym_QMARK,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [203983] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(13390), 23,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [204027] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(13390), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [204073] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(13390), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [204121] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(20789), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [204171] = 20,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
  [204241] = 18,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [204307] = 12,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [204361] = 17,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 9,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [204425] = 4,
    ACTIONS(18644), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [204463] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(20789), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [204513] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20643), 1,
      anon_sym_where,
    ACTIONS(20645), 1,
      anon_sym_COLON2,
    ACTIONS(20649), 1,
      sym__pipe_right_operator,
    ACTIONS(20651), 1,
      sym__pipe_left_operator,
    ACTIONS(20653), 1,
      sym__ellipsis_operator,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20861), 1,
      anon_sym_QMARK,
    ACTIONS(20863), 1,
      sym__pair_operator,
    ACTIONS(20865), 1,
      sym__arrow_operator,
    ACTIONS(20867), 1,
      sym__lazy_or_operator,
    ACTIONS(20869), 1,
      sym__lazy_and_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13969), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20647), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [204587] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(13390), 24,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [204629] = 5,
    ACTIONS(20871), 1,
      anon_sym_COMMA,
    STATE(13339), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12957), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12962), 18,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [204669] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 13,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [204729] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20542), 1,
      anon_sym_QMARK,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13969), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [204803] = 4,
    ACTIONS(18644), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [204841] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [204885] = 4,
    ACTIONS(18644), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [204923] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 18,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [204973] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17656), 1,
      anon_sym_DASH_GT,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [205013] = 17,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [205077] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17656), 1,
      anon_sym_DASH_GT,
    ACTIONS(18222), 1,
      anon_sym_EQ,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [205119] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(17604), 1,
      sym__immediate_paren,
    ACTIONS(18222), 1,
      anon_sym_EQ,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [205161] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13390), 20,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [205209] = 12,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [205263] = 24,
    ACTIONS(13102), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20737), 1,
      anon_sym_QMARK,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(20767), 1,
      anon_sym_COMMA,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13104), 2,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [205341] = 4,
    ACTIONS(17687), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [205379] = 14,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [205437] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [205485] = 8,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [205531] = 18,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 8,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [205597] = 20,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 6,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [205667] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [205713] = 24,
    ACTIONS(13054), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20703), 1,
      anon_sym_QMARK,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(20765), 1,
      anon_sym_COMMA,
    STATE(13411), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13060), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [205791] = 22,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20622), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [205865] = 7,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [205909] = 24,
    ACTIONS(13092), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20703), 1,
      anon_sym_QMARK,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(20765), 1,
      anon_sym_COMMA,
    STATE(13411), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13094), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [205987] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(207), 1,
      anon_sym_DASH_GT,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(11397), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [206027] = 6,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [206069] = 14,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [206127] = 24,
    ACTIONS(13102), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20703), 1,
      anon_sym_QMARK,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(20765), 1,
      anon_sym_COMMA,
    STATE(13411), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13104), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [206205] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13390), 21,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [206251] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 18,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [206291] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    STATE(13138), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [206367] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20771), 1,
      anon_sym_COLON2,
    ACTIONS(20783), 1,
      sym__pipe_right_operator,
    ACTIONS(20785), 1,
      sym__pipe_left_operator,
    ACTIONS(20787), 1,
      sym__ellipsis_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(20789), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20773), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [206429] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20771), 1,
      anon_sym_COLON2,
    ACTIONS(20783), 1,
      sym__pipe_right_operator,
    ACTIONS(20785), 1,
      sym__pipe_left_operator,
    ACTIONS(20787), 1,
      sym__ellipsis_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(20789), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [206489] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19580), 1,
      anon_sym_QMARK,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20769), 1,
      anon_sym_where,
    ACTIONS(20771), 1,
      anon_sym_COLON2,
    ACTIONS(20775), 1,
      sym__pair_operator,
    ACTIONS(20777), 1,
      sym__arrow_operator,
    ACTIONS(20779), 1,
      sym__lazy_or_operator,
    ACTIONS(20781), 1,
      sym__lazy_and_operator,
    ACTIONS(20783), 1,
      sym__pipe_right_operator,
    ACTIONS(20785), 1,
      sym__pipe_left_operator,
    ACTIONS(20787), 1,
      sym__ellipsis_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(20789), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(20773), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [206563] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13390), 25,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [206603] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20769), 1,
      anon_sym_where,
    ACTIONS(20771), 1,
      anon_sym_COLON2,
    ACTIONS(20777), 1,
      sym__arrow_operator,
    ACTIONS(20779), 1,
      sym__lazy_or_operator,
    ACTIONS(20781), 1,
      sym__lazy_and_operator,
    ACTIONS(20783), 1,
      sym__pipe_right_operator,
    ACTIONS(20785), 1,
      sym__pipe_left_operator,
    ACTIONS(20787), 1,
      sym__ellipsis_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(20789), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20773), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 6,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [206673] = 4,
    ACTIONS(18128), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [206711] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    STATE(13138), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [206787] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13390), 22,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [206831] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20769), 1,
      anon_sym_where,
    ACTIONS(20771), 1,
      anon_sym_COLON2,
    ACTIONS(20781), 1,
      sym__lazy_and_operator,
    ACTIONS(20783), 1,
      sym__pipe_right_operator,
    ACTIONS(20785), 1,
      sym__pipe_left_operator,
    ACTIONS(20787), 1,
      sym__ellipsis_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(20789), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20773), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [206897] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20769), 1,
      anon_sym_where,
    ACTIONS(20771), 1,
      anon_sym_COLON2,
    ACTIONS(20783), 1,
      sym__pipe_right_operator,
    ACTIONS(20785), 1,
      sym__pipe_left_operator,
    ACTIONS(20787), 1,
      sym__ellipsis_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(20789), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20773), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 9,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [206961] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20771), 1,
      anon_sym_COLON2,
    ACTIONS(20787), 1,
      sym__ellipsis_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(20789), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [207017] = 4,
    ACTIONS(18128), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [207055] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19578), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20695), 1,
      sym__power_operator,
    ACTIONS(20771), 1,
      anon_sym_COLON2,
    ACTIONS(20783), 1,
      sym__pipe_right_operator,
    ACTIONS(20785), 1,
      sym__pipe_left_operator,
    ACTIONS(20787), 1,
      sym__ellipsis_operator,
    ACTIONS(20791), 1,
      sym__times_operator,
    ACTIONS(20793), 1,
      sym__rational_operator,
    ACTIONS(20795), 1,
      sym__bitshift_operator,
    ACTIONS(20789), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [207115] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(13390), 21,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207163] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    STATE(13138), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [207239] = 4,
    ACTIONS(18128), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [207277] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13390), 23,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [207319] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 19,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [207369] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [207425] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20645), 1,
      anon_sym_COLON2,
    ACTIONS(20649), 1,
      sym__pipe_right_operator,
    ACTIONS(20651), 1,
      sym__pipe_left_operator,
    ACTIONS(20653), 1,
      sym__ellipsis_operator,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [207485] = 22,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13240), 4,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [207559] = 5,
    ACTIONS(20874), 1,
      anon_sym_COMMA,
    STATE(13392), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12957), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12962), 18,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [207599] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(13394), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13392), 23,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [207641] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20645), 1,
      anon_sym_COLON2,
    ACTIONS(20653), 1,
      sym__ellipsis_operator,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 16,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [207697] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13060), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20534), 1,
      anon_sym_where,
    ACTIONS(20536), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20544), 1,
      sym__arrow_operator,
    ACTIONS(20546), 1,
      sym__lazy_or_operator,
    ACTIONS(20548), 1,
      sym__lazy_and_operator,
    ACTIONS(20550), 1,
      sym__pipe_right_operator,
    ACTIONS(20552), 1,
      sym__pipe_left_operator,
    ACTIONS(20554), 1,
      sym__ellipsis_operator,
    ACTIONS(20558), 1,
      sym__times_operator,
    ACTIONS(20560), 1,
      sym__rational_operator,
    ACTIONS(20562), 1,
      sym__bitshift_operator,
    ACTIONS(20564), 1,
      sym__power_operator,
    ACTIONS(20566), 1,
      sym__pair_operator,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    ACTIONS(20626), 1,
      anon_sym_QMARK,
    STATE(13032), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13054), 2,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(20556), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20538), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [207775] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [207823] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13390), 24,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [207863] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20643), 1,
      anon_sym_where,
    ACTIONS(20645), 1,
      anon_sym_COLON2,
    ACTIONS(20649), 1,
      sym__pipe_right_operator,
    ACTIONS(20651), 1,
      sym__pipe_left_operator,
    ACTIONS(20653), 1,
      sym__ellipsis_operator,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20865), 1,
      sym__arrow_operator,
    ACTIONS(20867), 1,
      sym__lazy_or_operator,
    ACTIONS(20869), 1,
      sym__lazy_and_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20647), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 6,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [207933] = 4,
    ACTIONS(17784), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [207971] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20643), 1,
      anon_sym_where,
    ACTIONS(20645), 1,
      anon_sym_COLON2,
    ACTIONS(20649), 1,
      sym__pipe_right_operator,
    ACTIONS(20651), 1,
      sym__pipe_left_operator,
    ACTIONS(20653), 1,
      sym__ellipsis_operator,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20861), 1,
      anon_sym_QMARK,
    ACTIONS(20863), 1,
      sym__pair_operator,
    ACTIONS(20865), 1,
      sym__arrow_operator,
    ACTIONS(20867), 1,
      sym__lazy_or_operator,
    ACTIONS(20869), 1,
      sym__lazy_and_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20647), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [208045] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20645), 1,
      anon_sym_COLON2,
    ACTIONS(20649), 1,
      sym__pipe_right_operator,
    ACTIONS(20651), 1,
      sym__pipe_left_operator,
    ACTIONS(20653), 1,
      sym__ellipsis_operator,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [208105] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20049), 1,
      anon_sym_QMARK,
    ACTIONS(20667), 1,
      sym__times_operator,
    ACTIONS(20669), 1,
      sym__rational_operator,
    ACTIONS(20671), 1,
      sym__bitshift_operator,
    ACTIONS(20673), 1,
      sym__power_operator,
    ACTIONS(20675), 1,
      anon_sym_COLON2,
    ACTIONS(20677), 1,
      sym__pipe_right_operator,
    ACTIONS(20679), 1,
      sym__pipe_left_operator,
    ACTIONS(20681), 1,
      sym__ellipsis_operator,
    ACTIONS(20683), 1,
      anon_sym_where,
    ACTIONS(20687), 1,
      sym__pair_operator,
    ACTIONS(20689), 1,
      sym__arrow_operator,
    ACTIONS(20691), 1,
      sym__lazy_or_operator,
    ACTIONS(20693), 1,
      sym__lazy_and_operator,
    ACTIONS(20665), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13969), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
    ACTIONS(20685), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [208179] = 22,
    ACTIONS(12957), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20345), 1,
      anon_sym_QMARK,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12962), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [208253] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 18,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [208293] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 19,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [208343] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(13212), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13210), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [208383] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(13392), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_finally,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [208425] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13240), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13242), 3,
      anon_sym_COMMA,
      sym__pair_operator,
      aux_sym__terminator_token1,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [208499] = 4,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208537] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(19256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20645), 1,
      anon_sym_COLON2,
    ACTIONS(20649), 1,
      sym__pipe_right_operator,
    ACTIONS(20651), 1,
      sym__pipe_left_operator,
    ACTIONS(20653), 1,
      sym__ellipsis_operator,
    ACTIONS(20657), 1,
      sym__times_operator,
    ACTIONS(20659), 1,
      sym__rational_operator,
    ACTIONS(20661), 1,
      sym__bitshift_operator,
    ACTIONS(20663), 1,
      sym__power_operator,
    ACTIONS(20655), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20647), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 10,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [208599] = 5,
    ACTIONS(20765), 1,
      anon_sym_COMMA,
    STATE(13392), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12968), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12972), 18,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208639] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(13210), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [208679] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(13060), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13054), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [208719] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    STATE(13138), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [208795] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13054), 1,
      aux_sym__terminator_token1,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    STATE(12978), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13060), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [208873] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17826), 1,
      anon_sym_COMMA,
    ACTIONS(17828), 1,
      anon_sym_LF,
    ACTIONS(17830), 1,
      aux_sym__terminator_token1,
    STATE(15847), 1,
      aux_sym__do_parameter_list_repeat1,
    ACTIONS(11397), 22,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [208919] = 4,
    ACTIONS(18128), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208957] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18418), 1,
      anon_sym_EQ,
    ACTIONS(13212), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13210), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [208997] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(13094), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13092), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [209037] = 22,
    ACTIONS(13969), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20622), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13971), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [209111] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19756), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20314), 1,
      anon_sym_QMARK,
    ACTIONS(20829), 1,
      anon_sym_COLON2,
    ACTIONS(20833), 1,
      sym__pipe_right_operator,
    ACTIONS(20835), 1,
      sym__pipe_left_operator,
    ACTIONS(20837), 1,
      sym__ellipsis_operator,
    ACTIONS(20841), 1,
      sym__times_operator,
    ACTIONS(20843), 1,
      sym__rational_operator,
    ACTIONS(20845), 1,
      sym__bitshift_operator,
    ACTIONS(20847), 1,
      sym__power_operator,
    ACTIONS(20849), 1,
      anon_sym_where,
    ACTIONS(20851), 1,
      sym__pair_operator,
    ACTIONS(20853), 1,
      sym__arrow_operator,
    ACTIONS(20855), 1,
      sym__lazy_or_operator,
    ACTIONS(20857), 1,
      sym__lazy_and_operator,
    ACTIONS(20839), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13969), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
    ACTIONS(20831), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [209185] = 4,
    ACTIONS(18300), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209223] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13092), 1,
      aux_sym__terminator_token1,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    STATE(12978), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13094), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [209301] = 23,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13236), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13238), 2,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [209377] = 22,
    ACTIONS(12957), 1,
      anon_sym_EQ,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20622), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12962), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [209451] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(13104), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13102), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [209491] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(19034), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20827), 1,
      sym__power_operator,
    ACTIONS(13392), 24,
      anon_sym_where,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [209533] = 23,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(20618), 1,
      anon_sym_COMMA,
    STATE(13078), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [209609] = 24,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13102), 1,
      aux_sym__terminator_token1,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    STATE(12978), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(13104), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [209687] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18202), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209727] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18152), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209767] = 4,
    ACTIONS(17712), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209805] = 4,
    ACTIONS(17750), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209843] = 5,
    ACTIONS(17852), 1,
      anon_sym_DASH_GT,
    ACTIONS(18140), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209883] = 5,
    ACTIONS(17762), 1,
      anon_sym_DASH_GT,
    ACTIONS(18202), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209923] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18152), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209963] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [210002] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(20765), 1,
      anon_sym_COMMA,
    ACTIONS(20877), 1,
      anon_sym_QMARK,
    STATE(13411), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13094), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [210077] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18246), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [210116] = 4,
    ACTIONS(17758), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [210153] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 18,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [210192] = 23,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(20767), 1,
      anon_sym_COMMA,
    ACTIONS(20881), 1,
      anon_sym_QMARK,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13212), 2,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [210267] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(20765), 1,
      anon_sym_COMMA,
    ACTIONS(20877), 1,
      anon_sym_QMARK,
    STATE(13411), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13212), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [210342] = 16,
    ACTIONS(13920), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 9,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [210403] = 4,
    ACTIONS(18152), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [210440] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [210487] = 4,
    ACTIONS(18202), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [210524] = 14,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [210581] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17612), 1,
      anon_sym_DASH_GT,
    ACTIONS(17942), 1,
      anon_sym_LF,
    ACTIONS(17940), 2,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(11397), 22,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [210622] = 22,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20703), 1,
      anon_sym_QMARK,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [210695] = 20,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [210764] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20883), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20891), 1,
      anon_sym_QMARK,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    STATE(13456), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [210839] = 18,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [210904] = 5,
    ACTIONS(20919), 1,
      anon_sym_COMMA,
    STATE(13454), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12957), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12962), 16,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [210943] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20883), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20891), 1,
      anon_sym_QMARK,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    STATE(13456), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [211018] = 5,
    ACTIONS(20883), 1,
      anon_sym_COMMA,
    STATE(13454), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12968), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(12972), 16,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [211057] = 17,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [211120] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20922), 1,
      anon_sym_COLON2,
    ACTIONS(20924), 1,
      sym__pipe_right_operator,
    ACTIONS(20926), 1,
      sym__pipe_left_operator,
    ACTIONS(20928), 1,
      sym__ellipsis_operator,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20930), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [211177] = 12,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [211230] = 14,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [211287] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [211334] = 8,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [211379] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 17,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [211418] = 12,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20922), 1,
      anon_sym_COLON2,
    ACTIONS(20928), 1,
      sym__ellipsis_operator,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20930), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [211471] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17826), 1,
      anon_sym_COMMA,
    ACTIONS(17828), 1,
      anon_sym_LF,
    ACTIONS(17830), 1,
      aux_sym__terminator_token1,
    STATE(15847), 1,
      aux_sym__do_parameter_list_repeat1,
    ACTIONS(11397), 22,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [211514] = 7,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [211557] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20942), 1,
      anon_sym_where,
    ACTIONS(20944), 1,
      anon_sym_COLON2,
    ACTIONS(20948), 1,
      sym__pair_operator,
    ACTIONS(20950), 1,
      sym__arrow_operator,
    ACTIONS(20952), 1,
      sym__lazy_or_operator,
    ACTIONS(20954), 1,
      sym__lazy_and_operator,
    ACTIONS(20956), 1,
      sym__pipe_right_operator,
    ACTIONS(20958), 1,
      sym__pipe_left_operator,
    ACTIONS(20960), 1,
      sym__ellipsis_operator,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13969), 2,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(13971), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20962), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20946), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [211630] = 6,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [211671] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 17,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [211710] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [211749] = 4,
    ACTIONS(18572), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [211786] = 4,
    ACTIONS(18572), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [211823] = 4,
    ACTIONS(18572), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [211860] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(11408), 1,
      anon_sym_LF,
    ACTIONS(18222), 1,
      anon_sym_EQ,
    ACTIONS(11397), 24,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [211899] = 4,
    ACTIONS(17916), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [211936] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(13390), 22,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [211979] = 6,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [212020] = 16,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20922), 1,
      anon_sym_COLON2,
    ACTIONS(20924), 1,
      sym__pipe_right_operator,
    ACTIONS(20926), 1,
      sym__pipe_left_operator,
    ACTIONS(20928), 1,
      sym__ellipsis_operator,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(20976), 1,
      anon_sym_where,
    ACTIONS(20980), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20930), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20978), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 9,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [212081] = 6,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [212122] = 4,
    ACTIONS(18572), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [212159] = 17,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20922), 1,
      anon_sym_COLON2,
    ACTIONS(20924), 1,
      sym__pipe_right_operator,
    ACTIONS(20926), 1,
      sym__pipe_left_operator,
    ACTIONS(20928), 1,
      sym__ellipsis_operator,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(20976), 1,
      anon_sym_where,
    ACTIONS(20980), 1,
      sym__comparison_operator,
    ACTIONS(20984), 1,
      sym__lazy_and_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20930), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20978), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 8,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [212222] = 4,
    ACTIONS(18558), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [212259] = 19,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20922), 1,
      anon_sym_COLON2,
    ACTIONS(20924), 1,
      sym__pipe_right_operator,
    ACTIONS(20926), 1,
      sym__pipe_left_operator,
    ACTIONS(20928), 1,
      sym__ellipsis_operator,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(20976), 1,
      anon_sym_where,
    ACTIONS(20980), 1,
      sym__comparison_operator,
    ACTIONS(20984), 1,
      sym__lazy_and_operator,
    ACTIONS(20986), 1,
      sym__arrow_operator,
    ACTIONS(20988), 1,
      sym__lazy_or_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20930), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20978), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 6,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [212326] = 7,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [212369] = 4,
    ACTIONS(18140), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [212406] = 7,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [212449] = 4,
    ACTIONS(18558), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [212486] = 4,
    ACTIONS(18140), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [212523] = 4,
    ACTIONS(18140), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [212560] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(13390), 21,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [212605] = 8,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 5,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [212650] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 15,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [212697] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 15,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [212744] = 21,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(20922), 1,
      anon_sym_COLON2,
    ACTIONS(20924), 1,
      sym__pipe_right_operator,
    ACTIONS(20926), 1,
      sym__pipe_left_operator,
    ACTIONS(20928), 1,
      sym__ellipsis_operator,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(20976), 1,
      anon_sym_where,
    ACTIONS(20980), 1,
      sym__comparison_operator,
    ACTIONS(20984), 1,
      sym__lazy_and_operator,
    ACTIONS(20986), 1,
      sym__arrow_operator,
    ACTIONS(20988), 1,
      sym__lazy_or_operator,
    ACTIONS(20998), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20930), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20978), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [212815] = 22,
    ACTIONS(12957), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20737), 1,
      anon_sym_QMARK,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(12962), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [212888] = 4,
    ACTIONS(18558), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [212925] = 15,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20922), 1,
      anon_sym_COLON2,
    ACTIONS(20924), 1,
      sym__pipe_right_operator,
    ACTIONS(20926), 1,
      sym__pipe_left_operator,
    ACTIONS(20928), 1,
      sym__ellipsis_operator,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(20980), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20930), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20978), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [212984] = 14,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    ACTIONS(21002), 1,
      sym__pipe_right_operator,
    ACTIONS(21004), 1,
      sym__pipe_left_operator,
    ACTIONS(21006), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [213041] = 4,
    ACTIONS(17762), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [213078] = 12,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    ACTIONS(21006), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 14,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [213131] = 4,
    ACTIONS(17916), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [213168] = 18,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    ACTIONS(21002), 1,
      sym__pipe_right_operator,
    ACTIONS(21004), 1,
      sym__pipe_left_operator,
    ACTIONS(21006), 1,
      sym__ellipsis_operator,
    ACTIONS(21008), 1,
      anon_sym_where,
    ACTIONS(21012), 1,
      sym__lazy_and_operator,
    ACTIONS(21014), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21010), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 7,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [213233] = 20,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    ACTIONS(21002), 1,
      sym__pipe_right_operator,
    ACTIONS(21004), 1,
      sym__pipe_left_operator,
    ACTIONS(21006), 1,
      sym__ellipsis_operator,
    ACTIONS(21008), 1,
      anon_sym_where,
    ACTIONS(21012), 1,
      sym__lazy_and_operator,
    ACTIONS(21014), 1,
      sym__comparison_operator,
    ACTIONS(21016), 1,
      sym__arrow_operator,
    ACTIONS(21018), 1,
      sym__lazy_or_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21010), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 5,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [213302] = 4,
    ACTIONS(18558), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [213339] = 22,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    ACTIONS(21002), 1,
      sym__pipe_right_operator,
    ACTIONS(21004), 1,
      sym__pipe_left_operator,
    ACTIONS(21006), 1,
      sym__ellipsis_operator,
    ACTIONS(21008), 1,
      anon_sym_where,
    ACTIONS(21012), 1,
      sym__lazy_and_operator,
    ACTIONS(21014), 1,
      sym__comparison_operator,
    ACTIONS(21016), 1,
      sym__arrow_operator,
    ACTIONS(21018), 1,
      sym__lazy_or_operator,
    ACTIONS(21020), 1,
      anon_sym_QMARK,
    ACTIONS(21022), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(21010), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [213412] = 14,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    ACTIONS(21002), 1,
      sym__pipe_right_operator,
    ACTIONS(21004), 1,
      sym__pipe_left_operator,
    ACTIONS(21006), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [213469] = 4,
    ACTIONS(18140), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [213506] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20930), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [213553] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20922), 1,
      anon_sym_COLON2,
    ACTIONS(20924), 1,
      sym__pipe_right_operator,
    ACTIONS(20926), 1,
      sym__pipe_left_operator,
    ACTIONS(20928), 1,
      sym__ellipsis_operator,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20930), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [213610] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13390), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [213651] = 16,
    ACTIONS(13920), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    ACTIONS(21002), 1,
      sym__pipe_right_operator,
    ACTIONS(21004), 1,
      sym__pipe_left_operator,
    ACTIONS(21006), 1,
      sym__ellipsis_operator,
    ACTIONS(21014), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21010), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 9,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [213712] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 18,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [213751] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13971), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [213822] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20883), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20891), 1,
      anon_sym_QMARK,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    STATE(13456), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [213897] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21054), 1,
      anon_sym_COLON2,
    ACTIONS(21056), 1,
      sym__pipe_right_operator,
    ACTIONS(21058), 1,
      sym__pipe_left_operator,
    ACTIONS(21060), 1,
      sym__ellipsis_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(21062), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 13,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [213956] = 23,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(20767), 1,
      anon_sym_COMMA,
    ACTIONS(20881), 1,
      anon_sym_QMARK,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13060), 2,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [214031] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(13390), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [214072] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20883), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20891), 1,
      anon_sym_QMARK,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    STATE(13456), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [214147] = 17,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    ACTIONS(21002), 1,
      sym__pipe_right_operator,
    ACTIONS(21004), 1,
      sym__pipe_left_operator,
    ACTIONS(21006), 1,
      sym__ellipsis_operator,
    ACTIONS(21008), 1,
      anon_sym_where,
    ACTIONS(21014), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21010), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 8,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [214210] = 5,
    ACTIONS(17968), 1,
      anon_sym_DASH_GT,
    ACTIONS(18246), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [214249] = 21,
    ACTIONS(18334), 1,
      anon_sym_where,
    ACTIONS(18340), 1,
      anon_sym_COLON2,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(18352), 1,
      sym__pair_operator,
    ACTIONS(18354), 1,
      sym__arrow_operator,
    ACTIONS(18356), 1,
      sym__lazy_or_operator,
    ACTIONS(18358), 1,
      sym__lazy_and_operator,
    ACTIONS(18360), 1,
      sym__comparison_operator,
    ACTIONS(18362), 1,
      sym__pipe_right_operator,
    ACTIONS(18364), 1,
      sym__pipe_left_operator,
    ACTIONS(18366), 1,
      sym__ellipsis_operator,
    ACTIONS(18370), 1,
      sym__times_operator,
    ACTIONS(18372), 1,
      sym__rational_operator,
    ACTIONS(18374), 1,
      sym__bitshift_operator,
    ACTIONS(18376), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18368), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18342), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(15055), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [214320] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(13390), 20,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [214367] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(21062), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [214416] = 4,
    ACTIONS(18202), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [214453] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21054), 1,
      anon_sym_COLON2,
    ACTIONS(21056), 1,
      sym__pipe_right_operator,
    ACTIONS(21058), 1,
      sym__pipe_left_operator,
    ACTIONS(21060), 1,
      sym__ellipsis_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(21062), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 13,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [214512] = 22,
    ACTIONS(13969), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20703), 1,
      anon_sym_QMARK,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13971), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [214585] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21054), 1,
      anon_sym_COLON2,
    ACTIONS(21060), 1,
      sym__ellipsis_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(21062), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [214640] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21054), 1,
      anon_sym_COLON2,
    ACTIONS(21056), 1,
      sym__pipe_right_operator,
    ACTIONS(21058), 1,
      sym__pipe_left_operator,
    ACTIONS(21060), 1,
      sym__ellipsis_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(21066), 1,
      anon_sym_where,
    ACTIONS(21062), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21068), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 8,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [214703] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21054), 1,
      anon_sym_COLON2,
    ACTIONS(21056), 1,
      sym__pipe_right_operator,
    ACTIONS(21058), 1,
      sym__pipe_left_operator,
    ACTIONS(21060), 1,
      sym__ellipsis_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(21066), 1,
      anon_sym_where,
    ACTIONS(21070), 1,
      sym__lazy_and_operator,
    ACTIONS(21062), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21068), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 7,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [214768] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21054), 1,
      anon_sym_COLON2,
    ACTIONS(21056), 1,
      sym__pipe_right_operator,
    ACTIONS(21058), 1,
      sym__pipe_left_operator,
    ACTIONS(21060), 1,
      sym__ellipsis_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(21066), 1,
      anon_sym_where,
    ACTIONS(21070), 1,
      sym__lazy_and_operator,
    ACTIONS(21072), 1,
      sym__arrow_operator,
    ACTIONS(21074), 1,
      sym__lazy_or_operator,
    ACTIONS(21062), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21068), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
  [214837] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13396), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20626), 1,
      anon_sym_QMARK,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21054), 1,
      anon_sym_COLON2,
    ACTIONS(21056), 1,
      sym__pipe_right_operator,
    ACTIONS(21058), 1,
      sym__pipe_left_operator,
    ACTIONS(21060), 1,
      sym__ellipsis_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(21066), 1,
      anon_sym_where,
    ACTIONS(21070), 1,
      sym__lazy_and_operator,
    ACTIONS(21072), 1,
      sym__arrow_operator,
    ACTIONS(21074), 1,
      sym__lazy_or_operator,
    ACTIONS(21076), 1,
      sym__pair_operator,
    ACTIONS(21062), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 3,
      anon_sym_COMMA,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(21068), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [214910] = 4,
    ACTIONS(18140), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [214947] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13406), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(21062), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [214996] = 4,
    ACTIONS(17852), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [215033] = 22,
    ACTIONS(13969), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20737), 1,
      anon_sym_QMARK,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13971), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [215106] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [215145] = 6,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [215186] = 7,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [215229] = 21,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18350), 1,
      anon_sym_QMARK,
    ACTIONS(20922), 1,
      anon_sym_COLON2,
    ACTIONS(20924), 1,
      sym__pipe_right_operator,
    ACTIONS(20926), 1,
      sym__pipe_left_operator,
    ACTIONS(20928), 1,
      sym__ellipsis_operator,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(20976), 1,
      anon_sym_where,
    ACTIONS(20980), 1,
      sym__comparison_operator,
    ACTIONS(20984), 1,
      sym__lazy_and_operator,
    ACTIONS(20986), 1,
      sym__arrow_operator,
    ACTIONS(20988), 1,
      sym__lazy_or_operator,
    ACTIONS(20998), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20930), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20978), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13971), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [215300] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13922), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21054), 1,
      anon_sym_COLON2,
    ACTIONS(21056), 1,
      sym__pipe_right_operator,
    ACTIONS(21058), 1,
      sym__pipe_left_operator,
    ACTIONS(21060), 1,
      sym__ellipsis_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(21062), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21068), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 9,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [215361] = 8,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [215406] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [215453] = 23,
    ACTIONS(13236), 1,
      anon_sym_COMMA,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20891), 1,
      anon_sym_QMARK,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13238), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [215528] = 14,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [215585] = 12,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [215638] = 17,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 8,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [215701] = 22,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20891), 1,
      anon_sym_QMARK,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13240), 2,
      anon_sym_COMMA,
      sym__pair_operator,
    ACTIONS(13242), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [215774] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 18,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [215813] = 6,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [215854] = 7,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [215897] = 5,
    ACTIONS(17968), 1,
      anon_sym_DASH_GT,
    ACTIONS(18284), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [215936] = 8,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 5,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [215981] = 18,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 7,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [216046] = 20,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 5,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
  [216115] = 22,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20737), 1,
      anon_sym_QMARK,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [216188] = 8,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [216233] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13390), 21,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [216276] = 14,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [216333] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [216380] = 16,
    ACTIONS(13920), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 9,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [216441] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13394), 1,
      anon_sym_LF,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(13392), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [216482] = 8,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13390), 20,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [216527] = 9,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13390), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [216574] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20877), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13240), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [216645] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [216692] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [216749] = 12,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [216802] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20962), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [216851] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20944), 1,
      anon_sym_COLON2,
    ACTIONS(20956), 1,
      sym__pipe_right_operator,
    ACTIONS(20958), 1,
      sym__pipe_left_operator,
    ACTIONS(20960), 1,
      sym__ellipsis_operator,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20962), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [216910] = 16,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [216971] = 13,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20944), 1,
      anon_sym_COLON2,
    ACTIONS(20960), 1,
      sym__ellipsis_operator,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20962), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [217026] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20932), 1,
      sym__times_operator,
    ACTIONS(20934), 1,
      sym__rational_operator,
    ACTIONS(20936), 1,
      sym__bitshift_operator,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20930), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [217073] = 17,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20942), 1,
      anon_sym_where,
    ACTIONS(20944), 1,
      anon_sym_COLON2,
    ACTIONS(20956), 1,
      sym__pipe_right_operator,
    ACTIONS(20958), 1,
      sym__pipe_left_operator,
    ACTIONS(20960), 1,
      sym__ellipsis_operator,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20962), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20946), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [217136] = 18,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20942), 1,
      anon_sym_where,
    ACTIONS(20944), 1,
      anon_sym_COLON2,
    ACTIONS(20954), 1,
      sym__lazy_and_operator,
    ACTIONS(20956), 1,
      sym__pipe_right_operator,
    ACTIONS(20958), 1,
      sym__pipe_left_operator,
    ACTIONS(20960), 1,
      sym__ellipsis_operator,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20962), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20946), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13390), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      aux_sym__terminator_token1,
  [217201] = 20,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20942), 1,
      anon_sym_where,
    ACTIONS(20944), 1,
      anon_sym_COLON2,
    ACTIONS(20950), 1,
      sym__arrow_operator,
    ACTIONS(20952), 1,
      sym__lazy_or_operator,
    ACTIONS(20954), 1,
      sym__lazy_and_operator,
    ACTIONS(20956), 1,
      sym__pipe_right_operator,
    ACTIONS(20958), 1,
      sym__pipe_left_operator,
    ACTIONS(20960), 1,
      sym__ellipsis_operator,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20962), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      aux_sym__terminator_token1,
    ACTIONS(20946), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [217270] = 22,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(20877), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13236), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [217343] = 17,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [217406] = 19,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
  [217473] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20942), 1,
      anon_sym_where,
    ACTIONS(20944), 1,
      anon_sym_COLON2,
    ACTIONS(20948), 1,
      sym__pair_operator,
    ACTIONS(20950), 1,
      sym__arrow_operator,
    ACTIONS(20952), 1,
      sym__lazy_or_operator,
    ACTIONS(20954), 1,
      sym__lazy_and_operator,
    ACTIONS(20956), 1,
      sym__pipe_right_operator,
    ACTIONS(20958), 1,
      sym__pipe_left_operator,
    ACTIONS(20960), 1,
      sym__ellipsis_operator,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13390), 2,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20962), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20946), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [217546] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [217617] = 15,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20944), 1,
      anon_sym_COLON2,
    ACTIONS(20956), 1,
      sym__pipe_right_operator,
    ACTIONS(20958), 1,
      sym__pipe_left_operator,
    ACTIONS(20960), 1,
      sym__ellipsis_operator,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13396), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20962), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [217676] = 22,
    ACTIONS(12957), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20703), 1,
      anon_sym_QMARK,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(12962), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [217749] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [217806] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18284), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [217845] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [217892] = 10,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13406), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20962), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
      aux_sym__terminator_token1,
  [217941] = 21,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20881), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13240), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      sym__pair_operator,
  [218012] = 22,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(20881), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13236), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [218085] = 16,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20944), 1,
      anon_sym_COLON2,
    ACTIONS(20956), 1,
      sym__pipe_right_operator,
    ACTIONS(20958), 1,
      sym__pipe_left_operator,
    ACTIONS(20960), 1,
      sym__ellipsis_operator,
    ACTIONS(20964), 1,
      sym__times_operator,
    ACTIONS(20966), 1,
      sym__rational_operator,
    ACTIONS(20968), 1,
      sym__bitshift_operator,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13922), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(20962), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20946), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(13920), 8,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      aux_sym__terminator_token1,
  [218146] = 15,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [218205] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [218244] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(20765), 1,
      anon_sym_COMMA,
    ACTIONS(20877), 1,
      anon_sym_QMARK,
    STATE(13411), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13104), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [218319] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20938), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 18,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [218358] = 22,
    ACTIONS(13969), 1,
      anon_sym_EQ,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    ACTIONS(21002), 1,
      sym__pipe_right_operator,
    ACTIONS(21004), 1,
      sym__pipe_left_operator,
    ACTIONS(21006), 1,
      sym__ellipsis_operator,
    ACTIONS(21008), 1,
      anon_sym_where,
    ACTIONS(21012), 1,
      sym__lazy_and_operator,
    ACTIONS(21014), 1,
      sym__comparison_operator,
    ACTIONS(21016), 1,
      sym__arrow_operator,
    ACTIONS(21018), 1,
      sym__lazy_or_operator,
    ACTIONS(21020), 1,
      anon_sym_QMARK,
    ACTIONS(21022), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13971), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(21010), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [218431] = 4,
    ACTIONS(18202), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [218468] = 23,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(20767), 1,
      anon_sym_COMMA,
    ACTIONS(20881), 1,
      anon_sym_QMARK,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13094), 2,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [218543] = 4,
    ACTIONS(18202), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [218580] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(20765), 1,
      anon_sym_COMMA,
    ACTIONS(20877), 1,
      anon_sym_QMARK,
    STATE(13411), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13060), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [218655] = 4,
    ACTIONS(18202), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 19,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [218692] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13971), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20626), 1,
      anon_sym_QMARK,
    ACTIONS(20972), 1,
      sym__bitshift_operator,
    ACTIONS(20974), 1,
      sym__power_operator,
    ACTIONS(20992), 1,
      sym__rational_operator,
    ACTIONS(21054), 1,
      anon_sym_COLON2,
    ACTIONS(21056), 1,
      sym__pipe_right_operator,
    ACTIONS(21058), 1,
      sym__pipe_left_operator,
    ACTIONS(21060), 1,
      sym__ellipsis_operator,
    ACTIONS(21064), 1,
      sym__times_operator,
    ACTIONS(21066), 1,
      anon_sym_where,
    ACTIONS(21070), 1,
      sym__lazy_and_operator,
    ACTIONS(21072), 1,
      sym__arrow_operator,
    ACTIONS(21074), 1,
      sym__lazy_or_operator,
    ACTIONS(21076), 1,
      sym__pair_operator,
    ACTIONS(21062), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13969), 3,
      anon_sym_COMMA,
      anon_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(21068), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [218765] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20970), 1,
      sym__power_operator,
    ACTIONS(13394), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(13392), 22,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
      aux_sym__terminator_token1,
  [218806] = 23,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20731), 1,
      anon_sym_where,
    ACTIONS(20733), 1,
      anon_sym_COLON2,
    ACTIONS(20739), 1,
      sym__arrow_operator,
    ACTIONS(20741), 1,
      sym__lazy_or_operator,
    ACTIONS(20743), 1,
      sym__lazy_and_operator,
    ACTIONS(20745), 1,
      sym__comparison_operator,
    ACTIONS(20747), 1,
      sym__pipe_right_operator,
    ACTIONS(20749), 1,
      sym__pipe_left_operator,
    ACTIONS(20751), 1,
      sym__ellipsis_operator,
    ACTIONS(20755), 1,
      sym__times_operator,
    ACTIONS(20757), 1,
      sym__rational_operator,
    ACTIONS(20759), 1,
      sym__bitshift_operator,
    ACTIONS(20761), 1,
      sym__power_operator,
    ACTIONS(20763), 1,
      sym__pair_operator,
    ACTIONS(20767), 1,
      anon_sym_COMMA,
    ACTIONS(20881), 1,
      anon_sym_QMARK,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13104), 2,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(20753), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20735), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [218881] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 17,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [218919] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21080), 1,
      anon_sym_COMMA,
    ACTIONS(21082), 1,
      anon_sym_RBRACE,
    STATE(16797), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [218993] = 5,
    ACTIONS(12710), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [219031] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21084), 1,
      anon_sym_COMMA,
    ACTIONS(21086), 1,
      anon_sym_RBRACE,
    STATE(17062), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [219105] = 5,
    ACTIONS(12728), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [219143] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21088), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [219189] = 5,
    ACTIONS(12728), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [219227] = 8,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 5,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [219271] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21088), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [219317] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(21098), 1,
      anon_sym_COLON2,
    ACTIONS(21100), 1,
      sym__pipe_right_operator,
    ACTIONS(21102), 1,
      sym__pipe_left_operator,
    ACTIONS(21104), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21088), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [219373] = 5,
    ACTIONS(12710), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [219411] = 23,
    ACTIONS(10562), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21106), 1,
      anon_sym_COMMA,
    STATE(17217), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [219485] = 12,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(21098), 1,
      anon_sym_COLON2,
    ACTIONS(21104), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21088), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [219537] = 16,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(21098), 1,
      anon_sym_COLON2,
    ACTIONS(21100), 1,
      sym__pipe_right_operator,
    ACTIONS(21102), 1,
      sym__pipe_left_operator,
    ACTIONS(21104), 1,
      sym__ellipsis_operator,
    ACTIONS(21108), 1,
      anon_sym_where,
    ACTIONS(21112), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21088), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21110), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [219597] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21114), 1,
      anon_sym_COLON,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [219671] = 17,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(21098), 1,
      anon_sym_COLON2,
    ACTIONS(21100), 1,
      sym__pipe_right_operator,
    ACTIONS(21102), 1,
      sym__pipe_left_operator,
    ACTIONS(21104), 1,
      sym__ellipsis_operator,
    ACTIONS(21108), 1,
      anon_sym_where,
    ACTIONS(21112), 1,
      sym__comparison_operator,
    ACTIONS(21118), 1,
      sym__lazy_and_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21088), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21110), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [219733] = 19,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(21098), 1,
      anon_sym_COLON2,
    ACTIONS(21100), 1,
      sym__pipe_right_operator,
    ACTIONS(21102), 1,
      sym__pipe_left_operator,
    ACTIONS(21104), 1,
      sym__ellipsis_operator,
    ACTIONS(21108), 1,
      anon_sym_where,
    ACTIONS(21112), 1,
      sym__comparison_operator,
    ACTIONS(21118), 1,
      sym__lazy_and_operator,
    ACTIONS(21120), 1,
      sym__arrow_operator,
    ACTIONS(21122), 1,
      sym__lazy_or_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21088), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21110), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [219799] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21124), 1,
      anon_sym_COMMA,
    ACTIONS(21126), 1,
      anon_sym_RBRACE,
    STATE(17070), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [219873] = 4,
    ACTIONS(18284), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [219909] = 23,
    ACTIONS(9502), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21128), 1,
      anon_sym_COMMA,
    STATE(17054), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [219983] = 23,
    ACTIONS(10678), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21130), 1,
      anon_sym_COMMA,
    STATE(17204), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [220057] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20877), 1,
      anon_sym_QMARK,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(21098), 1,
      anon_sym_COLON2,
    ACTIONS(21100), 1,
      sym__pipe_right_operator,
    ACTIONS(21102), 1,
      sym__pipe_left_operator,
    ACTIONS(21104), 1,
      sym__ellipsis_operator,
    ACTIONS(21108), 1,
      anon_sym_where,
    ACTIONS(21112), 1,
      sym__comparison_operator,
    ACTIONS(21118), 1,
      sym__lazy_and_operator,
    ACTIONS(21120), 1,
      sym__arrow_operator,
    ACTIONS(21122), 1,
      sym__lazy_or_operator,
    ACTIONS(21132), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21088), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(21110), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [220127] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21134), 1,
      anon_sym_COMMA,
    ACTIONS(21136), 1,
      anon_sym_RBRACE,
    STATE(17131), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [220201] = 23,
    ACTIONS(10736), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21138), 1,
      anon_sym_COMMA,
    STATE(17116), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [220275] = 23,
    ACTIONS(9258), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21140), 1,
      anon_sym_COMMA,
    STATE(17205), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [220349] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21142), 1,
      anon_sym_COMMA,
    ACTIONS(21144), 1,
      anon_sym_RBRACE,
    STATE(16908), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [220423] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21146), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [220497] = 5,
    ACTIONS(13398), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [220535] = 5,
    ACTIONS(13398), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [220573] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(21098), 1,
      anon_sym_COLON2,
    ACTIONS(21100), 1,
      sym__pipe_right_operator,
    ACTIONS(21102), 1,
      sym__pipe_left_operator,
    ACTIONS(21104), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21088), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [220629] = 23,
    ACTIONS(9908), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21148), 1,
      anon_sym_COMMA,
    STATE(17261), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [220703] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21150), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [220777] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18574), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [220815] = 5,
    ACTIONS(12412), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [220853] = 7,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [220895] = 6,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [220935] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18574), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [220973] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [221011] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21152), 1,
      anon_sym_COMMA,
    ACTIONS(21154), 1,
      anon_sym_RBRACE,
    STATE(17303), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [221085] = 15,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(21098), 1,
      anon_sym_COLON2,
    ACTIONS(21100), 1,
      sym__pipe_right_operator,
    ACTIONS(21102), 1,
      sym__pipe_left_operator,
    ACTIONS(21104), 1,
      sym__ellipsis_operator,
    ACTIONS(21112), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21088), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21110), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 9,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [221143] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21156), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [221217] = 5,
    ACTIONS(14784), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [221255] = 23,
    ACTIONS(10052), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21158), 1,
      anon_sym_COMMA,
    STATE(17200), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [221329] = 21,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21160), 1,
      anon_sym_where,
    ACTIONS(21162), 1,
      anon_sym_COLON2,
    ACTIONS(21166), 1,
      anon_sym_QMARK,
    ACTIONS(21168), 1,
      sym__pair_operator,
    ACTIONS(21170), 1,
      sym__arrow_operator,
    ACTIONS(21172), 1,
      sym__lazy_or_operator,
    ACTIONS(21174), 1,
      sym__lazy_and_operator,
    ACTIONS(21176), 1,
      sym__comparison_operator,
    ACTIONS(21178), 1,
      sym__pipe_right_operator,
    ACTIONS(21180), 1,
      sym__pipe_left_operator,
    ACTIONS(21182), 1,
      sym__ellipsis_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21184), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13971), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(21164), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [221399] = 23,
    ACTIONS(9652), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21192), 1,
      anon_sym_COMMA,
    STATE(17302), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [221473] = 5,
    ACTIONS(14784), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [221511] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21194), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [221585] = 5,
    ACTIONS(13732), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [221623] = 23,
    ACTIONS(9074), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21196), 1,
      anon_sym_COMMA,
    STATE(16736), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [221697] = 5,
    ACTIONS(13732), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [221735] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21198), 1,
      anon_sym_COMMA,
    ACTIONS(21200), 1,
      anon_sym_RBRACE,
    STATE(17192), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [221809] = 23,
    ACTIONS(8938), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21202), 1,
      anon_sym_COMMA,
    STATE(16988), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [221883] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21204), 1,
      anon_sym_COMMA,
    ACTIONS(21206), 1,
      anon_sym_RBRACE,
    STATE(17155), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [221957] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21208), 1,
      anon_sym_COMMA,
    ACTIONS(21210), 1,
      anon_sym_RBRACE,
    STATE(17301), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [222031] = 5,
    ACTIONS(14874), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [222069] = 5,
    ACTIONS(14874), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [222107] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21212), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [222181] = 6,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(18048), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18050), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 15,
      anon_sym_where,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [222221] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21214), 1,
      anon_sym_COMMA,
    ACTIONS(21216), 1,
      anon_sym_RBRACE,
    STATE(17048), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [222295] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18560), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [222333] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18560), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [222371] = 23,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21218), 1,
      anon_sym_COMMA,
    STATE(16690), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [222445] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21220), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [222519] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [222557] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21222), 1,
      anon_sym_COMMA,
    ACTIONS(21224), 1,
      anon_sym_RBRACE,
    STATE(16938), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [222631] = 5,
    ACTIONS(14525), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [222669] = 5,
    ACTIONS(14525), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [222707] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21226), 1,
      anon_sym_COMMA,
    ACTIONS(21228), 1,
      anon_sym_RBRACE,
    STATE(17234), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [222781] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21230), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [222855] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21232), 1,
      anon_sym_COMMA,
    ACTIONS(21234), 1,
      anon_sym_RBRACE,
    STATE(17035), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [222929] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [222967] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21236), 1,
      anon_sym_COMMA,
    ACTIONS(21238), 1,
      anon_sym_RBRACE,
    STATE(16872), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223041] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21240), 1,
      anon_sym_COMMA,
    ACTIONS(21242), 1,
      anon_sym_RBRACE,
    STATE(17315), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223115] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21244), 1,
      anon_sym_COMMA,
    ACTIONS(21246), 1,
      anon_sym_RBRACE,
    STATE(17224), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223189] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21248), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223263] = 23,
    ACTIONS(9690), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21250), 1,
      anon_sym_COMMA,
    STATE(16828), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223337] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18666), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [223375] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21252), 1,
      anon_sym_COMMA,
    ACTIONS(21254), 1,
      anon_sym_RBRACE,
    STATE(17246), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223449] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21256), 1,
      anon_sym_COMMA,
    ACTIONS(21258), 1,
      anon_sym_RBRACE,
    STATE(16888), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223523] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18666), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [223561] = 22,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13240), 2,
      anon_sym_RPAREN,
      sym__pair_operator,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223633] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18202), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [223671] = 23,
    ACTIONS(10192), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21260), 1,
      anon_sym_COMMA,
    STATE(16783), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223745] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21262), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223819] = 5,
    ACTIONS(12792), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [223857] = 6,
    ACTIONS(17976), 1,
      anon_sym_EQ,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17978), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 15,
      anon_sym_where,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [223897] = 23,
    ACTIONS(13210), 1,
      anon_sym_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20883), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    STATE(16200), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223971] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21264), 1,
      anon_sym_COMMA,
    ACTIONS(21266), 1,
      anon_sym_RBRACE,
    STATE(16941), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224045] = 5,
    ACTIONS(12792), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [224083] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21268), 1,
      anon_sym_COMMA,
    ACTIONS(21270), 1,
      anon_sym_RBRACE,
    STATE(16975), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224157] = 23,
    ACTIONS(8774), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21272), 1,
      anon_sym_COMMA,
    STATE(17089), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224231] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21274), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224305] = 23,
    ACTIONS(10364), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21276), 1,
      anon_sym_COMMA,
    STATE(16981), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224379] = 23,
    ACTIONS(10596), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21278), 1,
      anon_sym_COMMA,
    STATE(17174), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224453] = 23,
    ACTIONS(13240), 1,
      sym__pair_operator,
    ACTIONS(13242), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20345), 1,
      anon_sym_QMARK,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224527] = 23,
    ACTIONS(10962), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21280), 1,
      anon_sym_COMMA,
    STATE(16986), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224601] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21282), 1,
      anon_sym_COMMA,
    ACTIONS(21284), 1,
      anon_sym_RBRACE,
    STATE(17009), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224675] = 22,
    ACTIONS(13242), 1,
      anon_sym_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13240), 2,
      anon_sym_COMMA,
      sym__pair_operator,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224747] = 23,
    ACTIONS(13236), 1,
      anon_sym_COMMA,
    ACTIONS(13238), 1,
      anon_sym_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224821] = 23,
    ACTIONS(13238), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20345), 1,
      anon_sym_QMARK,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [224895] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18572), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [224933] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18572), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [224971] = 23,
    ACTIONS(10958), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21286), 1,
      anon_sym_COMMA,
    STATE(16964), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225045] = 23,
    ACTIONS(9514), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21288), 1,
      anon_sym_COMMA,
    STATE(17229), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225119] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21290), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225193] = 23,
    ACTIONS(9476), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21292), 1,
      anon_sym_COMMA,
    STATE(17027), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225267] = 6,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(18116), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18118), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 15,
      anon_sym_where,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [225307] = 23,
    ACTIONS(9400), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21294), 1,
      anon_sym_COMMA,
    STATE(16680), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225381] = 23,
    ACTIONS(13236), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225455] = 23,
    ACTIONS(13102), 1,
      anon_sym_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20883), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    STATE(13456), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225529] = 6,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(17988), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17990), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 15,
      anon_sym_where,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [225569] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21296), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225643] = 23,
    ACTIONS(13054), 1,
      anon_sym_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20883), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    STATE(13456), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225717] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21298), 1,
      anon_sym_COMMA,
    ACTIONS(21300), 1,
      anon_sym_RBRACE,
    STATE(17118), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225791] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21302), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225865] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18418), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [225903] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21304), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [225977] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21306), 1,
      anon_sym_COMMA,
    ACTIONS(21308), 1,
      anon_sym_RBRACE,
    STATE(17253), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [226051] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18418), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [226089] = 23,
    ACTIONS(10280), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21310), 1,
      anon_sym_COMMA,
    STATE(17139), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [226163] = 23,
    ACTIONS(9378), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21312), 1,
      anon_sym_COMMA,
    STATE(16686), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [226237] = 4,
    ACTIONS(18246), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [226273] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18394), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [226311] = 5,
    ACTIONS(12430), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [226349] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21314), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [226423] = 5,
    ACTIONS(12430), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [226461] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18394), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [226499] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21316), 1,
      anon_sym_COMMA,
    ACTIONS(21318), 1,
      anon_sym_RBRACE,
    STATE(16835), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [226573] = 23,
    ACTIONS(9982), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21320), 1,
      anon_sym_COMMA,
    STATE(17071), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [226647] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18644), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [226685] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18644), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [226723] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21322), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [226797] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21324), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [226871] = 23,
    ACTIONS(8834), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21326), 1,
      anon_sym_COMMA,
    STATE(17199), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [226945] = 5,
    ACTIONS(12412), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [226983] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21328), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227057] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21330), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227131] = 22,
    ACTIONS(12962), 1,
      anon_sym_COMMA,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20891), 1,
      anon_sym_QMARK,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12957), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227203] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21332), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227277] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21334), 1,
      anon_sym_COMMA,
    ACTIONS(21336), 1,
      anon_sym_RBRACE,
    STATE(17084), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227351] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21338), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227425] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21340), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227499] = 23,
    ACTIONS(9684), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21342), 1,
      anon_sym_COMMA,
    STATE(16703), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227573] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21344), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227647] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21346), 1,
      anon_sym_COMMA,
    ACTIONS(21348), 1,
      anon_sym_RBRACE,
    STATE(16837), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227721] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21350), 1,
      anon_sym_COMMA,
    ACTIONS(21352), 1,
      anon_sym_RBRACE,
    STATE(17240), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227795] = 23,
    ACTIONS(13092), 1,
      anon_sym_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20883), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    STATE(13456), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227869] = 4,
    ACTIONS(18246), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [227905] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21354), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [227979] = 4,
    ACTIONS(18246), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [228015] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [228053] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21356), 1,
      anon_sym_COMMA,
    ACTIONS(21358), 1,
      anon_sym_RBRACE,
    STATE(17262), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [228127] = 5,
    ACTIONS(14713), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [228165] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21360), 1,
      anon_sym_COMMA,
    ACTIONS(21362), 1,
      anon_sym_RBRACE,
    STATE(17241), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [228239] = 5,
    ACTIONS(14713), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [228277] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21364), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [228351] = 23,
    ACTIONS(8654), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21366), 1,
      anon_sym_COMMA,
    STATE(16792), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [228425] = 21,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    ACTIONS(21002), 1,
      sym__pipe_right_operator,
    ACTIONS(21004), 1,
      sym__pipe_left_operator,
    ACTIONS(21006), 1,
      sym__ellipsis_operator,
    ACTIONS(21008), 1,
      anon_sym_where,
    ACTIONS(21012), 1,
      sym__lazy_and_operator,
    ACTIONS(21014), 1,
      sym__comparison_operator,
    ACTIONS(21016), 1,
      sym__arrow_operator,
    ACTIONS(21018), 1,
      sym__lazy_or_operator,
    ACTIONS(21022), 1,
      sym__pair_operator,
    ACTIONS(21166), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(15055), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(21010), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [228495] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21368), 1,
      anon_sym_COMMA,
    ACTIONS(21370), 1,
      anon_sym_RBRACE,
    STATE(16939), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [228569] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18300), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [228607] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18300), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [228645] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21372), 1,
      anon_sym_COMMA,
    ACTIONS(21374), 1,
      anon_sym_RBRACE,
    STATE(16948), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [228719] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21376), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [228793] = 23,
    ACTIONS(10684), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21378), 1,
      anon_sym_COMMA,
    STATE(17078), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [228867] = 5,
    ACTIONS(12600), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [228905] = 5,
    ACTIONS(12600), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [228943] = 23,
    ACTIONS(10698), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21380), 1,
      anon_sym_COMMA,
    STATE(17161), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [229017] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(15055), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [229087] = 23,
    ACTIONS(9836), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21382), 1,
      anon_sym_COMMA,
    STATE(17055), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [229161] = 4,
    ACTIONS(18586), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13210), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13212), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229197] = 23,
    ACTIONS(10208), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21384), 1,
      anon_sym_COMMA,
    STATE(17235), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [229271] = 23,
    ACTIONS(9398), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21386), 1,
      anon_sym_COMMA,
    STATE(16715), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [229345] = 5,
    ACTIONS(14943), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229383] = 5,
    ACTIONS(14943), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229421] = 4,
    ACTIONS(18246), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229457] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18576), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229495] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18576), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229533] = 23,
    ACTIONS(9244), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21388), 1,
      anon_sym_COMMA,
    STATE(17091), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [229607] = 23,
    ACTIONS(10528), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21390), 1,
      anon_sym_COMMA,
    STATE(16869), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [229681] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [229727] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [229765] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(21402), 1,
      anon_sym_COLON2,
    ACTIONS(21404), 1,
      sym__pipe_right_operator,
    ACTIONS(21406), 1,
      sym__pipe_left_operator,
    ACTIONS(21408), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [229821] = 21,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20881), 1,
      anon_sym_QMARK,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(21402), 1,
      anon_sym_COLON2,
    ACTIONS(21404), 1,
      sym__pipe_right_operator,
    ACTIONS(21406), 1,
      sym__pipe_left_operator,
    ACTIONS(21408), 1,
      sym__ellipsis_operator,
    ACTIONS(21410), 1,
      anon_sym_where,
    ACTIONS(21414), 1,
      sym__pair_operator,
    ACTIONS(21416), 1,
      sym__arrow_operator,
    ACTIONS(21418), 1,
      sym__lazy_or_operator,
    ACTIONS(21420), 1,
      sym__lazy_and_operator,
    ACTIONS(21422), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(21412), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [229891] = 19,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(21402), 1,
      anon_sym_COLON2,
    ACTIONS(21404), 1,
      sym__pipe_right_operator,
    ACTIONS(21406), 1,
      sym__pipe_left_operator,
    ACTIONS(21408), 1,
      sym__ellipsis_operator,
    ACTIONS(21410), 1,
      anon_sym_where,
    ACTIONS(21416), 1,
      sym__arrow_operator,
    ACTIONS(21418), 1,
      sym__lazy_or_operator,
    ACTIONS(21420), 1,
      sym__lazy_and_operator,
    ACTIONS(21422), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21412), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 5,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
  [229957] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20697), 1,
      anon_sym_where,
    ACTIONS(20699), 1,
      anon_sym_COLON2,
    ACTIONS(20705), 1,
      sym__arrow_operator,
    ACTIONS(20707), 1,
      sym__lazy_or_operator,
    ACTIONS(20709), 1,
      sym__lazy_and_operator,
    ACTIONS(20711), 1,
      sym__comparison_operator,
    ACTIONS(20713), 1,
      sym__pipe_right_operator,
    ACTIONS(20715), 1,
      sym__pipe_left_operator,
    ACTIONS(20717), 1,
      sym__ellipsis_operator,
    ACTIONS(20721), 1,
      sym__times_operator,
    ACTIONS(20723), 1,
      sym__rational_operator,
    ACTIONS(20725), 1,
      sym__bitshift_operator,
    ACTIONS(20727), 1,
      sym__power_operator,
    ACTIONS(20729), 1,
      sym__pair_operator,
    ACTIONS(20877), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20719), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(15055), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(20701), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [230027] = 17,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(21402), 1,
      anon_sym_COLON2,
    ACTIONS(21404), 1,
      sym__pipe_right_operator,
    ACTIONS(21406), 1,
      sym__pipe_left_operator,
    ACTIONS(21408), 1,
      sym__ellipsis_operator,
    ACTIONS(21410), 1,
      anon_sym_where,
    ACTIONS(21420), 1,
      sym__lazy_and_operator,
    ACTIONS(21422), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21412), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 7,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [230089] = 23,
    ACTIONS(10508), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21424), 1,
      anon_sym_COMMA,
    STATE(17231), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [230163] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21426), 1,
      anon_sym_COMMA,
    ACTIONS(21428), 1,
      anon_sym_RBRACE,
    STATE(17007), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [230237] = 16,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13920), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 7,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [230297] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [230343] = 14,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
    ACTIONS(13396), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [230399] = 22,
    ACTIONS(13396), 1,
      anon_sym_COMMA,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20891), 1,
      anon_sym_QMARK,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [230471] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21430), 1,
      anon_sym_COMMA,
    ACTIONS(21432), 1,
      anon_sym_RBRACE,
    STATE(17294), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [230545] = 16,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(21402), 1,
      anon_sym_COLON2,
    ACTIONS(21404), 1,
      sym__pipe_right_operator,
    ACTIONS(21406), 1,
      sym__pipe_left_operator,
    ACTIONS(21408), 1,
      sym__ellipsis_operator,
    ACTIONS(21410), 1,
      anon_sym_where,
    ACTIONS(21422), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21412), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 8,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [230605] = 20,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 3,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [230673] = 18,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 5,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [230737] = 17,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [230799] = 12,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
    ACTIONS(13396), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [230851] = 14,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
    ACTIONS(13396), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [230907] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21434), 1,
      anon_sym_COMMA,
    ACTIONS(21436), 1,
      anon_sym_RBRACE,
    STATE(16805), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [230981] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [231027] = 23,
    ACTIONS(10868), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21438), 1,
      anon_sym_COMMA,
    STATE(17017), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [231101] = 8,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [231145] = 12,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(21402), 1,
      anon_sym_COLON2,
    ACTIONS(21408), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [231197] = 7,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [231239] = 6,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [231279] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21440), 1,
      anon_sym_COMMA,
    ACTIONS(21442), 1,
      anon_sym_RBRACE,
    STATE(16945), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [231353] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [231391] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18114), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [231429] = 23,
    ACTIONS(13210), 1,
      anon_sym_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20883), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    STATE(13456), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [231503] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(21402), 1,
      anon_sym_COLON2,
    ACTIONS(21404), 1,
      sym__pipe_right_operator,
    ACTIONS(21406), 1,
      sym__pipe_left_operator,
    ACTIONS(21408), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [231559] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21444), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [231633] = 15,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21162), 1,
      anon_sym_COLON2,
    ACTIONS(21176), 1,
      sym__comparison_operator,
    ACTIONS(21178), 1,
      sym__pipe_right_operator,
    ACTIONS(21180), 1,
      sym__pipe_left_operator,
    ACTIONS(21182), 1,
      sym__ellipsis_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21184), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21164), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 9,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [231691] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21162), 1,
      anon_sym_COLON2,
    ACTIONS(21178), 1,
      sym__pipe_right_operator,
    ACTIONS(21180), 1,
      sym__pipe_left_operator,
    ACTIONS(21182), 1,
      sym__ellipsis_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21184), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [231747] = 21,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21160), 1,
      anon_sym_where,
    ACTIONS(21162), 1,
      anon_sym_COLON2,
    ACTIONS(21166), 1,
      anon_sym_QMARK,
    ACTIONS(21168), 1,
      sym__pair_operator,
    ACTIONS(21170), 1,
      sym__arrow_operator,
    ACTIONS(21172), 1,
      sym__lazy_or_operator,
    ACTIONS(21174), 1,
      sym__lazy_and_operator,
    ACTIONS(21176), 1,
      sym__comparison_operator,
    ACTIONS(21178), 1,
      sym__pipe_right_operator,
    ACTIONS(21180), 1,
      sym__pipe_left_operator,
    ACTIONS(21182), 1,
      sym__ellipsis_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21184), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(21164), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [231817] = 19,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21160), 1,
      anon_sym_where,
    ACTIONS(21162), 1,
      anon_sym_COLON2,
    ACTIONS(21170), 1,
      sym__arrow_operator,
    ACTIONS(21172), 1,
      sym__lazy_or_operator,
    ACTIONS(21174), 1,
      sym__lazy_and_operator,
    ACTIONS(21176), 1,
      sym__comparison_operator,
    ACTIONS(21178), 1,
      sym__pipe_right_operator,
    ACTIONS(21180), 1,
      sym__pipe_left_operator,
    ACTIONS(21182), 1,
      sym__ellipsis_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21184), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21164), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 5,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [231883] = 17,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21160), 1,
      anon_sym_where,
    ACTIONS(21162), 1,
      anon_sym_COLON2,
    ACTIONS(21174), 1,
      sym__lazy_and_operator,
    ACTIONS(21176), 1,
      sym__comparison_operator,
    ACTIONS(21178), 1,
      sym__pipe_right_operator,
    ACTIONS(21180), 1,
      sym__pipe_left_operator,
    ACTIONS(21182), 1,
      sym__ellipsis_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21184), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21164), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 7,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [231945] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21446), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [232019] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [232065] = 12,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21162), 1,
      anon_sym_COLON2,
    ACTIONS(21182), 1,
      sym__ellipsis_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21184), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 14,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [232117] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21448), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [232191] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21450), 1,
      anon_sym_COMMA,
    ACTIONS(21452), 1,
      anon_sym_RBRACE,
    STATE(17023), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [232265] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21162), 1,
      anon_sym_COLON2,
    ACTIONS(21178), 1,
      sym__pipe_right_operator,
    ACTIONS(21180), 1,
      sym__pipe_left_operator,
    ACTIONS(21182), 1,
      sym__ellipsis_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21184), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [232321] = 8,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 5,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [232365] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21454), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [232439] = 5,
    ACTIONS(13257), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [232477] = 5,
    ACTIONS(13257), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [232515] = 23,
    ACTIONS(10198), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21456), 1,
      anon_sym_COMMA,
    STATE(17269), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [232589] = 7,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [232631] = 6,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [232671] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [232709] = 21,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20881), 1,
      anon_sym_QMARK,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(21402), 1,
      anon_sym_COLON2,
    ACTIONS(21404), 1,
      sym__pipe_right_operator,
    ACTIONS(21406), 1,
      sym__pipe_left_operator,
    ACTIONS(21408), 1,
      sym__ellipsis_operator,
    ACTIONS(21410), 1,
      anon_sym_where,
    ACTIONS(21414), 1,
      sym__pair_operator,
    ACTIONS(21416), 1,
      sym__arrow_operator,
    ACTIONS(21418), 1,
      sym__lazy_or_operator,
    ACTIONS(21420), 1,
      sym__lazy_and_operator,
    ACTIONS(21422), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13971), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
    ACTIONS(21412), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [232779] = 15,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(21402), 1,
      anon_sym_COLON2,
    ACTIONS(21404), 1,
      sym__pipe_right_operator,
    ACTIONS(21406), 1,
      sym__pipe_left_operator,
    ACTIONS(21408), 1,
      sym__ellipsis_operator,
    ACTIONS(21422), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21412), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 9,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [232837] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21458), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [232911] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21460), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [232985] = 21,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20881), 1,
      anon_sym_QMARK,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(21402), 1,
      anon_sym_COLON2,
    ACTIONS(21404), 1,
      sym__pipe_right_operator,
    ACTIONS(21406), 1,
      sym__pipe_left_operator,
    ACTIONS(21408), 1,
      sym__ellipsis_operator,
    ACTIONS(21410), 1,
      anon_sym_where,
    ACTIONS(21414), 1,
      sym__pair_operator,
    ACTIONS(21416), 1,
      sym__arrow_operator,
    ACTIONS(21418), 1,
      sym__lazy_or_operator,
    ACTIONS(21420), 1,
      sym__lazy_and_operator,
    ACTIONS(21422), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21412), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(21462), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
  [233055] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [233093] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21464), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [233167] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21466), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [233241] = 23,
    ACTIONS(9832), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21468), 1,
      anon_sym_COMMA,
    STATE(16767), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [233315] = 5,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [233353] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18670), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [233391] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21470), 1,
      anon_sym_COMMA,
    ACTIONS(21472), 1,
      anon_sym_RBRACE,
    STATE(16885), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [233465] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18670), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [233503] = 4,
    ACTIONS(18586), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13054), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13060), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [233539] = 4,
    ACTIONS(18586), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13092), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13094), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [233575] = 4,
    ACTIONS(18586), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13102), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13104), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [233611] = 22,
    ACTIONS(13971), 1,
      anon_sym_COMMA,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20891), 1,
      anon_sym_QMARK,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13969), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [233683] = 4,
    ACTIONS(18246), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [233719] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21474), 1,
      anon_sym_COMMA,
    ACTIONS(21476), 1,
      anon_sym_RBRACE,
    STATE(16745), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [233793] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21478), 1,
      anon_sym_COMMA,
    ACTIONS(21480), 1,
      anon_sym_RBRACE,
    STATE(16850), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [233867] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21482), 1,
      anon_sym_COMMA,
    ACTIONS(21484), 1,
      anon_sym_RBRACE,
    STATE(16777), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [233941] = 23,
    ACTIONS(9546), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21486), 1,
      anon_sym_COMMA,
    STATE(17296), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234015] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21488), 1,
      anon_sym_COMMA,
    ACTIONS(21490), 1,
      anon_sym_RBRACE,
    STATE(17308), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234089] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21492), 1,
      anon_sym_COMMA,
    ACTIONS(21494), 1,
      anon_sym_RBRACE,
    STATE(16871), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234163] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21184), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 15,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [234209] = 9,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21184), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 15,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [234255] = 5,
    ACTIONS(12392), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [234293] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21496), 1,
      anon_sym_COMMA,
    ACTIONS(21498), 1,
      anon_sym_RBRACE,
    STATE(17102), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234367] = 5,
    ACTIONS(12392), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [234405] = 22,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15055), 1,
      anon_sym_LF,
    ACTIONS(18744), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20439), 1,
      anon_sym_where,
    ACTIONS(20441), 1,
      anon_sym_COLON2,
    ACTIONS(20447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20449), 1,
      anon_sym_QMARK,
    ACTIONS(20451), 1,
      sym__pair_operator,
    ACTIONS(20453), 1,
      sym__arrow_operator,
    ACTIONS(20455), 1,
      sym__lazy_or_operator,
    ACTIONS(20457), 1,
      sym__lazy_and_operator,
    ACTIONS(20459), 1,
      sym__pipe_right_operator,
    ACTIONS(20461), 1,
      sym__pipe_left_operator,
    ACTIONS(20463), 1,
      sym__ellipsis_operator,
    ACTIONS(20467), 1,
      sym__times_operator,
    ACTIONS(20469), 1,
      sym__rational_operator,
    ACTIONS(20471), 1,
      sym__bitshift_operator,
    ACTIONS(20473), 1,
      sym__power_operator,
    ACTIONS(15053), 2,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(20465), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20445), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [234477] = 8,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 5,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [234521] = 23,
    ACTIONS(10056), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21500), 1,
      anon_sym_COMMA,
    STATE(17108), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234595] = 16,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21160), 1,
      anon_sym_where,
    ACTIONS(21162), 1,
      anon_sym_COLON2,
    ACTIONS(21176), 1,
      sym__comparison_operator,
    ACTIONS(21178), 1,
      sym__pipe_right_operator,
    ACTIONS(21180), 1,
      sym__pipe_left_operator,
    ACTIONS(21182), 1,
      sym__ellipsis_operator,
    ACTIONS(21186), 1,
      sym__times_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21184), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21164), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 8,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [234655] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21502), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234729] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21504), 1,
      anon_sym_COMMA,
    ACTIONS(21506), 1,
      anon_sym_RBRACE,
    STATE(17080), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234803] = 5,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [234841] = 5,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [234879] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [234917] = 23,
    ACTIONS(8670), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21508), 1,
      anon_sym_COMMA,
    STATE(16789), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234991] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [235029] = 23,
    ACTIONS(9094), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21510), 1,
      anon_sym_COMMA,
    STATE(17033), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [235103] = 7,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21188), 1,
      sym__rational_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [235145] = 23,
    ACTIONS(10162), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21512), 1,
      anon_sym_COMMA,
    STATE(16892), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [235219] = 23,
    ACTIONS(10968), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21514), 1,
      anon_sym_COMMA,
    STATE(16959), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [235293] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21516), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [235367] = 5,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [235405] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [235443] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21518), 1,
      anon_sym_COMMA,
    ACTIONS(21520), 1,
      anon_sym_RBRACE,
    STATE(16785), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [235517] = 23,
    ACTIONS(9380), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21522), 1,
      anon_sym_COMMA,
    STATE(16844), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [235591] = 23,
    ACTIONS(8984), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21524), 1,
      anon_sym_COMMA,
    STATE(16788), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [235665] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18526), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [235703] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18526), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [235741] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [235779] = 5,
    ACTIONS(12552), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [235817] = 5,
    ACTIONS(12552), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [235855] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20877), 1,
      anon_sym_QMARK,
    ACTIONS(21090), 1,
      sym__times_operator,
    ACTIONS(21092), 1,
      sym__rational_operator,
    ACTIONS(21094), 1,
      sym__bitshift_operator,
    ACTIONS(21096), 1,
      sym__power_operator,
    ACTIONS(21098), 1,
      anon_sym_COLON2,
    ACTIONS(21100), 1,
      sym__pipe_right_operator,
    ACTIONS(21102), 1,
      sym__pipe_left_operator,
    ACTIONS(21104), 1,
      sym__ellipsis_operator,
    ACTIONS(21108), 1,
      anon_sym_where,
    ACTIONS(21112), 1,
      sym__comparison_operator,
    ACTIONS(21118), 1,
      sym__lazy_and_operator,
    ACTIONS(21120), 1,
      sym__arrow_operator,
    ACTIONS(21122), 1,
      sym__lazy_or_operator,
    ACTIONS(21132), 1,
      sym__pair_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21088), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13971), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(21110), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [235925] = 6,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(21190), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 16,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [235965] = 5,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21078), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 17,
      anon_sym_where,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [236003] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21526), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [236077] = 6,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(18052), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18054), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 15,
      anon_sym_where,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [236117] = 23,
    ACTIONS(10248), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21528), 1,
      anon_sym_COMMA,
    STATE(16831), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [236191] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21530), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [236265] = 4,
    ACTIONS(17968), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [236301] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21532), 1,
      anon_sym_COMMA,
    ACTIONS(21534), 1,
      anon_sym_RBRACE,
    STATE(16725), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [236375] = 23,
    ACTIONS(10820), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21536), 1,
      anon_sym_COMMA,
    STATE(17159), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [236449] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18246), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [236487] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18558), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [236525] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18586), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [236563] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21538), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [236637] = 23,
    ACTIONS(9864), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21540), 1,
      anon_sym_COMMA,
    STATE(17051), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [236711] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18558), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [236749] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21542), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [236823] = 21,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20881), 1,
      anon_sym_QMARK,
    ACTIONS(21394), 1,
      sym__times_operator,
    ACTIONS(21396), 1,
      sym__rational_operator,
    ACTIONS(21398), 1,
      sym__bitshift_operator,
    ACTIONS(21400), 1,
      sym__power_operator,
    ACTIONS(21402), 1,
      anon_sym_COLON2,
    ACTIONS(21404), 1,
      sym__pipe_right_operator,
    ACTIONS(21406), 1,
      sym__pipe_left_operator,
    ACTIONS(21408), 1,
      sym__ellipsis_operator,
    ACTIONS(21410), 1,
      anon_sym_where,
    ACTIONS(21414), 1,
      sym__pair_operator,
    ACTIONS(21416), 1,
      sym__arrow_operator,
    ACTIONS(21418), 1,
      sym__lazy_or_operator,
    ACTIONS(21420), 1,
      sym__lazy_and_operator,
    ACTIONS(21422), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21412), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(21544), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
  [236893] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21546), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [236967] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21548), 1,
      anon_sym_COMMA,
    ACTIONS(21550), 1,
      anon_sym_RBRACE,
    STATE(17180), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [237041] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(21552), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [237111] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21554), 1,
      anon_sym_COMMA,
    ACTIONS(21556), 1,
      anon_sym_RBRACE,
    STATE(16687), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [237185] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21558), 1,
      anon_sym_COMMA,
    ACTIONS(21560), 1,
      anon_sym_RBRACE,
    STATE(16793), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [237259] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21562), 1,
      anon_sym_COMMA,
    ACTIONS(21564), 1,
      anon_sym_RBRACE,
    STATE(17211), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [237333] = 23,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21566), 1,
      anon_sym_COMMA,
    STATE(17179), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [237407] = 23,
    ACTIONS(9904), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21568), 1,
      anon_sym_COMMA,
    STATE(17225), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [237481] = 23,
    ACTIONS(10084), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21570), 1,
      anon_sym_COMMA,
    STATE(16866), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [237555] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21572), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [237629] = 23,
    ACTIONS(9036), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21574), 1,
      anon_sym_COMMA,
    STATE(16991), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [237703] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21576), 1,
      anon_sym_COMMA,
    ACTIONS(21578), 1,
      anon_sym_RBRACE,
    STATE(17222), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [237777] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18668), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [237815] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18668), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [237853] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18586), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [237891] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21580), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [237965] = 23,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21582), 1,
      anon_sym_COMMA,
    STATE(16655), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238039] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21584), 1,
      anon_sym_COMMA,
    ACTIONS(21586), 1,
      anon_sym_RBRACE,
    STATE(16993), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238113] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21588), 1,
      anon_sym_COMMA,
    ACTIONS(21590), 1,
      anon_sym_RBRACE,
    STATE(16821), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238187] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21592), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238261] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21594), 1,
      anon_sym_COMMA,
    ACTIONS(21596), 1,
      anon_sym_RBRACE,
    STATE(16679), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238335] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21598), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238409] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21600), 1,
      anon_sym_COMMA,
    ACTIONS(21602), 1,
      anon_sym_RBRACE,
    STATE(16750), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238483] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21604), 1,
      anon_sym_COMMA,
    ACTIONS(21606), 1,
      anon_sym_RBRACE,
    STATE(16699), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238557] = 23,
    ACTIONS(9300), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21608), 1,
      anon_sym_COMMA,
    STATE(17295), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238631] = 23,
    ACTIONS(10480), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21610), 1,
      anon_sym_COMMA,
    STATE(16895), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238705] = 5,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [238743] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [238781] = 5,
    ACTIONS(12644), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [238819] = 5,
    ACTIONS(12644), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [238857] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21612), 1,
      anon_sym_COMMA,
    ACTIONS(21614), 1,
      anon_sym_RBRACE,
    STATE(16979), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238931] = 5,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [238969] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21616), 1,
      anon_sym_COMMA,
    ACTIONS(21618), 1,
      anon_sym_RBRACE,
    STATE(16765), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [239043] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21620), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [239117] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [239155] = 23,
    ACTIONS(9012), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21622), 1,
      anon_sym_COMMA,
    STATE(16743), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [239229] = 21,
    ACTIONS(18346), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(20940), 1,
      sym__power_operator,
    ACTIONS(20982), 1,
      sym__bitshift_operator,
    ACTIONS(20990), 1,
      sym__rational_operator,
    ACTIONS(20996), 1,
      sym__times_operator,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    ACTIONS(21002), 1,
      sym__pipe_right_operator,
    ACTIONS(21004), 1,
      sym__pipe_left_operator,
    ACTIONS(21006), 1,
      sym__ellipsis_operator,
    ACTIONS(21008), 1,
      anon_sym_where,
    ACTIONS(21012), 1,
      sym__lazy_and_operator,
    ACTIONS(21014), 1,
      sym__comparison_operator,
    ACTIONS(21016), 1,
      sym__arrow_operator,
    ACTIONS(21018), 1,
      sym__lazy_or_operator,
    ACTIONS(21022), 1,
      sym__pair_operator,
    ACTIONS(21166), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20994), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21010), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(21624), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [239299] = 6,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(18070), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18072), 2,
      anon_sym_in,
      anon_sym_u2208,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 15,
      anon_sym_where,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [239339] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21626), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [239413] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21628), 1,
      anon_sym_COMMA,
    ACTIONS(21630), 1,
      anon_sym_RBRACE,
    STATE(17121), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [239487] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21632), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [239561] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21634), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [239635] = 23,
    ACTIONS(9260), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21636), 1,
      anon_sym_COMMA,
    STATE(17329), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [239709] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21638), 1,
      anon_sym_COMMA,
    ACTIONS(21640), 1,
      anon_sym_RBRACE,
    STATE(16762), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [239783] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21642), 1,
      anon_sym_COMMA,
    ACTIONS(21644), 1,
      anon_sym_RBRACE,
    STATE(16693), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [239857] = 23,
    ACTIONS(8778), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21646), 1,
      anon_sym_COMMA,
    STATE(16696), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [239931] = 23,
    ACTIONS(10634), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21648), 1,
      anon_sym_COMMA,
    STATE(16956), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [240005] = 23,
    ACTIONS(10126), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21650), 1,
      anon_sym_COMMA,
    STATE(17138), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [240079] = 5,
    ACTIONS(12528), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240117] = 5,
    ACTIONS(12528), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240155] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21652), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [240229] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21654), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [240303] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17942), 1,
      anon_sym_LF,
    ACTIONS(17940), 2,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
    ACTIONS(11397), 22,
      anon_sym_where,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [240341] = 23,
    ACTIONS(10780), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21656), 1,
      anon_sym_COMMA,
    STATE(16946), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [240415] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21658), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [240489] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21660), 1,
      anon_sym_COMMA,
    ACTIONS(21662), 1,
      anon_sym_RBRACE,
    STATE(17154), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [240563] = 23,
    ACTIONS(9926), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21664), 1,
      anon_sym_COMMA,
    STATE(16929), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [240637] = 23,
    ACTIONS(8892), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21666), 1,
      anon_sym_COMMA,
    STATE(16858), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [240711] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21668), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [240785] = 23,
    ACTIONS(10588), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21670), 1,
      anon_sym_COMMA,
    STATE(16905), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [240859] = 5,
    ACTIONS(14521), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240897] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240935] = 5,
    ACTIONS(14521), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240973] = 23,
    ACTIONS(10842), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21672), 1,
      anon_sym_COMMA,
    STATE(16940), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241047] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21674), 1,
      anon_sym_COMMA,
    ACTIONS(21676), 1,
      anon_sym_RBRACE,
    STATE(17090), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241121] = 23,
    ACTIONS(10486), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21678), 1,
      anon_sym_COMMA,
    STATE(17045), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241195] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21680), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241269] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21682), 1,
      anon_sym_COMMA,
    ACTIONS(21684), 1,
      anon_sym_RBRACE,
    STATE(16968), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241343] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [241381] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [241419] = 5,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [241457] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21686), 1,
      anon_sym_COMMA,
    ACTIONS(21688), 1,
      anon_sym_RBRACE,
    STATE(16876), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241531] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21690), 1,
      anon_sym_COMMA,
    ACTIONS(21692), 1,
      anon_sym_RBRACE,
    STATE(17000), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241605] = 5,
    ACTIONS(14842), 1,
      anon_sym_EQ,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [241643] = 5,
    ACTIONS(14842), 1,
      anon_sym_EQ,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [241681] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21694), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241755] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21696), 1,
      anon_sym_COMMA,
    ACTIONS(21698), 1,
      anon_sym_RBRACE,
    STATE(16706), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241829] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21700), 1,
      anon_sym_COMMA,
    ACTIONS(21702), 1,
      anon_sym_RBRACE,
    STATE(17122), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241903] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21704), 1,
      anon_sym_COMMA,
    ACTIONS(21706), 1,
      anon_sym_RBRACE,
    STATE(17156), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241977] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21708), 1,
      anon_sym_COMMA,
    ACTIONS(21710), 1,
      anon_sym_RBRACE,
    STATE(16757), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242051] = 23,
    ACTIONS(8572), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21712), 1,
      anon_sym_COMMA,
    STATE(16733), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242125] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21714), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242199] = 23,
    ACTIONS(9256), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21716), 1,
      anon_sym_COMMA,
    STATE(17336), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242273] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(21718), 1,
      anon_sym_COMMA,
    ACTIONS(21720), 1,
      anon_sym_RBRACE,
    STATE(17126), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242347] = 23,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20885), 1,
      anon_sym_where,
    ACTIONS(20887), 1,
      anon_sym_COLON2,
    ACTIONS(20893), 1,
      sym__pair_operator,
    ACTIONS(20895), 1,
      sym__arrow_operator,
    ACTIONS(20897), 1,
      sym__lazy_or_operator,
    ACTIONS(20899), 1,
      sym__lazy_and_operator,
    ACTIONS(20901), 1,
      sym__comparison_operator,
    ACTIONS(20903), 1,
      sym__pipe_right_operator,
    ACTIONS(20905), 1,
      sym__pipe_left_operator,
    ACTIONS(20907), 1,
      sym__ellipsis_operator,
    ACTIONS(20911), 1,
      sym__times_operator,
    ACTIONS(20913), 1,
      sym__rational_operator,
    ACTIONS(20915), 1,
      sym__bitshift_operator,
    ACTIONS(20917), 1,
      sym__power_operator,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21722), 1,
      anon_sym_COLON,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20909), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20889), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242421] = 23,
    ACTIONS(9606), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(21724), 1,
      anon_sym_COMMA,
    STATE(16878), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242495] = 5,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(18140), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [242533] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21726), 1,
      anon_sym_DOLLAR,
    ACTIONS(21728), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12207), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [242576] = 14,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21730), 1,
      anon_sym_COLON2,
    ACTIONS(21732), 1,
      sym__pipe_right_operator,
    ACTIONS(21734), 1,
      sym__pipe_left_operator,
    ACTIONS(21736), 1,
      sym__ellipsis_operator,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_COLON,
      sym__comparison_operator,
    ACTIONS(21738), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [242631] = 4,
    ACTIONS(14943), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [242666] = 8,
    ACTIONS(18312), 1,
      sym__word_identifier,
    ACTIONS(18316), 1,
      anon_sym_LPAREN,
    ACTIONS(21748), 1,
      anon_sym_DOLLAR,
    ACTIONS(21750), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12156), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16612), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16610), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [242709] = 8,
    ACTIONS(21752), 1,
      sym__word_identifier,
    ACTIONS(21754), 1,
      anon_sym_LPAREN,
    ACTIONS(21756), 1,
      anon_sym_DOLLAR,
    ACTIONS(21758), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7823), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16700), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16698), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [242752] = 4,
    ACTIONS(18418), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [242787] = 4,
    ACTIONS(13398), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [242822] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21726), 1,
      anon_sym_DOLLAR,
    ACTIONS(21728), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12191), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [242865] = 8,
    ACTIONS(21752), 1,
      sym__word_identifier,
    ACTIONS(21754), 1,
      anon_sym_LPAREN,
    ACTIONS(21756), 1,
      anon_sym_DOLLAR,
    ACTIONS(21758), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7812), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16700), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16698), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [242908] = 4,
    ACTIONS(18394), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [242943] = 4,
    ACTIONS(17954), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [242978] = 4,
    ACTIONS(12430), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243013] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18298), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243056] = 8,
    ACTIONS(21764), 1,
      sym__word_identifier,
    ACTIONS(21766), 1,
      anon_sym_LPAREN,
    ACTIONS(21768), 1,
      anon_sym_DOLLAR,
    ACTIONS(21770), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8651), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16356), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16354), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243099] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21772), 1,
      anon_sym_DOLLAR,
    ACTIONS(21774), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10766), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243142] = 8,
    ACTIONS(21752), 1,
      sym__word_identifier,
    ACTIONS(21754), 1,
      anon_sym_LPAREN,
    ACTIONS(21756), 1,
      anon_sym_DOLLAR,
    ACTIONS(21758), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7117), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16700), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16698), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243185] = 4,
    ACTIONS(12552), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243220] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21776), 1,
      anon_sym_DOLLAR,
    ACTIONS(21778), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10761), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243263] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21780), 1,
      anon_sym_DOLLAR,
    ACTIONS(21782), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10766), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243306] = 4,
    ACTIONS(18526), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243341] = 8,
    ACTIONS(21784), 1,
      sym__word_identifier,
    ACTIONS(21786), 1,
      anon_sym_LPAREN,
    ACTIONS(21788), 1,
      anon_sym_DOLLAR,
    ACTIONS(21790), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7131), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16516), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16514), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243384] = 4,
    ACTIONS(18560), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243419] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21792), 1,
      anon_sym_DOLLAR,
    ACTIONS(21794), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12199), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243462] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(19008), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243505] = 4,
    ACTIONS(18644), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243540] = 4,
    ACTIONS(12710), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243575] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21776), 1,
      anon_sym_DOLLAR,
    ACTIONS(21778), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(13007), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243618] = 8,
    ACTIONS(21796), 1,
      sym__word_identifier,
    ACTIONS(21798), 1,
      anon_sym_LPAREN,
    ACTIONS(21800), 1,
      anon_sym_DOLLAR,
    ACTIONS(21802), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7067), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(17144), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17142), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243661] = 4,
    ACTIONS(14842), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243696] = 4,
    ACTIONS(14874), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243731] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21776), 1,
      anon_sym_DOLLAR,
    ACTIONS(21778), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10766), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243774] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18944), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243817] = 4,
    ACTIONS(17820), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243852] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [243889] = 4,
    ACTIONS(18558), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243924] = 4,
    ACTIONS(14521), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243959] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18406), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244002] = 8,
    ACTIONS(21784), 1,
      sym__word_identifier,
    ACTIONS(21786), 1,
      anon_sym_LPAREN,
    ACTIONS(21788), 1,
      anon_sym_DOLLAR,
    ACTIONS(21790), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7831), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16516), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16514), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244045] = 4,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [244080] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21726), 1,
      anon_sym_DOLLAR,
    ACTIONS(21728), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12118), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244123] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21804), 1,
      anon_sym_DOLLAR,
    ACTIONS(21806), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10766), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244166] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21772), 1,
      anon_sym_DOLLAR,
    ACTIONS(21774), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12088), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244209] = 8,
    ACTIONS(21796), 1,
      sym__word_identifier,
    ACTIONS(21798), 1,
      anon_sym_LPAREN,
    ACTIONS(21800), 1,
      anon_sym_DOLLAR,
    ACTIONS(21802), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7784), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(17144), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17142), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244252] = 4,
    ACTIONS(18138), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [244287] = 8,
    ACTIONS(21784), 1,
      sym__word_identifier,
    ACTIONS(21786), 1,
      anon_sym_LPAREN,
    ACTIONS(21788), 1,
      anon_sym_DOLLAR,
    ACTIONS(21790), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7795), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16516), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16514), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244330] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18965), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244373] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21804), 1,
      anon_sym_DOLLAR,
    ACTIONS(21806), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10761), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244416] = 4,
    ACTIONS(18586), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [244451] = 4,
    ACTIONS(18668), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [244486] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21780), 1,
      anon_sym_DOLLAR,
    ACTIONS(21782), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10761), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244529] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21780), 1,
      anon_sym_DOLLAR,
    ACTIONS(21782), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12489), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244572] = 8,
    ACTIONS(21796), 1,
      sym__word_identifier,
    ACTIONS(21798), 1,
      anon_sym_LPAREN,
    ACTIONS(21800), 1,
      anon_sym_DOLLAR,
    ACTIONS(21802), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7707), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(17144), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17142), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244615] = 4,
    ACTIONS(18572), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [244650] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(19524), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244693] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18918), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244736] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18867), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244779] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18803), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244822] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18190), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244865] = 8,
    ACTIONS(21808), 1,
      sym__word_identifier,
    ACTIONS(21810), 1,
      anon_sym_LPAREN,
    ACTIONS(21812), 1,
      anon_sym_DOLLAR,
    ACTIONS(21814), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8369), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16744), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16742), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244908] = 8,
    ACTIONS(21808), 1,
      sym__word_identifier,
    ACTIONS(21810), 1,
      anon_sym_LPAREN,
    ACTIONS(21812), 1,
      anon_sym_DOLLAR,
    ACTIONS(21814), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8363), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16744), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16742), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244951] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18752), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [244994] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21772), 1,
      anon_sym_DOLLAR,
    ACTIONS(21774), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10761), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245037] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21816), 1,
      anon_sym_DOLLAR,
    ACTIONS(21818), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12207), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245080] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(19412), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245123] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21816), 1,
      anon_sym_DOLLAR,
    ACTIONS(21818), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12191), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245166] = 4,
    ACTIONS(12528), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245201] = 8,
    ACTIONS(21820), 1,
      sym__word_identifier,
    ACTIONS(21822), 1,
      anon_sym_LPAREN,
    ACTIONS(21824), 1,
      anon_sym_DOLLAR,
    ACTIONS(21826), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8716), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(17414), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17412), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245244] = 8,
    ACTIONS(21820), 1,
      sym__word_identifier,
    ACTIONS(21822), 1,
      anon_sym_LPAREN,
    ACTIONS(21824), 1,
      anon_sym_DOLLAR,
    ACTIONS(21826), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8722), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(17414), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17412), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245287] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21462), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [245356] = 8,
    ACTIONS(21828), 1,
      sym__word_identifier,
    ACTIONS(21830), 1,
      anon_sym_LPAREN,
    ACTIONS(21832), 1,
      anon_sym_DOLLAR,
    ACTIONS(21834), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8437), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16722), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16720), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245399] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18524), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245442] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18679), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245485] = 8,
    ACTIONS(21836), 1,
      sym__word_identifier,
    ACTIONS(21838), 1,
      anon_sym_LPAREN,
    ACTIONS(21840), 1,
      anon_sym_DOLLAR,
    ACTIONS(21842), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8821), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16444), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16442), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245528] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21844), 1,
      anon_sym_DOLLAR,
    ACTIONS(21846), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10766), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245571] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18783), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245614] = 8,
    ACTIONS(21764), 1,
      sym__word_identifier,
    ACTIONS(21766), 1,
      anon_sym_LPAREN,
    ACTIONS(21768), 1,
      anon_sym_DOLLAR,
    ACTIONS(21770), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8877), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16356), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16354), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245657] = 8,
    ACTIONS(21764), 1,
      sym__word_identifier,
    ACTIONS(21766), 1,
      anon_sym_LPAREN,
    ACTIONS(21768), 1,
      anon_sym_DOLLAR,
    ACTIONS(21770), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8867), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16356), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16354), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245700] = 4,
    ACTIONS(18574), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245735] = 4,
    ACTIONS(13732), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245770] = 22,
    ACTIONS(13969), 1,
      anon_sym_COLON,
    ACTIONS(13971), 1,
      anon_sym_COMMA,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21730), 1,
      anon_sym_COLON2,
    ACTIONS(21732), 1,
      sym__pipe_right_operator,
    ACTIONS(21734), 1,
      sym__pipe_left_operator,
    ACTIONS(21736), 1,
      sym__ellipsis_operator,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(21848), 1,
      anon_sym_where,
    ACTIONS(21852), 1,
      sym__pair_operator,
    ACTIONS(21854), 1,
      sym__arrow_operator,
    ACTIONS(21856), 1,
      sym__lazy_or_operator,
    ACTIONS(21858), 1,
      sym__lazy_and_operator,
    ACTIONS(21860), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21738), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21850), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [245841] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21844), 1,
      anon_sym_DOLLAR,
    ACTIONS(21846), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10761), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245884] = 8,
    ACTIONS(21836), 1,
      sym__word_identifier,
    ACTIONS(21838), 1,
      anon_sym_LPAREN,
    ACTIONS(21840), 1,
      anon_sym_DOLLAR,
    ACTIONS(21842), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8999), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16444), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16442), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245927] = 4,
    ACTIONS(14713), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245962] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18657), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [246005] = 4,
    ACTIONS(17896), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [246040] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21792), 1,
      anon_sym_DOLLAR,
    ACTIONS(21794), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10766), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [246083] = 22,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    ACTIONS(20339), 1,
      anon_sym_where,
    ACTIONS(20341), 1,
      anon_sym_COLON2,
    ACTIONS(20347), 1,
      sym__pair_operator,
    ACTIONS(20349), 1,
      sym__arrow_operator,
    ACTIONS(20351), 1,
      sym__lazy_or_operator,
    ACTIONS(20353), 1,
      sym__lazy_and_operator,
    ACTIONS(20355), 1,
      sym__comparison_operator,
    ACTIONS(20357), 1,
      sym__pipe_right_operator,
    ACTIONS(20359), 1,
      sym__pipe_left_operator,
    ACTIONS(20361), 1,
      sym__ellipsis_operator,
    ACTIONS(20365), 1,
      sym__times_operator,
    ACTIONS(20367), 1,
      sym__rational_operator,
    ACTIONS(20369), 1,
      sym__bitshift_operator,
    ACTIONS(20371), 1,
      sym__power_operator,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    STATE(17099), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20363), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(20343), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246154] = 4,
    ACTIONS(18300), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [246189] = 4,
    ACTIONS(12392), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [246224] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18269), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [246267] = 16,
    ACTIONS(13920), 1,
      anon_sym_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21730), 1,
      anon_sym_COLON2,
    ACTIONS(21732), 1,
      sym__pipe_right_operator,
    ACTIONS(21734), 1,
      sym__pipe_left_operator,
    ACTIONS(21736), 1,
      sym__ellipsis_operator,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(21860), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21738), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21850), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 7,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [246326] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21738), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 4,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [246371] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21862), 1,
      anon_sym_DOLLAR,
    ACTIONS(21864), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12406), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [246414] = 4,
    ACTIONS(17774), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [246449] = 22,
    ACTIONS(13390), 1,
      anon_sym_COLON,
    ACTIONS(13396), 1,
      anon_sym_COMMA,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21116), 1,
      anon_sym_QMARK,
    ACTIONS(21730), 1,
      anon_sym_COLON2,
    ACTIONS(21732), 1,
      sym__pipe_right_operator,
    ACTIONS(21734), 1,
      sym__pipe_left_operator,
    ACTIONS(21736), 1,
      sym__ellipsis_operator,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(21848), 1,
      anon_sym_where,
    ACTIONS(21852), 1,
      sym__pair_operator,
    ACTIONS(21854), 1,
      sym__arrow_operator,
    ACTIONS(21856), 1,
      sym__lazy_or_operator,
    ACTIONS(21858), 1,
      sym__lazy_and_operator,
    ACTIONS(21860), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21738), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21850), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246520] = 20,
    ACTIONS(13390), 1,
      anon_sym_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21730), 1,
      anon_sym_COLON2,
    ACTIONS(21732), 1,
      sym__pipe_right_operator,
    ACTIONS(21734), 1,
      sym__pipe_left_operator,
    ACTIONS(21736), 1,
      sym__ellipsis_operator,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(21848), 1,
      anon_sym_where,
    ACTIONS(21854), 1,
      sym__arrow_operator,
    ACTIONS(21856), 1,
      sym__lazy_or_operator,
    ACTIONS(21858), 1,
      sym__lazy_and_operator,
    ACTIONS(21860), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21738), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 3,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
    ACTIONS(21850), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246587] = 18,
    ACTIONS(13390), 1,
      anon_sym_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21730), 1,
      anon_sym_COLON2,
    ACTIONS(21732), 1,
      sym__pipe_right_operator,
    ACTIONS(21734), 1,
      sym__pipe_left_operator,
    ACTIONS(21736), 1,
      sym__ellipsis_operator,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(21848), 1,
      anon_sym_where,
    ACTIONS(21858), 1,
      sym__lazy_and_operator,
    ACTIONS(21860), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21738), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21850), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 5,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [246650] = 4,
    ACTIONS(14525), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [246685] = 17,
    ACTIONS(13390), 1,
      anon_sym_COLON,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21730), 1,
      anon_sym_COLON2,
    ACTIONS(21732), 1,
      sym__pipe_right_operator,
    ACTIONS(21734), 1,
      sym__pipe_left_operator,
    ACTIONS(21736), 1,
      sym__ellipsis_operator,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(21848), 1,
      anon_sym_where,
    ACTIONS(21860), 1,
      sym__comparison_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21738), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21850), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [246746] = 12,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21730), 1,
      anon_sym_COLON2,
    ACTIONS(21736), 1,
      sym__ellipsis_operator,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_COLON,
      sym__comparison_operator,
    ACTIONS(21738), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [246797] = 14,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21730), 1,
      anon_sym_COLON2,
    ACTIONS(21732), 1,
      sym__pipe_right_operator,
    ACTIONS(21734), 1,
      sym__pipe_left_operator,
    ACTIONS(21736), 1,
      sym__ellipsis_operator,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_COLON,
      sym__comparison_operator,
    ACTIONS(21738), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 10,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [246852] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21738), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [246897] = 8,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21740), 1,
      sym__times_operator,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [246940] = 4,
    ACTIONS(12412), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [246975] = 7,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21742), 1,
      sym__rational_operator,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [247016] = 6,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21744), 1,
      sym__bitshift_operator,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 14,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [247055] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21804), 1,
      anon_sym_DOLLAR,
    ACTIONS(21806), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(13015), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247098] = 8,
    ACTIONS(21820), 1,
      sym__word_identifier,
    ACTIONS(21822), 1,
      anon_sym_LPAREN,
    ACTIONS(21824), 1,
      anon_sym_DOLLAR,
    ACTIONS(21826), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7694), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(17414), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17412), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247141] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21746), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [247178] = 4,
    ACTIONS(12728), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247213] = 4,
    ACTIONS(17814), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247248] = 4,
    ACTIONS(12600), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247283] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18352), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247326] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(19148), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247369] = 4,
    ACTIONS(17850), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247404] = 4,
    ACTIONS(18576), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247439] = 4,
    ACTIONS(12792), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247474] = 4,
    ACTIONS(13257), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247509] = 4,
    ACTIONS(12644), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247544] = 8,
    ACTIONS(21836), 1,
      sym__word_identifier,
    ACTIONS(21838), 1,
      anon_sym_LPAREN,
    ACTIONS(21840), 1,
      anon_sym_DOLLAR,
    ACTIONS(21842), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8546), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16444), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16442), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247587] = 4,
    ACTIONS(14784), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247622] = 8,
    ACTIONS(18470), 1,
      sym__word_identifier,
    ACTIONS(18474), 1,
      anon_sym_LPAREN,
    ACTIONS(21866), 1,
      anon_sym_DOLLAR,
    ACTIONS(21868), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11914), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(17312), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17310), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247665] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21862), 1,
      anon_sym_DOLLAR,
    ACTIONS(21864), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10761), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247708] = 8,
    ACTIONS(21828), 1,
      sym__word_identifier,
    ACTIONS(21830), 1,
      anon_sym_LPAREN,
    ACTIONS(21832), 1,
      anon_sym_DOLLAR,
    ACTIONS(21834), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7675), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16722), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16720), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247751] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18619), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247794] = 4,
    ACTIONS(17962), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247829] = 8,
    ACTIONS(21870), 1,
      sym__word_identifier,
    ACTIONS(21872), 1,
      anon_sym_LPAREN,
    ACTIONS(21874), 1,
      anon_sym_DOLLAR,
    ACTIONS(21876), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7794), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16634), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16632), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247872] = 4,
    ACTIONS(18670), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247907] = 8,
    ACTIONS(18470), 1,
      sym__word_identifier,
    ACTIONS(18474), 1,
      anon_sym_LPAREN,
    ACTIONS(21866), 1,
      anon_sym_DOLLAR,
    ACTIONS(21868), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12740), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(17312), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17310), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247950] = 8,
    ACTIONS(18470), 1,
      sym__word_identifier,
    ACTIONS(18474), 1,
      anon_sym_LPAREN,
    ACTIONS(21866), 1,
      anon_sym_DOLLAR,
    ACTIONS(21868), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12765), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(17312), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17310), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247993] = 8,
    ACTIONS(21870), 1,
      sym__word_identifier,
    ACTIONS(21872), 1,
      anon_sym_LPAREN,
    ACTIONS(21874), 1,
      anon_sym_DOLLAR,
    ACTIONS(21876), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8168), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16634), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16632), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248036] = 4,
    ACTIONS(18224), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [248071] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21862), 1,
      anon_sym_DOLLAR,
    ACTIONS(21864), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10766), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248114] = 8,
    ACTIONS(21870), 1,
      sym__word_identifier,
    ACTIONS(21872), 1,
      anon_sym_LPAREN,
    ACTIONS(21874), 1,
      anon_sym_DOLLAR,
    ACTIONS(21876), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8161), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16634), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16632), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248157] = 4,
    ACTIONS(18666), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [248192] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20859), 1,
      anon_sym_QMARK,
    ACTIONS(20879), 1,
      sym__power_operator,
    ACTIONS(21024), 1,
      anon_sym_where,
    ACTIONS(21026), 1,
      anon_sym_COLON2,
    ACTIONS(21030), 1,
      sym__pair_operator,
    ACTIONS(21032), 1,
      sym__arrow_operator,
    ACTIONS(21034), 1,
      sym__lazy_or_operator,
    ACTIONS(21036), 1,
      sym__lazy_and_operator,
    ACTIONS(21038), 1,
      sym__comparison_operator,
    ACTIONS(21040), 1,
      sym__pipe_right_operator,
    ACTIONS(21042), 1,
      sym__pipe_left_operator,
    ACTIONS(21044), 1,
      sym__ellipsis_operator,
    ACTIONS(21048), 1,
      sym__times_operator,
    ACTIONS(21050), 1,
      sym__rational_operator,
    ACTIONS(21052), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21046), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21544), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(21028), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [248261] = 8,
    ACTIONS(21808), 1,
      sym__word_identifier,
    ACTIONS(21810), 1,
      anon_sym_LPAREN,
    ACTIONS(21812), 1,
      anon_sym_DOLLAR,
    ACTIONS(21814), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7970), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16744), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16742), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248304] = 8,
    ACTIONS(18312), 1,
      sym__word_identifier,
    ACTIONS(18316), 1,
      anon_sym_LPAREN,
    ACTIONS(21748), 1,
      anon_sym_DOLLAR,
    ACTIONS(21750), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12420), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16612), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16610), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248347] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21844), 1,
      anon_sym_DOLLAR,
    ACTIONS(21846), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12386), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248390] = 5,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(18222), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [248427] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21816), 1,
      anon_sym_DOLLAR,
    ACTIONS(21818), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(13162), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248470] = 8,
    ACTIONS(21828), 1,
      sym__word_identifier,
    ACTIONS(21830), 1,
      anon_sym_LPAREN,
    ACTIONS(21832), 1,
      anon_sym_DOLLAR,
    ACTIONS(21834), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8361), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16722), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16720), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248513] = 8,
    ACTIONS(18312), 1,
      sym__word_identifier,
    ACTIONS(18316), 1,
      anon_sym_LPAREN,
    ACTIONS(21748), 1,
      anon_sym_DOLLAR,
    ACTIONS(21750), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12415), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16612), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16610), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248556] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18544), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248599] = 5,
    ACTIONS(18000), 1,
      sym__immediate_paren,
    ACTIONS(18222), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [248636] = 4,
    ACTIONS(18098), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 17,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [248671] = 8,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(18444), 1,
      anon_sym_LPAREN,
    ACTIONS(21760), 1,
      anon_sym_DOLLAR,
    ACTIONS(21762), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(19796), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16582), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248714] = 8,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(18326), 1,
      anon_sym_LPAREN,
    ACTIONS(21792), 1,
      anon_sym_DOLLAR,
    ACTIONS(21794), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10761), 5,
      sym__exportable,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(16472), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248757] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 15,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [248793] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 13,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [248837] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21888), 1,
      anon_sym_where,
    ACTIONS(21890), 1,
      anon_sym_RPAREN,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21896), 1,
      anon_sym_QMARK,
    ACTIONS(21898), 1,
      sym__pair_operator,
    ACTIONS(21900), 1,
      sym__arrow_operator,
    ACTIONS(21902), 1,
      sym__lazy_or_operator,
    ACTIONS(21904), 1,
      sym__lazy_and_operator,
    ACTIONS(21906), 1,
      sym__comparison_operator,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21894), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [248905] = 4,
    ACTIONS(18222), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11397), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 16,
      anon_sym_where,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [248939] = 6,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [248977] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21888), 1,
      anon_sym_where,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21896), 1,
      anon_sym_QMARK,
    ACTIONS(21898), 1,
      sym__pair_operator,
    ACTIONS(21900), 1,
      sym__arrow_operator,
    ACTIONS(21902), 1,
      sym__lazy_or_operator,
    ACTIONS(21904), 1,
      sym__lazy_and_operator,
    ACTIONS(21906), 1,
      sym__comparison_operator,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(21918), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21894), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249045] = 15,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21906), 1,
      sym__comparison_operator,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21894), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 7,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [249101] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 3,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 13,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [249145] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 10,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [249199] = 21,
    ACTIONS(13396), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21888), 1,
      anon_sym_where,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21896), 1,
      anon_sym_QMARK,
    ACTIONS(21898), 1,
      sym__pair_operator,
    ACTIONS(21900), 1,
      sym__arrow_operator,
    ACTIONS(21902), 1,
      sym__lazy_or_operator,
    ACTIONS(21904), 1,
      sym__lazy_and_operator,
    ACTIONS(21906), 1,
      sym__comparison_operator,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21894), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249267] = 19,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21888), 1,
      anon_sym_where,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21900), 1,
      sym__arrow_operator,
    ACTIONS(21902), 1,
      sym__lazy_or_operator,
    ACTIONS(21904), 1,
      sym__lazy_and_operator,
    ACTIONS(21906), 1,
      sym__comparison_operator,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 3,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
    ACTIONS(21894), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249331] = 17,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21888), 1,
      anon_sym_where,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21904), 1,
      sym__lazy_and_operator,
    ACTIONS(21906), 1,
      sym__comparison_operator,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21894), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 5,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [249391] = 16,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21888), 1,
      anon_sym_where,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21906), 1,
      sym__comparison_operator,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21894), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 6,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [249449] = 12,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [249499] = 14,
    ACTIONS(13390), 1,
      sym__comparison_operator,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 10,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [249553] = 21,
    ACTIONS(13971), 1,
      anon_sym_RPAREN,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21888), 1,
      anon_sym_where,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21896), 1,
      anon_sym_QMARK,
    ACTIONS(21898), 1,
      sym__pair_operator,
    ACTIONS(21900), 1,
      sym__arrow_operator,
    ACTIONS(21902), 1,
      sym__lazy_or_operator,
    ACTIONS(21904), 1,
      sym__lazy_and_operator,
    ACTIONS(21906), 1,
      sym__comparison_operator,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21894), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249621] = 7,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [249661] = 8,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 5,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 13,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [249703] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13390), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13396), 12,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [249747] = 7,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [249787] = 16,
    ACTIONS(13920), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(21926), 1,
      anon_sym_COLON2,
    ACTIONS(21930), 1,
      sym__comparison_operator,
    ACTIONS(21932), 1,
      sym__pipe_right_operator,
    ACTIONS(21934), 1,
      sym__pipe_left_operator,
    ACTIONS(21936), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21928), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13922), 6,
      anon_sym_where,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [249845] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 15,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [249881] = 21,
    ACTIONS(13969), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(21926), 1,
      anon_sym_COLON2,
    ACTIONS(21930), 1,
      sym__comparison_operator,
    ACTIONS(21932), 1,
      sym__pipe_right_operator,
    ACTIONS(21934), 1,
      sym__pipe_left_operator,
    ACTIONS(21936), 1,
      sym__ellipsis_operator,
    ACTIONS(21938), 1,
      anon_sym_where,
    ACTIONS(21940), 1,
      anon_sym_QMARK,
    ACTIONS(21942), 1,
      sym__pair_operator,
    ACTIONS(21944), 1,
      sym__arrow_operator,
    ACTIONS(21946), 1,
      sym__lazy_or_operator,
    ACTIONS(21948), 1,
      sym__lazy_and_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21928), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249949] = 6,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 14,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [249987] = 9,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13404), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(13406), 12,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [250031] = 21,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21462), 1,
      anon_sym_RPAREN,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21888), 1,
      anon_sym_where,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21896), 1,
      anon_sym_QMARK,
    ACTIONS(21898), 1,
      sym__pair_operator,
    ACTIONS(21900), 1,
      sym__arrow_operator,
    ACTIONS(21902), 1,
      sym__lazy_or_operator,
    ACTIONS(21904), 1,
      sym__lazy_and_operator,
    ACTIONS(21906), 1,
      sym__comparison_operator,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21894), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250099] = 14,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(21926), 1,
      anon_sym_COLON2,
    ACTIONS(21932), 1,
      sym__pipe_right_operator,
    ACTIONS(21934), 1,
      sym__pipe_left_operator,
    ACTIONS(21936), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 9,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [250153] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 14,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [250189] = 21,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(21926), 1,
      anon_sym_COLON2,
    ACTIONS(21930), 1,
      sym__comparison_operator,
    ACTIONS(21932), 1,
      sym__pipe_right_operator,
    ACTIONS(21934), 1,
      sym__pipe_left_operator,
    ACTIONS(21936), 1,
      sym__ellipsis_operator,
    ACTIONS(21938), 1,
      anon_sym_where,
    ACTIONS(21940), 1,
      anon_sym_QMARK,
    ACTIONS(21942), 1,
      sym__pair_operator,
    ACTIONS(21944), 1,
      sym__arrow_operator,
    ACTIONS(21946), 1,
      sym__lazy_or_operator,
    ACTIONS(21948), 1,
      sym__lazy_and_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21928), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250257] = 20,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(21926), 1,
      anon_sym_COLON2,
    ACTIONS(21930), 1,
      sym__comparison_operator,
    ACTIONS(21932), 1,
      sym__pipe_right_operator,
    ACTIONS(21934), 1,
      sym__pipe_left_operator,
    ACTIONS(21936), 1,
      sym__ellipsis_operator,
    ACTIONS(21938), 1,
      anon_sym_where,
    ACTIONS(21944), 1,
      sym__arrow_operator,
    ACTIONS(21946), 1,
      sym__lazy_or_operator,
    ACTIONS(21948), 1,
      sym__lazy_and_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13396), 2,
      anon_sym_QMARK,
      sym__pair_operator,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21928), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250323] = 18,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(21926), 1,
      anon_sym_COLON2,
    ACTIONS(21930), 1,
      sym__comparison_operator,
    ACTIONS(21932), 1,
      sym__pipe_right_operator,
    ACTIONS(21934), 1,
      sym__pipe_left_operator,
    ACTIONS(21936), 1,
      sym__ellipsis_operator,
    ACTIONS(21938), 1,
      anon_sym_where,
    ACTIONS(21948), 1,
      sym__lazy_and_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21928), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 4,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [250385] = 17,
    ACTIONS(13390), 1,
      anon_sym_EQ,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(21926), 1,
      anon_sym_COLON2,
    ACTIONS(21930), 1,
      sym__comparison_operator,
    ACTIONS(21932), 1,
      sym__pipe_right_operator,
    ACTIONS(21934), 1,
      sym__pipe_left_operator,
    ACTIONS(21936), 1,
      sym__ellipsis_operator,
    ACTIONS(21938), 1,
      anon_sym_where,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21928), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13396), 5,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [250445] = 12,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(21926), 1,
      anon_sym_COLON2,
    ACTIONS(21936), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 11,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [250495] = 5,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13392), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(13394), 14,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [250531] = 14,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(21926), 1,
      anon_sym_COLON2,
    ACTIONS(21932), 1,
      sym__pipe_right_operator,
    ACTIONS(21934), 1,
      sym__pipe_left_operator,
    ACTIONS(21936), 1,
      sym__ellipsis_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 9,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [250585] = 8,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13390), 6,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(13396), 12,
      anon_sym_where,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [250627] = 20,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21888), 1,
      anon_sym_where,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21896), 1,
      anon_sym_QMARK,
    ACTIONS(21898), 1,
      sym__pair_operator,
    ACTIONS(21900), 1,
      sym__arrow_operator,
    ACTIONS(21902), 1,
      sym__lazy_or_operator,
    ACTIONS(21904), 1,
      sym__lazy_and_operator,
    ACTIONS(21906), 1,
      sym__comparison_operator,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(21950), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21894), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250692] = 20,
    ACTIONS(21878), 1,
      sym__power_operator,
    ACTIONS(21882), 1,
      sym__times_operator,
    ACTIONS(21884), 1,
      sym__rational_operator,
    ACTIONS(21886), 1,
      sym__bitshift_operator,
    ACTIONS(21888), 1,
      anon_sym_where,
    ACTIONS(21892), 1,
      anon_sym_COLON2,
    ACTIONS(21896), 1,
      anon_sym_QMARK,
    ACTIONS(21898), 1,
      sym__pair_operator,
    ACTIONS(21900), 1,
      sym__arrow_operator,
    ACTIONS(21902), 1,
      sym__lazy_or_operator,
    ACTIONS(21904), 1,
      sym__lazy_and_operator,
    ACTIONS(21906), 1,
      sym__comparison_operator,
    ACTIONS(21908), 1,
      sym__pipe_right_operator,
    ACTIONS(21910), 1,
      sym__pipe_left_operator,
    ACTIONS(21912), 1,
      sym__ellipsis_operator,
    ACTIONS(21952), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21954), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21880), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21894), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250757] = 20,
    ACTIONS(18348), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19983), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21896), 1,
      anon_sym_QMARK,
    ACTIONS(21914), 1,
      sym__bitshift_operator,
    ACTIONS(21916), 1,
      sym__power_operator,
    ACTIONS(21922), 1,
      sym__times_operator,
    ACTIONS(21924), 1,
      sym__rational_operator,
    ACTIONS(21926), 1,
      anon_sym_COLON2,
    ACTIONS(21930), 1,
      sym__comparison_operator,
    ACTIONS(21932), 1,
      sym__pipe_right_operator,
    ACTIONS(21934), 1,
      sym__pipe_left_operator,
    ACTIONS(21936), 1,
      sym__ellipsis_operator,
    ACTIONS(21938), 1,
      anon_sym_where,
    ACTIONS(21942), 1,
      sym__pair_operator,
    ACTIONS(21944), 1,
      sym__arrow_operator,
    ACTIONS(21946), 1,
      sym__lazy_or_operator,
    ACTIONS(21948), 1,
      sym__lazy_and_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21920), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(21928), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250822] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12219), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [250859] = 7,
    ACTIONS(18312), 1,
      sym__word_identifier,
    ACTIONS(21958), 1,
      sym__syntactic_operator,
    STATE(11944), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11938), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16612), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16610), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [250896] = 7,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(21960), 1,
      sym__syntactic_operator,
    STATE(11699), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(13091), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16582), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [250933] = 7,
    ACTIONS(21962), 1,
      sym__word_identifier,
    ACTIONS(21964), 1,
      sym__syntactic_operator,
    STATE(7005), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6707), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17396), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17394), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [250970] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(13154), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251007] = 7,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(21960), 1,
      sym__syntactic_operator,
    STATE(11699), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11709), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16582), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251044] = 7,
    ACTIONS(18402), 1,
      sym__word_identifier,
    ACTIONS(21966), 1,
      sym__syntactic_operator,
    STATE(8677), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7455), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17254), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17252), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251081] = 7,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(21960), 1,
      sym__syntactic_operator,
    STATE(11699), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12063), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16582), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251118] = 7,
    ACTIONS(18532), 1,
      sym__word_identifier,
    ACTIONS(21968), 1,
      sym__syntactic_operator,
    STATE(7763), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7049), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16816), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16814), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251155] = 7,
    ACTIONS(21808), 1,
      sym__word_identifier,
    ACTIONS(21970), 1,
      sym__syntactic_operator,
    STATE(8527), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7478), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16744), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16742), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251192] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11564), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251229] = 7,
    ACTIONS(18312), 1,
      sym__word_identifier,
    ACTIONS(21958), 1,
      sym__syntactic_operator,
    STATE(11944), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11700), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16612), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16610), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251266] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12269), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251303] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12239), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251340] = 7,
    ACTIONS(18542), 1,
      sym__word_identifier,
    ACTIONS(21972), 1,
      sym__syntactic_operator,
    STATE(7702), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7106), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17062), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17060), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251377] = 7,
    ACTIONS(21974), 1,
      sym__word_identifier,
    ACTIONS(21976), 1,
      sym__syntactic_operator,
    STATE(6520), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6345), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16382), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16380), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251414] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12314), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251451] = 7,
    ACTIONS(21870), 1,
      sym__word_identifier,
    ACTIONS(21978), 1,
      sym__syntactic_operator,
    STATE(8345), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7754), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16634), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16632), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251488] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12482), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251525] = 7,
    ACTIONS(21796), 1,
      sym__word_identifier,
    ACTIONS(21980), 1,
      sym__syntactic_operator,
    STATE(7729), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7033), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17144), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17142), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251562] = 7,
    ACTIONS(21982), 1,
      sym__word_identifier,
    ACTIONS(21984), 1,
      sym__syntactic_operator,
    STATE(6840), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6610), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16164), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16162), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251599] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12449), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251636] = 7,
    ACTIONS(18502), 1,
      sym__word_identifier,
    ACTIONS(21986), 1,
      sym__syntactic_operator,
    STATE(7479), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7146), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16976), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16974), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251673] = 7,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(21960), 1,
      sym__syntactic_operator,
    STATE(11699), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12423), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16582), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251710] = 7,
    ACTIONS(21988), 1,
      sym__word_identifier,
    ACTIONS(21990), 1,
      sym__syntactic_operator,
    STATE(6730), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6568), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16682), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16680), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251747] = 7,
    ACTIONS(21784), 1,
      sym__word_identifier,
    ACTIONS(21992), 1,
      sym__syntactic_operator,
    STATE(7948), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7200), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16516), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16514), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251784] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11578), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251821] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(13029), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251858] = 7,
    ACTIONS(21994), 1,
      sym__word_identifier,
    ACTIONS(21996), 1,
      sym__syntactic_operator,
    STATE(6715), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6621), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17374), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17372), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251895] = 7,
    ACTIONS(18302), 1,
      sym__word_identifier,
    ACTIONS(21998), 1,
      sym__syntactic_operator,
    STATE(7103), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6722), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17090), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17088), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251932] = 7,
    ACTIONS(18380), 1,
      sym__word_identifier,
    ACTIONS(22000), 1,
      sym__syntactic_operator,
    STATE(7205), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6790), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16210), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16208), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251969] = 7,
    ACTIONS(18656), 1,
      sym__word_identifier,
    ACTIONS(22002), 1,
      sym__syntactic_operator,
    STATE(7061), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6671), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17196), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17194), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252006] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12175), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252043] = 7,
    ACTIONS(22004), 1,
      sym__word_identifier,
    ACTIONS(22006), 1,
      sym__syntactic_operator,
    STATE(6606), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6122), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16284), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16282), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252080] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12226), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252117] = 7,
    ACTIONS(21764), 1,
      sym__word_identifier,
    ACTIONS(22008), 1,
      sym__syntactic_operator,
    STATE(8940), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8679), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16356), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16354), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252154] = 7,
    ACTIONS(22010), 1,
      sym__word_identifier,
    ACTIONS(22012), 1,
      sym__syntactic_operator,
    STATE(6954), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6804), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16498), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16496), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252191] = 7,
    ACTIONS(18618), 1,
      sym__word_identifier,
    ACTIONS(22014), 1,
      sym__syntactic_operator,
    STATE(8464), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7604), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17348), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17346), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252228] = 7,
    ACTIONS(21828), 1,
      sym__word_identifier,
    ACTIONS(22016), 1,
      sym__syntactic_operator,
    STATE(8128), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7760), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16722), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16720), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252265] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12447), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252302] = 7,
    ACTIONS(21960), 1,
      sym__syntactic_operator,
    ACTIONS(22018), 1,
      sym__word_identifier,
    STATE(11699), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(17967), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16582), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16580), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252339] = 7,
    ACTIONS(18646), 1,
      sym__word_identifier,
    ACTIONS(22020), 1,
      sym__syntactic_operator,
    STATE(7755), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7006), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16866), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16864), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252376] = 7,
    ACTIONS(22022), 1,
      sym__word_identifier,
    ACTIONS(22024), 1,
      sym__syntactic_operator,
    STATE(17104), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15880), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17222), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17220), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252413] = 7,
    ACTIONS(21752), 1,
      sym__word_identifier,
    ACTIONS(22026), 1,
      sym__syntactic_operator,
    STATE(7910), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7069), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16700), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16698), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252450] = 7,
    ACTIONS(18470), 1,
      sym__word_identifier,
    ACTIONS(22028), 1,
      sym__syntactic_operator,
    STATE(11992), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11997), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17312), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17310), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252487] = 7,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(21956), 1,
      sym__syntactic_operator,
    STATE(10385), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12143), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16472), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16470), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252524] = 7,
    ACTIONS(21836), 1,
      sym__word_identifier,
    ACTIONS(22030), 1,
      sym__syntactic_operator,
    STATE(8969), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8664), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16444), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16442), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252561] = 7,
    ACTIONS(18470), 1,
      sym__word_identifier,
    ACTIONS(22028), 1,
      sym__syntactic_operator,
    STATE(11992), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11705), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17312), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17310), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252598] = 7,
    ACTIONS(22032), 1,
      sym__word_identifier,
    ACTIONS(22034), 1,
      sym__syntactic_operator,
    STATE(6591), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6217), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16336), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16334), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252635] = 7,
    ACTIONS(22036), 1,
      sym__word_identifier,
    ACTIONS(22038), 1,
      sym__syntactic_operator,
    STATE(6739), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6507), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(16770), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(16768), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252672] = 7,
    ACTIONS(21820), 1,
      sym__word_identifier,
    ACTIONS(22040), 1,
      sym__syntactic_operator,
    STATE(8688), 1,
      sym_operator,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7703), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(17414), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(17412), 8,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252709] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16058), 1,
      anon_sym_COLON,
    ACTIONS(16066), 1,
      anon_sym_DOLLAR,
    ACTIONS(16072), 1,
      sym__string_start,
    ACTIONS(16074), 1,
      sym__command_start,
    ACTIONS(19608), 1,
      sym__word_identifier,
    ACTIONS(22042), 1,
      sym_character_literal,
    ACTIONS(22044), 1,
      sym__immediate_paren,
    STATE(4513), 1,
      sym_identifier,
    STATE(16705), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5499), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [252753] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15530), 1,
      anon_sym_COLON,
    ACTIONS(15538), 1,
      anon_sym_DOLLAR,
    ACTIONS(15544), 1,
      sym__string_start,
    ACTIONS(15546), 1,
      sym__command_start,
    ACTIONS(20173), 1,
      sym__word_identifier,
    ACTIONS(22046), 1,
      sym_character_literal,
    ACTIONS(22048), 1,
      sym__immediate_paren,
    STATE(4512), 1,
      sym_identifier,
    STATE(17283), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5501), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [252797] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15900), 1,
      anon_sym_COLON,
    ACTIONS(15908), 1,
      anon_sym_DOLLAR,
    ACTIONS(15914), 1,
      sym__string_start,
    ACTIONS(15916), 1,
      sym__command_start,
    ACTIONS(19723), 1,
      sym__word_identifier,
    ACTIONS(22050), 1,
      sym_character_literal,
    ACTIONS(22052), 1,
      sym__immediate_paren,
    STATE(5659), 1,
      sym_identifier,
    STATE(17210), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6552), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [252841] = 12,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(6970), 1,
      anon_sym_DOLLAR,
    ACTIONS(6974), 1,
      anon_sym_AT,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22054), 1,
      anon_sym_COLON,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    STATE(69), 1,
      sym_macro_identifier,
    STATE(10893), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [252885] = 12,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(6778), 1,
      anon_sym_DOLLAR,
    ACTIONS(6782), 1,
      anon_sym_AT,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22060), 1,
      anon_sym_COLON,
    STATE(50), 1,
      sym_macro_identifier,
    STATE(10435), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [252929] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15758), 1,
      sym__string_start,
    ACTIONS(15760), 1,
      sym__command_start,
    ACTIONS(16024), 1,
      anon_sym_COLON,
    ACTIONS(16026), 1,
      anon_sym_DOLLAR,
    ACTIONS(19956), 1,
      sym__word_identifier,
    ACTIONS(22062), 1,
      sym_character_literal,
    ACTIONS(22064), 1,
      sym__immediate_paren,
    STATE(10342), 1,
      sym_identifier,
    STATE(16987), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10901), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [252973] = 12,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(9310), 1,
      anon_sym_DOLLAR,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22066), 1,
      anon_sym_COLON,
    STATE(37), 1,
      sym_macro_identifier,
    STATE(10315), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253017] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15510), 1,
      anon_sym_COLON,
    ACTIONS(15518), 1,
      anon_sym_DOLLAR,
    ACTIONS(15524), 1,
      sym__string_start,
    ACTIONS(15526), 1,
      sym__command_start,
    ACTIONS(20055), 1,
      sym__word_identifier,
    ACTIONS(22068), 1,
      sym_character_literal,
    ACTIONS(22070), 1,
      sym__immediate_paren,
    STATE(4331), 1,
      sym_identifier,
    STATE(16864), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4688), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253061] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15642), 1,
      anon_sym_COLON,
    ACTIONS(15650), 1,
      anon_sym_DOLLAR,
    ACTIONS(15656), 1,
      sym__string_start,
    ACTIONS(15658), 1,
      sym__command_start,
    ACTIONS(19630), 1,
      sym__word_identifier,
    ACTIONS(22072), 1,
      sym_character_literal,
    ACTIONS(22074), 1,
      sym__immediate_paren,
    STATE(5034), 1,
      sym_identifier,
    STATE(16742), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6171), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253105] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16116), 1,
      anon_sym_COLON,
    ACTIONS(16124), 1,
      anon_sym_DOLLAR,
    ACTIONS(16130), 1,
      sym__string_start,
    ACTIONS(16132), 1,
      sym__command_start,
    ACTIONS(19804), 1,
      sym__word_identifier,
    ACTIONS(22076), 1,
      sym_character_literal,
    ACTIONS(22078), 1,
      sym__immediate_paren,
    STATE(4456), 1,
      sym_identifier,
    STATE(16845), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5906), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253149] = 12,
    ACTIONS(13050), 1,
      sym__string_start,
    ACTIONS(13052), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15794), 1,
      anon_sym_COLON,
    ACTIONS(15802), 1,
      anon_sym_DOLLAR,
    ACTIONS(20284), 1,
      sym__word_identifier,
    ACTIONS(22080), 1,
      sym_character_literal,
    ACTIONS(22082), 1,
      sym__immediate_paren,
    STATE(10747), 1,
      sym_identifier,
    STATE(16717), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11340), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253193] = 12,
    ACTIONS(783), 1,
      sym__string_start,
    ACTIONS(785), 1,
      sym__command_start,
    ACTIONS(4776), 1,
      anon_sym_AT,
    ACTIONS(9814), 1,
      anon_sym_DOLLAR,
    ACTIONS(19624), 1,
      sym__word_identifier,
    ACTIONS(22084), 1,
      anon_sym_COLON,
    ACTIONS(22086), 1,
      sym_character_literal,
    ACTIONS(22088), 1,
      sym__immediate_paren,
    STATE(39), 1,
      sym_macro_identifier,
    STATE(4540), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5801), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253237] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15570), 1,
      anon_sym_COLON,
    ACTIONS(15578), 1,
      anon_sym_DOLLAR,
    ACTIONS(15584), 1,
      sym__string_start,
    ACTIONS(15586), 1,
      sym__command_start,
    ACTIONS(19942), 1,
      sym__word_identifier,
    ACTIONS(22090), 1,
      sym_character_literal,
    ACTIONS(22092), 1,
      sym__immediate_paren,
    STATE(4636), 1,
      sym_identifier,
    STATE(16664), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6030), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253281] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15986), 1,
      anon_sym_COLON,
    ACTIONS(15994), 1,
      anon_sym_DOLLAR,
    ACTIONS(16000), 1,
      sym__string_start,
    ACTIONS(16002), 1,
      sym__command_start,
    ACTIONS(19904), 1,
      sym__word_identifier,
    ACTIONS(22094), 1,
      sym_character_literal,
    ACTIONS(22096), 1,
      sym__immediate_paren,
    STATE(10332), 1,
      sym_identifier,
    STATE(16695), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11010), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253325] = 12,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4776), 1,
      anon_sym_AT,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22098), 1,
      anon_sym_COLON,
    STATE(23), 1,
      sym_macro_identifier,
    STATE(10420), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253369] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15704), 1,
      anon_sym_COLON,
    ACTIONS(15712), 1,
      anon_sym_DOLLAR,
    ACTIONS(15718), 1,
      sym__string_start,
    ACTIONS(15720), 1,
      sym__command_start,
    ACTIONS(20215), 1,
      sym__word_identifier,
    ACTIONS(22100), 1,
      sym_character_literal,
    ACTIONS(22102), 1,
      sym__immediate_paren,
    STATE(5832), 1,
      sym_identifier,
    STATE(16758), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6601), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253413] = 12,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(6778), 1,
      anon_sym_DOLLAR,
    ACTIONS(6782), 1,
      anon_sym_AT,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22060), 1,
      anon_sym_COLON,
    STATE(17), 1,
      sym_macro_identifier,
    STATE(10435), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253457] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16006), 1,
      anon_sym_COLON,
    ACTIONS(16014), 1,
      anon_sym_DOLLAR,
    ACTIONS(16020), 1,
      sym__string_start,
    ACTIONS(16022), 1,
      sym__command_start,
    ACTIONS(20235), 1,
      sym__word_identifier,
    ACTIONS(22104), 1,
      sym_character_literal,
    ACTIONS(22106), 1,
      sym__immediate_paren,
    STATE(4428), 1,
      sym_identifier,
    STATE(16734), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5367), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253501] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15550), 1,
      anon_sym_COLON,
    ACTIONS(15558), 1,
      anon_sym_DOLLAR,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(22108), 1,
      sym_character_literal,
    ACTIONS(22110), 1,
      sym__immediate_paren,
    STATE(10946), 1,
      sym_identifier,
    STATE(17215), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10054), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253545] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15226), 1,
      anon_sym_DOLLAR,
    ACTIONS(15372), 1,
      anon_sym_COLON,
    ACTIONS(19946), 1,
      sym__word_identifier,
    ACTIONS(22112), 1,
      sym_character_literal,
    ACTIONS(22114), 1,
      sym__immediate_paren,
    STATE(11330), 1,
      sym_identifier,
    STATE(16889), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11056), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253589] = 12,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(3184), 1,
      anon_sym_DOLLAR,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(22116), 1,
      anon_sym_COLON,
    ACTIONS(22118), 1,
      sym_character_literal,
    ACTIONS(22120), 1,
      sym__immediate_paren,
    STATE(158), 1,
      sym_macro_identifier,
    STATE(10852), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10500), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253633] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15590), 1,
      anon_sym_COLON,
    ACTIONS(15598), 1,
      anon_sym_DOLLAR,
    ACTIONS(15604), 1,
      sym__string_start,
    ACTIONS(15606), 1,
      sym__command_start,
    ACTIONS(20167), 1,
      sym__word_identifier,
    ACTIONS(22122), 1,
      sym_character_literal,
    ACTIONS(22124), 1,
      sym__immediate_paren,
    STATE(4644), 1,
      sym_identifier,
    STATE(16768), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6270), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253677] = 12,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(3005), 1,
      anon_sym_DOLLAR,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(22118), 1,
      sym_character_literal,
    ACTIONS(22120), 1,
      sym__immediate_paren,
    ACTIONS(22126), 1,
      anon_sym_COLON,
    STATE(53), 1,
      sym_macro_identifier,
    STATE(10227), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10500), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253721] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(14421), 1,
      sym__string_start,
    ACTIONS(14423), 1,
      sym__command_start,
    ACTIONS(15198), 1,
      anon_sym_DOLLAR,
    ACTIONS(16090), 1,
      anon_sym_COLON,
    ACTIONS(19946), 1,
      sym__word_identifier,
    ACTIONS(22112), 1,
      sym_character_literal,
    ACTIONS(22114), 1,
      sym__immediate_paren,
    STATE(10758), 1,
      sym_identifier,
    STATE(16889), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11056), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253765] = 12,
    ACTIONS(393), 1,
      sym__string_start,
    ACTIONS(395), 1,
      sym__command_start,
    ACTIONS(5394), 1,
      anon_sym_AT,
    ACTIONS(9142), 1,
      anon_sym_DOLLAR,
    ACTIONS(19668), 1,
      sym__word_identifier,
    ACTIONS(22128), 1,
      anon_sym_COLON,
    ACTIONS(22130), 1,
      sym_character_literal,
    ACTIONS(22132), 1,
      sym__immediate_paren,
    STATE(28), 1,
      sym_macro_identifier,
    STATE(4303), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4824), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253809] = 12,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15660), 1,
      anon_sym_COLON,
    ACTIONS(15662), 1,
      anon_sym_DOLLAR,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(22134), 1,
      sym_character_literal,
    ACTIONS(22136), 1,
      sym__immediate_paren,
    STATE(10955), 1,
      sym_identifier,
    STATE(17133), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10178), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253853] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15880), 1,
      anon_sym_COLON,
    ACTIONS(15888), 1,
      anon_sym_DOLLAR,
    ACTIONS(15894), 1,
      sym__string_start,
    ACTIONS(15896), 1,
      sym__command_start,
    ACTIONS(20239), 1,
      sym__word_identifier,
    ACTIONS(22138), 1,
      sym_character_literal,
    ACTIONS(22140), 1,
      sym__immediate_paren,
    STATE(5082), 1,
      sym_identifier,
    STATE(16702), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6201), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253897] = 12,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16030), 1,
      anon_sym_COLON,
    ACTIONS(16032), 1,
      anon_sym_DOLLAR,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(22134), 1,
      sym_character_literal,
    ACTIONS(22136), 1,
      sym__immediate_paren,
    STATE(11283), 1,
      sym_identifier,
    STATE(17133), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10178), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253941] = 12,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(9310), 1,
      anon_sym_DOLLAR,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22066), 1,
      anon_sym_COLON,
    STATE(71), 1,
      sym_macro_identifier,
    STATE(10315), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [253985] = 12,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(4184), 1,
      anon_sym_DOLLAR,
    ACTIONS(4188), 1,
      anon_sym_AT,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22142), 1,
      anon_sym_COLON,
    STATE(25), 1,
      sym_macro_identifier,
    STATE(10224), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254029] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15840), 1,
      anon_sym_COLON,
    ACTIONS(15848), 1,
      anon_sym_DOLLAR,
    ACTIONS(15854), 1,
      sym__string_start,
    ACTIONS(15856), 1,
      sym__command_start,
    ACTIONS(19934), 1,
      sym__word_identifier,
    ACTIONS(22144), 1,
      sym_character_literal,
    ACTIONS(22146), 1,
      sym__immediate_paren,
    STATE(4462), 1,
      sym_identifier,
    STATE(16683), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5421), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254073] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15770), 1,
      anon_sym_COLON,
    ACTIONS(15778), 1,
      anon_sym_DOLLAR,
    ACTIONS(15784), 1,
      sym__string_start,
    ACTIONS(15786), 1,
      sym__command_start,
    ACTIONS(20293), 1,
      sym__word_identifier,
    ACTIONS(22148), 1,
      sym_character_literal,
    ACTIONS(22150), 1,
      sym__immediate_paren,
    STATE(4534), 1,
      sym_identifier,
    STATE(16675), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5590), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254117] = 12,
    ACTIONS(59), 1,
      anon_sym_DOLLAR,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22152), 1,
      anon_sym_COLON,
    STATE(102), 1,
      sym_macro_identifier,
    STATE(10567), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254161] = 12,
    ACTIONS(393), 1,
      sym__string_start,
    ACTIONS(395), 1,
      sym__command_start,
    ACTIONS(5394), 1,
      anon_sym_AT,
    ACTIONS(9142), 1,
      anon_sym_DOLLAR,
    ACTIONS(19668), 1,
      sym__word_identifier,
    ACTIONS(22128), 1,
      anon_sym_COLON,
    ACTIONS(22130), 1,
      sym_character_literal,
    ACTIONS(22132), 1,
      sym__immediate_paren,
    STATE(13), 1,
      sym_macro_identifier,
    STATE(4303), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4824), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254205] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(15978), 1,
      anon_sym_COLON,
    ACTIONS(15980), 1,
      anon_sym_DOLLAR,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(22108), 1,
      sym_character_literal,
    ACTIONS(22110), 1,
      sym__immediate_paren,
    STATE(10994), 1,
      sym_identifier,
    STATE(17215), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10054), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254249] = 12,
    ACTIONS(2924), 1,
      sym__string_start,
    ACTIONS(2926), 1,
      sym__command_start,
    ACTIONS(9120), 1,
      anon_sym_DOLLAR,
    ACTIONS(9124), 1,
      anon_sym_AT,
    ACTIONS(19422), 1,
      sym__word_identifier,
    ACTIONS(22154), 1,
      anon_sym_COLON,
    ACTIONS(22156), 1,
      sym_character_literal,
    ACTIONS(22158), 1,
      sym__immediate_paren,
    STATE(46), 1,
      sym_macro_identifier,
    STATE(10207), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10599), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254293] = 12,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(6510), 1,
      anon_sym_DOLLAR,
    ACTIONS(6514), 1,
      anon_sym_AT,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22160), 1,
      anon_sym_COLON,
    STATE(58), 1,
      sym_macro_identifier,
    STATE(10382), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254337] = 12,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(3005), 1,
      anon_sym_DOLLAR,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(22118), 1,
      sym_character_literal,
    ACTIONS(22120), 1,
      sym__immediate_paren,
    ACTIONS(22126), 1,
      anon_sym_COLON,
    STATE(68), 1,
      sym_macro_identifier,
    STATE(10227), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10500), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254381] = 12,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(6970), 1,
      anon_sym_DOLLAR,
    ACTIONS(6974), 1,
      anon_sym_AT,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22054), 1,
      anon_sym_COLON,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    STATE(54), 1,
      sym_macro_identifier,
    STATE(10893), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254425] = 12,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(3005), 1,
      anon_sym_DOLLAR,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(22118), 1,
      sym_character_literal,
    ACTIONS(22120), 1,
      sym__immediate_paren,
    ACTIONS(22126), 1,
      anon_sym_COLON,
    STATE(64), 1,
      sym_macro_identifier,
    STATE(10227), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10500), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254469] = 12,
    ACTIONS(701), 1,
      sym__string_start,
    ACTIONS(703), 1,
      sym__command_start,
    ACTIONS(6514), 1,
      anon_sym_AT,
    ACTIONS(8692), 1,
      anon_sym_DOLLAR,
    ACTIONS(19520), 1,
      sym__word_identifier,
    ACTIONS(22162), 1,
      anon_sym_COLON,
    ACTIONS(22164), 1,
      sym_character_literal,
    ACTIONS(22166), 1,
      sym__immediate_paren,
    STATE(60), 1,
      sym_macro_identifier,
    STATE(4448), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5407), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254513] = 12,
    ACTIONS(957), 1,
      anon_sym_DOLLAR,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(989), 1,
      sym__string_start,
    ACTIONS(991), 1,
      sym__command_start,
    ACTIONS(20331), 1,
      sym__word_identifier,
    ACTIONS(22168), 1,
      anon_sym_COLON,
    ACTIONS(22170), 1,
      sym_character_literal,
    ACTIONS(22172), 1,
      sym__immediate_paren,
    STATE(80), 1,
      sym_macro_identifier,
    STATE(4355), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5959), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254557] = 12,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(3184), 1,
      anon_sym_DOLLAR,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(22116), 1,
      anon_sym_COLON,
    ACTIONS(22118), 1,
      sym_character_literal,
    ACTIONS(22120), 1,
      sym__immediate_paren,
    STATE(119), 1,
      sym_macro_identifier,
    STATE(10852), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10500), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254601] = 12,
    ACTIONS(701), 1,
      sym__string_start,
    ACTIONS(703), 1,
      sym__command_start,
    ACTIONS(6514), 1,
      anon_sym_AT,
    ACTIONS(8692), 1,
      anon_sym_DOLLAR,
    ACTIONS(19520), 1,
      sym__word_identifier,
    ACTIONS(22162), 1,
      anon_sym_COLON,
    ACTIONS(22164), 1,
      sym_character_literal,
    ACTIONS(22166), 1,
      sym__immediate_paren,
    STATE(21), 1,
      sym_macro_identifier,
    STATE(4448), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5407), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254645] = 12,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(3184), 1,
      anon_sym_DOLLAR,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(22116), 1,
      anon_sym_COLON,
    ACTIONS(22118), 1,
      sym_character_literal,
    ACTIONS(22120), 1,
      sym__immediate_paren,
    STATE(115), 1,
      sym_macro_identifier,
    STATE(10852), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10500), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254689] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16038), 1,
      anon_sym_COLON,
    ACTIONS(16046), 1,
      anon_sym_DOLLAR,
    ACTIONS(16052), 1,
      sym__string_start,
    ACTIONS(16054), 1,
      sym__command_start,
    ACTIONS(20227), 1,
      sym__word_identifier,
    ACTIONS(22174), 1,
      sym_character_literal,
    ACTIONS(22176), 1,
      sym__immediate_paren,
    STATE(10428), 1,
      sym_identifier,
    STATE(16738), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10995), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254733] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15860), 1,
      anon_sym_COLON,
    ACTIONS(15868), 1,
      anon_sym_DOLLAR,
    ACTIONS(15874), 1,
      sym__string_start,
    ACTIONS(15876), 1,
      sym__command_start,
    ACTIONS(19880), 1,
      sym__word_identifier,
    ACTIONS(22178), 1,
      sym_character_literal,
    ACTIONS(22180), 1,
      sym__immediate_paren,
    STATE(11475), 1,
      sym_identifier,
    STATE(16756), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12112), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254777] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15744), 1,
      anon_sym_COLON,
    ACTIONS(15752), 1,
      anon_sym_DOLLAR,
    ACTIONS(15758), 1,
      sym__string_start,
    ACTIONS(15760), 1,
      sym__command_start,
    ACTIONS(19956), 1,
      sym__word_identifier,
    ACTIONS(22062), 1,
      sym_character_literal,
    ACTIONS(22064), 1,
      sym__immediate_paren,
    STATE(11005), 1,
      sym_identifier,
    STATE(16987), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10901), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254821] = 12,
    ACTIONS(891), 1,
      sym__string_start,
    ACTIONS(893), 1,
      sym__command_start,
    ACTIONS(6974), 1,
      anon_sym_AT,
    ACTIONS(8758), 1,
      anon_sym_DOLLAR,
    ACTIONS(20075), 1,
      sym__word_identifier,
    ACTIONS(22182), 1,
      anon_sym_COLON,
    ACTIONS(22184), 1,
      sym_character_literal,
    ACTIONS(22186), 1,
      sym__immediate_paren,
    STATE(56), 1,
      sym_macro_identifier,
    STATE(4697), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6297), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254865] = 12,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(311), 1,
      sym__command_start,
    ACTIONS(4188), 1,
      anon_sym_AT,
    ACTIONS(8876), 1,
      anon_sym_DOLLAR,
    ACTIONS(20304), 1,
      sym__word_identifier,
    ACTIONS(22188), 1,
      anon_sym_COLON,
    ACTIONS(22190), 1,
      sym_character_literal,
    ACTIONS(22192), 1,
      sym__immediate_paren,
    STATE(6), 1,
      sym_macro_identifier,
    STATE(4279), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4816), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254909] = 12,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(3005), 1,
      anon_sym_DOLLAR,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(22118), 1,
      sym_character_literal,
    ACTIONS(22120), 1,
      sym__immediate_paren,
    ACTIONS(22126), 1,
      anon_sym_COLON,
    STATE(134), 1,
      sym_macro_identifier,
    STATE(10227), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10500), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254953] = 12,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(3005), 1,
      anon_sym_DOLLAR,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(22118), 1,
      sym_character_literal,
    ACTIONS(22120), 1,
      sym__immediate_paren,
    ACTIONS(22126), 1,
      anon_sym_COLON,
    STATE(105), 1,
      sym_macro_identifier,
    STATE(10227), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10500), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [254997] = 12,
    ACTIONS(59), 1,
      anon_sym_DOLLAR,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22152), 1,
      anon_sym_COLON,
    STATE(43), 1,
      sym_macro_identifier,
    STATE(10567), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255041] = 12,
    ACTIONS(1081), 1,
      sym__string_start,
    ACTIONS(1083), 1,
      sym__command_start,
    ACTIONS(9124), 1,
      anon_sym_AT,
    ACTIONS(9206), 1,
      anon_sym_DOLLAR,
    ACTIONS(20263), 1,
      sym__word_identifier,
    ACTIONS(22194), 1,
      anon_sym_COLON,
    ACTIONS(22196), 1,
      sym_character_literal,
    ACTIONS(22198), 1,
      sym__immediate_paren,
    STATE(44), 1,
      sym_macro_identifier,
    STATE(5128), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6361), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255085] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15622), 1,
      anon_sym_COLON,
    ACTIONS(15630), 1,
      anon_sym_DOLLAR,
    ACTIONS(15636), 1,
      sym__string_start,
    ACTIONS(15638), 1,
      sym__command_start,
    ACTIONS(19784), 1,
      sym__word_identifier,
    ACTIONS(22200), 1,
      sym_character_literal,
    ACTIONS(22202), 1,
      sym__immediate_paren,
    STATE(4300), 1,
      sym_identifier,
    STATE(16663), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4678), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255129] = 12,
    ACTIONS(309), 1,
      sym__string_start,
    ACTIONS(311), 1,
      sym__command_start,
    ACTIONS(4188), 1,
      anon_sym_AT,
    ACTIONS(8876), 1,
      anon_sym_DOLLAR,
    ACTIONS(20304), 1,
      sym__word_identifier,
    ACTIONS(22188), 1,
      anon_sym_COLON,
    ACTIONS(22190), 1,
      sym_character_literal,
    ACTIONS(22192), 1,
      sym__immediate_paren,
    STATE(22), 1,
      sym_macro_identifier,
    STATE(4279), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4816), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255173] = 12,
    ACTIONS(957), 1,
      anon_sym_DOLLAR,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(989), 1,
      sym__string_start,
    ACTIONS(991), 1,
      sym__command_start,
    ACTIONS(20331), 1,
      sym__word_identifier,
    ACTIONS(22168), 1,
      anon_sym_COLON,
    ACTIONS(22170), 1,
      sym_character_literal,
    ACTIONS(22172), 1,
      sym__immediate_paren,
    STATE(72), 1,
      sym_macro_identifier,
    STATE(4355), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5959), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255217] = 12,
    ACTIONS(12944), 1,
      sym__string_start,
    ACTIONS(12946), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15806), 1,
      anon_sym_COLON,
    ACTIONS(15814), 1,
      anon_sym_DOLLAR,
    ACTIONS(20093), 1,
      sym__word_identifier,
    ACTIONS(22204), 1,
      sym_character_literal,
    ACTIONS(22206), 1,
      sym__immediate_paren,
    STATE(10887), 1,
      sym_identifier,
    STATE(16791), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11363), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255261] = 12,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15608), 1,
      anon_sym_COLON,
    ACTIONS(15616), 1,
      anon_sym_DOLLAR,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(22134), 1,
      sym_character_literal,
    ACTIONS(22136), 1,
      sym__immediate_paren,
    STATE(11265), 1,
      sym_identifier,
    STATE(17133), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10178), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255305] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(15932), 1,
      anon_sym_COLON,
    ACTIONS(15934), 1,
      anon_sym_DOLLAR,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(22108), 1,
      sym_character_literal,
    ACTIONS(22110), 1,
      sym__immediate_paren,
    STATE(10865), 1,
      sym_identifier,
    STATE(17215), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10054), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255349] = 12,
    ACTIONS(891), 1,
      sym__string_start,
    ACTIONS(893), 1,
      sym__command_start,
    ACTIONS(6974), 1,
      anon_sym_AT,
    ACTIONS(8758), 1,
      anon_sym_DOLLAR,
    ACTIONS(20075), 1,
      sym__word_identifier,
    ACTIONS(22182), 1,
      anon_sym_COLON,
    ACTIONS(22184), 1,
      sym_character_literal,
    ACTIONS(22186), 1,
      sym__immediate_paren,
    STATE(77), 1,
      sym_macro_identifier,
    STATE(4697), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6297), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255393] = 12,
    ACTIONS(2924), 1,
      sym__string_start,
    ACTIONS(2926), 1,
      sym__command_start,
    ACTIONS(9120), 1,
      anon_sym_DOLLAR,
    ACTIONS(9124), 1,
      anon_sym_AT,
    ACTIONS(19422), 1,
      sym__word_identifier,
    ACTIONS(22154), 1,
      anon_sym_COLON,
    ACTIONS(22156), 1,
      sym_character_literal,
    ACTIONS(22158), 1,
      sym__immediate_paren,
    STATE(96), 1,
      sym_macro_identifier,
    STATE(10207), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10599), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255437] = 12,
    ACTIONS(783), 1,
      sym__string_start,
    ACTIONS(785), 1,
      sym__command_start,
    ACTIONS(4776), 1,
      anon_sym_AT,
    ACTIONS(9814), 1,
      anon_sym_DOLLAR,
    ACTIONS(19624), 1,
      sym__word_identifier,
    ACTIONS(22084), 1,
      anon_sym_COLON,
    ACTIONS(22086), 1,
      sym_character_literal,
    ACTIONS(22088), 1,
      sym__immediate_paren,
    STATE(31), 1,
      sym_macro_identifier,
    STATE(4540), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5801), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255481] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16096), 1,
      anon_sym_COLON,
    ACTIONS(16104), 1,
      anon_sym_DOLLAR,
    ACTIONS(16110), 1,
      sym__string_start,
    ACTIONS(16112), 1,
      sym__command_start,
    ACTIONS(19727), 1,
      sym__word_identifier,
    ACTIONS(22208), 1,
      sym_character_literal,
    ACTIONS(22210), 1,
      sym__immediate_paren,
    STATE(4494), 1,
      sym_identifier,
    STATE(16657), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5863), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255525] = 12,
    ACTIONS(957), 1,
      anon_sym_DOLLAR,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(989), 1,
      sym__string_start,
    ACTIONS(991), 1,
      sym__command_start,
    ACTIONS(20331), 1,
      sym__word_identifier,
    ACTIONS(22168), 1,
      anon_sym_COLON,
    ACTIONS(22170), 1,
      sym_character_literal,
    ACTIONS(22172), 1,
      sym__immediate_paren,
    STATE(114), 1,
      sym_macro_identifier,
    STATE(4355), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5959), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255569] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15940), 1,
      anon_sym_COLON,
    ACTIONS(15948), 1,
      anon_sym_DOLLAR,
    ACTIONS(15954), 1,
      sym__string_start,
    ACTIONS(15956), 1,
      sym__command_start,
    ACTIONS(19788), 1,
      sym__word_identifier,
    ACTIONS(22212), 1,
      sym_character_literal,
    ACTIONS(22214), 1,
      sym__immediate_paren,
    STATE(4703), 1,
      sym_identifier,
    STATE(16926), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6210), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255613] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15820), 1,
      anon_sym_COLON,
    ACTIONS(15828), 1,
      anon_sym_DOLLAR,
    ACTIONS(15834), 1,
      sym__string_start,
    ACTIONS(15836), 1,
      sym__command_start,
    ACTIONS(20109), 1,
      sym__word_identifier,
    ACTIONS(22216), 1,
      sym_character_literal,
    ACTIONS(22218), 1,
      sym__immediate_paren,
    STATE(5093), 1,
      sym_identifier,
    STATE(16780), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6396), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255657] = 12,
    ACTIONS(609), 1,
      sym__string_start,
    ACTIONS(611), 1,
      sym__command_start,
    ACTIONS(6782), 1,
      anon_sym_AT,
    ACTIONS(8550), 1,
      anon_sym_DOLLAR,
    ACTIONS(19796), 1,
      sym__word_identifier,
    ACTIONS(22220), 1,
      anon_sym_COLON,
    ACTIONS(22222), 1,
      sym_character_literal,
    ACTIONS(22224), 1,
      sym__immediate_paren,
    STATE(51), 1,
      sym_macro_identifier,
    STATE(4564), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5772), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255701] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(15696), 1,
      anon_sym_COLON,
    ACTIONS(15698), 1,
      anon_sym_DOLLAR,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(22108), 1,
      sym_character_literal,
    ACTIONS(22110), 1,
      sym__immediate_paren,
    STATE(10832), 1,
      sym_identifier,
    STATE(17215), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10054), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255745] = 12,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15666), 1,
      anon_sym_COLON,
    ACTIONS(15668), 1,
      anon_sym_DOLLAR,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(22134), 1,
      sym_character_literal,
    ACTIONS(22136), 1,
      sym__immediate_paren,
    STATE(11187), 1,
      sym_identifier,
    STATE(17133), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10178), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255789] = 12,
    ACTIONS(173), 1,
      sym__string_start,
    ACTIONS(175), 1,
      sym__command_start,
    ACTIONS(5390), 1,
      anon_sym_DOLLAR,
    ACTIONS(5394), 1,
      anon_sym_AT,
    ACTIONS(19700), 1,
      sym__word_identifier,
    ACTIONS(22226), 1,
      anon_sym_COLON,
    ACTIONS(22228), 1,
      sym_character_literal,
    ACTIONS(22230), 1,
      sym__immediate_paren,
    STATE(33), 1,
      sym_macro_identifier,
    STATE(10294), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10856), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255833] = 12,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16134), 1,
      anon_sym_COLON,
    ACTIONS(16136), 1,
      anon_sym_DOLLAR,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(22134), 1,
      sym_character_literal,
    ACTIONS(22136), 1,
      sym__immediate_paren,
    STATE(10764), 1,
      sym_identifier,
    STATE(17133), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10178), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255877] = 12,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(3184), 1,
      anon_sym_DOLLAR,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(22116), 1,
      anon_sym_COLON,
    ACTIONS(22118), 1,
      sym_character_literal,
    ACTIONS(22120), 1,
      sym__immediate_paren,
    STATE(79), 1,
      sym_macro_identifier,
    STATE(10852), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10500), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255921] = 12,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(487), 1,
      sym__string_start,
    ACTIONS(489), 1,
      sym__command_start,
    ACTIONS(6314), 1,
      anon_sym_DOLLAR,
    ACTIONS(19660), 1,
      sym__word_identifier,
    ACTIONS(22232), 1,
      anon_sym_COLON,
    ACTIONS(22234), 1,
      sym_character_literal,
    ACTIONS(22236), 1,
      sym__immediate_paren,
    STATE(11), 1,
      sym_macro_identifier,
    STATE(4317), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4864), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [255965] = 12,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(6510), 1,
      anon_sym_DOLLAR,
    ACTIONS(6514), 1,
      anon_sym_AT,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22160), 1,
      anon_sym_COLON,
    STATE(20), 1,
      sym_macro_identifier,
    STATE(10382), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256009] = 12,
    ACTIONS(609), 1,
      sym__string_start,
    ACTIONS(611), 1,
      sym__command_start,
    ACTIONS(6782), 1,
      anon_sym_AT,
    ACTIONS(8550), 1,
      anon_sym_DOLLAR,
    ACTIONS(19796), 1,
      sym__word_identifier,
    ACTIONS(22220), 1,
      anon_sym_COLON,
    ACTIONS(22222), 1,
      sym_character_literal,
    ACTIONS(22224), 1,
      sym__immediate_paren,
    STATE(15), 1,
      sym_macro_identifier,
    STATE(4564), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5772), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256053] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15724), 1,
      anon_sym_COLON,
    ACTIONS(15732), 1,
      anon_sym_DOLLAR,
    ACTIONS(15738), 1,
      sym__string_start,
    ACTIONS(15740), 1,
      sym__command_start,
    ACTIONS(19452), 1,
      sym__word_identifier,
    ACTIONS(22238), 1,
      sym_character_literal,
    ACTIONS(22240), 1,
      sym__immediate_paren,
    STATE(9246), 1,
      sym_identifier,
    STATE(17061), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9411), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256097] = 12,
    ACTIONS(957), 1,
      anon_sym_DOLLAR,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(989), 1,
      sym__string_start,
    ACTIONS(991), 1,
      sym__command_start,
    ACTIONS(20331), 1,
      sym__word_identifier,
    ACTIONS(22168), 1,
      anon_sym_COLON,
    ACTIONS(22170), 1,
      sym_character_literal,
    ACTIONS(22172), 1,
      sym__immediate_paren,
    STATE(59), 1,
      sym_macro_identifier,
    STATE(4355), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5959), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256141] = 12,
    ACTIONS(1081), 1,
      sym__string_start,
    ACTIONS(1083), 1,
      sym__command_start,
    ACTIONS(9124), 1,
      anon_sym_AT,
    ACTIONS(9206), 1,
      anon_sym_DOLLAR,
    ACTIONS(20263), 1,
      sym__word_identifier,
    ACTIONS(22194), 1,
      anon_sym_COLON,
    ACTIONS(22196), 1,
      sym_character_literal,
    ACTIONS(22198), 1,
      sym__immediate_paren,
    STATE(65), 1,
      sym_macro_identifier,
    STATE(5128), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6361), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256185] = 12,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(487), 1,
      sym__string_start,
    ACTIONS(489), 1,
      sym__command_start,
    ACTIONS(6314), 1,
      anon_sym_DOLLAR,
    ACTIONS(19660), 1,
      sym__word_identifier,
    ACTIONS(22232), 1,
      anon_sym_COLON,
    ACTIONS(22234), 1,
      sym_character_literal,
    ACTIONS(22236), 1,
      sym__immediate_paren,
    STATE(32), 1,
      sym_macro_identifier,
    STATE(4317), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4864), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256229] = 12,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15926), 1,
      anon_sym_COLON,
    ACTIONS(15928), 1,
      anon_sym_DOLLAR,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(22134), 1,
      sym_character_literal,
    ACTIONS(22136), 1,
      sym__immediate_paren,
    STATE(10945), 1,
      sym_identifier,
    STATE(17133), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10178), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256273] = 12,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(4184), 1,
      anon_sym_DOLLAR,
    ACTIONS(4188), 1,
      anon_sym_AT,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22142), 1,
      anon_sym_COLON,
    STATE(9), 1,
      sym_macro_identifier,
    STATE(10224), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256317] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(15918), 1,
      anon_sym_COLON,
    ACTIONS(15920), 1,
      anon_sym_DOLLAR,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(22108), 1,
      sym_character_literal,
    ACTIONS(22110), 1,
      sym__immediate_paren,
    STATE(10841), 1,
      sym_identifier,
    STATE(17215), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10054), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256361] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    ACTIONS(15788), 1,
      anon_sym_COLON,
    ACTIONS(15790), 1,
      anon_sym_DOLLAR,
    ACTIONS(19743), 1,
      sym__word_identifier,
    ACTIONS(22242), 1,
      sym_character_literal,
    ACTIONS(22244), 1,
      sym__immediate_paren,
    STATE(14423), 1,
      sym_identifier,
    STATE(17230), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14381), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256405] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15672), 1,
      anon_sym_COLON,
    ACTIONS(15680), 1,
      anon_sym_DOLLAR,
    ACTIONS(15686), 1,
      sym__string_start,
    ACTIONS(15688), 1,
      sym__command_start,
    ACTIONS(19688), 1,
      sym__word_identifier,
    ACTIONS(22246), 1,
      sym_character_literal,
    ACTIONS(22248), 1,
      sym__immediate_paren,
    STATE(9319), 1,
      sym_identifier,
    STATE(17137), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9462), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256449] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(15690), 1,
      anon_sym_COLON,
    ACTIONS(15692), 1,
      anon_sym_DOLLAR,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(22108), 1,
      sym_character_literal,
    ACTIONS(22110), 1,
      sym__immediate_paren,
    STATE(10530), 1,
      sym_identifier,
    STATE(17215), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10054), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256493] = 12,
    ACTIONS(961), 1,
      anon_sym_AT,
    ACTIONS(3005), 1,
      anon_sym_DOLLAR,
    ACTIONS(3029), 1,
      sym__string_start,
    ACTIONS(3031), 1,
      sym__command_start,
    ACTIONS(19896), 1,
      sym__word_identifier,
    ACTIONS(22118), 1,
      sym_character_literal,
    ACTIONS(22120), 1,
      sym__immediate_paren,
    ACTIONS(22126), 1,
      anon_sym_COLON,
    STATE(159), 1,
      sym_macro_identifier,
    STATE(10227), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10500), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256537] = 12,
    ACTIONS(85), 1,
      sym__string_start,
    ACTIONS(87), 1,
      sym__command_start,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4776), 1,
      anon_sym_AT,
    ACTIONS(19462), 1,
      sym__word_identifier,
    ACTIONS(22056), 1,
      sym_character_literal,
    ACTIONS(22058), 1,
      sym__immediate_paren,
    ACTIONS(22098), 1,
      anon_sym_COLON,
    STATE(41), 1,
      sym_macro_identifier,
    STATE(10420), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9888), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256581] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(15368), 1,
      sym__string_start,
    ACTIONS(15370), 1,
      sym__command_start,
    ACTIONS(19743), 1,
      sym__word_identifier,
    ACTIONS(22242), 1,
      sym_character_literal,
    ACTIONS(22244), 1,
      sym__immediate_paren,
    STATE(14338), 1,
      sym_identifier,
    STATE(17230), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14381), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256625] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15960), 1,
      anon_sym_COLON,
    ACTIONS(15968), 1,
      anon_sym_DOLLAR,
    ACTIONS(15974), 1,
      sym__string_start,
    ACTIONS(15976), 1,
      sym__command_start,
    ACTIONS(20071), 1,
      sym__word_identifier,
    ACTIONS(22250), 1,
      sym_character_literal,
    ACTIONS(22252), 1,
      sym__immediate_paren,
    STATE(4289), 1,
      sym_identifier,
    STATE(16723), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4957), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256669] = 12,
    ACTIONS(13232), 1,
      sym__string_start,
    ACTIONS(13234), 1,
      sym__command_start,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(16084), 1,
      anon_sym_COLON,
    ACTIONS(16086), 1,
      anon_sym_DOLLAR,
    ACTIONS(19528), 1,
      sym__word_identifier,
    ACTIONS(22134), 1,
      sym_character_literal,
    ACTIONS(22136), 1,
      sym__immediate_paren,
    STATE(10714), 1,
      sym_identifier,
    STATE(17133), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10178), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256713] = 12,
    ACTIONS(14415), 1,
      anon_sym_AT,
    ACTIONS(15564), 1,
      sym__string_start,
    ACTIONS(15566), 1,
      sym__command_start,
    ACTIONS(16078), 1,
      anon_sym_COLON,
    ACTIONS(16080), 1,
      anon_sym_DOLLAR,
    ACTIONS(19950), 1,
      sym__word_identifier,
    ACTIONS(22108), 1,
      sym_character_literal,
    ACTIONS(22110), 1,
      sym__immediate_paren,
    STATE(10497), 1,
      sym_identifier,
    STATE(17215), 1,
      sym_macro_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10054), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256757] = 12,
    ACTIONS(173), 1,
      sym__string_start,
    ACTIONS(175), 1,
      sym__command_start,
    ACTIONS(5390), 1,
      anon_sym_DOLLAR,
    ACTIONS(5394), 1,
      anon_sym_AT,
    ACTIONS(19700), 1,
      sym__word_identifier,
    ACTIONS(22226), 1,
      anon_sym_COLON,
    ACTIONS(22228), 1,
      sym_character_literal,
    ACTIONS(22230), 1,
      sym__immediate_paren,
    STATE(5), 1,
      sym_macro_identifier,
    STATE(10294), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10856), 7,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [256801] = 5,
    ACTIONS(11932), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22254), 1,
      anon_sym_do,
    STATE(14402), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11934), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [256826] = 5,
    ACTIONS(11900), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22254), 1,
      anon_sym_do,
    STATE(14377), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11898), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [256851] = 5,
    ACTIONS(11918), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22254), 1,
      anon_sym_do,
    STATE(14373), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11916), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [256876] = 3,
    ACTIONS(11868), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11866), 11,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [256897] = 5,
    ACTIONS(11892), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22254), 1,
      anon_sym_do,
    STATE(14355), 1,
      sym_do_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11894), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [256922] = 3,
    ACTIONS(12042), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12044), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [256942] = 3,
    ACTIONS(11974), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11984), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [256962] = 5,
    ACTIONS(11992), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22022), 1,
      sym__word_identifier,
    STATE(14386), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11990), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [256986] = 5,
    ACTIONS(11988), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22022), 1,
      sym__word_identifier,
    STATE(14354), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11986), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257010] = 3,
    ACTIONS(12024), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12046), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257030] = 4,
    ACTIONS(22256), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11958), 2,
      anon_sym_DOT,
      aux_sym_integer_literal_token4,
    ACTIONS(11960), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257052] = 5,
    ACTIONS(11884), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15192), 1,
      sym__immediate_string_start,
    ACTIONS(15194), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11886), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257076] = 3,
    ACTIONS(12018), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12016), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257096] = 5,
    ACTIONS(11880), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15192), 1,
      sym__immediate_string_start,
    ACTIONS(15194), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11882), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257120] = 5,
    ACTIONS(91), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15192), 1,
      sym__immediate_string_start,
    ACTIONS(15194), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(171), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257144] = 3,
    ACTIONS(11976), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12052), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257164] = 3,
    ACTIONS(12034), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12036), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257184] = 3,
    ACTIONS(12038), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12040), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257204] = 3,
    ACTIONS(12002), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12004), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257224] = 5,
    ACTIONS(11926), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15192), 1,
      sym__immediate_string_start,
    ACTIONS(15194), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11928), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257248] = 5,
    ACTIONS(11966), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22022), 1,
      sym__word_identifier,
    STATE(14351), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11968), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257272] = 3,
    ACTIONS(12014), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12012), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257292] = 3,
    ACTIONS(12064), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12082), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257312] = 5,
    ACTIONS(11978), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22022), 1,
      sym__word_identifier,
    STATE(14371), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11980), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257336] = 3,
    ACTIONS(12048), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12050), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257356] = 3,
    ACTIONS(12030), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12032), 10,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_do,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257376] = 3,
    ACTIONS(12192), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12194), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257395] = 3,
    ACTIONS(12210), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12212), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257414] = 3,
    ACTIONS(12088), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12090), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257433] = 3,
    ACTIONS(12230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12232), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257452] = 3,
    ACTIONS(12350), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12352), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257471] = 3,
    ACTIONS(12326), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12324), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257490] = 3,
    ACTIONS(12180), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12182), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257509] = 3,
    ACTIONS(12184), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12186), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257528] = 3,
    ACTIONS(12188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12190), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257547] = 3,
    ACTIONS(12288), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12290), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257566] = 3,
    ACTIONS(11868), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11866), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257585] = 3,
    ACTIONS(12112), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12110), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257604] = 3,
    ACTIONS(12250), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12252), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257623] = 3,
    ACTIONS(11926), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11928), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257642] = 3,
    ACTIONS(12026), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12028), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257661] = 3,
    ACTIONS(12238), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12240), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257680] = 3,
    ACTIONS(12296), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12298), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257699] = 3,
    ACTIONS(12300), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12302), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257718] = 3,
    ACTIONS(12062), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12060), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257737] = 3,
    ACTIONS(12176), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12178), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257756] = 3,
    ACTIONS(12196), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12198), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257775] = 3,
    ACTIONS(12328), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12330), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257794] = 3,
    ACTIONS(12164), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12166), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257813] = 3,
    ACTIONS(11892), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11894), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257832] = 3,
    ACTIONS(12354), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12356), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257851] = 3,
    ACTIONS(12246), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12248), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257870] = 3,
    ACTIONS(12148), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12150), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257889] = 3,
    ACTIONS(12152), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12154), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257908] = 3,
    ACTIONS(12242), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12244), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257927] = 3,
    ACTIONS(11884), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11886), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257946] = 3,
    ACTIONS(11880), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11882), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257965] = 3,
    ACTIONS(11970), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11972), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [257984] = 3,
    ACTIONS(12208), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12206), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258003] = 3,
    ACTIONS(11958), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11960), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258022] = 3,
    ACTIONS(12322), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12320), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258041] = 3,
    ACTIONS(12234), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12236), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258060] = 3,
    ACTIONS(12162), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12160), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258079] = 3,
    ACTIONS(12262), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12264), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258098] = 3,
    ACTIONS(12214), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12216), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258117] = 3,
    ACTIONS(12170), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12172), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258136] = 3,
    ACTIONS(12348), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12346), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258155] = 3,
    ACTIONS(12218), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12220), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258174] = 3,
    ACTIONS(12258), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12260), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258193] = 3,
    ACTIONS(11932), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11934), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258212] = 3,
    ACTIONS(12226), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12228), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258231] = 3,
    ACTIONS(12020), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12022), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258250] = 3,
    ACTIONS(2188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2186), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258269] = 3,
    ACTIONS(12156), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12158), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258288] = 3,
    ACTIONS(12342), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12344), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258307] = 3,
    ACTIONS(12140), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12142), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258326] = 3,
    ACTIONS(12254), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12256), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258345] = 3,
    ACTIONS(12338), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12340), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258364] = 3,
    ACTIONS(12318), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12316), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258383] = 3,
    ACTIONS(12136), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12138), 9,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258402] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22260), 1,
      anon_sym_if,
    ACTIONS(22263), 1,
      anon_sym_for,
    ACTIONS(22266), 1,
      anon_sym_LF,
    ACTIONS(22258), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14405), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [258428] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22271), 1,
      anon_sym_if,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22275), 1,
      anon_sym_LF,
    ACTIONS(22269), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14405), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [258454] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22271), 1,
      anon_sym_if,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22279), 1,
      anon_sym_LF,
    ACTIONS(22277), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14405), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [258480] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22271), 1,
      anon_sym_if,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22279), 1,
      anon_sym_LF,
    ACTIONS(22277), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14406), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [258506] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22271), 1,
      anon_sym_if,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22283), 1,
      anon_sym_LF,
    ACTIONS(22281), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14407), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [258532] = 8,
    ACTIONS(15212), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22285), 1,
      anon_sym_SQUOTE,
    ACTIONS(22287), 1,
      anon_sym_DOT,
    ACTIONS(22289), 1,
      sym__immediate_paren,
    ACTIONS(22291), 1,
      sym__immediate_bracket,
    ACTIONS(22293), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15214), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258560] = 3,
    ACTIONS(11868), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11866), 8,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258578] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18454), 1,
      anon_sym_SEMI,
    ACTIONS(22295), 1,
      anon_sym_COMMA,
    ACTIONS(22297), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14757), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16125), 1,
      aux_sym_argument_list_repeat1,
    STATE(17857), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [258607] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18610), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22301), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14571), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(18130), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [258636] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22305), 1,
      sym__immediate_brace,
    STATE(15231), 1,
      sym_type_clause,
    STATE(18286), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258661] = 5,
    ACTIONS(11992), 1,
      anon_sym_end,
    ACTIONS(22307), 1,
      sym__word_identifier,
    STATE(14386), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11990), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
  [258682] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18424), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22309), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15084), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(17730), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [258711] = 4,
    ACTIONS(22311), 1,
      sym__immediate_string_start,
    ACTIONS(22313), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11886), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
  [258730] = 5,
    ACTIONS(11988), 1,
      anon_sym_end,
    ACTIONS(22307), 1,
      sym__word_identifier,
    STATE(14354), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11986), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
  [258751] = 5,
    ACTIONS(11978), 1,
      anon_sym_end,
    ACTIONS(22307), 1,
      sym__word_identifier,
    STATE(14371), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11980), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
  [258772] = 5,
    ACTIONS(11966), 1,
      anon_sym_end,
    ACTIONS(22307), 1,
      sym__word_identifier,
    STATE(14351), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11968), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_DOT,
  [258793] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22315), 1,
      sym__immediate_brace,
    STATE(15214), 1,
      sym_type_clause,
    STATE(18394), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258818] = 3,
    ACTIONS(12170), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12172), 7,
      anon_sym_end,
      anon_sym_LT_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258835] = 4,
    ACTIONS(22311), 1,
      sym__immediate_string_start,
    ACTIONS(22313), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11882), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
  [258854] = 3,
    ACTIONS(12210), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12212), 7,
      anon_sym_end,
      anon_sym_LT_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258871] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18556), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22317), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14619), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(17716), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [258900] = 3,
    ACTIONS(12250), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12252), 7,
      anon_sym_end,
      anon_sym_LT_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258917] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22271), 1,
      anon_sym_if,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22319), 1,
      anon_sym_LF,
    STATE(14408), 2,
      sym_if_clause,
      sym_for_clause,
    ACTIONS(22281), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [258942] = 3,
    ACTIONS(12156), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12158), 7,
      anon_sym_end,
      anon_sym_LT_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [258959] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18490), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22321), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14924), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(17818), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [258988] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22323), 1,
      sym__immediate_brace,
    STATE(15205), 1,
      sym_type_clause,
    STATE(18505), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259013] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22325), 1,
      sym__immediate_brace,
    STATE(15331), 1,
      sym_type_clause,
    STATE(19511), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259038] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19470), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(19468), 6,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [259057] = 4,
    ACTIONS(22311), 1,
      sym__immediate_string_start,
    ACTIONS(22313), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(171), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
  [259076] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22327), 1,
      sym__immediate_brace,
    STATE(15312), 1,
      sym_type_clause,
    STATE(19400), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259101] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22329), 1,
      sym__immediate_brace,
    STATE(15248), 1,
      sym_type_clause,
    STATE(18178), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259126] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22331), 1,
      sym__immediate_brace,
    STATE(15267), 1,
      sym_type_clause,
    STATE(19778), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259151] = 5,
    ACTIONS(11966), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    STATE(14474), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11968), 5,
      sym__immediate_brace,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259172] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22271), 1,
      anon_sym_if,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22337), 1,
      anon_sym_LF,
    STATE(14409), 2,
      sym_if_clause,
      sym_for_clause,
    ACTIONS(22335), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [259197] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18604), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22339), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14923), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(17964), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [259226] = 5,
    ACTIONS(11978), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    STATE(14478), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11980), 5,
      sym__immediate_brace,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259247] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(18957), 1,
      anon_sym_COMMA,
    STATE(14473), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [259270] = 5,
    ACTIONS(11988), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    STATE(14487), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11986), 5,
      sym__immediate_brace,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259291] = 5,
    ACTIONS(11992), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    STATE(14492), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11990), 5,
      sym__immediate_brace,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259312] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22263), 1,
      anon_sym_for,
    ACTIONS(22341), 1,
      anon_sym_if,
    ACTIONS(22344), 1,
      anon_sym_LF,
    ACTIONS(22258), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14444), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [259337] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22347), 1,
      anon_sym_if,
    ACTIONS(22350), 1,
      anon_sym_for,
    ACTIONS(22353), 1,
      anon_sym_LF,
    ACTIONS(22258), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14445), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [259362] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22356), 1,
      anon_sym_if,
    ACTIONS(22358), 1,
      anon_sym_for,
    ACTIONS(22360), 1,
      anon_sym_LF,
    ACTIONS(22269), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14445), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [259387] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22362), 1,
      anon_sym_if,
    ACTIONS(22364), 1,
      anon_sym_LF,
    ACTIONS(22269), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14444), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [259412] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(19387), 1,
      anon_sym_COMMA,
    STATE(14448), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [259435] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(18734), 1,
      anon_sym_COMMA,
    STATE(14448), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [259458] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22366), 1,
      sym__immediate_brace,
    STATE(15199), 1,
      sym_type_clause,
    STATE(18637), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259483] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22368), 1,
      sym__immediate_brace,
    STATE(15250), 1,
      sym_type_clause,
    STATE(18277), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259508] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22362), 1,
      anon_sym_if,
    ACTIONS(22370), 1,
      anon_sym_LF,
    ACTIONS(22277), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14444), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [259533] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22362), 1,
      anon_sym_if,
    ACTIONS(22370), 1,
      anon_sym_LF,
    ACTIONS(22277), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14447), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [259558] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22372), 1,
      sym__immediate_brace,
    STATE(15274), 1,
      sym_type_clause,
    STATE(19123), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259583] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18468), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22374), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14689), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(17841), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [259612] = 4,
    ACTIONS(11958), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22376), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11960), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259631] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18642), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22378), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15152), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(17441), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [259660] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18416), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22380), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15119), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(17369), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [259689] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22356), 1,
      anon_sym_if,
    ACTIONS(22358), 1,
      anon_sym_for,
    ACTIONS(22382), 1,
      anon_sym_LF,
    ACTIONS(22281), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14471), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [259714] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22384), 1,
      sym__immediate_brace,
    STATE(15196), 1,
      sym_type_clause,
    STATE(18770), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259739] = 4,
    ACTIONS(22311), 1,
      sym__immediate_string_start,
    ACTIONS(22313), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11928), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_SQUOTE,
      anon_sym_DOT,
  [259758] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22386), 1,
      sym__immediate_brace,
    STATE(15225), 1,
      sym_type_clause,
    STATE(18922), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259783] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18682), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22388), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14582), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(17810), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [259812] = 5,
    ACTIONS(11926), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22390), 1,
      sym__immediate_string_start,
    ACTIONS(22392), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11928), 5,
      sym__immediate_brace,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259833] = 7,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    ACTIONS(22394), 1,
      sym__immediate_brace,
    STATE(15262), 1,
      sym_type_clause,
    STATE(18445), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [259858] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22362), 1,
      anon_sym_if,
    ACTIONS(22396), 1,
      anon_sym_LF,
    ACTIONS(22281), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14452), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [259883] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18344), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22398), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14840), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(17465), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [259912] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18582), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22400), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14614), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(17820), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [259941] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18676), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22402), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15015), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(17612), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [259970] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22356), 1,
      anon_sym_if,
    ACTIONS(22358), 1,
      anon_sym_for,
    ACTIONS(22404), 1,
      anon_sym_LF,
    ACTIONS(22277), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14446), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [259995] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22356), 1,
      anon_sym_if,
    ACTIONS(22358), 1,
      anon_sym_for,
    ACTIONS(22404), 1,
      anon_sym_LF,
    ACTIONS(22277), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14445), 3,
      sym_if_clause,
      sym_for_clause,
      aux_sym__comprehension_clause_repeat1,
  [260020] = 9,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18430), 1,
      anon_sym_SEMI,
    ACTIONS(22299), 1,
      anon_sym_COMMA,
    ACTIONS(22406), 1,
      anon_sym_RPAREN,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14823), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15593), 1,
      aux_sym_argument_list_repeat1,
    STATE(18102), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [260049] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(19372), 1,
      anon_sym_COMMA,
    STATE(14473), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [260072] = 3,
    ACTIONS(12192), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12194), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260088] = 3,
    ACTIONS(12348), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12346), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260104] = 3,
    ACTIONS(12208), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12206), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260120] = 3,
    ACTIONS(12210), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12212), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260136] = 3,
    ACTIONS(12196), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12198), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260152] = 5,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22410), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
    ACTIONS(22408), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [260172] = 3,
    ACTIONS(12188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12190), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260188] = 3,
    ACTIONS(12180), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12182), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260204] = 3,
    ACTIONS(12176), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12178), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260220] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22362), 1,
      anon_sym_if,
    ACTIONS(22412), 1,
      anon_sym_LF,
    ACTIONS(22335), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14466), 2,
      sym_if_clause,
      sym_for_clause,
  [260244] = 3,
    ACTIONS(12218), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12220), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260260] = 3,
    ACTIONS(12226), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12228), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260276] = 3,
    ACTIONS(12020), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12022), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260292] = 3,
    ACTIONS(12230), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12232), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260308] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22414), 1,
      anon_sym_COMMA,
    ACTIONS(22418), 1,
      anon_sym_LF,
    STATE(14512), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(22416), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [260330] = 3,
    ACTIONS(12184), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12186), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260346] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22356), 1,
      anon_sym_if,
    ACTIONS(22358), 1,
      anon_sym_for,
    ACTIONS(22420), 1,
      anon_sym_LF,
    ACTIONS(22335), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14459), 2,
      sym_if_clause,
      sym_for_clause,
  [260370] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22273), 1,
      anon_sym_for,
    ACTIONS(22319), 1,
      anon_sym_LF,
    ACTIONS(22362), 1,
      anon_sym_if,
    ACTIONS(22281), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14453), 2,
      sym_if_clause,
      sym_for_clause,
  [260394] = 3,
    ACTIONS(12234), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12236), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260410] = 3,
    ACTIONS(12250), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12252), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260426] = 3,
    ACTIONS(11926), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11928), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260442] = 3,
    ACTIONS(12258), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12260), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260458] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15218), 1,
      sym_type_clause,
    STATE(18854), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260480] = 3,
    ACTIONS(12262), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12264), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260496] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15194), 1,
      sym_type_clause,
    STATE(18709), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260518] = 3,
    ACTIONS(12026), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12028), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260534] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15263), 1,
      sym_type_clause,
    STATE(18518), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260556] = 3,
    ACTIONS(12112), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12110), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260572] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15181), 1,
      sym_type_clause,
    STATE(19662), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260594] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22319), 1,
      anon_sym_LF,
    ACTIONS(22356), 1,
      anon_sym_if,
    ACTIONS(22358), 1,
      anon_sym_for,
    ACTIONS(22281), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14470), 2,
      sym_if_clause,
      sym_for_clause,
  [260618] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(20297), 1,
      anon_sym_COMMA,
    STATE(14504), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [260640] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15272), 1,
      sym_type_clause,
    STATE(19045), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260662] = 3,
    ACTIONS(11958), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11960), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260678] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17722), 1,
      anon_sym_EQ,
    ACTIONS(18827), 1,
      anon_sym_LF,
    ACTIONS(18831), 1,
      aux_sym__terminator_token1,
    STATE(15001), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 3,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
  [260702] = 3,
    ACTIONS(12326), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12324), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260718] = 3,
    ACTIONS(12156), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12158), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260734] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(20053), 1,
      anon_sym_COMMA,
    STATE(14504), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [260756] = 3,
    ACTIONS(12214), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12216), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260772] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22414), 1,
      anon_sym_COMMA,
    ACTIONS(22424), 1,
      anon_sym_LF,
    STATE(14514), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(22422), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [260794] = 3,
    ACTIONS(12288), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12290), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260810] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15247), 1,
      anon_sym_LF,
    ACTIONS(22426), 1,
      anon_sym_COMMA,
    STATE(14514), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(15242), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [260832] = 3,
    ACTIONS(12296), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12298), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260848] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15247), 1,
      anon_sym_LF,
    ACTIONS(15242), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [260866] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15254), 1,
      sym_type_clause,
    STATE(18339), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260888] = 3,
    ACTIONS(12300), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12302), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260904] = 3,
    ACTIONS(12136), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12138), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260920] = 3,
    ACTIONS(12170), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12172), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260936] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15201), 1,
      sym_type_clause,
    STATE(18584), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260958] = 3,
    ACTIONS(12162), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12160), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260974] = 3,
    ACTIONS(12242), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12244), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [260990] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22429), 1,
      anon_sym_LF,
    ACTIONS(22258), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [261008] = 3,
    ACTIONS(12246), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12248), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261024] = 3,
    ACTIONS(11868), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11866), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261040] = 3,
    ACTIONS(11970), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11972), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261056] = 3,
    ACTIONS(12088), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12090), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261072] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(19568), 1,
      anon_sym_COMMA,
    STATE(14544), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [261094] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15249), 1,
      sym_type_clause,
    STATE(18188), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261116] = 3,
    ACTIONS(12062), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12060), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261132] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15309), 1,
      sym_type_clause,
    STATE(19289), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261154] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22418), 1,
      anon_sym_LF,
    ACTIONS(22431), 1,
      anon_sym_COMMA,
    STATE(14540), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(22416), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [261176] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(20326), 1,
      anon_sym_COMMA,
    STATE(14534), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
  [261198] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(20041), 1,
      anon_sym_COMMA,
    STATE(14534), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
  [261220] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15247), 1,
      anon_sym_LF,
    ACTIONS(22433), 1,
      anon_sym_COMMA,
    STATE(14536), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(15242), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [261242] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15198), 1,
      sym_type_clause,
    STATE(18459), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261264] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17796), 1,
      anon_sym_EQ,
    ACTIONS(19083), 1,
      anon_sym_LF,
    ACTIONS(19087), 1,
      aux_sym__terminator_token1,
    STATE(15090), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [261288] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15344), 1,
      sym_type_clause,
    STATE(19466), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261310] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(22424), 1,
      anon_sym_LF,
    ACTIONS(22431), 1,
      anon_sym_COMMA,
    STATE(14536), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(22422), 4,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [261332] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15220), 1,
      sym_type_clause,
    STATE(18350), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261354] = 3,
    ACTIONS(12254), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12256), 6,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261370] = 5,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22410), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
    ACTIONS(22436), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [261390] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(19962), 1,
      anon_sym_COMMA,
    STATE(14544), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [261412] = 5,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22410), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
    ACTIONS(22438), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [261432] = 6,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(22303), 1,
      anon_sym_LT_COLON,
    STATE(15232), 1,
      sym_type_clause,
    STATE(18242), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [261454] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22444), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261473] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19418), 1,
      anon_sym_RPAREN,
    ACTIONS(19420), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14784), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17542), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [261496] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22448), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22446), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14553), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261515] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17796), 1,
      anon_sym_EQ,
    ACTIONS(13210), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [261534] = 7,
    ACTIONS(10898), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22450), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17791), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [261557] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22456), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261576] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22458), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261595] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22462), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22460), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14606), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261614] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22464), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261633] = 7,
    ACTIONS(10588), 1,
      anon_sym_RPAREN,
    ACTIONS(22466), 1,
      anon_sym_COMMA,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19365), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [261656] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19194), 1,
      anon_sym_RPAREN,
    ACTIONS(19196), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14577), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17774), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [261679] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19318), 1,
      anon_sym_RPAREN,
    ACTIONS(19320), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15152), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17441), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [261702] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22470), 1,
      anon_sym_end,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    STATE(18168), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14570), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [261723] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22476), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22474), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14565), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261742] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22480), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22478), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14555), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261761] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19236), 1,
      anon_sym_RPAREN,
    ACTIONS(19238), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15084), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17730), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [261784] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22482), 1,
      anon_sym_end,
    STATE(18169), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [261805] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22484), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261824] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22486), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261843] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22490), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22488), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14589), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261862] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22492), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261881] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22496), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22494), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14610), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261900] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22500), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22498), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14586), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [261919] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22502), 1,
      anon_sym_end,
    STATE(18195), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [261940] = 7,
    ACTIONS(9352), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22504), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18149), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [261963] = 5,
    ACTIONS(18470), 1,
      sym__word_identifier,
    ACTIONS(22506), 1,
      anon_sym_COLON,
    ACTIONS(22508), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11740), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [261982] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22512), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22510), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14564), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262001] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22516), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22514), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14567), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262020] = 7,
    ACTIONS(10162), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22518), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19362), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262043] = 7,
    ACTIONS(9158), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22520), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17786), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262066] = 7,
    ACTIONS(10930), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22522), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17763), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262089] = 7,
    ACTIONS(10084), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22524), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19341), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262112] = 7,
    ACTIONS(9260), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22526), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18158), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262135] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22528), 1,
      anon_sym_end,
    STATE(18170), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [262156] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19218), 1,
      anon_sym_RPAREN,
    ACTIONS(19220), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14597), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17742), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262179] = 7,
    ACTIONS(10538), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22530), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17817), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262202] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22532), 1,
      anon_sym_end,
    STATE(18171), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14563), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [262223] = 7,
    ACTIONS(10780), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22534), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19417), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262246] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22536), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262265] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22538), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262284] = 5,
    ACTIONS(15704), 1,
      anon_sym_COLON,
    ACTIONS(15712), 1,
      anon_sym_DOLLAR,
    ACTIONS(21962), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6682), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [262303] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22542), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22540), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14585), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262322] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22544), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262341] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22548), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22546), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14593), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262360] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22552), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22550), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14594), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262379] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22556), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22554), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14632), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262398] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22558), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262417] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22560), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262436] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22564), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22562), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14633), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262455] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19172), 1,
      anon_sym_RPAREN,
    ACTIONS(19174), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14796), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17867), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262478] = 7,
    ACTIONS(10730), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22566), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17735), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262501] = 7,
    ACTIONS(9690), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22568), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19311), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262524] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18941), 1,
      anon_sym_RPAREN,
    ACTIONS(18943), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14576), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17775), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262547] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18710), 1,
      anon_sym_RPAREN,
    ACTIONS(18712), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14638), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17690), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262570] = 5,
    ACTIONS(18502), 1,
      sym__word_identifier,
    ACTIONS(22570), 1,
      anon_sym_COLON,
    ACTIONS(22572), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7122), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [262589] = 7,
    ACTIONS(9606), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22574), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19328), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262612] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19079), 1,
      anon_sym_RPAREN,
    ACTIONS(19081), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14551), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17800), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262635] = 7,
    ACTIONS(9830), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22576), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17744), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262658] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22578), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262677] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22580), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262696] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22584), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22582), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14609), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262715] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22588), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22586), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14611), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262734] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22590), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262753] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22592), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262772] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22594), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262791] = 7,
    ACTIONS(10842), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22596), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19406), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262814] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22598), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262833] = 7,
    ACTIONS(9792), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22600), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17814), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262856] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22602), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262875] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22604), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262894] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22608), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22606), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14613), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262913] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22612), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22610), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14615), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262932] = 7,
    ACTIONS(9846), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22614), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17707), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262955] = 7,
    ACTIONS(8670), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22616), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19270), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [262978] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22618), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [262997] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19410), 1,
      anon_sym_RPAREN,
    ACTIONS(19412), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14656), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17659), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263020] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19392), 1,
      anon_sym_RPAREN,
    ACTIONS(19394), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14923), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17964), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263043] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22622), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22620), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14630), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263062] = 5,
    ACTIONS(21870), 1,
      sym__word_identifier,
    ACTIONS(22624), 1,
      anon_sym_COLON,
    ACTIONS(22626), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7572), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [263081] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22630), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22628), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14631), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263100] = 7,
    ACTIONS(8984), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22632), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19280), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263123] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22634), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263142] = 7,
    ACTIONS(10358), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22636), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17710), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263165] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22638), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263184] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22640), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263203] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22642), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263222] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22644), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263241] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22646), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263260] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22648), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263279] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22652), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22650), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14616), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263298] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22656), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22654), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14628), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263317] = 7,
    ACTIONS(10196), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22658), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17685), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263340] = 7,
    ACTIONS(9074), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22660), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19235), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263363] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19324), 1,
      anon_sym_RPAREN,
    ACTIONS(19326), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14930), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18093), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263386] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22662), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263405] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22664), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263424] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19377), 1,
      anon_sym_RPAREN,
    ACTIONS(19379), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14683), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17625), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263447] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22668), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22666), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14634), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263466] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22672), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22670), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14641), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263485] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22676), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22674), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14642), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263504] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22678), 1,
      anon_sym_end,
    STATE(18238), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [263525] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22682), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22680), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14621), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263544] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22686), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22684), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14653), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263563] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18722), 1,
      anon_sym_RPAREN,
    ACTIONS(18724), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14629), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17697), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263586] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22690), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22688), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14659), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263605] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22694), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22692), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14660), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263624] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22696), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263643] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22698), 1,
      anon_sym_end,
    STATE(18252), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [263664] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19306), 1,
      anon_sym_RPAREN,
    ACTIONS(19308), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14604), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17737), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263687] = 7,
    ACTIONS(9770), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22700), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17650), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263710] = 5,
    ACTIONS(21784), 1,
      sym__word_identifier,
    ACTIONS(22702), 1,
      anon_sym_COLON,
    ACTIONS(22704), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6914), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [263729] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22708), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22706), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14635), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263748] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22710), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263767] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22712), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [263786] = 7,
    ACTIONS(9400), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22714), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19211), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263809] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22716), 1,
      anon_sym_end,
    STATE(18253), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14647), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [263830] = 7,
    ACTIONS(9398), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22718), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19226), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263853] = 7,
    ACTIONS(10610), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22720), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17672), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263876] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19296), 1,
      anon_sym_RPAREN,
    ACTIONS(19298), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14717), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17603), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263899] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18947), 1,
      anon_sym_RPAREN,
    ACTIONS(18949), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15164), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17616), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263922] = 7,
    ACTIONS(9256), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22722), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19879), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263945] = 5,
    ACTIONS(18618), 1,
      sym__word_identifier,
    ACTIONS(22724), 1,
      anon_sym_COLON,
    ACTIONS(22726), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7814), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [263964] = 7,
    ACTIONS(10420), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22728), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18099), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [263987] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22730), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264006] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22732), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264025] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22736), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22734), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14677), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264044] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22740), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22738), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14670), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264063] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22744), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22742), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14671), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264082] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22748), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22746), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14678), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264101] = 7,
    ACTIONS(10642), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22750), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18128), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264124] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22752), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264143] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22754), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264162] = 7,
    ACTIONS(9300), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22756), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19836), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264185] = 7,
    ACTIONS(10508), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22758), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18266), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264208] = 7,
    ACTIONS(8624), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22760), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18082), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264231] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18997), 1,
      anon_sym_RPAREN,
    ACTIONS(18999), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14696), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17843), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264254] = 7,
    ACTIONS(9160), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22762), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17620), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264277] = 7,
    ACTIONS(9684), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22764), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19166), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264300] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22766), 1,
      anon_sym_end,
    STATE(18278), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [264321] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22768), 1,
      anon_sym_end,
    STATE(18279), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14654), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [264342] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22772), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22770), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14605), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264361] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19242), 1,
      anon_sym_RPAREN,
    ACTIONS(19244), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15139), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18044), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264384] = 7,
    ACTIONS(9334), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22774), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17850), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264407] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18931), 1,
      anon_sym_RPAREN,
    ACTIONS(18933), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14743), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17583), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264430] = 7,
    ACTIONS(10962), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22776), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19502), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264453] = 7,
    ACTIONS(10958), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22778), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19468), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264476] = 7,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22780), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19180), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264499] = 5,
    ACTIONS(21808), 1,
      sym__word_identifier,
    ACTIONS(22782), 1,
      anon_sym_COLON,
    ACTIONS(22784), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7345), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [264518] = 5,
    ACTIONS(21820), 1,
      sym__word_identifier,
    ACTIONS(22786), 1,
      anon_sym_COLON,
    ACTIONS(22788), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7774), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [264537] = 7,
    ACTIONS(9050), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22790), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17836), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264560] = 5,
    ACTIONS(18656), 1,
      sym__word_identifier,
    ACTIONS(22792), 1,
      anon_sym_COLON,
    ACTIONS(22794), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6818), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [264579] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17722), 1,
      anon_sym_EQ,
    ACTIONS(13210), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [264598] = 7,
    ACTIONS(10808), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22796), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17624), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264621] = 5,
    ACTIONS(18470), 1,
      sym__word_identifier,
    ACTIONS(22798), 1,
      anon_sym_COLON,
    ACTIONS(22800), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11740), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [264640] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22804), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22802), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14706), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264659] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22808), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22806), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14708), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264678] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18917), 1,
      anon_sym_RPAREN,
    ACTIONS(18919), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14903), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17897), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264701] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22810), 1,
      anon_sym_end,
    STATE(18299), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14769), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [264722] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22812), 1,
      anon_sym_end,
    STATE(18300), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [264743] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22814), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264762] = 5,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(22816), 1,
      anon_sym_COLON,
    ACTIONS(22818), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11559), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [264781] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22820), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264800] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22822), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264819] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22824), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264838] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22826), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264857] = 5,
    ACTIONS(18312), 1,
      sym__word_identifier,
    ACTIONS(22828), 1,
      anon_sym_COLON,
    ACTIONS(22830), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11767), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [264876] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20437), 1,
      anon_sym_COMMA,
    STATE(14983), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 2,
      anon_sym_EQ,
      aux_sym__terminator_token1,
    ACTIONS(12972), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [264897] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22832), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264916] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22834), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264935] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22836), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264954] = 7,
    ACTIONS(8980), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22838), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17595), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [264977] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22842), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22840), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14715), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [264996] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22846), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22844), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14711), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265015] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22850), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22848), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14716), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265034] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22854), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22852), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14714), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265053] = 7,
    ACTIONS(9832), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22856), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19138), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265076] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19208), 1,
      anon_sym_RPAREN,
    ACTIONS(19210), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14774), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17547), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265099] = 7,
    ACTIONS(9538), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22858), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18051), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265122] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22862), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22860), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14728), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265141] = 7,
    ACTIONS(10678), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22864), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18309), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265164] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22866), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265183] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22868), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265202] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22870), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265221] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22874), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22872), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14734), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265240] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22878), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22876), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14736), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265259] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22880), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265278] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19224), 1,
      anon_sym_RPAREN,
    ACTIONS(19226), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14664), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17655), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265301] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22882), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265320] = 5,
    ACTIONS(18532), 1,
      sym__word_identifier,
    ACTIONS(22884), 1,
      anon_sym_COLON,
    ACTIONS(22886), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7116), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [265339] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22888), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265358] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22892), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22890), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14709), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265377] = 5,
    ACTIONS(15880), 1,
      anon_sym_COLON,
    ACTIONS(15888), 1,
      anon_sym_DOLLAR,
    ACTIONS(22036), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6578), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [265396] = 7,
    ACTIONS(10192), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22894), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19133), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265419] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22898), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22896), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14727), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265438] = 7,
    ACTIONS(10034), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22900), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17592), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265461] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22904), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22902), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14710), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265480] = 7,
    ACTIONS(9264), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22906), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17568), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265503] = 7,
    ACTIONS(10248), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22908), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19100), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265526] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18800), 1,
      anon_sym_RPAREN,
    ACTIONS(18802), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15104), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17522), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265549] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22910), 1,
      anon_sym_end,
    STATE(18325), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14799), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [265570] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22914), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22912), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14729), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265589] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19290), 1,
      anon_sym_RPAREN,
    ACTIONS(19292), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14614), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17820), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265612] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22916), 1,
      anon_sym_end,
    STATE(19504), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14772), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [265633] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22918), 1,
      anon_sym_end,
    STATE(19503), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [265654] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22922), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22920), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14732), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265673] = 5,
    ACTIONS(22924), 1,
      anon_sym_DOLLAR,
    ACTIONS(22930), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22927), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265692] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22932), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265711] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22934), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265730] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22938), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22936), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14753), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265749] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22942), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22940), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14754), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265768] = 7,
    ACTIONS(9516), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22944), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17848), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265791] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22948), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22946), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14766), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265810] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22952), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22950), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14767), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265829] = 7,
    ACTIONS(10364), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22954), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19488), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265852] = 5,
    ACTIONS(15530), 1,
      anon_sym_COLON,
    ACTIONS(15538), 1,
      anon_sym_DOLLAR,
    ACTIONS(21974), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6193), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [265871] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19312), 1,
      anon_sym_RPAREN,
    ACTIONS(19314), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15004), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17544), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [265894] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22958), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22956), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14768), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265913] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22962), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22960), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14547), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265932] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22964), 1,
      anon_sym_end,
    STATE(18346), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [265953] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22966), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265972] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(22968), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [265991] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(22970), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266010] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22972), 1,
      anon_sym_end,
    STATE(18326), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [266031] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22974), 1,
      anon_sym_end,
    STATE(18360), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [266052] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22976), 1,
      anon_sym_end,
    STATE(19477), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14779), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [266073] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22978), 1,
      anon_sym_end,
    STATE(19476), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [266094] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22980), 1,
      anon_sym_end,
    STATE(18361), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14765), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [266115] = 7,
    ACTIONS(9530), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22982), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17540), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266138] = 7,
    ACTIONS(10480), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22984), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19067), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266161] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19142), 1,
      anon_sym_RPAREN,
    ACTIONS(19144), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14724), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18086), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266184] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19156), 1,
      anon_sym_RPAREN,
    ACTIONS(19158), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14689), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17841), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266207] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19200), 1,
      anon_sym_RPAREN,
    ACTIONS(19202), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14699), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17613), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266230] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22986), 1,
      anon_sym_end,
    STATE(19462), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [266251] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19398), 1,
      anon_sym_RPAREN,
    ACTIONS(19400), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14805), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17521), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266274] = 5,
    ACTIONS(18646), 1,
      sym__word_identifier,
    ACTIONS(22988), 1,
      anon_sym_COLON,
    ACTIONS(22990), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7247), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [266293] = 7,
    ACTIONS(10528), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(22992), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19082), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266316] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22994), 1,
      anon_sym_end,
    STATE(19743), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15053), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [266337] = 7,
    ACTIONS(9726), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22996), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17549), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266360] = 5,
    ACTIONS(15820), 1,
      anon_sym_COLON,
    ACTIONS(15828), 1,
      anon_sym_DOLLAR,
    ACTIONS(21994), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6631), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [266379] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(22998), 1,
      anon_sym_end,
    STATE(19739), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [266400] = 7,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23000), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19527), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266423] = 7,
    ACTIONS(10068), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23002), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17858), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266446] = 7,
    ACTIONS(10698), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23004), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18374), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266469] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23008), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23006), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14792), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266488] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23012), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23010), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14794), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266507] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23014), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266526] = 7,
    ACTIONS(9712), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23016), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18015), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266549] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23018), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266568] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23020), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266587] = 7,
    ACTIONS(9786), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23022), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17874), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266610] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23024), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266629] = 7,
    ACTIONS(9476), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23026), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19570), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266652] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23028), 1,
      anon_sym_end,
    STATE(18368), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [266673] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23032), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23030), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14795), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266692] = 5,
    ACTIONS(18402), 1,
      sym__word_identifier,
    ACTIONS(23034), 1,
      anon_sym_COLON,
    ACTIONS(23036), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7295), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [266711] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23040), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23038), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14797), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266730] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23042), 1,
      anon_sym_end,
    STATE(18386), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [266751] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23044), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266770] = 7,
    ACTIONS(10168), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23046), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17490), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266793] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23048), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266812] = 7,
    ACTIONS(10634), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23050), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19023), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266835] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23052), 1,
      anon_sym_end,
    STATE(18387), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14770), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [266856] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23056), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23054), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14842), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266875] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18794), 1,
      anon_sym_RPAREN,
    ACTIONS(18796), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15009), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17969), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266898] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19180), 1,
      anon_sym_RPAREN,
    ACTIONS(19182), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14619), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17716), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266921] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19091), 1,
      anon_sym_RPAREN,
    ACTIONS(19093), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14571), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18130), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [266944] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23060), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23058), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14820), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266963] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23064), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23062), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14821), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [266982] = 5,
    ACTIONS(18380), 1,
      sym__word_identifier,
    ACTIONS(23066), 1,
      anon_sym_COLON,
    ACTIONS(23068), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6762), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [267001] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23072), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23070), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14804), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267020] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23076), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23074), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14806), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267039] = 7,
    ACTIONS(10968), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23078), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19030), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267062] = 7,
    ACTIONS(9466), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23080), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17515), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267085] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23082), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267104] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23084), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267123] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23088), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23086), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14847), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267142] = 7,
    ACTIONS(10088), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23090), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18033), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267165] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23094), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23092), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14830), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267184] = 7,
    ACTIONS(10600), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23096), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17480), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267207] = 7,
    ACTIONS(10868), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23098), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18993), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267230] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18882), 1,
      anon_sym_RPAREN,
    ACTIONS(18884), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14825), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17495), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267253] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23100), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267272] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23102), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267291] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23104), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267310] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23108), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23106), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14829), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267329] = 7,
    ACTIONS(10280), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23110), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18930), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267352] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23112), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267371] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23116), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23114), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14836), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267390] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23120), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23118), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14837), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267409] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23122), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267428] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23124), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267447] = 7,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23126), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19713), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267470] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18835), 1,
      anon_sym_RPAREN,
    ACTIONS(18837), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14741), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17591), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267493] = 7,
    ACTIONS(9026), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23128), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17456), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267516] = 7,
    ACTIONS(10684), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23130), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18961), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267539] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23132), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267558] = 5,
    ACTIONS(21828), 1,
      sym__word_identifier,
    ACTIONS(23134), 1,
      anon_sym_COLON,
    ACTIONS(23136), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7457), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [267577] = 7,
    ACTIONS(10486), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23138), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18983), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267600] = 7,
    ACTIONS(9104), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23140), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17469), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267623] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18876), 1,
      anon_sym_RPAREN,
    ACTIONS(18878), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14861), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17436), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267646] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23142), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267665] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23146), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23144), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14828), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267684] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23150), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23148), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14854), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267703] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23154), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23152), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14857), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267722] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23158), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23156), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14833), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267741] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23160), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267760] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23162), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267779] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23164), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267798] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23168), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23166), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14852), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267817] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23172), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23170), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14853), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267836] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23174), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267855] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19368), 1,
      anon_sym_RPAREN,
    ACTIONS(19370), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14788), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17864), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267878] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23178), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23176), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14882), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267897] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23182), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23180), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14883), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267916] = 7,
    ACTIONS(10914), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23184), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17428), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267939] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23186), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [267958] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19148), 1,
      anon_sym_RPAREN,
    ACTIONS(19150), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14887), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17411), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [267981] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23188), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268000] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23192), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23190), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14873), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268019] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23196), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23194), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14874), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268038] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17796), 1,
      anon_sym_EQ,
    ACTIONS(19470), 1,
      anon_sym_LF,
    ACTIONS(19468), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [268057] = 5,
    ACTIONS(21796), 1,
      sym__word_identifier,
    ACTIONS(23198), 1,
      anon_sym_COLON,
    ACTIONS(23200), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7145), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [268076] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23204), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23202), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14878), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268095] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23208), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23206), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14879), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268114] = 7,
    ACTIONS(10126), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23210), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18936), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268137] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17722), 1,
      anon_sym_EQ,
    ACTIONS(19470), 1,
      anon_sym_LF,
    ACTIONS(19468), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      aux_sym__terminator_token1,
  [268156] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23212), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268175] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23214), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268194] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23216), 1,
      anon_sym_COLON,
    ACTIONS(23218), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [268213] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23220), 1,
      anon_sym_COLON,
    ACTIONS(23222), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [268232] = 7,
    ACTIONS(8806), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23224), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17430), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268255] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23226), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268274] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23228), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268293] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23230), 1,
      anon_sym_end,
    STATE(18496), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14890), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [268314] = 7,
    ACTIONS(9094), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23232), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19573), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268337] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23234), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268356] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23236), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268375] = 7,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23238), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17880), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268398] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23242), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23240), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14900), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268417] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23246), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23244), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14901), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268436] = 7,
    ACTIONS(10754), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23248), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17408), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268459] = 7,
    ACTIONS(10052), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23250), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18894), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268482] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19134), 1,
      anon_sym_RPAREN,
    ACTIONS(19136), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14676), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18140), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268505] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23252), 1,
      anon_sym_end,
    STATE(18469), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [268526] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17956), 1,
      anon_sym_EQ,
    ACTIONS(19574), 1,
      anon_sym_LF,
    ACTIONS(19606), 1,
      aux_sym__terminator_token1,
    STATE(15319), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 2,
      anon_sym_catch,
      anon_sym_finally,
  [268549] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19121), 1,
      anon_sym_RPAREN,
    ACTIONS(19123), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14823), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18102), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268572] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23254), 1,
      anon_sym_end,
    STATE(18470), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14938), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [268593] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23256), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268612] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23258), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268631] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19115), 1,
      anon_sym_RPAREN,
    ACTIONS(19117), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15015), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17612), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268654] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19383), 1,
      anon_sym_RPAREN,
    ACTIONS(19385), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14928), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17381), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268677] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23260), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268696] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23262), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268715] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23264), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268734] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23266), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268753] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23270), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23268), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14894), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268772] = 7,
    ACTIONS(10590), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23272), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17928), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268795] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23276), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23274), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14895), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268814] = 7,
    ACTIONS(9502), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23278), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19602), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268837] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23282), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23280), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14898), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268856] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23284), 1,
      anon_sym_end,
    STATE(18478), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14964), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [268877] = 5,
    ACTIONS(21764), 1,
      sym__word_identifier,
    ACTIONS(23286), 1,
      anon_sym_COLON,
    ACTIONS(23288), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8727), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [268896] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23290), 1,
      anon_sym_end,
    STATE(18479), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [268917] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23294), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23292), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14899), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [268936] = 5,
    ACTIONS(16116), 1,
      anon_sym_COLON,
    ACTIONS(16124), 1,
      anon_sym_DOLLAR,
    ACTIONS(22032), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6453), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [268955] = 7,
    ACTIONS(10198), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23296), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19814), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [268978] = 7,
    ACTIONS(9864), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23298), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18483), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269001] = 7,
    ACTIONS(9970), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23300), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18104), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269024] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23304), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23302), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14921), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269043] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23306), 1,
      anon_sym_end,
    STATE(19393), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14942), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [269064] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18925), 1,
      anon_sym_RPAREN,
    ACTIONS(18927), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15111), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18012), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269087] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23310), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23308), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14862), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269106] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23312), 1,
      anon_sym_end,
    STATE(19392), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [269127] = 7,
    ACTIONS(10614), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23314), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17922), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269150] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23316), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269169] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23318), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269188] = 7,
    ACTIONS(9574), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23320), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17921), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269211] = 7,
    ACTIONS(9182), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23322), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17803), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269234] = 7,
    ACTIONS(9926), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23324), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19265), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269257] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19360), 1,
      anon_sym_RPAREN,
    ACTIONS(19362), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14819), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17502), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269280] = 5,
    ACTIONS(15900), 1,
      anon_sym_COLON,
    ACTIONS(15908), 1,
      anon_sym_DOLLAR,
    ACTIONS(22010), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6633), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [269299] = 7,
    ACTIONS(10424), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23326), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17377), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269322] = 7,
    ACTIONS(9908), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23328), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18860), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269345] = 7,
    ACTIONS(10318), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23330), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18078), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269368] = 5,
    ACTIONS(22018), 1,
      sym__word_identifier,
    ACTIONS(23332), 1,
      anon_sym_COLON,
    ACTIONS(23334), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(17966), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [269387] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19336), 1,
      anon_sym_RPAREN,
    ACTIONS(19338), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14920), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17765), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269410] = 7,
    ACTIONS(10208), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23336), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19774), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269433] = 7,
    ACTIONS(9904), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23338), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18877), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269456] = 7,
    ACTIONS(8790), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23340), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17376), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269479] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19351), 1,
      anon_sym_RPAREN,
    ACTIONS(19353), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14960), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17356), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269502] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23342), 1,
      anon_sym_COLON,
    ACTIONS(23344), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [269521] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23346), 1,
      anon_sym_end,
    STATE(18455), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [269542] = 5,
    ACTIONS(21752), 1,
      sym__word_identifier,
    ACTIONS(23348), 1,
      anon_sym_COLON,
    ACTIONS(23350), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7127), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [269561] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23352), 1,
      anon_sym_end,
    STATE(19312), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14950), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [269582] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23354), 1,
      anon_sym_end,
    STATE(18495), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [269603] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23356), 1,
      anon_sym_end,
    STATE(19309), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [269624] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18812), 1,
      anon_sym_RPAREN,
    ACTIONS(18814), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15049), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17434), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269647] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19103), 1,
      anon_sym_RPAREN,
    ACTIONS(19105), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15094), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17991), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269670] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23360), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23358), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14956), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269689] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23362), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269708] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23366), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23364), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14957), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269727] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23368), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269746] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23372), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23370), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14946), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269765] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23374), 1,
      anon_sym_end,
    STATE(19281), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [269786] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23376), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269805] = 5,
    ACTIONS(21836), 1,
      sym__word_identifier,
    ACTIONS(23378), 1,
      anon_sym_COLON,
    ACTIONS(23380), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8315), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [269824] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23384), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23382), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14951), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269843] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23388), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23386), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14922), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269862] = 5,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23390), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22438), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
  [269881] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23392), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269900] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23394), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269919] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23398), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23396), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14948), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [269938] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23400), 1,
      anon_sym_end,
    STATE(18509), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14999), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [269959] = 7,
    ACTIONS(10130), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23402), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17357), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [269982] = 7,
    ACTIONS(9652), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23404), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18815), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270005] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18867), 1,
      anon_sym_RPAREN,
    ACTIONS(18869), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14992), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17365), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270028] = 5,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23390), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22408), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
  [270047] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23406), 1,
      anon_sym_end,
    STATE(18510), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [270068] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19109), 1,
      anon_sym_RPAREN,
    ACTIONS(19111), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14582), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17810), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270091] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18861), 1,
      anon_sym_RPAREN,
    ACTIONS(18863), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14845), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17458), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270114] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23410), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23408), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14977), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270133] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23414), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23412), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14985), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270152] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23416), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270171] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18827), 1,
      anon_sym_LF,
    ACTIONS(18831), 1,
      aux_sym__terminator_token1,
    STATE(15001), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 3,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
  [270192] = 7,
    ACTIONS(9546), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23418), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18823), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270215] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23422), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23420), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14979), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270234] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23426), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23424), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14980), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270253] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23430), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23428), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14978), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270272] = 7,
    ACTIONS(9090), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23432), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17371), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270295] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23436), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23434), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14981), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270314] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23438), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270333] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23440), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270352] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23442), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270371] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23444), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270390] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23446), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270409] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23448), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270428] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20483), 1,
      anon_sym_COMMA,
    STATE(14983), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 2,
      anon_sym_EQ,
      aux_sym__terminator_token1,
    ACTIONS(12962), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [270449] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23450), 1,
      anon_sym_end,
    STATE(18580), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [270470] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23452), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270489] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23454), 1,
      anon_sym_end,
    STATE(18594), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [270510] = 7,
    ACTIONS(9982), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23456), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19605), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270533] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23460), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23458), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14969), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270552] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23464), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23462), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14982), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270571] = 7,
    ACTIONS(10154), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23466), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17941), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270594] = 5,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23390), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22436), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
  [270613] = 7,
    ACTIONS(9956), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23468), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17387), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270636] = 7,
    ACTIONS(9514), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23470), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18778), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270659] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23472), 1,
      anon_sym_end,
    STATE(18553), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14984), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [270680] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19345), 1,
      anon_sym_RPAREN,
    ACTIONS(19347), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14681), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18057), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270703] = 5,
    ACTIONS(18302), 1,
      sym__word_identifier,
    ACTIONS(23474), 1,
      anon_sym_COLON,
    ACTIONS(23476), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6670), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [270722] = 7,
    ACTIONS(9378), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23478), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18608), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270745] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23480), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270764] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23482), 1,
      anon_sym_end,
    STATE(18525), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [270785] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23484), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270804] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(23486), 1,
      anon_sym_LF,
    ACTIONS(23488), 1,
      aux_sym__terminator_token1,
    STATE(15023), 1,
      aux_sym__block_repeat1,
    ACTIONS(6542), 3,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
  [270825] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23492), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23490), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14998), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270844] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23496), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23494), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15000), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270863] = 7,
    ACTIONS(10054), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23498), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17630), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270886] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23502), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23500), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14552), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270905] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23504), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270924] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23506), 1,
      anon_sym_COLON,
    ACTIONS(23508), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [270943] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23510), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [270962] = 7,
    ACTIONS(10924), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23512), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17974), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [270985] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18788), 1,
      anon_sym_RPAREN,
    ACTIONS(18790), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14840), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17465), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271008] = 7,
    ACTIONS(10056), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23514), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19637), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271031] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23516), 1,
      anon_sym_end,
    STATE(19114), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15030), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [271052] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23518), 1,
      anon_sym_end,
    STATE(19084), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [271073] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23520), 1,
      anon_sym_end,
    STATE(18622), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [271094] = 7,
    ACTIONS(9056), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23522), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17559), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271117] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23526), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23524), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15006), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271136] = 7,
    ACTIONS(9380), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23528), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19086), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271159] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23532), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23530), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15008), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271178] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23534), 1,
      anon_sym_end,
    STATE(18623), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14986), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [271199] = 5,
    ACTIONS(15354), 1,
      anon_sym_COLON,
    ACTIONS(15362), 1,
      anon_sym_DOLLAR,
    ACTIONS(22022), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15886), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [271218] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18730), 1,
      anon_sym_RPAREN,
    ACTIONS(18732), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14793), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17977), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271241] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19330), 1,
      anon_sym_RPAREN,
    ACTIONS(19332), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15115), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18054), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271264] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(23536), 1,
      anon_sym_LF,
    ACTIONS(23539), 1,
      aux_sym__terminator_token1,
    STATE(15023), 1,
      aux_sym__block_repeat1,
    ACTIONS(19468), 3,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
  [271285] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23542), 1,
      anon_sym_COLON,
    ACTIONS(23544), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [271304] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23548), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23546), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15032), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271323] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23550), 1,
      anon_sym_COLON,
    ACTIONS(23552), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [271342] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23556), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23554), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15033), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271361] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23558), 1,
      anon_sym_end,
    STATE(19058), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15043), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [271382] = 5,
    ACTIONS(22930), 1,
      sym__command_end,
    ACTIONS(23560), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23563), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271401] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23566), 1,
      anon_sym_end,
    STATE(19057), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [271422] = 7,
    ACTIONS(9836), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23568), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18487), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271445] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23570), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271464] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23572), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271483] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15055), 6,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [271496] = 7,
    ACTIONS(15214), 1,
      anon_sym_end,
    ACTIONS(22285), 1,
      anon_sym_SQUOTE,
    ACTIONS(22289), 1,
      sym__immediate_paren,
    ACTIONS(22291), 1,
      sym__immediate_bracket,
    ACTIONS(22293), 1,
      sym__immediate_brace,
    ACTIONS(23574), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271519] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23576), 1,
      anon_sym_COLON,
    ACTIONS(23578), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [271538] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23582), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23580), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15065), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271557] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23584), 1,
      anon_sym_COLON,
    ACTIONS(23586), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [271576] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18692), 1,
      anon_sym_RPAREN,
    ACTIONS(18694), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14877), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17419), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271599] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23588), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271618] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23590), 1,
      anon_sym_COLON,
    ACTIONS(23592), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [271637] = 7,
    ACTIONS(9544), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23594), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17447), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271660] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23596), 1,
      anon_sym_end,
    STATE(19033), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [271681] = 5,
    ACTIONS(18542), 1,
      sym__word_identifier,
    ACTIONS(23598), 1,
      anon_sym_COLON,
    ACTIONS(23600), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6850), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [271700] = 7,
    ACTIONS(9244), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23602), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18744), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271723] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12962), 1,
      anon_sym_LF,
    ACTIONS(20615), 1,
      anon_sym_COMMA,
    STATE(15046), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12957), 3,
      anon_sym_EQ,
      anon_sym_end,
      aux_sym__terminator_token1,
  [271744] = 7,
    ACTIONS(9258), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23604), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18758), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271767] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23606), 1,
      anon_sym_end,
    STATE(19687), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15171), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [271788] = 7,
    ACTIONS(9784), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23608), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17403), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271811] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23610), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271830] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18716), 1,
      anon_sym_RPAREN,
    ACTIONS(18718), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15042), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17425), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271853] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18780), 1,
      anon_sym_RPAREN,
    ACTIONS(18782), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15066), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17481), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [271876] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23612), 1,
      anon_sym_end,
    STATE(19685), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [271897] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23614), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271916] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23618), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23616), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15062), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271935] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23620), 1,
      anon_sym_COLON,
    ACTIONS(23622), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [271954] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23626), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23624), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15063), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271973] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23628), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [271992] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23630), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272011] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23634), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23632), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15058), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272030] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23638), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23636), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15059), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272049] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23640), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272068] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23642), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272087] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23646), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23644), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15076), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272106] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23648), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272125] = 7,
    ACTIONS(9346), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23650), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17501), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272148] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(23652), 1,
      anon_sym_LF,
    ACTIONS(23655), 1,
      aux_sym__terminator_token1,
    STATE(15067), 1,
      aux_sym__block_repeat1,
    ACTIONS(19468), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [272169] = 7,
    ACTIONS(9036), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23658), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18692), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272192] = 5,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(23660), 1,
      anon_sym_COLON,
    ACTIONS(23662), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11559), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [272211] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23666), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23664), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15077), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272230] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23670), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23668), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15040), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272249] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23674), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23672), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15050), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272268] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17904), 1,
      anon_sym_EQ,
    ACTIONS(20047), 1,
      anon_sym_LF,
    ACTIONS(20051), 1,
      aux_sym__terminator_token1,
    STATE(15230), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 2,
      anon_sym_end,
      anon_sym_catch,
  [272291] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23678), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23676), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15081), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272310] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23682), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23680), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15082), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272329] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23684), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272348] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23686), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272367] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23690), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23688), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15100), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272386] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23694), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23692), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15102), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272405] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23696), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272424] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23698), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272443] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23700), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272462] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19186), 1,
      anon_sym_RPAREN,
    ACTIONS(19188), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14884), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17896), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272485] = 7,
    ACTIONS(8600), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23702), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17676), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272508] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(12972), 1,
      anon_sym_LF,
    ACTIONS(20570), 1,
      anon_sym_COMMA,
    STATE(15046), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(12968), 3,
      anon_sym_EQ,
      anon_sym_end,
      aux_sym__terminator_token1,
  [272529] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23704), 1,
      anon_sym_end,
    STATE(18705), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [272550] = 7,
    ACTIONS(9012), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23706), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18558), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272573] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18806), 1,
      anon_sym_RPAREN,
    ACTIONS(18808), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14935), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17379), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272596] = 5,
    ACTIONS(18312), 1,
      sym__word_identifier,
    ACTIONS(23708), 1,
      anon_sym_COLON,
    ACTIONS(23710), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11767), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [272615] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(23712), 1,
      anon_sym_LF,
    ACTIONS(23714), 1,
      aux_sym__terminator_token1,
    STATE(15067), 1,
      aux_sym__block_repeat1,
    ACTIONS(6542), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [272636] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18841), 1,
      anon_sym_RPAREN,
    ACTIONS(18843), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15119), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17369), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272659] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23718), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23716), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15106), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272678] = 7,
    ACTIONS(10736), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23720), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19626), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272701] = 7,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23722), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17982), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272724] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18911), 1,
      anon_sym_RPAREN,
    ACTIONS(18913), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14669), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18139), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272747] = 5,
    ACTIONS(15570), 1,
      anon_sym_COLON,
    ACTIONS(15578), 1,
      anon_sym_DOLLAR,
    ACTIONS(21988), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6495), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [272766] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23726), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23724), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15107), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272785] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23728), 1,
      anon_sym_end,
    STATE(18719), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [272806] = 7,
    ACTIONS(8938), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23730), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18711), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272829] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23732), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272848] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23734), 1,
      anon_sym_end,
    STATE(18720), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15086), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [272869] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23736), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272888] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23738), 1,
      anon_sym_end,
    STATE(18908), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15138), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [272909] = 7,
    ACTIONS(10076), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23740), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17492), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272932] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19164), 1,
      anon_sym_RPAREN,
    ACTIONS(19166), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14924), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17818), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [272955] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23742), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272974] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23744), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [272993] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23746), 1,
      anon_sym_end,
    STATE(18907), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [273014] = 7,
    ACTIONS(10562), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23748), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19761), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273037] = 5,
    ACTIONS(15940), 1,
      anon_sym_COLON,
    ACTIONS(15948), 1,
      anon_sym_DOLLAR,
    ACTIONS(21982), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6515), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [273056] = 7,
    ACTIONS(10648), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23750), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18016), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273079] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23752), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273098] = 7,
    ACTIONS(10820), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23754), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19707), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273121] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23756), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273140] = 7,
    ACTIONS(10682), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23758), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18063), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273163] = 7,
    ACTIONS(8774), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23760), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18735), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273186] = 7,
    ACTIONS(9110), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23762), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17555), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273209] = 7,
    ACTIONS(8892), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23764), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18655), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273232] = 7,
    ACTIONS(8864), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23766), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17460), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273255] = 7,
    ACTIONS(8834), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23768), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18893), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273278] = 5,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(23770), 1,
      anon_sym_COLON,
    ACTIONS(23772), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11559), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [273297] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19083), 1,
      anon_sym_LF,
    ACTIONS(19087), 1,
      aux_sym__terminator_token1,
    STATE(15090), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [273318] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18818), 1,
      anon_sym_RPAREN,
    ACTIONS(18820), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15117), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17535), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273341] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19016), 1,
      anon_sym_RPAREN,
    ACTIONS(19018), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14914), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18095), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273364] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18855), 1,
      anon_sym_RPAREN,
    ACTIONS(18857), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14757), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17857), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273387] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23776), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23774), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15112), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273406] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23780), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23778), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15054), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273425] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23782), 1,
      anon_sym_COLON,
    ACTIONS(23784), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [273444] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23788), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23786), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15114), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273463] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23792), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23790), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15173), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273482] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23794), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273501] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23796), 1,
      anon_sym_end,
    STATE(18762), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [273522] = 5,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23798), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22438), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
  [273541] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23800), 1,
      anon_sym_end,
    STATE(18763), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15098), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [273562] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23804), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23802), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15080), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273581] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23808), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23806), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15131), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273600] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23810), 1,
      anon_sym_end,
    STATE(18878), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15151), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [273621] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23812), 1,
      anon_sym_end,
    STATE(18871), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [273642] = 7,
    ACTIONS(9774), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23814), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18032), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273665] = 5,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23798), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22408), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
  [273684] = 7,
    ACTIONS(10596), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23816), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19712), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273707] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23818), 1,
      anon_sym_COLON,
    ACTIONS(23820), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [273726] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23822), 1,
      anon_sym_COLON,
    ACTIONS(23824), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [273745] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19404), 1,
      anon_sym_RPAREN,
    ACTIONS(19406), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15146), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17641), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273768] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23828), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23826), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14864), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273787] = 7,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23830), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17661), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273810] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23834), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23832), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15153), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273829] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23836), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273848] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23840), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23838), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15154), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273867] = 5,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(23842), 1,
      anon_sym_COLON,
    ACTIONS(23844), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11559), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [273886] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23846), 1,
      anon_sym_end,
    STATE(18850), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [273907] = 7,
    ACTIONS(8850), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23848), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17409), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273930] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23850), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273949] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23852), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [273968] = 7,
    ACTIONS(8942), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23854), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17609), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [273991] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23856), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274010] = 7,
    ACTIONS(8572), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23858), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18621), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274033] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19064), 1,
      anon_sym_RPAREN,
    ACTIONS(19066), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14975), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17344), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274056] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(19070), 1,
      anon_sym_RPAREN,
    ACTIONS(19072), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15155), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17589), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274079] = 5,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23798), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22436), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
  [274098] = 5,
    ACTIONS(15770), 1,
      anon_sym_COLON,
    ACTIONS(15778), 1,
      anon_sym_DOLLAR,
    ACTIONS(22004), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6403), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [274117] = 7,
    ACTIONS(8654), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23860), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18643), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274140] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23864), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23862), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15178), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274159] = 7,
    ACTIONS(10040), 1,
      anon_sym_RPAREN,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23866), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17579), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274182] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23870), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23868), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15179), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274201] = 7,
    ACTIONS(8778), 1,
      anon_sym_RPAREN,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23872), 1,
      anon_sym_COMMA,
    STATE(14490), 1,
      sym_for_clause,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18570), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274224] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17936), 1,
      anon_sym_EQ,
    ACTIONS(20312), 1,
      anon_sym_LF,
    ACTIONS(20316), 1,
      aux_sym__terminator_token1,
    STATE(15195), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 2,
      anon_sym_end,
      anon_sym_finally,
  [274247] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23876), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23874), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15174), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274266] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23880), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23878), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15175), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274285] = 5,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(23882), 1,
      anon_sym_COLON,
    ACTIONS(23884), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10233), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [274304] = 6,
    ACTIONS(1193), 1,
      anon_sym_else,
    ACTIONS(22472), 1,
      anon_sym_elseif,
    ACTIONS(23886), 1,
      anon_sym_end,
    STATE(19656), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [274325] = 7,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(18774), 1,
      anon_sym_RPAREN,
    ACTIONS(18776), 1,
      anon_sym_SEMI,
    STATE(14483), 1,
      sym_for_clause,
    STATE(14990), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17952), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274348] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23888), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274367] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23890), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274386] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23892), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274405] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23896), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23894), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15148), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274424] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23900), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23898), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15156), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274443] = 5,
    ACTIONS(22452), 1,
      anon_sym_DOLLAR,
    ACTIONS(23902), 1,
      sym__string_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22454), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274462] = 5,
    ACTIONS(22440), 1,
      anon_sym_DOLLAR,
    ACTIONS(23904), 1,
      sym__command_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22442), 2,
      sym__string_content,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_string_interpolation,
      aux_sym_string_literal_repeat1,
  [274481] = 3,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4712), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274495] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(19649), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [274511] = 3,
    ACTIONS(16042), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10999), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274525] = 3,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10093), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274539] = 3,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4819), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274553] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20312), 1,
      anon_sym_LF,
    ACTIONS(20316), 1,
      aux_sym__terminator_token1,
    STATE(15195), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 2,
      anon_sym_end,
      anon_sym_finally,
  [274573] = 3,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10053), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274587] = 3,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10057), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274601] = 3,
    ACTIONS(6308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4656), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274615] = 6,
    ACTIONS(23906), 1,
      anon_sym_end,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    STATE(17324), 1,
      sym_else_clause,
    STATE(18795), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274635] = 3,
    ACTIONS(16100), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5437), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274649] = 3,
    ACTIONS(15554), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10104), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274663] = 3,
    ACTIONS(55), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9925), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274677] = 3,
    ACTIONS(15534), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5539), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274691] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18701), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [274707] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(23912), 1,
      anon_sym_LF,
    ACTIONS(23914), 1,
      aux_sym__terminator_token1,
    STATE(15217), 1,
      aux_sym__block_repeat1,
    ACTIONS(6542), 2,
      anon_sym_end,
      anon_sym_finally,
  [274727] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18723), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [274743] = 3,
    ACTIONS(6308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4954), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274757] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18451), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [274773] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18601), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [274789] = 3,
    ACTIONS(15844), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5424), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274803] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18576), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [274819] = 3,
    ACTIONS(8754), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6303), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274833] = 3,
    ACTIONS(15844), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5416), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274847] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23916), 1,
      anon_sym_end,
    STATE(17238), 1,
      sym_else_clause,
    STATE(18869), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274867] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18476), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [274883] = 3,
    ACTIONS(16042), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11004), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274897] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23918), 1,
      anon_sym_end,
    STATE(17209), 1,
      sym_else_clause,
    STATE(18751), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [274917] = 3,
    ACTIONS(16042), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10992), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274931] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20047), 1,
      anon_sym_LF,
    ACTIONS(20051), 1,
      aux_sym__terminator_token1,
    STATE(15230), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 2,
      anon_sym_end,
      anon_sym_catch,
  [274951] = 3,
    ACTIONS(15676), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9460), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274965] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(23920), 1,
      anon_sym_LF,
    ACTIONS(23923), 1,
      aux_sym__terminator_token1,
    STATE(15211), 1,
      aux_sym__block_repeat1,
    ACTIONS(19468), 2,
      anon_sym_end,
      anon_sym_catch,
  [274985] = 3,
    ACTIONS(15676), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9424), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [274999] = 3,
    ACTIONS(15676), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9423), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275013] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18367), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275029] = 3,
    ACTIONS(19710), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11807), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275043] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23926), 1,
      anon_sym_end,
    STATE(17186), 1,
      sym_else_clause,
    STATE(18904), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275063] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(23928), 1,
      anon_sym_LF,
    ACTIONS(23931), 1,
      aux_sym__terminator_token1,
    STATE(15217), 1,
      aux_sym__block_repeat1,
    ACTIONS(19468), 2,
      anon_sym_end,
      anon_sym_finally,
  [275083] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18844), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275099] = 3,
    ACTIONS(19646), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7099), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275113] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18342), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275129] = 3,
    ACTIONS(15708), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6599), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275143] = 3,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4733), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275157] = 3,
    ACTIONS(15708), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6604), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275171] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23934), 1,
      anon_sym_end,
    STATE(17031), 1,
      sym_else_clause,
    STATE(18717), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275191] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18886), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275207] = 3,
    ACTIONS(15626), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4675), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275221] = 3,
    ACTIONS(8754), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6334), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275235] = 3,
    ACTIONS(6308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4814), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275249] = 3,
    ACTIONS(8754), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6286), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275263] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(23936), 1,
      anon_sym_LF,
    ACTIONS(23938), 1,
      aux_sym__terminator_token1,
    STATE(15211), 1,
      aux_sym__block_repeat1,
    ACTIONS(6542), 2,
      anon_sym_end,
      anon_sym_catch,
  [275283] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18259), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275299] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18234), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275315] = 3,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5681), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275329] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23940), 1,
      anon_sym_end,
    STATE(17052), 1,
      sym_else_clause,
    STATE(18969), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275349] = 3,
    ACTIONS(15534), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5500), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275363] = 3,
    ACTIONS(15534), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5505), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275377] = 3,
    ACTIONS(8754), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6249), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275391] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19470), 1,
      anon_sym_LF,
    ACTIONS(19468), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [275407] = 3,
    ACTIONS(15534), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5523), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275421] = 3,
    ACTIONS(15944), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6216), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275435] = 3,
    ACTIONS(15676), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9446), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275449] = 3,
    ACTIONS(15728), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9341), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275463] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23942), 1,
      anon_sym_end,
    STATE(17142), 1,
      sym_else_clause,
    STATE(19682), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275483] = 3,
    ACTIONS(6308), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4659), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275497] = 5,
    ACTIONS(23944), 1,
      anon_sym_end,
    ACTIONS(23946), 1,
      anon_sym_elseif,
    ACTIONS(23949), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15245), 2,
      sym_elseif_clause,
      aux_sym_if_statement_repeat1,
  [275515] = 3,
    ACTIONS(9116), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10649), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275529] = 3,
    ACTIONS(15728), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9419), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275543] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18156), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275559] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18209), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275575] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18317), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275591] = 3,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10126), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275605] = 3,
    ACTIONS(8872), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4876), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275619] = 3,
    ACTIONS(15708), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6630), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275633] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18372), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275649] = 3,
    ACTIONS(20147), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8284), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275663] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23951), 1,
      anon_sym_end,
    STATE(16921), 1,
      sym_else_clause,
    STATE(18667), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275683] = 3,
    ACTIONS(16010), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5473), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275697] = 3,
    ACTIONS(15844), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5347), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275711] = 3,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10171), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275725] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23953), 1,
      anon_sym_end,
    STATE(16912), 1,
      sym_else_clause,
    STATE(19055), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275745] = 3,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10180), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275759] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18489), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275775] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(18529), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275791] = 3,
    ACTIONS(15728), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9352), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275805] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23955), 1,
      anon_sym_end,
    STATE(16726), 1,
      sym_else_clause,
    STATE(18617), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275825] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23957), 1,
      anon_sym_end,
    STATE(16830), 1,
      sym_else_clause,
    STATE(19102), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [275845] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(19697), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275861] = 3,
    ACTIONS(8872), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4931), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275875] = 3,
    ACTIONS(8872), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4807), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275889] = 3,
    ACTIONS(9116), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10601), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275903] = 3,
    ACTIONS(15594), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6266), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275917] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(19027), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275933] = 3,
    ACTIONS(9116), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10535), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275947] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(19077), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [275963] = 3,
    ACTIONS(15904), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6505), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275977] = 3,
    ACTIONS(15594), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6281), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [275991] = 3,
    ACTIONS(15748), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10913), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276005] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23959), 1,
      anon_sym_end,
    STATE(16684), 1,
      sym_else_clause,
    STATE(19175), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276025] = 3,
    ACTIONS(15748), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10903), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276039] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23961), 1,
      anon_sym_end,
    STATE(16674), 1,
      sym_else_clause,
    STATE(18592), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276059] = 3,
    ACTIONS(15612), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10148), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276073] = 3,
    ACTIONS(8872), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4913), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276087] = 3,
    ACTIONS(15748), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10898), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276101] = 3,
    ACTIONS(20161), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7833), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276115] = 3,
    ACTIONS(15574), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5981), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276129] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23963), 1,
      anon_sym_end,
    STATE(17019), 1,
      sym_else_clause,
    STATE(18512), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276149] = 3,
    ACTIONS(19616), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7704), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276163] = 3,
    ACTIONS(15728), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9413), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276177] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17936), 1,
      anon_sym_EQ,
    ACTIONS(19470), 1,
      anon_sym_LF,
    ACTIONS(19468), 3,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [276195] = 3,
    ACTIONS(15748), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10872), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276209] = 3,
    ACTIONS(20027), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7785), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276223] = 3,
    ACTIONS(16100), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5904), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276237] = 3,
    ACTIONS(15944), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6125), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276251] = 3,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11050), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276265] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23965), 1,
      anon_sym_end,
    STATE(16812), 1,
      sym_else_clause,
    STATE(18542), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276285] = 3,
    ACTIONS(3001), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10371), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276299] = 3,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11054), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276313] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23967), 1,
      anon_sym_end,
    STATE(16822), 1,
      sym_else_clause,
    STATE(19305), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276333] = 3,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11057), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276347] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17956), 1,
      anon_sym_EQ,
    ACTIONS(19470), 1,
      anon_sym_LF,
    ACTIONS(19468), 3,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [276365] = 3,
    ACTIONS(15884), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6199), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276379] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17956), 1,
      anon_sym_EQ,
    ACTIONS(13210), 3,
      anon_sym_catch,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [276397] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23969), 1,
      anon_sym_end,
    STATE(17041), 1,
      sym_else_clause,
    STATE(18492), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276417] = 3,
    ACTIONS(15884), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6204), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276431] = 3,
    ACTIONS(15944), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6207), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276445] = 3,
    ACTIONS(15774), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276459] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(23971), 1,
      anon_sym_LF,
    ACTIONS(23974), 1,
      aux_sym__terminator_token1,
    STATE(15307), 1,
      aux_sym__block_repeat1,
    ACTIONS(19468), 2,
      anon_sym_catch,
      anon_sym_finally,
  [276479] = 3,
    ACTIONS(15594), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6392), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276493] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(19273), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [276509] = 3,
    ACTIONS(15594), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6128), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276523] = 3,
    ACTIONS(16010), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5372), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276537] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(19330), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [276553] = 3,
    ACTIONS(16010), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5358), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276567] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23977), 1,
      anon_sym_end,
    STATE(16934), 1,
      sym_else_clause,
    STATE(19388), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276587] = 3,
    ACTIONS(3001), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10417), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276601] = 3,
    ACTIONS(15944), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6253), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276615] = 3,
    ACTIONS(3001), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10432), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276629] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23979), 1,
      anon_sym_end,
    STATE(17056), 1,
      sym_else_clause,
    STATE(18480), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276649] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(23981), 1,
      anon_sym_LF,
    ACTIONS(23983), 1,
      aux_sym__terminator_token1,
    STATE(15307), 1,
      aux_sym__block_repeat1,
    ACTIONS(6542), 2,
      anon_sym_catch,
      anon_sym_finally,
  [276669] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23985), 1,
      anon_sym_end,
    STATE(16952), 1,
      sym_else_clause,
    STATE(19422), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276689] = 3,
    ACTIONS(3001), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10463), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276703] = 3,
    ACTIONS(15844), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5732), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276717] = 3,
    ACTIONS(16100), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5867), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276731] = 3,
    ACTIONS(15514), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4662), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276745] = 3,
    ACTIONS(19484), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7018), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276759] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23987), 1,
      anon_sym_end,
    STATE(17063), 1,
      sym_else_clause,
    STATE(18423), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276779] = 3,
    ACTIONS(16100), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5861), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276793] = 3,
    ACTIONS(15904), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6549), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276807] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19574), 1,
      anon_sym_LF,
    ACTIONS(19606), 1,
      aux_sym__terminator_token1,
    STATE(15319), 1,
      aux_sym__block_repeat1,
    ACTIONS(18825), 2,
      anon_sym_catch,
      anon_sym_finally,
  [276827] = 3,
    ACTIONS(15904), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6554), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276841] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(19483), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [276857] = 3,
    ACTIONS(15514), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4686), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276871] = 3,
    ACTIONS(14409), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11085), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276885] = 3,
    ACTIONS(15514), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4693), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276899] = 3,
    ACTIONS(19973), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11686), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276913] = 3,
    ACTIONS(953), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5954), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276927] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23989), 1,
      anon_sym_end,
    STATE(17196), 1,
      sym_else_clause,
    STATE(19733), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276947] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23991), 1,
      anon_sym_end,
    STATE(17110), 1,
      sym_else_clause,
    STATE(18419), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [276967] = 3,
    ACTIONS(19989), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7056), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276981] = 3,
    ACTIONS(15514), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4732), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [276995] = 3,
    ACTIONS(20085), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6978), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277009] = 3,
    ACTIONS(15810), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11256), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277023] = 3,
    ACTIONS(15904), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6562), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277037] = 4,
    ACTIONS(16572), 1,
      aux_sym_integer_literal_token4,
    STATE(19458), 1,
      sym_integer_literal,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16570), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [277053] = 3,
    ACTIONS(15810), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11360), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277067] = 3,
    ACTIONS(15810), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11364), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277081] = 3,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5813), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277095] = 3,
    ACTIONS(20183), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7593), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277109] = 3,
    ACTIONS(15810), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11370), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277123] = 3,
    ACTIONS(9138), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4798), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277137] = 3,
    ACTIONS(953), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5950), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277151] = 3,
    ACTIONS(9138), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4829), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277165] = 5,
    ACTIONS(11988), 1,
      anon_sym_end,
    ACTIONS(23993), 1,
      sym__word_identifier,
    STATE(14487), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11986), 2,
      sym__immediate_brace,
      anon_sym_LT_COLON,
  [277183] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23995), 1,
      anon_sym_end,
    STATE(17107), 1,
      sym_else_clause,
    STATE(18417), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277203] = 3,
    ACTIONS(953), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5963), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277217] = 3,
    ACTIONS(16120), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5924), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277231] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17904), 1,
      anon_sym_EQ,
    ACTIONS(19470), 1,
      anon_sym_LF,
    ACTIONS(19468), 3,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
  [277249] = 3,
    ACTIONS(9138), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4868), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277263] = 3,
    ACTIONS(15884), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6239), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277277] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23997), 1,
      anon_sym_end,
    STATE(17149), 1,
      sym_else_clause,
    STATE(18383), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277297] = 3,
    ACTIONS(15884), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6455), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277311] = 3,
    ACTIONS(9138), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4822), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277325] = 3,
    ACTIONS(8688), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5420), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277339] = 3,
    ACTIONS(8688), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5409), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277353] = 3,
    ACTIONS(9202), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6399), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277367] = 3,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5776), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277381] = 3,
    ACTIONS(8688), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5398), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277395] = 3,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5717), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277409] = 3,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5770), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277423] = 3,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14374), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277437] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23999), 1,
      anon_sym_end,
    STATE(16967), 1,
      sym_else_clause,
    STATE(19474), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277457] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24001), 1,
      anon_sym_end,
    STATE(17168), 1,
      sym_else_clause,
    STATE(18358), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277477] = 3,
    ACTIONS(953), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5938), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277491] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24003), 1,
      anon_sym_end,
    STATE(17189), 1,
      sym_else_clause,
    STATE(18328), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277511] = 3,
    ACTIONS(16042), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11042), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277525] = 3,
    ACTIONS(15990), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11102), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277539] = 3,
    ACTIONS(8688), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5369), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277553] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24005), 1,
      anon_sym_end,
    STATE(16989), 1,
      sym_else_clause,
    STATE(19500), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277573] = 3,
    ACTIONS(15824), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6412), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277587] = 3,
    ACTIONS(15824), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6400), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277601] = 3,
    ACTIONS(15708), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6624), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277615] = 3,
    ACTIONS(15824), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6393), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277629] = 3,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14372), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277643] = 3,
    ACTIONS(19926), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7401), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277657] = 3,
    ACTIONS(15574), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6023), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277671] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24007), 1,
      anon_sym_end,
    STATE(16965), 1,
      sym_else_clause,
    STATE(19534), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277691] = 3,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14403), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277705] = 3,
    ACTIONS(9116), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10737), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277719] = 3,
    ACTIONS(55), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9882), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277733] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18080), 1,
      anon_sym_EQ,
    ACTIONS(18825), 1,
      anon_sym_end,
    ACTIONS(20624), 1,
      anon_sym_LF,
    ACTIONS(20628), 1,
      aux_sym__terminator_token1,
    STATE(16077), 1,
      aux_sym__block_repeat1,
  [277755] = 3,
    ACTIONS(55), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9898), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277769] = 3,
    ACTIONS(15824), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6353), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277783] = 3,
    ACTIONS(15864), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12121), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277797] = 3,
    ACTIONS(20273), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6893), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277811] = 3,
    ACTIONS(16120), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5933), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277825] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24009), 1,
      anon_sym_end,
    STATE(17197), 1,
      sym_else_clause,
    STATE(18308), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277845] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24011), 1,
      anon_sym_end,
    STATE(17214), 1,
      sym_else_clause,
    STATE(18301), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [277865] = 3,
    ACTIONS(16010), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5858), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277879] = 3,
    ACTIONS(15864), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12119), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277893] = 3,
    ACTIONS(15864), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12114), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277907] = 3,
    ACTIONS(16120), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5898), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277921] = 3,
    ACTIONS(15798), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11348), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277935] = 3,
    ACTIONS(15358), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14394), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277949] = 5,
    ACTIONS(11992), 1,
      anon_sym_end,
    ACTIONS(23993), 1,
      sym__word_identifier,
    STATE(14492), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11990), 2,
      sym__immediate_brace,
      anon_sym_LT_COLON,
  [277967] = 3,
    ACTIONS(15798), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11341), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [277981] = 5,
    ACTIONS(11966), 1,
      anon_sym_end,
    ACTIONS(23993), 1,
      sym__word_identifier,
    STATE(14474), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11968), 2,
      sym__immediate_brace,
      anon_sym_LT_COLON,
  [277999] = 5,
    ACTIONS(11978), 1,
      anon_sym_end,
    ACTIONS(23993), 1,
      sym__word_identifier,
    STATE(14478), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11980), 2,
      sym__immediate_brace,
      anon_sym_LT_COLON,
  [278017] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24013), 1,
      anon_sym_end,
    STATE(17228), 1,
      sym_else_clause,
    STATE(18275), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278037] = 3,
    ACTIONS(16062), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5670), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278051] = 3,
    ACTIONS(15864), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12094), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278065] = 3,
    ACTIONS(20101), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7270), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278079] = 3,
    ACTIONS(15574), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6029), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278093] = 3,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5796), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278107] = 3,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5808), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278121] = 3,
    ACTIONS(15574), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6032), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278135] = 3,
    ACTIONS(15646), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6178), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278149] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17936), 1,
      anon_sym_EQ,
    ACTIONS(13210), 3,
      anon_sym_end,
      anon_sym_finally,
      aux_sym__terminator_token1,
  [278167] = 3,
    ACTIONS(9202), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6364), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278181] = 3,
    ACTIONS(15646), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6174), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278195] = 3,
    ACTIONS(15646), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6170), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278209] = 3,
    ACTIONS(9202), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6359), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278223] = 3,
    ACTIONS(19540), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6690), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278237] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24015), 1,
      anon_sym_end,
    STATE(17256), 1,
      sym_else_clause,
    STATE(18250), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278257] = 3,
    ACTIONS(16120), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5874), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278271] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24017), 1,
      anon_sym_end,
    STATE(17272), 1,
      sym_else_clause,
    STATE(19809), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278291] = 3,
    ACTIONS(20129), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6657), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278305] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24019), 1,
      anon_sym_end,
    STATE(17251), 1,
      sym_else_clause,
    STATE(18261), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278325] = 3,
    ACTIONS(15646), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6153), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278339] = 3,
    ACTIONS(19678), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10220), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278353] = 3,
    ACTIONS(15964), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4959), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278367] = 3,
    ACTIONS(9810), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5831), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278381] = 3,
    ACTIONS(15964), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4943), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278395] = 6,
    ACTIONS(15206), 1,
      sym__immediate_paren,
    ACTIONS(22285), 1,
      anon_sym_SQUOTE,
    ACTIONS(22287), 1,
      anon_sym_DOT,
    ACTIONS(22291), 1,
      sym__immediate_bracket,
    ACTIONS(22293), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278415] = 3,
    ACTIONS(19812), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7372), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278429] = 3,
    ACTIONS(19434), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6820), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278443] = 3,
    ACTIONS(19446), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8531), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278457] = 3,
    ACTIONS(15774), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5631), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278471] = 3,
    ACTIONS(55), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9936), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278485] = 3,
    ACTIONS(5386), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10647), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278499] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24021), 1,
      anon_sym_end,
    STATE(17292), 1,
      sym_else_clause,
    STATE(18200), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278519] = 3,
    ACTIONS(20063), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7160), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278533] = 3,
    ACTIONS(15964), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4833), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278547] = 3,
    ACTIONS(16062), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5497), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278561] = 3,
    ACTIONS(16062), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5503), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278575] = 3,
    ACTIONS(20253), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(17950), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278589] = 3,
    ACTIONS(16062), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5540), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278603] = 3,
    ACTIONS(5386), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10853), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278617] = 3,
    ACTIONS(5386), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10858), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278631] = 3,
    ACTIONS(15964), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4884), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278645] = 3,
    ACTIONS(19872), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11543), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278659] = 7,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18018), 1,
      anon_sym_EQ,
    ACTIONS(20435), 1,
      ts_builtin_sym_end,
    ACTIONS(20443), 1,
      anon_sym_LF,
    ACTIONS(20475), 1,
      aux_sym__terminator_token1,
    STATE(15546), 1,
      aux_sym__block_repeat1,
  [278681] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24023), 1,
      anon_sym_end,
    STATE(17317), 1,
      sym_else_clause,
    STATE(18167), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278701] = 3,
    ACTIONS(15990), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11032), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278715] = 3,
    ACTIONS(15990), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11011), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278729] = 3,
    ACTIONS(15774), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5594), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278743] = 3,
    ACTIONS(5386), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10866), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278757] = 3,
    ACTIONS(9202), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6113), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278771] = 6,
    ACTIONS(23908), 1,
      anon_sym_else,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24025), 1,
      anon_sym_end,
    STATE(17314), 1,
      sym_else_clause,
    STATE(18182), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278791] = 3,
    ACTIONS(15774), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5588), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278805] = 3,
    ACTIONS(15798), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11344), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278819] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(17904), 1,
      anon_sym_EQ,
    ACTIONS(13210), 3,
      anon_sym_end,
      anon_sym_catch,
      aux_sym__terminator_token1,
  [278837] = 3,
    ACTIONS(15798), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11266), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278851] = 3,
    ACTIONS(15990), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11016), 4,
      sym__array,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [278865] = 4,
    ACTIONS(24027), 1,
      sym__immediate_string_start,
    ACTIONS(24029), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11928), 3,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_LT_COLON,
  [278881] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5650), 1,
      anon_sym_RBRACK,
    ACTIONS(24031), 1,
      anon_sym_LF,
    ACTIONS(24033), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [278900] = 4,
    ACTIONS(24037), 1,
      sym__string_end,
    STATE(16336), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24035), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [278915] = 4,
    ACTIONS(24041), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [278930] = 4,
    ACTIONS(24045), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [278945] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4852), 1,
      anon_sym_RBRACK,
    ACTIONS(24047), 1,
      anon_sym_LF,
    ACTIONS(24049), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [278964] = 5,
    ACTIONS(9086), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24051), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278981] = 5,
    ACTIONS(8968), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24053), 1,
      anon_sym_COMMA,
    STATE(15482), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [278998] = 5,
    ACTIONS(8862), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24055), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279015] = 5,
    ACTIONS(8968), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24053), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279032] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24057), 1,
      anon_sym_COMMA,
    ACTIONS(24059), 1,
      anon_sym_RPAREN,
    STATE(15798), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279049] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24061), 1,
      anon_sym_RBRACK,
    ACTIONS(24063), 1,
      anon_sym_LF,
    ACTIONS(24065), 1,
      aux_sym__terminator_token1,
    STATE(15506), 1,
      aux_sym_matrix_expression_repeat1,
  [279068] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(691), 2,
      sym_interpolation_expression,
      sym_identifier,
  [279083] = 4,
    ACTIONS(24073), 1,
      sym__command_end,
    STATE(15627), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24071), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279098] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24075), 1,
      anon_sym_COMMA,
    ACTIONS(24077), 1,
      anon_sym_RPAREN,
    STATE(15909), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279115] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24079), 1,
      anon_sym_COMMA,
    ACTIONS(24081), 1,
      anon_sym_RPAREN,
    STATE(15618), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279132] = 5,
    ACTIONS(8842), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24083), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279149] = 4,
    ACTIONS(24087), 1,
      sym__string_end,
    STATE(15616), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24085), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279164] = 5,
    ACTIONS(8966), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24089), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279181] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(445), 2,
      sym_interpolation_expression,
      sym_identifier,
  [279196] = 5,
    ACTIONS(8842), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24083), 1,
      anon_sym_COMMA,
    STATE(15507), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279213] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24095), 1,
      anon_sym_RBRACK,
    ACTIONS(24097), 1,
      anon_sym_LF,
    ACTIONS(24099), 1,
      aux_sym__terminator_token1,
    STATE(15469), 1,
      aux_sym_matrix_expression_repeat1,
  [279232] = 5,
    ACTIONS(9070), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19516), 1,
      anon_sym_COMMA,
    STATE(15644), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279249] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(430), 2,
      sym_interpolation_expression,
      sym_identifier,
  [279264] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(20435), 1,
      ts_builtin_sym_end,
    ACTIONS(20443), 1,
      anon_sym_LF,
    ACTIONS(20475), 1,
      aux_sym__terminator_token1,
    STATE(15546), 1,
      aux_sym__block_repeat1,
  [279283] = 4,
    ACTIONS(24103), 1,
      sym__string_end,
    STATE(15513), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24101), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279298] = 4,
    ACTIONS(24107), 1,
      sym__command_end,
    STATE(15523), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24105), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279313] = 5,
    ACTIONS(9068), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24109), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279330] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24111), 1,
      anon_sym_COMMA,
    ACTIONS(24113), 1,
      anon_sym_RPAREN,
    STATE(15527), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279347] = 5,
    ACTIONS(9542), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24115), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279364] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15561), 2,
      sym_interpolation_expression,
      sym_identifier,
  [279379] = 4,
    ACTIONS(24121), 1,
      sym__command_end,
    STATE(15468), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24119), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279394] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14436), 2,
      sym_interpolation_expression,
      sym_identifier,
  [279409] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24125), 1,
      anon_sym_RBRACK,
    ACTIONS(24127), 1,
      anon_sym_LF,
    ACTIONS(24129), 1,
      aux_sym__terminator_token1,
    STATE(15525), 1,
      aux_sym_matrix_expression_repeat1,
  [279428] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(416), 2,
      sym_interpolation_expression,
      sym_identifier,
  [279443] = 5,
    ACTIONS(9088), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20033), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279460] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15518), 2,
      sym_interpolation_expression,
      sym_identifier,
  [279475] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5900), 1,
      anon_sym_RBRACK,
    ACTIONS(24131), 1,
      anon_sym_LF,
    ACTIONS(24133), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [279494] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(454), 2,
      sym_interpolation_expression,
      sym_identifier,
  [279509] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24135), 1,
      anon_sym_LF,
    ACTIONS(24137), 1,
      aux_sym__terminator_token1,
    STATE(15529), 1,
      aux_sym_let_statement_repeat1,
  [279528] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15207), 1,
      sym_catch_clause,
    STATE(17320), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279545] = 4,
    ACTIONS(24143), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279560] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5274), 1,
      anon_sym_RBRACK,
    ACTIONS(24145), 1,
      anon_sym_LF,
    ACTIONS(24147), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [279579] = 5,
    ACTIONS(9164), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24149), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279596] = 4,
    ACTIONS(24153), 1,
      sym__string_end,
    STATE(15535), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24151), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279611] = 4,
    ACTIONS(24157), 1,
      sym__command_end,
    STATE(15536), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24155), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279626] = 5,
    ACTIONS(10338), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20123), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279643] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24159), 1,
      anon_sym_LF,
    ACTIONS(24161), 1,
      aux_sym__terminator_token1,
    STATE(15567), 1,
      aux_sym_let_statement_repeat1,
  [279662] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24163), 1,
      anon_sym_COMMA,
    ACTIONS(24165), 1,
      anon_sym_RPAREN,
    STATE(15540), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279679] = 4,
    ACTIONS(24167), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279694] = 5,
    ACTIONS(9278), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24169), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279711] = 4,
    ACTIONS(24171), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279726] = 5,
    ACTIONS(9308), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19474), 1,
      anon_sym_COMMA,
    STATE(15965), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279743] = 5,
    ACTIONS(9268), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24173), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279760] = 5,
    ACTIONS(24175), 1,
      anon_sym_end,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(24179), 1,
      sym__immediate_brace,
    STATE(18771), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279777] = 5,
    ACTIONS(9800), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19794), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279794] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24181), 1,
      anon_sym_COMMA,
    ACTIONS(24183), 1,
      anon_sym_RPAREN,
    STATE(15470), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279811] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15337), 1,
      sym_catch_clause,
    STATE(17232), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279828] = 4,
    ACTIONS(24187), 1,
      sym__command_end,
    STATE(15679), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24185), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279843] = 4,
    ACTIONS(24189), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279858] = 4,
    ACTIONS(24193), 1,
      sym__string_end,
    STATE(15671), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24191), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279873] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6052), 1,
      anon_sym_RBRACK,
    ACTIONS(24195), 1,
      anon_sym_LF,
    ACTIONS(24197), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [279892] = 4,
    ACTIONS(24201), 1,
      sym__string_end,
    STATE(15467), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24199), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [279907] = 5,
    ACTIONS(9612), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24203), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279924] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5834), 1,
      anon_sym_RBRACK,
    ACTIONS(24205), 1,
      anon_sym_LF,
    ACTIONS(24207), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [279943] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24209), 1,
      anon_sym_LF,
    ACTIONS(24211), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [279962] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(24215), 1,
      anon_sym_RPAREN,
    ACTIONS(24217), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279979] = 5,
    ACTIONS(9336), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24219), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [279996] = 4,
    ACTIONS(24221), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280011] = 4,
    ACTIONS(24223), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280026] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24225), 1,
      anon_sym_COMMA,
    ACTIONS(24227), 1,
      anon_sym_RPAREN,
    STATE(15491), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280043] = 4,
    ACTIONS(24229), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280058] = 4,
    ACTIONS(24231), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280073] = 5,
    ACTIONS(9650), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24233), 1,
      anon_sym_COMMA,
    STATE(15713), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280090] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(649), 2,
      sym_interpolation_expression,
      sym_identifier,
  [280105] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24235), 1,
      anon_sym_RBRACK,
    ACTIONS(24237), 1,
      anon_sym_LF,
    ACTIONS(24239), 1,
      aux_sym__terminator_token1,
    STATE(15501), 1,
      aux_sym_matrix_expression_repeat1,
  [280124] = 5,
    ACTIONS(9434), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24241), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280141] = 5,
    ACTIONS(9746), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24243), 1,
      anon_sym_COMMA,
    STATE(15565), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280158] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24245), 1,
      anon_sym_LF,
    ACTIONS(24247), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [280177] = 5,
    ACTIONS(9746), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24243), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280194] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24249), 1,
      anon_sym_RBRACK,
    ACTIONS(24251), 1,
      anon_sym_LF,
    ACTIONS(24253), 1,
      aux_sym__terminator_token1,
    STATE(15612), 1,
      aux_sym_matrix_expression_repeat1,
  [280213] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15224), 1,
      sym_catch_clause,
    STATE(17212), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280230] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(8232), 1,
      ts_builtin_sym_end,
    ACTIONS(24255), 1,
      anon_sym_LF,
    ACTIONS(24257), 1,
      aux_sym__terminator_token1,
    STATE(15631), 1,
      aux_sym__block_repeat1,
  [280249] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5638), 1,
      anon_sym_RBRACK,
    ACTIONS(24259), 1,
      anon_sym_LF,
    ACTIONS(24261), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [280268] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24263), 1,
      anon_sym_COMMA,
    ACTIONS(24265), 1,
      anon_sym_RPAREN,
    STATE(15766), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280285] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(24267), 1,
      anon_sym_end,
    ACTIONS(24269), 1,
      sym__immediate_brace,
    STATE(18179), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280302] = 4,
    ACTIONS(24273), 1,
      sym__command_end,
    STATE(15505), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24271), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280317] = 4,
    ACTIONS(24277), 1,
      sym__string_end,
    STATE(15515), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24275), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280332] = 4,
    ACTIONS(24281), 1,
      sym__command_end,
    STATE(15532), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24279), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280347] = 5,
    ACTIONS(10896), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19721), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280364] = 4,
    ACTIONS(24285), 1,
      sym__string_end,
    STATE(15533), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24283), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280379] = 4,
    ACTIONS(24289), 1,
      sym__string_end,
    STATE(15638), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24287), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280394] = 4,
    ACTIONS(24293), 1,
      sym__command_end,
    STATE(15639), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24291), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280409] = 5,
    ACTIONS(9800), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19794), 1,
      anon_sym_COMMA,
    STATE(15543), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280426] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24295), 1,
      anon_sym_COMMA,
    ACTIONS(24297), 1,
      anon_sym_RPAREN,
    STATE(15719), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280443] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24299), 4,
      sym__string_end,
      sym__string_content,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [280454] = 5,
    ACTIONS(9650), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24233), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280471] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(24301), 1,
      anon_sym_end,
    ACTIONS(24303), 1,
      sym__immediate_brace,
    STATE(19780), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280488] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24305), 1,
      anon_sym_RBRACK,
    ACTIONS(24307), 1,
      anon_sym_LF,
    ACTIONS(24309), 1,
      aux_sym__terminator_token1,
    STATE(15547), 1,
      aux_sym_matrix_expression_repeat1,
  [280507] = 5,
    ACTIONS(9720), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19719), 1,
      anon_sym_COMMA,
    STATE(15810), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280524] = 5,
    ACTIONS(10240), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24311), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280541] = 5,
    ACTIONS(9960), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24313), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280558] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24315), 1,
      anon_sym_RBRACK,
    ACTIONS(24317), 1,
      anon_sym_LF,
    ACTIONS(24319), 1,
      aux_sym__terminator_token1,
    STATE(15645), 1,
      aux_sym_matrix_expression_repeat1,
  [280577] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24321), 1,
      anon_sym_LF,
    ACTIONS(24323), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [280596] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24325), 1,
      anon_sym_RBRACK,
    ACTIONS(24327), 1,
      anon_sym_LF,
    ACTIONS(24329), 1,
      aux_sym__terminator_token1,
    STATE(15528), 1,
      aux_sym_matrix_expression_repeat1,
  [280615] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24331), 1,
      anon_sym_LF,
    ACTIONS(24333), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [280634] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24335), 1,
      anon_sym_RBRACK,
    ACTIONS(24337), 1,
      anon_sym_LF,
    ACTIONS(24339), 1,
      aux_sym__terminator_token1,
    STATE(15640), 1,
      aux_sym_matrix_expression_repeat1,
  [280653] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24341), 1,
      anon_sym_COMMA,
    ACTIONS(24343), 1,
      anon_sym_RPAREN,
    STATE(15517), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280670] = 4,
    ACTIONS(24347), 1,
      sym__string_end,
    STATE(15649), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24345), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280685] = 5,
    ACTIONS(10096), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19910), 1,
      anon_sym_COMMA,
    STATE(15745), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280702] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24349), 1,
      anon_sym_RBRACK,
    ACTIONS(24351), 1,
      anon_sym_LF,
    ACTIONS(24353), 1,
      aux_sym__terminator_token1,
    STATE(15624), 1,
      aux_sym_matrix_expression_repeat1,
  [280721] = 4,
    ACTIONS(24357), 1,
      sym__command_end,
    STATE(15650), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24355), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280736] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15243), 1,
      sym_catch_clause,
    STATE(17203), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280753] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(604), 2,
      sym_interpolation_expression,
      sym_identifier,
  [280768] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(459), 2,
      sym_interpolation_expression,
      sym_identifier,
  [280783] = 5,
    ACTIONS(8852), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24359), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280800] = 5,
    ACTIONS(10100), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24361), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280817] = 5,
    ACTIONS(8666), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20231), 1,
      anon_sym_COMMA,
    STATE(16631), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280834] = 5,
    ACTIONS(10100), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24361), 1,
      anon_sym_COMMA,
    STATE(15564), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280851] = 5,
    ACTIONS(10158), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24363), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280868] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24365), 1,
      anon_sym_COMMA,
    ACTIONS(24367), 1,
      anon_sym_RPAREN,
    STATE(15724), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280885] = 4,
    ACTIONS(24369), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280900] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(16253), 2,
      sym_interpolation_expression,
      sym_identifier,
  [280915] = 4,
    ACTIONS(24371), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280930] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(431), 2,
      sym_interpolation_expression,
      sym_identifier,
  [280945] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(24373), 1,
      anon_sym_RPAREN,
    ACTIONS(24375), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280962] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(24377), 1,
      anon_sym_end,
    ACTIONS(24379), 1,
      sym__immediate_brace,
    STATE(18276), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [280979] = 4,
    ACTIONS(24383), 1,
      sym__string_end,
    STATE(15647), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24381), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [280994] = 4,
    ACTIONS(24387), 1,
      sym__command_end,
    STATE(15651), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24385), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281009] = 5,
    ACTIONS(10080), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24389), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281026] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(24391), 1,
      anon_sym_RPAREN,
    ACTIONS(24393), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281043] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(24395), 1,
      anon_sym_RPAREN,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281060] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5404), 1,
      anon_sym_RBRACK,
    ACTIONS(24397), 1,
      anon_sym_LF,
    ACTIONS(24399), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [281079] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24401), 1,
      anon_sym_LF,
    ACTIONS(24403), 1,
      aux_sym__terminator_token1,
    STATE(15655), 1,
      aux_sym_let_statement_repeat1,
  [281098] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24405), 1,
      anon_sym_RBRACK,
    ACTIONS(24407), 1,
      anon_sym_LF,
    ACTIONS(24409), 1,
      aux_sym__terminator_token1,
    STATE(15626), 1,
      aux_sym_matrix_expression_repeat1,
  [281117] = 5,
    ACTIONS(9238), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20035), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281134] = 4,
    ACTIONS(24411), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281149] = 4,
    ACTIONS(24413), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281164] = 5,
    ACTIONS(10712), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20310), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281181] = 5,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19532), 1,
      anon_sym_COMMA,
    STATE(15702), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281198] = 5,
    ACTIONS(10204), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24415), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281215] = 5,
    ACTIONS(10310), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24417), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281232] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24419), 1,
      anon_sym_COMMA,
    ACTIONS(24421), 1,
      anon_sym_RPAREN,
    STATE(15661), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281249] = 5,
    ACTIONS(9898), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24423), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281266] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4808), 1,
      anon_sym_RBRACK,
    ACTIONS(24425), 1,
      anon_sym_LF,
    ACTIONS(24427), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [281285] = 4,
    ACTIONS(24431), 1,
      sym__string_end,
    STATE(15636), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24429), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281300] = 4,
    ACTIONS(24435), 1,
      sym__command_end,
    STATE(15637), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24433), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281315] = 5,
    ACTIONS(9438), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19886), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281332] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5458), 1,
      anon_sym_RBRACK,
    ACTIONS(24437), 1,
      anon_sym_LF,
    ACTIONS(24439), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [281351] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24441), 1,
      anon_sym_COMMA,
    ACTIONS(24443), 1,
      anon_sym_RPAREN,
    STATE(15641), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281368] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15265), 1,
      sym_catch_clause,
    STATE(16927), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281385] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24445), 1,
      anon_sym_COMMA,
    ACTIONS(24447), 1,
      anon_sym_RPAREN,
    STATE(15583), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281402] = 4,
    ACTIONS(24449), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281417] = 5,
    ACTIONS(8678), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24451), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281434] = 5,
    ACTIONS(10206), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24453), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281451] = 4,
    ACTIONS(24457), 1,
      sym__command_end,
    STATE(15585), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24455), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281466] = 5,
    ACTIONS(9070), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19516), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281483] = 4,
    ACTIONS(24461), 1,
      sym__string_end,
    STATE(15587), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24459), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281498] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24463), 1,
      anon_sym_COMMA,
    ACTIONS(24465), 1,
      anon_sym_RPAREN,
    STATE(15629), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281515] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18018), 1,
      anon_sym_EQ,
    ACTIONS(19468), 1,
      aux_sym__terminator_token1,
    ACTIONS(19470), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [281532] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5632), 1,
      anon_sym_RBRACK,
    ACTIONS(24467), 1,
      anon_sym_LF,
    ACTIONS(24469), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [281551] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24471), 1,
      anon_sym_COMMA,
    ACTIONS(24473), 1,
      anon_sym_RPAREN,
    STATE(15692), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281568] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5328), 1,
      anon_sym_RBRACK,
    ACTIONS(24475), 1,
      anon_sym_LF,
    ACTIONS(24477), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [281587] = 4,
    ACTIONS(24479), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281602] = 4,
    ACTIONS(24483), 1,
      sym__command_end,
    STATE(15600), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24481), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281617] = 5,
    ACTIONS(10638), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24485), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281634] = 4,
    ACTIONS(24489), 1,
      sym__string_end,
    STATE(15601), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24487), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281649] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19470), 1,
      ts_builtin_sym_end,
    ACTIONS(24491), 1,
      anon_sym_LF,
    ACTIONS(24494), 1,
      aux_sym__terminator_token1,
    STATE(15631), 1,
      aux_sym__block_repeat1,
  [281668] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13210), 1,
      aux_sym__terminator_token1,
    ACTIONS(18018), 1,
      anon_sym_EQ,
    ACTIONS(13212), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
  [281685] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24497), 1,
      anon_sym_RBRACK,
    ACTIONS(24499), 1,
      anon_sym_LF,
    ACTIONS(24501), 1,
      aux_sym__terminator_token1,
    STATE(15596), 1,
      aux_sym_matrix_expression_repeat1,
  [281704] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(24503), 1,
      anon_sym_RPAREN,
    ACTIONS(24505), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281721] = 5,
    ACTIONS(10362), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24507), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281738] = 4,
    ACTIONS(24509), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281753] = 4,
    ACTIONS(24511), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281768] = 4,
    ACTIONS(24513), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281783] = 4,
    ACTIONS(24515), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281798] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6094), 1,
      anon_sym_RBRACK,
    ACTIONS(24517), 1,
      anon_sym_LF,
    ACTIONS(24519), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [281817] = 5,
    ACTIONS(10264), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24521), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281834] = 5,
    ACTIONS(10322), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24523), 1,
      anon_sym_COMMA,
    STATE(15666), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281851] = 5,
    ACTIONS(9438), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19886), 1,
      anon_sym_COMMA,
    STATE(15667), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281868] = 5,
    ACTIONS(10322), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24523), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281885] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5088), 1,
      anon_sym_RBRACK,
    ACTIONS(24525), 1,
      anon_sym_LF,
    ACTIONS(24527), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [281904] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24529), 1,
      anon_sym_RBRACK,
    ACTIONS(24531), 1,
      anon_sym_LF,
    ACTIONS(24533), 1,
      aux_sym__terminator_token1,
    STATE(15608), 1,
      aux_sym_matrix_expression_repeat1,
  [281923] = 4,
    ACTIONS(24535), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281938] = 5,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19532), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [281955] = 4,
    ACTIONS(24537), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281970] = 4,
    ACTIONS(24539), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [281985] = 4,
    ACTIONS(24541), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282000] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14465), 2,
      sym_interpolation_expression,
      sym_identifier,
  [282015] = 5,
    ACTIONS(10450), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24543), 1,
      anon_sym_COMMA,
    STATE(15660), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282032] = 5,
    ACTIONS(10338), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20123), 1,
      anon_sym_COMMA,
    STATE(15473), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282049] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24545), 1,
      anon_sym_LF,
    ACTIONS(24547), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [282068] = 5,
    ACTIONS(10362), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24507), 1,
      anon_sym_COMMA,
    STATE(15605), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282085] = 5,
    ACTIONS(10418), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24549), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282102] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24551), 1,
      anon_sym_LF,
    ACTIONS(24553), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [282121] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24555), 1,
      anon_sym_COMMA,
    ACTIONS(24557), 1,
      anon_sym_RPAREN,
    STATE(15820), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282138] = 5,
    ACTIONS(10350), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24559), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282155] = 5,
    ACTIONS(9938), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24561), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282172] = 5,
    ACTIONS(9954), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24563), 1,
      anon_sym_COMMA,
    STATE(15688), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282189] = 4,
    ACTIONS(24565), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282204] = 4,
    ACTIONS(24567), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282219] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24569), 1,
      anon_sym_COMMA,
    ACTIONS(24571), 1,
      anon_sym_RPAREN,
    STATE(15514), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282236] = 5,
    ACTIONS(10410), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24573), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282253] = 5,
    ACTIONS(9954), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24563), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282270] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14451), 2,
      sym_interpolation_expression,
      sym_identifier,
  [282285] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5292), 1,
      anon_sym_RBRACK,
    ACTIONS(24575), 1,
      anon_sym_LF,
    ACTIONS(24577), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [282304] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15280), 1,
      sym_catch_clause,
    STATE(16727), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282321] = 4,
    ACTIONS(24579), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282336] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14435), 2,
      sym_interpolation_expression,
      sym_identifier,
  [282351] = 5,
    ACTIONS(10020), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19920), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282368] = 5,
    ACTIONS(10456), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20177), 1,
      anon_sym_COMMA,
    STATE(15846), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282385] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24581), 1,
      anon_sym_COMMA,
    ACTIONS(24583), 1,
      anon_sym_RPAREN,
    STATE(15941), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282402] = 5,
    ACTIONS(10450), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24543), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282419] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17718), 1,
      aux_sym__terminator_token1,
    ACTIONS(17720), 1,
      anon_sym_LF,
    ACTIONS(24585), 1,
      anon_sym_COMMA,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [282438] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14414), 2,
      sym_interpolation_expression,
      sym_identifier,
  [282453] = 4,
    ACTIONS(24588), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282468] = 5,
    ACTIONS(9386), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24590), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282485] = 5,
    ACTIONS(10514), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24592), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282502] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24594), 1,
      anon_sym_COMMA,
    ACTIONS(24596), 1,
      anon_sym_RPAREN,
    STATE(15607), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282519] = 4,
    ACTIONS(24598), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282534] = 4,
    ACTIONS(24600), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282549] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(24602), 1,
      anon_sym_RPAREN,
    ACTIONS(24604), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282566] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14421), 2,
      sym_interpolation_expression,
      sym_identifier,
  [282581] = 5,
    ACTIONS(10540), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24606), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282598] = 5,
    ACTIONS(9994), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24608), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282615] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6070), 1,
      anon_sym_RBRACK,
    ACTIONS(24610), 1,
      anon_sym_LF,
    ACTIONS(24612), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [282634] = 4,
    ACTIONS(24616), 1,
      sym__string_end,
    STATE(15740), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24614), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282649] = 5,
    ACTIONS(9354), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24618), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282666] = 5,
    ACTIONS(10848), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24620), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282683] = 5,
    ACTIONS(10768), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24622), 1,
      anon_sym_COMMA,
    STATE(15741), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282700] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14430), 2,
      sym_interpolation_expression,
      sym_identifier,
  [282715] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24624), 1,
      anon_sym_COMMA,
    ACTIONS(24626), 1,
      anon_sym_RPAREN,
    STATE(16377), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282732] = 5,
    ACTIONS(9354), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24618), 1,
      anon_sym_COMMA,
    STATE(15680), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282749] = 5,
    ACTIONS(10188), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20037), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282766] = 5,
    ACTIONS(10584), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24628), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282783] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24630), 1,
      anon_sym_RBRACK,
    ACTIONS(24632), 1,
      anon_sym_LF,
    ACTIONS(24634), 1,
      aux_sym__terminator_token1,
    STATE(15727), 1,
      aux_sym_matrix_expression_repeat1,
  [282802] = 5,
    ACTIONS(10010), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19634), 1,
      anon_sym_COMMA,
    STATE(15991), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282819] = 5,
    ACTIONS(9318), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24636), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282836] = 5,
    ACTIONS(10768), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24622), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282853] = 5,
    ACTIONS(8732), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24638), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282870] = 5,
    ACTIONS(8732), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24638), 1,
      anon_sym_COMMA,
    STATE(15617), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282887] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24640), 1,
      anon_sym_COMMA,
    ACTIONS(24642), 1,
      anon_sym_RPAREN,
    STATE(15681), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282904] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24644), 1,
      anon_sym_COMMA,
    ACTIONS(24646), 1,
      anon_sym_RPAREN,
    STATE(15657), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282921] = 4,
    ACTIONS(24648), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282936] = 4,
    ACTIONS(24650), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282951] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24652), 1,
      anon_sym_COMMA,
    ACTIONS(24654), 1,
      anon_sym_RPAREN,
    STATE(16461), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [282968] = 4,
    ACTIONS(24658), 1,
      sym__string_end,
    STATE(15737), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24656), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282983] = 4,
    ACTIONS(24662), 1,
      sym__command_end,
    STATE(15738), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24660), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [282998] = 4,
    ACTIONS(24666), 1,
      sym__command_end,
    STATE(15683), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24664), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283013] = 5,
    ACTIONS(9664), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24668), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283030] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24670), 1,
      anon_sym_COMMA,
    ACTIONS(24672), 1,
      anon_sym_RPAREN,
    STATE(15742), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283047] = 5,
    ACTIONS(8746), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24674), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283064] = 4,
    ACTIONS(24678), 1,
      sym__string_end,
    STATE(15684), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24676), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283079] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5058), 1,
      anon_sym_RBRACK,
    ACTIONS(24680), 1,
      anon_sym_LF,
    ACTIONS(24682), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [283098] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(24684), 1,
      anon_sym_end,
    ACTIONS(24686), 1,
      sym__immediate_brace,
    STATE(18287), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283115] = 5,
    ACTIONS(10594), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24688), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283132] = 4,
    ACTIONS(24692), 1,
      sym__command_end,
    STATE(15663), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24690), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283147] = 5,
    ACTIONS(10096), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19910), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283164] = 4,
    ACTIONS(24696), 1,
      sym__string_end,
    STATE(15664), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24694), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283179] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(625), 2,
      sym_interpolation_expression,
      sym_identifier,
  [283194] = 5,
    ACTIONS(10490), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24698), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283211] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(425), 2,
      sym_interpolation_expression,
      sym_identifier,
  [283226] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24700), 1,
      anon_sym_RBRACK,
    ACTIONS(24702), 1,
      anon_sym_LF,
    ACTIONS(24704), 1,
      aux_sym__terminator_token1,
    STATE(15779), 1,
      aux_sym_matrix_expression_repeat1,
  [283245] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5986), 1,
      anon_sym_RBRACK,
    ACTIONS(24706), 1,
      anon_sym_LF,
    ACTIONS(24708), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [283264] = 5,
    ACTIONS(10578), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24710), 1,
      anon_sym_COMMA,
    STATE(15801), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283281] = 4,
    ACTIONS(24712), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283296] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24714), 1,
      anon_sym_RBRACK,
    ACTIONS(24716), 1,
      anon_sym_LF,
    ACTIONS(24718), 1,
      aux_sym__terminator_token1,
    STATE(15689), 1,
      aux_sym_matrix_expression_repeat1,
  [283315] = 4,
    ACTIONS(24722), 1,
      sym__command_end,
    STATE(15707), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24720), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283330] = 5,
    ACTIONS(10578), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24710), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283347] = 4,
    ACTIONS(24726), 1,
      sym__string_end,
    STATE(15708), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24724), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283362] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14450), 2,
      sym_interpolation_expression,
      sym_identifier,
  [283377] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15204), 1,
      sym_catch_clause,
    STATE(17184), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283394] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24728), 1,
      anon_sym_RBRACK,
    ACTIONS(24730), 1,
      anon_sym_LF,
    ACTIONS(24732), 1,
      aux_sym__terminator_token1,
    STATE(15669), 1,
      aux_sym_matrix_expression_repeat1,
  [283413] = 4,
    ACTIONS(24734), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283428] = 4,
    ACTIONS(24736), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283443] = 4,
    ACTIONS(21624), 1,
      anon_sym_for,
    ACTIONS(24738), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24740), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [283458] = 4,
    ACTIONS(24743), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283473] = 5,
    ACTIONS(10488), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24745), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283490] = 5,
    ACTIONS(10646), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24747), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283507] = 5,
    ACTIONS(10722), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24749), 1,
      anon_sym_COMMA,
    STATE(15767), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283524] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(16516), 2,
      sym_interpolation_expression,
      sym_identifier,
  [283539] = 5,
    ACTIONS(10722), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24749), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283556] = 4,
    ACTIONS(24751), 1,
      anon_sym_SEMI,
    STATE(15746), 1,
      aux_sym_parenthesized_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21624), 2,
      anon_sym_for,
      anon_sym_RPAREN,
  [283571] = 4,
    ACTIONS(20433), 1,
      anon_sym_RPAREN,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24754), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [283586] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24757), 1,
      anon_sym_RBRACK,
    ACTIONS(24759), 1,
      anon_sym_LF,
    ACTIONS(24761), 1,
      aux_sym__terminator_token1,
    STATE(15717), 1,
      aux_sym_matrix_expression_repeat1,
  [283605] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24763), 1,
      anon_sym_RBRACK,
    ACTIONS(24765), 1,
      anon_sym_LF,
    ACTIONS(24767), 1,
      aux_sym__terminator_token1,
    STATE(15830), 1,
      aux_sym_matrix_expression_repeat1,
  [283624] = 5,
    ACTIONS(10712), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20310), 1,
      anon_sym_COMMA,
    STATE(15580), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283641] = 4,
    ACTIONS(24769), 1,
      anon_sym_COMMA,
    STATE(15751), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21544), 2,
      anon_sym_for,
      anon_sym_RPAREN,
  [283656] = 4,
    ACTIONS(24774), 1,
      sym__string_end,
    STATE(15793), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24772), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283671] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(429), 2,
      sym_interpolation_expression,
      sym_identifier,
  [283686] = 5,
    ACTIONS(10448), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19890), 1,
      anon_sym_COMMA,
    STATE(16584), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283703] = 4,
    ACTIONS(24776), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21552), 2,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [283718] = 4,
    ACTIONS(24781), 1,
      sym__command_end,
    STATE(15795), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24779), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [283733] = 5,
    ACTIONS(10784), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24783), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283750] = 5,
    ACTIONS(10910), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24785), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283767] = 5,
    ACTIONS(10896), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19721), 1,
      anon_sym_COMMA,
    STATE(15480), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283784] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24787), 1,
      anon_sym_COMMA,
    ACTIONS(24789), 1,
      anon_sym_RPAREN,
    STATE(15920), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283801] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24791), 1,
      anon_sym_COMMA,
    ACTIONS(24793), 1,
      anon_sym_RPAREN,
    STATE(15604), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283818] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24795), 1,
      anon_sym_LF,
    ACTIONS(24797), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [283837] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24799), 1,
      anon_sym_COMMA,
    ACTIONS(24801), 1,
      anon_sym_RPAREN,
    STATE(15797), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283854] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24803), 1,
      anon_sym_COMMA,
    ACTIONS(24805), 1,
      anon_sym_RPAREN,
    STATE(15531), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283871] = 4,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(22410), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
  [283886] = 5,
    ACTIONS(10120), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24807), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283903] = 5,
    ACTIONS(10922), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24809), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283920] = 5,
    ACTIONS(10948), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24811), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283937] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24813), 1,
      anon_sym_RBRACK,
    ACTIONS(24815), 1,
      anon_sym_LF,
    ACTIONS(24818), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [283956] = 5,
    ACTIONS(9720), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19719), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283973] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24821), 1,
      anon_sym_COMMA,
    ACTIONS(24823), 1,
      anon_sym_RPAREN,
    STATE(16238), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [283990] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24825), 1,
      anon_sym_LF,
    ACTIONS(24827), 1,
      aux_sym__terminator_token1,
    STATE(15788), 1,
      aux_sym_let_statement_repeat1,
  [284009] = 5,
    ACTIONS(10886), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24829), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284026] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15303), 1,
      sym_catch_clause,
    STATE(16809), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284043] = 5,
    ACTIONS(10946), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20171), 1,
      anon_sym_COMMA,
    STATE(15946), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284060] = 5,
    ACTIONS(10886), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24829), 1,
      anon_sym_COMMA,
    STATE(15757), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284077] = 5,
    ACTIONS(10966), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24831), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284094] = 4,
    ACTIONS(24836), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24833), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284109] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5340), 1,
      anon_sym_RBRACK,
    ACTIONS(24838), 1,
      anon_sym_LF,
    ACTIONS(24840), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [284128] = 5,
    ACTIONS(10948), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24811), 1,
      anon_sym_COMMA,
    STATE(15758), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284145] = 4,
    ACTIONS(24842), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284160] = 4,
    ACTIONS(24844), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284175] = 5,
    ACTIONS(10864), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24846), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284192] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14460), 2,
      sym_interpolation_expression,
      sym_identifier,
  [284207] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24848), 1,
      anon_sym_LF,
    ACTIONS(24850), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [284226] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5858), 1,
      anon_sym_RBRACK,
    ACTIONS(24852), 1,
      anon_sym_LF,
    ACTIONS(24854), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [284245] = 4,
    ACTIONS(24858), 1,
      sym__string_end,
    STATE(15883), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24856), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284260] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24860), 1,
      anon_sym_LF,
    ACTIONS(24862), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [284279] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24864), 1,
      anon_sym_LF,
    ACTIONS(24866), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [284298] = 5,
    ACTIONS(9950), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19733), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284315] = 4,
    ACTIONS(24870), 1,
      sym__command_end,
    STATE(15892), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24868), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284330] = 5,
    ACTIONS(10814), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24872), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284347] = 4,
    ACTIONS(24874), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284362] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4828), 1,
      anon_sym_RBRACK,
    ACTIONS(24876), 1,
      anon_sym_LF,
    ACTIONS(24878), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [284381] = 4,
    ACTIONS(24880), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284396] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15326), 1,
      sym_catch_clause,
    STATE(17038), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284413] = 5,
    ACTIONS(10226), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24882), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284430] = 5,
    ACTIONS(8936), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24884), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284447] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24886), 1,
      anon_sym_COMMA,
    ACTIONS(24888), 1,
      anon_sym_RPAREN,
    STATE(15777), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284464] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24890), 1,
      anon_sym_RBRACK,
    ACTIONS(24892), 1,
      anon_sym_LF,
    ACTIONS(24894), 1,
      aux_sym__terminator_token1,
    STATE(15828), 1,
      aux_sym_matrix_expression_repeat1,
  [284483] = 5,
    ACTIONS(10718), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24896), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284500] = 5,
    ACTIONS(10236), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24898), 1,
      anon_sym_COMMA,
    STATE(15833), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284517] = 4,
    ACTIONS(24900), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284532] = 4,
    ACTIONS(24904), 1,
      sym__command_end,
    STATE(15781), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24902), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284547] = 4,
    ACTIONS(24906), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284562] = 4,
    ACTIONS(24910), 1,
      sym__string_end,
    STATE(15782), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24908), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284577] = 4,
    ACTIONS(24912), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284592] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24914), 1,
      anon_sym_RBRACK,
    ACTIONS(24916), 1,
      anon_sym_LF,
    ACTIONS(24918), 1,
      aux_sym__terminator_token1,
    STATE(15918), 1,
      aux_sym_matrix_expression_repeat1,
  [284611] = 4,
    ACTIONS(24920), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284626] = 5,
    ACTIONS(10236), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24898), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284643] = 4,
    ACTIONS(24924), 1,
      sym__string_end,
    STATE(15838), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24922), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284658] = 4,
    ACTIONS(24928), 1,
      sym__command_end,
    STATE(15839), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24926), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284673] = 4,
    ACTIONS(24930), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284688] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22436), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [284699] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24932), 1,
      anon_sym_COMMA,
    ACTIONS(24934), 1,
      anon_sym_RPAREN,
    STATE(15843), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284716] = 5,
    ACTIONS(8744), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20189), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284733] = 4,
    ACTIONS(24936), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284748] = 4,
    ACTIONS(24940), 1,
      sym__string_end,
    STATE(15925), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24938), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284763] = 4,
    ACTIONS(24944), 1,
      sym__command_end,
    STATE(15927), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24942), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [284778] = 5,
    ACTIONS(10752), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24946), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284795] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5566), 1,
      anon_sym_RBRACK,
    ACTIONS(24948), 1,
      anon_sym_LF,
    ACTIONS(24950), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [284814] = 5,
    ACTIONS(10456), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20177), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284831] = 5,
    ACTIONS(8958), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24952), 1,
      anon_sym_COMMA,
    STATE(16061), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284848] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(24954), 1,
      anon_sym_RBRACK,
    ACTIONS(24956), 1,
      anon_sym_LF,
    ACTIONS(24958), 1,
      aux_sym__terminator_token1,
    STATE(15786), 1,
      aux_sym_matrix_expression_repeat1,
  [284867] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14462), 2,
      sym_interpolation_expression,
      sym_identifier,
  [284882] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24960), 1,
      anon_sym_COMMA,
    ACTIONS(24962), 1,
      anon_sym_RPAREN,
    STATE(16154), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284899] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15371), 1,
      sym_catch_clause,
    STATE(16990), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284916] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6274), 1,
      anon_sym_RBRACK,
    ACTIONS(24964), 1,
      anon_sym_LF,
    ACTIONS(24966), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [284935] = 5,
    ACTIONS(9234), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24968), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284952] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4864), 1,
      anon_sym_RBRACK,
    ACTIONS(24970), 1,
      anon_sym_LF,
    ACTIONS(24972), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [284971] = 5,
    ACTIONS(10852), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20233), 1,
      anon_sym_COMMA,
    STATE(16286), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [284988] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24974), 1,
      anon_sym_LF,
    ACTIONS(24976), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [285007] = 5,
    ACTIONS(10290), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24978), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285024] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24980), 4,
      sym__string_end,
      sym__string_content,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [285035] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24982), 4,
      sym__string_end,
      sym__string_content,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [285046] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(24984), 1,
      anon_sym_LF,
    ACTIONS(24986), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [285065] = 4,
    ACTIONS(24990), 1,
      sym__command_end,
    STATE(15803), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24988), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [285080] = 4,
    ACTIONS(24992), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [285095] = 4,
    ACTIONS(24994), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [285110] = 4,
    ACTIONS(24998), 1,
      sym__string_end,
    STATE(15807), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24996), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [285125] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6106), 1,
      anon_sym_RBRACK,
    ACTIONS(25000), 1,
      anon_sym_LF,
    ACTIONS(25002), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [285144] = 5,
    ACTIONS(10188), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20037), 1,
      anon_sym_COMMA,
    STATE(15676), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285161] = 5,
    ACTIONS(10374), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25004), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285178] = 5,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25006), 1,
      anon_sym_COMMA,
    STATE(15868), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285195] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(596), 2,
      sym_interpolation_expression,
      sym_identifier,
  [285210] = 5,
    ACTIONS(10300), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25006), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285227] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17826), 1,
      anon_sym_COMMA,
    ACTIONS(25008), 1,
      anon_sym_LF,
    ACTIONS(25010), 1,
      aux_sym__terminator_token1,
    STATE(15853), 1,
      aux_sym__do_parameter_list_repeat1,
  [285246] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14454), 2,
      sym_interpolation_expression,
      sym_identifier,
  [285261] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(25012), 1,
      anon_sym_end,
    ACTIONS(25014), 1,
      sym__immediate_brace,
    STATE(18442), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285278] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(418), 2,
      sym_interpolation_expression,
      sym_identifier,
  [285293] = 4,
    ACTIONS(18336), 1,
      anon_sym_for,
    ACTIONS(23798), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
  [285308] = 5,
    ACTIONS(10330), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25016), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285325] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17940), 1,
      aux_sym__terminator_token1,
    ACTIONS(17942), 1,
      anon_sym_LF,
    ACTIONS(25018), 1,
      anon_sym_COMMA,
    STATE(15853), 1,
      aux_sym__do_parameter_list_repeat1,
  [285344] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18080), 1,
      anon_sym_EQ,
    ACTIONS(19470), 1,
      anon_sym_LF,
    ACTIONS(19468), 2,
      anon_sym_end,
      aux_sym__terminator_token1,
  [285361] = 5,
    ACTIONS(9504), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20113), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285378] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(25021), 1,
      anon_sym_RPAREN,
    ACTIONS(25023), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285395] = 5,
    ACTIONS(10690), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25025), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285412] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25027), 1,
      anon_sym_COMMA,
    ACTIONS(25029), 1,
      anon_sym_RPAREN,
    STATE(15698), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285429] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25031), 1,
      anon_sym_RBRACK,
    ACTIONS(25033), 1,
      anon_sym_LF,
    ACTIONS(25035), 1,
      aux_sym__terminator_token1,
    STATE(15821), 1,
      aux_sym_matrix_expression_repeat1,
  [285448] = 5,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(13212), 1,
      anon_sym_LF,
    ACTIONS(18080), 1,
      anon_sym_EQ,
    ACTIONS(13210), 2,
      anon_sym_end,
      aux_sym__terminator_token1,
  [285465] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25037), 1,
      anon_sym_COMMA,
    ACTIONS(25039), 1,
      anon_sym_RPAREN,
    STATE(16014), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285482] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24299), 4,
      sym__command_end,
      sym__string_content,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [285493] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6202), 1,
      anon_sym_RBRACK,
    ACTIONS(25041), 1,
      anon_sym_LF,
    ACTIONS(25043), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [285512] = 5,
    ACTIONS(10372), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19456), 1,
      anon_sym_COMMA,
    STATE(16210), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285529] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25045), 1,
      anon_sym_COMMA,
    ACTIONS(25047), 1,
      anon_sym_RPAREN,
    STATE(15783), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285546] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24980), 4,
      sym__command_end,
      sym__string_content,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [285557] = 5,
    ACTIONS(10282), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25049), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285574] = 5,
    ACTIONS(10238), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25051), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285591] = 5,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19698), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285608] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24982), 4,
      sym__command_end,
      sym__string_content,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [285619] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25053), 1,
      anon_sym_COMMA,
    ACTIONS(25055), 1,
      anon_sym_RPAREN,
    STATE(15701), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285636] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    ACTIONS(23390), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14524), 2,
      sym_if_clause,
      sym_for_clause,
  [285651] = 5,
    ACTIONS(10282), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25049), 1,
      anon_sym_COMMA,
    STATE(15852), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285668] = 5,
    ACTIONS(10132), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25057), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285685] = 4,
    ACTIONS(24836), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25059), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [285700] = 5,
    ACTIONS(10110), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19938), 1,
      anon_sym_COMMA,
    STATE(16038), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285717] = 4,
    ACTIONS(25062), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [285732] = 4,
    ACTIONS(25064), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [285747] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(25066), 1,
      anon_sym_RPAREN,
    ACTIONS(25068), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285764] = 3,
    ACTIONS(25070), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12676), 3,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
  [285777] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15378), 1,
      sym_catch_clause,
    STATE(17004), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285794] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15890), 2,
      sym_interpolation_expression,
      sym_identifier,
  [285809] = 4,
    ACTIONS(25072), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [285824] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5070), 1,
      anon_sym_RBRACK,
    ACTIONS(25074), 1,
      anon_sym_LF,
    ACTIONS(25076), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [285843] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(452), 2,
      sym_interpolation_expression,
      sym_identifier,
  [285858] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12704), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [285869] = 5,
    ACTIONS(8574), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285886] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(25078), 1,
      anon_sym_LF,
    ACTIONS(25080), 1,
      aux_sym__terminator_token1,
    STATE(15926), 1,
      aux_sym_let_statement_repeat1,
  [285905] = 5,
    ACTIONS(10042), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25082), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285922] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(25084), 1,
      anon_sym_end,
    ACTIONS(25086), 1,
      sym__immediate_brace,
    STATE(18395), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [285939] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25088), 1,
      anon_sym_RBRACK,
    ACTIONS(25090), 1,
      anon_sym_LF,
    ACTIONS(25092), 1,
      aux_sym__terminator_token1,
    STATE(15954), 1,
      aux_sym_matrix_expression_repeat1,
  [285958] = 4,
    ACTIONS(25094), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [285973] = 4,
    ACTIONS(25098), 1,
      sym__command_end,
    STATE(15805), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25096), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [285988] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25100), 1,
      anon_sym_COMMA,
    ACTIONS(25102), 1,
      anon_sym_RPAREN,
    STATE(15874), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286005] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15216), 1,
      sym_catch_clause,
    STATE(17050), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286022] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11866), 4,
      sym__string_end,
      sym__string_content,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [286033] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25104), 1,
      anon_sym_COMMA,
    ACTIONS(25106), 1,
      anon_sym_RPAREN,
    STATE(15960), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286050] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11866), 4,
      sym__command_end,
      sym__string_content,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [286061] = 4,
    ACTIONS(25110), 1,
      sym__command_end,
    STATE(15877), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25108), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286076] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25112), 1,
      anon_sym_RBRACK,
    ACTIONS(25114), 1,
      anon_sym_LF,
    ACTIONS(25116), 1,
      aux_sym__terminator_token1,
    STATE(15928), 1,
      aux_sym_matrix_expression_repeat1,
  [286095] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15360), 1,
      sym_catch_clause,
    STATE(17106), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286112] = 4,
    ACTIONS(25120), 1,
      sym__command_end,
    STATE(15729), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25118), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286127] = 4,
    ACTIONS(25124), 1,
      sym__string_end,
    STATE(15878), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25122), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286142] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(25126), 1,
      anon_sym_LF,
    ACTIONS(25128), 1,
      aux_sym__terminator_token1,
    STATE(15836), 1,
      aux_sym_let_statement_repeat1,
  [286161] = 4,
    ACTIONS(25132), 1,
      sym__string_end,
    STATE(15809), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25130), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286176] = 5,
    ACTIONS(8958), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(24952), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286193] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(458), 2,
      sym_interpolation_expression,
      sym_identifier,
  [286208] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(16109), 2,
      sym_interpolation_expression,
      sym_identifier,
  [286223] = 5,
    ACTIONS(9862), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25134), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286240] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(25136), 1,
      anon_sym_RPAREN,
    ACTIONS(25138), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286257] = 4,
    ACTIONS(25142), 1,
      sym__string_end,
    STATE(15938), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25140), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286272] = 4,
    ACTIONS(25146), 1,
      sym__command_end,
    STATE(15939), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25144), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286287] = 5,
    ACTIONS(9308), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19474), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286304] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(25148), 1,
      anon_sym_LF,
    ACTIONS(25150), 1,
      aux_sym__terminator_token1,
    STATE(15785), 1,
      aux_sym_let_statement_repeat1,
  [286323] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25152), 1,
      anon_sym_COMMA,
    ACTIONS(25154), 1,
      anon_sym_RPAREN,
    STATE(15943), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286340] = 4,
    ACTIONS(25158), 1,
      sym__string_end,
    STATE(15963), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25156), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286355] = 4,
    ACTIONS(25162), 1,
      sym__command_end,
    STATE(15966), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25160), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286370] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6118), 1,
      anon_sym_RBRACK,
    ACTIONS(25164), 1,
      anon_sym_LF,
    ACTIONS(25166), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [286389] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25168), 1,
      anon_sym_COMMA,
    ACTIONS(25170), 1,
      anon_sym_RPAREN,
    STATE(15715), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286406] = 5,
    ACTIONS(10002), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25172), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286423] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25174), 1,
      anon_sym_RBRACK,
    ACTIONS(25176), 1,
      anon_sym_LF,
    ACTIONS(25178), 1,
      aux_sym__terminator_token1,
    STATE(15884), 1,
      aux_sym_matrix_expression_repeat1,
  [286442] = 5,
    ACTIONS(10946), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20171), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286459] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14434), 2,
      sym_interpolation_expression,
      sym_identifier,
  [286474] = 4,
    ACTIONS(25180), 1,
      sym__immediate_string_start,
    ACTIONS(25182), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11886), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [286489] = 4,
    ACTIONS(25184), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286504] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(25186), 1,
      anon_sym_LF,
    ACTIONS(25188), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [286523] = 4,
    ACTIONS(25190), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286538] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5828), 1,
      anon_sym_RBRACK,
    ACTIONS(25192), 1,
      anon_sym_LF,
    ACTIONS(25194), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [286557] = 5,
    ACTIONS(8574), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19440), 1,
      anon_sym_COMMA,
    STATE(15867), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286574] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(25196), 1,
      anon_sym_LF,
    ACTIONS(25198), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [286593] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25200), 1,
      anon_sym_COMMA,
    ACTIONS(25202), 1,
      anon_sym_RPAREN,
    STATE(15973), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286610] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15372), 1,
      sym_catch_clause,
    STATE(17148), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286627] = 4,
    ACTIONS(25180), 1,
      sym__immediate_string_start,
    ACTIONS(25182), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11928), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [286642] = 4,
    ACTIONS(25204), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286657] = 4,
    ACTIONS(25206), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286672] = 5,
    ACTIONS(9950), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19733), 1,
      anon_sym_COMMA,
    STATE(15773), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286689] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(442), 2,
      sym_interpolation_expression,
      sym_identifier,
  [286704] = 4,
    ACTIONS(25208), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286719] = 4,
    ACTIONS(25210), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [286734] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(428), 2,
      sym_interpolation_expression,
      sym_identifier,
  [286749] = 5,
    ACTIONS(10442), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25212), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286766] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(648), 2,
      sym_interpolation_expression,
      sym_identifier,
  [286781] = 5,
    ACTIONS(9936), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25214), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286798] = 5,
    ACTIONS(9874), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25216), 1,
      anon_sym_COMMA,
    STATE(15968), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286815] = 5,
    ACTIONS(10010), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19634), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286832] = 5,
    ACTIONS(9874), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25216), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286849] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25218), 1,
      anon_sym_RBRACK,
    ACTIONS(25220), 1,
      anon_sym_LF,
    ACTIONS(25222), 1,
      aux_sym__terminator_token1,
    STATE(15841), 1,
      aux_sym_matrix_expression_repeat1,
  [286868] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6256), 1,
      anon_sym_RBRACK,
    ACTIONS(25224), 1,
      anon_sym_LF,
    ACTIONS(25226), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [286887] = 5,
    ACTIONS(9912), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25228), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286904] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(16010), 2,
      sym_interpolation_expression,
      sym_identifier,
  [286919] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25230), 1,
      anon_sym_RBRACK,
    ACTIONS(25232), 1,
      anon_sym_LF,
    ACTIONS(25234), 1,
      aux_sym__terminator_token1,
    STATE(15794), 1,
      aux_sym_matrix_expression_repeat1,
  [286938] = 5,
    ACTIONS(10020), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19920), 1,
      anon_sym_COMMA,
    STATE(15635), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286955] = 5,
    ACTIONS(9996), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25236), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [286972] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6166), 1,
      anon_sym_RBRACK,
    ACTIONS(25238), 1,
      anon_sym_LF,
    ACTIONS(25240), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [286991] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25242), 1,
      anon_sym_COMMA,
    ACTIONS(25244), 1,
      anon_sym_RPAREN,
    STATE(15792), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287008] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25246), 1,
      anon_sym_COMMA,
    ACTIONS(25248), 1,
      anon_sym_RPAREN,
    STATE(16367), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287025] = 4,
    ACTIONS(25252), 1,
      sym__command_end,
    STATE(15934), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25250), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287040] = 4,
    ACTIONS(25256), 1,
      sym__string_end,
    STATE(15935), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25254), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287055] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25258), 1,
      anon_sym_COMMA,
    ACTIONS(25260), 1,
      anon_sym_RPAREN,
    STATE(15687), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287072] = 5,
    ACTIONS(9520), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25262), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287089] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25264), 1,
      anon_sym_COMMA,
    ACTIONS(25266), 1,
      anon_sym_RPAREN,
    STATE(16095), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287106] = 5,
    ACTIONS(9464), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25268), 1,
      anon_sym_COMMA,
    STATE(16132), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287123] = 4,
    ACTIONS(25270), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287138] = 5,
    ACTIONS(9632), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25272), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287155] = 5,
    ACTIONS(9464), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25268), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287172] = 4,
    ACTIONS(25274), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287187] = 5,
    ACTIONS(9632), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25272), 1,
      anon_sym_COMMA,
    STATE(15949), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287204] = 5,
    ACTIONS(9614), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25276), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287221] = 5,
    ACTIONS(9594), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25278), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287238] = 5,
    ACTIONS(9944), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25280), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287255] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25282), 1,
      anon_sym_RBRACK,
    ACTIONS(25284), 1,
      anon_sym_LF,
    ACTIONS(25286), 1,
      aux_sym__terminator_token1,
    STATE(15948), 1,
      aux_sym_matrix_expression_repeat1,
  [287274] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25288), 1,
      anon_sym_COMMA,
    ACTIONS(25290), 1,
      anon_sym_RPAREN,
    STATE(16595), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287291] = 5,
    ACTIONS(10700), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25292), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287308] = 4,
    ACTIONS(25294), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287323] = 4,
    ACTIONS(25296), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287338] = 5,
    ACTIONS(9590), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19652), 1,
      anon_sym_COMMA,
    STATE(16119), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287355] = 4,
    ACTIONS(25298), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287370] = 4,
    ACTIONS(25300), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287385] = 4,
    ACTIONS(25304), 1,
      sym__command_end,
    STATE(15977), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25302), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287400] = 4,
    ACTIONS(25308), 1,
      sym__string_end,
    STATE(15978), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25306), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287415] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(552), 2,
      sym_interpolation_expression,
      sym_identifier,
  [287430] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5082), 1,
      anon_sym_RBRACK,
    ACTIONS(25310), 1,
      anon_sym_LF,
    ACTIONS(25312), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [287449] = 5,
    ACTIONS(10740), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25314), 1,
      anon_sym_COMMA,
    STATE(16037), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287466] = 5,
    ACTIONS(9944), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25280), 1,
      anon_sym_COMMA,
    STATE(15953), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287483] = 5,
    ACTIONS(10662), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19916), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287500] = 5,
    ACTIONS(9446), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25316), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287517] = 4,
    ACTIONS(25318), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287532] = 4,
    ACTIONS(25320), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287547] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(436), 2,
      sym_interpolation_expression,
      sym_identifier,
  [287562] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25322), 1,
      anon_sym_COMMA,
    ACTIONS(25324), 1,
      anon_sym_RPAREN,
    STATE(15969), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287579] = 5,
    ACTIONS(10740), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25314), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287596] = 4,
    ACTIONS(25328), 1,
      sym__command_end,
    STATE(15987), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25326), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287611] = 4,
    ACTIONS(25332), 1,
      sym__string_end,
    STATE(15988), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25330), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287626] = 4,
    ACTIONS(25336), 1,
      sym__command_end,
    STATE(15974), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25334), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287641] = 5,
    ACTIONS(9922), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25338), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287658] = 4,
    ACTIONS(25340), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287673] = 4,
    ACTIONS(25342), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287688] = 4,
    ACTIONS(25346), 1,
      sym__string_end,
    STATE(15975), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25344), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287703] = 4,
    ACTIONS(25350), 1,
      sym__command_end,
    STATE(15996), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25348), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287718] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25352), 1,
      anon_sym_RBRACK,
    ACTIONS(25354), 1,
      anon_sym_LF,
    ACTIONS(25356), 1,
      aux_sym__terminator_token1,
    STATE(16022), 1,
      aux_sym_matrix_expression_repeat1,
  [287737] = 4,
    ACTIONS(25360), 1,
      sym__string_end,
    STATE(15997), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25358), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287752] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(422), 2,
      sym_interpolation_expression,
      sym_identifier,
  [287767] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(680), 2,
      sym_interpolation_expression,
      sym_identifier,
  [287782] = 4,
    ACTIONS(25362), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287797] = 4,
    ACTIONS(25366), 1,
      sym__string_end,
    STATE(16030), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25364), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287812] = 4,
    ACTIONS(25370), 1,
      sym__command_end,
    STATE(16031), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25368), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287827] = 4,
    ACTIONS(25372), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287842] = 4,
    ACTIONS(25376), 1,
      sym__command_end,
    STATE(16004), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25374), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287857] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25378), 1,
      anon_sym_COMMA,
    ACTIONS(25380), 1,
      anon_sym_RPAREN,
    STATE(16035), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287874] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(25382), 1,
      anon_sym_end,
    ACTIONS(25384), 1,
      sym__immediate_brace,
    STATE(18929), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287891] = 4,
    ACTIONS(25388), 1,
      sym__command_end,
    STATE(15813), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25386), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287906] = 4,
    ACTIONS(25392), 1,
      sym__string_end,
    STATE(16007), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25390), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [287921] = 5,
    ACTIONS(9088), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20033), 1,
      anon_sym_COMMA,
    STATE(15560), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287938] = 5,
    ACTIONS(9304), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25394), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287955] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25396), 1,
      anon_sym_RBRACK,
    ACTIONS(25398), 1,
      anon_sym_LF,
    ACTIONS(25400), 1,
      aux_sym__terminator_token1,
    STATE(15982), 1,
      aux_sym_matrix_expression_repeat1,
  [287974] = 5,
    ACTIONS(10110), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19938), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [287991] = 4,
    ACTIONS(25402), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288006] = 4,
    ACTIONS(25404), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288021] = 4,
    ACTIONS(25408), 1,
      sym__command_end,
    STATE(16017), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25406), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288036] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25410), 1,
      anon_sym_COMMA,
    ACTIONS(25412), 1,
      anon_sym_RPAREN,
    STATE(16332), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288053] = 4,
    ACTIONS(25416), 1,
      sym__string_end,
    STATE(16018), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25414), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288068] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5220), 1,
      anon_sym_RBRACK,
    ACTIONS(25418), 1,
      anon_sym_LF,
    ACTIONS(25420), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [288087] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(562), 2,
      sym_interpolation_expression,
      sym_identifier,
  [288102] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25422), 1,
      anon_sym_RBRACK,
    ACTIONS(25424), 1,
      anon_sym_LF,
    ACTIONS(25426), 1,
      aux_sym__terminator_token1,
    STATE(16091), 1,
      aux_sym_matrix_expression_repeat1,
  [288121] = 4,
    ACTIONS(25430), 1,
      sym__string_end,
    STATE(15817), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25428), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288136] = 4,
    ACTIONS(25432), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288151] = 4,
    ACTIONS(25434), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288166] = 4,
    ACTIONS(25438), 1,
      sym__command_end,
    STATE(16026), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25436), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288181] = 4,
    ACTIONS(25442), 1,
      sym__string_end,
    STATE(16027), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25440), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288196] = 4,
    ACTIONS(25444), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288211] = 4,
    ACTIONS(25446), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288226] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(453), 2,
      sym_interpolation_expression,
      sym_identifier,
  [288241] = 4,
    ACTIONS(25448), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288256] = 4,
    ACTIONS(25450), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288271] = 5,
    ACTIONS(8580), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25452), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288288] = 5,
    ACTIONS(8594), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25454), 1,
      anon_sym_COMMA,
    STATE(16054), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288305] = 5,
    ACTIONS(10758), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25456), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288322] = 5,
    ACTIONS(8594), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25454), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288339] = 4,
    ACTIONS(25460), 1,
      sym__command_end,
    STATE(16033), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25458), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288354] = 4,
    ACTIONS(25464), 1,
      sym__string_end,
    STATE(16034), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25462), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288369] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15718), 2,
      sym_interpolation_expression,
      sym_identifier,
  [288384] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(16219), 2,
      sym_interpolation_expression,
      sym_identifier,
  [288399] = 5,
    ACTIONS(8588), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25466), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288416] = 4,
    ACTIONS(25468), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288431] = 4,
    ACTIONS(25470), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288446] = 4,
    ACTIONS(22018), 1,
      sym__word_identifier,
    STATE(17905), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11986), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [288461] = 4,
    ACTIONS(25474), 1,
      sym__command_end,
    STATE(16044), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25472), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288476] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25476), 1,
      anon_sym_COMMA,
    ACTIONS(25478), 1,
      anon_sym_RPAREN,
    STATE(15889), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288493] = 4,
    ACTIONS(25482), 1,
      sym__string_end,
    STATE(16045), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25480), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288508] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(424), 2,
      sym_interpolation_expression,
      sym_identifier,
  [288523] = 4,
    ACTIONS(22018), 1,
      sym__word_identifier,
    STATE(17894), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11980), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [288538] = 4,
    ACTIONS(22018), 1,
      sym__word_identifier,
    STATE(17893), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11968), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [288553] = 4,
    ACTIONS(25484), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288568] = 5,
    ACTIONS(8826), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25486), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288585] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11866), 4,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [288596] = 4,
    ACTIONS(22018), 1,
      sym__word_identifier,
    STATE(17907), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11990), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [288611] = 4,
    ACTIONS(25488), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288626] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(443), 2,
      sym_interpolation_expression,
      sym_identifier,
  [288641] = 5,
    ACTIONS(8780), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25490), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288658] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(25492), 1,
      anon_sym_LF,
    ACTIONS(25494), 1,
      aux_sym__terminator_token1,
    STATE(16092), 1,
      aux_sym_let_statement_repeat1,
  [288677] = 5,
    ACTIONS(9034), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25496), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288694] = 5,
    ACTIONS(8780), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25490), 1,
      anon_sym_COMMA,
    STATE(16043), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288711] = 5,
    ACTIONS(8924), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25498), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288728] = 4,
    ACTIONS(25502), 1,
      sym__command_end,
    STATE(16053), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25500), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288743] = 4,
    ACTIONS(25504), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288758] = 4,
    ACTIONS(25506), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288773] = 4,
    ACTIONS(25510), 1,
      sym__string_end,
    STATE(16057), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25508), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288788] = 5,
    ACTIONS(10794), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19526), 1,
      anon_sym_COMMA,
    STATE(16384), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288805] = 5,
    ACTIONS(9060), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25512), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288822] = 4,
    ACTIONS(25516), 1,
      sym__string_end,
    STATE(16118), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25514), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288837] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5912), 1,
      anon_sym_RBRACK,
    ACTIONS(25518), 1,
      anon_sym_LF,
    ACTIONS(25520), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [288856] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15408), 1,
      sym_catch_clause,
    STATE(17190), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288873] = 4,
    ACTIONS(25524), 1,
      sym__command_end,
    STATE(16128), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25522), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288888] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25526), 1,
      anon_sym_COMMA,
    ACTIONS(25528), 1,
      anon_sym_RPAREN,
    STATE(15493), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288905] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25530), 1,
      anon_sym_RBRACK,
    ACTIONS(25532), 1,
      anon_sym_LF,
    ACTIONS(25534), 1,
      aux_sym__terminator_token1,
    STATE(16131), 1,
      aux_sym_matrix_expression_repeat1,
  [288924] = 4,
    ACTIONS(25536), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288939] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6542), 1,
      anon_sym_end,
    ACTIONS(25538), 1,
      anon_sym_LF,
    ACTIONS(25540), 1,
      aux_sym__terminator_token1,
    STATE(16137), 1,
      aux_sym__block_repeat1,
  [288958] = 4,
    ACTIONS(25542), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [288973] = 5,
    ACTIONS(10916), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20153), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [288990] = 5,
    ACTIONS(9482), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25544), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289007] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25546), 1,
      anon_sym_RBRACK,
    ACTIONS(25548), 1,
      anon_sym_LF,
    ACTIONS(25550), 1,
      aux_sym__terminator_token1,
    STATE(16103), 1,
      aux_sym_matrix_expression_repeat1,
  [289026] = 4,
    ACTIONS(25552), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289041] = 4,
    ACTIONS(25554), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289056] = 4,
    ACTIONS(25558), 1,
      sym__command_end,
    STATE(16078), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25556), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289071] = 5,
    ACTIONS(9042), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20245), 1,
      anon_sym_COMMA,
    STATE(15970), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289088] = 4,
    ACTIONS(25562), 1,
      sym__string_end,
    STATE(16111), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25560), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289103] = 4,
    ACTIONS(25566), 1,
      sym__command_end,
    STATE(16112), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25564), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289118] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25568), 1,
      anon_sym_COMMA,
    ACTIONS(25570), 1,
      anon_sym_RPAREN,
    STATE(16063), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289135] = 4,
    ACTIONS(25574), 1,
      sym__string_end,
    STATE(16082), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25572), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289150] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25576), 1,
      anon_sym_COMMA,
    ACTIONS(25578), 1,
      anon_sym_RPAREN,
    STATE(16116), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289167] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5692), 1,
      anon_sym_RBRACK,
    ACTIONS(25580), 1,
      anon_sym_LF,
    ACTIONS(25582), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [289186] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(25584), 1,
      anon_sym_LF,
    ACTIONS(25586), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [289205] = 4,
    ACTIONS(25588), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289220] = 4,
    ACTIONS(25592), 1,
      sym__command_end,
    STATE(16065), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25590), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289235] = 5,
    ACTIONS(9490), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25594), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289252] = 4,
    ACTIONS(25598), 1,
      sym__string_end,
    STATE(16066), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25596), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289267] = 5,
    ACTIONS(9590), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19652), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289284] = 4,
    ACTIONS(25600), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289299] = 4,
    ACTIONS(25604), 1,
      sym__command_end,
    STATE(16093), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25602), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289314] = 4,
    ACTIONS(25608), 1,
      sym__string_end,
    STATE(16142), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25606), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289329] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(25610), 1,
      anon_sym_LF,
    ACTIONS(25612), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [289348] = 4,
    ACTIONS(25616), 1,
      sym__string_end,
    STATE(16098), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25614), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289363] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4840), 1,
      anon_sym_RBRACK,
    ACTIONS(25618), 1,
      anon_sym_LF,
    ACTIONS(25620), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [289382] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(25622), 1,
      anon_sym_LF,
    ACTIONS(25624), 1,
      aux_sym__terminator_token1,
    STATE(16289), 1,
      aux_sym_let_statement_repeat1,
  [289401] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5888), 1,
      anon_sym_RBRACK,
    ACTIONS(25626), 1,
      anon_sym_LF,
    ACTIONS(25628), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [289420] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25630), 1,
      anon_sym_RBRACK,
    ACTIONS(25632), 1,
      anon_sym_LF,
    ACTIONS(25634), 1,
      aux_sym__terminator_token1,
    STATE(16169), 1,
      aux_sym_matrix_expression_repeat1,
  [289439] = 4,
    ACTIONS(25638), 1,
      sym__command_end,
    STATE(16143), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25636), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289454] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25640), 1,
      anon_sym_RBRACK,
    ACTIONS(25642), 1,
      anon_sym_LF,
    ACTIONS(25644), 1,
      aux_sym__terminator_token1,
    STATE(16071), 1,
      aux_sym_matrix_expression_repeat1,
  [289473] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(25646), 1,
      anon_sym_end,
    ACTIONS(25648), 1,
      sym__immediate_brace,
    STATE(19512), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289490] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(18825), 1,
      anon_sym_end,
    ACTIONS(20624), 1,
      anon_sym_LF,
    ACTIONS(20628), 1,
      aux_sym__terminator_token1,
    STATE(16077), 1,
      aux_sym__block_repeat1,
  [289509] = 4,
    ACTIONS(25650), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289524] = 4,
    ACTIONS(25652), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289539] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15423), 1,
      sym_catch_clause,
    STATE(17226), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289556] = 5,
    ACTIONS(9024), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25654), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289573] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25656), 1,
      anon_sym_COMMA,
    ACTIONS(25658), 1,
      anon_sym_RPAREN,
    STATE(16147), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289590] = 5,
    ACTIONS(10212), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25660), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289607] = 5,
    ACTIONS(10654), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25662), 1,
      anon_sym_COMMA,
    STATE(16135), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289624] = 4,
    ACTIONS(25664), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289639] = 5,
    ACTIONS(10654), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25662), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289656] = 4,
    ACTIONS(25666), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289671] = 4,
    ACTIONS(25670), 1,
      sym__command_end,
    STATE(16076), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25668), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289686] = 4,
    ACTIONS(25674), 1,
      sym__string_end,
    STATE(16083), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25672), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289701] = 4,
    ACTIONS(25676), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289716] = 4,
    ACTIONS(25680), 1,
      sym__command_end,
    STATE(16120), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25678), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289731] = 5,
    ACTIONS(10356), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25682), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289748] = 5,
    ACTIONS(25684), 1,
      anon_sym_COMMA,
    ACTIONS(25686), 1,
      anon_sym_RPAREN,
    ACTIONS(25688), 1,
      anon_sym_SEMI,
    STATE(16157), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289765] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25684), 1,
      anon_sym_COMMA,
    ACTIONS(25690), 1,
      anon_sym_RPAREN,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289782] = 4,
    ACTIONS(25692), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289797] = 5,
    ACTIONS(10662), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19916), 1,
      anon_sym_COMMA,
    STATE(15964), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289814] = 4,
    ACTIONS(25696), 1,
      sym__string_end,
    STATE(16123), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25694), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289829] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4974), 1,
      anon_sym_RBRACK,
    ACTIONS(25698), 1,
      anon_sym_LF,
    ACTIONS(25700), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [289848] = 5,
    ACTIONS(9328), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25702), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289865] = 4,
    ACTIONS(25706), 1,
      sym__string_end,
    STATE(16180), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25704), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289880] = 5,
    ACTIONS(8540), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25708), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289897] = 5,
    ACTIONS(10874), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25710), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [289914] = 4,
    ACTIONS(25712), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289929] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(19468), 1,
      anon_sym_end,
    ACTIONS(25714), 1,
      anon_sym_LF,
    ACTIONS(25717), 1,
      aux_sym__terminator_token1,
    STATE(16137), 1,
      aux_sym__block_repeat1,
  [289948] = 4,
    ACTIONS(25720), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289963] = 4,
    ACTIONS(25724), 1,
      sym__command_end,
    STATE(16136), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25722), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289978] = 4,
    ACTIONS(25728), 1,
      sym__string_end,
    STATE(16138), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25726), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [289993] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25730), 1,
      anon_sym_COMMA,
    ACTIONS(25732), 1,
      anon_sym_RPAREN,
    STATE(15986), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290010] = 4,
    ACTIONS(25734), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290025] = 4,
    ACTIONS(25736), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290040] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25738), 1,
      anon_sym_RBRACK,
    ACTIONS(25740), 1,
      anon_sym_LF,
    ACTIONS(25742), 1,
      aux_sym__terminator_token1,
    STATE(16105), 1,
      aux_sym_matrix_expression_repeat1,
  [290059] = 4,
    ACTIONS(25746), 1,
      sym__command_end,
    STATE(16182), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25744), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290074] = 4,
    ACTIONS(25748), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290089] = 5,
    ACTIONS(10468), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25750), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290106] = 5,
    ACTIONS(10900), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25752), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290123] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25754), 1,
      anon_sym_COMMA,
    ACTIONS(25756), 1,
      anon_sym_RPAREN,
    STATE(16190), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290140] = 5,
    ACTIONS(10478), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25758), 1,
      anon_sym_COMMA,
    STATE(16184), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290157] = 5,
    ACTIONS(10900), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25752), 1,
      anon_sym_COMMA,
    STATE(16134), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290174] = 5,
    ACTIONS(10960), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25760), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290191] = 5,
    ACTIONS(9024), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25654), 1,
      anon_sym_COMMA,
    STATE(16069), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290208] = 5,
    ACTIONS(10978), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25762), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290225] = 4,
    ACTIONS(25764), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290240] = 4,
    ACTIONS(25766), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290255] = 5,
    ACTIONS(10478), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25758), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290272] = 4,
    ACTIONS(25768), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290287] = 4,
    ACTIONS(25770), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290302] = 4,
    ACTIONS(25774), 1,
      sym__command_end,
    STATE(16155), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25772), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290317] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25776), 1,
      anon_sym_RBRACK,
    ACTIONS(25778), 1,
      anon_sym_LF,
    ACTIONS(25780), 1,
      aux_sym__terminator_token1,
    STATE(16178), 1,
      aux_sym_matrix_expression_repeat1,
  [290336] = 4,
    ACTIONS(25784), 1,
      sym__string_end,
    STATE(16158), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25782), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290351] = 5,
    ACTIONS(10372), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19456), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290368] = 4,
    ACTIONS(25786), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290383] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25788), 1,
      anon_sym_RBRACK,
    ACTIONS(25790), 1,
      anon_sym_LF,
    ACTIONS(25792), 1,
      aux_sym__terminator_token1,
    STATE(15863), 1,
      aux_sym_matrix_expression_repeat1,
  [290402] = 4,
    ACTIONS(25796), 1,
      sym__string_end,
    STATE(16186), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25794), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290417] = 4,
    ACTIONS(25800), 1,
      sym__command_end,
    STATE(16187), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25798), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290432] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5644), 1,
      anon_sym_RBRACK,
    ACTIONS(25802), 1,
      anon_sym_LF,
    ACTIONS(25804), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [290451] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5506), 1,
      anon_sym_RBRACK,
    ACTIONS(25806), 1,
      anon_sym_LF,
    ACTIONS(25808), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [290470] = 4,
    ACTIONS(25810), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290485] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(704), 2,
      sym_interpolation_expression,
      sym_identifier,
  [290500] = 4,
    ACTIONS(25814), 1,
      sym__command_end,
    STATE(16164), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25812), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290515] = 5,
    ACTIONS(10580), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19476), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290532] = 5,
    ACTIONS(10954), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25816), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290549] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(455), 2,
      sym_interpolation_expression,
      sym_identifier,
  [290564] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25818), 1,
      anon_sym_RBRACK,
    ACTIONS(25820), 1,
      anon_sym_LF,
    ACTIONS(25822), 1,
      aux_sym__terminator_token1,
    STATE(16403), 1,
      aux_sym_matrix_expression_repeat1,
  [290583] = 4,
    ACTIONS(25826), 1,
      sym__string_end,
    STATE(16170), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25824), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290598] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5524), 1,
      anon_sym_RBRACK,
    ACTIONS(25828), 1,
      anon_sym_LF,
    ACTIONS(25830), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [290617] = 5,
    ACTIONS(8992), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25832), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290634] = 4,
    ACTIONS(25834), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290649] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25836), 1,
      anon_sym_COMMA,
    ACTIONS(25838), 1,
      anon_sym_RPAREN,
    STATE(16152), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290666] = 4,
    ACTIONS(25840), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290681] = 4,
    ACTIONS(25844), 1,
      sym__command_end,
    STATE(16156), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25842), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290696] = 5,
    ACTIONS(10524), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25846), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290713] = 4,
    ACTIONS(25850), 1,
      sym__string_end,
    STATE(16159), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25848), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290728] = 4,
    ACTIONS(25852), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290743] = 4,
    ACTIONS(25854), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290758] = 4,
    ACTIONS(25856), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290773] = 4,
    ACTIONS(25858), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290788] = 5,
    ACTIONS(10832), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25860), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290805] = 4,
    ACTIONS(25862), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290820] = 5,
    ACTIONS(10532), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19739), 1,
      anon_sym_COMMA,
    STATE(16419), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290837] = 4,
    ACTIONS(25866), 1,
      sym__command_end,
    STATE(16189), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25864), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290852] = 4,
    ACTIONS(25870), 1,
      sym__string_end,
    STATE(16191), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25868), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290867] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25872), 1,
      anon_sym_COMMA,
    ACTIONS(25874), 1,
      anon_sym_RPAREN,
    STATE(16580), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290884] = 4,
    ACTIONS(20919), 1,
      anon_sym_COMMA,
    STATE(16196), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12962), 2,
      anon_sym_EQ,
      anon_sym_COLON,
  [290899] = 5,
    ACTIONS(9228), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20137), 1,
      anon_sym_COMMA,
    STATE(16501), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290916] = 5,
    ACTIONS(10666), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25876), 1,
      anon_sym_COMMA,
    STATE(16255), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [290933] = 4,
    ACTIONS(25878), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290948] = 4,
    ACTIONS(20883), 1,
      anon_sym_COMMA,
    STATE(16196), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12972), 2,
      anon_sym_EQ,
      anon_sym_COLON,
  [290963] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25880), 1,
      anon_sym_RBRACK,
    ACTIONS(25882), 1,
      anon_sym_LF,
    ACTIONS(25884), 1,
      aux_sym__terminator_token1,
    STATE(16168), 1,
      aux_sym_matrix_expression_repeat1,
  [290982] = 4,
    ACTIONS(25886), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [290997] = 4,
    ACTIONS(25888), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291012] = 4,
    ACTIONS(25892), 1,
      sym__command_end,
    STATE(16199), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25890), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291027] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15549), 2,
      sym_interpolation_expression,
      sym_identifier,
  [291042] = 4,
    ACTIONS(25894), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291057] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(441), 2,
      sym_interpolation_expression,
      sym_identifier,
  [291072] = 4,
    ACTIONS(25898), 1,
      sym__string_end,
    STATE(16203), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25896), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291087] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15314), 1,
      sym_catch_clause,
    STATE(16953), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291104] = 5,
    ACTIONS(10666), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25876), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291121] = 4,
    ACTIONS(25900), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291136] = 4,
    ACTIONS(25902), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291151] = 4,
    ACTIONS(25906), 1,
      sym__command_end,
    STATE(16211), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25904), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291166] = 5,
    ACTIONS(10916), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20153), 1,
      anon_sym_COMMA,
    STATE(16059), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291183] = 4,
    ACTIONS(25910), 1,
      sym__string_end,
    STATE(16257), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25908), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291198] = 4,
    ACTIONS(25914), 1,
      sym__command_end,
    STATE(16260), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25912), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291213] = 4,
    ACTIONS(25918), 1,
      sym__string_end,
    STATE(16212), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25916), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291228] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(25920), 1,
      anon_sym_LF,
    ACTIONS(25922), 1,
      aux_sym__terminator_token1,
    STATE(16256), 1,
      aux_sym_let_statement_repeat1,
  [291247] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(25924), 1,
      anon_sym_end,
    ACTIONS(25926), 1,
      sym__immediate_brace,
    STATE(19401), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291264] = 4,
    ACTIONS(25928), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291279] = 5,
    ACTIONS(10890), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25930), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291296] = 4,
    ACTIONS(25932), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291311] = 4,
    ACTIONS(25934), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291326] = 4,
    ACTIONS(25936), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291341] = 4,
    ACTIONS(25940), 1,
      sym__command_end,
    STATE(16220), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25938), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291356] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(25942), 1,
      anon_sym_RBRACK,
    ACTIONS(25944), 1,
      anon_sym_LF,
    ACTIONS(25946), 1,
      aux_sym__terminator_token1,
    STATE(16243), 1,
      aux_sym_matrix_expression_repeat1,
  [291375] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25948), 1,
      anon_sym_COMMA,
    ACTIONS(25950), 1,
      anon_sym_RPAREN,
    STATE(16270), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291392] = 4,
    ACTIONS(25954), 1,
      sym__string_end,
    STATE(16460), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25952), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291407] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25956), 1,
      anon_sym_COMMA,
    ACTIONS(25958), 1,
      anon_sym_RPAREN,
    STATE(16080), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291424] = 4,
    ACTIONS(25962), 1,
      sym__string_end,
    STATE(16224), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25960), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291439] = 4,
    ACTIONS(25966), 1,
      sym__string_end,
    STATE(16251), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25964), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291454] = 4,
    ACTIONS(25970), 1,
      sym__command_end,
    STATE(16252), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25968), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291469] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15452), 1,
      sym_catch_clause,
    STATE(17289), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291486] = 5,
    ACTIONS(8710), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25972), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291503] = 4,
    ACTIONS(25974), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291518] = 4,
    ACTIONS(25976), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291533] = 4,
    ACTIONS(25980), 1,
      sym__command_end,
    STATE(16235), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(25978), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291548] = 5,
    ACTIONS(9930), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25982), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291565] = 5,
    ACTIONS(10846), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25984), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291582] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(25986), 1,
      anon_sym_RPAREN,
    ACTIONS(25988), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291599] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5906), 1,
      anon_sym_RBRACK,
    ACTIONS(25990), 1,
      anon_sym_LF,
    ACTIONS(25992), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [291618] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4956), 1,
      anon_sym_RBRACK,
    ACTIONS(25994), 1,
      anon_sym_LF,
    ACTIONS(25996), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [291637] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5214), 1,
      anon_sym_RBRACK,
    ACTIONS(25998), 1,
      anon_sym_LF,
    ACTIONS(26000), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [291656] = 5,
    ACTIONS(10846), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(25984), 1,
      anon_sym_COMMA,
    STATE(16221), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291673] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26002), 1,
      anon_sym_COMMA,
    ACTIONS(26004), 1,
      anon_sym_RPAREN,
    STATE(16496), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291690] = 5,
    ACTIONS(10824), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26006), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291707] = 5,
    ACTIONS(10852), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20233), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291724] = 4,
    ACTIONS(26008), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291739] = 4,
    ACTIONS(26012), 1,
      sym__command_end,
    STATE(16467), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26010), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291754] = 4,
    ACTIONS(26014), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291769] = 4,
    ACTIONS(26016), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291784] = 4,
    ACTIONS(26018), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291799] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(26020), 1,
      anon_sym_end,
    ACTIONS(26022), 1,
      sym__immediate_brace,
    STATE(18638), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291816] = 4,
    ACTIONS(26026), 1,
      sym__string_end,
    STATE(16236), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26024), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291831] = 5,
    ACTIONS(10630), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26028), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291848] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26030), 1,
      anon_sym_LF,
    ACTIONS(26032), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [291867] = 4,
    ACTIONS(26034), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291882] = 5,
    ACTIONS(8802), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20318), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291899] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6160), 1,
      anon_sym_RBRACK,
    ACTIONS(26036), 1,
      anon_sym_LF,
    ACTIONS(26038), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [291918] = 4,
    ACTIONS(26040), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291933] = 4,
    ACTIONS(26042), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291948] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5130), 1,
      anon_sym_RBRACK,
    ACTIONS(26044), 1,
      anon_sym_LF,
    ACTIONS(26046), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [291967] = 5,
    ACTIONS(8908), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26048), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [291984] = 4,
    ACTIONS(26050), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [291999] = 4,
    ACTIONS(26054), 1,
      sym__command_end,
    STATE(16222), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26052), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292014] = 5,
    ACTIONS(9776), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19884), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292031] = 5,
    ACTIONS(10734), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26056), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292048] = 4,
    ACTIONS(26060), 1,
      sym__string_end,
    STATE(16223), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26058), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292063] = 4,
    ACTIONS(26064), 1,
      sym__command_end,
    STATE(16261), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26062), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292078] = 5,
    ACTIONS(9860), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26066), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292095] = 4,
    ACTIONS(26070), 1,
      sym__string_end,
    STATE(16264), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26068), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292110] = 5,
    ACTIONS(9854), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26072), 1,
      anon_sym_COMMA,
    STATE(16468), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292127] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26074), 1,
      anon_sym_LF,
    ACTIONS(26076), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [292146] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26078), 1,
      anon_sym_COMMA,
    ACTIONS(26080), 1,
      anon_sym_RPAREN,
    STATE(16246), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292163] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24123), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14431), 2,
      sym_interpolation_expression,
      sym_identifier,
  [292178] = 4,
    ACTIONS(26084), 1,
      sym__command_end,
    STATE(16248), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26082), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292193] = 4,
    ACTIONS(26088), 1,
      sym__string_end,
    STATE(16250), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26086), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292208] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15458), 1,
      sym_catch_clause,
    STATE(17310), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292225] = 4,
    ACTIONS(26090), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292240] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26092), 1,
      anon_sym_RBRACK,
    ACTIONS(26094), 1,
      anon_sym_LF,
    ACTIONS(26096), 1,
      aux_sym__terminator_token1,
    STATE(16242), 1,
      aux_sym_matrix_expression_repeat1,
  [292259] = 4,
    ACTIONS(26098), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292274] = 4,
    ACTIONS(26102), 1,
      sym__command_end,
    STATE(16279), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26100), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292289] = 5,
    ACTIONS(9238), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20035), 1,
      anon_sym_COMMA,
    STATE(15906), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292306] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26104), 1,
      anon_sym_COMMA,
    ACTIONS(26106), 1,
      anon_sym_RPAREN,
    STATE(16179), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292323] = 4,
    ACTIONS(26110), 1,
      sym__string_end,
    STATE(16281), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26108), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292338] = 5,
    ACTIONS(9854), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26072), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292355] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26112), 1,
      anon_sym_RBRACK,
    ACTIONS(26114), 1,
      anon_sym_LF,
    ACTIONS(26116), 1,
      aux_sym__terminator_token1,
    STATE(15465), 1,
      aux_sym_matrix_expression_repeat1,
  [292374] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26118), 1,
      anon_sym_RBRACK,
    ACTIONS(26120), 1,
      anon_sym_LF,
    ACTIONS(26122), 1,
      aux_sym__terminator_token1,
    STATE(16262), 1,
      aux_sym_matrix_expression_repeat1,
  [292393] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26124), 1,
      anon_sym_LF,
    ACTIONS(26126), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [292412] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26128), 1,
      anon_sym_RBRACK,
    ACTIONS(26130), 1,
      anon_sym_LF,
    ACTIONS(26132), 1,
      aux_sym__terminator_token1,
    STATE(16307), 1,
      aux_sym_matrix_expression_repeat1,
  [292431] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26134), 1,
      anon_sym_RBRACK,
    ACTIONS(26136), 1,
      anon_sym_LF,
    ACTIONS(26138), 1,
      aux_sym__terminator_token1,
    STATE(16356), 1,
      aux_sym_matrix_expression_repeat1,
  [292450] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(571), 2,
      sym_interpolation_expression,
      sym_identifier,
  [292465] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(415), 2,
      sym_interpolation_expression,
      sym_identifier,
  [292480] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26140), 1,
      anon_sym_LF,
    ACTIONS(26142), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [292499] = 4,
    ACTIONS(26146), 1,
      sym__string_end,
    STATE(16315), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26144), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292514] = 4,
    ACTIONS(26150), 1,
      sym__command_end,
    STATE(16316), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26148), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292529] = 4,
    ACTIONS(26152), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292544] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26154), 1,
      anon_sym_RBRACK,
    ACTIONS(26156), 1,
      anon_sym_LF,
    ACTIONS(26158), 1,
      aux_sym__terminator_token1,
    STATE(16347), 1,
      aux_sym_matrix_expression_repeat1,
  [292563] = 4,
    ACTIONS(26160), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292578] = 5,
    ACTIONS(9248), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26162), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292595] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26164), 1,
      anon_sym_COMMA,
    ACTIONS(26166), 1,
      anon_sym_RPAREN,
    STATE(16609), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292612] = 4,
    ACTIONS(26170), 1,
      sym__command_end,
    STATE(16297), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26168), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292627] = 4,
    ACTIONS(26174), 1,
      sym__command_end,
    STATE(16202), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26172), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292642] = 4,
    ACTIONS(26178), 1,
      sym__string_end,
    STATE(16299), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26176), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292657] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15590), 2,
      sym_interpolation_expression,
      sym_identifier,
  [292672] = 5,
    ACTIONS(10580), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19476), 1,
      anon_sym_COMMA,
    STATE(16148), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292689] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6076), 1,
      anon_sym_RBRACK,
    ACTIONS(26180), 1,
      anon_sym_LF,
    ACTIONS(26182), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [292708] = 4,
    ACTIONS(26186), 1,
      sym__string_end,
    STATE(16206), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26184), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292723] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(457), 2,
      sym_interpolation_expression,
      sym_identifier,
  [292738] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15298), 1,
      sym_catch_clause,
    STATE(16935), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292755] = 4,
    ACTIONS(26190), 1,
      sym__string_end,
    STATE(16390), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26188), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292770] = 5,
    ACTIONS(10570), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26192), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292787] = 4,
    ACTIONS(26196), 1,
      sym__string_end,
    STATE(16358), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26194), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292802] = 4,
    ACTIONS(26198), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292817] = 4,
    ACTIONS(26200), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292832] = 4,
    ACTIONS(26202), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292847] = 4,
    ACTIONS(26204), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292862] = 4,
    ACTIONS(26208), 1,
      sym__command_end,
    STATE(16314), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26206), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292877] = 4,
    ACTIONS(26212), 1,
      sym__command_end,
    STATE(16362), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26210), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292892] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26214), 1,
      anon_sym_COMMA,
    ACTIONS(26216), 1,
      anon_sym_RPAREN,
    STATE(16174), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292909] = 4,
    ACTIONS(26220), 1,
      sym__command_end,
    STATE(16391), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26218), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292924] = 4,
    ACTIONS(26224), 1,
      sym__string_end,
    STATE(16317), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26222), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292939] = 5,
    ACTIONS(9042), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20245), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292956] = 4,
    ACTIONS(26226), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [292971] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26228), 1,
      anon_sym_COMMA,
    ACTIONS(26230), 1,
      anon_sym_RPAREN,
    STATE(16369), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [292988] = 4,
    ACTIONS(26232), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293003] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26234), 1,
      anon_sym_LF,
    ACTIONS(26236), 1,
      aux_sym__terminator_token1,
    STATE(16344), 1,
      aux_sym_let_statement_repeat1,
  [293022] = 4,
    ACTIONS(26240), 1,
      sym__command_end,
    STATE(16324), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26238), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293037] = 4,
    ACTIONS(26244), 1,
      sym__string_end,
    STATE(16326), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26242), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293052] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15397), 1,
      sym_catch_clause,
    STATE(17252), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293069] = 5,
    ACTIONS(10246), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26246), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293086] = 5,
    ACTIONS(10546), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26248), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293103] = 4,
    ACTIONS(26250), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293118] = 4,
    ACTIONS(26252), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293133] = 4,
    ACTIONS(26254), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293148] = 4,
    ACTIONS(26256), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293163] = 5,
    ACTIONS(10246), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26246), 1,
      anon_sym_COMMA,
    STATE(16312), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293180] = 5,
    ACTIONS(10200), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26258), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293197] = 4,
    ACTIONS(26262), 1,
      sym__command_end,
    STATE(16333), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26260), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293212] = 4,
    ACTIONS(26264), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293227] = 4,
    ACTIONS(26266), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293242] = 4,
    ACTIONS(26270), 1,
      sym__string_end,
    STATE(16334), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26268), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293257] = 5,
    ACTIONS(10794), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19526), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293274] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26272), 1,
      anon_sym_LF,
    ACTIONS(26274), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [293293] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26276), 1,
      anon_sym_LF,
    ACTIONS(26278), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [293312] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5410), 1,
      anon_sym_RBRACK,
    ACTIONS(26280), 1,
      anon_sym_LF,
    ACTIONS(26282), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [293331] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5846), 1,
      anon_sym_RBRACK,
    ACTIONS(26284), 1,
      anon_sym_LF,
    ACTIONS(26286), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [293350] = 5,
    ACTIONS(10620), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19694), 1,
      anon_sym_COMMA,
    STATE(16524), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293367] = 4,
    ACTIONS(26288), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293382] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5602), 1,
      anon_sym_RBRACK,
    ACTIONS(26290), 1,
      anon_sym_LF,
    ACTIONS(26292), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [293401] = 4,
    ACTIONS(26294), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293416] = 5,
    ACTIONS(8612), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20069), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293433] = 5,
    ACTIONS(10098), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26296), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293450] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26298), 1,
      anon_sym_RBRACK,
    ACTIONS(26300), 1,
      anon_sym_LF,
    ACTIONS(26302), 1,
      aux_sym__terminator_token1,
    STATE(16371), 1,
      aux_sym_matrix_expression_repeat1,
  [293469] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15374), 1,
      sym_catch_clause,
    STATE(17218), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293486] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6268), 1,
      anon_sym_RBRACK,
    ACTIONS(26304), 1,
      anon_sym_LF,
    ACTIONS(26306), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [293505] = 4,
    ACTIONS(26310), 1,
      sym__command_end,
    STATE(16349), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26308), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293520] = 4,
    ACTIONS(26312), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293535] = 4,
    ACTIONS(26316), 1,
      sym__string_end,
    STATE(16379), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26314), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293550] = 4,
    ACTIONS(26320), 1,
      sym__command_end,
    STATE(16380), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26318), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293565] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26322), 1,
      anon_sym_COMMA,
    ACTIONS(26324), 1,
      anon_sym_RPAREN,
    STATE(16338), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293582] = 4,
    ACTIONS(26326), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293597] = 4,
    ACTIONS(26330), 1,
      sym__string_end,
    STATE(16351), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26328), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293612] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(26332), 1,
      anon_sym_RPAREN,
    ACTIONS(26334), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293629] = 4,
    ACTIONS(26338), 1,
      sym__command_end,
    STATE(16340), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26336), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293644] = 4,
    ACTIONS(26342), 1,
      sym__string_end,
    STATE(16341), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26340), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293659] = 5,
    ACTIONS(9848), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26344), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293676] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26346), 1,
      anon_sym_RBRACK,
    ACTIONS(26348), 1,
      anon_sym_LF,
    ACTIONS(26350), 1,
      aux_sym__terminator_token1,
    STATE(16241), 1,
      aux_sym_matrix_expression_repeat1,
  [293695] = 5,
    ACTIONS(10464), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26352), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293712] = 4,
    ACTIONS(26354), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293727] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5620), 1,
      anon_sym_RBRACK,
    ACTIONS(26356), 1,
      anon_sym_LF,
    ACTIONS(26358), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [293746] = 4,
    ACTIONS(26360), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293761] = 4,
    ACTIONS(26364), 1,
      sym__command_end,
    STATE(16335), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26362), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293776] = 4,
    ACTIONS(26368), 1,
      sym__command_end,
    STATE(16370), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26366), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293791] = 5,
    ACTIONS(10428), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26370), 1,
      anon_sym_COMMA,
    STATE(16406), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293808] = 4,
    ACTIONS(26374), 1,
      sym__string_end,
    STATE(16372), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26372), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293823] = 5,
    ACTIONS(9350), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26376), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293840] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26378), 1,
      anon_sym_RBRACK,
    ACTIONS(26380), 1,
      anon_sym_LF,
    ACTIONS(26382), 1,
      aux_sym__terminator_token1,
    STATE(16346), 1,
      aux_sym_matrix_expression_repeat1,
  [293859] = 4,
    ACTIONS(26384), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293874] = 4,
    ACTIONS(26386), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293889] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26388), 1,
      anon_sym_RBRACK,
    ACTIONS(26390), 1,
      anon_sym_LF,
    ACTIONS(26392), 1,
      aux_sym__terminator_token1,
    STATE(16500), 1,
      aux_sym_matrix_expression_repeat1,
  [293908] = 4,
    ACTIONS(26394), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293923] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26396), 1,
      anon_sym_RBRACK,
    ACTIONS(26398), 1,
      anon_sym_LF,
    ACTIONS(26400), 1,
      aux_sym__terminator_token1,
    STATE(16350), 1,
      aux_sym_matrix_expression_repeat1,
  [293942] = 5,
    ACTIONS(10428), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26370), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293959] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26402), 1,
      anon_sym_COMMA,
    ACTIONS(26404), 1,
      anon_sym_RPAREN,
    STATE(15579), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [293976] = 4,
    ACTIONS(26406), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [293991] = 4,
    ACTIONS(26410), 1,
      sym__command_end,
    STATE(16382), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26408), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294006] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(26412), 1,
      anon_sym_RPAREN,
    ACTIONS(26414), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294023] = 4,
    ACTIONS(26418), 1,
      sym__string_end,
    STATE(16386), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26416), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294038] = 4,
    ACTIONS(26420), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294053] = 4,
    ACTIONS(26422), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294068] = 4,
    ACTIONS(26424), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294083] = 4,
    ACTIONS(26426), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294098] = 5,
    ACTIONS(8666), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20231), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294115] = 4,
    ACTIONS(26430), 1,
      sym__command_end,
    STATE(16392), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26428), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294130] = 4,
    ACTIONS(26434), 1,
      sym__string_end,
    STATE(16393), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26432), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294145] = 4,
    ACTIONS(26436), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294160] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26438), 1,
      anon_sym_COMMA,
    ACTIONS(26440), 1,
      anon_sym_RPAREN,
    STATE(15472), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294177] = 5,
    ACTIONS(9776), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19884), 1,
      anon_sym_COMMA,
    STATE(16239), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294194] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26442), 1,
      anon_sym_COMMA,
    ACTIONS(26444), 1,
      anon_sym_RPAREN,
    STATE(16599), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294211] = 4,
    ACTIONS(26446), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294226] = 4,
    ACTIONS(26450), 1,
      sym__command_end,
    STATE(16397), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26448), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294241] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6232), 1,
      anon_sym_RBRACK,
    ACTIONS(26452), 1,
      anon_sym_LF,
    ACTIONS(26454), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [294260] = 5,
    ACTIONS(9766), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26456), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294277] = 4,
    ACTIONS(26460), 1,
      sym__string_end,
    STATE(16401), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26458), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294292] = 5,
    ACTIONS(10404), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26462), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294309] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26464), 1,
      anon_sym_COMMA,
    ACTIONS(26466), 1,
      anon_sym_RPAREN,
    STATE(16267), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294326] = 4,
    ACTIONS(26470), 1,
      sym__string_end,
    STATE(16604), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26468), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294341] = 4,
    ACTIONS(26472), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294356] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(573), 2,
      sym_interpolation_expression,
      sym_identifier,
  [294371] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(444), 2,
      sym_interpolation_expression,
      sym_identifier,
  [294386] = 4,
    ACTIONS(26474), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294401] = 4,
    ACTIONS(26478), 1,
      sym__command_end,
    STATE(16409), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26476), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294416] = 4,
    ACTIONS(26482), 1,
      sym__string_end,
    STATE(16412), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26480), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294431] = 5,
    ACTIONS(10390), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19818), 1,
      anon_sym_COMMA,
    STATE(16629), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294448] = 4,
    ACTIONS(26486), 1,
      sym__command_end,
    STATE(16541), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26484), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294463] = 5,
    ACTIONS(9714), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26488), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294480] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26490), 1,
      anon_sym_RBRACK,
    ACTIONS(26492), 1,
      anon_sym_LF,
    ACTIONS(26494), 1,
      aux_sym__terminator_token1,
    STATE(16435), 1,
      aux_sym_matrix_expression_repeat1,
  [294499] = 5,
    ACTIONS(9294), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26496), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294516] = 5,
    ACTIONS(9294), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26496), 1,
      anon_sym_COMMA,
    STATE(16300), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294533] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26498), 1,
      anon_sym_RBRACK,
    ACTIONS(26500), 1,
      anon_sym_LF,
    ACTIONS(26502), 1,
      aux_sym__terminator_token1,
    STATE(16438), 1,
      aux_sym_matrix_expression_repeat1,
  [294552] = 5,
    ACTIONS(9714), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26488), 1,
      anon_sym_COMMA,
    STATE(16404), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294569] = 4,
    ACTIONS(26506), 1,
      sym__string_end,
    STATE(16443), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26504), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294584] = 4,
    ACTIONS(26510), 1,
      sym__command_end,
    STATE(16444), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26508), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294599] = 5,
    ACTIONS(9692), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26512), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294616] = 5,
    ACTIONS(9306), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26514), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294633] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26516), 1,
      anon_sym_COMMA,
    ACTIONS(26518), 1,
      anon_sym_RPAREN,
    STATE(15995), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294650] = 4,
    ACTIONS(26520), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294665] = 4,
    ACTIONS(26522), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294680] = 4,
    ACTIONS(26524), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294695] = 4,
    ACTIONS(26526), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294710] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15849), 2,
      sym_interpolation_expression,
      sym_identifier,
  [294725] = 5,
    ACTIONS(8744), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20189), 1,
      anon_sym_COMMA,
    STATE(15691), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294742] = 4,
    ACTIONS(26530), 1,
      sym__command_end,
    STATE(16428), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26528), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294757] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6250), 1,
      anon_sym_RBRACK,
    ACTIONS(26532), 1,
      anon_sym_LF,
    ACTIONS(26534), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [294776] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(439), 2,
      sym_interpolation_expression,
      sym_identifier,
  [294791] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15260), 1,
      sym_catch_clause,
    STATE(16829), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294808] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6262), 1,
      anon_sym_RBRACK,
    ACTIONS(26536), 1,
      anon_sym_LF,
    ACTIONS(26538), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [294827] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26540), 1,
      anon_sym_LF,
    ACTIONS(26542), 1,
      aux_sym__terminator_token1,
    STATE(16471), 1,
      aux_sym_let_statement_repeat1,
  [294846] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15318), 1,
      sym_catch_clause,
    STATE(17111), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294863] = 4,
    ACTIONS(26546), 1,
      sym__string_end,
    STATE(16431), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26544), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294878] = 5,
    ACTIONS(9166), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20219), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294895] = 4,
    ACTIONS(26548), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294910] = 4,
    ACTIONS(26550), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294925] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26552), 1,
      anon_sym_LF,
    ACTIONS(26554), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [294944] = 5,
    ACTIONS(9524), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26556), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294961] = 4,
    ACTIONS(26558), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [294976] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26560), 1,
      anon_sym_COMMA,
    ACTIONS(26562), 1,
      anon_sym_RPAREN,
    STATE(16564), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [294993] = 4,
    ACTIONS(26564), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295008] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26566), 1,
      anon_sym_RBRACK,
    ACTIONS(26568), 1,
      anon_sym_LF,
    ACTIONS(26570), 1,
      aux_sym__terminator_token1,
    STATE(16503), 1,
      aux_sym_matrix_expression_repeat1,
  [295027] = 4,
    ACTIONS(26572), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295042] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26574), 1,
      anon_sym_LF,
    ACTIONS(26576), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [295061] = 4,
    ACTIONS(26578), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295076] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26580), 1,
      anon_sym_COMMA,
    ACTIONS(26582), 1,
      anon_sym_RPAREN,
    STATE(16425), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295093] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26584), 1,
      anon_sym_COMMA,
    ACTIONS(26586), 1,
      anon_sym_RPAREN,
    STATE(15829), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295110] = 4,
    ACTIONS(26590), 1,
      sym__command_end,
    STATE(16451), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26588), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295125] = 4,
    ACTIONS(26594), 1,
      sym__command_end,
    STATE(16429), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26592), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295140] = 4,
    ACTIONS(26598), 1,
      sym__string_end,
    STATE(16430), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26596), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295155] = 4,
    ACTIONS(26602), 1,
      sym__string_end,
    STATE(16453), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26600), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295170] = 4,
    ACTIONS(26604), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295185] = 5,
    ACTIONS(9040), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26606), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295202] = 4,
    ACTIONS(26608), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295217] = 4,
    ACTIONS(26610), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295232] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5304), 1,
      anon_sym_RBRACK,
    ACTIONS(26612), 1,
      anon_sym_LF,
    ACTIONS(26614), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [295251] = 4,
    ACTIONS(26618), 1,
      sym__command_end,
    STATE(16462), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26616), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295266] = 4,
    ACTIONS(26622), 1,
      sym__string_end,
    STATE(16463), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26620), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295281] = 4,
    ACTIONS(26624), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295296] = 5,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26626), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295313] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(26628), 1,
      anon_sym_RPAREN,
    ACTIONS(26630), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295330] = 5,
    ACTIONS(10448), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19890), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295347] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26632), 1,
      anon_sym_LF,
    ACTIONS(26634), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [295366] = 4,
    ACTIONS(26636), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295381] = 4,
    ACTIONS(26638), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295396] = 4,
    ACTIONS(26642), 1,
      sym__command_end,
    STATE(16472), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26640), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295411] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26644), 1,
      anon_sym_RBRACK,
    ACTIONS(26646), 1,
      anon_sym_LF,
    ACTIONS(26648), 1,
      aux_sym__terminator_token1,
    STATE(16547), 1,
      aux_sym_matrix_expression_repeat1,
  [295430] = 4,
    ACTIONS(26652), 1,
      sym__string_end,
    STATE(16511), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26650), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295445] = 4,
    ACTIONS(26656), 1,
      sym__string_end,
    STATE(16473), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26654), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295460] = 4,
    ACTIONS(26660), 1,
      sym__command_end,
    STATE(16512), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26658), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295475] = 5,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19698), 1,
      anon_sym_COMMA,
    STATE(15703), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295492] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26662), 1,
      anon_sym_LF,
    ACTIONS(26664), 1,
      aux_sym__terminator_token1,
    STATE(15677), 1,
      aux_sym_let_statement_repeat1,
  [295511] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15266), 1,
      sym_catch_clause,
    STATE(16681), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295528] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26666), 1,
      anon_sym_RBRACK,
    ACTIONS(26668), 1,
      anon_sym_LF,
    ACTIONS(26670), 1,
      aux_sym__terminator_token1,
    STATE(16499), 1,
      aux_sym_matrix_expression_repeat1,
  [295547] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26672), 1,
      anon_sym_COMMA,
    ACTIONS(26674), 1,
      anon_sym_RPAREN,
    STATE(16513), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295564] = 4,
    ACTIONS(26678), 1,
      sym__command_end,
    STATE(16447), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26676), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295579] = 5,
    ACTIONS(8612), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20069), 1,
      anon_sym_COMMA,
    STATE(16331), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295596] = 4,
    ACTIONS(26682), 1,
      sym__string_end,
    STATE(16449), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26680), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295611] = 4,
    ACTIONS(26686), 1,
      sym__string_end,
    STATE(16507), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26684), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295626] = 4,
    ACTIONS(26690), 1,
      sym__command_end,
    STATE(16508), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26688), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295641] = 4,
    ACTIONS(26692), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295656] = 5,
    ACTIONS(24139), 1,
      anon_sym_catch,
    ACTIONS(24141), 1,
      anon_sym_finally,
    STATE(15286), 1,
      sym_catch_clause,
    STATE(17057), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295673] = 4,
    ACTIONS(26694), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295688] = 4,
    ACTIONS(26698), 1,
      sym__command_end,
    STATE(16489), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26696), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295703] = 5,
    ACTIONS(8656), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26700), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295720] = 4,
    ACTIONS(26704), 1,
      sym__string_end,
    STATE(16491), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26702), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295735] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26706), 1,
      anon_sym_RBRACK,
    ACTIONS(26708), 1,
      anon_sym_LF,
    ACTIONS(26710), 1,
      aux_sym__terminator_token1,
    STATE(16464), 1,
      aux_sym_matrix_expression_repeat1,
  [295754] = 5,
    ACTIONS(10202), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26712), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295771] = 5,
    ACTIONS(10620), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19694), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295788] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26714), 1,
      anon_sym_COMMA,
    ACTIONS(26716), 1,
      anon_sym_RPAREN,
    STATE(16353), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295805] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5124), 1,
      anon_sym_RBRACK,
    ACTIONS(26718), 1,
      anon_sym_LF,
    ACTIONS(26720), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [295824] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5812), 1,
      anon_sym_RBRACK,
    ACTIONS(26722), 1,
      anon_sym_LF,
    ACTIONS(26724), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [295843] = 5,
    ACTIONS(8640), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26726), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [295860] = 4,
    ACTIONS(26728), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295875] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5416), 1,
      anon_sym_RBRACK,
    ACTIONS(26730), 1,
      anon_sym_LF,
    ACTIONS(26732), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [295894] = 4,
    ACTIONS(26734), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295909] = 4,
    ACTIONS(26738), 1,
      sym__command_end,
    STATE(16502), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26736), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295924] = 4,
    ACTIONS(26742), 1,
      sym__string_end,
    STATE(16565), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26740), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295939] = 4,
    ACTIONS(26744), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295954] = 4,
    ACTIONS(26746), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295969] = 4,
    ACTIONS(26750), 1,
      sym__string_end,
    STATE(16504), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26748), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [295984] = 5,
    ACTIONS(8782), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26752), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296001] = 4,
    ACTIONS(26754), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296016] = 4,
    ACTIONS(26756), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296031] = 5,
    ACTIONS(10166), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26758), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296048] = 5,
    ACTIONS(8782), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26752), 1,
      anon_sym_COMMA,
    STATE(16493), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296065] = 5,
    ACTIONS(10118), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26760), 1,
      anon_sym_COMMA,
    STATE(16557), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296082] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(26762), 1,
      anon_sym_end,
    ACTIONS(26764), 1,
      sym__immediate_brace,
    STATE(18506), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296099] = 4,
    ACTIONS(26768), 1,
      sym__command_end,
    STATE(16574), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26766), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296114] = 5,
    ACTIONS(8868), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26770), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296131] = 4,
    ACTIONS(26772), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296146] = 4,
    ACTIONS(26774), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296161] = 4,
    ACTIONS(26776), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296176] = 4,
    ACTIONS(26778), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296191] = 4,
    ACTIONS(26782), 1,
      sym__command_end,
    STATE(16519), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26780), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296206] = 5,
    ACTIONS(10118), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26760), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296223] = 4,
    ACTIONS(26786), 1,
      sym__string_end,
    STATE(16520), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26784), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296238] = 5,
    ACTIONS(8640), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26726), 1,
      anon_sym_COMMA,
    STATE(16234), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296255] = 4,
    ACTIONS(26788), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296270] = 4,
    ACTIONS(26790), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296285] = 5,
    ACTIONS(8576), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26792), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296302] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5268), 1,
      anon_sym_RBRACK,
    ACTIONS(26794), 1,
      anon_sym_LF,
    ACTIONS(26796), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [296321] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    ACTIONS(26798), 1,
      anon_sym_LF,
    ACTIONS(26800), 1,
      aux_sym__terminator_token1,
    STATE(16452), 1,
      aux_sym_let_statement_repeat1,
  [296340] = 4,
    ACTIONS(26802), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296355] = 5,
    ACTIONS(9602), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20291), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296372] = 5,
    ACTIONS(8988), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26804), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296389] = 4,
    ACTIONS(26808), 1,
      sym__command_end,
    STATE(16527), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26806), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296404] = 4,
    ACTIONS(26812), 1,
      sym__string_end,
    STATE(16528), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26810), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296419] = 4,
    ACTIONS(26814), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296434] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26816), 1,
      anon_sym_COMMA,
    ACTIONS(26818), 1,
      anon_sym_RPAREN,
    STATE(16518), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296451] = 4,
    ACTIONS(26820), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296466] = 4,
    ACTIONS(26822), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296481] = 4,
    ACTIONS(26824), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296496] = 4,
    ACTIONS(26828), 1,
      sym__command_end,
    STATE(16521), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26826), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296511] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26830), 1,
      anon_sym_COMMA,
    ACTIONS(26832), 1,
      anon_sym_RPAREN,
    STATE(16623), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296528] = 4,
    ACTIONS(26836), 1,
      sym__string_end,
    STATE(16522), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26834), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296543] = 4,
    ACTIONS(26840), 1,
      sym__command_end,
    STATE(16146), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26838), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296558] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26842), 1,
      anon_sym_RBRACK,
    ACTIONS(26844), 1,
      anon_sym_LF,
    ACTIONS(26846), 1,
      aux_sym__terminator_token1,
    STATE(16563), 1,
      aux_sym_matrix_expression_repeat1,
  [296577] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4998), 1,
      anon_sym_RBRACK,
    ACTIONS(26848), 1,
      anon_sym_LF,
    ACTIONS(26850), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [296596] = 4,
    ACTIONS(26852), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296611] = 4,
    ACTIONS(26854), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296626] = 4,
    ACTIONS(26856), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296641] = 4,
    ACTIONS(26860), 1,
      sym__string_end,
    STATE(16571), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26858), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296656] = 4,
    ACTIONS(26864), 1,
      sym__command_end,
    STATE(16572), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26862), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296671] = 4,
    ACTIONS(26868), 1,
      sym__command_end,
    STATE(16549), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26866), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296686] = 4,
    ACTIONS(26870), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296701] = 4,
    ACTIONS(26874), 1,
      sym__string_end,
    STATE(16550), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26872), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296716] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5954), 1,
      anon_sym_RBRACK,
    ACTIONS(26876), 1,
      anon_sym_LF,
    ACTIONS(26878), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [296735] = 5,
    ACTIONS(10028), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26880), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296752] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26882), 1,
      anon_sym_RBRACK,
    ACTIONS(26884), 1,
      anon_sym_LF,
    ACTIONS(26886), 1,
      aux_sym__terminator_token1,
    STATE(16530), 1,
      aux_sym_matrix_expression_repeat1,
  [296771] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(434), 2,
      sym_interpolation_expression,
      sym_identifier,
  [296786] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5740), 1,
      anon_sym_RBRACK,
    ACTIONS(26888), 1,
      anon_sym_LF,
    ACTIONS(26890), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [296805] = 5,
    ACTIONS(9892), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20045), 1,
      anon_sym_COMMA,
    STATE(16598), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296822] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5010), 1,
      anon_sym_RBRACK,
    ACTIONS(26892), 1,
      anon_sym_LF,
    ACTIONS(26894), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [296841] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5440), 1,
      anon_sym_RBRACK,
    ACTIONS(26896), 1,
      anon_sym_LF,
    ACTIONS(26898), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [296860] = 5,
    ACTIONS(8928), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26900), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296877] = 4,
    ACTIONS(26902), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296892] = 5,
    ACTIONS(8906), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26904), 1,
      anon_sym_COMMA,
    STATE(16600), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296909] = 4,
    ACTIONS(26908), 1,
      sym__command_end,
    STATE(16548), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26906), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296924] = 5,
    ACTIONS(9644), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26910), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296941] = 4,
    ACTIONS(26914), 1,
      sym__string_end,
    STATE(16554), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26912), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296956] = 5,
    ACTIONS(10532), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19739), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [296973] = 4,
    ACTIONS(26916), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [296988] = 4,
    ACTIONS(26918), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297003] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26920), 1,
      anon_sym_RBRACK,
    ACTIONS(26922), 1,
      anon_sym_LF,
    ACTIONS(26924), 1,
      aux_sym__terminator_token1,
    STATE(16560), 1,
      aux_sym_matrix_expression_repeat1,
  [297022] = 4,
    ACTIONS(26926), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297037] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26928), 1,
      anon_sym_RBRACK,
    ACTIONS(26930), 1,
      anon_sym_LF,
    ACTIONS(26932), 1,
      aux_sym__terminator_token1,
    STATE(16605), 1,
      aux_sym_matrix_expression_repeat1,
  [297056] = 5,
    ACTIONS(9166), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20219), 1,
      anon_sym_COMMA,
    STATE(16417), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297073] = 4,
    ACTIONS(26934), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297088] = 5,
    ACTIONS(24213), 1,
      anon_sym_COMMA,
    ACTIONS(26936), 1,
      anon_sym_RPAREN,
    ACTIONS(26938), 1,
      anon_sym_SEMI,
    STATE(15732), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297105] = 4,
    ACTIONS(26940), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297120] = 5,
    ACTIONS(9388), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26942), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297137] = 4,
    ACTIONS(22333), 1,
      sym__word_identifier,
    ACTIONS(24117), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(16654), 2,
      sym_interpolation_expression,
      sym_identifier,
  [297152] = 4,
    ACTIONS(26946), 1,
      sym__string_end,
    STATE(16618), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26944), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297167] = 4,
    ACTIONS(26950), 1,
      sym__command_end,
    STATE(16619), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26948), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297182] = 5,
    ACTIONS(8906), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26904), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297199] = 5,
    ACTIONS(9176), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26952), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297216] = 4,
    ACTIONS(26956), 1,
      sym__command_end,
    STATE(16577), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26954), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297231] = 4,
    ACTIONS(26960), 1,
      sym__string_end,
    STATE(16579), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26958), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297246] = 4,
    ACTIONS(26964), 1,
      sym__string_end,
    STATE(16188), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(26962), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297261] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26966), 1,
      anon_sym_COMMA,
    ACTIONS(26968), 1,
      anon_sym_RPAREN,
    STATE(16620), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297278] = 4,
    ACTIONS(24091), 1,
      sym__word_identifier,
    ACTIONS(24093), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(412), 2,
      sym_interpolation_expression,
      sym_identifier,
  [297293] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26970), 1,
      anon_sym_COMMA,
    ACTIONS(26972), 1,
      anon_sym_RPAREN,
    STATE(16446), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297310] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26974), 1,
      anon_sym_RBRACK,
    ACTIONS(26976), 1,
      anon_sym_LF,
    ACTIONS(26978), 1,
      aux_sym__terminator_token1,
    STATE(16556), 1,
      aux_sym_matrix_expression_repeat1,
  [297329] = 4,
    ACTIONS(24067), 1,
      sym__word_identifier,
    ACTIONS(24069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(563), 2,
      sym_interpolation_expression,
      sym_identifier,
  [297344] = 5,
    ACTIONS(9228), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20137), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297361] = 5,
    ACTIONS(8660), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26980), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297378] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(26982), 1,
      anon_sym_RBRACK,
    ACTIONS(26984), 1,
      anon_sym_LF,
    ACTIONS(26986), 1,
      aux_sym__terminator_token1,
    STATE(16259), 1,
      aux_sym_matrix_expression_repeat1,
  [297397] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26988), 1,
      anon_sym_COMMA,
    ACTIONS(26990), 1,
      anon_sym_RPAREN,
    STATE(16263), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297414] = 5,
    ACTIONS(9270), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26992), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297431] = 5,
    ACTIONS(9758), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26994), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297448] = 5,
    ACTIONS(8840), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26996), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297465] = 5,
    ACTIONS(9270), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26992), 1,
      anon_sym_COMMA,
    STATE(16585), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297482] = 5,
    ACTIONS(9302), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(26998), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297499] = 5,
    ACTIONS(10390), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(19818), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297516] = 4,
    ACTIONS(27000), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297531] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6172), 1,
      anon_sym_RBRACK,
    ACTIONS(27002), 1,
      anon_sym_LF,
    ACTIONS(27004), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [297550] = 4,
    ACTIONS(27006), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297565] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27008), 1,
      anon_sym_COMMA,
    ACTIONS(27010), 1,
      anon_sym_RPAREN,
    STATE(16426), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297582] = 4,
    ACTIONS(27012), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297597] = 5,
    ACTIONS(9444), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27014), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297614] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(27016), 1,
      anon_sym_RBRACK,
    ACTIONS(27018), 1,
      anon_sym_LF,
    ACTIONS(27020), 1,
      aux_sym__terminator_token1,
    STATE(16627), 1,
      aux_sym_matrix_expression_repeat1,
  [297633] = 5,
    ACTIONS(9458), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27022), 1,
      anon_sym_COMMA,
    STATE(16642), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297650] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27024), 1,
      anon_sym_COMMA,
    ACTIONS(27026), 1,
      anon_sym_RPAREN,
    STATE(16529), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297667] = 4,
    ACTIONS(27028), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297682] = 4,
    ACTIONS(27030), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297697] = 4,
    ACTIONS(27034), 1,
      sym__string_end,
    STATE(16635), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27032), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297712] = 4,
    ACTIONS(27038), 1,
      sym__command_end,
    STATE(16636), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27036), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297727] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6064), 1,
      anon_sym_RBRACK,
    ACTIONS(27040), 1,
      anon_sym_LF,
    ACTIONS(27042), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [297746] = 4,
    ACTIONS(27044), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297761] = 4,
    ACTIONS(27046), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297776] = 5,
    ACTIONS(9698), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27048), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297793] = 4,
    ACTIONS(27050), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297808] = 5,
    ACTIONS(9892), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20045), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297825] = 5,
    ACTIONS(9406), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27052), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297842] = 4,
    ACTIONS(27054), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297857] = 5,
    ACTIONS(9672), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27056), 1,
      anon_sym_COMMA,
    STATE(16568), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297874] = 5,
    ACTIONS(9504), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20113), 1,
      anon_sym_COMMA,
    STATE(15768), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297891] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5800), 1,
      anon_sym_RBRACK,
    ACTIONS(27058), 1,
      anon_sym_LF,
    ACTIONS(27060), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [297910] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6244), 1,
      anon_sym_RBRACK,
    ACTIONS(27062), 1,
      anon_sym_LF,
    ACTIONS(27064), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [297929] = 5,
    ACTIONS(9672), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27056), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297946] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27066), 1,
      anon_sym_COMMA,
    ACTIONS(27068), 1,
      anon_sym_RPAREN,
    STATE(16602), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297963] = 5,
    ACTIONS(9458), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27022), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [297980] = 4,
    ACTIONS(27072), 1,
      sym__command_end,
    STATE(16606), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27070), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [297995] = 4,
    ACTIONS(27076), 1,
      sym__string_end,
    STATE(16537), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27074), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [298010] = 4,
    ACTIONS(27080), 1,
      sym__string_end,
    STATE(16608), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27078), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [298025] = 4,
    ACTIONS(27082), 1,
      sym__string_end,
    STATE(15778), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24039), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [298040] = 4,
    ACTIONS(27084), 1,
      sym__command_end,
    STATE(15875), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24043), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [298055] = 4,
    ACTIONS(27088), 1,
      sym__command_end,
    STATE(16539), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27086), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [298070] = 5,
    ACTIONS(8802), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20318), 1,
      anon_sym_COMMA,
    STATE(16114), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298087] = 4,
    ACTIONS(27092), 1,
      sym__command_end,
    STATE(16613), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27090), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [298102] = 4,
    ACTIONS(27096), 1,
      sym__string_end,
    STATE(16614), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27094), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [298117] = 4,
    ACTIONS(27100), 1,
      sym__string_end,
    STATE(16540), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27098), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [298132] = 5,
    ACTIONS(9496), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27102), 1,
      anon_sym_COMMA,
    STATE(15747), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298149] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6034), 1,
      anon_sym_RBRACK,
    ACTIONS(27104), 1,
      anon_sym_LF,
    ACTIONS(27106), 1,
      aux_sym__terminator_token1,
    STATE(15769), 1,
      aux_sym_matrix_expression_repeat1,
  [298168] = 4,
    ACTIONS(27110), 1,
      sym__command_end,
    STATE(16532), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27108), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [298183] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(27112), 1,
      anon_sym_RBRACK,
    ACTIONS(27114), 1,
      anon_sym_LF,
    ACTIONS(27116), 1,
      aux_sym__terminator_token1,
    STATE(16628), 1,
      aux_sym_matrix_expression_repeat1,
  [298202] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(27118), 1,
      anon_sym_RBRACK,
    ACTIONS(27120), 1,
      anon_sym_LF,
    ACTIONS(27122), 1,
      aux_sym__terminator_token1,
    STATE(16643), 1,
      aux_sym_matrix_expression_repeat1,
  [298221] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27124), 1,
      anon_sym_COMMA,
    ACTIONS(27126), 1,
      anon_sym_RPAREN,
    STATE(16534), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298238] = 5,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(27128), 1,
      anon_sym_COMMA,
    ACTIONS(27130), 1,
      anon_sym_RPAREN,
    STATE(15857), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298255] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(27132), 1,
      anon_sym_RBRACK,
    ACTIONS(27134), 1,
      anon_sym_LF,
    ACTIONS(27136), 1,
      aux_sym__terminator_token1,
    STATE(16562), 1,
      aux_sym_matrix_expression_repeat1,
  [298274] = 6,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(27138), 1,
      anon_sym_RBRACK,
    ACTIONS(27140), 1,
      anon_sym_LF,
    ACTIONS(27142), 1,
      aux_sym__terminator_token1,
    STATE(16617), 1,
      aux_sym_matrix_expression_repeat1,
  [298293] = 5,
    ACTIONS(9602), 1,
      anon_sym_RPAREN,
    ACTIONS(18702), 1,
      anon_sym_SEMI,
    ACTIONS(20291), 1,
      anon_sym_COMMA,
    STATE(16510), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298310] = 4,
    ACTIONS(27146), 1,
      sym__string_end,
    STATE(16624), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27144), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [298325] = 4,
    ACTIONS(27150), 1,
      sym__command_end,
    STATE(16621), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27148), 2,
      sym__string_content_no_interp,
      sym_escape_sequence,
  [298340] = 5,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27152), 1,
      anon_sym_end,
    ACTIONS(27154), 1,
      sym__immediate_brace,
    STATE(19127), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298357] = 4,
    ACTIONS(9096), 1,
      anon_sym_RPAREN,
    ACTIONS(27156), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298371] = 3,
    ACTIONS(27158), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4712), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [298383] = 4,
    ACTIONS(27160), 1,
      sym__immediate_paren,
    ACTIONS(27162), 1,
      sym__immediate_bracket,
    ACTIONS(27164), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298397] = 3,
    ACTIONS(27166), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10104), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [298409] = 3,
    ACTIONS(27168), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6178), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [298421] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19034), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298435] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19083), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298449] = 4,
    ACTIONS(27170), 1,
      sym__immediate_paren,
    ACTIONS(27172), 1,
      sym__immediate_bracket,
    ACTIONS(27174), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298463] = 4,
    ACTIONS(27176), 1,
      sym__immediate_paren,
    ACTIONS(27178), 1,
      sym__immediate_bracket,
    ACTIONS(27180), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298477] = 4,
    ACTIONS(27182), 1,
      sym__immediate_paren,
    ACTIONS(27184), 1,
      sym__immediate_bracket,
    ACTIONS(27186), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298491] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18984), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298505] = 4,
    ACTIONS(27188), 1,
      sym__immediate_paren,
    ACTIONS(27190), 1,
      sym__immediate_bracket,
    ACTIONS(27192), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298519] = 3,
    ACTIONS(27194), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7270), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [298531] = 4,
    ACTIONS(21594), 1,
      anon_sym_COMMA,
    ACTIONS(21596), 1,
      anon_sym_RBRACE,
    STATE(16679), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298545] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27196), 1,
      anon_sym_end,
    STATE(18585), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298559] = 4,
    ACTIONS(21604), 1,
      anon_sym_COMMA,
    ACTIONS(21606), 1,
      anon_sym_RBRACE,
    STATE(16699), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298573] = 4,
    ACTIONS(27198), 1,
      sym__immediate_paren,
    ACTIONS(27200), 1,
      sym__immediate_bracket,
    ACTIONS(27202), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298587] = 4,
    ACTIONS(8784), 1,
      anon_sym_RBRACK,
    ACTIONS(27204), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298601] = 4,
    ACTIONS(21600), 1,
      anon_sym_COMMA,
    ACTIONS(21602), 1,
      anon_sym_RBRACE,
    STATE(16750), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298615] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(27206), 1,
      anon_sym_end,
    STATE(18579), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298629] = 4,
    ACTIONS(27208), 1,
      sym__immediate_paren,
    ACTIONS(27210), 1,
      sym__immediate_bracket,
    ACTIONS(27212), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298643] = 4,
    ACTIONS(21642), 1,
      anon_sym_COMMA,
    ACTIONS(21644), 1,
      anon_sym_RBRACE,
    STATE(16693), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298657] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18938), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298671] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19134), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298685] = 4,
    ACTIONS(8792), 1,
      anon_sym_RBRACE,
    ACTIONS(27214), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298699] = 4,
    ACTIONS(9368), 1,
      anon_sym_RPAREN,
    ACTIONS(27216), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298713] = 4,
    ACTIONS(23957), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19102), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298727] = 4,
    ACTIONS(9684), 1,
      anon_sym_RPAREN,
    ACTIONS(21342), 1,
      anon_sym_COMMA,
    STATE(16703), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298741] = 4,
    ACTIONS(27220), 1,
      sym__immediate_paren,
    ACTIONS(27222), 1,
      sym__immediate_bracket,
    ACTIONS(27224), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298755] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23957), 1,
      anon_sym_end,
    STATE(19102), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298769] = 4,
    ACTIONS(27226), 1,
      sym__immediate_paren,
    ACTIONS(27228), 1,
      sym__immediate_bracket,
    ACTIONS(27230), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298783] = 4,
    ACTIONS(8918), 1,
      anon_sym_RPAREN,
    ACTIONS(27232), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298797] = 4,
    ACTIONS(9410), 1,
      anon_sym_RBRACE,
    ACTIONS(27234), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298811] = 4,
    ACTIONS(27236), 1,
      sym__immediate_paren,
    ACTIONS(27238), 1,
      sym__immediate_bracket,
    ACTIONS(27240), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298825] = 4,
    ACTIONS(9686), 1,
      anon_sym_RBRACK,
    ACTIONS(27242), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298839] = 4,
    ACTIONS(9418), 1,
      anon_sym_RPAREN,
    ACTIONS(27244), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298853] = 4,
    ACTIONS(9398), 1,
      anon_sym_RPAREN,
    ACTIONS(21386), 1,
      anon_sym_COMMA,
    STATE(16715), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298867] = 4,
    ACTIONS(9402), 1,
      anon_sym_RBRACK,
    ACTIONS(27246), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298881] = 4,
    ACTIONS(9696), 1,
      anon_sym_RBRACE,
    ACTIONS(27248), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298895] = 4,
    ACTIONS(9396), 1,
      anon_sym_RBRACK,
    ACTIONS(27250), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298909] = 4,
    ACTIONS(27252), 1,
      sym__immediate_paren,
    ACTIONS(27254), 1,
      sym__immediate_bracket,
    ACTIONS(27256), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298923] = 4,
    ACTIONS(9656), 1,
      anon_sym_RPAREN,
    ACTIONS(27258), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298937] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18879), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298951] = 4,
    ACTIONS(9400), 1,
      anon_sym_RPAREN,
    ACTIONS(21294), 1,
      anon_sym_COMMA,
    STATE(16680), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298965] = 4,
    ACTIONS(9344), 1,
      anon_sym_RBRACE,
    ACTIONS(27260), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298979] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19181), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [298993] = 4,
    ACTIONS(21554), 1,
      anon_sym_COMMA,
    ACTIONS(21556), 1,
      anon_sym_RBRACE,
    STATE(16687), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299007] = 4,
    ACTIONS(27262), 1,
      sym__immediate_paren,
    ACTIONS(27264), 1,
      sym__immediate_bracket,
    ACTIONS(27266), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299021] = 4,
    ACTIONS(9374), 1,
      anon_sym_RPAREN,
    ACTIONS(27268), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299035] = 4,
    ACTIONS(27270), 1,
      sym__immediate_paren,
    ACTIONS(27272), 1,
      sym__immediate_bracket,
    ACTIONS(27274), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299049] = 4,
    ACTIONS(27276), 1,
      sym__immediate_paren,
    ACTIONS(27278), 1,
      sym__immediate_bracket,
    ACTIONS(27280), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299063] = 4,
    ACTIONS(9736), 1,
      anon_sym_RBRACE,
    ACTIONS(27282), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299077] = 3,
    ACTIONS(27284), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11050), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [299089] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18824), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299103] = 4,
    ACTIONS(23965), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18542), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299117] = 3,
    ACTIONS(18542), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7076), 2,
      sym_scoped_identifier,
      sym_identifier,
  [299129] = 4,
    ACTIONS(9750), 1,
      anon_sym_RBRACK,
    ACTIONS(27286), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299143] = 4,
    ACTIONS(27288), 1,
      sym__immediate_paren,
    ACTIONS(27290), 1,
      sym__immediate_bracket,
    ACTIONS(27292), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299157] = 4,
    ACTIONS(9380), 1,
      anon_sym_RPAREN,
    ACTIONS(21522), 1,
      anon_sym_COMMA,
    STATE(16844), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299171] = 3,
    ACTIONS(27294), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6657), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [299183] = 4,
    ACTIONS(8836), 1,
      anon_sym_RPAREN,
    ACTIONS(27296), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299197] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19227), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299211] = 4,
    ACTIONS(27298), 1,
      sym__immediate_paren,
    ACTIONS(27300), 1,
      sym__immediate_bracket,
    ACTIONS(27302), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299225] = 4,
    ACTIONS(27304), 1,
      sym__immediate_paren,
    ACTIONS(27306), 1,
      sym__immediate_bracket,
    ACTIONS(27308), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299239] = 4,
    ACTIONS(21368), 1,
      anon_sym_COMMA,
    ACTIONS(21370), 1,
      anon_sym_RBRACE,
    STATE(16939), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299253] = 4,
    ACTIONS(27310), 1,
      sym__immediate_paren,
    ACTIONS(27312), 1,
      sym__immediate_bracket,
    ACTIONS(27314), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299267] = 4,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
    ACTIONS(21218), 1,
      anon_sym_COMMA,
    STATE(16690), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299281] = 4,
    ACTIONS(21532), 1,
      anon_sym_COMMA,
    ACTIONS(21534), 1,
      anon_sym_RBRACE,
    STATE(16725), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299295] = 4,
    ACTIONS(27316), 1,
      sym__immediate_paren,
    ACTIONS(27318), 1,
      sym__immediate_bracket,
    ACTIONS(27320), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299309] = 4,
    ACTIONS(21616), 1,
      anon_sym_COMMA,
    ACTIONS(21618), 1,
      anon_sym_RBRACE,
    STATE(16765), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299323] = 4,
    ACTIONS(8920), 1,
      anon_sym_RBRACE,
    ACTIONS(27322), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299337] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23961), 1,
      anon_sym_end,
    STATE(18592), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299351] = 4,
    ACTIONS(23961), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18592), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299365] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18759), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299379] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19282), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299393] = 4,
    ACTIONS(8650), 1,
      anon_sym_RBRACK,
    ACTIONS(27324), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299407] = 3,
    ACTIONS(27326), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5858), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [299419] = 4,
    ACTIONS(21696), 1,
      anon_sym_COMMA,
    ACTIONS(21698), 1,
      anon_sym_RBRACE,
    STATE(16706), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299433] = 4,
    ACTIONS(9638), 1,
      anon_sym_RPAREN,
    ACTIONS(27328), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299447] = 4,
    ACTIONS(27330), 1,
      sym__immediate_paren,
    ACTIONS(27332), 1,
      sym__immediate_bracket,
    ACTIONS(27334), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299461] = 4,
    ACTIONS(27336), 1,
      sym__immediate_paren,
    ACTIONS(27338), 1,
      sym__immediate_bracket,
    ACTIONS(27340), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299475] = 4,
    ACTIONS(9360), 1,
      anon_sym_RPAREN,
    ACTIONS(27342), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299489] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19329), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299503] = 4,
    ACTIONS(27344), 1,
      sym__immediate_paren,
    ACTIONS(27346), 1,
      sym__immediate_bracket,
    ACTIONS(27348), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299517] = 4,
    ACTIONS(27350), 1,
      sym__immediate_paren,
    ACTIONS(27352), 1,
      sym__immediate_bracket,
    ACTIONS(27354), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299531] = 4,
    ACTIONS(21708), 1,
      anon_sym_COMMA,
    ACTIONS(21710), 1,
      anon_sym_RBRACE,
    STATE(16757), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299545] = 4,
    ACTIONS(27356), 1,
      sym__immediate_paren,
    ACTIONS(27358), 1,
      sym__immediate_bracket,
    ACTIONS(27360), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299559] = 4,
    ACTIONS(27362), 1,
      sym__immediate_paren,
    ACTIONS(27364), 1,
      sym__immediate_bracket,
    ACTIONS(27366), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299573] = 4,
    ACTIONS(8828), 1,
      anon_sym_RPAREN,
    ACTIONS(27368), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299587] = 3,
    ACTIONS(27370), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10220), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [299599] = 4,
    ACTIONS(9092), 1,
      anon_sym_RBRACE,
    ACTIONS(27372), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299613] = 4,
    ACTIONS(9832), 1,
      anon_sym_RPAREN,
    ACTIONS(21468), 1,
      anon_sym_COMMA,
    STATE(16767), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299627] = 3,
    ACTIONS(18618), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7851), 2,
      sym_scoped_identifier,
      sym_identifier,
  [299639] = 3,
    ACTIONS(27374), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12121), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [299651] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18713), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299665] = 4,
    ACTIONS(8644), 1,
      anon_sym_RBRACE,
    ACTIONS(27376), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299679] = 4,
    ACTIONS(27378), 1,
      sym__immediate_paren,
    ACTIONS(27380), 1,
      sym__immediate_bracket,
    ACTIONS(27382), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299693] = 4,
    ACTIONS(9370), 1,
      anon_sym_RBRACK,
    ACTIONS(27384), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299707] = 4,
    ACTIONS(9890), 1,
      anon_sym_RBRACK,
    ACTIONS(27386), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299721] = 4,
    ACTIONS(9080), 1,
      anon_sym_RBRACK,
    ACTIONS(27388), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299735] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19363), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299749] = 4,
    ACTIONS(27390), 1,
      sym__immediate_paren,
    ACTIONS(27392), 1,
      sym__immediate_bracket,
    ACTIONS(27394), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299763] = 4,
    ACTIONS(10012), 1,
      anon_sym_RBRACE,
    ACTIONS(27396), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299777] = 4,
    ACTIONS(27398), 1,
      sym__immediate_paren,
    ACTIONS(27400), 1,
      sym__immediate_bracket,
    ACTIONS(27402), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299791] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18644), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299805] = 4,
    ACTIONS(27404), 1,
      sym__immediate_paren,
    ACTIONS(27406), 1,
      sym__immediate_bracket,
    ACTIONS(27408), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299819] = 4,
    ACTIONS(21482), 1,
      anon_sym_COMMA,
    ACTIONS(21484), 1,
      anon_sym_RBRACE,
    STATE(16777), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299833] = 4,
    ACTIONS(8628), 1,
      anon_sym_RBRACE,
    ACTIONS(27410), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299847] = 4,
    ACTIONS(9074), 1,
      anon_sym_RPAREN,
    ACTIONS(21196), 1,
      anon_sym_COMMA,
    STATE(16736), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299861] = 4,
    ACTIONS(21474), 1,
      anon_sym_COMMA,
    ACTIONS(21476), 1,
      anon_sym_RBRACE,
    STATE(16745), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299875] = 4,
    ACTIONS(9364), 1,
      anon_sym_RBRACE,
    ACTIONS(27412), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299889] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19418), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299903] = 4,
    ACTIONS(9222), 1,
      anon_sym_RPAREN,
    ACTIONS(27414), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299917] = 4,
    ACTIONS(27416), 1,
      sym__immediate_paren,
    ACTIONS(27418), 1,
      sym__immediate_bracket,
    ACTIONS(27420), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299931] = 4,
    ACTIONS(23959), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19175), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299945] = 4,
    ACTIONS(8542), 1,
      anon_sym_RBRACK,
    ACTIONS(27422), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299959] = 4,
    ACTIONS(27424), 1,
      sym__immediate_paren,
    ACTIONS(27426), 1,
      sym__immediate_bracket,
    ACTIONS(27428), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299973] = 4,
    ACTIONS(27430), 1,
      sym__immediate_paren,
    ACTIONS(27432), 1,
      sym__immediate_bracket,
    ACTIONS(27434), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [299987] = 3,
    ACTIONS(27436), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7372), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [299999] = 4,
    ACTIONS(8984), 1,
      anon_sym_RPAREN,
    ACTIONS(21524), 1,
      anon_sym_COMMA,
    STATE(16788), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300013] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19515), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300027] = 4,
    ACTIONS(8982), 1,
      anon_sym_RBRACK,
    ACTIONS(27438), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300041] = 4,
    ACTIONS(8976), 1,
      anon_sym_RBRACE,
    ACTIONS(27440), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300055] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19571), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300069] = 3,
    ACTIONS(27442), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4913), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [300081] = 4,
    ACTIONS(27444), 1,
      sym__immediate_paren,
    ACTIONS(27446), 1,
      sym__immediate_bracket,
    ACTIONS(27448), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300095] = 4,
    ACTIONS(8572), 1,
      anon_sym_RPAREN,
    ACTIONS(21712), 1,
      anon_sym_COMMA,
    STATE(16733), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300109] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18560), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300123] = 4,
    ACTIONS(10258), 1,
      anon_sym_RPAREN,
    ACTIONS(27450), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300137] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19603), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300151] = 4,
    ACTIONS(9002), 1,
      anon_sym_RBRACE,
    ACTIONS(27452), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300165] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19638), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300179] = 4,
    ACTIONS(27454), 1,
      sym__immediate_paren,
    ACTIONS(27456), 1,
      sym__immediate_bracket,
    ACTIONS(27458), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300193] = 4,
    ACTIONS(9414), 1,
      anon_sym_RPAREN,
    ACTIONS(27460), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300207] = 4,
    ACTIONS(9342), 1,
      anon_sym_RPAREN,
    ACTIONS(27462), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300221] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19708), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300235] = 4,
    ACTIONS(27464), 1,
      sym__immediate_paren,
    ACTIONS(27466), 1,
      sym__immediate_bracket,
    ACTIONS(27468), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300249] = 4,
    ACTIONS(10224), 1,
      anon_sym_RPAREN,
    ACTIONS(27470), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300263] = 4,
    ACTIONS(10180), 1,
      anon_sym_RBRACE,
    ACTIONS(27472), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300277] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19762), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300291] = 3,
    ACTIONS(27474), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7401), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [300303] = 4,
    ACTIONS(10182), 1,
      anon_sym_RBRACK,
    ACTIONS(27476), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300317] = 4,
    ACTIONS(8742), 1,
      anon_sym_RBRACE,
    ACTIONS(27478), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300331] = 4,
    ACTIONS(21638), 1,
      anon_sym_COMMA,
    ACTIONS(21640), 1,
      anon_sym_RBRACE,
    STATE(16762), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300345] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18488), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300359] = 4,
    ACTIONS(8672), 1,
      anon_sym_RBRACK,
    ACTIONS(27480), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300373] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19816), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300387] = 4,
    ACTIONS(9010), 1,
      anon_sym_RBRACK,
    ACTIONS(27482), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300401] = 4,
    ACTIONS(8670), 1,
      anon_sym_RPAREN,
    ACTIONS(21508), 1,
      anon_sym_COMMA,
    STATE(16789), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300415] = 4,
    ACTIONS(21588), 1,
      anon_sym_COMMA,
    ACTIONS(21590), 1,
      anon_sym_RBRACE,
    STATE(16821), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300429] = 4,
    ACTIONS(10506), 1,
      anon_sym_RBRACE,
    ACTIONS(27484), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300443] = 4,
    ACTIONS(10192), 1,
      anon_sym_RPAREN,
    ACTIONS(21260), 1,
      anon_sym_COMMA,
    STATE(16783), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300457] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19878), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300471] = 4,
    ACTIONS(21080), 1,
      anon_sym_COMMA,
    ACTIONS(21082), 1,
      anon_sym_RBRACE,
    STATE(16797), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300485] = 4,
    ACTIONS(23969), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18492), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300499] = 4,
    ACTIONS(10248), 1,
      anon_sym_RPAREN,
    ACTIONS(21528), 1,
      anon_sym_COMMA,
    STATE(16831), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300513] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19835), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300527] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23969), 1,
      anon_sym_end,
    STATE(18492), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300541] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19773), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300555] = 3,
    ACTIONS(27486), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4833), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [300567] = 3,
    ACTIONS(27488), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7160), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [300579] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19711), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300593] = 4,
    ACTIONS(10256), 1,
      anon_sym_RBRACK,
    ACTIONS(27490), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300607] = 4,
    ACTIONS(21346), 1,
      anon_sym_COMMA,
    ACTIONS(21348), 1,
      anon_sym_RBRACE,
    STATE(16837), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300621] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19643), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300635] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19604), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300649] = 4,
    ACTIONS(10262), 1,
      anon_sym_RBRACE,
    ACTIONS(27492), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300663] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(27494), 1,
      anon_sym_end,
    STATE(19279), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300677] = 4,
    ACTIONS(21558), 1,
      anon_sym_COMMA,
    ACTIONS(21560), 1,
      anon_sym_RBRACE,
    STATE(16793), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300691] = 4,
    ACTIONS(8654), 1,
      anon_sym_RPAREN,
    ACTIONS(21366), 1,
      anon_sym_COMMA,
    STATE(16792), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300705] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19572), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300719] = 4,
    ACTIONS(9606), 1,
      anon_sym_RPAREN,
    ACTIONS(21724), 1,
      anon_sym_COMMA,
    STATE(16878), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300733] = 4,
    ACTIONS(9012), 1,
      anon_sym_RPAREN,
    ACTIONS(21622), 1,
      anon_sym_COMMA,
    STATE(16743), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300747] = 4,
    ACTIONS(9326), 1,
      anon_sym_RPAREN,
    ACTIONS(27496), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300761] = 4,
    ACTIONS(23953), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19055), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300775] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23953), 1,
      anon_sym_end,
    STATE(19055), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300789] = 4,
    ACTIONS(9424), 1,
      anon_sym_RPAREN,
    ACTIONS(27498), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300803] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19526), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300817] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19454), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300831] = 4,
    ACTIONS(9608), 1,
      anon_sym_RBRACK,
    ACTIONS(27500), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300845] = 4,
    ACTIONS(9678), 1,
      anon_sym_RBRACE,
    ACTIONS(27502), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300859] = 4,
    ACTIONS(27504), 1,
      sym__immediate_paren,
    ACTIONS(27506), 1,
      sym__immediate_bracket,
    ACTIONS(27508), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300873] = 4,
    ACTIONS(9680), 1,
      anon_sym_RBRACE,
    ACTIONS(27510), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300887] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19085), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300901] = 3,
    ACTIONS(27512), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6412), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [300913] = 4,
    ACTIONS(9688), 1,
      anon_sym_RBRACK,
    ACTIONS(27514), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300927] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19405), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300941] = 4,
    ACTIONS(9690), 1,
      anon_sym_RPAREN,
    ACTIONS(21250), 1,
      anon_sym_COMMA,
    STATE(16828), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300955] = 4,
    ACTIONS(21316), 1,
      anon_sym_COMMA,
    ACTIONS(21318), 1,
      anon_sym_RBRACE,
    STATE(16835), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300969] = 4,
    ACTIONS(9450), 1,
      anon_sym_RPAREN,
    ACTIONS(27516), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300983] = 4,
    ACTIONS(27518), 1,
      sym__immediate_paren,
    ACTIONS(27520), 1,
      sym__immediate_bracket,
    ACTIONS(27522), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [300997] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19364), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301011] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19340), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301025] = 3,
    ACTIONS(27524), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9460), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [301037] = 3,
    ACTIONS(27526), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(17950), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [301049] = 4,
    ACTIONS(9394), 1,
      anon_sym_RBRACE,
    ACTIONS(27528), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301063] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19310), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301077] = 4,
    ACTIONS(9864), 1,
      anon_sym_RPAREN,
    ACTIONS(21540), 1,
      anon_sym_COMMA,
    STATE(17051), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301091] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19268), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301105] = 4,
    ACTIONS(9392), 1,
      anon_sym_RBRACK,
    ACTIONS(27530), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301119] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27532), 1,
      anon_sym_end,
    STATE(19291), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301133] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19233), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301147] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19210), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301161] = 4,
    ACTIONS(9558), 1,
      anon_sym_RPAREN,
    ACTIONS(27534), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301175] = 3,
    ACTIONS(27536), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11042), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [301187] = 3,
    ACTIONS(27538), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11543), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [301199] = 4,
    ACTIONS(21518), 1,
      anon_sym_COMMA,
    ACTIONS(21520), 1,
      anon_sym_RBRACE,
    STATE(16785), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301213] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19165), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301227] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27540), 1,
      anon_sym_end,
    STATE(19046), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301241] = 4,
    ACTIONS(27542), 1,
      sym__immediate_paren,
    ACTIONS(27544), 1,
      sym__immediate_bracket,
    ACTIONS(27546), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301255] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19136), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301269] = 4,
    ACTIONS(9288), 1,
      anon_sym_RPAREN,
    ACTIONS(27548), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301283] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19098), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301297] = 4,
    ACTIONS(21470), 1,
      anon_sym_COMMA,
    ACTIONS(21472), 1,
      anon_sym_RBRACE,
    STATE(16885), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301311] = 4,
    ACTIONS(10266), 1,
      anon_sym_RPAREN,
    ACTIONS(27550), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301325] = 4,
    ACTIONS(21256), 1,
      anon_sym_COMMA,
    ACTIONS(21258), 1,
      anon_sym_RBRACE,
    STATE(16888), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301339] = 4,
    ACTIONS(9506), 1,
      anon_sym_RBRACE,
    ACTIONS(27552), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301353] = 4,
    ACTIONS(10078), 1,
      anon_sym_RBRACE,
    ACTIONS(27554), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301367] = 4,
    ACTIONS(10082), 1,
      anon_sym_RBRACK,
    ACTIONS(27556), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301381] = 4,
    ACTIONS(10480), 1,
      anon_sym_RPAREN,
    ACTIONS(21610), 1,
      anon_sym_COMMA,
    STATE(16895), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301395] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19066), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301409] = 4,
    ACTIONS(8838), 1,
      anon_sym_RBRACE,
    ACTIONS(27558), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301423] = 4,
    ACTIONS(10084), 1,
      anon_sym_RPAREN,
    ACTIONS(21570), 1,
      anon_sym_COMMA,
    STATE(16866), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301437] = 4,
    ACTIONS(10102), 1,
      anon_sym_RPAREN,
    ACTIONS(27560), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301451] = 4,
    ACTIONS(21236), 1,
      anon_sym_COMMA,
    ACTIONS(21238), 1,
      anon_sym_RBRACE,
    STATE(16872), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301465] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18310), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301479] = 4,
    ACTIONS(10502), 1,
      anon_sym_RBRACK,
    ACTIONS(27562), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301493] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19022), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301507] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18992), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301521] = 4,
    ACTIONS(10164), 1,
      anon_sym_RBRACK,
    ACTIONS(27564), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301535] = 4,
    ACTIONS(10516), 1,
      anon_sym_RBRACE,
    ACTIONS(27566), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301549] = 3,
    ACTIONS(27568), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6113), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [301561] = 4,
    ACTIONS(10520), 1,
      anon_sym_RBRACK,
    ACTIONS(27570), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301575] = 4,
    ACTIONS(10186), 1,
      anon_sym_RBRACE,
    ACTIONS(27572), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301589] = 4,
    ACTIONS(27574), 1,
      sym__immediate_paren,
    ACTIONS(27576), 1,
      sym__immediate_bracket,
    ACTIONS(27578), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301603] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18960), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301617] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18928), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301631] = 4,
    ACTIONS(10552), 1,
      anon_sym_RPAREN,
    ACTIONS(27580), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301645] = 4,
    ACTIONS(21674), 1,
      anon_sym_COMMA,
    ACTIONS(21676), 1,
      anon_sym_RBRACE,
    STATE(17090), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301659] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18891), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301673] = 4,
    ACTIONS(9422), 1,
      anon_sym_RPAREN,
    ACTIONS(27582), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301687] = 4,
    ACTIONS(8856), 1,
      anon_sym_RBRACK,
    ACTIONS(27584), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301701] = 4,
    ACTIONS(9378), 1,
      anon_sym_RPAREN,
    ACTIONS(21312), 1,
      anon_sym_COMMA,
    STATE(16686), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301715] = 4,
    ACTIONS(10528), 1,
      anon_sym_RPAREN,
    ACTIONS(21390), 1,
      anon_sym_COMMA,
    STATE(16869), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301729] = 4,
    ACTIONS(8892), 1,
      anon_sym_RPAREN,
    ACTIONS(21666), 1,
      anon_sym_COMMA,
    STATE(16858), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301743] = 3,
    ACTIONS(27586), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5523), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [301755] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18859), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301769] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18814), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301783] = 4,
    ACTIONS(27588), 1,
      sym__immediate_paren,
    ACTIONS(27590), 1,
      sym__immediate_bracket,
    ACTIONS(27592), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301797] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18729), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301811] = 4,
    ACTIONS(9218), 1,
      anon_sym_RPAREN,
    ACTIONS(27594), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301825] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18743), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301839] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19348), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301853] = 4,
    ACTIONS(10576), 1,
      anon_sym_RBRACE,
    ACTIONS(27596), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301867] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18689), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301881] = 4,
    ACTIONS(10582), 1,
      anon_sym_RBRACK,
    ACTIONS(27598), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301895] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18654), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301909] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(27600), 1,
      anon_sym_end,
    STATE(19032), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301923] = 4,
    ACTIONS(21686), 1,
      anon_sym_COMMA,
    ACTIONS(21688), 1,
      anon_sym_RBRACE,
    STATE(16876), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301937] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18620), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301951] = 4,
    ACTIONS(21434), 1,
      anon_sym_COMMA,
    ACTIONS(21436), 1,
      anon_sym_RBRACE,
    STATE(16805), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301965] = 3,
    ACTIONS(27602), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5670), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [301977] = 4,
    ACTIONS(10588), 1,
      anon_sym_RPAREN,
    ACTIONS(21670), 1,
      anon_sym_COMMA,
    STATE(16905), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [301991] = 4,
    ACTIONS(10162), 1,
      anon_sym_RPAREN,
    ACTIONS(21512), 1,
      anon_sym_COMMA,
    STATE(16892), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302005] = 4,
    ACTIONS(21142), 1,
      anon_sym_COMMA,
    ACTIONS(21144), 1,
      anon_sym_RBRACE,
    STATE(16908), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302019] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18567), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302033] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23955), 1,
      anon_sym_end,
    STATE(18617), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302047] = 3,
    ACTIONS(27604), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6624), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [302059] = 3,
    ACTIONS(27606), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5420), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [302071] = 4,
    ACTIONS(21222), 1,
      anon_sym_COMMA,
    ACTIONS(21224), 1,
      anon_sym_RBRACE,
    STATE(16938), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302085] = 3,
    ACTIONS(27608), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11266), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [302097] = 4,
    ACTIONS(27610), 1,
      sym__immediate_paren,
    ACTIONS(27612), 1,
      sym__immediate_bracket,
    ACTIONS(27614), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302111] = 4,
    ACTIONS(23955), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18617), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302125] = 4,
    ACTIONS(8938), 1,
      anon_sym_RPAREN,
    ACTIONS(21202), 1,
      anon_sym_COMMA,
    STATE(16988), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302139] = 4,
    ACTIONS(8736), 1,
      anon_sym_RPAREN,
    ACTIONS(27616), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302153] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18157), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302167] = 4,
    ACTIONS(21372), 1,
      anon_sym_COMMA,
    ACTIONS(21374), 1,
      anon_sym_RBRACE,
    STATE(16948), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302181] = 4,
    ACTIONS(9872), 1,
      anon_sym_RBRACK,
    ACTIONS(27618), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302195] = 4,
    ACTIONS(10780), 1,
      anon_sym_RPAREN,
    ACTIONS(21656), 1,
      anon_sym_COMMA,
    STATE(16946), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302209] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23967), 1,
      anon_sym_end,
    STATE(19305), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302223] = 4,
    ACTIONS(23967), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19305), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302237] = 4,
    ACTIONS(10782), 1,
      anon_sym_RBRACK,
    ACTIONS(27620), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302251] = 4,
    ACTIONS(10634), 1,
      anon_sym_RPAREN,
    ACTIONS(21648), 1,
      anon_sym_COMMA,
    STATE(16956), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302265] = 4,
    ACTIONS(10792), 1,
      anon_sym_RBRACE,
    ACTIONS(27622), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302279] = 4,
    ACTIONS(9886), 1,
      anon_sym_RBRACE,
    ACTIONS(27624), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302293] = 4,
    ACTIONS(9190), 1,
      anon_sym_RPAREN,
    ACTIONS(27626), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302307] = 4,
    ACTIONS(9910), 1,
      anon_sym_RBRACE,
    ACTIONS(27628), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302321] = 4,
    ACTIONS(9916), 1,
      anon_sym_RBRACK,
    ACTIONS(27630), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302335] = 4,
    ACTIONS(8940), 1,
      anon_sym_RBRACK,
    ACTIONS(27632), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302349] = 4,
    ACTIONS(10636), 1,
      anon_sym_RBRACK,
    ACTIONS(27634), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302363] = 4,
    ACTIONS(10830), 1,
      anon_sym_RBRACE,
    ACTIONS(27636), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302377] = 4,
    ACTIONS(10440), 1,
      anon_sym_RPAREN,
    ACTIONS(27638), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302391] = 4,
    ACTIONS(10840), 1,
      anon_sym_RBRACK,
    ACTIONS(27640), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302405] = 4,
    ACTIONS(10658), 1,
      anon_sym_RBRACE,
    ACTIONS(27642), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302419] = 4,
    ACTIONS(10842), 1,
      anon_sym_RPAREN,
    ACTIONS(21672), 1,
      anon_sym_COMMA,
    STATE(16940), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302433] = 4,
    ACTIONS(9926), 1,
      anon_sym_RPAREN,
    ACTIONS(21664), 1,
      anon_sym_COMMA,
    STATE(16929), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302447] = 4,
    ACTIONS(21440), 1,
      anon_sym_COMMA,
    ACTIONS(21442), 1,
      anon_sym_RBRACE,
    STATE(16945), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302461] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23977), 1,
      anon_sym_end,
    STATE(19388), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302475] = 4,
    ACTIONS(23977), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19388), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302489] = 3,
    ACTIONS(27644), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8531), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [302501] = 4,
    ACTIONS(27646), 1,
      sym__immediate_paren,
    ACTIONS(27648), 1,
      sym__immediate_bracket,
    ACTIONS(27650), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302515] = 4,
    ACTIONS(9440), 1,
      anon_sym_RPAREN,
    ACTIONS(27652), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302529] = 3,
    ACTIONS(27654), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6690), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [302541] = 4,
    ACTIONS(21264), 1,
      anon_sym_COMMA,
    ACTIONS(21266), 1,
      anon_sym_RBRACE,
    STATE(16941), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302555] = 4,
    ACTIONS(8582), 1,
      anon_sym_RPAREN,
    ACTIONS(27656), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302569] = 3,
    ACTIONS(18302), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6727), 2,
      sym_scoped_identifier,
      sym_identifier,
  [302581] = 4,
    ACTIONS(23985), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19422), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302595] = 3,
    ACTIONS(27658), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10463), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [302607] = 4,
    ACTIONS(21612), 1,
      anon_sym_COMMA,
    ACTIONS(21614), 1,
      anon_sym_RBRACE,
    STATE(16979), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302621] = 4,
    ACTIONS(9108), 1,
      anon_sym_RPAREN,
    ACTIONS(27660), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302635] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24005), 1,
      anon_sym_end,
    STATE(19500), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302649] = 3,
    ACTIONS(27662), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6249), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [302661] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(27664), 1,
      anon_sym_end,
    STATE(19461), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302675] = 4,
    ACTIONS(10952), 1,
      anon_sym_RBRACE,
    ACTIONS(27666), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302689] = 4,
    ACTIONS(10962), 1,
      anon_sym_RPAREN,
    ACTIONS(21280), 1,
      anon_sym_COMMA,
    STATE(16986), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302703] = 4,
    ACTIONS(10956), 1,
      anon_sym_RBRACK,
    ACTIONS(27668), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302717] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27670), 1,
      anon_sym_end,
    STATE(19467), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302731] = 3,
    ACTIONS(18312), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11636), 2,
      sym_scoped_identifier,
      sym_identifier,
  [302743] = 4,
    ACTIONS(10964), 1,
      anon_sym_RBRACK,
    ACTIONS(27672), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302757] = 4,
    ACTIONS(23940), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18969), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302771] = 4,
    ACTIONS(10884), 1,
      anon_sym_RBRACE,
    ACTIONS(27674), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302785] = 4,
    ACTIONS(10958), 1,
      anon_sym_RPAREN,
    ACTIONS(21286), 1,
      anon_sym_COMMA,
    STATE(16964), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302799] = 4,
    ACTIONS(10944), 1,
      anon_sym_RBRACK,
    ACTIONS(27676), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302813] = 3,
    ACTIONS(18656), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6745), 2,
      sym_scoped_identifier,
      sym_identifier,
  [302825] = 4,
    ACTIONS(10974), 1,
      anon_sym_RBRACE,
    ACTIONS(27678), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302839] = 4,
    ACTIONS(21682), 1,
      anon_sym_COMMA,
    ACTIONS(21684), 1,
      anon_sym_RBRACE,
    STATE(16968), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302853] = 4,
    ACTIONS(9298), 1,
      anon_sym_RPAREN,
    ACTIONS(27680), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302867] = 3,
    ACTIONS(27682), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6893), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [302879] = 3,
    ACTIONS(27684), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7056), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [302891] = 4,
    ACTIONS(10968), 1,
      anon_sym_RPAREN,
    ACTIONS(21514), 1,
      anon_sym_COMMA,
    STATE(16959), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302905] = 4,
    ACTIONS(23951), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18667), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302919] = 4,
    ACTIONS(10014), 1,
      anon_sym_RPAREN,
    ACTIONS(27686), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302933] = 4,
    ACTIONS(27688), 1,
      sym__immediate_paren,
    ACTIONS(27690), 1,
      sym__immediate_bracket,
    ACTIONS(27692), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302947] = 4,
    ACTIONS(8848), 1,
      anon_sym_RPAREN,
    ACTIONS(27694), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302961] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23999), 1,
      anon_sym_end,
    STATE(19474), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302975] = 4,
    ACTIONS(23999), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19474), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [302989] = 4,
    ACTIONS(9552), 1,
      anon_sym_RPAREN,
    ACTIONS(27696), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303003] = 4,
    ACTIONS(21282), 1,
      anon_sym_COMMA,
    ACTIONS(21284), 1,
      anon_sym_RBRACE,
    STATE(17009), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303017] = 4,
    ACTIONS(10396), 1,
      anon_sym_RBRACE,
    ACTIONS(27698), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303031] = 4,
    ACTIONS(10386), 1,
      anon_sym_RBRACK,
    ACTIONS(27700), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303045] = 3,
    ACTIONS(27702), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11102), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [303057] = 4,
    ACTIONS(10364), 1,
      anon_sym_RPAREN,
    ACTIONS(21276), 1,
      anon_sym_COMMA,
    STATE(16981), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303071] = 4,
    ACTIONS(9980), 1,
      anon_sym_RBRACK,
    ACTIONS(27704), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303085] = 4,
    ACTIONS(8778), 1,
      anon_sym_RPAREN,
    ACTIONS(21646), 1,
      anon_sym_COMMA,
    STATE(16696), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303099] = 4,
    ACTIONS(21478), 1,
      anon_sym_COMMA,
    ACTIONS(21480), 1,
      anon_sym_RBRACE,
    STATE(16850), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303113] = 4,
    ACTIONS(9020), 1,
      anon_sym_RBRACE,
    ACTIONS(27706), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303127] = 3,
    ACTIONS(27708), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10126), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [303139] = 4,
    ACTIONS(21268), 1,
      anon_sym_COMMA,
    ACTIONS(21270), 1,
      anon_sym_RBRACE,
    STATE(16975), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303153] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18265), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303167] = 4,
    ACTIONS(24005), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19500), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303181] = 4,
    ACTIONS(10866), 1,
      anon_sym_RBRACK,
    ACTIONS(27710), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303195] = 4,
    ACTIONS(21450), 1,
      anon_sym_COMMA,
    ACTIONS(21452), 1,
      anon_sym_RBRACE,
    STATE(17023), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303209] = 4,
    ACTIONS(9840), 1,
      anon_sym_RBRACE,
    ACTIONS(27712), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303223] = 4,
    ACTIONS(9500), 1,
      anon_sym_RBRACK,
    ACTIONS(27714), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303237] = 4,
    ACTIONS(10818), 1,
      anon_sym_RBRACE,
    ACTIONS(27716), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303251] = 4,
    ACTIONS(27718), 1,
      sym__immediate_paren,
    ACTIONS(27720), 1,
      sym__immediate_bracket,
    ACTIONS(27722), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303265] = 4,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    ACTIONS(21582), 1,
      anon_sym_COMMA,
    STATE(16655), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303279] = 4,
    ACTIONS(9476), 1,
      anon_sym_RPAREN,
    ACTIONS(21292), 1,
      anon_sym_COMMA,
    STATE(17027), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303293] = 4,
    ACTIONS(21426), 1,
      anon_sym_COMMA,
    ACTIONS(21428), 1,
      anon_sym_RBRACE,
    STATE(17007), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303307] = 4,
    ACTIONS(21584), 1,
      anon_sym_COMMA,
    ACTIONS(21586), 1,
      anon_sym_RBRACE,
    STATE(16993), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303321] = 4,
    ACTIONS(21718), 1,
      anon_sym_COMMA,
    ACTIONS(21720), 1,
      anon_sym_RBRACE,
    STATE(17126), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303335] = 3,
    ACTIONS(27724), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4798), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [303347] = 4,
    ACTIONS(9448), 1,
      anon_sym_RPAREN,
    ACTIONS(27726), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303361] = 4,
    ACTIONS(9030), 1,
      anon_sym_RBRACK,
    ACTIONS(27728), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303375] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(27730), 1,
      anon_sym_end,
    STATE(18526), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303389] = 4,
    ACTIONS(9036), 1,
      anon_sym_RPAREN,
    ACTIONS(21574), 1,
      anon_sym_COMMA,
    STATE(16991), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303403] = 4,
    ACTIONS(9474), 1,
      anon_sym_RBRACK,
    ACTIONS(27732), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303417] = 3,
    ACTIONS(27734), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6455), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [303429] = 4,
    ACTIONS(9470), 1,
      anon_sym_RBRACE,
    ACTIONS(27736), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303443] = 3,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11646), 2,
      sym_scoped_identifier,
      sym_identifier,
  [303455] = 4,
    ACTIONS(24007), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19534), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303469] = 3,
    ACTIONS(27738), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(14403), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [303481] = 4,
    ACTIONS(9600), 1,
      anon_sym_RPAREN,
    ACTIONS(27740), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303495] = 4,
    ACTIONS(21690), 1,
      anon_sym_COMMA,
    ACTIONS(21692), 1,
      anon_sym_RBRACE,
    STATE(17000), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303509] = 4,
    ACTIONS(27742), 1,
      sym__immediate_paren,
    ACTIONS(27744), 1,
      sym__immediate_bracket,
    ACTIONS(27746), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303523] = 4,
    ACTIONS(27748), 1,
      sym__word_identifier,
    ACTIONS(27750), 1,
      sym__immediate_paren,
    STATE(15862), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303537] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(27752), 1,
      anon_sym_end,
    STATE(18704), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303551] = 4,
    ACTIONS(11958), 1,
      anon_sym_DOT,
    ACTIONS(11960), 1,
      anon_sym_RPAREN,
    ACTIONS(27754), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303565] = 4,
    ACTIONS(9082), 1,
      anon_sym_RPAREN,
    ACTIONS(27756), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303579] = 3,
    ACTIONS(27758), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5852), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [303591] = 4,
    ACTIONS(9072), 1,
      anon_sym_RBRACE,
    ACTIONS(27760), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303605] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27762), 1,
      anon_sym_end,
    STATE(18710), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303619] = 4,
    ACTIONS(8998), 1,
      anon_sym_RBRACK,
    ACTIONS(27764), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303633] = 4,
    ACTIONS(23987), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18423), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303647] = 4,
    ACTIONS(21214), 1,
      anon_sym_COMMA,
    ACTIONS(21216), 1,
      anon_sym_RBRACE,
    STATE(17048), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303661] = 4,
    ACTIONS(9094), 1,
      anon_sym_RPAREN,
    ACTIONS(21510), 1,
      anon_sym_COMMA,
    STATE(17033), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303675] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23987), 1,
      anon_sym_end,
    STATE(18423), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303689] = 4,
    ACTIONS(21232), 1,
      anon_sym_COMMA,
    ACTIONS(21234), 1,
      anon_sym_RBRACE,
    STATE(17035), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303703] = 3,
    ACTIONS(27766), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5732), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [303715] = 3,
    ACTIONS(27768), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7593), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [303727] = 4,
    ACTIONS(10370), 1,
      anon_sym_RPAREN,
    ACTIONS(27770), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303741] = 4,
    ACTIONS(9502), 1,
      anon_sym_RPAREN,
    ACTIONS(21128), 1,
      anon_sym_COMMA,
    STATE(17054), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303755] = 4,
    ACTIONS(9512), 1,
      anon_sym_RBRACK,
    ACTIONS(27772), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303769] = 4,
    ACTIONS(9428), 1,
      anon_sym_RBRACE,
    ACTIONS(27774), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303783] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27776), 1,
      anon_sym_end,
    STATE(18538), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303797] = 4,
    ACTIONS(23926), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18904), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303811] = 4,
    ACTIONS(8632), 1,
      anon_sym_RPAREN,
    ACTIONS(27778), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303825] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23926), 1,
      anon_sym_end,
    STATE(18904), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303839] = 4,
    ACTIONS(21124), 1,
      anon_sym_COMMA,
    ACTIONS(21126), 1,
      anon_sym_RBRACE,
    STATE(17070), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303853] = 4,
    ACTIONS(9196), 1,
      anon_sym_RPAREN,
    ACTIONS(27780), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303867] = 4,
    ACTIONS(9276), 1,
      anon_sym_RPAREN,
    ACTIONS(27782), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303881] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23963), 1,
      anon_sym_end,
    STATE(18512), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303895] = 4,
    ACTIONS(23963), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18512), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303909] = 3,
    ACTIONS(27784), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9341), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [303921] = 4,
    ACTIONS(10684), 1,
      anon_sym_RPAREN,
    ACTIONS(21378), 1,
      anon_sym_COMMA,
    STATE(17078), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303935] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27786), 1,
      anon_sym_end,
    STATE(18460), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303949] = 4,
    ACTIONS(27788), 1,
      sym__immediate_paren,
    ACTIONS(27790), 1,
      sym__immediate_bracket,
    ACTIONS(27792), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303963] = 4,
    ACTIONS(10692), 1,
      anon_sym_RBRACE,
    ACTIONS(27794), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303977] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(27796), 1,
      anon_sym_end,
    STATE(18454), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [303991] = 4,
    ACTIONS(10622), 1,
      anon_sym_RBRACK,
    ACTIONS(27798), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304005] = 3,
    ACTIONS(27800), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5950), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [304017] = 4,
    ACTIONS(10680), 1,
      anon_sym_RBRACK,
    ACTIONS(27802), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304031] = 4,
    ACTIONS(23995), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18417), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304045] = 3,
    ACTIONS(18380), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6697), 2,
      sym_scoped_identifier,
      sym_identifier,
  [304057] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18373), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304071] = 4,
    ACTIONS(10446), 1,
      anon_sym_RBRACE,
    ACTIONS(27804), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304085] = 4,
    ACTIONS(9078), 1,
      anon_sym_RPAREN,
    ACTIONS(27806), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304099] = 4,
    ACTIONS(11968), 1,
      anon_sym_RPAREN,
    ACTIONS(18440), 1,
      sym__word_identifier,
    STATE(11509), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304113] = 4,
    ACTIONS(11980), 1,
      anon_sym_RPAREN,
    ACTIONS(18440), 1,
      sym__word_identifier,
    STATE(11512), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304127] = 4,
    ACTIONS(11986), 1,
      anon_sym_RPAREN,
    ACTIONS(18440), 1,
      sym__word_identifier,
    STATE(11522), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304141] = 4,
    ACTIONS(11990), 1,
      anon_sym_RPAREN,
    ACTIONS(18440), 1,
      sym__word_identifier,
    STATE(11524), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304155] = 4,
    ACTIONS(21298), 1,
      anon_sym_COMMA,
    ACTIONS(21300), 1,
      anon_sym_RBRACE,
    STATE(17118), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304169] = 4,
    ACTIONS(10486), 1,
      anon_sym_RPAREN,
    ACTIONS(21678), 1,
      anon_sym_COMMA,
    STATE(17045), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304183] = 4,
    ACTIONS(9488), 1,
      anon_sym_RPAREN,
    ACTIONS(27808), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304197] = 3,
    ACTIONS(27810), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5981), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [304209] = 4,
    ACTIONS(9976), 1,
      anon_sym_RBRACE,
    ACTIONS(27812), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304223] = 4,
    ACTIONS(27814), 1,
      sym__immediate_paren,
    ACTIONS(27816), 1,
      sym__immediate_bracket,
    ACTIONS(27818), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304237] = 4,
    ACTIONS(27820), 1,
      sym__immediate_paren,
    ACTIONS(27822), 1,
      sym__immediate_bracket,
    ACTIONS(27824), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304251] = 4,
    ACTIONS(21660), 1,
      anon_sym_COMMA,
    ACTIONS(21662), 1,
      anon_sym_RBRACE,
    STATE(17154), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304265] = 4,
    ACTIONS(9734), 1,
      anon_sym_RBRACE,
    ACTIONS(27826), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304279] = 4,
    ACTIONS(21496), 1,
      anon_sym_COMMA,
    ACTIONS(21498), 1,
      anon_sym_RBRACE,
    STATE(17102), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304293] = 4,
    ACTIONS(9982), 1,
      anon_sym_RPAREN,
    ACTIONS(21320), 1,
      anon_sym_COMMA,
    STATE(17071), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304307] = 4,
    ACTIONS(9834), 1,
      anon_sym_RBRACK,
    ACTIONS(27828), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304321] = 4,
    ACTIONS(27830), 1,
      sym__immediate_paren,
    ACTIONS(27832), 1,
      sym__immediate_bracket,
    ACTIONS(27834), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304335] = 4,
    ACTIONS(8944), 1,
      anon_sym_RPAREN,
    ACTIONS(27836), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304349] = 4,
    ACTIONS(8946), 1,
      anon_sym_RBRACE,
    ACTIONS(27838), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304363] = 4,
    ACTIONS(9540), 1,
      anon_sym_RPAREN,
    ACTIONS(27840), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304377] = 4,
    ACTIONS(21504), 1,
      anon_sym_COMMA,
    ACTIONS(21506), 1,
      anon_sym_RBRACE,
    STATE(17080), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304391] = 4,
    ACTIONS(9836), 1,
      anon_sym_RPAREN,
    ACTIONS(21382), 1,
      anon_sym_COMMA,
    STATE(17055), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304405] = 4,
    ACTIONS(12962), 1,
      anon_sym_EQ,
    ACTIONS(20630), 1,
      anon_sym_COMMA,
    STATE(17094), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304419] = 4,
    ACTIONS(8834), 1,
      anon_sym_RPAREN,
    ACTIONS(21326), 1,
      anon_sym_COMMA,
    STATE(17199), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304433] = 4,
    ACTIONS(21084), 1,
      anon_sym_COMMA,
    ACTIONS(21086), 1,
      anon_sym_RBRACE,
    STATE(17062), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304447] = 4,
    ACTIONS(10056), 1,
      anon_sym_RPAREN,
    ACTIONS(21500), 1,
      anon_sym_COMMA,
    STATE(17108), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304461] = 4,
    ACTIONS(10868), 1,
      anon_sym_RPAREN,
    ACTIONS(21438), 1,
      anon_sym_COMMA,
    STATE(17017), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304475] = 4,
    ACTIONS(12972), 1,
      anon_sym_EQ,
    ACTIONS(20337), 1,
      anon_sym_COMMA,
    STATE(17094), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304489] = 4,
    ACTIONS(27842), 1,
      sym__immediate_paren,
    ACTIONS(27844), 1,
      sym__immediate_bracket,
    ACTIONS(27846), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304503] = 4,
    ACTIONS(10058), 1,
      anon_sym_RBRACK,
    ACTIONS(27848), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304517] = 4,
    ACTIONS(10060), 1,
      anon_sym_RBRACE,
    ACTIONS(27850), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304531] = 3,
    ACTIONS(27852), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11256), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [304543] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12676), 3,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
  [304553] = 3,
    ACTIONS(27854), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6978), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [304565] = 4,
    ACTIONS(23997), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18383), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304579] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23997), 1,
      anon_sym_end,
    STATE(18383), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304593] = 4,
    ACTIONS(8818), 1,
      anon_sym_RPAREN,
    ACTIONS(27856), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304607] = 4,
    ACTIONS(8830), 1,
      anon_sym_RBRACK,
    ACTIONS(27858), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304621] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23979), 1,
      anon_sym_end,
    STATE(18480), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304635] = 4,
    ACTIONS(23979), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18480), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304649] = 4,
    ACTIONS(10698), 1,
      anon_sym_RPAREN,
    ACTIONS(21380), 1,
      anon_sym_COMMA,
    STATE(17161), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304663] = 4,
    ACTIONS(10706), 1,
      anon_sym_RBRACK,
    ACTIONS(27860), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304677] = 4,
    ACTIONS(21134), 1,
      anon_sym_COMMA,
    ACTIONS(21136), 1,
      anon_sym_RBRACE,
    STATE(17131), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304691] = 4,
    ACTIONS(9258), 1,
      anon_sym_RPAREN,
    ACTIONS(21140), 1,
      anon_sym_COMMA,
    STATE(17205), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304705] = 4,
    ACTIONS(9064), 1,
      anon_sym_RPAREN,
    ACTIONS(27862), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304719] = 3,
    ACTIONS(27866), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27864), 2,
      anon_sym_end,
      anon_sym_elseif,
  [304731] = 4,
    ACTIONS(10710), 1,
      anon_sym_RBRACE,
    ACTIONS(27868), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304745] = 3,
    ACTIONS(27870), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5681), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [304757] = 4,
    ACTIONS(10280), 1,
      anon_sym_RPAREN,
    ACTIONS(21310), 1,
      anon_sym_COMMA,
    STATE(17139), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304771] = 4,
    ACTIONS(9226), 1,
      anon_sym_RBRACE,
    ACTIONS(27872), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304785] = 4,
    ACTIONS(10530), 1,
      anon_sym_RBRACE,
    ACTIONS(27874), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304799] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(27878), 1,
      anon_sym_LF,
    ACTIONS(27876), 2,
      anon_sym_RBRACK,
      aux_sym__terminator_token1,
  [304813] = 4,
    ACTIONS(10688), 1,
      anon_sym_RBRACK,
    ACTIONS(27880), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304827] = 4,
    ACTIONS(9240), 1,
      anon_sym_RBRACK,
    ACTIONS(27882), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304841] = 4,
    ACTIONS(8822), 1,
      anon_sym_RBRACE,
    ACTIONS(27884), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304855] = 4,
    ACTIONS(10274), 1,
      anon_sym_RBRACK,
    ACTIONS(27886), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304869] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21624), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [304879] = 4,
    ACTIONS(21704), 1,
      anon_sym_COMMA,
    ACTIONS(21706), 1,
      anon_sym_RBRACE,
    STATE(17156), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304893] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19490), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304907] = 4,
    ACTIONS(10232), 1,
      anon_sym_RBRACE,
    ACTIONS(27888), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304921] = 4,
    ACTIONS(10736), 1,
      anon_sym_RPAREN,
    ACTIONS(21138), 1,
      anon_sym_COMMA,
    STATE(17116), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304935] = 4,
    ACTIONS(27890), 1,
      sym__immediate_paren,
    ACTIONS(27892), 1,
      sym__immediate_bracket,
    ACTIONS(27894), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304949] = 4,
    ACTIONS(21334), 1,
      anon_sym_COMMA,
    ACTIONS(21336), 1,
      anon_sym_RBRACE,
    STATE(17084), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304963] = 4,
    ACTIONS(21544), 1,
      anon_sym_RPAREN,
    ACTIONS(27896), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [304977] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27899), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [304987] = 4,
    ACTIONS(27901), 1,
      sym__immediate_paren,
    ACTIONS(27903), 1,
      sym__immediate_bracket,
    ACTIONS(27905), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305001] = 4,
    ACTIONS(9550), 1,
      anon_sym_RPAREN,
    ACTIONS(27907), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305015] = 4,
    ACTIONS(9508), 1,
      anon_sym_RPAREN,
    ACTIONS(27909), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305029] = 4,
    ACTIONS(21700), 1,
      anon_sym_COMMA,
    ACTIONS(21702), 1,
      anon_sym_RBRACE,
    STATE(17122), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305043] = 4,
    ACTIONS(10820), 1,
      anon_sym_RPAREN,
    ACTIONS(21536), 1,
      anon_sym_COMMA,
    STATE(17159), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305057] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(27911), 1,
      anon_sym_end,
    STATE(19655), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305071] = 4,
    ACTIONS(9266), 1,
      anon_sym_RBRACK,
    ACTIONS(27913), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305085] = 4,
    ACTIONS(9244), 1,
      anon_sym_RPAREN,
    ACTIONS(21388), 1,
      anon_sym_COMMA,
    STATE(17091), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305099] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18482), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305113] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27915), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [305123] = 3,
    ACTIONS(18402), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7533), 2,
      sym_scoped_identifier,
      sym_identifier,
  [305135] = 4,
    ACTIONS(24001), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18358), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305149] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24001), 1,
      anon_sym_end,
    STATE(18358), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305163] = 3,
    ACTIONS(27917), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11807), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [305175] = 4,
    ACTIONS(23991), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18419), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305189] = 3,
    ACTIONS(4954), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27919), 2,
      anon_sym_end,
      anon_sym_elseif,
  [305201] = 4,
    ACTIONS(10822), 1,
      anon_sym_RBRACK,
    ACTIONS(27921), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305215] = 4,
    ACTIONS(9280), 1,
      anon_sym_RBRACE,
    ACTIONS(27923), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305229] = 4,
    ACTIONS(10136), 1,
      anon_sym_RBRACE,
    ACTIONS(27925), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305243] = 4,
    ACTIONS(10856), 1,
      anon_sym_RBRACE,
    ACTIONS(27927), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305257] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27929), 1,
      anon_sym_end,
    STATE(19663), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305271] = 4,
    ACTIONS(10128), 1,
      anon_sym_RBRACK,
    ACTIONS(27931), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305285] = 4,
    ACTIONS(8648), 1,
      anon_sym_RPAREN,
    ACTIONS(27933), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305299] = 3,
    ACTIONS(27935), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6562), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [305311] = 4,
    ACTIONS(9330), 1,
      anon_sym_RPAREN,
    ACTIONS(27937), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305325] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(27939), 1,
      anon_sym_LF,
    ACTIONS(24813), 2,
      anon_sym_RBRACK,
      aux_sym__terminator_token1,
  [305339] = 4,
    ACTIONS(21628), 1,
      anon_sym_COMMA,
    ACTIONS(21630), 1,
      anon_sym_RBRACE,
    STATE(17121), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305353] = 4,
    ACTIONS(10126), 1,
      anon_sym_RPAREN,
    ACTIONS(21650), 1,
      anon_sym_COMMA,
    STATE(17138), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305367] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27941), 1,
      anon_sym_end,
    STATE(18351), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305381] = 3,
    ACTIONS(27943), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11686), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [305393] = 4,
    ACTIONS(27945), 1,
      sym__immediate_paren,
    ACTIONS(27947), 1,
      sym__immediate_bracket,
    ACTIONS(27949), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305407] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(27951), 1,
      anon_sym_end,
    STATE(18345), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305421] = 3,
    ACTIONS(27953), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5933), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [305433] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21552), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [305443] = 4,
    ACTIONS(24009), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18308), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305457] = 3,
    ACTIONS(18646), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7258), 2,
      sym_scoped_identifier,
      sym_identifier,
  [305469] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21544), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
  [305479] = 4,
    ACTIONS(9052), 1,
      anon_sym_RPAREN,
    ACTIONS(27955), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305493] = 4,
    ACTIONS(21198), 1,
      anon_sym_COMMA,
    ACTIONS(21200), 1,
      anon_sym_RBRACE,
    STATE(17192), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305507] = 3,
    ACTIONS(27957), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5437), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [305519] = 4,
    ACTIONS(21244), 1,
      anon_sym_COMMA,
    ACTIONS(21246), 1,
      anon_sym_RBRACE,
    STATE(17224), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305533] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24738), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [305543] = 4,
    ACTIONS(10472), 1,
      anon_sym_RPAREN,
    ACTIONS(27959), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305557] = 4,
    ACTIONS(10604), 1,
      anon_sym_RBRACE,
    ACTIONS(27961), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305571] = 4,
    ACTIONS(10052), 1,
      anon_sym_RPAREN,
    ACTIONS(21158), 1,
      anon_sym_COMMA,
    STATE(17200), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305585] = 3,
    ACTIONS(27963), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8284), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [305597] = 4,
    ACTIONS(21204), 1,
      anon_sym_COMMA,
    ACTIONS(21206), 1,
      anon_sym_RBRACE,
    STATE(17155), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305611] = 4,
    ACTIONS(23916), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18869), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305625] = 4,
    ACTIONS(21562), 1,
      anon_sym_COMMA,
    ACTIONS(21564), 1,
      anon_sym_RBRACE,
    STATE(17211), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305639] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23916), 1,
      anon_sym_end,
    STATE(18869), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305653] = 4,
    ACTIONS(10602), 1,
      anon_sym_RBRACK,
    ACTIONS(27965), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305667] = 4,
    ACTIONS(10050), 1,
      anon_sym_RBRACK,
    ACTIONS(27967), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305681] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(27969), 1,
      anon_sym_end,
    STATE(18369), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305695] = 4,
    ACTIONS(24013), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18275), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305709] = 4,
    ACTIONS(10596), 1,
      anon_sym_RPAREN,
    ACTIONS(21278), 1,
      anon_sym_COMMA,
    STATE(17174), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305723] = 4,
    ACTIONS(10046), 1,
      anon_sym_RBRACE,
    ACTIONS(27971), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305737] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18892), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305751] = 3,
    ACTIONS(27973), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4662), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [305763] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27975), 1,
      anon_sym_end,
    STATE(18337), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305777] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23942), 1,
      anon_sym_end,
    STATE(19682), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305791] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24013), 1,
      anon_sym_end,
    STATE(18275), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305805] = 4,
    ACTIONS(10508), 1,
      anon_sym_RPAREN,
    ACTIONS(21424), 1,
      anon_sym_COMMA,
    STATE(17231), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305819] = 4,
    ACTIONS(10400), 1,
      anon_sym_RPAREN,
    ACTIONS(27977), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305833] = 4,
    ACTIONS(9518), 1,
      anon_sym_RPAREN,
    ACTIONS(27979), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305847] = 4,
    ACTIONS(10562), 1,
      anon_sym_RPAREN,
    ACTIONS(21106), 1,
      anon_sym_COMMA,
    STATE(17217), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305861] = 4,
    ACTIONS(21548), 1,
      anon_sym_COMMA,
    ACTIONS(21550), 1,
      anon_sym_RBRACE,
    STATE(17180), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305875] = 4,
    ACTIONS(23942), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19682), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305889] = 4,
    ACTIONS(10148), 1,
      anon_sym_RPAREN,
    ACTIONS(27981), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305903] = 4,
    ACTIONS(9618), 1,
      anon_sym_RPAREN,
    ACTIONS(27983), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305917] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(27985), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [305927] = 4,
    ACTIONS(10560), 1,
      anon_sym_RBRACK,
    ACTIONS(27987), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305941] = 3,
    ACTIONS(27989), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7099), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [305953] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23934), 1,
      anon_sym_end,
    STATE(18717), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305967] = 4,
    ACTIONS(27991), 1,
      sym__immediate_paren,
    ACTIONS(27993), 1,
      sym__immediate_bracket,
    ACTIONS(27995), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305981] = 4,
    ACTIONS(10550), 1,
      anon_sym_RBRACE,
    ACTIONS(27997), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [305995] = 4,
    ACTIONS(23934), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18717), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306009] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(27999), 1,
      anon_sym_end,
    STATE(18855), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306023] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24003), 1,
      anon_sym_end,
    STATE(18328), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306037] = 4,
    ACTIONS(28001), 1,
      sym__immediate_paren,
    ACTIONS(28003), 1,
      sym__immediate_bracket,
    ACTIONS(28005), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306051] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(15055), 1,
      anon_sym_LF,
    ACTIONS(15053), 2,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
  [306065] = 4,
    ACTIONS(8922), 1,
      anon_sym_RPAREN,
    ACTIONS(28007), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306079] = 4,
    ACTIONS(24003), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18328), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306093] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28011), 1,
      anon_sym_LF,
    ACTIONS(28009), 2,
      anon_sym_COMMA,
      aux_sym__terminator_token1,
  [306107] = 4,
    ACTIONS(11928), 1,
      anon_sym_RPAREN,
    ACTIONS(28013), 1,
      sym__immediate_string_start,
    ACTIONS(28015), 1,
      sym__immediate_command_start,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306121] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18607), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306135] = 4,
    ACTIONS(8900), 1,
      anon_sym_RBRACE,
    ACTIONS(28017), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306149] = 4,
    ACTIONS(10466), 1,
      anon_sym_RBRACK,
    ACTIONS(28019), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306163] = 4,
    ACTIONS(10462), 1,
      anon_sym_RBRACE,
    ACTIONS(28021), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306177] = 4,
    ACTIONS(8994), 1,
      anon_sym_RPAREN,
    ACTIONS(28023), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306191] = 4,
    ACTIONS(24015), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18250), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306205] = 3,
    ACTIONS(28025), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6128), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [306217] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24015), 1,
      anon_sym_end,
    STATE(18250), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306231] = 4,
    ACTIONS(9536), 1,
      anon_sym_RPAREN,
    ACTIONS(28027), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306245] = 4,
    ACTIONS(28029), 1,
      sym__immediate_paren,
    ACTIONS(28031), 1,
      sym__immediate_bracket,
    ACTIONS(28033), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306259] = 4,
    ACTIONS(9942), 1,
      anon_sym_RPAREN,
    ACTIONS(28035), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306273] = 4,
    ACTIONS(23989), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19733), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306287] = 3,
    ACTIONS(28037), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7704), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [306299] = 4,
    ACTIONS(10772), 1,
      anon_sym_RBRACE,
    ACTIONS(28039), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306313] = 4,
    ACTIONS(9046), 1,
      anon_sym_RPAREN,
    ACTIONS(28041), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306327] = 4,
    ACTIONS(21306), 1,
      anon_sym_COMMA,
    ACTIONS(21308), 1,
      anon_sym_RBRACE,
    STATE(17253), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306341] = 4,
    ACTIONS(10728), 1,
      anon_sym_RBRACK,
    ACTIONS(28043), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306355] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(28045), 1,
      anon_sym_end,
    STATE(18847), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306369] = 4,
    ACTIONS(21356), 1,
      anon_sym_COMMA,
    ACTIONS(21358), 1,
      anon_sym_RBRACE,
    STATE(17262), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306383] = 4,
    ACTIONS(10216), 1,
      anon_sym_RBRACE,
    ACTIONS(28047), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306397] = 4,
    ACTIONS(9920), 1,
      anon_sym_RBRACE,
    ACTIONS(28049), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306411] = 4,
    ACTIONS(9908), 1,
      anon_sym_RPAREN,
    ACTIONS(21148), 1,
      anon_sym_COMMA,
    STATE(17261), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306425] = 4,
    ACTIONS(10678), 1,
      anon_sym_RPAREN,
    ACTIONS(21130), 1,
      anon_sym_COMMA,
    STATE(17204), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306439] = 4,
    ACTIONS(10214), 1,
      anon_sym_RBRACK,
    ACTIONS(28051), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306453] = 4,
    ACTIONS(9914), 1,
      anon_sym_RBRACK,
    ACTIONS(28053), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306467] = 4,
    ACTIONS(10176), 1,
      anon_sym_RBRACE,
    ACTIONS(28055), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306481] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(28057), 1,
      anon_sym_end,
    STATE(18243), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306495] = 4,
    ACTIONS(10208), 1,
      anon_sym_RPAREN,
    ACTIONS(21384), 1,
      anon_sym_COMMA,
    STATE(17235), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306509] = 4,
    ACTIONS(9902), 1,
      anon_sym_RBRACK,
    ACTIONS(28059), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306523] = 4,
    ACTIONS(10198), 1,
      anon_sym_RPAREN,
    ACTIONS(21456), 1,
      anon_sym_COMMA,
    STATE(17269), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306537] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24011), 1,
      anon_sym_end,
    STATE(18301), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306551] = 4,
    ACTIONS(24011), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18301), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306565] = 4,
    ACTIONS(9900), 1,
      anon_sym_RBRACE,
    ACTIONS(28061), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306579] = 4,
    ACTIONS(8898), 1,
      anon_sym_RBRACK,
    ACTIONS(28063), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306593] = 4,
    ACTIONS(9904), 1,
      anon_sym_RPAREN,
    ACTIONS(21568), 1,
      anon_sym_COMMA,
    STATE(17225), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306607] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(28065), 1,
      anon_sym_end,
    STATE(18237), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306621] = 4,
    ACTIONS(10160), 1,
      anon_sym_RBRACK,
    ACTIONS(28067), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306635] = 4,
    ACTIONS(21350), 1,
      anon_sym_COMMA,
    ACTIONS(21352), 1,
      anon_sym_RBRACE,
    STATE(17240), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306649] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(19709), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306663] = 4,
    ACTIONS(10194), 1,
      anon_sym_RBRACK,
    ACTIONS(28069), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306677] = 4,
    ACTIONS(9532), 1,
      anon_sym_RPAREN,
    ACTIONS(28071), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306691] = 4,
    ACTIONS(10172), 1,
      anon_sym_RBRACE,
    ACTIONS(28073), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306705] = 4,
    ACTIONS(28075), 1,
      sym__immediate_paren,
    ACTIONS(28077), 1,
      sym__immediate_bracket,
    ACTIONS(28079), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306719] = 3,
    ACTIONS(28081), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10647), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [306731] = 3,
    ACTIONS(28083), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7018), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [306743] = 4,
    ACTIONS(24021), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18200), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306757] = 4,
    ACTIONS(10122), 1,
      anon_sym_RPAREN,
    ACTIONS(21566), 1,
      anon_sym_COMMA,
    STATE(17179), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306771] = 4,
    ACTIONS(21360), 1,
      anon_sym_COMMA,
    ACTIONS(21362), 1,
      anon_sym_RBRACE,
    STATE(17241), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306785] = 4,
    ACTIONS(8930), 1,
      anon_sym_RPAREN,
    ACTIONS(28085), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306799] = 3,
    ACTIONS(18440), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12583), 2,
      sym_scoped_identifier,
      sym_identifier,
  [306811] = 3,
    ACTIONS(18502), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7057), 2,
      sym_scoped_identifier,
      sym_identifier,
  [306823] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23989), 1,
      anon_sym_end,
    STATE(19733), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306837] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(28087), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [306847] = 3,
    ACTIONS(28089), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4656), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [306859] = 4,
    ACTIONS(23906), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18795), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306873] = 3,
    ACTIONS(28091), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6125), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [306885] = 3,
    ACTIONS(18532), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7225), 2,
      sym_scoped_identifier,
      sym_identifier,
  [306897] = 4,
    ACTIONS(21226), 1,
      anon_sym_COMMA,
    ACTIONS(21228), 1,
      anon_sym_RBRACE,
    STATE(17234), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306911] = 4,
    ACTIONS(21576), 1,
      anon_sym_COMMA,
    ACTIONS(21578), 1,
      anon_sym_RBRACE,
    STATE(17222), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306925] = 3,
    ACTIONS(28093), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7785), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [306937] = 4,
    ACTIONS(21152), 1,
      anon_sym_COMMA,
    ACTIONS(21154), 1,
      anon_sym_RBRACE,
    STATE(17303), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306951] = 3,
    ACTIONS(18470), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11766), 2,
      sym_scoped_identifier,
      sym_identifier,
  [306963] = 4,
    ACTIONS(28095), 1,
      sym__immediate_paren,
    ACTIONS(28097), 1,
      sym__immediate_bracket,
    ACTIONS(28099), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306977] = 4,
    ACTIONS(21430), 1,
      anon_sym_COMMA,
    ACTIONS(21432), 1,
      anon_sym_RBRACE,
    STATE(17294), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [306991] = 4,
    ACTIONS(24019), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18261), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307005] = 3,
    ACTIONS(28101), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5831), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [307017] = 3,
    ACTIONS(28103), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10737), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [307029] = 4,
    ACTIONS(9652), 1,
      anon_sym_RPAREN,
    ACTIONS(21192), 1,
      anon_sym_COMMA,
    STATE(17302), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307043] = 4,
    ACTIONS(24023), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18167), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307057] = 4,
    ACTIONS(22468), 1,
      anon_sym_for,
    STATE(14490), 1,
      sym_for_clause,
    STATE(18734), 1,
      sym__comprehension_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307071] = 4,
    ACTIONS(9646), 1,
      anon_sym_RBRACK,
    ACTIONS(28105), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307085] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24023), 1,
      anon_sym_end,
    STATE(18167), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307099] = 4,
    ACTIONS(21252), 1,
      anon_sym_COMMA,
    ACTIONS(21254), 1,
      anon_sym_RBRACE,
    STATE(17246), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307113] = 4,
    ACTIONS(9628), 1,
      anon_sym_RBRACE,
    ACTIONS(28107), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307127] = 4,
    ACTIONS(9014), 1,
      anon_sym_RPAREN,
    ACTIONS(28109), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307141] = 4,
    ACTIONS(10458), 1,
      anon_sym_RPAREN,
    ACTIONS(28111), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307155] = 3,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12560), 2,
      sym_scoped_identifier,
      sym_identifier,
  [307167] = 4,
    ACTIONS(21240), 1,
      anon_sym_COMMA,
    ACTIONS(21242), 1,
      anon_sym_RBRACE,
    STATE(17315), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307181] = 4,
    ACTIONS(9260), 1,
      anon_sym_RPAREN,
    ACTIONS(21636), 1,
      anon_sym_COMMA,
    STATE(17329), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307195] = 4,
    ACTIONS(9198), 1,
      anon_sym_RBRACK,
    ACTIONS(28113), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307209] = 4,
    ACTIONS(9358), 1,
      anon_sym_RBRACE,
    ACTIONS(28115), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307223] = 4,
    ACTIONS(9534), 1,
      anon_sym_RPAREN,
    ACTIONS(28117), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307237] = 4,
    ACTIONS(9188), 1,
      anon_sym_RBRACE,
    ACTIONS(28119), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307251] = 4,
    ACTIONS(9320), 1,
      anon_sym_RBRACK,
    ACTIONS(28121), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307265] = 4,
    ACTIONS(24017), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(19809), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307279] = 4,
    ACTIONS(9256), 1,
      anon_sym_RPAREN,
    ACTIONS(21716), 1,
      anon_sym_COMMA,
    STATE(17336), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307293] = 4,
    ACTIONS(9300), 1,
      anon_sym_RPAREN,
    ACTIONS(21608), 1,
      anon_sym_COMMA,
    STATE(17295), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307307] = 4,
    ACTIONS(9572), 1,
      anon_sym_RBRACE,
    ACTIONS(28123), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307321] = 4,
    ACTIONS(28125), 1,
      sym__immediate_paren,
    ACTIONS(28127), 1,
      sym__immediate_bracket,
    ACTIONS(28129), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307335] = 4,
    ACTIONS(24025), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18182), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307349] = 4,
    ACTIONS(9254), 1,
      anon_sym_RBRACK,
    ACTIONS(28131), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307363] = 4,
    ACTIONS(9548), 1,
      anon_sym_RBRACK,
    ACTIONS(28133), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307377] = 4,
    ACTIONS(28135), 1,
      sym__immediate_paren,
    ACTIONS(28137), 1,
      sym__immediate_bracket,
    ACTIONS(28139), 1,
      sym__immediate_brace,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307391] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(28141), 1,
      anon_sym_end,
    STATE(18196), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307405] = 4,
    ACTIONS(9408), 1,
      anon_sym_RBRACE,
    ACTIONS(28143), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307419] = 4,
    ACTIONS(21208), 1,
      anon_sym_COMMA,
    ACTIONS(21210), 1,
      anon_sym_RBRACE,
    STATE(17301), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307433] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(24025), 1,
      anon_sym_end,
    STATE(18182), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307447] = 4,
    ACTIONS(9546), 1,
      anon_sym_RPAREN,
    ACTIONS(21486), 1,
      anon_sym_COMMA,
    STATE(17296), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307461] = 3,
    ACTIONS(28145), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9936), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [307473] = 4,
    ACTIONS(23918), 1,
      anon_sym_end,
    ACTIONS(27218), 1,
      anon_sym_catch,
    STATE(18751), 1,
      sym_catch_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307487] = 3,
    ACTIONS(28147), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6820), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [307499] = 3,
    ACTIONS(28149), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7833), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [307511] = 4,
    ACTIONS(28151), 1,
      sym__word_identifier,
    ACTIONS(28153), 1,
      sym__immediate_paren,
    STATE(15559), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307525] = 4,
    ACTIONS(23910), 1,
      anon_sym_finally,
    ACTIONS(23918), 1,
      anon_sym_end,
    STATE(18751), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307539] = 3,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12634), 2,
      sym_scoped_identifier,
      sym_identifier,
  [307551] = 3,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12081), 2,
      sym_scoped_identifier,
      sym_identifier,
  [307563] = 4,
    ACTIONS(21492), 1,
      anon_sym_COMMA,
    ACTIONS(21494), 1,
      anon_sym_RBRACE,
    STATE(16871), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307577] = 4,
    ACTIONS(21488), 1,
      anon_sym_COMMA,
    ACTIONS(21490), 1,
      anon_sym_RBRACE,
    STATE(17308), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307591] = 4,
    ACTIONS(10702), 1,
      anon_sym_RPAREN,
    ACTIONS(28155), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307605] = 3,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11655), 2,
      sym_scoped_identifier,
      sym_identifier,
  [307617] = 3,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12134), 2,
      sym_scoped_identifier,
      sym_identifier,
  [307629] = 4,
    ACTIONS(9514), 1,
      anon_sym_RPAREN,
    ACTIONS(21288), 1,
      anon_sym_COMMA,
    STATE(17229), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307643] = 4,
    ACTIONS(24177), 1,
      anon_sym_LT_COLON,
    ACTIONS(28157), 1,
      anon_sym_end,
    STATE(18187), 1,
      sym_type_clause,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307657] = 3,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12168), 2,
      sym_scoped_identifier,
      sym_identifier,
  [307669] = 4,
    ACTIONS(8774), 1,
      anon_sym_RPAREN,
    ACTIONS(21272), 1,
      anon_sym_COMMA,
    STATE(17089), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307683] = 4,
    ACTIONS(9004), 1,
      anon_sym_RPAREN,
    ACTIONS(28159), 1,
      anon_sym_COMMA,
    STATE(17135), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307697] = 4,
    ACTIONS(9510), 1,
      anon_sym_RBRACK,
    ACTIONS(28161), 1,
      anon_sym_COMMA,
    STATE(15755), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307711] = 3,
    ACTIONS(18322), 1,
      sym__word_identifier,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11579), 2,
      sym_scoped_identifier,
      sym_identifier,
  [307723] = 3,
    ACTIONS(28163), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10913), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [307735] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28165), 1,
      anon_sym_RBRACK,
    ACTIONS(28167), 1,
      anon_sym_LF,
  [307748] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28169), 1,
      anon_sym_RBRACK,
    ACTIONS(28171), 1,
      anon_sym_LF,
  [307761] = 3,
    ACTIONS(15946), 1,
      anon_sym_LBRACE,
    STATE(6125), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307772] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6178), 1,
      anon_sym_RBRACK,
    ACTIONS(28173), 1,
      anon_sym_LF,
  [307785] = 3,
    ACTIONS(9090), 1,
      anon_sym_RPAREN,
    ACTIONS(28175), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307796] = 3,
    ACTIONS(15946), 1,
      anon_sym_LBRACE,
    STATE(6208), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307807] = 3,
    ACTIONS(15750), 1,
      anon_sym_LBRACE,
    STATE(10872), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307818] = 3,
    ACTIONS(28177), 1,
      anon_sym_LPAREN,
    STATE(4327), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307829] = 3,
    ACTIONS(15946), 1,
      anon_sym_LBRACE,
    STATE(6216), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307840] = 3,
    ACTIONS(28179), 1,
      anon_sym_LPAREN,
    STATE(10241), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307851] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307862] = 3,
    ACTIONS(20163), 1,
      anon_sym_LBRACE,
    STATE(7833), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307873] = 3,
    ACTIONS(15750), 1,
      anon_sym_LBRACE,
    STATE(10898), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307884] = 3,
    ACTIONS(28183), 1,
      anon_sym_LPAREN,
    STATE(4685), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307895] = 3,
    ACTIONS(28179), 1,
      anon_sym_LPAREN,
    STATE(10257), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307906] = 3,
    ACTIONS(15750), 1,
      anon_sym_LBRACE,
    STATE(10902), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307917] = 3,
    ACTIONS(10130), 1,
      anon_sym_RPAREN,
    ACTIONS(28185), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307928] = 3,
    ACTIONS(9598), 1,
      anon_sym_RPAREN,
    ACTIONS(28187), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307939] = 3,
    ACTIONS(6312), 1,
      anon_sym_LBRACE,
    STATE(4656), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307950] = 3,
    ACTIONS(28183), 1,
      anon_sym_LPAREN,
    STATE(5032), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307961] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5758), 1,
      anon_sym_RBRACK,
    ACTIONS(28189), 1,
      anon_sym_LF,
  [307974] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307985] = 3,
    ACTIONS(28179), 1,
      anon_sym_LPAREN,
    STATE(10251), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [307996] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5464), 1,
      anon_sym_RBRACK,
    ACTIONS(28191), 1,
      anon_sym_LF,
  [308009] = 3,
    ACTIONS(19316), 1,
      anon_sym_COMMA,
    STATE(15116), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308020] = 3,
    ACTIONS(9956), 1,
      anon_sym_RPAREN,
    ACTIONS(28193), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308031] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(17036), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308042] = 3,
    ACTIONS(20029), 1,
      anon_sym_LBRACE,
    STATE(7785), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308053] = 3,
    ACTIONS(28195), 1,
      anon_sym_LPAREN,
    STATE(4318), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308064] = 3,
    ACTIONS(8864), 1,
      anon_sym_RPAREN,
    ACTIONS(28197), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308075] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28199), 1,
      anon_sym_RBRACK,
    ACTIONS(28201), 1,
      anon_sym_LF,
  [308088] = 3,
    ACTIONS(9640), 1,
      anon_sym_RPAREN,
    ACTIONS(28203), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308099] = 3,
    ACTIONS(15750), 1,
      anon_sym_LBRACE,
    STATE(10913), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308110] = 3,
    ACTIONS(6312), 1,
      anon_sym_LBRACE,
    STATE(4668), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308121] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28205), 1,
      anon_sym_RBRACK,
    ACTIONS(28207), 1,
      anon_sym_LF,
  [308134] = 3,
    ACTIONS(28195), 1,
      anon_sym_LPAREN,
    STATE(4311), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308145] = 3,
    ACTIONS(9946), 1,
      anon_sym_RPAREN,
    ACTIONS(28209), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308156] = 3,
    ACTIONS(9884), 1,
      anon_sym_RPAREN,
    ACTIONS(28211), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308167] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28213), 1,
      anon_sym_RBRACK,
    ACTIONS(28215), 1,
      anon_sym_LF,
  [308180] = 3,
    ACTIONS(8790), 1,
      anon_sym_RPAREN,
    ACTIONS(28217), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308191] = 3,
    ACTIONS(18839), 1,
      anon_sym_COMMA,
    STATE(14997), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308202] = 3,
    ACTIONS(10424), 1,
      anon_sym_RPAREN,
    ACTIONS(28219), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308213] = 3,
    ACTIONS(28183), 1,
      anon_sym_LPAREN,
    STATE(4578), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308224] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308235] = 3,
    ACTIONS(15596), 1,
      anon_sym_LBRACE,
    STATE(6128), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308246] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308257] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28221), 1,
      anon_sym_RBRACK,
    ACTIONS(28223), 1,
      anon_sym_LF,
  [308270] = 3,
    ACTIONS(9430), 1,
      anon_sym_RPAREN,
    ACTIONS(28225), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308281] = 3,
    ACTIONS(28195), 1,
      anon_sym_LPAREN,
    STATE(4282), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308292] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(16669), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308303] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5364), 1,
      anon_sym_RBRACK,
    ACTIONS(28227), 1,
      anon_sym_LF,
  [308316] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(499), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308327] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6088), 1,
      anon_sym_RBRACK,
    ACTIONS(28229), 1,
      anon_sym_LF,
  [308340] = 3,
    ACTIONS(15730), 1,
      anon_sym_LBRACE,
    STATE(9352), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308351] = 3,
    ACTIONS(28231), 1,
      anon_sym_LPAREN,
    STATE(9248), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308362] = 3,
    ACTIONS(28183), 1,
      anon_sym_LPAREN,
    STATE(4595), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308373] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28233), 1,
      anon_sym_RBRACK,
    ACTIONS(28235), 1,
      anon_sym_LF,
  [308386] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28237), 1,
      anon_sym_RBRACK,
    ACTIONS(28239), 1,
      anon_sym_LF,
  [308399] = 3,
    ACTIONS(15946), 1,
      anon_sym_LBRACE,
    STATE(6253), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308410] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5942), 1,
      anon_sym_RBRACK,
    ACTIONS(28241), 1,
      anon_sym_LF,
  [308423] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(473), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308434] = 3,
    ACTIONS(8756), 1,
      anon_sym_LBRACE,
    STATE(6303), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308445] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(17213), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308456] = 3,
    ACTIONS(9332), 1,
      anon_sym_RPAREN,
    ACTIONS(28243), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308467] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4822), 1,
      anon_sym_RBRACK,
    ACTIONS(28245), 1,
      anon_sym_LF,
  [308480] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28247), 1,
      anon_sym_RBRACK,
    ACTIONS(28249), 1,
      anon_sym_LF,
  [308493] = 3,
    ACTIONS(28251), 1,
      anon_sym_LPAREN,
    STATE(5176), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308504] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5698), 1,
      anon_sym_RBRACK,
    ACTIONS(28253), 1,
      anon_sym_LF,
  [308517] = 3,
    ACTIONS(10006), 1,
      anon_sym_RPAREN,
    ACTIONS(28255), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308528] = 3,
    ACTIONS(8730), 1,
      anon_sym_RPAREN,
    ACTIONS(28257), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308539] = 3,
    ACTIONS(15516), 1,
      anon_sym_LBRACE,
    STATE(4662), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308550] = 3,
    ACTIONS(10754), 1,
      anon_sym_RPAREN,
    ACTIONS(28259), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308561] = 3,
    ACTIONS(20149), 1,
      anon_sym_LBRACE,
    STATE(8284), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308572] = 3,
    ACTIONS(28261), 1,
      anon_sym_LPAREN,
    STATE(10883), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308583] = 3,
    ACTIONS(15516), 1,
      anon_sym_LBRACE,
    STATE(4687), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308594] = 3,
    ACTIONS(28231), 1,
      anon_sym_LPAREN,
    STATE(9286), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308605] = 3,
    ACTIONS(28177), 1,
      anon_sym_LPAREN,
    STATE(4328), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308616] = 3,
    ACTIONS(15516), 1,
      anon_sym_LBRACE,
    STATE(4693), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308627] = 3,
    ACTIONS(19975), 1,
      anon_sym_LBRACE,
    STATE(11686), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308638] = 3,
    ACTIONS(8806), 1,
      anon_sym_RPAREN,
    ACTIONS(28263), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308649] = 3,
    ACTIONS(19310), 1,
      anon_sym_COMMA,
    STATE(14913), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308660] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308671] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28265), 1,
      anon_sym_RBRACK,
    ACTIONS(28267), 1,
      anon_sym_LF,
  [308684] = 3,
    ACTIONS(28177), 1,
      anon_sym_LPAREN,
    STATE(4325), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308695] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5482), 1,
      anon_sym_RBRACK,
    ACTIONS(28269), 1,
      anon_sym_LF,
  [308708] = 3,
    ACTIONS(9544), 1,
      anon_sym_RPAREN,
    ACTIONS(28271), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308719] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(17060), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308730] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(490), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308741] = 3,
    ACTIONS(10222), 1,
      anon_sym_RPAREN,
    ACTIONS(28273), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308752] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308763] = 3,
    ACTIONS(10230), 1,
      anon_sym_RPAREN,
    ACTIONS(28275), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308774] = 3,
    ACTIONS(28251), 1,
      anon_sym_LPAREN,
    STATE(5041), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308785] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5584), 1,
      anon_sym_RBRACK,
    ACTIONS(28277), 1,
      anon_sym_LF,
  [308798] = 3,
    ACTIONS(28177), 1,
      anon_sym_LPAREN,
    STATE(4323), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308809] = 3,
    ACTIONS(9784), 1,
      anon_sym_RPAREN,
    ACTIONS(28279), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308820] = 3,
    ACTIONS(15516), 1,
      anon_sym_LBRACE,
    STATE(4732), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308831] = 3,
    ACTIONS(10914), 1,
      anon_sym_RPAREN,
    ACTIONS(28281), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308842] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28283), 1,
      anon_sym_RBRACK,
    ACTIONS(28285), 1,
      anon_sym_LF,
  [308855] = 3,
    ACTIONS(18945), 1,
      anon_sym_COMMA,
    STATE(15120), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308866] = 3,
    ACTIONS(20087), 1,
      anon_sym_LBRACE,
    STATE(6978), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308877] = 3,
    ACTIONS(15812), 1,
      anon_sym_LBRACE,
    STATE(11256), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308888] = 3,
    ACTIONS(8850), 1,
      anon_sym_RPAREN,
    ACTIONS(28287), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308899] = 3,
    ACTIONS(28289), 1,
      anon_sym_LPAREN,
    STATE(4335), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308910] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28291), 1,
      anon_sym_RBRACK,
    ACTIONS(28293), 1,
      anon_sym_LF,
  [308923] = 3,
    ACTIONS(19334), 1,
      anon_sym_COMMA,
    STATE(14789), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308934] = 3,
    ACTIONS(15812), 1,
      anon_sym_LBRACE,
    STATE(11361), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308945] = 3,
    ACTIONS(15730), 1,
      anon_sym_LBRACE,
    STATE(9413), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308956] = 3,
    ACTIONS(9194), 1,
      anon_sym_RPAREN,
    ACTIONS(28295), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308967] = 3,
    ACTIONS(28261), 1,
      anon_sym_LPAREN,
    STATE(10888), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308978] = 3,
    ACTIONS(15812), 1,
      anon_sym_LBRACE,
    STATE(11364), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [308989] = 3,
    ACTIONS(28231), 1,
      anon_sym_LPAREN,
    STATE(9278), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309000] = 3,
    ACTIONS(15730), 1,
      anon_sym_LBRACE,
    STATE(9414), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309011] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4968), 1,
      anon_sym_RBRACK,
    ACTIONS(28297), 1,
      anon_sym_LF,
  [309024] = 3,
    ACTIONS(28179), 1,
      anon_sym_LPAREN,
    STATE(10205), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309035] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5998), 1,
      anon_sym_RBRACK,
    ACTIONS(28299), 1,
      anon_sym_LF,
  [309048] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(507), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309059] = 3,
    ACTIONS(8896), 1,
      anon_sym_RPAREN,
    ACTIONS(28301), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309070] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28303), 1,
      anon_sym_RBRACK,
    ACTIONS(28305), 1,
      anon_sym_LF,
  [309083] = 3,
    ACTIONS(9104), 1,
      anon_sym_RPAREN,
    ACTIONS(28307), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309094] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(17165), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309105] = 3,
    ACTIONS(8948), 1,
      anon_sym_RPAREN,
    ACTIONS(28309), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309116] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5864), 1,
      anon_sym_RBRACK,
    ACTIONS(28311), 1,
      anon_sym_LF,
  [309129] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309140] = 3,
    ACTIONS(28195), 1,
      anon_sym_LPAREN,
    STATE(4284), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309151] = 3,
    ACTIONS(15730), 1,
      anon_sym_LBRACE,
    STATE(9341), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309162] = 3,
    ACTIONS(9026), 1,
      anon_sym_RPAREN,
    ACTIONS(28313), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309173] = 3,
    ACTIONS(6312), 1,
      anon_sym_LBRACE,
    STATE(4659), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309184] = 3,
    ACTIONS(28261), 1,
      anon_sym_LPAREN,
    STATE(10896), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309195] = 3,
    ACTIONS(20185), 1,
      anon_sym_LBRACE,
    STATE(7593), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309206] = 3,
    ACTIONS(10704), 1,
      anon_sym_RPAREN,
    ACTIONS(28315), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309217] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6046), 1,
      anon_sym_RBRACK,
    ACTIONS(28317), 1,
      anon_sym_LF,
  [309230] = 3,
    ACTIONS(6312), 1,
      anon_sym_LBRACE,
    STATE(4954), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309241] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28319), 1,
      anon_sym_RBRACK,
    ACTIONS(28321), 1,
      anon_sym_LF,
  [309254] = 3,
    ACTIONS(28261), 1,
      anon_sym_LPAREN,
    STATE(10904), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309265] = 3,
    ACTIONS(15812), 1,
      anon_sym_LBRACE,
    STATE(11370), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309276] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28323), 1,
      anon_sym_RBRACK,
    ACTIONS(28325), 1,
      anon_sym_LF,
  [309289] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28327), 1,
      anon_sym_RBRACK,
    ACTIONS(28329), 1,
      anon_sym_LF,
  [309302] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5960), 1,
      anon_sym_RBRACK,
    ACTIONS(28331), 1,
      anon_sym_LF,
  [309315] = 3,
    ACTIONS(8756), 1,
      anon_sym_LBRACE,
    STATE(6334), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309326] = 3,
    ACTIONS(28251), 1,
      anon_sym_LPAREN,
    STATE(4701), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309337] = 3,
    ACTIONS(10806), 1,
      anon_sym_RPAREN,
    ACTIONS(28333), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309348] = 3,
    ACTIONS(9346), 1,
      anon_sym_RPAREN,
    ACTIONS(28335), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309359] = 3,
    ACTIONS(15678), 1,
      anon_sym_LBRACE,
    STATE(9446), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309370] = 3,
    ACTIONS(28337), 1,
      anon_sym_LPAREN,
    STATE(9309), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309381] = 3,
    ACTIONS(18728), 1,
      anon_sym_COMMA,
    STATE(14680), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309392] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5686), 1,
      anon_sym_RBRACK,
    ACTIONS(28339), 1,
      anon_sym_LF,
  [309405] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28341), 1,
      anon_sym_RBRACK,
    ACTIONS(28343), 1,
      anon_sym_LF,
  [309418] = 3,
    ACTIONS(8756), 1,
      anon_sym_LBRACE,
    STATE(6296), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309429] = 3,
    ACTIONS(28251), 1,
      anon_sym_LPAREN,
    STATE(4689), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309440] = 3,
    ACTIONS(9140), 1,
      anon_sym_LBRACE,
    STATE(4798), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309451] = 3,
    ACTIONS(10826), 1,
      anon_sym_RPAREN,
    ACTIONS(28345), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309462] = 3,
    ACTIONS(28347), 1,
      anon_sym_LPAREN,
    STATE(4509), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309473] = 3,
    ACTIONS(9018), 1,
      anon_sym_RPAREN,
    ACTIONS(28349), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309484] = 3,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    STATE(10126), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309495] = 3,
    ACTIONS(9140), 1,
      anon_sym_LBRACE,
    STATE(4823), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309506] = 3,
    ACTIONS(10600), 1,
      anon_sym_RPAREN,
    ACTIONS(28351), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309517] = 3,
    ACTIONS(28289), 1,
      anon_sym_LPAREN,
    STATE(4302), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309528] = 3,
    ACTIONS(9140), 1,
      anon_sym_LBRACE,
    STATE(4829), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309539] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(17247), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309550] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(492), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309561] = 3,
    ACTIONS(19991), 1,
      anon_sym_LBRACE,
    STATE(7056), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309572] = 3,
    ACTIONS(8996), 1,
      anon_sym_RPAREN,
    ACTIONS(28353), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309583] = 3,
    ACTIONS(9466), 1,
      anon_sym_RPAREN,
    ACTIONS(28355), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309594] = 3,
    ACTIONS(28289), 1,
      anon_sym_LPAREN,
    STATE(4310), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309605] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28357), 1,
      anon_sym_RBRACK,
    ACTIONS(28359), 1,
      anon_sym_LF,
  [309618] = 3,
    ACTIONS(8756), 1,
      anon_sym_LBRACE,
    STATE(6249), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309629] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5852), 1,
      anon_sym_RBRACK,
    ACTIONS(28361), 1,
      anon_sym_LF,
  [309642] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5148), 1,
      anon_sym_RBRACK,
    ACTIONS(28363), 1,
      anon_sym_LF,
  [309655] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4834), 1,
      anon_sym_RBRACK,
    ACTIONS(28365), 1,
      anon_sym_LF,
  [309668] = 3,
    ACTIONS(28337), 1,
      anon_sym_LPAREN,
    STATE(9315), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309679] = 3,
    ACTIONS(28367), 1,
      anon_sym_LPAREN,
    STATE(9861), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309690] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28369), 1,
      anon_sym_RBRACK,
    ACTIONS(28371), 1,
      anon_sym_LF,
  [309703] = 3,
    ACTIONS(28367), 1,
      anon_sym_LPAREN,
    STATE(10010), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309714] = 3,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    STATE(10180), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309725] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(511), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309736] = 3,
    ACTIONS(10726), 1,
      anon_sym_RPAREN,
    ACTIONS(28373), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309747] = 3,
    ACTIONS(19343), 1,
      anon_sym_COMMA,
    STATE(14579), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309758] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4962), 1,
      anon_sym_RBRACK,
    ACTIONS(28375), 1,
      anon_sym_LF,
  [309771] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(475), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309782] = 3,
    ACTIONS(28289), 1,
      anon_sym_LPAREN,
    STATE(4281), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309793] = 3,
    ACTIONS(9140), 1,
      anon_sym_LBRACE,
    STATE(4868), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309804] = 3,
    ACTIONS(10168), 1,
      anon_sym_RPAREN,
    ACTIONS(28377), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309815] = 3,
    ACTIONS(10076), 1,
      anon_sym_RPAREN,
    ACTIONS(28379), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309826] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28381), 1,
      anon_sym_RBRACK,
    ACTIONS(28383), 1,
      anon_sym_LF,
  [309839] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(17333), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309850] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(478), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309861] = 3,
    ACTIONS(15710), 1,
      anon_sym_LBRACE,
    STATE(6624), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309872] = 3,
    ACTIONS(8690), 1,
      anon_sym_LBRACE,
    STATE(5420), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309883] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28385), 1,
      anon_sym_RBRACK,
    ACTIONS(28387), 1,
      anon_sym_LF,
  [309896] = 3,
    ACTIONS(28389), 1,
      anon_sym_LPAREN,
    STATE(4956), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309907] = 3,
    ACTIONS(8690), 1,
      anon_sym_LBRACE,
    STATE(5408), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309918] = 3,
    ACTIONS(28347), 1,
      anon_sym_LPAREN,
    STATE(4445), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309929] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28391), 1,
      anon_sym_RBRACK,
    ACTIONS(28393), 1,
      anon_sym_LF,
  [309942] = 3,
    ACTIONS(8690), 1,
      anon_sym_LBRACE,
    STATE(5398), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309953] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5806), 1,
      anon_sym_RBRACK,
    ACTIONS(28395), 1,
      anon_sym_LF,
  [309966] = 3,
    ACTIONS(9110), 1,
      anon_sym_RPAREN,
    ACTIONS(28397), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309977] = 3,
    ACTIONS(15678), 1,
      anon_sym_LBRACE,
    STATE(9423), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309988] = 3,
    ACTIONS(28337), 1,
      anon_sym_LPAREN,
    STATE(9318), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [309999] = 3,
    ACTIONS(15678), 1,
      anon_sym_LBRACE,
    STATE(9456), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310010] = 3,
    ACTIONS(28337), 1,
      anon_sym_LPAREN,
    STATE(9320), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310021] = 3,
    ACTIONS(10554), 1,
      anon_sym_RPAREN,
    ACTIONS(28399), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310032] = 3,
    ACTIONS(19089), 1,
      anon_sym_COMMA,
    STATE(14726), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310043] = 3,
    ACTIONS(9726), 1,
      anon_sym_RPAREN,
    ACTIONS(28401), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310054] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28403), 1,
      anon_sym_RBRACK,
    ACTIONS(28405), 1,
      anon_sym_LF,
  [310067] = 3,
    ACTIONS(10054), 1,
      anon_sym_RPAREN,
    ACTIONS(28407), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310078] = 3,
    ACTIONS(28347), 1,
      anon_sym_LPAREN,
    STATE(4434), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310089] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(17195), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310100] = 3,
    ACTIONS(9530), 1,
      anon_sym_RPAREN,
    ACTIONS(28409), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310111] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310122] = 3,
    ACTIONS(10436), 1,
      anon_sym_RPAREN,
    ACTIONS(28411), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310133] = 3,
    ACTIONS(16044), 1,
      anon_sym_LBRACE,
    STATE(11042), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310144] = 3,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    STATE(4876), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310155] = 3,
    ACTIONS(28413), 1,
      anon_sym_LPAREN,
    STATE(4329), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310166] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4858), 1,
      anon_sym_RBRACK,
    ACTIONS(28415), 1,
      anon_sym_LF,
  [310179] = 3,
    ACTIONS(15678), 1,
      anon_sym_LBRACE,
    STATE(9460), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310190] = 3,
    ACTIONS(8816), 1,
      anon_sym_RPAREN,
    ACTIONS(28417), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310201] = 3,
    ACTIONS(28347), 1,
      anon_sym_LPAREN,
    STATE(4427), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310212] = 3,
    ACTIONS(8690), 1,
      anon_sym_LBRACE,
    STATE(5369), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310223] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28419), 1,
      anon_sym_RBRACK,
    ACTIONS(28421), 1,
      anon_sym_LF,
  [310236] = 3,
    ACTIONS(9292), 1,
      anon_sym_RPAREN,
    ACTIONS(28423), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310247] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6022), 1,
      anon_sym_RBRACK,
    ACTIONS(28425), 1,
      anon_sym_LF,
  [310260] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310271] = 3,
    ACTIONS(28367), 1,
      anon_sym_LPAREN,
    STATE(9883), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310282] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28427), 1,
      anon_sym_RBRACK,
    ACTIONS(28429), 1,
      anon_sym_LF,
  [310295] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(16863), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310306] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28431), 1,
      anon_sym_RBRACK,
    ACTIONS(28433), 1,
      anon_sym_LF,
  [310319] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5094), 1,
      anon_sym_RBRACK,
    ACTIONS(28435), 1,
      anon_sym_LF,
  [310332] = 3,
    ACTIONS(15826), 1,
      anon_sym_LBRACE,
    STATE(6412), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310343] = 3,
    ACTIONS(10340), 1,
      anon_sym_RPAREN,
    ACTIONS(28437), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310354] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28439), 1,
      anon_sym_RBRACK,
    ACTIONS(28441), 1,
      anon_sym_LF,
  [310367] = 3,
    ACTIONS(19140), 1,
      anon_sym_COMMA,
    STATE(15031), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310378] = 3,
    ACTIONS(28413), 1,
      anon_sym_LPAREN,
    STATE(4324), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310389] = 3,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    STATE(10093), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310400] = 3,
    ACTIONS(28443), 1,
      anon_sym_LPAREN,
    STATE(9825), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310411] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310422] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5022), 1,
      anon_sym_RBRACK,
    ACTIONS(28445), 1,
      anon_sym_LF,
  [310435] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(476), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310446] = 3,
    ACTIONS(28447), 1,
      anon_sym_LPAREN,
    STATE(11533), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310457] = 3,
    ACTIONS(15826), 1,
      anon_sym_LBRACE,
    STATE(6398), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310468] = 3,
    ACTIONS(8634), 1,
      anon_sym_RPAREN,
    ACTIONS(28449), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310479] = 3,
    ACTIONS(19113), 1,
      anon_sym_COMMA,
    STATE(15017), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310490] = 3,
    ACTIONS(28389), 1,
      anon_sym_LPAREN,
    STATE(5096), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310501] = 3,
    ACTIONS(15826), 1,
      anon_sym_LBRACE,
    STATE(6393), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310512] = 3,
    ACTIONS(9264), 1,
      anon_sym_RPAREN,
    ACTIONS(28451), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310523] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(17049), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310534] = 3,
    ACTIONS(19928), 1,
      anon_sym_LBRACE,
    STATE(7401), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310545] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(496), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310556] = 3,
    ACTIONS(28389), 1,
      anon_sym_LPAREN,
    STATE(5116), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310567] = 3,
    ACTIONS(19390), 1,
      anon_sym_COMMA,
    STATE(15087), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310578] = 3,
    ACTIONS(8942), 1,
      anon_sym_RPAREN,
    ACTIONS(28453), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310589] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28455), 1,
      anon_sym_RBRACK,
    ACTIONS(28457), 1,
      anon_sym_LF,
  [310602] = 3,
    ACTIONS(10034), 1,
      anon_sym_RPAREN,
    ACTIONS(28459), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310613] = 3,
    ACTIONS(10144), 1,
      anon_sym_RPAREN,
    ACTIONS(28461), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310624] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5530), 1,
      anon_sym_RBRACK,
    ACTIONS(28463), 1,
      anon_sym_LF,
  [310637] = 3,
    ACTIONS(28413), 1,
      anon_sym_LPAREN,
    STATE(4337), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310648] = 3,
    ACTIONS(10114), 1,
      anon_sym_RPAREN,
    ACTIONS(28465), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310659] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5548), 1,
      anon_sym_RBRACK,
    ACTIONS(28467), 1,
      anon_sym_LF,
  [310672] = 3,
    ACTIONS(19234), 1,
      anon_sym_COMMA,
    STATE(15162), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310683] = 3,
    ACTIONS(28443), 1,
      anon_sym_LPAREN,
    STATE(9828), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310694] = 3,
    ACTIONS(28389), 1,
      anon_sym_LPAREN,
    STATE(5135), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310705] = 3,
    ACTIONS(15826), 1,
      anon_sym_LBRACE,
    STATE(6353), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310716] = 3,
    ACTIONS(19416), 1,
      anon_sym_COMMA,
    STATE(14782), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310727] = 3,
    ACTIONS(18798), 1,
      anon_sym_COMMA,
    STATE(15099), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310738] = 3,
    ACTIONS(8980), 1,
      anon_sym_RPAREN,
    ACTIONS(28469), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310749] = 3,
    ACTIONS(15866), 1,
      anon_sym_LBRACE,
    STATE(12121), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310760] = 3,
    ACTIONS(18810), 1,
      anon_sym_COMMA,
    STATE(15047), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310771] = 3,
    ACTIONS(16012), 1,
      anon_sym_LBRACE,
    STATE(5858), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310782] = 3,
    ACTIONS(28471), 1,
      anon_sym_LPAREN,
    STATE(5137), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310793] = 3,
    ACTIONS(15866), 1,
      anon_sym_LBRACE,
    STATE(11859), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310804] = 3,
    ACTIONS(8652), 1,
      anon_sym_RPAREN,
    ACTIONS(28473), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310815] = 3,
    ACTIONS(28447), 1,
      anon_sym_LPAREN,
    STATE(11469), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310826] = 3,
    ACTIONS(15866), 1,
      anon_sym_LBRACE,
    STATE(12114), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310837] = 3,
    ACTIONS(9056), 1,
      anon_sym_RPAREN,
    ACTIONS(28475), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310848] = 3,
    ACTIONS(10808), 1,
      anon_sym_RPAREN,
    ACTIONS(28477), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310859] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5280), 1,
      anon_sym_RBRACK,
    ACTIONS(28479), 1,
      anon_sym_LF,
  [310872] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28481), 1,
      anon_sym_RBRACK,
    ACTIONS(28483), 1,
      anon_sym_LF,
  [310885] = 3,
    ACTIONS(10040), 1,
      anon_sym_RPAREN,
    ACTIONS(28485), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310896] = 3,
    ACTIONS(19062), 1,
      anon_sym_COMMA,
    STATE(14971), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310907] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6136), 1,
      anon_sym_RBRACK,
    ACTIONS(28487), 1,
      anon_sym_LF,
  [310920] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28489), 1,
      anon_sym_RBRACK,
    ACTIONS(28491), 1,
      anon_sym_LF,
  [310933] = 3,
    ACTIONS(9742), 1,
      anon_sym_RPAREN,
    ACTIONS(28493), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310944] = 3,
    ACTIONS(28447), 1,
      anon_sym_LPAREN,
    STATE(11456), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310955] = 3,
    ACTIONS(18804), 1,
      anon_sym_COMMA,
    STATE(14934), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310966] = 3,
    ACTIONS(18690), 1,
      anon_sym_COMMA,
    STATE(14871), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310977] = 3,
    ACTIONS(9676), 1,
      anon_sym_RPAREN,
    ACTIONS(28495), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310988] = 3,
    ACTIONS(9160), 1,
      anon_sym_RPAREN,
    ACTIONS(28497), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [310999] = 3,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    STATE(10053), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311010] = 3,
    ACTIONS(28443), 1,
      anon_sym_LPAREN,
    STATE(9843), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311021] = 3,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    STATE(10055), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311032] = 3,
    ACTIONS(28443), 1,
      anon_sym_LPAREN,
    STATE(9827), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311043] = 3,
    ACTIONS(9452), 1,
      anon_sym_RPAREN,
    ACTIONS(28499), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311054] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6286), 1,
      anon_sym_RBRACK,
    ACTIONS(28501), 1,
      anon_sym_LF,
  [311067] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5256), 1,
      anon_sym_RBRACK,
    ACTIONS(28503), 1,
      anon_sym_LF,
  [311080] = 3,
    ACTIONS(28447), 1,
      anon_sym_LPAREN,
    STATE(11447), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311091] = 3,
    ACTIONS(15866), 1,
      anon_sym_LBRACE,
    STATE(12094), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311102] = 3,
    ACTIONS(20103), 1,
      anon_sym_LBRACE,
    STATE(7270), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311113] = 3,
    ACTIONS(18859), 1,
      anon_sym_COMMA,
    STATE(14844), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311124] = 3,
    ACTIONS(28367), 1,
      anon_sym_LPAREN,
    STATE(9915), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311135] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28505), 1,
      anon_sym_RBRACK,
    ACTIONS(28507), 1,
      anon_sym_LF,
  [311148] = 3,
    ACTIONS(19358), 1,
      anon_sym_COMMA,
    STATE(14818), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311159] = 3,
    ACTIONS(15648), 1,
      anon_sym_LBRACE,
    STATE(6178), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311170] = 3,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    ACTIONS(28509), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311181] = 3,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    STATE(10148), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311192] = 3,
    ACTIONS(15614), 1,
      anon_sym_LBRACE,
    STATE(10175), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311203] = 3,
    ACTIONS(15556), 1,
      anon_sym_LBRACE,
    STATE(10104), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311214] = 3,
    ACTIONS(15648), 1,
      anon_sym_LBRACE,
    STATE(6170), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311225] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28511), 1,
      anon_sym_RBRACK,
    ACTIONS(28513), 1,
      anon_sym_LF,
  [311238] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6130), 1,
      anon_sym_RBRACK,
    ACTIONS(28515), 1,
      anon_sym_LF,
  [311251] = 3,
    ACTIONS(28517), 1,
      anon_sym_LPAREN,
    STATE(4288), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311262] = 3,
    ACTIONS(18833), 1,
      anon_sym_COMMA,
    STATE(14739), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311273] = 3,
    ACTIONS(9420), 1,
      anon_sym_RPAREN,
    ACTIONS(28519), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311284] = 3,
    ACTIONS(15648), 1,
      anon_sym_LBRACE,
    STATE(6172), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311295] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28521), 1,
      anon_sym_RBRACK,
    ACTIONS(28523), 1,
      anon_sym_LF,
  [311308] = 3,
    ACTIONS(28471), 1,
      anon_sym_LPAREN,
    STATE(5029), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311319] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5136), 1,
      anon_sym_RBRACK,
    ACTIONS(28525), 1,
      anon_sym_LF,
  [311332] = 3,
    ACTIONS(10610), 1,
      anon_sym_RPAREN,
    ACTIONS(28527), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311343] = 3,
    ACTIONS(19198), 1,
      anon_sym_COMMA,
    STATE(14693), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311354] = 3,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    STATE(4931), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311365] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28529), 1,
      anon_sym_RBRACK,
    ACTIONS(28531), 1,
      anon_sym_LF,
  [311378] = 3,
    ACTIONS(9770), 1,
      anon_sym_RPAREN,
    ACTIONS(28533), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311389] = 3,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    STATE(11050), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311400] = 3,
    ACTIONS(8812), 1,
      anon_sym_RPAREN,
    ACTIONS(28535), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311411] = 3,
    ACTIONS(28471), 1,
      anon_sym_LPAREN,
    STATE(5020), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311422] = 3,
    ACTIONS(28413), 1,
      anon_sym_LPAREN,
    STATE(4326), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311433] = 3,
    ACTIONS(20131), 1,
      anon_sym_LBRACE,
    STATE(6657), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311444] = 3,
    ACTIONS(15536), 1,
      anon_sym_LBRACE,
    STATE(5539), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311455] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6238), 1,
      anon_sym_RBRACK,
    ACTIONS(28537), 1,
      anon_sym_LF,
  [311468] = 3,
    ACTIONS(28539), 1,
      anon_sym_LPAREN,
    STATE(4487), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311479] = 3,
    ACTIONS(19222), 1,
      anon_sym_COMMA,
    STATE(14663), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311490] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6142), 1,
      anon_sym_RBRACK,
    ACTIONS(28541), 1,
      anon_sym_LF,
  [311503] = 3,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    STATE(4808), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311514] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28543), 1,
      anon_sym_RBRACK,
    ACTIONS(28545), 1,
      anon_sym_LF,
  [311527] = 3,
    ACTIONS(9274), 1,
      anon_sym_RPAREN,
    ACTIONS(28547), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311538] = 3,
    ACTIONS(28549), 1,
      anon_sym_LPAREN,
    STATE(10457), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311549] = 3,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    STATE(11055), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311560] = 3,
    ACTIONS(28549), 1,
      anon_sym_LPAREN,
    STATE(10450), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311571] = 3,
    ACTIONS(8914), 1,
      anon_sym_RPAREN,
    ACTIONS(28551), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311582] = 3,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    STATE(11057), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311593] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6004), 1,
      anon_sym_RBRACK,
    ACTIONS(28553), 1,
      anon_sym_LF,
  [311606] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28555), 1,
      anon_sym_RBRACK,
    ACTIONS(28557), 1,
      anon_sym_LF,
  [311619] = 3,
    ACTIONS(18720), 1,
      anon_sym_COMMA,
    STATE(14627), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311630] = 3,
    ACTIONS(28471), 1,
      anon_sym_LPAREN,
    STATE(5010), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311641] = 3,
    ACTIONS(15648), 1,
      anon_sym_LBRACE,
    STATE(6153), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311652] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5680), 1,
      anon_sym_RBRACK,
    ACTIONS(28559), 1,
      anon_sym_LF,
  [311665] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28561), 1,
      anon_sym_RBRACK,
    ACTIONS(28563), 1,
      anon_sym_LF,
  [311678] = 3,
    ACTIONS(9168), 1,
      anon_sym_RPAREN,
    ACTIONS(28565), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311689] = 3,
    ACTIONS(19304), 1,
      anon_sym_COMMA,
    STATE(14602), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311700] = 3,
    ACTIONS(28567), 1,
      anon_sym_LPAREN,
    STATE(10753), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311711] = 3,
    ACTIONS(19680), 1,
      anon_sym_LBRACE,
    STATE(10220), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311722] = 3,
    ACTIONS(18939), 1,
      anon_sym_COMMA,
    STATE(14575), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311733] = 3,
    ACTIONS(10196), 1,
      anon_sym_RPAREN,
    ACTIONS(28569), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311744] = 3,
    ACTIONS(28571), 1,
      anon_sym_LPAREN,
    STATE(14327), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311755] = 3,
    ACTIONS(15966), 1,
      anon_sym_LBRACE,
    STATE(4958), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311766] = 3,
    ACTIONS(19107), 1,
      anon_sym_COMMA,
    STATE(14584), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311777] = 3,
    ACTIONS(15966), 1,
      anon_sym_LBRACE,
    STATE(4943), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311788] = 3,
    ACTIONS(19814), 1,
      anon_sym_LBRACE,
    STATE(7372), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311799] = 3,
    ACTIONS(19154), 1,
      anon_sym_COMMA,
    STATE(14691), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311810] = 3,
    ACTIONS(10358), 1,
      anon_sym_RPAREN,
    ACTIONS(28573), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311821] = 3,
    ACTIONS(19170), 1,
      anon_sym_COMMA,
    STATE(14798), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311832] = 3,
    ACTIONS(15536), 1,
      anon_sym_LBRACE,
    STATE(5500), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311843] = 3,
    ACTIONS(28539), 1,
      anon_sym_LPAREN,
    STATE(4342), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311854] = 3,
    ACTIONS(8874), 1,
      anon_sym_LBRACE,
    STATE(4913), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311865] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28575), 1,
      anon_sym_RBRACK,
    ACTIONS(28577), 1,
      anon_sym_LF,
  [311878] = 3,
    ACTIONS(28517), 1,
      anon_sym_LPAREN,
    STATE(4293), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311889] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5226), 1,
      anon_sym_RBRACK,
    ACTIONS(28579), 1,
      anon_sym_LF,
  [311902] = 3,
    ACTIONS(18915), 1,
      anon_sym_COMMA,
    STATE(14905), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311913] = 3,
    ACTIONS(18792), 1,
      anon_sym_COMMA,
    STATE(15011), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311924] = 3,
    ACTIONS(8846), 1,
      anon_sym_RPAREN,
    ACTIONS(28581), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311935] = 3,
    ACTIONS(18923), 1,
      anon_sym_COMMA,
    STATE(15113), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311946] = 3,
    ACTIONS(19328), 1,
      anon_sym_COMMA,
    STATE(15109), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311957] = 3,
    ACTIONS(8804), 1,
      anon_sym_RPAREN,
    ACTIONS(28583), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311968] = 3,
    ACTIONS(19014), 1,
      anon_sym_COMMA,
    STATE(14912), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311979] = 3,
    ACTIONS(28585), 1,
      anon_sym_LPAREN,
    STATE(10334), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [311990] = 3,
    ACTIONS(28517), 1,
      anon_sym_LPAREN,
    STATE(4294), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312001] = 3,
    ACTIONS(15966), 1,
      anon_sym_LBRACE,
    STATE(4884), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312012] = 3,
    ACTIONS(18909), 1,
      anon_sym_COMMA,
    STATE(14667), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312023] = 3,
    ACTIONS(9846), 1,
      anon_sym_RPAREN,
    ACTIONS(28587), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312034] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28589), 1,
      anon_sym_RBRACK,
    ACTIONS(28591), 1,
      anon_sym_LF,
  [312047] = 3,
    ACTIONS(19132), 1,
      anon_sym_COMMA,
    STATE(14679), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312058] = 3,
    ACTIONS(19322), 1,
      anon_sym_COMMA,
    STATE(14933), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312069] = 3,
    ACTIONS(20065), 1,
      anon_sym_LBRACE,
    STATE(7160), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312080] = 3,
    ACTIONS(15966), 1,
      anon_sym_LBRACE,
    STATE(4833), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312091] = 3,
    ACTIONS(19240), 1,
      anon_sym_COMMA,
    STATE(15141), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312102] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28593), 1,
      anon_sym_RBRACK,
    ACTIONS(28595), 1,
      anon_sym_LF,
  [312115] = 3,
    ACTIONS(19101), 1,
      anon_sym_COMMA,
    STATE(15093), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312126] = 3,
    ACTIONS(28517), 1,
      anon_sym_LPAREN,
    STATE(4316), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312137] = 3,
    ACTIONS(28597), 1,
      anon_sym_LPAREN,
    STATE(4510), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312148] = 3,
    ACTIONS(16064), 1,
      anon_sym_LBRACE,
    STATE(5498), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312159] = 3,
    ACTIONS(28597), 1,
      anon_sym_LPAREN,
    STATE(4514), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312170] = 3,
    ACTIONS(18772), 1,
      anon_sym_COMMA,
    STATE(14987), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312181] = 3,
    ACTIONS(8600), 1,
      anon_sym_RPAREN,
    ACTIONS(28599), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312192] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28601), 1,
      anon_sym_RBRACK,
    ACTIONS(28603), 1,
      anon_sym_LF,
  [312205] = 3,
    ACTIONS(16064), 1,
      anon_sym_LBRACE,
    STATE(5503), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312216] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5924), 1,
      anon_sym_RBRACK,
    ACTIONS(28605), 1,
      anon_sym_LF,
  [312229] = 3,
    ACTIONS(19184), 1,
      anon_sym_COMMA,
    STATE(14881), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312240] = 3,
    ACTIONS(9416), 1,
      anon_sym_RPAREN,
    ACTIONS(28607), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312251] = 3,
    ACTIONS(19366), 1,
      anon_sym_COMMA,
    STATE(14787), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312262] = 3,
    ACTIONS(9830), 1,
      anon_sym_RPAREN,
    ACTIONS(28609), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312273] = 3,
    ACTIONS(18995), 1,
      anon_sym_COMMA,
    STATE(14692), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312284] = 3,
    ACTIONS(19288), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312295] = 3,
    ACTIONS(28597), 1,
      anon_sym_LPAREN,
    STATE(4521), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312306] = 3,
    ACTIONS(19077), 1,
      anon_sym_COMMA,
    STATE(14556), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312317] = 3,
    ACTIONS(10730), 1,
      anon_sym_RPAREN,
    ACTIONS(28611), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312328] = 3,
    ACTIONS(19192), 1,
      anon_sym_COMMA,
    STATE(14578), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312339] = 3,
    ACTIONS(9706), 1,
      anon_sym_RPAREN,
    ACTIONS(28613), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312350] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(17950), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312361] = 3,
    ACTIONS(19216), 1,
      anon_sym_COMMA,
    STATE(14598), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312372] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6214), 1,
      anon_sym_RBRACK,
    ACTIONS(28615), 1,
      anon_sym_LF,
  [312385] = 3,
    ACTIONS(19178), 1,
      anon_sym_COMMA,
    STATE(14620), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312396] = 3,
    ACTIONS(28597), 1,
      anon_sym_LPAREN,
    STATE(4526), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312407] = 3,
    ACTIONS(16064), 1,
      anon_sym_LBRACE,
    STATE(5540), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312418] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28617), 1,
      anon_sym_RBRACK,
    ACTIONS(28619), 1,
      anon_sym_LF,
  [312431] = 3,
    ACTIONS(18708), 1,
      anon_sym_COMMA,
    STATE(14639), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312442] = 3,
    ACTIONS(28539), 1,
      anon_sym_LPAREN,
    STATE(4511), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312453] = 3,
    ACTIONS(15536), 1,
      anon_sym_LBRACE,
    STATE(5502), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312464] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28621), 1,
      anon_sym_RBRACK,
    ACTIONS(28623), 1,
      anon_sym_LF,
  [312477] = 3,
    ACTIONS(19408), 1,
      anon_sym_COMMA,
    STATE(14661), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312488] = 3,
    ACTIONS(3003), 1,
      anon_sym_LBRACE,
    STATE(10371), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312499] = 3,
    ACTIONS(19375), 1,
      anon_sym_COMMA,
    STATE(14684), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312510] = 3,
    ACTIONS(28539), 1,
      anon_sym_LPAREN,
    STATE(4515), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312521] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5776), 1,
      anon_sym_RBRACK,
    ACTIONS(28625), 1,
      anon_sym_LF,
  [312534] = 3,
    ACTIONS(19874), 1,
      anon_sym_LBRACE,
    STATE(11543), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312545] = 3,
    ACTIONS(28627), 1,
      anon_sym_LPAREN,
    STATE(10191), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312556] = 3,
    ACTIONS(10024), 1,
      anon_sym_RPAREN,
    ACTIONS(28629), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312567] = 3,
    ACTIONS(19294), 1,
      anon_sym_COMMA,
    STATE(14722), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312578] = 3,
    ACTIONS(10614), 1,
      anon_sym_RPAREN,
    ACTIONS(28631), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312589] = 3,
    ACTIONS(18929), 1,
      anon_sym_COMMA,
    STATE(14744), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312600] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6280), 1,
      anon_sym_RBRACK,
    ACTIONS(28633), 1,
      anon_sym_LF,
  [312613] = 3,
    ACTIONS(19206), 1,
      anon_sym_COMMA,
    STATE(14775), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312624] = 3,
    ACTIONS(15992), 1,
      anon_sym_LBRACE,
    STATE(11009), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312635] = 3,
    ACTIONS(28635), 1,
      anon_sym_LPAREN,
    STATE(4544), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312646] = 3,
    ACTIONS(28585), 1,
      anon_sym_LPAREN,
    STATE(10331), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312657] = 3,
    ACTIONS(15992), 1,
      anon_sym_LBRACE,
    STATE(11011), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312668] = 3,
    ACTIONS(19396), 1,
      anon_sym_COMMA,
    STATE(14807), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312679] = 3,
    ACTIONS(10930), 1,
      anon_sym_RPAREN,
    ACTIONS(28637), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312690] = 3,
    ACTIONS(9158), 1,
      anon_sym_RPAREN,
    ACTIONS(28639), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312701] = 3,
    ACTIONS(18880), 1,
      anon_sym_COMMA,
    STATE(14826), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312712] = 3,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(6113), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312723] = 3,
    ACTIONS(15536), 1,
      anon_sym_LBRACE,
    STATE(5523), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312734] = 3,
    ACTIONS(18786), 1,
      anon_sym_COMMA,
    STATE(14841), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312745] = 3,
    ACTIONS(28585), 1,
      anon_sym_LPAREN,
    STATE(10475), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312756] = 3,
    ACTIONS(18874), 1,
      anon_sym_COMMA,
    STATE(14832), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312767] = 3,
    ACTIONS(19146), 1,
      anon_sym_COMMA,
    STATE(14888), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312778] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28641), 1,
      anon_sym_RBRACK,
    ACTIONS(28643), 1,
      anon_sym_LF,
  [312791] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312802] = 3,
    ACTIONS(19381), 1,
      anon_sym_COMMA,
    STATE(14929), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312813] = 3,
    ACTIONS(10242), 1,
      anon_sym_RPAREN,
    ACTIONS(28645), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312824] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5316), 1,
      anon_sym_RBRACK,
    ACTIONS(28647), 1,
      anon_sym_LF,
  [312837] = 3,
    ACTIONS(19349), 1,
      anon_sym_COMMA,
    STATE(14961), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312848] = 3,
    ACTIONS(18865), 1,
      anon_sym_COMMA,
    STATE(14993), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312859] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(16855), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312870] = 3,
    ACTIONS(10252), 1,
      anon_sym_RPAREN,
    ACTIONS(28649), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312881] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5310), 1,
      anon_sym_RBRACK,
    ACTIONS(28651), 1,
      anon_sym_LF,
  [312894] = 3,
    ACTIONS(28585), 1,
      anon_sym_LPAREN,
    STATE(10370), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312905] = 3,
    ACTIONS(18714), 1,
      anon_sym_COMMA,
    STATE(15045), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312916] = 3,
    ACTIONS(15992), 1,
      anon_sym_LBRACE,
    STATE(11016), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312927] = 3,
    ACTIONS(18778), 1,
      anon_sym_COMMA,
    STATE(15068), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312938] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28653), 1,
      anon_sym_RBRACK,
    ACTIONS(28655), 1,
      anon_sym_LF,
  [312951] = 3,
    ACTIONS(18816), 1,
      anon_sym_COMMA,
    STATE(15118), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312962] = 3,
    ACTIONS(19068), 1,
      anon_sym_COMMA,
    STATE(15157), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312973] = 3,
    ACTIONS(10898), 1,
      anon_sym_RPAREN,
    ACTIONS(28657), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312984] = 3,
    ACTIONS(16064), 1,
      anon_sym_LBRACE,
    STATE(5670), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [312995] = 3,
    ACTIONS(19402), 1,
      anon_sym_COMMA,
    STATE(15166), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313006] = 3,
    ACTIONS(9852), 1,
      anon_sym_RPAREN,
    ACTIONS(28659), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313017] = 3,
    ACTIONS(15800), 1,
      anon_sym_LBRACE,
    STATE(11266), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313028] = 3,
    ACTIONS(28635), 1,
      anon_sym_LPAREN,
    STATE(4531), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313039] = 3,
    ACTIONS(15776), 1,
      anon_sym_LBRACE,
    STATE(5589), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313050] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(486), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313061] = 3,
    ACTIONS(28635), 1,
      anon_sym_LPAREN,
    STATE(4535), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313072] = 3,
    ACTIONS(15776), 1,
      anon_sym_LBRACE,
    STATE(5594), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313083] = 3,
    ACTIONS(10538), 1,
      anon_sym_RPAREN,
    ACTIONS(28661), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313094] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28663), 1,
      anon_sym_RBRACK,
    ACTIONS(28665), 1,
      anon_sym_LF,
  [313107] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5106), 1,
      anon_sym_RBRACK,
    ACTIONS(28667), 1,
      anon_sym_LF,
  [313120] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14539), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313131] = 3,
    ACTIONS(10766), 1,
      anon_sym_RPAREN,
    ACTIONS(28669), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313142] = 3,
    ACTIONS(28627), 1,
      anon_sym_LPAREN,
    STATE(10195), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313153] = 3,
    ACTIONS(15992), 1,
      anon_sym_LBRACE,
    STATE(11102), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313164] = 3,
    ACTIONS(10360), 1,
      anon_sym_RPAREN,
    ACTIONS(28671), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313175] = 3,
    ACTIONS(9182), 1,
      anon_sym_RPAREN,
    ACTIONS(28673), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313186] = 3,
    ACTIONS(19162), 1,
      anon_sym_COMMA,
    STATE(14925), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313197] = 3,
    ACTIONS(9792), 1,
      anon_sym_RPAREN,
    ACTIONS(28675), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313208] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5238), 1,
      anon_sym_RBRACK,
    ACTIONS(28677), 1,
      anon_sym_LF,
  [313221] = 3,
    ACTIONS(28635), 1,
      anon_sym_LPAREN,
    STATE(4553), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313232] = 3,
    ACTIONS(15776), 1,
      anon_sym_LBRACE,
    STATE(5631), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313243] = 3,
    ACTIONS(28549), 1,
      anon_sym_LPAREN,
    STATE(10399), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313254] = 3,
    ACTIONS(19448), 1,
      anon_sym_LBRACE,
    STATE(8531), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313265] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28679), 1,
      anon_sym_RBRACK,
    ACTIONS(28681), 1,
      anon_sym_LF,
  [313278] = 3,
    ACTIONS(3003), 1,
      anon_sym_LBRACE,
    STATE(10417), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313289] = 3,
    ACTIONS(28627), 1,
      anon_sym_LPAREN,
    STATE(10200), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313300] = 3,
    ACTIONS(3003), 1,
      anon_sym_LBRACE,
    STATE(10430), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313311] = 3,
    ACTIONS(19542), 1,
      anon_sym_LBRACE,
    STATE(6690), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313322] = 3,
    ACTIONS(28627), 1,
      anon_sym_LPAREN,
    STATE(10193), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313333] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28683), 1,
      anon_sym_RBRACK,
    ACTIONS(28685), 1,
      anon_sym_LF,
  [313346] = 3,
    ACTIONS(3003), 1,
      anon_sym_LBRACE,
    STATE(10463), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313357] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5488), 1,
      anon_sym_RBRACK,
    ACTIONS(28687), 1,
      anon_sym_LF,
  [313370] = 3,
    ACTIONS(28689), 1,
      anon_sym_LPAREN,
    STATE(4641), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313381] = 3,
    ACTIONS(8536), 1,
      anon_sym_RPAREN,
    ACTIONS(28691), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313392] = 3,
    ACTIONS(15576), 1,
      anon_sym_LBRACE,
    STATE(6031), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313403] = 3,
    ACTIONS(28689), 1,
      anon_sym_LPAREN,
    STATE(4635), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313414] = 3,
    ACTIONS(15576), 1,
      anon_sym_LBRACE,
    STATE(6029), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313425] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28693), 1,
      anon_sym_RBRACK,
    ACTIONS(28695), 1,
      anon_sym_LF,
  [313438] = 3,
    ACTIONS(9334), 1,
      anon_sym_RPAREN,
    ACTIONS(28697), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313449] = 3,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    STATE(14374), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313460] = 3,
    ACTIONS(9050), 1,
      anon_sym_RPAREN,
    ACTIONS(28699), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313471] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28701), 1,
      anon_sym_RBRACK,
    ACTIONS(28703), 1,
      anon_sym_LF,
  [313484] = 3,
    ACTIONS(28571), 1,
      anon_sym_LPAREN,
    STATE(14329), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313495] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5554), 1,
      anon_sym_RBRACK,
    ACTIONS(28705), 1,
      anon_sym_LF,
  [313508] = 3,
    ACTIONS(28689), 1,
      anon_sym_LPAREN,
    STATE(4613), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313519] = 3,
    ACTIONS(10474), 1,
      anon_sym_RPAREN,
    ACTIONS(28707), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313530] = 3,
    ACTIONS(20275), 1,
      anon_sym_LBRACE,
    STATE(6893), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313541] = 3,
    ACTIONS(8726), 1,
      anon_sym_RPAREN,
    ACTIONS(28709), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313552] = 3,
    ACTIONS(28689), 1,
      anon_sym_LPAREN,
    STATE(4594), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313563] = 3,
    ACTIONS(28571), 1,
      anon_sym_LPAREN,
    STATE(14326), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313574] = 3,
    ACTIONS(28711), 1,
      anon_sym_LPAREN,
    STATE(10303), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313585] = 3,
    ACTIONS(15576), 1,
      anon_sym_LBRACE,
    STATE(6023), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313596] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28713), 1,
      anon_sym_RBRACK,
    ACTIONS(28715), 1,
      anon_sym_LF,
  [313609] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6184), 1,
      anon_sym_RBRACK,
    ACTIONS(28717), 1,
      anon_sym_LF,
  [313622] = 3,
    ACTIONS(9516), 1,
      anon_sym_RPAREN,
    ACTIONS(28719), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313633] = 3,
    ACTIONS(10268), 1,
      anon_sym_RPAREN,
    ACTIONS(28721), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313644] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12216), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [313653] = 3,
    ACTIONS(28723), 1,
      anon_sym_LPAREN,
    STATE(4563), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313664] = 3,
    ACTIONS(8548), 1,
      anon_sym_LBRACE,
    STATE(5771), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313675] = 3,
    ACTIONS(28723), 1,
      anon_sym_LPAREN,
    STATE(4561), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313686] = 3,
    ACTIONS(8548), 1,
      anon_sym_LBRACE,
    STATE(5776), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313697] = 3,
    ACTIONS(10068), 1,
      anon_sym_RPAREN,
    ACTIONS(28725), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313708] = 3,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    STATE(14394), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313719] = 3,
    ACTIONS(28571), 1,
      anon_sym_LPAREN,
    STATE(14325), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313730] = 3,
    ACTIONS(9786), 1,
      anon_sym_RPAREN,
    ACTIONS(28727), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313741] = 3,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    STATE(14385), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313752] = 3,
    ACTIONS(28231), 1,
      anon_sym_LPAREN,
    STATE(9277), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313763] = 3,
    ACTIONS(15886), 1,
      anon_sym_LBRACE,
    STATE(6455), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313774] = 3,
    ACTIONS(28723), 1,
      anon_sym_LPAREN,
    STATE(4543), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313785] = 3,
    ACTIONS(15360), 1,
      anon_sym_LBRACE,
    STATE(14403), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313796] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28729), 1,
      anon_sym_RBRACK,
    ACTIONS(28731), 1,
      anon_sym_LF,
  [313809] = 3,
    ACTIONS(8824), 1,
      anon_sym_RPAREN,
    ACTIONS(28733), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313820] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5470), 1,
      anon_sym_RBRACK,
    ACTIONS(28735), 1,
      anon_sym_LF,
  [313833] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5322), 1,
      anon_sym_RBRACK,
    ACTIONS(28737), 1,
      anon_sym_LF,
  [313846] = 3,
    ACTIONS(28723), 1,
      anon_sym_LPAREN,
    STATE(4533), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313857] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11960), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [313866] = 3,
    ACTIONS(8548), 1,
      anon_sym_LBRACE,
    STATE(5813), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313877] = 3,
    ACTIONS(8586), 1,
      anon_sym_RPAREN,
    ACTIONS(28739), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313888] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12324), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [313897] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5746), 1,
      anon_sym_RBRACK,
    ACTIONS(28741), 1,
      anon_sym_LF,
  [313910] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(2186), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [313919] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28743), 1,
      anon_sym_RBRACK,
    ACTIONS(28745), 1,
      anon_sym_LF,
  [313932] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12346), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [313941] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11866), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [313950] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12090), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [313959] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12178), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [313968] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12182), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [313977] = 3,
    ACTIONS(15776), 1,
      anon_sym_LBRACE,
    STATE(5852), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [313988] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12186), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [313997] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12190), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314006] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12194), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314015] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12198), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314024] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12206), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314033] = 3,
    ACTIONS(10618), 1,
      anon_sym_RPAREN,
    ACTIONS(28747), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314044] = 3,
    ACTIONS(10590), 1,
      anon_sym_RPAREN,
    ACTIONS(28749), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314055] = 3,
    ACTIONS(28751), 1,
      anon_sym_LPAREN,
    STATE(4495), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314066] = 3,
    ACTIONS(16102), 1,
      anon_sym_LBRACE,
    STATE(5862), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314077] = 3,
    ACTIONS(28751), 1,
      anon_sym_LPAREN,
    STATE(4490), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314088] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12220), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314097] = 3,
    ACTIONS(16102), 1,
      anon_sym_LBRACE,
    STATE(5867), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314108] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12228), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314117] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12022), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314126] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12232), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314135] = 3,
    ACTIONS(15846), 1,
      anon_sym_LBRACE,
    STATE(5732), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314146] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12236), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314155] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11972), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314164] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5608), 1,
      anon_sym_RBRACK,
    ACTIONS(28753), 1,
      anon_sym_LF,
  [314177] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12248), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314186] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12256), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314195] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12260), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314204] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12264), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314213] = 3,
    ACTIONS(28751), 1,
      anon_sym_LPAREN,
    STATE(4467), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314224] = 3,
    ACTIONS(15906), 1,
      anon_sym_LBRACE,
    STATE(6505), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314235] = 3,
    ACTIONS(28755), 1,
      anon_sym_LPAREN,
    STATE(5613), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314246] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12028), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314255] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6220), 1,
      anon_sym_RBRACK,
    ACTIONS(28757), 1,
      anon_sym_LF,
  [314268] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12110), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314277] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28759), 1,
      anon_sym_RBRACK,
    ACTIONS(28761), 1,
      anon_sym_LF,
  [314290] = 3,
    ACTIONS(9486), 1,
      anon_sym_RPAREN,
    ACTIONS(28763), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314301] = 3,
    ACTIONS(9932), 1,
      anon_sym_RPAREN,
    ACTIONS(28765), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314312] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12060), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314321] = 3,
    ACTIONS(15596), 1,
      anon_sym_LBRACE,
    STATE(6392), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314332] = 3,
    ACTIONS(28767), 1,
      anon_sym_LPAREN,
    STATE(4739), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314343] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12290), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314352] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5434), 1,
      anon_sym_RBRACK,
    ACTIONS(28769), 1,
      anon_sym_LF,
  [314365] = 3,
    ACTIONS(9622), 1,
      anon_sym_RPAREN,
    ACTIONS(28771), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314376] = 3,
    ACTIONS(28549), 1,
      anon_sym_LPAREN,
    STATE(10373), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314387] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12298), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314396] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12302), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314405] = 3,
    ACTIONS(14411), 1,
      anon_sym_LBRACE,
    STATE(11085), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314416] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5572), 1,
      anon_sym_RBRACK,
    ACTIONS(28773), 1,
      anon_sym_LF,
  [314429] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5626), 1,
      anon_sym_RBRACK,
    ACTIONS(28775), 1,
      anon_sym_LF,
  [314442] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12138), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314451] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28777), 1,
      anon_sym_RBRACK,
    ACTIONS(28779), 1,
      anon_sym_LF,
  [314464] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12160), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314473] = 3,
    ACTIONS(28751), 1,
      anon_sym_LPAREN,
    STATE(4452), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314484] = 3,
    ACTIONS(955), 1,
      anon_sym_LBRACE,
    STATE(5950), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314495] = 3,
    ACTIONS(16102), 1,
      anon_sym_LBRACE,
    STATE(5904), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314506] = 3,
    ACTIONS(9878), 1,
      anon_sym_RPAREN,
    ACTIONS(28781), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314517] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12244), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314526] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11928), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314535] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28783), 1,
      anon_sym_RBRACK,
    ACTIONS(28785), 1,
      anon_sym_LF,
  [314548] = 3,
    ACTIONS(28767), 1,
      anon_sym_LPAREN,
    STATE(4694), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314559] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11886), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314568] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12344), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314577] = 3,
    ACTIONS(28755), 1,
      anon_sym_LPAREN,
    STATE(5636), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314588] = 3,
    ACTIONS(28787), 1,
      anon_sym_LPAREN,
    STATE(4349), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314599] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12316), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314608] = 3,
    ACTIONS(11960), 1,
      anon_sym_RPAREN,
    ACTIONS(28789), 1,
      aux_sym_float_literal_token2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314619] = 3,
    ACTIONS(10154), 1,
      anon_sym_RPAREN,
    ACTIONS(28791), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314630] = 3,
    ACTIONS(955), 1,
      anon_sym_LBRACE,
    STATE(5962), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314641] = 3,
    ACTIONS(28787), 1,
      anon_sym_LPAREN,
    STATE(4356), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314652] = 3,
    ACTIONS(955), 1,
      anon_sym_LBRACE,
    STATE(5954), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314663] = 3,
    ACTIONS(13212), 1,
      anon_sym_COLON,
    ACTIONS(28793), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314674] = 3,
    ACTIONS(28795), 1,
      anon_sym_LPAREN,
    STATE(10204), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314685] = 3,
    ACTIONS(15596), 1,
      anon_sym_LBRACE,
    STATE(6281), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314696] = 3,
    ACTIONS(15576), 1,
      anon_sym_LBRACE,
    STATE(5981), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314707] = 3,
    ACTIONS(28767), 1,
      anon_sym_LPAREN,
    STATE(4648), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314718] = 3,
    ACTIONS(15596), 1,
      anon_sym_LBRACE,
    STATE(6267), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314729] = 3,
    ACTIONS(28795), 1,
      anon_sym_LPAREN,
    STATE(10208), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314740] = 3,
    ACTIONS(28767), 1,
      anon_sym_LPAREN,
    STATE(4639), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314751] = 3,
    ACTIONS(9574), 1,
      anon_sym_RPAREN,
    ACTIONS(28797), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314762] = 3,
    ACTIONS(9118), 1,
      anon_sym_LBRACE,
    STATE(10601), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314773] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12704), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [314782] = 3,
    ACTIONS(12676), 1,
      anon_sym_RPAREN,
    ACTIONS(28799), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314793] = 3,
    ACTIONS(15628), 1,
      anon_sym_LBRACE,
    STATE(4712), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314804] = 3,
    ACTIONS(10924), 1,
      anon_sym_RPAREN,
    ACTIONS(28801), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314815] = 3,
    ACTIONS(28795), 1,
      anon_sym_LPAREN,
    STATE(10209), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314826] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14532), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314837] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28803), 1,
      anon_sym_RBRACK,
    ACTIONS(28805), 1,
      anon_sym_LF,
  [314850] = 3,
    ACTIONS(15710), 1,
      anon_sym_LBRACE,
    STATE(6630), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314861] = 3,
    ACTIONS(10272), 1,
      anon_sym_RPAREN,
    ACTIONS(28807), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314872] = 3,
    ACTIONS(18853), 1,
      anon_sym_COMMA,
    STATE(14760), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314883] = 3,
    ACTIONS(28809), 1,
      anon_sym_LPAREN,
    STATE(5953), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314894] = 3,
    ACTIONS(9712), 1,
      anon_sym_RPAREN,
    ACTIONS(28811), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314905] = 3,
    ACTIONS(28813), 1,
      anon_sym_LPAREN,
    STATE(4305), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314916] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5674), 1,
      anon_sym_RBRACK,
    ACTIONS(28815), 1,
      anon_sym_LF,
  [314929] = 3,
    ACTIONS(28795), 1,
      anon_sym_LPAREN,
    STATE(10210), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314940] = 3,
    ACTIONS(9118), 1,
      anon_sym_LBRACE,
    STATE(10649), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314951] = 3,
    ACTIONS(10368), 1,
      anon_sym_RPAREN,
    ACTIONS(28817), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314962] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28819), 1,
      anon_sym_RBRACK,
    ACTIONS(28821), 1,
      anon_sym_LF,
  [314975] = 3,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    STATE(9925), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314986] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [314997] = 3,
    ACTIONS(28809), 1,
      anon_sym_LPAREN,
    STATE(5919), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315008] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14505), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315019] = 3,
    ACTIONS(8548), 1,
      anon_sym_LBRACE,
    STATE(5681), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315030] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28823), 1,
      anon_sym_RBRACK,
    ACTIONS(28825), 1,
      anon_sym_LF,
  [315043] = 3,
    ACTIONS(28813), 1,
      anon_sym_LPAREN,
    STATE(4299), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315054] = 3,
    ACTIONS(8720), 1,
      anon_sym_RPAREN,
    ACTIONS(28827), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315065] = 3,
    ACTIONS(28787), 1,
      anon_sym_LPAREN,
    STATE(4381), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315076] = 3,
    ACTIONS(15906), 1,
      anon_sym_LBRACE,
    STATE(6549), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315087] = 3,
    ACTIONS(28755), 1,
      anon_sym_LPAREN,
    STATE(5624), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315098] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(16971), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315109] = 3,
    ACTIONS(15906), 1,
      anon_sym_LBRACE,
    STATE(6553), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315120] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315131] = 3,
    ACTIONS(15628), 1,
      anon_sym_LBRACE,
    STATE(4677), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315142] = 3,
    ACTIONS(28755), 1,
      anon_sym_LPAREN,
    STATE(5667), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315153] = 3,
    ACTIONS(28813), 1,
      anon_sym_LPAREN,
    STATE(4301), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315164] = 3,
    ACTIONS(15710), 1,
      anon_sym_LBRACE,
    STATE(6604), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315175] = 3,
    ACTIONS(15628), 1,
      anon_sym_LBRACE,
    STATE(4733), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315186] = 3,
    ACTIONS(28809), 1,
      anon_sym_LPAREN,
    STATE(5840), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315197] = 3,
    ACTIONS(15710), 1,
      anon_sym_LBRACE,
    STATE(6600), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315208] = 3,
    ACTIONS(28809), 1,
      anon_sym_LPAREN,
    STATE(5829), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315219] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14496), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315230] = 3,
    ACTIONS(9118), 1,
      anon_sym_LBRACE,
    STATE(10733), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315241] = 3,
    ACTIONS(19712), 1,
      anon_sym_LBRACE,
    STATE(11807), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315252] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(28829), 2,
      anon_sym_end,
      anon_sym_finally,
  [315261] = 3,
    ACTIONS(28813), 1,
      anon_sym_LPAREN,
    STATE(4304), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315272] = 3,
    ACTIONS(15906), 1,
      anon_sym_LBRACE,
    STATE(6562), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315283] = 3,
    ACTIONS(10648), 1,
      anon_sym_RPAREN,
    ACTIONS(28831), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315294] = 3,
    ACTIONS(28833), 1,
      anon_sym_LPAREN,
    STATE(9824), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315305] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28835), 1,
      anon_sym_RBRACK,
    ACTIONS(28837), 1,
      anon_sym_LF,
  [315318] = 3,
    ACTIONS(10748), 1,
      anon_sym_RPAREN,
    ACTIONS(28839), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315329] = 3,
    ACTIONS(10932), 1,
      anon_sym_RPAREN,
    ACTIONS(28841), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315340] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5662), 1,
      anon_sym_RBRACK,
    ACTIONS(28843), 1,
      anon_sym_LF,
  [315353] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6148), 1,
      anon_sym_RBRACK,
    ACTIONS(28845), 1,
      anon_sym_LF,
  [315366] = 3,
    ACTIONS(28787), 1,
      anon_sym_LPAREN,
    STATE(4397), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315377] = 3,
    ACTIONS(955), 1,
      anon_sym_LBRACE,
    STATE(5938), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315388] = 3,
    ACTIONS(16044), 1,
      anon_sym_LBRACE,
    STATE(10999), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315399] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5244), 1,
      anon_sym_RBRACK,
    ACTIONS(28847), 1,
      anon_sym_LF,
  [315412] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28849), 1,
      anon_sym_RBRACK,
    ACTIONS(28851), 1,
      anon_sym_LF,
  [315425] = 3,
    ACTIONS(28853), 1,
      anon_sym_LPAREN,
    STATE(10415), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315436] = 3,
    ACTIONS(16102), 1,
      anon_sym_LBRACE,
    STATE(5437), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315447] = 3,
    ACTIONS(15628), 1,
      anon_sym_LBRACE,
    STATE(4819), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315458] = 3,
    ACTIONS(16122), 1,
      anon_sym_LBRACE,
    STATE(5933), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315469] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5112), 1,
      anon_sym_RBRACK,
    ACTIONS(28855), 1,
      anon_sym_LF,
  [315482] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28857), 1,
      anon_sym_RBRACK,
    ACTIONS(28859), 1,
      anon_sym_LF,
  [315495] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28861), 1,
      anon_sym_RBRACK,
    ACTIONS(28863), 1,
      anon_sym_LF,
  [315508] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14498), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315519] = 3,
    ACTIONS(10676), 1,
      anon_sym_RPAREN,
    ACTIONS(28865), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315530] = 3,
    ACTIONS(10548), 1,
      anon_sym_RPAREN,
    ACTIONS(28867), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315541] = 3,
    ACTIONS(28853), 1,
      anon_sym_LPAREN,
    STATE(10421), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315552] = 3,
    ACTIONS(28869), 1,
      anon_sym_LPAREN,
    STATE(4417), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315563] = 3,
    ACTIONS(28871), 1,
      anon_sym_LPAREN,
    STATE(4440), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315574] = 3,
    ACTIONS(16122), 1,
      anon_sym_LBRACE,
    STATE(5918), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315585] = 3,
    ACTIONS(28871), 1,
      anon_sym_LPAREN,
    STATE(4457), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315596] = 3,
    ACTIONS(16122), 1,
      anon_sym_LBRACE,
    STATE(5898), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315607] = 3,
    ACTIONS(28873), 1,
      anon_sym_LPAREN,
    STATE(4469), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315618] = 3,
    ACTIONS(15846), 1,
      anon_sym_LBRACE,
    STATE(5423), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315629] = 3,
    ACTIONS(28873), 1,
      anon_sym_LPAREN,
    STATE(4340), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315640] = 3,
    ACTIONS(15846), 1,
      anon_sym_LBRACE,
    STATE(5416), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315651] = 3,
    ACTIONS(9774), 1,
      anon_sym_RPAREN,
    ACTIONS(28875), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315662] = 3,
    ACTIONS(9812), 1,
      anon_sym_LBRACE,
    STATE(5717), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315673] = 3,
    ACTIONS(28877), 1,
      anon_sym_LPAREN,
    STATE(4560), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315684] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14521), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315695] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6058), 1,
      anon_sym_RBRACK,
    ACTIONS(28879), 1,
      anon_sym_LF,
  [315708] = 3,
    ACTIONS(16044), 1,
      anon_sym_LBRACE,
    STATE(11004), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315719] = 3,
    ACTIONS(28853), 1,
      anon_sym_LPAREN,
    STATE(10427), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315730] = 3,
    ACTIONS(10798), 1,
      anon_sym_RPAREN,
    ACTIONS(28881), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315741] = 3,
    ACTIONS(16044), 1,
      anon_sym_LBRACE,
    STATE(10993), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315752] = 3,
    ACTIONS(28853), 1,
      anon_sym_LPAREN,
    STATE(10422), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315763] = 3,
    ACTIONS(10682), 1,
      anon_sym_RPAREN,
    ACTIONS(28883), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315774] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(28885), 2,
      anon_sym_end,
      anon_sym_catch,
  [315783] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14537), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315794] = 3,
    ACTIONS(8624), 1,
      anon_sym_RPAREN,
    ACTIONS(28887), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315805] = 3,
    ACTIONS(19648), 1,
      anon_sym_LBRACE,
    STATE(7099), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315816] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(28889), 2,
      anon_sym_end,
      anon_sym_finally,
  [315825] = 3,
    ACTIONS(28873), 1,
      anon_sym_LPAREN,
    STATE(4426), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315836] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14541), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315847] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14546), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315858] = 3,
    ACTIONS(10454), 1,
      anon_sym_RPAREN,
    ACTIONS(28891), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315869] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14530), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315880] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28893), 1,
      anon_sym_RBRACK,
    ACTIONS(28895), 1,
      anon_sym_LF,
  [315893] = 3,
    ACTIONS(28871), 1,
      anon_sym_LPAREN,
    STATE(4470), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315904] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4894), 1,
      anon_sym_RBRACK,
    ACTIONS(28897), 1,
      anon_sym_LF,
  [315917] = 3,
    ACTIONS(28873), 1,
      anon_sym_LPAREN,
    STATE(4418), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315928] = 3,
    ACTIONS(16012), 1,
      anon_sym_LBRACE,
    STATE(5473), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315939] = 3,
    ACTIONS(15846), 1,
      anon_sym_LBRACE,
    STATE(5347), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315950] = 3,
    ACTIONS(28869), 1,
      anon_sym_LPAREN,
    STATE(4499), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315961] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28899), 1,
      anon_sym_RBRACK,
    ACTIONS(28901), 1,
      anon_sym_LF,
  [315974] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14517), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [315985] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5076), 1,
      anon_sym_RBRACK,
    ACTIONS(28903), 1,
      anon_sym_LF,
  [315998] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14500), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316009] = 3,
    ACTIONS(28877), 1,
      anon_sym_LPAREN,
    STATE(4566), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316020] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316031] = 3,
    ACTIONS(10306), 1,
      anon_sym_RPAREN,
    ACTIONS(28905), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316042] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(14502), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316053] = 3,
    ACTIONS(19618), 1,
      anon_sym_LBRACE,
    STATE(7704), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316064] = 3,
    ACTIONS(20255), 1,
      anon_sym_LBRACE,
    STATE(17157), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316075] = 3,
    ACTIONS(10394), 1,
      anon_sym_RPAREN,
    ACTIONS(28907), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316086] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5016), 1,
      anon_sym_RBRACK,
    ACTIONS(28909), 1,
      anon_sym_LF,
  [316099] = 3,
    ACTIONS(28869), 1,
      anon_sym_LPAREN,
    STATE(4468), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316110] = 3,
    ACTIONS(28833), 1,
      anon_sym_LPAREN,
    STATE(9820), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316121] = 3,
    ACTIONS(9538), 1,
      anon_sym_RPAREN,
    ACTIONS(28911), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316132] = 3,
    ACTIONS(28913), 1,
      anon_sym_LPAREN,
    STATE(5076), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316143] = 3,
    ACTIONS(15886), 1,
      anon_sym_LBRACE,
    STATE(6200), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316154] = 3,
    ACTIONS(28913), 1,
      anon_sym_LPAREN,
    STATE(5095), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316165] = 3,
    ACTIONS(28871), 1,
      anon_sym_LPAREN,
    STATE(4481), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316176] = 3,
    ACTIONS(16122), 1,
      anon_sym_LBRACE,
    STATE(5874), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316187] = 3,
    ACTIONS(15886), 1,
      anon_sym_LBRACE,
    STATE(6204), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316198] = 3,
    ACTIONS(10318), 1,
      anon_sym_RPAREN,
    ACTIONS(28915), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316209] = 3,
    ACTIONS(16012), 1,
      anon_sym_LBRACE,
    STATE(5372), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316220] = 3,
    ACTIONS(9970), 1,
      anon_sym_RPAREN,
    ACTIONS(28917), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316231] = 3,
    ACTIONS(28869), 1,
      anon_sym_LPAREN,
    STATE(4429), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316242] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28919), 1,
      anon_sym_RBRACK,
    ACTIONS(28921), 1,
      anon_sym_LF,
  [316255] = 3,
    ACTIONS(16012), 1,
      anon_sym_LBRACE,
    STATE(5365), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316266] = 3,
    ACTIONS(8978), 1,
      anon_sym_RPAREN,
    ACTIONS(28923), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316277] = 3,
    ACTIONS(5388), 1,
      anon_sym_LBRACE,
    STATE(10647), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316288] = 3,
    ACTIONS(19486), 1,
      anon_sym_LBRACE,
    STATE(7018), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316299] = 3,
    ACTIONS(10088), 1,
      anon_sym_RPAREN,
    ACTIONS(28925), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316310] = 3,
    ACTIONS(28913), 1,
      anon_sym_LPAREN,
    STATE(5110), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316321] = 3,
    ACTIONS(10146), 1,
      anon_sym_RPAREN,
    ACTIONS(28927), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316332] = 2,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(28929), 2,
      anon_sym_end,
      anon_sym_catch,
  [316341] = 3,
    ACTIONS(9812), 1,
      anon_sym_LBRACE,
    STATE(5796), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316352] = 3,
    ACTIONS(28877), 1,
      anon_sym_LPAREN,
    STATE(4541), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316363] = 3,
    ACTIONS(9812), 1,
      anon_sym_LBRACE,
    STATE(5804), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316374] = 3,
    ACTIONS(28877), 1,
      anon_sym_LPAREN,
    STATE(4536), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316385] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5596), 1,
      anon_sym_RBRACK,
    ACTIONS(28931), 1,
      anon_sym_LF,
  [316398] = 3,
    ACTIONS(28913), 1,
      anon_sym_LPAREN,
    STATE(5114), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316409] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28933), 1,
      anon_sym_RBRACK,
    ACTIONS(28935), 1,
      anon_sym_LF,
  [316422] = 3,
    ACTIONS(15886), 1,
      anon_sym_LBRACE,
    STATE(6239), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316433] = 3,
    ACTIONS(28181), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316444] = 3,
    ACTIONS(28711), 1,
      anon_sym_LPAREN,
    STATE(10292), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316455] = 3,
    ACTIONS(5388), 1,
      anon_sym_LBRACE,
    STATE(10854), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316466] = 3,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(6399), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316477] = 3,
    ACTIONS(28711), 1,
      anon_sym_LPAREN,
    STATE(10295), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316488] = 3,
    ACTIONS(5388), 1,
      anon_sym_LBRACE,
    STATE(10858), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316499] = 3,
    ACTIONS(9812), 1,
      anon_sym_LBRACE,
    STATE(5831), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316510] = 3,
    ACTIONS(28937), 1,
      anon_sym_LPAREN,
    STATE(5090), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316521] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(6028), 1,
      anon_sym_RBRACK,
    ACTIONS(28939), 1,
      anon_sym_LF,
  [316534] = 3,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    STATE(9882), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316545] = 3,
    ACTIONS(28833), 1,
      anon_sym_LPAREN,
    STATE(9821), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316556] = 3,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    STATE(9889), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316567] = 3,
    ACTIONS(9118), 1,
      anon_sym_LBRACE,
    STATE(10737), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316578] = 3,
    ACTIONS(28833), 1,
      anon_sym_LPAREN,
    STATE(9823), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316589] = 3,
    ACTIONS(9694), 1,
      anon_sym_RPAREN,
    ACTIONS(28941), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316600] = 3,
    ACTIONS(28937), 1,
      anon_sym_LPAREN,
    STATE(5107), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316611] = 3,
    ACTIONS(9352), 1,
      anon_sym_RPAREN,
    ACTIONS(28943), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316622] = 3,
    ACTIONS(28567), 1,
      anon_sym_LPAREN,
    STATE(10740), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316633] = 3,
    ACTIONS(19119), 1,
      anon_sym_COMMA,
    STATE(14838), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316644] = 3,
    ACTIONS(15800), 1,
      anon_sym_LBRACE,
    STATE(11339), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316655] = 3,
    ACTIONS(28567), 1,
      anon_sym_LPAREN,
    STATE(10748), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316666] = 3,
    ACTIONS(15800), 1,
      anon_sym_LBRACE,
    STATE(11341), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316677] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28945), 1,
      anon_sym_RBRACK,
    ACTIONS(28947), 1,
      anon_sym_LF,
  [316690] = 3,
    ACTIONS(28711), 1,
      anon_sym_LPAREN,
    STATE(10302), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316701] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28949), 1,
      anon_sym_RBRACK,
    ACTIONS(28951), 1,
      anon_sym_LF,
  [316714] = 3,
    ACTIONS(10420), 1,
      anon_sym_RPAREN,
    ACTIONS(28953), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316725] = 3,
    ACTIONS(10642), 1,
      anon_sym_RPAREN,
    ACTIONS(28955), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316736] = 3,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(6364), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316747] = 3,
    ACTIONS(28937), 1,
      anon_sym_LPAREN,
    STATE(5126), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316758] = 3,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(6360), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316769] = 3,
    ACTIONS(28937), 1,
      anon_sym_LPAREN,
    STATE(5129), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316780] = 3,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    STATE(9936), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316791] = 3,
    ACTIONS(19436), 1,
      anon_sym_LBRACE,
    STATE(6820), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316802] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(28957), 1,
      anon_sym_RBRACK,
    ACTIONS(28959), 1,
      anon_sym_LF,
  [316815] = 3,
    ACTIONS(15800), 1,
      anon_sym_LBRACE,
    STATE(11344), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316826] = 3,
    ACTIONS(8916), 1,
      anon_sym_RPAREN,
    ACTIONS(28961), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316837] = 3,
    ACTIONS(28567), 1,
      anon_sym_LPAREN,
    STATE(10760), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316848] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(4870), 1,
      anon_sym_RBRACK,
    ACTIONS(28963), 1,
      anon_sym_LF,
  [316861] = 4,
    ACTIONS(3), 1,
      sym_block_comment,
    ACTIONS(169), 1,
      sym_line_comment,
    ACTIONS(5250), 1,
      anon_sym_RBRACK,
    ACTIONS(28965), 1,
      anon_sym_LF,
  [316874] = 3,
    ACTIONS(5388), 1,
      anon_sym_LBRACE,
    STATE(10866), 1,
      sym_curly_expression,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316885] = 2,
    ACTIONS(28967), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316893] = 2,
    ACTIONS(28969), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316901] = 2,
    ACTIONS(28971), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316909] = 2,
    ACTIONS(28973), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316917] = 2,
    ACTIONS(10702), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316925] = 2,
    ACTIONS(28975), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316933] = 2,
    ACTIONS(8916), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316941] = 2,
    ACTIONS(28977), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316949] = 2,
    ACTIONS(28979), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316957] = 2,
    ACTIONS(28981), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316965] = 2,
    ACTIONS(28983), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316973] = 2,
    ACTIONS(28985), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316981] = 2,
    ACTIONS(28987), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316989] = 2,
    ACTIONS(24025), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [316997] = 2,
    ACTIONS(22502), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317005] = 2,
    ACTIONS(28989), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317013] = 2,
    ACTIONS(28991), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317021] = 2,
    ACTIONS(22482), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317029] = 2,
    ACTIONS(28993), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317037] = 2,
    ACTIONS(28995), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317045] = 2,
    ACTIONS(28997), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317053] = 2,
    ACTIONS(28999), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317061] = 2,
    ACTIONS(29001), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317069] = 2,
    ACTIONS(29003), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317077] = 2,
    ACTIONS(29005), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317085] = 2,
    ACTIONS(29007), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317093] = 2,
    ACTIONS(29009), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317101] = 2,
    ACTIONS(15398), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317109] = 2,
    ACTIONS(28141), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317117] = 2,
    ACTIONS(29011), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317125] = 2,
    ACTIONS(29013), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317133] = 2,
    ACTIONS(29015), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317141] = 2,
    ACTIONS(7316), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317149] = 2,
    ACTIONS(29017), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317157] = 2,
    ACTIONS(29019), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317165] = 2,
    ACTIONS(29021), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317173] = 2,
    ACTIONS(29023), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317181] = 2,
    ACTIONS(29025), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317189] = 2,
    ACTIONS(29027), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317197] = 2,
    ACTIONS(29029), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317205] = 2,
    ACTIONS(29031), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317213] = 2,
    ACTIONS(29033), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317221] = 2,
    ACTIONS(29035), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317229] = 2,
    ACTIONS(10896), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317237] = 2,
    ACTIONS(29037), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317245] = 2,
    ACTIONS(29039), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317253] = 2,
    ACTIONS(24023), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317261] = 2,
    ACTIONS(29041), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317269] = 2,
    ACTIONS(29043), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317277] = 2,
    ACTIONS(22528), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317285] = 2,
    ACTIONS(29045), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317293] = 2,
    ACTIONS(29047), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317301] = 2,
    ACTIONS(29049), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317309] = 2,
    ACTIONS(29051), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317317] = 2,
    ACTIONS(29053), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317325] = 2,
    ACTIONS(29055), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317333] = 2,
    ACTIONS(29057), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317341] = 2,
    ACTIONS(29059), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317349] = 2,
    ACTIONS(29061), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317357] = 2,
    ACTIONS(29063), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317365] = 2,
    ACTIONS(29065), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317373] = 2,
    ACTIONS(29067), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317381] = 2,
    ACTIONS(29069), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317389] = 2,
    ACTIONS(7180), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317397] = 2,
    ACTIONS(8044), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317405] = 2,
    ACTIONS(21154), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317413] = 2,
    ACTIONS(29071), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317421] = 2,
    ACTIONS(29073), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317429] = 2,
    ACTIONS(21228), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317437] = 2,
    ACTIONS(8312), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317445] = 2,
    ACTIONS(29075), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317453] = 2,
    ACTIONS(29077), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317461] = 2,
    ACTIONS(29079), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317469] = 2,
    ACTIONS(29081), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317477] = 2,
    ACTIONS(29083), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317485] = 2,
    ACTIONS(29085), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317493] = 2,
    ACTIONS(29087), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317501] = 2,
    ACTIONS(29089), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317509] = 2,
    ACTIONS(29091), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317517] = 2,
    ACTIONS(29093), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317525] = 2,
    ACTIONS(29095), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317533] = 2,
    ACTIONS(29097), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317541] = 2,
    ACTIONS(29099), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317549] = 2,
    ACTIONS(29101), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317557] = 2,
    ACTIONS(29103), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317565] = 2,
    ACTIONS(29105), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317573] = 2,
    ACTIONS(29107), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317581] = 2,
    ACTIONS(29109), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317589] = 2,
    ACTIONS(29111), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317597] = 2,
    ACTIONS(29113), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317605] = 2,
    ACTIONS(29115), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317613] = 2,
    ACTIONS(7842), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317621] = 2,
    ACTIONS(29117), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317629] = 2,
    ACTIONS(29119), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317637] = 2,
    ACTIONS(29121), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317645] = 2,
    ACTIONS(29123), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317653] = 2,
    ACTIONS(28065), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317661] = 2,
    ACTIONS(29125), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317669] = 2,
    ACTIONS(29127), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317677] = 2,
    ACTIONS(22678), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317685] = 2,
    ACTIONS(29129), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317693] = 2,
    ACTIONS(29131), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317701] = 2,
    ACTIONS(29133), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317709] = 2,
    ACTIONS(29135), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317717] = 2,
    ACTIONS(29137), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317725] = 2,
    ACTIONS(29139), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317733] = 2,
    ACTIONS(22812), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317741] = 2,
    ACTIONS(24011), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317749] = 2,
    ACTIONS(29141), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317757] = 2,
    ACTIONS(29143), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317765] = 2,
    ACTIONS(10260), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317773] = 2,
    ACTIONS(29145), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317781] = 2,
    ACTIONS(9942), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317789] = 2,
    ACTIONS(18224), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317797] = 2,
    ACTIONS(10394), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317805] = 2,
    ACTIONS(29147), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317813] = 2,
    ACTIONS(29149), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317821] = 2,
    ACTIONS(15382), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317829] = 2,
    ACTIONS(29151), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317837] = 2,
    ACTIONS(29153), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317845] = 2,
    ACTIONS(29155), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317853] = 2,
    ACTIONS(24015), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317861] = 2,
    ACTIONS(29157), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317869] = 2,
    ACTIONS(29159), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317877] = 2,
    ACTIONS(29161), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317885] = 2,
    ACTIONS(22698), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317893] = 2,
    ACTIONS(29163), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317901] = 2,
    ACTIONS(29165), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317909] = 2,
    ACTIONS(29167), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317917] = 2,
    ACTIONS(29169), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317925] = 2,
    ACTIONS(29171), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317933] = 2,
    ACTIONS(29173), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317941] = 2,
    ACTIONS(29175), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317949] = 2,
    ACTIONS(29177), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317957] = 2,
    ACTIONS(29179), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317965] = 2,
    ACTIONS(15440), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317973] = 2,
    ACTIONS(29181), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317981] = 2,
    ACTIONS(29183), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317989] = 2,
    ACTIONS(29185), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [317997] = 2,
    ACTIONS(29187), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318005] = 2,
    ACTIONS(29189), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318013] = 2,
    ACTIONS(29191), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318021] = 2,
    ACTIONS(29193), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318029] = 2,
    ACTIONS(29195), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318037] = 2,
    ACTIONS(29197), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318045] = 2,
    ACTIONS(22972), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318053] = 2,
    ACTIONS(29199), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318061] = 2,
    ACTIONS(24003), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318069] = 2,
    ACTIONS(29201), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318077] = 2,
    ACTIONS(29203), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318085] = 2,
    ACTIONS(10798), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318093] = 2,
    ACTIONS(10020), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318101] = 2,
    ACTIONS(29205), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318109] = 2,
    ACTIONS(29207), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318117] = 2,
    ACTIONS(24013), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318125] = 2,
    ACTIONS(10148), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318133] = 2,
    ACTIONS(29209), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318141] = 2,
    ACTIONS(22766), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318149] = 2,
    ACTIONS(29211), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318157] = 2,
    ACTIONS(29213), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318165] = 2,
    ACTIONS(29215), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318173] = 2,
    ACTIONS(29217), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318181] = 2,
    ACTIONS(29219), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318189] = 2,
    ACTIONS(29221), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318197] = 2,
    ACTIONS(29223), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318205] = 2,
    ACTIONS(29225), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318213] = 2,
    ACTIONS(29227), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318221] = 2,
    ACTIONS(29229), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318229] = 2,
    ACTIONS(29231), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318237] = 2,
    ACTIONS(29233), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318245] = 2,
    ACTIONS(29235), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318253] = 2,
    ACTIONS(23028), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318261] = 2,
    ACTIONS(29237), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318269] = 2,
    ACTIONS(21246), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318277] = 2,
    ACTIONS(27969), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318285] = 2,
    ACTIONS(29239), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318293] = 2,
    ACTIONS(29241), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318301] = 2,
    ACTIONS(8492), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318309] = 2,
    ACTIONS(29243), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318317] = 2,
    ACTIONS(29245), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318325] = 2,
    ACTIONS(29247), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318333] = 2,
    ACTIONS(29249), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318341] = 2,
    ACTIONS(29251), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318349] = 2,
    ACTIONS(29253), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318357] = 2,
    ACTIONS(29255), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318365] = 2,
    ACTIONS(29257), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318373] = 2,
    ACTIONS(29259), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318381] = 2,
    ACTIONS(29261), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318389] = 2,
    ACTIONS(29263), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318397] = 2,
    ACTIONS(29265), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318405] = 2,
    ACTIONS(29267), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318413] = 2,
    ACTIONS(29269), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318421] = 2,
    ACTIONS(29271), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318429] = 2,
    ACTIONS(29273), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318437] = 2,
    ACTIONS(29275), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318445] = 2,
    ACTIONS(29277), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318453] = 2,
    ACTIONS(29279), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318461] = 2,
    ACTIONS(29281), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318469] = 2,
    ACTIONS(29283), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318477] = 2,
    ACTIONS(7390), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318485] = 2,
    ACTIONS(29285), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318493] = 2,
    ACTIONS(29287), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318501] = 2,
    ACTIONS(29289), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318509] = 2,
    ACTIONS(29291), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318517] = 2,
    ACTIONS(27951), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318525] = 2,
    ACTIONS(29293), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318533] = 2,
    ACTIONS(29295), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318541] = 2,
    ACTIONS(22964), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318549] = 2,
    ACTIONS(29297), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318557] = 2,
    ACTIONS(29299), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318565] = 2,
    ACTIONS(29301), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318573] = 2,
    ACTIONS(29303), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318581] = 2,
    ACTIONS(29305), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318589] = 2,
    ACTIONS(29307), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318597] = 2,
    ACTIONS(29309), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318605] = 2,
    ACTIONS(29311), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318613] = 2,
    ACTIONS(29313), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318621] = 2,
    ACTIONS(29315), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318629] = 2,
    ACTIONS(29317), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318637] = 2,
    ACTIONS(29319), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318645] = 2,
    ACTIONS(9330), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318653] = 2,
    ACTIONS(29321), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318661] = 2,
    ACTIONS(10748), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318669] = 2,
    ACTIONS(29323), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318677] = 2,
    ACTIONS(29325), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318685] = 2,
    ACTIONS(29327), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318693] = 2,
    ACTIONS(29329), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318701] = 2,
    ACTIONS(29331), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318709] = 2,
    ACTIONS(29333), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318717] = 2,
    ACTIONS(24001), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318725] = 2,
    ACTIONS(29335), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318733] = 2,
    ACTIONS(29337), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318741] = 2,
    ACTIONS(29339), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318749] = 2,
    ACTIONS(22974), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318757] = 2,
    ACTIONS(29341), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318765] = 2,
    ACTIONS(29343), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318773] = 2,
    ACTIONS(29345), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318781] = 2,
    ACTIONS(29347), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318789] = 2,
    ACTIONS(29349), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318797] = 2,
    ACTIONS(29351), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318805] = 2,
    ACTIONS(29353), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318813] = 2,
    ACTIONS(29355), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318821] = 2,
    ACTIONS(29357), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318829] = 2,
    ACTIONS(15374), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318837] = 2,
    ACTIONS(8534), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318845] = 2,
    ACTIONS(29359), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318853] = 2,
    ACTIONS(21336), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318861] = 2,
    ACTIONS(29361), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318869] = 2,
    ACTIONS(29363), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318877] = 2,
    ACTIONS(29365), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318885] = 2,
    ACTIONS(29367), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318893] = 2,
    ACTIONS(29369), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318901] = 2,
    ACTIONS(29371), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318909] = 2,
    ACTIONS(29373), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318917] = 2,
    ACTIONS(29375), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318925] = 2,
    ACTIONS(29377), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318933] = 2,
    ACTIONS(29379), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318941] = 2,
    ACTIONS(29381), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318949] = 2,
    ACTIONS(23290), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318957] = 2,
    ACTIONS(9504), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318965] = 2,
    ACTIONS(29383), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318973] = 2,
    ACTIONS(29385), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318981] = 2,
    ACTIONS(29387), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318989] = 2,
    ACTIONS(23997), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [318997] = 2,
    ACTIONS(29389), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319005] = 2,
    ACTIONS(23979), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319013] = 2,
    ACTIONS(23042), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319021] = 2,
    ACTIONS(29391), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319029] = 2,
    ACTIONS(29393), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319037] = 2,
    ACTIONS(27796), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319045] = 2,
    ACTIONS(29395), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319053] = 2,
    ACTIONS(29397), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319061] = 2,
    ACTIONS(29399), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319069] = 2,
    ACTIONS(29401), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319077] = 2,
    ACTIONS(29403), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319085] = 2,
    ACTIONS(29405), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319093] = 2,
    ACTIONS(9308), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319101] = 2,
    ACTIONS(18090), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319109] = 2,
    ACTIONS(12080), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319117] = 2,
    ACTIONS(29407), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319125] = 2,
    ACTIONS(29409), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319133] = 2,
    ACTIONS(29411), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319141] = 2,
    ACTIONS(21300), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319149] = 2,
    ACTIONS(15444), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319157] = 2,
    ACTIONS(29413), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319165] = 2,
    ACTIONS(29415), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319173] = 2,
    ACTIONS(8226), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319181] = 2,
    ACTIONS(28793), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319189] = 2,
    ACTIONS(29417), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319197] = 2,
    ACTIONS(29419), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319205] = 2,
    ACTIONS(29421), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319213] = 2,
    ACTIONS(29423), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319221] = 2,
    ACTIONS(29425), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319229] = 2,
    ACTIONS(29427), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319237] = 2,
    ACTIONS(29429), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319245] = 2,
    ACTIONS(29431), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319253] = 2,
    ACTIONS(29433), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319261] = 2,
    ACTIONS(29435), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319269] = 2,
    ACTIONS(29437), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319277] = 2,
    ACTIONS(29439), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319285] = 2,
    ACTIONS(29441), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319293] = 2,
    ACTIONS(29443), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319301] = 2,
    ACTIONS(29445), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319309] = 2,
    ACTIONS(29447), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319317] = 2,
    ACTIONS(29449), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319325] = 2,
    ACTIONS(29451), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319333] = 2,
    ACTIONS(29453), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319341] = 2,
    ACTIONS(29455), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319349] = 2,
    ACTIONS(7004), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319357] = 2,
    ACTIONS(29457), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319365] = 2,
    ACTIONS(29459), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319373] = 2,
    ACTIONS(29461), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319381] = 2,
    ACTIONS(29463), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319389] = 2,
    ACTIONS(29465), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319397] = 2,
    ACTIONS(29467), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319405] = 2,
    ACTIONS(29469), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319413] = 2,
    ACTIONS(23346), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319421] = 2,
    ACTIONS(29471), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319429] = 2,
    ACTIONS(29473), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319437] = 2,
    ACTIONS(29475), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319445] = 2,
    ACTIONS(29477), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319453] = 2,
    ACTIONS(29479), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319461] = 2,
    ACTIONS(29481), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319469] = 2,
    ACTIONS(29483), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319477] = 2,
    ACTIONS(23406), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319485] = 2,
    ACTIONS(29485), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319493] = 2,
    ACTIONS(23963), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319501] = 2,
    ACTIONS(29487), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319509] = 2,
    ACTIONS(29489), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319517] = 2,
    ACTIONS(8632), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319525] = 2,
    ACTIONS(29491), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319533] = 2,
    ACTIONS(9932), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319541] = 2,
    ACTIONS(9486), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319549] = 2,
    ACTIONS(9276), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319557] = 2,
    ACTIONS(29493), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319565] = 2,
    ACTIONS(29495), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319573] = 2,
    ACTIONS(29497), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319581] = 2,
    ACTIONS(29499), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319589] = 2,
    ACTIONS(23987), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319597] = 2,
    ACTIONS(29501), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319605] = 2,
    ACTIONS(29503), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319613] = 2,
    ACTIONS(29505), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319621] = 2,
    ACTIONS(23252), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319629] = 2,
    ACTIONS(29507), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319637] = 2,
    ACTIONS(29509), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319645] = 2,
    ACTIONS(29511), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319653] = 2,
    ACTIONS(29513), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319661] = 2,
    ACTIONS(29515), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319669] = 2,
    ACTIONS(29517), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319677] = 2,
    ACTIONS(29519), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319685] = 2,
    ACTIONS(29521), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319693] = 2,
    ACTIONS(29523), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319701] = 2,
    ACTIONS(29525), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319709] = 2,
    ACTIONS(29527), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319717] = 2,
    ACTIONS(29529), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319725] = 2,
    ACTIONS(23482), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319733] = 2,
    ACTIONS(29531), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319741] = 2,
    ACTIONS(18030), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319749] = 2,
    ACTIONS(27730), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319757] = 2,
    ACTIONS(15402), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319765] = 2,
    ACTIONS(29533), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319773] = 2,
    ACTIONS(29535), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319781] = 2,
    ACTIONS(7742), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319789] = 2,
    ACTIONS(29537), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319797] = 2,
    ACTIONS(29539), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319805] = 2,
    ACTIONS(29541), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319813] = 2,
    ACTIONS(29543), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319821] = 2,
    ACTIONS(29545), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319829] = 2,
    ACTIONS(29547), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319837] = 2,
    ACTIONS(29549), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319845] = 2,
    ACTIONS(29551), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319853] = 2,
    ACTIONS(29553), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319861] = 2,
    ACTIONS(29555), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319869] = 2,
    ACTIONS(29557), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319877] = 2,
    ACTIONS(29559), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319885] = 2,
    ACTIONS(29561), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319893] = 2,
    ACTIONS(29563), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319901] = 2,
    ACTIONS(29565), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319909] = 2,
    ACTIONS(29567), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319917] = 2,
    ACTIONS(29569), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319925] = 2,
    ACTIONS(29571), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319933] = 2,
    ACTIONS(8366), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319941] = 2,
    ACTIONS(29573), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319949] = 2,
    ACTIONS(21520), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319957] = 2,
    ACTIONS(29575), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319965] = 2,
    ACTIONS(9042), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319973] = 2,
    ACTIONS(29577), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319981] = 2,
    ACTIONS(29579), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319989] = 2,
    ACTIONS(23969), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [319997] = 2,
    ACTIONS(10448), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320005] = 2,
    ACTIONS(29581), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320013] = 2,
    ACTIONS(23354), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320021] = 2,
    ACTIONS(29583), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320029] = 2,
    ACTIONS(29585), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320037] = 2,
    ACTIONS(29587), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320045] = 2,
    ACTIONS(29589), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320053] = 2,
    ACTIONS(29591), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320061] = 2,
    ACTIONS(29593), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320069] = 2,
    ACTIONS(29595), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320077] = 2,
    ACTIONS(23450), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320085] = 2,
    ACTIONS(29597), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320093] = 2,
    ACTIONS(15400), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320101] = 2,
    ACTIONS(8914), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320109] = 2,
    ACTIONS(21534), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320117] = 2,
    ACTIONS(8828), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320125] = 2,
    ACTIONS(29599), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320133] = 2,
    ACTIONS(29601), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320141] = 2,
    ACTIONS(21370), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320149] = 2,
    ACTIONS(7604), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320157] = 2,
    ACTIONS(29603), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320165] = 2,
    ACTIONS(29605), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320173] = 2,
    ACTIONS(7992), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320181] = 2,
    ACTIONS(29607), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320189] = 2,
    ACTIONS(29609), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320197] = 2,
    ACTIONS(29611), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320205] = 2,
    ACTIONS(29613), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320213] = 2,
    ACTIONS(9656), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320221] = 2,
    ACTIONS(29615), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320229] = 2,
    ACTIONS(17687), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320237] = 2,
    ACTIONS(29617), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320245] = 2,
    ACTIONS(29619), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320253] = 2,
    ACTIONS(29621), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320261] = 2,
    ACTIONS(29623), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320269] = 2,
    ACTIONS(29625), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320277] = 2,
    ACTIONS(29627), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320285] = 2,
    ACTIONS(29629), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320293] = 2,
    ACTIONS(29631), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320301] = 2,
    ACTIONS(29633), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320309] = 2,
    ACTIONS(29635), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320317] = 2,
    ACTIONS(29637), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320325] = 2,
    ACTIONS(29639), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320333] = 2,
    ACTIONS(29641), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320341] = 2,
    ACTIONS(8812), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320349] = 2,
    ACTIONS(7504), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320357] = 2,
    ACTIONS(7436), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320365] = 2,
    ACTIONS(29643), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320373] = 2,
    ACTIONS(29645), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320381] = 2,
    ACTIONS(29647), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320389] = 2,
    ACTIONS(27206), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320397] = 2,
    ACTIONS(29649), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320405] = 2,
    ACTIONS(29651), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320413] = 2,
    ACTIONS(29653), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320421] = 2,
    ACTIONS(29655), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320429] = 2,
    ACTIONS(29657), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320437] = 2,
    ACTIONS(29659), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320445] = 2,
    ACTIONS(29661), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320453] = 2,
    ACTIONS(29663), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320461] = 2,
    ACTIONS(29665), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320469] = 2,
    ACTIONS(29667), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320477] = 2,
    ACTIONS(29669), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320485] = 2,
    ACTIONS(8164), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320493] = 2,
    ACTIONS(29671), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320501] = 2,
    ACTIONS(21596), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320509] = 2,
    ACTIONS(29673), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320517] = 2,
    ACTIONS(8918), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320525] = 2,
    ACTIONS(21602), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320533] = 2,
    ACTIONS(9452), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320541] = 2,
    ACTIONS(29675), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320549] = 2,
    ACTIONS(9228), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320557] = 2,
    ACTIONS(29677), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320565] = 2,
    ACTIONS(7258), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320573] = 2,
    ACTIONS(29679), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320581] = 2,
    ACTIONS(29681), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320589] = 2,
    ACTIONS(23961), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320597] = 2,
    ACTIONS(29683), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320605] = 2,
    ACTIONS(29685), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320613] = 2,
    ACTIONS(29687), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320621] = 2,
    ACTIONS(9638), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320629] = 2,
    ACTIONS(29689), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320637] = 2,
    ACTIONS(23454), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320645] = 2,
    ACTIONS(29691), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320653] = 2,
    ACTIONS(29693), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320661] = 2,
    ACTIONS(29695), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320669] = 2,
    ACTIONS(29697), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320677] = 2,
    ACTIONS(29699), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320685] = 2,
    ACTIONS(8652), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320693] = 2,
    ACTIONS(29701), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320701] = 2,
    ACTIONS(12518), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320709] = 2,
    ACTIONS(29703), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320717] = 2,
    ACTIONS(29705), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320725] = 2,
    ACTIONS(29707), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320733] = 2,
    ACTIONS(15480), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320741] = 2,
    ACTIONS(21640), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320749] = 2,
    ACTIONS(29709), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320757] = 2,
    ACTIONS(29711), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320765] = 2,
    ACTIONS(29713), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320773] = 2,
    ACTIONS(15446), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320781] = 2,
    ACTIONS(8634), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320789] = 2,
    ACTIONS(29715), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320797] = 2,
    ACTIONS(10224), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320805] = 2,
    ACTIONS(29717), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320813] = 2,
    ACTIONS(29719), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320821] = 2,
    ACTIONS(29721), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320829] = 2,
    ACTIONS(7242), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320837] = 2,
    ACTIONS(7228), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320845] = 2,
    ACTIONS(29723), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320853] = 2,
    ACTIONS(29725), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320861] = 2,
    ACTIONS(29727), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320869] = 2,
    ACTIONS(29729), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320877] = 2,
    ACTIONS(29731), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320885] = 2,
    ACTIONS(29733), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320893] = 2,
    ACTIONS(9558), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320901] = 2,
    ACTIONS(29735), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320909] = 2,
    ACTIONS(29737), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320917] = 2,
    ACTIONS(8816), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320925] = 2,
    ACTIONS(29739), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320933] = 2,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320941] = 2,
    ACTIONS(29741), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320949] = 2,
    ACTIONS(21676), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320957] = 2,
    ACTIONS(29743), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320965] = 2,
    ACTIONS(8666), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320973] = 2,
    ACTIONS(29745), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320981] = 2,
    ACTIONS(29747), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320989] = 2,
    ACTIONS(23955), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [320997] = 2,
    ACTIONS(21688), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321005] = 2,
    ACTIONS(8802), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321013] = 2,
    ACTIONS(23520), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321021] = 2,
    ACTIONS(29749), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321029] = 2,
    ACTIONS(29751), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321037] = 2,
    ACTIONS(29753), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321045] = 2,
    ACTIONS(29755), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321053] = 2,
    ACTIONS(29757), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321061] = 2,
    ACTIONS(29759), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321069] = 2,
    ACTIONS(29761), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321077] = 2,
    ACTIONS(29763), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321085] = 2,
    ACTIONS(29765), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321093] = 2,
    ACTIONS(29767), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321101] = 2,
    ACTIONS(29769), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321109] = 2,
    ACTIONS(29771), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321117] = 2,
    ACTIONS(29773), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321125] = 2,
    ACTIONS(7808), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321133] = 2,
    ACTIONS(29775), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321141] = 2,
    ACTIONS(21480), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321149] = 2,
    ACTIONS(15478), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321157] = 2,
    ACTIONS(29777), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321165] = 2,
    ACTIONS(29779), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321173] = 2,
    ACTIONS(8388), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321181] = 2,
    ACTIONS(29781), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321189] = 2,
    ACTIONS(9552), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321197] = 2,
    ACTIONS(29783), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321205] = 2,
    ACTIONS(29785), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321213] = 2,
    ACTIONS(8996), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321221] = 2,
    ACTIONS(9018), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321229] = 2,
    ACTIONS(17606), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321237] = 2,
    ACTIONS(29787), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321245] = 2,
    ACTIONS(29789), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321253] = 2,
    ACTIONS(29791), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321261] = 2,
    ACTIONS(29793), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321269] = 2,
    ACTIONS(29795), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321277] = 2,
    ACTIONS(29797), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321285] = 2,
    ACTIONS(29799), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321293] = 2,
    ACTIONS(29801), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321301] = 2,
    ACTIONS(29803), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321309] = 2,
    ACTIONS(29805), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321317] = 2,
    ACTIONS(29807), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321325] = 2,
    ACTIONS(29809), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321333] = 2,
    ACTIONS(29811), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321341] = 2,
    ACTIONS(8848), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321349] = 2,
    ACTIONS(7912), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321357] = 2,
    ACTIONS(29813), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321365] = 2,
    ACTIONS(29815), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321373] = 2,
    ACTIONS(29817), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321381] = 2,
    ACTIONS(29819), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321389] = 2,
    ACTIONS(27752), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321397] = 2,
    ACTIONS(29821), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321405] = 2,
    ACTIONS(29823), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321413] = 2,
    ACTIONS(23704), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321421] = 2,
    ACTIONS(29825), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321429] = 2,
    ACTIONS(29827), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321437] = 2,
    ACTIONS(29829), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321445] = 2,
    ACTIONS(29831), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321453] = 2,
    ACTIONS(29833), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321461] = 2,
    ACTIONS(21692), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321469] = 2,
    ACTIONS(7852), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321477] = 2,
    ACTIONS(29835), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321485] = 2,
    ACTIONS(29837), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321493] = 2,
    ACTIONS(29839), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321501] = 2,
    ACTIONS(29841), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321509] = 2,
    ACTIONS(29843), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321517] = 2,
    ACTIONS(8410), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321525] = 2,
    ACTIONS(29845), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321533] = 2,
    ACTIONS(8944), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321541] = 2,
    ACTIONS(29847), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321549] = 2,
    ACTIONS(8948), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321557] = 2,
    ACTIONS(29849), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321565] = 2,
    ACTIONS(7802), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321573] = 2,
    ACTIONS(29851), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321581] = 2,
    ACTIONS(12828), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321589] = 2,
    ACTIONS(21662), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321597] = 2,
    ACTIONS(29853), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321605] = 2,
    ACTIONS(9540), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321613] = 2,
    ACTIONS(9194), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321621] = 2,
    ACTIONS(15438), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321629] = 2,
    ACTIONS(8744), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321637] = 2,
    ACTIONS(29855), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321645] = 2,
    ACTIONS(29857), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321653] = 2,
    ACTIONS(29859), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321661] = 2,
    ACTIONS(23934), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321669] = 2,
    ACTIONS(29861), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321677] = 2,
    ACTIONS(29863), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321685] = 2,
    ACTIONS(29865), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321693] = 2,
    ACTIONS(21630), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321701] = 2,
    ACTIONS(29867), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321709] = 2,
    ACTIONS(15422), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321717] = 2,
    ACTIONS(9618), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321725] = 2,
    ACTIONS(29869), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321733] = 2,
    ACTIONS(29871), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321741] = 2,
    ACTIONS(7656), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321749] = 2,
    ACTIONS(29873), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321757] = 2,
    ACTIONS(23728), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321765] = 2,
    ACTIONS(29875), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321773] = 2,
    ACTIONS(29877), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321781] = 2,
    ACTIONS(29879), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321789] = 2,
    ACTIONS(29881), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321797] = 2,
    ACTIONS(29883), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321805] = 2,
    ACTIONS(29885), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321813] = 2,
    ACTIONS(29887), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321821] = 2,
    ACTIONS(29889), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321829] = 2,
    ACTIONS(29891), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321837] = 2,
    ACTIONS(15502), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321845] = 2,
    ACTIONS(29893), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321853] = 2,
    ACTIONS(29895), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321861] = 2,
    ACTIONS(29897), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321869] = 2,
    ACTIONS(29899), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321877] = 2,
    ACTIONS(9536), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321885] = 2,
    ACTIONS(9430), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321893] = 2,
    ACTIONS(7588), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321901] = 2,
    ACTIONS(15466), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321909] = 2,
    ACTIONS(29901), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321917] = 2,
    ACTIONS(29903), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321925] = 2,
    ACTIONS(29905), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321933] = 2,
    ACTIONS(29907), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321941] = 2,
    ACTIONS(29909), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321949] = 2,
    ACTIONS(29911), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321957] = 2,
    ACTIONS(29913), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321965] = 2,
    ACTIONS(7960), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321973] = 2,
    ACTIONS(9238), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321981] = 2,
    ACTIONS(29915), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321989] = 2,
    ACTIONS(29917), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [321997] = 2,
    ACTIONS(21490), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322005] = 2,
    ACTIONS(29919), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322013] = 2,
    ACTIONS(23918), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322021] = 2,
    ACTIONS(21494), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322029] = 2,
    ACTIONS(29921), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322037] = 2,
    ACTIONS(23796), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322045] = 2,
    ACTIONS(29923), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322053] = 2,
    ACTIONS(29925), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322061] = 2,
    ACTIONS(29927), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322069] = 2,
    ACTIONS(9088), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322077] = 2,
    ACTIONS(29929), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322085] = 2,
    ACTIONS(29931), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322093] = 2,
    ACTIONS(12570), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322101] = 2,
    ACTIONS(29933), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322109] = 2,
    ACTIONS(29935), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322117] = 2,
    ACTIONS(29937), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322125] = 2,
    ACTIONS(7426), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322133] = 2,
    ACTIONS(29939), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322141] = 2,
    ACTIONS(29941), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322149] = 2,
    ACTIONS(29943), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322157] = 2,
    ACTIONS(29945), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322165] = 2,
    ACTIONS(29947), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322173] = 2,
    ACTIONS(9534), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322181] = 2,
    ACTIONS(9598), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322189] = 2,
    ACTIONS(15494), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322197] = 2,
    ACTIONS(15492), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322205] = 2,
    ACTIONS(9332), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322213] = 2,
    ACTIONS(9640), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322221] = 2,
    ACTIONS(29949), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322229] = 2,
    ACTIONS(29951), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322237] = 2,
    ACTIONS(10458), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322245] = 2,
    ACTIONS(29953), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322253] = 2,
    ACTIONS(21432), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322261] = 2,
    ACTIONS(29955), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322269] = 2,
    ACTIONS(29957), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322277] = 2,
    ACTIONS(7290), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322285] = 2,
    ACTIONS(21578), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322293] = 2,
    ACTIONS(29959), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322301] = 2,
    ACTIONS(29961), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322309] = 2,
    ACTIONS(29963), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322317] = 2,
    ACTIONS(8104), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322325] = 2,
    ACTIONS(29965), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322333] = 2,
    ACTIONS(29967), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322341] = 2,
    ACTIONS(29969), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322349] = 2,
    ACTIONS(29971), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322357] = 2,
    ACTIONS(29973), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322365] = 2,
    ACTIONS(8146), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322373] = 2,
    ACTIONS(29975), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322381] = 2,
    ACTIONS(29977), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322389] = 2,
    ACTIONS(29979), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322397] = 2,
    ACTIONS(29981), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322405] = 2,
    ACTIONS(29983), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322413] = 2,
    ACTIONS(29985), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322421] = 2,
    ACTIONS(29987), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322429] = 2,
    ACTIONS(29989), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322437] = 2,
    ACTIONS(29991), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322445] = 2,
    ACTIONS(29993), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322453] = 2,
    ACTIONS(29995), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322461] = 2,
    ACTIONS(21362), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322469] = 2,
    ACTIONS(29997), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322477] = 2,
    ACTIONS(29999), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322485] = 2,
    ACTIONS(30001), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322493] = 2,
    ACTIONS(30003), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322501] = 2,
    ACTIONS(7190), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322509] = 2,
    ACTIONS(7192), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322517] = 2,
    ACTIONS(9884), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322525] = 2,
    ACTIONS(30005), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322533] = 2,
    ACTIONS(9532), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322541] = 2,
    ACTIONS(17926), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322549] = 2,
    ACTIONS(10230), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322557] = 2,
    ACTIONS(9438), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322565] = 2,
    ACTIONS(30007), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322573] = 2,
    ACTIONS(15460), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322581] = 2,
    ACTIONS(30009), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322589] = 2,
    ACTIONS(30011), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322597] = 2,
    ACTIONS(30013), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322605] = 2,
    ACTIONS(28045), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322613] = 2,
    ACTIONS(30015), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322621] = 2,
    ACTIONS(30017), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322629] = 2,
    ACTIONS(30019), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322637] = 2,
    ACTIONS(21308), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322645] = 2,
    ACTIONS(30021), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322653] = 2,
    ACTIONS(15506), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322661] = 2,
    ACTIONS(9946), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322669] = 2,
    ACTIONS(8994), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322677] = 2,
    ACTIONS(23846), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322685] = 2,
    ACTIONS(30023), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322693] = 2,
    ACTIONS(30025), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322701] = 2,
    ACTIONS(30027), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322709] = 2,
    ACTIONS(30029), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322717] = 2,
    ACTIONS(30031), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322725] = 2,
    ACTIONS(30033), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322733] = 2,
    ACTIONS(30035), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322741] = 2,
    ACTIONS(30037), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322749] = 2,
    ACTIONS(7032), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322757] = 2,
    ACTIONS(30039), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322765] = 2,
    ACTIONS(30041), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322773] = 2,
    ACTIONS(7016), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322781] = 2,
    ACTIONS(30043), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322789] = 2,
    ACTIONS(30045), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322797] = 2,
    ACTIONS(10400), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322805] = 2,
    ACTIONS(9518), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322813] = 2,
    ACTIONS(8730), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322821] = 2,
    ACTIONS(10006), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322829] = 2,
    ACTIONS(30047), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322837] = 2,
    ACTIONS(30049), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322845] = 2,
    ACTIONS(15414), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322853] = 2,
    ACTIONS(30051), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322861] = 2,
    ACTIONS(30053), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322869] = 2,
    ACTIONS(30055), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322877] = 2,
    ACTIONS(17662), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322885] = 2,
    ACTIONS(23916), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322893] = 2,
    ACTIONS(30057), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322901] = 2,
    ACTIONS(30059), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322909] = 2,
    ACTIONS(30061), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322917] = 2,
    ACTIONS(23812), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322925] = 2,
    ACTIONS(30063), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322933] = 2,
    ACTIONS(30065), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322941] = 2,
    ACTIONS(21206), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322949] = 2,
    ACTIONS(21200), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322957] = 2,
    ACTIONS(30067), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322965] = 2,
    ACTIONS(15220), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322973] = 2,
    ACTIONS(9720), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322981] = 2,
    ACTIONS(30069), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322989] = 2,
    ACTIONS(30071), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [322997] = 2,
    ACTIONS(30073), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323005] = 2,
    ACTIONS(30075), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323013] = 2,
    ACTIONS(30077), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323021] = 2,
    ACTIONS(30079), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323029] = 2,
    ACTIONS(30081), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323037] = 2,
    ACTIONS(30083), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323045] = 2,
    ACTIONS(7070), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323053] = 2,
    ACTIONS(30085), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323061] = 2,
    ACTIONS(30087), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323069] = 2,
    ACTIONS(15384), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323077] = 2,
    ACTIONS(30089), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323085] = 2,
    ACTIONS(30091), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323093] = 2,
    ACTIONS(9508), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323101] = 2,
    ACTIONS(10222), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323109] = 2,
    ACTIONS(30093), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323117] = 2,
    ACTIONS(15408), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323125] = 2,
    ACTIONS(15406), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323133] = 2,
    ACTIONS(30095), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323141] = 2,
    ACTIONS(9550), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323149] = 2,
    ACTIONS(30097), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323157] = 2,
    ACTIONS(30099), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323165] = 2,
    ACTIONS(30101), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323173] = 2,
    ACTIONS(30103), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323181] = 2,
    ACTIONS(21136), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323189] = 2,
    ACTIONS(7122), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323197] = 2,
    ACTIONS(30105), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323205] = 2,
    ACTIONS(30107), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323213] = 2,
    ACTIONS(30109), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323221] = 2,
    ACTIONS(30111), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323229] = 2,
    ACTIONS(30113), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323237] = 2,
    ACTIONS(30115), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323245] = 2,
    ACTIONS(17596), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323253] = 2,
    ACTIONS(7942), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323261] = 2,
    ACTIONS(17948), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323269] = 2,
    ACTIONS(8506), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323277] = 2,
    ACTIONS(30117), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323285] = 2,
    ACTIONS(21086), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323293] = 2,
    ACTIONS(30119), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323301] = 2,
    ACTIONS(7046), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323309] = 2,
    ACTIONS(30121), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323317] = 2,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323325] = 2,
    ACTIONS(30123), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323333] = 2,
    ACTIONS(30125), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323341] = 2,
    ACTIONS(9488), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323349] = 2,
    ACTIONS(10010), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323357] = 2,
    ACTIONS(8896), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323365] = 2,
    ACTIONS(15392), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323373] = 2,
    ACTIONS(30127), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323381] = 2,
    ACTIONS(30129), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323389] = 2,
    ACTIONS(30131), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323397] = 2,
    ACTIONS(30133), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323405] = 2,
    ACTIONS(23926), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323413] = 2,
    ACTIONS(30135), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323421] = 2,
    ACTIONS(21126), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323429] = 2,
    ACTIONS(23746), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323437] = 2,
    ACTIONS(30137), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323445] = 2,
    ACTIONS(30139), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323453] = 2,
    ACTIONS(30141), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323461] = 2,
    ACTIONS(15396), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323469] = 2,
    ACTIONS(30143), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323477] = 2,
    ACTIONS(30145), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323485] = 2,
    ACTIONS(30147), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323493] = 2,
    ACTIONS(10704), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323501] = 2,
    ACTIONS(30149), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323509] = 2,
    ACTIONS(30151), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323517] = 2,
    ACTIONS(10370), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323525] = 2,
    ACTIONS(30153), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323533] = 2,
    ACTIONS(30155), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323541] = 2,
    ACTIONS(7288), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323549] = 2,
    ACTIONS(30157), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323557] = 2,
    ACTIONS(12662), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323565] = 2,
    ACTIONS(30159), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323573] = 2,
    ACTIONS(7294), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323581] = 2,
    ACTIONS(30161), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323589] = 2,
    ACTIONS(30163), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323597] = 2,
    ACTIONS(9448), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323605] = 2,
    ACTIONS(30165), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323613] = 2,
    ACTIONS(10806), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323621] = 2,
    ACTIONS(12174), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323629] = 2,
    ACTIONS(15436), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323637] = 2,
    ACTIONS(30167), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323645] = 2,
    ACTIONS(8448), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323653] = 2,
    ACTIONS(30169), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323661] = 2,
    ACTIONS(30171), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323669] = 2,
    ACTIONS(21270), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323677] = 2,
    ACTIONS(21720), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323685] = 2,
    ACTIONS(21284), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323693] = 2,
    ACTIONS(30173), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323701] = 2,
    ACTIONS(30175), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323709] = 2,
    ACTIONS(30177), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323717] = 2,
    ACTIONS(30179), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323725] = 2,
    ACTIONS(8404), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323733] = 2,
    ACTIONS(30181), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323741] = 2,
    ACTIONS(30183), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323749] = 2,
    ACTIONS(30185), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323757] = 2,
    ACTIONS(30187), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323765] = 2,
    ACTIONS(30189), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323773] = 2,
    ACTIONS(30191), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323781] = 2,
    ACTIONS(7402), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323789] = 2,
    ACTIONS(30193), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323797] = 2,
    ACTIONS(15498), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323805] = 2,
    ACTIONS(30195), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323813] = 2,
    ACTIONS(30197), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323821] = 2,
    ACTIONS(30199), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323829] = 2,
    ACTIONS(30201), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323837] = 2,
    ACTIONS(9440), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323845] = 2,
    ACTIONS(10826), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323853] = 2,
    ACTIONS(12378), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323861] = 2,
    ACTIONS(10726), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323869] = 2,
    ACTIONS(30203), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323877] = 2,
    ACTIONS(30205), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323885] = 2,
    ACTIONS(15442), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323893] = 2,
    ACTIONS(8582), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323901] = 2,
    ACTIONS(30207), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323909] = 2,
    ACTIONS(30209), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323917] = 2,
    ACTIONS(30211), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323925] = 2,
    ACTIONS(30213), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323933] = 2,
    ACTIONS(30215), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323941] = 2,
    ACTIONS(30217), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323949] = 2,
    ACTIONS(7502), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323957] = 2,
    ACTIONS(10372), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323965] = 2,
    ACTIONS(21374), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323973] = 2,
    ACTIONS(30219), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323981] = 2,
    ACTIONS(30221), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323989] = 2,
    ACTIONS(30223), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [323997] = 2,
    ACTIONS(30225), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324005] = 2,
    ACTIONS(30227), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324013] = 2,
    ACTIONS(30229), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324021] = 2,
    ACTIONS(30231), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324029] = 2,
    ACTIONS(30233), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324037] = 2,
    ACTIONS(7762), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324045] = 2,
    ACTIONS(30235), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324053] = 2,
    ACTIONS(30237), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324061] = 2,
    ACTIONS(8358), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324069] = 2,
    ACTIONS(30239), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324077] = 2,
    ACTIONS(30241), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324085] = 2,
    ACTIONS(30243), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324093] = 2,
    ACTIONS(27600), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324101] = 2,
    ACTIONS(21436), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324109] = 2,
    ACTIONS(30245), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324117] = 2,
    ACTIONS(23596), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324125] = 2,
    ACTIONS(30247), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324133] = 2,
    ACTIONS(7612), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324141] = 2,
    ACTIONS(30249), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324149] = 2,
    ACTIONS(18064), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324157] = 2,
    ACTIONS(10794), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324165] = 2,
    ACTIONS(30251), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324173] = 2,
    ACTIONS(30253), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324181] = 2,
    ACTIONS(30255), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324189] = 2,
    ACTIONS(9422), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324197] = 2,
    ACTIONS(30257), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324205] = 2,
    ACTIONS(30259), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324213] = 2,
    ACTIONS(30261), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324221] = 2,
    ACTIONS(10554), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324229] = 2,
    ACTIONS(15486), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324237] = 2,
    ACTIONS(30263), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324245] = 2,
    ACTIONS(30265), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324253] = 2,
    ACTIONS(30267), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324261] = 2,
    ACTIONS(30269), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324269] = 2,
    ACTIONS(30271), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324277] = 2,
    ACTIONS(15482), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324285] = 2,
    ACTIONS(21472), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324293] = 2,
    ACTIONS(10436), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324301] = 2,
    ACTIONS(30273), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324309] = 2,
    ACTIONS(10266), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324317] = 2,
    ACTIONS(30275), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324325] = 2,
    ACTIONS(30277), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324333] = 2,
    ACTIONS(30279), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324341] = 2,
    ACTIONS(9450), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324349] = 2,
    ACTIONS(30281), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324357] = 2,
    ACTIONS(30283), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324365] = 2,
    ACTIONS(7792), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324373] = 2,
    ACTIONS(9292), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324381] = 2,
    ACTIONS(30285), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324389] = 2,
    ACTIONS(7786), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324397] = 2,
    ACTIONS(30287), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324405] = 2,
    ACTIONS(30289), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324413] = 2,
    ACTIONS(30291), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324421] = 2,
    ACTIONS(30293), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324429] = 2,
    ACTIONS(30295), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324437] = 2,
    ACTIONS(30297), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324445] = 2,
    ACTIONS(12684), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324453] = 2,
    ACTIONS(9424), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324461] = 2,
    ACTIONS(30299), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324469] = 2,
    ACTIONS(23953), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324477] = 2,
    ACTIONS(30301), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324485] = 2,
    ACTIONS(10340), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324493] = 2,
    ACTIONS(8178), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324501] = 2,
    ACTIONS(30303), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324509] = 2,
    ACTIONS(15410), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324517] = 2,
    ACTIONS(30305), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324525] = 2,
    ACTIONS(21560), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324533] = 2,
    ACTIONS(30307), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324541] = 2,
    ACTIONS(10620), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324549] = 2,
    ACTIONS(21590), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324557] = 2,
    ACTIONS(17968), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324565] = 2,
    ACTIONS(23566), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324573] = 2,
    ACTIONS(30309), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324581] = 2,
    ACTIONS(30311), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324589] = 2,
    ACTIONS(30313), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324597] = 2,
    ACTIONS(30315), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324605] = 2,
    ACTIONS(30317), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324613] = 2,
    ACTIONS(30319), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324621] = 2,
    ACTIONS(30321), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324629] = 2,
    ACTIONS(30323), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324637] = 2,
    ACTIONS(30325), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324645] = 2,
    ACTIONS(30327), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324653] = 2,
    ACTIONS(18895), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324661] = 2,
    ACTIONS(15394), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324669] = 2,
    ACTIONS(30329), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324677] = 2,
    ACTIONS(30331), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324685] = 2,
    ACTIONS(30333), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324693] = 2,
    ACTIONS(7894), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324701] = 2,
    ACTIONS(15412), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324709] = 2,
    ACTIONS(30335), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324717] = 2,
    ACTIONS(10258), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324725] = 2,
    ACTIONS(30337), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324733] = 2,
    ACTIONS(30339), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324741] = 2,
    ACTIONS(30341), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324749] = 2,
    ACTIONS(12694), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324757] = 2,
    ACTIONS(9222), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324765] = 2,
    ACTIONS(10114), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324773] = 2,
    ACTIONS(15428), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324781] = 2,
    ACTIONS(30343), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324789] = 2,
    ACTIONS(30345), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324797] = 2,
    ACTIONS(7922), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324805] = 2,
    ACTIONS(30347), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324813] = 2,
    ACTIONS(12422), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324821] = 2,
    ACTIONS(30349), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324829] = 2,
    ACTIONS(30351), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324837] = 2,
    ACTIONS(30353), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324845] = 2,
    ACTIONS(30355), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324853] = 2,
    ACTIONS(30357), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324861] = 2,
    ACTIONS(30359), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324869] = 2,
    ACTIONS(8096), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324877] = 2,
    ACTIONS(22289), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324885] = 2,
    ACTIONS(21710), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324893] = 2,
    ACTIONS(30361), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324901] = 2,
    ACTIONS(30363), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324909] = 2,
    ACTIONS(21698), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324917] = 2,
    ACTIONS(30365), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324925] = 2,
    ACTIONS(10390), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324933] = 2,
    ACTIONS(30367), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324941] = 2,
    ACTIONS(12610), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324949] = 2,
    ACTIONS(7626), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324957] = 2,
    ACTIONS(30369), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324965] = 2,
    ACTIONS(30371), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324973] = 2,
    ACTIONS(30373), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324981] = 2,
    ACTIONS(9374), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324989] = 2,
    ACTIONS(10532), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [324997] = 2,
    ACTIONS(9742), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325005] = 2,
    ACTIONS(17876), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325013] = 2,
    ACTIONS(30375), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325021] = 2,
    ACTIONS(30377), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325029] = 2,
    ACTIONS(30379), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325037] = 2,
    ACTIONS(15390), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325045] = 2,
    ACTIONS(30381), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325053] = 2,
    ACTIONS(23957), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325061] = 2,
    ACTIONS(15432), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325069] = 2,
    ACTIONS(12482), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325077] = 2,
    ACTIONS(30383), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325085] = 2,
    ACTIONS(9676), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325093] = 2,
    ACTIONS(9418), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325101] = 2,
    ACTIONS(30385), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325109] = 2,
    ACTIONS(10144), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325117] = 2,
    ACTIONS(23518), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325125] = 2,
    ACTIONS(21644), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325133] = 2,
    ACTIONS(12624), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325141] = 2,
    ACTIONS(30387), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325149] = 2,
    ACTIONS(30389), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325157] = 2,
    ACTIONS(30391), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325165] = 2,
    ACTIONS(30393), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325173] = 2,
    ACTIONS(7528), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325181] = 2,
    ACTIONS(30395), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325189] = 2,
    ACTIONS(30397), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325197] = 2,
    ACTIONS(12506), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325205] = 2,
    ACTIONS(30399), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325213] = 2,
    ACTIONS(30401), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325221] = 2,
    ACTIONS(30403), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325229] = 2,
    ACTIONS(30405), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325237] = 2,
    ACTIONS(30407), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325245] = 2,
    ACTIONS(30409), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325253] = 2,
    ACTIONS(30411), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325261] = 2,
    ACTIONS(12448), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325269] = 2,
    ACTIONS(7978), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325277] = 2,
    ACTIONS(30413), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325285] = 2,
    ACTIONS(7462), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325293] = 2,
    ACTIONS(30415), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325301] = 2,
    ACTIONS(30417), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325309] = 2,
    ACTIONS(30419), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325317] = 2,
    ACTIONS(12594), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325325] = 2,
    ACTIONS(21606), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325333] = 2,
    ACTIONS(30421), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325341] = 2,
    ACTIONS(9368), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325349] = 2,
    ACTIONS(9420), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325357] = 2,
    ACTIONS(15388), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325365] = 2,
    ACTIONS(30423), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325373] = 2,
    ACTIONS(12638), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325381] = 2,
    ACTIONS(9892), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325389] = 2,
    ACTIONS(30425), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325397] = 2,
    ACTIONS(15378), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325405] = 2,
    ACTIONS(30427), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325413] = 2,
    ACTIONS(21556), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325421] = 2,
    ACTIONS(30429), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325429] = 2,
    ACTIONS(18106), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325437] = 2,
    ACTIONS(15418), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325445] = 2,
    ACTIONS(17750), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325453] = 2,
    ACTIONS(9274), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325461] = 2,
    ACTIONS(8836), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325469] = 2,
    ACTIONS(30431), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325477] = 2,
    ACTIONS(30433), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325485] = 2,
    ACTIONS(12580), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325493] = 2,
    ACTIONS(7282), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325501] = 2,
    ACTIONS(30435), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325509] = 2,
    ACTIONS(30437), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325517] = 2,
    ACTIONS(30439), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325525] = 2,
    ACTIONS(21618), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325533] = 2,
    ACTIONS(9360), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325541] = 2,
    ACTIONS(17858), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325549] = 2,
    ACTIONS(7198), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325557] = 2,
    ACTIONS(30441), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325565] = 2,
    ACTIONS(9168), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325573] = 2,
    ACTIONS(30443), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325581] = 2,
    ACTIONS(30445), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325589] = 2,
    ACTIONS(30447), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325597] = 2,
    ACTIONS(12782), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325605] = 2,
    ACTIONS(30449), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325613] = 2,
    ACTIONS(30451), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325621] = 2,
    ACTIONS(8210), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325629] = 2,
    ACTIONS(30453), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325637] = 2,
    ACTIONS(8124), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325645] = 2,
    ACTIONS(30455), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325653] = 2,
    ACTIONS(12758), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325661] = 2,
    ACTIONS(21484), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325669] = 2,
    ACTIONS(30457), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325677] = 2,
    ACTIONS(12054), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325685] = 2,
    ACTIONS(21476), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325693] = 2,
    ACTIONS(30459), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325701] = 2,
    ACTIONS(9602), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325709] = 2,
    ACTIONS(30461), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325717] = 2,
    ACTIONS(17784), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325725] = 2,
    ACTIONS(30463), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325733] = 2,
    ACTIONS(30465), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325741] = 2,
    ACTIONS(30467), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325749] = 2,
    ACTIONS(30469), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325757] = 2,
    ACTIONS(7112), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325765] = 2,
    ACTIONS(30471), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325773] = 2,
    ACTIONS(8736), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325781] = 2,
    ACTIONS(15474), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325789] = 2,
    ACTIONS(30473), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325797] = 2,
    ACTIONS(30475), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325805] = 2,
    ACTIONS(30477), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325813] = 2,
    ACTIONS(9342), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325821] = 2,
    ACTIONS(30479), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325829] = 2,
    ACTIONS(8846), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325837] = 2,
    ACTIONS(30481), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325845] = 2,
    ACTIONS(15468), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325853] = 2,
    ACTIONS(30483), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325861] = 2,
    ACTIONS(8804), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325869] = 2,
    ACTIONS(30485), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325877] = 2,
    ACTIONS(30487), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325885] = 2,
    ACTIONS(30489), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325893] = 2,
    ACTIONS(9414), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325901] = 2,
    ACTIONS(30491), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325909] = 2,
    ACTIONS(30493), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325917] = 2,
    ACTIONS(30495), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325925] = 2,
    ACTIONS(30497), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325933] = 2,
    ACTIONS(30499), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325941] = 2,
    ACTIONS(30501), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325949] = 2,
    ACTIONS(30503), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325957] = 2,
    ACTIONS(7034), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325965] = 2,
    ACTIONS(30505), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325973] = 2,
    ACTIONS(21082), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325981] = 2,
    ACTIONS(30507), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325989] = 2,
    ACTIONS(30509), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [325997] = 2,
    ACTIONS(30511), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326005] = 2,
    ACTIONS(30513), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326013] = 2,
    ACTIONS(7250), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326021] = 2,
    ACTIONS(30515), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326029] = 2,
    ACTIONS(30517), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326037] = 2,
    ACTIONS(30519), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326045] = 2,
    ACTIONS(30521), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326053] = 2,
    ACTIONS(8362), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326061] = 2,
    ACTIONS(30523), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326069] = 2,
    ACTIONS(21348), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326077] = 2,
    ACTIONS(30525), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326085] = 2,
    ACTIONS(30527), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326093] = 2,
    ACTIONS(27494), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326101] = 2,
    ACTIONS(7272), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326109] = 2,
    ACTIONS(30529), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326117] = 2,
    ACTIONS(9166), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326125] = 2,
    ACTIONS(30531), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326133] = 2,
    ACTIONS(30533), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326141] = 2,
    ACTIONS(9326), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326149] = 2,
    ACTIONS(23374), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326157] = 2,
    ACTIONS(9416), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326165] = 2,
    ACTIONS(15448), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326173] = 2,
    ACTIONS(30535), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326181] = 2,
    ACTIONS(30537), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326189] = 2,
    ACTIONS(30539), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326197] = 2,
    ACTIONS(30541), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326205] = 2,
    ACTIONS(30543), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326213] = 2,
    ACTIONS(30545), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326221] = 2,
    ACTIONS(30547), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326229] = 2,
    ACTIONS(15434), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326237] = 2,
    ACTIONS(21318), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326245] = 2,
    ACTIONS(30549), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326253] = 2,
    ACTIONS(9706), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326261] = 2,
    ACTIONS(30551), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326269] = 2,
    ACTIONS(30553), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326277] = 2,
    ACTIONS(10102), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326285] = 2,
    ACTIONS(30555), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326293] = 2,
    ACTIONS(30557), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326301] = 2,
    ACTIONS(17712), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326309] = 2,
    ACTIONS(30559), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326317] = 2,
    ACTIONS(7608), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326325] = 2,
    ACTIONS(30561), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326333] = 2,
    ACTIONS(7578), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326341] = 2,
    ACTIONS(30563), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326349] = 2,
    ACTIONS(30565), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326357] = 2,
    ACTIONS(30567), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326365] = 2,
    ACTIONS(30569), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326373] = 2,
    ACTIONS(30571), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326381] = 2,
    ACTIONS(9288), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326389] = 2,
    ACTIONS(30573), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326397] = 2,
    ACTIONS(10024), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326405] = 2,
    ACTIONS(8488), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326413] = 2,
    ACTIONS(30575), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326421] = 2,
    ACTIONS(15426), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326429] = 2,
    ACTIONS(30577), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326437] = 2,
    ACTIONS(30579), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326445] = 2,
    ACTIONS(21258), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326453] = 2,
    ACTIONS(30581), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326461] = 2,
    ACTIONS(8612), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326469] = 2,
    ACTIONS(21238), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326477] = 2,
    ACTIONS(30583), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326485] = 2,
    ACTIONS(30585), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326493] = 2,
    ACTIONS(30587), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326501] = 2,
    ACTIONS(30589), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326509] = 2,
    ACTIONS(15386), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326517] = 2,
    ACTIONS(30591), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326525] = 2,
    ACTIONS(7864), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326533] = 2,
    ACTIONS(30593), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326541] = 2,
    ACTIONS(10242), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326549] = 2,
    ACTIONS(10552), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326557] = 2,
    ACTIONS(30595), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326565] = 2,
    ACTIONS(30597), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326573] = 2,
    ACTIONS(9218), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326581] = 2,
    ACTIONS(10252), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326589] = 2,
    ACTIONS(15420), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326597] = 2,
    ACTIONS(30599), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326605] = 2,
    ACTIONS(10360), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326613] = 2,
    ACTIONS(7634), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326621] = 2,
    ACTIONS(30601), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326629] = 2,
    ACTIONS(30603), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326637] = 2,
    ACTIONS(30605), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326645] = 2,
    ACTIONS(30607), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326653] = 2,
    ACTIONS(30609), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326661] = 2,
    ACTIONS(30611), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326669] = 2,
    ACTIONS(30613), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326677] = 2,
    ACTIONS(9852), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326685] = 2,
    ACTIONS(21144), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326693] = 2,
    ACTIONS(30615), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326701] = 2,
    ACTIONS(30617), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326709] = 2,
    ACTIONS(21224), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326717] = 2,
    ACTIONS(30619), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326725] = 2,
    ACTIONS(9776), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326733] = 2,
    ACTIONS(30621), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326741] = 2,
    ACTIONS(30623), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326749] = 2,
    ACTIONS(30625), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326757] = 2,
    ACTIONS(23967), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326765] = 2,
    ACTIONS(7446), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326773] = 2,
    ACTIONS(30627), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326781] = 2,
    ACTIONS(30629), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326789] = 2,
    ACTIONS(30631), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326797] = 2,
    ACTIONS(23356), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326805] = 2,
    ACTIONS(30633), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326813] = 2,
    ACTIONS(30635), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326821] = 2,
    ACTIONS(30637), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326829] = 2,
    ACTIONS(30639), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326837] = 2,
    ACTIONS(30641), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326845] = 2,
    ACTIONS(30643), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326853] = 2,
    ACTIONS(30645), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326861] = 2,
    ACTIONS(30647), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326869] = 2,
    ACTIONS(30649), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326877] = 2,
    ACTIONS(15464), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326885] = 2,
    ACTIONS(30651), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326893] = 2,
    ACTIONS(30653), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326901] = 2,
    ACTIONS(9190), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326909] = 2,
    ACTIONS(10766), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326917] = 2,
    ACTIONS(30655), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326925] = 2,
    ACTIONS(8182), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326933] = 2,
    ACTIONS(15504), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326941] = 2,
    ACTIONS(30657), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326949] = 2,
    ACTIONS(30659), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326957] = 2,
    ACTIONS(30661), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326965] = 2,
    ACTIONS(15500), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326973] = 2,
    ACTIONS(30663), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326981] = 2,
    ACTIONS(17758), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326989] = 2,
    ACTIONS(10440), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [326997] = 2,
    ACTIONS(30665), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327005] = 2,
    ACTIONS(10852), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327013] = 2,
    ACTIONS(30667), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327021] = 2,
    ACTIONS(30669), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327029] = 2,
    ACTIONS(23977), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327037] = 2,
    ACTIONS(21442), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327045] = 2,
    ACTIONS(30671), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327053] = 2,
    ACTIONS(23312), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327061] = 2,
    ACTIONS(30673), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327069] = 2,
    ACTIONS(30675), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327077] = 2,
    ACTIONS(30677), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327085] = 2,
    ACTIONS(30679), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327093] = 2,
    ACTIONS(30681), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327101] = 2,
    ACTIONS(30683), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327109] = 2,
    ACTIONS(30685), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327117] = 2,
    ACTIONS(30687), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327125] = 2,
    ACTIONS(30689), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327133] = 2,
    ACTIONS(7392), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327141] = 2,
    ACTIONS(30691), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327149] = 2,
    ACTIONS(30693), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327157] = 2,
    ACTIONS(30695), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327165] = 2,
    ACTIONS(30697), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327173] = 2,
    ACTIONS(30699), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327181] = 2,
    ACTIONS(21266), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327189] = 2,
    ACTIONS(17980), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327197] = 2,
    ACTIONS(30701), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327205] = 2,
    ACTIONS(30703), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327213] = 2,
    ACTIONS(8214), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327221] = 2,
    ACTIONS(30705), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327229] = 2,
    ACTIONS(7956), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327237] = 2,
    ACTIONS(30707), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327245] = 2,
    ACTIONS(30709), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327253] = 2,
    ACTIONS(7362), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327261] = 2,
    ACTIONS(30711), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327269] = 2,
    ACTIONS(30713), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327277] = 2,
    ACTIONS(21614), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327285] = 2,
    ACTIONS(30715), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327293] = 2,
    ACTIONS(30717), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327301] = 2,
    ACTIONS(30719), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327309] = 2,
    ACTIONS(30721), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327317] = 2,
    ACTIONS(30723), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327325] = 2,
    ACTIONS(30725), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327333] = 2,
    ACTIONS(30727), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327341] = 2,
    ACTIONS(30729), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327349] = 2,
    ACTIONS(30731), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327357] = 2,
    ACTIONS(30733), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327365] = 2,
    ACTIONS(30735), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327373] = 2,
    ACTIONS(30737), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327381] = 2,
    ACTIONS(30739), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327389] = 2,
    ACTIONS(30741), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327397] = 2,
    ACTIONS(9108), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327405] = 2,
    ACTIONS(7666), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327413] = 2,
    ACTIONS(8536), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327421] = 2,
    ACTIONS(30743), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327429] = 2,
    ACTIONS(15470), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327437] = 2,
    ACTIONS(30745), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327445] = 2,
    ACTIONS(27664), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327453] = 2,
    ACTIONS(30747), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327461] = 2,
    ACTIONS(30749), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327469] = 2,
    ACTIONS(22986), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327477] = 2,
    ACTIONS(30751), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327485] = 2,
    ACTIONS(30753), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327493] = 2,
    ACTIONS(30755), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327501] = 2,
    ACTIONS(30757), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327509] = 2,
    ACTIONS(30759), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327517] = 2,
    ACTIONS(30761), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327525] = 2,
    ACTIONS(10580), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327533] = 2,
    ACTIONS(30763), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327541] = 2,
    ACTIONS(30765), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327549] = 2,
    ACTIONS(30767), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327557] = 2,
    ACTIONS(9298), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327565] = 2,
    ACTIONS(30769), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327573] = 2,
    ACTIONS(30771), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327581] = 2,
    ACTIONS(22918), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327589] = 2,
    ACTIONS(21684), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327597] = 2,
    ACTIONS(10474), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327605] = 2,
    ACTIONS(30773), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327613] = 2,
    ACTIONS(30775), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327621] = 2,
    ACTIONS(15458), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327629] = 2,
    ACTIONS(30777), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327637] = 2,
    ACTIONS(30779), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327645] = 2,
    ACTIONS(30781), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327653] = 2,
    ACTIONS(23999), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327661] = 2,
    ACTIONS(8726), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327669] = 2,
    ACTIONS(10014), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327677] = 2,
    ACTIONS(30783), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327685] = 2,
    ACTIONS(22978), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327693] = 2,
    ACTIONS(30785), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327701] = 2,
    ACTIONS(30787), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327709] = 2,
    ACTIONS(30789), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327717] = 2,
    ACTIONS(30791), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327725] = 2,
    ACTIONS(30793), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327733] = 2,
    ACTIONS(30795), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327741] = 2,
    ACTIONS(30797), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327749] = 2,
    ACTIONS(30799), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327757] = 2,
    ACTIONS(30801), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327765] = 2,
    ACTIONS(15456), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327773] = 2,
    ACTIONS(30803), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327781] = 2,
    ACTIONS(30805), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327789] = 2,
    ACTIONS(30807), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327797] = 2,
    ACTIONS(30809), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327805] = 2,
    ACTIONS(7322), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327813] = 2,
    ACTIONS(30811), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327821] = 2,
    ACTIONS(30813), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327829] = 2,
    ACTIONS(7216), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327837] = 2,
    ACTIONS(30815), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327845] = 2,
    ACTIONS(30817), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327853] = 2,
    ACTIONS(30819), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327861] = 2,
    ACTIONS(30821), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327869] = 2,
    ACTIONS(9096), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327877] = 2,
    ACTIONS(30823), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327885] = 2,
    ACTIONS(30825), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327893] = 2,
    ACTIONS(10268), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327901] = 2,
    ACTIONS(25690), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327909] = 2,
    ACTIONS(30827), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327917] = 2,
    ACTIONS(30829), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327925] = 2,
    ACTIONS(24005), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327933] = 2,
    ACTIONS(30831), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327941] = 2,
    ACTIONS(8288), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327949] = 2,
    ACTIONS(15476), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327957] = 2,
    ACTIONS(30833), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327965] = 2,
    ACTIONS(30835), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327973] = 2,
    ACTIONS(30837), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327981] = 2,
    ACTIONS(30839), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327989] = 2,
    ACTIONS(30841), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [327997] = 2,
    ACTIONS(30843), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328005] = 2,
    ACTIONS(30845), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328013] = 2,
    ACTIONS(30847), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328021] = 2,
    ACTIONS(30849), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328029] = 2,
    ACTIONS(21452), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328037] = 2,
    ACTIONS(30851), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328045] = 2,
    ACTIONS(10916), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328053] = 2,
    ACTIONS(9590), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328061] = 2,
    ACTIONS(21428), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328069] = 2,
    ACTIONS(30853), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328077] = 2,
    ACTIONS(8300), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328085] = 2,
    ACTIONS(21586), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328093] = 2,
    ACTIONS(30855), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328101] = 2,
    ACTIONS(30857), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328109] = 2,
    ACTIONS(30859), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328117] = 2,
    ACTIONS(30861), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328125] = 2,
    ACTIONS(30863), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328133] = 2,
    ACTIONS(30865), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328141] = 2,
    ACTIONS(30867), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328149] = 2,
    ACTIONS(30869), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328157] = 2,
    ACTIONS(30871), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328165] = 2,
    ACTIONS(15452), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328173] = 2,
    ACTIONS(30873), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328181] = 2,
    ACTIONS(30875), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328189] = 2,
    ACTIONS(7624), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328197] = 2,
    ACTIONS(30877), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328205] = 2,
    ACTIONS(8824), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328213] = 2,
    ACTIONS(9600), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328221] = 2,
    ACTIONS(30879), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328229] = 2,
    ACTIONS(30881), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328237] = 2,
    ACTIONS(9082), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328245] = 2,
    ACTIONS(30883), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328253] = 2,
    ACTIONS(8586), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328261] = 2,
    ACTIONS(6984), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328269] = 2,
    ACTIONS(15462), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328277] = 2,
    ACTIONS(30885), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328285] = 2,
    ACTIONS(30887), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328293] = 2,
    ACTIONS(30889), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328301] = 2,
    ACTIONS(30891), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328309] = 2,
    ACTIONS(30893), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328317] = 2,
    ACTIONS(30895), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328325] = 2,
    ACTIONS(8324), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328333] = 2,
    ACTIONS(30897), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328341] = 2,
    ACTIONS(21216), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328349] = 2,
    ACTIONS(10110), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328357] = 2,
    ACTIONS(21234), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328365] = 2,
    ACTIONS(30899), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328373] = 2,
    ACTIONS(8460), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328381] = 2,
    ACTIONS(30901), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328389] = 2,
    ACTIONS(10662), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328397] = 2,
    ACTIONS(17852), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328405] = 2,
    ACTIONS(8276), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328413] = 2,
    ACTIONS(30903), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328421] = 2,
    ACTIONS(30905), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328429] = 2,
    ACTIONS(30907), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328437] = 2,
    ACTIONS(15450), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328445] = 2,
    ACTIONS(7368), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328453] = 2,
    ACTIONS(30909), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328461] = 2,
    ACTIONS(9622), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328469] = 2,
    ACTIONS(9196), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328477] = 2,
    ACTIONS(30911), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328485] = 2,
    ACTIONS(30913), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328493] = 2,
    ACTIONS(9078), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328501] = 2,
    ACTIONS(9878), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328509] = 2,
    ACTIONS(30915), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328517] = 2,
    ACTIONS(7090), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328525] = 2,
    ACTIONS(15380), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328533] = 2,
    ACTIONS(30917), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328541] = 2,
    ACTIONS(30919), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328549] = 2,
    ACTIONS(30921), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328557] = 2,
    ACTIONS(30923), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328565] = 2,
    ACTIONS(30925), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328573] = 2,
    ACTIONS(30927), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328581] = 2,
    ACTIONS(30929), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328589] = 2,
    ACTIONS(30931), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328597] = 2,
    ACTIONS(8530), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328605] = 2,
    ACTIONS(30933), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328613] = 2,
    ACTIONS(21498), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328621] = 2,
    ACTIONS(10946), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328629] = 2,
    ACTIONS(21506), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328637] = 2,
    ACTIONS(8574), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328645] = 2,
    ACTIONS(30935), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328653] = 2,
    ACTIONS(13212), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328661] = 2,
    ACTIONS(9064), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328669] = 2,
    ACTIONS(30937), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328677] = 2,
    ACTIONS(30939), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328685] = 2,
    ACTIONS(30941), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328693] = 2,
    ACTIONS(30943), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328701] = 2,
    ACTIONS(30945), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328709] = 2,
    ACTIONS(30947), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328717] = 2,
    ACTIONS(15472), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328725] = 2,
    ACTIONS(7068), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328733] = 2,
    ACTIONS(30949), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328741] = 2,
    ACTIONS(10272), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328749] = 2,
    ACTIONS(8818), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328757] = 2,
    ACTIONS(30951), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328765] = 2,
    ACTIONS(30953), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328773] = 2,
    ACTIONS(30955), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328781] = 2,
    ACTIONS(30957), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328789] = 2,
    ACTIONS(30959), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328797] = 2,
    ACTIONS(30961), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328805] = 2,
    ACTIONS(21564), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328813] = 2,
    ACTIONS(12032), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328821] = 2,
    ACTIONS(30963), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328829] = 2,
    ACTIONS(30965), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328837] = 2,
    ACTIONS(30967), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328845] = 2,
    ACTIONS(30969), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328853] = 2,
    ACTIONS(30971), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328861] = 2,
    ACTIONS(10368), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328869] = 2,
    ACTIONS(7124), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328877] = 2,
    ACTIONS(12036), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328885] = 2,
    ACTIONS(12040), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328893] = 2,
    ACTIONS(30973), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328901] = 2,
    ACTIONS(30975), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328909] = 2,
    ACTIONS(30977), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328917] = 2,
    ACTIONS(30979), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328925] = 2,
    ACTIONS(15484), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328933] = 2,
    ACTIONS(30981), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328941] = 2,
    ACTIONS(30983), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328949] = 2,
    ACTIONS(30985), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328957] = 2,
    ACTIONS(30987), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328965] = 2,
    ACTIONS(30989), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328973] = 2,
    ACTIONS(30991), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328981] = 2,
    ACTIONS(30993), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328989] = 2,
    ACTIONS(30995), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [328997] = 2,
    ACTIONS(30997), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329005] = 2,
    ACTIONS(7422), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329013] = 2,
    ACTIONS(30999), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329021] = 2,
    ACTIONS(8250), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329029] = 2,
    ACTIONS(12044), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329037] = 2,
    ACTIONS(31001), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329045] = 2,
    ACTIONS(31003), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329053] = 2,
    ACTIONS(31005), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329061] = 2,
    ACTIONS(21706), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329069] = 2,
    ACTIONS(10456), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329077] = 2,
    ACTIONS(9950), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329085] = 2,
    ACTIONS(12046), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329093] = 2,
    ACTIONS(12050), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329101] = 2,
    ACTIONS(31007), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329109] = 2,
    ACTIONS(27911), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329117] = 2,
    ACTIONS(21702), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329125] = 2,
    ACTIONS(31009), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329133] = 2,
    ACTIONS(31011), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329141] = 2,
    ACTIONS(8066), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329149] = 2,
    ACTIONS(23886), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329157] = 2,
    ACTIONS(31013), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329165] = 2,
    ACTIONS(31015), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329173] = 2,
    ACTIONS(31017), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329181] = 2,
    ACTIONS(31019), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329189] = 2,
    ACTIONS(31021), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329197] = 2,
    ACTIONS(31023), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329205] = 2,
    ACTIONS(31025), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329213] = 2,
    ACTIONS(31027), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329221] = 2,
    ACTIONS(31029), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329229] = 2,
    ACTIONS(31031), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329237] = 2,
    ACTIONS(31033), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329245] = 2,
    ACTIONS(31035), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329253] = 2,
    ACTIONS(31037), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329261] = 2,
    ACTIONS(31039), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329269] = 2,
    ACTIONS(31041), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329277] = 2,
    ACTIONS(31043), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329285] = 2,
    ACTIONS(10932), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329293] = 2,
    ACTIONS(7208), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329301] = 2,
    ACTIONS(31045), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329309] = 2,
    ACTIONS(8648), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329317] = 2,
    ACTIONS(31047), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329325] = 2,
    ACTIONS(31049), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329333] = 2,
    ACTIONS(31051), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329341] = 2,
    ACTIONS(31053), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329349] = 2,
    ACTIONS(9052), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329357] = 2,
    ACTIONS(10472), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329365] = 2,
    ACTIONS(7450), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329373] = 2,
    ACTIONS(31055), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329381] = 2,
    ACTIONS(10676), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329389] = 2,
    ACTIONS(31057), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329397] = 2,
    ACTIONS(31059), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329405] = 2,
    ACTIONS(31061), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329413] = 2,
    ACTIONS(10548), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329421] = 2,
    ACTIONS(12384), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329429] = 2,
    ACTIONS(15424), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329437] = 2,
    ACTIONS(31063), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329445] = 2,
    ACTIONS(12004), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329453] = 2,
    ACTIONS(31065), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329461] = 2,
    ACTIONS(8440), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329469] = 2,
    ACTIONS(31067), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329477] = 2,
    ACTIONS(15490), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329485] = 2,
    ACTIONS(12016), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329493] = 2,
    ACTIONS(12012), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329501] = 2,
    ACTIONS(31069), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329509] = 2,
    ACTIONS(31071), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329517] = 2,
    ACTIONS(23942), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329525] = 2,
    ACTIONS(31073), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329533] = 2,
    ACTIONS(10096), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329541] = 2,
    ACTIONS(10188), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329549] = 2,
    ACTIONS(21550), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329557] = 2,
    ACTIONS(31075), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329565] = 2,
    ACTIONS(31077), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329573] = 2,
    ACTIONS(31079), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329581] = 2,
    ACTIONS(31081), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329589] = 2,
    ACTIONS(8020), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329597] = 2,
    ACTIONS(23612), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329605] = 2,
    ACTIONS(31083), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329613] = 2,
    ACTIONS(31085), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329621] = 2,
    ACTIONS(31087), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329629] = 2,
    ACTIONS(31089), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329637] = 2,
    ACTIONS(31091), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329645] = 2,
    ACTIONS(31093), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329653] = 2,
    ACTIONS(31095), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329661] = 2,
    ACTIONS(15416), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329669] = 2,
    ACTIONS(31097), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329677] = 2,
    ACTIONS(31099), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329685] = 2,
    ACTIONS(21352), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329693] = 2,
    ACTIONS(31101), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329701] = 2,
    ACTIONS(31103), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329709] = 2,
    ACTIONS(31105), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329717] = 2,
    ACTIONS(31107), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329725] = 2,
    ACTIONS(31109), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329733] = 2,
    ACTIONS(10454), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329741] = 2,
    ACTIONS(8922), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329749] = 2,
    ACTIONS(31111), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329757] = 2,
    ACTIONS(31113), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329765] = 2,
    ACTIONS(31115), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329773] = 2,
    ACTIONS(31117), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329781] = 2,
    ACTIONS(7748), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329789] = 2,
    ACTIONS(31119), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329797] = 2,
    ACTIONS(31121), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329805] = 2,
    ACTIONS(31123), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329813] = 2,
    ACTIONS(31125), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329821] = 2,
    ACTIONS(31127), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329829] = 2,
    ACTIONS(7820), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329837] = 2,
    ACTIONS(31129), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329845] = 2,
    ACTIONS(9046), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329853] = 2,
    ACTIONS(31131), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329861] = 2,
    ACTIONS(31133), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329869] = 2,
    ACTIONS(31135), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329877] = 2,
    ACTIONS(31137), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329885] = 2,
    ACTIONS(17762), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329893] = 2,
    ACTIONS(31139), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329901] = 2,
    ACTIONS(10306), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329909] = 2,
    ACTIONS(31141), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329917] = 2,
    ACTIONS(15454), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329925] = 2,
    ACTIONS(31143), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329933] = 2,
    ACTIONS(8280), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329941] = 2,
    ACTIONS(15488), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329949] = 2,
    ACTIONS(31145), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329957] = 2,
    ACTIONS(31147), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329965] = 2,
    ACTIONS(31149), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329973] = 2,
    ACTIONS(21358), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329981] = 2,
    ACTIONS(31151), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329989] = 2,
    ACTIONS(10712), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [329997] = 2,
    ACTIONS(9070), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330005] = 2,
    ACTIONS(31153), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330013] = 2,
    ACTIONS(31155), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330021] = 2,
    ACTIONS(31157), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330029] = 2,
    ACTIONS(15430), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330037] = 2,
    ACTIONS(31159), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330045] = 2,
    ACTIONS(8526), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330053] = 2,
    ACTIONS(31161), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330061] = 2,
    ACTIONS(31163), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330069] = 2,
    ACTIONS(31165), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330077] = 2,
    ACTIONS(15496), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330085] = 2,
    ACTIONS(24395), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330093] = 2,
    ACTIONS(12052), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330101] = 2,
    ACTIONS(31167), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330109] = 2,
    ACTIONS(31169), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330117] = 2,
    ACTIONS(31171), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330125] = 2,
    ACTIONS(23989), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330133] = 2,
    ACTIONS(10146), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330141] = 2,
    ACTIONS(31173), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330149] = 2,
    ACTIONS(31175), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330157] = 2,
    ACTIONS(31177), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330165] = 2,
    ACTIONS(8930), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330173] = 2,
    ACTIONS(22998), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330181] = 2,
    ACTIONS(31179), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330189] = 2,
    ACTIONS(7920), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330197] = 2,
    ACTIONS(31181), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330205] = 2,
    ACTIONS(31183), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330213] = 2,
    ACTIONS(31185), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330221] = 2,
    ACTIONS(31187), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330229] = 2,
    ACTIONS(31189), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330237] = 2,
    ACTIONS(31191), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330245] = 2,
    ACTIONS(31193), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330253] = 2,
    ACTIONS(31195), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330261] = 2,
    ACTIONS(31197), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330269] = 2,
    ACTIONS(31199), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330277] = 2,
    ACTIONS(31201), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330285] = 2,
    ACTIONS(31203), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330293] = 2,
    ACTIONS(31205), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330301] = 2,
    ACTIONS(7938), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330309] = 2,
    ACTIONS(31207), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330317] = 2,
    ACTIONS(31209), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330325] = 2,
    ACTIONS(31211), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330333] = 2,
    ACTIONS(31213), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330341] = 2,
    ACTIONS(9014), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330349] = 2,
    ACTIONS(31215), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330357] = 2,
    ACTIONS(8076), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330365] = 2,
    ACTIONS(31217), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330373] = 2,
    ACTIONS(21254), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330381] = 2,
    ACTIONS(9694), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330389] = 2,
    ACTIONS(31219), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330397] = 2,
    ACTIONS(21242), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330405] = 2,
    ACTIONS(15404), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330413] = 2,
    ACTIONS(31221), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330421] = 2,
    ACTIONS(31223), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330429] = 2,
    ACTIONS(31225), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330437] = 2,
    ACTIONS(31227), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330445] = 2,
    ACTIONS(31229), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330453] = 2,
    ACTIONS(10338), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330461] = 2,
    ACTIONS(31231), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330469] = 2,
    ACTIONS(15206), 1,
      sym__immediate_paren,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330477] = 2,
    ACTIONS(9800), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330485] = 2,
    ACTIONS(31233), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330493] = 2,
    ACTIONS(21210), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330501] = 2,
    ACTIONS(31235), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330509] = 2,
    ACTIONS(31237), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330517] = 2,
    ACTIONS(31239), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330525] = 2,
    ACTIONS(31241), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330533] = 2,
    ACTIONS(31243), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330541] = 2,
    ACTIONS(8036), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330549] = 2,
    ACTIONS(31245), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330557] = 2,
    ACTIONS(31247), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330565] = 2,
    ACTIONS(31249), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330573] = 2,
    ACTIONS(17916), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330581] = 2,
    ACTIONS(31251), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330589] = 2,
    ACTIONS(31253), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330597] = 2,
    ACTIONS(31255), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330605] = 2,
    ACTIONS(31257), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330613] = 2,
    ACTIONS(31259), 1,
      anon_sym_end,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330621] = 2,
    ACTIONS(31261), 1,
      anon_sym_struct,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330629] = 2,
    ACTIONS(31263), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330637] = 2,
    ACTIONS(31265), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330645] = 2,
    ACTIONS(31267), 1,
      anon_sym_type,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330653] = 2,
    ACTIONS(31269), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330661] = 2,
    ACTIONS(7132), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330669] = 2,
    ACTIONS(31271), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330677] = 2,
    ACTIONS(31273), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330685] = 2,
    ACTIONS(9004), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
  [330693] = 2,
    ACTIONS(8978), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_block_comment,
      sym_line_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(9618)] = 0,
  [SMALL_STATE(9619)] = 73,
  [SMALL_STATE(9620)] = 146,
  [SMALL_STATE(9621)] = 219,
  [SMALL_STATE(9622)] = 292,
  [SMALL_STATE(9623)] = 365,
  [SMALL_STATE(9624)] = 438,
  [SMALL_STATE(9625)] = 511,
  [SMALL_STATE(9626)] = 584,
  [SMALL_STATE(9627)] = 657,
  [SMALL_STATE(9628)] = 730,
  [SMALL_STATE(9629)] = 803,
  [SMALL_STATE(9630)] = 876,
  [SMALL_STATE(9631)] = 949,
  [SMALL_STATE(9632)] = 1022,
  [SMALL_STATE(9633)] = 1095,
  [SMALL_STATE(9634)] = 1168,
  [SMALL_STATE(9635)] = 1241,
  [SMALL_STATE(9636)] = 1314,
  [SMALL_STATE(9637)] = 1387,
  [SMALL_STATE(9638)] = 1460,
  [SMALL_STATE(9639)] = 1533,
  [SMALL_STATE(9640)] = 1606,
  [SMALL_STATE(9641)] = 1679,
  [SMALL_STATE(9642)] = 1752,
  [SMALL_STATE(9643)] = 1825,
  [SMALL_STATE(9644)] = 1898,
  [SMALL_STATE(9645)] = 1971,
  [SMALL_STATE(9646)] = 2044,
  [SMALL_STATE(9647)] = 2117,
  [SMALL_STATE(9648)] = 2190,
  [SMALL_STATE(9649)] = 2263,
  [SMALL_STATE(9650)] = 2336,
  [SMALL_STATE(9651)] = 2409,
  [SMALL_STATE(9652)] = 2482,
  [SMALL_STATE(9653)] = 2555,
  [SMALL_STATE(9654)] = 2628,
  [SMALL_STATE(9655)] = 2701,
  [SMALL_STATE(9656)] = 2774,
  [SMALL_STATE(9657)] = 2847,
  [SMALL_STATE(9658)] = 2916,
  [SMALL_STATE(9659)] = 2985,
  [SMALL_STATE(9660)] = 3054,
  [SMALL_STATE(9661)] = 3148,
  [SMALL_STATE(9662)] = 3242,
  [SMALL_STATE(9663)] = 3340,
  [SMALL_STATE(9664)] = 3434,
  [SMALL_STATE(9665)] = 3528,
  [SMALL_STATE(9666)] = 3621,
  [SMALL_STATE(9667)] = 3714,
  [SMALL_STATE(9668)] = 3807,
  [SMALL_STATE(9669)] = 3907,
  [SMALL_STATE(9670)] = 4003,
  [SMALL_STATE(9671)] = 4103,
  [SMALL_STATE(9672)] = 4203,
  [SMALL_STATE(9673)] = 4303,
  [SMALL_STATE(9674)] = 4403,
  [SMALL_STATE(9675)] = 4503,
  [SMALL_STATE(9676)] = 4603,
  [SMALL_STATE(9677)] = 4703,
  [SMALL_STATE(9678)] = 4803,
  [SMALL_STATE(9679)] = 4903,
  [SMALL_STATE(9680)] = 5003,
  [SMALL_STATE(9681)] = 5103,
  [SMALL_STATE(9682)] = 5203,
  [SMALL_STATE(9683)] = 5303,
  [SMALL_STATE(9684)] = 5403,
  [SMALL_STATE(9685)] = 5503,
  [SMALL_STATE(9686)] = 5603,
  [SMALL_STATE(9687)] = 5703,
  [SMALL_STATE(9688)] = 5795,
  [SMALL_STATE(9689)] = 5895,
  [SMALL_STATE(9690)] = 5995,
  [SMALL_STATE(9691)] = 6095,
  [SMALL_STATE(9692)] = 6195,
  [SMALL_STATE(9693)] = 6295,
  [SMALL_STATE(9694)] = 6387,
  [SMALL_STATE(9695)] = 6487,
  [SMALL_STATE(9696)] = 6587,
  [SMALL_STATE(9697)] = 6687,
  [SMALL_STATE(9698)] = 6782,
  [SMALL_STATE(9699)] = 6877,
  [SMALL_STATE(9700)] = 6972,
  [SMALL_STATE(9701)] = 7067,
  [SMALL_STATE(9702)] = 7162,
  [SMALL_STATE(9703)] = 7257,
  [SMALL_STATE(9704)] = 7352,
  [SMALL_STATE(9705)] = 7447,
  [SMALL_STATE(9706)] = 7542,
  [SMALL_STATE(9707)] = 7637,
  [SMALL_STATE(9708)] = 7732,
  [SMALL_STATE(9709)] = 7827,
  [SMALL_STATE(9710)] = 7922,
  [SMALL_STATE(9711)] = 8017,
  [SMALL_STATE(9712)] = 8112,
  [SMALL_STATE(9713)] = 8207,
  [SMALL_STATE(9714)] = 8302,
  [SMALL_STATE(9715)] = 8397,
  [SMALL_STATE(9716)] = 8492,
  [SMALL_STATE(9717)] = 8587,
  [SMALL_STATE(9718)] = 8682,
  [SMALL_STATE(9719)] = 8777,
  [SMALL_STATE(9720)] = 8872,
  [SMALL_STATE(9721)] = 8967,
  [SMALL_STATE(9722)] = 9062,
  [SMALL_STATE(9723)] = 9157,
  [SMALL_STATE(9724)] = 9252,
  [SMALL_STATE(9725)] = 9347,
  [SMALL_STATE(9726)] = 9442,
  [SMALL_STATE(9727)] = 9537,
  [SMALL_STATE(9728)] = 9632,
  [SMALL_STATE(9729)] = 9727,
  [SMALL_STATE(9730)] = 9822,
  [SMALL_STATE(9731)] = 9917,
  [SMALL_STATE(9732)] = 10012,
  [SMALL_STATE(9733)] = 10107,
  [SMALL_STATE(9734)] = 10202,
  [SMALL_STATE(9735)] = 10297,
  [SMALL_STATE(9736)] = 10392,
  [SMALL_STATE(9737)] = 10487,
  [SMALL_STATE(9738)] = 10582,
  [SMALL_STATE(9739)] = 10677,
  [SMALL_STATE(9740)] = 10772,
  [SMALL_STATE(9741)] = 10867,
  [SMALL_STATE(9742)] = 10962,
  [SMALL_STATE(9743)] = 11057,
  [SMALL_STATE(9744)] = 11152,
  [SMALL_STATE(9745)] = 11247,
  [SMALL_STATE(9746)] = 11342,
  [SMALL_STATE(9747)] = 11437,
  [SMALL_STATE(9748)] = 11532,
  [SMALL_STATE(9749)] = 11627,
  [SMALL_STATE(9750)] = 11722,
  [SMALL_STATE(9751)] = 11817,
  [SMALL_STATE(9752)] = 11912,
  [SMALL_STATE(9753)] = 12007,
  [SMALL_STATE(9754)] = 12102,
  [SMALL_STATE(9755)] = 12197,
  [SMALL_STATE(9756)] = 12292,
  [SMALL_STATE(9757)] = 12387,
  [SMALL_STATE(9758)] = 12482,
  [SMALL_STATE(9759)] = 12577,
  [SMALL_STATE(9760)] = 12672,
  [SMALL_STATE(9761)] = 12767,
  [SMALL_STATE(9762)] = 12862,
  [SMALL_STATE(9763)] = 12957,
  [SMALL_STATE(9764)] = 13049,
  [SMALL_STATE(9765)] = 13141,
  [SMALL_STATE(9766)] = 13233,
  [SMALL_STATE(9767)] = 13325,
  [SMALL_STATE(9768)] = 13417,
  [SMALL_STATE(9769)] = 13509,
  [SMALL_STATE(9770)] = 13601,
  [SMALL_STATE(9771)] = 13693,
  [SMALL_STATE(9772)] = 13785,
  [SMALL_STATE(9773)] = 13877,
  [SMALL_STATE(9774)] = 13969,
  [SMALL_STATE(9775)] = 14061,
  [SMALL_STATE(9776)] = 14153,
  [SMALL_STATE(9777)] = 14245,
  [SMALL_STATE(9778)] = 14337,
  [SMALL_STATE(9779)] = 14429,
  [SMALL_STATE(9780)] = 14521,
  [SMALL_STATE(9781)] = 14613,
  [SMALL_STATE(9782)] = 14705,
  [SMALL_STATE(9783)] = 14797,
  [SMALL_STATE(9784)] = 14889,
  [SMALL_STATE(9785)] = 14981,
  [SMALL_STATE(9786)] = 15073,
  [SMALL_STATE(9787)] = 15165,
  [SMALL_STATE(9788)] = 15257,
  [SMALL_STATE(9789)] = 15349,
  [SMALL_STATE(9790)] = 15441,
  [SMALL_STATE(9791)] = 15533,
  [SMALL_STATE(9792)] = 15625,
  [SMALL_STATE(9793)] = 15717,
  [SMALL_STATE(9794)] = 15809,
  [SMALL_STATE(9795)] = 15901,
  [SMALL_STATE(9796)] = 15993,
  [SMALL_STATE(9797)] = 16085,
  [SMALL_STATE(9798)] = 16177,
  [SMALL_STATE(9799)] = 16269,
  [SMALL_STATE(9800)] = 16361,
  [SMALL_STATE(9801)] = 16453,
  [SMALL_STATE(9802)] = 16545,
  [SMALL_STATE(9803)] = 16637,
  [SMALL_STATE(9804)] = 16729,
  [SMALL_STATE(9805)] = 16821,
  [SMALL_STATE(9806)] = 16913,
  [SMALL_STATE(9807)] = 17005,
  [SMALL_STATE(9808)] = 17097,
  [SMALL_STATE(9809)] = 17189,
  [SMALL_STATE(9810)] = 17281,
  [SMALL_STATE(9811)] = 17341,
  [SMALL_STATE(9812)] = 17401,
  [SMALL_STATE(9813)] = 17458,
  [SMALL_STATE(9814)] = 17517,
  [SMALL_STATE(9815)] = 17576,
  [SMALL_STATE(9816)] = 17635,
  [SMALL_STATE(9817)] = 17693,
  [SMALL_STATE(9818)] = 17749,
  [SMALL_STATE(9819)] = 17807,
  [SMALL_STATE(9820)] = 17864,
  [SMALL_STATE(9821)] = 17924,
  [SMALL_STATE(9822)] = 17984,
  [SMALL_STATE(9823)] = 18040,
  [SMALL_STATE(9824)] = 18100,
  [SMALL_STATE(9825)] = 18160,
  [SMALL_STATE(9826)] = 18219,
  [SMALL_STATE(9827)] = 18274,
  [SMALL_STATE(9828)] = 18333,
  [SMALL_STATE(9829)] = 18392,
  [SMALL_STATE(9830)] = 18449,
  [SMALL_STATE(9831)] = 18504,
  [SMALL_STATE(9832)] = 18561,
  [SMALL_STATE(9833)] = 18616,
  [SMALL_STATE(9834)] = 18671,
  [SMALL_STATE(9835)] = 18726,
  [SMALL_STATE(9836)] = 18781,
  [SMALL_STATE(9837)] = 18838,
  [SMALL_STATE(9838)] = 18893,
  [SMALL_STATE(9839)] = 18948,
  [SMALL_STATE(9840)] = 19005,
  [SMALL_STATE(9841)] = 19062,
  [SMALL_STATE(9842)] = 19119,
  [SMALL_STATE(9843)] = 19174,
  [SMALL_STATE(9844)] = 19233,
  [SMALL_STATE(9845)] = 19288,
  [SMALL_STATE(9846)] = 19343,
  [SMALL_STATE(9847)] = 19398,
  [SMALL_STATE(9848)] = 19455,
  [SMALL_STATE(9849)] = 19510,
  [SMALL_STATE(9850)] = 19567,
  [SMALL_STATE(9851)] = 19624,
  [SMALL_STATE(9852)] = 19681,
  [SMALL_STATE(9853)] = 19761,
  [SMALL_STATE(9854)] = 19841,
  [SMALL_STATE(9855)] = 19895,
  [SMALL_STATE(9856)] = 19949,
  [SMALL_STATE(9857)] = 20029,
  [SMALL_STATE(9858)] = 20085,
  [SMALL_STATE(9859)] = 20139,
  [SMALL_STATE(9860)] = 20219,
  [SMALL_STATE(9861)] = 20299,
  [SMALL_STATE(9862)] = 20357,
  [SMALL_STATE(9863)] = 20437,
  [SMALL_STATE(9864)] = 20517,
  [SMALL_STATE(9865)] = 20571,
  [SMALL_STATE(9866)] = 20625,
  [SMALL_STATE(9867)] = 20679,
  [SMALL_STATE(9868)] = 20759,
  [SMALL_STATE(9869)] = 20839,
  [SMALL_STATE(9870)] = 20895,
  [SMALL_STATE(9871)] = 20949,
  [SMALL_STATE(9872)] = 21029,
  [SMALL_STATE(9873)] = 21109,
  [SMALL_STATE(9874)] = 21189,
  [SMALL_STATE(9875)] = 21269,
  [SMALL_STATE(9876)] = 21323,
  [SMALL_STATE(9877)] = 21403,
  [SMALL_STATE(9878)] = 21483,
  [SMALL_STATE(9879)] = 21537,
  [SMALL_STATE(9880)] = 21617,
  [SMALL_STATE(9881)] = 21697,
  [SMALL_STATE(9882)] = 21777,
  [SMALL_STATE(9883)] = 21831,
  [SMALL_STATE(9884)] = 21889,
  [SMALL_STATE(9885)] = 21943,
  [SMALL_STATE(9886)] = 21997,
  [SMALL_STATE(9887)] = 22077,
  [SMALL_STATE(9888)] = 22157,
  [SMALL_STATE(9889)] = 22211,
  [SMALL_STATE(9890)] = 22265,
  [SMALL_STATE(9891)] = 22319,
  [SMALL_STATE(9892)] = 22373,
  [SMALL_STATE(9893)] = 22453,
  [SMALL_STATE(9894)] = 22533,
  [SMALL_STATE(9895)] = 22613,
  [SMALL_STATE(9896)] = 22667,
  [SMALL_STATE(9897)] = 22721,
  [SMALL_STATE(9898)] = 22775,
  [SMALL_STATE(9899)] = 22829,
  [SMALL_STATE(9900)] = 22883,
  [SMALL_STATE(9901)] = 22963,
  [SMALL_STATE(9902)] = 23043,
  [SMALL_STATE(9903)] = 23097,
  [SMALL_STATE(9904)] = 23177,
  [SMALL_STATE(9905)] = 23231,
  [SMALL_STATE(9906)] = 23285,
  [SMALL_STATE(9907)] = 23339,
  [SMALL_STATE(9908)] = 23393,
  [SMALL_STATE(9909)] = 23473,
  [SMALL_STATE(9910)] = 23527,
  [SMALL_STATE(9911)] = 23607,
  [SMALL_STATE(9912)] = 23687,
  [SMALL_STATE(9913)] = 23741,
  [SMALL_STATE(9914)] = 23795,
  [SMALL_STATE(9915)] = 23849,
  [SMALL_STATE(9916)] = 23907,
  [SMALL_STATE(9917)] = 23961,
  [SMALL_STATE(9918)] = 24015,
  [SMALL_STATE(9919)] = 24069,
  [SMALL_STATE(9920)] = 24149,
  [SMALL_STATE(9921)] = 24203,
  [SMALL_STATE(9922)] = 24283,
  [SMALL_STATE(9923)] = 24363,
  [SMALL_STATE(9924)] = 24417,
  [SMALL_STATE(9925)] = 24497,
  [SMALL_STATE(9926)] = 24551,
  [SMALL_STATE(9927)] = 24631,
  [SMALL_STATE(9928)] = 24685,
  [SMALL_STATE(9929)] = 24739,
  [SMALL_STATE(9930)] = 24793,
  [SMALL_STATE(9931)] = 24873,
  [SMALL_STATE(9932)] = 24927,
  [SMALL_STATE(9933)] = 25007,
  [SMALL_STATE(9934)] = 25061,
  [SMALL_STATE(9935)] = 25141,
  [SMALL_STATE(9936)] = 25221,
  [SMALL_STATE(9937)] = 25275,
  [SMALL_STATE(9938)] = 25355,
  [SMALL_STATE(9939)] = 25409,
  [SMALL_STATE(9940)] = 25463,
  [SMALL_STATE(9941)] = 25543,
  [SMALL_STATE(9942)] = 25623,
  [SMALL_STATE(9943)] = 25703,
  [SMALL_STATE(9944)] = 25783,
  [SMALL_STATE(9945)] = 25837,
  [SMALL_STATE(9946)] = 25891,
  [SMALL_STATE(9947)] = 25971,
  [SMALL_STATE(9948)] = 26025,
  [SMALL_STATE(9949)] = 26079,
  [SMALL_STATE(9950)] = 26133,
  [SMALL_STATE(9951)] = 26213,
  [SMALL_STATE(9952)] = 26267,
  [SMALL_STATE(9953)] = 26347,
  [SMALL_STATE(9954)] = 26427,
  [SMALL_STATE(9955)] = 26507,
  [SMALL_STATE(9956)] = 26587,
  [SMALL_STATE(9957)] = 26667,
  [SMALL_STATE(9958)] = 26747,
  [SMALL_STATE(9959)] = 26801,
  [SMALL_STATE(9960)] = 26881,
  [SMALL_STATE(9961)] = 26935,
  [SMALL_STATE(9962)] = 27015,
  [SMALL_STATE(9963)] = 27095,
  [SMALL_STATE(9964)] = 27175,
  [SMALL_STATE(9965)] = 27229,
  [SMALL_STATE(9966)] = 27309,
  [SMALL_STATE(9967)] = 27389,
  [SMALL_STATE(9968)] = 27469,
  [SMALL_STATE(9969)] = 27525,
  [SMALL_STATE(9970)] = 27579,
  [SMALL_STATE(9971)] = 27659,
  [SMALL_STATE(9972)] = 27739,
  [SMALL_STATE(9973)] = 27819,
  [SMALL_STATE(9974)] = 27873,
  [SMALL_STATE(9975)] = 27953,
  [SMALL_STATE(9976)] = 28033,
  [SMALL_STATE(9977)] = 28087,
  [SMALL_STATE(9978)] = 28141,
  [SMALL_STATE(9979)] = 28221,
  [SMALL_STATE(9980)] = 28275,
  [SMALL_STATE(9981)] = 28355,
  [SMALL_STATE(9982)] = 28411,
  [SMALL_STATE(9983)] = 28491,
  [SMALL_STATE(9984)] = 28571,
  [SMALL_STATE(9985)] = 28625,
  [SMALL_STATE(9986)] = 28705,
  [SMALL_STATE(9987)] = 28759,
  [SMALL_STATE(9988)] = 28839,
  [SMALL_STATE(9989)] = 28893,
  [SMALL_STATE(9990)] = 28973,
  [SMALL_STATE(9991)] = 29027,
  [SMALL_STATE(9992)] = 29107,
  [SMALL_STATE(9993)] = 29187,
  [SMALL_STATE(9994)] = 29267,
  [SMALL_STATE(9995)] = 29321,
  [SMALL_STATE(9996)] = 29401,
  [SMALL_STATE(9997)] = 29481,
  [SMALL_STATE(9998)] = 29561,
  [SMALL_STATE(9999)] = 29641,
  [SMALL_STATE(10000)] = 29721,
  [SMALL_STATE(10001)] = 29801,
  [SMALL_STATE(10002)] = 29881,
  [SMALL_STATE(10003)] = 29961,
  [SMALL_STATE(10004)] = 30041,
  [SMALL_STATE(10005)] = 30121,
  [SMALL_STATE(10006)] = 30201,
  [SMALL_STATE(10007)] = 30281,
  [SMALL_STATE(10008)] = 30335,
  [SMALL_STATE(10009)] = 30389,
  [SMALL_STATE(10010)] = 30469,
  [SMALL_STATE(10011)] = 30527,
  [SMALL_STATE(10012)] = 30607,
  [SMALL_STATE(10013)] = 30687,
  [SMALL_STATE(10014)] = 30767,
  [SMALL_STATE(10015)] = 30847,
  [SMALL_STATE(10016)] = 30927,
  [SMALL_STATE(10017)] = 31007,
  [SMALL_STATE(10018)] = 31087,
  [SMALL_STATE(10019)] = 31167,
  [SMALL_STATE(10020)] = 31247,
  [SMALL_STATE(10021)] = 31327,
  [SMALL_STATE(10022)] = 31407,
  [SMALL_STATE(10023)] = 31487,
  [SMALL_STATE(10024)] = 31567,
  [SMALL_STATE(10025)] = 31621,
  [SMALL_STATE(10026)] = 31675,
  [SMALL_STATE(10027)] = 31729,
  [SMALL_STATE(10028)] = 31809,
  [SMALL_STATE(10029)] = 31889,
  [SMALL_STATE(10030)] = 31969,
  [SMALL_STATE(10031)] = 32049,
  [SMALL_STATE(10032)] = 32129,
  [SMALL_STATE(10033)] = 32183,
  [SMALL_STATE(10034)] = 32263,
  [SMALL_STATE(10035)] = 32317,
  [SMALL_STATE(10036)] = 32371,
  [SMALL_STATE(10037)] = 32425,
  [SMALL_STATE(10038)] = 32505,
  [SMALL_STATE(10039)] = 32559,
  [SMALL_STATE(10040)] = 32612,
  [SMALL_STATE(10041)] = 32665,
  [SMALL_STATE(10042)] = 32718,
  [SMALL_STATE(10043)] = 32771,
  [SMALL_STATE(10044)] = 32824,
  [SMALL_STATE(10045)] = 32877,
  [SMALL_STATE(10046)] = 32930,
  [SMALL_STATE(10047)] = 32983,
  [SMALL_STATE(10048)] = 33036,
  [SMALL_STATE(10049)] = 33089,
  [SMALL_STATE(10050)] = 33142,
  [SMALL_STATE(10051)] = 33195,
  [SMALL_STATE(10052)] = 33248,
  [SMALL_STATE(10053)] = 33301,
  [SMALL_STATE(10054)] = 33354,
  [SMALL_STATE(10055)] = 33407,
  [SMALL_STATE(10056)] = 33460,
  [SMALL_STATE(10057)] = 33513,
  [SMALL_STATE(10058)] = 33566,
  [SMALL_STATE(10059)] = 33621,
  [SMALL_STATE(10060)] = 33674,
  [SMALL_STATE(10061)] = 33725,
  [SMALL_STATE(10062)] = 33778,
  [SMALL_STATE(10063)] = 33829,
  [SMALL_STATE(10064)] = 33884,
  [SMALL_STATE(10065)] = 33937,
  [SMALL_STATE(10066)] = 33990,
  [SMALL_STATE(10067)] = 34043,
  [SMALL_STATE(10068)] = 34094,
  [SMALL_STATE(10069)] = 34147,
  [SMALL_STATE(10070)] = 34200,
  [SMALL_STATE(10071)] = 34253,
  [SMALL_STATE(10072)] = 34306,
  [SMALL_STATE(10073)] = 34359,
  [SMALL_STATE(10074)] = 34412,
  [SMALL_STATE(10075)] = 34465,
  [SMALL_STATE(10076)] = 34518,
  [SMALL_STATE(10077)] = 34571,
  [SMALL_STATE(10078)] = 34624,
  [SMALL_STATE(10079)] = 34677,
  [SMALL_STATE(10080)] = 34730,
  [SMALL_STATE(10081)] = 34783,
  [SMALL_STATE(10082)] = 34836,
  [SMALL_STATE(10083)] = 34889,
  [SMALL_STATE(10084)] = 34942,
  [SMALL_STATE(10085)] = 34995,
  [SMALL_STATE(10086)] = 35048,
  [SMALL_STATE(10087)] = 35101,
  [SMALL_STATE(10088)] = 35154,
  [SMALL_STATE(10089)] = 35207,
  [SMALL_STATE(10090)] = 35260,
  [SMALL_STATE(10091)] = 35313,
  [SMALL_STATE(10092)] = 35366,
  [SMALL_STATE(10093)] = 35419,
  [SMALL_STATE(10094)] = 35472,
  [SMALL_STATE(10095)] = 35527,
  [SMALL_STATE(10096)] = 35580,
  [SMALL_STATE(10097)] = 35633,
  [SMALL_STATE(10098)] = 35686,
  [SMALL_STATE(10099)] = 35739,
  [SMALL_STATE(10100)] = 35792,
  [SMALL_STATE(10101)] = 35845,
  [SMALL_STATE(10102)] = 35898,
  [SMALL_STATE(10103)] = 35951,
  [SMALL_STATE(10104)] = 36004,
  [SMALL_STATE(10105)] = 36057,
  [SMALL_STATE(10106)] = 36110,
  [SMALL_STATE(10107)] = 36163,
  [SMALL_STATE(10108)] = 36216,
  [SMALL_STATE(10109)] = 36269,
  [SMALL_STATE(10110)] = 36322,
  [SMALL_STATE(10111)] = 36375,
  [SMALL_STATE(10112)] = 36428,
  [SMALL_STATE(10113)] = 36481,
  [SMALL_STATE(10114)] = 36534,
  [SMALL_STATE(10115)] = 36587,
  [SMALL_STATE(10116)] = 36640,
  [SMALL_STATE(10117)] = 36693,
  [SMALL_STATE(10118)] = 36746,
  [SMALL_STATE(10119)] = 36799,
  [SMALL_STATE(10120)] = 36852,
  [SMALL_STATE(10121)] = 36905,
  [SMALL_STATE(10122)] = 36957,
  [SMALL_STATE(10123)] = 37009,
  [SMALL_STATE(10124)] = 37061,
  [SMALL_STATE(10125)] = 37113,
  [SMALL_STATE(10126)] = 37165,
  [SMALL_STATE(10127)] = 37217,
  [SMALL_STATE(10128)] = 37269,
  [SMALL_STATE(10129)] = 37321,
  [SMALL_STATE(10130)] = 37373,
  [SMALL_STATE(10131)] = 37425,
  [SMALL_STATE(10132)] = 37477,
  [SMALL_STATE(10133)] = 37529,
  [SMALL_STATE(10134)] = 37581,
  [SMALL_STATE(10135)] = 37633,
  [SMALL_STATE(10136)] = 37685,
  [SMALL_STATE(10137)] = 37737,
  [SMALL_STATE(10138)] = 37789,
  [SMALL_STATE(10139)] = 37841,
  [SMALL_STATE(10140)] = 37893,
  [SMALL_STATE(10141)] = 37945,
  [SMALL_STATE(10142)] = 37995,
  [SMALL_STATE(10143)] = 38047,
  [SMALL_STATE(10144)] = 38099,
  [SMALL_STATE(10145)] = 38149,
  [SMALL_STATE(10146)] = 38201,
  [SMALL_STATE(10147)] = 38253,
  [SMALL_STATE(10148)] = 38305,
  [SMALL_STATE(10149)] = 38357,
  [SMALL_STATE(10150)] = 38409,
  [SMALL_STATE(10151)] = 38459,
  [SMALL_STATE(10152)] = 38511,
  [SMALL_STATE(10153)] = 38563,
  [SMALL_STATE(10154)] = 38615,
  [SMALL_STATE(10155)] = 38667,
  [SMALL_STATE(10156)] = 38719,
  [SMALL_STATE(10157)] = 38771,
  [SMALL_STATE(10158)] = 38823,
  [SMALL_STATE(10159)] = 38875,
  [SMALL_STATE(10160)] = 38927,
  [SMALL_STATE(10161)] = 38979,
  [SMALL_STATE(10162)] = 39031,
  [SMALL_STATE(10163)] = 39083,
  [SMALL_STATE(10164)] = 39135,
  [SMALL_STATE(10165)] = 39187,
  [SMALL_STATE(10166)] = 39239,
  [SMALL_STATE(10167)] = 39291,
  [SMALL_STATE(10168)] = 39343,
  [SMALL_STATE(10169)] = 39395,
  [SMALL_STATE(10170)] = 39447,
  [SMALL_STATE(10171)] = 39499,
  [SMALL_STATE(10172)] = 39551,
  [SMALL_STATE(10173)] = 39603,
  [SMALL_STATE(10174)] = 39655,
  [SMALL_STATE(10175)] = 39707,
  [SMALL_STATE(10176)] = 39759,
  [SMALL_STATE(10177)] = 39811,
  [SMALL_STATE(10178)] = 39863,
  [SMALL_STATE(10179)] = 39915,
  [SMALL_STATE(10180)] = 39967,
  [SMALL_STATE(10181)] = 40019,
  [SMALL_STATE(10182)] = 40071,
  [SMALL_STATE(10183)] = 40123,
  [SMALL_STATE(10184)] = 40175,
  [SMALL_STATE(10185)] = 40224,
  [SMALL_STATE(10186)] = 40275,
  [SMALL_STATE(10187)] = 40331,
  [SMALL_STATE(10188)] = 40387,
  [SMALL_STATE(10189)] = 40443,
  [SMALL_STATE(10190)] = 40499,
  [SMALL_STATE(10191)] = 40551,
  [SMALL_STATE(10192)] = 40603,
  [SMALL_STATE(10193)] = 40659,
  [SMALL_STATE(10194)] = 40711,
  [SMALL_STATE(10195)] = 40767,
  [SMALL_STATE(10196)] = 40819,
  [SMALL_STATE(10197)] = 40867,
  [SMALL_STATE(10198)] = 40923,
  [SMALL_STATE(10199)] = 40979,
  [SMALL_STATE(10200)] = 41029,
  [SMALL_STATE(10201)] = 41081,
  [SMALL_STATE(10202)] = 41131,
  [SMALL_STATE(10203)] = 41180,
  [SMALL_STATE(10204)] = 41233,
  [SMALL_STATE(10205)] = 41286,
  [SMALL_STATE(10206)] = 41337,
  [SMALL_STATE(10207)] = 41388,
  [SMALL_STATE(10208)] = 41441,
  [SMALL_STATE(10209)] = 41494,
  [SMALL_STATE(10210)] = 41547,
  [SMALL_STATE(10211)] = 41600,
  [SMALL_STATE(10212)] = 41649,
  [SMALL_STATE(10213)] = 41696,
  [SMALL_STATE(10214)] = 41747,
  [SMALL_STATE(10215)] = 41796,
  [SMALL_STATE(10216)] = 41845,
  [SMALL_STATE(10217)] = 41894,
  [SMALL_STATE(10218)] = 41943,
  [SMALL_STATE(10219)] = 41992,
  [SMALL_STATE(10220)] = 42041,
  [SMALL_STATE(10221)] = 42090,
  [SMALL_STATE(10222)] = 42143,
  [SMALL_STATE(10223)] = 42190,
  [SMALL_STATE(10224)] = 42239,
  [SMALL_STATE(10225)] = 42292,
  [SMALL_STATE(10226)] = 42339,
  [SMALL_STATE(10227)] = 42386,
  [SMALL_STATE(10228)] = 42437,
  [SMALL_STATE(10229)] = 42490,
  [SMALL_STATE(10230)] = 42539,
  [SMALL_STATE(10231)] = 42588,
  [SMALL_STATE(10232)] = 42637,
  [SMALL_STATE(10233)] = 42686,
  [SMALL_STATE(10234)] = 42735,
  [SMALL_STATE(10235)] = 42784,
  [SMALL_STATE(10236)] = 42837,
  [SMALL_STATE(10237)] = 42886,
  [SMALL_STATE(10238)] = 42939,
  [SMALL_STATE(10239)] = 42992,
  [SMALL_STATE(10240)] = 43047,
  [SMALL_STATE(10241)] = 43102,
  [SMALL_STATE(10242)] = 43153,
  [SMALL_STATE(10243)] = 43202,
  [SMALL_STATE(10244)] = 43257,
  [SMALL_STATE(10245)] = 43308,
  [SMALL_STATE(10246)] = 43357,
  [SMALL_STATE(10247)] = 43410,
  [SMALL_STATE(10248)] = 43463,
  [SMALL_STATE(10249)] = 43516,
  [SMALL_STATE(10250)] = 43569,
  [SMALL_STATE(10251)] = 43622,
  [SMALL_STATE(10252)] = 43673,
  [SMALL_STATE(10253)] = 43720,
  [SMALL_STATE(10254)] = 43769,
  [SMALL_STATE(10255)] = 43822,
  [SMALL_STATE(10256)] = 43875,
  [SMALL_STATE(10257)] = 43928,
  [SMALL_STATE(10258)] = 43979,
  [SMALL_STATE(10259)] = 44028,
  [SMALL_STATE(10260)] = 44081,
  [SMALL_STATE(10261)] = 44134,
  [SMALL_STATE(10262)] = 44181,
  [SMALL_STATE(10263)] = 44230,
  [SMALL_STATE(10264)] = 44277,
  [SMALL_STATE(10265)] = 44326,
  [SMALL_STATE(10266)] = 44373,
  [SMALL_STATE(10267)] = 44420,
  [SMALL_STATE(10268)] = 44469,
  [SMALL_STATE(10269)] = 44516,
  [SMALL_STATE(10270)] = 44569,
  [SMALL_STATE(10271)] = 44618,
  [SMALL_STATE(10272)] = 44667,
  [SMALL_STATE(10273)] = 44720,
  [SMALL_STATE(10274)] = 44769,
  [SMALL_STATE(10275)] = 44822,
  [SMALL_STATE(10276)] = 44873,
  [SMALL_STATE(10277)] = 44922,
  [SMALL_STATE(10278)] = 44975,
  [SMALL_STATE(10279)] = 45024,
  [SMALL_STATE(10280)] = 45073,
  [SMALL_STATE(10281)] = 45122,
  [SMALL_STATE(10282)] = 45173,
  [SMALL_STATE(10283)] = 45222,
  [SMALL_STATE(10284)] = 45275,
  [SMALL_STATE(10285)] = 45328,
  [SMALL_STATE(10286)] = 45377,
  [SMALL_STATE(10287)] = 45426,
  [SMALL_STATE(10288)] = 45479,
  [SMALL_STATE(10289)] = 45528,
  [SMALL_STATE(10290)] = 45577,
  [SMALL_STATE(10291)] = 45632,
  [SMALL_STATE(10292)] = 45681,
  [SMALL_STATE(10293)] = 45734,
  [SMALL_STATE(10294)] = 45787,
  [SMALL_STATE(10295)] = 45840,
  [SMALL_STATE(10296)] = 45893,
  [SMALL_STATE(10297)] = 45942,
  [SMALL_STATE(10298)] = 45989,
  [SMALL_STATE(10299)] = 46036,
  [SMALL_STATE(10300)] = 46085,
  [SMALL_STATE(10301)] = 46134,
  [SMALL_STATE(10302)] = 46183,
  [SMALL_STATE(10303)] = 46236,
  [SMALL_STATE(10304)] = 46289,
  [SMALL_STATE(10305)] = 46338,
  [SMALL_STATE(10306)] = 46387,
  [SMALL_STATE(10307)] = 46434,
  [SMALL_STATE(10308)] = 46483,
  [SMALL_STATE(10309)] = 46532,
  [SMALL_STATE(10310)] = 46583,
  [SMALL_STATE(10311)] = 46632,
  [SMALL_STATE(10312)] = 46683,
  [SMALL_STATE(10313)] = 46732,
  [SMALL_STATE(10314)] = 46781,
  [SMALL_STATE(10315)] = 46830,
  [SMALL_STATE(10316)] = 46883,
  [SMALL_STATE(10317)] = 46938,
  [SMALL_STATE(10318)] = 46987,
  [SMALL_STATE(10319)] = 47036,
  [SMALL_STATE(10320)] = 47085,
  [SMALL_STATE(10321)] = 47140,
  [SMALL_STATE(10322)] = 47186,
  [SMALL_STATE(10323)] = 47238,
  [SMALL_STATE(10324)] = 47284,
  [SMALL_STATE(10325)] = 47334,
  [SMALL_STATE(10326)] = 47382,
  [SMALL_STATE(10327)] = 47430,
  [SMALL_STATE(10328)] = 47478,
  [SMALL_STATE(10329)] = 47528,
  [SMALL_STATE(10330)] = 47574,
  [SMALL_STATE(10331)] = 47626,
  [SMALL_STATE(10332)] = 47678,
  [SMALL_STATE(10333)] = 47730,
  [SMALL_STATE(10334)] = 47782,
  [SMALL_STATE(10335)] = 47834,
  [SMALL_STATE(10336)] = 47882,
  [SMALL_STATE(10337)] = 47930,
  [SMALL_STATE(10338)] = 47976,
  [SMALL_STATE(10339)] = 48026,
  [SMALL_STATE(10340)] = 48078,
  [SMALL_STATE(10341)] = 48128,
  [SMALL_STATE(10342)] = 48174,
  [SMALL_STATE(10343)] = 48224,
  [SMALL_STATE(10344)] = 48274,
  [SMALL_STATE(10345)] = 48326,
  [SMALL_STATE(10346)] = 48376,
  [SMALL_STATE(10347)] = 48422,
  [SMALL_STATE(10348)] = 48484,
  [SMALL_STATE(10349)] = 48530,
  [SMALL_STATE(10350)] = 48582,
  [SMALL_STATE(10351)] = 48630,
  [SMALL_STATE(10352)] = 48682,
  [SMALL_STATE(10353)] = 48728,
  [SMALL_STATE(10354)] = 48790,
  [SMALL_STATE(10355)] = 48842,
  [SMALL_STATE(10356)] = 48890,
  [SMALL_STATE(10357)] = 48942,
  [SMALL_STATE(10358)] = 48994,
  [SMALL_STATE(10359)] = 49042,
  [SMALL_STATE(10360)] = 49088,
  [SMALL_STATE(10361)] = 49134,
  [SMALL_STATE(10362)] = 49180,
  [SMALL_STATE(10363)] = 49234,
  [SMALL_STATE(10364)] = 49280,
  [SMALL_STATE(10365)] = 49326,
  [SMALL_STATE(10366)] = 49388,
  [SMALL_STATE(10367)] = 49438,
  [SMALL_STATE(10368)] = 49484,
  [SMALL_STATE(10369)] = 49534,
  [SMALL_STATE(10370)] = 49580,
  [SMALL_STATE(10371)] = 49632,
  [SMALL_STATE(10372)] = 49678,
  [SMALL_STATE(10373)] = 49726,
  [SMALL_STATE(10374)] = 49776,
  [SMALL_STATE(10375)] = 49824,
  [SMALL_STATE(10376)] = 49870,
  [SMALL_STATE(10377)] = 49918,
  [SMALL_STATE(10378)] = 49972,
  [SMALL_STATE(10379)] = 50018,
  [SMALL_STATE(10380)] = 50064,
  [SMALL_STATE(10381)] = 50112,
  [SMALL_STATE(10382)] = 50160,
  [SMALL_STATE(10383)] = 50212,
  [SMALL_STATE(10384)] = 50258,
  [SMALL_STATE(10385)] = 50304,
  [SMALL_STATE(10386)] = 50352,
  [SMALL_STATE(10387)] = 50400,
  [SMALL_STATE(10388)] = 50446,
  [SMALL_STATE(10389)] = 50492,
  [SMALL_STATE(10390)] = 50540,
  [SMALL_STATE(10391)] = 50590,
  [SMALL_STATE(10392)] = 50642,
  [SMALL_STATE(10393)] = 50704,
  [SMALL_STATE(10394)] = 50756,
  [SMALL_STATE(10395)] = 50808,
  [SMALL_STATE(10396)] = 50854,
  [SMALL_STATE(10397)] = 50906,
  [SMALL_STATE(10398)] = 50956,
  [SMALL_STATE(10399)] = 51002,
  [SMALL_STATE(10400)] = 51052,
  [SMALL_STATE(10401)] = 51098,
  [SMALL_STATE(10402)] = 51144,
  [SMALL_STATE(10403)] = 51196,
  [SMALL_STATE(10404)] = 51242,
  [SMALL_STATE(10405)] = 51288,
  [SMALL_STATE(10406)] = 51334,
  [SMALL_STATE(10407)] = 51380,
  [SMALL_STATE(10408)] = 51426,
  [SMALL_STATE(10409)] = 51472,
  [SMALL_STATE(10410)] = 51518,
  [SMALL_STATE(10411)] = 51564,
  [SMALL_STATE(10412)] = 51610,
  [SMALL_STATE(10413)] = 51662,
  [SMALL_STATE(10414)] = 51714,
  [SMALL_STATE(10415)] = 51766,
  [SMALL_STATE(10416)] = 51818,
  [SMALL_STATE(10417)] = 51880,
  [SMALL_STATE(10418)] = 51926,
  [SMALL_STATE(10419)] = 51976,
  [SMALL_STATE(10420)] = 52026,
  [SMALL_STATE(10421)] = 52078,
  [SMALL_STATE(10422)] = 52130,
  [SMALL_STATE(10423)] = 52182,
  [SMALL_STATE(10424)] = 52232,
  [SMALL_STATE(10425)] = 52294,
  [SMALL_STATE(10426)] = 52344,
  [SMALL_STATE(10427)] = 52390,
  [SMALL_STATE(10428)] = 52442,
  [SMALL_STATE(10429)] = 52494,
  [SMALL_STATE(10430)] = 52540,
  [SMALL_STATE(10431)] = 52586,
  [SMALL_STATE(10432)] = 52638,
  [SMALL_STATE(10433)] = 52684,
  [SMALL_STATE(10434)] = 52736,
  [SMALL_STATE(10435)] = 52788,
  [SMALL_STATE(10436)] = 52840,
  [SMALL_STATE(10437)] = 52892,
  [SMALL_STATE(10438)] = 52938,
  [SMALL_STATE(10439)] = 52990,
  [SMALL_STATE(10440)] = 53036,
  [SMALL_STATE(10441)] = 53082,
  [SMALL_STATE(10442)] = 53134,
  [SMALL_STATE(10443)] = 53186,
  [SMALL_STATE(10444)] = 53238,
  [SMALL_STATE(10445)] = 53284,
  [SMALL_STATE(10446)] = 53330,
  [SMALL_STATE(10447)] = 53376,
  [SMALL_STATE(10448)] = 53422,
  [SMALL_STATE(10449)] = 53468,
  [SMALL_STATE(10450)] = 53514,
  [SMALL_STATE(10451)] = 53564,
  [SMALL_STATE(10452)] = 53610,
  [SMALL_STATE(10453)] = 53656,
  [SMALL_STATE(10454)] = 53704,
  [SMALL_STATE(10455)] = 53754,
  [SMALL_STATE(10456)] = 53800,
  [SMALL_STATE(10457)] = 53846,
  [SMALL_STATE(10458)] = 53896,
  [SMALL_STATE(10459)] = 53950,
  [SMALL_STATE(10460)] = 54002,
  [SMALL_STATE(10461)] = 54052,
  [SMALL_STATE(10462)] = 54104,
  [SMALL_STATE(10463)] = 54156,
  [SMALL_STATE(10464)] = 54202,
  [SMALL_STATE(10465)] = 54248,
  [SMALL_STATE(10466)] = 54294,
  [SMALL_STATE(10467)] = 54346,
  [SMALL_STATE(10468)] = 54392,
  [SMALL_STATE(10469)] = 54438,
  [SMALL_STATE(10470)] = 54488,
  [SMALL_STATE(10471)] = 54542,
  [SMALL_STATE(10472)] = 54604,
  [SMALL_STATE(10473)] = 54650,
  [SMALL_STATE(10474)] = 54700,
  [SMALL_STATE(10475)] = 54752,
  [SMALL_STATE(10476)] = 54804,
  [SMALL_STATE(10477)] = 54850,
  [SMALL_STATE(10478)] = 54896,
  [SMALL_STATE(10479)] = 54944,
  [SMALL_STATE(10480)] = 54992,
  [SMALL_STATE(10481)] = 55040,
  [SMALL_STATE(10482)] = 55088,
  [SMALL_STATE(10483)] = 55136,
  [SMALL_STATE(10484)] = 55184,
  [SMALL_STATE(10485)] = 55246,
  [SMALL_STATE(10486)] = 55298,
  [SMALL_STATE(10487)] = 55350,
  [SMALL_STATE(10488)] = 55398,
  [SMALL_STATE(10489)] = 55450,
  [SMALL_STATE(10490)] = 55498,
  [SMALL_STATE(10491)] = 55546,
  [SMALL_STATE(10492)] = 55594,
  [SMALL_STATE(10493)] = 55644,
  [SMALL_STATE(10494)] = 55696,
  [SMALL_STATE(10495)] = 55758,
  [SMALL_STATE(10496)] = 55810,
  [SMALL_STATE(10497)] = 55860,
  [SMALL_STATE(10498)] = 55912,
  [SMALL_STATE(10499)] = 55964,
  [SMALL_STATE(10500)] = 56018,
  [SMALL_STATE(10501)] = 56064,
  [SMALL_STATE(10502)] = 56126,
  [SMALL_STATE(10503)] = 56180,
  [SMALL_STATE(10504)] = 56226,
  [SMALL_STATE(10505)] = 56278,
  [SMALL_STATE(10506)] = 56324,
  [SMALL_STATE(10507)] = 56386,
  [SMALL_STATE(10508)] = 56438,
  [SMALL_STATE(10509)] = 56486,
  [SMALL_STATE(10510)] = 56538,
  [SMALL_STATE(10511)] = 56590,
  [SMALL_STATE(10512)] = 56642,
  [SMALL_STATE(10513)] = 56692,
  [SMALL_STATE(10514)] = 56742,
  [SMALL_STATE(10515)] = 56790,
  [SMALL_STATE(10516)] = 56840,
  [SMALL_STATE(10517)] = 56894,
  [SMALL_STATE(10518)] = 56948,
  [SMALL_STATE(10519)] = 57010,
  [SMALL_STATE(10520)] = 57062,
  [SMALL_STATE(10521)] = 57112,
  [SMALL_STATE(10522)] = 57158,
  [SMALL_STATE(10523)] = 57208,
  [SMALL_STATE(10524)] = 57270,
  [SMALL_STATE(10525)] = 57322,
  [SMALL_STATE(10526)] = 57374,
  [SMALL_STATE(10527)] = 57426,
  [SMALL_STATE(10528)] = 57478,
  [SMALL_STATE(10529)] = 57530,
  [SMALL_STATE(10530)] = 57582,
  [SMALL_STATE(10531)] = 57634,
  [SMALL_STATE(10532)] = 57686,
  [SMALL_STATE(10533)] = 57737,
  [SMALL_STATE(10534)] = 57788,
  [SMALL_STATE(10535)] = 57835,
  [SMALL_STATE(10536)] = 57882,
  [SMALL_STATE(10537)] = 57929,
  [SMALL_STATE(10538)] = 57976,
  [SMALL_STATE(10539)] = 58023,
  [SMALL_STATE(10540)] = 58070,
  [SMALL_STATE(10541)] = 58117,
  [SMALL_STATE(10542)] = 58174,
  [SMALL_STATE(10543)] = 58221,
  [SMALL_STATE(10544)] = 58282,
  [SMALL_STATE(10545)] = 58329,
  [SMALL_STATE(10546)] = 58376,
  [SMALL_STATE(10547)] = 58423,
  [SMALL_STATE(10548)] = 58470,
  [SMALL_STATE(10549)] = 58517,
  [SMALL_STATE(10550)] = 58564,
  [SMALL_STATE(10551)] = 58611,
  [SMALL_STATE(10552)] = 58658,
  [SMALL_STATE(10553)] = 58705,
  [SMALL_STATE(10554)] = 58756,
  [SMALL_STATE(10555)] = 58807,
  [SMALL_STATE(10556)] = 58858,
  [SMALL_STATE(10557)] = 58909,
  [SMALL_STATE(10558)] = 58960,
  [SMALL_STATE(10559)] = 59011,
  [SMALL_STATE(10560)] = 59056,
  [SMALL_STATE(10561)] = 59115,
  [SMALL_STATE(10562)] = 59166,
  [SMALL_STATE(10563)] = 59217,
  [SMALL_STATE(10564)] = 59276,
  [SMALL_STATE(10565)] = 59323,
  [SMALL_STATE(10566)] = 59370,
  [SMALL_STATE(10567)] = 59417,
  [SMALL_STATE(10568)] = 59468,
  [SMALL_STATE(10569)] = 59519,
  [SMALL_STATE(10570)] = 59570,
  [SMALL_STATE(10571)] = 59619,
  [SMALL_STATE(10572)] = 59666,
  [SMALL_STATE(10573)] = 59713,
  [SMALL_STATE(10574)] = 59760,
  [SMALL_STATE(10575)] = 59807,
  [SMALL_STATE(10576)] = 59854,
  [SMALL_STATE(10577)] = 59901,
  [SMALL_STATE(10578)] = 59948,
  [SMALL_STATE(10579)] = 59999,
  [SMALL_STATE(10580)] = 60046,
  [SMALL_STATE(10581)] = 60093,
  [SMALL_STATE(10582)] = 60140,
  [SMALL_STATE(10583)] = 60187,
  [SMALL_STATE(10584)] = 60234,
  [SMALL_STATE(10585)] = 60281,
  [SMALL_STATE(10586)] = 60328,
  [SMALL_STATE(10587)] = 60375,
  [SMALL_STATE(10588)] = 60422,
  [SMALL_STATE(10589)] = 60469,
  [SMALL_STATE(10590)] = 60522,
  [SMALL_STATE(10591)] = 60569,
  [SMALL_STATE(10592)] = 60618,
  [SMALL_STATE(10593)] = 60665,
  [SMALL_STATE(10594)] = 60712,
  [SMALL_STATE(10595)] = 60759,
  [SMALL_STATE(10596)] = 60810,
  [SMALL_STATE(10597)] = 60859,
  [SMALL_STATE(10598)] = 60910,
  [SMALL_STATE(10599)] = 60961,
  [SMALL_STATE(10600)] = 61008,
  [SMALL_STATE(10601)] = 61055,
  [SMALL_STATE(10602)] = 61102,
  [SMALL_STATE(10603)] = 61151,
  [SMALL_STATE(10604)] = 61198,
  [SMALL_STATE(10605)] = 61245,
  [SMALL_STATE(10606)] = 61292,
  [SMALL_STATE(10607)] = 61343,
  [SMALL_STATE(10608)] = 61390,
  [SMALL_STATE(10609)] = 61435,
  [SMALL_STATE(10610)] = 61480,
  [SMALL_STATE(10611)] = 61527,
  [SMALL_STATE(10612)] = 61574,
  [SMALL_STATE(10613)] = 61619,
  [SMALL_STATE(10614)] = 61666,
  [SMALL_STATE(10615)] = 61713,
  [SMALL_STATE(10616)] = 61758,
  [SMALL_STATE(10617)] = 61805,
  [SMALL_STATE(10618)] = 61852,
  [SMALL_STATE(10619)] = 61899,
  [SMALL_STATE(10620)] = 61946,
  [SMALL_STATE(10621)] = 61995,
  [SMALL_STATE(10622)] = 62046,
  [SMALL_STATE(10623)] = 62091,
  [SMALL_STATE(10624)] = 62138,
  [SMALL_STATE(10625)] = 62189,
  [SMALL_STATE(10626)] = 62236,
  [SMALL_STATE(10627)] = 62283,
  [SMALL_STATE(10628)] = 62330,
  [SMALL_STATE(10629)] = 62377,
  [SMALL_STATE(10630)] = 62422,
  [SMALL_STATE(10631)] = 62483,
  [SMALL_STATE(10632)] = 62528,
  [SMALL_STATE(10633)] = 62573,
  [SMALL_STATE(10634)] = 62618,
  [SMALL_STATE(10635)] = 62663,
  [SMALL_STATE(10636)] = 62708,
  [SMALL_STATE(10637)] = 62759,
  [SMALL_STATE(10638)] = 62806,
  [SMALL_STATE(10639)] = 62851,
  [SMALL_STATE(10640)] = 62896,
  [SMALL_STATE(10641)] = 62941,
  [SMALL_STATE(10642)] = 62986,
  [SMALL_STATE(10643)] = 63031,
  [SMALL_STATE(10644)] = 63078,
  [SMALL_STATE(10645)] = 63123,
  [SMALL_STATE(10646)] = 63168,
  [SMALL_STATE(10647)] = 63215,
  [SMALL_STATE(10648)] = 63262,
  [SMALL_STATE(10649)] = 63309,
  [SMALL_STATE(10650)] = 63356,
  [SMALL_STATE(10651)] = 63401,
  [SMALL_STATE(10652)] = 63446,
  [SMALL_STATE(10653)] = 63491,
  [SMALL_STATE(10654)] = 63536,
  [SMALL_STATE(10655)] = 63581,
  [SMALL_STATE(10656)] = 63628,
  [SMALL_STATE(10657)] = 63675,
  [SMALL_STATE(10658)] = 63722,
  [SMALL_STATE(10659)] = 63769,
  [SMALL_STATE(10660)] = 63814,
  [SMALL_STATE(10661)] = 63859,
  [SMALL_STATE(10662)] = 63906,
  [SMALL_STATE(10663)] = 63953,
  [SMALL_STATE(10664)] = 63998,
  [SMALL_STATE(10665)] = 64043,
  [SMALL_STATE(10666)] = 64088,
  [SMALL_STATE(10667)] = 64135,
  [SMALL_STATE(10668)] = 64182,
  [SMALL_STATE(10669)] = 64229,
  [SMALL_STATE(10670)] = 64280,
  [SMALL_STATE(10671)] = 64327,
  [SMALL_STATE(10672)] = 64374,
  [SMALL_STATE(10673)] = 64421,
  [SMALL_STATE(10674)] = 64468,
  [SMALL_STATE(10675)] = 64517,
  [SMALL_STATE(10676)] = 64562,
  [SMALL_STATE(10677)] = 64609,
  [SMALL_STATE(10678)] = 64654,
  [SMALL_STATE(10679)] = 64701,
  [SMALL_STATE(10680)] = 64750,
  [SMALL_STATE(10681)] = 64799,
  [SMALL_STATE(10682)] = 64846,
  [SMALL_STATE(10683)] = 64893,
  [SMALL_STATE(10684)] = 64940,
  [SMALL_STATE(10685)] = 64987,
  [SMALL_STATE(10686)] = 65034,
  [SMALL_STATE(10687)] = 65081,
  [SMALL_STATE(10688)] = 65128,
  [SMALL_STATE(10689)] = 65179,
  [SMALL_STATE(10690)] = 65226,
  [SMALL_STATE(10691)] = 65273,
  [SMALL_STATE(10692)] = 65320,
  [SMALL_STATE(10693)] = 65367,
  [SMALL_STATE(10694)] = 65414,
  [SMALL_STATE(10695)] = 65465,
  [SMALL_STATE(10696)] = 65512,
  [SMALL_STATE(10697)] = 65559,
  [SMALL_STATE(10698)] = 65606,
  [SMALL_STATE(10699)] = 65653,
  [SMALL_STATE(10700)] = 65700,
  [SMALL_STATE(10701)] = 65747,
  [SMALL_STATE(10702)] = 65794,
  [SMALL_STATE(10703)] = 65841,
  [SMALL_STATE(10704)] = 65888,
  [SMALL_STATE(10705)] = 65935,
  [SMALL_STATE(10706)] = 65982,
  [SMALL_STATE(10707)] = 66029,
  [SMALL_STATE(10708)] = 66076,
  [SMALL_STATE(10709)] = 66123,
  [SMALL_STATE(10710)] = 66172,
  [SMALL_STATE(10711)] = 66223,
  [SMALL_STATE(10712)] = 66272,
  [SMALL_STATE(10713)] = 66319,
  [SMALL_STATE(10714)] = 66366,
  [SMALL_STATE(10715)] = 66417,
  [SMALL_STATE(10716)] = 66468,
  [SMALL_STATE(10717)] = 66515,
  [SMALL_STATE(10718)] = 66562,
  [SMALL_STATE(10719)] = 66609,
  [SMALL_STATE(10720)] = 66656,
  [SMALL_STATE(10721)] = 66703,
  [SMALL_STATE(10722)] = 66750,
  [SMALL_STATE(10723)] = 66797,
  [SMALL_STATE(10724)] = 66844,
  [SMALL_STATE(10725)] = 66891,
  [SMALL_STATE(10726)] = 66938,
  [SMALL_STATE(10727)] = 66985,
  [SMALL_STATE(10728)] = 67030,
  [SMALL_STATE(10729)] = 67075,
  [SMALL_STATE(10730)] = 67126,
  [SMALL_STATE(10731)] = 67173,
  [SMALL_STATE(10732)] = 67220,
  [SMALL_STATE(10733)] = 67267,
  [SMALL_STATE(10734)] = 67314,
  [SMALL_STATE(10735)] = 67365,
  [SMALL_STATE(10736)] = 67412,
  [SMALL_STATE(10737)] = 67459,
  [SMALL_STATE(10738)] = 67506,
  [SMALL_STATE(10739)] = 67551,
  [SMALL_STATE(10740)] = 67598,
  [SMALL_STATE(10741)] = 67649,
  [SMALL_STATE(10742)] = 67696,
  [SMALL_STATE(10743)] = 67743,
  [SMALL_STATE(10744)] = 67794,
  [SMALL_STATE(10745)] = 67841,
  [SMALL_STATE(10746)] = 67888,
  [SMALL_STATE(10747)] = 67935,
  [SMALL_STATE(10748)] = 67986,
  [SMALL_STATE(10749)] = 68037,
  [SMALL_STATE(10750)] = 68084,
  [SMALL_STATE(10751)] = 68131,
  [SMALL_STATE(10752)] = 68178,
  [SMALL_STATE(10753)] = 68225,
  [SMALL_STATE(10754)] = 68276,
  [SMALL_STATE(10755)] = 68323,
  [SMALL_STATE(10756)] = 68374,
  [SMALL_STATE(10757)] = 68421,
  [SMALL_STATE(10758)] = 68466,
  [SMALL_STATE(10759)] = 68515,
  [SMALL_STATE(10760)] = 68562,
  [SMALL_STATE(10761)] = 68613,
  [SMALL_STATE(10762)] = 68660,
  [SMALL_STATE(10763)] = 68721,
  [SMALL_STATE(10764)] = 68768,
  [SMALL_STATE(10765)] = 68819,
  [SMALL_STATE(10766)] = 68868,
  [SMALL_STATE(10767)] = 68915,
  [SMALL_STATE(10768)] = 68962,
  [SMALL_STATE(10769)] = 69009,
  [SMALL_STATE(10770)] = 69056,
  [SMALL_STATE(10771)] = 69103,
  [SMALL_STATE(10772)] = 69152,
  [SMALL_STATE(10773)] = 69211,
  [SMALL_STATE(10774)] = 69258,
  [SMALL_STATE(10775)] = 69305,
  [SMALL_STATE(10776)] = 69352,
  [SMALL_STATE(10777)] = 69399,
  [SMALL_STATE(10778)] = 69460,
  [SMALL_STATE(10779)] = 69507,
  [SMALL_STATE(10780)] = 69554,
  [SMALL_STATE(10781)] = 69601,
  [SMALL_STATE(10782)] = 69648,
  [SMALL_STATE(10783)] = 69695,
  [SMALL_STATE(10784)] = 69742,
  [SMALL_STATE(10785)] = 69789,
  [SMALL_STATE(10786)] = 69850,
  [SMALL_STATE(10787)] = 69909,
  [SMALL_STATE(10788)] = 69956,
  [SMALL_STATE(10789)] = 70003,
  [SMALL_STATE(10790)] = 70050,
  [SMALL_STATE(10791)] = 70097,
  [SMALL_STATE(10792)] = 70144,
  [SMALL_STATE(10793)] = 70191,
  [SMALL_STATE(10794)] = 70242,
  [SMALL_STATE(10795)] = 70289,
  [SMALL_STATE(10796)] = 70336,
  [SMALL_STATE(10797)] = 70383,
  [SMALL_STATE(10798)] = 70430,
  [SMALL_STATE(10799)] = 70481,
  [SMALL_STATE(10800)] = 70532,
  [SMALL_STATE(10801)] = 70583,
  [SMALL_STATE(10802)] = 70634,
  [SMALL_STATE(10803)] = 70681,
  [SMALL_STATE(10804)] = 70728,
  [SMALL_STATE(10805)] = 70787,
  [SMALL_STATE(10806)] = 70848,
  [SMALL_STATE(10807)] = 70895,
  [SMALL_STATE(10808)] = 70946,
  [SMALL_STATE(10809)] = 70997,
  [SMALL_STATE(10810)] = 71046,
  [SMALL_STATE(10811)] = 71097,
  [SMALL_STATE(10812)] = 71144,
  [SMALL_STATE(10813)] = 71195,
  [SMALL_STATE(10814)] = 71246,
  [SMALL_STATE(10815)] = 71297,
  [SMALL_STATE(10816)] = 71348,
  [SMALL_STATE(10817)] = 71397,
  [SMALL_STATE(10818)] = 71448,
  [SMALL_STATE(10819)] = 71497,
  [SMALL_STATE(10820)] = 71548,
  [SMALL_STATE(10821)] = 71599,
  [SMALL_STATE(10822)] = 71650,
  [SMALL_STATE(10823)] = 71701,
  [SMALL_STATE(10824)] = 71752,
  [SMALL_STATE(10825)] = 71803,
  [SMALL_STATE(10826)] = 71854,
  [SMALL_STATE(10827)] = 71905,
  [SMALL_STATE(10828)] = 71956,
  [SMALL_STATE(10829)] = 72007,
  [SMALL_STATE(10830)] = 72054,
  [SMALL_STATE(10831)] = 72105,
  [SMALL_STATE(10832)] = 72156,
  [SMALL_STATE(10833)] = 72207,
  [SMALL_STATE(10834)] = 72254,
  [SMALL_STATE(10835)] = 72301,
  [SMALL_STATE(10836)] = 72348,
  [SMALL_STATE(10837)] = 72395,
  [SMALL_STATE(10838)] = 72442,
  [SMALL_STATE(10839)] = 72489,
  [SMALL_STATE(10840)] = 72536,
  [SMALL_STATE(10841)] = 72587,
  [SMALL_STATE(10842)] = 72638,
  [SMALL_STATE(10843)] = 72685,
  [SMALL_STATE(10844)] = 72736,
  [SMALL_STATE(10845)] = 72781,
  [SMALL_STATE(10846)] = 72828,
  [SMALL_STATE(10847)] = 72875,
  [SMALL_STATE(10848)] = 72922,
  [SMALL_STATE(10849)] = 72969,
  [SMALL_STATE(10850)] = 73016,
  [SMALL_STATE(10851)] = 73063,
  [SMALL_STATE(10852)] = 73110,
  [SMALL_STATE(10853)] = 73159,
  [SMALL_STATE(10854)] = 73206,
  [SMALL_STATE(10855)] = 73253,
  [SMALL_STATE(10856)] = 73304,
  [SMALL_STATE(10857)] = 73351,
  [SMALL_STATE(10858)] = 73398,
  [SMALL_STATE(10859)] = 73445,
  [SMALL_STATE(10860)] = 73492,
  [SMALL_STATE(10861)] = 73539,
  [SMALL_STATE(10862)] = 73586,
  [SMALL_STATE(10863)] = 73633,
  [SMALL_STATE(10864)] = 73692,
  [SMALL_STATE(10865)] = 73737,
  [SMALL_STATE(10866)] = 73788,
  [SMALL_STATE(10867)] = 73835,
  [SMALL_STATE(10868)] = 73880,
  [SMALL_STATE(10869)] = 73925,
  [SMALL_STATE(10870)] = 73976,
  [SMALL_STATE(10871)] = 74023,
  [SMALL_STATE(10872)] = 74070,
  [SMALL_STATE(10873)] = 74115,
  [SMALL_STATE(10874)] = 74162,
  [SMALL_STATE(10875)] = 74209,
  [SMALL_STATE(10876)] = 74254,
  [SMALL_STATE(10877)] = 74299,
  [SMALL_STATE(10878)] = 74344,
  [SMALL_STATE(10879)] = 74389,
  [SMALL_STATE(10880)] = 74448,
  [SMALL_STATE(10881)] = 74495,
  [SMALL_STATE(10882)] = 74540,
  [SMALL_STATE(10883)] = 74585,
  [SMALL_STATE(10884)] = 74636,
  [SMALL_STATE(10885)] = 74681,
  [SMALL_STATE(10886)] = 74728,
  [SMALL_STATE(10887)] = 74775,
  [SMALL_STATE(10888)] = 74826,
  [SMALL_STATE(10889)] = 74877,
  [SMALL_STATE(10890)] = 74938,
  [SMALL_STATE(10891)] = 74983,
  [SMALL_STATE(10892)] = 75034,
  [SMALL_STATE(10893)] = 75081,
  [SMALL_STATE(10894)] = 75132,
  [SMALL_STATE(10895)] = 75183,
  [SMALL_STATE(10896)] = 75230,
  [SMALL_STATE(10897)] = 75281,
  [SMALL_STATE(10898)] = 75332,
  [SMALL_STATE(10899)] = 75377,
  [SMALL_STATE(10900)] = 75424,
  [SMALL_STATE(10901)] = 75471,
  [SMALL_STATE(10902)] = 75516,
  [SMALL_STATE(10903)] = 75561,
  [SMALL_STATE(10904)] = 75606,
  [SMALL_STATE(10905)] = 75657,
  [SMALL_STATE(10906)] = 75704,
  [SMALL_STATE(10907)] = 75751,
  [SMALL_STATE(10908)] = 75802,
  [SMALL_STATE(10909)] = 75847,
  [SMALL_STATE(10910)] = 75892,
  [SMALL_STATE(10911)] = 75937,
  [SMALL_STATE(10912)] = 75982,
  [SMALL_STATE(10913)] = 76027,
  [SMALL_STATE(10914)] = 76072,
  [SMALL_STATE(10915)] = 76119,
  [SMALL_STATE(10916)] = 76164,
  [SMALL_STATE(10917)] = 76209,
  [SMALL_STATE(10918)] = 76254,
  [SMALL_STATE(10919)] = 76301,
  [SMALL_STATE(10920)] = 76346,
  [SMALL_STATE(10921)] = 76391,
  [SMALL_STATE(10922)] = 76438,
  [SMALL_STATE(10923)] = 76497,
  [SMALL_STATE(10924)] = 76544,
  [SMALL_STATE(10925)] = 76591,
  [SMALL_STATE(10926)] = 76642,
  [SMALL_STATE(10927)] = 76693,
  [SMALL_STATE(10928)] = 76744,
  [SMALL_STATE(10929)] = 76789,
  [SMALL_STATE(10930)] = 76840,
  [SMALL_STATE(10931)] = 76887,
  [SMALL_STATE(10932)] = 76938,
  [SMALL_STATE(10933)] = 76983,
  [SMALL_STATE(10934)] = 77028,
  [SMALL_STATE(10935)] = 77074,
  [SMALL_STATE(10936)] = 77130,
  [SMALL_STATE(10937)] = 77180,
  [SMALL_STATE(10938)] = 77230,
  [SMALL_STATE(10939)] = 77280,
  [SMALL_STATE(10940)] = 77330,
  [SMALL_STATE(10941)] = 77380,
  [SMALL_STATE(10942)] = 77430,
  [SMALL_STATE(10943)] = 77486,
  [SMALL_STATE(10944)] = 77544,
  [SMALL_STATE(10945)] = 77594,
  [SMALL_STATE(10946)] = 77644,
  [SMALL_STATE(10947)] = 77694,
  [SMALL_STATE(10948)] = 77744,
  [SMALL_STATE(10949)] = 77804,
  [SMALL_STATE(10950)] = 77854,
  [SMALL_STATE(10951)] = 77904,
  [SMALL_STATE(10952)] = 77948,
  [SMALL_STATE(10953)] = 77992,
  [SMALL_STATE(10954)] = 78052,
  [SMALL_STATE(10955)] = 78096,
  [SMALL_STATE(10956)] = 78146,
  [SMALL_STATE(10957)] = 78190,
  [SMALL_STATE(10958)] = 78240,
  [SMALL_STATE(10959)] = 78290,
  [SMALL_STATE(10960)] = 78340,
  [SMALL_STATE(10961)] = 78390,
  [SMALL_STATE(10962)] = 78440,
  [SMALL_STATE(10963)] = 78490,
  [SMALL_STATE(10964)] = 78534,
  [SMALL_STATE(10965)] = 78592,
  [SMALL_STATE(10966)] = 78642,
  [SMALL_STATE(10967)] = 78700,
  [SMALL_STATE(10968)] = 78748,
  [SMALL_STATE(10969)] = 78798,
  [SMALL_STATE(10970)] = 78848,
  [SMALL_STATE(10971)] = 78898,
  [SMALL_STATE(10972)] = 78948,
  [SMALL_STATE(10973)] = 79006,
  [SMALL_STATE(10974)] = 79062,
  [SMALL_STATE(10975)] = 79120,
  [SMALL_STATE(10976)] = 79166,
  [SMALL_STATE(10977)] = 79212,
  [SMALL_STATE(10978)] = 79258,
  [SMALL_STATE(10979)] = 79304,
  [SMALL_STATE(10980)] = 79350,
  [SMALL_STATE(10981)] = 79400,
  [SMALL_STATE(10982)] = 79446,
  [SMALL_STATE(10983)] = 79492,
  [SMALL_STATE(10984)] = 79538,
  [SMALL_STATE(10985)] = 79588,
  [SMALL_STATE(10986)] = 79646,
  [SMALL_STATE(10987)] = 79692,
  [SMALL_STATE(10988)] = 79738,
  [SMALL_STATE(10989)] = 79784,
  [SMALL_STATE(10990)] = 79842,
  [SMALL_STATE(10991)] = 79888,
  [SMALL_STATE(10992)] = 79938,
  [SMALL_STATE(10993)] = 79984,
  [SMALL_STATE(10994)] = 80030,
  [SMALL_STATE(10995)] = 80080,
  [SMALL_STATE(10996)] = 80126,
  [SMALL_STATE(10997)] = 80172,
  [SMALL_STATE(10998)] = 80218,
  [SMALL_STATE(10999)] = 80264,
  [SMALL_STATE(11000)] = 80310,
  [SMALL_STATE(11001)] = 80356,
  [SMALL_STATE(11002)] = 80402,
  [SMALL_STATE(11003)] = 80448,
  [SMALL_STATE(11004)] = 80496,
  [SMALL_STATE(11005)] = 80542,
  [SMALL_STATE(11006)] = 80590,
  [SMALL_STATE(11007)] = 80636,
  [SMALL_STATE(11008)] = 80682,
  [SMALL_STATE(11009)] = 80728,
  [SMALL_STATE(11010)] = 80774,
  [SMALL_STATE(11011)] = 80820,
  [SMALL_STATE(11012)] = 80866,
  [SMALL_STATE(11013)] = 80912,
  [SMALL_STATE(11014)] = 80958,
  [SMALL_STATE(11015)] = 81018,
  [SMALL_STATE(11016)] = 81064,
  [SMALL_STATE(11017)] = 81110,
  [SMALL_STATE(11018)] = 81156,
  [SMALL_STATE(11019)] = 81202,
  [SMALL_STATE(11020)] = 81248,
  [SMALL_STATE(11021)] = 81294,
  [SMALL_STATE(11022)] = 81340,
  [SMALL_STATE(11023)] = 81386,
  [SMALL_STATE(11024)] = 81430,
  [SMALL_STATE(11025)] = 81476,
  [SMALL_STATE(11026)] = 81522,
  [SMALL_STATE(11027)] = 81568,
  [SMALL_STATE(11028)] = 81614,
  [SMALL_STATE(11029)] = 81660,
  [SMALL_STATE(11030)] = 81706,
  [SMALL_STATE(11031)] = 81752,
  [SMALL_STATE(11032)] = 81798,
  [SMALL_STATE(11033)] = 81844,
  [SMALL_STATE(11034)] = 81888,
  [SMALL_STATE(11035)] = 81932,
  [SMALL_STATE(11036)] = 81982,
  [SMALL_STATE(11037)] = 82032,
  [SMALL_STATE(11038)] = 82082,
  [SMALL_STATE(11039)] = 82132,
  [SMALL_STATE(11040)] = 82178,
  [SMALL_STATE(11041)] = 82234,
  [SMALL_STATE(11042)] = 82278,
  [SMALL_STATE(11043)] = 82324,
  [SMALL_STATE(11044)] = 82368,
  [SMALL_STATE(11045)] = 82414,
  [SMALL_STATE(11046)] = 82460,
  [SMALL_STATE(11047)] = 82516,
  [SMALL_STATE(11048)] = 82566,
  [SMALL_STATE(11049)] = 82614,
  [SMALL_STATE(11050)] = 82662,
  [SMALL_STATE(11051)] = 82706,
  [SMALL_STATE(11052)] = 82754,
  [SMALL_STATE(11053)] = 82802,
  [SMALL_STATE(11054)] = 82850,
  [SMALL_STATE(11055)] = 82894,
  [SMALL_STATE(11056)] = 82938,
  [SMALL_STATE(11057)] = 82982,
  [SMALL_STATE(11058)] = 83026,
  [SMALL_STATE(11059)] = 83072,
  [SMALL_STATE(11060)] = 83126,
  [SMALL_STATE(11061)] = 83172,
  [SMALL_STATE(11062)] = 83218,
  [SMALL_STATE(11063)] = 83264,
  [SMALL_STATE(11064)] = 83310,
  [SMALL_STATE(11065)] = 83356,
  [SMALL_STATE(11066)] = 83416,
  [SMALL_STATE(11067)] = 83462,
  [SMALL_STATE(11068)] = 83508,
  [SMALL_STATE(11069)] = 83554,
  [SMALL_STATE(11070)] = 83600,
  [SMALL_STATE(11071)] = 83646,
  [SMALL_STATE(11072)] = 83692,
  [SMALL_STATE(11073)] = 83738,
  [SMALL_STATE(11074)] = 83784,
  [SMALL_STATE(11075)] = 83828,
  [SMALL_STATE(11076)] = 83872,
  [SMALL_STATE(11077)] = 83916,
  [SMALL_STATE(11078)] = 83962,
  [SMALL_STATE(11079)] = 84008,
  [SMALL_STATE(11080)] = 84054,
  [SMALL_STATE(11081)] = 84100,
  [SMALL_STATE(11082)] = 84146,
  [SMALL_STATE(11083)] = 84192,
  [SMALL_STATE(11084)] = 84238,
  [SMALL_STATE(11085)] = 84282,
  [SMALL_STATE(11086)] = 84326,
  [SMALL_STATE(11087)] = 84372,
  [SMALL_STATE(11088)] = 84418,
  [SMALL_STATE(11089)] = 84478,
  [SMALL_STATE(11090)] = 84524,
  [SMALL_STATE(11091)] = 84568,
  [SMALL_STATE(11092)] = 84614,
  [SMALL_STATE(11093)] = 84674,
  [SMALL_STATE(11094)] = 84720,
  [SMALL_STATE(11095)] = 84766,
  [SMALL_STATE(11096)] = 84812,
  [SMALL_STATE(11097)] = 84858,
  [SMALL_STATE(11098)] = 84916,
  [SMALL_STATE(11099)] = 84962,
  [SMALL_STATE(11100)] = 85008,
  [SMALL_STATE(11101)] = 85054,
  [SMALL_STATE(11102)] = 85100,
  [SMALL_STATE(11103)] = 85146,
  [SMALL_STATE(11104)] = 85190,
  [SMALL_STATE(11105)] = 85234,
  [SMALL_STATE(11106)] = 85278,
  [SMALL_STATE(11107)] = 85322,
  [SMALL_STATE(11108)] = 85368,
  [SMALL_STATE(11109)] = 85414,
  [SMALL_STATE(11110)] = 85458,
  [SMALL_STATE(11111)] = 85502,
  [SMALL_STATE(11112)] = 85546,
  [SMALL_STATE(11113)] = 85590,
  [SMALL_STATE(11114)] = 85640,
  [SMALL_STATE(11115)] = 85684,
  [SMALL_STATE(11116)] = 85728,
  [SMALL_STATE(11117)] = 85772,
  [SMALL_STATE(11118)] = 85818,
  [SMALL_STATE(11119)] = 85864,
  [SMALL_STATE(11120)] = 85910,
  [SMALL_STATE(11121)] = 85956,
  [SMALL_STATE(11122)] = 86000,
  [SMALL_STATE(11123)] = 86044,
  [SMALL_STATE(11124)] = 86088,
  [SMALL_STATE(11125)] = 86132,
  [SMALL_STATE(11126)] = 86176,
  [SMALL_STATE(11127)] = 86220,
  [SMALL_STATE(11128)] = 86266,
  [SMALL_STATE(11129)] = 86312,
  [SMALL_STATE(11130)] = 86358,
  [SMALL_STATE(11131)] = 86402,
  [SMALL_STATE(11132)] = 86448,
  [SMALL_STATE(11133)] = 86492,
  [SMALL_STATE(11134)] = 86538,
  [SMALL_STATE(11135)] = 86582,
  [SMALL_STATE(11136)] = 86626,
  [SMALL_STATE(11137)] = 86670,
  [SMALL_STATE(11138)] = 86714,
  [SMALL_STATE(11139)] = 86758,
  [SMALL_STATE(11140)] = 86804,
  [SMALL_STATE(11141)] = 86848,
  [SMALL_STATE(11142)] = 86892,
  [SMALL_STATE(11143)] = 86938,
  [SMALL_STATE(11144)] = 86984,
  [SMALL_STATE(11145)] = 87028,
  [SMALL_STATE(11146)] = 87072,
  [SMALL_STATE(11147)] = 87118,
  [SMALL_STATE(11148)] = 87164,
  [SMALL_STATE(11149)] = 87210,
  [SMALL_STATE(11150)] = 87256,
  [SMALL_STATE(11151)] = 87302,
  [SMALL_STATE(11152)] = 87348,
  [SMALL_STATE(11153)] = 87394,
  [SMALL_STATE(11154)] = 87440,
  [SMALL_STATE(11155)] = 87486,
  [SMALL_STATE(11156)] = 87544,
  [SMALL_STATE(11157)] = 87590,
  [SMALL_STATE(11158)] = 87634,
  [SMALL_STATE(11159)] = 87680,
  [SMALL_STATE(11160)] = 87726,
  [SMALL_STATE(11161)] = 87772,
  [SMALL_STATE(11162)] = 87818,
  [SMALL_STATE(11163)] = 87864,
  [SMALL_STATE(11164)] = 87910,
  [SMALL_STATE(11165)] = 87956,
  [SMALL_STATE(11166)] = 88002,
  [SMALL_STATE(11167)] = 88048,
  [SMALL_STATE(11168)] = 88092,
  [SMALL_STATE(11169)] = 88138,
  [SMALL_STATE(11170)] = 88184,
  [SMALL_STATE(11171)] = 88230,
  [SMALL_STATE(11172)] = 88276,
  [SMALL_STATE(11173)] = 88322,
  [SMALL_STATE(11174)] = 88368,
  [SMALL_STATE(11175)] = 88418,
  [SMALL_STATE(11176)] = 88464,
  [SMALL_STATE(11177)] = 88510,
  [SMALL_STATE(11178)] = 88556,
  [SMALL_STATE(11179)] = 88600,
  [SMALL_STATE(11180)] = 88646,
  [SMALL_STATE(11181)] = 88696,
  [SMALL_STATE(11182)] = 88746,
  [SMALL_STATE(11183)] = 88796,
  [SMALL_STATE(11184)] = 88840,
  [SMALL_STATE(11185)] = 88890,
  [SMALL_STATE(11186)] = 88940,
  [SMALL_STATE(11187)] = 88988,
  [SMALL_STATE(11188)] = 89038,
  [SMALL_STATE(11189)] = 89082,
  [SMALL_STATE(11190)] = 89130,
  [SMALL_STATE(11191)] = 89180,
  [SMALL_STATE(11192)] = 89226,
  [SMALL_STATE(11193)] = 89272,
  [SMALL_STATE(11194)] = 89330,
  [SMALL_STATE(11195)] = 89382,
  [SMALL_STATE(11196)] = 89427,
  [SMALL_STATE(11197)] = 89472,
  [SMALL_STATE(11198)] = 89525,
  [SMALL_STATE(11199)] = 89582,
  [SMALL_STATE(11200)] = 89635,
  [SMALL_STATE(11201)] = 89692,
  [SMALL_STATE(11202)] = 89749,
  [SMALL_STATE(11203)] = 89796,
  [SMALL_STATE(11204)] = 89855,
  [SMALL_STATE(11205)] = 89908,
  [SMALL_STATE(11206)] = 89967,
  [SMALL_STATE(11207)] = 90012,
  [SMALL_STATE(11208)] = 90069,
  [SMALL_STATE(11209)] = 90114,
  [SMALL_STATE(11210)] = 90159,
  [SMALL_STATE(11211)] = 90212,
  [SMALL_STATE(11212)] = 90257,
  [SMALL_STATE(11213)] = 90302,
  [SMALL_STATE(11214)] = 90347,
  [SMALL_STATE(11215)] = 90392,
  [SMALL_STATE(11216)] = 90445,
  [SMALL_STATE(11217)] = 90490,
  [SMALL_STATE(11218)] = 90535,
  [SMALL_STATE(11219)] = 90588,
  [SMALL_STATE(11220)] = 90633,
  [SMALL_STATE(11221)] = 90682,
  [SMALL_STATE(11222)] = 90727,
  [SMALL_STATE(11223)] = 90772,
  [SMALL_STATE(11224)] = 90817,
  [SMALL_STATE(11225)] = 90862,
  [SMALL_STATE(11226)] = 90907,
  [SMALL_STATE(11227)] = 90952,
  [SMALL_STATE(11228)] = 90997,
  [SMALL_STATE(11229)] = 91042,
  [SMALL_STATE(11230)] = 91087,
  [SMALL_STATE(11231)] = 91132,
  [SMALL_STATE(11232)] = 91177,
  [SMALL_STATE(11233)] = 91222,
  [SMALL_STATE(11234)] = 91267,
  [SMALL_STATE(11235)] = 91322,
  [SMALL_STATE(11236)] = 91367,
  [SMALL_STATE(11237)] = 91412,
  [SMALL_STATE(11238)] = 91457,
  [SMALL_STATE(11239)] = 91502,
  [SMALL_STATE(11240)] = 91547,
  [SMALL_STATE(11241)] = 91592,
  [SMALL_STATE(11242)] = 91637,
  [SMALL_STATE(11243)] = 91690,
  [SMALL_STATE(11244)] = 91739,
  [SMALL_STATE(11245)] = 91784,
  [SMALL_STATE(11246)] = 91829,
  [SMALL_STATE(11247)] = 91888,
  [SMALL_STATE(11248)] = 91933,
  [SMALL_STATE(11249)] = 91978,
  [SMALL_STATE(11250)] = 92037,
  [SMALL_STATE(11251)] = 92092,
  [SMALL_STATE(11252)] = 92143,
  [SMALL_STATE(11253)] = 92198,
  [SMALL_STATE(11254)] = 92243,
  [SMALL_STATE(11255)] = 92288,
  [SMALL_STATE(11256)] = 92331,
  [SMALL_STATE(11257)] = 92376,
  [SMALL_STATE(11258)] = 92421,
  [SMALL_STATE(11259)] = 92466,
  [SMALL_STATE(11260)] = 92523,
  [SMALL_STATE(11261)] = 92582,
  [SMALL_STATE(11262)] = 92639,
  [SMALL_STATE(11263)] = 92688,
  [SMALL_STATE(11264)] = 92747,
  [SMALL_STATE(11265)] = 92792,
  [SMALL_STATE(11266)] = 92841,
  [SMALL_STATE(11267)] = 92886,
  [SMALL_STATE(11268)] = 92931,
  [SMALL_STATE(11269)] = 92976,
  [SMALL_STATE(11270)] = 93021,
  [SMALL_STATE(11271)] = 93066,
  [SMALL_STATE(11272)] = 93111,
  [SMALL_STATE(11273)] = 93156,
  [SMALL_STATE(11274)] = 93201,
  [SMALL_STATE(11275)] = 93246,
  [SMALL_STATE(11276)] = 93291,
  [SMALL_STATE(11277)] = 93336,
  [SMALL_STATE(11278)] = 93381,
  [SMALL_STATE(11279)] = 93426,
  [SMALL_STATE(11280)] = 93475,
  [SMALL_STATE(11281)] = 93520,
  [SMALL_STATE(11282)] = 93565,
  [SMALL_STATE(11283)] = 93610,
  [SMALL_STATE(11284)] = 93659,
  [SMALL_STATE(11285)] = 93704,
  [SMALL_STATE(11286)] = 93749,
  [SMALL_STATE(11287)] = 93794,
  [SMALL_STATE(11288)] = 93849,
  [SMALL_STATE(11289)] = 93894,
  [SMALL_STATE(11290)] = 93939,
  [SMALL_STATE(11291)] = 93994,
  [SMALL_STATE(11292)] = 94039,
  [SMALL_STATE(11293)] = 94084,
  [SMALL_STATE(11294)] = 94129,
  [SMALL_STATE(11295)] = 94174,
  [SMALL_STATE(11296)] = 94219,
  [SMALL_STATE(11297)] = 94266,
  [SMALL_STATE(11298)] = 94311,
  [SMALL_STATE(11299)] = 94358,
  [SMALL_STATE(11300)] = 94405,
  [SMALL_STATE(11301)] = 94450,
  [SMALL_STATE(11302)] = 94509,
  [SMALL_STATE(11303)] = 94554,
  [SMALL_STATE(11304)] = 94601,
  [SMALL_STATE(11305)] = 94648,
  [SMALL_STATE(11306)] = 94693,
  [SMALL_STATE(11307)] = 94750,
  [SMALL_STATE(11308)] = 94807,
  [SMALL_STATE(11309)] = 94860,
  [SMALL_STATE(11310)] = 94905,
  [SMALL_STATE(11311)] = 94950,
  [SMALL_STATE(11312)] = 94999,
  [SMALL_STATE(11313)] = 95044,
  [SMALL_STATE(11314)] = 95089,
  [SMALL_STATE(11315)] = 95134,
  [SMALL_STATE(11316)] = 95179,
  [SMALL_STATE(11317)] = 95222,
  [SMALL_STATE(11318)] = 95279,
  [SMALL_STATE(11319)] = 95324,
  [SMALL_STATE(11320)] = 95369,
  [SMALL_STATE(11321)] = 95414,
  [SMALL_STATE(11322)] = 95459,
  [SMALL_STATE(11323)] = 95504,
  [SMALL_STATE(11324)] = 95549,
  [SMALL_STATE(11325)] = 95594,
  [SMALL_STATE(11326)] = 95649,
  [SMALL_STATE(11327)] = 95706,
  [SMALL_STATE(11328)] = 95763,
  [SMALL_STATE(11329)] = 95812,
  [SMALL_STATE(11330)] = 95869,
  [SMALL_STATE(11331)] = 95916,
  [SMALL_STATE(11332)] = 95965,
  [SMALL_STATE(11333)] = 96010,
  [SMALL_STATE(11334)] = 96059,
  [SMALL_STATE(11335)] = 96108,
  [SMALL_STATE(11336)] = 96153,
  [SMALL_STATE(11337)] = 96208,
  [SMALL_STATE(11338)] = 96263,
  [SMALL_STATE(11339)] = 96312,
  [SMALL_STATE(11340)] = 96357,
  [SMALL_STATE(11341)] = 96402,
  [SMALL_STATE(11342)] = 96447,
  [SMALL_STATE(11343)] = 96492,
  [SMALL_STATE(11344)] = 96537,
  [SMALL_STATE(11345)] = 96582,
  [SMALL_STATE(11346)] = 96627,
  [SMALL_STATE(11347)] = 96672,
  [SMALL_STATE(11348)] = 96717,
  [SMALL_STATE(11349)] = 96762,
  [SMALL_STATE(11350)] = 96811,
  [SMALL_STATE(11351)] = 96868,
  [SMALL_STATE(11352)] = 96917,
  [SMALL_STATE(11353)] = 96972,
  [SMALL_STATE(11354)] = 97021,
  [SMALL_STATE(11355)] = 97070,
  [SMALL_STATE(11356)] = 97129,
  [SMALL_STATE(11357)] = 97176,
  [SMALL_STATE(11358)] = 97221,
  [SMALL_STATE(11359)] = 97276,
  [SMALL_STATE(11360)] = 97321,
  [SMALL_STATE(11361)] = 97366,
  [SMALL_STATE(11362)] = 97411,
  [SMALL_STATE(11363)] = 97456,
  [SMALL_STATE(11364)] = 97501,
  [SMALL_STATE(11365)] = 97546,
  [SMALL_STATE(11366)] = 97591,
  [SMALL_STATE(11367)] = 97646,
  [SMALL_STATE(11368)] = 97691,
  [SMALL_STATE(11369)] = 97750,
  [SMALL_STATE(11370)] = 97795,
  [SMALL_STATE(11371)] = 97840,
  [SMALL_STATE(11372)] = 97898,
  [SMALL_STATE(11373)] = 97946,
  [SMALL_STATE(11374)] = 98000,
  [SMALL_STATE(11375)] = 98058,
  [SMALL_STATE(11376)] = 98106,
  [SMALL_STATE(11377)] = 98158,
  [SMALL_STATE(11378)] = 98206,
  [SMALL_STATE(11379)] = 98254,
  [SMALL_STATE(11380)] = 98302,
  [SMALL_STATE(11381)] = 98348,
  [SMALL_STATE(11382)] = 98394,
  [SMALL_STATE(11383)] = 98440,
  [SMALL_STATE(11384)] = 98496,
  [SMALL_STATE(11385)] = 98542,
  [SMALL_STATE(11386)] = 98598,
  [SMALL_STATE(11387)] = 98652,
  [SMALL_STATE(11388)] = 98698,
  [SMALL_STATE(11389)] = 98746,
  [SMALL_STATE(11390)] = 98802,
  [SMALL_STATE(11391)] = 98850,
  [SMALL_STATE(11392)] = 98892,
  [SMALL_STATE(11393)] = 98950,
  [SMALL_STATE(11394)] = 99004,
  [SMALL_STATE(11395)] = 99058,
  [SMALL_STATE(11396)] = 99106,
  [SMALL_STATE(11397)] = 99154,
  [SMALL_STATE(11398)] = 99198,
  [SMALL_STATE(11399)] = 99244,
  [SMALL_STATE(11400)] = 99300,
  [SMALL_STATE(11401)] = 99356,
  [SMALL_STATE(11402)] = 99402,
  [SMALL_STATE(11403)] = 99450,
  [SMALL_STATE(11404)] = 99496,
  [SMALL_STATE(11405)] = 99544,
  [SMALL_STATE(11406)] = 99590,
  [SMALL_STATE(11407)] = 99646,
  [SMALL_STATE(11408)] = 99704,
  [SMALL_STATE(11409)] = 99758,
  [SMALL_STATE(11410)] = 99802,
  [SMALL_STATE(11411)] = 99846,
  [SMALL_STATE(11412)] = 99898,
  [SMALL_STATE(11413)] = 99944,
  [SMALL_STATE(11414)] = 99992,
  [SMALL_STATE(11415)] = 100040,
  [SMALL_STATE(11416)] = 100088,
  [SMALL_STATE(11417)] = 100136,
  [SMALL_STATE(11418)] = 100192,
  [SMALL_STATE(11419)] = 100240,
  [SMALL_STATE(11420)] = 100298,
  [SMALL_STATE(11421)] = 100346,
  [SMALL_STATE(11422)] = 100400,
  [SMALL_STATE(11423)] = 100454,
  [SMALL_STATE(11424)] = 100502,
  [SMALL_STATE(11425)] = 100556,
  [SMALL_STATE(11426)] = 100602,
  [SMALL_STATE(11427)] = 100658,
  [SMALL_STATE(11428)] = 100716,
  [SMALL_STATE(11429)] = 100764,
  [SMALL_STATE(11430)] = 100812,
  [SMALL_STATE(11431)] = 100860,
  [SMALL_STATE(11432)] = 100908,
  [SMALL_STATE(11433)] = 100956,
  [SMALL_STATE(11434)] = 101004,
  [SMALL_STATE(11435)] = 101052,
  [SMALL_STATE(11436)] = 101094,
  [SMALL_STATE(11437)] = 101142,
  [SMALL_STATE(11438)] = 101198,
  [SMALL_STATE(11439)] = 101245,
  [SMALL_STATE(11440)] = 101290,
  [SMALL_STATE(11441)] = 101337,
  [SMALL_STATE(11442)] = 101384,
  [SMALL_STATE(11443)] = 101439,
  [SMALL_STATE(11444)] = 101486,
  [SMALL_STATE(11445)] = 101527,
  [SMALL_STATE(11446)] = 101582,
  [SMALL_STATE(11447)] = 101623,
  [SMALL_STATE(11448)] = 101668,
  [SMALL_STATE(11449)] = 101709,
  [SMALL_STATE(11450)] = 101756,
  [SMALL_STATE(11451)] = 101803,
  [SMALL_STATE(11452)] = 101850,
  [SMALL_STATE(11453)] = 101897,
  [SMALL_STATE(11454)] = 101944,
  [SMALL_STATE(11455)] = 101991,
  [SMALL_STATE(11456)] = 102036,
  [SMALL_STATE(11457)] = 102081,
  [SMALL_STATE(11458)] = 102128,
  [SMALL_STATE(11459)] = 102175,
  [SMALL_STATE(11460)] = 102222,
  [SMALL_STATE(11461)] = 102269,
  [SMALL_STATE(11462)] = 102326,
  [SMALL_STATE(11463)] = 102373,
  [SMALL_STATE(11464)] = 102420,
  [SMALL_STATE(11465)] = 102461,
  [SMALL_STATE(11466)] = 102508,
  [SMALL_STATE(11467)] = 102553,
  [SMALL_STATE(11468)] = 102600,
  [SMALL_STATE(11469)] = 102647,
  [SMALL_STATE(11470)] = 102692,
  [SMALL_STATE(11471)] = 102739,
  [SMALL_STATE(11472)] = 102786,
  [SMALL_STATE(11473)] = 102833,
  [SMALL_STATE(11474)] = 102878,
  [SMALL_STATE(11475)] = 102923,
  [SMALL_STATE(11476)] = 102968,
  [SMALL_STATE(11477)] = 103015,
  [SMALL_STATE(11478)] = 103062,
  [SMALL_STATE(11479)] = 103103,
  [SMALL_STATE(11480)] = 103146,
  [SMALL_STATE(11481)] = 103191,
  [SMALL_STATE(11482)] = 103234,
  [SMALL_STATE(11483)] = 103277,
  [SMALL_STATE(11484)] = 103324,
  [SMALL_STATE(11485)] = 103365,
  [SMALL_STATE(11486)] = 103412,
  [SMALL_STATE(11487)] = 103459,
  [SMALL_STATE(11488)] = 103500,
  [SMALL_STATE(11489)] = 103553,
  [SMALL_STATE(11490)] = 103600,
  [SMALL_STATE(11491)] = 103647,
  [SMALL_STATE(11492)] = 103694,
  [SMALL_STATE(11493)] = 103739,
  [SMALL_STATE(11494)] = 103786,
  [SMALL_STATE(11495)] = 103839,
  [SMALL_STATE(11496)] = 103886,
  [SMALL_STATE(11497)] = 103933,
  [SMALL_STATE(11498)] = 103974,
  [SMALL_STATE(11499)] = 104015,
  [SMALL_STATE(11500)] = 104062,
  [SMALL_STATE(11501)] = 104103,
  [SMALL_STATE(11502)] = 104148,
  [SMALL_STATE(11503)] = 104193,
  [SMALL_STATE(11504)] = 104238,
  [SMALL_STATE(11505)] = 104285,
  [SMALL_STATE(11506)] = 104326,
  [SMALL_STATE(11507)] = 104369,
  [SMALL_STATE(11508)] = 104410,
  [SMALL_STATE(11509)] = 104451,
  [SMALL_STATE(11510)] = 104492,
  [SMALL_STATE(11511)] = 104545,
  [SMALL_STATE(11512)] = 104592,
  [SMALL_STATE(11513)] = 104633,
  [SMALL_STATE(11514)] = 104674,
  [SMALL_STATE(11515)] = 104715,
  [SMALL_STATE(11516)] = 104756,
  [SMALL_STATE(11517)] = 104797,
  [SMALL_STATE(11518)] = 104838,
  [SMALL_STATE(11519)] = 104883,
  [SMALL_STATE(11520)] = 104928,
  [SMALL_STATE(11521)] = 104969,
  [SMALL_STATE(11522)] = 105010,
  [SMALL_STATE(11523)] = 105051,
  [SMALL_STATE(11524)] = 105096,
  [SMALL_STATE(11525)] = 105137,
  [SMALL_STATE(11526)] = 105178,
  [SMALL_STATE(11527)] = 105219,
  [SMALL_STATE(11528)] = 105260,
  [SMALL_STATE(11529)] = 105301,
  [SMALL_STATE(11530)] = 105356,
  [SMALL_STATE(11531)] = 105397,
  [SMALL_STATE(11532)] = 105438,
  [SMALL_STATE(11533)] = 105493,
  [SMALL_STATE(11534)] = 105538,
  [SMALL_STATE(11535)] = 105593,
  [SMALL_STATE(11536)] = 105634,
  [SMALL_STATE(11537)] = 105681,
  [SMALL_STATE(11538)] = 105722,
  [SMALL_STATE(11539)] = 105763,
  [SMALL_STATE(11540)] = 105808,
  [SMALL_STATE(11541)] = 105849,
  [SMALL_STATE(11542)] = 105890,
  [SMALL_STATE(11543)] = 105931,
  [SMALL_STATE(11544)] = 105972,
  [SMALL_STATE(11545)] = 106013,
  [SMALL_STATE(11546)] = 106060,
  [SMALL_STATE(11547)] = 106107,
  [SMALL_STATE(11548)] = 106164,
  [SMALL_STATE(11549)] = 106205,
  [SMALL_STATE(11550)] = 106258,
  [SMALL_STATE(11551)] = 106299,
  [SMALL_STATE(11552)] = 106340,
  [SMALL_STATE(11553)] = 106387,
  [SMALL_STATE(11554)] = 106434,
  [SMALL_STATE(11555)] = 106477,
  [SMALL_STATE(11556)] = 106524,
  [SMALL_STATE(11557)] = 106575,
  [SMALL_STATE(11558)] = 106622,
  [SMALL_STATE(11559)] = 106665,
  [SMALL_STATE(11560)] = 106706,
  [SMALL_STATE(11561)] = 106757,
  [SMALL_STATE(11562)] = 106802,
  [SMALL_STATE(11563)] = 106844,
  [SMALL_STATE(11564)] = 106884,
  [SMALL_STATE(11565)] = 106928,
  [SMALL_STATE(11566)] = 106970,
  [SMALL_STATE(11567)] = 107026,
  [SMALL_STATE(11568)] = 107086,
  [SMALL_STATE(11569)] = 107142,
  [SMALL_STATE(11570)] = 107198,
  [SMALL_STATE(11571)] = 107258,
  [SMALL_STATE(11572)] = 107318,
  [SMALL_STATE(11573)] = 107358,
  [SMALL_STATE(11574)] = 107402,
  [SMALL_STATE(11575)] = 107442,
  [SMALL_STATE(11576)] = 107534,
  [SMALL_STATE(11577)] = 107590,
  [SMALL_STATE(11578)] = 107646,
  [SMALL_STATE(11579)] = 107690,
  [SMALL_STATE(11580)] = 107734,
  [SMALL_STATE(11581)] = 107790,
  [SMALL_STATE(11582)] = 107834,
  [SMALL_STATE(11583)] = 107894,
  [SMALL_STATE(11584)] = 107938,
  [SMALL_STATE(11585)] = 107984,
  [SMALL_STATE(11586)] = 108040,
  [SMALL_STATE(11587)] = 108080,
  [SMALL_STATE(11588)] = 108124,
  [SMALL_STATE(11589)] = 108164,
  [SMALL_STATE(11590)] = 108214,
  [SMALL_STATE(11591)] = 108254,
  [SMALL_STATE(11592)] = 108314,
  [SMALL_STATE(11593)] = 108354,
  [SMALL_STATE(11594)] = 108394,
  [SMALL_STATE(11595)] = 108434,
  [SMALL_STATE(11596)] = 108474,
  [SMALL_STATE(11597)] = 108514,
  [SMALL_STATE(11598)] = 108570,
  [SMALL_STATE(11599)] = 108610,
  [SMALL_STATE(11600)] = 108650,
  [SMALL_STATE(11601)] = 108692,
  [SMALL_STATE(11602)] = 108732,
  [SMALL_STATE(11603)] = 108774,
  [SMALL_STATE(11604)] = 108816,
  [SMALL_STATE(11605)] = 108858,
  [SMALL_STATE(11606)] = 108900,
  [SMALL_STATE(11607)] = 108942,
  [SMALL_STATE(11608)] = 108982,
  [SMALL_STATE(11609)] = 109022,
  [SMALL_STATE(11610)] = 109064,
  [SMALL_STATE(11611)] = 109156,
  [SMALL_STATE(11612)] = 109196,
  [SMALL_STATE(11613)] = 109238,
  [SMALL_STATE(11614)] = 109280,
  [SMALL_STATE(11615)] = 109336,
  [SMALL_STATE(11616)] = 109378,
  [SMALL_STATE(11617)] = 109418,
  [SMALL_STATE(11618)] = 109458,
  [SMALL_STATE(11619)] = 109498,
  [SMALL_STATE(11620)] = 109538,
  [SMALL_STATE(11621)] = 109582,
  [SMALL_STATE(11622)] = 109674,
  [SMALL_STATE(11623)] = 109730,
  [SMALL_STATE(11624)] = 109774,
  [SMALL_STATE(11625)] = 109816,
  [SMALL_STATE(11626)] = 109872,
  [SMALL_STATE(11627)] = 109914,
  [SMALL_STATE(11628)] = 110006,
  [SMALL_STATE(11629)] = 110046,
  [SMALL_STATE(11630)] = 110096,
  [SMALL_STATE(11631)] = 110140,
  [SMALL_STATE(11632)] = 110182,
  [SMALL_STATE(11633)] = 110226,
  [SMALL_STATE(11634)] = 110286,
  [SMALL_STATE(11635)] = 110328,
  [SMALL_STATE(11636)] = 110420,
  [SMALL_STATE(11637)] = 110464,
  [SMALL_STATE(11638)] = 110506,
  [SMALL_STATE(11639)] = 110548,
  [SMALL_STATE(11640)] = 110592,
  [SMALL_STATE(11641)] = 110634,
  [SMALL_STATE(11642)] = 110676,
  [SMALL_STATE(11643)] = 110736,
  [SMALL_STATE(11644)] = 110778,
  [SMALL_STATE(11645)] = 110834,
  [SMALL_STATE(11646)] = 110890,
  [SMALL_STATE(11647)] = 110932,
  [SMALL_STATE(11648)] = 110974,
  [SMALL_STATE(11649)] = 111016,
  [SMALL_STATE(11650)] = 111058,
  [SMALL_STATE(11651)] = 111100,
  [SMALL_STATE(11652)] = 111142,
  [SMALL_STATE(11653)] = 111188,
  [SMALL_STATE(11654)] = 111230,
  [SMALL_STATE(11655)] = 111270,
  [SMALL_STATE(11656)] = 111314,
  [SMALL_STATE(11657)] = 111358,
  [SMALL_STATE(11658)] = 111400,
  [SMALL_STATE(11659)] = 111444,
  [SMALL_STATE(11660)] = 111490,
  [SMALL_STATE(11661)] = 111534,
  [SMALL_STATE(11662)] = 111626,
  [SMALL_STATE(11663)] = 111668,
  [SMALL_STATE(11664)] = 111728,
  [SMALL_STATE(11665)] = 111774,
  [SMALL_STATE(11666)] = 111830,
  [SMALL_STATE(11667)] = 111880,
  [SMALL_STATE(11668)] = 111920,
  [SMALL_STATE(11669)] = 112012,
  [SMALL_STATE(11670)] = 112058,
  [SMALL_STATE(11671)] = 112100,
  [SMALL_STATE(11672)] = 112142,
  [SMALL_STATE(11673)] = 112182,
  [SMALL_STATE(11674)] = 112226,
  [SMALL_STATE(11675)] = 112266,
  [SMALL_STATE(11676)] = 112312,
  [SMALL_STATE(11677)] = 112372,
  [SMALL_STATE(11678)] = 112412,
  [SMALL_STATE(11679)] = 112454,
  [SMALL_STATE(11680)] = 112496,
  [SMALL_STATE(11681)] = 112540,
  [SMALL_STATE(11682)] = 112584,
  [SMALL_STATE(11683)] = 112628,
  [SMALL_STATE(11684)] = 112668,
  [SMALL_STATE(11685)] = 112712,
  [SMALL_STATE(11686)] = 112768,
  [SMALL_STATE(11687)] = 112810,
  [SMALL_STATE(11688)] = 112850,
  [SMALL_STATE(11689)] = 112906,
  [SMALL_STATE(11690)] = 112946,
  [SMALL_STATE(11691)] = 112986,
  [SMALL_STATE(11692)] = 113026,
  [SMALL_STATE(11693)] = 113086,
  [SMALL_STATE(11694)] = 113128,
  [SMALL_STATE(11695)] = 113170,
  [SMALL_STATE(11696)] = 113214,
  [SMALL_STATE(11697)] = 113270,
  [SMALL_STATE(11698)] = 113314,
  [SMALL_STATE(11699)] = 113354,
  [SMALL_STATE(11700)] = 113394,
  [SMALL_STATE(11701)] = 113438,
  [SMALL_STATE(11702)] = 113478,
  [SMALL_STATE(11703)] = 113518,
  [SMALL_STATE(11704)] = 113560,
  [SMALL_STATE(11705)] = 113602,
  [SMALL_STATE(11706)] = 113646,
  [SMALL_STATE(11707)] = 113692,
  [SMALL_STATE(11708)] = 113740,
  [SMALL_STATE(11709)] = 113796,
  [SMALL_STATE(11710)] = 113838,
  [SMALL_STATE(11711)] = 113880,
  [SMALL_STATE(11712)] = 113920,
  [SMALL_STATE(11713)] = 113962,
  [SMALL_STATE(11714)] = 114004,
  [SMALL_STATE(11715)] = 114044,
  [SMALL_STATE(11716)] = 114084,
  [SMALL_STATE(11717)] = 114126,
  [SMALL_STATE(11718)] = 114168,
  [SMALL_STATE(11719)] = 114210,
  [SMALL_STATE(11720)] = 114266,
  [SMALL_STATE(11721)] = 114308,
  [SMALL_STATE(11722)] = 114350,
  [SMALL_STATE(11723)] = 114442,
  [SMALL_STATE(11724)] = 114488,
  [SMALL_STATE(11725)] = 114528,
  [SMALL_STATE(11726)] = 114584,
  [SMALL_STATE(11727)] = 114630,
  [SMALL_STATE(11728)] = 114676,
  [SMALL_STATE(11729)] = 114722,
  [SMALL_STATE(11730)] = 114768,
  [SMALL_STATE(11731)] = 114814,
  [SMALL_STATE(11732)] = 114860,
  [SMALL_STATE(11733)] = 114906,
  [SMALL_STATE(11734)] = 114966,
  [SMALL_STATE(11735)] = 115022,
  [SMALL_STATE(11736)] = 115062,
  [SMALL_STATE(11737)] = 115102,
  [SMALL_STATE(11738)] = 115162,
  [SMALL_STATE(11739)] = 115208,
  [SMALL_STATE(11740)] = 115264,
  [SMALL_STATE(11741)] = 115306,
  [SMALL_STATE(11742)] = 115362,
  [SMALL_STATE(11743)] = 115454,
  [SMALL_STATE(11744)] = 115494,
  [SMALL_STATE(11745)] = 115536,
  [SMALL_STATE(11746)] = 115592,
  [SMALL_STATE(11747)] = 115648,
  [SMALL_STATE(11748)] = 115688,
  [SMALL_STATE(11749)] = 115744,
  [SMALL_STATE(11750)] = 115790,
  [SMALL_STATE(11751)] = 115836,
  [SMALL_STATE(11752)] = 115882,
  [SMALL_STATE(11753)] = 115928,
  [SMALL_STATE(11754)] = 115988,
  [SMALL_STATE(11755)] = 116044,
  [SMALL_STATE(11756)] = 116100,
  [SMALL_STATE(11757)] = 116146,
  [SMALL_STATE(11758)] = 116202,
  [SMALL_STATE(11759)] = 116248,
  [SMALL_STATE(11760)] = 116304,
  [SMALL_STATE(11761)] = 116360,
  [SMALL_STATE(11762)] = 116400,
  [SMALL_STATE(11763)] = 116446,
  [SMALL_STATE(11764)] = 116538,
  [SMALL_STATE(11765)] = 116592,
  [SMALL_STATE(11766)] = 116640,
  [SMALL_STATE(11767)] = 116684,
  [SMALL_STATE(11768)] = 116726,
  [SMALL_STATE(11769)] = 116768,
  [SMALL_STATE(11770)] = 116824,
  [SMALL_STATE(11771)] = 116868,
  [SMALL_STATE(11772)] = 116908,
  [SMALL_STATE(11773)] = 116950,
  [SMALL_STATE(11774)] = 116994,
  [SMALL_STATE(11775)] = 117050,
  [SMALL_STATE(11776)] = 117100,
  [SMALL_STATE(11777)] = 117156,
  [SMALL_STATE(11778)] = 117216,
  [SMALL_STATE(11779)] = 117264,
  [SMALL_STATE(11780)] = 117306,
  [SMALL_STATE(11781)] = 117362,
  [SMALL_STATE(11782)] = 117408,
  [SMALL_STATE(11783)] = 117454,
  [SMALL_STATE(11784)] = 117498,
  [SMALL_STATE(11785)] = 117544,
  [SMALL_STATE(11786)] = 117590,
  [SMALL_STATE(11787)] = 117638,
  [SMALL_STATE(11788)] = 117694,
  [SMALL_STATE(11789)] = 117750,
  [SMALL_STATE(11790)] = 117792,
  [SMALL_STATE(11791)] = 117884,
  [SMALL_STATE(11792)] = 117924,
  [SMALL_STATE(11793)] = 118016,
  [SMALL_STATE(11794)] = 118064,
  [SMALL_STATE(11795)] = 118120,
  [SMALL_STATE(11796)] = 118166,
  [SMALL_STATE(11797)] = 118222,
  [SMALL_STATE(11798)] = 118282,
  [SMALL_STATE(11799)] = 118322,
  [SMALL_STATE(11800)] = 118362,
  [SMALL_STATE(11801)] = 118422,
  [SMALL_STATE(11802)] = 118464,
  [SMALL_STATE(11803)] = 118520,
  [SMALL_STATE(11804)] = 118562,
  [SMALL_STATE(11805)] = 118608,
  [SMALL_STATE(11806)] = 118664,
  [SMALL_STATE(11807)] = 118724,
  [SMALL_STATE(11808)] = 118766,
  [SMALL_STATE(11809)] = 118808,
  [SMALL_STATE(11810)] = 118864,
  [SMALL_STATE(11811)] = 118956,
  [SMALL_STATE(11812)] = 118998,
  [SMALL_STATE(11813)] = 119040,
  [SMALL_STATE(11814)] = 119096,
  [SMALL_STATE(11815)] = 119138,
  [SMALL_STATE(11816)] = 119180,
  [SMALL_STATE(11817)] = 119226,
  [SMALL_STATE(11818)] = 119268,
  [SMALL_STATE(11819)] = 119310,
  [SMALL_STATE(11820)] = 119352,
  [SMALL_STATE(11821)] = 119394,
  [SMALL_STATE(11822)] = 119436,
  [SMALL_STATE(11823)] = 119476,
  [SMALL_STATE(11824)] = 119536,
  [SMALL_STATE(11825)] = 119596,
  [SMALL_STATE(11826)] = 119652,
  [SMALL_STATE(11827)] = 119698,
  [SMALL_STATE(11828)] = 119738,
  [SMALL_STATE(11829)] = 119794,
  [SMALL_STATE(11830)] = 119836,
  [SMALL_STATE(11831)] = 119878,
  [SMALL_STATE(11832)] = 119918,
  [SMALL_STATE(11833)] = 119960,
  [SMALL_STATE(11834)] = 120016,
  [SMALL_STATE(11835)] = 120058,
  [SMALL_STATE(11836)] = 120100,
  [SMALL_STATE(11837)] = 120142,
  [SMALL_STATE(11838)] = 120198,
  [SMALL_STATE(11839)] = 120290,
  [SMALL_STATE(11840)] = 120332,
  [SMALL_STATE(11841)] = 120424,
  [SMALL_STATE(11842)] = 120466,
  [SMALL_STATE(11843)] = 120508,
  [SMALL_STATE(11844)] = 120550,
  [SMALL_STATE(11845)] = 120592,
  [SMALL_STATE(11846)] = 120634,
  [SMALL_STATE(11847)] = 120676,
  [SMALL_STATE(11848)] = 120736,
  [SMALL_STATE(11849)] = 120778,
  [SMALL_STATE(11850)] = 120820,
  [SMALL_STATE(11851)] = 120862,
  [SMALL_STATE(11852)] = 120904,
  [SMALL_STATE(11853)] = 120946,
  [SMALL_STATE(11854)] = 120988,
  [SMALL_STATE(11855)] = 121030,
  [SMALL_STATE(11856)] = 121072,
  [SMALL_STATE(11857)] = 121114,
  [SMALL_STATE(11858)] = 121156,
  [SMALL_STATE(11859)] = 121195,
  [SMALL_STATE(11860)] = 121234,
  [SMALL_STATE(11861)] = 121323,
  [SMALL_STATE(11862)] = 121382,
  [SMALL_STATE(11863)] = 121429,
  [SMALL_STATE(11864)] = 121518,
  [SMALL_STATE(11865)] = 121607,
  [SMALL_STATE(11866)] = 121696,
  [SMALL_STATE(11867)] = 121785,
  [SMALL_STATE(11868)] = 121874,
  [SMALL_STATE(11869)] = 121963,
  [SMALL_STATE(11870)] = 122052,
  [SMALL_STATE(11871)] = 122111,
  [SMALL_STATE(11872)] = 122200,
  [SMALL_STATE(11873)] = 122259,
  [SMALL_STATE(11874)] = 122318,
  [SMALL_STATE(11875)] = 122363,
  [SMALL_STATE(11876)] = 122408,
  [SMALL_STATE(11877)] = 122489,
  [SMALL_STATE(11878)] = 122532,
  [SMALL_STATE(11879)] = 122591,
  [SMALL_STATE(11880)] = 122680,
  [SMALL_STATE(11881)] = 122769,
  [SMALL_STATE(11882)] = 122858,
  [SMALL_STATE(11883)] = 122947,
  [SMALL_STATE(11884)] = 123036,
  [SMALL_STATE(11885)] = 123081,
  [SMALL_STATE(11886)] = 123170,
  [SMALL_STATE(11887)] = 123259,
  [SMALL_STATE(11888)] = 123348,
  [SMALL_STATE(11889)] = 123407,
  [SMALL_STATE(11890)] = 123450,
  [SMALL_STATE(11891)] = 123509,
  [SMALL_STATE(11892)] = 123598,
  [SMALL_STATE(11893)] = 123657,
  [SMALL_STATE(11894)] = 123702,
  [SMALL_STATE(11895)] = 123787,
  [SMALL_STATE(11896)] = 123876,
  [SMALL_STATE(11897)] = 123965,
  [SMALL_STATE(11898)] = 124008,
  [SMALL_STATE(11899)] = 124053,
  [SMALL_STATE(11900)] = 124142,
  [SMALL_STATE(11901)] = 124181,
  [SMALL_STATE(11902)] = 124270,
  [SMALL_STATE(11903)] = 124313,
  [SMALL_STATE(11904)] = 124402,
  [SMALL_STATE(11905)] = 124447,
  [SMALL_STATE(11906)] = 124490,
  [SMALL_STATE(11907)] = 124529,
  [SMALL_STATE(11908)] = 124574,
  [SMALL_STATE(11909)] = 124663,
  [SMALL_STATE(11910)] = 124752,
  [SMALL_STATE(11911)] = 124797,
  [SMALL_STATE(11912)] = 124836,
  [SMALL_STATE(11913)] = 124879,
  [SMALL_STATE(11914)] = 124918,
  [SMALL_STATE(11915)] = 124963,
  [SMALL_STATE(11916)] = 125012,
  [SMALL_STATE(11917)] = 125101,
  [SMALL_STATE(11918)] = 125190,
  [SMALL_STATE(11919)] = 125237,
  [SMALL_STATE(11920)] = 125326,
  [SMALL_STATE(11921)] = 125385,
  [SMALL_STATE(11922)] = 125424,
  [SMALL_STATE(11923)] = 125469,
  [SMALL_STATE(11924)] = 125508,
  [SMALL_STATE(11925)] = 125547,
  [SMALL_STATE(11926)] = 125586,
  [SMALL_STATE(11927)] = 125625,
  [SMALL_STATE(11928)] = 125664,
  [SMALL_STATE(11929)] = 125753,
  [SMALL_STATE(11930)] = 125798,
  [SMALL_STATE(11931)] = 125887,
  [SMALL_STATE(11932)] = 125932,
  [SMALL_STATE(11933)] = 125991,
  [SMALL_STATE(11934)] = 126080,
  [SMALL_STATE(11935)] = 126139,
  [SMALL_STATE(11936)] = 126184,
  [SMALL_STATE(11937)] = 126223,
  [SMALL_STATE(11938)] = 126262,
  [SMALL_STATE(11939)] = 126305,
  [SMALL_STATE(11940)] = 126344,
  [SMALL_STATE(11941)] = 126433,
  [SMALL_STATE(11942)] = 126472,
  [SMALL_STATE(11943)] = 126511,
  [SMALL_STATE(11944)] = 126600,
  [SMALL_STATE(11945)] = 126641,
  [SMALL_STATE(11946)] = 126680,
  [SMALL_STATE(11947)] = 126723,
  [SMALL_STATE(11948)] = 126768,
  [SMALL_STATE(11949)] = 126807,
  [SMALL_STATE(11950)] = 126852,
  [SMALL_STATE(11951)] = 126891,
  [SMALL_STATE(11952)] = 126930,
  [SMALL_STATE(11953)] = 126969,
  [SMALL_STATE(11954)] = 127008,
  [SMALL_STATE(11955)] = 127047,
  [SMALL_STATE(11956)] = 127086,
  [SMALL_STATE(11957)] = 127125,
  [SMALL_STATE(11958)] = 127170,
  [SMALL_STATE(11959)] = 127213,
  [SMALL_STATE(11960)] = 127252,
  [SMALL_STATE(11961)] = 127297,
  [SMALL_STATE(11962)] = 127336,
  [SMALL_STATE(11963)] = 127375,
  [SMALL_STATE(11964)] = 127414,
  [SMALL_STATE(11965)] = 127453,
  [SMALL_STATE(11966)] = 127498,
  [SMALL_STATE(11967)] = 127537,
  [SMALL_STATE(11968)] = 127576,
  [SMALL_STATE(11969)] = 127615,
  [SMALL_STATE(11970)] = 127654,
  [SMALL_STATE(11971)] = 127693,
  [SMALL_STATE(11972)] = 127774,
  [SMALL_STATE(11973)] = 127813,
  [SMALL_STATE(11974)] = 127852,
  [SMALL_STATE(11975)] = 127891,
  [SMALL_STATE(11976)] = 127980,
  [SMALL_STATE(11977)] = 128021,
  [SMALL_STATE(11978)] = 128066,
  [SMALL_STATE(11979)] = 128111,
  [SMALL_STATE(11980)] = 128192,
  [SMALL_STATE(11981)] = 128231,
  [SMALL_STATE(11982)] = 128270,
  [SMALL_STATE(11983)] = 128309,
  [SMALL_STATE(11984)] = 128348,
  [SMALL_STATE(11985)] = 128393,
  [SMALL_STATE(11986)] = 128432,
  [SMALL_STATE(11987)] = 128471,
  [SMALL_STATE(11988)] = 128552,
  [SMALL_STATE(11989)] = 128591,
  [SMALL_STATE(11990)] = 128630,
  [SMALL_STATE(11991)] = 128711,
  [SMALL_STATE(11992)] = 128750,
  [SMALL_STATE(11993)] = 128791,
  [SMALL_STATE(11994)] = 128830,
  [SMALL_STATE(11995)] = 128869,
  [SMALL_STATE(11996)] = 128908,
  [SMALL_STATE(11997)] = 128957,
  [SMALL_STATE(11998)] = 129000,
  [SMALL_STATE(11999)] = 129045,
  [SMALL_STATE(12000)] = 129090,
  [SMALL_STATE(12001)] = 129129,
  [SMALL_STATE(12002)] = 129218,
  [SMALL_STATE(12003)] = 129257,
  [SMALL_STATE(12004)] = 129302,
  [SMALL_STATE(12005)] = 129347,
  [SMALL_STATE(12006)] = 129392,
  [SMALL_STATE(12007)] = 129437,
  [SMALL_STATE(12008)] = 129476,
  [SMALL_STATE(12009)] = 129515,
  [SMALL_STATE(12010)] = 129560,
  [SMALL_STATE(12011)] = 129599,
  [SMALL_STATE(12012)] = 129642,
  [SMALL_STATE(12013)] = 129685,
  [SMALL_STATE(12014)] = 129766,
  [SMALL_STATE(12015)] = 129855,
  [SMALL_STATE(12016)] = 129894,
  [SMALL_STATE(12017)] = 129937,
  [SMALL_STATE(12018)] = 130026,
  [SMALL_STATE(12019)] = 130065,
  [SMALL_STATE(12020)] = 130110,
  [SMALL_STATE(12021)] = 130153,
  [SMALL_STATE(12022)] = 130198,
  [SMALL_STATE(12023)] = 130237,
  [SMALL_STATE(12024)] = 130326,
  [SMALL_STATE(12025)] = 130365,
  [SMALL_STATE(12026)] = 130450,
  [SMALL_STATE(12027)] = 130539,
  [SMALL_STATE(12028)] = 130598,
  [SMALL_STATE(12029)] = 130637,
  [SMALL_STATE(12030)] = 130682,
  [SMALL_STATE(12031)] = 130721,
  [SMALL_STATE(12032)] = 130766,
  [SMALL_STATE(12033)] = 130855,
  [SMALL_STATE(12034)] = 130894,
  [SMALL_STATE(12035)] = 130939,
  [SMALL_STATE(12036)] = 131028,
  [SMALL_STATE(12037)] = 131117,
  [SMALL_STATE(12038)] = 131156,
  [SMALL_STATE(12039)] = 131245,
  [SMALL_STATE(12040)] = 131284,
  [SMALL_STATE(12041)] = 131373,
  [SMALL_STATE(12042)] = 131454,
  [SMALL_STATE(12043)] = 131493,
  [SMALL_STATE(12044)] = 131546,
  [SMALL_STATE(12045)] = 131591,
  [SMALL_STATE(12046)] = 131630,
  [SMALL_STATE(12047)] = 131719,
  [SMALL_STATE(12048)] = 131758,
  [SMALL_STATE(12049)] = 131817,
  [SMALL_STATE(12050)] = 131856,
  [SMALL_STATE(12051)] = 131899,
  [SMALL_STATE(12052)] = 131944,
  [SMALL_STATE(12053)] = 131983,
  [SMALL_STATE(12054)] = 132026,
  [SMALL_STATE(12055)] = 132069,
  [SMALL_STATE(12056)] = 132158,
  [SMALL_STATE(12057)] = 132197,
  [SMALL_STATE(12058)] = 132286,
  [SMALL_STATE(12059)] = 132329,
  [SMALL_STATE(12060)] = 132418,
  [SMALL_STATE(12061)] = 132461,
  [SMALL_STATE(12062)] = 132506,
  [SMALL_STATE(12063)] = 132549,
  [SMALL_STATE(12064)] = 132590,
  [SMALL_STATE(12065)] = 132679,
  [SMALL_STATE(12066)] = 132724,
  [SMALL_STATE(12067)] = 132783,
  [SMALL_STATE(12068)] = 132822,
  [SMALL_STATE(12069)] = 132861,
  [SMALL_STATE(12070)] = 132904,
  [SMALL_STATE(12071)] = 132993,
  [SMALL_STATE(12072)] = 133036,
  [SMALL_STATE(12073)] = 133075,
  [SMALL_STATE(12074)] = 133114,
  [SMALL_STATE(12075)] = 133159,
  [SMALL_STATE(12076)] = 133204,
  [SMALL_STATE(12077)] = 133249,
  [SMALL_STATE(12078)] = 133294,
  [SMALL_STATE(12079)] = 133333,
  [SMALL_STATE(12080)] = 133372,
  [SMALL_STATE(12081)] = 133411,
  [SMALL_STATE(12082)] = 133454,
  [SMALL_STATE(12083)] = 133543,
  [SMALL_STATE(12084)] = 133582,
  [SMALL_STATE(12085)] = 133621,
  [SMALL_STATE(12086)] = 133660,
  [SMALL_STATE(12087)] = 133749,
  [SMALL_STATE(12088)] = 133838,
  [SMALL_STATE(12089)] = 133883,
  [SMALL_STATE(12090)] = 133972,
  [SMALL_STATE(12091)] = 134013,
  [SMALL_STATE(12092)] = 134052,
  [SMALL_STATE(12093)] = 134091,
  [SMALL_STATE(12094)] = 134130,
  [SMALL_STATE(12095)] = 134169,
  [SMALL_STATE(12096)] = 134214,
  [SMALL_STATE(12097)] = 134253,
  [SMALL_STATE(12098)] = 134292,
  [SMALL_STATE(12099)] = 134381,
  [SMALL_STATE(12100)] = 134420,
  [SMALL_STATE(12101)] = 134509,
  [SMALL_STATE(12102)] = 134548,
  [SMALL_STATE(12103)] = 134587,
  [SMALL_STATE(12104)] = 134626,
  [SMALL_STATE(12105)] = 134665,
  [SMALL_STATE(12106)] = 134704,
  [SMALL_STATE(12107)] = 134743,
  [SMALL_STATE(12108)] = 134782,
  [SMALL_STATE(12109)] = 134821,
  [SMALL_STATE(12110)] = 134860,
  [SMALL_STATE(12111)] = 134899,
  [SMALL_STATE(12112)] = 134988,
  [SMALL_STATE(12113)] = 135027,
  [SMALL_STATE(12114)] = 135116,
  [SMALL_STATE(12115)] = 135155,
  [SMALL_STATE(12116)] = 135198,
  [SMALL_STATE(12117)] = 135241,
  [SMALL_STATE(12118)] = 135280,
  [SMALL_STATE(12119)] = 135323,
  [SMALL_STATE(12120)] = 135362,
  [SMALL_STATE(12121)] = 135401,
  [SMALL_STATE(12122)] = 135440,
  [SMALL_STATE(12123)] = 135479,
  [SMALL_STATE(12124)] = 135518,
  [SMALL_STATE(12125)] = 135607,
  [SMALL_STATE(12126)] = 135646,
  [SMALL_STATE(12127)] = 135695,
  [SMALL_STATE(12128)] = 135734,
  [SMALL_STATE(12129)] = 135777,
  [SMALL_STATE(12130)] = 135820,
  [SMALL_STATE(12131)] = 135859,
  [SMALL_STATE(12132)] = 135902,
  [SMALL_STATE(12133)] = 135945,
  [SMALL_STATE(12134)] = 135988,
  [SMALL_STATE(12135)] = 136031,
  [SMALL_STATE(12136)] = 136120,
  [SMALL_STATE(12137)] = 136179,
  [SMALL_STATE(12138)] = 136238,
  [SMALL_STATE(12139)] = 136283,
  [SMALL_STATE(12140)] = 136322,
  [SMALL_STATE(12141)] = 136411,
  [SMALL_STATE(12142)] = 136464,
  [SMALL_STATE(12143)] = 136509,
  [SMALL_STATE(12144)] = 136552,
  [SMALL_STATE(12145)] = 136641,
  [SMALL_STATE(12146)] = 136680,
  [SMALL_STATE(12147)] = 136719,
  [SMALL_STATE(12148)] = 136796,
  [SMALL_STATE(12149)] = 136875,
  [SMALL_STATE(12150)] = 136956,
  [SMALL_STATE(12151)] = 136995,
  [SMALL_STATE(12152)] = 137034,
  [SMALL_STATE(12153)] = 137123,
  [SMALL_STATE(12154)] = 137172,
  [SMALL_STATE(12155)] = 137211,
  [SMALL_STATE(12156)] = 137256,
  [SMALL_STATE(12157)] = 137301,
  [SMALL_STATE(12158)] = 137390,
  [SMALL_STATE(12159)] = 137467,
  [SMALL_STATE(12160)] = 137508,
  [SMALL_STATE(12161)] = 137551,
  [SMALL_STATE(12162)] = 137590,
  [SMALL_STATE(12163)] = 137669,
  [SMALL_STATE(12164)] = 137712,
  [SMALL_STATE(12165)] = 137755,
  [SMALL_STATE(12166)] = 137844,
  [SMALL_STATE(12167)] = 137925,
  [SMALL_STATE(12168)] = 137964,
  [SMALL_STATE(12169)] = 138007,
  [SMALL_STATE(12170)] = 138096,
  [SMALL_STATE(12171)] = 138185,
  [SMALL_STATE(12172)] = 138224,
  [SMALL_STATE(12173)] = 138263,
  [SMALL_STATE(12174)] = 138322,
  [SMALL_STATE(12175)] = 138361,
  [SMALL_STATE(12176)] = 138404,
  [SMALL_STATE(12177)] = 138443,
  [SMALL_STATE(12178)] = 138482,
  [SMALL_STATE(12179)] = 138521,
  [SMALL_STATE(12180)] = 138560,
  [SMALL_STATE(12181)] = 138599,
  [SMALL_STATE(12182)] = 138688,
  [SMALL_STATE(12183)] = 138747,
  [SMALL_STATE(12184)] = 138836,
  [SMALL_STATE(12185)] = 138925,
  [SMALL_STATE(12186)] = 139002,
  [SMALL_STATE(12187)] = 139081,
  [SMALL_STATE(12188)] = 139170,
  [SMALL_STATE(12189)] = 139209,
  [SMALL_STATE(12190)] = 139248,
  [SMALL_STATE(12191)] = 139337,
  [SMALL_STATE(12192)] = 139376,
  [SMALL_STATE(12193)] = 139465,
  [SMALL_STATE(12194)] = 139508,
  [SMALL_STATE(12195)] = 139547,
  [SMALL_STATE(12196)] = 139588,
  [SMALL_STATE(12197)] = 139643,
  [SMALL_STATE(12198)] = 139720,
  [SMALL_STATE(12199)] = 139809,
  [SMALL_STATE(12200)] = 139854,
  [SMALL_STATE(12201)] = 139933,
  [SMALL_STATE(12202)] = 139978,
  [SMALL_STATE(12203)] = 140059,
  [SMALL_STATE(12204)] = 140148,
  [SMALL_STATE(12205)] = 140191,
  [SMALL_STATE(12206)] = 140280,
  [SMALL_STATE(12207)] = 140319,
  [SMALL_STATE(12208)] = 140358,
  [SMALL_STATE(12209)] = 140447,
  [SMALL_STATE(12210)] = 140492,
  [SMALL_STATE(12211)] = 140531,
  [SMALL_STATE(12212)] = 140570,
  [SMALL_STATE(12213)] = 140615,
  [SMALL_STATE(12214)] = 140658,
  [SMALL_STATE(12215)] = 140739,
  [SMALL_STATE(12216)] = 140820,
  [SMALL_STATE(12217)] = 140909,
  [SMALL_STATE(12218)] = 140968,
  [SMALL_STATE(12219)] = 141013,
  [SMALL_STATE(12220)] = 141056,
  [SMALL_STATE(12221)] = 141145,
  [SMALL_STATE(12222)] = 141184,
  [SMALL_STATE(12223)] = 141265,
  [SMALL_STATE(12224)] = 141310,
  [SMALL_STATE(12225)] = 141391,
  [SMALL_STATE(12226)] = 141438,
  [SMALL_STATE(12227)] = 141481,
  [SMALL_STATE(12228)] = 141570,
  [SMALL_STATE(12229)] = 141651,
  [SMALL_STATE(12230)] = 141732,
  [SMALL_STATE(12231)] = 141773,
  [SMALL_STATE(12232)] = 141818,
  [SMALL_STATE(12233)] = 141907,
  [SMALL_STATE(12234)] = 141952,
  [SMALL_STATE(12235)] = 141991,
  [SMALL_STATE(12236)] = 142080,
  [SMALL_STATE(12237)] = 142169,
  [SMALL_STATE(12238)] = 142258,
  [SMALL_STATE(12239)] = 142317,
  [SMALL_STATE(12240)] = 142360,
  [SMALL_STATE(12241)] = 142399,
  [SMALL_STATE(12242)] = 142444,
  [SMALL_STATE(12243)] = 142533,
  [SMALL_STATE(12244)] = 142572,
  [SMALL_STATE(12245)] = 142611,
  [SMALL_STATE(12246)] = 142651,
  [SMALL_STATE(12247)] = 142695,
  [SMALL_STATE(12248)] = 142755,
  [SMALL_STATE(12249)] = 142841,
  [SMALL_STATE(12250)] = 142901,
  [SMALL_STATE(12251)] = 142987,
  [SMALL_STATE(12252)] = 143047,
  [SMALL_STATE(12253)] = 143107,
  [SMALL_STATE(12254)] = 143193,
  [SMALL_STATE(12255)] = 143279,
  [SMALL_STATE(12256)] = 143365,
  [SMALL_STATE(12257)] = 143425,
  [SMALL_STATE(12258)] = 143505,
  [SMALL_STATE(12259)] = 143581,
  [SMALL_STATE(12260)] = 143645,
  [SMALL_STATE(12261)] = 143697,
  [SMALL_STATE(12262)] = 143759,
  [SMALL_STATE(12263)] = 143835,
  [SMALL_STATE(12264)] = 143907,
  [SMALL_STATE(12265)] = 143975,
  [SMALL_STATE(12266)] = 144041,
  [SMALL_STATE(12267)] = 144099,
  [SMALL_STATE(12268)] = 144155,
  [SMALL_STATE(12269)] = 144217,
  [SMALL_STATE(12270)] = 144259,
  [SMALL_STATE(12271)] = 144345,
  [SMALL_STATE(12272)] = 144431,
  [SMALL_STATE(12273)] = 144483,
  [SMALL_STATE(12274)] = 144533,
  [SMALL_STATE(12275)] = 144581,
  [SMALL_STATE(12276)] = 144627,
  [SMALL_STATE(12277)] = 144671,
  [SMALL_STATE(12278)] = 144747,
  [SMALL_STATE(12279)] = 144799,
  [SMALL_STATE(12280)] = 144861,
  [SMALL_STATE(12281)] = 144937,
  [SMALL_STATE(12282)] = 145009,
  [SMALL_STATE(12283)] = 145077,
  [SMALL_STATE(12284)] = 145143,
  [SMALL_STATE(12285)] = 145201,
  [SMALL_STATE(12286)] = 145263,
  [SMALL_STATE(12287)] = 145349,
  [SMALL_STATE(12288)] = 145401,
  [SMALL_STATE(12289)] = 145451,
  [SMALL_STATE(12290)] = 145499,
  [SMALL_STATE(12291)] = 145559,
  [SMALL_STATE(12292)] = 145605,
  [SMALL_STATE(12293)] = 145649,
  [SMALL_STATE(12294)] = 145725,
  [SMALL_STATE(12295)] = 145785,
  [SMALL_STATE(12296)] = 145827,
  [SMALL_STATE(12297)] = 145913,
  [SMALL_STATE(12298)] = 145953,
  [SMALL_STATE(12299)] = 145993,
  [SMALL_STATE(12300)] = 146073,
  [SMALL_STATE(12301)] = 146113,
  [SMALL_STATE(12302)] = 146193,
  [SMALL_STATE(12303)] = 146235,
  [SMALL_STATE(12304)] = 146277,
  [SMALL_STATE(12305)] = 146317,
  [SMALL_STATE(12306)] = 146357,
  [SMALL_STATE(12307)] = 146437,
  [SMALL_STATE(12308)] = 146479,
  [SMALL_STATE(12309)] = 146539,
  [SMALL_STATE(12310)] = 146581,
  [SMALL_STATE(12311)] = 146621,
  [SMALL_STATE(12312)] = 146663,
  [SMALL_STATE(12313)] = 146749,
  [SMALL_STATE(12314)] = 146791,
  [SMALL_STATE(12315)] = 146833,
  [SMALL_STATE(12316)] = 146913,
  [SMALL_STATE(12317)] = 146973,
  [SMALL_STATE(12318)] = 147013,
  [SMALL_STATE(12319)] = 147057,
  [SMALL_STATE(12320)] = 147101,
  [SMALL_STATE(12321)] = 147141,
  [SMALL_STATE(12322)] = 147185,
  [SMALL_STATE(12323)] = 147271,
  [SMALL_STATE(12324)] = 147311,
  [SMALL_STATE(12325)] = 147371,
  [SMALL_STATE(12326)] = 147411,
  [SMALL_STATE(12327)] = 147451,
  [SMALL_STATE(12328)] = 147491,
  [SMALL_STATE(12329)] = 147531,
  [SMALL_STATE(12330)] = 147571,
  [SMALL_STATE(12331)] = 147611,
  [SMALL_STATE(12332)] = 147653,
  [SMALL_STATE(12333)] = 147693,
  [SMALL_STATE(12334)] = 147733,
  [SMALL_STATE(12335)] = 147819,
  [SMALL_STATE(12336)] = 147859,
  [SMALL_STATE(12337)] = 147899,
  [SMALL_STATE(12338)] = 147941,
  [SMALL_STATE(12339)] = 148027,
  [SMALL_STATE(12340)] = 148069,
  [SMALL_STATE(12341)] = 148111,
  [SMALL_STATE(12342)] = 148153,
  [SMALL_STATE(12343)] = 148193,
  [SMALL_STATE(12344)] = 148253,
  [SMALL_STATE(12345)] = 148293,
  [SMALL_STATE(12346)] = 148369,
  [SMALL_STATE(12347)] = 148429,
  [SMALL_STATE(12348)] = 148471,
  [SMALL_STATE(12349)] = 148513,
  [SMALL_STATE(12350)] = 148555,
  [SMALL_STATE(12351)] = 148639,
  [SMALL_STATE(12352)] = 148683,
  [SMALL_STATE(12353)] = 148743,
  [SMALL_STATE(12354)] = 148785,
  [SMALL_STATE(12355)] = 148829,
  [SMALL_STATE(12356)] = 148873,
  [SMALL_STATE(12357)] = 148933,
  [SMALL_STATE(12358)] = 148993,
  [SMALL_STATE(12359)] = 149037,
  [SMALL_STATE(12360)] = 149093,
  [SMALL_STATE(12361)] = 149153,
  [SMALL_STATE(12362)] = 149193,
  [SMALL_STATE(12363)] = 149235,
  [SMALL_STATE(12364)] = 149277,
  [SMALL_STATE(12365)] = 149317,
  [SMALL_STATE(12366)] = 149359,
  [SMALL_STATE(12367)] = 149401,
  [SMALL_STATE(12368)] = 149443,
  [SMALL_STATE(12369)] = 149529,
  [SMALL_STATE(12370)] = 149593,
  [SMALL_STATE(12371)] = 149635,
  [SMALL_STATE(12372)] = 149713,
  [SMALL_STATE(12373)] = 149755,
  [SMALL_STATE(12374)] = 149797,
  [SMALL_STATE(12375)] = 149839,
  [SMALL_STATE(12376)] = 149879,
  [SMALL_STATE(12377)] = 149959,
  [SMALL_STATE(12378)] = 150001,
  [SMALL_STATE(12379)] = 150041,
  [SMALL_STATE(12380)] = 150083,
  [SMALL_STATE(12381)] = 150123,
  [SMALL_STATE(12382)] = 150203,
  [SMALL_STATE(12383)] = 150243,
  [SMALL_STATE(12384)] = 150283,
  [SMALL_STATE(12385)] = 150323,
  [SMALL_STATE(12386)] = 150367,
  [SMALL_STATE(12387)] = 150411,
  [SMALL_STATE(12388)] = 150451,
  [SMALL_STATE(12389)] = 150537,
  [SMALL_STATE(12390)] = 150577,
  [SMALL_STATE(12391)] = 150619,
  [SMALL_STATE(12392)] = 150679,
  [SMALL_STATE(12393)] = 150739,
  [SMALL_STATE(12394)] = 150825,
  [SMALL_STATE(12395)] = 150865,
  [SMALL_STATE(12396)] = 150907,
  [SMALL_STATE(12397)] = 150947,
  [SMALL_STATE(12398)] = 150987,
  [SMALL_STATE(12399)] = 151043,
  [SMALL_STATE(12400)] = 151083,
  [SMALL_STATE(12401)] = 151127,
  [SMALL_STATE(12402)] = 151167,
  [SMALL_STATE(12403)] = 151211,
  [SMALL_STATE(12404)] = 151251,
  [SMALL_STATE(12405)] = 151295,
  [SMALL_STATE(12406)] = 151341,
  [SMALL_STATE(12407)] = 151385,
  [SMALL_STATE(12408)] = 151425,
  [SMALL_STATE(12409)] = 151485,
  [SMALL_STATE(12410)] = 151571,
  [SMALL_STATE(12411)] = 151611,
  [SMALL_STATE(12412)] = 151667,
  [SMALL_STATE(12413)] = 151707,
  [SMALL_STATE(12414)] = 151747,
  [SMALL_STATE(12415)] = 151807,
  [SMALL_STATE(12416)] = 151847,
  [SMALL_STATE(12417)] = 151887,
  [SMALL_STATE(12418)] = 151943,
  [SMALL_STATE(12419)] = 151983,
  [SMALL_STATE(12420)] = 152043,
  [SMALL_STATE(12421)] = 152083,
  [SMALL_STATE(12422)] = 152169,
  [SMALL_STATE(12423)] = 152209,
  [SMALL_STATE(12424)] = 152249,
  [SMALL_STATE(12425)] = 152289,
  [SMALL_STATE(12426)] = 152365,
  [SMALL_STATE(12427)] = 152425,
  [SMALL_STATE(12428)] = 152465,
  [SMALL_STATE(12429)] = 152551,
  [SMALL_STATE(12430)] = 152637,
  [SMALL_STATE(12431)] = 152723,
  [SMALL_STATE(12432)] = 152809,
  [SMALL_STATE(12433)] = 152869,
  [SMALL_STATE(12434)] = 152929,
  [SMALL_STATE(12435)] = 152973,
  [SMALL_STATE(12436)] = 153059,
  [SMALL_STATE(12437)] = 153145,
  [SMALL_STATE(12438)] = 153205,
  [SMALL_STATE(12439)] = 153265,
  [SMALL_STATE(12440)] = 153351,
  [SMALL_STATE(12441)] = 153437,
  [SMALL_STATE(12442)] = 153523,
  [SMALL_STATE(12443)] = 153583,
  [SMALL_STATE(12444)] = 153661,
  [SMALL_STATE(12445)] = 153737,
  [SMALL_STATE(12446)] = 153777,
  [SMALL_STATE(12447)] = 153863,
  [SMALL_STATE(12448)] = 153905,
  [SMALL_STATE(12449)] = 153945,
  [SMALL_STATE(12450)] = 153987,
  [SMALL_STATE(12451)] = 154027,
  [SMALL_STATE(12452)] = 154069,
  [SMALL_STATE(12453)] = 154109,
  [SMALL_STATE(12454)] = 154169,
  [SMALL_STATE(12455)] = 154213,
  [SMALL_STATE(12456)] = 154257,
  [SMALL_STATE(12457)] = 154333,
  [SMALL_STATE(12458)] = 154413,
  [SMALL_STATE(12459)] = 154453,
  [SMALL_STATE(12460)] = 154539,
  [SMALL_STATE(12461)] = 154599,
  [SMALL_STATE(12462)] = 154659,
  [SMALL_STATE(12463)] = 154699,
  [SMALL_STATE(12464)] = 154775,
  [SMALL_STATE(12465)] = 154861,
  [SMALL_STATE(12466)] = 154903,
  [SMALL_STATE(12467)] = 154989,
  [SMALL_STATE(12468)] = 155069,
  [SMALL_STATE(12469)] = 155129,
  [SMALL_STATE(12470)] = 155171,
  [SMALL_STATE(12471)] = 155251,
  [SMALL_STATE(12472)] = 155293,
  [SMALL_STATE(12473)] = 155373,
  [SMALL_STATE(12474)] = 155459,
  [SMALL_STATE(12475)] = 155519,
  [SMALL_STATE(12476)] = 155563,
  [SMALL_STATE(12477)] = 155623,
  [SMALL_STATE(12478)] = 155709,
  [SMALL_STATE(12479)] = 155787,
  [SMALL_STATE(12480)] = 155827,
  [SMALL_STATE(12481)] = 155903,
  [SMALL_STATE(12482)] = 155989,
  [SMALL_STATE(12483)] = 156031,
  [SMALL_STATE(12484)] = 156117,
  [SMALL_STATE(12485)] = 156165,
  [SMALL_STATE(12486)] = 156205,
  [SMALL_STATE(12487)] = 156261,
  [SMALL_STATE(12488)] = 156301,
  [SMALL_STATE(12489)] = 156345,
  [SMALL_STATE(12490)] = 156389,
  [SMALL_STATE(12491)] = 156453,
  [SMALL_STATE(12492)] = 156509,
  [SMALL_STATE(12493)] = 156561,
  [SMALL_STATE(12494)] = 156601,
  [SMALL_STATE(12495)] = 156641,
  [SMALL_STATE(12496)] = 156701,
  [SMALL_STATE(12497)] = 156761,
  [SMALL_STATE(12498)] = 156801,
  [SMALL_STATE(12499)] = 156887,
  [SMALL_STATE(12500)] = 156927,
  [SMALL_STATE(12501)] = 157013,
  [SMALL_STATE(12502)] = 157053,
  [SMALL_STATE(12503)] = 157093,
  [SMALL_STATE(12504)] = 157179,
  [SMALL_STATE(12505)] = 157241,
  [SMALL_STATE(12506)] = 157281,
  [SMALL_STATE(12507)] = 157321,
  [SMALL_STATE(12508)] = 157397,
  [SMALL_STATE(12509)] = 157437,
  [SMALL_STATE(12510)] = 157477,
  [SMALL_STATE(12511)] = 157563,
  [SMALL_STATE(12512)] = 157635,
  [SMALL_STATE(12513)] = 157703,
  [SMALL_STATE(12514)] = 157769,
  [SMALL_STATE(12515)] = 157847,
  [SMALL_STATE(12516)] = 157887,
  [SMALL_STATE(12517)] = 157927,
  [SMALL_STATE(12518)] = 157967,
  [SMALL_STATE(12519)] = 158025,
  [SMALL_STATE(12520)] = 158111,
  [SMALL_STATE(12521)] = 158187,
  [SMALL_STATE(12522)] = 158247,
  [SMALL_STATE(12523)] = 158287,
  [SMALL_STATE(12524)] = 158327,
  [SMALL_STATE(12525)] = 158413,
  [SMALL_STATE(12526)] = 158453,
  [SMALL_STATE(12527)] = 158513,
  [SMALL_STATE(12528)] = 158569,
  [SMALL_STATE(12529)] = 158609,
  [SMALL_STATE(12530)] = 158671,
  [SMALL_STATE(12531)] = 158711,
  [SMALL_STATE(12532)] = 158751,
  [SMALL_STATE(12533)] = 158791,
  [SMALL_STATE(12534)] = 158831,
  [SMALL_STATE(12535)] = 158891,
  [SMALL_STATE(12536)] = 158931,
  [SMALL_STATE(12537)] = 158971,
  [SMALL_STATE(12538)] = 159011,
  [SMALL_STATE(12539)] = 159051,
  [SMALL_STATE(12540)] = 159137,
  [SMALL_STATE(12541)] = 159177,
  [SMALL_STATE(12542)] = 159221,
  [SMALL_STATE(12543)] = 159307,
  [SMALL_STATE(12544)] = 159359,
  [SMALL_STATE(12545)] = 159399,
  [SMALL_STATE(12546)] = 159443,
  [SMALL_STATE(12547)] = 159487,
  [SMALL_STATE(12548)] = 159547,
  [SMALL_STATE(12549)] = 159607,
  [SMALL_STATE(12550)] = 159647,
  [SMALL_STATE(12551)] = 159687,
  [SMALL_STATE(12552)] = 159727,
  [SMALL_STATE(12553)] = 159787,
  [SMALL_STATE(12554)] = 159837,
  [SMALL_STATE(12555)] = 159877,
  [SMALL_STATE(12556)] = 159917,
  [SMALL_STATE(12557)] = 159965,
  [SMALL_STATE(12558)] = 160005,
  [SMALL_STATE(12559)] = 160045,
  [SMALL_STATE(12560)] = 160085,
  [SMALL_STATE(12561)] = 160127,
  [SMALL_STATE(12562)] = 160183,
  [SMALL_STATE(12563)] = 160223,
  [SMALL_STATE(12564)] = 160263,
  [SMALL_STATE(12565)] = 160303,
  [SMALL_STATE(12566)] = 160343,
  [SMALL_STATE(12567)] = 160383,
  [SMALL_STATE(12568)] = 160423,
  [SMALL_STATE(12569)] = 160509,
  [SMALL_STATE(12570)] = 160565,
  [SMALL_STATE(12571)] = 160607,
  [SMALL_STATE(12572)] = 160653,
  [SMALL_STATE(12573)] = 160695,
  [SMALL_STATE(12574)] = 160737,
  [SMALL_STATE(12575)] = 160781,
  [SMALL_STATE(12576)] = 160841,
  [SMALL_STATE(12577)] = 160881,
  [SMALL_STATE(12578)] = 160941,
  [SMALL_STATE(12579)] = 160981,
  [SMALL_STATE(12580)] = 161021,
  [SMALL_STATE(12581)] = 161061,
  [SMALL_STATE(12582)] = 161121,
  [SMALL_STATE(12583)] = 161199,
  [SMALL_STATE(12584)] = 161239,
  [SMALL_STATE(12585)] = 161315,
  [SMALL_STATE(12586)] = 161359,
  [SMALL_STATE(12587)] = 161445,
  [SMALL_STATE(12588)] = 161525,
  [SMALL_STATE(12589)] = 161585,
  [SMALL_STATE(12590)] = 161671,
  [SMALL_STATE(12591)] = 161757,
  [SMALL_STATE(12592)] = 161817,
  [SMALL_STATE(12593)] = 161857,
  [SMALL_STATE(12594)] = 161917,
  [SMALL_STATE(12595)] = 161977,
  [SMALL_STATE(12596)] = 162017,
  [SMALL_STATE(12597)] = 162077,
  [SMALL_STATE(12598)] = 162137,
  [SMALL_STATE(12599)] = 162197,
  [SMALL_STATE(12600)] = 162283,
  [SMALL_STATE(12601)] = 162343,
  [SMALL_STATE(12602)] = 162403,
  [SMALL_STATE(12603)] = 162463,
  [SMALL_STATE(12604)] = 162503,
  [SMALL_STATE(12605)] = 162563,
  [SMALL_STATE(12606)] = 162603,
  [SMALL_STATE(12607)] = 162647,
  [SMALL_STATE(12608)] = 162687,
  [SMALL_STATE(12609)] = 162747,
  [SMALL_STATE(12610)] = 162793,
  [SMALL_STATE(12611)] = 162879,
  [SMALL_STATE(12612)] = 162939,
  [SMALL_STATE(12613)] = 162999,
  [SMALL_STATE(12614)] = 163039,
  [SMALL_STATE(12615)] = 163079,
  [SMALL_STATE(12616)] = 163159,
  [SMALL_STATE(12617)] = 163219,
  [SMALL_STATE(12618)] = 163279,
  [SMALL_STATE(12619)] = 163319,
  [SMALL_STATE(12620)] = 163359,
  [SMALL_STATE(12621)] = 163415,
  [SMALL_STATE(12622)] = 163455,
  [SMALL_STATE(12623)] = 163495,
  [SMALL_STATE(12624)] = 163539,
  [SMALL_STATE(12625)] = 163595,
  [SMALL_STATE(12626)] = 163671,
  [SMALL_STATE(12627)] = 163711,
  [SMALL_STATE(12628)] = 163771,
  [SMALL_STATE(12629)] = 163857,
  [SMALL_STATE(12630)] = 163937,
  [SMALL_STATE(12631)] = 163997,
  [SMALL_STATE(12632)] = 164057,
  [SMALL_STATE(12633)] = 164097,
  [SMALL_STATE(12634)] = 164137,
  [SMALL_STATE(12635)] = 164179,
  [SMALL_STATE(12636)] = 164265,
  [SMALL_STATE(12637)] = 164305,
  [SMALL_STATE(12638)] = 164345,
  [SMALL_STATE(12639)] = 164385,
  [SMALL_STATE(12640)] = 164445,
  [SMALL_STATE(12641)] = 164485,
  [SMALL_STATE(12642)] = 164565,
  [SMALL_STATE(12643)] = 164605,
  [SMALL_STATE(12644)] = 164661,
  [SMALL_STATE(12645)] = 164721,
  [SMALL_STATE(12646)] = 164801,
  [SMALL_STATE(12647)] = 164887,
  [SMALL_STATE(12648)] = 164973,
  [SMALL_STATE(12649)] = 165013,
  [SMALL_STATE(12650)] = 165099,
  [SMALL_STATE(12651)] = 165139,
  [SMALL_STATE(12652)] = 165225,
  [SMALL_STATE(12653)] = 165285,
  [SMALL_STATE(12654)] = 165365,
  [SMALL_STATE(12655)] = 165451,
  [SMALL_STATE(12656)] = 165537,
  [SMALL_STATE(12657)] = 165617,
  [SMALL_STATE(12658)] = 165701,
  [SMALL_STATE(12659)] = 165743,
  [SMALL_STATE(12660)] = 165823,
  [SMALL_STATE(12661)] = 165903,
  [SMALL_STATE(12662)] = 165963,
  [SMALL_STATE(12663)] = 166043,
  [SMALL_STATE(12664)] = 166103,
  [SMALL_STATE(12665)] = 166143,
  [SMALL_STATE(12666)] = 166183,
  [SMALL_STATE(12667)] = 166263,
  [SMALL_STATE(12668)] = 166323,
  [SMALL_STATE(12669)] = 166383,
  [SMALL_STATE(12670)] = 166423,
  [SMALL_STATE(12671)] = 166509,
  [SMALL_STATE(12672)] = 166569,
  [SMALL_STATE(12673)] = 166611,
  [SMALL_STATE(12674)] = 166651,
  [SMALL_STATE(12675)] = 166711,
  [SMALL_STATE(12676)] = 166751,
  [SMALL_STATE(12677)] = 166811,
  [SMALL_STATE(12678)] = 166871,
  [SMALL_STATE(12679)] = 166913,
  [SMALL_STATE(12680)] = 166993,
  [SMALL_STATE(12681)] = 167033,
  [SMALL_STATE(12682)] = 167113,
  [SMALL_STATE(12683)] = 167153,
  [SMALL_STATE(12684)] = 167193,
  [SMALL_STATE(12685)] = 167253,
  [SMALL_STATE(12686)] = 167293,
  [SMALL_STATE(12687)] = 167333,
  [SMALL_STATE(12688)] = 167373,
  [SMALL_STATE(12689)] = 167433,
  [SMALL_STATE(12690)] = 167493,
  [SMALL_STATE(12691)] = 167573,
  [SMALL_STATE(12692)] = 167613,
  [SMALL_STATE(12693)] = 167655,
  [SMALL_STATE(12694)] = 167735,
  [SMALL_STATE(12695)] = 167775,
  [SMALL_STATE(12696)] = 167855,
  [SMALL_STATE(12697)] = 167911,
  [SMALL_STATE(12698)] = 167997,
  [SMALL_STATE(12699)] = 168039,
  [SMALL_STATE(12700)] = 168079,
  [SMALL_STATE(12701)] = 168139,
  [SMALL_STATE(12702)] = 168179,
  [SMALL_STATE(12703)] = 168219,
  [SMALL_STATE(12704)] = 168259,
  [SMALL_STATE(12705)] = 168319,
  [SMALL_STATE(12706)] = 168379,
  [SMALL_STATE(12707)] = 168439,
  [SMALL_STATE(12708)] = 168499,
  [SMALL_STATE(12709)] = 168559,
  [SMALL_STATE(12710)] = 168619,
  [SMALL_STATE(12711)] = 168661,
  [SMALL_STATE(12712)] = 168747,
  [SMALL_STATE(12713)] = 168807,
  [SMALL_STATE(12714)] = 168893,
  [SMALL_STATE(12715)] = 168933,
  [SMALL_STATE(12716)] = 168981,
  [SMALL_STATE(12717)] = 169023,
  [SMALL_STATE(12718)] = 169087,
  [SMALL_STATE(12719)] = 169147,
  [SMALL_STATE(12720)] = 169207,
  [SMALL_STATE(12721)] = 169247,
  [SMALL_STATE(12722)] = 169299,
  [SMALL_STATE(12723)] = 169359,
  [SMALL_STATE(12724)] = 169399,
  [SMALL_STATE(12725)] = 169455,
  [SMALL_STATE(12726)] = 169495,
  [SMALL_STATE(12727)] = 169581,
  [SMALL_STATE(12728)] = 169623,
  [SMALL_STATE(12729)] = 169663,
  [SMALL_STATE(12730)] = 169749,
  [SMALL_STATE(12731)] = 169809,
  [SMALL_STATE(12732)] = 169869,
  [SMALL_STATE(12733)] = 169931,
  [SMALL_STATE(12734)] = 169971,
  [SMALL_STATE(12735)] = 170011,
  [SMALL_STATE(12736)] = 170087,
  [SMALL_STATE(12737)] = 170159,
  [SMALL_STATE(12738)] = 170219,
  [SMALL_STATE(12739)] = 170279,
  [SMALL_STATE(12740)] = 170319,
  [SMALL_STATE(12741)] = 170359,
  [SMALL_STATE(12742)] = 170427,
  [SMALL_STATE(12743)] = 170513,
  [SMALL_STATE(12744)] = 170579,
  [SMALL_STATE(12745)] = 170665,
  [SMALL_STATE(12746)] = 170725,
  [SMALL_STATE(12747)] = 170811,
  [SMALL_STATE(12748)] = 170855,
  [SMALL_STATE(12749)] = 170895,
  [SMALL_STATE(12750)] = 170955,
  [SMALL_STATE(12751)] = 171041,
  [SMALL_STATE(12752)] = 171121,
  [SMALL_STATE(12753)] = 171181,
  [SMALL_STATE(12754)] = 171223,
  [SMALL_STATE(12755)] = 171303,
  [SMALL_STATE(12756)] = 171363,
  [SMALL_STATE(12757)] = 171405,
  [SMALL_STATE(12758)] = 171485,
  [SMALL_STATE(12759)] = 171545,
  [SMALL_STATE(12760)] = 171587,
  [SMALL_STATE(12761)] = 171647,
  [SMALL_STATE(12762)] = 171707,
  [SMALL_STATE(12763)] = 171793,
  [SMALL_STATE(12764)] = 171853,
  [SMALL_STATE(12765)] = 171911,
  [SMALL_STATE(12766)] = 171951,
  [SMALL_STATE(12767)] = 171991,
  [SMALL_STATE(12768)] = 172031,
  [SMALL_STATE(12769)] = 172071,
  [SMALL_STATE(12770)] = 172131,
  [SMALL_STATE(12771)] = 172173,
  [SMALL_STATE(12772)] = 172233,
  [SMALL_STATE(12773)] = 172293,
  [SMALL_STATE(12774)] = 172353,
  [SMALL_STATE(12775)] = 172413,
  [SMALL_STATE(12776)] = 172473,
  [SMALL_STATE(12777)] = 172559,
  [SMALL_STATE(12778)] = 172619,
  [SMALL_STATE(12779)] = 172661,
  [SMALL_STATE(12780)] = 172701,
  [SMALL_STATE(12781)] = 172745,
  [SMALL_STATE(12782)] = 172805,
  [SMALL_STATE(12783)] = 172881,
  [SMALL_STATE(12784)] = 172937,
  [SMALL_STATE(12785)] = 172997,
  [SMALL_STATE(12786)] = 173083,
  [SMALL_STATE(12787)] = 173145,
  [SMALL_STATE(12788)] = 173231,
  [SMALL_STATE(12789)] = 173291,
  [SMALL_STATE(12790)] = 173351,
  [SMALL_STATE(12791)] = 173391,
  [SMALL_STATE(12792)] = 173433,
  [SMALL_STATE(12793)] = 173489,
  [SMALL_STATE(12794)] = 173549,
  [SMALL_STATE(12795)] = 173609,
  [SMALL_STATE(12796)] = 173651,
  [SMALL_STATE(12797)] = 173737,
  [SMALL_STATE(12798)] = 173797,
  [SMALL_STATE(12799)] = 173839,
  [SMALL_STATE(12800)] = 173881,
  [SMALL_STATE(12801)] = 173923,
  [SMALL_STATE(12802)] = 174009,
  [SMALL_STATE(12803)] = 174069,
  [SMALL_STATE(12804)] = 174155,
  [SMALL_STATE(12805)] = 174233,
  [SMALL_STATE(12806)] = 174293,
  [SMALL_STATE(12807)] = 174379,
  [SMALL_STATE(12808)] = 174459,
  [SMALL_STATE(12809)] = 174519,
  [SMALL_STATE(12810)] = 174579,
  [SMALL_STATE(12811)] = 174665,
  [SMALL_STATE(12812)] = 174705,
  [SMALL_STATE(12813)] = 174765,
  [SMALL_STATE(12814)] = 174825,
  [SMALL_STATE(12815)] = 174885,
  [SMALL_STATE(12816)] = 174945,
  [SMALL_STATE(12817)] = 175031,
  [SMALL_STATE(12818)] = 175117,
  [SMALL_STATE(12819)] = 175157,
  [SMALL_STATE(12820)] = 175217,
  [SMALL_STATE(12821)] = 175277,
  [SMALL_STATE(12822)] = 175317,
  [SMALL_STATE(12823)] = 175395,
  [SMALL_STATE(12824)] = 175475,
  [SMALL_STATE(12825)] = 175535,
  [SMALL_STATE(12826)] = 175621,
  [SMALL_STATE(12827)] = 175681,
  [SMALL_STATE(12828)] = 175757,
  [SMALL_STATE(12829)] = 175817,
  [SMALL_STATE(12830)] = 175877,
  [SMALL_STATE(12831)] = 175937,
  [SMALL_STATE(12832)] = 175997,
  [SMALL_STATE(12833)] = 176057,
  [SMALL_STATE(12834)] = 176143,
  [SMALL_STATE(12835)] = 176229,
  [SMALL_STATE(12836)] = 176305,
  [SMALL_STATE(12837)] = 176365,
  [SMALL_STATE(12838)] = 176417,
  [SMALL_STATE(12839)] = 176477,
  [SMALL_STATE(12840)] = 176555,
  [SMALL_STATE(12841)] = 176615,
  [SMALL_STATE(12842)] = 176659,
  [SMALL_STATE(12843)] = 176719,
  [SMALL_STATE(12844)] = 176769,
  [SMALL_STATE(12845)] = 176829,
  [SMALL_STATE(12846)] = 176869,
  [SMALL_STATE(12847)] = 176911,
  [SMALL_STATE(12848)] = 176955,
  [SMALL_STATE(12849)] = 177003,
  [SMALL_STATE(12850)] = 177063,
  [SMALL_STATE(12851)] = 177123,
  [SMALL_STATE(12852)] = 177209,
  [SMALL_STATE(12853)] = 177269,
  [SMALL_STATE(12854)] = 177329,
  [SMALL_STATE(12855)] = 177371,
  [SMALL_STATE(12856)] = 177417,
  [SMALL_STATE(12857)] = 177457,
  [SMALL_STATE(12858)] = 177535,
  [SMALL_STATE(12859)] = 177579,
  [SMALL_STATE(12860)] = 177623,
  [SMALL_STATE(12861)] = 177703,
  [SMALL_STATE(12862)] = 177759,
  [SMALL_STATE(12863)] = 177803,
  [SMALL_STATE(12864)] = 177863,
  [SMALL_STATE(12865)] = 177905,
  [SMALL_STATE(12866)] = 177945,
  [SMALL_STATE(12867)] = 177985,
  [SMALL_STATE(12868)] = 178045,
  [SMALL_STATE(12869)] = 178131,
  [SMALL_STATE(12870)] = 178191,
  [SMALL_STATE(12871)] = 178251,
  [SMALL_STATE(12872)] = 178311,
  [SMALL_STATE(12873)] = 178357,
  [SMALL_STATE(12874)] = 178401,
  [SMALL_STATE(12875)] = 178487,
  [SMALL_STATE(12876)] = 178527,
  [SMALL_STATE(12877)] = 178611,
  [SMALL_STATE(12878)] = 178651,
  [SMALL_STATE(12879)] = 178707,
  [SMALL_STATE(12880)] = 178751,
  [SMALL_STATE(12881)] = 178837,
  [SMALL_STATE(12882)] = 178893,
  [SMALL_STATE(12883)] = 178953,
  [SMALL_STATE(12884)] = 178997,
  [SMALL_STATE(12885)] = 179041,
  [SMALL_STATE(12886)] = 179081,
  [SMALL_STATE(12887)] = 179141,
  [SMALL_STATE(12888)] = 179185,
  [SMALL_STATE(12889)] = 179229,
  [SMALL_STATE(12890)] = 179271,
  [SMALL_STATE(12891)] = 179315,
  [SMALL_STATE(12892)] = 179359,
  [SMALL_STATE(12893)] = 179403,
  [SMALL_STATE(12894)] = 179463,
  [SMALL_STATE(12895)] = 179549,
  [SMALL_STATE(12896)] = 179589,
  [SMALL_STATE(12897)] = 179649,
  [SMALL_STATE(12898)] = 179689,
  [SMALL_STATE(12899)] = 179749,
  [SMALL_STATE(12900)] = 179789,
  [SMALL_STATE(12901)] = 179849,
  [SMALL_STATE(12902)] = 179909,
  [SMALL_STATE(12903)] = 179949,
  [SMALL_STATE(12904)] = 180029,
  [SMALL_STATE(12905)] = 180071,
  [SMALL_STATE(12906)] = 180112,
  [SMALL_STATE(12907)] = 180191,
  [SMALL_STATE(12908)] = 180270,
  [SMALL_STATE(12909)] = 180345,
  [SMALL_STATE(12910)] = 180424,
  [SMALL_STATE(12911)] = 180501,
  [SMALL_STATE(12912)] = 180542,
  [SMALL_STATE(12913)] = 180617,
  [SMALL_STATE(12914)] = 180658,
  [SMALL_STATE(12915)] = 180719,
  [SMALL_STATE(12916)] = 180762,
  [SMALL_STATE(12917)] = 180841,
  [SMALL_STATE(12918)] = 180884,
  [SMALL_STATE(12919)] = 180929,
  [SMALL_STATE(12920)] = 180976,
  [SMALL_STATE(12921)] = 181025,
  [SMALL_STATE(12922)] = 181076,
  [SMALL_STATE(12923)] = 181117,
  [SMALL_STATE(12924)] = 181192,
  [SMALL_STATE(12925)] = 181253,
  [SMALL_STATE(12926)] = 181310,
  [SMALL_STATE(12927)] = 181351,
  [SMALL_STATE(12928)] = 181392,
  [SMALL_STATE(12929)] = 181457,
  [SMALL_STATE(12930)] = 181524,
  [SMALL_STATE(12931)] = 181587,
  [SMALL_STATE(12932)] = 181658,
  [SMALL_STATE(12933)] = 181709,
  [SMALL_STATE(12934)] = 181750,
  [SMALL_STATE(12935)] = 181793,
  [SMALL_STATE(12936)] = 181868,
  [SMALL_STATE(12937)] = 181943,
  [SMALL_STATE(12938)] = 182004,
  [SMALL_STATE(12939)] = 182055,
  [SMALL_STATE(12940)] = 182096,
  [SMALL_STATE(12941)] = 182139,
  [SMALL_STATE(12942)] = 182200,
  [SMALL_STATE(12943)] = 182263,
  [SMALL_STATE(12944)] = 182338,
  [SMALL_STATE(12945)] = 182379,
  [SMALL_STATE(12946)] = 182420,
  [SMALL_STATE(12947)] = 182491,
  [SMALL_STATE(12948)] = 182534,
  [SMALL_STATE(12949)] = 182573,
  [SMALL_STATE(12950)] = 182650,
  [SMALL_STATE(12951)] = 182695,
  [SMALL_STATE(12952)] = 182762,
  [SMALL_STATE(12953)] = 182827,
  [SMALL_STATE(12954)] = 182874,
  [SMALL_STATE(12955)] = 182931,
  [SMALL_STATE(12956)] = 182992,
  [SMALL_STATE(12957)] = 183043,
  [SMALL_STATE(12958)] = 183124,
  [SMALL_STATE(12959)] = 183207,
  [SMALL_STATE(12960)] = 183256,
  [SMALL_STATE(12961)] = 183303,
  [SMALL_STATE(12962)] = 183352,
  [SMALL_STATE(12963)] = 183403,
  [SMALL_STATE(12964)] = 183464,
  [SMALL_STATE(12965)] = 183503,
  [SMALL_STATE(12966)] = 183560,
  [SMALL_STATE(12967)] = 183625,
  [SMALL_STATE(12968)] = 183670,
  [SMALL_STATE(12969)] = 183737,
  [SMALL_STATE(12970)] = 183780,
  [SMALL_STATE(12971)] = 183851,
  [SMALL_STATE(12972)] = 183894,
  [SMALL_STATE(12973)] = 183975,
  [SMALL_STATE(12974)] = 184018,
  [SMALL_STATE(12975)] = 184093,
  [SMALL_STATE(12976)] = 184136,
  [SMALL_STATE(12977)] = 184197,
  [SMALL_STATE(12978)] = 184248,
  [SMALL_STATE(12979)] = 184291,
  [SMALL_STATE(12980)] = 184354,
  [SMALL_STATE(12981)] = 184433,
  [SMALL_STATE(12982)] = 184474,
  [SMALL_STATE(12983)] = 184517,
  [SMALL_STATE(12984)] = 184596,
  [SMALL_STATE(12985)] = 184641,
  [SMALL_STATE(12986)] = 184682,
  [SMALL_STATE(12987)] = 184729,
  [SMALL_STATE(12988)] = 184770,
  [SMALL_STATE(12989)] = 184819,
  [SMALL_STATE(12990)] = 184860,
  [SMALL_STATE(12991)] = 184901,
  [SMALL_STATE(12992)] = 184952,
  [SMALL_STATE(12993)] = 185009,
  [SMALL_STATE(12994)] = 185074,
  [SMALL_STATE(12995)] = 185149,
  [SMALL_STATE(12996)] = 185216,
  [SMALL_STATE(12997)] = 185287,
  [SMALL_STATE(12998)] = 185362,
  [SMALL_STATE(12999)] = 185403,
  [SMALL_STATE(13000)] = 185478,
  [SMALL_STATE(13001)] = 185539,
  [SMALL_STATE(13002)] = 185578,
  [SMALL_STATE(13003)] = 185629,
  [SMALL_STATE(13004)] = 185692,
  [SMALL_STATE(13005)] = 185733,
  [SMALL_STATE(13006)] = 185776,
  [SMALL_STATE(13007)] = 185855,
  [SMALL_STATE(13008)] = 185898,
  [SMALL_STATE(13009)] = 185939,
  [SMALL_STATE(13010)] = 186018,
  [SMALL_STATE(13011)] = 186097,
  [SMALL_STATE(13012)] = 186176,
  [SMALL_STATE(13013)] = 186255,
  [SMALL_STATE(13014)] = 186296,
  [SMALL_STATE(13015)] = 186375,
  [SMALL_STATE(13016)] = 186418,
  [SMALL_STATE(13017)] = 186461,
  [SMALL_STATE(13018)] = 186504,
  [SMALL_STATE(13019)] = 186545,
  [SMALL_STATE(13020)] = 186588,
  [SMALL_STATE(13021)] = 186629,
  [SMALL_STATE(13022)] = 186670,
  [SMALL_STATE(13023)] = 186727,
  [SMALL_STATE(13024)] = 186768,
  [SMALL_STATE(13025)] = 186809,
  [SMALL_STATE(13026)] = 186884,
  [SMALL_STATE(13027)] = 186927,
  [SMALL_STATE(13028)] = 187002,
  [SMALL_STATE(13029)] = 187079,
  [SMALL_STATE(13030)] = 187120,
  [SMALL_STATE(13031)] = 187161,
  [SMALL_STATE(13032)] = 187240,
  [SMALL_STATE(13033)] = 187283,
  [SMALL_STATE(13034)] = 187362,
  [SMALL_STATE(13035)] = 187441,
  [SMALL_STATE(13036)] = 187506,
  [SMALL_STATE(13037)] = 187545,
  [SMALL_STATE(13038)] = 187624,
  [SMALL_STATE(13039)] = 187699,
  [SMALL_STATE(13040)] = 187740,
  [SMALL_STATE(13041)] = 187783,
  [SMALL_STATE(13042)] = 187858,
  [SMALL_STATE(13043)] = 187903,
  [SMALL_STATE(13044)] = 187944,
  [SMALL_STATE(13045)] = 187985,
  [SMALL_STATE(13046)] = 188060,
  [SMALL_STATE(13047)] = 188103,
  [SMALL_STATE(13048)] = 188150,
  [SMALL_STATE(13049)] = 188191,
  [SMALL_STATE(13050)] = 188234,
  [SMALL_STATE(13051)] = 188311,
  [SMALL_STATE(13052)] = 188354,
  [SMALL_STATE(13053)] = 188433,
  [SMALL_STATE(13054)] = 188476,
  [SMALL_STATE(13055)] = 188551,
  [SMALL_STATE(13056)] = 188630,
  [SMALL_STATE(13057)] = 188709,
  [SMALL_STATE(13058)] = 188758,
  [SMALL_STATE(13059)] = 188799,
  [SMALL_STATE(13060)] = 188850,
  [SMALL_STATE(13061)] = 188891,
  [SMALL_STATE(13062)] = 188954,
  [SMALL_STATE(13063)] = 189029,
  [SMALL_STATE(13064)] = 189072,
  [SMALL_STATE(13065)] = 189113,
  [SMALL_STATE(13066)] = 189188,
  [SMALL_STATE(13067)] = 189239,
  [SMALL_STATE(13068)] = 189280,
  [SMALL_STATE(13069)] = 189321,
  [SMALL_STATE(13070)] = 189382,
  [SMALL_STATE(13071)] = 189443,
  [SMALL_STATE(13072)] = 189486,
  [SMALL_STATE(13073)] = 189565,
  [SMALL_STATE(13074)] = 189606,
  [SMALL_STATE(13075)] = 189685,
  [SMALL_STATE(13076)] = 189726,
  [SMALL_STATE(13077)] = 189805,
  [SMALL_STATE(13078)] = 189846,
  [SMALL_STATE(13079)] = 189887,
  [SMALL_STATE(13080)] = 189952,
  [SMALL_STATE(13081)] = 190027,
  [SMALL_STATE(13082)] = 190094,
  [SMALL_STATE(13083)] = 190165,
  [SMALL_STATE(13084)] = 190244,
  [SMALL_STATE(13085)] = 190287,
  [SMALL_STATE(13086)] = 190362,
  [SMALL_STATE(13087)] = 190403,
  [SMALL_STATE(13088)] = 190464,
  [SMALL_STATE(13089)] = 190535,
  [SMALL_STATE(13090)] = 190602,
  [SMALL_STATE(13091)] = 190653,
  [SMALL_STATE(13092)] = 190692,
  [SMALL_STATE(13093)] = 190733,
  [SMALL_STATE(13094)] = 190790,
  [SMALL_STATE(13095)] = 190869,
  [SMALL_STATE(13096)] = 190930,
  [SMALL_STATE(13097)] = 190993,
  [SMALL_STATE(13098)] = 191070,
  [SMALL_STATE(13099)] = 191121,
  [SMALL_STATE(13100)] = 191200,
  [SMALL_STATE(13101)] = 191279,
  [SMALL_STATE(13102)] = 191358,
  [SMALL_STATE(13103)] = 191433,
  [SMALL_STATE(13104)] = 191482,
  [SMALL_STATE(13105)] = 191559,
  [SMALL_STATE(13106)] = 191638,
  [SMALL_STATE(13107)] = 191685,
  [SMALL_STATE(13108)] = 191730,
  [SMALL_STATE(13109)] = 191805,
  [SMALL_STATE(13110)] = 191848,
  [SMALL_STATE(13111)] = 191891,
  [SMALL_STATE(13112)] = 191934,
  [SMALL_STATE(13113)] = 192009,
  [SMALL_STATE(13114)] = 192052,
  [SMALL_STATE(13115)] = 192131,
  [SMALL_STATE(13116)] = 192174,
  [SMALL_STATE(13117)] = 192217,
  [SMALL_STATE(13118)] = 192258,
  [SMALL_STATE(13119)] = 192337,
  [SMALL_STATE(13120)] = 192420,
  [SMALL_STATE(13121)] = 192483,
  [SMALL_STATE(13122)] = 192534,
  [SMALL_STATE(13123)] = 192575,
  [SMALL_STATE(13124)] = 192618,
  [SMALL_STATE(13125)] = 192659,
  [SMALL_STATE(13126)] = 192700,
  [SMALL_STATE(13127)] = 192761,
  [SMALL_STATE(13128)] = 192836,
  [SMALL_STATE(13129)] = 192907,
  [SMALL_STATE(13130)] = 192974,
  [SMALL_STATE(13131)] = 193039,
  [SMALL_STATE(13132)] = 193096,
  [SMALL_STATE(13133)] = 193157,
  [SMALL_STATE(13134)] = 193208,
  [SMALL_STATE(13135)] = 193257,
  [SMALL_STATE(13136)] = 193304,
  [SMALL_STATE(13137)] = 193349,
  [SMALL_STATE(13138)] = 193424,
  [SMALL_STATE(13139)] = 193465,
  [SMALL_STATE(13140)] = 193508,
  [SMALL_STATE(13141)] = 193583,
  [SMALL_STATE(13142)] = 193626,
  [SMALL_STATE(13143)] = 193705,
  [SMALL_STATE(13144)] = 193780,
  [SMALL_STATE(13145)] = 193821,
  [SMALL_STATE(13146)] = 193862,
  [SMALL_STATE(13147)] = 193903,
  [SMALL_STATE(13148)] = 193982,
  [SMALL_STATE(13149)] = 194023,
  [SMALL_STATE(13150)] = 194064,
  [SMALL_STATE(13151)] = 194143,
  [SMALL_STATE(13152)] = 194184,
  [SMALL_STATE(13153)] = 194265,
  [SMALL_STATE(13154)] = 194306,
  [SMALL_STATE(13155)] = 194347,
  [SMALL_STATE(13156)] = 194388,
  [SMALL_STATE(13157)] = 194465,
  [SMALL_STATE(13158)] = 194504,
  [SMALL_STATE(13159)] = 194583,
  [SMALL_STATE(13160)] = 194624,
  [SMALL_STATE(13161)] = 194665,
  [SMALL_STATE(13162)] = 194706,
  [SMALL_STATE(13163)] = 194747,
  [SMALL_STATE(13164)] = 194790,
  [SMALL_STATE(13165)] = 194831,
  [SMALL_STATE(13166)] = 194872,
  [SMALL_STATE(13167)] = 194913,
  [SMALL_STATE(13168)] = 194988,
  [SMALL_STATE(13169)] = 195063,
  [SMALL_STATE(13170)] = 195142,
  [SMALL_STATE(13171)] = 195219,
  [SMALL_STATE(13172)] = 195262,
  [SMALL_STATE(13173)] = 195303,
  [SMALL_STATE(13174)] = 195344,
  [SMALL_STATE(13175)] = 195385,
  [SMALL_STATE(13176)] = 195464,
  [SMALL_STATE(13177)] = 195505,
  [SMALL_STATE(13178)] = 195569,
  [SMALL_STATE(13179)] = 195609,
  [SMALL_STATE(13180)] = 195649,
  [SMALL_STATE(13181)] = 195699,
  [SMALL_STATE(13182)] = 195777,
  [SMALL_STATE(13183)] = 195817,
  [SMALL_STATE(13184)] = 195877,
  [SMALL_STATE(13185)] = 195955,
  [SMALL_STATE(13186)] = 195995,
  [SMALL_STATE(13187)] = 196071,
  [SMALL_STATE(13188)] = 196145,
  [SMALL_STATE(13189)] = 196223,
  [SMALL_STATE(13190)] = 196265,
  [SMALL_STATE(13191)] = 196307,
  [SMALL_STATE(13192)] = 196347,
  [SMALL_STATE(13193)] = 196387,
  [SMALL_STATE(13194)] = 196429,
  [SMALL_STATE(13195)] = 196473,
  [SMALL_STATE(13196)] = 196513,
  [SMALL_STATE(13197)] = 196591,
  [SMALL_STATE(13198)] = 196637,
  [SMALL_STATE(13199)] = 196677,
  [SMALL_STATE(13200)] = 196747,
  [SMALL_STATE(13201)] = 196813,
  [SMALL_STATE(13202)] = 196887,
  [SMALL_STATE(13203)] = 196963,
  [SMALL_STATE(13204)] = 197027,
  [SMALL_STATE(13205)] = 197075,
  [SMALL_STATE(13206)] = 197117,
  [SMALL_STATE(13207)] = 197191,
  [SMALL_STATE(13208)] = 197267,
  [SMALL_STATE(13209)] = 197323,
  [SMALL_STATE(13210)] = 197397,
  [SMALL_STATE(13211)] = 197457,
  [SMALL_STATE(13212)] = 197495,
  [SMALL_STATE(13213)] = 197545,
  [SMALL_STATE(13214)] = 197583,
  [SMALL_STATE(13215)] = 197621,
  [SMALL_STATE(13216)] = 197699,
  [SMALL_STATE(13217)] = 197739,
  [SMALL_STATE(13218)] = 197779,
  [SMALL_STATE(13219)] = 197819,
  [SMALL_STATE(13220)] = 197897,
  [SMALL_STATE(13221)] = 197945,
  [SMALL_STATE(13222)] = 198019,
  [SMALL_STATE(13223)] = 198057,
  [SMALL_STATE(13224)] = 198103,
  [SMALL_STATE(13225)] = 198165,
  [SMALL_STATE(13226)] = 198209,
  [SMALL_STATE(13227)] = 198287,
  [SMALL_STATE(13228)] = 198329,
  [SMALL_STATE(13229)] = 198403,
  [SMALL_STATE(13230)] = 198443,
  [SMALL_STATE(13231)] = 198517,
  [SMALL_STATE(13232)] = 198559,
  [SMALL_STATE(13233)] = 198621,
  [SMALL_STATE(13234)] = 198659,
  [SMALL_STATE(13235)] = 198703,
  [SMALL_STATE(13236)] = 198753,
  [SMALL_STATE(13237)] = 198799,
  [SMALL_STATE(13238)] = 198859,
  [SMALL_STATE(13239)] = 198933,
  [SMALL_STATE(13240)] = 199007,
  [SMALL_STATE(13241)] = 199057,
  [SMALL_STATE(13242)] = 199127,
  [SMALL_STATE(13243)] = 199187,
  [SMALL_STATE(13244)] = 199253,
  [SMALL_STATE(13245)] = 199317,
  [SMALL_STATE(13246)] = 199381,
  [SMALL_STATE(13247)] = 199447,
  [SMALL_STATE(13248)] = 199503,
  [SMALL_STATE(13249)] = 199543,
  [SMALL_STATE(13250)] = 199603,
  [SMALL_STATE(13251)] = 199641,
  [SMALL_STATE(13252)] = 199691,
  [SMALL_STATE(13253)] = 199739,
  [SMALL_STATE(13254)] = 199777,
  [SMALL_STATE(13255)] = 199825,
  [SMALL_STATE(13256)] = 199871,
  [SMALL_STATE(13257)] = 199915,
  [SMALL_STATE(13258)] = 199957,
  [SMALL_STATE(13259)] = 200031,
  [SMALL_STATE(13260)] = 200101,
  [SMALL_STATE(13261)] = 200163,
  [SMALL_STATE(13262)] = 200237,
  [SMALL_STATE(13263)] = 200287,
  [SMALL_STATE(13264)] = 200361,
  [SMALL_STATE(13265)] = 200411,
  [SMALL_STATE(13266)] = 200471,
  [SMALL_STATE(13267)] = 200527,
  [SMALL_STATE(13268)] = 200567,
  [SMALL_STATE(13269)] = 200627,
  [SMALL_STATE(13270)] = 200691,
  [SMALL_STATE(13271)] = 200763,
  [SMALL_STATE(13272)] = 200829,
  [SMALL_STATE(13273)] = 200869,
  [SMALL_STATE(13274)] = 200929,
  [SMALL_STATE(13275)] = 201003,
  [SMALL_STATE(13276)] = 201073,
  [SMALL_STATE(13277)] = 201123,
  [SMALL_STATE(13278)] = 201161,
  [SMALL_STATE(13279)] = 201227,
  [SMALL_STATE(13280)] = 201297,
  [SMALL_STATE(13281)] = 201359,
  [SMALL_STATE(13282)] = 201433,
  [SMALL_STATE(13283)] = 201507,
  [SMALL_STATE(13284)] = 201545,
  [SMALL_STATE(13285)] = 201623,
  [SMALL_STATE(13286)] = 201701,
  [SMALL_STATE(13287)] = 201775,
  [SMALL_STATE(13288)] = 201813,
  [SMALL_STATE(13289)] = 201885,
  [SMALL_STATE(13290)] = 201947,
  [SMALL_STATE(13291)] = 202011,
  [SMALL_STATE(13292)] = 202049,
  [SMALL_STATE(13293)] = 202125,
  [SMALL_STATE(13294)] = 202163,
  [SMALL_STATE(13295)] = 202239,
  [SMALL_STATE(13296)] = 202277,
  [SMALL_STATE(13297)] = 202315,
  [SMALL_STATE(13298)] = 202391,
  [SMALL_STATE(13299)] = 202447,
  [SMALL_STATE(13300)] = 202487,
  [SMALL_STATE(13301)] = 202525,
  [SMALL_STATE(13302)] = 202567,
  [SMALL_STATE(13303)] = 202629,
  [SMALL_STATE(13304)] = 202703,
  [SMALL_STATE(13305)] = 202781,
  [SMALL_STATE(13306)] = 202841,
  [SMALL_STATE(13307)] = 202915,
  [SMALL_STATE(13308)] = 202953,
  [SMALL_STATE(13309)] = 202993,
  [SMALL_STATE(13310)] = 203041,
  [SMALL_STATE(13311)] = 203091,
  [SMALL_STATE(13312)] = 203131,
  [SMALL_STATE(13313)] = 203193,
  [SMALL_STATE(13314)] = 203259,
  [SMALL_STATE(13315)] = 203299,
  [SMALL_STATE(13316)] = 203341,
  [SMALL_STATE(13317)] = 203417,
  [SMALL_STATE(13318)] = 203495,
  [SMALL_STATE(13319)] = 203535,
  [SMALL_STATE(13320)] = 203577,
  [SMALL_STATE(13321)] = 203621,
  [SMALL_STATE(13322)] = 203667,
  [SMALL_STATE(13323)] = 203745,
  [SMALL_STATE(13324)] = 203793,
  [SMALL_STATE(13325)] = 203851,
  [SMALL_STATE(13326)] = 203909,
  [SMALL_STATE(13327)] = 203983,
  [SMALL_STATE(13328)] = 204027,
  [SMALL_STATE(13329)] = 204073,
  [SMALL_STATE(13330)] = 204121,
  [SMALL_STATE(13331)] = 204171,
  [SMALL_STATE(13332)] = 204241,
  [SMALL_STATE(13333)] = 204307,
  [SMALL_STATE(13334)] = 204361,
  [SMALL_STATE(13335)] = 204425,
  [SMALL_STATE(13336)] = 204463,
  [SMALL_STATE(13337)] = 204513,
  [SMALL_STATE(13338)] = 204587,
  [SMALL_STATE(13339)] = 204629,
  [SMALL_STATE(13340)] = 204669,
  [SMALL_STATE(13341)] = 204729,
  [SMALL_STATE(13342)] = 204803,
  [SMALL_STATE(13343)] = 204841,
  [SMALL_STATE(13344)] = 204885,
  [SMALL_STATE(13345)] = 204923,
  [SMALL_STATE(13346)] = 204973,
  [SMALL_STATE(13347)] = 205013,
  [SMALL_STATE(13348)] = 205077,
  [SMALL_STATE(13349)] = 205119,
  [SMALL_STATE(13350)] = 205161,
  [SMALL_STATE(13351)] = 205209,
  [SMALL_STATE(13352)] = 205263,
  [SMALL_STATE(13353)] = 205341,
  [SMALL_STATE(13354)] = 205379,
  [SMALL_STATE(13355)] = 205437,
  [SMALL_STATE(13356)] = 205485,
  [SMALL_STATE(13357)] = 205531,
  [SMALL_STATE(13358)] = 205597,
  [SMALL_STATE(13359)] = 205667,
  [SMALL_STATE(13360)] = 205713,
  [SMALL_STATE(13361)] = 205791,
  [SMALL_STATE(13362)] = 205865,
  [SMALL_STATE(13363)] = 205909,
  [SMALL_STATE(13364)] = 205987,
  [SMALL_STATE(13365)] = 206027,
  [SMALL_STATE(13366)] = 206069,
  [SMALL_STATE(13367)] = 206127,
  [SMALL_STATE(13368)] = 206205,
  [SMALL_STATE(13369)] = 206251,
  [SMALL_STATE(13370)] = 206291,
  [SMALL_STATE(13371)] = 206367,
  [SMALL_STATE(13372)] = 206429,
  [SMALL_STATE(13373)] = 206489,
  [SMALL_STATE(13374)] = 206563,
  [SMALL_STATE(13375)] = 206603,
  [SMALL_STATE(13376)] = 206673,
  [SMALL_STATE(13377)] = 206711,
  [SMALL_STATE(13378)] = 206787,
  [SMALL_STATE(13379)] = 206831,
  [SMALL_STATE(13380)] = 206897,
  [SMALL_STATE(13381)] = 206961,
  [SMALL_STATE(13382)] = 207017,
  [SMALL_STATE(13383)] = 207055,
  [SMALL_STATE(13384)] = 207115,
  [SMALL_STATE(13385)] = 207163,
  [SMALL_STATE(13386)] = 207239,
  [SMALL_STATE(13387)] = 207277,
  [SMALL_STATE(13388)] = 207319,
  [SMALL_STATE(13389)] = 207369,
  [SMALL_STATE(13390)] = 207425,
  [SMALL_STATE(13391)] = 207485,
  [SMALL_STATE(13392)] = 207559,
  [SMALL_STATE(13393)] = 207599,
  [SMALL_STATE(13394)] = 207641,
  [SMALL_STATE(13395)] = 207697,
  [SMALL_STATE(13396)] = 207775,
  [SMALL_STATE(13397)] = 207823,
  [SMALL_STATE(13398)] = 207863,
  [SMALL_STATE(13399)] = 207933,
  [SMALL_STATE(13400)] = 207971,
  [SMALL_STATE(13401)] = 208045,
  [SMALL_STATE(13402)] = 208105,
  [SMALL_STATE(13403)] = 208179,
  [SMALL_STATE(13404)] = 208253,
  [SMALL_STATE(13405)] = 208293,
  [SMALL_STATE(13406)] = 208343,
  [SMALL_STATE(13407)] = 208383,
  [SMALL_STATE(13408)] = 208425,
  [SMALL_STATE(13409)] = 208499,
  [SMALL_STATE(13410)] = 208537,
  [SMALL_STATE(13411)] = 208599,
  [SMALL_STATE(13412)] = 208639,
  [SMALL_STATE(13413)] = 208679,
  [SMALL_STATE(13414)] = 208719,
  [SMALL_STATE(13415)] = 208795,
  [SMALL_STATE(13416)] = 208873,
  [SMALL_STATE(13417)] = 208919,
  [SMALL_STATE(13418)] = 208957,
  [SMALL_STATE(13419)] = 208997,
  [SMALL_STATE(13420)] = 209037,
  [SMALL_STATE(13421)] = 209111,
  [SMALL_STATE(13422)] = 209185,
  [SMALL_STATE(13423)] = 209223,
  [SMALL_STATE(13424)] = 209301,
  [SMALL_STATE(13425)] = 209377,
  [SMALL_STATE(13426)] = 209451,
  [SMALL_STATE(13427)] = 209491,
  [SMALL_STATE(13428)] = 209533,
  [SMALL_STATE(13429)] = 209609,
  [SMALL_STATE(13430)] = 209687,
  [SMALL_STATE(13431)] = 209727,
  [SMALL_STATE(13432)] = 209767,
  [SMALL_STATE(13433)] = 209805,
  [SMALL_STATE(13434)] = 209843,
  [SMALL_STATE(13435)] = 209883,
  [SMALL_STATE(13436)] = 209923,
  [SMALL_STATE(13437)] = 209963,
  [SMALL_STATE(13438)] = 210002,
  [SMALL_STATE(13439)] = 210077,
  [SMALL_STATE(13440)] = 210116,
  [SMALL_STATE(13441)] = 210153,
  [SMALL_STATE(13442)] = 210192,
  [SMALL_STATE(13443)] = 210267,
  [SMALL_STATE(13444)] = 210342,
  [SMALL_STATE(13445)] = 210403,
  [SMALL_STATE(13446)] = 210440,
  [SMALL_STATE(13447)] = 210487,
  [SMALL_STATE(13448)] = 210524,
  [SMALL_STATE(13449)] = 210581,
  [SMALL_STATE(13450)] = 210622,
  [SMALL_STATE(13451)] = 210695,
  [SMALL_STATE(13452)] = 210764,
  [SMALL_STATE(13453)] = 210839,
  [SMALL_STATE(13454)] = 210904,
  [SMALL_STATE(13455)] = 210943,
  [SMALL_STATE(13456)] = 211018,
  [SMALL_STATE(13457)] = 211057,
  [SMALL_STATE(13458)] = 211120,
  [SMALL_STATE(13459)] = 211177,
  [SMALL_STATE(13460)] = 211230,
  [SMALL_STATE(13461)] = 211287,
  [SMALL_STATE(13462)] = 211334,
  [SMALL_STATE(13463)] = 211379,
  [SMALL_STATE(13464)] = 211418,
  [SMALL_STATE(13465)] = 211471,
  [SMALL_STATE(13466)] = 211514,
  [SMALL_STATE(13467)] = 211557,
  [SMALL_STATE(13468)] = 211630,
  [SMALL_STATE(13469)] = 211671,
  [SMALL_STATE(13470)] = 211710,
  [SMALL_STATE(13471)] = 211749,
  [SMALL_STATE(13472)] = 211786,
  [SMALL_STATE(13473)] = 211823,
  [SMALL_STATE(13474)] = 211860,
  [SMALL_STATE(13475)] = 211899,
  [SMALL_STATE(13476)] = 211936,
  [SMALL_STATE(13477)] = 211979,
  [SMALL_STATE(13478)] = 212020,
  [SMALL_STATE(13479)] = 212081,
  [SMALL_STATE(13480)] = 212122,
  [SMALL_STATE(13481)] = 212159,
  [SMALL_STATE(13482)] = 212222,
  [SMALL_STATE(13483)] = 212259,
  [SMALL_STATE(13484)] = 212326,
  [SMALL_STATE(13485)] = 212369,
  [SMALL_STATE(13486)] = 212406,
  [SMALL_STATE(13487)] = 212449,
  [SMALL_STATE(13488)] = 212486,
  [SMALL_STATE(13489)] = 212523,
  [SMALL_STATE(13490)] = 212560,
  [SMALL_STATE(13491)] = 212605,
  [SMALL_STATE(13492)] = 212650,
  [SMALL_STATE(13493)] = 212697,
  [SMALL_STATE(13494)] = 212744,
  [SMALL_STATE(13495)] = 212815,
  [SMALL_STATE(13496)] = 212888,
  [SMALL_STATE(13497)] = 212925,
  [SMALL_STATE(13498)] = 212984,
  [SMALL_STATE(13499)] = 213041,
  [SMALL_STATE(13500)] = 213078,
  [SMALL_STATE(13501)] = 213131,
  [SMALL_STATE(13502)] = 213168,
  [SMALL_STATE(13503)] = 213233,
  [SMALL_STATE(13504)] = 213302,
  [SMALL_STATE(13505)] = 213339,
  [SMALL_STATE(13506)] = 213412,
  [SMALL_STATE(13507)] = 213469,
  [SMALL_STATE(13508)] = 213506,
  [SMALL_STATE(13509)] = 213553,
  [SMALL_STATE(13510)] = 213610,
  [SMALL_STATE(13511)] = 213651,
  [SMALL_STATE(13512)] = 213712,
  [SMALL_STATE(13513)] = 213751,
  [SMALL_STATE(13514)] = 213822,
  [SMALL_STATE(13515)] = 213897,
  [SMALL_STATE(13516)] = 213956,
  [SMALL_STATE(13517)] = 214031,
  [SMALL_STATE(13518)] = 214072,
  [SMALL_STATE(13519)] = 214147,
  [SMALL_STATE(13520)] = 214210,
  [SMALL_STATE(13521)] = 214249,
  [SMALL_STATE(13522)] = 214320,
  [SMALL_STATE(13523)] = 214367,
  [SMALL_STATE(13524)] = 214416,
  [SMALL_STATE(13525)] = 214453,
  [SMALL_STATE(13526)] = 214512,
  [SMALL_STATE(13527)] = 214585,
  [SMALL_STATE(13528)] = 214640,
  [SMALL_STATE(13529)] = 214703,
  [SMALL_STATE(13530)] = 214768,
  [SMALL_STATE(13531)] = 214837,
  [SMALL_STATE(13532)] = 214910,
  [SMALL_STATE(13533)] = 214947,
  [SMALL_STATE(13534)] = 214996,
  [SMALL_STATE(13535)] = 215033,
  [SMALL_STATE(13536)] = 215106,
  [SMALL_STATE(13537)] = 215145,
  [SMALL_STATE(13538)] = 215186,
  [SMALL_STATE(13539)] = 215229,
  [SMALL_STATE(13540)] = 215300,
  [SMALL_STATE(13541)] = 215361,
  [SMALL_STATE(13542)] = 215406,
  [SMALL_STATE(13543)] = 215453,
  [SMALL_STATE(13544)] = 215528,
  [SMALL_STATE(13545)] = 215585,
  [SMALL_STATE(13546)] = 215638,
  [SMALL_STATE(13547)] = 215701,
  [SMALL_STATE(13548)] = 215774,
  [SMALL_STATE(13549)] = 215813,
  [SMALL_STATE(13550)] = 215854,
  [SMALL_STATE(13551)] = 215897,
  [SMALL_STATE(13552)] = 215936,
  [SMALL_STATE(13553)] = 215981,
  [SMALL_STATE(13554)] = 216046,
  [SMALL_STATE(13555)] = 216115,
  [SMALL_STATE(13556)] = 216188,
  [SMALL_STATE(13557)] = 216233,
  [SMALL_STATE(13558)] = 216276,
  [SMALL_STATE(13559)] = 216333,
  [SMALL_STATE(13560)] = 216380,
  [SMALL_STATE(13561)] = 216441,
  [SMALL_STATE(13562)] = 216482,
  [SMALL_STATE(13563)] = 216527,
  [SMALL_STATE(13564)] = 216574,
  [SMALL_STATE(13565)] = 216645,
  [SMALL_STATE(13566)] = 216692,
  [SMALL_STATE(13567)] = 216749,
  [SMALL_STATE(13568)] = 216802,
  [SMALL_STATE(13569)] = 216851,
  [SMALL_STATE(13570)] = 216910,
  [SMALL_STATE(13571)] = 216971,
  [SMALL_STATE(13572)] = 217026,
  [SMALL_STATE(13573)] = 217073,
  [SMALL_STATE(13574)] = 217136,
  [SMALL_STATE(13575)] = 217201,
  [SMALL_STATE(13576)] = 217270,
  [SMALL_STATE(13577)] = 217343,
  [SMALL_STATE(13578)] = 217406,
  [SMALL_STATE(13579)] = 217473,
  [SMALL_STATE(13580)] = 217546,
  [SMALL_STATE(13581)] = 217617,
  [SMALL_STATE(13582)] = 217676,
  [SMALL_STATE(13583)] = 217749,
  [SMALL_STATE(13584)] = 217806,
  [SMALL_STATE(13585)] = 217845,
  [SMALL_STATE(13586)] = 217892,
  [SMALL_STATE(13587)] = 217941,
  [SMALL_STATE(13588)] = 218012,
  [SMALL_STATE(13589)] = 218085,
  [SMALL_STATE(13590)] = 218146,
  [SMALL_STATE(13591)] = 218205,
  [SMALL_STATE(13592)] = 218244,
  [SMALL_STATE(13593)] = 218319,
  [SMALL_STATE(13594)] = 218358,
  [SMALL_STATE(13595)] = 218431,
  [SMALL_STATE(13596)] = 218468,
  [SMALL_STATE(13597)] = 218543,
  [SMALL_STATE(13598)] = 218580,
  [SMALL_STATE(13599)] = 218655,
  [SMALL_STATE(13600)] = 218692,
  [SMALL_STATE(13601)] = 218765,
  [SMALL_STATE(13602)] = 218806,
  [SMALL_STATE(13603)] = 218881,
  [SMALL_STATE(13604)] = 218919,
  [SMALL_STATE(13605)] = 218993,
  [SMALL_STATE(13606)] = 219031,
  [SMALL_STATE(13607)] = 219105,
  [SMALL_STATE(13608)] = 219143,
  [SMALL_STATE(13609)] = 219189,
  [SMALL_STATE(13610)] = 219227,
  [SMALL_STATE(13611)] = 219271,
  [SMALL_STATE(13612)] = 219317,
  [SMALL_STATE(13613)] = 219373,
  [SMALL_STATE(13614)] = 219411,
  [SMALL_STATE(13615)] = 219485,
  [SMALL_STATE(13616)] = 219537,
  [SMALL_STATE(13617)] = 219597,
  [SMALL_STATE(13618)] = 219671,
  [SMALL_STATE(13619)] = 219733,
  [SMALL_STATE(13620)] = 219799,
  [SMALL_STATE(13621)] = 219873,
  [SMALL_STATE(13622)] = 219909,
  [SMALL_STATE(13623)] = 219983,
  [SMALL_STATE(13624)] = 220057,
  [SMALL_STATE(13625)] = 220127,
  [SMALL_STATE(13626)] = 220201,
  [SMALL_STATE(13627)] = 220275,
  [SMALL_STATE(13628)] = 220349,
  [SMALL_STATE(13629)] = 220423,
  [SMALL_STATE(13630)] = 220497,
  [SMALL_STATE(13631)] = 220535,
  [SMALL_STATE(13632)] = 220573,
  [SMALL_STATE(13633)] = 220629,
  [SMALL_STATE(13634)] = 220703,
  [SMALL_STATE(13635)] = 220777,
  [SMALL_STATE(13636)] = 220815,
  [SMALL_STATE(13637)] = 220853,
  [SMALL_STATE(13638)] = 220895,
  [SMALL_STATE(13639)] = 220935,
  [SMALL_STATE(13640)] = 220973,
  [SMALL_STATE(13641)] = 221011,
  [SMALL_STATE(13642)] = 221085,
  [SMALL_STATE(13643)] = 221143,
  [SMALL_STATE(13644)] = 221217,
  [SMALL_STATE(13645)] = 221255,
  [SMALL_STATE(13646)] = 221329,
  [SMALL_STATE(13647)] = 221399,
  [SMALL_STATE(13648)] = 221473,
  [SMALL_STATE(13649)] = 221511,
  [SMALL_STATE(13650)] = 221585,
  [SMALL_STATE(13651)] = 221623,
  [SMALL_STATE(13652)] = 221697,
  [SMALL_STATE(13653)] = 221735,
  [SMALL_STATE(13654)] = 221809,
  [SMALL_STATE(13655)] = 221883,
  [SMALL_STATE(13656)] = 221957,
  [SMALL_STATE(13657)] = 222031,
  [SMALL_STATE(13658)] = 222069,
  [SMALL_STATE(13659)] = 222107,
  [SMALL_STATE(13660)] = 222181,
  [SMALL_STATE(13661)] = 222221,
  [SMALL_STATE(13662)] = 222295,
  [SMALL_STATE(13663)] = 222333,
  [SMALL_STATE(13664)] = 222371,
  [SMALL_STATE(13665)] = 222445,
  [SMALL_STATE(13666)] = 222519,
  [SMALL_STATE(13667)] = 222557,
  [SMALL_STATE(13668)] = 222631,
  [SMALL_STATE(13669)] = 222669,
  [SMALL_STATE(13670)] = 222707,
  [SMALL_STATE(13671)] = 222781,
  [SMALL_STATE(13672)] = 222855,
  [SMALL_STATE(13673)] = 222929,
  [SMALL_STATE(13674)] = 222967,
  [SMALL_STATE(13675)] = 223041,
  [SMALL_STATE(13676)] = 223115,
  [SMALL_STATE(13677)] = 223189,
  [SMALL_STATE(13678)] = 223263,
  [SMALL_STATE(13679)] = 223337,
  [SMALL_STATE(13680)] = 223375,
  [SMALL_STATE(13681)] = 223449,
  [SMALL_STATE(13682)] = 223523,
  [SMALL_STATE(13683)] = 223561,
  [SMALL_STATE(13684)] = 223633,
  [SMALL_STATE(13685)] = 223671,
  [SMALL_STATE(13686)] = 223745,
  [SMALL_STATE(13687)] = 223819,
  [SMALL_STATE(13688)] = 223857,
  [SMALL_STATE(13689)] = 223897,
  [SMALL_STATE(13690)] = 223971,
  [SMALL_STATE(13691)] = 224045,
  [SMALL_STATE(13692)] = 224083,
  [SMALL_STATE(13693)] = 224157,
  [SMALL_STATE(13694)] = 224231,
  [SMALL_STATE(13695)] = 224305,
  [SMALL_STATE(13696)] = 224379,
  [SMALL_STATE(13697)] = 224453,
  [SMALL_STATE(13698)] = 224527,
  [SMALL_STATE(13699)] = 224601,
  [SMALL_STATE(13700)] = 224675,
  [SMALL_STATE(13701)] = 224747,
  [SMALL_STATE(13702)] = 224821,
  [SMALL_STATE(13703)] = 224895,
  [SMALL_STATE(13704)] = 224933,
  [SMALL_STATE(13705)] = 224971,
  [SMALL_STATE(13706)] = 225045,
  [SMALL_STATE(13707)] = 225119,
  [SMALL_STATE(13708)] = 225193,
  [SMALL_STATE(13709)] = 225267,
  [SMALL_STATE(13710)] = 225307,
  [SMALL_STATE(13711)] = 225381,
  [SMALL_STATE(13712)] = 225455,
  [SMALL_STATE(13713)] = 225529,
  [SMALL_STATE(13714)] = 225569,
  [SMALL_STATE(13715)] = 225643,
  [SMALL_STATE(13716)] = 225717,
  [SMALL_STATE(13717)] = 225791,
  [SMALL_STATE(13718)] = 225865,
  [SMALL_STATE(13719)] = 225903,
  [SMALL_STATE(13720)] = 225977,
  [SMALL_STATE(13721)] = 226051,
  [SMALL_STATE(13722)] = 226089,
  [SMALL_STATE(13723)] = 226163,
  [SMALL_STATE(13724)] = 226237,
  [SMALL_STATE(13725)] = 226273,
  [SMALL_STATE(13726)] = 226311,
  [SMALL_STATE(13727)] = 226349,
  [SMALL_STATE(13728)] = 226423,
  [SMALL_STATE(13729)] = 226461,
  [SMALL_STATE(13730)] = 226499,
  [SMALL_STATE(13731)] = 226573,
  [SMALL_STATE(13732)] = 226647,
  [SMALL_STATE(13733)] = 226685,
  [SMALL_STATE(13734)] = 226723,
  [SMALL_STATE(13735)] = 226797,
  [SMALL_STATE(13736)] = 226871,
  [SMALL_STATE(13737)] = 226945,
  [SMALL_STATE(13738)] = 226983,
  [SMALL_STATE(13739)] = 227057,
  [SMALL_STATE(13740)] = 227131,
  [SMALL_STATE(13741)] = 227203,
  [SMALL_STATE(13742)] = 227277,
  [SMALL_STATE(13743)] = 227351,
  [SMALL_STATE(13744)] = 227425,
  [SMALL_STATE(13745)] = 227499,
  [SMALL_STATE(13746)] = 227573,
  [SMALL_STATE(13747)] = 227647,
  [SMALL_STATE(13748)] = 227721,
  [SMALL_STATE(13749)] = 227795,
  [SMALL_STATE(13750)] = 227869,
  [SMALL_STATE(13751)] = 227905,
  [SMALL_STATE(13752)] = 227979,
  [SMALL_STATE(13753)] = 228015,
  [SMALL_STATE(13754)] = 228053,
  [SMALL_STATE(13755)] = 228127,
  [SMALL_STATE(13756)] = 228165,
  [SMALL_STATE(13757)] = 228239,
  [SMALL_STATE(13758)] = 228277,
  [SMALL_STATE(13759)] = 228351,
  [SMALL_STATE(13760)] = 228425,
  [SMALL_STATE(13761)] = 228495,
  [SMALL_STATE(13762)] = 228569,
  [SMALL_STATE(13763)] = 228607,
  [SMALL_STATE(13764)] = 228645,
  [SMALL_STATE(13765)] = 228719,
  [SMALL_STATE(13766)] = 228793,
  [SMALL_STATE(13767)] = 228867,
  [SMALL_STATE(13768)] = 228905,
  [SMALL_STATE(13769)] = 228943,
  [SMALL_STATE(13770)] = 229017,
  [SMALL_STATE(13771)] = 229087,
  [SMALL_STATE(13772)] = 229161,
  [SMALL_STATE(13773)] = 229197,
  [SMALL_STATE(13774)] = 229271,
  [SMALL_STATE(13775)] = 229345,
  [SMALL_STATE(13776)] = 229383,
  [SMALL_STATE(13777)] = 229421,
  [SMALL_STATE(13778)] = 229457,
  [SMALL_STATE(13779)] = 229495,
  [SMALL_STATE(13780)] = 229533,
  [SMALL_STATE(13781)] = 229607,
  [SMALL_STATE(13782)] = 229681,
  [SMALL_STATE(13783)] = 229727,
  [SMALL_STATE(13784)] = 229765,
  [SMALL_STATE(13785)] = 229821,
  [SMALL_STATE(13786)] = 229891,
  [SMALL_STATE(13787)] = 229957,
  [SMALL_STATE(13788)] = 230027,
  [SMALL_STATE(13789)] = 230089,
  [SMALL_STATE(13790)] = 230163,
  [SMALL_STATE(13791)] = 230237,
  [SMALL_STATE(13792)] = 230297,
  [SMALL_STATE(13793)] = 230343,
  [SMALL_STATE(13794)] = 230399,
  [SMALL_STATE(13795)] = 230471,
  [SMALL_STATE(13796)] = 230545,
  [SMALL_STATE(13797)] = 230605,
  [SMALL_STATE(13798)] = 230673,
  [SMALL_STATE(13799)] = 230737,
  [SMALL_STATE(13800)] = 230799,
  [SMALL_STATE(13801)] = 230851,
  [SMALL_STATE(13802)] = 230907,
  [SMALL_STATE(13803)] = 230981,
  [SMALL_STATE(13804)] = 231027,
  [SMALL_STATE(13805)] = 231101,
  [SMALL_STATE(13806)] = 231145,
  [SMALL_STATE(13807)] = 231197,
  [SMALL_STATE(13808)] = 231239,
  [SMALL_STATE(13809)] = 231279,
  [SMALL_STATE(13810)] = 231353,
  [SMALL_STATE(13811)] = 231391,
  [SMALL_STATE(13812)] = 231429,
  [SMALL_STATE(13813)] = 231503,
  [SMALL_STATE(13814)] = 231559,
  [SMALL_STATE(13815)] = 231633,
  [SMALL_STATE(13816)] = 231691,
  [SMALL_STATE(13817)] = 231747,
  [SMALL_STATE(13818)] = 231817,
  [SMALL_STATE(13819)] = 231883,
  [SMALL_STATE(13820)] = 231945,
  [SMALL_STATE(13821)] = 232019,
  [SMALL_STATE(13822)] = 232065,
  [SMALL_STATE(13823)] = 232117,
  [SMALL_STATE(13824)] = 232191,
  [SMALL_STATE(13825)] = 232265,
  [SMALL_STATE(13826)] = 232321,
  [SMALL_STATE(13827)] = 232365,
  [SMALL_STATE(13828)] = 232439,
  [SMALL_STATE(13829)] = 232477,
  [SMALL_STATE(13830)] = 232515,
  [SMALL_STATE(13831)] = 232589,
  [SMALL_STATE(13832)] = 232631,
  [SMALL_STATE(13833)] = 232671,
  [SMALL_STATE(13834)] = 232709,
  [SMALL_STATE(13835)] = 232779,
  [SMALL_STATE(13836)] = 232837,
  [SMALL_STATE(13837)] = 232911,
  [SMALL_STATE(13838)] = 232985,
  [SMALL_STATE(13839)] = 233055,
  [SMALL_STATE(13840)] = 233093,
  [SMALL_STATE(13841)] = 233167,
  [SMALL_STATE(13842)] = 233241,
  [SMALL_STATE(13843)] = 233315,
  [SMALL_STATE(13844)] = 233353,
  [SMALL_STATE(13845)] = 233391,
  [SMALL_STATE(13846)] = 233465,
  [SMALL_STATE(13847)] = 233503,
  [SMALL_STATE(13848)] = 233539,
  [SMALL_STATE(13849)] = 233575,
  [SMALL_STATE(13850)] = 233611,
  [SMALL_STATE(13851)] = 233683,
  [SMALL_STATE(13852)] = 233719,
  [SMALL_STATE(13853)] = 233793,
  [SMALL_STATE(13854)] = 233867,
  [SMALL_STATE(13855)] = 233941,
  [SMALL_STATE(13856)] = 234015,
  [SMALL_STATE(13857)] = 234089,
  [SMALL_STATE(13858)] = 234163,
  [SMALL_STATE(13859)] = 234209,
  [SMALL_STATE(13860)] = 234255,
  [SMALL_STATE(13861)] = 234293,
  [SMALL_STATE(13862)] = 234367,
  [SMALL_STATE(13863)] = 234405,
  [SMALL_STATE(13864)] = 234477,
  [SMALL_STATE(13865)] = 234521,
  [SMALL_STATE(13866)] = 234595,
  [SMALL_STATE(13867)] = 234655,
  [SMALL_STATE(13868)] = 234729,
  [SMALL_STATE(13869)] = 234803,
  [SMALL_STATE(13870)] = 234841,
  [SMALL_STATE(13871)] = 234879,
  [SMALL_STATE(13872)] = 234917,
  [SMALL_STATE(13873)] = 234991,
  [SMALL_STATE(13874)] = 235029,
  [SMALL_STATE(13875)] = 235103,
  [SMALL_STATE(13876)] = 235145,
  [SMALL_STATE(13877)] = 235219,
  [SMALL_STATE(13878)] = 235293,
  [SMALL_STATE(13879)] = 235367,
  [SMALL_STATE(13880)] = 235405,
  [SMALL_STATE(13881)] = 235443,
  [SMALL_STATE(13882)] = 235517,
  [SMALL_STATE(13883)] = 235591,
  [SMALL_STATE(13884)] = 235665,
  [SMALL_STATE(13885)] = 235703,
  [SMALL_STATE(13886)] = 235741,
  [SMALL_STATE(13887)] = 235779,
  [SMALL_STATE(13888)] = 235817,
  [SMALL_STATE(13889)] = 235855,
  [SMALL_STATE(13890)] = 235925,
  [SMALL_STATE(13891)] = 235965,
  [SMALL_STATE(13892)] = 236003,
  [SMALL_STATE(13893)] = 236077,
  [SMALL_STATE(13894)] = 236117,
  [SMALL_STATE(13895)] = 236191,
  [SMALL_STATE(13896)] = 236265,
  [SMALL_STATE(13897)] = 236301,
  [SMALL_STATE(13898)] = 236375,
  [SMALL_STATE(13899)] = 236449,
  [SMALL_STATE(13900)] = 236487,
  [SMALL_STATE(13901)] = 236525,
  [SMALL_STATE(13902)] = 236563,
  [SMALL_STATE(13903)] = 236637,
  [SMALL_STATE(13904)] = 236711,
  [SMALL_STATE(13905)] = 236749,
  [SMALL_STATE(13906)] = 236823,
  [SMALL_STATE(13907)] = 236893,
  [SMALL_STATE(13908)] = 236967,
  [SMALL_STATE(13909)] = 237041,
  [SMALL_STATE(13910)] = 237111,
  [SMALL_STATE(13911)] = 237185,
  [SMALL_STATE(13912)] = 237259,
  [SMALL_STATE(13913)] = 237333,
  [SMALL_STATE(13914)] = 237407,
  [SMALL_STATE(13915)] = 237481,
  [SMALL_STATE(13916)] = 237555,
  [SMALL_STATE(13917)] = 237629,
  [SMALL_STATE(13918)] = 237703,
  [SMALL_STATE(13919)] = 237777,
  [SMALL_STATE(13920)] = 237815,
  [SMALL_STATE(13921)] = 237853,
  [SMALL_STATE(13922)] = 237891,
  [SMALL_STATE(13923)] = 237965,
  [SMALL_STATE(13924)] = 238039,
  [SMALL_STATE(13925)] = 238113,
  [SMALL_STATE(13926)] = 238187,
  [SMALL_STATE(13927)] = 238261,
  [SMALL_STATE(13928)] = 238335,
  [SMALL_STATE(13929)] = 238409,
  [SMALL_STATE(13930)] = 238483,
  [SMALL_STATE(13931)] = 238557,
  [SMALL_STATE(13932)] = 238631,
  [SMALL_STATE(13933)] = 238705,
  [SMALL_STATE(13934)] = 238743,
  [SMALL_STATE(13935)] = 238781,
  [SMALL_STATE(13936)] = 238819,
  [SMALL_STATE(13937)] = 238857,
  [SMALL_STATE(13938)] = 238931,
  [SMALL_STATE(13939)] = 238969,
  [SMALL_STATE(13940)] = 239043,
  [SMALL_STATE(13941)] = 239117,
  [SMALL_STATE(13942)] = 239155,
  [SMALL_STATE(13943)] = 239229,
  [SMALL_STATE(13944)] = 239299,
  [SMALL_STATE(13945)] = 239339,
  [SMALL_STATE(13946)] = 239413,
  [SMALL_STATE(13947)] = 239487,
  [SMALL_STATE(13948)] = 239561,
  [SMALL_STATE(13949)] = 239635,
  [SMALL_STATE(13950)] = 239709,
  [SMALL_STATE(13951)] = 239783,
  [SMALL_STATE(13952)] = 239857,
  [SMALL_STATE(13953)] = 239931,
  [SMALL_STATE(13954)] = 240005,
  [SMALL_STATE(13955)] = 240079,
  [SMALL_STATE(13956)] = 240117,
  [SMALL_STATE(13957)] = 240155,
  [SMALL_STATE(13958)] = 240229,
  [SMALL_STATE(13959)] = 240303,
  [SMALL_STATE(13960)] = 240341,
  [SMALL_STATE(13961)] = 240415,
  [SMALL_STATE(13962)] = 240489,
  [SMALL_STATE(13963)] = 240563,
  [SMALL_STATE(13964)] = 240637,
  [SMALL_STATE(13965)] = 240711,
  [SMALL_STATE(13966)] = 240785,
  [SMALL_STATE(13967)] = 240859,
  [SMALL_STATE(13968)] = 240897,
  [SMALL_STATE(13969)] = 240935,
  [SMALL_STATE(13970)] = 240973,
  [SMALL_STATE(13971)] = 241047,
  [SMALL_STATE(13972)] = 241121,
  [SMALL_STATE(13973)] = 241195,
  [SMALL_STATE(13974)] = 241269,
  [SMALL_STATE(13975)] = 241343,
  [SMALL_STATE(13976)] = 241381,
  [SMALL_STATE(13977)] = 241419,
  [SMALL_STATE(13978)] = 241457,
  [SMALL_STATE(13979)] = 241531,
  [SMALL_STATE(13980)] = 241605,
  [SMALL_STATE(13981)] = 241643,
  [SMALL_STATE(13982)] = 241681,
  [SMALL_STATE(13983)] = 241755,
  [SMALL_STATE(13984)] = 241829,
  [SMALL_STATE(13985)] = 241903,
  [SMALL_STATE(13986)] = 241977,
  [SMALL_STATE(13987)] = 242051,
  [SMALL_STATE(13988)] = 242125,
  [SMALL_STATE(13989)] = 242199,
  [SMALL_STATE(13990)] = 242273,
  [SMALL_STATE(13991)] = 242347,
  [SMALL_STATE(13992)] = 242421,
  [SMALL_STATE(13993)] = 242495,
  [SMALL_STATE(13994)] = 242533,
  [SMALL_STATE(13995)] = 242576,
  [SMALL_STATE(13996)] = 242631,
  [SMALL_STATE(13997)] = 242666,
  [SMALL_STATE(13998)] = 242709,
  [SMALL_STATE(13999)] = 242752,
  [SMALL_STATE(14000)] = 242787,
  [SMALL_STATE(14001)] = 242822,
  [SMALL_STATE(14002)] = 242865,
  [SMALL_STATE(14003)] = 242908,
  [SMALL_STATE(14004)] = 242943,
  [SMALL_STATE(14005)] = 242978,
  [SMALL_STATE(14006)] = 243013,
  [SMALL_STATE(14007)] = 243056,
  [SMALL_STATE(14008)] = 243099,
  [SMALL_STATE(14009)] = 243142,
  [SMALL_STATE(14010)] = 243185,
  [SMALL_STATE(14011)] = 243220,
  [SMALL_STATE(14012)] = 243263,
  [SMALL_STATE(14013)] = 243306,
  [SMALL_STATE(14014)] = 243341,
  [SMALL_STATE(14015)] = 243384,
  [SMALL_STATE(14016)] = 243419,
  [SMALL_STATE(14017)] = 243462,
  [SMALL_STATE(14018)] = 243505,
  [SMALL_STATE(14019)] = 243540,
  [SMALL_STATE(14020)] = 243575,
  [SMALL_STATE(14021)] = 243618,
  [SMALL_STATE(14022)] = 243661,
  [SMALL_STATE(14023)] = 243696,
  [SMALL_STATE(14024)] = 243731,
  [SMALL_STATE(14025)] = 243774,
  [SMALL_STATE(14026)] = 243817,
  [SMALL_STATE(14027)] = 243852,
  [SMALL_STATE(14028)] = 243889,
  [SMALL_STATE(14029)] = 243924,
  [SMALL_STATE(14030)] = 243959,
  [SMALL_STATE(14031)] = 244002,
  [SMALL_STATE(14032)] = 244045,
  [SMALL_STATE(14033)] = 244080,
  [SMALL_STATE(14034)] = 244123,
  [SMALL_STATE(14035)] = 244166,
  [SMALL_STATE(14036)] = 244209,
  [SMALL_STATE(14037)] = 244252,
  [SMALL_STATE(14038)] = 244287,
  [SMALL_STATE(14039)] = 244330,
  [SMALL_STATE(14040)] = 244373,
  [SMALL_STATE(14041)] = 244416,
  [SMALL_STATE(14042)] = 244451,
  [SMALL_STATE(14043)] = 244486,
  [SMALL_STATE(14044)] = 244529,
  [SMALL_STATE(14045)] = 244572,
  [SMALL_STATE(14046)] = 244615,
  [SMALL_STATE(14047)] = 244650,
  [SMALL_STATE(14048)] = 244693,
  [SMALL_STATE(14049)] = 244736,
  [SMALL_STATE(14050)] = 244779,
  [SMALL_STATE(14051)] = 244822,
  [SMALL_STATE(14052)] = 244865,
  [SMALL_STATE(14053)] = 244908,
  [SMALL_STATE(14054)] = 244951,
  [SMALL_STATE(14055)] = 244994,
  [SMALL_STATE(14056)] = 245037,
  [SMALL_STATE(14057)] = 245080,
  [SMALL_STATE(14058)] = 245123,
  [SMALL_STATE(14059)] = 245166,
  [SMALL_STATE(14060)] = 245201,
  [SMALL_STATE(14061)] = 245244,
  [SMALL_STATE(14062)] = 245287,
  [SMALL_STATE(14063)] = 245356,
  [SMALL_STATE(14064)] = 245399,
  [SMALL_STATE(14065)] = 245442,
  [SMALL_STATE(14066)] = 245485,
  [SMALL_STATE(14067)] = 245528,
  [SMALL_STATE(14068)] = 245571,
  [SMALL_STATE(14069)] = 245614,
  [SMALL_STATE(14070)] = 245657,
  [SMALL_STATE(14071)] = 245700,
  [SMALL_STATE(14072)] = 245735,
  [SMALL_STATE(14073)] = 245770,
  [SMALL_STATE(14074)] = 245841,
  [SMALL_STATE(14075)] = 245884,
  [SMALL_STATE(14076)] = 245927,
  [SMALL_STATE(14077)] = 245962,
  [SMALL_STATE(14078)] = 246005,
  [SMALL_STATE(14079)] = 246040,
  [SMALL_STATE(14080)] = 246083,
  [SMALL_STATE(14081)] = 246154,
  [SMALL_STATE(14082)] = 246189,
  [SMALL_STATE(14083)] = 246224,
  [SMALL_STATE(14084)] = 246267,
  [SMALL_STATE(14085)] = 246326,
  [SMALL_STATE(14086)] = 246371,
  [SMALL_STATE(14087)] = 246414,
  [SMALL_STATE(14088)] = 246449,
  [SMALL_STATE(14089)] = 246520,
  [SMALL_STATE(14090)] = 246587,
  [SMALL_STATE(14091)] = 246650,
  [SMALL_STATE(14092)] = 246685,
  [SMALL_STATE(14093)] = 246746,
  [SMALL_STATE(14094)] = 246797,
  [SMALL_STATE(14095)] = 246852,
  [SMALL_STATE(14096)] = 246897,
  [SMALL_STATE(14097)] = 246940,
  [SMALL_STATE(14098)] = 246975,
  [SMALL_STATE(14099)] = 247016,
  [SMALL_STATE(14100)] = 247055,
  [SMALL_STATE(14101)] = 247098,
  [SMALL_STATE(14102)] = 247141,
  [SMALL_STATE(14103)] = 247178,
  [SMALL_STATE(14104)] = 247213,
  [SMALL_STATE(14105)] = 247248,
  [SMALL_STATE(14106)] = 247283,
  [SMALL_STATE(14107)] = 247326,
  [SMALL_STATE(14108)] = 247369,
  [SMALL_STATE(14109)] = 247404,
  [SMALL_STATE(14110)] = 247439,
  [SMALL_STATE(14111)] = 247474,
  [SMALL_STATE(14112)] = 247509,
  [SMALL_STATE(14113)] = 247544,
  [SMALL_STATE(14114)] = 247587,
  [SMALL_STATE(14115)] = 247622,
  [SMALL_STATE(14116)] = 247665,
  [SMALL_STATE(14117)] = 247708,
  [SMALL_STATE(14118)] = 247751,
  [SMALL_STATE(14119)] = 247794,
  [SMALL_STATE(14120)] = 247829,
  [SMALL_STATE(14121)] = 247872,
  [SMALL_STATE(14122)] = 247907,
  [SMALL_STATE(14123)] = 247950,
  [SMALL_STATE(14124)] = 247993,
  [SMALL_STATE(14125)] = 248036,
  [SMALL_STATE(14126)] = 248071,
  [SMALL_STATE(14127)] = 248114,
  [SMALL_STATE(14128)] = 248157,
  [SMALL_STATE(14129)] = 248192,
  [SMALL_STATE(14130)] = 248261,
  [SMALL_STATE(14131)] = 248304,
  [SMALL_STATE(14132)] = 248347,
  [SMALL_STATE(14133)] = 248390,
  [SMALL_STATE(14134)] = 248427,
  [SMALL_STATE(14135)] = 248470,
  [SMALL_STATE(14136)] = 248513,
  [SMALL_STATE(14137)] = 248556,
  [SMALL_STATE(14138)] = 248599,
  [SMALL_STATE(14139)] = 248636,
  [SMALL_STATE(14140)] = 248671,
  [SMALL_STATE(14141)] = 248714,
  [SMALL_STATE(14142)] = 248757,
  [SMALL_STATE(14143)] = 248793,
  [SMALL_STATE(14144)] = 248837,
  [SMALL_STATE(14145)] = 248905,
  [SMALL_STATE(14146)] = 248939,
  [SMALL_STATE(14147)] = 248977,
  [SMALL_STATE(14148)] = 249045,
  [SMALL_STATE(14149)] = 249101,
  [SMALL_STATE(14150)] = 249145,
  [SMALL_STATE(14151)] = 249199,
  [SMALL_STATE(14152)] = 249267,
  [SMALL_STATE(14153)] = 249331,
  [SMALL_STATE(14154)] = 249391,
  [SMALL_STATE(14155)] = 249449,
  [SMALL_STATE(14156)] = 249499,
  [SMALL_STATE(14157)] = 249553,
  [SMALL_STATE(14158)] = 249621,
  [SMALL_STATE(14159)] = 249661,
  [SMALL_STATE(14160)] = 249703,
  [SMALL_STATE(14161)] = 249747,
  [SMALL_STATE(14162)] = 249787,
  [SMALL_STATE(14163)] = 249845,
  [SMALL_STATE(14164)] = 249881,
  [SMALL_STATE(14165)] = 249949,
  [SMALL_STATE(14166)] = 249987,
  [SMALL_STATE(14167)] = 250031,
  [SMALL_STATE(14168)] = 250099,
  [SMALL_STATE(14169)] = 250153,
  [SMALL_STATE(14170)] = 250189,
  [SMALL_STATE(14171)] = 250257,
  [SMALL_STATE(14172)] = 250323,
  [SMALL_STATE(14173)] = 250385,
  [SMALL_STATE(14174)] = 250445,
  [SMALL_STATE(14175)] = 250495,
  [SMALL_STATE(14176)] = 250531,
  [SMALL_STATE(14177)] = 250585,
  [SMALL_STATE(14178)] = 250627,
  [SMALL_STATE(14179)] = 250692,
  [SMALL_STATE(14180)] = 250757,
  [SMALL_STATE(14181)] = 250822,
  [SMALL_STATE(14182)] = 250859,
  [SMALL_STATE(14183)] = 250896,
  [SMALL_STATE(14184)] = 250933,
  [SMALL_STATE(14185)] = 250970,
  [SMALL_STATE(14186)] = 251007,
  [SMALL_STATE(14187)] = 251044,
  [SMALL_STATE(14188)] = 251081,
  [SMALL_STATE(14189)] = 251118,
  [SMALL_STATE(14190)] = 251155,
  [SMALL_STATE(14191)] = 251192,
  [SMALL_STATE(14192)] = 251229,
  [SMALL_STATE(14193)] = 251266,
  [SMALL_STATE(14194)] = 251303,
  [SMALL_STATE(14195)] = 251340,
  [SMALL_STATE(14196)] = 251377,
  [SMALL_STATE(14197)] = 251414,
  [SMALL_STATE(14198)] = 251451,
  [SMALL_STATE(14199)] = 251488,
  [SMALL_STATE(14200)] = 251525,
  [SMALL_STATE(14201)] = 251562,
  [SMALL_STATE(14202)] = 251599,
  [SMALL_STATE(14203)] = 251636,
  [SMALL_STATE(14204)] = 251673,
  [SMALL_STATE(14205)] = 251710,
  [SMALL_STATE(14206)] = 251747,
  [SMALL_STATE(14207)] = 251784,
  [SMALL_STATE(14208)] = 251821,
  [SMALL_STATE(14209)] = 251858,
  [SMALL_STATE(14210)] = 251895,
  [SMALL_STATE(14211)] = 251932,
  [SMALL_STATE(14212)] = 251969,
  [SMALL_STATE(14213)] = 252006,
  [SMALL_STATE(14214)] = 252043,
  [SMALL_STATE(14215)] = 252080,
  [SMALL_STATE(14216)] = 252117,
  [SMALL_STATE(14217)] = 252154,
  [SMALL_STATE(14218)] = 252191,
  [SMALL_STATE(14219)] = 252228,
  [SMALL_STATE(14220)] = 252265,
  [SMALL_STATE(14221)] = 252302,
  [SMALL_STATE(14222)] = 252339,
  [SMALL_STATE(14223)] = 252376,
  [SMALL_STATE(14224)] = 252413,
  [SMALL_STATE(14225)] = 252450,
  [SMALL_STATE(14226)] = 252487,
  [SMALL_STATE(14227)] = 252524,
  [SMALL_STATE(14228)] = 252561,
  [SMALL_STATE(14229)] = 252598,
  [SMALL_STATE(14230)] = 252635,
  [SMALL_STATE(14231)] = 252672,
  [SMALL_STATE(14232)] = 252709,
  [SMALL_STATE(14233)] = 252753,
  [SMALL_STATE(14234)] = 252797,
  [SMALL_STATE(14235)] = 252841,
  [SMALL_STATE(14236)] = 252885,
  [SMALL_STATE(14237)] = 252929,
  [SMALL_STATE(14238)] = 252973,
  [SMALL_STATE(14239)] = 253017,
  [SMALL_STATE(14240)] = 253061,
  [SMALL_STATE(14241)] = 253105,
  [SMALL_STATE(14242)] = 253149,
  [SMALL_STATE(14243)] = 253193,
  [SMALL_STATE(14244)] = 253237,
  [SMALL_STATE(14245)] = 253281,
  [SMALL_STATE(14246)] = 253325,
  [SMALL_STATE(14247)] = 253369,
  [SMALL_STATE(14248)] = 253413,
  [SMALL_STATE(14249)] = 253457,
  [SMALL_STATE(14250)] = 253501,
  [SMALL_STATE(14251)] = 253545,
  [SMALL_STATE(14252)] = 253589,
  [SMALL_STATE(14253)] = 253633,
  [SMALL_STATE(14254)] = 253677,
  [SMALL_STATE(14255)] = 253721,
  [SMALL_STATE(14256)] = 253765,
  [SMALL_STATE(14257)] = 253809,
  [SMALL_STATE(14258)] = 253853,
  [SMALL_STATE(14259)] = 253897,
  [SMALL_STATE(14260)] = 253941,
  [SMALL_STATE(14261)] = 253985,
  [SMALL_STATE(14262)] = 254029,
  [SMALL_STATE(14263)] = 254073,
  [SMALL_STATE(14264)] = 254117,
  [SMALL_STATE(14265)] = 254161,
  [SMALL_STATE(14266)] = 254205,
  [SMALL_STATE(14267)] = 254249,
  [SMALL_STATE(14268)] = 254293,
  [SMALL_STATE(14269)] = 254337,
  [SMALL_STATE(14270)] = 254381,
  [SMALL_STATE(14271)] = 254425,
  [SMALL_STATE(14272)] = 254469,
  [SMALL_STATE(14273)] = 254513,
  [SMALL_STATE(14274)] = 254557,
  [SMALL_STATE(14275)] = 254601,
  [SMALL_STATE(14276)] = 254645,
  [SMALL_STATE(14277)] = 254689,
  [SMALL_STATE(14278)] = 254733,
  [SMALL_STATE(14279)] = 254777,
  [SMALL_STATE(14280)] = 254821,
  [SMALL_STATE(14281)] = 254865,
  [SMALL_STATE(14282)] = 254909,
  [SMALL_STATE(14283)] = 254953,
  [SMALL_STATE(14284)] = 254997,
  [SMALL_STATE(14285)] = 255041,
  [SMALL_STATE(14286)] = 255085,
  [SMALL_STATE(14287)] = 255129,
  [SMALL_STATE(14288)] = 255173,
  [SMALL_STATE(14289)] = 255217,
  [SMALL_STATE(14290)] = 255261,
  [SMALL_STATE(14291)] = 255305,
  [SMALL_STATE(14292)] = 255349,
  [SMALL_STATE(14293)] = 255393,
  [SMALL_STATE(14294)] = 255437,
  [SMALL_STATE(14295)] = 255481,
  [SMALL_STATE(14296)] = 255525,
  [SMALL_STATE(14297)] = 255569,
  [SMALL_STATE(14298)] = 255613,
  [SMALL_STATE(14299)] = 255657,
  [SMALL_STATE(14300)] = 255701,
  [SMALL_STATE(14301)] = 255745,
  [SMALL_STATE(14302)] = 255789,
  [SMALL_STATE(14303)] = 255833,
  [SMALL_STATE(14304)] = 255877,
  [SMALL_STATE(14305)] = 255921,
  [SMALL_STATE(14306)] = 255965,
  [SMALL_STATE(14307)] = 256009,
  [SMALL_STATE(14308)] = 256053,
  [SMALL_STATE(14309)] = 256097,
  [SMALL_STATE(14310)] = 256141,
  [SMALL_STATE(14311)] = 256185,
  [SMALL_STATE(14312)] = 256229,
  [SMALL_STATE(14313)] = 256273,
  [SMALL_STATE(14314)] = 256317,
  [SMALL_STATE(14315)] = 256361,
  [SMALL_STATE(14316)] = 256405,
  [SMALL_STATE(14317)] = 256449,
  [SMALL_STATE(14318)] = 256493,
  [SMALL_STATE(14319)] = 256537,
  [SMALL_STATE(14320)] = 256581,
  [SMALL_STATE(14321)] = 256625,
  [SMALL_STATE(14322)] = 256669,
  [SMALL_STATE(14323)] = 256713,
  [SMALL_STATE(14324)] = 256757,
  [SMALL_STATE(14325)] = 256801,
  [SMALL_STATE(14326)] = 256826,
  [SMALL_STATE(14327)] = 256851,
  [SMALL_STATE(14328)] = 256876,
  [SMALL_STATE(14329)] = 256897,
  [SMALL_STATE(14330)] = 256922,
  [SMALL_STATE(14331)] = 256942,
  [SMALL_STATE(14332)] = 256962,
  [SMALL_STATE(14333)] = 256986,
  [SMALL_STATE(14334)] = 257010,
  [SMALL_STATE(14335)] = 257030,
  [SMALL_STATE(14336)] = 257052,
  [SMALL_STATE(14337)] = 257076,
  [SMALL_STATE(14338)] = 257096,
  [SMALL_STATE(14339)] = 257120,
  [SMALL_STATE(14340)] = 257144,
  [SMALL_STATE(14341)] = 257164,
  [SMALL_STATE(14342)] = 257184,
  [SMALL_STATE(14343)] = 257204,
  [SMALL_STATE(14344)] = 257224,
  [SMALL_STATE(14345)] = 257248,
  [SMALL_STATE(14346)] = 257272,
  [SMALL_STATE(14347)] = 257292,
  [SMALL_STATE(14348)] = 257312,
  [SMALL_STATE(14349)] = 257336,
  [SMALL_STATE(14350)] = 257356,
  [SMALL_STATE(14351)] = 257376,
  [SMALL_STATE(14352)] = 257395,
  [SMALL_STATE(14353)] = 257414,
  [SMALL_STATE(14354)] = 257433,
  [SMALL_STATE(14355)] = 257452,
  [SMALL_STATE(14356)] = 257471,
  [SMALL_STATE(14357)] = 257490,
  [SMALL_STATE(14358)] = 257509,
  [SMALL_STATE(14359)] = 257528,
  [SMALL_STATE(14360)] = 257547,
  [SMALL_STATE(14361)] = 257566,
  [SMALL_STATE(14362)] = 257585,
  [SMALL_STATE(14363)] = 257604,
  [SMALL_STATE(14364)] = 257623,
  [SMALL_STATE(14365)] = 257642,
  [SMALL_STATE(14366)] = 257661,
  [SMALL_STATE(14367)] = 257680,
  [SMALL_STATE(14368)] = 257699,
  [SMALL_STATE(14369)] = 257718,
  [SMALL_STATE(14370)] = 257737,
  [SMALL_STATE(14371)] = 257756,
  [SMALL_STATE(14372)] = 257775,
  [SMALL_STATE(14373)] = 257794,
  [SMALL_STATE(14374)] = 257813,
  [SMALL_STATE(14375)] = 257832,
  [SMALL_STATE(14376)] = 257851,
  [SMALL_STATE(14377)] = 257870,
  [SMALL_STATE(14378)] = 257889,
  [SMALL_STATE(14379)] = 257908,
  [SMALL_STATE(14380)] = 257927,
  [SMALL_STATE(14381)] = 257946,
  [SMALL_STATE(14382)] = 257965,
  [SMALL_STATE(14383)] = 257984,
  [SMALL_STATE(14384)] = 258003,
  [SMALL_STATE(14385)] = 258022,
  [SMALL_STATE(14386)] = 258041,
  [SMALL_STATE(14387)] = 258060,
  [SMALL_STATE(14388)] = 258079,
  [SMALL_STATE(14389)] = 258098,
  [SMALL_STATE(14390)] = 258117,
  [SMALL_STATE(14391)] = 258136,
  [SMALL_STATE(14392)] = 258155,
  [SMALL_STATE(14393)] = 258174,
  [SMALL_STATE(14394)] = 258193,
  [SMALL_STATE(14395)] = 258212,
  [SMALL_STATE(14396)] = 258231,
  [SMALL_STATE(14397)] = 258250,
  [SMALL_STATE(14398)] = 258269,
  [SMALL_STATE(14399)] = 258288,
  [SMALL_STATE(14400)] = 258307,
  [SMALL_STATE(14401)] = 258326,
  [SMALL_STATE(14402)] = 258345,
  [SMALL_STATE(14403)] = 258364,
  [SMALL_STATE(14404)] = 258383,
  [SMALL_STATE(14405)] = 258402,
  [SMALL_STATE(14406)] = 258428,
  [SMALL_STATE(14407)] = 258454,
  [SMALL_STATE(14408)] = 258480,
  [SMALL_STATE(14409)] = 258506,
  [SMALL_STATE(14410)] = 258532,
  [SMALL_STATE(14411)] = 258560,
  [SMALL_STATE(14412)] = 258578,
  [SMALL_STATE(14413)] = 258607,
  [SMALL_STATE(14414)] = 258636,
  [SMALL_STATE(14415)] = 258661,
  [SMALL_STATE(14416)] = 258682,
  [SMALL_STATE(14417)] = 258711,
  [SMALL_STATE(14418)] = 258730,
  [SMALL_STATE(14419)] = 258751,
  [SMALL_STATE(14420)] = 258772,
  [SMALL_STATE(14421)] = 258793,
  [SMALL_STATE(14422)] = 258818,
  [SMALL_STATE(14423)] = 258835,
  [SMALL_STATE(14424)] = 258854,
  [SMALL_STATE(14425)] = 258871,
  [SMALL_STATE(14426)] = 258900,
  [SMALL_STATE(14427)] = 258917,
  [SMALL_STATE(14428)] = 258942,
  [SMALL_STATE(14429)] = 258959,
  [SMALL_STATE(14430)] = 258988,
  [SMALL_STATE(14431)] = 259013,
  [SMALL_STATE(14432)] = 259038,
  [SMALL_STATE(14433)] = 259057,
  [SMALL_STATE(14434)] = 259076,
  [SMALL_STATE(14435)] = 259101,
  [SMALL_STATE(14436)] = 259126,
  [SMALL_STATE(14437)] = 259151,
  [SMALL_STATE(14438)] = 259172,
  [SMALL_STATE(14439)] = 259197,
  [SMALL_STATE(14440)] = 259226,
  [SMALL_STATE(14441)] = 259247,
  [SMALL_STATE(14442)] = 259270,
  [SMALL_STATE(14443)] = 259291,
  [SMALL_STATE(14444)] = 259312,
  [SMALL_STATE(14445)] = 259337,
  [SMALL_STATE(14446)] = 259362,
  [SMALL_STATE(14447)] = 259387,
  [SMALL_STATE(14448)] = 259412,
  [SMALL_STATE(14449)] = 259435,
  [SMALL_STATE(14450)] = 259458,
  [SMALL_STATE(14451)] = 259483,
  [SMALL_STATE(14452)] = 259508,
  [SMALL_STATE(14453)] = 259533,
  [SMALL_STATE(14454)] = 259558,
  [SMALL_STATE(14455)] = 259583,
  [SMALL_STATE(14456)] = 259612,
  [SMALL_STATE(14457)] = 259631,
  [SMALL_STATE(14458)] = 259660,
  [SMALL_STATE(14459)] = 259689,
  [SMALL_STATE(14460)] = 259714,
  [SMALL_STATE(14461)] = 259739,
  [SMALL_STATE(14462)] = 259758,
  [SMALL_STATE(14463)] = 259783,
  [SMALL_STATE(14464)] = 259812,
  [SMALL_STATE(14465)] = 259833,
  [SMALL_STATE(14466)] = 259858,
  [SMALL_STATE(14467)] = 259883,
  [SMALL_STATE(14468)] = 259912,
  [SMALL_STATE(14469)] = 259941,
  [SMALL_STATE(14470)] = 259970,
  [SMALL_STATE(14471)] = 259995,
  [SMALL_STATE(14472)] = 260020,
  [SMALL_STATE(14473)] = 260049,
  [SMALL_STATE(14474)] = 260072,
  [SMALL_STATE(14475)] = 260088,
  [SMALL_STATE(14476)] = 260104,
  [SMALL_STATE(14477)] = 260120,
  [SMALL_STATE(14478)] = 260136,
  [SMALL_STATE(14479)] = 260152,
  [SMALL_STATE(14480)] = 260172,
  [SMALL_STATE(14481)] = 260188,
  [SMALL_STATE(14482)] = 260204,
  [SMALL_STATE(14483)] = 260220,
  [SMALL_STATE(14484)] = 260244,
  [SMALL_STATE(14485)] = 260260,
  [SMALL_STATE(14486)] = 260276,
  [SMALL_STATE(14487)] = 260292,
  [SMALL_STATE(14488)] = 260308,
  [SMALL_STATE(14489)] = 260330,
  [SMALL_STATE(14490)] = 260346,
  [SMALL_STATE(14491)] = 260370,
  [SMALL_STATE(14492)] = 260394,
  [SMALL_STATE(14493)] = 260410,
  [SMALL_STATE(14494)] = 260426,
  [SMALL_STATE(14495)] = 260442,
  [SMALL_STATE(14496)] = 260458,
  [SMALL_STATE(14497)] = 260480,
  [SMALL_STATE(14498)] = 260496,
  [SMALL_STATE(14499)] = 260518,
  [SMALL_STATE(14500)] = 260534,
  [SMALL_STATE(14501)] = 260556,
  [SMALL_STATE(14502)] = 260572,
  [SMALL_STATE(14503)] = 260594,
  [SMALL_STATE(14504)] = 260618,
  [SMALL_STATE(14505)] = 260640,
  [SMALL_STATE(14506)] = 260662,
  [SMALL_STATE(14507)] = 260678,
  [SMALL_STATE(14508)] = 260702,
  [SMALL_STATE(14509)] = 260718,
  [SMALL_STATE(14510)] = 260734,
  [SMALL_STATE(14511)] = 260756,
  [SMALL_STATE(14512)] = 260772,
  [SMALL_STATE(14513)] = 260794,
  [SMALL_STATE(14514)] = 260810,
  [SMALL_STATE(14515)] = 260832,
  [SMALL_STATE(14516)] = 260848,
  [SMALL_STATE(14517)] = 260866,
  [SMALL_STATE(14518)] = 260888,
  [SMALL_STATE(14519)] = 260904,
  [SMALL_STATE(14520)] = 260920,
  [SMALL_STATE(14521)] = 260936,
  [SMALL_STATE(14522)] = 260958,
  [SMALL_STATE(14523)] = 260974,
  [SMALL_STATE(14524)] = 260990,
  [SMALL_STATE(14525)] = 261008,
  [SMALL_STATE(14526)] = 261024,
  [SMALL_STATE(14527)] = 261040,
  [SMALL_STATE(14528)] = 261056,
  [SMALL_STATE(14529)] = 261072,
  [SMALL_STATE(14530)] = 261094,
  [SMALL_STATE(14531)] = 261116,
  [SMALL_STATE(14532)] = 261132,
  [SMALL_STATE(14533)] = 261154,
  [SMALL_STATE(14534)] = 261176,
  [SMALL_STATE(14535)] = 261198,
  [SMALL_STATE(14536)] = 261220,
  [SMALL_STATE(14537)] = 261242,
  [SMALL_STATE(14538)] = 261264,
  [SMALL_STATE(14539)] = 261288,
  [SMALL_STATE(14540)] = 261310,
  [SMALL_STATE(14541)] = 261332,
  [SMALL_STATE(14542)] = 261354,
  [SMALL_STATE(14543)] = 261370,
  [SMALL_STATE(14544)] = 261390,
  [SMALL_STATE(14545)] = 261412,
  [SMALL_STATE(14546)] = 261432,
  [SMALL_STATE(14547)] = 261454,
  [SMALL_STATE(14548)] = 261473,
  [SMALL_STATE(14549)] = 261496,
  [SMALL_STATE(14550)] = 261515,
  [SMALL_STATE(14551)] = 261534,
  [SMALL_STATE(14552)] = 261557,
  [SMALL_STATE(14553)] = 261576,
  [SMALL_STATE(14554)] = 261595,
  [SMALL_STATE(14555)] = 261614,
  [SMALL_STATE(14556)] = 261633,
  [SMALL_STATE(14557)] = 261656,
  [SMALL_STATE(14558)] = 261679,
  [SMALL_STATE(14559)] = 261702,
  [SMALL_STATE(14560)] = 261723,
  [SMALL_STATE(14561)] = 261742,
  [SMALL_STATE(14562)] = 261761,
  [SMALL_STATE(14563)] = 261784,
  [SMALL_STATE(14564)] = 261805,
  [SMALL_STATE(14565)] = 261824,
  [SMALL_STATE(14566)] = 261843,
  [SMALL_STATE(14567)] = 261862,
  [SMALL_STATE(14568)] = 261881,
  [SMALL_STATE(14569)] = 261900,
  [SMALL_STATE(14570)] = 261919,
  [SMALL_STATE(14571)] = 261940,
  [SMALL_STATE(14572)] = 261963,
  [SMALL_STATE(14573)] = 261982,
  [SMALL_STATE(14574)] = 262001,
  [SMALL_STATE(14575)] = 262020,
  [SMALL_STATE(14576)] = 262043,
  [SMALL_STATE(14577)] = 262066,
  [SMALL_STATE(14578)] = 262089,
  [SMALL_STATE(14579)] = 262112,
  [SMALL_STATE(14580)] = 262135,
  [SMALL_STATE(14581)] = 262156,
  [SMALL_STATE(14582)] = 262179,
  [SMALL_STATE(14583)] = 262202,
  [SMALL_STATE(14584)] = 262223,
  [SMALL_STATE(14585)] = 262246,
  [SMALL_STATE(14586)] = 262265,
  [SMALL_STATE(14587)] = 262284,
  [SMALL_STATE(14588)] = 262303,
  [SMALL_STATE(14589)] = 262322,
  [SMALL_STATE(14590)] = 262341,
  [SMALL_STATE(14591)] = 262360,
  [SMALL_STATE(14592)] = 262379,
  [SMALL_STATE(14593)] = 262398,
  [SMALL_STATE(14594)] = 262417,
  [SMALL_STATE(14595)] = 262436,
  [SMALL_STATE(14596)] = 262455,
  [SMALL_STATE(14597)] = 262478,
  [SMALL_STATE(14598)] = 262501,
  [SMALL_STATE(14599)] = 262524,
  [SMALL_STATE(14600)] = 262547,
  [SMALL_STATE(14601)] = 262570,
  [SMALL_STATE(14602)] = 262589,
  [SMALL_STATE(14603)] = 262612,
  [SMALL_STATE(14604)] = 262635,
  [SMALL_STATE(14605)] = 262658,
  [SMALL_STATE(14606)] = 262677,
  [SMALL_STATE(14607)] = 262696,
  [SMALL_STATE(14608)] = 262715,
  [SMALL_STATE(14609)] = 262734,
  [SMALL_STATE(14610)] = 262753,
  [SMALL_STATE(14611)] = 262772,
  [SMALL_STATE(14612)] = 262791,
  [SMALL_STATE(14613)] = 262814,
  [SMALL_STATE(14614)] = 262833,
  [SMALL_STATE(14615)] = 262856,
  [SMALL_STATE(14616)] = 262875,
  [SMALL_STATE(14617)] = 262894,
  [SMALL_STATE(14618)] = 262913,
  [SMALL_STATE(14619)] = 262932,
  [SMALL_STATE(14620)] = 262955,
  [SMALL_STATE(14621)] = 262978,
  [SMALL_STATE(14622)] = 262997,
  [SMALL_STATE(14623)] = 263020,
  [SMALL_STATE(14624)] = 263043,
  [SMALL_STATE(14625)] = 263062,
  [SMALL_STATE(14626)] = 263081,
  [SMALL_STATE(14627)] = 263100,
  [SMALL_STATE(14628)] = 263123,
  [SMALL_STATE(14629)] = 263142,
  [SMALL_STATE(14630)] = 263165,
  [SMALL_STATE(14631)] = 263184,
  [SMALL_STATE(14632)] = 263203,
  [SMALL_STATE(14633)] = 263222,
  [SMALL_STATE(14634)] = 263241,
  [SMALL_STATE(14635)] = 263260,
  [SMALL_STATE(14636)] = 263279,
  [SMALL_STATE(14637)] = 263298,
  [SMALL_STATE(14638)] = 263317,
  [SMALL_STATE(14639)] = 263340,
  [SMALL_STATE(14640)] = 263363,
  [SMALL_STATE(14641)] = 263386,
  [SMALL_STATE(14642)] = 263405,
  [SMALL_STATE(14643)] = 263424,
  [SMALL_STATE(14644)] = 263447,
  [SMALL_STATE(14645)] = 263466,
  [SMALL_STATE(14646)] = 263485,
  [SMALL_STATE(14647)] = 263504,
  [SMALL_STATE(14648)] = 263525,
  [SMALL_STATE(14649)] = 263544,
  [SMALL_STATE(14650)] = 263563,
  [SMALL_STATE(14651)] = 263586,
  [SMALL_STATE(14652)] = 263605,
  [SMALL_STATE(14653)] = 263624,
  [SMALL_STATE(14654)] = 263643,
  [SMALL_STATE(14655)] = 263664,
  [SMALL_STATE(14656)] = 263687,
  [SMALL_STATE(14657)] = 263710,
  [SMALL_STATE(14658)] = 263729,
  [SMALL_STATE(14659)] = 263748,
  [SMALL_STATE(14660)] = 263767,
  [SMALL_STATE(14661)] = 263786,
  [SMALL_STATE(14662)] = 263809,
  [SMALL_STATE(14663)] = 263830,
  [SMALL_STATE(14664)] = 263853,
  [SMALL_STATE(14665)] = 263876,
  [SMALL_STATE(14666)] = 263899,
  [SMALL_STATE(14667)] = 263922,
  [SMALL_STATE(14668)] = 263945,
  [SMALL_STATE(14669)] = 263964,
  [SMALL_STATE(14670)] = 263987,
  [SMALL_STATE(14671)] = 264006,
  [SMALL_STATE(14672)] = 264025,
  [SMALL_STATE(14673)] = 264044,
  [SMALL_STATE(14674)] = 264063,
  [SMALL_STATE(14675)] = 264082,
  [SMALL_STATE(14676)] = 264101,
  [SMALL_STATE(14677)] = 264124,
  [SMALL_STATE(14678)] = 264143,
  [SMALL_STATE(14679)] = 264162,
  [SMALL_STATE(14680)] = 264185,
  [SMALL_STATE(14681)] = 264208,
  [SMALL_STATE(14682)] = 264231,
  [SMALL_STATE(14683)] = 264254,
  [SMALL_STATE(14684)] = 264277,
  [SMALL_STATE(14685)] = 264300,
  [SMALL_STATE(14686)] = 264321,
  [SMALL_STATE(14687)] = 264342,
  [SMALL_STATE(14688)] = 264361,
  [SMALL_STATE(14689)] = 264384,
  [SMALL_STATE(14690)] = 264407,
  [SMALL_STATE(14691)] = 264430,
  [SMALL_STATE(14692)] = 264453,
  [SMALL_STATE(14693)] = 264476,
  [SMALL_STATE(14694)] = 264499,
  [SMALL_STATE(14695)] = 264518,
  [SMALL_STATE(14696)] = 264537,
  [SMALL_STATE(14697)] = 264560,
  [SMALL_STATE(14698)] = 264579,
  [SMALL_STATE(14699)] = 264598,
  [SMALL_STATE(14700)] = 264621,
  [SMALL_STATE(14701)] = 264640,
  [SMALL_STATE(14702)] = 264659,
  [SMALL_STATE(14703)] = 264678,
  [SMALL_STATE(14704)] = 264701,
  [SMALL_STATE(14705)] = 264722,
  [SMALL_STATE(14706)] = 264743,
  [SMALL_STATE(14707)] = 264762,
  [SMALL_STATE(14708)] = 264781,
  [SMALL_STATE(14709)] = 264800,
  [SMALL_STATE(14710)] = 264819,
  [SMALL_STATE(14711)] = 264838,
  [SMALL_STATE(14712)] = 264857,
  [SMALL_STATE(14713)] = 264876,
  [SMALL_STATE(14714)] = 264897,
  [SMALL_STATE(14715)] = 264916,
  [SMALL_STATE(14716)] = 264935,
  [SMALL_STATE(14717)] = 264954,
  [SMALL_STATE(14718)] = 264977,
  [SMALL_STATE(14719)] = 264996,
  [SMALL_STATE(14720)] = 265015,
  [SMALL_STATE(14721)] = 265034,
  [SMALL_STATE(14722)] = 265053,
  [SMALL_STATE(14723)] = 265076,
  [SMALL_STATE(14724)] = 265099,
  [SMALL_STATE(14725)] = 265122,
  [SMALL_STATE(14726)] = 265141,
  [SMALL_STATE(14727)] = 265164,
  [SMALL_STATE(14728)] = 265183,
  [SMALL_STATE(14729)] = 265202,
  [SMALL_STATE(14730)] = 265221,
  [SMALL_STATE(14731)] = 265240,
  [SMALL_STATE(14732)] = 265259,
  [SMALL_STATE(14733)] = 265278,
  [SMALL_STATE(14734)] = 265301,
  [SMALL_STATE(14735)] = 265320,
  [SMALL_STATE(14736)] = 265339,
  [SMALL_STATE(14737)] = 265358,
  [SMALL_STATE(14738)] = 265377,
  [SMALL_STATE(14739)] = 265396,
  [SMALL_STATE(14740)] = 265419,
  [SMALL_STATE(14741)] = 265438,
  [SMALL_STATE(14742)] = 265461,
  [SMALL_STATE(14743)] = 265480,
  [SMALL_STATE(14744)] = 265503,
  [SMALL_STATE(14745)] = 265526,
  [SMALL_STATE(14746)] = 265549,
  [SMALL_STATE(14747)] = 265570,
  [SMALL_STATE(14748)] = 265589,
  [SMALL_STATE(14749)] = 265612,
  [SMALL_STATE(14750)] = 265633,
  [SMALL_STATE(14751)] = 265654,
  [SMALL_STATE(14752)] = 265673,
  [SMALL_STATE(14753)] = 265692,
  [SMALL_STATE(14754)] = 265711,
  [SMALL_STATE(14755)] = 265730,
  [SMALL_STATE(14756)] = 265749,
  [SMALL_STATE(14757)] = 265768,
  [SMALL_STATE(14758)] = 265791,
  [SMALL_STATE(14759)] = 265810,
  [SMALL_STATE(14760)] = 265829,
  [SMALL_STATE(14761)] = 265852,
  [SMALL_STATE(14762)] = 265871,
  [SMALL_STATE(14763)] = 265894,
  [SMALL_STATE(14764)] = 265913,
  [SMALL_STATE(14765)] = 265932,
  [SMALL_STATE(14766)] = 265953,
  [SMALL_STATE(14767)] = 265972,
  [SMALL_STATE(14768)] = 265991,
  [SMALL_STATE(14769)] = 266010,
  [SMALL_STATE(14770)] = 266031,
  [SMALL_STATE(14771)] = 266052,
  [SMALL_STATE(14772)] = 266073,
  [SMALL_STATE(14773)] = 266094,
  [SMALL_STATE(14774)] = 266115,
  [SMALL_STATE(14775)] = 266138,
  [SMALL_STATE(14776)] = 266161,
  [SMALL_STATE(14777)] = 266184,
  [SMALL_STATE(14778)] = 266207,
  [SMALL_STATE(14779)] = 266230,
  [SMALL_STATE(14780)] = 266251,
  [SMALL_STATE(14781)] = 266274,
  [SMALL_STATE(14782)] = 266293,
  [SMALL_STATE(14783)] = 266316,
  [SMALL_STATE(14784)] = 266337,
  [SMALL_STATE(14785)] = 266360,
  [SMALL_STATE(14786)] = 266379,
  [SMALL_STATE(14787)] = 266400,
  [SMALL_STATE(14788)] = 266423,
  [SMALL_STATE(14789)] = 266446,
  [SMALL_STATE(14790)] = 266469,
  [SMALL_STATE(14791)] = 266488,
  [SMALL_STATE(14792)] = 266507,
  [SMALL_STATE(14793)] = 266526,
  [SMALL_STATE(14794)] = 266549,
  [SMALL_STATE(14795)] = 266568,
  [SMALL_STATE(14796)] = 266587,
  [SMALL_STATE(14797)] = 266610,
  [SMALL_STATE(14798)] = 266629,
  [SMALL_STATE(14799)] = 266652,
  [SMALL_STATE(14800)] = 266673,
  [SMALL_STATE(14801)] = 266692,
  [SMALL_STATE(14802)] = 266711,
  [SMALL_STATE(14803)] = 266730,
  [SMALL_STATE(14804)] = 266751,
  [SMALL_STATE(14805)] = 266770,
  [SMALL_STATE(14806)] = 266793,
  [SMALL_STATE(14807)] = 266812,
  [SMALL_STATE(14808)] = 266835,
  [SMALL_STATE(14809)] = 266856,
  [SMALL_STATE(14810)] = 266875,
  [SMALL_STATE(14811)] = 266898,
  [SMALL_STATE(14812)] = 266921,
  [SMALL_STATE(14813)] = 266944,
  [SMALL_STATE(14814)] = 266963,
  [SMALL_STATE(14815)] = 266982,
  [SMALL_STATE(14816)] = 267001,
  [SMALL_STATE(14817)] = 267020,
  [SMALL_STATE(14818)] = 267039,
  [SMALL_STATE(14819)] = 267062,
  [SMALL_STATE(14820)] = 267085,
  [SMALL_STATE(14821)] = 267104,
  [SMALL_STATE(14822)] = 267123,
  [SMALL_STATE(14823)] = 267142,
  [SMALL_STATE(14824)] = 267165,
  [SMALL_STATE(14825)] = 267184,
  [SMALL_STATE(14826)] = 267207,
  [SMALL_STATE(14827)] = 267230,
  [SMALL_STATE(14828)] = 267253,
  [SMALL_STATE(14829)] = 267272,
  [SMALL_STATE(14830)] = 267291,
  [SMALL_STATE(14831)] = 267310,
  [SMALL_STATE(14832)] = 267329,
  [SMALL_STATE(14833)] = 267352,
  [SMALL_STATE(14834)] = 267371,
  [SMALL_STATE(14835)] = 267390,
  [SMALL_STATE(14836)] = 267409,
  [SMALL_STATE(14837)] = 267428,
  [SMALL_STATE(14838)] = 267447,
  [SMALL_STATE(14839)] = 267470,
  [SMALL_STATE(14840)] = 267493,
  [SMALL_STATE(14841)] = 267516,
  [SMALL_STATE(14842)] = 267539,
  [SMALL_STATE(14843)] = 267558,
  [SMALL_STATE(14844)] = 267577,
  [SMALL_STATE(14845)] = 267600,
  [SMALL_STATE(14846)] = 267623,
  [SMALL_STATE(14847)] = 267646,
  [SMALL_STATE(14848)] = 267665,
  [SMALL_STATE(14849)] = 267684,
  [SMALL_STATE(14850)] = 267703,
  [SMALL_STATE(14851)] = 267722,
  [SMALL_STATE(14852)] = 267741,
  [SMALL_STATE(14853)] = 267760,
  [SMALL_STATE(14854)] = 267779,
  [SMALL_STATE(14855)] = 267798,
  [SMALL_STATE(14856)] = 267817,
  [SMALL_STATE(14857)] = 267836,
  [SMALL_STATE(14858)] = 267855,
  [SMALL_STATE(14859)] = 267878,
  [SMALL_STATE(14860)] = 267897,
  [SMALL_STATE(14861)] = 267916,
  [SMALL_STATE(14862)] = 267939,
  [SMALL_STATE(14863)] = 267958,
  [SMALL_STATE(14864)] = 267981,
  [SMALL_STATE(14865)] = 268000,
  [SMALL_STATE(14866)] = 268019,
  [SMALL_STATE(14867)] = 268038,
  [SMALL_STATE(14868)] = 268057,
  [SMALL_STATE(14869)] = 268076,
  [SMALL_STATE(14870)] = 268095,
  [SMALL_STATE(14871)] = 268114,
  [SMALL_STATE(14872)] = 268137,
  [SMALL_STATE(14873)] = 268156,
  [SMALL_STATE(14874)] = 268175,
  [SMALL_STATE(14875)] = 268194,
  [SMALL_STATE(14876)] = 268213,
  [SMALL_STATE(14877)] = 268232,
  [SMALL_STATE(14878)] = 268255,
  [SMALL_STATE(14879)] = 268274,
  [SMALL_STATE(14880)] = 268293,
  [SMALL_STATE(14881)] = 268314,
  [SMALL_STATE(14882)] = 268337,
  [SMALL_STATE(14883)] = 268356,
  [SMALL_STATE(14884)] = 268375,
  [SMALL_STATE(14885)] = 268398,
  [SMALL_STATE(14886)] = 268417,
  [SMALL_STATE(14887)] = 268436,
  [SMALL_STATE(14888)] = 268459,
  [SMALL_STATE(14889)] = 268482,
  [SMALL_STATE(14890)] = 268505,
  [SMALL_STATE(14891)] = 268526,
  [SMALL_STATE(14892)] = 268549,
  [SMALL_STATE(14893)] = 268572,
  [SMALL_STATE(14894)] = 268593,
  [SMALL_STATE(14895)] = 268612,
  [SMALL_STATE(14896)] = 268631,
  [SMALL_STATE(14897)] = 268654,
  [SMALL_STATE(14898)] = 268677,
  [SMALL_STATE(14899)] = 268696,
  [SMALL_STATE(14900)] = 268715,
  [SMALL_STATE(14901)] = 268734,
  [SMALL_STATE(14902)] = 268753,
  [SMALL_STATE(14903)] = 268772,
  [SMALL_STATE(14904)] = 268795,
  [SMALL_STATE(14905)] = 268814,
  [SMALL_STATE(14906)] = 268837,
  [SMALL_STATE(14907)] = 268856,
  [SMALL_STATE(14908)] = 268877,
  [SMALL_STATE(14909)] = 268896,
  [SMALL_STATE(14910)] = 268917,
  [SMALL_STATE(14911)] = 268936,
  [SMALL_STATE(14912)] = 268955,
  [SMALL_STATE(14913)] = 268978,
  [SMALL_STATE(14914)] = 269001,
  [SMALL_STATE(14915)] = 269024,
  [SMALL_STATE(14916)] = 269043,
  [SMALL_STATE(14917)] = 269064,
  [SMALL_STATE(14918)] = 269087,
  [SMALL_STATE(14919)] = 269106,
  [SMALL_STATE(14920)] = 269127,
  [SMALL_STATE(14921)] = 269150,
  [SMALL_STATE(14922)] = 269169,
  [SMALL_STATE(14923)] = 269188,
  [SMALL_STATE(14924)] = 269211,
  [SMALL_STATE(14925)] = 269234,
  [SMALL_STATE(14926)] = 269257,
  [SMALL_STATE(14927)] = 269280,
  [SMALL_STATE(14928)] = 269299,
  [SMALL_STATE(14929)] = 269322,
  [SMALL_STATE(14930)] = 269345,
  [SMALL_STATE(14931)] = 269368,
  [SMALL_STATE(14932)] = 269387,
  [SMALL_STATE(14933)] = 269410,
  [SMALL_STATE(14934)] = 269433,
  [SMALL_STATE(14935)] = 269456,
  [SMALL_STATE(14936)] = 269479,
  [SMALL_STATE(14937)] = 269502,
  [SMALL_STATE(14938)] = 269521,
  [SMALL_STATE(14939)] = 269542,
  [SMALL_STATE(14940)] = 269561,
  [SMALL_STATE(14941)] = 269582,
  [SMALL_STATE(14942)] = 269603,
  [SMALL_STATE(14943)] = 269624,
  [SMALL_STATE(14944)] = 269647,
  [SMALL_STATE(14945)] = 269670,
  [SMALL_STATE(14946)] = 269689,
  [SMALL_STATE(14947)] = 269708,
  [SMALL_STATE(14948)] = 269727,
  [SMALL_STATE(14949)] = 269746,
  [SMALL_STATE(14950)] = 269765,
  [SMALL_STATE(14951)] = 269786,
  [SMALL_STATE(14952)] = 269805,
  [SMALL_STATE(14953)] = 269824,
  [SMALL_STATE(14954)] = 269843,
  [SMALL_STATE(14955)] = 269862,
  [SMALL_STATE(14956)] = 269881,
  [SMALL_STATE(14957)] = 269900,
  [SMALL_STATE(14958)] = 269919,
  [SMALL_STATE(14959)] = 269938,
  [SMALL_STATE(14960)] = 269959,
  [SMALL_STATE(14961)] = 269982,
  [SMALL_STATE(14962)] = 270005,
  [SMALL_STATE(14963)] = 270028,
  [SMALL_STATE(14964)] = 270047,
  [SMALL_STATE(14965)] = 270068,
  [SMALL_STATE(14966)] = 270091,
  [SMALL_STATE(14967)] = 270114,
  [SMALL_STATE(14968)] = 270133,
  [SMALL_STATE(14969)] = 270152,
  [SMALL_STATE(14970)] = 270171,
  [SMALL_STATE(14971)] = 270192,
  [SMALL_STATE(14972)] = 270215,
  [SMALL_STATE(14973)] = 270234,
  [SMALL_STATE(14974)] = 270253,
  [SMALL_STATE(14975)] = 270272,
  [SMALL_STATE(14976)] = 270295,
  [SMALL_STATE(14977)] = 270314,
  [SMALL_STATE(14978)] = 270333,
  [SMALL_STATE(14979)] = 270352,
  [SMALL_STATE(14980)] = 270371,
  [SMALL_STATE(14981)] = 270390,
  [SMALL_STATE(14982)] = 270409,
  [SMALL_STATE(14983)] = 270428,
  [SMALL_STATE(14984)] = 270449,
  [SMALL_STATE(14985)] = 270470,
  [SMALL_STATE(14986)] = 270489,
  [SMALL_STATE(14987)] = 270510,
  [SMALL_STATE(14988)] = 270533,
  [SMALL_STATE(14989)] = 270552,
  [SMALL_STATE(14990)] = 270571,
  [SMALL_STATE(14991)] = 270594,
  [SMALL_STATE(14992)] = 270613,
  [SMALL_STATE(14993)] = 270636,
  [SMALL_STATE(14994)] = 270659,
  [SMALL_STATE(14995)] = 270680,
  [SMALL_STATE(14996)] = 270703,
  [SMALL_STATE(14997)] = 270722,
  [SMALL_STATE(14998)] = 270745,
  [SMALL_STATE(14999)] = 270764,
  [SMALL_STATE(15000)] = 270785,
  [SMALL_STATE(15001)] = 270804,
  [SMALL_STATE(15002)] = 270825,
  [SMALL_STATE(15003)] = 270844,
  [SMALL_STATE(15004)] = 270863,
  [SMALL_STATE(15005)] = 270886,
  [SMALL_STATE(15006)] = 270905,
  [SMALL_STATE(15007)] = 270924,
  [SMALL_STATE(15008)] = 270943,
  [SMALL_STATE(15009)] = 270962,
  [SMALL_STATE(15010)] = 270985,
  [SMALL_STATE(15011)] = 271008,
  [SMALL_STATE(15012)] = 271031,
  [SMALL_STATE(15013)] = 271052,
  [SMALL_STATE(15014)] = 271073,
  [SMALL_STATE(15015)] = 271094,
  [SMALL_STATE(15016)] = 271117,
  [SMALL_STATE(15017)] = 271136,
  [SMALL_STATE(15018)] = 271159,
  [SMALL_STATE(15019)] = 271178,
  [SMALL_STATE(15020)] = 271199,
  [SMALL_STATE(15021)] = 271218,
  [SMALL_STATE(15022)] = 271241,
  [SMALL_STATE(15023)] = 271264,
  [SMALL_STATE(15024)] = 271285,
  [SMALL_STATE(15025)] = 271304,
  [SMALL_STATE(15026)] = 271323,
  [SMALL_STATE(15027)] = 271342,
  [SMALL_STATE(15028)] = 271361,
  [SMALL_STATE(15029)] = 271382,
  [SMALL_STATE(15030)] = 271401,
  [SMALL_STATE(15031)] = 271422,
  [SMALL_STATE(15032)] = 271445,
  [SMALL_STATE(15033)] = 271464,
  [SMALL_STATE(15034)] = 271483,
  [SMALL_STATE(15035)] = 271496,
  [SMALL_STATE(15036)] = 271519,
  [SMALL_STATE(15037)] = 271538,
  [SMALL_STATE(15038)] = 271557,
  [SMALL_STATE(15039)] = 271576,
  [SMALL_STATE(15040)] = 271599,
  [SMALL_STATE(15041)] = 271618,
  [SMALL_STATE(15042)] = 271637,
  [SMALL_STATE(15043)] = 271660,
  [SMALL_STATE(15044)] = 271681,
  [SMALL_STATE(15045)] = 271700,
  [SMALL_STATE(15046)] = 271723,
  [SMALL_STATE(15047)] = 271744,
  [SMALL_STATE(15048)] = 271767,
  [SMALL_STATE(15049)] = 271788,
  [SMALL_STATE(15050)] = 271811,
  [SMALL_STATE(15051)] = 271830,
  [SMALL_STATE(15052)] = 271853,
  [SMALL_STATE(15053)] = 271876,
  [SMALL_STATE(15054)] = 271897,
  [SMALL_STATE(15055)] = 271916,
  [SMALL_STATE(15056)] = 271935,
  [SMALL_STATE(15057)] = 271954,
  [SMALL_STATE(15058)] = 271973,
  [SMALL_STATE(15059)] = 271992,
  [SMALL_STATE(15060)] = 272011,
  [SMALL_STATE(15061)] = 272030,
  [SMALL_STATE(15062)] = 272049,
  [SMALL_STATE(15063)] = 272068,
  [SMALL_STATE(15064)] = 272087,
  [SMALL_STATE(15065)] = 272106,
  [SMALL_STATE(15066)] = 272125,
  [SMALL_STATE(15067)] = 272148,
  [SMALL_STATE(15068)] = 272169,
  [SMALL_STATE(15069)] = 272192,
  [SMALL_STATE(15070)] = 272211,
  [SMALL_STATE(15071)] = 272230,
  [SMALL_STATE(15072)] = 272249,
  [SMALL_STATE(15073)] = 272268,
  [SMALL_STATE(15074)] = 272291,
  [SMALL_STATE(15075)] = 272310,
  [SMALL_STATE(15076)] = 272329,
  [SMALL_STATE(15077)] = 272348,
  [SMALL_STATE(15078)] = 272367,
  [SMALL_STATE(15079)] = 272386,
  [SMALL_STATE(15080)] = 272405,
  [SMALL_STATE(15081)] = 272424,
  [SMALL_STATE(15082)] = 272443,
  [SMALL_STATE(15083)] = 272462,
  [SMALL_STATE(15084)] = 272485,
  [SMALL_STATE(15085)] = 272508,
  [SMALL_STATE(15086)] = 272529,
  [SMALL_STATE(15087)] = 272550,
  [SMALL_STATE(15088)] = 272573,
  [SMALL_STATE(15089)] = 272596,
  [SMALL_STATE(15090)] = 272615,
  [SMALL_STATE(15091)] = 272636,
  [SMALL_STATE(15092)] = 272659,
  [SMALL_STATE(15093)] = 272678,
  [SMALL_STATE(15094)] = 272701,
  [SMALL_STATE(15095)] = 272724,
  [SMALL_STATE(15096)] = 272747,
  [SMALL_STATE(15097)] = 272766,
  [SMALL_STATE(15098)] = 272785,
  [SMALL_STATE(15099)] = 272806,
  [SMALL_STATE(15100)] = 272829,
  [SMALL_STATE(15101)] = 272848,
  [SMALL_STATE(15102)] = 272869,
  [SMALL_STATE(15103)] = 272888,
  [SMALL_STATE(15104)] = 272909,
  [SMALL_STATE(15105)] = 272932,
  [SMALL_STATE(15106)] = 272955,
  [SMALL_STATE(15107)] = 272974,
  [SMALL_STATE(15108)] = 272993,
  [SMALL_STATE(15109)] = 273014,
  [SMALL_STATE(15110)] = 273037,
  [SMALL_STATE(15111)] = 273056,
  [SMALL_STATE(15112)] = 273079,
  [SMALL_STATE(15113)] = 273098,
  [SMALL_STATE(15114)] = 273121,
  [SMALL_STATE(15115)] = 273140,
  [SMALL_STATE(15116)] = 273163,
  [SMALL_STATE(15117)] = 273186,
  [SMALL_STATE(15118)] = 273209,
  [SMALL_STATE(15119)] = 273232,
  [SMALL_STATE(15120)] = 273255,
  [SMALL_STATE(15121)] = 273278,
  [SMALL_STATE(15122)] = 273297,
  [SMALL_STATE(15123)] = 273318,
  [SMALL_STATE(15124)] = 273341,
  [SMALL_STATE(15125)] = 273364,
  [SMALL_STATE(15126)] = 273387,
  [SMALL_STATE(15127)] = 273406,
  [SMALL_STATE(15128)] = 273425,
  [SMALL_STATE(15129)] = 273444,
  [SMALL_STATE(15130)] = 273463,
  [SMALL_STATE(15131)] = 273482,
  [SMALL_STATE(15132)] = 273501,
  [SMALL_STATE(15133)] = 273522,
  [SMALL_STATE(15134)] = 273541,
  [SMALL_STATE(15135)] = 273562,
  [SMALL_STATE(15136)] = 273581,
  [SMALL_STATE(15137)] = 273600,
  [SMALL_STATE(15138)] = 273621,
  [SMALL_STATE(15139)] = 273642,
  [SMALL_STATE(15140)] = 273665,
  [SMALL_STATE(15141)] = 273684,
  [SMALL_STATE(15142)] = 273707,
  [SMALL_STATE(15143)] = 273726,
  [SMALL_STATE(15144)] = 273745,
  [SMALL_STATE(15145)] = 273768,
  [SMALL_STATE(15146)] = 273787,
  [SMALL_STATE(15147)] = 273810,
  [SMALL_STATE(15148)] = 273829,
  [SMALL_STATE(15149)] = 273848,
  [SMALL_STATE(15150)] = 273867,
  [SMALL_STATE(15151)] = 273886,
  [SMALL_STATE(15152)] = 273907,
  [SMALL_STATE(15153)] = 273930,
  [SMALL_STATE(15154)] = 273949,
  [SMALL_STATE(15155)] = 273968,
  [SMALL_STATE(15156)] = 273991,
  [SMALL_STATE(15157)] = 274010,
  [SMALL_STATE(15158)] = 274033,
  [SMALL_STATE(15159)] = 274056,
  [SMALL_STATE(15160)] = 274079,
  [SMALL_STATE(15161)] = 274098,
  [SMALL_STATE(15162)] = 274117,
  [SMALL_STATE(15163)] = 274140,
  [SMALL_STATE(15164)] = 274159,
  [SMALL_STATE(15165)] = 274182,
  [SMALL_STATE(15166)] = 274201,
  [SMALL_STATE(15167)] = 274224,
  [SMALL_STATE(15168)] = 274247,
  [SMALL_STATE(15169)] = 274266,
  [SMALL_STATE(15170)] = 274285,
  [SMALL_STATE(15171)] = 274304,
  [SMALL_STATE(15172)] = 274325,
  [SMALL_STATE(15173)] = 274348,
  [SMALL_STATE(15174)] = 274367,
  [SMALL_STATE(15175)] = 274386,
  [SMALL_STATE(15176)] = 274405,
  [SMALL_STATE(15177)] = 274424,
  [SMALL_STATE(15178)] = 274443,
  [SMALL_STATE(15179)] = 274462,
  [SMALL_STATE(15180)] = 274481,
  [SMALL_STATE(15181)] = 274495,
  [SMALL_STATE(15182)] = 274511,
  [SMALL_STATE(15183)] = 274525,
  [SMALL_STATE(15184)] = 274539,
  [SMALL_STATE(15185)] = 274553,
  [SMALL_STATE(15186)] = 274573,
  [SMALL_STATE(15187)] = 274587,
  [SMALL_STATE(15188)] = 274601,
  [SMALL_STATE(15189)] = 274615,
  [SMALL_STATE(15190)] = 274635,
  [SMALL_STATE(15191)] = 274649,
  [SMALL_STATE(15192)] = 274663,
  [SMALL_STATE(15193)] = 274677,
  [SMALL_STATE(15194)] = 274691,
  [SMALL_STATE(15195)] = 274707,
  [SMALL_STATE(15196)] = 274727,
  [SMALL_STATE(15197)] = 274743,
  [SMALL_STATE(15198)] = 274757,
  [SMALL_STATE(15199)] = 274773,
  [SMALL_STATE(15200)] = 274789,
  [SMALL_STATE(15201)] = 274803,
  [SMALL_STATE(15202)] = 274819,
  [SMALL_STATE(15203)] = 274833,
  [SMALL_STATE(15204)] = 274847,
  [SMALL_STATE(15205)] = 274867,
  [SMALL_STATE(15206)] = 274883,
  [SMALL_STATE(15207)] = 274897,
  [SMALL_STATE(15208)] = 274917,
  [SMALL_STATE(15209)] = 274931,
  [SMALL_STATE(15210)] = 274951,
  [SMALL_STATE(15211)] = 274965,
  [SMALL_STATE(15212)] = 274985,
  [SMALL_STATE(15213)] = 274999,
  [SMALL_STATE(15214)] = 275013,
  [SMALL_STATE(15215)] = 275029,
  [SMALL_STATE(15216)] = 275043,
  [SMALL_STATE(15217)] = 275063,
  [SMALL_STATE(15218)] = 275083,
  [SMALL_STATE(15219)] = 275099,
  [SMALL_STATE(15220)] = 275113,
  [SMALL_STATE(15221)] = 275129,
  [SMALL_STATE(15222)] = 275143,
  [SMALL_STATE(15223)] = 275157,
  [SMALL_STATE(15224)] = 275171,
  [SMALL_STATE(15225)] = 275191,
  [SMALL_STATE(15226)] = 275207,
  [SMALL_STATE(15227)] = 275221,
  [SMALL_STATE(15228)] = 275235,
  [SMALL_STATE(15229)] = 275249,
  [SMALL_STATE(15230)] = 275263,
  [SMALL_STATE(15231)] = 275283,
  [SMALL_STATE(15232)] = 275299,
  [SMALL_STATE(15233)] = 275315,
  [SMALL_STATE(15234)] = 275329,
  [SMALL_STATE(15235)] = 275349,
  [SMALL_STATE(15236)] = 275363,
  [SMALL_STATE(15237)] = 275377,
  [SMALL_STATE(15238)] = 275391,
  [SMALL_STATE(15239)] = 275407,
  [SMALL_STATE(15240)] = 275421,
  [SMALL_STATE(15241)] = 275435,
  [SMALL_STATE(15242)] = 275449,
  [SMALL_STATE(15243)] = 275463,
  [SMALL_STATE(15244)] = 275483,
  [SMALL_STATE(15245)] = 275497,
  [SMALL_STATE(15246)] = 275515,
  [SMALL_STATE(15247)] = 275529,
  [SMALL_STATE(15248)] = 275543,
  [SMALL_STATE(15249)] = 275559,
  [SMALL_STATE(15250)] = 275575,
  [SMALL_STATE(15251)] = 275591,
  [SMALL_STATE(15252)] = 275605,
  [SMALL_STATE(15253)] = 275619,
  [SMALL_STATE(15254)] = 275633,
  [SMALL_STATE(15255)] = 275649,
  [SMALL_STATE(15256)] = 275663,
  [SMALL_STATE(15257)] = 275683,
  [SMALL_STATE(15258)] = 275697,
  [SMALL_STATE(15259)] = 275711,
  [SMALL_STATE(15260)] = 275725,
  [SMALL_STATE(15261)] = 275745,
  [SMALL_STATE(15262)] = 275759,
  [SMALL_STATE(15263)] = 275775,
  [SMALL_STATE(15264)] = 275791,
  [SMALL_STATE(15265)] = 275805,
  [SMALL_STATE(15266)] = 275825,
  [SMALL_STATE(15267)] = 275845,
  [SMALL_STATE(15268)] = 275861,
  [SMALL_STATE(15269)] = 275875,
  [SMALL_STATE(15270)] = 275889,
  [SMALL_STATE(15271)] = 275903,
  [SMALL_STATE(15272)] = 275917,
  [SMALL_STATE(15273)] = 275933,
  [SMALL_STATE(15274)] = 275947,
  [SMALL_STATE(15275)] = 275963,
  [SMALL_STATE(15276)] = 275977,
  [SMALL_STATE(15277)] = 275991,
  [SMALL_STATE(15278)] = 276005,
  [SMALL_STATE(15279)] = 276025,
  [SMALL_STATE(15280)] = 276039,
  [SMALL_STATE(15281)] = 276059,
  [SMALL_STATE(15282)] = 276073,
  [SMALL_STATE(15283)] = 276087,
  [SMALL_STATE(15284)] = 276101,
  [SMALL_STATE(15285)] = 276115,
  [SMALL_STATE(15286)] = 276129,
  [SMALL_STATE(15287)] = 276149,
  [SMALL_STATE(15288)] = 276163,
  [SMALL_STATE(15289)] = 276177,
  [SMALL_STATE(15290)] = 276195,
  [SMALL_STATE(15291)] = 276209,
  [SMALL_STATE(15292)] = 276223,
  [SMALL_STATE(15293)] = 276237,
  [SMALL_STATE(15294)] = 276251,
  [SMALL_STATE(15295)] = 276265,
  [SMALL_STATE(15296)] = 276285,
  [SMALL_STATE(15297)] = 276299,
  [SMALL_STATE(15298)] = 276313,
  [SMALL_STATE(15299)] = 276333,
  [SMALL_STATE(15300)] = 276347,
  [SMALL_STATE(15301)] = 276365,
  [SMALL_STATE(15302)] = 276379,
  [SMALL_STATE(15303)] = 276397,
  [SMALL_STATE(15304)] = 276417,
  [SMALL_STATE(15305)] = 276431,
  [SMALL_STATE(15306)] = 276445,
  [SMALL_STATE(15307)] = 276459,
  [SMALL_STATE(15308)] = 276479,
  [SMALL_STATE(15309)] = 276493,
  [SMALL_STATE(15310)] = 276509,
  [SMALL_STATE(15311)] = 276523,
  [SMALL_STATE(15312)] = 276537,
  [SMALL_STATE(15313)] = 276553,
  [SMALL_STATE(15314)] = 276567,
  [SMALL_STATE(15315)] = 276587,
  [SMALL_STATE(15316)] = 276601,
  [SMALL_STATE(15317)] = 276615,
  [SMALL_STATE(15318)] = 276629,
  [SMALL_STATE(15319)] = 276649,
  [SMALL_STATE(15320)] = 276669,
  [SMALL_STATE(15321)] = 276689,
  [SMALL_STATE(15322)] = 276703,
  [SMALL_STATE(15323)] = 276717,
  [SMALL_STATE(15324)] = 276731,
  [SMALL_STATE(15325)] = 276745,
  [SMALL_STATE(15326)] = 276759,
  [SMALL_STATE(15327)] = 276779,
  [SMALL_STATE(15328)] = 276793,
  [SMALL_STATE(15329)] = 276807,
  [SMALL_STATE(15330)] = 276827,
  [SMALL_STATE(15331)] = 276841,
  [SMALL_STATE(15332)] = 276857,
  [SMALL_STATE(15333)] = 276871,
  [SMALL_STATE(15334)] = 276885,
  [SMALL_STATE(15335)] = 276899,
  [SMALL_STATE(15336)] = 276913,
  [SMALL_STATE(15337)] = 276927,
  [SMALL_STATE(15338)] = 276947,
  [SMALL_STATE(15339)] = 276967,
  [SMALL_STATE(15340)] = 276981,
  [SMALL_STATE(15341)] = 276995,
  [SMALL_STATE(15342)] = 277009,
  [SMALL_STATE(15343)] = 277023,
  [SMALL_STATE(15344)] = 277037,
  [SMALL_STATE(15345)] = 277053,
  [SMALL_STATE(15346)] = 277067,
  [SMALL_STATE(15347)] = 277081,
  [SMALL_STATE(15348)] = 277095,
  [SMALL_STATE(15349)] = 277109,
  [SMALL_STATE(15350)] = 277123,
  [SMALL_STATE(15351)] = 277137,
  [SMALL_STATE(15352)] = 277151,
  [SMALL_STATE(15353)] = 277165,
  [SMALL_STATE(15354)] = 277183,
  [SMALL_STATE(15355)] = 277203,
  [SMALL_STATE(15356)] = 277217,
  [SMALL_STATE(15357)] = 277231,
  [SMALL_STATE(15358)] = 277249,
  [SMALL_STATE(15359)] = 277263,
  [SMALL_STATE(15360)] = 277277,
  [SMALL_STATE(15361)] = 277297,
  [SMALL_STATE(15362)] = 277311,
  [SMALL_STATE(15363)] = 277325,
  [SMALL_STATE(15364)] = 277339,
  [SMALL_STATE(15365)] = 277353,
  [SMALL_STATE(15366)] = 277367,
  [SMALL_STATE(15367)] = 277381,
  [SMALL_STATE(15368)] = 277395,
  [SMALL_STATE(15369)] = 277409,
  [SMALL_STATE(15370)] = 277423,
  [SMALL_STATE(15371)] = 277437,
  [SMALL_STATE(15372)] = 277457,
  [SMALL_STATE(15373)] = 277477,
  [SMALL_STATE(15374)] = 277491,
  [SMALL_STATE(15375)] = 277511,
  [SMALL_STATE(15376)] = 277525,
  [SMALL_STATE(15377)] = 277539,
  [SMALL_STATE(15378)] = 277553,
  [SMALL_STATE(15379)] = 277573,
  [SMALL_STATE(15380)] = 277587,
  [SMALL_STATE(15381)] = 277601,
  [SMALL_STATE(15382)] = 277615,
  [SMALL_STATE(15383)] = 277629,
  [SMALL_STATE(15384)] = 277643,
  [SMALL_STATE(15385)] = 277657,
  [SMALL_STATE(15386)] = 277671,
  [SMALL_STATE(15387)] = 277691,
  [SMALL_STATE(15388)] = 277705,
  [SMALL_STATE(15389)] = 277719,
  [SMALL_STATE(15390)] = 277733,
  [SMALL_STATE(15391)] = 277755,
  [SMALL_STATE(15392)] = 277769,
  [SMALL_STATE(15393)] = 277783,
  [SMALL_STATE(15394)] = 277797,
  [SMALL_STATE(15395)] = 277811,
  [SMALL_STATE(15396)] = 277825,
  [SMALL_STATE(15397)] = 277845,
  [SMALL_STATE(15398)] = 277865,
  [SMALL_STATE(15399)] = 277879,
  [SMALL_STATE(15400)] = 277893,
  [SMALL_STATE(15401)] = 277907,
  [SMALL_STATE(15402)] = 277921,
  [SMALL_STATE(15403)] = 277935,
  [SMALL_STATE(15404)] = 277949,
  [SMALL_STATE(15405)] = 277967,
  [SMALL_STATE(15406)] = 277981,
  [SMALL_STATE(15407)] = 277999,
  [SMALL_STATE(15408)] = 278017,
  [SMALL_STATE(15409)] = 278037,
  [SMALL_STATE(15410)] = 278051,
  [SMALL_STATE(15411)] = 278065,
  [SMALL_STATE(15412)] = 278079,
  [SMALL_STATE(15413)] = 278093,
  [SMALL_STATE(15414)] = 278107,
  [SMALL_STATE(15415)] = 278121,
  [SMALL_STATE(15416)] = 278135,
  [SMALL_STATE(15417)] = 278149,
  [SMALL_STATE(15418)] = 278167,
  [SMALL_STATE(15419)] = 278181,
  [SMALL_STATE(15420)] = 278195,
  [SMALL_STATE(15421)] = 278209,
  [SMALL_STATE(15422)] = 278223,
  [SMALL_STATE(15423)] = 278237,
  [SMALL_STATE(15424)] = 278257,
  [SMALL_STATE(15425)] = 278271,
  [SMALL_STATE(15426)] = 278291,
  [SMALL_STATE(15427)] = 278305,
  [SMALL_STATE(15428)] = 278325,
  [SMALL_STATE(15429)] = 278339,
  [SMALL_STATE(15430)] = 278353,
  [SMALL_STATE(15431)] = 278367,
  [SMALL_STATE(15432)] = 278381,
  [SMALL_STATE(15433)] = 278395,
  [SMALL_STATE(15434)] = 278415,
  [SMALL_STATE(15435)] = 278429,
  [SMALL_STATE(15436)] = 278443,
  [SMALL_STATE(15437)] = 278457,
  [SMALL_STATE(15438)] = 278471,
  [SMALL_STATE(15439)] = 278485,
  [SMALL_STATE(15440)] = 278499,
  [SMALL_STATE(15441)] = 278519,
  [SMALL_STATE(15442)] = 278533,
  [SMALL_STATE(15443)] = 278547,
  [SMALL_STATE(15444)] = 278561,
  [SMALL_STATE(15445)] = 278575,
  [SMALL_STATE(15446)] = 278589,
  [SMALL_STATE(15447)] = 278603,
  [SMALL_STATE(15448)] = 278617,
  [SMALL_STATE(15449)] = 278631,
  [SMALL_STATE(15450)] = 278645,
  [SMALL_STATE(15451)] = 278659,
  [SMALL_STATE(15452)] = 278681,
  [SMALL_STATE(15453)] = 278701,
  [SMALL_STATE(15454)] = 278715,
  [SMALL_STATE(15455)] = 278729,
  [SMALL_STATE(15456)] = 278743,
  [SMALL_STATE(15457)] = 278757,
  [SMALL_STATE(15458)] = 278771,
  [SMALL_STATE(15459)] = 278791,
  [SMALL_STATE(15460)] = 278805,
  [SMALL_STATE(15461)] = 278819,
  [SMALL_STATE(15462)] = 278837,
  [SMALL_STATE(15463)] = 278851,
  [SMALL_STATE(15464)] = 278865,
  [SMALL_STATE(15465)] = 278881,
  [SMALL_STATE(15466)] = 278900,
  [SMALL_STATE(15467)] = 278915,
  [SMALL_STATE(15468)] = 278930,
  [SMALL_STATE(15469)] = 278945,
  [SMALL_STATE(15470)] = 278964,
  [SMALL_STATE(15471)] = 278981,
  [SMALL_STATE(15472)] = 278998,
  [SMALL_STATE(15473)] = 279015,
  [SMALL_STATE(15474)] = 279032,
  [SMALL_STATE(15475)] = 279049,
  [SMALL_STATE(15476)] = 279068,
  [SMALL_STATE(15477)] = 279083,
  [SMALL_STATE(15478)] = 279098,
  [SMALL_STATE(15479)] = 279115,
  [SMALL_STATE(15480)] = 279132,
  [SMALL_STATE(15481)] = 279149,
  [SMALL_STATE(15482)] = 279164,
  [SMALL_STATE(15483)] = 279181,
  [SMALL_STATE(15484)] = 279196,
  [SMALL_STATE(15485)] = 279213,
  [SMALL_STATE(15486)] = 279232,
  [SMALL_STATE(15487)] = 279249,
  [SMALL_STATE(15488)] = 279264,
  [SMALL_STATE(15489)] = 279283,
  [SMALL_STATE(15490)] = 279298,
  [SMALL_STATE(15491)] = 279313,
  [SMALL_STATE(15492)] = 279330,
  [SMALL_STATE(15493)] = 279347,
  [SMALL_STATE(15494)] = 279364,
  [SMALL_STATE(15495)] = 279379,
  [SMALL_STATE(15496)] = 279394,
  [SMALL_STATE(15497)] = 279409,
  [SMALL_STATE(15498)] = 279428,
  [SMALL_STATE(15499)] = 279443,
  [SMALL_STATE(15500)] = 279460,
  [SMALL_STATE(15501)] = 279475,
  [SMALL_STATE(15502)] = 279494,
  [SMALL_STATE(15503)] = 279509,
  [SMALL_STATE(15504)] = 279528,
  [SMALL_STATE(15505)] = 279545,
  [SMALL_STATE(15506)] = 279560,
  [SMALL_STATE(15507)] = 279579,
  [SMALL_STATE(15508)] = 279596,
  [SMALL_STATE(15509)] = 279611,
  [SMALL_STATE(15510)] = 279626,
  [SMALL_STATE(15511)] = 279643,
  [SMALL_STATE(15512)] = 279662,
  [SMALL_STATE(15513)] = 279679,
  [SMALL_STATE(15514)] = 279694,
  [SMALL_STATE(15515)] = 279711,
  [SMALL_STATE(15516)] = 279726,
  [SMALL_STATE(15517)] = 279743,
  [SMALL_STATE(15518)] = 279760,
  [SMALL_STATE(15519)] = 279777,
  [SMALL_STATE(15520)] = 279794,
  [SMALL_STATE(15521)] = 279811,
  [SMALL_STATE(15522)] = 279828,
  [SMALL_STATE(15523)] = 279843,
  [SMALL_STATE(15524)] = 279858,
  [SMALL_STATE(15525)] = 279873,
  [SMALL_STATE(15526)] = 279892,
  [SMALL_STATE(15527)] = 279907,
  [SMALL_STATE(15528)] = 279924,
  [SMALL_STATE(15529)] = 279943,
  [SMALL_STATE(15530)] = 279962,
  [SMALL_STATE(15531)] = 279979,
  [SMALL_STATE(15532)] = 279996,
  [SMALL_STATE(15533)] = 280011,
  [SMALL_STATE(15534)] = 280026,
  [SMALL_STATE(15535)] = 280043,
  [SMALL_STATE(15536)] = 280058,
  [SMALL_STATE(15537)] = 280073,
  [SMALL_STATE(15538)] = 280090,
  [SMALL_STATE(15539)] = 280105,
  [SMALL_STATE(15540)] = 280124,
  [SMALL_STATE(15541)] = 280141,
  [SMALL_STATE(15542)] = 280158,
  [SMALL_STATE(15543)] = 280177,
  [SMALL_STATE(15544)] = 280194,
  [SMALL_STATE(15545)] = 280213,
  [SMALL_STATE(15546)] = 280230,
  [SMALL_STATE(15547)] = 280249,
  [SMALL_STATE(15548)] = 280268,
  [SMALL_STATE(15549)] = 280285,
  [SMALL_STATE(15550)] = 280302,
  [SMALL_STATE(15551)] = 280317,
  [SMALL_STATE(15552)] = 280332,
  [SMALL_STATE(15553)] = 280347,
  [SMALL_STATE(15554)] = 280364,
  [SMALL_STATE(15555)] = 280379,
  [SMALL_STATE(15556)] = 280394,
  [SMALL_STATE(15557)] = 280409,
  [SMALL_STATE(15558)] = 280426,
  [SMALL_STATE(15559)] = 280443,
  [SMALL_STATE(15560)] = 280454,
  [SMALL_STATE(15561)] = 280471,
  [SMALL_STATE(15562)] = 280488,
  [SMALL_STATE(15563)] = 280507,
  [SMALL_STATE(15564)] = 280524,
  [SMALL_STATE(15565)] = 280541,
  [SMALL_STATE(15566)] = 280558,
  [SMALL_STATE(15567)] = 280577,
  [SMALL_STATE(15568)] = 280596,
  [SMALL_STATE(15569)] = 280615,
  [SMALL_STATE(15570)] = 280634,
  [SMALL_STATE(15571)] = 280653,
  [SMALL_STATE(15572)] = 280670,
  [SMALL_STATE(15573)] = 280685,
  [SMALL_STATE(15574)] = 280702,
  [SMALL_STATE(15575)] = 280721,
  [SMALL_STATE(15576)] = 280736,
  [SMALL_STATE(15577)] = 280753,
  [SMALL_STATE(15578)] = 280768,
  [SMALL_STATE(15579)] = 280783,
  [SMALL_STATE(15580)] = 280800,
  [SMALL_STATE(15581)] = 280817,
  [SMALL_STATE(15582)] = 280834,
  [SMALL_STATE(15583)] = 280851,
  [SMALL_STATE(15584)] = 280868,
  [SMALL_STATE(15585)] = 280885,
  [SMALL_STATE(15586)] = 280900,
  [SMALL_STATE(15587)] = 280915,
  [SMALL_STATE(15588)] = 280930,
  [SMALL_STATE(15589)] = 280945,
  [SMALL_STATE(15590)] = 280962,
  [SMALL_STATE(15591)] = 280979,
  [SMALL_STATE(15592)] = 280994,
  [SMALL_STATE(15593)] = 281009,
  [SMALL_STATE(15594)] = 281026,
  [SMALL_STATE(15595)] = 281043,
  [SMALL_STATE(15596)] = 281060,
  [SMALL_STATE(15597)] = 281079,
  [SMALL_STATE(15598)] = 281098,
  [SMALL_STATE(15599)] = 281117,
  [SMALL_STATE(15600)] = 281134,
  [SMALL_STATE(15601)] = 281149,
  [SMALL_STATE(15602)] = 281164,
  [SMALL_STATE(15603)] = 281181,
  [SMALL_STATE(15604)] = 281198,
  [SMALL_STATE(15605)] = 281215,
  [SMALL_STATE(15606)] = 281232,
  [SMALL_STATE(15607)] = 281249,
  [SMALL_STATE(15608)] = 281266,
  [SMALL_STATE(15609)] = 281285,
  [SMALL_STATE(15610)] = 281300,
  [SMALL_STATE(15611)] = 281315,
  [SMALL_STATE(15612)] = 281332,
  [SMALL_STATE(15613)] = 281351,
  [SMALL_STATE(15614)] = 281368,
  [SMALL_STATE(15615)] = 281385,
  [SMALL_STATE(15616)] = 281402,
  [SMALL_STATE(15617)] = 281417,
  [SMALL_STATE(15618)] = 281434,
  [SMALL_STATE(15619)] = 281451,
  [SMALL_STATE(15620)] = 281466,
  [SMALL_STATE(15621)] = 281483,
  [SMALL_STATE(15622)] = 281498,
  [SMALL_STATE(15623)] = 281515,
  [SMALL_STATE(15624)] = 281532,
  [SMALL_STATE(15625)] = 281551,
  [SMALL_STATE(15626)] = 281568,
  [SMALL_STATE(15627)] = 281587,
  [SMALL_STATE(15628)] = 281602,
  [SMALL_STATE(15629)] = 281617,
  [SMALL_STATE(15630)] = 281634,
  [SMALL_STATE(15631)] = 281649,
  [SMALL_STATE(15632)] = 281668,
  [SMALL_STATE(15633)] = 281685,
  [SMALL_STATE(15634)] = 281704,
  [SMALL_STATE(15635)] = 281721,
  [SMALL_STATE(15636)] = 281738,
  [SMALL_STATE(15637)] = 281753,
  [SMALL_STATE(15638)] = 281768,
  [SMALL_STATE(15639)] = 281783,
  [SMALL_STATE(15640)] = 281798,
  [SMALL_STATE(15641)] = 281817,
  [SMALL_STATE(15642)] = 281834,
  [SMALL_STATE(15643)] = 281851,
  [SMALL_STATE(15644)] = 281868,
  [SMALL_STATE(15645)] = 281885,
  [SMALL_STATE(15646)] = 281904,
  [SMALL_STATE(15647)] = 281923,
  [SMALL_STATE(15648)] = 281938,
  [SMALL_STATE(15649)] = 281955,
  [SMALL_STATE(15650)] = 281970,
  [SMALL_STATE(15651)] = 281985,
  [SMALL_STATE(15652)] = 282000,
  [SMALL_STATE(15653)] = 282015,
  [SMALL_STATE(15654)] = 282032,
  [SMALL_STATE(15655)] = 282049,
  [SMALL_STATE(15656)] = 282068,
  [SMALL_STATE(15657)] = 282085,
  [SMALL_STATE(15658)] = 282102,
  [SMALL_STATE(15659)] = 282121,
  [SMALL_STATE(15660)] = 282138,
  [SMALL_STATE(15661)] = 282155,
  [SMALL_STATE(15662)] = 282172,
  [SMALL_STATE(15663)] = 282189,
  [SMALL_STATE(15664)] = 282204,
  [SMALL_STATE(15665)] = 282219,
  [SMALL_STATE(15666)] = 282236,
  [SMALL_STATE(15667)] = 282253,
  [SMALL_STATE(15668)] = 282270,
  [SMALL_STATE(15669)] = 282285,
  [SMALL_STATE(15670)] = 282304,
  [SMALL_STATE(15671)] = 282321,
  [SMALL_STATE(15672)] = 282336,
  [SMALL_STATE(15673)] = 282351,
  [SMALL_STATE(15674)] = 282368,
  [SMALL_STATE(15675)] = 282385,
  [SMALL_STATE(15676)] = 282402,
  [SMALL_STATE(15677)] = 282419,
  [SMALL_STATE(15678)] = 282438,
  [SMALL_STATE(15679)] = 282453,
  [SMALL_STATE(15680)] = 282468,
  [SMALL_STATE(15681)] = 282485,
  [SMALL_STATE(15682)] = 282502,
  [SMALL_STATE(15683)] = 282519,
  [SMALL_STATE(15684)] = 282534,
  [SMALL_STATE(15685)] = 282549,
  [SMALL_STATE(15686)] = 282566,
  [SMALL_STATE(15687)] = 282581,
  [SMALL_STATE(15688)] = 282598,
  [SMALL_STATE(15689)] = 282615,
  [SMALL_STATE(15690)] = 282634,
  [SMALL_STATE(15691)] = 282649,
  [SMALL_STATE(15692)] = 282666,
  [SMALL_STATE(15693)] = 282683,
  [SMALL_STATE(15694)] = 282700,
  [SMALL_STATE(15695)] = 282715,
  [SMALL_STATE(15696)] = 282732,
  [SMALL_STATE(15697)] = 282749,
  [SMALL_STATE(15698)] = 282766,
  [SMALL_STATE(15699)] = 282783,
  [SMALL_STATE(15700)] = 282802,
  [SMALL_STATE(15701)] = 282819,
  [SMALL_STATE(15702)] = 282836,
  [SMALL_STATE(15703)] = 282853,
  [SMALL_STATE(15704)] = 282870,
  [SMALL_STATE(15705)] = 282887,
  [SMALL_STATE(15706)] = 282904,
  [SMALL_STATE(15707)] = 282921,
  [SMALL_STATE(15708)] = 282936,
  [SMALL_STATE(15709)] = 282951,
  [SMALL_STATE(15710)] = 282968,
  [SMALL_STATE(15711)] = 282983,
  [SMALL_STATE(15712)] = 282998,
  [SMALL_STATE(15713)] = 283013,
  [SMALL_STATE(15714)] = 283030,
  [SMALL_STATE(15715)] = 283047,
  [SMALL_STATE(15716)] = 283064,
  [SMALL_STATE(15717)] = 283079,
  [SMALL_STATE(15718)] = 283098,
  [SMALL_STATE(15719)] = 283115,
  [SMALL_STATE(15720)] = 283132,
  [SMALL_STATE(15721)] = 283147,
  [SMALL_STATE(15722)] = 283164,
  [SMALL_STATE(15723)] = 283179,
  [SMALL_STATE(15724)] = 283194,
  [SMALL_STATE(15725)] = 283211,
  [SMALL_STATE(15726)] = 283226,
  [SMALL_STATE(15727)] = 283245,
  [SMALL_STATE(15728)] = 283264,
  [SMALL_STATE(15729)] = 283281,
  [SMALL_STATE(15730)] = 283296,
  [SMALL_STATE(15731)] = 283315,
  [SMALL_STATE(15732)] = 283330,
  [SMALL_STATE(15733)] = 283347,
  [SMALL_STATE(15734)] = 283362,
  [SMALL_STATE(15735)] = 283377,
  [SMALL_STATE(15736)] = 283394,
  [SMALL_STATE(15737)] = 283413,
  [SMALL_STATE(15738)] = 283428,
  [SMALL_STATE(15739)] = 283443,
  [SMALL_STATE(15740)] = 283458,
  [SMALL_STATE(15741)] = 283473,
  [SMALL_STATE(15742)] = 283490,
  [SMALL_STATE(15743)] = 283507,
  [SMALL_STATE(15744)] = 283524,
  [SMALL_STATE(15745)] = 283539,
  [SMALL_STATE(15746)] = 283556,
  [SMALL_STATE(15747)] = 283571,
  [SMALL_STATE(15748)] = 283586,
  [SMALL_STATE(15749)] = 283605,
  [SMALL_STATE(15750)] = 283624,
  [SMALL_STATE(15751)] = 283641,
  [SMALL_STATE(15752)] = 283656,
  [SMALL_STATE(15753)] = 283671,
  [SMALL_STATE(15754)] = 283686,
  [SMALL_STATE(15755)] = 283703,
  [SMALL_STATE(15756)] = 283718,
  [SMALL_STATE(15757)] = 283733,
  [SMALL_STATE(15758)] = 283750,
  [SMALL_STATE(15759)] = 283767,
  [SMALL_STATE(15760)] = 283784,
  [SMALL_STATE(15761)] = 283801,
  [SMALL_STATE(15762)] = 283818,
  [SMALL_STATE(15763)] = 283837,
  [SMALL_STATE(15764)] = 283854,
  [SMALL_STATE(15765)] = 283871,
  [SMALL_STATE(15766)] = 283886,
  [SMALL_STATE(15767)] = 283903,
  [SMALL_STATE(15768)] = 283920,
  [SMALL_STATE(15769)] = 283937,
  [SMALL_STATE(15770)] = 283956,
  [SMALL_STATE(15771)] = 283973,
  [SMALL_STATE(15772)] = 283990,
  [SMALL_STATE(15773)] = 284009,
  [SMALL_STATE(15774)] = 284026,
  [SMALL_STATE(15775)] = 284043,
  [SMALL_STATE(15776)] = 284060,
  [SMALL_STATE(15777)] = 284077,
  [SMALL_STATE(15778)] = 284094,
  [SMALL_STATE(15779)] = 284109,
  [SMALL_STATE(15780)] = 284128,
  [SMALL_STATE(15781)] = 284145,
  [SMALL_STATE(15782)] = 284160,
  [SMALL_STATE(15783)] = 284175,
  [SMALL_STATE(15784)] = 284192,
  [SMALL_STATE(15785)] = 284207,
  [SMALL_STATE(15786)] = 284226,
  [SMALL_STATE(15787)] = 284245,
  [SMALL_STATE(15788)] = 284260,
  [SMALL_STATE(15789)] = 284279,
  [SMALL_STATE(15790)] = 284298,
  [SMALL_STATE(15791)] = 284315,
  [SMALL_STATE(15792)] = 284330,
  [SMALL_STATE(15793)] = 284347,
  [SMALL_STATE(15794)] = 284362,
  [SMALL_STATE(15795)] = 284381,
  [SMALL_STATE(15796)] = 284396,
  [SMALL_STATE(15797)] = 284413,
  [SMALL_STATE(15798)] = 284430,
  [SMALL_STATE(15799)] = 284447,
  [SMALL_STATE(15800)] = 284464,
  [SMALL_STATE(15801)] = 284483,
  [SMALL_STATE(15802)] = 284500,
  [SMALL_STATE(15803)] = 284517,
  [SMALL_STATE(15804)] = 284532,
  [SMALL_STATE(15805)] = 284547,
  [SMALL_STATE(15806)] = 284562,
  [SMALL_STATE(15807)] = 284577,
  [SMALL_STATE(15808)] = 284592,
  [SMALL_STATE(15809)] = 284611,
  [SMALL_STATE(15810)] = 284626,
  [SMALL_STATE(15811)] = 284643,
  [SMALL_STATE(15812)] = 284658,
  [SMALL_STATE(15813)] = 284673,
  [SMALL_STATE(15814)] = 284688,
  [SMALL_STATE(15815)] = 284699,
  [SMALL_STATE(15816)] = 284716,
  [SMALL_STATE(15817)] = 284733,
  [SMALL_STATE(15818)] = 284748,
  [SMALL_STATE(15819)] = 284763,
  [SMALL_STATE(15820)] = 284778,
  [SMALL_STATE(15821)] = 284795,
  [SMALL_STATE(15822)] = 284814,
  [SMALL_STATE(15823)] = 284831,
  [SMALL_STATE(15824)] = 284848,
  [SMALL_STATE(15825)] = 284867,
  [SMALL_STATE(15826)] = 284882,
  [SMALL_STATE(15827)] = 284899,
  [SMALL_STATE(15828)] = 284916,
  [SMALL_STATE(15829)] = 284935,
  [SMALL_STATE(15830)] = 284952,
  [SMALL_STATE(15831)] = 284971,
  [SMALL_STATE(15832)] = 284988,
  [SMALL_STATE(15833)] = 285007,
  [SMALL_STATE(15834)] = 285024,
  [SMALL_STATE(15835)] = 285035,
  [SMALL_STATE(15836)] = 285046,
  [SMALL_STATE(15837)] = 285065,
  [SMALL_STATE(15838)] = 285080,
  [SMALL_STATE(15839)] = 285095,
  [SMALL_STATE(15840)] = 285110,
  [SMALL_STATE(15841)] = 285125,
  [SMALL_STATE(15842)] = 285144,
  [SMALL_STATE(15843)] = 285161,
  [SMALL_STATE(15844)] = 285178,
  [SMALL_STATE(15845)] = 285195,
  [SMALL_STATE(15846)] = 285210,
  [SMALL_STATE(15847)] = 285227,
  [SMALL_STATE(15848)] = 285246,
  [SMALL_STATE(15849)] = 285261,
  [SMALL_STATE(15850)] = 285278,
  [SMALL_STATE(15851)] = 285293,
  [SMALL_STATE(15852)] = 285308,
  [SMALL_STATE(15853)] = 285325,
  [SMALL_STATE(15854)] = 285344,
  [SMALL_STATE(15855)] = 285361,
  [SMALL_STATE(15856)] = 285378,
  [SMALL_STATE(15857)] = 285395,
  [SMALL_STATE(15858)] = 285412,
  [SMALL_STATE(15859)] = 285429,
  [SMALL_STATE(15860)] = 285448,
  [SMALL_STATE(15861)] = 285465,
  [SMALL_STATE(15862)] = 285482,
  [SMALL_STATE(15863)] = 285493,
  [SMALL_STATE(15864)] = 285512,
  [SMALL_STATE(15865)] = 285529,
  [SMALL_STATE(15866)] = 285546,
  [SMALL_STATE(15867)] = 285557,
  [SMALL_STATE(15868)] = 285574,
  [SMALL_STATE(15869)] = 285591,
  [SMALL_STATE(15870)] = 285608,
  [SMALL_STATE(15871)] = 285619,
  [SMALL_STATE(15872)] = 285636,
  [SMALL_STATE(15873)] = 285651,
  [SMALL_STATE(15874)] = 285668,
  [SMALL_STATE(15875)] = 285685,
  [SMALL_STATE(15876)] = 285700,
  [SMALL_STATE(15877)] = 285717,
  [SMALL_STATE(15878)] = 285732,
  [SMALL_STATE(15879)] = 285747,
  [SMALL_STATE(15880)] = 285764,
  [SMALL_STATE(15881)] = 285777,
  [SMALL_STATE(15882)] = 285794,
  [SMALL_STATE(15883)] = 285809,
  [SMALL_STATE(15884)] = 285824,
  [SMALL_STATE(15885)] = 285843,
  [SMALL_STATE(15886)] = 285858,
  [SMALL_STATE(15887)] = 285869,
  [SMALL_STATE(15888)] = 285886,
  [SMALL_STATE(15889)] = 285905,
  [SMALL_STATE(15890)] = 285922,
  [SMALL_STATE(15891)] = 285939,
  [SMALL_STATE(15892)] = 285958,
  [SMALL_STATE(15893)] = 285973,
  [SMALL_STATE(15894)] = 285988,
  [SMALL_STATE(15895)] = 286005,
  [SMALL_STATE(15896)] = 286022,
  [SMALL_STATE(15897)] = 286033,
  [SMALL_STATE(15898)] = 286050,
  [SMALL_STATE(15899)] = 286061,
  [SMALL_STATE(15900)] = 286076,
  [SMALL_STATE(15901)] = 286095,
  [SMALL_STATE(15902)] = 286112,
  [SMALL_STATE(15903)] = 286127,
  [SMALL_STATE(15904)] = 286142,
  [SMALL_STATE(15905)] = 286161,
  [SMALL_STATE(15906)] = 286176,
  [SMALL_STATE(15907)] = 286193,
  [SMALL_STATE(15908)] = 286208,
  [SMALL_STATE(15909)] = 286223,
  [SMALL_STATE(15910)] = 286240,
  [SMALL_STATE(15911)] = 286257,
  [SMALL_STATE(15912)] = 286272,
  [SMALL_STATE(15913)] = 286287,
  [SMALL_STATE(15914)] = 286304,
  [SMALL_STATE(15915)] = 286323,
  [SMALL_STATE(15916)] = 286340,
  [SMALL_STATE(15917)] = 286355,
  [SMALL_STATE(15918)] = 286370,
  [SMALL_STATE(15919)] = 286389,
  [SMALL_STATE(15920)] = 286406,
  [SMALL_STATE(15921)] = 286423,
  [SMALL_STATE(15922)] = 286442,
  [SMALL_STATE(15923)] = 286459,
  [SMALL_STATE(15924)] = 286474,
  [SMALL_STATE(15925)] = 286489,
  [SMALL_STATE(15926)] = 286504,
  [SMALL_STATE(15927)] = 286523,
  [SMALL_STATE(15928)] = 286538,
  [SMALL_STATE(15929)] = 286557,
  [SMALL_STATE(15930)] = 286574,
  [SMALL_STATE(15931)] = 286593,
  [SMALL_STATE(15932)] = 286610,
  [SMALL_STATE(15933)] = 286627,
  [SMALL_STATE(15934)] = 286642,
  [SMALL_STATE(15935)] = 286657,
  [SMALL_STATE(15936)] = 286672,
  [SMALL_STATE(15937)] = 286689,
  [SMALL_STATE(15938)] = 286704,
  [SMALL_STATE(15939)] = 286719,
  [SMALL_STATE(15940)] = 286734,
  [SMALL_STATE(15941)] = 286749,
  [SMALL_STATE(15942)] = 286766,
  [SMALL_STATE(15943)] = 286781,
  [SMALL_STATE(15944)] = 286798,
  [SMALL_STATE(15945)] = 286815,
  [SMALL_STATE(15946)] = 286832,
  [SMALL_STATE(15947)] = 286849,
  [SMALL_STATE(15948)] = 286868,
  [SMALL_STATE(15949)] = 286887,
  [SMALL_STATE(15950)] = 286904,
  [SMALL_STATE(15951)] = 286919,
  [SMALL_STATE(15952)] = 286938,
  [SMALL_STATE(15953)] = 286955,
  [SMALL_STATE(15954)] = 286972,
  [SMALL_STATE(15955)] = 286991,
  [SMALL_STATE(15956)] = 287008,
  [SMALL_STATE(15957)] = 287025,
  [SMALL_STATE(15958)] = 287040,
  [SMALL_STATE(15959)] = 287055,
  [SMALL_STATE(15960)] = 287072,
  [SMALL_STATE(15961)] = 287089,
  [SMALL_STATE(15962)] = 287106,
  [SMALL_STATE(15963)] = 287123,
  [SMALL_STATE(15964)] = 287138,
  [SMALL_STATE(15965)] = 287155,
  [SMALL_STATE(15966)] = 287172,
  [SMALL_STATE(15967)] = 287187,
  [SMALL_STATE(15968)] = 287204,
  [SMALL_STATE(15969)] = 287221,
  [SMALL_STATE(15970)] = 287238,
  [SMALL_STATE(15971)] = 287255,
  [SMALL_STATE(15972)] = 287274,
  [SMALL_STATE(15973)] = 287291,
  [SMALL_STATE(15974)] = 287308,
  [SMALL_STATE(15975)] = 287323,
  [SMALL_STATE(15976)] = 287338,
  [SMALL_STATE(15977)] = 287355,
  [SMALL_STATE(15978)] = 287370,
  [SMALL_STATE(15979)] = 287385,
  [SMALL_STATE(15980)] = 287400,
  [SMALL_STATE(15981)] = 287415,
  [SMALL_STATE(15982)] = 287430,
  [SMALL_STATE(15983)] = 287449,
  [SMALL_STATE(15984)] = 287466,
  [SMALL_STATE(15985)] = 287483,
  [SMALL_STATE(15986)] = 287500,
  [SMALL_STATE(15987)] = 287517,
  [SMALL_STATE(15988)] = 287532,
  [SMALL_STATE(15989)] = 287547,
  [SMALL_STATE(15990)] = 287562,
  [SMALL_STATE(15991)] = 287579,
  [SMALL_STATE(15992)] = 287596,
  [SMALL_STATE(15993)] = 287611,
  [SMALL_STATE(15994)] = 287626,
  [SMALL_STATE(15995)] = 287641,
  [SMALL_STATE(15996)] = 287658,
  [SMALL_STATE(15997)] = 287673,
  [SMALL_STATE(15998)] = 287688,
  [SMALL_STATE(15999)] = 287703,
  [SMALL_STATE(16000)] = 287718,
  [SMALL_STATE(16001)] = 287737,
  [SMALL_STATE(16002)] = 287752,
  [SMALL_STATE(16003)] = 287767,
  [SMALL_STATE(16004)] = 287782,
  [SMALL_STATE(16005)] = 287797,
  [SMALL_STATE(16006)] = 287812,
  [SMALL_STATE(16007)] = 287827,
  [SMALL_STATE(16008)] = 287842,
  [SMALL_STATE(16009)] = 287857,
  [SMALL_STATE(16010)] = 287874,
  [SMALL_STATE(16011)] = 287891,
  [SMALL_STATE(16012)] = 287906,
  [SMALL_STATE(16013)] = 287921,
  [SMALL_STATE(16014)] = 287938,
  [SMALL_STATE(16015)] = 287955,
  [SMALL_STATE(16016)] = 287974,
  [SMALL_STATE(16017)] = 287991,
  [SMALL_STATE(16018)] = 288006,
  [SMALL_STATE(16019)] = 288021,
  [SMALL_STATE(16020)] = 288036,
  [SMALL_STATE(16021)] = 288053,
  [SMALL_STATE(16022)] = 288068,
  [SMALL_STATE(16023)] = 288087,
  [SMALL_STATE(16024)] = 288102,
  [SMALL_STATE(16025)] = 288121,
  [SMALL_STATE(16026)] = 288136,
  [SMALL_STATE(16027)] = 288151,
  [SMALL_STATE(16028)] = 288166,
  [SMALL_STATE(16029)] = 288181,
  [SMALL_STATE(16030)] = 288196,
  [SMALL_STATE(16031)] = 288211,
  [SMALL_STATE(16032)] = 288226,
  [SMALL_STATE(16033)] = 288241,
  [SMALL_STATE(16034)] = 288256,
  [SMALL_STATE(16035)] = 288271,
  [SMALL_STATE(16036)] = 288288,
  [SMALL_STATE(16037)] = 288305,
  [SMALL_STATE(16038)] = 288322,
  [SMALL_STATE(16039)] = 288339,
  [SMALL_STATE(16040)] = 288354,
  [SMALL_STATE(16041)] = 288369,
  [SMALL_STATE(16042)] = 288384,
  [SMALL_STATE(16043)] = 288399,
  [SMALL_STATE(16044)] = 288416,
  [SMALL_STATE(16045)] = 288431,
  [SMALL_STATE(16046)] = 288446,
  [SMALL_STATE(16047)] = 288461,
  [SMALL_STATE(16048)] = 288476,
  [SMALL_STATE(16049)] = 288493,
  [SMALL_STATE(16050)] = 288508,
  [SMALL_STATE(16051)] = 288523,
  [SMALL_STATE(16052)] = 288538,
  [SMALL_STATE(16053)] = 288553,
  [SMALL_STATE(16054)] = 288568,
  [SMALL_STATE(16055)] = 288585,
  [SMALL_STATE(16056)] = 288596,
  [SMALL_STATE(16057)] = 288611,
  [SMALL_STATE(16058)] = 288626,
  [SMALL_STATE(16059)] = 288641,
  [SMALL_STATE(16060)] = 288658,
  [SMALL_STATE(16061)] = 288677,
  [SMALL_STATE(16062)] = 288694,
  [SMALL_STATE(16063)] = 288711,
  [SMALL_STATE(16064)] = 288728,
  [SMALL_STATE(16065)] = 288743,
  [SMALL_STATE(16066)] = 288758,
  [SMALL_STATE(16067)] = 288773,
  [SMALL_STATE(16068)] = 288788,
  [SMALL_STATE(16069)] = 288805,
  [SMALL_STATE(16070)] = 288822,
  [SMALL_STATE(16071)] = 288837,
  [SMALL_STATE(16072)] = 288856,
  [SMALL_STATE(16073)] = 288873,
  [SMALL_STATE(16074)] = 288888,
  [SMALL_STATE(16075)] = 288905,
  [SMALL_STATE(16076)] = 288924,
  [SMALL_STATE(16077)] = 288939,
  [SMALL_STATE(16078)] = 288958,
  [SMALL_STATE(16079)] = 288973,
  [SMALL_STATE(16080)] = 288990,
  [SMALL_STATE(16081)] = 289007,
  [SMALL_STATE(16082)] = 289026,
  [SMALL_STATE(16083)] = 289041,
  [SMALL_STATE(16084)] = 289056,
  [SMALL_STATE(16085)] = 289071,
  [SMALL_STATE(16086)] = 289088,
  [SMALL_STATE(16087)] = 289103,
  [SMALL_STATE(16088)] = 289118,
  [SMALL_STATE(16089)] = 289135,
  [SMALL_STATE(16090)] = 289150,
  [SMALL_STATE(16091)] = 289167,
  [SMALL_STATE(16092)] = 289186,
  [SMALL_STATE(16093)] = 289205,
  [SMALL_STATE(16094)] = 289220,
  [SMALL_STATE(16095)] = 289235,
  [SMALL_STATE(16096)] = 289252,
  [SMALL_STATE(16097)] = 289267,
  [SMALL_STATE(16098)] = 289284,
  [SMALL_STATE(16099)] = 289299,
  [SMALL_STATE(16100)] = 289314,
  [SMALL_STATE(16101)] = 289329,
  [SMALL_STATE(16102)] = 289348,
  [SMALL_STATE(16103)] = 289363,
  [SMALL_STATE(16104)] = 289382,
  [SMALL_STATE(16105)] = 289401,
  [SMALL_STATE(16106)] = 289420,
  [SMALL_STATE(16107)] = 289439,
  [SMALL_STATE(16108)] = 289454,
  [SMALL_STATE(16109)] = 289473,
  [SMALL_STATE(16110)] = 289490,
  [SMALL_STATE(16111)] = 289509,
  [SMALL_STATE(16112)] = 289524,
  [SMALL_STATE(16113)] = 289539,
  [SMALL_STATE(16114)] = 289556,
  [SMALL_STATE(16115)] = 289573,
  [SMALL_STATE(16116)] = 289590,
  [SMALL_STATE(16117)] = 289607,
  [SMALL_STATE(16118)] = 289624,
  [SMALL_STATE(16119)] = 289639,
  [SMALL_STATE(16120)] = 289656,
  [SMALL_STATE(16121)] = 289671,
  [SMALL_STATE(16122)] = 289686,
  [SMALL_STATE(16123)] = 289701,
  [SMALL_STATE(16124)] = 289716,
  [SMALL_STATE(16125)] = 289731,
  [SMALL_STATE(16126)] = 289748,
  [SMALL_STATE(16127)] = 289765,
  [SMALL_STATE(16128)] = 289782,
  [SMALL_STATE(16129)] = 289797,
  [SMALL_STATE(16130)] = 289814,
  [SMALL_STATE(16131)] = 289829,
  [SMALL_STATE(16132)] = 289848,
  [SMALL_STATE(16133)] = 289865,
  [SMALL_STATE(16134)] = 289880,
  [SMALL_STATE(16135)] = 289897,
  [SMALL_STATE(16136)] = 289914,
  [SMALL_STATE(16137)] = 289929,
  [SMALL_STATE(16138)] = 289948,
  [SMALL_STATE(16139)] = 289963,
  [SMALL_STATE(16140)] = 289978,
  [SMALL_STATE(16141)] = 289993,
  [SMALL_STATE(16142)] = 290010,
  [SMALL_STATE(16143)] = 290025,
  [SMALL_STATE(16144)] = 290040,
  [SMALL_STATE(16145)] = 290059,
  [SMALL_STATE(16146)] = 290074,
  [SMALL_STATE(16147)] = 290089,
  [SMALL_STATE(16148)] = 290106,
  [SMALL_STATE(16149)] = 290123,
  [SMALL_STATE(16150)] = 290140,
  [SMALL_STATE(16151)] = 290157,
  [SMALL_STATE(16152)] = 290174,
  [SMALL_STATE(16153)] = 290191,
  [SMALL_STATE(16154)] = 290208,
  [SMALL_STATE(16155)] = 290225,
  [SMALL_STATE(16156)] = 290240,
  [SMALL_STATE(16157)] = 290255,
  [SMALL_STATE(16158)] = 290272,
  [SMALL_STATE(16159)] = 290287,
  [SMALL_STATE(16160)] = 290302,
  [SMALL_STATE(16161)] = 290317,
  [SMALL_STATE(16162)] = 290336,
  [SMALL_STATE(16163)] = 290351,
  [SMALL_STATE(16164)] = 290368,
  [SMALL_STATE(16165)] = 290383,
  [SMALL_STATE(16166)] = 290402,
  [SMALL_STATE(16167)] = 290417,
  [SMALL_STATE(16168)] = 290432,
  [SMALL_STATE(16169)] = 290451,
  [SMALL_STATE(16170)] = 290470,
  [SMALL_STATE(16171)] = 290485,
  [SMALL_STATE(16172)] = 290500,
  [SMALL_STATE(16173)] = 290515,
  [SMALL_STATE(16174)] = 290532,
  [SMALL_STATE(16175)] = 290549,
  [SMALL_STATE(16176)] = 290564,
  [SMALL_STATE(16177)] = 290583,
  [SMALL_STATE(16178)] = 290598,
  [SMALL_STATE(16179)] = 290617,
  [SMALL_STATE(16180)] = 290634,
  [SMALL_STATE(16181)] = 290649,
  [SMALL_STATE(16182)] = 290666,
  [SMALL_STATE(16183)] = 290681,
  [SMALL_STATE(16184)] = 290696,
  [SMALL_STATE(16185)] = 290713,
  [SMALL_STATE(16186)] = 290728,
  [SMALL_STATE(16187)] = 290743,
  [SMALL_STATE(16188)] = 290758,
  [SMALL_STATE(16189)] = 290773,
  [SMALL_STATE(16190)] = 290788,
  [SMALL_STATE(16191)] = 290805,
  [SMALL_STATE(16192)] = 290820,
  [SMALL_STATE(16193)] = 290837,
  [SMALL_STATE(16194)] = 290852,
  [SMALL_STATE(16195)] = 290867,
  [SMALL_STATE(16196)] = 290884,
  [SMALL_STATE(16197)] = 290899,
  [SMALL_STATE(16198)] = 290916,
  [SMALL_STATE(16199)] = 290933,
  [SMALL_STATE(16200)] = 290948,
  [SMALL_STATE(16201)] = 290963,
  [SMALL_STATE(16202)] = 290982,
  [SMALL_STATE(16203)] = 290997,
  [SMALL_STATE(16204)] = 291012,
  [SMALL_STATE(16205)] = 291027,
  [SMALL_STATE(16206)] = 291042,
  [SMALL_STATE(16207)] = 291057,
  [SMALL_STATE(16208)] = 291072,
  [SMALL_STATE(16209)] = 291087,
  [SMALL_STATE(16210)] = 291104,
  [SMALL_STATE(16211)] = 291121,
  [SMALL_STATE(16212)] = 291136,
  [SMALL_STATE(16213)] = 291151,
  [SMALL_STATE(16214)] = 291166,
  [SMALL_STATE(16215)] = 291183,
  [SMALL_STATE(16216)] = 291198,
  [SMALL_STATE(16217)] = 291213,
  [SMALL_STATE(16218)] = 291228,
  [SMALL_STATE(16219)] = 291247,
  [SMALL_STATE(16220)] = 291264,
  [SMALL_STATE(16221)] = 291279,
  [SMALL_STATE(16222)] = 291296,
  [SMALL_STATE(16223)] = 291311,
  [SMALL_STATE(16224)] = 291326,
  [SMALL_STATE(16225)] = 291341,
  [SMALL_STATE(16226)] = 291356,
  [SMALL_STATE(16227)] = 291375,
  [SMALL_STATE(16228)] = 291392,
  [SMALL_STATE(16229)] = 291407,
  [SMALL_STATE(16230)] = 291424,
  [SMALL_STATE(16231)] = 291439,
  [SMALL_STATE(16232)] = 291454,
  [SMALL_STATE(16233)] = 291469,
  [SMALL_STATE(16234)] = 291486,
  [SMALL_STATE(16235)] = 291503,
  [SMALL_STATE(16236)] = 291518,
  [SMALL_STATE(16237)] = 291533,
  [SMALL_STATE(16238)] = 291548,
  [SMALL_STATE(16239)] = 291565,
  [SMALL_STATE(16240)] = 291582,
  [SMALL_STATE(16241)] = 291599,
  [SMALL_STATE(16242)] = 291618,
  [SMALL_STATE(16243)] = 291637,
  [SMALL_STATE(16244)] = 291656,
  [SMALL_STATE(16245)] = 291673,
  [SMALL_STATE(16246)] = 291690,
  [SMALL_STATE(16247)] = 291707,
  [SMALL_STATE(16248)] = 291724,
  [SMALL_STATE(16249)] = 291739,
  [SMALL_STATE(16250)] = 291754,
  [SMALL_STATE(16251)] = 291769,
  [SMALL_STATE(16252)] = 291784,
  [SMALL_STATE(16253)] = 291799,
  [SMALL_STATE(16254)] = 291816,
  [SMALL_STATE(16255)] = 291831,
  [SMALL_STATE(16256)] = 291848,
  [SMALL_STATE(16257)] = 291867,
  [SMALL_STATE(16258)] = 291882,
  [SMALL_STATE(16259)] = 291899,
  [SMALL_STATE(16260)] = 291918,
  [SMALL_STATE(16261)] = 291933,
  [SMALL_STATE(16262)] = 291948,
  [SMALL_STATE(16263)] = 291967,
  [SMALL_STATE(16264)] = 291984,
  [SMALL_STATE(16265)] = 291999,
  [SMALL_STATE(16266)] = 292014,
  [SMALL_STATE(16267)] = 292031,
  [SMALL_STATE(16268)] = 292048,
  [SMALL_STATE(16269)] = 292063,
  [SMALL_STATE(16270)] = 292078,
  [SMALL_STATE(16271)] = 292095,
  [SMALL_STATE(16272)] = 292110,
  [SMALL_STATE(16273)] = 292127,
  [SMALL_STATE(16274)] = 292146,
  [SMALL_STATE(16275)] = 292163,
  [SMALL_STATE(16276)] = 292178,
  [SMALL_STATE(16277)] = 292193,
  [SMALL_STATE(16278)] = 292208,
  [SMALL_STATE(16279)] = 292225,
  [SMALL_STATE(16280)] = 292240,
  [SMALL_STATE(16281)] = 292259,
  [SMALL_STATE(16282)] = 292274,
  [SMALL_STATE(16283)] = 292289,
  [SMALL_STATE(16284)] = 292306,
  [SMALL_STATE(16285)] = 292323,
  [SMALL_STATE(16286)] = 292338,
  [SMALL_STATE(16287)] = 292355,
  [SMALL_STATE(16288)] = 292374,
  [SMALL_STATE(16289)] = 292393,
  [SMALL_STATE(16290)] = 292412,
  [SMALL_STATE(16291)] = 292431,
  [SMALL_STATE(16292)] = 292450,
  [SMALL_STATE(16293)] = 292465,
  [SMALL_STATE(16294)] = 292480,
  [SMALL_STATE(16295)] = 292499,
  [SMALL_STATE(16296)] = 292514,
  [SMALL_STATE(16297)] = 292529,
  [SMALL_STATE(16298)] = 292544,
  [SMALL_STATE(16299)] = 292563,
  [SMALL_STATE(16300)] = 292578,
  [SMALL_STATE(16301)] = 292595,
  [SMALL_STATE(16302)] = 292612,
  [SMALL_STATE(16303)] = 292627,
  [SMALL_STATE(16304)] = 292642,
  [SMALL_STATE(16305)] = 292657,
  [SMALL_STATE(16306)] = 292672,
  [SMALL_STATE(16307)] = 292689,
  [SMALL_STATE(16308)] = 292708,
  [SMALL_STATE(16309)] = 292723,
  [SMALL_STATE(16310)] = 292738,
  [SMALL_STATE(16311)] = 292755,
  [SMALL_STATE(16312)] = 292770,
  [SMALL_STATE(16313)] = 292787,
  [SMALL_STATE(16314)] = 292802,
  [SMALL_STATE(16315)] = 292817,
  [SMALL_STATE(16316)] = 292832,
  [SMALL_STATE(16317)] = 292847,
  [SMALL_STATE(16318)] = 292862,
  [SMALL_STATE(16319)] = 292877,
  [SMALL_STATE(16320)] = 292892,
  [SMALL_STATE(16321)] = 292909,
  [SMALL_STATE(16322)] = 292924,
  [SMALL_STATE(16323)] = 292939,
  [SMALL_STATE(16324)] = 292956,
  [SMALL_STATE(16325)] = 292971,
  [SMALL_STATE(16326)] = 292988,
  [SMALL_STATE(16327)] = 293003,
  [SMALL_STATE(16328)] = 293022,
  [SMALL_STATE(16329)] = 293037,
  [SMALL_STATE(16330)] = 293052,
  [SMALL_STATE(16331)] = 293069,
  [SMALL_STATE(16332)] = 293086,
  [SMALL_STATE(16333)] = 293103,
  [SMALL_STATE(16334)] = 293118,
  [SMALL_STATE(16335)] = 293133,
  [SMALL_STATE(16336)] = 293148,
  [SMALL_STATE(16337)] = 293163,
  [SMALL_STATE(16338)] = 293180,
  [SMALL_STATE(16339)] = 293197,
  [SMALL_STATE(16340)] = 293212,
  [SMALL_STATE(16341)] = 293227,
  [SMALL_STATE(16342)] = 293242,
  [SMALL_STATE(16343)] = 293257,
  [SMALL_STATE(16344)] = 293274,
  [SMALL_STATE(16345)] = 293293,
  [SMALL_STATE(16346)] = 293312,
  [SMALL_STATE(16347)] = 293331,
  [SMALL_STATE(16348)] = 293350,
  [SMALL_STATE(16349)] = 293367,
  [SMALL_STATE(16350)] = 293382,
  [SMALL_STATE(16351)] = 293401,
  [SMALL_STATE(16352)] = 293416,
  [SMALL_STATE(16353)] = 293433,
  [SMALL_STATE(16354)] = 293450,
  [SMALL_STATE(16355)] = 293469,
  [SMALL_STATE(16356)] = 293486,
  [SMALL_STATE(16357)] = 293505,
  [SMALL_STATE(16358)] = 293520,
  [SMALL_STATE(16359)] = 293535,
  [SMALL_STATE(16360)] = 293550,
  [SMALL_STATE(16361)] = 293565,
  [SMALL_STATE(16362)] = 293582,
  [SMALL_STATE(16363)] = 293597,
  [SMALL_STATE(16364)] = 293612,
  [SMALL_STATE(16365)] = 293629,
  [SMALL_STATE(16366)] = 293644,
  [SMALL_STATE(16367)] = 293659,
  [SMALL_STATE(16368)] = 293676,
  [SMALL_STATE(16369)] = 293695,
  [SMALL_STATE(16370)] = 293712,
  [SMALL_STATE(16371)] = 293727,
  [SMALL_STATE(16372)] = 293746,
  [SMALL_STATE(16373)] = 293761,
  [SMALL_STATE(16374)] = 293776,
  [SMALL_STATE(16375)] = 293791,
  [SMALL_STATE(16376)] = 293808,
  [SMALL_STATE(16377)] = 293823,
  [SMALL_STATE(16378)] = 293840,
  [SMALL_STATE(16379)] = 293859,
  [SMALL_STATE(16380)] = 293874,
  [SMALL_STATE(16381)] = 293889,
  [SMALL_STATE(16382)] = 293908,
  [SMALL_STATE(16383)] = 293923,
  [SMALL_STATE(16384)] = 293942,
  [SMALL_STATE(16385)] = 293959,
  [SMALL_STATE(16386)] = 293976,
  [SMALL_STATE(16387)] = 293991,
  [SMALL_STATE(16388)] = 294006,
  [SMALL_STATE(16389)] = 294023,
  [SMALL_STATE(16390)] = 294038,
  [SMALL_STATE(16391)] = 294053,
  [SMALL_STATE(16392)] = 294068,
  [SMALL_STATE(16393)] = 294083,
  [SMALL_STATE(16394)] = 294098,
  [SMALL_STATE(16395)] = 294115,
  [SMALL_STATE(16396)] = 294130,
  [SMALL_STATE(16397)] = 294145,
  [SMALL_STATE(16398)] = 294160,
  [SMALL_STATE(16399)] = 294177,
  [SMALL_STATE(16400)] = 294194,
  [SMALL_STATE(16401)] = 294211,
  [SMALL_STATE(16402)] = 294226,
  [SMALL_STATE(16403)] = 294241,
  [SMALL_STATE(16404)] = 294260,
  [SMALL_STATE(16405)] = 294277,
  [SMALL_STATE(16406)] = 294292,
  [SMALL_STATE(16407)] = 294309,
  [SMALL_STATE(16408)] = 294326,
  [SMALL_STATE(16409)] = 294341,
  [SMALL_STATE(16410)] = 294356,
  [SMALL_STATE(16411)] = 294371,
  [SMALL_STATE(16412)] = 294386,
  [SMALL_STATE(16413)] = 294401,
  [SMALL_STATE(16414)] = 294416,
  [SMALL_STATE(16415)] = 294431,
  [SMALL_STATE(16416)] = 294448,
  [SMALL_STATE(16417)] = 294463,
  [SMALL_STATE(16418)] = 294480,
  [SMALL_STATE(16419)] = 294499,
  [SMALL_STATE(16420)] = 294516,
  [SMALL_STATE(16421)] = 294533,
  [SMALL_STATE(16422)] = 294552,
  [SMALL_STATE(16423)] = 294569,
  [SMALL_STATE(16424)] = 294584,
  [SMALL_STATE(16425)] = 294599,
  [SMALL_STATE(16426)] = 294616,
  [SMALL_STATE(16427)] = 294633,
  [SMALL_STATE(16428)] = 294650,
  [SMALL_STATE(16429)] = 294665,
  [SMALL_STATE(16430)] = 294680,
  [SMALL_STATE(16431)] = 294695,
  [SMALL_STATE(16432)] = 294710,
  [SMALL_STATE(16433)] = 294725,
  [SMALL_STATE(16434)] = 294742,
  [SMALL_STATE(16435)] = 294757,
  [SMALL_STATE(16436)] = 294776,
  [SMALL_STATE(16437)] = 294791,
  [SMALL_STATE(16438)] = 294808,
  [SMALL_STATE(16439)] = 294827,
  [SMALL_STATE(16440)] = 294846,
  [SMALL_STATE(16441)] = 294863,
  [SMALL_STATE(16442)] = 294878,
  [SMALL_STATE(16443)] = 294895,
  [SMALL_STATE(16444)] = 294910,
  [SMALL_STATE(16445)] = 294925,
  [SMALL_STATE(16446)] = 294944,
  [SMALL_STATE(16447)] = 294961,
  [SMALL_STATE(16448)] = 294976,
  [SMALL_STATE(16449)] = 294993,
  [SMALL_STATE(16450)] = 295008,
  [SMALL_STATE(16451)] = 295027,
  [SMALL_STATE(16452)] = 295042,
  [SMALL_STATE(16453)] = 295061,
  [SMALL_STATE(16454)] = 295076,
  [SMALL_STATE(16455)] = 295093,
  [SMALL_STATE(16456)] = 295110,
  [SMALL_STATE(16457)] = 295125,
  [SMALL_STATE(16458)] = 295140,
  [SMALL_STATE(16459)] = 295155,
  [SMALL_STATE(16460)] = 295170,
  [SMALL_STATE(16461)] = 295185,
  [SMALL_STATE(16462)] = 295202,
  [SMALL_STATE(16463)] = 295217,
  [SMALL_STATE(16464)] = 295232,
  [SMALL_STATE(16465)] = 295251,
  [SMALL_STATE(16466)] = 295266,
  [SMALL_STATE(16467)] = 295281,
  [SMALL_STATE(16468)] = 295296,
  [SMALL_STATE(16469)] = 295313,
  [SMALL_STATE(16470)] = 295330,
  [SMALL_STATE(16471)] = 295347,
  [SMALL_STATE(16472)] = 295366,
  [SMALL_STATE(16473)] = 295381,
  [SMALL_STATE(16474)] = 295396,
  [SMALL_STATE(16475)] = 295411,
  [SMALL_STATE(16476)] = 295430,
  [SMALL_STATE(16477)] = 295445,
  [SMALL_STATE(16478)] = 295460,
  [SMALL_STATE(16479)] = 295475,
  [SMALL_STATE(16480)] = 295492,
  [SMALL_STATE(16481)] = 295511,
  [SMALL_STATE(16482)] = 295528,
  [SMALL_STATE(16483)] = 295547,
  [SMALL_STATE(16484)] = 295564,
  [SMALL_STATE(16485)] = 295579,
  [SMALL_STATE(16486)] = 295596,
  [SMALL_STATE(16487)] = 295611,
  [SMALL_STATE(16488)] = 295626,
  [SMALL_STATE(16489)] = 295641,
  [SMALL_STATE(16490)] = 295656,
  [SMALL_STATE(16491)] = 295673,
  [SMALL_STATE(16492)] = 295688,
  [SMALL_STATE(16493)] = 295703,
  [SMALL_STATE(16494)] = 295720,
  [SMALL_STATE(16495)] = 295735,
  [SMALL_STATE(16496)] = 295754,
  [SMALL_STATE(16497)] = 295771,
  [SMALL_STATE(16498)] = 295788,
  [SMALL_STATE(16499)] = 295805,
  [SMALL_STATE(16500)] = 295824,
  [SMALL_STATE(16501)] = 295843,
  [SMALL_STATE(16502)] = 295860,
  [SMALL_STATE(16503)] = 295875,
  [SMALL_STATE(16504)] = 295894,
  [SMALL_STATE(16505)] = 295909,
  [SMALL_STATE(16506)] = 295924,
  [SMALL_STATE(16507)] = 295939,
  [SMALL_STATE(16508)] = 295954,
  [SMALL_STATE(16509)] = 295969,
  [SMALL_STATE(16510)] = 295984,
  [SMALL_STATE(16511)] = 296001,
  [SMALL_STATE(16512)] = 296016,
  [SMALL_STATE(16513)] = 296031,
  [SMALL_STATE(16514)] = 296048,
  [SMALL_STATE(16515)] = 296065,
  [SMALL_STATE(16516)] = 296082,
  [SMALL_STATE(16517)] = 296099,
  [SMALL_STATE(16518)] = 296114,
  [SMALL_STATE(16519)] = 296131,
  [SMALL_STATE(16520)] = 296146,
  [SMALL_STATE(16521)] = 296161,
  [SMALL_STATE(16522)] = 296176,
  [SMALL_STATE(16523)] = 296191,
  [SMALL_STATE(16524)] = 296206,
  [SMALL_STATE(16525)] = 296223,
  [SMALL_STATE(16526)] = 296238,
  [SMALL_STATE(16527)] = 296255,
  [SMALL_STATE(16528)] = 296270,
  [SMALL_STATE(16529)] = 296285,
  [SMALL_STATE(16530)] = 296302,
  [SMALL_STATE(16531)] = 296321,
  [SMALL_STATE(16532)] = 296340,
  [SMALL_STATE(16533)] = 296355,
  [SMALL_STATE(16534)] = 296372,
  [SMALL_STATE(16535)] = 296389,
  [SMALL_STATE(16536)] = 296404,
  [SMALL_STATE(16537)] = 296419,
  [SMALL_STATE(16538)] = 296434,
  [SMALL_STATE(16539)] = 296451,
  [SMALL_STATE(16540)] = 296466,
  [SMALL_STATE(16541)] = 296481,
  [SMALL_STATE(16542)] = 296496,
  [SMALL_STATE(16543)] = 296511,
  [SMALL_STATE(16544)] = 296528,
  [SMALL_STATE(16545)] = 296543,
  [SMALL_STATE(16546)] = 296558,
  [SMALL_STATE(16547)] = 296577,
  [SMALL_STATE(16548)] = 296596,
  [SMALL_STATE(16549)] = 296611,
  [SMALL_STATE(16550)] = 296626,
  [SMALL_STATE(16551)] = 296641,
  [SMALL_STATE(16552)] = 296656,
  [SMALL_STATE(16553)] = 296671,
  [SMALL_STATE(16554)] = 296686,
  [SMALL_STATE(16555)] = 296701,
  [SMALL_STATE(16556)] = 296716,
  [SMALL_STATE(16557)] = 296735,
  [SMALL_STATE(16558)] = 296752,
  [SMALL_STATE(16559)] = 296771,
  [SMALL_STATE(16560)] = 296786,
  [SMALL_STATE(16561)] = 296805,
  [SMALL_STATE(16562)] = 296822,
  [SMALL_STATE(16563)] = 296841,
  [SMALL_STATE(16564)] = 296860,
  [SMALL_STATE(16565)] = 296877,
  [SMALL_STATE(16566)] = 296892,
  [SMALL_STATE(16567)] = 296909,
  [SMALL_STATE(16568)] = 296924,
  [SMALL_STATE(16569)] = 296941,
  [SMALL_STATE(16570)] = 296956,
  [SMALL_STATE(16571)] = 296973,
  [SMALL_STATE(16572)] = 296988,
  [SMALL_STATE(16573)] = 297003,
  [SMALL_STATE(16574)] = 297022,
  [SMALL_STATE(16575)] = 297037,
  [SMALL_STATE(16576)] = 297056,
  [SMALL_STATE(16577)] = 297073,
  [SMALL_STATE(16578)] = 297088,
  [SMALL_STATE(16579)] = 297105,
  [SMALL_STATE(16580)] = 297120,
  [SMALL_STATE(16581)] = 297137,
  [SMALL_STATE(16582)] = 297152,
  [SMALL_STATE(16583)] = 297167,
  [SMALL_STATE(16584)] = 297182,
  [SMALL_STATE(16585)] = 297199,
  [SMALL_STATE(16586)] = 297216,
  [SMALL_STATE(16587)] = 297231,
  [SMALL_STATE(16588)] = 297246,
  [SMALL_STATE(16589)] = 297261,
  [SMALL_STATE(16590)] = 297278,
  [SMALL_STATE(16591)] = 297293,
  [SMALL_STATE(16592)] = 297310,
  [SMALL_STATE(16593)] = 297329,
  [SMALL_STATE(16594)] = 297344,
  [SMALL_STATE(16595)] = 297361,
  [SMALL_STATE(16596)] = 297378,
  [SMALL_STATE(16597)] = 297397,
  [SMALL_STATE(16598)] = 297414,
  [SMALL_STATE(16599)] = 297431,
  [SMALL_STATE(16600)] = 297448,
  [SMALL_STATE(16601)] = 297465,
  [SMALL_STATE(16602)] = 297482,
  [SMALL_STATE(16603)] = 297499,
  [SMALL_STATE(16604)] = 297516,
  [SMALL_STATE(16605)] = 297531,
  [SMALL_STATE(16606)] = 297550,
  [SMALL_STATE(16607)] = 297565,
  [SMALL_STATE(16608)] = 297582,
  [SMALL_STATE(16609)] = 297597,
  [SMALL_STATE(16610)] = 297614,
  [SMALL_STATE(16611)] = 297633,
  [SMALL_STATE(16612)] = 297650,
  [SMALL_STATE(16613)] = 297667,
  [SMALL_STATE(16614)] = 297682,
  [SMALL_STATE(16615)] = 297697,
  [SMALL_STATE(16616)] = 297712,
  [SMALL_STATE(16617)] = 297727,
  [SMALL_STATE(16618)] = 297746,
  [SMALL_STATE(16619)] = 297761,
  [SMALL_STATE(16620)] = 297776,
  [SMALL_STATE(16621)] = 297793,
  [SMALL_STATE(16622)] = 297808,
  [SMALL_STATE(16623)] = 297825,
  [SMALL_STATE(16624)] = 297842,
  [SMALL_STATE(16625)] = 297857,
  [SMALL_STATE(16626)] = 297874,
  [SMALL_STATE(16627)] = 297891,
  [SMALL_STATE(16628)] = 297910,
  [SMALL_STATE(16629)] = 297929,
  [SMALL_STATE(16630)] = 297946,
  [SMALL_STATE(16631)] = 297963,
  [SMALL_STATE(16632)] = 297980,
  [SMALL_STATE(16633)] = 297995,
  [SMALL_STATE(16634)] = 298010,
  [SMALL_STATE(16635)] = 298025,
  [SMALL_STATE(16636)] = 298040,
  [SMALL_STATE(16637)] = 298055,
  [SMALL_STATE(16638)] = 298070,
  [SMALL_STATE(16639)] = 298087,
  [SMALL_STATE(16640)] = 298102,
  [SMALL_STATE(16641)] = 298117,
  [SMALL_STATE(16642)] = 298132,
  [SMALL_STATE(16643)] = 298149,
  [SMALL_STATE(16644)] = 298168,
  [SMALL_STATE(16645)] = 298183,
  [SMALL_STATE(16646)] = 298202,
  [SMALL_STATE(16647)] = 298221,
  [SMALL_STATE(16648)] = 298238,
  [SMALL_STATE(16649)] = 298255,
  [SMALL_STATE(16650)] = 298274,
  [SMALL_STATE(16651)] = 298293,
  [SMALL_STATE(16652)] = 298310,
  [SMALL_STATE(16653)] = 298325,
  [SMALL_STATE(16654)] = 298340,
  [SMALL_STATE(16655)] = 298357,
  [SMALL_STATE(16656)] = 298371,
  [SMALL_STATE(16657)] = 298383,
  [SMALL_STATE(16658)] = 298397,
  [SMALL_STATE(16659)] = 298409,
  [SMALL_STATE(16660)] = 298421,
  [SMALL_STATE(16661)] = 298435,
  [SMALL_STATE(16662)] = 298449,
  [SMALL_STATE(16663)] = 298463,
  [SMALL_STATE(16664)] = 298477,
  [SMALL_STATE(16665)] = 298491,
  [SMALL_STATE(16666)] = 298505,
  [SMALL_STATE(16667)] = 298519,
  [SMALL_STATE(16668)] = 298531,
  [SMALL_STATE(16669)] = 298545,
  [SMALL_STATE(16670)] = 298559,
  [SMALL_STATE(16671)] = 298573,
  [SMALL_STATE(16672)] = 298587,
  [SMALL_STATE(16673)] = 298601,
  [SMALL_STATE(16674)] = 298615,
  [SMALL_STATE(16675)] = 298629,
  [SMALL_STATE(16676)] = 298643,
  [SMALL_STATE(16677)] = 298657,
  [SMALL_STATE(16678)] = 298671,
  [SMALL_STATE(16679)] = 298685,
  [SMALL_STATE(16680)] = 298699,
  [SMALL_STATE(16681)] = 298713,
  [SMALL_STATE(16682)] = 298727,
  [SMALL_STATE(16683)] = 298741,
  [SMALL_STATE(16684)] = 298755,
  [SMALL_STATE(16685)] = 298769,
  [SMALL_STATE(16686)] = 298783,
  [SMALL_STATE(16687)] = 298797,
  [SMALL_STATE(16688)] = 298811,
  [SMALL_STATE(16689)] = 298825,
  [SMALL_STATE(16690)] = 298839,
  [SMALL_STATE(16691)] = 298853,
  [SMALL_STATE(16692)] = 298867,
  [SMALL_STATE(16693)] = 298881,
  [SMALL_STATE(16694)] = 298895,
  [SMALL_STATE(16695)] = 298909,
  [SMALL_STATE(16696)] = 298923,
  [SMALL_STATE(16697)] = 298937,
  [SMALL_STATE(16698)] = 298951,
  [SMALL_STATE(16699)] = 298965,
  [SMALL_STATE(16700)] = 298979,
  [SMALL_STATE(16701)] = 298993,
  [SMALL_STATE(16702)] = 299007,
  [SMALL_STATE(16703)] = 299021,
  [SMALL_STATE(16704)] = 299035,
  [SMALL_STATE(16705)] = 299049,
  [SMALL_STATE(16706)] = 299063,
  [SMALL_STATE(16707)] = 299077,
  [SMALL_STATE(16708)] = 299089,
  [SMALL_STATE(16709)] = 299103,
  [SMALL_STATE(16710)] = 299117,
  [SMALL_STATE(16711)] = 299129,
  [SMALL_STATE(16712)] = 299143,
  [SMALL_STATE(16713)] = 299157,
  [SMALL_STATE(16714)] = 299171,
  [SMALL_STATE(16715)] = 299183,
  [SMALL_STATE(16716)] = 299197,
  [SMALL_STATE(16717)] = 299211,
  [SMALL_STATE(16718)] = 299225,
  [SMALL_STATE(16719)] = 299239,
  [SMALL_STATE(16720)] = 299253,
  [SMALL_STATE(16721)] = 299267,
  [SMALL_STATE(16722)] = 299281,
  [SMALL_STATE(16723)] = 299295,
  [SMALL_STATE(16724)] = 299309,
  [SMALL_STATE(16725)] = 299323,
  [SMALL_STATE(16726)] = 299337,
  [SMALL_STATE(16727)] = 299351,
  [SMALL_STATE(16728)] = 299365,
  [SMALL_STATE(16729)] = 299379,
  [SMALL_STATE(16730)] = 299393,
  [SMALL_STATE(16731)] = 299407,
  [SMALL_STATE(16732)] = 299419,
  [SMALL_STATE(16733)] = 299433,
  [SMALL_STATE(16734)] = 299447,
  [SMALL_STATE(16735)] = 299461,
  [SMALL_STATE(16736)] = 299475,
  [SMALL_STATE(16737)] = 299489,
  [SMALL_STATE(16738)] = 299503,
  [SMALL_STATE(16739)] = 299517,
  [SMALL_STATE(16740)] = 299531,
  [SMALL_STATE(16741)] = 299545,
  [SMALL_STATE(16742)] = 299559,
  [SMALL_STATE(16743)] = 299573,
  [SMALL_STATE(16744)] = 299587,
  [SMALL_STATE(16745)] = 299599,
  [SMALL_STATE(16746)] = 299613,
  [SMALL_STATE(16747)] = 299627,
  [SMALL_STATE(16748)] = 299639,
  [SMALL_STATE(16749)] = 299651,
  [SMALL_STATE(16750)] = 299665,
  [SMALL_STATE(16751)] = 299679,
  [SMALL_STATE(16752)] = 299693,
  [SMALL_STATE(16753)] = 299707,
  [SMALL_STATE(16754)] = 299721,
  [SMALL_STATE(16755)] = 299735,
  [SMALL_STATE(16756)] = 299749,
  [SMALL_STATE(16757)] = 299763,
  [SMALL_STATE(16758)] = 299777,
  [SMALL_STATE(16759)] = 299791,
  [SMALL_STATE(16760)] = 299805,
  [SMALL_STATE(16761)] = 299819,
  [SMALL_STATE(16762)] = 299833,
  [SMALL_STATE(16763)] = 299847,
  [SMALL_STATE(16764)] = 299861,
  [SMALL_STATE(16765)] = 299875,
  [SMALL_STATE(16766)] = 299889,
  [SMALL_STATE(16767)] = 299903,
  [SMALL_STATE(16768)] = 299917,
  [SMALL_STATE(16769)] = 299931,
  [SMALL_STATE(16770)] = 299945,
  [SMALL_STATE(16771)] = 299959,
  [SMALL_STATE(16772)] = 299973,
  [SMALL_STATE(16773)] = 299987,
  [SMALL_STATE(16774)] = 299999,
  [SMALL_STATE(16775)] = 300013,
  [SMALL_STATE(16776)] = 300027,
  [SMALL_STATE(16777)] = 300041,
  [SMALL_STATE(16778)] = 300055,
  [SMALL_STATE(16779)] = 300069,
  [SMALL_STATE(16780)] = 300081,
  [SMALL_STATE(16781)] = 300095,
  [SMALL_STATE(16782)] = 300109,
  [SMALL_STATE(16783)] = 300123,
  [SMALL_STATE(16784)] = 300137,
  [SMALL_STATE(16785)] = 300151,
  [SMALL_STATE(16786)] = 300165,
  [SMALL_STATE(16787)] = 300179,
  [SMALL_STATE(16788)] = 300193,
  [SMALL_STATE(16789)] = 300207,
  [SMALL_STATE(16790)] = 300221,
  [SMALL_STATE(16791)] = 300235,
  [SMALL_STATE(16792)] = 300249,
  [SMALL_STATE(16793)] = 300263,
  [SMALL_STATE(16794)] = 300277,
  [SMALL_STATE(16795)] = 300291,
  [SMALL_STATE(16796)] = 300303,
  [SMALL_STATE(16797)] = 300317,
  [SMALL_STATE(16798)] = 300331,
  [SMALL_STATE(16799)] = 300345,
  [SMALL_STATE(16800)] = 300359,
  [SMALL_STATE(16801)] = 300373,
  [SMALL_STATE(16802)] = 300387,
  [SMALL_STATE(16803)] = 300401,
  [SMALL_STATE(16804)] = 300415,
  [SMALL_STATE(16805)] = 300429,
  [SMALL_STATE(16806)] = 300443,
  [SMALL_STATE(16807)] = 300457,
  [SMALL_STATE(16808)] = 300471,
  [SMALL_STATE(16809)] = 300485,
  [SMALL_STATE(16810)] = 300499,
  [SMALL_STATE(16811)] = 300513,
  [SMALL_STATE(16812)] = 300527,
  [SMALL_STATE(16813)] = 300541,
  [SMALL_STATE(16814)] = 300555,
  [SMALL_STATE(16815)] = 300567,
  [SMALL_STATE(16816)] = 300579,
  [SMALL_STATE(16817)] = 300593,
  [SMALL_STATE(16818)] = 300607,
  [SMALL_STATE(16819)] = 300621,
  [SMALL_STATE(16820)] = 300635,
  [SMALL_STATE(16821)] = 300649,
  [SMALL_STATE(16822)] = 300663,
  [SMALL_STATE(16823)] = 300677,
  [SMALL_STATE(16824)] = 300691,
  [SMALL_STATE(16825)] = 300705,
  [SMALL_STATE(16826)] = 300719,
  [SMALL_STATE(16827)] = 300733,
  [SMALL_STATE(16828)] = 300747,
  [SMALL_STATE(16829)] = 300761,
  [SMALL_STATE(16830)] = 300775,
  [SMALL_STATE(16831)] = 300789,
  [SMALL_STATE(16832)] = 300803,
  [SMALL_STATE(16833)] = 300817,
  [SMALL_STATE(16834)] = 300831,
  [SMALL_STATE(16835)] = 300845,
  [SMALL_STATE(16836)] = 300859,
  [SMALL_STATE(16837)] = 300873,
  [SMALL_STATE(16838)] = 300887,
  [SMALL_STATE(16839)] = 300901,
  [SMALL_STATE(16840)] = 300913,
  [SMALL_STATE(16841)] = 300927,
  [SMALL_STATE(16842)] = 300941,
  [SMALL_STATE(16843)] = 300955,
  [SMALL_STATE(16844)] = 300969,
  [SMALL_STATE(16845)] = 300983,
  [SMALL_STATE(16846)] = 300997,
  [SMALL_STATE(16847)] = 301011,
  [SMALL_STATE(16848)] = 301025,
  [SMALL_STATE(16849)] = 301037,
  [SMALL_STATE(16850)] = 301049,
  [SMALL_STATE(16851)] = 301063,
  [SMALL_STATE(16852)] = 301077,
  [SMALL_STATE(16853)] = 301091,
  [SMALL_STATE(16854)] = 301105,
  [SMALL_STATE(16855)] = 301119,
  [SMALL_STATE(16856)] = 301133,
  [SMALL_STATE(16857)] = 301147,
  [SMALL_STATE(16858)] = 301161,
  [SMALL_STATE(16859)] = 301175,
  [SMALL_STATE(16860)] = 301187,
  [SMALL_STATE(16861)] = 301199,
  [SMALL_STATE(16862)] = 301213,
  [SMALL_STATE(16863)] = 301227,
  [SMALL_STATE(16864)] = 301241,
  [SMALL_STATE(16865)] = 301255,
  [SMALL_STATE(16866)] = 301269,
  [SMALL_STATE(16867)] = 301283,
  [SMALL_STATE(16868)] = 301297,
  [SMALL_STATE(16869)] = 301311,
  [SMALL_STATE(16870)] = 301325,
  [SMALL_STATE(16871)] = 301339,
  [SMALL_STATE(16872)] = 301353,
  [SMALL_STATE(16873)] = 301367,
  [SMALL_STATE(16874)] = 301381,
  [SMALL_STATE(16875)] = 301395,
  [SMALL_STATE(16876)] = 301409,
  [SMALL_STATE(16877)] = 301423,
  [SMALL_STATE(16878)] = 301437,
  [SMALL_STATE(16879)] = 301451,
  [SMALL_STATE(16880)] = 301465,
  [SMALL_STATE(16881)] = 301479,
  [SMALL_STATE(16882)] = 301493,
  [SMALL_STATE(16883)] = 301507,
  [SMALL_STATE(16884)] = 301521,
  [SMALL_STATE(16885)] = 301535,
  [SMALL_STATE(16886)] = 301549,
  [SMALL_STATE(16887)] = 301561,
  [SMALL_STATE(16888)] = 301575,
  [SMALL_STATE(16889)] = 301589,
  [SMALL_STATE(16890)] = 301603,
  [SMALL_STATE(16891)] = 301617,
  [SMALL_STATE(16892)] = 301631,
  [SMALL_STATE(16893)] = 301645,
  [SMALL_STATE(16894)] = 301659,
  [SMALL_STATE(16895)] = 301673,
  [SMALL_STATE(16896)] = 301687,
  [SMALL_STATE(16897)] = 301701,
  [SMALL_STATE(16898)] = 301715,
  [SMALL_STATE(16899)] = 301729,
  [SMALL_STATE(16900)] = 301743,
  [SMALL_STATE(16901)] = 301755,
  [SMALL_STATE(16902)] = 301769,
  [SMALL_STATE(16903)] = 301783,
  [SMALL_STATE(16904)] = 301797,
  [SMALL_STATE(16905)] = 301811,
  [SMALL_STATE(16906)] = 301825,
  [SMALL_STATE(16907)] = 301839,
  [SMALL_STATE(16908)] = 301853,
  [SMALL_STATE(16909)] = 301867,
  [SMALL_STATE(16910)] = 301881,
  [SMALL_STATE(16911)] = 301895,
  [SMALL_STATE(16912)] = 301909,
  [SMALL_STATE(16913)] = 301923,
  [SMALL_STATE(16914)] = 301937,
  [SMALL_STATE(16915)] = 301951,
  [SMALL_STATE(16916)] = 301965,
  [SMALL_STATE(16917)] = 301977,
  [SMALL_STATE(16918)] = 301991,
  [SMALL_STATE(16919)] = 302005,
  [SMALL_STATE(16920)] = 302019,
  [SMALL_STATE(16921)] = 302033,
  [SMALL_STATE(16922)] = 302047,
  [SMALL_STATE(16923)] = 302059,
  [SMALL_STATE(16924)] = 302071,
  [SMALL_STATE(16925)] = 302085,
  [SMALL_STATE(16926)] = 302097,
  [SMALL_STATE(16927)] = 302111,
  [SMALL_STATE(16928)] = 302125,
  [SMALL_STATE(16929)] = 302139,
  [SMALL_STATE(16930)] = 302153,
  [SMALL_STATE(16931)] = 302167,
  [SMALL_STATE(16932)] = 302181,
  [SMALL_STATE(16933)] = 302195,
  [SMALL_STATE(16934)] = 302209,
  [SMALL_STATE(16935)] = 302223,
  [SMALL_STATE(16936)] = 302237,
  [SMALL_STATE(16937)] = 302251,
  [SMALL_STATE(16938)] = 302265,
  [SMALL_STATE(16939)] = 302279,
  [SMALL_STATE(16940)] = 302293,
  [SMALL_STATE(16941)] = 302307,
  [SMALL_STATE(16942)] = 302321,
  [SMALL_STATE(16943)] = 302335,
  [SMALL_STATE(16944)] = 302349,
  [SMALL_STATE(16945)] = 302363,
  [SMALL_STATE(16946)] = 302377,
  [SMALL_STATE(16947)] = 302391,
  [SMALL_STATE(16948)] = 302405,
  [SMALL_STATE(16949)] = 302419,
  [SMALL_STATE(16950)] = 302433,
  [SMALL_STATE(16951)] = 302447,
  [SMALL_STATE(16952)] = 302461,
  [SMALL_STATE(16953)] = 302475,
  [SMALL_STATE(16954)] = 302489,
  [SMALL_STATE(16955)] = 302501,
  [SMALL_STATE(16956)] = 302515,
  [SMALL_STATE(16957)] = 302529,
  [SMALL_STATE(16958)] = 302541,
  [SMALL_STATE(16959)] = 302555,
  [SMALL_STATE(16960)] = 302569,
  [SMALL_STATE(16961)] = 302581,
  [SMALL_STATE(16962)] = 302595,
  [SMALL_STATE(16963)] = 302607,
  [SMALL_STATE(16964)] = 302621,
  [SMALL_STATE(16965)] = 302635,
  [SMALL_STATE(16966)] = 302649,
  [SMALL_STATE(16967)] = 302661,
  [SMALL_STATE(16968)] = 302675,
  [SMALL_STATE(16969)] = 302689,
  [SMALL_STATE(16970)] = 302703,
  [SMALL_STATE(16971)] = 302717,
  [SMALL_STATE(16972)] = 302731,
  [SMALL_STATE(16973)] = 302743,
  [SMALL_STATE(16974)] = 302757,
  [SMALL_STATE(16975)] = 302771,
  [SMALL_STATE(16976)] = 302785,
  [SMALL_STATE(16977)] = 302799,
  [SMALL_STATE(16978)] = 302813,
  [SMALL_STATE(16979)] = 302825,
  [SMALL_STATE(16980)] = 302839,
  [SMALL_STATE(16981)] = 302853,
  [SMALL_STATE(16982)] = 302867,
  [SMALL_STATE(16983)] = 302879,
  [SMALL_STATE(16984)] = 302891,
  [SMALL_STATE(16985)] = 302905,
  [SMALL_STATE(16986)] = 302919,
  [SMALL_STATE(16987)] = 302933,
  [SMALL_STATE(16988)] = 302947,
  [SMALL_STATE(16989)] = 302961,
  [SMALL_STATE(16990)] = 302975,
  [SMALL_STATE(16991)] = 302989,
  [SMALL_STATE(16992)] = 303003,
  [SMALL_STATE(16993)] = 303017,
  [SMALL_STATE(16994)] = 303031,
  [SMALL_STATE(16995)] = 303045,
  [SMALL_STATE(16996)] = 303057,
  [SMALL_STATE(16997)] = 303071,
  [SMALL_STATE(16998)] = 303085,
  [SMALL_STATE(16999)] = 303099,
  [SMALL_STATE(17000)] = 303113,
  [SMALL_STATE(17001)] = 303127,
  [SMALL_STATE(17002)] = 303139,
  [SMALL_STATE(17003)] = 303153,
  [SMALL_STATE(17004)] = 303167,
  [SMALL_STATE(17005)] = 303181,
  [SMALL_STATE(17006)] = 303195,
  [SMALL_STATE(17007)] = 303209,
  [SMALL_STATE(17008)] = 303223,
  [SMALL_STATE(17009)] = 303237,
  [SMALL_STATE(17010)] = 303251,
  [SMALL_STATE(17011)] = 303265,
  [SMALL_STATE(17012)] = 303279,
  [SMALL_STATE(17013)] = 303293,
  [SMALL_STATE(17014)] = 303307,
  [SMALL_STATE(17015)] = 303321,
  [SMALL_STATE(17016)] = 303335,
  [SMALL_STATE(17017)] = 303347,
  [SMALL_STATE(17018)] = 303361,
  [SMALL_STATE(17019)] = 303375,
  [SMALL_STATE(17020)] = 303389,
  [SMALL_STATE(17021)] = 303403,
  [SMALL_STATE(17022)] = 303417,
  [SMALL_STATE(17023)] = 303429,
  [SMALL_STATE(17024)] = 303443,
  [SMALL_STATE(17025)] = 303455,
  [SMALL_STATE(17026)] = 303469,
  [SMALL_STATE(17027)] = 303481,
  [SMALL_STATE(17028)] = 303495,
  [SMALL_STATE(17029)] = 303509,
  [SMALL_STATE(17030)] = 303523,
  [SMALL_STATE(17031)] = 303537,
  [SMALL_STATE(17032)] = 303551,
  [SMALL_STATE(17033)] = 303565,
  [SMALL_STATE(17034)] = 303579,
  [SMALL_STATE(17035)] = 303591,
  [SMALL_STATE(17036)] = 303605,
  [SMALL_STATE(17037)] = 303619,
  [SMALL_STATE(17038)] = 303633,
  [SMALL_STATE(17039)] = 303647,
  [SMALL_STATE(17040)] = 303661,
  [SMALL_STATE(17041)] = 303675,
  [SMALL_STATE(17042)] = 303689,
  [SMALL_STATE(17043)] = 303703,
  [SMALL_STATE(17044)] = 303715,
  [SMALL_STATE(17045)] = 303727,
  [SMALL_STATE(17046)] = 303741,
  [SMALL_STATE(17047)] = 303755,
  [SMALL_STATE(17048)] = 303769,
  [SMALL_STATE(17049)] = 303783,
  [SMALL_STATE(17050)] = 303797,
  [SMALL_STATE(17051)] = 303811,
  [SMALL_STATE(17052)] = 303825,
  [SMALL_STATE(17053)] = 303839,
  [SMALL_STATE(17054)] = 303853,
  [SMALL_STATE(17055)] = 303867,
  [SMALL_STATE(17056)] = 303881,
  [SMALL_STATE(17057)] = 303895,
  [SMALL_STATE(17058)] = 303909,
  [SMALL_STATE(17059)] = 303921,
  [SMALL_STATE(17060)] = 303935,
  [SMALL_STATE(17061)] = 303949,
  [SMALL_STATE(17062)] = 303963,
  [SMALL_STATE(17063)] = 303977,
  [SMALL_STATE(17064)] = 303991,
  [SMALL_STATE(17065)] = 304005,
  [SMALL_STATE(17066)] = 304017,
  [SMALL_STATE(17067)] = 304031,
  [SMALL_STATE(17068)] = 304045,
  [SMALL_STATE(17069)] = 304057,
  [SMALL_STATE(17070)] = 304071,
  [SMALL_STATE(17071)] = 304085,
  [SMALL_STATE(17072)] = 304099,
  [SMALL_STATE(17073)] = 304113,
  [SMALL_STATE(17074)] = 304127,
  [SMALL_STATE(17075)] = 304141,
  [SMALL_STATE(17076)] = 304155,
  [SMALL_STATE(17077)] = 304169,
  [SMALL_STATE(17078)] = 304183,
  [SMALL_STATE(17079)] = 304197,
  [SMALL_STATE(17080)] = 304209,
  [SMALL_STATE(17081)] = 304223,
  [SMALL_STATE(17082)] = 304237,
  [SMALL_STATE(17083)] = 304251,
  [SMALL_STATE(17084)] = 304265,
  [SMALL_STATE(17085)] = 304279,
  [SMALL_STATE(17086)] = 304293,
  [SMALL_STATE(17087)] = 304307,
  [SMALL_STATE(17088)] = 304321,
  [SMALL_STATE(17089)] = 304335,
  [SMALL_STATE(17090)] = 304349,
  [SMALL_STATE(17091)] = 304363,
  [SMALL_STATE(17092)] = 304377,
  [SMALL_STATE(17093)] = 304391,
  [SMALL_STATE(17094)] = 304405,
  [SMALL_STATE(17095)] = 304419,
  [SMALL_STATE(17096)] = 304433,
  [SMALL_STATE(17097)] = 304447,
  [SMALL_STATE(17098)] = 304461,
  [SMALL_STATE(17099)] = 304475,
  [SMALL_STATE(17100)] = 304489,
  [SMALL_STATE(17101)] = 304503,
  [SMALL_STATE(17102)] = 304517,
  [SMALL_STATE(17103)] = 304531,
  [SMALL_STATE(17104)] = 304543,
  [SMALL_STATE(17105)] = 304553,
  [SMALL_STATE(17106)] = 304565,
  [SMALL_STATE(17107)] = 304579,
  [SMALL_STATE(17108)] = 304593,
  [SMALL_STATE(17109)] = 304607,
  [SMALL_STATE(17110)] = 304621,
  [SMALL_STATE(17111)] = 304635,
  [SMALL_STATE(17112)] = 304649,
  [SMALL_STATE(17113)] = 304663,
  [SMALL_STATE(17114)] = 304677,
  [SMALL_STATE(17115)] = 304691,
  [SMALL_STATE(17116)] = 304705,
  [SMALL_STATE(17117)] = 304719,
  [SMALL_STATE(17118)] = 304731,
  [SMALL_STATE(17119)] = 304745,
  [SMALL_STATE(17120)] = 304757,
  [SMALL_STATE(17121)] = 304771,
  [SMALL_STATE(17122)] = 304785,
  [SMALL_STATE(17123)] = 304799,
  [SMALL_STATE(17124)] = 304813,
  [SMALL_STATE(17125)] = 304827,
  [SMALL_STATE(17126)] = 304841,
  [SMALL_STATE(17127)] = 304855,
  [SMALL_STATE(17128)] = 304869,
  [SMALL_STATE(17129)] = 304879,
  [SMALL_STATE(17130)] = 304893,
  [SMALL_STATE(17131)] = 304907,
  [SMALL_STATE(17132)] = 304921,
  [SMALL_STATE(17133)] = 304935,
  [SMALL_STATE(17134)] = 304949,
  [SMALL_STATE(17135)] = 304963,
  [SMALL_STATE(17136)] = 304977,
  [SMALL_STATE(17137)] = 304987,
  [SMALL_STATE(17138)] = 305001,
  [SMALL_STATE(17139)] = 305015,
  [SMALL_STATE(17140)] = 305029,
  [SMALL_STATE(17141)] = 305043,
  [SMALL_STATE(17142)] = 305057,
  [SMALL_STATE(17143)] = 305071,
  [SMALL_STATE(17144)] = 305085,
  [SMALL_STATE(17145)] = 305099,
  [SMALL_STATE(17146)] = 305113,
  [SMALL_STATE(17147)] = 305123,
  [SMALL_STATE(17148)] = 305135,
  [SMALL_STATE(17149)] = 305149,
  [SMALL_STATE(17150)] = 305163,
  [SMALL_STATE(17151)] = 305175,
  [SMALL_STATE(17152)] = 305189,
  [SMALL_STATE(17153)] = 305201,
  [SMALL_STATE(17154)] = 305215,
  [SMALL_STATE(17155)] = 305229,
  [SMALL_STATE(17156)] = 305243,
  [SMALL_STATE(17157)] = 305257,
  [SMALL_STATE(17158)] = 305271,
  [SMALL_STATE(17159)] = 305285,
  [SMALL_STATE(17160)] = 305299,
  [SMALL_STATE(17161)] = 305311,
  [SMALL_STATE(17162)] = 305325,
  [SMALL_STATE(17163)] = 305339,
  [SMALL_STATE(17164)] = 305353,
  [SMALL_STATE(17165)] = 305367,
  [SMALL_STATE(17166)] = 305381,
  [SMALL_STATE(17167)] = 305393,
  [SMALL_STATE(17168)] = 305407,
  [SMALL_STATE(17169)] = 305421,
  [SMALL_STATE(17170)] = 305433,
  [SMALL_STATE(17171)] = 305443,
  [SMALL_STATE(17172)] = 305457,
  [SMALL_STATE(17173)] = 305469,
  [SMALL_STATE(17174)] = 305479,
  [SMALL_STATE(17175)] = 305493,
  [SMALL_STATE(17176)] = 305507,
  [SMALL_STATE(17177)] = 305519,
  [SMALL_STATE(17178)] = 305533,
  [SMALL_STATE(17179)] = 305543,
  [SMALL_STATE(17180)] = 305557,
  [SMALL_STATE(17181)] = 305571,
  [SMALL_STATE(17182)] = 305585,
  [SMALL_STATE(17183)] = 305597,
  [SMALL_STATE(17184)] = 305611,
  [SMALL_STATE(17185)] = 305625,
  [SMALL_STATE(17186)] = 305639,
  [SMALL_STATE(17187)] = 305653,
  [SMALL_STATE(17188)] = 305667,
  [SMALL_STATE(17189)] = 305681,
  [SMALL_STATE(17190)] = 305695,
  [SMALL_STATE(17191)] = 305709,
  [SMALL_STATE(17192)] = 305723,
  [SMALL_STATE(17193)] = 305737,
  [SMALL_STATE(17194)] = 305751,
  [SMALL_STATE(17195)] = 305763,
  [SMALL_STATE(17196)] = 305777,
  [SMALL_STATE(17197)] = 305791,
  [SMALL_STATE(17198)] = 305805,
  [SMALL_STATE(17199)] = 305819,
  [SMALL_STATE(17200)] = 305833,
  [SMALL_STATE(17201)] = 305847,
  [SMALL_STATE(17202)] = 305861,
  [SMALL_STATE(17203)] = 305875,
  [SMALL_STATE(17204)] = 305889,
  [SMALL_STATE(17205)] = 305903,
  [SMALL_STATE(17206)] = 305917,
  [SMALL_STATE(17207)] = 305927,
  [SMALL_STATE(17208)] = 305941,
  [SMALL_STATE(17209)] = 305953,
  [SMALL_STATE(17210)] = 305967,
  [SMALL_STATE(17211)] = 305981,
  [SMALL_STATE(17212)] = 305995,
  [SMALL_STATE(17213)] = 306009,
  [SMALL_STATE(17214)] = 306023,
  [SMALL_STATE(17215)] = 306037,
  [SMALL_STATE(17216)] = 306051,
  [SMALL_STATE(17217)] = 306065,
  [SMALL_STATE(17218)] = 306079,
  [SMALL_STATE(17219)] = 306093,
  [SMALL_STATE(17220)] = 306107,
  [SMALL_STATE(17221)] = 306121,
  [SMALL_STATE(17222)] = 306135,
  [SMALL_STATE(17223)] = 306149,
  [SMALL_STATE(17224)] = 306163,
  [SMALL_STATE(17225)] = 306177,
  [SMALL_STATE(17226)] = 306191,
  [SMALL_STATE(17227)] = 306205,
  [SMALL_STATE(17228)] = 306217,
  [SMALL_STATE(17229)] = 306231,
  [SMALL_STATE(17230)] = 306245,
  [SMALL_STATE(17231)] = 306259,
  [SMALL_STATE(17232)] = 306273,
  [SMALL_STATE(17233)] = 306287,
  [SMALL_STATE(17234)] = 306299,
  [SMALL_STATE(17235)] = 306313,
  [SMALL_STATE(17236)] = 306327,
  [SMALL_STATE(17237)] = 306341,
  [SMALL_STATE(17238)] = 306355,
  [SMALL_STATE(17239)] = 306369,
  [SMALL_STATE(17240)] = 306383,
  [SMALL_STATE(17241)] = 306397,
  [SMALL_STATE(17242)] = 306411,
  [SMALL_STATE(17243)] = 306425,
  [SMALL_STATE(17244)] = 306439,
  [SMALL_STATE(17245)] = 306453,
  [SMALL_STATE(17246)] = 306467,
  [SMALL_STATE(17247)] = 306481,
  [SMALL_STATE(17248)] = 306495,
  [SMALL_STATE(17249)] = 306509,
  [SMALL_STATE(17250)] = 306523,
  [SMALL_STATE(17251)] = 306537,
  [SMALL_STATE(17252)] = 306551,
  [SMALL_STATE(17253)] = 306565,
  [SMALL_STATE(17254)] = 306579,
  [SMALL_STATE(17255)] = 306593,
  [SMALL_STATE(17256)] = 306607,
  [SMALL_STATE(17257)] = 306621,
  [SMALL_STATE(17258)] = 306635,
  [SMALL_STATE(17259)] = 306649,
  [SMALL_STATE(17260)] = 306663,
  [SMALL_STATE(17261)] = 306677,
  [SMALL_STATE(17262)] = 306691,
  [SMALL_STATE(17263)] = 306705,
  [SMALL_STATE(17264)] = 306719,
  [SMALL_STATE(17265)] = 306731,
  [SMALL_STATE(17266)] = 306743,
  [SMALL_STATE(17267)] = 306757,
  [SMALL_STATE(17268)] = 306771,
  [SMALL_STATE(17269)] = 306785,
  [SMALL_STATE(17270)] = 306799,
  [SMALL_STATE(17271)] = 306811,
  [SMALL_STATE(17272)] = 306823,
  [SMALL_STATE(17273)] = 306837,
  [SMALL_STATE(17274)] = 306847,
  [SMALL_STATE(17275)] = 306859,
  [SMALL_STATE(17276)] = 306873,
  [SMALL_STATE(17277)] = 306885,
  [SMALL_STATE(17278)] = 306897,
  [SMALL_STATE(17279)] = 306911,
  [SMALL_STATE(17280)] = 306925,
  [SMALL_STATE(17281)] = 306937,
  [SMALL_STATE(17282)] = 306951,
  [SMALL_STATE(17283)] = 306963,
  [SMALL_STATE(17284)] = 306977,
  [SMALL_STATE(17285)] = 306991,
  [SMALL_STATE(17286)] = 307005,
  [SMALL_STATE(17287)] = 307017,
  [SMALL_STATE(17288)] = 307029,
  [SMALL_STATE(17289)] = 307043,
  [SMALL_STATE(17290)] = 307057,
  [SMALL_STATE(17291)] = 307071,
  [SMALL_STATE(17292)] = 307085,
  [SMALL_STATE(17293)] = 307099,
  [SMALL_STATE(17294)] = 307113,
  [SMALL_STATE(17295)] = 307127,
  [SMALL_STATE(17296)] = 307141,
  [SMALL_STATE(17297)] = 307155,
  [SMALL_STATE(17298)] = 307167,
  [SMALL_STATE(17299)] = 307181,
  [SMALL_STATE(17300)] = 307195,
  [SMALL_STATE(17301)] = 307209,
  [SMALL_STATE(17302)] = 307223,
  [SMALL_STATE(17303)] = 307237,
  [SMALL_STATE(17304)] = 307251,
  [SMALL_STATE(17305)] = 307265,
  [SMALL_STATE(17306)] = 307279,
  [SMALL_STATE(17307)] = 307293,
  [SMALL_STATE(17308)] = 307307,
  [SMALL_STATE(17309)] = 307321,
  [SMALL_STATE(17310)] = 307335,
  [SMALL_STATE(17311)] = 307349,
  [SMALL_STATE(17312)] = 307363,
  [SMALL_STATE(17313)] = 307377,
  [SMALL_STATE(17314)] = 307391,
  [SMALL_STATE(17315)] = 307405,
  [SMALL_STATE(17316)] = 307419,
  [SMALL_STATE(17317)] = 307433,
  [SMALL_STATE(17318)] = 307447,
  [SMALL_STATE(17319)] = 307461,
  [SMALL_STATE(17320)] = 307473,
  [SMALL_STATE(17321)] = 307487,
  [SMALL_STATE(17322)] = 307499,
  [SMALL_STATE(17323)] = 307511,
  [SMALL_STATE(17324)] = 307525,
  [SMALL_STATE(17325)] = 307539,
  [SMALL_STATE(17326)] = 307551,
  [SMALL_STATE(17327)] = 307563,
  [SMALL_STATE(17328)] = 307577,
  [SMALL_STATE(17329)] = 307591,
  [SMALL_STATE(17330)] = 307605,
  [SMALL_STATE(17331)] = 307617,
  [SMALL_STATE(17332)] = 307629,
  [SMALL_STATE(17333)] = 307643,
  [SMALL_STATE(17334)] = 307657,
  [SMALL_STATE(17335)] = 307669,
  [SMALL_STATE(17336)] = 307683,
  [SMALL_STATE(17337)] = 307697,
  [SMALL_STATE(17338)] = 307711,
  [SMALL_STATE(17339)] = 307723,
  [SMALL_STATE(17340)] = 307735,
  [SMALL_STATE(17341)] = 307748,
  [SMALL_STATE(17342)] = 307761,
  [SMALL_STATE(17343)] = 307772,
  [SMALL_STATE(17344)] = 307785,
  [SMALL_STATE(17345)] = 307796,
  [SMALL_STATE(17346)] = 307807,
  [SMALL_STATE(17347)] = 307818,
  [SMALL_STATE(17348)] = 307829,
  [SMALL_STATE(17349)] = 307840,
  [SMALL_STATE(17350)] = 307851,
  [SMALL_STATE(17351)] = 307862,
  [SMALL_STATE(17352)] = 307873,
  [SMALL_STATE(17353)] = 307884,
  [SMALL_STATE(17354)] = 307895,
  [SMALL_STATE(17355)] = 307906,
  [SMALL_STATE(17356)] = 307917,
  [SMALL_STATE(17357)] = 307928,
  [SMALL_STATE(17358)] = 307939,
  [SMALL_STATE(17359)] = 307950,
  [SMALL_STATE(17360)] = 307961,
  [SMALL_STATE(17361)] = 307974,
  [SMALL_STATE(17362)] = 307985,
  [SMALL_STATE(17363)] = 307996,
  [SMALL_STATE(17364)] = 308009,
  [SMALL_STATE(17365)] = 308020,
  [SMALL_STATE(17366)] = 308031,
  [SMALL_STATE(17367)] = 308042,
  [SMALL_STATE(17368)] = 308053,
  [SMALL_STATE(17369)] = 308064,
  [SMALL_STATE(17370)] = 308075,
  [SMALL_STATE(17371)] = 308088,
  [SMALL_STATE(17372)] = 308099,
  [SMALL_STATE(17373)] = 308110,
  [SMALL_STATE(17374)] = 308121,
  [SMALL_STATE(17375)] = 308134,
  [SMALL_STATE(17376)] = 308145,
  [SMALL_STATE(17377)] = 308156,
  [SMALL_STATE(17378)] = 308167,
  [SMALL_STATE(17379)] = 308180,
  [SMALL_STATE(17380)] = 308191,
  [SMALL_STATE(17381)] = 308202,
  [SMALL_STATE(17382)] = 308213,
  [SMALL_STATE(17383)] = 308224,
  [SMALL_STATE(17384)] = 308235,
  [SMALL_STATE(17385)] = 308246,
  [SMALL_STATE(17386)] = 308257,
  [SMALL_STATE(17387)] = 308270,
  [SMALL_STATE(17388)] = 308281,
  [SMALL_STATE(17389)] = 308292,
  [SMALL_STATE(17390)] = 308303,
  [SMALL_STATE(17391)] = 308316,
  [SMALL_STATE(17392)] = 308327,
  [SMALL_STATE(17393)] = 308340,
  [SMALL_STATE(17394)] = 308351,
  [SMALL_STATE(17395)] = 308362,
  [SMALL_STATE(17396)] = 308373,
  [SMALL_STATE(17397)] = 308386,
  [SMALL_STATE(17398)] = 308399,
  [SMALL_STATE(17399)] = 308410,
  [SMALL_STATE(17400)] = 308423,
  [SMALL_STATE(17401)] = 308434,
  [SMALL_STATE(17402)] = 308445,
  [SMALL_STATE(17403)] = 308456,
  [SMALL_STATE(17404)] = 308467,
  [SMALL_STATE(17405)] = 308480,
  [SMALL_STATE(17406)] = 308493,
  [SMALL_STATE(17407)] = 308504,
  [SMALL_STATE(17408)] = 308517,
  [SMALL_STATE(17409)] = 308528,
  [SMALL_STATE(17410)] = 308539,
  [SMALL_STATE(17411)] = 308550,
  [SMALL_STATE(17412)] = 308561,
  [SMALL_STATE(17413)] = 308572,
  [SMALL_STATE(17414)] = 308583,
  [SMALL_STATE(17415)] = 308594,
  [SMALL_STATE(17416)] = 308605,
  [SMALL_STATE(17417)] = 308616,
  [SMALL_STATE(17418)] = 308627,
  [SMALL_STATE(17419)] = 308638,
  [SMALL_STATE(17420)] = 308649,
  [SMALL_STATE(17421)] = 308660,
  [SMALL_STATE(17422)] = 308671,
  [SMALL_STATE(17423)] = 308684,
  [SMALL_STATE(17424)] = 308695,
  [SMALL_STATE(17425)] = 308708,
  [SMALL_STATE(17426)] = 308719,
  [SMALL_STATE(17427)] = 308730,
  [SMALL_STATE(17428)] = 308741,
  [SMALL_STATE(17429)] = 308752,
  [SMALL_STATE(17430)] = 308763,
  [SMALL_STATE(17431)] = 308774,
  [SMALL_STATE(17432)] = 308785,
  [SMALL_STATE(17433)] = 308798,
  [SMALL_STATE(17434)] = 308809,
  [SMALL_STATE(17435)] = 308820,
  [SMALL_STATE(17436)] = 308831,
  [SMALL_STATE(17437)] = 308842,
  [SMALL_STATE(17438)] = 308855,
  [SMALL_STATE(17439)] = 308866,
  [SMALL_STATE(17440)] = 308877,
  [SMALL_STATE(17441)] = 308888,
  [SMALL_STATE(17442)] = 308899,
  [SMALL_STATE(17443)] = 308910,
  [SMALL_STATE(17444)] = 308923,
  [SMALL_STATE(17445)] = 308934,
  [SMALL_STATE(17446)] = 308945,
  [SMALL_STATE(17447)] = 308956,
  [SMALL_STATE(17448)] = 308967,
  [SMALL_STATE(17449)] = 308978,
  [SMALL_STATE(17450)] = 308989,
  [SMALL_STATE(17451)] = 309000,
  [SMALL_STATE(17452)] = 309011,
  [SMALL_STATE(17453)] = 309024,
  [SMALL_STATE(17454)] = 309035,
  [SMALL_STATE(17455)] = 309048,
  [SMALL_STATE(17456)] = 309059,
  [SMALL_STATE(17457)] = 309070,
  [SMALL_STATE(17458)] = 309083,
  [SMALL_STATE(17459)] = 309094,
  [SMALL_STATE(17460)] = 309105,
  [SMALL_STATE(17461)] = 309116,
  [SMALL_STATE(17462)] = 309129,
  [SMALL_STATE(17463)] = 309140,
  [SMALL_STATE(17464)] = 309151,
  [SMALL_STATE(17465)] = 309162,
  [SMALL_STATE(17466)] = 309173,
  [SMALL_STATE(17467)] = 309184,
  [SMALL_STATE(17468)] = 309195,
  [SMALL_STATE(17469)] = 309206,
  [SMALL_STATE(17470)] = 309217,
  [SMALL_STATE(17471)] = 309230,
  [SMALL_STATE(17472)] = 309241,
  [SMALL_STATE(17473)] = 309254,
  [SMALL_STATE(17474)] = 309265,
  [SMALL_STATE(17475)] = 309276,
  [SMALL_STATE(17476)] = 309289,
  [SMALL_STATE(17477)] = 309302,
  [SMALL_STATE(17478)] = 309315,
  [SMALL_STATE(17479)] = 309326,
  [SMALL_STATE(17480)] = 309337,
  [SMALL_STATE(17481)] = 309348,
  [SMALL_STATE(17482)] = 309359,
  [SMALL_STATE(17483)] = 309370,
  [SMALL_STATE(17484)] = 309381,
  [SMALL_STATE(17485)] = 309392,
  [SMALL_STATE(17486)] = 309405,
  [SMALL_STATE(17487)] = 309418,
  [SMALL_STATE(17488)] = 309429,
  [SMALL_STATE(17489)] = 309440,
  [SMALL_STATE(17490)] = 309451,
  [SMALL_STATE(17491)] = 309462,
  [SMALL_STATE(17492)] = 309473,
  [SMALL_STATE(17493)] = 309484,
  [SMALL_STATE(17494)] = 309495,
  [SMALL_STATE(17495)] = 309506,
  [SMALL_STATE(17496)] = 309517,
  [SMALL_STATE(17497)] = 309528,
  [SMALL_STATE(17498)] = 309539,
  [SMALL_STATE(17499)] = 309550,
  [SMALL_STATE(17500)] = 309561,
  [SMALL_STATE(17501)] = 309572,
  [SMALL_STATE(17502)] = 309583,
  [SMALL_STATE(17503)] = 309594,
  [SMALL_STATE(17504)] = 309605,
  [SMALL_STATE(17505)] = 309618,
  [SMALL_STATE(17506)] = 309629,
  [SMALL_STATE(17507)] = 309642,
  [SMALL_STATE(17508)] = 309655,
  [SMALL_STATE(17509)] = 309668,
  [SMALL_STATE(17510)] = 309679,
  [SMALL_STATE(17511)] = 309690,
  [SMALL_STATE(17512)] = 309703,
  [SMALL_STATE(17513)] = 309714,
  [SMALL_STATE(17514)] = 309725,
  [SMALL_STATE(17515)] = 309736,
  [SMALL_STATE(17516)] = 309747,
  [SMALL_STATE(17517)] = 309758,
  [SMALL_STATE(17518)] = 309771,
  [SMALL_STATE(17519)] = 309782,
  [SMALL_STATE(17520)] = 309793,
  [SMALL_STATE(17521)] = 309804,
  [SMALL_STATE(17522)] = 309815,
  [SMALL_STATE(17523)] = 309826,
  [SMALL_STATE(17524)] = 309839,
  [SMALL_STATE(17525)] = 309850,
  [SMALL_STATE(17526)] = 309861,
  [SMALL_STATE(17527)] = 309872,
  [SMALL_STATE(17528)] = 309883,
  [SMALL_STATE(17529)] = 309896,
  [SMALL_STATE(17530)] = 309907,
  [SMALL_STATE(17531)] = 309918,
  [SMALL_STATE(17532)] = 309929,
  [SMALL_STATE(17533)] = 309942,
  [SMALL_STATE(17534)] = 309953,
  [SMALL_STATE(17535)] = 309966,
  [SMALL_STATE(17536)] = 309977,
  [SMALL_STATE(17537)] = 309988,
  [SMALL_STATE(17538)] = 309999,
  [SMALL_STATE(17539)] = 310010,
  [SMALL_STATE(17540)] = 310021,
  [SMALL_STATE(17541)] = 310032,
  [SMALL_STATE(17542)] = 310043,
  [SMALL_STATE(17543)] = 310054,
  [SMALL_STATE(17544)] = 310067,
  [SMALL_STATE(17545)] = 310078,
  [SMALL_STATE(17546)] = 310089,
  [SMALL_STATE(17547)] = 310100,
  [SMALL_STATE(17548)] = 310111,
  [SMALL_STATE(17549)] = 310122,
  [SMALL_STATE(17550)] = 310133,
  [SMALL_STATE(17551)] = 310144,
  [SMALL_STATE(17552)] = 310155,
  [SMALL_STATE(17553)] = 310166,
  [SMALL_STATE(17554)] = 310179,
  [SMALL_STATE(17555)] = 310190,
  [SMALL_STATE(17556)] = 310201,
  [SMALL_STATE(17557)] = 310212,
  [SMALL_STATE(17558)] = 310223,
  [SMALL_STATE(17559)] = 310236,
  [SMALL_STATE(17560)] = 310247,
  [SMALL_STATE(17561)] = 310260,
  [SMALL_STATE(17562)] = 310271,
  [SMALL_STATE(17563)] = 310282,
  [SMALL_STATE(17564)] = 310295,
  [SMALL_STATE(17565)] = 310306,
  [SMALL_STATE(17566)] = 310319,
  [SMALL_STATE(17567)] = 310332,
  [SMALL_STATE(17568)] = 310343,
  [SMALL_STATE(17569)] = 310354,
  [SMALL_STATE(17570)] = 310367,
  [SMALL_STATE(17571)] = 310378,
  [SMALL_STATE(17572)] = 310389,
  [SMALL_STATE(17573)] = 310400,
  [SMALL_STATE(17574)] = 310411,
  [SMALL_STATE(17575)] = 310422,
  [SMALL_STATE(17576)] = 310435,
  [SMALL_STATE(17577)] = 310446,
  [SMALL_STATE(17578)] = 310457,
  [SMALL_STATE(17579)] = 310468,
  [SMALL_STATE(17580)] = 310479,
  [SMALL_STATE(17581)] = 310490,
  [SMALL_STATE(17582)] = 310501,
  [SMALL_STATE(17583)] = 310512,
  [SMALL_STATE(17584)] = 310523,
  [SMALL_STATE(17585)] = 310534,
  [SMALL_STATE(17586)] = 310545,
  [SMALL_STATE(17587)] = 310556,
  [SMALL_STATE(17588)] = 310567,
  [SMALL_STATE(17589)] = 310578,
  [SMALL_STATE(17590)] = 310589,
  [SMALL_STATE(17591)] = 310602,
  [SMALL_STATE(17592)] = 310613,
  [SMALL_STATE(17593)] = 310624,
  [SMALL_STATE(17594)] = 310637,
  [SMALL_STATE(17595)] = 310648,
  [SMALL_STATE(17596)] = 310659,
  [SMALL_STATE(17597)] = 310672,
  [SMALL_STATE(17598)] = 310683,
  [SMALL_STATE(17599)] = 310694,
  [SMALL_STATE(17600)] = 310705,
  [SMALL_STATE(17601)] = 310716,
  [SMALL_STATE(17602)] = 310727,
  [SMALL_STATE(17603)] = 310738,
  [SMALL_STATE(17604)] = 310749,
  [SMALL_STATE(17605)] = 310760,
  [SMALL_STATE(17606)] = 310771,
  [SMALL_STATE(17607)] = 310782,
  [SMALL_STATE(17608)] = 310793,
  [SMALL_STATE(17609)] = 310804,
  [SMALL_STATE(17610)] = 310815,
  [SMALL_STATE(17611)] = 310826,
  [SMALL_STATE(17612)] = 310837,
  [SMALL_STATE(17613)] = 310848,
  [SMALL_STATE(17614)] = 310859,
  [SMALL_STATE(17615)] = 310872,
  [SMALL_STATE(17616)] = 310885,
  [SMALL_STATE(17617)] = 310896,
  [SMALL_STATE(17618)] = 310907,
  [SMALL_STATE(17619)] = 310920,
  [SMALL_STATE(17620)] = 310933,
  [SMALL_STATE(17621)] = 310944,
  [SMALL_STATE(17622)] = 310955,
  [SMALL_STATE(17623)] = 310966,
  [SMALL_STATE(17624)] = 310977,
  [SMALL_STATE(17625)] = 310988,
  [SMALL_STATE(17626)] = 310999,
  [SMALL_STATE(17627)] = 311010,
  [SMALL_STATE(17628)] = 311021,
  [SMALL_STATE(17629)] = 311032,
  [SMALL_STATE(17630)] = 311043,
  [SMALL_STATE(17631)] = 311054,
  [SMALL_STATE(17632)] = 311067,
  [SMALL_STATE(17633)] = 311080,
  [SMALL_STATE(17634)] = 311091,
  [SMALL_STATE(17635)] = 311102,
  [SMALL_STATE(17636)] = 311113,
  [SMALL_STATE(17637)] = 311124,
  [SMALL_STATE(17638)] = 311135,
  [SMALL_STATE(17639)] = 311148,
  [SMALL_STATE(17640)] = 311159,
  [SMALL_STATE(17641)] = 311170,
  [SMALL_STATE(17642)] = 311181,
  [SMALL_STATE(17643)] = 311192,
  [SMALL_STATE(17644)] = 311203,
  [SMALL_STATE(17645)] = 311214,
  [SMALL_STATE(17646)] = 311225,
  [SMALL_STATE(17647)] = 311238,
  [SMALL_STATE(17648)] = 311251,
  [SMALL_STATE(17649)] = 311262,
  [SMALL_STATE(17650)] = 311273,
  [SMALL_STATE(17651)] = 311284,
  [SMALL_STATE(17652)] = 311295,
  [SMALL_STATE(17653)] = 311308,
  [SMALL_STATE(17654)] = 311319,
  [SMALL_STATE(17655)] = 311332,
  [SMALL_STATE(17656)] = 311343,
  [SMALL_STATE(17657)] = 311354,
  [SMALL_STATE(17658)] = 311365,
  [SMALL_STATE(17659)] = 311378,
  [SMALL_STATE(17660)] = 311389,
  [SMALL_STATE(17661)] = 311400,
  [SMALL_STATE(17662)] = 311411,
  [SMALL_STATE(17663)] = 311422,
  [SMALL_STATE(17664)] = 311433,
  [SMALL_STATE(17665)] = 311444,
  [SMALL_STATE(17666)] = 311455,
  [SMALL_STATE(17667)] = 311468,
  [SMALL_STATE(17668)] = 311479,
  [SMALL_STATE(17669)] = 311490,
  [SMALL_STATE(17670)] = 311503,
  [SMALL_STATE(17671)] = 311514,
  [SMALL_STATE(17672)] = 311527,
  [SMALL_STATE(17673)] = 311538,
  [SMALL_STATE(17674)] = 311549,
  [SMALL_STATE(17675)] = 311560,
  [SMALL_STATE(17676)] = 311571,
  [SMALL_STATE(17677)] = 311582,
  [SMALL_STATE(17678)] = 311593,
  [SMALL_STATE(17679)] = 311606,
  [SMALL_STATE(17680)] = 311619,
  [SMALL_STATE(17681)] = 311630,
  [SMALL_STATE(17682)] = 311641,
  [SMALL_STATE(17683)] = 311652,
  [SMALL_STATE(17684)] = 311665,
  [SMALL_STATE(17685)] = 311678,
  [SMALL_STATE(17686)] = 311689,
  [SMALL_STATE(17687)] = 311700,
  [SMALL_STATE(17688)] = 311711,
  [SMALL_STATE(17689)] = 311722,
  [SMALL_STATE(17690)] = 311733,
  [SMALL_STATE(17691)] = 311744,
  [SMALL_STATE(17692)] = 311755,
  [SMALL_STATE(17693)] = 311766,
  [SMALL_STATE(17694)] = 311777,
  [SMALL_STATE(17695)] = 311788,
  [SMALL_STATE(17696)] = 311799,
  [SMALL_STATE(17697)] = 311810,
  [SMALL_STATE(17698)] = 311821,
  [SMALL_STATE(17699)] = 311832,
  [SMALL_STATE(17700)] = 311843,
  [SMALL_STATE(17701)] = 311854,
  [SMALL_STATE(17702)] = 311865,
  [SMALL_STATE(17703)] = 311878,
  [SMALL_STATE(17704)] = 311889,
  [SMALL_STATE(17705)] = 311902,
  [SMALL_STATE(17706)] = 311913,
  [SMALL_STATE(17707)] = 311924,
  [SMALL_STATE(17708)] = 311935,
  [SMALL_STATE(17709)] = 311946,
  [SMALL_STATE(17710)] = 311957,
  [SMALL_STATE(17711)] = 311968,
  [SMALL_STATE(17712)] = 311979,
  [SMALL_STATE(17713)] = 311990,
  [SMALL_STATE(17714)] = 312001,
  [SMALL_STATE(17715)] = 312012,
  [SMALL_STATE(17716)] = 312023,
  [SMALL_STATE(17717)] = 312034,
  [SMALL_STATE(17718)] = 312047,
  [SMALL_STATE(17719)] = 312058,
  [SMALL_STATE(17720)] = 312069,
  [SMALL_STATE(17721)] = 312080,
  [SMALL_STATE(17722)] = 312091,
  [SMALL_STATE(17723)] = 312102,
  [SMALL_STATE(17724)] = 312115,
  [SMALL_STATE(17725)] = 312126,
  [SMALL_STATE(17726)] = 312137,
  [SMALL_STATE(17727)] = 312148,
  [SMALL_STATE(17728)] = 312159,
  [SMALL_STATE(17729)] = 312170,
  [SMALL_STATE(17730)] = 312181,
  [SMALL_STATE(17731)] = 312192,
  [SMALL_STATE(17732)] = 312205,
  [SMALL_STATE(17733)] = 312216,
  [SMALL_STATE(17734)] = 312229,
  [SMALL_STATE(17735)] = 312240,
  [SMALL_STATE(17736)] = 312251,
  [SMALL_STATE(17737)] = 312262,
  [SMALL_STATE(17738)] = 312273,
  [SMALL_STATE(17739)] = 312284,
  [SMALL_STATE(17740)] = 312295,
  [SMALL_STATE(17741)] = 312306,
  [SMALL_STATE(17742)] = 312317,
  [SMALL_STATE(17743)] = 312328,
  [SMALL_STATE(17744)] = 312339,
  [SMALL_STATE(17745)] = 312350,
  [SMALL_STATE(17746)] = 312361,
  [SMALL_STATE(17747)] = 312372,
  [SMALL_STATE(17748)] = 312385,
  [SMALL_STATE(17749)] = 312396,
  [SMALL_STATE(17750)] = 312407,
  [SMALL_STATE(17751)] = 312418,
  [SMALL_STATE(17752)] = 312431,
  [SMALL_STATE(17753)] = 312442,
  [SMALL_STATE(17754)] = 312453,
  [SMALL_STATE(17755)] = 312464,
  [SMALL_STATE(17756)] = 312477,
  [SMALL_STATE(17757)] = 312488,
  [SMALL_STATE(17758)] = 312499,
  [SMALL_STATE(17759)] = 312510,
  [SMALL_STATE(17760)] = 312521,
  [SMALL_STATE(17761)] = 312534,
  [SMALL_STATE(17762)] = 312545,
  [SMALL_STATE(17763)] = 312556,
  [SMALL_STATE(17764)] = 312567,
  [SMALL_STATE(17765)] = 312578,
  [SMALL_STATE(17766)] = 312589,
  [SMALL_STATE(17767)] = 312600,
  [SMALL_STATE(17768)] = 312613,
  [SMALL_STATE(17769)] = 312624,
  [SMALL_STATE(17770)] = 312635,
  [SMALL_STATE(17771)] = 312646,
  [SMALL_STATE(17772)] = 312657,
  [SMALL_STATE(17773)] = 312668,
  [SMALL_STATE(17774)] = 312679,
  [SMALL_STATE(17775)] = 312690,
  [SMALL_STATE(17776)] = 312701,
  [SMALL_STATE(17777)] = 312712,
  [SMALL_STATE(17778)] = 312723,
  [SMALL_STATE(17779)] = 312734,
  [SMALL_STATE(17780)] = 312745,
  [SMALL_STATE(17781)] = 312756,
  [SMALL_STATE(17782)] = 312767,
  [SMALL_STATE(17783)] = 312778,
  [SMALL_STATE(17784)] = 312791,
  [SMALL_STATE(17785)] = 312802,
  [SMALL_STATE(17786)] = 312813,
  [SMALL_STATE(17787)] = 312824,
  [SMALL_STATE(17788)] = 312837,
  [SMALL_STATE(17789)] = 312848,
  [SMALL_STATE(17790)] = 312859,
  [SMALL_STATE(17791)] = 312870,
  [SMALL_STATE(17792)] = 312881,
  [SMALL_STATE(17793)] = 312894,
  [SMALL_STATE(17794)] = 312905,
  [SMALL_STATE(17795)] = 312916,
  [SMALL_STATE(17796)] = 312927,
  [SMALL_STATE(17797)] = 312938,
  [SMALL_STATE(17798)] = 312951,
  [SMALL_STATE(17799)] = 312962,
  [SMALL_STATE(17800)] = 312973,
  [SMALL_STATE(17801)] = 312984,
  [SMALL_STATE(17802)] = 312995,
  [SMALL_STATE(17803)] = 313006,
  [SMALL_STATE(17804)] = 313017,
  [SMALL_STATE(17805)] = 313028,
  [SMALL_STATE(17806)] = 313039,
  [SMALL_STATE(17807)] = 313050,
  [SMALL_STATE(17808)] = 313061,
  [SMALL_STATE(17809)] = 313072,
  [SMALL_STATE(17810)] = 313083,
  [SMALL_STATE(17811)] = 313094,
  [SMALL_STATE(17812)] = 313107,
  [SMALL_STATE(17813)] = 313120,
  [SMALL_STATE(17814)] = 313131,
  [SMALL_STATE(17815)] = 313142,
  [SMALL_STATE(17816)] = 313153,
  [SMALL_STATE(17817)] = 313164,
  [SMALL_STATE(17818)] = 313175,
  [SMALL_STATE(17819)] = 313186,
  [SMALL_STATE(17820)] = 313197,
  [SMALL_STATE(17821)] = 313208,
  [SMALL_STATE(17822)] = 313221,
  [SMALL_STATE(17823)] = 313232,
  [SMALL_STATE(17824)] = 313243,
  [SMALL_STATE(17825)] = 313254,
  [SMALL_STATE(17826)] = 313265,
  [SMALL_STATE(17827)] = 313278,
  [SMALL_STATE(17828)] = 313289,
  [SMALL_STATE(17829)] = 313300,
  [SMALL_STATE(17830)] = 313311,
  [SMALL_STATE(17831)] = 313322,
  [SMALL_STATE(17832)] = 313333,
  [SMALL_STATE(17833)] = 313346,
  [SMALL_STATE(17834)] = 313357,
  [SMALL_STATE(17835)] = 313370,
  [SMALL_STATE(17836)] = 313381,
  [SMALL_STATE(17837)] = 313392,
  [SMALL_STATE(17838)] = 313403,
  [SMALL_STATE(17839)] = 313414,
  [SMALL_STATE(17840)] = 313425,
  [SMALL_STATE(17841)] = 313438,
  [SMALL_STATE(17842)] = 313449,
  [SMALL_STATE(17843)] = 313460,
  [SMALL_STATE(17844)] = 313471,
  [SMALL_STATE(17845)] = 313484,
  [SMALL_STATE(17846)] = 313495,
  [SMALL_STATE(17847)] = 313508,
  [SMALL_STATE(17848)] = 313519,
  [SMALL_STATE(17849)] = 313530,
  [SMALL_STATE(17850)] = 313541,
  [SMALL_STATE(17851)] = 313552,
  [SMALL_STATE(17852)] = 313563,
  [SMALL_STATE(17853)] = 313574,
  [SMALL_STATE(17854)] = 313585,
  [SMALL_STATE(17855)] = 313596,
  [SMALL_STATE(17856)] = 313609,
  [SMALL_STATE(17857)] = 313622,
  [SMALL_STATE(17858)] = 313633,
  [SMALL_STATE(17859)] = 313644,
  [SMALL_STATE(17860)] = 313653,
  [SMALL_STATE(17861)] = 313664,
  [SMALL_STATE(17862)] = 313675,
  [SMALL_STATE(17863)] = 313686,
  [SMALL_STATE(17864)] = 313697,
  [SMALL_STATE(17865)] = 313708,
  [SMALL_STATE(17866)] = 313719,
  [SMALL_STATE(17867)] = 313730,
  [SMALL_STATE(17868)] = 313741,
  [SMALL_STATE(17869)] = 313752,
  [SMALL_STATE(17870)] = 313763,
  [SMALL_STATE(17871)] = 313774,
  [SMALL_STATE(17872)] = 313785,
  [SMALL_STATE(17873)] = 313796,
  [SMALL_STATE(17874)] = 313809,
  [SMALL_STATE(17875)] = 313820,
  [SMALL_STATE(17876)] = 313833,
  [SMALL_STATE(17877)] = 313846,
  [SMALL_STATE(17878)] = 313857,
  [SMALL_STATE(17879)] = 313866,
  [SMALL_STATE(17880)] = 313877,
  [SMALL_STATE(17881)] = 313888,
  [SMALL_STATE(17882)] = 313897,
  [SMALL_STATE(17883)] = 313910,
  [SMALL_STATE(17884)] = 313919,
  [SMALL_STATE(17885)] = 313932,
  [SMALL_STATE(17886)] = 313941,
  [SMALL_STATE(17887)] = 313950,
  [SMALL_STATE(17888)] = 313959,
  [SMALL_STATE(17889)] = 313968,
  [SMALL_STATE(17890)] = 313977,
  [SMALL_STATE(17891)] = 313988,
  [SMALL_STATE(17892)] = 313997,
  [SMALL_STATE(17893)] = 314006,
  [SMALL_STATE(17894)] = 314015,
  [SMALL_STATE(17895)] = 314024,
  [SMALL_STATE(17896)] = 314033,
  [SMALL_STATE(17897)] = 314044,
  [SMALL_STATE(17898)] = 314055,
  [SMALL_STATE(17899)] = 314066,
  [SMALL_STATE(17900)] = 314077,
  [SMALL_STATE(17901)] = 314088,
  [SMALL_STATE(17902)] = 314097,
  [SMALL_STATE(17903)] = 314108,
  [SMALL_STATE(17904)] = 314117,
  [SMALL_STATE(17905)] = 314126,
  [SMALL_STATE(17906)] = 314135,
  [SMALL_STATE(17907)] = 314146,
  [SMALL_STATE(17908)] = 314155,
  [SMALL_STATE(17909)] = 314164,
  [SMALL_STATE(17910)] = 314177,
  [SMALL_STATE(17911)] = 314186,
  [SMALL_STATE(17912)] = 314195,
  [SMALL_STATE(17913)] = 314204,
  [SMALL_STATE(17914)] = 314213,
  [SMALL_STATE(17915)] = 314224,
  [SMALL_STATE(17916)] = 314235,
  [SMALL_STATE(17917)] = 314246,
  [SMALL_STATE(17918)] = 314255,
  [SMALL_STATE(17919)] = 314268,
  [SMALL_STATE(17920)] = 314277,
  [SMALL_STATE(17921)] = 314290,
  [SMALL_STATE(17922)] = 314301,
  [SMALL_STATE(17923)] = 314312,
  [SMALL_STATE(17924)] = 314321,
  [SMALL_STATE(17925)] = 314332,
  [SMALL_STATE(17926)] = 314343,
  [SMALL_STATE(17927)] = 314352,
  [SMALL_STATE(17928)] = 314365,
  [SMALL_STATE(17929)] = 314376,
  [SMALL_STATE(17930)] = 314387,
  [SMALL_STATE(17931)] = 314396,
  [SMALL_STATE(17932)] = 314405,
  [SMALL_STATE(17933)] = 314416,
  [SMALL_STATE(17934)] = 314429,
  [SMALL_STATE(17935)] = 314442,
  [SMALL_STATE(17936)] = 314451,
  [SMALL_STATE(17937)] = 314464,
  [SMALL_STATE(17938)] = 314473,
  [SMALL_STATE(17939)] = 314484,
  [SMALL_STATE(17940)] = 314495,
  [SMALL_STATE(17941)] = 314506,
  [SMALL_STATE(17942)] = 314517,
  [SMALL_STATE(17943)] = 314526,
  [SMALL_STATE(17944)] = 314535,
  [SMALL_STATE(17945)] = 314548,
  [SMALL_STATE(17946)] = 314559,
  [SMALL_STATE(17947)] = 314568,
  [SMALL_STATE(17948)] = 314577,
  [SMALL_STATE(17949)] = 314588,
  [SMALL_STATE(17950)] = 314599,
  [SMALL_STATE(17951)] = 314608,
  [SMALL_STATE(17952)] = 314619,
  [SMALL_STATE(17953)] = 314630,
  [SMALL_STATE(17954)] = 314641,
  [SMALL_STATE(17955)] = 314652,
  [SMALL_STATE(17956)] = 314663,
  [SMALL_STATE(17957)] = 314674,
  [SMALL_STATE(17958)] = 314685,
  [SMALL_STATE(17959)] = 314696,
  [SMALL_STATE(17960)] = 314707,
  [SMALL_STATE(17961)] = 314718,
  [SMALL_STATE(17962)] = 314729,
  [SMALL_STATE(17963)] = 314740,
  [SMALL_STATE(17964)] = 314751,
  [SMALL_STATE(17965)] = 314762,
  [SMALL_STATE(17966)] = 314773,
  [SMALL_STATE(17967)] = 314782,
  [SMALL_STATE(17968)] = 314793,
  [SMALL_STATE(17969)] = 314804,
  [SMALL_STATE(17970)] = 314815,
  [SMALL_STATE(17971)] = 314826,
  [SMALL_STATE(17972)] = 314837,
  [SMALL_STATE(17973)] = 314850,
  [SMALL_STATE(17974)] = 314861,
  [SMALL_STATE(17975)] = 314872,
  [SMALL_STATE(17976)] = 314883,
  [SMALL_STATE(17977)] = 314894,
  [SMALL_STATE(17978)] = 314905,
  [SMALL_STATE(17979)] = 314916,
  [SMALL_STATE(17980)] = 314929,
  [SMALL_STATE(17981)] = 314940,
  [SMALL_STATE(17982)] = 314951,
  [SMALL_STATE(17983)] = 314962,
  [SMALL_STATE(17984)] = 314975,
  [SMALL_STATE(17985)] = 314986,
  [SMALL_STATE(17986)] = 314997,
  [SMALL_STATE(17987)] = 315008,
  [SMALL_STATE(17988)] = 315019,
  [SMALL_STATE(17989)] = 315030,
  [SMALL_STATE(17990)] = 315043,
  [SMALL_STATE(17991)] = 315054,
  [SMALL_STATE(17992)] = 315065,
  [SMALL_STATE(17993)] = 315076,
  [SMALL_STATE(17994)] = 315087,
  [SMALL_STATE(17995)] = 315098,
  [SMALL_STATE(17996)] = 315109,
  [SMALL_STATE(17997)] = 315120,
  [SMALL_STATE(17998)] = 315131,
  [SMALL_STATE(17999)] = 315142,
  [SMALL_STATE(18000)] = 315153,
  [SMALL_STATE(18001)] = 315164,
  [SMALL_STATE(18002)] = 315175,
  [SMALL_STATE(18003)] = 315186,
  [SMALL_STATE(18004)] = 315197,
  [SMALL_STATE(18005)] = 315208,
  [SMALL_STATE(18006)] = 315219,
  [SMALL_STATE(18007)] = 315230,
  [SMALL_STATE(18008)] = 315241,
  [SMALL_STATE(18009)] = 315252,
  [SMALL_STATE(18010)] = 315261,
  [SMALL_STATE(18011)] = 315272,
  [SMALL_STATE(18012)] = 315283,
  [SMALL_STATE(18013)] = 315294,
  [SMALL_STATE(18014)] = 315305,
  [SMALL_STATE(18015)] = 315318,
  [SMALL_STATE(18016)] = 315329,
  [SMALL_STATE(18017)] = 315340,
  [SMALL_STATE(18018)] = 315353,
  [SMALL_STATE(18019)] = 315366,
  [SMALL_STATE(18020)] = 315377,
  [SMALL_STATE(18021)] = 315388,
  [SMALL_STATE(18022)] = 315399,
  [SMALL_STATE(18023)] = 315412,
  [SMALL_STATE(18024)] = 315425,
  [SMALL_STATE(18025)] = 315436,
  [SMALL_STATE(18026)] = 315447,
  [SMALL_STATE(18027)] = 315458,
  [SMALL_STATE(18028)] = 315469,
  [SMALL_STATE(18029)] = 315482,
  [SMALL_STATE(18030)] = 315495,
  [SMALL_STATE(18031)] = 315508,
  [SMALL_STATE(18032)] = 315519,
  [SMALL_STATE(18033)] = 315530,
  [SMALL_STATE(18034)] = 315541,
  [SMALL_STATE(18035)] = 315552,
  [SMALL_STATE(18036)] = 315563,
  [SMALL_STATE(18037)] = 315574,
  [SMALL_STATE(18038)] = 315585,
  [SMALL_STATE(18039)] = 315596,
  [SMALL_STATE(18040)] = 315607,
  [SMALL_STATE(18041)] = 315618,
  [SMALL_STATE(18042)] = 315629,
  [SMALL_STATE(18043)] = 315640,
  [SMALL_STATE(18044)] = 315651,
  [SMALL_STATE(18045)] = 315662,
  [SMALL_STATE(18046)] = 315673,
  [SMALL_STATE(18047)] = 315684,
  [SMALL_STATE(18048)] = 315695,
  [SMALL_STATE(18049)] = 315708,
  [SMALL_STATE(18050)] = 315719,
  [SMALL_STATE(18051)] = 315730,
  [SMALL_STATE(18052)] = 315741,
  [SMALL_STATE(18053)] = 315752,
  [SMALL_STATE(18054)] = 315763,
  [SMALL_STATE(18055)] = 315774,
  [SMALL_STATE(18056)] = 315783,
  [SMALL_STATE(18057)] = 315794,
  [SMALL_STATE(18058)] = 315805,
  [SMALL_STATE(18059)] = 315816,
  [SMALL_STATE(18060)] = 315825,
  [SMALL_STATE(18061)] = 315836,
  [SMALL_STATE(18062)] = 315847,
  [SMALL_STATE(18063)] = 315858,
  [SMALL_STATE(18064)] = 315869,
  [SMALL_STATE(18065)] = 315880,
  [SMALL_STATE(18066)] = 315893,
  [SMALL_STATE(18067)] = 315904,
  [SMALL_STATE(18068)] = 315917,
  [SMALL_STATE(18069)] = 315928,
  [SMALL_STATE(18070)] = 315939,
  [SMALL_STATE(18071)] = 315950,
  [SMALL_STATE(18072)] = 315961,
  [SMALL_STATE(18073)] = 315974,
  [SMALL_STATE(18074)] = 315985,
  [SMALL_STATE(18075)] = 315998,
  [SMALL_STATE(18076)] = 316009,
  [SMALL_STATE(18077)] = 316020,
  [SMALL_STATE(18078)] = 316031,
  [SMALL_STATE(18079)] = 316042,
  [SMALL_STATE(18080)] = 316053,
  [SMALL_STATE(18081)] = 316064,
  [SMALL_STATE(18082)] = 316075,
  [SMALL_STATE(18083)] = 316086,
  [SMALL_STATE(18084)] = 316099,
  [SMALL_STATE(18085)] = 316110,
  [SMALL_STATE(18086)] = 316121,
  [SMALL_STATE(18087)] = 316132,
  [SMALL_STATE(18088)] = 316143,
  [SMALL_STATE(18089)] = 316154,
  [SMALL_STATE(18090)] = 316165,
  [SMALL_STATE(18091)] = 316176,
  [SMALL_STATE(18092)] = 316187,
  [SMALL_STATE(18093)] = 316198,
  [SMALL_STATE(18094)] = 316209,
  [SMALL_STATE(18095)] = 316220,
  [SMALL_STATE(18096)] = 316231,
  [SMALL_STATE(18097)] = 316242,
  [SMALL_STATE(18098)] = 316255,
  [SMALL_STATE(18099)] = 316266,
  [SMALL_STATE(18100)] = 316277,
  [SMALL_STATE(18101)] = 316288,
  [SMALL_STATE(18102)] = 316299,
  [SMALL_STATE(18103)] = 316310,
  [SMALL_STATE(18104)] = 316321,
  [SMALL_STATE(18105)] = 316332,
  [SMALL_STATE(18106)] = 316341,
  [SMALL_STATE(18107)] = 316352,
  [SMALL_STATE(18108)] = 316363,
  [SMALL_STATE(18109)] = 316374,
  [SMALL_STATE(18110)] = 316385,
  [SMALL_STATE(18111)] = 316398,
  [SMALL_STATE(18112)] = 316409,
  [SMALL_STATE(18113)] = 316422,
  [SMALL_STATE(18114)] = 316433,
  [SMALL_STATE(18115)] = 316444,
  [SMALL_STATE(18116)] = 316455,
  [SMALL_STATE(18117)] = 316466,
  [SMALL_STATE(18118)] = 316477,
  [SMALL_STATE(18119)] = 316488,
  [SMALL_STATE(18120)] = 316499,
  [SMALL_STATE(18121)] = 316510,
  [SMALL_STATE(18122)] = 316521,
  [SMALL_STATE(18123)] = 316534,
  [SMALL_STATE(18124)] = 316545,
  [SMALL_STATE(18125)] = 316556,
  [SMALL_STATE(18126)] = 316567,
  [SMALL_STATE(18127)] = 316578,
  [SMALL_STATE(18128)] = 316589,
  [SMALL_STATE(18129)] = 316600,
  [SMALL_STATE(18130)] = 316611,
  [SMALL_STATE(18131)] = 316622,
  [SMALL_STATE(18132)] = 316633,
  [SMALL_STATE(18133)] = 316644,
  [SMALL_STATE(18134)] = 316655,
  [SMALL_STATE(18135)] = 316666,
  [SMALL_STATE(18136)] = 316677,
  [SMALL_STATE(18137)] = 316690,
  [SMALL_STATE(18138)] = 316701,
  [SMALL_STATE(18139)] = 316714,
  [SMALL_STATE(18140)] = 316725,
  [SMALL_STATE(18141)] = 316736,
  [SMALL_STATE(18142)] = 316747,
  [SMALL_STATE(18143)] = 316758,
  [SMALL_STATE(18144)] = 316769,
  [SMALL_STATE(18145)] = 316780,
  [SMALL_STATE(18146)] = 316791,
  [SMALL_STATE(18147)] = 316802,
  [SMALL_STATE(18148)] = 316815,
  [SMALL_STATE(18149)] = 316826,
  [SMALL_STATE(18150)] = 316837,
  [SMALL_STATE(18151)] = 316848,
  [SMALL_STATE(18152)] = 316861,
  [SMALL_STATE(18153)] = 316874,
  [SMALL_STATE(18154)] = 316885,
  [SMALL_STATE(18155)] = 316893,
  [SMALL_STATE(18156)] = 316901,
  [SMALL_STATE(18157)] = 316909,
  [SMALL_STATE(18158)] = 316917,
  [SMALL_STATE(18159)] = 316925,
  [SMALL_STATE(18160)] = 316933,
  [SMALL_STATE(18161)] = 316941,
  [SMALL_STATE(18162)] = 316949,
  [SMALL_STATE(18163)] = 316957,
  [SMALL_STATE(18164)] = 316965,
  [SMALL_STATE(18165)] = 316973,
  [SMALL_STATE(18166)] = 316981,
  [SMALL_STATE(18167)] = 316989,
  [SMALL_STATE(18168)] = 316997,
  [SMALL_STATE(18169)] = 317005,
  [SMALL_STATE(18170)] = 317013,
  [SMALL_STATE(18171)] = 317021,
  [SMALL_STATE(18172)] = 317029,
  [SMALL_STATE(18173)] = 317037,
  [SMALL_STATE(18174)] = 317045,
  [SMALL_STATE(18175)] = 317053,
  [SMALL_STATE(18176)] = 317061,
  [SMALL_STATE(18177)] = 317069,
  [SMALL_STATE(18178)] = 317077,
  [SMALL_STATE(18179)] = 317085,
  [SMALL_STATE(18180)] = 317093,
  [SMALL_STATE(18181)] = 317101,
  [SMALL_STATE(18182)] = 317109,
  [SMALL_STATE(18183)] = 317117,
  [SMALL_STATE(18184)] = 317125,
  [SMALL_STATE(18185)] = 317133,
  [SMALL_STATE(18186)] = 317141,
  [SMALL_STATE(18187)] = 317149,
  [SMALL_STATE(18188)] = 317157,
  [SMALL_STATE(18189)] = 317165,
  [SMALL_STATE(18190)] = 317173,
  [SMALL_STATE(18191)] = 317181,
  [SMALL_STATE(18192)] = 317189,
  [SMALL_STATE(18193)] = 317197,
  [SMALL_STATE(18194)] = 317205,
  [SMALL_STATE(18195)] = 317213,
  [SMALL_STATE(18196)] = 317221,
  [SMALL_STATE(18197)] = 317229,
  [SMALL_STATE(18198)] = 317237,
  [SMALL_STATE(18199)] = 317245,
  [SMALL_STATE(18200)] = 317253,
  [SMALL_STATE(18201)] = 317261,
  [SMALL_STATE(18202)] = 317269,
  [SMALL_STATE(18203)] = 317277,
  [SMALL_STATE(18204)] = 317285,
  [SMALL_STATE(18205)] = 317293,
  [SMALL_STATE(18206)] = 317301,
  [SMALL_STATE(18207)] = 317309,
  [SMALL_STATE(18208)] = 317317,
  [SMALL_STATE(18209)] = 317325,
  [SMALL_STATE(18210)] = 317333,
  [SMALL_STATE(18211)] = 317341,
  [SMALL_STATE(18212)] = 317349,
  [SMALL_STATE(18213)] = 317357,
  [SMALL_STATE(18214)] = 317365,
  [SMALL_STATE(18215)] = 317373,
  [SMALL_STATE(18216)] = 317381,
  [SMALL_STATE(18217)] = 317389,
  [SMALL_STATE(18218)] = 317397,
  [SMALL_STATE(18219)] = 317405,
  [SMALL_STATE(18220)] = 317413,
  [SMALL_STATE(18221)] = 317421,
  [SMALL_STATE(18222)] = 317429,
  [SMALL_STATE(18223)] = 317437,
  [SMALL_STATE(18224)] = 317445,
  [SMALL_STATE(18225)] = 317453,
  [SMALL_STATE(18226)] = 317461,
  [SMALL_STATE(18227)] = 317469,
  [SMALL_STATE(18228)] = 317477,
  [SMALL_STATE(18229)] = 317485,
  [SMALL_STATE(18230)] = 317493,
  [SMALL_STATE(18231)] = 317501,
  [SMALL_STATE(18232)] = 317509,
  [SMALL_STATE(18233)] = 317517,
  [SMALL_STATE(18234)] = 317525,
  [SMALL_STATE(18235)] = 317533,
  [SMALL_STATE(18236)] = 317541,
  [SMALL_STATE(18237)] = 317549,
  [SMALL_STATE(18238)] = 317557,
  [SMALL_STATE(18239)] = 317565,
  [SMALL_STATE(18240)] = 317573,
  [SMALL_STATE(18241)] = 317581,
  [SMALL_STATE(18242)] = 317589,
  [SMALL_STATE(18243)] = 317597,
  [SMALL_STATE(18244)] = 317605,
  [SMALL_STATE(18245)] = 317613,
  [SMALL_STATE(18246)] = 317621,
  [SMALL_STATE(18247)] = 317629,
  [SMALL_STATE(18248)] = 317637,
  [SMALL_STATE(18249)] = 317645,
  [SMALL_STATE(18250)] = 317653,
  [SMALL_STATE(18251)] = 317661,
  [SMALL_STATE(18252)] = 317669,
  [SMALL_STATE(18253)] = 317677,
  [SMALL_STATE(18254)] = 317685,
  [SMALL_STATE(18255)] = 317693,
  [SMALL_STATE(18256)] = 317701,
  [SMALL_STATE(18257)] = 317709,
  [SMALL_STATE(18258)] = 317717,
  [SMALL_STATE(18259)] = 317725,
  [SMALL_STATE(18260)] = 317733,
  [SMALL_STATE(18261)] = 317741,
  [SMALL_STATE(18262)] = 317749,
  [SMALL_STATE(18263)] = 317757,
  [SMALL_STATE(18264)] = 317765,
  [SMALL_STATE(18265)] = 317773,
  [SMALL_STATE(18266)] = 317781,
  [SMALL_STATE(18267)] = 317789,
  [SMALL_STATE(18268)] = 317797,
  [SMALL_STATE(18269)] = 317805,
  [SMALL_STATE(18270)] = 317813,
  [SMALL_STATE(18271)] = 317821,
  [SMALL_STATE(18272)] = 317829,
  [SMALL_STATE(18273)] = 317837,
  [SMALL_STATE(18274)] = 317845,
  [SMALL_STATE(18275)] = 317853,
  [SMALL_STATE(18276)] = 317861,
  [SMALL_STATE(18277)] = 317869,
  [SMALL_STATE(18278)] = 317877,
  [SMALL_STATE(18279)] = 317885,
  [SMALL_STATE(18280)] = 317893,
  [SMALL_STATE(18281)] = 317901,
  [SMALL_STATE(18282)] = 317909,
  [SMALL_STATE(18283)] = 317917,
  [SMALL_STATE(18284)] = 317925,
  [SMALL_STATE(18285)] = 317933,
  [SMALL_STATE(18286)] = 317941,
  [SMALL_STATE(18287)] = 317949,
  [SMALL_STATE(18288)] = 317957,
  [SMALL_STATE(18289)] = 317965,
  [SMALL_STATE(18290)] = 317973,
  [SMALL_STATE(18291)] = 317981,
  [SMALL_STATE(18292)] = 317989,
  [SMALL_STATE(18293)] = 317997,
  [SMALL_STATE(18294)] = 318005,
  [SMALL_STATE(18295)] = 318013,
  [SMALL_STATE(18296)] = 318021,
  [SMALL_STATE(18297)] = 318029,
  [SMALL_STATE(18298)] = 318037,
  [SMALL_STATE(18299)] = 318045,
  [SMALL_STATE(18300)] = 318053,
  [SMALL_STATE(18301)] = 318061,
  [SMALL_STATE(18302)] = 318069,
  [SMALL_STATE(18303)] = 318077,
  [SMALL_STATE(18304)] = 318085,
  [SMALL_STATE(18305)] = 318093,
  [SMALL_STATE(18306)] = 318101,
  [SMALL_STATE(18307)] = 318109,
  [SMALL_STATE(18308)] = 318117,
  [SMALL_STATE(18309)] = 318125,
  [SMALL_STATE(18310)] = 318133,
  [SMALL_STATE(18311)] = 318141,
  [SMALL_STATE(18312)] = 318149,
  [SMALL_STATE(18313)] = 318157,
  [SMALL_STATE(18314)] = 318165,
  [SMALL_STATE(18315)] = 318173,
  [SMALL_STATE(18316)] = 318181,
  [SMALL_STATE(18317)] = 318189,
  [SMALL_STATE(18318)] = 318197,
  [SMALL_STATE(18319)] = 318205,
  [SMALL_STATE(18320)] = 318213,
  [SMALL_STATE(18321)] = 318221,
  [SMALL_STATE(18322)] = 318229,
  [SMALL_STATE(18323)] = 318237,
  [SMALL_STATE(18324)] = 318245,
  [SMALL_STATE(18325)] = 318253,
  [SMALL_STATE(18326)] = 318261,
  [SMALL_STATE(18327)] = 318269,
  [SMALL_STATE(18328)] = 318277,
  [SMALL_STATE(18329)] = 318285,
  [SMALL_STATE(18330)] = 318293,
  [SMALL_STATE(18331)] = 318301,
  [SMALL_STATE(18332)] = 318309,
  [SMALL_STATE(18333)] = 318317,
  [SMALL_STATE(18334)] = 318325,
  [SMALL_STATE(18335)] = 318333,
  [SMALL_STATE(18336)] = 318341,
  [SMALL_STATE(18337)] = 318349,
  [SMALL_STATE(18338)] = 318357,
  [SMALL_STATE(18339)] = 318365,
  [SMALL_STATE(18340)] = 318373,
  [SMALL_STATE(18341)] = 318381,
  [SMALL_STATE(18342)] = 318389,
  [SMALL_STATE(18343)] = 318397,
  [SMALL_STATE(18344)] = 318405,
  [SMALL_STATE(18345)] = 318413,
  [SMALL_STATE(18346)] = 318421,
  [SMALL_STATE(18347)] = 318429,
  [SMALL_STATE(18348)] = 318437,
  [SMALL_STATE(18349)] = 318445,
  [SMALL_STATE(18350)] = 318453,
  [SMALL_STATE(18351)] = 318461,
  [SMALL_STATE(18352)] = 318469,
  [SMALL_STATE(18353)] = 318477,
  [SMALL_STATE(18354)] = 318485,
  [SMALL_STATE(18355)] = 318493,
  [SMALL_STATE(18356)] = 318501,
  [SMALL_STATE(18357)] = 318509,
  [SMALL_STATE(18358)] = 318517,
  [SMALL_STATE(18359)] = 318525,
  [SMALL_STATE(18360)] = 318533,
  [SMALL_STATE(18361)] = 318541,
  [SMALL_STATE(18362)] = 318549,
  [SMALL_STATE(18363)] = 318557,
  [SMALL_STATE(18364)] = 318565,
  [SMALL_STATE(18365)] = 318573,
  [SMALL_STATE(18366)] = 318581,
  [SMALL_STATE(18367)] = 318589,
  [SMALL_STATE(18368)] = 318597,
  [SMALL_STATE(18369)] = 318605,
  [SMALL_STATE(18370)] = 318613,
  [SMALL_STATE(18371)] = 318621,
  [SMALL_STATE(18372)] = 318629,
  [SMALL_STATE(18373)] = 318637,
  [SMALL_STATE(18374)] = 318645,
  [SMALL_STATE(18375)] = 318653,
  [SMALL_STATE(18376)] = 318661,
  [SMALL_STATE(18377)] = 318669,
  [SMALL_STATE(18378)] = 318677,
  [SMALL_STATE(18379)] = 318685,
  [SMALL_STATE(18380)] = 318693,
  [SMALL_STATE(18381)] = 318701,
  [SMALL_STATE(18382)] = 318709,
  [SMALL_STATE(18383)] = 318717,
  [SMALL_STATE(18384)] = 318725,
  [SMALL_STATE(18385)] = 318733,
  [SMALL_STATE(18386)] = 318741,
  [SMALL_STATE(18387)] = 318749,
  [SMALL_STATE(18388)] = 318757,
  [SMALL_STATE(18389)] = 318765,
  [SMALL_STATE(18390)] = 318773,
  [SMALL_STATE(18391)] = 318781,
  [SMALL_STATE(18392)] = 318789,
  [SMALL_STATE(18393)] = 318797,
  [SMALL_STATE(18394)] = 318805,
  [SMALL_STATE(18395)] = 318813,
  [SMALL_STATE(18396)] = 318821,
  [SMALL_STATE(18397)] = 318829,
  [SMALL_STATE(18398)] = 318837,
  [SMALL_STATE(18399)] = 318845,
  [SMALL_STATE(18400)] = 318853,
  [SMALL_STATE(18401)] = 318861,
  [SMALL_STATE(18402)] = 318869,
  [SMALL_STATE(18403)] = 318877,
  [SMALL_STATE(18404)] = 318885,
  [SMALL_STATE(18405)] = 318893,
  [SMALL_STATE(18406)] = 318901,
  [SMALL_STATE(18407)] = 318909,
  [SMALL_STATE(18408)] = 318917,
  [SMALL_STATE(18409)] = 318925,
  [SMALL_STATE(18410)] = 318933,
  [SMALL_STATE(18411)] = 318941,
  [SMALL_STATE(18412)] = 318949,
  [SMALL_STATE(18413)] = 318957,
  [SMALL_STATE(18414)] = 318965,
  [SMALL_STATE(18415)] = 318973,
  [SMALL_STATE(18416)] = 318981,
  [SMALL_STATE(18417)] = 318989,
  [SMALL_STATE(18418)] = 318997,
  [SMALL_STATE(18419)] = 319005,
  [SMALL_STATE(18420)] = 319013,
  [SMALL_STATE(18421)] = 319021,
  [SMALL_STATE(18422)] = 319029,
  [SMALL_STATE(18423)] = 319037,
  [SMALL_STATE(18424)] = 319045,
  [SMALL_STATE(18425)] = 319053,
  [SMALL_STATE(18426)] = 319061,
  [SMALL_STATE(18427)] = 319069,
  [SMALL_STATE(18428)] = 319077,
  [SMALL_STATE(18429)] = 319085,
  [SMALL_STATE(18430)] = 319093,
  [SMALL_STATE(18431)] = 319101,
  [SMALL_STATE(18432)] = 319109,
  [SMALL_STATE(18433)] = 319117,
  [SMALL_STATE(18434)] = 319125,
  [SMALL_STATE(18435)] = 319133,
  [SMALL_STATE(18436)] = 319141,
  [SMALL_STATE(18437)] = 319149,
  [SMALL_STATE(18438)] = 319157,
  [SMALL_STATE(18439)] = 319165,
  [SMALL_STATE(18440)] = 319173,
  [SMALL_STATE(18441)] = 319181,
  [SMALL_STATE(18442)] = 319189,
  [SMALL_STATE(18443)] = 319197,
  [SMALL_STATE(18444)] = 319205,
  [SMALL_STATE(18445)] = 319213,
  [SMALL_STATE(18446)] = 319221,
  [SMALL_STATE(18447)] = 319229,
  [SMALL_STATE(18448)] = 319237,
  [SMALL_STATE(18449)] = 319245,
  [SMALL_STATE(18450)] = 319253,
  [SMALL_STATE(18451)] = 319261,
  [SMALL_STATE(18452)] = 319269,
  [SMALL_STATE(18453)] = 319277,
  [SMALL_STATE(18454)] = 319285,
  [SMALL_STATE(18455)] = 319293,
  [SMALL_STATE(18456)] = 319301,
  [SMALL_STATE(18457)] = 319309,
  [SMALL_STATE(18458)] = 319317,
  [SMALL_STATE(18459)] = 319325,
  [SMALL_STATE(18460)] = 319333,
  [SMALL_STATE(18461)] = 319341,
  [SMALL_STATE(18462)] = 319349,
  [SMALL_STATE(18463)] = 319357,
  [SMALL_STATE(18464)] = 319365,
  [SMALL_STATE(18465)] = 319373,
  [SMALL_STATE(18466)] = 319381,
  [SMALL_STATE(18467)] = 319389,
  [SMALL_STATE(18468)] = 319397,
  [SMALL_STATE(18469)] = 319405,
  [SMALL_STATE(18470)] = 319413,
  [SMALL_STATE(18471)] = 319421,
  [SMALL_STATE(18472)] = 319429,
  [SMALL_STATE(18473)] = 319437,
  [SMALL_STATE(18474)] = 319445,
  [SMALL_STATE(18475)] = 319453,
  [SMALL_STATE(18476)] = 319461,
  [SMALL_STATE(18477)] = 319469,
  [SMALL_STATE(18478)] = 319477,
  [SMALL_STATE(18479)] = 319485,
  [SMALL_STATE(18480)] = 319493,
  [SMALL_STATE(18481)] = 319501,
  [SMALL_STATE(18482)] = 319509,
  [SMALL_STATE(18483)] = 319517,
  [SMALL_STATE(18484)] = 319525,
  [SMALL_STATE(18485)] = 319533,
  [SMALL_STATE(18486)] = 319541,
  [SMALL_STATE(18487)] = 319549,
  [SMALL_STATE(18488)] = 319557,
  [SMALL_STATE(18489)] = 319565,
  [SMALL_STATE(18490)] = 319573,
  [SMALL_STATE(18491)] = 319581,
  [SMALL_STATE(18492)] = 319589,
  [SMALL_STATE(18493)] = 319597,
  [SMALL_STATE(18494)] = 319605,
  [SMALL_STATE(18495)] = 319613,
  [SMALL_STATE(18496)] = 319621,
  [SMALL_STATE(18497)] = 319629,
  [SMALL_STATE(18498)] = 319637,
  [SMALL_STATE(18499)] = 319645,
  [SMALL_STATE(18500)] = 319653,
  [SMALL_STATE(18501)] = 319661,
  [SMALL_STATE(18502)] = 319669,
  [SMALL_STATE(18503)] = 319677,
  [SMALL_STATE(18504)] = 319685,
  [SMALL_STATE(18505)] = 319693,
  [SMALL_STATE(18506)] = 319701,
  [SMALL_STATE(18507)] = 319709,
  [SMALL_STATE(18508)] = 319717,
  [SMALL_STATE(18509)] = 319725,
  [SMALL_STATE(18510)] = 319733,
  [SMALL_STATE(18511)] = 319741,
  [SMALL_STATE(18512)] = 319749,
  [SMALL_STATE(18513)] = 319757,
  [SMALL_STATE(18514)] = 319765,
  [SMALL_STATE(18515)] = 319773,
  [SMALL_STATE(18516)] = 319781,
  [SMALL_STATE(18517)] = 319789,
  [SMALL_STATE(18518)] = 319797,
  [SMALL_STATE(18519)] = 319805,
  [SMALL_STATE(18520)] = 319813,
  [SMALL_STATE(18521)] = 319821,
  [SMALL_STATE(18522)] = 319829,
  [SMALL_STATE(18523)] = 319837,
  [SMALL_STATE(18524)] = 319845,
  [SMALL_STATE(18525)] = 319853,
  [SMALL_STATE(18526)] = 319861,
  [SMALL_STATE(18527)] = 319869,
  [SMALL_STATE(18528)] = 319877,
  [SMALL_STATE(18529)] = 319885,
  [SMALL_STATE(18530)] = 319893,
  [SMALL_STATE(18531)] = 319901,
  [SMALL_STATE(18532)] = 319909,
  [SMALL_STATE(18533)] = 319917,
  [SMALL_STATE(18534)] = 319925,
  [SMALL_STATE(18535)] = 319933,
  [SMALL_STATE(18536)] = 319941,
  [SMALL_STATE(18537)] = 319949,
  [SMALL_STATE(18538)] = 319957,
  [SMALL_STATE(18539)] = 319965,
  [SMALL_STATE(18540)] = 319973,
  [SMALL_STATE(18541)] = 319981,
  [SMALL_STATE(18542)] = 319989,
  [SMALL_STATE(18543)] = 319997,
  [SMALL_STATE(18544)] = 320005,
  [SMALL_STATE(18545)] = 320013,
  [SMALL_STATE(18546)] = 320021,
  [SMALL_STATE(18547)] = 320029,
  [SMALL_STATE(18548)] = 320037,
  [SMALL_STATE(18549)] = 320045,
  [SMALL_STATE(18550)] = 320053,
  [SMALL_STATE(18551)] = 320061,
  [SMALL_STATE(18552)] = 320069,
  [SMALL_STATE(18553)] = 320077,
  [SMALL_STATE(18554)] = 320085,
  [SMALL_STATE(18555)] = 320093,
  [SMALL_STATE(18556)] = 320101,
  [SMALL_STATE(18557)] = 320109,
  [SMALL_STATE(18558)] = 320117,
  [SMALL_STATE(18559)] = 320125,
  [SMALL_STATE(18560)] = 320133,
  [SMALL_STATE(18561)] = 320141,
  [SMALL_STATE(18562)] = 320149,
  [SMALL_STATE(18563)] = 320157,
  [SMALL_STATE(18564)] = 320165,
  [SMALL_STATE(18565)] = 320173,
  [SMALL_STATE(18566)] = 320181,
  [SMALL_STATE(18567)] = 320189,
  [SMALL_STATE(18568)] = 320197,
  [SMALL_STATE(18569)] = 320205,
  [SMALL_STATE(18570)] = 320213,
  [SMALL_STATE(18571)] = 320221,
  [SMALL_STATE(18572)] = 320229,
  [SMALL_STATE(18573)] = 320237,
  [SMALL_STATE(18574)] = 320245,
  [SMALL_STATE(18575)] = 320253,
  [SMALL_STATE(18576)] = 320261,
  [SMALL_STATE(18577)] = 320269,
  [SMALL_STATE(18578)] = 320277,
  [SMALL_STATE(18579)] = 320285,
  [SMALL_STATE(18580)] = 320293,
  [SMALL_STATE(18581)] = 320301,
  [SMALL_STATE(18582)] = 320309,
  [SMALL_STATE(18583)] = 320317,
  [SMALL_STATE(18584)] = 320325,
  [SMALL_STATE(18585)] = 320333,
  [SMALL_STATE(18586)] = 320341,
  [SMALL_STATE(18587)] = 320349,
  [SMALL_STATE(18588)] = 320357,
  [SMALL_STATE(18589)] = 320365,
  [SMALL_STATE(18590)] = 320373,
  [SMALL_STATE(18591)] = 320381,
  [SMALL_STATE(18592)] = 320389,
  [SMALL_STATE(18593)] = 320397,
  [SMALL_STATE(18594)] = 320405,
  [SMALL_STATE(18595)] = 320413,
  [SMALL_STATE(18596)] = 320421,
  [SMALL_STATE(18597)] = 320429,
  [SMALL_STATE(18598)] = 320437,
  [SMALL_STATE(18599)] = 320445,
  [SMALL_STATE(18600)] = 320453,
  [SMALL_STATE(18601)] = 320461,
  [SMALL_STATE(18602)] = 320469,
  [SMALL_STATE(18603)] = 320477,
  [SMALL_STATE(18604)] = 320485,
  [SMALL_STATE(18605)] = 320493,
  [SMALL_STATE(18606)] = 320501,
  [SMALL_STATE(18607)] = 320509,
  [SMALL_STATE(18608)] = 320517,
  [SMALL_STATE(18609)] = 320525,
  [SMALL_STATE(18610)] = 320533,
  [SMALL_STATE(18611)] = 320541,
  [SMALL_STATE(18612)] = 320549,
  [SMALL_STATE(18613)] = 320557,
  [SMALL_STATE(18614)] = 320565,
  [SMALL_STATE(18615)] = 320573,
  [SMALL_STATE(18616)] = 320581,
  [SMALL_STATE(18617)] = 320589,
  [SMALL_STATE(18618)] = 320597,
  [SMALL_STATE(18619)] = 320605,
  [SMALL_STATE(18620)] = 320613,
  [SMALL_STATE(18621)] = 320621,
  [SMALL_STATE(18622)] = 320629,
  [SMALL_STATE(18623)] = 320637,
  [SMALL_STATE(18624)] = 320645,
  [SMALL_STATE(18625)] = 320653,
  [SMALL_STATE(18626)] = 320661,
  [SMALL_STATE(18627)] = 320669,
  [SMALL_STATE(18628)] = 320677,
  [SMALL_STATE(18629)] = 320685,
  [SMALL_STATE(18630)] = 320693,
  [SMALL_STATE(18631)] = 320701,
  [SMALL_STATE(18632)] = 320709,
  [SMALL_STATE(18633)] = 320717,
  [SMALL_STATE(18634)] = 320725,
  [SMALL_STATE(18635)] = 320733,
  [SMALL_STATE(18636)] = 320741,
  [SMALL_STATE(18637)] = 320749,
  [SMALL_STATE(18638)] = 320757,
  [SMALL_STATE(18639)] = 320765,
  [SMALL_STATE(18640)] = 320773,
  [SMALL_STATE(18641)] = 320781,
  [SMALL_STATE(18642)] = 320789,
  [SMALL_STATE(18643)] = 320797,
  [SMALL_STATE(18644)] = 320805,
  [SMALL_STATE(18645)] = 320813,
  [SMALL_STATE(18646)] = 320821,
  [SMALL_STATE(18647)] = 320829,
  [SMALL_STATE(18648)] = 320837,
  [SMALL_STATE(18649)] = 320845,
  [SMALL_STATE(18650)] = 320853,
  [SMALL_STATE(18651)] = 320861,
  [SMALL_STATE(18652)] = 320869,
  [SMALL_STATE(18653)] = 320877,
  [SMALL_STATE(18654)] = 320885,
  [SMALL_STATE(18655)] = 320893,
  [SMALL_STATE(18656)] = 320901,
  [SMALL_STATE(18657)] = 320909,
  [SMALL_STATE(18658)] = 320917,
  [SMALL_STATE(18659)] = 320925,
  [SMALL_STATE(18660)] = 320933,
  [SMALL_STATE(18661)] = 320941,
  [SMALL_STATE(18662)] = 320949,
  [SMALL_STATE(18663)] = 320957,
  [SMALL_STATE(18664)] = 320965,
  [SMALL_STATE(18665)] = 320973,
  [SMALL_STATE(18666)] = 320981,
  [SMALL_STATE(18667)] = 320989,
  [SMALL_STATE(18668)] = 320997,
  [SMALL_STATE(18669)] = 321005,
  [SMALL_STATE(18670)] = 321013,
  [SMALL_STATE(18671)] = 321021,
  [SMALL_STATE(18672)] = 321029,
  [SMALL_STATE(18673)] = 321037,
  [SMALL_STATE(18674)] = 321045,
  [SMALL_STATE(18675)] = 321053,
  [SMALL_STATE(18676)] = 321061,
  [SMALL_STATE(18677)] = 321069,
  [SMALL_STATE(18678)] = 321077,
  [SMALL_STATE(18679)] = 321085,
  [SMALL_STATE(18680)] = 321093,
  [SMALL_STATE(18681)] = 321101,
  [SMALL_STATE(18682)] = 321109,
  [SMALL_STATE(18683)] = 321117,
  [SMALL_STATE(18684)] = 321125,
  [SMALL_STATE(18685)] = 321133,
  [SMALL_STATE(18686)] = 321141,
  [SMALL_STATE(18687)] = 321149,
  [SMALL_STATE(18688)] = 321157,
  [SMALL_STATE(18689)] = 321165,
  [SMALL_STATE(18690)] = 321173,
  [SMALL_STATE(18691)] = 321181,
  [SMALL_STATE(18692)] = 321189,
  [SMALL_STATE(18693)] = 321197,
  [SMALL_STATE(18694)] = 321205,
  [SMALL_STATE(18695)] = 321213,
  [SMALL_STATE(18696)] = 321221,
  [SMALL_STATE(18697)] = 321229,
  [SMALL_STATE(18698)] = 321237,
  [SMALL_STATE(18699)] = 321245,
  [SMALL_STATE(18700)] = 321253,
  [SMALL_STATE(18701)] = 321261,
  [SMALL_STATE(18702)] = 321269,
  [SMALL_STATE(18703)] = 321277,
  [SMALL_STATE(18704)] = 321285,
  [SMALL_STATE(18705)] = 321293,
  [SMALL_STATE(18706)] = 321301,
  [SMALL_STATE(18707)] = 321309,
  [SMALL_STATE(18708)] = 321317,
  [SMALL_STATE(18709)] = 321325,
  [SMALL_STATE(18710)] = 321333,
  [SMALL_STATE(18711)] = 321341,
  [SMALL_STATE(18712)] = 321349,
  [SMALL_STATE(18713)] = 321357,
  [SMALL_STATE(18714)] = 321365,
  [SMALL_STATE(18715)] = 321373,
  [SMALL_STATE(18716)] = 321381,
  [SMALL_STATE(18717)] = 321389,
  [SMALL_STATE(18718)] = 321397,
  [SMALL_STATE(18719)] = 321405,
  [SMALL_STATE(18720)] = 321413,
  [SMALL_STATE(18721)] = 321421,
  [SMALL_STATE(18722)] = 321429,
  [SMALL_STATE(18723)] = 321437,
  [SMALL_STATE(18724)] = 321445,
  [SMALL_STATE(18725)] = 321453,
  [SMALL_STATE(18726)] = 321461,
  [SMALL_STATE(18727)] = 321469,
  [SMALL_STATE(18728)] = 321477,
  [SMALL_STATE(18729)] = 321485,
  [SMALL_STATE(18730)] = 321493,
  [SMALL_STATE(18731)] = 321501,
  [SMALL_STATE(18732)] = 321509,
  [SMALL_STATE(18733)] = 321517,
  [SMALL_STATE(18734)] = 321525,
  [SMALL_STATE(18735)] = 321533,
  [SMALL_STATE(18736)] = 321541,
  [SMALL_STATE(18737)] = 321549,
  [SMALL_STATE(18738)] = 321557,
  [SMALL_STATE(18739)] = 321565,
  [SMALL_STATE(18740)] = 321573,
  [SMALL_STATE(18741)] = 321581,
  [SMALL_STATE(18742)] = 321589,
  [SMALL_STATE(18743)] = 321597,
  [SMALL_STATE(18744)] = 321605,
  [SMALL_STATE(18745)] = 321613,
  [SMALL_STATE(18746)] = 321621,
  [SMALL_STATE(18747)] = 321629,
  [SMALL_STATE(18748)] = 321637,
  [SMALL_STATE(18749)] = 321645,
  [SMALL_STATE(18750)] = 321653,
  [SMALL_STATE(18751)] = 321661,
  [SMALL_STATE(18752)] = 321669,
  [SMALL_STATE(18753)] = 321677,
  [SMALL_STATE(18754)] = 321685,
  [SMALL_STATE(18755)] = 321693,
  [SMALL_STATE(18756)] = 321701,
  [SMALL_STATE(18757)] = 321709,
  [SMALL_STATE(18758)] = 321717,
  [SMALL_STATE(18759)] = 321725,
  [SMALL_STATE(18760)] = 321733,
  [SMALL_STATE(18761)] = 321741,
  [SMALL_STATE(18762)] = 321749,
  [SMALL_STATE(18763)] = 321757,
  [SMALL_STATE(18764)] = 321765,
  [SMALL_STATE(18765)] = 321773,
  [SMALL_STATE(18766)] = 321781,
  [SMALL_STATE(18767)] = 321789,
  [SMALL_STATE(18768)] = 321797,
  [SMALL_STATE(18769)] = 321805,
  [SMALL_STATE(18770)] = 321813,
  [SMALL_STATE(18771)] = 321821,
  [SMALL_STATE(18772)] = 321829,
  [SMALL_STATE(18773)] = 321837,
  [SMALL_STATE(18774)] = 321845,
  [SMALL_STATE(18775)] = 321853,
  [SMALL_STATE(18776)] = 321861,
  [SMALL_STATE(18777)] = 321869,
  [SMALL_STATE(18778)] = 321877,
  [SMALL_STATE(18779)] = 321885,
  [SMALL_STATE(18780)] = 321893,
  [SMALL_STATE(18781)] = 321901,
  [SMALL_STATE(18782)] = 321909,
  [SMALL_STATE(18783)] = 321917,
  [SMALL_STATE(18784)] = 321925,
  [SMALL_STATE(18785)] = 321933,
  [SMALL_STATE(18786)] = 321941,
  [SMALL_STATE(18787)] = 321949,
  [SMALL_STATE(18788)] = 321957,
  [SMALL_STATE(18789)] = 321965,
  [SMALL_STATE(18790)] = 321973,
  [SMALL_STATE(18791)] = 321981,
  [SMALL_STATE(18792)] = 321989,
  [SMALL_STATE(18793)] = 321997,
  [SMALL_STATE(18794)] = 322005,
  [SMALL_STATE(18795)] = 322013,
  [SMALL_STATE(18796)] = 322021,
  [SMALL_STATE(18797)] = 322029,
  [SMALL_STATE(18798)] = 322037,
  [SMALL_STATE(18799)] = 322045,
  [SMALL_STATE(18800)] = 322053,
  [SMALL_STATE(18801)] = 322061,
  [SMALL_STATE(18802)] = 322069,
  [SMALL_STATE(18803)] = 322077,
  [SMALL_STATE(18804)] = 322085,
  [SMALL_STATE(18805)] = 322093,
  [SMALL_STATE(18806)] = 322101,
  [SMALL_STATE(18807)] = 322109,
  [SMALL_STATE(18808)] = 322117,
  [SMALL_STATE(18809)] = 322125,
  [SMALL_STATE(18810)] = 322133,
  [SMALL_STATE(18811)] = 322141,
  [SMALL_STATE(18812)] = 322149,
  [SMALL_STATE(18813)] = 322157,
  [SMALL_STATE(18814)] = 322165,
  [SMALL_STATE(18815)] = 322173,
  [SMALL_STATE(18816)] = 322181,
  [SMALL_STATE(18817)] = 322189,
  [SMALL_STATE(18818)] = 322197,
  [SMALL_STATE(18819)] = 322205,
  [SMALL_STATE(18820)] = 322213,
  [SMALL_STATE(18821)] = 322221,
  [SMALL_STATE(18822)] = 322229,
  [SMALL_STATE(18823)] = 322237,
  [SMALL_STATE(18824)] = 322245,
  [SMALL_STATE(18825)] = 322253,
  [SMALL_STATE(18826)] = 322261,
  [SMALL_STATE(18827)] = 322269,
  [SMALL_STATE(18828)] = 322277,
  [SMALL_STATE(18829)] = 322285,
  [SMALL_STATE(18830)] = 322293,
  [SMALL_STATE(18831)] = 322301,
  [SMALL_STATE(18832)] = 322309,
  [SMALL_STATE(18833)] = 322317,
  [SMALL_STATE(18834)] = 322325,
  [SMALL_STATE(18835)] = 322333,
  [SMALL_STATE(18836)] = 322341,
  [SMALL_STATE(18837)] = 322349,
  [SMALL_STATE(18838)] = 322357,
  [SMALL_STATE(18839)] = 322365,
  [SMALL_STATE(18840)] = 322373,
  [SMALL_STATE(18841)] = 322381,
  [SMALL_STATE(18842)] = 322389,
  [SMALL_STATE(18843)] = 322397,
  [SMALL_STATE(18844)] = 322405,
  [SMALL_STATE(18845)] = 322413,
  [SMALL_STATE(18846)] = 322421,
  [SMALL_STATE(18847)] = 322429,
  [SMALL_STATE(18848)] = 322437,
  [SMALL_STATE(18849)] = 322445,
  [SMALL_STATE(18850)] = 322453,
  [SMALL_STATE(18851)] = 322461,
  [SMALL_STATE(18852)] = 322469,
  [SMALL_STATE(18853)] = 322477,
  [SMALL_STATE(18854)] = 322485,
  [SMALL_STATE(18855)] = 322493,
  [SMALL_STATE(18856)] = 322501,
  [SMALL_STATE(18857)] = 322509,
  [SMALL_STATE(18858)] = 322517,
  [SMALL_STATE(18859)] = 322525,
  [SMALL_STATE(18860)] = 322533,
  [SMALL_STATE(18861)] = 322541,
  [SMALL_STATE(18862)] = 322549,
  [SMALL_STATE(18863)] = 322557,
  [SMALL_STATE(18864)] = 322565,
  [SMALL_STATE(18865)] = 322573,
  [SMALL_STATE(18866)] = 322581,
  [SMALL_STATE(18867)] = 322589,
  [SMALL_STATE(18868)] = 322597,
  [SMALL_STATE(18869)] = 322605,
  [SMALL_STATE(18870)] = 322613,
  [SMALL_STATE(18871)] = 322621,
  [SMALL_STATE(18872)] = 322629,
  [SMALL_STATE(18873)] = 322637,
  [SMALL_STATE(18874)] = 322645,
  [SMALL_STATE(18875)] = 322653,
  [SMALL_STATE(18876)] = 322661,
  [SMALL_STATE(18877)] = 322669,
  [SMALL_STATE(18878)] = 322677,
  [SMALL_STATE(18879)] = 322685,
  [SMALL_STATE(18880)] = 322693,
  [SMALL_STATE(18881)] = 322701,
  [SMALL_STATE(18882)] = 322709,
  [SMALL_STATE(18883)] = 322717,
  [SMALL_STATE(18884)] = 322725,
  [SMALL_STATE(18885)] = 322733,
  [SMALL_STATE(18886)] = 322741,
  [SMALL_STATE(18887)] = 322749,
  [SMALL_STATE(18888)] = 322757,
  [SMALL_STATE(18889)] = 322765,
  [SMALL_STATE(18890)] = 322773,
  [SMALL_STATE(18891)] = 322781,
  [SMALL_STATE(18892)] = 322789,
  [SMALL_STATE(18893)] = 322797,
  [SMALL_STATE(18894)] = 322805,
  [SMALL_STATE(18895)] = 322813,
  [SMALL_STATE(18896)] = 322821,
  [SMALL_STATE(18897)] = 322829,
  [SMALL_STATE(18898)] = 322837,
  [SMALL_STATE(18899)] = 322845,
  [SMALL_STATE(18900)] = 322853,
  [SMALL_STATE(18901)] = 322861,
  [SMALL_STATE(18902)] = 322869,
  [SMALL_STATE(18903)] = 322877,
  [SMALL_STATE(18904)] = 322885,
  [SMALL_STATE(18905)] = 322893,
  [SMALL_STATE(18906)] = 322901,
  [SMALL_STATE(18907)] = 322909,
  [SMALL_STATE(18908)] = 322917,
  [SMALL_STATE(18909)] = 322925,
  [SMALL_STATE(18910)] = 322933,
  [SMALL_STATE(18911)] = 322941,
  [SMALL_STATE(18912)] = 322949,
  [SMALL_STATE(18913)] = 322957,
  [SMALL_STATE(18914)] = 322965,
  [SMALL_STATE(18915)] = 322973,
  [SMALL_STATE(18916)] = 322981,
  [SMALL_STATE(18917)] = 322989,
  [SMALL_STATE(18918)] = 322997,
  [SMALL_STATE(18919)] = 323005,
  [SMALL_STATE(18920)] = 323013,
  [SMALL_STATE(18921)] = 323021,
  [SMALL_STATE(18922)] = 323029,
  [SMALL_STATE(18923)] = 323037,
  [SMALL_STATE(18924)] = 323045,
  [SMALL_STATE(18925)] = 323053,
  [SMALL_STATE(18926)] = 323061,
  [SMALL_STATE(18927)] = 323069,
  [SMALL_STATE(18928)] = 323077,
  [SMALL_STATE(18929)] = 323085,
  [SMALL_STATE(18930)] = 323093,
  [SMALL_STATE(18931)] = 323101,
  [SMALL_STATE(18932)] = 323109,
  [SMALL_STATE(18933)] = 323117,
  [SMALL_STATE(18934)] = 323125,
  [SMALL_STATE(18935)] = 323133,
  [SMALL_STATE(18936)] = 323141,
  [SMALL_STATE(18937)] = 323149,
  [SMALL_STATE(18938)] = 323157,
  [SMALL_STATE(18939)] = 323165,
  [SMALL_STATE(18940)] = 323173,
  [SMALL_STATE(18941)] = 323181,
  [SMALL_STATE(18942)] = 323189,
  [SMALL_STATE(18943)] = 323197,
  [SMALL_STATE(18944)] = 323205,
  [SMALL_STATE(18945)] = 323213,
  [SMALL_STATE(18946)] = 323221,
  [SMALL_STATE(18947)] = 323229,
  [SMALL_STATE(18948)] = 323237,
  [SMALL_STATE(18949)] = 323245,
  [SMALL_STATE(18950)] = 323253,
  [SMALL_STATE(18951)] = 323261,
  [SMALL_STATE(18952)] = 323269,
  [SMALL_STATE(18953)] = 323277,
  [SMALL_STATE(18954)] = 323285,
  [SMALL_STATE(18955)] = 323293,
  [SMALL_STATE(18956)] = 323301,
  [SMALL_STATE(18957)] = 323309,
  [SMALL_STATE(18958)] = 323317,
  [SMALL_STATE(18959)] = 323325,
  [SMALL_STATE(18960)] = 323333,
  [SMALL_STATE(18961)] = 323341,
  [SMALL_STATE(18962)] = 323349,
  [SMALL_STATE(18963)] = 323357,
  [SMALL_STATE(18964)] = 323365,
  [SMALL_STATE(18965)] = 323373,
  [SMALL_STATE(18966)] = 323381,
  [SMALL_STATE(18967)] = 323389,
  [SMALL_STATE(18968)] = 323397,
  [SMALL_STATE(18969)] = 323405,
  [SMALL_STATE(18970)] = 323413,
  [SMALL_STATE(18971)] = 323421,
  [SMALL_STATE(18972)] = 323429,
  [SMALL_STATE(18973)] = 323437,
  [SMALL_STATE(18974)] = 323445,
  [SMALL_STATE(18975)] = 323453,
  [SMALL_STATE(18976)] = 323461,
  [SMALL_STATE(18977)] = 323469,
  [SMALL_STATE(18978)] = 323477,
  [SMALL_STATE(18979)] = 323485,
  [SMALL_STATE(18980)] = 323493,
  [SMALL_STATE(18981)] = 323501,
  [SMALL_STATE(18982)] = 323509,
  [SMALL_STATE(18983)] = 323517,
  [SMALL_STATE(18984)] = 323525,
  [SMALL_STATE(18985)] = 323533,
  [SMALL_STATE(18986)] = 323541,
  [SMALL_STATE(18987)] = 323549,
  [SMALL_STATE(18988)] = 323557,
  [SMALL_STATE(18989)] = 323565,
  [SMALL_STATE(18990)] = 323573,
  [SMALL_STATE(18991)] = 323581,
  [SMALL_STATE(18992)] = 323589,
  [SMALL_STATE(18993)] = 323597,
  [SMALL_STATE(18994)] = 323605,
  [SMALL_STATE(18995)] = 323613,
  [SMALL_STATE(18996)] = 323621,
  [SMALL_STATE(18997)] = 323629,
  [SMALL_STATE(18998)] = 323637,
  [SMALL_STATE(18999)] = 323645,
  [SMALL_STATE(19000)] = 323653,
  [SMALL_STATE(19001)] = 323661,
  [SMALL_STATE(19002)] = 323669,
  [SMALL_STATE(19003)] = 323677,
  [SMALL_STATE(19004)] = 323685,
  [SMALL_STATE(19005)] = 323693,
  [SMALL_STATE(19006)] = 323701,
  [SMALL_STATE(19007)] = 323709,
  [SMALL_STATE(19008)] = 323717,
  [SMALL_STATE(19009)] = 323725,
  [SMALL_STATE(19010)] = 323733,
  [SMALL_STATE(19011)] = 323741,
  [SMALL_STATE(19012)] = 323749,
  [SMALL_STATE(19013)] = 323757,
  [SMALL_STATE(19014)] = 323765,
  [SMALL_STATE(19015)] = 323773,
  [SMALL_STATE(19016)] = 323781,
  [SMALL_STATE(19017)] = 323789,
  [SMALL_STATE(19018)] = 323797,
  [SMALL_STATE(19019)] = 323805,
  [SMALL_STATE(19020)] = 323813,
  [SMALL_STATE(19021)] = 323821,
  [SMALL_STATE(19022)] = 323829,
  [SMALL_STATE(19023)] = 323837,
  [SMALL_STATE(19024)] = 323845,
  [SMALL_STATE(19025)] = 323853,
  [SMALL_STATE(19026)] = 323861,
  [SMALL_STATE(19027)] = 323869,
  [SMALL_STATE(19028)] = 323877,
  [SMALL_STATE(19029)] = 323885,
  [SMALL_STATE(19030)] = 323893,
  [SMALL_STATE(19031)] = 323901,
  [SMALL_STATE(19032)] = 323909,
  [SMALL_STATE(19033)] = 323917,
  [SMALL_STATE(19034)] = 323925,
  [SMALL_STATE(19035)] = 323933,
  [SMALL_STATE(19036)] = 323941,
  [SMALL_STATE(19037)] = 323949,
  [SMALL_STATE(19038)] = 323957,
  [SMALL_STATE(19039)] = 323965,
  [SMALL_STATE(19040)] = 323973,
  [SMALL_STATE(19041)] = 323981,
  [SMALL_STATE(19042)] = 323989,
  [SMALL_STATE(19043)] = 323997,
  [SMALL_STATE(19044)] = 324005,
  [SMALL_STATE(19045)] = 324013,
  [SMALL_STATE(19046)] = 324021,
  [SMALL_STATE(19047)] = 324029,
  [SMALL_STATE(19048)] = 324037,
  [SMALL_STATE(19049)] = 324045,
  [SMALL_STATE(19050)] = 324053,
  [SMALL_STATE(19051)] = 324061,
  [SMALL_STATE(19052)] = 324069,
  [SMALL_STATE(19053)] = 324077,
  [SMALL_STATE(19054)] = 324085,
  [SMALL_STATE(19055)] = 324093,
  [SMALL_STATE(19056)] = 324101,
  [SMALL_STATE(19057)] = 324109,
  [SMALL_STATE(19058)] = 324117,
  [SMALL_STATE(19059)] = 324125,
  [SMALL_STATE(19060)] = 324133,
  [SMALL_STATE(19061)] = 324141,
  [SMALL_STATE(19062)] = 324149,
  [SMALL_STATE(19063)] = 324157,
  [SMALL_STATE(19064)] = 324165,
  [SMALL_STATE(19065)] = 324173,
  [SMALL_STATE(19066)] = 324181,
  [SMALL_STATE(19067)] = 324189,
  [SMALL_STATE(19068)] = 324197,
  [SMALL_STATE(19069)] = 324205,
  [SMALL_STATE(19070)] = 324213,
  [SMALL_STATE(19071)] = 324221,
  [SMALL_STATE(19072)] = 324229,
  [SMALL_STATE(19073)] = 324237,
  [SMALL_STATE(19074)] = 324245,
  [SMALL_STATE(19075)] = 324253,
  [SMALL_STATE(19076)] = 324261,
  [SMALL_STATE(19077)] = 324269,
  [SMALL_STATE(19078)] = 324277,
  [SMALL_STATE(19079)] = 324285,
  [SMALL_STATE(19080)] = 324293,
  [SMALL_STATE(19081)] = 324301,
  [SMALL_STATE(19082)] = 324309,
  [SMALL_STATE(19083)] = 324317,
  [SMALL_STATE(19084)] = 324325,
  [SMALL_STATE(19085)] = 324333,
  [SMALL_STATE(19086)] = 324341,
  [SMALL_STATE(19087)] = 324349,
  [SMALL_STATE(19088)] = 324357,
  [SMALL_STATE(19089)] = 324365,
  [SMALL_STATE(19090)] = 324373,
  [SMALL_STATE(19091)] = 324381,
  [SMALL_STATE(19092)] = 324389,
  [SMALL_STATE(19093)] = 324397,
  [SMALL_STATE(19094)] = 324405,
  [SMALL_STATE(19095)] = 324413,
  [SMALL_STATE(19096)] = 324421,
  [SMALL_STATE(19097)] = 324429,
  [SMALL_STATE(19098)] = 324437,
  [SMALL_STATE(19099)] = 324445,
  [SMALL_STATE(19100)] = 324453,
  [SMALL_STATE(19101)] = 324461,
  [SMALL_STATE(19102)] = 324469,
  [SMALL_STATE(19103)] = 324477,
  [SMALL_STATE(19104)] = 324485,
  [SMALL_STATE(19105)] = 324493,
  [SMALL_STATE(19106)] = 324501,
  [SMALL_STATE(19107)] = 324509,
  [SMALL_STATE(19108)] = 324517,
  [SMALL_STATE(19109)] = 324525,
  [SMALL_STATE(19110)] = 324533,
  [SMALL_STATE(19111)] = 324541,
  [SMALL_STATE(19112)] = 324549,
  [SMALL_STATE(19113)] = 324557,
  [SMALL_STATE(19114)] = 324565,
  [SMALL_STATE(19115)] = 324573,
  [SMALL_STATE(19116)] = 324581,
  [SMALL_STATE(19117)] = 324589,
  [SMALL_STATE(19118)] = 324597,
  [SMALL_STATE(19119)] = 324605,
  [SMALL_STATE(19120)] = 324613,
  [SMALL_STATE(19121)] = 324621,
  [SMALL_STATE(19122)] = 324629,
  [SMALL_STATE(19123)] = 324637,
  [SMALL_STATE(19124)] = 324645,
  [SMALL_STATE(19125)] = 324653,
  [SMALL_STATE(19126)] = 324661,
  [SMALL_STATE(19127)] = 324669,
  [SMALL_STATE(19128)] = 324677,
  [SMALL_STATE(19129)] = 324685,
  [SMALL_STATE(19130)] = 324693,
  [SMALL_STATE(19131)] = 324701,
  [SMALL_STATE(19132)] = 324709,
  [SMALL_STATE(19133)] = 324717,
  [SMALL_STATE(19134)] = 324725,
  [SMALL_STATE(19135)] = 324733,
  [SMALL_STATE(19136)] = 324741,
  [SMALL_STATE(19137)] = 324749,
  [SMALL_STATE(19138)] = 324757,
  [SMALL_STATE(19139)] = 324765,
  [SMALL_STATE(19140)] = 324773,
  [SMALL_STATE(19141)] = 324781,
  [SMALL_STATE(19142)] = 324789,
  [SMALL_STATE(19143)] = 324797,
  [SMALL_STATE(19144)] = 324805,
  [SMALL_STATE(19145)] = 324813,
  [SMALL_STATE(19146)] = 324821,
  [SMALL_STATE(19147)] = 324829,
  [SMALL_STATE(19148)] = 324837,
  [SMALL_STATE(19149)] = 324845,
  [SMALL_STATE(19150)] = 324853,
  [SMALL_STATE(19151)] = 324861,
  [SMALL_STATE(19152)] = 324869,
  [SMALL_STATE(19153)] = 324877,
  [SMALL_STATE(19154)] = 324885,
  [SMALL_STATE(19155)] = 324893,
  [SMALL_STATE(19156)] = 324901,
  [SMALL_STATE(19157)] = 324909,
  [SMALL_STATE(19158)] = 324917,
  [SMALL_STATE(19159)] = 324925,
  [SMALL_STATE(19160)] = 324933,
  [SMALL_STATE(19161)] = 324941,
  [SMALL_STATE(19162)] = 324949,
  [SMALL_STATE(19163)] = 324957,
  [SMALL_STATE(19164)] = 324965,
  [SMALL_STATE(19165)] = 324973,
  [SMALL_STATE(19166)] = 324981,
  [SMALL_STATE(19167)] = 324989,
  [SMALL_STATE(19168)] = 324997,
  [SMALL_STATE(19169)] = 325005,
  [SMALL_STATE(19170)] = 325013,
  [SMALL_STATE(19171)] = 325021,
  [SMALL_STATE(19172)] = 325029,
  [SMALL_STATE(19173)] = 325037,
  [SMALL_STATE(19174)] = 325045,
  [SMALL_STATE(19175)] = 325053,
  [SMALL_STATE(19176)] = 325061,
  [SMALL_STATE(19177)] = 325069,
  [SMALL_STATE(19178)] = 325077,
  [SMALL_STATE(19179)] = 325085,
  [SMALL_STATE(19180)] = 325093,
  [SMALL_STATE(19181)] = 325101,
  [SMALL_STATE(19182)] = 325109,
  [SMALL_STATE(19183)] = 325117,
  [SMALL_STATE(19184)] = 325125,
  [SMALL_STATE(19185)] = 325133,
  [SMALL_STATE(19186)] = 325141,
  [SMALL_STATE(19187)] = 325149,
  [SMALL_STATE(19188)] = 325157,
  [SMALL_STATE(19189)] = 325165,
  [SMALL_STATE(19190)] = 325173,
  [SMALL_STATE(19191)] = 325181,
  [SMALL_STATE(19192)] = 325189,
  [SMALL_STATE(19193)] = 325197,
  [SMALL_STATE(19194)] = 325205,
  [SMALL_STATE(19195)] = 325213,
  [SMALL_STATE(19196)] = 325221,
  [SMALL_STATE(19197)] = 325229,
  [SMALL_STATE(19198)] = 325237,
  [SMALL_STATE(19199)] = 325245,
  [SMALL_STATE(19200)] = 325253,
  [SMALL_STATE(19201)] = 325261,
  [SMALL_STATE(19202)] = 325269,
  [SMALL_STATE(19203)] = 325277,
  [SMALL_STATE(19204)] = 325285,
  [SMALL_STATE(19205)] = 325293,
  [SMALL_STATE(19206)] = 325301,
  [SMALL_STATE(19207)] = 325309,
  [SMALL_STATE(19208)] = 325317,
  [SMALL_STATE(19209)] = 325325,
  [SMALL_STATE(19210)] = 325333,
  [SMALL_STATE(19211)] = 325341,
  [SMALL_STATE(19212)] = 325349,
  [SMALL_STATE(19213)] = 325357,
  [SMALL_STATE(19214)] = 325365,
  [SMALL_STATE(19215)] = 325373,
  [SMALL_STATE(19216)] = 325381,
  [SMALL_STATE(19217)] = 325389,
  [SMALL_STATE(19218)] = 325397,
  [SMALL_STATE(19219)] = 325405,
  [SMALL_STATE(19220)] = 325413,
  [SMALL_STATE(19221)] = 325421,
  [SMALL_STATE(19222)] = 325429,
  [SMALL_STATE(19223)] = 325437,
  [SMALL_STATE(19224)] = 325445,
  [SMALL_STATE(19225)] = 325453,
  [SMALL_STATE(19226)] = 325461,
  [SMALL_STATE(19227)] = 325469,
  [SMALL_STATE(19228)] = 325477,
  [SMALL_STATE(19229)] = 325485,
  [SMALL_STATE(19230)] = 325493,
  [SMALL_STATE(19231)] = 325501,
  [SMALL_STATE(19232)] = 325509,
  [SMALL_STATE(19233)] = 325517,
  [SMALL_STATE(19234)] = 325525,
  [SMALL_STATE(19235)] = 325533,
  [SMALL_STATE(19236)] = 325541,
  [SMALL_STATE(19237)] = 325549,
  [SMALL_STATE(19238)] = 325557,
  [SMALL_STATE(19239)] = 325565,
  [SMALL_STATE(19240)] = 325573,
  [SMALL_STATE(19241)] = 325581,
  [SMALL_STATE(19242)] = 325589,
  [SMALL_STATE(19243)] = 325597,
  [SMALL_STATE(19244)] = 325605,
  [SMALL_STATE(19245)] = 325613,
  [SMALL_STATE(19246)] = 325621,
  [SMALL_STATE(19247)] = 325629,
  [SMALL_STATE(19248)] = 325637,
  [SMALL_STATE(19249)] = 325645,
  [SMALL_STATE(19250)] = 325653,
  [SMALL_STATE(19251)] = 325661,
  [SMALL_STATE(19252)] = 325669,
  [SMALL_STATE(19253)] = 325677,
  [SMALL_STATE(19254)] = 325685,
  [SMALL_STATE(19255)] = 325693,
  [SMALL_STATE(19256)] = 325701,
  [SMALL_STATE(19257)] = 325709,
  [SMALL_STATE(19258)] = 325717,
  [SMALL_STATE(19259)] = 325725,
  [SMALL_STATE(19260)] = 325733,
  [SMALL_STATE(19261)] = 325741,
  [SMALL_STATE(19262)] = 325749,
  [SMALL_STATE(19263)] = 325757,
  [SMALL_STATE(19264)] = 325765,
  [SMALL_STATE(19265)] = 325773,
  [SMALL_STATE(19266)] = 325781,
  [SMALL_STATE(19267)] = 325789,
  [SMALL_STATE(19268)] = 325797,
  [SMALL_STATE(19269)] = 325805,
  [SMALL_STATE(19270)] = 325813,
  [SMALL_STATE(19271)] = 325821,
  [SMALL_STATE(19272)] = 325829,
  [SMALL_STATE(19273)] = 325837,
  [SMALL_STATE(19274)] = 325845,
  [SMALL_STATE(19275)] = 325853,
  [SMALL_STATE(19276)] = 325861,
  [SMALL_STATE(19277)] = 325869,
  [SMALL_STATE(19278)] = 325877,
  [SMALL_STATE(19279)] = 325885,
  [SMALL_STATE(19280)] = 325893,
  [SMALL_STATE(19281)] = 325901,
  [SMALL_STATE(19282)] = 325909,
  [SMALL_STATE(19283)] = 325917,
  [SMALL_STATE(19284)] = 325925,
  [SMALL_STATE(19285)] = 325933,
  [SMALL_STATE(19286)] = 325941,
  [SMALL_STATE(19287)] = 325949,
  [SMALL_STATE(19288)] = 325957,
  [SMALL_STATE(19289)] = 325965,
  [SMALL_STATE(19290)] = 325973,
  [SMALL_STATE(19291)] = 325981,
  [SMALL_STATE(19292)] = 325989,
  [SMALL_STATE(19293)] = 325997,
  [SMALL_STATE(19294)] = 326005,
  [SMALL_STATE(19295)] = 326013,
  [SMALL_STATE(19296)] = 326021,
  [SMALL_STATE(19297)] = 326029,
  [SMALL_STATE(19298)] = 326037,
  [SMALL_STATE(19299)] = 326045,
  [SMALL_STATE(19300)] = 326053,
  [SMALL_STATE(19301)] = 326061,
  [SMALL_STATE(19302)] = 326069,
  [SMALL_STATE(19303)] = 326077,
  [SMALL_STATE(19304)] = 326085,
  [SMALL_STATE(19305)] = 326093,
  [SMALL_STATE(19306)] = 326101,
  [SMALL_STATE(19307)] = 326109,
  [SMALL_STATE(19308)] = 326117,
  [SMALL_STATE(19309)] = 326125,
  [SMALL_STATE(19310)] = 326133,
  [SMALL_STATE(19311)] = 326141,
  [SMALL_STATE(19312)] = 326149,
  [SMALL_STATE(19313)] = 326157,
  [SMALL_STATE(19314)] = 326165,
  [SMALL_STATE(19315)] = 326173,
  [SMALL_STATE(19316)] = 326181,
  [SMALL_STATE(19317)] = 326189,
  [SMALL_STATE(19318)] = 326197,
  [SMALL_STATE(19319)] = 326205,
  [SMALL_STATE(19320)] = 326213,
  [SMALL_STATE(19321)] = 326221,
  [SMALL_STATE(19322)] = 326229,
  [SMALL_STATE(19323)] = 326237,
  [SMALL_STATE(19324)] = 326245,
  [SMALL_STATE(19325)] = 326253,
  [SMALL_STATE(19326)] = 326261,
  [SMALL_STATE(19327)] = 326269,
  [SMALL_STATE(19328)] = 326277,
  [SMALL_STATE(19329)] = 326285,
  [SMALL_STATE(19330)] = 326293,
  [SMALL_STATE(19331)] = 326301,
  [SMALL_STATE(19332)] = 326309,
  [SMALL_STATE(19333)] = 326317,
  [SMALL_STATE(19334)] = 326325,
  [SMALL_STATE(19335)] = 326333,
  [SMALL_STATE(19336)] = 326341,
  [SMALL_STATE(19337)] = 326349,
  [SMALL_STATE(19338)] = 326357,
  [SMALL_STATE(19339)] = 326365,
  [SMALL_STATE(19340)] = 326373,
  [SMALL_STATE(19341)] = 326381,
  [SMALL_STATE(19342)] = 326389,
  [SMALL_STATE(19343)] = 326397,
  [SMALL_STATE(19344)] = 326405,
  [SMALL_STATE(19345)] = 326413,
  [SMALL_STATE(19346)] = 326421,
  [SMALL_STATE(19347)] = 326429,
  [SMALL_STATE(19348)] = 326437,
  [SMALL_STATE(19349)] = 326445,
  [SMALL_STATE(19350)] = 326453,
  [SMALL_STATE(19351)] = 326461,
  [SMALL_STATE(19352)] = 326469,
  [SMALL_STATE(19353)] = 326477,
  [SMALL_STATE(19354)] = 326485,
  [SMALL_STATE(19355)] = 326493,
  [SMALL_STATE(19356)] = 326501,
  [SMALL_STATE(19357)] = 326509,
  [SMALL_STATE(19358)] = 326517,
  [SMALL_STATE(19359)] = 326525,
  [SMALL_STATE(19360)] = 326533,
  [SMALL_STATE(19361)] = 326541,
  [SMALL_STATE(19362)] = 326549,
  [SMALL_STATE(19363)] = 326557,
  [SMALL_STATE(19364)] = 326565,
  [SMALL_STATE(19365)] = 326573,
  [SMALL_STATE(19366)] = 326581,
  [SMALL_STATE(19367)] = 326589,
  [SMALL_STATE(19368)] = 326597,
  [SMALL_STATE(19369)] = 326605,
  [SMALL_STATE(19370)] = 326613,
  [SMALL_STATE(19371)] = 326621,
  [SMALL_STATE(19372)] = 326629,
  [SMALL_STATE(19373)] = 326637,
  [SMALL_STATE(19374)] = 326645,
  [SMALL_STATE(19375)] = 326653,
  [SMALL_STATE(19376)] = 326661,
  [SMALL_STATE(19377)] = 326669,
  [SMALL_STATE(19378)] = 326677,
  [SMALL_STATE(19379)] = 326685,
  [SMALL_STATE(19380)] = 326693,
  [SMALL_STATE(19381)] = 326701,
  [SMALL_STATE(19382)] = 326709,
  [SMALL_STATE(19383)] = 326717,
  [SMALL_STATE(19384)] = 326725,
  [SMALL_STATE(19385)] = 326733,
  [SMALL_STATE(19386)] = 326741,
  [SMALL_STATE(19387)] = 326749,
  [SMALL_STATE(19388)] = 326757,
  [SMALL_STATE(19389)] = 326765,
  [SMALL_STATE(19390)] = 326773,
  [SMALL_STATE(19391)] = 326781,
  [SMALL_STATE(19392)] = 326789,
  [SMALL_STATE(19393)] = 326797,
  [SMALL_STATE(19394)] = 326805,
  [SMALL_STATE(19395)] = 326813,
  [SMALL_STATE(19396)] = 326821,
  [SMALL_STATE(19397)] = 326829,
  [SMALL_STATE(19398)] = 326837,
  [SMALL_STATE(19399)] = 326845,
  [SMALL_STATE(19400)] = 326853,
  [SMALL_STATE(19401)] = 326861,
  [SMALL_STATE(19402)] = 326869,
  [SMALL_STATE(19403)] = 326877,
  [SMALL_STATE(19404)] = 326885,
  [SMALL_STATE(19405)] = 326893,
  [SMALL_STATE(19406)] = 326901,
  [SMALL_STATE(19407)] = 326909,
  [SMALL_STATE(19408)] = 326917,
  [SMALL_STATE(19409)] = 326925,
  [SMALL_STATE(19410)] = 326933,
  [SMALL_STATE(19411)] = 326941,
  [SMALL_STATE(19412)] = 326949,
  [SMALL_STATE(19413)] = 326957,
  [SMALL_STATE(19414)] = 326965,
  [SMALL_STATE(19415)] = 326973,
  [SMALL_STATE(19416)] = 326981,
  [SMALL_STATE(19417)] = 326989,
  [SMALL_STATE(19418)] = 326997,
  [SMALL_STATE(19419)] = 327005,
  [SMALL_STATE(19420)] = 327013,
  [SMALL_STATE(19421)] = 327021,
  [SMALL_STATE(19422)] = 327029,
  [SMALL_STATE(19423)] = 327037,
  [SMALL_STATE(19424)] = 327045,
  [SMALL_STATE(19425)] = 327053,
  [SMALL_STATE(19426)] = 327061,
  [SMALL_STATE(19427)] = 327069,
  [SMALL_STATE(19428)] = 327077,
  [SMALL_STATE(19429)] = 327085,
  [SMALL_STATE(19430)] = 327093,
  [SMALL_STATE(19431)] = 327101,
  [SMALL_STATE(19432)] = 327109,
  [SMALL_STATE(19433)] = 327117,
  [SMALL_STATE(19434)] = 327125,
  [SMALL_STATE(19435)] = 327133,
  [SMALL_STATE(19436)] = 327141,
  [SMALL_STATE(19437)] = 327149,
  [SMALL_STATE(19438)] = 327157,
  [SMALL_STATE(19439)] = 327165,
  [SMALL_STATE(19440)] = 327173,
  [SMALL_STATE(19441)] = 327181,
  [SMALL_STATE(19442)] = 327189,
  [SMALL_STATE(19443)] = 327197,
  [SMALL_STATE(19444)] = 327205,
  [SMALL_STATE(19445)] = 327213,
  [SMALL_STATE(19446)] = 327221,
  [SMALL_STATE(19447)] = 327229,
  [SMALL_STATE(19448)] = 327237,
  [SMALL_STATE(19449)] = 327245,
  [SMALL_STATE(19450)] = 327253,
  [SMALL_STATE(19451)] = 327261,
  [SMALL_STATE(19452)] = 327269,
  [SMALL_STATE(19453)] = 327277,
  [SMALL_STATE(19454)] = 327285,
  [SMALL_STATE(19455)] = 327293,
  [SMALL_STATE(19456)] = 327301,
  [SMALL_STATE(19457)] = 327309,
  [SMALL_STATE(19458)] = 327317,
  [SMALL_STATE(19459)] = 327325,
  [SMALL_STATE(19460)] = 327333,
  [SMALL_STATE(19461)] = 327341,
  [SMALL_STATE(19462)] = 327349,
  [SMALL_STATE(19463)] = 327357,
  [SMALL_STATE(19464)] = 327365,
  [SMALL_STATE(19465)] = 327373,
  [SMALL_STATE(19466)] = 327381,
  [SMALL_STATE(19467)] = 327389,
  [SMALL_STATE(19468)] = 327397,
  [SMALL_STATE(19469)] = 327405,
  [SMALL_STATE(19470)] = 327413,
  [SMALL_STATE(19471)] = 327421,
  [SMALL_STATE(19472)] = 327429,
  [SMALL_STATE(19473)] = 327437,
  [SMALL_STATE(19474)] = 327445,
  [SMALL_STATE(19475)] = 327453,
  [SMALL_STATE(19476)] = 327461,
  [SMALL_STATE(19477)] = 327469,
  [SMALL_STATE(19478)] = 327477,
  [SMALL_STATE(19479)] = 327485,
  [SMALL_STATE(19480)] = 327493,
  [SMALL_STATE(19481)] = 327501,
  [SMALL_STATE(19482)] = 327509,
  [SMALL_STATE(19483)] = 327517,
  [SMALL_STATE(19484)] = 327525,
  [SMALL_STATE(19485)] = 327533,
  [SMALL_STATE(19486)] = 327541,
  [SMALL_STATE(19487)] = 327549,
  [SMALL_STATE(19488)] = 327557,
  [SMALL_STATE(19489)] = 327565,
  [SMALL_STATE(19490)] = 327573,
  [SMALL_STATE(19491)] = 327581,
  [SMALL_STATE(19492)] = 327589,
  [SMALL_STATE(19493)] = 327597,
  [SMALL_STATE(19494)] = 327605,
  [SMALL_STATE(19495)] = 327613,
  [SMALL_STATE(19496)] = 327621,
  [SMALL_STATE(19497)] = 327629,
  [SMALL_STATE(19498)] = 327637,
  [SMALL_STATE(19499)] = 327645,
  [SMALL_STATE(19500)] = 327653,
  [SMALL_STATE(19501)] = 327661,
  [SMALL_STATE(19502)] = 327669,
  [SMALL_STATE(19503)] = 327677,
  [SMALL_STATE(19504)] = 327685,
  [SMALL_STATE(19505)] = 327693,
  [SMALL_STATE(19506)] = 327701,
  [SMALL_STATE(19507)] = 327709,
  [SMALL_STATE(19508)] = 327717,
  [SMALL_STATE(19509)] = 327725,
  [SMALL_STATE(19510)] = 327733,
  [SMALL_STATE(19511)] = 327741,
  [SMALL_STATE(19512)] = 327749,
  [SMALL_STATE(19513)] = 327757,
  [SMALL_STATE(19514)] = 327765,
  [SMALL_STATE(19515)] = 327773,
  [SMALL_STATE(19516)] = 327781,
  [SMALL_STATE(19517)] = 327789,
  [SMALL_STATE(19518)] = 327797,
  [SMALL_STATE(19519)] = 327805,
  [SMALL_STATE(19520)] = 327813,
  [SMALL_STATE(19521)] = 327821,
  [SMALL_STATE(19522)] = 327829,
  [SMALL_STATE(19523)] = 327837,
  [SMALL_STATE(19524)] = 327845,
  [SMALL_STATE(19525)] = 327853,
  [SMALL_STATE(19526)] = 327861,
  [SMALL_STATE(19527)] = 327869,
  [SMALL_STATE(19528)] = 327877,
  [SMALL_STATE(19529)] = 327885,
  [SMALL_STATE(19530)] = 327893,
  [SMALL_STATE(19531)] = 327901,
  [SMALL_STATE(19532)] = 327909,
  [SMALL_STATE(19533)] = 327917,
  [SMALL_STATE(19534)] = 327925,
  [SMALL_STATE(19535)] = 327933,
  [SMALL_STATE(19536)] = 327941,
  [SMALL_STATE(19537)] = 327949,
  [SMALL_STATE(19538)] = 327957,
  [SMALL_STATE(19539)] = 327965,
  [SMALL_STATE(19540)] = 327973,
  [SMALL_STATE(19541)] = 327981,
  [SMALL_STATE(19542)] = 327989,
  [SMALL_STATE(19543)] = 327997,
  [SMALL_STATE(19544)] = 328005,
  [SMALL_STATE(19545)] = 328013,
  [SMALL_STATE(19546)] = 328021,
  [SMALL_STATE(19547)] = 328029,
  [SMALL_STATE(19548)] = 328037,
  [SMALL_STATE(19549)] = 328045,
  [SMALL_STATE(19550)] = 328053,
  [SMALL_STATE(19551)] = 328061,
  [SMALL_STATE(19552)] = 328069,
  [SMALL_STATE(19553)] = 328077,
  [SMALL_STATE(19554)] = 328085,
  [SMALL_STATE(19555)] = 328093,
  [SMALL_STATE(19556)] = 328101,
  [SMALL_STATE(19557)] = 328109,
  [SMALL_STATE(19558)] = 328117,
  [SMALL_STATE(19559)] = 328125,
  [SMALL_STATE(19560)] = 328133,
  [SMALL_STATE(19561)] = 328141,
  [SMALL_STATE(19562)] = 328149,
  [SMALL_STATE(19563)] = 328157,
  [SMALL_STATE(19564)] = 328165,
  [SMALL_STATE(19565)] = 328173,
  [SMALL_STATE(19566)] = 328181,
  [SMALL_STATE(19567)] = 328189,
  [SMALL_STATE(19568)] = 328197,
  [SMALL_STATE(19569)] = 328205,
  [SMALL_STATE(19570)] = 328213,
  [SMALL_STATE(19571)] = 328221,
  [SMALL_STATE(19572)] = 328229,
  [SMALL_STATE(19573)] = 328237,
  [SMALL_STATE(19574)] = 328245,
  [SMALL_STATE(19575)] = 328253,
  [SMALL_STATE(19576)] = 328261,
  [SMALL_STATE(19577)] = 328269,
  [SMALL_STATE(19578)] = 328277,
  [SMALL_STATE(19579)] = 328285,
  [SMALL_STATE(19580)] = 328293,
  [SMALL_STATE(19581)] = 328301,
  [SMALL_STATE(19582)] = 328309,
  [SMALL_STATE(19583)] = 328317,
  [SMALL_STATE(19584)] = 328325,
  [SMALL_STATE(19585)] = 328333,
  [SMALL_STATE(19586)] = 328341,
  [SMALL_STATE(19587)] = 328349,
  [SMALL_STATE(19588)] = 328357,
  [SMALL_STATE(19589)] = 328365,
  [SMALL_STATE(19590)] = 328373,
  [SMALL_STATE(19591)] = 328381,
  [SMALL_STATE(19592)] = 328389,
  [SMALL_STATE(19593)] = 328397,
  [SMALL_STATE(19594)] = 328405,
  [SMALL_STATE(19595)] = 328413,
  [SMALL_STATE(19596)] = 328421,
  [SMALL_STATE(19597)] = 328429,
  [SMALL_STATE(19598)] = 328437,
  [SMALL_STATE(19599)] = 328445,
  [SMALL_STATE(19600)] = 328453,
  [SMALL_STATE(19601)] = 328461,
  [SMALL_STATE(19602)] = 328469,
  [SMALL_STATE(19603)] = 328477,
  [SMALL_STATE(19604)] = 328485,
  [SMALL_STATE(19605)] = 328493,
  [SMALL_STATE(19606)] = 328501,
  [SMALL_STATE(19607)] = 328509,
  [SMALL_STATE(19608)] = 328517,
  [SMALL_STATE(19609)] = 328525,
  [SMALL_STATE(19610)] = 328533,
  [SMALL_STATE(19611)] = 328541,
  [SMALL_STATE(19612)] = 328549,
  [SMALL_STATE(19613)] = 328557,
  [SMALL_STATE(19614)] = 328565,
  [SMALL_STATE(19615)] = 328573,
  [SMALL_STATE(19616)] = 328581,
  [SMALL_STATE(19617)] = 328589,
  [SMALL_STATE(19618)] = 328597,
  [SMALL_STATE(19619)] = 328605,
  [SMALL_STATE(19620)] = 328613,
  [SMALL_STATE(19621)] = 328621,
  [SMALL_STATE(19622)] = 328629,
  [SMALL_STATE(19623)] = 328637,
  [SMALL_STATE(19624)] = 328645,
  [SMALL_STATE(19625)] = 328653,
  [SMALL_STATE(19626)] = 328661,
  [SMALL_STATE(19627)] = 328669,
  [SMALL_STATE(19628)] = 328677,
  [SMALL_STATE(19629)] = 328685,
  [SMALL_STATE(19630)] = 328693,
  [SMALL_STATE(19631)] = 328701,
  [SMALL_STATE(19632)] = 328709,
  [SMALL_STATE(19633)] = 328717,
  [SMALL_STATE(19634)] = 328725,
  [SMALL_STATE(19635)] = 328733,
  [SMALL_STATE(19636)] = 328741,
  [SMALL_STATE(19637)] = 328749,
  [SMALL_STATE(19638)] = 328757,
  [SMALL_STATE(19639)] = 328765,
  [SMALL_STATE(19640)] = 328773,
  [SMALL_STATE(19641)] = 328781,
  [SMALL_STATE(19642)] = 328789,
  [SMALL_STATE(19643)] = 328797,
  [SMALL_STATE(19644)] = 328805,
  [SMALL_STATE(19645)] = 328813,
  [SMALL_STATE(19646)] = 328821,
  [SMALL_STATE(19647)] = 328829,
  [SMALL_STATE(19648)] = 328837,
  [SMALL_STATE(19649)] = 328845,
  [SMALL_STATE(19650)] = 328853,
  [SMALL_STATE(19651)] = 328861,
  [SMALL_STATE(19652)] = 328869,
  [SMALL_STATE(19653)] = 328877,
  [SMALL_STATE(19654)] = 328885,
  [SMALL_STATE(19655)] = 328893,
  [SMALL_STATE(19656)] = 328901,
  [SMALL_STATE(19657)] = 328909,
  [SMALL_STATE(19658)] = 328917,
  [SMALL_STATE(19659)] = 328925,
  [SMALL_STATE(19660)] = 328933,
  [SMALL_STATE(19661)] = 328941,
  [SMALL_STATE(19662)] = 328949,
  [SMALL_STATE(19663)] = 328957,
  [SMALL_STATE(19664)] = 328965,
  [SMALL_STATE(19665)] = 328973,
  [SMALL_STATE(19666)] = 328981,
  [SMALL_STATE(19667)] = 328989,
  [SMALL_STATE(19668)] = 328997,
  [SMALL_STATE(19669)] = 329005,
  [SMALL_STATE(19670)] = 329013,
  [SMALL_STATE(19671)] = 329021,
  [SMALL_STATE(19672)] = 329029,
  [SMALL_STATE(19673)] = 329037,
  [SMALL_STATE(19674)] = 329045,
  [SMALL_STATE(19675)] = 329053,
  [SMALL_STATE(19676)] = 329061,
  [SMALL_STATE(19677)] = 329069,
  [SMALL_STATE(19678)] = 329077,
  [SMALL_STATE(19679)] = 329085,
  [SMALL_STATE(19680)] = 329093,
  [SMALL_STATE(19681)] = 329101,
  [SMALL_STATE(19682)] = 329109,
  [SMALL_STATE(19683)] = 329117,
  [SMALL_STATE(19684)] = 329125,
  [SMALL_STATE(19685)] = 329133,
  [SMALL_STATE(19686)] = 329141,
  [SMALL_STATE(19687)] = 329149,
  [SMALL_STATE(19688)] = 329157,
  [SMALL_STATE(19689)] = 329165,
  [SMALL_STATE(19690)] = 329173,
  [SMALL_STATE(19691)] = 329181,
  [SMALL_STATE(19692)] = 329189,
  [SMALL_STATE(19693)] = 329197,
  [SMALL_STATE(19694)] = 329205,
  [SMALL_STATE(19695)] = 329213,
  [SMALL_STATE(19696)] = 329221,
  [SMALL_STATE(19697)] = 329229,
  [SMALL_STATE(19698)] = 329237,
  [SMALL_STATE(19699)] = 329245,
  [SMALL_STATE(19700)] = 329253,
  [SMALL_STATE(19701)] = 329261,
  [SMALL_STATE(19702)] = 329269,
  [SMALL_STATE(19703)] = 329277,
  [SMALL_STATE(19704)] = 329285,
  [SMALL_STATE(19705)] = 329293,
  [SMALL_STATE(19706)] = 329301,
  [SMALL_STATE(19707)] = 329309,
  [SMALL_STATE(19708)] = 329317,
  [SMALL_STATE(19709)] = 329325,
  [SMALL_STATE(19710)] = 329333,
  [SMALL_STATE(19711)] = 329341,
  [SMALL_STATE(19712)] = 329349,
  [SMALL_STATE(19713)] = 329357,
  [SMALL_STATE(19714)] = 329365,
  [SMALL_STATE(19715)] = 329373,
  [SMALL_STATE(19716)] = 329381,
  [SMALL_STATE(19717)] = 329389,
  [SMALL_STATE(19718)] = 329397,
  [SMALL_STATE(19719)] = 329405,
  [SMALL_STATE(19720)] = 329413,
  [SMALL_STATE(19721)] = 329421,
  [SMALL_STATE(19722)] = 329429,
  [SMALL_STATE(19723)] = 329437,
  [SMALL_STATE(19724)] = 329445,
  [SMALL_STATE(19725)] = 329453,
  [SMALL_STATE(19726)] = 329461,
  [SMALL_STATE(19727)] = 329469,
  [SMALL_STATE(19728)] = 329477,
  [SMALL_STATE(19729)] = 329485,
  [SMALL_STATE(19730)] = 329493,
  [SMALL_STATE(19731)] = 329501,
  [SMALL_STATE(19732)] = 329509,
  [SMALL_STATE(19733)] = 329517,
  [SMALL_STATE(19734)] = 329525,
  [SMALL_STATE(19735)] = 329533,
  [SMALL_STATE(19736)] = 329541,
  [SMALL_STATE(19737)] = 329549,
  [SMALL_STATE(19738)] = 329557,
  [SMALL_STATE(19739)] = 329565,
  [SMALL_STATE(19740)] = 329573,
  [SMALL_STATE(19741)] = 329581,
  [SMALL_STATE(19742)] = 329589,
  [SMALL_STATE(19743)] = 329597,
  [SMALL_STATE(19744)] = 329605,
  [SMALL_STATE(19745)] = 329613,
  [SMALL_STATE(19746)] = 329621,
  [SMALL_STATE(19747)] = 329629,
  [SMALL_STATE(19748)] = 329637,
  [SMALL_STATE(19749)] = 329645,
  [SMALL_STATE(19750)] = 329653,
  [SMALL_STATE(19751)] = 329661,
  [SMALL_STATE(19752)] = 329669,
  [SMALL_STATE(19753)] = 329677,
  [SMALL_STATE(19754)] = 329685,
  [SMALL_STATE(19755)] = 329693,
  [SMALL_STATE(19756)] = 329701,
  [SMALL_STATE(19757)] = 329709,
  [SMALL_STATE(19758)] = 329717,
  [SMALL_STATE(19759)] = 329725,
  [SMALL_STATE(19760)] = 329733,
  [SMALL_STATE(19761)] = 329741,
  [SMALL_STATE(19762)] = 329749,
  [SMALL_STATE(19763)] = 329757,
  [SMALL_STATE(19764)] = 329765,
  [SMALL_STATE(19765)] = 329773,
  [SMALL_STATE(19766)] = 329781,
  [SMALL_STATE(19767)] = 329789,
  [SMALL_STATE(19768)] = 329797,
  [SMALL_STATE(19769)] = 329805,
  [SMALL_STATE(19770)] = 329813,
  [SMALL_STATE(19771)] = 329821,
  [SMALL_STATE(19772)] = 329829,
  [SMALL_STATE(19773)] = 329837,
  [SMALL_STATE(19774)] = 329845,
  [SMALL_STATE(19775)] = 329853,
  [SMALL_STATE(19776)] = 329861,
  [SMALL_STATE(19777)] = 329869,
  [SMALL_STATE(19778)] = 329877,
  [SMALL_STATE(19779)] = 329885,
  [SMALL_STATE(19780)] = 329893,
  [SMALL_STATE(19781)] = 329901,
  [SMALL_STATE(19782)] = 329909,
  [SMALL_STATE(19783)] = 329917,
  [SMALL_STATE(19784)] = 329925,
  [SMALL_STATE(19785)] = 329933,
  [SMALL_STATE(19786)] = 329941,
  [SMALL_STATE(19787)] = 329949,
  [SMALL_STATE(19788)] = 329957,
  [SMALL_STATE(19789)] = 329965,
  [SMALL_STATE(19790)] = 329973,
  [SMALL_STATE(19791)] = 329981,
  [SMALL_STATE(19792)] = 329989,
  [SMALL_STATE(19793)] = 329997,
  [SMALL_STATE(19794)] = 330005,
  [SMALL_STATE(19795)] = 330013,
  [SMALL_STATE(19796)] = 330021,
  [SMALL_STATE(19797)] = 330029,
  [SMALL_STATE(19798)] = 330037,
  [SMALL_STATE(19799)] = 330045,
  [SMALL_STATE(19800)] = 330053,
  [SMALL_STATE(19801)] = 330061,
  [SMALL_STATE(19802)] = 330069,
  [SMALL_STATE(19803)] = 330077,
  [SMALL_STATE(19804)] = 330085,
  [SMALL_STATE(19805)] = 330093,
  [SMALL_STATE(19806)] = 330101,
  [SMALL_STATE(19807)] = 330109,
  [SMALL_STATE(19808)] = 330117,
  [SMALL_STATE(19809)] = 330125,
  [SMALL_STATE(19810)] = 330133,
  [SMALL_STATE(19811)] = 330141,
  [SMALL_STATE(19812)] = 330149,
  [SMALL_STATE(19813)] = 330157,
  [SMALL_STATE(19814)] = 330165,
  [SMALL_STATE(19815)] = 330173,
  [SMALL_STATE(19816)] = 330181,
  [SMALL_STATE(19817)] = 330189,
  [SMALL_STATE(19818)] = 330197,
  [SMALL_STATE(19819)] = 330205,
  [SMALL_STATE(19820)] = 330213,
  [SMALL_STATE(19821)] = 330221,
  [SMALL_STATE(19822)] = 330229,
  [SMALL_STATE(19823)] = 330237,
  [SMALL_STATE(19824)] = 330245,
  [SMALL_STATE(19825)] = 330253,
  [SMALL_STATE(19826)] = 330261,
  [SMALL_STATE(19827)] = 330269,
  [SMALL_STATE(19828)] = 330277,
  [SMALL_STATE(19829)] = 330285,
  [SMALL_STATE(19830)] = 330293,
  [SMALL_STATE(19831)] = 330301,
  [SMALL_STATE(19832)] = 330309,
  [SMALL_STATE(19833)] = 330317,
  [SMALL_STATE(19834)] = 330325,
  [SMALL_STATE(19835)] = 330333,
  [SMALL_STATE(19836)] = 330341,
  [SMALL_STATE(19837)] = 330349,
  [SMALL_STATE(19838)] = 330357,
  [SMALL_STATE(19839)] = 330365,
  [SMALL_STATE(19840)] = 330373,
  [SMALL_STATE(19841)] = 330381,
  [SMALL_STATE(19842)] = 330389,
  [SMALL_STATE(19843)] = 330397,
  [SMALL_STATE(19844)] = 330405,
  [SMALL_STATE(19845)] = 330413,
  [SMALL_STATE(19846)] = 330421,
  [SMALL_STATE(19847)] = 330429,
  [SMALL_STATE(19848)] = 330437,
  [SMALL_STATE(19849)] = 330445,
  [SMALL_STATE(19850)] = 330453,
  [SMALL_STATE(19851)] = 330461,
  [SMALL_STATE(19852)] = 330469,
  [SMALL_STATE(19853)] = 330477,
  [SMALL_STATE(19854)] = 330485,
  [SMALL_STATE(19855)] = 330493,
  [SMALL_STATE(19856)] = 330501,
  [SMALL_STATE(19857)] = 330509,
  [SMALL_STATE(19858)] = 330517,
  [SMALL_STATE(19859)] = 330525,
  [SMALL_STATE(19860)] = 330533,
  [SMALL_STATE(19861)] = 330541,
  [SMALL_STATE(19862)] = 330549,
  [SMALL_STATE(19863)] = 330557,
  [SMALL_STATE(19864)] = 330565,
  [SMALL_STATE(19865)] = 330573,
  [SMALL_STATE(19866)] = 330581,
  [SMALL_STATE(19867)] = 330589,
  [SMALL_STATE(19868)] = 330597,
  [SMALL_STATE(19869)] = 330605,
  [SMALL_STATE(19870)] = 330613,
  [SMALL_STATE(19871)] = 330621,
  [SMALL_STATE(19872)] = 330629,
  [SMALL_STATE(19873)] = 330637,
  [SMALL_STATE(19874)] = 330645,
  [SMALL_STATE(19875)] = 330653,
  [SMALL_STATE(19876)] = 330661,
  [SMALL_STATE(19877)] = 330669,
  [SMALL_STATE(19878)] = 330677,
  [SMALL_STATE(19879)] = 330685,
  [SMALL_STATE(19880)] = 330693,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9819),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9693),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15538),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19874),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19873),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19871),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15487),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9686),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9694),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10836),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14020),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11571),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12256),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14196),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9951),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10123),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10123),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10094),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11203),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10756),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10756),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14687),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14554),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10201),
  [91] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9660),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15577),
  [99] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19717),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19848),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19718),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15578),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9695),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9672),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12323),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13997),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11570),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12432),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9784),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14214),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10850),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10032),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9847),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10038),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10762),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14809),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14822),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15489),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15490),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9687),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14100),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11676),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12442),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9800),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14217),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10174),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10058),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10157),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11249),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16100),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16107),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4276),
  [229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macrocall_expression, 1, 0, 0),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16023),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19612),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19808),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19613),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16032),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9680),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9696),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3813),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8044),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14009),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11567),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macrocall_expression, 1, 0, 0),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12870),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9808),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14229),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7088),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7068),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7059),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7060),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18124),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15389),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18123),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14967),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14968),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macrocall_expression, 3, 0, 0),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15845),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19746),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19860),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19747),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15850),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9685),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9681),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7840),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14014),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11582),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macrocall_expression, 3, 0, 0),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12414),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9781),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7214),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7221),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7074),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17853),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15456),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18153),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15005),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14549),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17552),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15252),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17551),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17663),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15268),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17657),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16003),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19667),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19830),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19668),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15989),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9670),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9682),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7925),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3230),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3229),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14021),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11824),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12408),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9764),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14196),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6932),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6922),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6913),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4653),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6879),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17375),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15197),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17471),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15163),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15165),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18013),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15192),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17984),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18118),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15448),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18119),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17463),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15244),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17466),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17496),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15352),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17497),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17519),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15358),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17520),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5087),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4267),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16171),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19758),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19866),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19759),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16175),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9688),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9675),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4102),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8242),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14130),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11692),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12468),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9788),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14230),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5736),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7399),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7324),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7395),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17877),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15347),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17879),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14658),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14644),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4292),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15981),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19752),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19863),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19753),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16002),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9674),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9673),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8575),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14120),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11823),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12316),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9766),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14205),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5449),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7496),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7334),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7431),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7733),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17531),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15367),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17533),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14651),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14652),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17556),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15377),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17557),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4308),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15723),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19740),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19857),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19741),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15725),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9668),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9677),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8452),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14101),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11737),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12357),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9785),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14209),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7635),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7289),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7562),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7319),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15127),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15037),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17862),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15366),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17863),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5064),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18107),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15413),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18106),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18046),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15368),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18045),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4269),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16593),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19640),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19819),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19641),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16590),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9679),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9684),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8905),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14113),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11800),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12674),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9789),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8461),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8471),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8476),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6082),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8312),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17479),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15227),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17478),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15064),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15070),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15476),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19692),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19839),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19693),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15483),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9691),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9676),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8341),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3182),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14117),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11733),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12900),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14201),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5729),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7489),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7485),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7466),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17954),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15336),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17955),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14637),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14636),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5335),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4507),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4268),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16410),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19770),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19872),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19771),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16411),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9689),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9692),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9015),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14007),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11591),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12838),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9777),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14184),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6333),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8586),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8533),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8582),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6261),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18121),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15365),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18117),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14834),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14835),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18142),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15418),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18141),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17980),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15246),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17981),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5465),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17962),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15270),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17965),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17762),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15296),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17757),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17406),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15202),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17401),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18019),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15373),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18020),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17828),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15315),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17827),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6255),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6039),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9661),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8635),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14035),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11753),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12722),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9791),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7946),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9949),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9831),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9944),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10543),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 2),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12037),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12110),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8951),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8308),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8021),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7930),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8785),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 2),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7825),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10576),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12335),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12687),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8388),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8576),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8116),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10742),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_argument_list, 1, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_argument_list, 1, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8620),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8998),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7906),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12297),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7992),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4274),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0),
  [1412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4263),
  [1415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(107),
  [1418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15845),
  [1421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19746),
  [1424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19860),
  [1427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19747),
  [1430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15850),
  [1433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9685),
  [1436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9681),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(576),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1557),
  [1445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4180),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(447),
  [1451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1820),
  [1454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4182),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7840),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2430),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2926),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2924),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(845),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14014),
  [1478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11582),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(863),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0),
  [1486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1590),
  [1489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12414),
  [1492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9781),
  [1495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14214),
  [1498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4750),
  [1501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7214),
  [1504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7215),
  [1507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7221),
  [1510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4803),
  [1513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7074),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(163),
  [1519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15005),
  [1522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14549),
  [1525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4276),
  [1528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4261),
  [1531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(113),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16023),
  [1537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19612),
  [1540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19808),
  [1543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19613),
  [1546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16032),
  [1549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9680),
  [1552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9696),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(582),
  [1558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1643),
  [1561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3831),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(451),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2501),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3813),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8044),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(152),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2389),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3003),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3004),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(903),
  [1591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14009),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11567),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(906),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1584),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12870),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9808),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14229),
  [1612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4657),
  [1615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7088),
  [1618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7068),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7059),
  [1624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4777),
  [1627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7060),
  [1630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [1633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14967),
  [1636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14968),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12603),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [1645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4273),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4262),
  [1651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(90),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16003),
  [1657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19667),
  [1660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19830),
  [1663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19668),
  [1666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15989),
  [1669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9670),
  [1672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9682),
  [1675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [1678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1488),
  [1681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4227),
  [1684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [1687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1877),
  [1690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4211),
  [1693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7925),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [1699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1798),
  [1702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3230),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3229),
  [1708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(883),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14021),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11824),
  [1717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(846),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1620),
  [1723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12408),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9764),
  [1729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14196),
  [1732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5058),
  [1735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6932),
  [1738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6922),
  [1741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6913),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4653),
  [1747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6879),
  [1750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(160),
  [1753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15163),
  [1756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15165),
  [1759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4292),
  [1762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4265),
  [1765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [1768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15981),
  [1771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19752),
  [1774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19863),
  [1777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19753),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16002),
  [1783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9674),
  [1786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9673),
  [1789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(574),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1506),
  [1795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4190),
  [1798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(446),
  [1801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1868),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4202),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8575),
  [1810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(161),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2943),
  [1816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2900),
  [1819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2899),
  [1822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(819),
  [1825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14120),
  [1828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11823),
  [1831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(878),
  [1834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1648),
  [1837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12316),
  [1840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9766),
  [1843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14205),
  [1846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5449),
  [1849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7496),
  [1852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7334),
  [1855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7431),
  [1858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5758),
  [1861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7733),
  [1864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(247),
  [1867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14651),
  [1870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14652),
  [1873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(199),
  [1876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2272),
  [1879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2138),
  [1882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2137),
  [1885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5087),
  [1888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4308),
  [1891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4266),
  [1894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(104),
  [1897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15723),
  [1900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19740),
  [1903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19857),
  [1906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19741),
  [1909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15725),
  [1912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9668),
  [1915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9677),
  [1918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(592),
  [1921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1600),
  [1924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4176),
  [1927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(460),
  [1930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1788),
  [1933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4177),
  [1936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8452),
  [1939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [1942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2445),
  [1945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3015),
  [1948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3013),
  [1951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(926),
  [1954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14101),
  [1957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11737),
  [1960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(889),
  [1963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1487),
  [1966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12357),
  [1969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9785),
  [1972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14209),
  [1975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5866),
  [1978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7635),
  [1981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7289),
  [1984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7562),
  [1987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5286),
  [1990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7319),
  [1993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [1996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15127),
  [1999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15037),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8248),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [2008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [2010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1, 0, 0),
  [2012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [2015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3103),
  [2018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2062),
  [2021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2060),
  [2024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4891),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10563),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8515),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [2046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2271),
  [2049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2359),
  [2052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2360),
  [2055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5064),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9809),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10560),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12090),
  [2072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4321),
  [2075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4267),
  [2078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(133),
  [2081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16171),
  [2084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19758),
  [2087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19866),
  [2090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19759),
  [2093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16175),
  [2096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9688),
  [2099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9675),
  [2102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(682),
  [2105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1484),
  [2108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4113),
  [2111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(419),
  [2114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2030),
  [2117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4102),
  [2120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8242),
  [2123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [2126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2974),
  [2129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2794),
  [2132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2793),
  [2135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [2138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14130),
  [2141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11692),
  [2144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(879),
  [2147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1472),
  [2150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12468),
  [2153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9788),
  [2156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14230),
  [2159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5736),
  [2162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7399),
  [2165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7324),
  [2168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7395),
  [2171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5216),
  [2174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7341),
  [2177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(249),
  [2180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14658),
  [2183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14644),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator, 1, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator, 1, 0, 0),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5102),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6410),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4630),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10922),
  [2200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4295),
  [2203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4264),
  [2206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [2209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15476),
  [2212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19692),
  [2215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19839),
  [2218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19693),
  [2221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15483),
  [2224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9691),
  [2227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9676),
  [2230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(637),
  [2233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1553),
  [2236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4181),
  [2239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(450),
  [2242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1814),
  [2245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4178),
  [2248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8341),
  [2251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(217),
  [2254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2215),
  [2257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3182),
  [2260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3181),
  [2263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(904),
  [2266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14117),
  [2269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11733),
  [2272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(840),
  [2275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1478),
  [2278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12900),
  [2281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9794),
  [2284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14201),
  [2287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5729),
  [2290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7489),
  [2293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7489),
  [2296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7485),
  [2299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7467),
  [2302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6420),
  [2305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7466),
  [2308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7466),
  [2311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(277),
  [2314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(277),
  [2317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14637),
  [2320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14636),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10785),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 2, 0, 5),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9667),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14132),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11847),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12898),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9792),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10083),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9869),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10080),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10974),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10889),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9666),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2951),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14086),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11806),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12850),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9772),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10072),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9857),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10073),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10964),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2984),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1849),
  [2404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1852),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5465),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9034),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [2416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4507),
  [2419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4268),
  [2422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(106),
  [2425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16410),
  [2428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19770),
  [2431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19872),
  [2434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19771),
  [2437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16411),
  [2440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9689),
  [2443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9692),
  [2446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(585),
  [2449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1513),
  [2452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4045),
  [2455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(433),
  [2458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2087),
  [2461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4042),
  [2464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9015),
  [2467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [2470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2903),
  [2473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2630),
  [2476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2628),
  [2479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(811),
  [2482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14007),
  [2485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11591),
  [2488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(864),
  [2491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [2494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12838),
  [2497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9777),
  [2500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14184),
  [2503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6333),
  [2506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8586),
  [2509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8533),
  [2512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8582),
  [2515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6261),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8202),
  [2521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(283),
  [2524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14834),
  [2527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14835),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9665),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14044),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11797),
  [2546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12718),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9773),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10075),
  [2552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9981),
  [2554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10079),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10943),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10863),
  [2562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(237),
  [2565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2600),
  [2568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2763),
  [2571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2762),
  [2574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5935),
  [2577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(246),
  [2580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2784),
  [2583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1896),
  [2586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1895),
  [2589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5335),
  [2592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4399),
  [2595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4269),
  [2598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [2601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16593),
  [2604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19640),
  [2607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19819),
  [2610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19641),
  [2613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16590),
  [2616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9679),
  [2619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9684),
  [2622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(599),
  [2625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1541),
  [2628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3971),
  [2631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(440),
  [2634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2183),
  [2637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3972),
  [2640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8905),
  [2643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(234),
  [2646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1985),
  [2649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3147),
  [2652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3150),
  [2655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(875),
  [2658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14113),
  [2661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11800),
  [2664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(854),
  [2667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1477),
  [2670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12674),
  [2673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9789),
  [2676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14217),
  [2679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6035),
  [2682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8461),
  [2685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8471),
  [2688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8476),
  [2691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6082),
  [2694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8312),
  [2697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(271),
  [2700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15064),
  [2703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15070),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9663),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14016),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11777),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12794),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9805),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10804),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10989),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12256),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9768),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10125),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11207),
  [2754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(282),
  [2757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2421),
  [2760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2162),
  [2763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2163),
  [2766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6255),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11092),
  [2779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(270),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2599),
  [2785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2619),
  [2788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2620),
  [2791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6285),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10972),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10985),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [2806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [2808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10948),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10966),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [2814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(126),
  [2817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(303),
  [2820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1996),
  [2823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2971),
  [2826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2970),
  [2829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6615),
  [2832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(323),
  [2835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(323),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11198),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5854),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [2858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11065),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10199),
  [2862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9664),
  [2864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16292),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19764),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19869),
  [2872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19765),
  [2874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16293),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9678),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9683),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [2882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12665),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14115),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11663),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12247),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9783),
  [2916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10544),
  [2918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10879),
  [2920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11976),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14607),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14608),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11155),
  [2930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(293),
  [2933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1734),
  [2936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1834),
  [2939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1835),
  [2942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6039),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5323),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5564),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10184),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9662),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15942),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19376),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19777),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19377),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15937),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9690),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9671),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12015),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14033),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11642),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12652),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9806),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10503),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10067),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9899),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11201),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11827),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11827),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14885),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14886),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8639),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4224),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9803),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9043),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6348),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7653),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11261),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7921),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11368),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11260),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6704),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10630),
  [3119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(311),
  [3122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1785),
  [3125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2358),
  [3128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2357),
  [3131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6510),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8311),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8948),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11307),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8648),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8776),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9669),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14134),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11633),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12521),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10144),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10144),
  [3192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10086),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10150),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8011),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6273),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10786),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11350),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [3216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10772),
  [3218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11259),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [3222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12127),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [3234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11399),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12344),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [3250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [3254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10777),
  [3258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5999),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12699),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [3268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [3270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [3274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10592),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11327),
  [3286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11317),
  [3290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6328),
  [3292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6486),
  [3296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [3328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11301),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11437),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11426),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6539),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11097),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11193),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6546),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [3364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11371),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11326),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6807),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11385),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11329),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11407),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [3436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18781),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12521),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9742),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18781),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11205),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19496),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19496),
  [3460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18773),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9760),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18773),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19131),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19131),
  [3480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19140),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19140),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19722),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19722),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19223),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19223),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19751),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9717),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19751),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19107),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9714),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19107),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19786),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9753),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19786),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19803),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19803),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19213),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19213),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19126),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19126),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19797),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9724),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19797),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19514),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14369),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9737),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19514),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19410),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9761),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19410),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19844),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19844),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18271),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18271),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19322),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9726),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19322),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19609),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9699),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19609),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18818),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9755),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18818),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18746),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18746),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18976),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11278),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18976),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19598),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19598),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19633),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9745),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19633),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18875),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18875),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [3702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11461),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19403),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10521),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19403),
  [3720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19274),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19274),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18289),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18289),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19173),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19173),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18397),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9697),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18397),
  [3760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19314),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17923),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9733),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19314),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19577),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9740),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19577),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11529),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18933),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18933),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19564),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11133),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9735),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19564),
  [3808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19072),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11058),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9752),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19072),
  [3818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18899),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11678),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18899),
  [3828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19414),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9759),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19414),
  [3838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18964),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18964),
  [3848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18635),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9749),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18635),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19078),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19078),
  [3868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18181),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10670),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18181),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18934),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18934),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18865),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9739),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18865),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18437),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18437),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11534),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18555),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9709),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18555),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19472),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19472),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18817),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10738),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9756),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18817),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19018),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9758),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19018),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18687),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9748),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18687),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19346),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9722),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19346),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19357),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19357),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18997),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9727),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18997),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19659),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19659),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19367),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19367),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19783),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19783),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19218),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19218),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18927),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18927),
  [4044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19537),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19537),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18640),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10133),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9732),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18640),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19029),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19029),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18757),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18757),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19266),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10232),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9746),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19266),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19728),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9754),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19728),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19176),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12008),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9725),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19176),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18513),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11023),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18513),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12141),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11764),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8882),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9774),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [4148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17576),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [4158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11088),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12675),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17514),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10549),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18077),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7357),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9949),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10543),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8106),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17455),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12811),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8111),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17429),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7872),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7298),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17784),
  [4236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8629),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17421),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7861),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7391),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17400),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8755),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17385),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10646),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18114),
  [4274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12382),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [4278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17391),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8766),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8895),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17561),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12178),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7709),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17427),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12403),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8915),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8909),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17586),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8344),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17525),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12103),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17985),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8133),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17499),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8956),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17574),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8644),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17350),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8529),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7896),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17462),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7935),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17807),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8601),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [4404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17361),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8303),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17518),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10539),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12902),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17548),
  [4426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12161),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17997),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12328),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17383),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8147),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8901),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8354),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7655),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10721),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7926),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8949),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8016),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12767),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [4488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8480),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8118),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7857),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7958),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12412),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8383),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [4526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9028),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12028),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8411),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8638),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [4550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 1, 0, 0),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10899),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12188),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10593),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12210),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8854),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7514),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8613),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8357),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10708),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8093),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8777),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8215),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12342),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8155),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7842),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8780),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8897),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9067),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12523),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8520),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12479),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8767),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7366),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12607),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7556),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8360),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8310),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8826),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12720),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8293),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12694),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8682),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12122),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9773),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14209),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10075),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10079),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11088),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1, 0, 0),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11014),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [4794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 1, 0, 0),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10953),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [4802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8567),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5392),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [4814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17343),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12206),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [4820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [4822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17396),
  [4826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17396),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10234),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [4832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17399),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4655),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17528),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17528),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17856),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8913),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11077),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17392),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11513),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17558),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17558),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6580),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17452),
  [4870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5725),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18138),
  [4874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18138),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12551),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8112),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6234),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18072),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18072),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7933),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [4904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10703),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9006),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8808),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [4922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8110),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [4930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8366),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8879),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7934),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10732),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [4954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 3, 0, 5),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6050),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17507),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9372),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17523),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17523),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6560),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17457),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17457),
  [4974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14401),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [4978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17846),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7938),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [4986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8883),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8954),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [4998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8036),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17614),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8846),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11616),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17575),
  [5016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11137),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18097),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18097),
  [5022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11595),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17569),
  [5026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17569),
  [5028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10895),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12673),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8955),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8957),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8510),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6943),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17404),
  [5064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7919),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [5070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8715),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [5074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17909),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18065),
  [5080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18065),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11969),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17934),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5644),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18048),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7169),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17563),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17563),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7991),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [5104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5331),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17811),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17811),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7097),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18014),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18014),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8997),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10749),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17704),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4621),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17821),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6731),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17717),
  [5140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17717),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [5148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6062),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17504),
  [5152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17504),
  [5154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12384),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [5160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8557),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [5166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12330),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12167),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12329),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8104),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7867),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [5194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9042),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8050),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [5214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [5218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17812),
  [5220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11147),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [5224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17876),
  [5226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10735),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17702),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17702),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12327),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4599),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17826),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17826),
  [5244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7674),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18029),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18029),
  [5250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6782),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18147),
  [5254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18147),
  [5256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10154),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17652),
  [5260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17652),
  [5262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8828),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [5268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6742),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [5272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17654),
  [5274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5928),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [5278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17360),
  [5280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8049),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17619),
  [5284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17619),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7883),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11125),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [5296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18083),
  [5298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7425),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [5302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [5304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [5308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17566),
  [5310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11297),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17797),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17797),
  [5316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7577),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17783),
  [5320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17783),
  [5322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11158),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17873),
  [5326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17873),
  [5328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7996),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [5332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18074),
  [5334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8445),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [5338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14542),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17432),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12298),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [5350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [5352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8230),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [5358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [5364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10107),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17405),
  [5368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17405),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12723),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [5374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10573),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [5380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [5382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 0),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12432),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9784),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14214),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10762),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [5404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6873),
  [5406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [5408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18110),
  [5410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11285),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [5414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17792),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10650),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [5420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17596),
  [5422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8630),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [5426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8631),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [5432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [5434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9652),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17936),
  [5438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17936),
  [5440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7220),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [5444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17683),
  [5446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [5450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [5452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8192),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [5456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [5458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9939),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18018),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11609),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17370),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17370),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5970),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17884),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17884),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12506),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7665),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17422),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17422),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6289),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17832),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17832),
  [5494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12107),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [5500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12105),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [5506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9360),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17517),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12102),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [5516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10648),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17834),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7377),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17590),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17590),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7349),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [5542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8414),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10638),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17543),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17543),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14383),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17840),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17840),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7839),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7652),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17424),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11832),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17920),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17920),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7952),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14476),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17437),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17437),
  [5590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10637),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [5596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6861),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18136),
  [5600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18136),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5738),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [5606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17534),
  [5608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8684),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17983),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17983),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8373),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6845),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17760),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11955),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17944),
  [5630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17944),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10114),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [5636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17390),
  [5638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11634),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [5642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17363),
  [5644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5787),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [5648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17882),
  [5650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10406),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [5654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17767),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12682),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [5662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9570),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18023),
  [5666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18023),
  [5668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12680),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [5674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5602),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17972),
  [5678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17972),
  [5680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7233),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17679),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17679),
  [5686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6524),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17472),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17472),
  [5692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17911),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17506),
  [5698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6319),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17378),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17378),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7713),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [5708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [5710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10628),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [5714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [5716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8249),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [5722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12039),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [5728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9135),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [5732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7708),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [5738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [5744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17593),
  [5746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5807),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17855),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17855),
  [5752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8382),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5901),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17374),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17374),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12528),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [5768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8555),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [5774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [5776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7083),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17755),
  [5780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17755),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8297),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [5786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [5788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8908),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [5792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [5794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7706),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6649),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [5804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17647),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5683),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17532),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17532),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5194),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17669),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12022),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [5828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11854),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17933),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5777),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [5838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18151),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8302),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [5844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11525),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17553),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17895),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17511),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17511),
  [5858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7598),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18022),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4596),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17486),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17486),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8642),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11959),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [5882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8304),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [5886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11233),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [5892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17477),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8305),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [5898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [5900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6796),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18152),
  [5906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6499),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17485),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5993),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [5916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17875),
  [5918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12897),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [5922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [5924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5679),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17731),
  [5928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17731),
  [5930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10548),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [5934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7388),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [5940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [5942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10276),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17386),
  [5946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17386),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8565),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5134),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [5958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17508),
  [5960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11224),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17475),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17475),
  [5966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7516),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [5972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7895),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [5976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [5984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7288),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18028),
  [5992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7558),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [5998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6102),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17443),
  [6002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17443),
  [6004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6987),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17684),
  [6008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17684),
  [6010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8288),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [6014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12613),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8159),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17565),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17565),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18112),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18112),
  [6034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17666),
  [6040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8757),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [6044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [6046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9452),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17476),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17476),
  [6052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [6056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18122),
  [6058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5616),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18030),
  [6062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18030),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6919),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [6068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17678),
  [6070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [6074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18067),
  [6076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [6080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17787),
  [6082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11086),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17397),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17397),
  [6094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [6098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17461),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8094),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [6104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9592),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [6110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18017),
  [6112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7358),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [6116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [6118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10684),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [6122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17918),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8898),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [6130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6641),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17646),
  [6134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17646),
  [6136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17615),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17615),
  [6142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5586),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17658),
  [6146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17658),
  [6148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9948),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17989),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17989),
  [6154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8135),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [6160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9638),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [6164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17927),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9473),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [6170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17470),
  [6172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6165),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17631),
  [6178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5379),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17341),
  [6182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17341),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5196),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17340),
  [6188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17340),
  [6190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8783),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [6194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8600),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [6200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [6202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6439),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [6206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17407),
  [6208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12579),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [6212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [6214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4699),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17751),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17751),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10695),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17844),
  [6224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17844),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8347),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [6230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10181),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17632),
  [6238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6382),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17671),
  [6242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17671),
  [6244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [6248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17618),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5573),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [6254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17733),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6091),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [6260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17454),
  [6262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4727),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [6266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17747),
  [6268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8175),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [6272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17560),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5641),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [6278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17979),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10379),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17723),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17723),
  [6286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17638),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17638),
  [6292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8442),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [6298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12462),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [6302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18792),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12408),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9764),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18945),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19186),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19207),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19673),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18661),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18827),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11651),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19047),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19326),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19842),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [6384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_row, 1, 0, 0),
  [6386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_row, 1, 0, 0),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19845),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18605),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11736),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19221),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18848),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [6430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19543),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19156),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18220),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18676),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19053),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18985),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19738),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19552),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19345),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11272),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11482),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19684),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19155),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18953),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9422),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18221),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [6508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10073),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10953),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18611),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18831),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19494),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [6542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 2, 0, 0),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18728),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17937),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19007),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19558),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9403),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [6574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19556),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14387),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19859),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19380),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18977),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18642),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19006),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18874),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19798),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19249),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19076),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19452),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19424),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [6640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(4273),
  [6643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(4262),
  [6646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(90),
  [6649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(16003),
  [6652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(19667),
  [6655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(19830),
  [6658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(19668),
  [6661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(15989),
  [6664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(9670),
  [6667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(9682),
  [6670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [6673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(1488),
  [6676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(4227),
  [6679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [6682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(1877),
  [6685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(4211),
  [6688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(7925),
  [6691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [6694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(2271),
  [6697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(2359),
  [6700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(2360),
  [6703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(883),
  [6706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(14021),
  [6709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(11824),
  [6712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(846),
  [6715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0),
  [6717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0),
  [6719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(1620),
  [6722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(12408),
  [6725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(9764),
  [6728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(14196),
  [6731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(5058),
  [6734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(6932),
  [6737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(6922),
  [6740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(6913),
  [6743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(6470),
  [6746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(6879),
  [6749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(325),
  [6752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(15163),
  [6755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(15165),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19353),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18756),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18913),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [6776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12898),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14230),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10080),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11014),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18688),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10139),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18536),
  [6800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [6802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19255),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19619),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19788),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18563),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19294),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10770),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19241),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [6858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 3, 0, 0),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19811),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10024),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18399),
  [6870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10661),
  [6872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18438),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10469),
  [6878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19624),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11841),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10270),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [6896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19443),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18736),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19381),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18797),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11064),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18329),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11109),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19585),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18906),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14522),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19106),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19081),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19727),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19589),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11119),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19301),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [6968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8799),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12442),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14217),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10174),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10157),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11249),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [6990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8958),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7932),
  [6994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7931),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10168),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6336),
  [7002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8952),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [7006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18733),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11263),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10099),
  [7018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8103),
  [7020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8953),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19804),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10202),
  [7026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8336),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [7036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7939),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8283),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19726),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10514),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8037),
  [7050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7887),
  [7052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6616),
  [7054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8028),
  [7056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12401),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [7060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8470),
  [7062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7837),
  [7064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7878),
  [7066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7848),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18999),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [7078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7876),
  [7080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7864),
  [7082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7869),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10473),
  [7086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5912),
  [7088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12450),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11950),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19553),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19344),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [7104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7856),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18952),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [7114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8911),
  [7116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11345),
  [7118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8394),
  [7120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8493),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14481),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [7126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8907),
  [7128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4740),
  [7130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8906),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19009),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14347),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [7140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [7142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8545),
  [7144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8547),
  [7146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8572),
  [7148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10655),
  [7150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6121),
  [7152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10672),
  [7154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19590),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [7160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7900),
  [7162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10870),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18331),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10110),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [7170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8902),
  [7172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7893),
  [7174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8903),
  [7176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7511),
  [7178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7891),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [7182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7877),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7486),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7884),
  [7188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7483),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [7194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8896),
  [7196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7468),
  [7198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [7200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19799),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10975),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [7206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7841),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [7210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [7212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8765),
  [7214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12595),
  [7216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [7218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [7220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7953),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8763),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8764),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8389),
  [7228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [7230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8760),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19051),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [7238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8387),
  [7240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8413),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11590),
  [7244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8071),
  [7246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8758),
  [7248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8384),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [7252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10613),
  [7254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5411),
  [7256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14400),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [7260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10611),
  [7262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18398),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [7270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8554),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [7274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7463),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18223),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10933),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [7284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8753),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10868),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11216),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [7292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7512),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9431),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7499),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7498),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11324),
  [7302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8568),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8403),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18604),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [7324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19300),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19785),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19584),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [7344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10585),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12637),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8358),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7350),
  [7352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8084),
  [7354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11000),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18950),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [7364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8633),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12361),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11811),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19671),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12683),
  [7378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6425),
  [7380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8632),
  [7382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [7384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10581),
  [7386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12714),
  [7388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8622),
  [7390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18535),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [7400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11103),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [7404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7592),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19105),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [7412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9896),
  [7414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8087),
  [7416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8825),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6605),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [7424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8090),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11602),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19742),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7686),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [7438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8820),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19536),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8816),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [7452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8351),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8352),
  [7456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8884),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [7460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8650),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8109),
  [7466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12564),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8807),
  [7470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10540),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8792),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8803),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12555),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10782),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8349),
  [7482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8114),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8115),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8594),
  [7488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12766),
  [7490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5040),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8348),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19594),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10811),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10131),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12093),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8591),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18690),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [7518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12856),
  [7520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12525),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11831),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [7526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12845),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [7530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12877),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8587),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8588),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19409),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [7546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12885),
  [7548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19246),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11672),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [7556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8131),
  [7558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9421),
  [7560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8501),
  [7562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [7564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [7566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9025),
  [7568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8340),
  [7570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9079),
  [7572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12508),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8446),
  [7576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8136),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [7580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9116),
  [7582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12497),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9113),
  [7586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12494),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10289),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12485),
  [7592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8146),
  [7596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8144),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18440),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [7606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9040),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [7610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5548),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19618),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [7620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8457),
  [7622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8781),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11163),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [7628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8156),
  [7630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11017),
  [7632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12895),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11314),
  [7636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11911),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18565),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [7644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11936),
  [7646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10551),
  [7648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7336),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19838),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11094),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18833),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10266),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [7664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9342),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14357),
  [7668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [7670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7356),
  [7672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12024),
  [7674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12413),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9023),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19152),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [7686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8873),
  [7688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8282),
  [7690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9008),
  [7692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12068),
  [7694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8250),
  [7696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12397),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12399),
  [7700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10859),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18839),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [7708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5510),
  [7710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12389),
  [7712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9080),
  [7714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12387),
  [7716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12084),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [7720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8246),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18218),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [7728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12085),
  [7730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12378),
  [7732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12146),
  [7734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10547),
  [7736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8194),
  [7738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8201),
  [7740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8203),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [7744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8830),
  [7746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8207),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19248),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18660),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [7764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10337),
  [7766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6247),
  [7768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10921),
  [7770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9031),
  [7772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8174),
  [7774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10918),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9125),
  [7778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7411),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8307),
  [7782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5595),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8306),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14531),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11505),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5357),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [7798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10704),
  [7800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12189),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [7806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10900),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17889),
  [7810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8850),
  [7812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18789),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9973),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [7818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10095),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [7822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11506),
  [7826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12176),
  [7828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12333),
  [7830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8859),
  [7832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12332),
  [7834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12177),
  [7836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12172),
  [7838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8217),
  [7840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12171),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11145),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19445),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9845),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [7850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12326),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12151),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19686),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [7862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10368),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19531),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19447),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [7878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8232),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19202),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19861),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [7892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12109),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [7896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12108),
  [7898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [7900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12099),
  [7902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6407),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8397),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6394),
  [7910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12686),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [7914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12685),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10720),
  [7918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10631),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8294),
  [7926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7695),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7697),
  [7930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12669),
  [7932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6341),
  [7934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8301),
  [7936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10781),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18915),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10426),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19554),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14390),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19352),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19484),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10802),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18802),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9929),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19112),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [7966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 3, 0, 0),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19003),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18219),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19216),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18686),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19349),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18539),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [7994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [7998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [8002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12652),
  [8004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9806),
  [8006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14201),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10062),
  [8010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12196),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19157),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10622),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19735),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18537),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19754),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19853),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18264),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19109),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11487),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [8052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12043),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9659),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18726),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11098),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19790),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19677),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18742),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10310),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19850),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19154),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [8084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19079),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [8092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19159),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [8100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18790),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10261),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [8108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18222),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18755),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10512),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19167),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18668),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19737),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14422),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18557),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18863),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19551),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11801),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19382),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11320),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19843),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18612),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [8168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19323),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19111),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19384),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18669),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19039),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19056),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11481),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [8206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19256),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19419),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19588),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19184),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18413),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18793),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [8232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 2, 0, 0),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18662),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19644),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19209),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19678),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18327),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11110),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19379),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18796),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19302),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19234),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19621),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19792),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18561),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19549),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19453),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19423),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19550),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19586),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19004),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18197),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10920),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19492),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18609),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11735),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19592),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19622),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19220),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10454),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19683),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19002),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19063),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19308),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18543),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18606),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18971),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18829),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18851),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11554),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18664),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18825),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18400),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18958),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14340),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18747),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19676),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19855),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [8424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18941),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19251),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18954),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19736),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10491),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19547),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19038),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19254),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19587),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [8466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18873),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19290),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18636),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19840),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19351),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18305),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10044),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18912),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19620),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11945),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18962),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18911),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14520),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18436),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19441),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19793),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10976),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19623),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18430),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12468),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10948),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11746),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11153),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11787),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11156),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11715),
  [8604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11316),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [8608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12789),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11734),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11122),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10138),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11601),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11596),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11611),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14350),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11618),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11714),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11092),
  [8664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11711),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11780),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10759),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11799),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14341),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14342),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11594),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11547),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12316),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9766),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14334),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14330),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10388),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14349),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11701),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11708),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10105),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11702),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14499),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11796),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14353),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11761),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10376),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10915),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14343),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10912),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10226),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11698),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12870),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9808),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11161),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10445),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10355),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10358),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10736),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10263),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17892),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10268),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10265),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11100),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10723),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10685),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11689),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17859),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17903),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11143),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17887),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10671),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11774),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11099),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10297),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17913),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10298),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17919),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10325),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10306),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10911),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10977),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11805),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11848),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11813),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9890),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9420),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11788),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8178),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12247),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9783),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14184),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11976),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12414),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11745),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11281),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10910),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10410),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11717),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12838),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9777),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11712),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10211),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11167),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10223),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10236),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14528),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14396),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9313),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12794),
  [9312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9805),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10630),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [9328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9626),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10267),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17917),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10273),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10279),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11083),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10182),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11033),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10534),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11081),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10731),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11228),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11794),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11825),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10155),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10153),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10691),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11974),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11072),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11972),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11070),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14365),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11624),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11080),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14486),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17904),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11769),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11604),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11568),
  [9564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10879),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10974),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10673),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10964),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11818),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10563),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10560),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11612),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11615),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11563),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9870),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10845),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10264),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11963),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11060),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11834),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11638),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11641),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9928),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10035),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11286),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [9694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10943),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10288),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11198),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10437),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11597),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10725),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10612),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14346),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11802),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11757),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10364),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9844),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12357),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11754),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11779),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10378),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10752),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10383),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9848),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11614),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10838),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11846),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11671),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9643),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10117),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10120),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10408),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11952),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10411),
  [9928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9835),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [9936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10837),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11071),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11748),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11569),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11852),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11850),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11566),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10102),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10835),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11580),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10653),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11759),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11619),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [10044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11260),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11941),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11741),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11576),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11665),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19724),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [10086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11448),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10440),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14501),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14497),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14493),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11550),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10641),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11851),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11725),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11282),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9855),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11464),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9864),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10490),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10654),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10979),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7989),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10446),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14485),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11211),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10448),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11293),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11295),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10642),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10981),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14511),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14477),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10449),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11939),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14480),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11755),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10052),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [10320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10983),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10982),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10478),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11138),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [10332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [10334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [10340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [10342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [10346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [10350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10479),
  [10352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [10354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11809),
  [10356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9600),
  [10358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [10360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [10364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14362),
  [10366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [10370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [10372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [10374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10452),
  [10378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11585),
  [10380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11031),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14388),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10050),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11134),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14363),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10183),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11771),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11508),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11030),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11029),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10987),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10048),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11514),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11625),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11027),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11028),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11516),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10482),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10481),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11798),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11126),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11026),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11123),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10988),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14395),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9461),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19680),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14389),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14352),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11136),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10785),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11065),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11148),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14359),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11530),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9330),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11644),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11025),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9979),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19672),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11305),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19679),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10794),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10487),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11973),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [10600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11237),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14426),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9938),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11833),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9639),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11830),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11719),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9448),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10778),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10579),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11768),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10728),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11828),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11178),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11739),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19654),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19653),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [10756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11022),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14424),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [10806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11227),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11776),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [10816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11232),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10905),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10889),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11357),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11238),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11837),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10919),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10784),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11760),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [10932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11169),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19645),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10833),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11168),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10789),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12196),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11392),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11097),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10863),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11193),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11155),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10966),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10989),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10922),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11259),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11437),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11329),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10985),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11350),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11307),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11426),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11326),
  [11108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [11112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(4422),
  [11115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(9872),
  [11118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1099),
  [11121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(782),
  [11124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1567),
  [11127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(12769),
  [11130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14223),
  [11133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5582),
  [11136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5773),
  [11139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11827),
  [11142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(15003),
  [11145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(15002),
  [11148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(4523),
  [11151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(9868),
  [11154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1004),
  [11157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(825),
  [11160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1515),
  [11163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(12474),
  [11166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5936),
  [11169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5319),
  [11172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14592),
  [11175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14595),
  [11178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(4453),
  [11181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(9862),
  [11184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1315),
  [11187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(832),
  [11190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1591),
  [11193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(12852),
  [11196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5554),
  [11199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5277),
  [11202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14817),
  [11205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14816),
  [11208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(4935),
  [11211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(9908),
  [11214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1137),
  [11217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(847),
  [11220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1580),
  [11223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(12591),
  [11226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6038),
  [11229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6073),
  [11232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14721),
  [11235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14719),
  [11238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5145),
  [11241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10016),
  [11244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1198),
  [11247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(818),
  [11250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1593),
  [11253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(12689),
  [11256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6438),
  [11259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6142),
  [11262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14758),
  [11265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14759),
  [11268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(4848),
  [11271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(9921),
  [11274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1344),
  [11277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(794),
  [11280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1618),
  [11283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(12814),
  [11286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6173),
  [11289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6013),
  [11292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14790),
  [11295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14791),
  [11298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(4569),
  [11301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(9852),
  [11304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1274),
  [11307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(837),
  [11310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1573),
  [11313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(12461),
  [11316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14223),
  [11319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6256),
  [11322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6057),
  [11325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11827),
  [11328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14720),
  [11331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(14718),
  [11334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5493),
  [11337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10021),
  [11340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1357),
  [11343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(884),
  [11346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1522),
  [11349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(12793),
  [11352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6573),
  [11355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6567),
  [11358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(15025),
  [11361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(15027),
  [11364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5702),
  [11367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(9879),
  [11370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1336),
  [11373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(792),
  [11376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1569),
  [11379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(12437),
  [11382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6574),
  [11385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6614),
  [11388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(15136),
  [11391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(15135),
  [11394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(4523),
  [11397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [11399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(9868),
  [11402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1004),
  [11405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(825),
  [11408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [11410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1515),
  [11413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(12474),
  [11416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14223),
  [11419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5936),
  [11422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5319),
  [11425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11827),
  [11428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14592),
  [11431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14595),
  [11434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(4453),
  [11437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(9862),
  [11440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1315),
  [11443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(832),
  [11446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1591),
  [11449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(12852),
  [11452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5554),
  [11455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5277),
  [11458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14817),
  [11461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14816),
  [11464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(4422),
  [11467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(9872),
  [11470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1099),
  [11473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(782),
  [11476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1567),
  [11479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(12769),
  [11482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5582),
  [11485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5773),
  [11488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(15003),
  [11491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(15002),
  [11494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(4848),
  [11497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(9921),
  [11500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1344),
  [11503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(794),
  [11506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1618),
  [11509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(12814),
  [11512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6173),
  [11515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6013),
  [11518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14790),
  [11521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14791),
  [11524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(4569),
  [11527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(9852),
  [11530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1274),
  [11533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(837),
  [11536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1573),
  [11539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(12461),
  [11542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14223),
  [11545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6256),
  [11548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6057),
  [11551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11827),
  [11554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14720),
  [11557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14718),
  [11560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(4935),
  [11563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(9908),
  [11566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1137),
  [11569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(847),
  [11572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1580),
  [11575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(12591),
  [11578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6038),
  [11581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6073),
  [11584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14721),
  [11587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14719),
  [11590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5145),
  [11593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10016),
  [11596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1198),
  [11599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(818),
  [11602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1593),
  [11605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(12689),
  [11608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6438),
  [11611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6142),
  [11614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14758),
  [11617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(14759),
  [11620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5702),
  [11623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(9879),
  [11626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1336),
  [11629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(792),
  [11632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1569),
  [11635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(12437),
  [11638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6574),
  [11641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6614),
  [11644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(15136),
  [11647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(15135),
  [11650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5493),
  [11653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10021),
  [11656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1357),
  [11659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(884),
  [11662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1522),
  [11665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(12793),
  [11668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6573),
  [11671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6567),
  [11674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(15025),
  [11677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(15027),
  [11680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4297),
  [11682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 1),
  [11684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 1),
  [11686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4615),
  [11688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [11690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [11692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [11694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16779),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15282),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17701),
  [11702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4312),
  [11704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5015),
  [11706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [11708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [11710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [11712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5068),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17274),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15188),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17358),
  [11720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [11722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [11724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4842),
  [11726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [11728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [11730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17016),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15350),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17489),
  [11738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [11740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5810),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [11744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5646),
  [11746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4676),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [11754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5740),
  [11756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17065),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15351),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17939),
  [11762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [11764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5435),
  [11766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5731),
  [11768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [11770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5744),
  [11772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5748),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16923),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15363),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17527),
  [11780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4420),
  [11782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [11784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5309),
  [11786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [11788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [11790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17286),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15431),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18120),
  [11798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4504),
  [11800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5735),
  [11802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5353),
  [11804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5182),
  [11806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [11808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5440),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17119),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15233),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17988),
  [11816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [11818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [11820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6421),
  [11822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [11824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6430),
  [11826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16886),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15457),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17777),
  [11834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [11836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6063),
  [11838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6461),
  [11840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [11842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [11844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6459),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16966),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15237),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17505),
  [11852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15905),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15893),
  [11858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16025),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16011),
  [11864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [11866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [11868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [11870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16086),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16087),
  [11876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [11878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [11880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 8),
  [11882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 8),
  [11884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [11886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16329),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16328),
  [11892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closed_macrocall_expression, 5, 0, 0),
  [11894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closed_macrocall_expression, 5, 0, 0),
  [11896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [11898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_broadcast_call_expression, 4, 0, 0),
  [11900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_broadcast_call_expression, 4, 0, 0),
  [11902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15630),
  [11906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15628),
  [11908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15916),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15917),
  [11914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [11916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 0),
  [11918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 0),
  [11920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15811),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15812),
  [11926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation_expression, 2, 0, 0),
  [11928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation_expression, 2, 0, 0),
  [11930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [11932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closed_macrocall_expression, 3, 0, 0),
  [11934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closed_macrocall_expression, 3, 0, 0),
  [11936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [11938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [11940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16231),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16232),
  [11946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16441),
  [11950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16434),
  [11952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [11954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [11956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [11958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer_literal, 1, 0, 0),
  [11960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer_literal, 1, 0, 0),
  [11962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [11964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [11966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_command_literal, 4, 0, 9),
  [11968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_command_literal, 4, 0, 9),
  [11970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [11972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [11974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 6),
  [11976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [11978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_string_literal, 4, 0, 9),
  [11980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_string_literal, 4, 0, 9),
  [11982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [11984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 6),
  [11986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_command_literal, 3, 0, 9),
  [11988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_command_literal, 3, 0, 9),
  [11990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_string_literal, 3, 0, 9),
  [11992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_string_literal, 3, 0, 9),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16641),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16637),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16396),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16395),
  [12002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 6),
  [12004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 6),
  [12006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5174),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16070),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16073),
  [12012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [12014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [12016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 13),
  [12018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 13),
  [12020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [12022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [12024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [12026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [12028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [12030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 7, 0, 0),
  [12032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 7, 0, 0),
  [12034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 6, 0, 0),
  [12036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 6, 0, 0),
  [12038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 6, 0, 13),
  [12040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 6, 0, 13),
  [12042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 6),
  [12044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 6),
  [12046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [12048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 13),
  [12050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 13),
  [12052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16130),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16124),
  [12060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 2, 0, 0),
  [12062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 2, 0, 0),
  [12064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16308),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16303),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16285),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16282),
  [12074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16228),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16249),
  [12080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [12082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [12084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [12086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5163),
  [12088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 3, 0, 0),
  [12090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 3, 0, 0),
  [12092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [12094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16194),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16193),
  [12100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16544),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16542),
  [12106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [12108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [12110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [12112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [12114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [12116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [12118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16525),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16523),
  [12124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [12126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [12128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4719),
  [12130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [12132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [12134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [12136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [12138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [12140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [12142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16486),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16484),
  [12148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_broadcast_call_expression, 5, 0, 0),
  [12150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_broadcast_call_expression, 5, 0, 0),
  [12152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_adjoint_expression, 2, 0, 0),
  [12154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adjoint_expression, 2, 0, 0),
  [12156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_expression, 3, 0, 0),
  [12158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_expression, 3, 0, 0),
  [12160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector_expression, 2, 0, 0),
  [12162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector_expression, 2, 0, 0),
  [12164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 0),
  [12166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 0),
  [12168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [12170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_expression, 2, 0, 0),
  [12172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_expression, 2, 0, 0),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [12176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_expression, 7, 0, 0),
  [12178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_expression, 7, 0, 0),
  [12180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_expression, 6, 0, 0),
  [12182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_expression, 6, 0, 0),
  [12184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 6, 0, 0),
  [12186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 6, 0, 0),
  [12188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 6, 0, 0),
  [12190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 6, 0, 0),
  [12192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_command_literal, 5, 0, 19),
  [12194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_command_literal, 5, 0, 19),
  [12196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_string_literal, 5, 0, 19),
  [12198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_string_literal, 5, 0, 19),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15508),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15509),
  [12204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [12206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_expression, 5, 0, 0),
  [12208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_expression, 5, 0, 0),
  [12210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_expression, 5, 0, 0),
  [12212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_expression, 5, 0, 0),
  [12214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector_expression, 5, 0, 0),
  [12216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector_expression, 5, 0, 0),
  [12218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comprehension_expression, 5, 0, 0),
  [12220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comprehension_expression, 5, 0, 0),
  [12222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [12224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5578),
  [12226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 5, 0, 0),
  [12228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 5, 0, 0),
  [12230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_command_literal, 4, 0, 14),
  [12232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_command_literal, 4, 0, 14),
  [12234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_string_literal, 4, 0, 14),
  [12236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_string_literal, 4, 0, 14),
  [12238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [12240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [12242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_literal, 2, 0, 0),
  [12244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_literal, 2, 0, 0),
  [12246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [12248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [12250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_expression, 4, 0, 0),
  [12252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_expression, 4, 0, 0),
  [12254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_expression, 4, 0, 0),
  [12256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_expression, 4, 0, 0),
  [12258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comprehension_expression, 4, 0, 0),
  [12260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comprehension_expression, 4, 0, 0),
  [12262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector_expression, 4, 0, 0),
  [12264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector_expression, 4, 0, 0),
  [12266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [12268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14265),
  [12270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17442),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15362),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17494),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16466),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16465),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16551),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16552),
  [12286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [12288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_expression, 3, 0, 0),
  [12290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_expression, 3, 0, 0),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15980),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15979),
  [12296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector_expression, 3, 0, 0),
  [12298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector_expression, 3, 0, 0),
  [12300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_literal, 3, 0, 0),
  [12302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_literal, 3, 0, 0),
  [12304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [12306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14305),
  [12308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17368),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15228),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17373),
  [12316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 3, 0, 0),
  [12318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 3, 0, 0),
  [12320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parametrized_type_expression, 3, 0, 0),
  [12322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parametrized_type_expression, 3, 0, 0),
  [12324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float_literal, 1, 0, 0),
  [12326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float_literal, 1, 0, 0),
  [12328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 3, 0, 0),
  [12330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 3, 0, 0),
  [12332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5665),
  [12334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5847),
  [12336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [12338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closed_macrocall_expression, 4, 0, 0),
  [12340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closed_macrocall_expression, 4, 0, 0),
  [12342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 5, 0, 15),
  [12344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 5, 0, 15),
  [12346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float_literal, 2, 0, 0),
  [12348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float_literal, 2, 0, 0),
  [12350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closed_macrocall_expression, 6, 0, 0),
  [12352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closed_macrocall_expression, 6, 0, 0),
  [12354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 4, 0, 0),
  [12356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 4, 0, 0),
  [12358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4573),
  [12360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14281),
  [12362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3395),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17571),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15269),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17670),
  [12370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 3, 0, 0),
  [12372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 3, 0, 0),
  [12374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [12376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14239),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17347),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15332),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17414),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16217),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16213),
  [12390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5529),
  [12392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [12394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14256),
  [12396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [12398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5833),
  [12400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5338),
  [12402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [12404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5189),
  [12406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [12408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [12410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5291),
  [12412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [12414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14311),
  [12416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [12418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [12420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14321),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17648),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15430),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17692),
  [12428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [12430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [12432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14287),
  [12434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [12436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [12438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5438),
  [12440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_typed_expression, 2, 0, 0),
  [12442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [12444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [12446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14286),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17990),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15226),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17998),
  [12454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5312),
  [12456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6127),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16049),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16047),
  [12462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [12464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14307),
  [12466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17860),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15369),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17861),
  [12474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_juxtaposition_expression, 2, 0, 0),
  [12476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_juxtaposition_expression, 2, 0, 0),
  [12478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5290),
  [12480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14263),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17805),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15459),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17806),
  [12488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5947),
  [12490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14294),
  [12492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18109),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15414),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18108),
  [12500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [12502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [12504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14295),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17898),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15327),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17899),
  [12512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_typed_expression, 2, 0, 0),
  [12514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5536),
  [12516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14241),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18036),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15356),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18037),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16313),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16319),
  [12528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [12530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5576),
  [12532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14272),
  [12534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17491),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15364),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17530),
  [12542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6144),
  [12544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [12546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6431),
  [12548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6452),
  [12550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [12552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [12554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14299),
  [12556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [12558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14275),
  [12560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [12562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [12564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6010),
  [12566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5668),
  [12568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14233),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17759),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15236),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17754),
  [12576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5237),
  [12578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14249),
  [12580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18035),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15313),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18098),
  [12586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [12588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [12590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5754),
  [12592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14262),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18040),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15200),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18041),
  [12600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [12602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14243),
  [12604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [12606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5445),
  [12608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14232),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17726),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15443),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17727),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15710),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15711),
  [12620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6269),
  [12622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14244),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17835),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15415),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17837),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16342),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16339),
  [12634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6463),
  [12636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14258),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18087),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15301),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18088),
  [12644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [12646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6143),
  [12648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14292),
  [12650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17488),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15229),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17487),
  [12658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [12660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14297),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17359),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15305),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17345),
  [12668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [12670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14280),
  [12672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [12674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_identifier, 2, 0, 0),
  [12676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_identifier, 2, 0, 0),
  [12678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15161),
  [12680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [12682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14298),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17529),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15380),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17578),
  [12690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5980),
  [12692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14240),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17607),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15419),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17651),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15733),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15731),
  [12704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 0),
  [12706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, 0, 0),
  [12708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14911),
  [12710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [12712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6423),
  [12714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14310),
  [12716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18144),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15421),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18143),
  [12724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14285),
  [12726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [12728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [12730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5658),
  [12732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14288),
  [12734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17949),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15355),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17953),
  [12742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14309),
  [12744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [12746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6521),
  [12748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14761),
  [12750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [12752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6468),
  [12754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [12756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14253),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17963),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15271),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17961),
  [12764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [12766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [12768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6760),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16405),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16402),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15609),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15610),
  [12778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6611),
  [12780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14247),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18005),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15221),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18004),
  [12788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14738),
  [12790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6764),
  [12792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [12794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14296),
  [12796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15787),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15791),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15840),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15837),
  [12806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [12808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15096),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16363),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16357),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16140),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16139),
  [12818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14273),
  [12820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [12822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6691),
  [12824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6603),
  [12826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14234),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17999),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15330),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17996),
  [12834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15110),
  [12836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14785),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16304),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16302),
  [12842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7100),
  [12844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exportable, 1, 0, 0),
  [12846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exportable, 1, 0, 0),
  [12848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14815),
  [12850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__importable, 1, 0, 0),
  [12852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__importable, 1, 0, 0),
  [12854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14697),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15481),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15477),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16414),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16413),
  [12864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_list, 1, 0, 0),
  [12866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12486),
  [12868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14038),
  [12870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12066),
  [12872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, 0, 0),
  [12874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_path, 2, 0, 0),
  [12876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_path, 2, 0, 0),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16162),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16160),
  [12882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [12884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14587),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15993),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15992),
  [12890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12398),
  [12892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14002),
  [12894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11888),
  [12896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14996),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16322),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16318),
  [12902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6908),
  [12904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6916),
  [12906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7173),
  [12908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7249),
  [12910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7254),
  [12912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14927),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16569),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16567),
  [12918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12696),
  [12920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14036),
  [12922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6958),
  [12924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11890),
  [12926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10849),
  [12928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9934),
  [12930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [12932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [12934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [12936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12684),
  [12938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14223),
  [12940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11319),
  [12942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11252),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14569),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14588),
  [12948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0),
  [12950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0),
  [12952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7768),
  [12954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12696),
  [12957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0),
  [12959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4086),
  [12962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16640),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16639),
  [12968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_tuple, 2, 0, 0),
  [12970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4086),
  [12972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_tuple, 2, 0, 0),
  [12974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0),
  [12976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0),
  [12978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14045),
  [12981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14781),
  [12983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3848),
  [12986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [12988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12486),
  [12991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12359),
  [12993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14124),
  [12995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11932),
  [12997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7546),
  [12999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12624),
  [13001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14060),
  [13003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11870),
  [13005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15044),
  [13007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12267),
  [13009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14052),
  [13011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12398),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12861),
  [13016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14063),
  [13018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12217),
  [13020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14735),
  [13022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(13998),
  [13025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7459),
  [13027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14031),
  [13030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exportable, 3, 0, 0),
  [13032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exportable, 3, 0, 0),
  [13034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10842),
  [13036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9873),
  [13038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [13040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [13042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [13044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12842),
  [13046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11335),
  [13048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11337),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14813),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14814),
  [13054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [13056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [13058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [13060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [13062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [13064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9763),
  [13066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [13068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [13070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [13072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [13074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [13076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [13078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [13080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [13082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [13084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [13086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [13088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [13090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [13092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_statement, 2, 0, 0),
  [13094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2, 0, 0),
  [13096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7385),
  [13098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7843),
  [13100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14868),
  [13102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_statement, 2, 0, 0),
  [13104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_statement, 2, 0, 0),
  [13106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14601),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16001),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15999),
  [13112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 0),
  [13114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 0),
  [13116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14045),
  [13118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14939),
  [13120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 1, 0, 0),
  [13122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 1, 0, 0),
  [13124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [13126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [13128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [13130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [13132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9795),
  [13134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7720),
  [13136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [13138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [13140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [13142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3842),
  [13144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [13146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [13148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [13150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [13152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [13154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [13156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [13158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [13160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [13162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 0),
  [13164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_list, 2, 0, 0),
  [13166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [13168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13998),
  [13170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [13172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4087),
  [13174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [13176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [13178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9769),
  [13180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8098),
  [13182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [13184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4090),
  [13186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [13188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [13190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [13192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4094),
  [13194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4095),
  [13196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [13198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [13200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [13202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [13204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [13206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [13208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12173),
  [13210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 3, 0, 7),
  [13212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 7),
  [13214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14031),
  [13216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9914),
  [13218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9874),
  [13220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [13222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [13224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [13226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12828),
  [13228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10136),
  [13230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11250),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15072),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15071),
  [13236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 0),
  [13238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 0),
  [13240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 0),
  [13242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 0),
  [13244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4175),
  [13247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14657),
  [13249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10020),
  [13251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12774),
  [13253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11336),
  [13255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7741),
  [13257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [13259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [13261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [13263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0),
  [13265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [13267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(2524),
  [13270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10660),
  [13272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16678),
  [13275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [13277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16678),
  [13280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0),
  [13282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_definition, 7, 0, 21),
  [13284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_definition, 7, 0, 21),
  [13286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 0),
  [13288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 0),
  [13290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 4, 0, 10),
  [13292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 4, 0, 10),
  [13294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [13296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14515),
  [13298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16677),
  [13301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16677),
  [13304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [13306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [13308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [13310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9798),
  [13312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8296),
  [13314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [13316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [13318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [13320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [13322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [13324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [13326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [13328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [13330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [13332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [13334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [13336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [13338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [13340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 22),
  [13342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 22),
  [13344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12624),
  [13347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [13349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [13351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [13353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9786),
  [13355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8290),
  [13357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [13359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [13361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4234),
  [13363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4235),
  [13365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4236),
  [13367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4237),
  [13369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [13371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [13373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [13375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [13377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [13379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [13381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [13383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14061),
  [13386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 6, 0, 0),
  [13388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 6, 0, 0),
  [13390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 7),
  [13392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 1),
  [13394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 1),
  [13396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 7),
  [13398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [13400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_definition, 7, 0, 21),
  [13402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_definition, 7, 0, 21),
  [13404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0),
  [13406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 0),
  [13408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 6, 0, 11),
  [13410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 6, 0, 11),
  [13412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 6, 0, 3),
  [13414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 6, 0, 3),
  [13416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [13418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11068),
  [13420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16904),
  [13423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16904),
  [13426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 23),
  [13428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 23),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14135),
  [13432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [13434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 4, 0, 0),
  [13436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 4, 0, 0),
  [13438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [13440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [13442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [13444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9807),
  [13446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8599),
  [13448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [13450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [13452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [13454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [13456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [13458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [13460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [13462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [13464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [13466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [13468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [13470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [13472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 4, 0, 11),
  [13474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 4, 0, 11),
  [13476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_statement, 4, 0, 0),
  [13478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_statement, 4, 0, 0),
  [13480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 6, 0, 16),
  [13482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 6, 0, 16),
  [13484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 6, 0, 10),
  [13486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 6, 0, 10),
  [13488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [13490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6761),
  [13492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16729),
  [13495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16729),
  [13498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 4, 0, 0),
  [13500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 4, 0, 0),
  [13502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 5),
  [13504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 5),
  [13506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [13508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 6, 0, 21),
  [13510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 6, 0, 21),
  [13512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [13514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14367),
  [13516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17130),
  [13519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17130),
  [13522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_definition, 6, 0, 10),
  [13524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_definition, 6, 0, 10),
  [13526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [13528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7189),
  [13530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16867),
  [13533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16867),
  [13536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 0),
  [13538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 0),
  [13540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_definition, 6, 0, 21),
  [13542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_definition, 6, 0, 21),
  [13544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 4, 0, 3),
  [13546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 4, 0, 3),
  [13548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [13550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6953),
  [13552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16894),
  [13555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16894),
  [13558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [13560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 7, 0, 21),
  [13562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 7, 0, 21),
  [13564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 12),
  [13566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 12),
  [13568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 0),
  [13570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 0),
  [13572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_definition, 4, 0, 10),
  [13574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_definition, 4, 0, 10),
  [13576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [13578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [13580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [13582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16737),
  [13585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16737),
  [13588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [13590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 3),
  [13592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 3),
  [13594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [13596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7210),
  [13598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16856),
  [13601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16856),
  [13604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, 0, 0),
  [13606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, 0, 0),
  [13608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [13610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8026),
  [13612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16914),
  [13615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16914),
  [13618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [13620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7054),
  [13622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16847),
  [13625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16847),
  [13628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 4, 0, 0),
  [13630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 4, 0, 0),
  [13632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 7, 0, 10),
  [13634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 7, 0, 10),
  [13636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [13638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [13640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16708),
  [13643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16708),
  [13646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [13648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5672),
  [13650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16880),
  [13653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16880),
  [13656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 7, 0, 16),
  [13658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 7, 0, 16),
  [13660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 24),
  [13662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 24),
  [13664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [13666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11276),
  [13668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16755),
  [13671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16755),
  [13674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [13676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5751),
  [13678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16875),
  [13681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16875),
  [13684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 0),
  [13686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 0),
  [13688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [13690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_definition, 8, 0, 21),
  [13692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_definition, 8, 0, 21),
  [13694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 5),
  [13696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 5),
  [13698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 5),
  [13700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 5),
  [13702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [13704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5515),
  [13706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16782),
  [13709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16782),
  [13712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [13714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [13716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16838),
  [13719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16838),
  [13722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [13724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10456),
  [13726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16907),
  [13729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16907),
  [13732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [13734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14801),
  [13736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 0),
  [13738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 0),
  [13740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 0),
  [13742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 0),
  [13744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 8, 0, 21),
  [13746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 8, 0, 21),
  [13748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 18),
  [13750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 18),
  [13752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [13754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5144),
  [13756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16862),
  [13759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16862),
  [13762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14694),
  [13764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 17),
  [13766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 17),
  [13768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 5),
  [13770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 5),
  [13772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 5, 0, 0),
  [13774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 5, 0, 0),
  [13776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 5, 0, 11),
  [13778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 5, 0, 11),
  [13780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 5, 0, 0),
  [13782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 5, 0, 0),
  [13784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [13786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17930),
  [13788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16909),
  [13791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16909),
  [13794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [13796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5341),
  [13798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16832),
  [13801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16832),
  [13804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 0),
  [13806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 0),
  [13808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 5, 0, 3),
  [13810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 5, 0, 3),
  [13812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 5, 0, 16),
  [13814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 5, 0, 16),
  [13816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 5, 0, 10),
  [13818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 5, 0, 10),
  [13820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12643),
  [13822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14070),
  [13824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 8, 0, 16),
  [13826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 8, 0, 16),
  [13828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 9, 0, 21),
  [13830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 9, 0, 21),
  [13832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 5),
  [13834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 5),
  [13836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [13838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11537),
  [13840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16661),
  [13843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16661),
  [13846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [13848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6044),
  [13850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16882),
  [13853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16882),
  [13856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14061),
  [13858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [13860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7619),
  [13862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16846),
  [13865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16846),
  [13868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [13870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6886),
  [13872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16801),
  [13875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16801),
  [13878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [13880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6268),
  [13882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17193),
  [13885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17193),
  [13888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11861),
  [13890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8569),
  [13892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [13894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4645),
  [13896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16766),
  [13899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16766),
  [13902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [13904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11129),
  [13906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16825),
  [13909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16825),
  [13912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_definition, 5, 0, 10),
  [13914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_definition, 5, 0, 10),
  [13916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_definition, 5, 0, 10),
  [13918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_definition, 5, 0, 10),
  [13920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_where_expression, 3, 0, 0),
  [13922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_expression, 3, 0, 0),
  [13924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [13926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7922),
  [13928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16813),
  [13931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16813),
  [13934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3969),
  [13937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10009),
  [13939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12869),
  [13941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11424),
  [13943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 3),
  [13945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 3),
  [13947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14668),
  [13949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 0),
  [13951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 0),
  [13953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macrocall_expression, 4, 0, 0),
  [13955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macrocall_expression, 4, 0, 0),
  [13957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [13959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [13961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5711),
  [13963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16819),
  [13966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16819),
  [13969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_assignment_expression, 3, 0, 7),
  [13971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_assignment_expression, 3, 0, 7),
  [13973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [13975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7547),
  [13977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16790),
  [13980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16790),
  [13983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 5),
  [13985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 5),
  [13987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, 0, 0),
  [13989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, 0, 0),
  [13991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 0),
  [13993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 0),
  [13995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_statement, 3, 0, 0),
  [13997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_statement, 3, 0, 0),
  [13999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 3, 0, 0),
  [14001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 3, 0, 0),
  [14003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12527),
  [14005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14075),
  [14007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14695),
  [14009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 3, 0, 0),
  [14011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 3, 0, 0),
  [14013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 3, 0, 3),
  [14015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 3, 0, 3),
  [14017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 3),
  [14019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 3),
  [14021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [14023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [14025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [14027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [14029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16841),
  [14032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16841),
  [14035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macrocall_expression, 2, 0, 0),
  [14037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macrocall_expression, 2, 0, 0),
  [14039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11873),
  [14041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_expression, 2, 0, 0),
  [14043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_expression, 2, 0, 0),
  [14045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [14047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5763),
  [14049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16775),
  [14052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16775),
  [14055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [14057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11226),
  [14059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16883),
  [14062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16883),
  [14065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [14067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6352),
  [14069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16920),
  [14072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16920),
  [14075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [14077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11677),
  [14079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16759),
  [14082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16759),
  [14085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [14087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6330),
  [14089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16833),
  [14092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16833),
  [14095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3445),
  [14098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [14100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11981),
  [14102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16784),
  [14105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16784),
  [14108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [14110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10296),
  [14112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16728),
  [14115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16728),
  [14118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_statement, 2, 0, 0),
  [14120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_statement, 2, 0, 0),
  [14122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14625),
  [14124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14135),
  [14127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14843),
  [14129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 0),
  [14131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 2, 0, 0),
  [14133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [14135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9363),
  [14137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16660),
  [14140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16660),
  [14143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [14145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6887),
  [14147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16716),
  [14150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16716),
  [14153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12861),
  [14156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [14158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7255),
  [14160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16816),
  [14163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16816),
  [14166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 3, 0, 0),
  [14168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 3, 0, 0),
  [14170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selected_import, 3, 0, 0),
  [14172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selected_import, 3, 0, 0),
  [14174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [14176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8187),
  [14178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16911),
  [14181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16911),
  [14184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14127),
  [14186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [14188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10160),
  [14190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17221),
  [14193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17221),
  [14196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [14198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9561),
  [14200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17069),
  [14203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17069),
  [14206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8596),
  [14208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [14210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [14212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16901),
  [14215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16901),
  [14218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [14220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11648),
  [14222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16902),
  [14225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16902),
  [14228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [14230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6590),
  [14232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16906),
  [14235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16906),
  [14238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12267),
  [14241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14053),
  [14244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [14246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [14248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [14250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6083),
  [14252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16890),
  [14255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16890),
  [14258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [14260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5112),
  [14262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17290),
  [14265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17290),
  [14268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_statement, 2, 0, 0),
  [14270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_statement, 2, 0, 0),
  [14272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [14274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11844),
  [14276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16820),
  [14279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16820),
  [14282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [14284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [14286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16794),
  [14289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16794),
  [14292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9880),
  [14294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12706),
  [14296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11373),
  [14298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [14300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8734),
  [14302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16786),
  [14305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16786),
  [14308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14053),
  [14310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [14312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6482),
  [14314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16749),
  [14317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16749),
  [14320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [14322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [14324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16930),
  [14327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16930),
  [14330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [14332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [14334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16778),
  [14337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16778),
  [14340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4228),
  [14343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [14345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10088),
  [14347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16697),
  [14350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16697),
  [14353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [14355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9627),
  [14357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17145),
  [14360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17145),
  [14363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [14365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10668),
  [14367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16799),
  [14370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16799),
  [14373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [14375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6176),
  [14377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16700),
  [14380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16700),
  [14383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [14385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [14387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16865),
  [14390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16865),
  [14393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [14395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10768),
  [14397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16853),
  [14400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16853),
  [14403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10505),
  [14405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9980),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [14413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12777),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14223),
  [14417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11041),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14742),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14737),
  [14425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [14427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5023),
  [14429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16811),
  [14432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16811),
  [14435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [14437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9439),
  [14439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16665),
  [14442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16665),
  [14445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12359),
  [14448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14127),
  [14451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [14453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6810),
  [14455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16807),
  [14458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16807),
  [14461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [14463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9913),
  [14465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17259),
  [14468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17259),
  [14471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [14473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11114),
  [14475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17003),
  [14478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17003),
  [14481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [14483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7642),
  [14485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16891),
  [14488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16891),
  [14491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [14493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5561),
  [14495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16851),
  [14498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16851),
  [14501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9967),
  [14503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12901),
  [14505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11394),
  [14507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [14509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6656),
  [14511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16857),
  [14514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(16857),
  [14517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [14521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [14523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [14525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [14527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [14529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3319),
  [14531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [14533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3736),
  [14535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [14537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [14539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [14541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [14543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [14545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [14547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [14549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [14551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [14553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [14555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [14557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [14560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [14562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [14564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [14566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [14568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [14570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [14572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [14574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [14576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3541),
  [14578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [14580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [14582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [14584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [14586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [14588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [14590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3366),
  [14592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [14594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [14596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [14598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [14600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [14602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [14604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [14606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [14608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [14610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [14612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [14614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [14616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [14618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [14620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [14622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4011),
  [14625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14066),
  [14627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [14629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [14631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [14633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9771),
  [14635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [14637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [14639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [14641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [14643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [14645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [14647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [14649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [14651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [14653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [14655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3988),
  [14657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [14659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [14661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [14663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9930),
  [14665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12593),
  [14667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11488),
  [14669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [14671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [14673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [14683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [14693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [14695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [14697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [14707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9983),
  [14709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12597),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11560),
  [14713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [14715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12527),
  [14718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14069),
  [14720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [14722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [14724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [14726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3992),
  [14728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9767),
  [14730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8965),
  [14732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [14734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [14736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [14738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [14740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [14742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [14744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [14746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [14748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [14750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3981),
  [14752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [14754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3979),
  [14756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [14758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4038),
  [14761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14952),
  [14763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14066),
  [14766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14908),
  [14768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9935),
  [14770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12324),
  [14772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11494),
  [14774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14069),
  [14777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12643),
  [14780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [14782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [14784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [14788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [14790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [14792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [14794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [14796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [14798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [14804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [14806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [14808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [14810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [14812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [14816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [14818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [14820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [14822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [14824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [14826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [14828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [14830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [14832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3307),
  [14834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [14836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [14838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [14840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [14842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [14844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [14846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [14848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [14850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [14852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [14854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [14856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3631),
  [14858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [14860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3633),
  [14862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [14864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [14866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [14868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [14870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [14872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [14874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [14876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [14880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [14882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [14884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [14886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [14888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [14890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [14892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [14894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [14896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [14898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [14900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [14902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [14904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [14906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [14908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3297),
  [14910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [14912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [14914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [14916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [14918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [14920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [14922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [14924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [14926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [14928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [14930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [14932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [14934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [14936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [14938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3937),
  [14941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [14943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [14945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [14947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [14949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [14951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [14953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [14955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [14957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [14959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [14961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [14963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [14965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [14967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [14969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [14971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [14973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [14975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [14977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [14979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [14981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [14983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [14987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [14989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [14991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [14993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [14995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [14997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3624),
  [14999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [15001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [15005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [15007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [15009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [15011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [15013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [15015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [15019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_binding, 4, 0, 0),
  [15021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_binding, 4, 0, 0),
  [15023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [15025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [15027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [15029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [15031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [15033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3296),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [15039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [15043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [15047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [15053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closed_assignment, 3, 0, 7),
  [15055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closed_assignment, 3, 0, 7),
  [15057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [15059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [15061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [15063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [15065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [15067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [15069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [15071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [15073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [15075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [15077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_binding, 3, 0, 0),
  [15079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_binding, 3, 0, 0),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15806),
  [15087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15804),
  [15089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(9980),
  [15092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [15094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [15096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [15098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [15100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [15102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4085),
  [15104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [15106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [15108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [15110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [15112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [15114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [15116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4121),
  [15118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [15120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [15122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [15124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [15126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [15128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [15130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [15132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [15136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [15138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [15142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [15144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [15146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [15148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [15150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [15152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [15154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [15156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [15158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [15160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [15162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [15164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [15166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3267),
  [15168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [15170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [15172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [15174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 1, 0, 0),
  [15176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [15178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 1, 0, 0),
  [15180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9778),
  [15182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_where_clause, 2, 0, 0),
  [15184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 2, 0, 0),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15903),
  [15188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15899),
  [15190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16215),
  [15194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16216),
  [15196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9367),
  [15198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12777),
  [15200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9436),
  [15202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9338),
  [15204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14308),
  [15206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17869),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15247),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17451),
  [15212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_clause, 2, 0, 0),
  [15214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_clause, 2, 0, 0),
  [15216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9457),
  [15218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14316),
  [15220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17539),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15212),
  [15224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17538),
  [15226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12597),
  [15228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15818),
  [15230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15819),
  [15232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9573),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15572),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15575),
  [15238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 4),
  [15240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 4),
  [15242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0),
  [15244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2581),
  [15247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0),
  [15249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(9980),
  [15252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9653),
  [15254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 0),
  [15256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [15258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3, 0, 4),
  [15260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 4),
  [15262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__do_parameter_list, 2, 0, 0),
  [15264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__do_parameter_list, 2, 0, 0),
  [15266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__do_parameter_list, 3, 0, 0),
  [15268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__do_parameter_list, 3, 0, 0),
  [15270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__do_parameter_list, 1, 0, 0),
  [15272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__do_parameter_list, 1, 0, 0),
  [15274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10214),
  [15276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10623),
  [15278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10791),
  [15280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10397),
  [15282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10795),
  [15284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10796),
  [15286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17264),
  [15288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15439),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18100),
  [15292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9822),
  [15294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9990),
  [15296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9916),
  [15298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9849),
  [15300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9918),
  [15302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9920),
  [15304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17319),
  [15306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15438),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18145),
  [15310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10196),
  [15312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10476),
  [15314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [15316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10360),
  [15318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10245),
  [15320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [15322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [15324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [15326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10329),
  [15328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16962),
  [15330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15321),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17833),
  [15334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10230),
  [15336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10681),
  [15338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10614),
  [15340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10492),
  [15342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10616),
  [15344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10604),
  [15346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17287),
  [15348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15388),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18126),
  [15352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9331),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [15358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [15360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [15362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12453),
  [15364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14366),
  [15366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15433),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14740),
  [15370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14725),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9983),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [15376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11556),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [15382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [15384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [15386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11531),
  [15388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [15390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [15392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [15396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11257),
  [15398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10625),
  [15400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [15402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [15406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [15408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [15410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [15412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [15414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11679),
  [15416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [15418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [15420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11264),
  [15422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [15424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [15426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [15428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [15430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [15432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [15434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [15436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [15438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [15440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [15444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [15446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10170),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17947),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [15452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [15454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [15456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14399),
  [15458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [15460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [15462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [15464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [15466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [15468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [15470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [15472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [15474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10299),
  [15476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [15478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [15480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [15482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [15484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11808),
  [15486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [15488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [15490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [15492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [15494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10881),
  [15496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [15502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [15504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [15506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [15508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [15510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9961),
  [15512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [15514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [15516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [15518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12663),
  [15520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4614),
  [15522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14618),
  [15526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14617),
  [15528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4422),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9872),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [15534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [15536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [15538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12769),
  [15540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [15542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [15544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15003),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15002),
  [15548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9826),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [15552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [15558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12644),
  [15560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10084),
  [15562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11422),
  [15564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14954),
  [15566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14953),
  [15568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [15570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [15572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [15574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [15576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12591),
  [15580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14721),
  [15586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14719),
  [15588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [15596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12758),
  [15600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15168),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15169),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9935),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [15616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12324),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11510),
  [15620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [15630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12460),
  [15632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [15634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14672),
  [15638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14675),
  [15640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [15642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9853),
  [15644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [15646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [15648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [15650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [15652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [15654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [15656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15176),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15177),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10009),
  [15662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12869),
  [15664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11408),
  [15666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9880),
  [15668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12706),
  [15670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11393),
  [15672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [15674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [15676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [15678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [15680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [15682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9435),
  [15684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [15686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14856),
  [15688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14855),
  [15690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [15692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12831),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [15698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [15700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11366),
  [15702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5493),
  [15704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [15706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [15708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12793),
  [15714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6573),
  [15716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [15718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15025),
  [15720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15027),
  [15722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9284),
  [15724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9954),
  [15726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [15728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [15732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [15734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9409),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14824),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14831),
  [15742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10212),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [15748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [15750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [15752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12600),
  [15754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10757),
  [15756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11376),
  [15758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14756),
  [15760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14755),
  [15762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14328),
  [15764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [15766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14410),
  [15768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [15770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9862),
  [15772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [15776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [15780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5554),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5926),
  [15784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14817),
  [15786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14816),
  [15788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9985),
  [15790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12575),
  [15792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15035),
  [15794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9873),
  [15796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [15798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [15800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [15802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12842),
  [15804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11287),
  [15806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9934),
  [15808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [15810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [15812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [15814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12684),
  [15816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [15818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [15820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [15822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [15824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [15826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [15828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12689),
  [15830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6438),
  [15832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [15834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14758),
  [15836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14759),
  [15838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4503),
  [15840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [15842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [15846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [15848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12588),
  [15850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [15852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [15854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14763),
  [15856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14764),
  [15858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11497),
  [15860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9863),
  [15862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [15864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [15866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [15868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [15870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12130),
  [15872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11915),
  [15874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14865),
  [15876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14866),
  [15878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [15880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [15882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [15884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [15886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [15888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12814),
  [15890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6173),
  [15892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [15894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14790),
  [15896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14791),
  [15898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [15900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9879),
  [15902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [15904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [15906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [15908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12437),
  [15910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6574),
  [15912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [15914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15136),
  [15916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15135),
  [15918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9970),
  [15920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12809),
  [15922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11352),
  [15924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [15926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9967),
  [15928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12901),
  [15930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11421),
  [15932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9975),
  [15934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12871),
  [15936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [15938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4569),
  [15940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [15942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [15944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [15946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [15948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [15950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6256),
  [15952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [15954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14720),
  [15956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14718),
  [15958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [15960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10030),
  [15962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [15964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [15966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [15968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [15970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [15972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [15974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14568),
  [15976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14566),
  [15978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [15980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12598),
  [15982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11386),
  [15984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10386),
  [15986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9966),
  [15988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [15990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [15992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [15994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12526),
  [15996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11008),
  [15998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10942),
  [16000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14910),
  [16002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14906),
  [16004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [16006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [16008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [16010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [16012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [16014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12812),
  [16016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [16018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [16020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14915),
  [16022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14918),
  [16024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [16026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12882),
  [16028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11059),
  [16030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9930),
  [16032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12593),
  [16034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11549),
  [16036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10389),
  [16038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9886),
  [16040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [16042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [16044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [16046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12805),
  [16048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10990),
  [16050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10935),
  [16052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14974),
  [16054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14976),
  [16056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [16058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [16060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [16062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [16064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [16066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12352),
  [16068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5463),
  [16070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [16072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15129),
  [16074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15126),
  [16076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [16078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10022),
  [16080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12772),
  [16082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [16084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [16086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12774),
  [16088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11358),
  [16090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9980),
  [16092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11210),
  [16094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [16096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9956),
  [16098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [16100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [16102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [16104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [16106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5827),
  [16108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [16110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14590),
  [16112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14591),
  [16114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [16116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [16118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [16120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [16122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [16124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [16126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5936),
  [16128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [16130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14592),
  [16132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14595),
  [16134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9874),
  [16136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12828),
  [16138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11325),
  [16140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [16142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [16144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9933),
  [16146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10007),
  [16148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9927),
  [16150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6096),
  [16152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [16154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6151),
  [16156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5370),
  [16158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [16160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [16162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [16164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6422),
  [16166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17276),
  [16168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15293),
  [16170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17342),
  [16172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [16174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [16176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6005),
  [16178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [16180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [16182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [16184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [16186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [16188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16659),
  [16190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15416),
  [16192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17640),
  [16194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6464),
  [16196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6662),
  [16198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [16200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6752),
  [16202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6472),
  [16204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [16206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [16208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [16210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6724),
  [16212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16714),
  [16214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15426),
  [16216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17664),
  [16218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14648),
  [16220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14649),
  [16222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10081),
  [16224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10092),
  [16226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [16228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10066),
  [16230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9968),
  [16232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10065),
  [16234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10092),
  [16236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10064),
  [16238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10064),
  [16240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16658),
  [16242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15191),
  [16244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17644),
  [16246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5656),
  [16248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [16250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [16252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4890),
  [16254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [16256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [16258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [16260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5504),
  [16262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16916),
  [16264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15409),
  [16266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17801),
  [16268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [16270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [16272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [16274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5442),
  [16276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5091),
  [16278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [16280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [16284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5767),
  [16286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17034),
  [16288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15306),
  [16290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17890),
  [16292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12125),
  [16294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11927),
  [16296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11927),
  [16298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11772),
  [16300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11924),
  [16302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12125),
  [16304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11926),
  [16306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11926),
  [16308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16748),
  [16310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15393),
  [16312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17604),
  [16314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [16316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [16318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [16320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [16322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [16324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [16326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [16328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [16330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [16332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [16334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [16336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5876),
  [16338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17169),
  [16340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15395),
  [16342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18027),
  [16344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10078),
  [16346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7144),
  [16348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8291),
  [16350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7555),
  [16352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [16354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [16356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8197),
  [16358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17182),
  [16360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15255),
  [16362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17412),
  [16364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15092),
  [16366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15097),
  [16368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5565),
  [16370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [16372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5537),
  [16374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [16376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [16378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [16380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [16382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [16384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16900),
  [16386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15239),
  [16388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17778),
  [16390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11267),
  [16392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [16394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11268),
  [16396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11186),
  [16398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [16400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11267),
  [16402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11300),
  [16404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11300),
  [16406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16925),
  [16408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15462),
  [16410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17804),
  [16412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10124),
  [16414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [16416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10142),
  [16418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10063),
  [16420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10158),
  [16422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [16424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10166),
  [16426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10166),
  [16428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17001),
  [16430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15251),
  [16432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17493),
  [16434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [16436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8522),
  [16438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7805),
  [16440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [16442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8299),
  [16444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8299),
  [16446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16954),
  [16448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15436),
  [16450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17825),
  [16452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14972),
  [16454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14973),
  [16456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10185),
  [16458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10215),
  [16460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10312),
  [16462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10312),
  [16464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10190),
  [16466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10307),
  [16468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [16470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10218),
  [16472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10218),
  [16474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16744),
  [16476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15429),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17688),
  [16480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15061),
  [16482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15060),
  [16484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [16486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [16488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6531),
  [16490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6335),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [16494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [16496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [16498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6595),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17160),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15343),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18011),
  [16506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6487),
  [16508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7072),
  [16510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6792),
  [16512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [16514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [16516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7037),
  [16518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16983),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15339),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17500),
  [16524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14624),
  [16526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14626),
  [16528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11045),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11164),
  [16532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11164),
  [16534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10809),
  [16536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11170),
  [16538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [16540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11172),
  [16542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11172),
  [16544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16859),
  [16546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15375),
  [16548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17550),
  [16550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [16552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [16554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [16556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [16558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9916),
  [16560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9918),
  [16562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9990),
  [16564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [16566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11255),
  [16568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11521),
  [16570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11435),
  [16572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11435),
  [16574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11397),
  [16576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [16578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [16580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11446),
  [16582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11446),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16860),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15450),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17761),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14802),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14800),
  [16594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10060),
  [16596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11409),
  [16598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11817),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11721),
  [16602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11721),
  [16604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11523),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11720),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11817),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11718),
  [16612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11718),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17150),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15215),
  [16618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18008),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [16622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15016),
  [16624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6729),
  [16626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7584),
  [16628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6999),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [16634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7394),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17044),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15348),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17468),
  [16642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14701),
  [16644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14702),
  [16646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5782),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [16650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [16652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4998),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [16660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5206),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17043),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15322),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17906),
  [16668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [16672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6078),
  [16674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5192),
  [16676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [16678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [16680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [16682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6177),
  [16684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17079),
  [16686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15285),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17959),
  [16690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6626),
  [16692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7092),
  [16694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6735),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [16700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7095),
  [16702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17208),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15219),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18058),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14674),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14673),
  [16712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6744),
  [16714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [16716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [16718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [16720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [16722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [16724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16773),
  [16726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15434),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17695),
  [16730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14859),
  [16732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14860),
  [16734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6694),
  [16736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7776),
  [16738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7026),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [16744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7677),
  [16746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17280),
  [16748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15291),
  [16750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17367),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14849),
  [16754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14850),
  [16756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6454),
  [16758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [16760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6309),
  [16762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5389),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [16770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [16772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17022),
  [16774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15361),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17870),
  [16778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [16780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [16782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [16784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [16790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [16792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [16794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16731),
  [16796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15398),
  [16798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17606),
  [16800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6493),
  [16802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7007),
  [16804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [16806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6894),
  [16808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6718),
  [16810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [16812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [16814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [16816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7222),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17265),
  [16820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15325),
  [16822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18101),
  [16824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15078),
  [16826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15079),
  [16828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11253),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11318),
  [16832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11318),
  [16834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11189),
  [16836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11313),
  [16838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11253),
  [16840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [16842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11312),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17103),
  [16846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15342),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17440),
  [16850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6469),
  [16852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7282),
  [16854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [16856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6969),
  [16858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6835),
  [16860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [16862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [16864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [16866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7245),
  [16868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16667),
  [16870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15411),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17635),
  [16874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14730),
  [16876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14731),
  [16878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [16880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [16882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [16886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [16888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [16890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [16892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [16894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9388),
  [16896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [16898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9406),
  [16900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9333),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [16904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [16906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [16908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9375),
  [16910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17058),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15242),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17464),
  [16916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9451),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [16920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9425),
  [16922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9395),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9438),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [16928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [16930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9445),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16848),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15210),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17554),
  [16938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [16940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [16942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5299),
  [16944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5169),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [16948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [16950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [16952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5329),
  [16954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17176),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15190),
  [16958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18025),
  [16960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6490),
  [16962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6983),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [16966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7151),
  [16968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6767),
  [16970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [16972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [16974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [16976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6912),
  [16978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17105),
  [16980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15341),
  [16982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17439),
  [16984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14869),
  [16986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14870),
  [16988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16055),
  [16990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17946),
  [16992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17878),
  [16994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17878),
  [16996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17032),
  [16998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17881),
  [17000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17946),
  [17002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17883),
  [17004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17883),
  [17006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16849),
  [17008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15445),
  [17010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17745),
  [17012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15055),
  [17014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15057),
  [17016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4628),
  [17018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [17020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [17022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4506),
  [17024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [17026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [17030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5131),
  [17032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17194),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15324),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17410),
  [17038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [17040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [17042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [17044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [17046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6485),
  [17048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6891),
  [17050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [17052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7242),
  [17054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6793),
  [17056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [17058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [17060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [17062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7043),
  [17064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16982),
  [17066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15394),
  [17068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17849),
  [17070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14560),
  [17072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14561),
  [17074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6071),
  [17076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6693),
  [17078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [17080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6698),
  [17082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6607),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [17086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [17088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [17090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6654),
  [17092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16957),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15422),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17830),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14646),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14645),
  [17102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11101),
  [17104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11175),
  [17106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11175),
  [17108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10596),
  [17110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11101),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11177),
  [17116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11177),
  [17118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16995),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15376),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17816),
  [17124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10061),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [17134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6514),
  [17136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7150),
  [17138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6634),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [17144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6860),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16815),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15441),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17720),
  [17152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14989),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14988),
  [17156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11043),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10951),
  [17160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10951),
  [17162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10574),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10952),
  [17166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10963),
  [17170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10963),
  [17172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16707),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15294),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17660),
  [17178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10040),
  [17180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6434),
  [17182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6828),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [17186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6771),
  [17188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6509),
  [17190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [17194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [17196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6781),
  [17198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17321),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15435),
  [17202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18146),
  [17204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14751),
  [17206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14747),
  [17208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14380),
  [17210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14384),
  [17212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14384),
  [17214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14335),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14356),
  [17218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14380),
  [17220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14397),
  [17222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14397),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17026),
  [17226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15387),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17872),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [17232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [17238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6689),
  [17240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7824),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [17244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7863),
  [17246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7030),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [17254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7920),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17322),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15284),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17351),
  [17262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15147),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15149),
  [17266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10928),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10876),
  [17270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10876),
  [17272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10336),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10877),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10928),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10878),
  [17280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10878),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17339),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15277),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17372),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10614),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10616),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10681),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10604),
  [17296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11410),
  [17298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11626),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [17302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11812),
  [17304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11455),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11815),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11626),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11693),
  [17312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11693),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17166),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15335),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17418),
  [17320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14945),
  [17322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14947),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [17332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6679),
  [17334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7696),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [17338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7727),
  [17340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7257),
  [17342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [17348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8067),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17233),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15287),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18080),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15074),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15075),
  [17360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [17364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5987),
  [17366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [17368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [17370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [17372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [17374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6262),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16839),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15379),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17567),
  [17382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6625),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [17386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6498),
  [17388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6456),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [17396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6541),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16922),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15381),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17526),
  [17404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6819),
  [17406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7392),
  [17408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6938),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [17414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7830),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16795),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15384),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17585),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14574),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14573),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10791),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10795),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [17434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [17438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4669),
  [17440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [17448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16814),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15442),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17721),
  [17456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [17458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [17460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [17462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4421),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [17470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5181),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16656),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15180),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17968),
  [17478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [17482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6442),
  [17484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [17486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [17488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [17492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6445),
  [17494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17227),
  [17496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15310),
  [17498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17384),
  [17500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10130),
  [17502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10152),
  [17504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10141),
  [17506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10137),
  [17508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [17510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16376),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16374),
  [17514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [17516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16389),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16387),
  [17520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [17522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10305),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [17526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15690),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15902),
  [17532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [17534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [17536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [17538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9947),
  [17540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [17544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10409),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16633),
  [17548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16644),
  [17550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [17552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15524),
  [17554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15522),
  [17556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15591),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15592),
  [17562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [17564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10367),
  [17566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10851),
  [17568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10846),
  [17570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [17572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [17574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16487),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16488),
  [17580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15526),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15495),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16652),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16653),
  [17590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16536),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16535),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16588),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16545),
  [17602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10882),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18127),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [17608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [17612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [17614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [17616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10090),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [17620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [17622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [17626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [17630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11191),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [17634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [17636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10797),
  [17638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11192),
  [17640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [17644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [17646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10844),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [17650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16067),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16064),
  [17656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15555),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15556),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [17664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [17666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [17668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [17672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [17674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10619),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16012),
  [17678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16008),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [17682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [17684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(3765),
  [17687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [17689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [17691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [17693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(3625),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [17698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [17700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [17702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [17706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [17710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [17714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16005),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16006),
  [17718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_statement_repeat1, 2, 0, 0),
  [17720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_statement_repeat1, 2, 0, 0),
  [17722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9811),
  [17726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14261),
  [17728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15391),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18125),
  [17734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14313),
  [17736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [17740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14324),
  [17742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18115),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15447),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18116),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16408),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16416),
  [17756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10954),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [17760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16208),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16204),
  [17768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11179),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15911),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15912),
  [17774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [17778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14260),
  [17780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [17782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11188),
  [17784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [17786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16177),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16172),
  [17790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16423),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16424),
  [17796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [17798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14302),
  [17800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [17802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [17804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14267),
  [17806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17957),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15273),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18007),
  [17814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [17816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14293),
  [17818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [17820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [17822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14238),
  [17824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [17826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [17828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [17830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9657),
  [17832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11254),
  [17834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11171),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16477),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16474),
  [17840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11221),
  [17842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10164),
  [17844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16230),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16225),
  [17848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [17850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11020),
  [17856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14277),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18053),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15208),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18052),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16185),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16183),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16459),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16456),
  [17872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [17874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14245),
  [17876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17712),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15453),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17769),
  [17882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9814),
  [17884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14246),
  [17886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [17888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16458),
  [17890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16457),
  [17892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16166),
  [17894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16167),
  [17896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [17900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14236),
  [17902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3837),
  [17904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [17908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14268),
  [17910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [17912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14306),
  [17914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [17916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [17918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16122),
  [17920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16121),
  [17922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10082),
  [17924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14323),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17629),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15187),
  [17930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17628),
  [17932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14248),
  [17934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [17936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [17938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14317),
  [17940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__do_parameter_list_repeat1, 2, 0, 0),
  [17942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__do_parameter_list_repeat1, 2, 0, 0),
  [17944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10665),
  [17946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14237),
  [17948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17453),
  [17950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15279),
  [17952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17355),
  [17954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [17956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [17958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14319),
  [17960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [17962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [17964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15752),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15756),
  [17968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [17970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11273),
  [17972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11310),
  [17974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [17976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [17978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [17980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [17982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [17984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14270),
  [17986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [17988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [17990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [17992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [17994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14304),
  [17996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [17998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [18000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17831),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15317),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17829),
  [18006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9812),
  [18008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14254),
  [18010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [18012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16476),
  [18016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16478),
  [18018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [18020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [18022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14264),
  [18024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11157),
  [18028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14255),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17673),
  [18032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15297),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17674),
  [18036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [18038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14274),
  [18040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [18044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14284),
  [18046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [18048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [18050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [18052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15551),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15550),
  [18060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11258),
  [18062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14289),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17413),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15345),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17445),
  [18070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3600),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15722),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15720),
  [18078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [18080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [18082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14235),
  [18084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
  [18088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14303),
  [18090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17510),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15259),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17643),
  [18096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [18098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [18100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3243),
  [18102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [18104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14242),
  [18106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18131),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15402),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18133),
  [18112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14291),
  [18114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [18116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [18120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [18122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [18124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14322),
  [18126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14314),
  [18128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [18130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14269),
  [18132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [18136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14300),
  [18138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [18140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [18142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14283),
  [18144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [18148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11653),
  [18150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14301),
  [18152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3233),
  [18154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11647),
  [18156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14279),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16506),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16517),
  [18162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11498),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15621),
  [18166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15619),
  [18168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14266),
  [18170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14276),
  [18172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [18174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16555),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16553),
  [18180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14312),
  [18182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16089),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16084),
  [18186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11478),
  [18188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11654),
  [18190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14271),
  [18192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [18196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10231),
  [18198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [18200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [18202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [18204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14252),
  [18206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [18208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [18210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14257),
  [18212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [18216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14250),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16133),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16145),
  [18222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [18224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [18226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16021),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16019),
  [18230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12123),
  [18232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16029),
  [18234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16028),
  [18236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14282),
  [18238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [18240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [18242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [18244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11819),
  [18246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [18248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14318),
  [18250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [18252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [18254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16587),
  [18256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16586),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16359),
  [18260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16360),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15716),
  [18264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15712),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16615),
  [18268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16616),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16254),
  [18272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16237),
  [18274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14259),
  [18276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14290),
  [18278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11716),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16102),
  [18282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16099),
  [18284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3155),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16494),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16492),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16311),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16321),
  [18294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14251),
  [18296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11574),
  [18298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15128),
  [18300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [18304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16960),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14107),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12630),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14210),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11647),
  [18314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16972),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12601),
  [18320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [18324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17297),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14140),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12581),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14220),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [18340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4009),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [18350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [18354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [18356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [18360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [18362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [18364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [18366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [18368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [18370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [18372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [18376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [18378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15142),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [18382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17068),
  [18384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14118),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [18388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14211),
  [18390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [18392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [18394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [18396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12783),
  [18398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14079),
  [18400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11934),
  [18402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [18404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17147),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14017),
  [18408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12797),
  [18410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14187),
  [18412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [18414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [18416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [18418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [18420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [18422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [18424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [18426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [18428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9850),
  [18430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [18432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12724),
  [18434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14131),
  [18436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12238),
  [18438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15089),
  [18440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11498),
  [18442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17270),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14047),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12830),
  [18448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14204),
  [18450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [18456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17024),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14186),
  [18462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15121),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [18466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [18470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11653),
  [18472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17282),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14048),
  [18476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12611),
  [18478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14228),
  [18480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12792),
  [18482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14008),
  [18484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11920),
  [18486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10217),
  [18490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16634),
  [18494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16632),
  [18496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17325),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [18500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14199),
  [18502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [18504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17271),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14049),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12677),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14203),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16268),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16265),
  [18516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14572),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16277),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16276),
  [18522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12182),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [18526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16295),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16296),
  [18532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [18534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17277),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12290),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14189),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [18544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16710),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14106),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12840),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14195),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10345),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [18558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [18560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16271),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16269),
  [18566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17330),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12704),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14207),
  [18572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [18574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [18576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [18580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [18584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11925),
  [18586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [18588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12411),
  [18590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14122),
  [18592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11878),
  [18594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17338),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12534),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14191),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10513),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [18612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17326),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12813),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14226),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [18620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16747),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14068),
  [18624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12356),
  [18626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14218),
  [18628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16509),
  [18630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16505),
  [18632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17331),
  [18634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12661),
  [18636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14181),
  [18638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [18644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [18646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [18648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17172),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14054),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12688),
  [18654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14222),
  [18656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [18658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16978),
  [18660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14064),
  [18662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12863),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14212),
  [18666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [18668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [18670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [18672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [18674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [18676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [18680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [18684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17334),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12617),
  [18688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14215),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [18696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12878),
  [18698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14126),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [18702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [18734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [18736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [18738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [18740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [18742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9775),
  [18744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10683),
  [18746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [18748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [18750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [18752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [18754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [18756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [18758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [18760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [18762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [18764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [18766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [18768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [18770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11856),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17908),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [18794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [18806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10068),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [18810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [18812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10278),
  [18814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [18816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [18822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14136),
  [18825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 1, 0, 0),
  [18827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [18829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [18831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [18833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [18835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10727),
  [18837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [18841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [18843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [18845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15466),
  [18847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16373),
  [18849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16582),
  [18851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16583),
  [18853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [18855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14382),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [18859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [18861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [18863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11061),
  [18869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [18871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12792),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [18880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11231),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [18886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14055),
  [18889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14123),
  [18891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11995),
  [18893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14278),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17577),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15399),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17608),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [18905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12881),
  [18907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14067),
  [18909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [18915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [18917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12000),
  [18919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [18921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14141),
  [18923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [18925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [18927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [18929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [18931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [18933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [18935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14055),
  [18937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14712),
  [18939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [18941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11288),
  [18943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [18945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [18947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11791),
  [18949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [18951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14141),
  [18954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12783),
  [18957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [18959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [18961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3284),
  [18963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [18965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9797),
  [18967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12320),
  [18969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [18971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [18973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [18975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [18977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [18979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [18981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [18983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [18985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [18987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [18989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3255),
  [18991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [18993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [18995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [18997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [18999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [19001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3996),
  [19004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [19006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12569),
  [19008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14012),
  [19010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12027),
  [19012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14700),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [19020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14123),
  [19023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4112),
  [19026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [19028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [19030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [19032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [19034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9804),
  [19036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [19038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [19040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [19042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [19044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [19046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [19048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [19050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [19052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [19054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [19056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [19058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [19060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [19062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [19070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [19074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12411),
  [19077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [19079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [19081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [19083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [19085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [19087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [19089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [19091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [19093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [19095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [19097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16366),
  [19099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16365),
  [19101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [19103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [19105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [19107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [19109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [19111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [19113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [19115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [19117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [19119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [19121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9865),
  [19123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [19125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [19127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [19129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12724),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [19150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [19152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15069),
  [19154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [19158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [19160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14875),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10444),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [19168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [19172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [19176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10580),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [19184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [19186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11149),
  [19188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [19190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [19192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [19196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [19198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [19204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14001),
  [19206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [19212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11872),
  [19214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15056),
  [19216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [19224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [19228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [19232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14136),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [19246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11892),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [19250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3665),
  [19252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [19254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [19256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9801),
  [19258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12664),
  [19260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [19262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [19264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [19266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [19268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [19270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [19272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [19274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [19276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [19278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [19280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [19282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [19284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15026),
  [19286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [19288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [19290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [19292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [19294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [19296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [19298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [19302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15038),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [19310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10163),
  [19314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [19318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [19332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [19340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14001),
  [19343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [19345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11034),
  [19347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [19349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [19351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11670),
  [19353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [19355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12491),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [19366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [19368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [19370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [19372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3509),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [19377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [19379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [19381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [19387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3740),
  [19390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [19392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10686),
  [19394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [19396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [19398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [19400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [19402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [19404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [19406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [19414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15007),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11548),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10230),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10564),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [19444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [19446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [19450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [19452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [19456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [19458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [19460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9822),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [19468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0),
  [19470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0),
  [19472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15024),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [19480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [19488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6974),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14411),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14506),
  [19504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14506),
  [19506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14456),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14508),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14494),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14904),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14902),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [19518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15036),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [19542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [19556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9569),
  [19558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9549),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14851),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14848),
  [19568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [19570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [19572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [19574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [19576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [19578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9776),
  [19580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [19582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [19584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [19586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3960),
  [19588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [19590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [19592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [19594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [19596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [19598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [19600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [19602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [19604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [19606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [19620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7728),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [19636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14876),
  [19638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14074),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [19646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [19654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12417),
  [19656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14034),
  [19658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14116),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10185),
  [19676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10313),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [19686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14707),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10214),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10662),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11829),
  [19716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14043),
  [19719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [19721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [19723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [19725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [19727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [19729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [19731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [19733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [19735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [19737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [19739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [19741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15041),
  [19743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14328),
  [19745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14364),
  [19747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12569),
  [19750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [19752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [19754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3635),
  [19756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9790),
  [19758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [19760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3657),
  [19762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [19764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [19766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [19768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [19770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [19772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [19774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [19776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [19778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [19780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [19784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [19790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [19794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [19796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [19798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [19800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [19802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [19804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [19806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [19808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [19810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [19812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [19814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [19816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [19818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [19820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [19822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [19824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [19826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9793),
  [19828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [19830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [19832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [19834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [19836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [19838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [19840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [19842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [19844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [19846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [19848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [19850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [19852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [19854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [19856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14937),
  [19858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [19860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12561),
  [19862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14024),
  [19864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12048),
  [19866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14043),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [19870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [19876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17951),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11497),
  [19882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12052),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [19892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11120),
  [19908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10311),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12620),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14056),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [19918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11479),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10956),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [19960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11658),
  [19962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3818),
  [19965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12137),
  [19967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [19969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [19971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [19973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [19975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [19977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11673),
  [19979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11713),
  [19981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [19983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9799),
  [19985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [19987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [19989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [19991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [19993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [19995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [19997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6696),
  [19999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [20001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [20003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [20005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [20007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [20009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9620),
  [20011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9614),
  [20013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9623),
  [20015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [20017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14958),
  [20019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14949),
  [20021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [20023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [20025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [20027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [20029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [20031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [20033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [20035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [20037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [20039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [20041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3286),
  [20043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [20045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [20047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [20049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [20051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [20053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [20055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [20057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [20059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [20067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [20069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [20071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [20073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [20075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [20077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [20079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [20081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [20083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [20085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [20087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [20089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7013),
  [20091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [20093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10849),
  [20095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [20097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [20099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [20101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [20103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [20105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7098),
  [20107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [20109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [20111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [20113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [20115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [20117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [20119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12136),
  [20121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [20123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [20125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [20127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [20129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [20131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [20133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6788),
  [20135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [20137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [20139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [20141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [20143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [20145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [20147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [20149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [20151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [20153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [20155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [20157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [20159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [20161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [20163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [20165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [20167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [20169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [20171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [20173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [20175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [20177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [20179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [20181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [20183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [20185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [20187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [20189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [20191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [20193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [20195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [20197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [20199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [20201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11586),
  [20203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11586),
  [20205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11558),
  [20207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11572),
  [20209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11822),
  [20211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15130),
  [20213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15145),
  [20215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [20217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [20219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [20221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7680),
  [20223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [20225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [20227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [20229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11096),
  [20231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [20233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [20235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [20237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [20239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [20241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [20243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [20245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [20247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [20249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16055),
  [20251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [20253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [20255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [20257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17943),
  [20259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [20261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [20263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [20265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [20267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [20269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [20271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [20273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [20275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [20277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6960),
  [20279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [20281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12881),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10842),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [20288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14074),
  [20291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [20293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [20295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [20297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3557),
  [20300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6740),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [20314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [20316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [20320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14116),
  [20323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12878),
  [20326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3286),
  [20329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [20331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [20333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [20335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [20337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [20339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [20341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [20343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [20345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [20347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [20349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [20351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [20353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [20355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [20357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [20359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [20361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [20363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [20365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [20373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [20375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [20377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [20379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [20381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [20383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [20385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [20387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [20389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [20391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [20393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12561),
  [20396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [20398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3367),
  [20400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [20402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3370),
  [20404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [20406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [20408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [20410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [20412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [20414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [20416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [20418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [20420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [20422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [20424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14011),
  [20427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [20430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT(2614),
  [20433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [20435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 1, 0, 0),
  [20437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [20439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [20441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [20443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [20445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [20447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9765),
  [20449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [20451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [20453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [20455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [20457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [20459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [20461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [20463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [20465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [20467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [20469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [20471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [20473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [20475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [20477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 0), SHIFT(2614),
  [20480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 0), REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [20483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3825),
  [20486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [20488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [20490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3341),
  [20492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [20494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [20496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [20498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [20500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [20502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [20504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [20506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [20508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [20510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3287),
  [20512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [20514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [20516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [20518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [20520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [20522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [20524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [20526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [20528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14011),
  [20530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [20532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14040),
  [20534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3408),
  [20536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [20538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [20540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9796),
  [20542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [20544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [20546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [20548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [20550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [20552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [20554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3623),
  [20556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [20558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [20560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [20562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [20564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [20566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [20568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15143),
  [20570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [20572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [20574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [20576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [20578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [20580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [20582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [20584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [20586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3321),
  [20588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3320),
  [20590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [20592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [20594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3700),
  [20597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_clause, 2, 0, 0),
  [20599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2, 0, 0),
  [20601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [20603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3346),
  [20605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3344),
  [20607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [20609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12417),
  [20612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14040),
  [20615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3407),
  [20618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [20620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15150),
  [20622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [20624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [20626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [20628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [20630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4047),
  [20633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15170),
  [20635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12620),
  [20638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14058),
  [20641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14058),
  [20643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [20645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [20647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [20649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [20651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [20653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [20655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [20657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [20659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [20661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [20663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [20665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [20667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [20669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [20671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [20673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [20675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [20677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [20679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [20681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [20683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [20685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3386),
  [20687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [20689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [20691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [20693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [20695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [20697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [20699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [20701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [20703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [20705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [20707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [20709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [20711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [20713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [20715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [20717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [20719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [20721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [20723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [20725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [20727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [20729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [20731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [20733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [20735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [20737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [20739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [20741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [20743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [20745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [20747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [20749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [20751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3613),
  [20753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [20755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [20757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [20759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [20761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [20763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [20765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [20767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [20769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [20771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [20773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [20775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [20777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [20779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [20781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [20783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [20785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [20787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [20789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [20791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [20793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [20795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [20797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [20799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [20801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [20803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [20805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [20807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [20809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [20811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [20813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [20815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [20817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [20819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [20821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4025),
  [20823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [20825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [20827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [20829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [20831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [20833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [20835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [20837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [20839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [20841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [20843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [20845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [20847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [20849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [20851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [20853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [20855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [20857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [20859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [20861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [20863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [20865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4107),
  [20867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [20869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4084),
  [20871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4222),
  [20874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4163),
  [20877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [20879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [20881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [20883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [20885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [20887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [20889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [20891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [20893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [20895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [20899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [20901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [20907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [20909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [20911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [20915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [20919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3405),
  [20922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [20924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [20926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [20928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [20930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [20932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [20934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [20936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [20938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [20940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [20942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [20944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [20946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [20948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [20950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [20952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [20954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [20956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [20958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [20960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [20962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [20964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [20966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [20968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [20970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [20972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [20974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [20978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [20980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [20982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [20986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [20988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [20990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [20992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [20994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [20996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [20998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [21000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [21002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [21004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [21006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [21008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [21012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [21014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [21016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [21018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [21020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [21022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [21024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [21026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4129),
  [21028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [21030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [21032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [21034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [21036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [21038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [21040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [21042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [21044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [21046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [21048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [21050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [21052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [21054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [21056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [21058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [21060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [21062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [21064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [21066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [21068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [21070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [21072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [21074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [21076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [21078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [21080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [21082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [21084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [21086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9616),
  [21088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [21090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [21092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [21094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [21096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [21098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [21100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [21102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [21104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [21106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [21108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [21110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [21112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [21114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [21116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [21118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [21120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [21122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [21124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [21126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [21128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [21130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [21132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [21134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [21136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11212),
  [21138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [21140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [21142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [21144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [21146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [21148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [21150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [21152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [21154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [21156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [21158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [21160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [21162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [21164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [21166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [21168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [21170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [21172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [21174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [21176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [21178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [21180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [21182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [21184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [21186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [21188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [21190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [21192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [21194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [21196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [21198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [21200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [21202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [21204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [21206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14509),
  [21208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [21210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [21212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [21214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [21216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [21218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [21220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [21222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [21224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11196),
  [21226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [21228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [21230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [21232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [21234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [21236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [21238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [21240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [21242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [21244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [21246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [21248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [21250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [21252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [21254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9904),
  [21256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [21258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [21260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [21262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [21264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [21266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [21268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [21270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [21272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [21274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [21276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [21278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [21280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [21282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [21284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [21286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [21288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [21290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [21292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [21294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [21296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [21298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [21300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [21302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [21304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [21306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [21308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [21310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [21312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [21314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [21316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [21318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [21320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [21322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [21324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [21326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [21328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [21330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [21332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [21334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [21336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10722),
  [21338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [21340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [21342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [21344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [21346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [21348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [21350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [21352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [21354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [21356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [21358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [21360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [21362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10096),
  [21364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [21366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [21368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [21370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [21372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [21374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [21376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [21378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [21380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [21382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [21384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [21386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [21388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [21390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [21392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [21394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [21396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [21398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [21400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [21402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [21404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [21406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [21408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [21410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [21412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [21414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [21416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [21418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [21420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [21422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4015),
  [21424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [21426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [21428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11789),
  [21430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [21432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [21434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [21436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [21438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [21440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [21442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [21444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [21446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [21448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [21450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [21452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [21454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [21456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [21458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [21460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [21462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_field, 3, 0, 0),
  [21464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [21466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [21468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [21470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [21472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [21474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [21476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [21478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [21480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10122),
  [21482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [21484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [21486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [21488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [21490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [21492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [21494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [21496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [21498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11942),
  [21500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [21502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [21504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [21506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [21508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [21510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [21512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [21514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [21516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [21518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [21520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [21522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [21524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [21526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [21528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [21530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [21532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [21534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [21536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [21538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [21540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [21542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [21544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [21546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [21548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [21550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14428),
  [21552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_vector_expression_repeat1, 2, 0, 0),
  [21554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [21556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10600),
  [21558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [21560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11484),
  [21562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [21564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [21566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [21568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [21570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [21572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [21574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [21576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [21578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [21580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [21582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [21584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [21586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14398),
  [21588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [21590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [21592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [21594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [21596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [21598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [21600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [21602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11724),
  [21604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [21606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [21608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [21610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [21612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [21614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [21616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [21618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [21620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [21622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [21624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 0),
  [21626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [21628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [21630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11710),
  [21632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [21634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [21636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [21638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [21640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [21642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [21644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [21646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [21648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [21650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [21652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [21654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [21656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [21658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [21660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [21662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [21664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [21666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [21668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [21670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [21672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [21674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [21676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [21678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [21680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [21682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [21684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [21686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [21688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [21690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [21692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11108),
  [21694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [21696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [21698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [21700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [21702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [21704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [21706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [21708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [21710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [21712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [21714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [21716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [21718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [21720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [21722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3156),
  [21724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [21726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12548),
  [21728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14188),
  [21730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3878),
  [21732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [21734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [21736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [21738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [21740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [21742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [21744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [21746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [21748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12896),
  [21750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14182),
  [21752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [21754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14057),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12719),
  [21758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14224),
  [21760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12495),
  [21762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14221),
  [21764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [21766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14039),
  [21768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12802),
  [21770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14216),
  [21772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12781),
  [21774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [21776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12552),
  [21778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14208),
  [21780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12867),
  [21782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14202),
  [21784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [21786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14137),
  [21788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12627),
  [21790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14206),
  [21792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12547),
  [21794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14194),
  [21796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [21798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14077),
  [21800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12668),
  [21802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14200),
  [21804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12705),
  [21806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14185),
  [21808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [21810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14050),
  [21812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12639),
  [21814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [21816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [21818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14183),
  [21820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [21822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14083),
  [21824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12577),
  [21826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14231),
  [21828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [21830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14030),
  [21832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12476),
  [21834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14219),
  [21836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [21838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14025),
  [21840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12251),
  [21842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14227),
  [21844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [21846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14193),
  [21848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [21850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [21852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [21854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [21856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [21858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [21860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [21862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12676),
  [21864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [21866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12844),
  [21868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14225),
  [21870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [21872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14065),
  [21874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [21876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14198),
  [21878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [21880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [21882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [21884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [21886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [21888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [21890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15834),
  [21892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [21894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [21896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [21898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [21900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [21902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [21904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [21906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [21908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [21910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [21912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [21914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [21916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [21918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15866),
  [21920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [21922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [21924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [21926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [21928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [21930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [21932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [21934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [21936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [21938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [21940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [21942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [21944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [21946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [21948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [21950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [21952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9765),
  [21954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [21956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10385),
  [21958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11944),
  [21960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11699),
  [21962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [21964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7005),
  [21966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8677),
  [21968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7763),
  [21970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8527),
  [21972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7702),
  [21974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [21976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [21978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8345),
  [21980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7729),
  [21982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [21984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6840),
  [21986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [21988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [21990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6730),
  [21992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7948),
  [21994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [21996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6715),
  [21998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7103),
  [22000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7205),
  [22002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7061),
  [22004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [22006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6606),
  [22008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8940),
  [22010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [22012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6954),
  [22014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8464),
  [22016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8128),
  [22018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17886),
  [22020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7755),
  [22022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14361),
  [22024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17104),
  [22026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7910),
  [22028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11992),
  [22030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8969),
  [22032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [22034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6591),
  [22036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [22038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6739),
  [22040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8688),
  [22042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [22044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17740),
  [22046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [22048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17700),
  [22050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [22052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17948),
  [22054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [22056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [22058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18085),
  [22060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [22062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10901),
  [22064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17362),
  [22066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10011),
  [22068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [22070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17423),
  [22072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [22074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17662),
  [22076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [22078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18066),
  [22080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11340),
  [22082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17687),
  [22084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [22086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [22088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18076),
  [22090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [22092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17847),
  [22094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11010),
  [22096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17780),
  [22098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9998),
  [22100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [22102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17986),
  [22104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [22106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18084),
  [22108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10054),
  [22110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17598),
  [22112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11056),
  [22114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17824),
  [22116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10500),
  [22120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17815),
  [22122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [22124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17945),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9971),
  [22128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9972),
  [22130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [22132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17503),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10178),
  [22136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17562),
  [22138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [22140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18103),
  [22142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [22144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [22146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18060),
  [22148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [22150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17770),
  [22152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9922),
  [22154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [22156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [22158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17970),
  [22160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10019),
  [22162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9943),
  [22164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [22166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17545),
  [22168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10005),
  [22170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [22172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17992),
  [22174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10995),
  [22176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18034),
  [22178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [22180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17621),
  [22182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [22184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [22186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17431),
  [22188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [22190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [22192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17594),
  [22194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9887),
  [22196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [22198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18129),
  [22200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [22202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18010),
  [22204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11363),
  [22206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17467),
  [22208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [22210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17914),
  [22212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [22214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17382),
  [22216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [22218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17587),
  [22220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9962),
  [22222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [22224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17871),
  [22226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [22228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10856),
  [22230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18137),
  [22232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9987),
  [22234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [22236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17388),
  [22238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [22240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17415),
  [22242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14381),
  [22244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17852),
  [22246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9462),
  [22248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17509),
  [22250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [22252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17703),
  [22254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [22256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14391),
  [22258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0),
  [22260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(3809),
  [22263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(2614),
  [22266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(15765),
  [22269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__comprehension_clause, 4, 0, 0),
  [22271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [22273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [22275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14545),
  [22277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__comprehension_clause, 3, 0, 0),
  [22279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14479),
  [22281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__comprehension_clause, 2, 0, 0),
  [22283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14543),
  [22285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14378),
  [22287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14320),
  [22289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17691),
  [22291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15383),
  [22293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17868),
  [22295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [22297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [22299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [22301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [22303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [22305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18062),
  [22307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14361),
  [22309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [22311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15554),
  [22313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15552),
  [22315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18061),
  [22317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [22319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15814),
  [22321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10219),
  [22323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18056),
  [22325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17813),
  [22327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17971),
  [22329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18064),
  [22331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18079),
  [22333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [22335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__comprehension_clause, 1, 0, 0),
  [22337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14427),
  [22339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10515),
  [22341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(3548),
  [22344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(15851),
  [22347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(3773),
  [22350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(2524),
  [22353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(15872),
  [22356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [22358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [22360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14955),
  [22362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [22364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15133),
  [22366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18047),
  [22368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18073),
  [22370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15140),
  [22372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17987),
  [22374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [22376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14475),
  [22378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [22380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [22382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14991),
  [22384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18031),
  [22386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18006),
  [22388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [22390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15998),
  [22392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15994),
  [22394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18075),
  [22396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15160),
  [22398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [22400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [22402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [22404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14963),
  [22406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [22408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clause, 4, 0, 0),
  [22410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [22412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14491),
  [22414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [22416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_clause, 2, 0, 0),
  [22418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 2, 0, 0),
  [22420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14503),
  [22422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_clause, 3, 0, 0),
  [22424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, 0, 0),
  [22426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2781),
  [22429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0),
  [22431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [22433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2530),
  [22436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clause, 3, 0, 0),
  [22438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clause, 5, 0, 0),
  [22440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17030),
  [22442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15029),
  [22444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [22446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14553),
  [22448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [22450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [22452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17323),
  [22454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14752),
  [22456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [22458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [22460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14606),
  [22462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [22464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [22466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [22468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [22470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [22472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [22474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14565),
  [22476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [22478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14555),
  [22480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [22482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [22484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [22486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [22488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14589),
  [22490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [22492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [22494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14610),
  [22496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [22498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14586),
  [22500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [22502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [22504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [22506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10000),
  [22508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12760),
  [22510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14564),
  [22512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [22514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14567),
  [22516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [22518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [22520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [22522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [22524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [22526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [22528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [22530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [22532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [22534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [22536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11275),
  [22538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11274),
  [22540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14585),
  [22542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11271),
  [22544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [22546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14593),
  [22548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [22550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14594),
  [22552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [22554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14632),
  [22556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [22558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [22560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [22562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14633),
  [22564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [22566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [22568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [22570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [22572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12763),
  [22574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [22576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [22578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [22580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10008),
  [22582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14609),
  [22584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10774),
  [22586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14611),
  [22588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [22590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10546),
  [22592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [22594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10769),
  [22596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [22598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [22600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [22602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [22604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [22606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14613),
  [22608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [22610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14615),
  [22612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [22614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [22616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [22618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [22620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14630),
  [22622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [22624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [22626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12784),
  [22628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14631),
  [22630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [22632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [22634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [22636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [22638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [22640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [22642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [22644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [22646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [22648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [22650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14616),
  [22652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [22654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14628),
  [22656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [22658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [22660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [22662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [22664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [22666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14634),
  [22668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [22670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14641),
  [22672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [22674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14642),
  [22676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [22678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [22680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14621),
  [22682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [22684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14653),
  [22686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [22688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14659),
  [22690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [22692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14660),
  [22694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [22696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [22698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [22700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [22702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [22704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12788),
  [22706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14635),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [22710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [22716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [22718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [22720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [22722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [22724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [22726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12391),
  [22728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [22730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [22732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [22734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14677),
  [22736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [22738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14670),
  [22740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [22742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14671),
  [22744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [22746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14678),
  [22748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [22750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [22752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [22754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [22756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [22758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [22760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [22762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [22764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [22766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [22768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [22770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14605),
  [22772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9976),
  [22774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [22776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [22778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [22780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [22782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9919),
  [22784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12755),
  [22786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10023),
  [22788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12808),
  [22790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [22792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9982),
  [22794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12249),
  [22796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [22798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10029),
  [22800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12612),
  [22802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14706),
  [22804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [22806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14708),
  [22808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [22810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12811),
  [22812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [22814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [22816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9953),
  [22818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [22820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [22822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11112),
  [22824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11111),
  [22826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [22828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10037),
  [22830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12608),
  [22832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [22834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [22836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [22838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [22840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14715),
  [22842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [22844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14711),
  [22846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [22848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14716),
  [22850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [22852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14714),
  [22854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [22856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [22858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [22860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14728),
  [22862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14379),
  [22864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [22866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14404),
  [22868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14368),
  [22870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [22872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14734),
  [22874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [22876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14736),
  [22878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [22880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [22882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [22884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9932),
  [22886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12294),
  [22888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [22890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14709),
  [22892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11106),
  [22894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [22896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14727),
  [22898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14376),
  [22900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [22902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14710),
  [22904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11105),
  [22906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [22908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [22910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [22912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14729),
  [22914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [22916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12178),
  [22918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12179),
  [22920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14732),
  [22922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [22924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(17323),
  [22927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(14752),
  [22930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [22932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10663),
  [22934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10664),
  [22936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14753),
  [22938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10677),
  [22940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14754),
  [22942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [22944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [22946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14766),
  [22948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [22950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14767),
  [22952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [22954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [22956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14768),
  [22958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [22960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14547),
  [22962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [22964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [22966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [22968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [22970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [22972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12642),
  [22974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [22976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12083),
  [22978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12079),
  [22980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [22982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [22984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [22986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [22988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [22990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12815),
  [22992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [22994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [22996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [22998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [23000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [23002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [23004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [23006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14792),
  [23008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [23010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14794),
  [23012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [23014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [23016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [23018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [23020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11538),
  [23022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [23024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11540),
  [23026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [23028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12557),
  [23030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14795),
  [23032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11542),
  [23034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [23036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12752),
  [23038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14797),
  [23040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [23042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [23044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [23046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [23048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [23050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [23052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [23054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14842),
  [23056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [23058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14820),
  [23060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [23062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14821),
  [23064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11247),
  [23066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9856),
  [23068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [23070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14804),
  [23072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [23074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14806),
  [23076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [23078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [23080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [23082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11244),
  [23084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11241),
  [23086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14847),
  [23088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [23090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [23092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14830),
  [23094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [23096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [23098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [23100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [23102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [23104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [23106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14829),
  [23108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [23110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [23112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [23114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14836),
  [23116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14837),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [23128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [23130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [23132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10666),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12824),
  [23138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [23140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14828),
  [23146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [23148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14854),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [23152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14857),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [23156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14833),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [23162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14852),
  [23168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14853),
  [23172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [23174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14882),
  [23178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14883),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [23184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11690),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14873),
  [23192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11988),
  [23194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14874),
  [23196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11986),
  [23198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9978),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12829),
  [23202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14878),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [23206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14879),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [23212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11983),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11982),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [23218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12667),
  [23220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9946),
  [23222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12419),
  [23224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [23228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [23232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [23236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [23238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14900),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14901),
  [23246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [23248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [23252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14518),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14519),
  [23260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11128),
  [23262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11127),
  [23264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10465),
  [23266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10464),
  [23268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14894),
  [23270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14523),
  [23272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [23274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14895),
  [23276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14525),
  [23278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [23280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14898),
  [23282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11118),
  [23284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [23286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9871),
  [23288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12749),
  [23290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [23292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14899),
  [23294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11117),
  [23296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [23298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [23300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [23302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14921),
  [23304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [23306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [23308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14862),
  [23310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [23312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [23314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [23316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [23318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [23322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [23326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [23328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [23330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [23332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9959),
  [23334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [23336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [23338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [23340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [23342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10001),
  [23344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12700),
  [23346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [23348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [23350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12392),
  [23352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [23354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [23356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [23358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14956),
  [23360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11662),
  [23362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [23364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14957),
  [23366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11657),
  [23368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9619),
  [23370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14946),
  [23372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9644),
  [23374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [23376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [23378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [23380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12853),
  [23382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14951),
  [23384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10076),
  [23386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14922),
  [23388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10074),
  [23390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [23392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11650),
  [23394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11649),
  [23396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14948),
  [23398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [23400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [23402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [23404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [23406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [23408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14977),
  [23410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [23412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14985),
  [23414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [23416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [23418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [23420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14979),
  [23422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [23424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14980),
  [23426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [23428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14978),
  [23430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11062),
  [23432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [23434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14981),
  [23436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11063),
  [23438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [23440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11066),
  [23442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [23444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [23446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11067),
  [23448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [23450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12537),
  [23452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [23454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12580),
  [23456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [23458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14969),
  [23460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [23462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14982),
  [23464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [23466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [23468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [23470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [23472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12499),
  [23474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [23476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12343),
  [23478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [23480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [23482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [23484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [23486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [23488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [23490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14998),
  [23492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [23494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15000),
  [23496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [23498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [23500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14552),
  [23502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [23504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11843),
  [23506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10012),
  [23508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [23510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11842),
  [23512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [23514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [23516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [23518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [23520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12407),
  [23522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [23524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15006),
  [23526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11839),
  [23528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [23530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15008),
  [23532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11835),
  [23534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12403),
  [23536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(1913),
  [23539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(1913),
  [23542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [23544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12738),
  [23546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15032),
  [23548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [23550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [23552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12761),
  [23554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15033),
  [23556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [23558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [23560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(17030),
  [23563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(15029),
  [23566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [23568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [23570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [23572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [23574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14315),
  [23576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [23578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [23580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15065),
  [23582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [23584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9950),
  [23586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12773),
  [23588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10149),
  [23590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [23592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12775),
  [23594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [23596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [23598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [23600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12886),
  [23602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [23604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [23606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [23608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [23610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [23612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10924),
  [23614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [23616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15062),
  [23618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17910),
  [23620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [23622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12836),
  [23624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15063),
  [23626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17942),
  [23628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10300),
  [23630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10301),
  [23632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15058),
  [23634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [23636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15059),
  [23638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [23640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17935),
  [23642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17931),
  [23644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15076),
  [23646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [23648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [23650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [23652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(1751),
  [23655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(1751),
  [23658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [23660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [23662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12604),
  [23664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15077),
  [23666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [23668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15040),
  [23670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10162),
  [23672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15050),
  [23674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [23676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15081),
  [23678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [23680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15082),
  [23682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [23684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [23686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [23688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15100),
  [23690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [23692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15102),
  [23694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [23696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [23698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [23700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [23702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [23704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8329),
  [23706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [23708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9900),
  [23710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12433),
  [23712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [23714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [23716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15106),
  [23718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [23720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [23722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [23724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15107),
  [23726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [23728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [23730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [23732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [23734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [23736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [23738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [23740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [23742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [23744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [23746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [23748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [23750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [23752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [23754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [23756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [23758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [23760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [23762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [23764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [23766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [23768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [23770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9894),
  [23772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12745),
  [23774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15112),
  [23776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [23778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15054),
  [23780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [23782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10003),
  [23784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [23786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15114),
  [23788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [23790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15173),
  [23792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11743),
  [23794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [23796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [23798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [23800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [23802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15080),
  [23804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [23806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15131),
  [23808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [23810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [23812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [23814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [23816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [23818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9974),
  [23820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12893),
  [23822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10013),
  [23824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12602),
  [23826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14864),
  [23828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11747),
  [23830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [23832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15153),
  [23834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [23836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [23838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15154),
  [23840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [23842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [23844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [23846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [23848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [23850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [23852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [23854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [23856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [23858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [23860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [23862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15178),
  [23864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [23866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [23868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15179),
  [23870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [23872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [23874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15174),
  [23876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [23878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15175),
  [23880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [23882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [23884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12819),
  [23886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10587),
  [23888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11691),
  [23890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [23892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [23894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15148),
  [23896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [23898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15156),
  [23900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [23902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [23904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [23906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [23908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [23910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [23912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [23914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [23916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [23918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [23920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2014),
  [23923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2014),
  [23926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [23928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(3162),
  [23931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(3162),
  [23934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [23936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [23938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [23940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [23942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10873),
  [23944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [23946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3823),
  [23949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [23951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12336),
  [23953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [23955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12410),
  [23957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [23959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [23961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12505),
  [23963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [23965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [23967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [23969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [23971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2242),
  [23974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2242),
  [23977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [23979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [23981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [23983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [23985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [23987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [23989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10618),
  [23991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [23993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14526),
  [23995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [23997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [23999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12072),
  [24001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [24003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [24005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12180),
  [24007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12120),
  [24009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [24011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12768),
  [24013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [24015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [24017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [24019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12691),
  [24021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [24023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [24025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [24027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16096),
  [24029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16094),
  [24031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [24033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [24035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16336),
  [24037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12054),
  [24039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15778),
  [24041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10419),
  [24043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15875),
  [24045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [24047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [24049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [24051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [24053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [24055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [24057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [24059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10225),
  [24061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5941),
  [24063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [24065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [24067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [24069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12631),
  [24071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15627),
  [24073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [24075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [24077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [24079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [24081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10934),
  [24083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [24085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15616),
  [24087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [24089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [24091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [24093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12346),
  [24095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11069),
  [24097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [24099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [24101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15513),
  [24103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10246),
  [24105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15523),
  [24107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [24109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [24111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [24113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9885),
  [24115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [24117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12308),
  [24119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15468),
  [24121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10423),
  [24123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12594),
  [24125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5021),
  [24127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [24129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [24131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [24133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [24135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [24137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [24139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [24141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [24143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11311),
  [24145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [24147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [24149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [24151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15535),
  [24153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [24155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15536),
  [24157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [24159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [24161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [24163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [24165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [24167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [24169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [24171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [24173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [24175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [24177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9782),
  [24179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17366),
  [24181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [24183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [24185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15679),
  [24187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10486),
  [24189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10259),
  [24191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15671),
  [24193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10488),
  [24195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [24197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [24199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15467),
  [24201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [24203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [24205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [24207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [24209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [24211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [24213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [24215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [24217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [24219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [24221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14420),
  [24223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14419),
  [24225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [24227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10917),
  [24229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [24231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [24233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [24235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6809),
  [24237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [24239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [24241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [24243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [24245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [24247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [24249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9906),
  [24251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [24253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [24255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [24257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [24259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [24261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [24263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [24265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10363),
  [24267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [24269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17524),
  [24271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15505),
  [24273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11331),
  [24275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15515),
  [24277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [24279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15532),
  [24281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14418),
  [24283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15533),
  [24285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14415),
  [24287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15638),
  [24289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10557),
  [24291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15639),
  [24293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10555),
  [24295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [24297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [24299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 2, 0, 0),
  [24301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [24303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18081),
  [24305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11643),
  [24307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [24309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [24311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [24313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [24315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5671),
  [24317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [24319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [24321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [24323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [24325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [24327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [24329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [24331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [24333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [24335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [24337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [24339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [24341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [24343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [24345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15649),
  [24347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [24349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10091),
  [24351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [24353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [24355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15650),
  [24357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9601),
  [24359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [24361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [24363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [24365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [24367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19729),
  [24369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [24371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [24373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [24375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [24377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12899),
  [24379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17546),
  [24381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15647),
  [24383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10433),
  [24385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15651),
  [24387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [24389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [24391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [24393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [24395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19730),
  [24397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [24399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [24401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [24403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [24405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7923),
  [24407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [24409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [24411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [24413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [24415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [24417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [24419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [24421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [24423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [24425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [24427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [24429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15636),
  [24431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [24433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15637),
  [24435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [24437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [24439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [24441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [24443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10978),
  [24445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [24447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [24449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [24451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [24453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [24455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15585),
  [24457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11381),
  [24459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15587),
  [24461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11380),
  [24463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [24465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [24467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [24469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [24471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [24473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [24475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [24477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [24479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [24481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15600),
  [24483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [24485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [24487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15601),
  [24489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [24491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [24494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2956),
  [24497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6885),
  [24499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [24501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [24503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [24505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [24507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [24509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [24511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [24513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10793),
  [24515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10562),
  [24517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [24519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [24521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [24523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [24525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [24527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [24529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [24531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [24533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [24535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10442),
  [24537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [24539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [24541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10443),
  [24543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [24545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [24547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [24549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [24551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [24553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [24555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [24557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [24559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [24561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [24563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [24565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11349),
  [24567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [24569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [24571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [24573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [24575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [24577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [24579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [24581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [24583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [24585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3236),
  [24588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10436),
  [24590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [24592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [24594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [24596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9345),
  [24598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11561),
  [24600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [24602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [24604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [24606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [24608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [24610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [24612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [24614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15740),
  [24616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [24618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [24620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [24622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [24624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [24626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [24628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [24630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7256),
  [24632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [24634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [24636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [24638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [24640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [24642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10489),
  [24644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [24646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [24648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [24650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [24652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [24654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [24656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15737),
  [24658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [24660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15738),
  [24662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [24664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15683),
  [24666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [24668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [24670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [24672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [24674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [24676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15684),
  [24678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11480),
  [24680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [24682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [24684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [24686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17498),
  [24688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [24690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15663),
  [24692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [24694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15664),
  [24696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11354),
  [24698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [24700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14513),
  [24702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [24704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [24706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [24708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [24710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [24712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10249),
  [24714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [24716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [24718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [24720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15707),
  [24722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [24724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15708),
  [24726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [24728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11115),
  [24730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [24732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [24734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [24736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [24738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 6),
  [24740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 0), REDUCE(aux_sym_argument_list_repeat1, 2, 0, 6),
  [24743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10250),
  [24745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [24747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [24749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [24751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3244),
  [24754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3240),
  [24757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6952),
  [24759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [24761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [24763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6589),
  [24765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [24767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [24769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3246),
  [24772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15793),
  [24774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10937),
  [24776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_vector_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3232),
  [24779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15795),
  [24781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10939),
  [24783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [24785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [24787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [24789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10787),
  [24791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [24793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [24795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [24797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [24799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [24801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10439),
  [24803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [24805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10932),
  [24807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [24809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [24811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [24813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_matrix_expression_repeat1, 2, 0, 0),
  [24815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1183),
  [24818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1183),
  [24821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [24823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [24825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [24827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [24829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [24831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [24833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_prefixed_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(15778),
  [24836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prefixed_string_literal_repeat1, 2, 0, 0),
  [24838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [24840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [24842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [24844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [24846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [24848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [24850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [24852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [24854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [24856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15883),
  [24858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [24860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [24862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [24864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [24866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [24868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15892),
  [24870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [24872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [24874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10940),
  [24876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [24878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [24880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10941),
  [24882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [24884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [24886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [24888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [24890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5695),
  [24892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [24894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [24896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [24898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [24900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [24902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15781),
  [24904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [24906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [24908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15782),
  [24910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9329),
  [24912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [24914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10730),
  [24916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [24918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [24920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [24922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15838),
  [24924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [24926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15839),
  [24928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [24930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [24932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [24934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [24936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [24938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15925),
  [24940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [24942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15927),
  [24944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [24946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [24948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [24950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [24952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [24954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7549),
  [24956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [24958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [24960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [24962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [24964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [24966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [24968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [24970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [24972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [24974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [24976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [24978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [24980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 5, 0, 0),
  [24982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 5, 0, 20),
  [24984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [24986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [24988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15803),
  [24990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [24992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [24994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [24996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15807),
  [24998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [25000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [25002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [25004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [25006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [25008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9658),
  [25010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9658),
  [25012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [25014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17584),
  [25016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [25018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__do_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3249),
  [25021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [25023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [25025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [25027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [25029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10508),
  [25031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7643),
  [25033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [25035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [25037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [25039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [25041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [25043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [25045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [25047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [25049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [25051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [25053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [25055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [25057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [25059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_prefixed_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(15875),
  [25062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [25064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [25066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [25068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [25070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15020),
  [25072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [25074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [25076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [25078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [25080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [25082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [25084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [25086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17459),
  [25088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9428),
  [25090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [25092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [25094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [25096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15805),
  [25098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [25100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [25102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [25104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [25106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15877),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [25112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11845),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [25116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15729),
  [25120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10255),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15878),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9378),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [25128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15809),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10340),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [25140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15938),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10927),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15939),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10929),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [25150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15963),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15966),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [25166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [25170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14337),
  [25172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [25174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8733),
  [25176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [25178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [25180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16040),
  [25182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16039),
  [25184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [25186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [25188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [25190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [25192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [25194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [25196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [25198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [25200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [25202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [25204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17072),
  [25206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17073),
  [25208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10897),
  [25210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10894),
  [25212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [25214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [25216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [25218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9562),
  [25220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [25222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [25224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [25226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [25228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [25230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10291),
  [25232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [25234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [25236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [25238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [25240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [25242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [25244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [25246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [25248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [25250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15934),
  [25252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17074),
  [25254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15935),
  [25256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17075),
  [25258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [25260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10071),
  [25262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [25264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [25266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [25268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [25270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [25272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [25274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [25276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [25278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [25280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [25282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [25284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [25286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [25288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [25290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [25292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [25294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14437),
  [25296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14440),
  [25298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [25300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [25302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15977),
  [25304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [25306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15978),
  [25308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [25310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [25312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [25314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [25316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [25318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [25320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [25322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [25324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [25326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15987),
  [25328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [25330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15988),
  [25332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [25334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15974),
  [25336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14442),
  [25338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [25340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [25342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [25344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15975),
  [25346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14443),
  [25348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15996),
  [25350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [25352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11131),
  [25354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [25356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [25358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15997),
  [25360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [25362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10357),
  [25364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16030),
  [25366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10812),
  [25368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16031),
  [25370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [25372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10356),
  [25374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16004),
  [25376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10354),
  [25378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [25380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [25382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [25384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17402),
  [25386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15813),
  [25388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [25390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16007),
  [25392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [25394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [25396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11980),
  [25398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [25400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [25402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11413),
  [25404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [25406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16017),
  [25408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [25410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [25412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11007),
  [25414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16018),
  [25416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11423),
  [25418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [25420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [25422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17926),
  [25424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [25426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [25428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15817),
  [25430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [25432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11472),
  [25434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11470),
  [25436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16026),
  [25438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11438),
  [25440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16027),
  [25442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [25444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10808),
  [25446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10807),
  [25448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16052),
  [25450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16051),
  [25452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [25454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [25456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [25458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16033),
  [25460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16046),
  [25462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16034),
  [25464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16056),
  [25466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [25468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [25470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [25472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16044),
  [25474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [25476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [25478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [25480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16045),
  [25482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [25484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10391),
  [25486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [25488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [25490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [25492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [25494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [25496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [25498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [25500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16053),
  [25502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10394),
  [25504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15406),
  [25506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15407),
  [25508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16057),
  [25510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10396),
  [25512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [25514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16118),
  [25516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [25518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [25520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [25522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16128),
  [25524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [25526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [25528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [25530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14360),
  [25532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [25534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [25536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11053),
  [25538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [25540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [25542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11434),
  [25544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [25546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [25548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [25550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [25552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11431),
  [25554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11052),
  [25556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16078),
  [25558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11430),
  [25560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16111),
  [25562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [25564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16112),
  [25566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [25568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [25570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [25572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16082),
  [25574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11372),
  [25576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [25578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [25580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [25582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [25584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [25586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [25588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11460),
  [25590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16065),
  [25592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15353),
  [25594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [25596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16066),
  [25598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15404),
  [25600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [25602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16093),
  [25604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11458),
  [25606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16142),
  [25608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10597),
  [25610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [25612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [25614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16098),
  [25616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11457),
  [25618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [25620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [25622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [25624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [25626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [25628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [25630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9351),
  [25632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [25634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [25636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16143),
  [25638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10598),
  [25640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6001),
  [25642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [25644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [25646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12154),
  [25648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17995),
  [25650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [25652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [25654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [25656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [25658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9605),
  [25660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [25662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [25664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [25666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [25668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16076),
  [25670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11051),
  [25672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16083),
  [25674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11049),
  [25676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [25678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16120),
  [25680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [25682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [25684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [25686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [25688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [25690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [25692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [25694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16123),
  [25696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [25698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [25700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [25702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [25704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16180),
  [25706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11398),
  [25708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [25710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [25712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [25714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2593),
  [25717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2593),
  [25720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [25722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16136),
  [25724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [25726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16138),
  [25728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [25730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [25732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [25734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [25736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10561),
  [25738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11240),
  [25740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [25742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [25744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16182),
  [25746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11401),
  [25748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10818),
  [25750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [25752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [25754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [25756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [25758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [25760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [25762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [25764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [25766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [25768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [25770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10970),
  [25772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16155),
  [25774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [25776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [25778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [25780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [25782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16158),
  [25784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [25786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10828),
  [25788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6277),
  [25790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [25792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [25794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16186),
  [25796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11035),
  [25798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16187),
  [25800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11036),
  [25802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [25804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [25806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [25808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [25810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [25812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16164),
  [25814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [25816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [25818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10161),
  [25820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [25822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [25824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16170),
  [25826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10825),
  [25828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [25830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [25832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [25834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11403),
  [25836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [25838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10792),
  [25840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [25842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16156),
  [25844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10969),
  [25846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [25848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16159),
  [25850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10968),
  [25852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11037),
  [25854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [25856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10816),
  [25858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [25860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [25862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [25864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16189),
  [25866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [25868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16191),
  [25870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [25872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [25874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [25876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [25878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [25880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5764),
  [25882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [25884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [25886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [25888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10823),
  [25890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16199),
  [25892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10822),
  [25894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [25896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16203),
  [25898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10821),
  [25900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [25902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [25904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16211),
  [25906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [25908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16257),
  [25910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14332),
  [25912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16260),
  [25914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14333),
  [25916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16212),
  [25918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [25920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [25922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [25924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [25926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17790),
  [25928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10820),
  [25930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [25932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11680),
  [25934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [25936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [25938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16220),
  [25940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10817),
  [25942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [25944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [25946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [25948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [25950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [25952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16460),
  [25954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [25956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [25958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [25960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16224),
  [25962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10815),
  [25964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16251),
  [25966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [25968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16252),
  [25970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [25972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [25974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11454),
  [25976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [25978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16235),
  [25980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [25982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [25984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [25986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10304),
  [25988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [25990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [25992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [25994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [25996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [25998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [26000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [26002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [26004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [26006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [26008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11752),
  [26010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16467),
  [26012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [26014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11756),
  [26016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [26018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [26020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12380),
  [26022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17389),
  [26024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16236),
  [26026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [26028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [26030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [26032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [26034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14348),
  [26036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [26038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [26040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14345),
  [26042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11659),
  [26044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [26046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [26048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [26050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11664),
  [26052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16222),
  [26054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [26056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [26058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16223),
  [26060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11684),
  [26062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16261),
  [26064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11669),
  [26066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [26068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16264),
  [26070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11652),
  [26072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [26074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [26076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [26078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [26080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [26082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16248),
  [26084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [26086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16250),
  [26088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [26090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [26092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6045),
  [26094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [26096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [26098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [26100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16279),
  [26102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [26104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [26106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [26108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16281),
  [26110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [26112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10455),
  [26114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [26116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [26118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4643),
  [26120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [26122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [26124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [26126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [26128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7618),
  [26130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [26132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [26134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8185),
  [26136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [26138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [26140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [26142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [26144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16315),
  [26146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11785),
  [26148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16316),
  [26150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11784),
  [26152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [26154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11535),
  [26156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [26158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [26160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [26162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [26164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [26166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [26168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16297),
  [26170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [26172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16202),
  [26174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [26176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16299),
  [26178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [26180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [26182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [26184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16206),
  [26186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [26188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16390),
  [26190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [26192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [26194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16358),
  [26196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [26198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [26200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11782),
  [26202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11781),
  [26204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [26206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16314),
  [26208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [26210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16362),
  [26212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [26214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [26216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10880),
  [26218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16391),
  [26220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [26222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16317),
  [26224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [26226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [26228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [26230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11024),
  [26232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [26234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [26236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [26238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [26240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [26242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16326),
  [26244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [26246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [26248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [26250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [26252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [26254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12062),
  [26256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12060),
  [26258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [26260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16333),
  [26262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [26264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [26266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11999),
  [26268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16334),
  [26270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [26272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [26274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [26276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [26278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [26280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [26282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [26284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [26286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [26288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [26290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [26292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [26294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [26296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [26298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7055),
  [26300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [26302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [26304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [26306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [26308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16349),
  [26310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [26312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [26314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16379),
  [26316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11489),
  [26318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [26320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11490),
  [26322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [26324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [26326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [26328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16351),
  [26330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [26332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10496),
  [26334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [26336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16340),
  [26338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12004),
  [26340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16341),
  [26342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [26344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [26346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6483),
  [26348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [26350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [26352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [26354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10203),
  [26356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [26358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [26360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [26362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16335),
  [26364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12058),
  [26366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16370),
  [26368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10274),
  [26370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [26372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16372),
  [26374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10277),
  [26376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [26378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11277),
  [26380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [26382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [26384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11491),
  [26386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11493),
  [26388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5514),
  [26390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [26392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [26394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [26396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [26398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [26400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [26402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [26404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14331),
  [26406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10283),
  [26408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16382),
  [26410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [26412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [26414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [26416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16386),
  [26418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [26420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11453),
  [26422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11451),
  [26424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [26426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [26428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16392),
  [26430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [26432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16393),
  [26434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [26436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [26438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [26440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10252),
  [26442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [26444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [26446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [26448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16397),
  [26450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [26452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [26454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [26456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [26458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16401),
  [26460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [26462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [26464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [26466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [26468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16604),
  [26470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [26472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [26474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [26476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16409),
  [26478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [26480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16412),
  [26482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [26484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16541),
  [26486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [26488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [26490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5566),
  [26492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [26494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [26496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [26498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [26500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [26502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [26504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16443),
  [26506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [26508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16444),
  [26510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10553),
  [26512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [26514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [26516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [26518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [26520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [26522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10962),
  [26524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10961),
  [26526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [26528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16428),
  [26530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [26532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [26534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [26536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [26538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [26540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [26542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [26544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16431),
  [26546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [26548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [26550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10556),
  [26552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [26554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [26556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [26558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [26560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [26562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10326),
  [26564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [26566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10659),
  [26568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [26570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [26572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [26574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [26576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [26578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11184),
  [26580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [26582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [26584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [26586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [26588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16451),
  [26590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11182),
  [26592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16429),
  [26594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10960),
  [26596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16430),
  [26598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [26600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16453),
  [26602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [26604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [26606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [26608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [26610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [26612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [26614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [26616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16462),
  [26618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [26620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16463),
  [26622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [26624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [26626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [26628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [26630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [26632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [26634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [26636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10801),
  [26638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10800),
  [26640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16472),
  [26642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10799),
  [26644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8027),
  [26646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [26648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [26650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16511),
  [26652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11298),
  [26654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16473),
  [26656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10798),
  [26658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16512),
  [26660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [26662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [26664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [26666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10763),
  [26668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [26670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [26672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [26674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [26676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16447),
  [26678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [26680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16449),
  [26682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [26684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16507),
  [26686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10525),
  [26688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16508),
  [26690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10531),
  [26692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11441),
  [26694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [26696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16489),
  [26698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11499),
  [26700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [26702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16491),
  [26704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11476),
  [26706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7188),
  [26708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [26710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [26712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [26714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [26716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [26718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [26720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [26722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [26724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [26726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [26728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11723),
  [26730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [26732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [26734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11729),
  [26736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16502),
  [26738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11731),
  [26740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16565),
  [26742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [26744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10524),
  [26746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10526),
  [26748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16504),
  [26750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [26752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [26754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11303),
  [26756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11304),
  [26758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [26760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [26762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [26764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17426),
  [26766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16574),
  [26768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [26770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [26772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [26774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [26776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [26778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [26780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16519),
  [26782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [26784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16520),
  [26786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [26788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10412),
  [26790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10413),
  [26792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [26794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [26796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [26798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [26800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [26802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10206),
  [26804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [26806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16527),
  [26808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10414),
  [26810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16528),
  [26812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [26814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10213),
  [26816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [26818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11687),
  [26820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [26822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [26824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10711),
  [26826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16521),
  [26828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [26830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [26832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [26834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16522),
  [26836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [26838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16146),
  [26840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10771),
  [26842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7211),
  [26844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [26846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [26848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [26850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [26852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [26854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11375),
  [26856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [26858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16571),
  [26860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [26862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16572),
  [26864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [26866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16549),
  [26868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [26870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [26872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16550),
  [26874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11388),
  [26876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [26878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [26880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [26882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6759),
  [26884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [26886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [26888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [26890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [26892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [26894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [26896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [26898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [26900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [26902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11404),
  [26904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [26906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16548),
  [26908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [26910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [26912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16554),
  [26914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [26916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [26918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [26920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7355),
  [26922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [26924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [26926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [26928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6175),
  [26930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [26932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [26934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11504),
  [26936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [26938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [26940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [26942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [26944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16618),
  [26946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12076),
  [26948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16619),
  [26950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12074),
  [26952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [26954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16577),
  [26956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11485),
  [26958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16579),
  [26960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11483),
  [26962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16188),
  [26964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10765),
  [26966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [26968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [26970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [26972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [26974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [26976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [26978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [26980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [26982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9631),
  [26984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [26986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [26988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [26990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [26992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [26994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [26996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [26998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [27000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10709),
  [27002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [27004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [27006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11728),
  [27008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [27010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [27012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [27014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [27016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6655),
  [27018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [27020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [27022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [27024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [27026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [27028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [27030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [27032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16635),
  [27034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11439),
  [27036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16636),
  [27038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11501),
  [27040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [27042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [27044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12065),
  [27046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12061),
  [27048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [27050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10431),
  [27052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [27054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [27056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [27058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [27060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [27062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [27064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [27066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [27068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [27070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16606),
  [27072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11726),
  [27074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16537),
  [27076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10275),
  [27078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16608),
  [27080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11738),
  [27082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [27084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11503),
  [27086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16539),
  [27088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [27090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16613),
  [27092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [27094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16614),
  [27096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [27098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16540),
  [27100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [27102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [27104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [27106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [27108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16532),
  [27110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [27112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5120),
  [27114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [27116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [27118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6356),
  [27120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [27122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [27124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [27126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11667),
  [27128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [27130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [27132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11674),
  [27134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [27136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [27138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6890),
  [27140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [27142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [27144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16624),
  [27146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10461),
  [27148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16621),
  [27150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10459),
  [27152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [27154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17564),
  [27156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [27158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [27160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17938),
  [27162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15292),
  [27164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17940),
  [27166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [27168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [27170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17900),
  [27172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15323),
  [27174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17902),
  [27176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17978),
  [27178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15184),
  [27180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18026),
  [27182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17851),
  [27184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15385),
  [27186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17854),
  [27188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18042),
  [27190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15203),
  [27192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18043),
  [27194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [27196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12522),
  [27198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17838),
  [27200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15412),
  [27202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17839),
  [27204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [27206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [27208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17822),
  [27210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15437),
  [27212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17823),
  [27214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [27216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [27218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [27220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18068),
  [27222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15258),
  [27224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18070),
  [27226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18089),
  [27228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15304),
  [27230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18092),
  [27232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [27234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [27236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17808),
  [27238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15455),
  [27240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17809),
  [27242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [27244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [27246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [27248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [27250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [27252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17793),
  [27254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15463),
  [27256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17795),
  [27258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [27260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [27262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18111),
  [27264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15359),
  [27266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18113),
  [27268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [27270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17771),
  [27272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15454),
  [27274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17772),
  [27276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17749),
  [27278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15446),
  [27280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17750),
  [27282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [27284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [27286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [27288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18134),
  [27290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15405),
  [27292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18135),
  [27294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [27296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [27298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18150),
  [27300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15460),
  [27302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18148),
  [27304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17728),
  [27306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15444),
  [27308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17732),
  [27310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18096),
  [27312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15311),
  [27314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18094),
  [27316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17713),
  [27318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15449),
  [27320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17714),
  [27322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [27324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [27326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [27328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [27330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18071),
  [27332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15257),
  [27334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18069),
  [27336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18050),
  [27338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15206),
  [27340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18049),
  [27342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [27344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18024),
  [27346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15182),
  [27348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18021),
  [27350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17725),
  [27352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15432),
  [27354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17694),
  [27356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18003),
  [27358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15223),
  [27360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18001),
  [27362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17681),
  [27364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15428),
  [27366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17682),
  [27368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [27370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [27372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [27374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [27376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [27378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17653),
  [27380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15420),
  [27382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17645),
  [27384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [27386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [27388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [27390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17633),
  [27392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15410),
  [27394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17634),
  [27396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [27398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17976),
  [27400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15253),
  [27402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17973),
  [27404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17960),
  [27406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15276),
  [27408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17958),
  [27410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [27412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [27414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [27416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17925),
  [27418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15308),
  [27420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17924),
  [27422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [27424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18038),
  [27426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15401),
  [27428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18039),
  [27430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17610),
  [27432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15400),
  [27434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17611),
  [27436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [27438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [27440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [27442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [27444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17599),
  [27446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15392),
  [27448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17600),
  [27450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [27452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [27454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17581),
  [27456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15382),
  [27458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17582),
  [27460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [27462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [27464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17473),
  [27466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15349),
  [27468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17474),
  [27470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [27472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [27474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [27476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [27478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [27480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [27482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [27484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [27486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [27488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [27490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [27492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [27494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [27496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [27498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [27500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [27502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [27504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17448),
  [27506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15346),
  [27508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17449),
  [27510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [27512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [27514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [27516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [27518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18090),
  [27520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15424),
  [27522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18091),
  [27524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [27526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [27528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [27530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [27532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [27534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [27536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [27538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [27540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [27542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17433),
  [27544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15340),
  [27546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17435),
  [27548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [27550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [27552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [27554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [27556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [27558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [27560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [27562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [27564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [27566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [27568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [27570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [27572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [27574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17929),
  [27576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15333),
  [27578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17932),
  [27580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [27582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [27584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [27586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [27588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17416),
  [27590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15334),
  [27592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17417),
  [27594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [27596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [27598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [27600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [27602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [27604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [27606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [27608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [27610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17395),
  [27612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15316),
  [27614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17398),
  [27616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [27618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [27620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [27622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [27624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [27626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [27628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [27630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [27632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [27634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [27636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [27638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [27640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [27642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [27644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [27646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17353),
  [27648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15240),
  [27650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17348),
  [27652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [27654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [27656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [27658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [27660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [27662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [27664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11991),
  [27666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [27668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [27670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12033),
  [27672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [27674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [27676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [27678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [27680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [27682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [27684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [27686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [27688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17349),
  [27690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15290),
  [27692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17346),
  [27694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [27696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [27698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [27700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [27702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [27704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [27706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [27708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [27710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [27712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [27714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [27716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [27718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17675),
  [27720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15299),
  [27722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17677),
  [27724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [27726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [27728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [27730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9038),
  [27732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [27734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [27736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [27738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [27740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [27742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17354),
  [27744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15283),
  [27746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17352),
  [27748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15898),
  [27750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19391),
  [27752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [27754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17885),
  [27756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [27758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [27760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [27762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [27764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [27766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [27768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [27770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [27772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [27774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [27776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [27778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [27780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [27782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [27784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [27786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [27788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17394),
  [27790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15264),
  [27792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17393),
  [27794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [27796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [27798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [27800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [27802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [27804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [27806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [27808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [27810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [27812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [27814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18000),
  [27816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15222),
  [27818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18002),
  [27820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17994),
  [27822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15328),
  [27824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17993),
  [27826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [27828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [27830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17512),
  [27832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15261),
  [27834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17513),
  [27836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [27838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [27840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [27842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17450),
  [27844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15288),
  [27846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17446),
  [27848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [27850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [27852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [27854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [27856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [27858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [27860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [27862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [27864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_clause, 4, 0, 5),
  [27866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 5),
  [27868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [27870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [27872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [27874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [27876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_matrix_expression_repeat1, 3, 0, 0),
  [27878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_matrix_expression_repeat1, 3, 0, 0),
  [27880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [27882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [27884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [27886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [27888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [27890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17637),
  [27892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15281),
  [27894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17642),
  [27896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3242),
  [27899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3, 0, 0),
  [27901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17483),
  [27903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15241),
  [27905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17482),
  [27907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [27909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [27911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10538),
  [27913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [27915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 4, 0, 0),
  [27917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [27919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_clause, 3, 0, 5),
  [27921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [27923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [27925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [27927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [27929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10776),
  [27931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [27933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [27935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [27937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [27939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_matrix_expression_repeat1, 2, 0, 0),
  [27941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [27943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [27945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17537),
  [27947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15213),
  [27949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17536),
  [27951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [27953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [27955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [27957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [27959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [27961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [27963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [27965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [27967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [27969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12532),
  [27971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [27973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [27975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12621),
  [27977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [27979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [27981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [27983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [27985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 0),
  [27987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [27989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [27991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17916),
  [27993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15275),
  [27995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17915),
  [27997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [27999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [28001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17573),
  [28003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15183),
  [28005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17572),
  [28007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [28009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_statement_repeat1, 2, 0, 11),
  [28011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_statement_repeat1, 2, 0, 11),
  [28013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15958),
  [28015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15957),
  [28017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [28019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [28021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [28023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [28025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [28027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [28029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17845),
  [28031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15370),
  [28033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17842),
  [28035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [28037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [28039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [28041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [28043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [28045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [28047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [28049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [28051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [28053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [28055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [28057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [28059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [28061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [28063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [28065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [28067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [28069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [28071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [28073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [28075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17627),
  [28077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15186),
  [28079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17626),
  [28081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [28083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [28085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [28087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [28089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [28091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [28093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [28095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17667),
  [28097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15193),
  [28099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17665),
  [28101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [28103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [28105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [28107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [28109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [28111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [28113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [28115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [28117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [28119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [28121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [28123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [28125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17866),
  [28127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15403),
  [28129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17865),
  [28131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [28133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [28135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17753),
  [28137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15235),
  [28139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17699),
  [28141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [28143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [28145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [28147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [28149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [28151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15896),
  [28153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19829),
  [28155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [28157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [28159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [28161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [28163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [28165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5228),
  [28167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19517),
  [28169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5374),
  [28171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18849),
  [28173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18856),
  [28175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18820),
  [28177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [28179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [28181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [28183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [28185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18816),
  [28187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18810),
  [28189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18828),
  [28191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18809),
  [28193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18779),
  [28195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [28197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18737),
  [28199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11602),
  [28201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18806),
  [28203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18826),
  [28205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5886),
  [28207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18830),
  [28209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18889),
  [28211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18776),
  [28213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6225),
  [28215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18846),
  [28217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18876),
  [28219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18858),
  [28221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10289),
  [28223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18784),
  [28225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18774),
  [28227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18890),
  [28229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18761),
  [28231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [28233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6921),
  [28235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18880),
  [28237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11094),
  [28239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18760),
  [28241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18780),
  [28243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18775),
  [28245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18887),
  [28247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10099),
  [28249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18897),
  [28251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [28253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18857),
  [28255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18888),
  [28257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18864),
  [28259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18896),
  [28261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [28263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18862),
  [28265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7671),
  [28267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18923),
  [28269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18924),
  [28271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18745),
  [28273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18925),
  [28275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18940),
  [28277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18942),
  [28279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18819),
  [28281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18931),
  [28283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14481),
  [28285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18946),
  [28287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18895),
  [28289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [28291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [28293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18955),
  [28295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18740),
  [28297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18739),
  [28299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18956),
  [28301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18957),
  [28303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6550),
  [28305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18738),
  [28307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18980),
  [28309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18714),
  [28311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18712),
  [28313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18963),
  [28315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18989),
  [28317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18990),
  [28319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6569),
  [28321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18680),
  [28323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11216),
  [28325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18935),
  [28327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9431),
  [28329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18991),
  [28331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18986),
  [28333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18987),
  [28335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18695),
  [28337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [28339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18727),
  [28341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5092),
  [28343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18703),
  [28345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19017),
  [28347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [28349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18718),
  [28351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18995),
  [28353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18685),
  [28355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19026),
  [28357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [28359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19014),
  [28361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18684),
  [28363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19016),
  [28365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19048),
  [28367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [28369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17889),
  [28371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18681),
  [28373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19036),
  [28375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19037),
  [28377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19024),
  [28379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18696),
  [28381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9399),
  [28383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19041),
  [28385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [28387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19031),
  [28389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [28391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5661),
  [28393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19059),
  [28395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19060),
  [28397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18658),
  [28399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19061),
  [28401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19080),
  [28403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10631),
  [28405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19146),
  [28407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18610),
  [28409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19071),
  [28411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19088),
  [28413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [28415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19089),
  [28417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18649),
  [28419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11505),
  [28421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19094),
  [28423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19052),
  [28425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18648),
  [28427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7158),
  [28429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19091),
  [28431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8150),
  [28433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18646),
  [28435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19092),
  [28437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19093),
  [28439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11590),
  [28441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18650),
  [28443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [28445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18647),
  [28447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [28449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18645),
  [28451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19104),
  [28453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18629),
  [28455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7383),
  [28457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19129),
  [28459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19182),
  [28461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19142),
  [28463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19130),
  [28465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19132),
  [28467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19143),
  [28469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19139),
  [28471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [28473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18618),
  [28475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19090),
  [28477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19179),
  [28479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18614),
  [28481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [28483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19160),
  [28485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18641),
  [28487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19162),
  [28489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8055),
  [28491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18613),
  [28493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19163),
  [28495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19189),
  [28497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19168),
  [28499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18589),
  [28501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19190),
  [28503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18587),
  [28505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [28507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19194),
  [28509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18586),
  [28511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6636),
  [28513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19200),
  [28515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19204),
  [28517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [28519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19205),
  [28521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10131),
  [28523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18578),
  [28525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19288),
  [28527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19225),
  [28529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5363),
  [28531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18590),
  [28533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19212),
  [28535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18564),
  [28537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18562),
  [28539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [28541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18588),
  [28543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [28545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18559),
  [28547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19232),
  [28549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [28551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18571),
  [28553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19237),
  [28555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7239),
  [28557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19228),
  [28559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19230),
  [28561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6994),
  [28563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19240),
  [28565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19231),
  [28567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [28569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19239),
  [28571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [28573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19276),
  [28575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10717),
  [28577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19261),
  [28579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19263),
  [28581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19264),
  [28583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19286),
  [28585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [28587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19272),
  [28589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6720),
  [28591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19292),
  [28593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10359),
  [28595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19277),
  [28597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [28599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18556),
  [28601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [28603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19304),
  [28605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19306),
  [28607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19307),
  [28609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19325),
  [28611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19313),
  [28613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19332),
  [28615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19333),
  [28617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4681),
  [28619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19337),
  [28621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7091),
  [28623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19334),
  [28625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19335),
  [28627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [28629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19336),
  [28631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18485),
  [28633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19295),
  [28635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [28637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19343),
  [28639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19361),
  [28641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7563),
  [28643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19358),
  [28645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19350),
  [28647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19359),
  [28649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19360),
  [28651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19370),
  [28653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11314),
  [28655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19372),
  [28657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19366),
  [28659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19299),
  [28661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19369),
  [28663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5352),
  [28665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19385),
  [28667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19389),
  [28669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19390),
  [28671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19434),
  [28673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19378),
  [28675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19407),
  [28677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19435),
  [28679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [28681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19437),
  [28683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6271),
  [28685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19444),
  [28687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19450),
  [28689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [28691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19451),
  [28693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14357),
  [28695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19460),
  [28697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19501),
  [28699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19470),
  [28701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10712),
  [28703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18527),
  [28705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19469),
  [28707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19471),
  [28709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19521),
  [28711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [28713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5820),
  [28715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19525),
  [28717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19519),
  [28719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19493),
  [28721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19520),
  [28723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [28725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19530),
  [28727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19569),
  [28729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11163),
  [28731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19565),
  [28733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19574),
  [28735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19576),
  [28737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19567),
  [28739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19568),
  [28741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19522),
  [28743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5975),
  [28745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19578),
  [28747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19575),
  [28749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19601),
  [28751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [28753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19652),
  [28755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [28757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18516),
  [28759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11811),
  [28761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19596),
  [28763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18515),
  [28765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18464),
  [28767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [28769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18462),
  [28771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19607),
  [28773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19599),
  [28775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19608),
  [28777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9640),
  [28779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18453),
  [28781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19600),
  [28783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11950),
  [28785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19610),
  [28787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [28789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11478),
  [28791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19606),
  [28793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [28795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [28797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18486),
  [28799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14931),
  [28801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19636),
  [28803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5563),
  [28805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19632),
  [28807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19646),
  [28809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [28811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18376),
  [28813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [28815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19634),
  [28817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19635),
  [28819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8673),
  [28821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19657),
  [28823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9895),
  [28825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19639),
  [28827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19651),
  [28829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 0),
  [28831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19704),
  [28833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [28835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7277),
  [28837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19703),
  [28839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18355),
  [28841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19710),
  [28843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18353),
  [28845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19669),
  [28847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19714),
  [28849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9595),
  [28851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18344),
  [28853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [28855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19705),
  [28857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7690),
  [28859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19715),
  [28861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5596),
  [28863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18370),
  [28865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19706),
  [28867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19674),
  [28869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [28871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [28873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [28875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19716),
  [28877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [28879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18217),
  [28881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18333),
  [28883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19760),
  [28885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, 0, 0),
  [28887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18268),
  [28889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [28891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19768),
  [28893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8058),
  [28895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19756),
  [28897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19772),
  [28899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6246),
  [28901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19828),
  [28903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19766),
  [28905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19767),
  [28907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18247),
  [28909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18245),
  [28911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18304),
  [28913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [28915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19781),
  [28917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19810),
  [28919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11145),
  [28921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18236),
  [28923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19877),
  [28925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19720),
  [28927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19825),
  [28929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [28931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19831),
  [28933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [28935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19813),
  [28937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [28939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19817),
  [28941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19824),
  [28943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18160),
  [28945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6848),
  [28947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19832),
  [28949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [28951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18201),
  [28953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19880),
  [28955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19841),
  [28957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6774),
  [28959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19875),
  [28961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18184),
  [28963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18186),
  [28965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19876),
  [28967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [28969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [28971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [28973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [28975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [28977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [28979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [28981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [28983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [28985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [28987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [28989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [28991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [28993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [28995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [28997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [28999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [29001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [29003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [29005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [29007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [29009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [29011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [29013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [29015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [29017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [29019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [29021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [29023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12159),
  [29025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [29027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [29029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [29031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [29033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [29035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [29037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [29039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [29041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [29043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [29045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [29047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [29049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [29051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [29053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [29055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [29057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [29059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [29061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [29063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [29065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [29067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12669),
  [29069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12685),
  [29071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [29073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [29075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [29077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12875),
  [29079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [29081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [29083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12895),
  [29085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12897),
  [29087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [29089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [29091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [29093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [29095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [29097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [29099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11121),
  [29101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [29103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [29105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [29107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [29109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [29111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [29113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [29115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12885),
  [29117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [29119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11144),
  [29121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12865),
  [29123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [29125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12856),
  [29127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [29129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [29131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [29133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [29135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [29137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [29139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [29141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12767),
  [29143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12766),
  [29145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11135),
  [29147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [29149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [29151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12733),
  [29153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [29155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [29157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [29159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12725),
  [29161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [29163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [29165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [29167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [29169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [29171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [29173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [29175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [29177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8188),
  [29179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [29181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12723),
  [29183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [29185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [29187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [29189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12701),
  [29191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12683),
  [29193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12361),
  [29195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11124),
  [29197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [29199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12640),
  [29201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12637),
  [29203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12636),
  [29205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [29207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [29209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [29211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [29213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [29215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [29217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [29219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [29221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12618),
  [29223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [29225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [29227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [29229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12579),
  [29231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [29233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12565),
  [29235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [29237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12536),
  [29239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11114),
  [29241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12531),
  [29243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [29245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [29247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [29249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [29251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [29253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [29255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [29257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12515),
  [29259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [29261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [29263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [29265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [29267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [29269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [29271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [29273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [29275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [29277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [29279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [29281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [29283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [29285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12452),
  [29287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [29289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [29291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [29293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12450),
  [29295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [29297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [29299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [29301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [29303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [29305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [29307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [29309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12424),
  [29311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12422),
  [29313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [29315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10874),
  [29317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12418),
  [29319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [29321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12401),
  [29323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12394),
  [29325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12383),
  [29327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [29329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [29331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [29333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [29335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [29337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [29339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [29341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [29343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [29345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [29347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [29349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [29351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [29353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [29355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [29357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [29359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10668),
  [29361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [29363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [29365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [29367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [29369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9593),
  [29371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [29373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [29375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [29377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [29379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8904),
  [29381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [29383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [29385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [29387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [29389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [29391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [29393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [29395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [29397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [29399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [29401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [29403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [29405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [29407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10682),
  [29409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [29411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [29413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [29415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [29417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [29419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [29421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [29423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [29425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [29427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [29429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [29431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [29433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [29435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [29437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10159),
  [29439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [29441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [29443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [29445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [29447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [29449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [29451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [29453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [29455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [29457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [29459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [29461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [29463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [29465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [29467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [29469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [29471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [29473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [29475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [29477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [29479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [29481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [29483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [29485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [29487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [29489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [29491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [29493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10692),
  [29495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [29497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [29499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [29501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [29503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [29505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [29507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [29509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [29511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [29513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [29515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [29517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [29519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [29521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [29523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [29525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [29527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [29529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [29531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [29533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [29535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10707),
  [29537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [29539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [29541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [29543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [29545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [29547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [29549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9635),
  [29551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [29553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [29555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [29557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [29559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [29561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [29563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [29565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [29567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [29569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [29571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [29573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [29575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [29577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [29579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [29581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [29583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [29585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [29587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [29589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [29591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [29593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [29595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [29597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [29599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [29601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [29603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [29605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [29607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [29609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [29611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [29613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [29615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [29617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12567),
  [29619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12566),
  [29621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12564),
  [29623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12563),
  [29625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [29627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10179),
  [29629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12562),
  [29631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12559),
  [29633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12555),
  [29635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12554),
  [29637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12551),
  [29639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12550),
  [29641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12549),
  [29643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10132),
  [29645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [29647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12544),
  [29649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [29651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12538),
  [29653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [29655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12535),
  [29657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12533),
  [29659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12530),
  [29661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12528),
  [29663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12525),
  [29665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12245),
  [29667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [29669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [29671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11677),
  [29673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10156),
  [29675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [29677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [29679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12509),
  [29681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [29683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [29685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [29687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [29689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12502),
  [29691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [29693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [29695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [29697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12487),
  [29699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11617),
  [29701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [29703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [29705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12485),
  [29707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12462),
  [29709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [29711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12448),
  [29713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [29715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [29717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11598),
  [29719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [29721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [29723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [29725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11588),
  [29727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [29729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [29731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [29733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [29735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [29737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [29739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [29741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [29743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [29745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12413),
  [29747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12412),
  [29749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12397),
  [29751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12396),
  [29753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12389),
  [29755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12387),
  [29757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12384),
  [29759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [29761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12378),
  [29763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12375),
  [29765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [29767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [29769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17888),
  [29771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [29773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [29775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17891),
  [29777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [29779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17901),
  [29781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [29783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12332),
  [29785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12326),
  [29787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [29789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [29791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [29793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [29795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [29797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [29799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [29801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [29803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [29805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [29807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [29809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [29811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [29813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [29815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [29817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17912),
  [29819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [29821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [29823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [29825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [29827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [29829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [29831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [29833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [29835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17930),
  [29837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11082),
  [29839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10101),
  [29841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [29843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [29845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [29847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [29849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [29851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [29853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [29855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [29857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [29859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [29861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [29863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10229),
  [29865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [29867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [29869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10271),
  [29871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11095),
  [29873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [29875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [29877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [29879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [29881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [29883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [29885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [29887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [29889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [29891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [29893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11093),
  [29895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10286),
  [29897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [29899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [29901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [29903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [29905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10308),
  [29907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [29909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [29911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11073),
  [29913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [29915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [29917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [29919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [29921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11068),
  [29923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [29925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [29927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [29929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [29931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [29933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11600),
  [29935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [29937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [29939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11603),
  [29941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [29943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [29945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [29947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11613),
  [29949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11637),
  [29951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [29953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [29955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [29957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11648),
  [29959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [29961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [29963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [29965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [29967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [29969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [29971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [29973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [29975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [29977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [29979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [29981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [29983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [29985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [29987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [29989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [29991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10088),
  [29993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [29995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [29997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [29999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [30001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [30003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [30005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [30007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [30009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [30011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [30013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [30015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10118),
  [30017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [30019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [30021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [30023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [30025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [30027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [30029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [30031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [30033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [30035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [30037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [30039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [30041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10100),
  [30043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [30045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [30047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10098),
  [30049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [30051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [30053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [30055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [30057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [30059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14515),
  [30061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [30063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [30065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [30067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [30069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [30071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [30073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12230),
  [30075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14495),
  [30077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [30079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [30081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [30083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [30085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [30087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [30089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [30091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [30093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [30095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11214),
  [30097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [30099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14484),
  [30101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [30103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14489),
  [30105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [30107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [30109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [30111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14482),
  [30113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [30115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [30117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [30119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [30121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [30123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [30125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [30127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [30129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [30131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [30133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [30135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [30137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [30139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [30141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [30143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [30145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [30147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [30149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [30151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [30153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9454),
  [30155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [30157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [30159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [30161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [30163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [30165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [30167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [30169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [30171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11235),
  [30173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [30175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11226),
  [30177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [30179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [30181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [30183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [30185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [30187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [30189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [30191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [30193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [30195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [30197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [30199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [30201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [30203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [30205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10341),
  [30207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [30209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [30211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [30213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [30215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [30217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [30219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [30221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [30223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [30225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [30227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [30229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [30231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [30233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [30235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [30237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [30239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [30241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [30243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [30245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [30247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [30249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [30251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [30253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [30255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [30257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [30259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [30261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [30263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [30265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [30267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [30269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [30271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [30273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [30275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11515),
  [30277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [30279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [30281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [30283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11507),
  [30285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [30287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [30289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11500),
  [30291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [30293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [30295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [30297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [30299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [30301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [30303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10660),
  [30305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [30307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [30309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10651),
  [30311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [30313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [30315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [30317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [30319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [30321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [30323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [30325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [30327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [30329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [30331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [30333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [30335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [30337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10640),
  [30339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [30341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [30343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [30345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10632),
  [30347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [30349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10629),
  [30351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [30353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [30355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [30357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [30359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [30361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [30363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [30365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [30367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [30369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [30371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [30373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [30375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [30377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [30379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [30381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [30383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [30385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [30387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [30389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [30391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [30393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [30395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [30397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [30399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [30401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [30403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [30405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12091),
  [30407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [30409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [30411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [30413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [30415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [30417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [30419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [30421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [30423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [30425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [30427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [30429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [30431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [30433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [30435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [30437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [30439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [30441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [30443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [30445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [30447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10750),
  [30449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [30451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [30453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [30455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [30457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [30459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [30461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [30463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [30465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [30467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10716),
  [30469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [30471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10719),
  [30473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [30475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [30477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [30479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [30481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [30483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14375),
  [30485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [30487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [30489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [30491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [30493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [30495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [30497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [30499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [30501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [30503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [30505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [30507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [30509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [30511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [30513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10768),
  [30515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [30517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [30519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [30521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10348),
  [30523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [30525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [30527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [30529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [30531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [30533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [30535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [30537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [30539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [30541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [30543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [30545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [30547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [30549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [30551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [30553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [30555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [30557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [30559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [30561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [30563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [30565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [30567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [30569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [30571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [30573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [30575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11276),
  [30577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [30579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10384),
  [30581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11309),
  [30583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [30585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11284),
  [30587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [30589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [30591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [30593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [30595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11294),
  [30597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [30599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [30601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [30603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11315),
  [30605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11019),
  [30607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [30609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [30611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15908),
  [30613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15907),
  [30615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [30617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [30619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [30621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [30623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [30625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [30627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [30629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [30631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [30633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [30635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [30637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [30639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [30641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [30643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [30645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [30647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [30649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [30651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [30653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [30655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [30657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [30659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [30661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [30663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [30665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [30667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [30669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [30671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [30673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [30675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [30677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [30679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [30681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [30683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [30685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [30687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [30689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [30691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [30693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [30695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [30697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [30699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [30701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [30703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [30705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [30707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [30709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [30711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [30713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [30715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [30717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11900),
  [30719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11906),
  [30721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11911),
  [30723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11913),
  [30725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [30727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14370),
  [30729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11921),
  [30731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11923),
  [30733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11936),
  [30735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11937),
  [30737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11959),
  [30739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [30741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11967),
  [30743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14358),
  [30745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11989),
  [30747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [30749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [30751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12007),
  [30753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12010),
  [30755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12018),
  [30757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12022),
  [30759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12024),
  [30761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12030),
  [30763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15870),
  [30765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [30767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [30769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [30771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14392),
  [30773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [30775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [30777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [30779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12067),
  [30781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12068),
  [30783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [30785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12084),
  [30787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12085),
  [30789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12101),
  [30791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12139),
  [30793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12146),
  [30795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12206),
  [30797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12243),
  [30799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12240),
  [30801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12234),
  [30803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [30805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [30807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [30809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [30811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [30813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [30815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14393),
  [30817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11599),
  [30819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [30821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [30823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [30825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [30827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12189),
  [30829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12188),
  [30831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [30833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12176),
  [30835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12174),
  [30837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12172),
  [30839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12171),
  [30841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12167),
  [30843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [30845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12151),
  [30847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12150),
  [30849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11970),
  [30851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [30853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [30855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [30857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14367),
  [30859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [30861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [30863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [30865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [30867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12108),
  [30869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [30871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [30873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11173),
  [30875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [30877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11162),
  [30879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [30881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11154),
  [30883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [30885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [30887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [30889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [30891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [30893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [30895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11146),
  [30897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11981),
  [30899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [30901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [30903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [30905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11803),
  [30907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [30909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11814),
  [30911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11962),
  [30913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11836),
  [30915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11951),
  [30917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11948),
  [30919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [30921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16042),
  [30923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16050),
  [30925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [30927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [30929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [30931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11853),
  [30933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [30935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11844),
  [30937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [30939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [30941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [30943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [30945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [30947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [30949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [30951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [30953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [30955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16581),
  [30957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16559),
  [30959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10588),
  [30961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [30963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [30965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10586),
  [30967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10585),
  [30969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10584),
  [30971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [30973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10590),
  [30975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [30977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [30979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [30981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [30983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10573),
  [30985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [30987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10571),
  [30989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10698),
  [30991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [30993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [30995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15950),
  [30997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15940),
  [30999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [31001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [31003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [31005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [31007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10706),
  [31009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [31011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10536),
  [31013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [31015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [31017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10627),
  [31019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10643),
  [31021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15500),
  [31023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15502),
  [31025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10656),
  [31027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10703),
  [31029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [31031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10775),
  [31033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [31035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [31037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15835),
  [31039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11002),
  [31041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10921),
  [31043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [31045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [31047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [31049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [31051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [31053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [31055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [31057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15586),
  [31059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15588),
  [31061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [31063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [31065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [31067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [31069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10857),
  [31071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10859),
  [31073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [31075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [31077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [31079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15744),
  [31081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15753),
  [31083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [31085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [31087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15882),
  [31089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15885),
  [31091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [31093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10900),
  [31095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [31097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16041),
  [31099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16058),
  [31101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [31103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [31105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10918),
  [31107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16205),
  [31109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16207),
  [31111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [31113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10914),
  [31115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16305),
  [31117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16309),
  [31119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [31121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [31123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10906),
  [31125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16432),
  [31127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16436),
  [31129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [31131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [31133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [31135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16275),
  [31137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10892),
  [31139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10886),
  [31141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [31143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [31145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [31147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [31149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [31151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [31153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [31155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [31157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10453),
  [31159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [31161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [31163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [31165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [31167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10720),
  [31169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10721),
  [31171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15923),
  [31173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [31175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [31177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [31179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [31181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10781),
  [31183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15848),
  [31185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10542),
  [31187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10704),
  [31189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10547),
  [31191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10548),
  [31193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [31195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [31197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [31199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10552),
  [31201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [31203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [31205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15825),
  [31207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [31209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [31211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [31213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [31215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [31217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15784),
  [31219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [31221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19805),
  [31223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [31225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [31227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15734),
  [31229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [31231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [31233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [31235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [31237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15694),
  [31239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10655),
  [31241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [31243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15686),
  [31245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [31247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15678),
  [31249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [31251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15672),
  [31253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [31255] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [31257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15668),
  [31259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11347),
  [31261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15498),
  [31263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15652),
  [31265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15496),
  [31267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15494),
  [31269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [31271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [31273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_block_comment = 0,
  ts_external_token__immediate_paren = 1,
  ts_external_token__immediate_bracket = 2,
  ts_external_token__immediate_brace = 3,
  ts_external_token__string_start = 4,
  ts_external_token__command_start = 5,
  ts_external_token__immediate_string_start = 6,
  ts_external_token__immediate_command_start = 7,
  ts_external_token__string_end = 8,
  ts_external_token__command_end = 9,
  ts_external_token__string_content = 10,
  ts_external_token__string_content_no_interp = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_block_comment] = sym_block_comment,
  [ts_external_token__immediate_paren] = sym__immediate_paren,
  [ts_external_token__immediate_bracket] = sym__immediate_bracket,
  [ts_external_token__immediate_brace] = sym__immediate_brace,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__command_start] = sym__command_start,
  [ts_external_token__immediate_string_start] = sym__immediate_string_start,
  [ts_external_token__immediate_command_start] = sym__immediate_command_start,
  [ts_external_token__string_end] = sym__string_end,
  [ts_external_token__command_end] = sym__command_end,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_content_no_interp] = sym__string_content_no_interp,
};

static const bool ts_external_scanner_states[20][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_bracket] = true,
    [ts_external_token__immediate_brace] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__command_start] = true,
    [ts_external_token__immediate_string_start] = true,
    [ts_external_token__immediate_command_start] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token__command_end] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_content_no_interp] = true,
  },
  [2] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__command_start] = true,
  },
  [3] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_bracket] = true,
    [ts_external_token__immediate_brace] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__command_start] = true,
    [ts_external_token__immediate_string_start] = true,
    [ts_external_token__immediate_command_start] = true,
  },
  [4] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_bracket] = true,
    [ts_external_token__immediate_brace] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__command_start] = true,
  },
  [5] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__command_start] = true,
  },
  [6] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_brace] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__command_start] = true,
  },
  [7] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__command_start] = true,
    [ts_external_token__immediate_string_start] = true,
    [ts_external_token__immediate_command_start] = true,
  },
  [8] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_brace] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__command_start] = true,
    [ts_external_token__immediate_string_start] = true,
    [ts_external_token__immediate_command_start] = true,
  },
  [9] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_bracket] = true,
    [ts_external_token__immediate_brace] = true,
    [ts_external_token__immediate_string_start] = true,
    [ts_external_token__immediate_command_start] = true,
  },
  [10] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_bracket] = true,
    [ts_external_token__immediate_brace] = true,
  },
  [11] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_string_start] = true,
    [ts_external_token__immediate_command_start] = true,
  },
  [12] = {
    [ts_external_token_block_comment] = true,
  },
  [13] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_paren] = true,
  },
  [14] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_brace] = true,
    [ts_external_token__immediate_string_start] = true,
    [ts_external_token__immediate_command_start] = true,
  },
  [15] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__immediate_brace] = true,
  },
  [16] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__command_end] = true,
    [ts_external_token__string_content] = true,
  },
  [17] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token__string_content] = true,
  },
  [18] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token__string_content_no_interp] = true,
  },
  [19] = {
    [ts_external_token_block_comment] = true,
    [ts_external_token__command_end] = true,
    [ts_external_token__string_content_no_interp] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_julia_external_scanner_create(void);
void tree_sitter_julia_external_scanner_destroy(void *);
bool tree_sitter_julia_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_julia_external_scanner_serialize(void *, char *);
void tree_sitter_julia_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_julia(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__word_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_julia_external_scanner_create,
      tree_sitter_julia_external_scanner_destroy,
      tree_sitter_julia_external_scanner_scan,
      tree_sitter_julia_external_scanner_serialize,
      tree_sitter_julia_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
